<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\MaterialRequisition;
use App\MRproduct;
use App\Product;
use App\ProductGrade;
use App\ProductUnit;
use App\CustomerProduct;
use App\GradeMaster;
use App\UnitMeasurement;
use App\MRapprovalproduct;
use App\Customer;
use App\ModeDetail;
use App\Office;
use Auth;
use App\MRproductHistory;
use App\User;

class CashSalesOrderController extends Controller
{
    public function index()
    {
        // $role_id = Auth::User()->userRole->role_id;
        if (Auth::User()->location_id != null) {

        $mode_id =  ModeDetail::where('mode_name','=','CASH')->first();
               
        $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['REQ','APR','CHG'])
  	                            ->selectRaw('material_requisition.*')
                                    ->orderBy('material_requisition.created_at','DESC')
                                    ->get();
            
        }else{
        
        $mode_id =  ModeDetail::where('mode_name','=','CASH')->first();
               
        $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['REQ','APR','CHG'])
                                   ->orderBy('created_at','DESC')
                                   ->get();
        }

        return view('cash_sale/index',compact('list'));
    }


    public function viewProduct($id)
    {   
        $m_r = MaterialRequisition::find($id);
        $products = MRproduct::where('material_requisition_id','=',$id)->orderBy('id','DESC')->get();
        return view('cash_sale/product',compact('products','m_r'));
    }   

    public function approved(Request $request)
    {  

        $product_id = $request->get('product_id');        
        $qty        = $request->get('qty');
        $tax_amount = $request->get('tax_val');
        $price      = $request->get('price');
        $total_amount = $request->get('total_amount');

        for ($i=0; $i < count($product_id); $i++) { 

            $mr_products = MRproduct::find($product_id[$i]);
            $mr_products->qty          = $qty[$i];
            $mr_products->price        = $price[$i];
            $mr_products->tax_amount   = $tax_amount[$i];
            $mr_products->total_amount = $total_amount[$i];
            $mr_products->save();

            MRproductHistory::updateOrInsert([
               'product_id' => $mr_products->product_id,
               'qty'        => $qty[$i],
               'unit_id'    => $mr_products->unit_id,
               'grade_id'   => $mr_products->grade_id,
               'price'      => $price[$i],
               'tax_amount' => $tax_amount[$i],
               'tax_percentage'=> $mr_products->tax_percentage,
               'total_amount' => $total_amount[$i],
               'user_id'      => Auth::User()->id,
               'mr_product_id' => $mr_products->id,
               'material_requisition_id' => $mr_products->material_requisition_id
            ]);
            
            }

        if ($request->get('save') == 'draft')
        {
            

            $status = 'REQ';
        }else
        {
            $status = 'APR';
            $mr_products = MRproduct::where('material_requisition_id','=',$request->get('id'))->whereNull('deleted_at')->get();
        
        MRapprovalproduct::where('material_requisition_id','=',$request->get('id'))->delete();
            foreach($mr_products as $mr_p) {
                
                MRapprovalproduct::create([
                 'material_requisition_id' => $request->get('id'),
                 'product_id'   => $mr_p->product_id,
                 'qty'          => $mr_p->qty,
                 'unit_id'      =>  $mr_p->unit_id,
                 'grade_id'     =>  $mr_p->grade_id,
                 'mr_product_id'=>  $mr_p->id,
                 'price'        =>  $mr_p->price,
                 'remarks'      =>  $mr_p->remarks,
                 'tax_percentage'=>  $mr_p->tax_percentage,
                 'tax_amount'   =>  $mr_p->tax_amount,
                 'total_amount' =>  $mr_p->total_amount,
                ]);
            }
        }
        MaterialRequisition::where('id','=',$request->get('id'))
                            ->update([
                                        'approved_date' => date('Y-m-d'),
                                        'status' => $status ,
                                        'remarks' => $request->get('remarks'),
                                        'invoice_amount'  => $request->get('invoice_amount'),
                                        'discount_amount' => $request->get('discount_amount'),
                                        'paid_amount'     => $request->get('paid_amount'),
                                        'balance_amount'  => $request->get('balance_amount'),
                                        'cash_mode'       => $request->get('cash_mode'),

                                    ]);
        
        return redirect()->route('cash.sales.order.list');
    }

    public function printCashSale($id)
    {   
        $mr = MaterialRequisition::find($id);
        $products = MRproduct::where('material_requisition_id','=',$id)->get();
        $office = Office::where('id','=',2)->first();
    
        return view('cash_sale/print',compact('products','mr','office'));
    }
    public function integration(Request $request)
    {   
        
       
        $list = $request->get('checkList');
        foreach($list as $li) {

             
        MaterialRequisition::where('id','=',$li)
                            ->update([ 
                            		'recieved_date' => date('Y-m-d'),
                                       'status' => 'CMP' ,
                                       

                                    ]);
        }
        
        return redirect()->route('cash.sales.order.list');
    }
    public function search(Request $request)
    {

        $mode_id =  ModeDetail::where('mode_name','=','CASH')->first();
               
        if ($request->get('status') == 'CHG' ||$request->get('status') == 'REQ'  ) {

            $status = ['CHG','REQ'];
           
        }else
        {
            $status = [$request->get('status')];
        }
        
        if ($request->get('status') ==  null) {
        
            $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                        ->whereIN('status',['REQ','APR','CHG'])
                                       ->orderBy('created_at','DESC')
                                       ->get();

            if (Auth::User()->location_id != null) {
                   

            $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                        ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                        ->where('users.location_id','=',Auth::User()->location_id)
                                        ->whereIN('material_requisition.status',['REQ','APR','CHG'])
  	                                ->selectRaw('material_requisition.*')
                                        ->orderBy('material_requisition.created_at','DESC')
                                        ->get();
                
            }
            
        }else
        {
            $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                       ->whereIn('status',$status)
                                       ->get();
            if (Auth::User()->location_id != null) {
                   

            $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                        ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                        ->where('users.location_id','=',Auth::User()->location_id)
                                        ->whereIn('status',$status)
  	                                ->selectRaw('material_requisition.*')
                                        ->orderBy('material_requisition.created_at','DESC')
                                        ->get();
                
            }

        }
               

        return view('cash_sale/index',compact('list'));
    }
    
    public function delete($id)
    {   
      
        
        MRapprovalproduct::where('material_requisition_id','=',$id)
                            ->delete();
                            
        MRproduct::where('material_requisition_id','=',$id)
                    ->delete();


        $mr = MaterialRequisition::where('id','=',$id)->delete();

    
        
        return redirect()->route('cash.sales.order.list');
    }
    
    //touch screen dispaly compact
    public function posCashSaleOrders(Request $request)
    {
      if($request->from_date == NULL) {
        $date = date('Y-m-d');
      } else {
        $date = date('Y-m-d', strtotime($request->from_date));
      }
      $twodays_bfr = date('Y-m-d', strtotime('-2 days')); 
      if (Auth::User()->location_id != null) {

        $mode_id =  ModeDetail::where('mode_name','=','CASH')->first();
        $twodays_aprvd = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['CMP'])
                                    ->where('material_requisition.sis','=','N');
        if($request->print == 1)  {
        	$twodays_aprvd = $twodays_aprvd->where('material_requisition.print','=',1);
        } else {
        	$twodays_aprvd = $twodays_aprvd->whereNull('material_requisition.print');
        }
        if($request->user_id)  {
        	$twodays_aprvd = $twodays_aprvd->where('material_requisition.entered_by','=',$request->user_id);
        }
    	$twodays_aprvd = $twodays_aprvd->whereBetween('material_requisition.recieved_date',[$twodays_bfr,date('Y-m-d')])->selectRaw('material_requisition.*')->orderBy('material_requisition.created_at','DESC');
                                 
                                      
        $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['REQ','APR','CHG'])
                                    ->where('material_requisition.sis','=','N');
        if($request->print == 1)  {
        	$list = $list->where('material_requisition.print','=',1);
        } else {
        	$list = $list->whereNull('material_requisition.print');
        }
        if($request->user_id)  {
          $list = $list->where('material_requisition.entered_by','=',$request->user_id);
        }
        $list = $list->selectRaw('material_requisition.*')
                                    ->unionAll($twodays_aprvd)
                                    ->orderBy('created_at','DESC')
                                    ->get();
            
      }else{
        $mode_id =  ModeDetail::where('mode_name','=','CASH')->first();
        $twodays_aprvd = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['CMP'])
                                   ->where('material_requisition.sis','=','N')
                                   ->whereBetween('recieved_date',[$twodays_bfr,date('Y-m-d')]);
        if($request->print == 1)  {
    		$twodays_aprvd = $twodays_aprvd->where('material_requisition.print','=',1);
        } else {
        	$twodays_aprvd = $twodays_aprvd->whereNull('material_requisition.print');
        }
        if($request->user_id)  {
        	$twodays_aprvd = $twodays_aprvd->where('material_requisition.entered_by','=',$request->user_id);
        }
        $twodays_aprvd = $twodays_aprvd->orderBy('created_at','DESC');   

        $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['REQ','APR','CHG'])
                                   ->where('material_requisition.sis','=','N');
        if($request->print == 1)  {
    		$list = $list->where('material_requisition.print','=',1);
        } else {
        	$list = $list->whereNull('material_requisition.print');
        }
        if($request->user_id)  {
          $list = $list->where('material_requisition.entered_by','=',$request->user_id);
        }
       	$list = $list->unionAll($twodays_aprvd)
               		->orderBy('created_at','DESC')
                   	->get();
     }
      $mr_product = new MRproduct;
      $users = User::where('is_active','=','A')->where('location_id','=',1)->orderBy('username')->get();
      $location = Auth::User()->location->location ?? 'NOT MAPPED';
      return view('pos_sale/pos_cash_index',compact('list','date','location','users','mr_product'));
    }

    public function posPrintCashSale($id)
    {   
        $mr = MaterialRequisition::find($id);
        $products = MRproduct::where('material_requisition_id','=',$id)->get();
        $office = Office::where('id','=',2)->first();
    
        return view('pos_sale/cash_print',compact('products','mr','office'));
    }
 
       

}
