<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\MaterialRequisition;
use App\MRproduct;
use App\Product;
use App\ProductGrade;
use App\ProductUnit;
use App\CustomerProduct;
use App\GradeMaster;
use App\UnitMeasurement;
use App\MRapprovalproduct;
use App\ModeDetail;
use App\CategoryMaster;
use App\Customer;
use App\NotificationType;
use App\NotificationStatus;
use App\Notification;
use App\Office;
use App\LocationProduct;
use App\CustomerLocation;
use Auth;
use App\MRproductHistory;

class CreditSalesOrderController extends Controller
{
    public function index()
    {
        $twodays_bfr = date('Y-m-d', strtotime('-2 days'));
         if (Auth::User()->location_id != null) {

        $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
        $twodays_aprvd = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['CMP'])
                                    ->where('material_requisition.sis','=','N')
                                    ->whereBetween('material_requisition.recieved_date',[$twodays_bfr,date('Y-m-d')])
                                    ->selectRaw('material_requisition.*')
                                    ->orderBy('material_requisition.created_at','DESC');    
                                      
        $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['REQ','APR','CHG'])
                                    ->where('material_requisition.sis','=','N')
  	                                ->selectRaw('material_requisition.*')
                                    ->unionAll($twodays_aprvd)
                                    ->orderBy('created_at','DESC')
                                    ->get();
            
        }else{
        $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
        $twodays_aprvd = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['CMP'])
                                   ->where('material_requisition.sis','=','N')
                                   ->whereBetween('recieved_date',[$twodays_bfr,date('Y-m-d')])
                                   ->orderBy('created_at','DESC');                    
        $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['REQ','APR','CHG'])
                                   ->where('material_requisition.sis','=','N')
                                   ->unionAll($twodays_aprvd)
                                   ->orderBy('created_at','DESC')
                                   ->get();
        }

        return view('credit_sale/index',compact('list'));
    }


	public function viewProduct($id)
	{	


        $material_request = MaterialRequisition::find($id);
        if($material_request->status == "APR") {
            return redirect()->route('material_request.list');
        }
        $products = MRproduct::where('material_requisition_id','=',$id)->orderBy('id','DESC')->get();
        $category = CategoryMaster::all();
        // $customer = Auth::User()->customer_id;
        $customer =$material_request->customer->id;
        $last_entries = MaterialRequisition::where('customer_id','=',$customer)
                            ->where('id','!=',$id)
                            ->orderBy('id','DESC')->take(5)->get();

         $location = CustomerLocation::where('customer_id','=',$customer)->first();
        $pro_id = LocationProduct::where('location_id','=',$location->location_id)->pluck('product_id');

        $prd = Product::whereIn('id',$pro_id)->where('is_active' ,'=' ,'Y')->get();

        $cus = Customer::find($customer);
        $n_type =  NotificationType::where('customer_type_id','=',$cus->customer_type_id)
            ->pluck('notification_id')->toArray();
        $n_status = NotificationStatus::where('customer_id','=',$customer)
                    ->where('status','=','READ')->pluck('notification_id')->toArray();

        $nfn = Notification::whereIN('id',$n_type)
                    ->whereNotIN('id',$n_status)
                    ->where('valid_from','<=',date('Y-m-d'))
                    ->where('valid_to','>=',date('Y-m-d'))->get();

    
        $n_type_count = count($nfn);

        //////////////////////
        
        return view('credit_sale/edit',compact('material_request','products','category','last_entries','n_type_count','nfn','prd'));
    
	}	

	public function approved(Request $request)
    {   
        
    	if ($request->get('submit') == 'Draft')
        {
            $status = 'CHG';
        }else
        {
            $status = 'APR';
            $mr_products = MRproduct::where('material_requisition_id','=',$request->get('x'))->whereNull('deleted_at')->get();
        
            foreach($mr_products as $mr_p) {
                
                MRapprovalproduct::create([
                 'material_requisition_id' => $request->get('x'),
                 'product_id'   => $mr_p->product_id,
                 'qty'          => $mr_p->qty,
                 'unit_id'      =>  $mr_p->unit_id,
                 'grade_id'     =>  $mr_p->grade_id,
                 'mr_product_id'=>  $mr_p->id,
                 'price'        =>  $mr_p->price,
                 'tax_percentage'=>  $mr_p->tax_percentage,
                 'tax_amount'   =>  $mr_p->tax_amount,
                 'total_amount' =>  $mr_p->total_amount,
                ]);
            }
        }

        MaterialRequisition::where('id','=',$request->get('x'))
                            ->update([
                                        'recieved_date' => date('Y-m-d'),
                                        'status' => $status,
                                    ]);
        $mr_products = MRproduct::where('material_requisition_id','=',$request->get('x'))->whereNull('deleted_at')->get();

        MRapprovalproduct::where('material_requisition_id','=',$request->get('x'))->delete();

        foreach($mr_products as $mr_p) {
            
            MRapprovalproduct::create([
             'material_requisition_id' => $request->get('x'),
             'product_id'   => $mr_p->product_id,
             'qty'          => $mr_p->qty,
             'unit_id'      =>  $mr_p->unit_id,
             'grade_id'     =>  $mr_p->grade_id,
             'mr_product_id'=>  $mr_p->id,
             'price'        =>  $mr_p->price,
             'remarks'      =>  $mr_p->remarks,
            ]);
        }
        return redirect()->route('credit.sales.order.list');
    }		
    public function printCreditSale($id)
    {   
        $mr = MaterialRequisition::find($id);
        $products = MRproduct::where('material_requisition_id','=',$id)->get();
        $office = Office::where('id','=',2)->first();
    
        return view('credit_sale/print',compact('products','mr','office'));
    }

    public function creditConfirm(Request $request)
    {   
        $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
        $list = $request->get('checkList');
        foreach($list as $li) {

              MaterialRequisition::where('id','=',$li)
                            ->update([
                                        'mode_details_id' => $mode_id->id,
                                        'status'          => 'REQ'
                                    ]);
        }
        
        return redirect()->route('material_request.list')->with('confirm','true');
    }
    public function integration(Request $request)
    {   
        
        $list = $request->get('checkList');
        foreach($list as $li) {

             
        MaterialRequisition::where('id','=',$li)
                            ->update([ 
                                       'status' => 'CMP' ,
                                       'recieved_date' => date('Y-m-d')
                                    ]);
        }
        return redirect()->route('credit.sales.order.list');

    }
     
    public function search(Request $request)
    {

        $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
               
        if ($request->get('status') == 'CHG' ||$request->get('status') == 'REQ'  ) {

            $status = ['CHG','REQ'];
           
        }else
        {
            $status = [$request->get('status')];
        }
        if ($request->get('status') ==  null) {
        
            $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                        ->whereIN('status',['REQ','APR','CHG'])
                                       ->orderBy('created_at','DESC')
                                       ->get();
            if (Auth::User()->location_id != null) {

            $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
                   
            $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                        ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                        ->where('users.location_id','=',Auth::User()->location_id)
                                        ->whereIN('material_requisition.status',['REQ','APR','CHG'])
  	                           	 ->selectRaw('material_requisition.*')
                                        ->orderBy('material_requisition.created_at','DESC')
                                        ->get();
                
            }
            
        }else
        {
            $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                       ->whereIn('status',$status)
                                       ->get();

            if (Auth::User()->location_id != null) {

            $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
                   
            $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                        ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                        ->where('users.location_id','=',Auth::User()->location_id)
  	                           	 ->selectRaw('material_requisition.*')
                                        ->whereIn('status',$status)
                                        ->orderBy('material_requisition.created_at','DESC')
                                        ->get();
                
            }
        }

        return view('credit_sale/index',compact('list'));
    }
    public function creditPrint(Request $request)
    {

        $list = MaterialRequisition::where('id','=',$request->get('option'))
                            ->update([
                                        
                                        'print' => 1,
                                    ]);
        return $list;
    }
    

    public function insertRequest(Request $request)
    {   
      
        if($request->get('customers') == 0){
            $customer = Auth::User()->customer_id;
        }else{
            $customer = $request->get('customers');
        }      
    
            $x = $request->get('x');
            
            $z = MRproduct::where('material_requisition_id','=',$x)
                            ->where('product_id','=',$request->get('product'))
                            ->where('unit_id','=',$request->get('unit'))
                            ->where('grade_id','=',$request->get('grade'))->count();
            if($z > 0){ 
                return redirect()->action('CreditSalesOrderController@viewProduct',['id'=>$x]);
            } 
            $pr_insert = MRproduct::create([
                            'material_requisition_id' => $request->get('x'),
                            'product_id' => $request->get('product'),
                            'unit_id' => $request->get('unit'),
                            'grade_id' => $request->get('grade'),
                            'qty' => $request->get('qty')
                        ]);

            MRproductHistory::updateOrInsert([
               'product_id' => $request->get('product'),
               'qty'        => $request->get('qty'),
               'unit_id'    => $request->get('unit'),
               'grade_id'   => $request->get('grade'),
               'user_id'      => Auth::User()->id,
               'mr_product_id' => $pr_insert->id,
               'material_requisition_id' => $request->get('x')
            ]);
            $req_id = $request->get('x');
 
        
        $category = CategoryMaster::all();
        $products = MRproduct::where('material_requisition_id','=',$req_id)->get();
        
        
        return redirect()->action('CreditSalesOrderController@viewProduct',['id'=>$x]);
        
    }


    public function editProduct($id)
    {   
        $mr = MRproduct::find($id);
        if($mr->status == "APR") {
            return redirect()->route('material_request.list');
        }
        
        $p_unit = ProductUnit::where('product_id','=',$mr->product_id)->pluck('unit_id')->toArray();
        $unit = UnitMeasurement::whereIN('id',$p_unit)->get();
      
        $x = $mr->material_requisition_id;
        $products = MRproduct::where('material_requisition_id','=',$x)->orderBy('id','DESC')->get();
        
        $product = Product::where('is_active' ,'=' ,'Y')->get();

        $p_grade = ProductGrade::where('product_id','=',$mr->product_id)
                    ->where('is_active','=','Y')->pluck('grade_id')->toArray();

        $grade = GradeMaster::whereIN('id',$p_grade)->get(); 

        return view('credit_sale/edit_product',compact('mr','x','product','unit','grade','products'));
    }

    public function updateProduct(Request $request)
    {   
        $update = MRproduct::where('id','=',$request->get('mr_id'))
                    ->update([
                            'material_requisition_id' => $request->get('x'),
                            'product_id' => $request->get('product'),
                            'unit_id' => $request->get('unit'),
                            'grade_id' => $request->get('grade'),
                            'qty' => $request->get('qty')]);

        MRproductHistory::updateOrInsert([
            'material_requisition_id' => $request->get('x'),
            'product_id' => $request->get('product'),
            'unit_id' => $request->get('unit'),
            'grade_id' => $request->get('grade'),
            'qty' => $request->get('qty'),
            'user_id' => Auth::user()->id
        ]);
        
        $x = $request->get('x');
        
        return redirect()->action('CreditSalesOrderController@viewProduct',['id'=>$x]);
    }

    public function delete($id)
    {   
      
        
        MRapprovalproduct::where('material_requisition_id','=',$id)
                            ->delete();
                            
        MRproduct::where('material_requisition_id','=',$id)
                    ->delete();


        $mr = MaterialRequisition::where('id','=',$id)->delete();

    
        
        return redirect()->route('credit.sales.order.list');
    }

    //touch screen dispaly compact
    public function posCashSaleOrders(Request $request)
    {
      if($request->from_date == NULL) {
        $date = date('Y-m-d');
      } else {
        $date = date('Y-m-d', strtotime($request->from_date));
      }
      $twodays_bfr = date('Y-m-d', strtotime('-2 days')); 
      if (Auth::User()->location_id != null) {

        $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
        $twodays_aprvd = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['CMP'])
                                    ->where('material_requisition.sis','=','N');
        if($request->print == 1)  {
        	$twodays_aprvd = $twodays_aprvd->where('material_requisition.print','=',1);
        } else {
        	$twodays_aprvd = $twodays_aprvd->whereNull('material_requisition.print');
        }
    	$twodays_aprvd = $twodays_aprvd->whereBetween('material_requisition.recieved_date',[$twodays_bfr,date('Y-m-d')])->selectRaw('material_requisition.*')->orderBy('material_requisition.created_at','DESC');
                                 
                                      
        $list = MaterialRequisition::join('users','users.id','=','material_requisition.entered_by')
                                    ->where('material_requisition.mode_details_id','=',$mode_id->id)
                                    ->where('users.location_id','=',Auth::User()->location_id)
                                    ->whereIN('material_requisition.status',['REQ','APR','CHG'])
                                    ->where('material_requisition.sis','=','N');
        if($request->print == 1)  {
        	$list = $list->where('material_requisition.print','=',1);
        } else {
        	$list = $list->whereNull('material_requisition.print');
        }
        $list = $list->selectRaw('material_requisition.*')
                                    ->unionAll($twodays_aprvd)
                                    ->orderBy('created_at','DESC')
                                    ->get();
            
      }else{
        $mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
        $twodays_aprvd = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['CMP'])
                                   ->where('material_requisition.sis','=','N')
                                   ->whereBetween('recieved_date',[$twodays_bfr,date('Y-m-d')]);
        if($request->print == 1)  {
    		$twodays_aprvd = $twodays_aprvd->where('material_requisition.print','=',1);
        } else {
        	$twodays_aprvd = $twodays_aprvd->whereNull('material_requisition.print');
        }
        $twodays_aprvd = $twodays_aprvd->orderBy('created_at','DESC');   

        $list = MaterialRequisition::where('mode_details_id','=',$mode_id->id)
                                   ->whereIN('status',['REQ','APR','CHG'])
                                   ->where('material_requisition.sis','=','N');
        if($request->print == 1)  {
    		$list = $list->where('material_requisition.print','=',1);
        } else {
        	$list = $list->whereNull('material_requisition.print');
        }
       	$list = $list->unionAll($twodays_aprvd)
               		->orderBy('created_at','DESC')
                   	->get();
     }
     
      $location = Auth::User()->location->location ?? 'NOT MAPPED';
      return view('pos_sale/pos_index',compact('list','date','location'));
    }

    public function posPrintCreditSale($id)
    {   
        $mr = MaterialRequisition::find($id);
        $products = MRproduct::where('material_requisition_id','=',$id)->get();
        $office = Office::where('id','=',2)->first();
    
        return view('pos_sale/print',compact('products','mr','office'));
    }
}
