<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Customer;
use App\Product;
use App\CategoryMaster;
use App\User;
use App\MaterialRequisition;
use App\Notification;
use App\UserType;
use App\NotificationType;
use App\PurchaseRequest;
use Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      if(Auth::user()->userpermission(16)) {
        return redirect()->to('pos/credit/sale/orders?print=0');
      }
      if(Auth::user()->userpermission(18)) {
        return redirect()->to('pos/cash/sale/orders?print=1&user_id=');
      }
      $customer =  Customer::where('status','=',5)->count();
      $products =  Product::where('is_active','=','Y')->count();
      $category =  CategoryMaster::count();
      $users    =  User::where('is_active','=','A')->count();
      $pending = NULL;$pending_count = 0;
        
      if(Auth::user()->userRole->role->name == 'MANAGER') 
      {
        $userType = UserType::where('user_id','=',Auth::user()->id)
                          ->pluck('customer_type_id')->toArray();

        $cust     = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                          ->pluck('id')->toArray();

        $achieved   = MaterialRequisition::whereIn('customer_id',$cust)
        ->where('request_date','=',date('Y-m-d'))
        ->pluck('customer_id')->toArray();

        $pending = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                        ->whereNotIn('id',$achieved)->get();
        $pending_count = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                        ->whereNotIn('id',$achieved)->count();

        $materialReq = MaterialRequisition::whereIn('customer_id',$cust)
                          ->whereIn('status',['APR','REQ'])
                          ->orderBy('request_date','DESC')->take(5)->get();
        $count = MaterialRequisition::whereIn('customer_id',$cust)
                          ->where('status','=','REQ')->count();                         
      }

      if(Auth::user()->customer_id > 0)
      {
        $materialReq = MaterialRequisition::where('customer_id','=',Auth::user()->customer_id)->whereIn('status',['APR','REQ'])
                            ->orderBy('request_date','DESC')
                            ->take(5)->get(); 

        $count  =  MaterialRequisition::where('customer_id','=',Auth::user()->customer_id)->where('status','=','REQ')->count();
      }

      if(Auth::user()->customer_id == NULL && Auth::user()->userRole->role->name == 'PURCHASE')
      {
        $group = Auth::user()->userTypes->first();
        $materialReq = PurchaseRequest::whereIn('status',['PR','SUP','PO'])
                                    ->where('cus_group_id','=', $group->customer_type_id)
                                    ->orderBy('request_date','DESC')
                                    ->take(5)->get(); 

        $count =  PurchaseRequest::where('status','=','APR')
                                        ->count();       
      }



       if(Auth::user()->customer_id == NULL && Auth::user()->userRole->role->name == 'ADMIN')
      {
        $materialReq = MaterialRequisition::whereIn('status',['REQ','APR','PR'])->orderBy('request_date','DESC')->take(5)->get(); 
        $count =  MaterialRequisition::where('status','=','APR')
                                        ->count();       
      }

      if(Auth::user()->customer_id == NULL)
      {
        $userType = UserType::where('user_id','=',Auth::user()->id)
                          ->pluck('customer_type_id')->toArray();

        $cust     = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                          ->pluck('id')->toArray();

        $achieved   = MaterialRequisition::whereIn('customer_id',$cust)
        ->where('request_date','=',date('Y-m-d'))
        ->pluck('customer_id')->toArray();

        $pending = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                        ->whereNotIn('id',$achieved)->get();
        $pending_count = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                        ->whereNotIn('id',$achieved)->count();

        $materialReq = MaterialRequisition::whereIn('customer_id',$cust)
                          ->whereIn('status',['APR','REQ'])
                          ->orderBy('request_date','DESC')->take(5)->get();
        $count = MaterialRequisition::whereIn('customer_id',$cust)
                          ->where('status','=','REQ')->count();        
      }
        
      $notification = Notification::where('valid_from','<=',date('Y-m-d'))
                        ->where('valid_to','>=',date('Y-m-d'))
                        ->orderBy('entered_on','DESC')
                        ->take(5)->get();
      $cntRequest   = MaterialRequisition::whereMonth('request_date','=',date('m'))->count();
      $cntApproved  = MaterialRequisition::whereMonth('request_date','=',date('m'))->where('status','=','APR')->count();      
      $cntPurchase  = MaterialRequisition::whereMonth('request_date','=',date('m'))->where('status','=','PR')->count();
      $cntPending  = MaterialRequisition::whereMonth('request_date','=',date('m'))->where('status','=','REQ')->count();                                   
      return view('adminlte',compact('customer','products','category','users','materialReq','notification','cntRequest','cntApproved','cntPurchase','cntPending','count','pending','pending_count'));
    }
}
