<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Customer;
use App\CustomerType;
use App\Common;
use App\CategoryMaster;
use App\Product;
use App\CustomerProduct;
use App\Location;
use App\CustomerLocation;
use App\ModeDetail;
use App\ParentMaster;
use App\User;
use App\Notification;
use App\MaterialRequisition;
use App\Office;
use App\MRproduct;
use App\ProductNotification;
use App\CustomerParent;
use Excel;
use Illuminate\Support\Facades\Hash;
use DateTime;
use App\MRproductHistory;
use App\LocationProduct;
use App\GradeMaster;
use App\ProductGrade;
use App\ProductUnit;
use App\UnitMeasurement;
use App\MRreceivedproduct;
use App\MRapprovalproduct;
use App\NotificationStatus;
use DB;
class MobileAppController extends Controller
{

	public function login(Request $request)
	{
		$name = $request->get('name');
		$password = stripslashes($request->get('password')); 
        $password = $request->get('password');
        $user = User::where('username','=',$name)->first();
		if($user) {
			if(Hash::check($password, $user->password)) {
				

				$location = Location::where('id','=',$user->location_id)->first();
				
		    	$address_ones = $location['address_one'] . " vatin no: " . $location['vatin_no'] ;
				$cusid   = $user->customer_id;//$request->get('customer_id');
				$response["user"]["name"] = $user['name'];
				$response["user"]["id"]  = $user['id'];
				$response["success_msg"]  = "Connected";
				$response["flag"] = 'S';
				$response["line1"] = $location['company_name'];
				$response["line2"] = $address_ones;
				$response["line3"] = $location['address_two'];
				$response["line4"] = $location['phone_no'];
				if($cusid){
					$response["flag"] = 'C';
				}

				$response["notfic_cnt"] = 0;
			    //notification
			    $customerObj = Customer::find($cusid);
			   	
			   	$today = date('Y-m-d');

			    if($customerObj)
			    {
			    	$notfy_cnt = Notification::join('notification_types','notification_types.notification_id','=','notifications.id')->where('notifications.valid_from','<=','$today')
			    	->where('notifications.valid_to','>=','$today')->where('notification_types.customer_type_id','=',$customerObj->customer_type_id)->count();
			    	$response["notfic_cnt"] = $notfy_cnt;
			    }

			    $office = Office::find(1);
			    $response["download_link"] = $location->product_link;
			    $response["product_last_update"] = $location->product_last_update;
			    $response["link_name"] = "productnew1.txt";

			    if($user->customer_id > 1) {
			    	$response["download_link"] =  Customer::find($user->customer_id)->product_link;
			    	$response["product_last_update"] = Customer::find($user->customer_id)->product_last_update;
			    }
				
				echo json_encode($response);
			} else {
				$response["error"] = 1;
				$response["error_msg"] = "User could not be found";
				echo json_encode($response);
			}
		} else {
			$response["error"] = 1;
			$response["error_msg"] = "User could not be found";
			echo json_encode($response);
		}

	}


	//customer list
	public function customersList(Request $request)
	{
		$mode = ModeDetail::where('mode_name','=',$request->get("modeName"))->first();
		$json_response = array();
		if($request->get("userId")){
            
            $user = User::find($request->get("userId"));
            
	    $customer_id = CustomerLocation::where('location_id','=',$user->location_id)->pluck('customer_id');
	    $customers = Customer::whereIn('id',$customer_id)->where('mode_detail_id','=',$mode->id)->orderBy('name')->get();
            if($user){
            	foreach($customers as $customer) {
            		$row_array = array();
            		$row_array['name'] = $customer->name;
            		$row_array['customer_id'] = $customer->id;
            		$row_array['mobileno'] = $customer->mobileno;
            		$row_array['customer_vehicleno'] = $customer->customer_vehicleno;
            		$customer_locations = CustomerParent::join('parent_master','parent_master.id','=','customer_parent.parent_id')->where('customer_parent.customer_id','=',$customer->id)->get();
            		$row_array['location_count'] = $customer_locations->count();
            		if($row_array['location_count'] > 0) {
            			foreach ($customer_locations as $location) {
            				$row_array1['location_id'] = $location->id;
            				$row_array1['location_name'] = $location->name;
            				$row_array['location'][] = $row_array1;
            			} 
            		}
            		array_push($json_response,$row_array);
            	}
            	$response["success"] = 1;
            	$response["success_msg"] = "Success";
            	$response["customers_list"] = $json_response;
            	echo json_encode($response);
            	
            } else {
            	$response["error"] = 1;
            	$response["error_msg"] = "User could not be found";
            	echo json_encode($response);
            }
		} else {
			$response["error"] = 1;
			$response["error_msg"] = "User could not be found";
			echo json_encode($response);
		}

	}


	public function mrCashInsert(Request $request)
	{
		DB::beginTransaction();
		try {
			$userId  = $request->get('userId');
			$customer_id = $request->get('customer_id');
			
			
			$user = User::find($userId);
			$prefix = Location::where('id','=',$user->location_id)->first();
			$tax_perc = $prefix->tax_perc;
			if ($prefix->prefix  == null) {
				$prefix = null;
			}else
			{
				$prefix = $prefix->prefix;
			}
			$mode = ModeDetail::where('mode_name','=',$request->get("modeName"))->first();
			
			$customer_id = 0;
			
			$mr_count = MaterialRequisition::where('prefix','=',$prefix)->max('mr_cnt');
			$count = ($mr_count == 0)? 1 : $mr_count+1;
			
			$today = ($request->has('order_date'))? $request->get('order_date') : date('Y-m-d');
			if($today >= date('Y-m-d', strtotime('+3 days')) || $today <= date('Y-m-d', strtotime('-2 days'))) {
			    $response["success"] = 0;
			    $response["mr_no"] = $today." Date Not Allowed";
	            echo json_encode($response);
			} else {
			    $mr = MaterialRequisition::create([
					'prefix'     => $prefix,
					'request_no' => $count,
					'entered_by' => $userId,
					'customer_id' => $customer_id,
					'request_date' => $today,
					'mode_details_id' => 7,
					'customer_vehicleno' => $request->get('customer_vehicleno'),
					'customer_name' => strtoupper(trim($request->get('customer_name'))),
					'customer_mobile' => $request->get('customer_mobileno'),
					'mr_cnt' => $count
				  ]);
			    $mr_id = $mr->id;
			    //if(Input::hasFile('filename')){
			    if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
				    $i =0;
				    $fp = fopen($_FILES['filename']['tmp_name'], "r");
				    // while( !feof($fp) ) {
		      //		    if( !$line = fgetcsv($fp, 1000, ';', '"')) {
		      //   	        continue;
		      //		    }
		      //		    $i++;

		      //		    $series = explode(",",$line[0]);
			  		 //   if($series[0] > 0) {
	    		 // 			$tax = Product::find($series[0])->tax;
	    		 // 			$tax = (is_null($tax))? 0 : $tax;
	    		 // 			$tax_amount = ($tax_perc > 0)? $series[6] : 0;
	    		 // 			$tax = ($tax_perc > 0)? $tax : 0;
	    		 // 			$mr_product = new MRproduct();
	    		 // 			$mr_product->material_requisition_id = $mr_id;
	    		 // 			$mr_product->product_id = $series[0];
	    		 // 			$mr_product->unit_id = $series[1];
	    		 // 			if ($series[2] != -1) {
	    		 // 				$mr_product->grade_id = $series[2];
	    		 // 			}
			  			//     $mr_product->qty = $series[3];
			  			//     $mr_product->remarks = $series[4];
			  			//     $mr_product->price = $series[5];
			  			//     $mr_product->tax_percentage = $tax;
			  			//     $mr_product->tax_amount = $tax_amount;
			  			//     $mr_product->total_amount = ($series[3] * $series[5]) + $tax_amount;
			     // 		    $mr_product->save(); 

			     // 		    // history
	      	// 				$grade_id = ($series[2] != -1)? $series[2] : null;
	      	// 				MRproductHistory::updateOrInsert([
	      	// 				 'product_id' => $series[0],
	      	// 	             'qty'        => $series[3],
	      	// 	             'unit_id'    => $series[1],
	      	// 	             'grade_id'   =>  $grade_id,
	      	// 	             'price'      => $series[5],
	      	// 	             'tax_amount' => $tax_amount,
	      	// 	             'tax_percentage'=> $tax,
	      	// 	             'total_amount' => ($series[3] * $series[5]) + $tax_amount,
	      	// 	             'user_id'      => $userId,
	      	// 	             'mr_product_id' => $mr_product->id,
	      	// 	             'material_requisition_id' => $mr_id
	      	// 				]);
			    	//     }
			     //       if($i > 400)
			     //   	    break;
		    	 //   }
	                fclose($fp);
	                if(MaterialRequisition::where('prefix','=',$prefix)->where('request_no','=',$mr->request_no)->count() > 1) {
	                    MaterialRequistion::where('id','=',$mr->id)->update([
	                        'request_no' => 'DUP '.$mr_count
	                    ]);
	                }
			    } else{
			    	DB::rollback();
			        $response["success"] = 0;
			        $response["mr_no"] = "File Not Found";
			        echo json_encode($response); 
			    }
			    DB::commit();
	    		$response["success"] = 1;
	    		$response["mr_no"] = $prefix.$count;
	            echo json_encode($response); 
		    }
		}catch  (\Exception $e) {
        	DB::rollback();
        	$response["success"] = 0;
        	$response["mr_no"] = "File Not Found";
        	echo json_encode($response); 
      	}	    
	}


	public function mrCashUpdate(Request $request)
	{
		$userId  = $request->get('userId');
		$customer_id = $request->get('customer_id');
		$user = User::find($userId);
		$location = Location::find($user->location_id);
		$tax_perc = ($location)? $location->tax_perc : 0;
		$mode = ModeDetail::where('mode_name','=',$request->get("modeName"))->first();
		$mr_id = $request->get('mrId');
		$mr = MaterialRequisition::find($mr_id);
		if($mr) {
			MaterialRequisition::where('id','=',$mr_id)->where('status','=','APR')->update(['status' => 'CHG']);
			MRproduct::where('material_requisition_id','=',$mr_id)->delete();
			$today = date('Y-m-d');
			if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
				$i =0;
				$fp = fopen($_FILES['filename']['tmp_name'], "r");
				while( !feof($fp) ) {
		      		if( !$line = fgetcsv($fp, 1000, ';', '"')) {
		         	continue;
		      		}
		      		$i++;

		      		$series = explode(",",$line[0]);
			  		if($series[0] > 0) {
			  			$tax = Product::find($series[0])->tax;
			  			$tax = (is_null($tax))? 0 : $tax;
			  			$tax_amount = $series[6];
			  			$tax_amount = ($tax_perc > 0)? $series[6] : 0;
		  				$tax = ($tax_perc > 0)? $tax : 0;
			  			$mr_product = new MRproduct();
			  			$mr_product->material_requisition_id = $mr_id;
			  			$mr_product->product_id = $series[0];
			  			$mr_product->unit_id = $series[1];
			  			if ($series[2] != -1) {
			  				$mr_product->grade_id = $series[2];
			  			}
			  			$mr_product->qty = $series[3];
			  			$mr_product->remarks = $series[4];
			  			$mr_product->price = $series[5];
			  			$mr_product->tax_percentage = $tax;
			  			$mr_product->tax_amount = $tax_amount;
			  			$mr_product->total_amount = ($series[3] * $series[5]) + $tax_amount;
			      		$mr_product->save(); 

			      		// history
							$grade_id = ($series[2] != -1)? $series[2] : null;
      						MRproductHistory::updateOrInsert([
  						     'product_id' => $series[0],
      			             'qty'        => $series[3],
      			             'unit_id'    => $series[1],
      			             'grade_id'   =>  $grade_id,
      			             'price'      => $series[5],
      			             'tax_amount' => $tax_amount,
      			             'tax_percentage'=> $tax,
      			             'total_amount' => ($series[3] * $series[5]) + $tax_amount,
      			             'user_id'      => $userId,
      			             'mr_product_id' => $mr_product->id,
      			             'material_requisition_id' => $mr_id
      						]);
			    	}
			        if($i > 400)
			        	break;
		    	}
		    	fclose($fp);
			} else{
			    $response["success"] = "File Not Found";
			}
		} else {
			$response["success"] = "File Not Found";
		}
		$response["success"] = 1;
        echo json_encode($response); 
	}


	public function mrCreditInsert(Request $request)
	{
		DB::beginTransaction();
      	try {
			$userId  = $request->get('userId');
			$customer_id = $request->get('customer_id');
			$user = User::find($userId);
			$location_id = (is_null($request->get('location_id'))) ? $user->parent_id : $request->get('location_id');
			$mode = ModeDetail::where('mode_name','=',$request->get("modeName"))->first();
			
			$prefix = Location::where('id','=',$user->location_id)->first();
			$tax_perc = $prefix->tax_perc;
			if ($prefix->prefix  == null) {
				$prefix = 'CRD';
			}else
			{
				$prefix = 'CRD'.$prefix->prefix;
			}
			$mr_count =  MaterialRequisition::where('prefix','=',$prefix)->max('mr_cnt');
			$count = ($mr_count == 0)? 1 : $mr_count + 1;
			// $mr_no = "MR" . '-' .$customer_id . '-' . $count;
			$today = ($request->has('order_date'))? $request->get('order_date') : date('Y-m-d');
			if($today >= date('Y-m-d', strtotime('+3 days')) || $today <= date('Y-m-d', strtotime('-2 days'))) {
			    $response["success"] = 0;
			    $response["mr_no"] = $today." Date Not Allowed";
	            echo json_encode($response);
			} else {
			    $mr = MaterialRequisition::create([
					'prefix'     => $prefix,
					'request_no' => $count,
					'entered_by' => $userId,
					'customer_id' => $customer_id,
					'location_id' => $location_id,
					'request_date' => $today,
					'mode_details_id' => $mode->id,
					'customer_vehicleno' => $request->get('customer_vehicleno'),
					'mr_cnt' => $count,
					'recieved_date' => date('Y-m-d'),
					'approved_date' => date('Y-m-d'),
					'status' => 'CMP'
				  ]);
			    $mr_id = $mr->id;
			    if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
				    $i =0;
				    $fp = fopen($_FILES['filename']['tmp_name'], "r");
				    while( !feof($fp) ) {
	    	      		if( !$line = fgetcsv($fp, 1000, ';', '"')) {
	    	         	continue;
	    	      		}
	    	      		$i++;

		      		    $series = explode(",",$line[0]);
			  		    if($series[0] > 0) {
	    		  			$tax = Product::find($series[0])->tax;
	    		  			$tax = (is_null($tax))? 0 : $tax;
	    		  			$tax_amount = $series[6];
	    		  			$tax_amount = ($tax_perc > 0)? $series[6] : 0;
	    	  				$tax = ($tax_perc > 0)? $tax : 0;
	    		  			$mr_product = new MRproduct();
	    		  			$mr_product->material_requisition_id = $mr_id;
	    		  			$mr_product->product_id = $series[0];
	    		  			$mr_product->unit_id = $series[1];
	    		  			if ($series[2] != -1) {
	    		  				$mr_product->grade_id = $series[2];
	    		  			}
			  			    $mr_product->qty = $series[3];
	    		  			$mr_product->remarks = $series[4];
	    		  			$mr_product->price = $series[5];
	    		  			$mr_product->tax_percentage = $tax;
	    		  			$mr_product->tax_amount = $tax_amount;
	    		  			$mr_product->total_amount = ($series[3] * $series[5]) + $tax_amount;
	    		      		$mr_product->save(); 

			      		    //history
	  						$grade_id = ($series[2] != -1)? $series[2] : null;
							MRproductHistory::updateOrInsert([
						     'product_id' => $series[0],
				             'qty'        => $series[3],
				             'unit_id'    => $series[1],
				             'grade_id'   =>  $grade_id,
				             'price'      => $series[5],
				             'tax_amount' => $tax_amount,
				             'tax_percentage'=> $tax,
				             'total_amount' => ($series[3] * $series[5]) + $tax_amount,
				             'user_id'      => $userId,
				             'mr_product_id' => $mr_product->id,
				             'material_requisition_id' => $mr_id
							]); 

							MRapprovalproduct::create([
							 'material_requisition_id' => $mr_id,
							 'product_id'   => $series[0],
							 'qty'          => $series[3],
							 'unit_id'      =>  $series[1],
							 'grade_id'     =>  $grade_id,
							 'mr_product_id'=>  $mr_product->id,
							 'price'        =>  $series[5]
							]);

			    	    }
			            if($i > 400)
			        	    break;
	    	        }

		    	    fclose($fp);
			    } else{
			    	DB::rollback();
			        $response["success"] = 0;
			        $response["mr_no"] = "File Not Found";
			        echo json_encode($response);
			    }
	        	DB::commit();
			    $response["success"] = 1;
			    $response["mr_no"] =  $prefix.$count;
	            echo json_encode($response); 
			}
		}catch  (\Exception $e) {
        	DB::rollback();
        	$response["success"] = 0;
	        $response["mr_no"] = "File Not Found";
	        echo json_encode($response);
      	}
	}


	public function mrCreditUpdate(Request $request)
	{
		$userId  = $request->get('userId');
		$customer_id = $request->get('customer_id');
		$user = User::find($userId);
		$location = Location::find($user->location_id);
		$tax_perc = ($location)? $location->tax_perc : 0;
		$location_id = $request->get('location_id');
		$mode = ModeDetail::where('mode_name','=',$request->get("modeName"))->first();
		$mr_id = $request->get('mrId');
		$mr = MaterialRequisition::find($mr_id);
		if($mr) {
			MaterialRequisition::where('id','=',$mr_id)->where('status','=','APR')->update(['status' => 'CHG']);
			MRproduct::where('material_requisition_id','=',$mr_id)->delete();
			$today = date('Y-m-d');
			if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
				$i =0;
				$fp = fopen($_FILES['filename']['tmp_name'], "r");
				while( !feof($fp) ) {
		      		if( !$line = fgetcsv($fp, 1000, ';', '"')) {
		         	continue;
		      		}
		      		$i++;

		      		$series = explode(",",$line[0]);
			  		if($series[0] > 0) {
			  			$tax = Product::find($series[0])->tax;
			  			$tax = (is_null($tax))? 0 : $tax;
			  			$tax_amount = $series[6];
			  			$tax_amount = ($tax_perc > 0)? $series[6] : 0;
		  				$tax = ($tax_perc > 0)? $tax : 0;
			  			$mr_product = new MRproduct();
			  			$mr_product->material_requisition_id = $mr_id;
			  			$mr_product->product_id = $series[0];
			  			$mr_product->unit_id = $series[1];
			  			if ($series[2] != -1) {
			  				$mr_product->grade_id = $series[2];
			  			}
			  			$mr_product->qty = $series[3];
			  			$mr_product->remarks = $series[4];
			  			$mr_product->price = $series[5];
			  			$mr_product->tax_percentage = $tax;
			  			$mr_product->tax_amount = $tax_amount;
			  			$mr_product->total_amount = ($series[3] * $series[5]) + $tax_amount;
			      		$mr_product->save(); 

			      		//history
  							$grade_id = ($series[2] != -1)? $series[2] : null;
      						MRproductHistory::updateOrInsert([
      						 'product_id' => $series[0],
      			             'qty'        => $series[3],
      			             'unit_id'    => $series[1],
      			             'grade_id'   =>  $grade_id,
      			             'price'      => $series[5],
      			             'tax_amount' => $tax_amount,
      			             'tax_percentage'=> $tax,
      			             'total_amount' => ($series[3] * $series[5]) + $tax_amount,
      			             'user_id'      => $userId,
      			             'mr_product_id' => $mr_product->id,
      			             'material_requisition_id' => $mr_id
      						]);
			    	}
			        if($i > 400)
			        	break;
		    	}
		    	fclose($fp);
			} else{
			    $response["success"] = "File Not Found";
			}
		} else {
			$response["success"] = "File Not Found";
		}
		$response["success"] = 1;
        echo json_encode($response); 
	}

	public function mrList(Request $request)
	{
		$userId = $request->get('userId');
		$today = ($request->has('order_date'))? $request->get('order_date') : date('Y-m-d');
		$mode = ModeDetail::where('mode_name','=',$request->get("modeName"))->first();
		$mr_list = MaterialRequisition::where('entered_by','=',$userId)
						->where('mode_details_id','=',$mode->id)
						->where('request_date','=',$today);
						
		$mr_list = $mr_list->orderBy('created_at','desc')->get();

		$json_response = array();  
     	$row_array = array();
     	$row_array2 = array();

     	foreach ($mr_list as $row_mr) {
     		   
         	$row_array = array();
            $row_array['mr_id'] = $row_mr->id;
        	$row_array['mr_date'] = date('d-m-Y',strtotime($row_mr->request_date));
        	$row_array['mr_no'] = $row_mr->prefix.$row_mr->request_no;
            $row_array['status'] = $row_mr->status;
            if($row_mr->customer_id == 0) {
            	$row_array['customername'] = $row_mr->customer_name;
            	$row_array['customer_mobileno'] = $row_mr->customer_mobile;
            } else {
            	$row_array['customername'] = $row_mr->customer->name;
            	$row_array['customer_mobileno'] = $row_mr->customer->mobileno;
            }
        	$row_array['customer_vehicleno'] = $row_mr->customer_vehicleno;
			$row_array['customer_location'] = (is_null($row_mr->location_id))? '' : $row_mr->parent->name;
        	$mrid = $row_mr->id;
            $extra = 0;
            $result2 = MRproduct::where('material_requisition_id',$mrid)->get();
			
     
         	$row_array['productcount'] = $result2->count();

            $row_array2 = array();
            $total = 0;
            foreach($result2 as $row_product) {
            	// 
        	 	$row_array2 = array();
            	$row_array2['qty'] = $row_product->qty;
            	$row_array2['product_id'] = $row_product->product_id; 
            	$row_array2['productname'] = $row_product->product->name;
            	$row_array2['secondry_name'] = $row_product->product->secondry_name;
            	$row_array2['unit_id'] = $row_product->unit_id; 
            	$row_array2['grade_id'] = $row_product->grade_id;
            	$row_array2['unit'] = $row_product->unit->unit; 
            	$row_array2['grade'] = $row_product->grade->grade; 
            	$row_array2['remarks'] = $row_product->remarks;
            	$row_array2['price'] = $row_product->price; 
            	$row_array2['tax_percentage'] = $row_product->tax_percentage; 
            	$row_array2['tax_amount'] = $row_product->tax_amount;
            	$row_array2['total_amount'] = $row_product->total_amount; 
            	array_push($row_array,$row_array2); 
            	$total += $row_product->total_amount;
            }
            $total = $total - $row_mr->discount_amount;
            $row_array['total_amt'] =  number_format($total,3);

            array_push($json_response,$row_array);    
     	}

     	echo json_encode($json_response); 
	}	


	public function notificationList(Request $request)
	{
		$response = array();
		$userId = $request->get('userId');

		$user = User::find($userId);
		if($user) {
			$customer = Customer::find($user->customer_id);
			if($customer) {
				$type_id = $customer->customer_type_id;	
			}
			
			$today = date('Y-m-d');
			$result = Notification::where('valid_from','<=',$today)
						// ->where('valid_to','>=',$today)
						->get();
			$json_request = array();  
            $row_array = array();
                 		
			foreach($result as $notif){
				$status = "UNREAD";
				$row_array['id'] = $notif->id;
                $row_array['matter'] = $notif->matter;
                $row_array['status'] = $status;
                $row_array['entered_date'] = date('d-m-Y',strtotime($notif->entered_on));
            	$row_array['type']  = $notif->type->name;
                $row_array['product_id'] = -1;
                $row_array['grade_id'] = -1;
                $row_array['unit_id'] = -1;

                if($notif->notification_type == 'P'){
                	$prd_notfy = ProductNotification::where('notification_id','=',$notif->id)->get();
                	foreach ($prd_notfy as $prdnotfy) {
                		$row_array['product_id'] = $prdnotfy->product_id;
                        $row_array['grade_id'] = $prdnotfy->grade_id;
                        $row_array['unit_id'] = $prdnotfy->unit_id;
                        $row_array['product_name'] = $prdnotfy->product->name;
                        $row_array['grade'] = $prdnotfy->grade->grade;
                        $row_array['packing'] = $prdnotfy->standard->standard;
                        $row_array['unit'] = $prdnotfy->unit->unit;
                        $row_array['offer_price'] = $prdnotfy->offer_price;
                	}
                }

                array_push($json_request,$row_array); 

			}

			echo json_encode($json_request);

		}
	}

	public function wsOrder(Request $request)
	{
		$const_api_key = "RVEwLjqWn2J1IQYk3DghzH38ctqIl9zXdK9nExZmL78=";
		$api_key       = $request->get('apiKey');

		if($api_key == $const_api_key) {
			$frmdt = $request->get('fromDate');
			$todt = $request->get('toDate');
			$location = $request->get('location');
			$json_response = array();  
			$row_data =array();

			$det = MaterialRequisition::leftjoin('customers','customers.id','=','material_requisition.customer_id')->leftjoin('parent_master','parent_master.id','=','material_requisition.location_id')->join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')->join('mode_details','mode_details.id','=','material_requisition.mode_details_id')->join('products','products.id','=','mr_products.product_id')->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')->where('request_date','>=',$frmdt)->leftjoin('users','users.id','=','material_requisition.entered_by')->join('locations','locations.id','=','users.location_id')->where('request_date','<=',$todt)->where('material_requisition.status','=','CMP')->where('mode_details.mode_name','=',$request->get('mode'))->where('locations.location','=',$location)->selectRaw('customers.name,customers.customercode,customers.customercode,material_requisition.request_date, mode_details.mode_name,material_requisition.request_no,parent_master.name as parentname, parent_master.code as parentcode,products.name as itemname,products.code,mr_products.qty,unit_of_measurement.unit,grade_master.grade,material_requisition.remarks, material_requisition.created_at,mr_products.price,material_requisition.discount_amount,material_requisition.cash_mode,locations.location,material_requisition.prefix,users.name as empname')->orderBy('material_requisition.prefix')->orderBy('material_requisition.request_no')->get();
			
			if($det->count() > 0){
			 $json_response["status"] = "success";
			}else{
			 $json_response["status"] = "nodata";
			}
			$same_order = '';
			$sln = 0;
			foreach($det as $find_row) { 
			     $row_array = array();

			     $datetime = $find_row['created_at'];
			   // $datetime = "2016-02-01 00:00:01";
			       $given = new DateTime($datetime);
			        //$given->setTimezone(new DateTimeZone("UTC"));
			        $output1 = $find_row['request_date'];//$given->format("Y-m-d"); 
			         $output2 = $given->format("H:i:s"); 
			         $dtfrmt =  $output1.'T'.$output2;
			    if($find_row['prefix'].$find_row['request_no'] != $same_order) {
			    	$same_order = $find_row['prefix'].$find_row['request_no'];
			    	$sln = 1;
			    }
			    $row_array['sln']  = $sln;
			    $row_array['customername']  = (is_null($find_row['name']))? 'WALK IN CUSTOMER' : $find_row['name'];
			    $row_array['customercode']  = (is_null($find_row['customercode']))? 'CA1001' : $find_row['customercode'];
			    $row_array['orderdate']  = $dtfrmt;
			    $row_array['orderno']  = $find_row['prefix'].$find_row['request_no'];
			    $row_array['itemname']  = $find_row['itemname'];
			    $row_array['itemcode']  = $find_row['code'];
			    $row_array['qty']  = $find_row['qty'];
			    $row_array['unit']  = $find_row['unit'];
			    $row_array['grade']  = $find_row['grade'];
			    $row_array['remarks']  = $find_row['remarks'];
			    $row_array['mode']  = $find_row['mode_name'];
			    $row_array['locationname']  = (is_null($find_row['parentname']))? 'WALK IN CUSTOMER' : $find_row['parentname'];
			    $row_array['locationcode']  = (is_null($find_row['parentcode']))? 'ARRAC-CA1001-101' : $find_row['parentcode'];
			    $row_array['price']  = $find_row['price'];
			    $row_array['discount_amount']  = $find_row['discount_amount'];
			    $row_array['paymet_mode']  = $find_row['cash_mode'];
			    $row_array['shop_location']  = $find_row['location'];
			    $row_array['employee_name']  = $find_row['empname'];
			    $sln++;
			    array_push($row_data,$row_array);  

			}
			$json_response["result"] =  $row_data;
		} else {
            $json_response["status"] ="NOT FOUND!";
        }
 		echo json_encode($json_response);
	}







	public function create()
	{	
		$type 	  = CustomerType::where('is_active','=','Y')->get();
		$status   = Common::where('masterkeyword','=','STATUS')->get();
		$industry = Common::where('masterkeyword','=','INDUSTRY TYPE')->get();
		$delivery = Common::where('masterkeyword','=','DELIVERY TYPE')->get();
		$location = Location::where('is_active','=','Y')
							->orderBy('location')
							->get();
		$mode_dtls = ModeDetail::orderBy('mode_name')->get();
		$par_dtls = ParentMaster::orderBy('name')->get();
		
		return view('customer/create',compact('type','industry','status','delivery','location','mode_dtls','par_dtls'));
	}

	public function store(Request $request)
	{	
		$insert = Customer::create([
									'name' 			   => $request->get('name'),
									'customer_type_id' => $request->get('type'),
									'address' 		   => $request->get('address'),
									'location' 		   => $request->get('place'),
									'contact_person'   => $request->get('cont_person'),
									'mobileno' 		   => $request->get('mob'),
									'email_id' 		   => $request->get('email'),
									'industry_type'    => $request->get('industry'),
									'credit_limit'     => $request->get('limit'),
									'credit_period'    => $request->get('period'),
									'status' 		   => $request->get('status'),
									'delivery_type_id' => $request->get('d_type'),
									'customercode'     => $request->get('code'),
									'mode_detail_id' => $request->get('mode'),
									'parent_master_id' => $request->get('parent')
								]);

		///new mod multiple location for customer///
		/*$loc_id = [];	*/
		foreach ($request->get('location') as $key => $loc) {
			CustomerLocation::firstOrCreate(['customer_id' => $insert->id,'location_id' => $loc]);
			/*array_push($loc_id,$loc);*/
		}
		/*dd($loc_id);*/
		return redirect()->route('customer.list')->with(['message' => true]);
		
	}

	public function productList(Request $request)
	{
		$json_category = array();  
		$row_array = array();
		if($request->get('user_id')) {
			$user = User::find($request->get('user_id'));
			if($user) {
				$customer = Customer::find($user->customer_id);
				if($customer) {
					$customer_product = CustomerProduct::where('customer_id','=',$customer->id)->get();
					if($customer->customer_type_id == 3 AND $customer_product) {
							$products = Product::join('customer_product','customer_product.product_id','=','products.id')
							->where('customer_product.customer_id','=',$user->customer_id)
							->where('products.is_active','=','Y')
							->selectRaw('products.id,products.secondry_name as name,products.code,products.alias')
							->get();
					} else {
						$products = Product::join('location_products','location_products.product_id','=','products.id')
						->where('location_products.location_id','=',$user->location_id)
						->where('products.is_active','=','Y')
						->selectRaw('DISTINCT(products.id),products.secondry_name as name,products.code,products.alias')
						->get();
					}

					foreach ($products as $row_product) {
						$row_array = array();
						$row_array['product_id'] = $row_product->id;
						$row_array['productname'] = $row_product->name . '-'. $row_product->code;
						if($row_product->alias != NULL)
						{
						  $row_array['productname'] = $row_array['productname'] .'-'. $row_product->alias; 
						}

						$product_unit = ProductUnit::where('product_id','=',$row_product->id)->get();
						$row_array['unitcount'] = count($product_unit);
				    	$units = array();
						foreach ($product_unit as $row_unit) {
						        $row_array2['unit_id'] = $row_unit->unit_id; 
						        $row_array2['unit'] = $row_unit->unit; 
					         	array_push($units,$row_array2);                                          
					    }
						$row_array['units'] = $units;

						if($customer->customer_type_id == 3 && $customer_product) {
							$product_grade = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
												->where('product_grade.product_id','=',$row_product->id)
												->selectRaw('grade_master.*')->get();
						} else {
							$product_grade = LocationProduct::join('grade_master','grade_master.id','=','location_products.grade_id')
												->where('location_products.product_id','=',$row_product->id)
												->where('location_products.location_id','=',$user->location_id)
												->selectRaw('grade_master.*')->get();
							if(!$product_grade) {
								$product_grade = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
													->where('product_grade.product_id','=',$row_product->id)
													->selectRaw('grade_master.*')->get();
							}
						}

						$row_array['gradecount'] = count($product_grade); 
			     		$grades = array();
			     		foreach ($grades as $row_grade) {
			     			$row_array3['grade_id'] = $row_grade->grade_id; 
					        $row_array3['grade'] = $row_grade->grade; 
					       	array_push($grades,$row_array3);  
			     		}    
		     			$row_array['grades'] = $grades;
					
					array_push($json_category,$row_array); 			
					}
				}
					echo json_encode($json_category);
			} else {
				echo "User not found error"; 
			}
		} else {
			echo "user_id not found"; 
		}
	}

	public function mrRecieved(Request $request)
	{
		if($request->get('mr_id')) {
			MaterialRequisition::where('id','=',$request->get('mr_id'))
			->update([
				'recieved_date' => date('Y-m-d')
			]);

			//MRreceivedproduct::where('material_requisition_id','=',$request->get('mr_id'))->delete();

			// $mr_products = MRapprovalproduct::where('material_requisition_id','=',$request->get('mr_id'))->get();
			// MRproduct::join('mr_approval_products','mr_approval_products.mr_product_id','=','mr_products.id')
			// 				->selectRaw('mr_products.product_id,mr_products.qty as req_qty,mr_products.unit_id as req_unit_id,mr_products.grade_id as req_grade_id,mr_approval_products.qty as apr_qty,mr_approval_products.unit_id as apr_unit_id,mr_approval_products.grade_id as apr_grade_id')
			// 				->where('mr_products.material_requisition_id','=',$request->get('mr_id'))->get();

			// foreach ($mr_products as $product) {
			// 	$mr_recvd_product = new MRreceivedproduct();
			// 	$mr_recvd_product->material_requisition_id = $product->material_requisition_id;
			// 	$mr_recvd_product->product_id = $product->product_id;
			// 	$mr_recvd_product->rec_qty = $product->qty;
			// 	$mr_recvd_product->unit_id = $product->unit_id;
			// 	$mr_recvd_product->grade_id = (is_null($product->grade_id))? 0 : $product->grade_id;
			// 	if(is_null($product->mr_product_id)) {
			// 	$mr_recvd_product->req_qty = 0;
			// 	$mr_recvd_product->req_unit_id = 0;
			// 	$mr_recvd_product->req_grade_id = 0;
			// 	} else {
			// 	$mr_recvd_product->req_qty = $product->mrProduct->qty;
			// 	$mr_recvd_product->req_unit_id = $product->mrProduct->unit_id;
			// 	$mr_recvd_product->req_grade_id = (is_null($product->mrProduct->grade_id))? 0 : $product->mrProduct->grade_id;
			// 	}
			// 	$mr_recvd_product->apr_qty = $product->qty;
			// 	$mr_recvd_product->apr_unit_id = $product->unit_id;
			// 	$mr_recvd_product->apr_grade_id = (is_null($product->rade_id))? 0 : $product->grade_id;
			// 	$mr_recvd_product->created_at = date('Y-m-d H:i:s');
			// }

			 $response = "Updated Successfully";
		} else {
			$response = "Failed";
		}

		echo json_encode($response); 
	}

	
	public function previousList(Request $request)
	{
		if($request->get('userId')) {
			$user = User::find($request->get('userId'));
			$customer = Customer::where('id','=',$user->customer_id)->first(); 
			$mr_list = MaterialRequisition::where('customer_id','=',$user->customer_id)
						->where('status','!=','DRT')
						->orderBy('request_date','DESC')->limit(5)->get();

			$json_request = array();  
			$row_array = array();
			foreach($mr_list as $row_mr) {
				$row_array = array();
				$row_array['mr_id'] = $row_mr->id;
				$row_array['mr_date'] = date('d-m-Y',strtotime($row_mr->request_date));
				$row_array['mr_no'] = $row_mr->request_no;
				$row_array['customer_code'] = $customer->customercode;
				$row_array['productcount'] = count($row_mr->mrProduct);
				foreach ($row_mr->mrProduct as $row_product) {
					 $row_array2 = array();
					$row_array2['product_id'] = $row_product->product_id; 
					$row_array2['productname'] = $row_product->product->name; 
					$row_array2['unit_id'] = $row_product->unit_id; 
					$row_array2['grade_id'] = $row_product->grade_id;
					$row_array2['unit'] = $row_product->unit->unit; 
					$row_array2['grade'] = $row_product->grade->grade; 
					$row_array2['qty'] = $row_product->qty; 
					array_push($row_array,$row_array2); 
				}
				array_push($json_request,$row_array);  

			}

			echo json_encode($json_request); 
		} else {
			//
		}
	}

	public function mrInsert(Request $request)
	{
		if($request->get('userId')) {
			$user = User::find($request->get('userId'));
			
			$mr_cnt = MaterialRequisition::where('customer_id','=',$user->customer_id)->max('mr_cnt');
			$count = ($mr_cnt == 0)? 101 : $mr_cnt + 1;
			$mode_id =  ModeDetail::where('mode_name','=','CREDIT')->first();
			$mr = MaterialRequisition::create([
				'request_no' => 'MR'.$count,
				'entered_by' => $user->id,
				'customer_id' => $user->customer_id,
				'request_date' => date('Y-m-d'),
				'mr_cnt' => $count,
				'sis' => 'Y',
				'mode_details_id' => $mode_id->id,
				'delivery_date' => $request->delivery_date,
				'location_id' => $user->parent_id,
				'prefix' => "  "
			]);

			if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
				$i =0;
				$fp = fopen($_FILES['filename']['tmp_name'], "r");
				while( !feof($fp) ) {
		      		if( !$line = fgetcsv($fp, 1000, ';', '"')) {
		         	continue;
		      		}
		      		$i++;

		      		$series = explode(",",$line[0]);
			  		if($series[0] > 0 && $series[3] >0) {
			  			$mr_product = new MRproduct();
			  			$mr_product->material_requisition_id = $mr->id;
			  			$mr_product->product_id = $series[0];
			  			$mr_product->unit_id = $series[1];
			  			if ($series[2] != -1) {
			  				$mr_product->grade_id = $series[2];
			  			}
			  			$mr_product->qty = $series[3];
			  			$mr_product->remarks = $series[4];
			  			$mr_product->save(); 

			      		// history
			      			$grade_id = ($series[2] != -1)? $series[2] : null;
			      			MRproductHistory::updateOrInsert([
			      			   'product_id' => $series[0],
			                   'qty'        => $series[3],
			                   'unit_id'    => $series[1],
			                   'grade_id'   =>  $grade_id,
			                   'user_id'      => $user->id,
			                   'mr_product_id' => $mr_product->id,
			                   'material_requisition_id' => $mr->id,
			      			]);
			      					

			    	}
			        if($i > 400)
			        	break;
		    	}

		    	fclose($fp);

		    	    	
		    	$response["success"] = 1;
		    	
			} else{
			    $response["success"] = "File Not Found";
			}
		}

		echo json_encode($response); 
	}	

	public function mrUpdate(Request $request)
	{
		if($request->get('userId') AND $request->get('mr_id')) {
	 		$user = User::find($request->get('userId'));
		  	if (is_uploaded_file($_FILES['filename']['tmp_name'])) {

			  	 MRproduct::where('material_requisition_id','=',$request->get('mr_id'))->delete();				       
				        $i =0;
				 
	         	$fp = fopen($_FILES['filename']['tmp_name'], "r");
	         	while( !feof($fp) ) {
	           		if( !$line = fgetcsv($fp, 1000, ';', '"')) {
	                  	continue;
	                }
	                $i++;
	                $series = explode(",",$line[0]);

				    if($series[0] > 0 && $series[3] >0)
	             	{
	                 	if ($series[2] == -1) {
		                 	MRproduct::create([
		                 		'material_requisition_id' => $request->get('mr_id'),
		                 		'product_id' => $series[0],
		                 		'qty' => $series[3],
		                 		'unit_id' => $series[1],
		                 		'remarks' => $series[4]
		                 	]);
	                 	}else{
		                 	MRproduct::create([
		                 		'material_requisition_id' => $request->get('mr_id'),
		                 		'product_id' => $series[0],
		                 		'qty' => $series[3],
		                 		'unit_id' => $series[1],
		                 		'grade_id' => $series[2],
		                 		'remarks' => $series[4]
		                 	]);
	                 	}

	             	}
	             	if($i > 400)
	                 	break;
	         	}

	         	fclose($fp);
	         	$response["success"] = "Success";
	     	} else {
	     		// error file upload
	     		$response["success"] = "File Not Found";
	     	}
		} else {
			// error user id and mr id
			$response["success"] = "User Id Not Found";
		}

		echo json_encode($response); 
	}

	public function mrRecievedProduct(Request $request)
	{
		if($request->get('userId') AND $request->get('mr_id')) {
			$user = User::find($request->get('userId'));
			if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
                $delsql = MRreceivedproduct::where('material_requisition_id','=',$request->get('mr_id'))->delete();
                $i =0;
       			$fp = fopen($_FILES['filename']['tmp_name'], "r");
                while( !feof($fp) ) {
                    if( !$line = fgetcsv($fp, 1000, ';', '"')) {
                    	continue;
                    }
                    $i++;
                    $series = explode(",",$line[0]);
                    if($series[0] > 0 && $series[3] >0)
                    {
                        $req_qty = $apr_qty = $req_unit_id = $req_grade_id = $apr_unit_id = $apr_grade_id = 0;
                        $mr_products = MRproduct::where('material_requisition_id','=',$request->get('mr_id'))
                        				->where('product_id','=',$series[0])->first();
                                    
                        $mr_apr_products = MRapprovalproduct::where('material_requisition_id','=',$request->get('mr_id'))
                        					->where('product_id','=',$series[0])->first();
                        if ($series[2] == -1 || $series[2] == null) {
                        	MRreceivedproduct::create([
                        		'material_requisition_id' => $request->get('mr_id'),
                        		'product_id' => $series[0],
                        		'rec_qty' => $series[3],
                        		'unit_id' => $series[1],
                        		'remarks' => $series[4],
                        		'req_qty' => $mr_products->qty,
                        		'req_unit_id' => $mr_products->unit_id,
                        		'req_grade_id' => (is_null($mr_products->grade_id))? 0 : $mr_products->grade_id,
                        		'apr_qty' => $mr_apr_products->qty,
                        		'apr_unit_id' => $mr_apr_products->unit_id,
                        		'apr_grade_id' => $mr_apr_products->grade_id,
                        		'created_at' => date('Y-m-d H:i:s')
                        	]);
                            
                        }else{
                        	MRreceivedproduct::create([
                        		'material_requisition_id' => $request->get('mr_id'),
                        		'product_id' => $series[0],
                        		'rec_qty' => $series[3],
                        		'unit_id' => $series[1],
                        		'grade_id' => $series[2],
                        		'remarks' => $series[4],
                        		'req_qty' => $mr_products->qty,
                        		'req_unit_id' => $mr_products->unit_id,
                        		'req_grade_id' => (is_null($mr_products->grade_id))? 0 : $mr_products->grade_id,
                        		'apr_qty' => $mr_apr_products->qty,
                        		'apr_unit_id' => $mr_apr_products->unit_id,
                        		'apr_grade_id' => $mr_apr_products->grade_id,
                        		'created_at' => date('Y-m-d H:i:s')
                        	]);
                            
                        }
                        
                    }
                    if($i > 100)
                        break;
                }

                fclose($fp);

                $date = new DateTime('now', new DateTimeZone('Asia/Muscat'));
                $current_time= $date->format('Y-m-d H:i:s');
	            $today = $date->format('Y-m-d');
                $query =  MaterialRequisition::where('id','=',$request->get('mr_id'))
                				->update([
                					'status' => 'REC',
                					'recieved_date' => date('Y-m-d'),
                					'recieved_time' => date('Y-m-d H:i:s')
                				]);
                if($query)
                {
                    $response["success"] = "Success";
                }
                else
                {
                     $response["success"] = "Failed";
                }
                        
			}
		} else {
			// error user id and mr id
			$response["success"] = "User Id Not Found";
		}
		echo json_encode($response); 
	}

	public function mrNotification(Request $request)
	{
		$json_request = array();
		if($request->get('userId')) {
			$user = User::find($request->get('userId'));
			if($user) {
				$customer = Customer::find($user->customer_id);
				if($customer) {
					$notitications = Notification::join('notification_types','notification_types.notification_id','=','notifications.id')->join('common','common.id','=','notifications.offer_type')
						->where('notifications.valid_from','<=',date('Y-m-d'))
						->where('notifications.valid_to','>=',date('Y-m-d'))
						->where('notification_types.customer_type_id','=',$customer->customer_type_id)
						->get();
					$row_array = array();
					foreach ($notitications as $row_noti) {
						$status = 'UNREAD';
						$noti_status = NotificationStatus::where('notification_id','=',$row_noti->id)
										->where('customer_id','=',$customer->id)
										->first();
						if($noti_status) {
							$status = $noti_status->status;
						}

						$row_array['id'] = $row_noti->id;
						$row_array['matter'] = $row_noti->matter;
						$row_array['status'] = $status;
						$row_array['entered_date'] = date('d-m-Y',strtotime($row_noti->entered_on));
						$row_array['type']  = $row_noti->name;
						$row_array['product_id'] = -1;
						$row_array['grade_id'] = -1;
						$row_array['unit_id'] = -1;	

						if($row_noti->notification_type == 'P') {
							$notifiction_products = ProductNotification::join('products','products.id','=','product_notifications.product_id')->leftJoin('unit_of_measurement','unit_of_measurement.id','=','product_notifications.unit_id')->leftJoin('grade_master','grade_master.id','=','product_notifications.grade_id')->leftJoin('standard_master','standard_master.id','=','product_notifications.standard_id')->where('product_notifications.notification_id','=',$row_noti->id)->selectRaw('product_notifications.product_id,products.name,product_notifications.grade_id,product_notifications.unit_id,unit_of_measurement.unit,grade_master.grade,product_notifications.offer_price,standard_master.standard')->get();

							foreach($notifiction_products as $find_prod) {
								$row_array['product_id'] = $find_prod->product_id;
								$row_array['grade_id'] = $find_prod->grade_id;
								$row_array['unit_id'] = $find_prod->unit_id;
								$row_array['product_name'] = $find_prod->name;
								$row_array['grade'] = $find_prod->grade;
								$row_array['packing'] = $find_prod->standard;
								$row_array['unit'] = $find_prod->unit;
								$row_array['offer_price'] = $find_prod->offer_price;
							}
						}

						array_push($json_request,$row_array);
					}
				}
			}
		} else {

		}

		echo json_encode($json_request); 
	}

	public function notificationInsert(Request $request)
	{
		if($request->get('tag') == 'getInsertNotification') {
			$list = $request->get('list');
			$val =  preg_replace('~[{\\\\/*?"<>|}]~', ' ', $list);
			$myArray = explode(':', $val);
			$user_id = $myArray[0];
			$user = User::find($user_id);
			$notifictions = explode(',', $myArray[1]);
			foreach ($notifictions as  $notif) {
				$notifi = NotificationStatus::create([
					'notification_id' => $notif,
					'customer_id' => $user->customer_id,
					'status' => 'READ'
				]);
			    
			    if($notifi) {
			    	$response["success"] = "true";
			    	$response["message"] = "Saved succesfully";

			    	header('Content-type: application/json');
			    	echo json_encode($response); 
			    }
			   
			}
		}
	}

	public function customerMRList(Request $request)
	{
		if($request->get('tag') == 'getMRList') {
			if($request->get('userId')) {
				$material_requisitions = MaterialRequisition::where('entered_by','=',$request->get('userId'));
				if($request->get('status') == 'REQ') {
					$material_requisitions = $material_requisitions->whereNotIn('status',['PR','DRT','REC','APR','CMP']);
				} elseif($request->get('status') == 'APR') {
					$material_requisitions = $material_requisitions->whereNotIn('status',['PR','DRT','REC','REQ'])
					->where('request_date','>=',date('Y-m-d',strtotime('-7 days')));
				} else {
					$material_requisitions = $material_requisitions->whereNotIn('status',['PR','DRT','REC','CMP']);
				}
				$material_requisitions = $material_requisitions->get();
				
				$json_request = array();  
				$row_array = array();
				$row_array2 = array();

				foreach($material_requisitions as $row_mr) {
					$row_array = array();
					$row_array['mr_id'] = $row_mr->id;
					$row_array['mr_date'] = date('d-m-Y',strtotime($row_mr->request_date));
					$row_array['mr_no'] = $row_mr->request_no;
					$row_array['status'] = $row_mr->status;
					$row_array['customername'] = utf8_encode($row_mr->name);
					$row_array['delivery_date'] = (is_null($row_mr->delivery_date))? '' : date('d-m-Y',strtotime($row_mr->delivery_date));
					$extra = 0;
					if($row_array['status'] == 'APR') {
						$old_products = MRproduct::join('products','products.id','=','mr_products.product_id')
										->join('mr_approval_products','mr_products.id','=','mr_approval_products.mr_product_id')
										->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
										->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
										->selectRaw('mr_products.unit_id,mr_approval_products.qty,mr_products.price as price,mr_products.qty as reqqty,mr_products.grade_id,mr_products.product_id,
                     products.name , unit_of_measurement.unit ,grade_master.grade, mr_products.remarks')
										->where('mr_products.material_requisition_id','=',$row_mr->id)
										->get();

						$new_products = MRapprovalproduct::join('products','products.id','=','mr_approval_products.product_id')
										->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
										->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
										->where('mr_approval_products.material_requisition_id','=',$row_mr->id)
										->whereNull('mr_approval_products.mr_product_id')
										->selectRaw('mr_approval_products.unit_id,mr_approval_products.qty,0 as reqqty,mr_approval_products.grade_id,mr_approval_products.product_id,products.name , unit_of_measurement.unit ,grade_master.grade,mr_approval_products.remarks')
										->get();
						$row_array['productcount'] = count($old_products) + count($new_products);
					} else {
						$old_products = MRproduct::join('products','products.id','=','mr_products.product_id')
										->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
										->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
										->selectRaw('mr_products.*, products.name , unit_of_measurement.unit ,grade_master.grade , mr_products.remarks')
										->where('mr_products.material_requisition_id','=',$row_mr->id)
										->get();
						$row_array['productcount'] = count($old_products);
					}

					foreach ($old_products as $row_product) {
						 $row_array2 = array();
						 if($row_array['status'] == 'APR')
						 {
						     $row_array2['reqqty'] = $row_product->reqqty; 
						     $row_array2['qty'] = $row_product->qty;
						     if($row_array['status'] == 'APR') 
						     {
						         $product_id = $row_product->product_id;
						         $unit_id = $row_product->unit_id;
						         $grade_id = (is_null($row_product->grade_id))? 0 :$row_product->grade_id;
						         $row_array2['recqty'] = 0;   
						     }
						 }else{
						     $row_array2['reqqty'] = 0;
						     $row_array2['qty'] = $row_product->qty;
						     $row_array2['recqty'] = 0;
						 }
						

						$row_array2['product_id'] = $row_product->product_id; 
						$row_array2['productname'] = $row_product->name; 
						$row_array2['unit_id'] = $row_product->unit_id; 
						$row_array2['grade_id'] = $row_product->grade_id;
						$row_array2['unit'] = $row_product->unit; 
						$row_array2['grade'] = $row_product->grade; 
						$row_array2['remarks'] = $row_product->remarks;
						$row_array2['price'] = $row_product->price; 
						array_push($row_array,$row_array2); 
					}

					if($row_array['status'] == 'APR'){
						foreach($new_products as $row_product) {
							 $row_array2 = array();
							 $row_array2['reqqty'] = 0; 
							 $row_array2['qty'] = $row_product->qty;

							 $product_id = $row_product->product_id;
							 $unit_id = $row_product->unit_id;
							 $grade_id = (is_null($row_product->grade_id))? 0 : $row_product->grade_id;

							$row_array2['recqty'] = 0;					  

							$row_array2['product_id'] = $row_product->product_id; 
							$row_array2['productname'] = $row_product->name; 
							$row_array2['unit_id'] = $row_product->unit_id; 
							$row_array2['grade_id'] = $row_product->grade_id;
							$row_array2['unit'] = $row_product->unit; 
							$row_array2['grade'] = $row_product->grade;
							$row_array2['remarks'] = $row_product->remarks; 
							$row_array2['price'] = 0;  
							
							array_push($row_array,$row_array2);
						}
					}

					array_push($json_request,$row_array); 
				}

				echo json_encode($json_request); 
			}
		}
	}

}
