<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\MaterialRequisition;
use App\MRproduct;
use App\Product;
use App\ProductGrade;
use App\ProductUnit;
use App\CustomerProduct;
use App\GradeMaster;
use App\UnitMeasurement;
use App\MRapprovalproduct;
use App\Customer;
use Auth;


class MrApprovalController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }
	
    public function listMR()
    {

    	$requests =  MaterialRequisition::join('customers', 'customers.id','=','material_requisition.customer_id')
                                        ->join('customer_type', 'customers.customer_type_id','=','customer_type.id') 
    								    ->join('locations', 'locations.id','=','material_requisition.location_id') 
    								    ->join('user_type', 'user_type.customer_type_id','=','customers.customer_type_id')
    								    ->where('user_type.user_id', '=' , Auth::user()->id)
    								    ->where('material_requisition.status' ,'=', 'REQ')
    								    ->select('material_requisition.id','material_requisition.request_no','material_requisition.request_date','material_requisition.created_at','material_requisition.updated_at', 'customers.name','customer_type.name as type','locations.location')
    								    ->get();
        
        $chk_duplication    =  MaterialRequisition::join('customers', 'customers.id','=','material_requisition.customer_id')
                                                  ->join('customer_type', 'customers.customer_type_id','=','customer_type.id') 
                                                  ->join('locations', 'locations.id','=','material_requisition.location_id') 
                                                  ->join('user_type', 'user_type.customer_type_id','=','customers.customer_type_id')
                                                  ->where('user_type.user_id', '=' , Auth::user()->id)
                                                  ->where('material_requisition.status' ,'=', 'REQ')
                                                  ->selectRaw("customers.name,material_requisition.request_date,'material_requisition.created_at','material_requisition.updated_at',count(customers.name) as rept")
                                                  ->groupBy('customers.name','material_requisition.request_date','material_requisition.created_at','material_requisition.updated_at')
                                                  ->get();
                                                  
        foreach($requests as $request) {
            $repeat = $chk_duplication->where('name','=',$request->name)->where('request_date','=',$request->request_date)->first();
            $request->dup = $repeat->rept;
        }
		return view('mrapproval/index',compact('requests'));
    }

    public function edit($id)
    {
        $mr = MaterialRequisition::find($id);
        if(!$mr){
            return redirect()->to('mrapproval/index')->with(['notfound' => true]);
        }

        if($mr->status == "REQ") {

            $mr_products = MRproduct::where('material_requisition_id','=',$id)->whereNull('deleted_at')->get();

            if($mr->customer->customer_type_id == 3)
            {
            $customer_products = Product::where('is_active','=','Y')->whereIn('id',$mr->customer->customerProduct->pluck('product_id'))->selectRaw('id,name,code')->get();

             $product_grades = ProductGrade::whereIn('product_id',$mr->customer->customerProduct->pluck('product_id'))->get();

             $product_units = ProductUnit::whereIn('product_id',$mr->customer->customerProduct->pluck('product_id'))->get();

            }else{
                $customer_products =  Product::where('is_active','=','Y')->selectRaw('id,name,code')->get();
                $cus_array = Product::where('is_active','=','Y')->pluck('id')->toArray();
                $product_grades = ProductGrade::whereIn('product_id',$cus_array)->get();
                $product_units = ProductUnit::whereIn('product_id',$cus_array)->get();
            } 

            $grades = [];
            foreach($product_grades as $pgrd) {
              $grades[] = ['id' => $pgrd->grade_id,
                           'product_id' => $pgrd->product_id,
                           'grade' => $pgrd->grade->grade
                          ];
            }
            
            $units = [];
            foreach($product_units as $punt) {
                $units[] = ['id' => $punt->unit_id,
                            'product_id' => $punt->product_id,
                            'unit' => $punt->unitMaster->unit
                            ];
            }
            
            return view('mrapproval/edit',compact('mr_products','customer_products','grades','units','mr'));
        }
        
        return redirect()->to('mrapproval/index')->with(['notfound' => true]);
        
    }


    public function customerProductGet(Request $requests)
    {
        $customerType = Customer::find($requests->get('customer_id'))->customer_type_id;

        if($customerType == 3)
        {
            $customer_product = CustomerProduct::where('customer_id','=',$requests->get('customer_id'))->pluck('product_id');
            $products = Product::where('is_active','=','Y')->whereIn('id',$customer_product)->selectRaw('id,name,code')->get();

            $product_grades = ProductGrade::whereIn('product_id',$customer_product)->get();
            $product_units = ProductUnit::whereIn('product_id',$customer_product)->get();
       }else{
                $products =  Product::where('is_active','=','Y')->selectRaw('id,name,code')->get();
                $cus_array = Product::where('is_active','=','Y')->pluck('id')->toArray();
                $product_grades = ProductGrade::whereIn('product_id',$cus_array)->get();
                $product_units = ProductUnit::whereIn('product_id',$cus_array)->get();
       }
        $grades = [];
        foreach($product_grades as $pgrd) {
          $grades[] = ['id' => $pgrd->grade_id,
                       'product_id' => $pgrd->product_id,
                       'grade' => $pgrd->grade->grade
                      ];
        }
      
        $units = [];
        foreach($product_units as $punt) {
            $units[] = ['id' => $punt->unit_id,
                        'product_id' => $punt->product_id,
                        'unit' => $punt->unitMaster->unit
                        ];
        }
        $data[0]=json_encode($products);
        $data[1]=json_encode($grades);
        $data[2]=json_encode($units);
        return $data;
    }

    public function customerUnitGet(Request $requests)
    {
        $porduct_grades = ProductGrade::where('product_id','=',$requests->get('product_id'))->pluck('grade_id');
        $grades = [];
        $grades = GradeMaster::whereIn('id',$porduct_grades)->selectRaw('id,grade')->get();
        
        $product_units = ProductUnit::where('product_id','=',$requests->get('product_id'))->pluck('unit_id');
        $units = [];
        $units = UnitMeasurement::whereIn('id',$product_units)->selectRaw('id,unit')->get();
        

        $data[0]=json_encode($grades);
        $data[1]=json_encode($units);
        return $data;
    }

    public function customerGradeGet(Request $requests)
    {
        $porduct_grades = ProductGrade::where('product_id','=',$requests->get('product_id'))->pluck('grade_id');
        $grades = [];
        $grades = GradeMaster::whereIn('id',$porduct_grades)->selectRaw('id,grade')->get();
        $data = json_encode($grades);
        return $data;
    }
    public function edit1($id)
    {  
    	$products = MRproduct::where('material_requisition_id' , '=' , $id)->get();

        $productList = Product::select('id','name')->get();
        
       //die($products[0]->Product->units);

    	 return view('mrapproval/addMore' ,compact('products','productList'));
    }

    public function removeMRPorduct(Request $requests)
    {
    	$delete = MRproduct::where('id','=',$requests->get('mpid'))->update(['deleted_at' => date('Y-m-d H:i:s')]);
    	return $delete;
    }

    public function mrApproved($id, Request $requests)
    {
        $mr_apred = MaterialRequisition::where('id','=',$id)->where('status','=','APR')->count();
        if($mr_apred  == 1) {
            return redirect()->route('mrapproval.index')->with(['update' => true]);
        }
        $mr_products = MRproduct::where('material_requisition_id','=',$id)->whereNull('deleted_at')->pluck('id');
    	
    	foreach($mr_products as $mr_p) {
            $price = MRproduct::find($mr_p)->price;
            MRapprovalproduct::updateOrCreate(['mr_product_id' => $mr_p], [ 
                'material_requisition_id' => $id,
                'product_id' => $requests->get('product'.$mr_p),
                'qty' => $requests->get('qty'.$mr_p),
                'unit_id' => $requests->get('unit'.$mr_p),
                'grade_id' => $requests->get('grade'.$mr_p),
                'price' => $price
            ]);
    		// MRapprovalproduct::create([
    		// 	'material_requisition_id' => $id,
    		// 	'product_id' => $requests->get('product'.$mr_p),
    		// 	'qty' => $requests->get('qty'.$mr_p),
    		// 	'unit_id' => $requests->get('unit'.$mr_p),
    		// 	'grade_id' => $requests->get('grade'.$mr_p),
    		// 	'mr_product_id' => $mr_p
    		// ]);
    	}
        if(!is_null($requests->get('products'))){
            $i = 0;
            foreach($requests->get('products') as $value) {
                MRapprovalproduct::create([
                    'material_requisition_id' => $id,
                    'product_id' => $requests->get('products')[$i],
                    'qty' => $requests->get('qtys')[$i],
                    'unit_id' => $requests->get('units')[$i],
                    'grade_id' => $requests->get('grades')[$i]
                ]);
                $i++;
            }
        }


    	MaterialRequisition::where('id','=',$id)->update(['status' => 'APR','approved_date' => date('Y-m-d')]);
    	return redirect()->route('mrapproval.index')->with(['update' => true]);
    }

    public function mrApprovedList()
    {
        $requests =  MaterialRequisition::join('customers', 'customers.id','=','material_requisition.customer_id')
                                    ->join('customer_type', 'customers.customer_type_id','=','customer_type.id') 
                                    ->join('user_type', 'user_type.customer_type_id','=','customers.customer_type_id')
                                    ->where('user_type.user_id', '=' , Auth::user()->id)
                                    ->where('material_requisition.status' ,'=', 'APR')
                                     ->where('material_requisition.pr_status' ,'=', 0)
                                    ->select('material_requisition.id','material_requisition.request_no','material_requisition.request_date', 'customers.name','customer_type.name as type')
                                    ->get();
        return view('mrapproval/approved',compact('requests'));
    }

    public function mrApprovedShow($id)
    {
        $mr_apr_products = MRapprovalproduct::where('material_requisition_id','=',$id)->get();

        return view('mrapproval/show_products',compact('mr_apr_products'));
    }

    public function cancelApproval($id)
    {
        $mr = MaterialRequisition::find($id);
        if(!$mr){
            return redirect()->to('mr/approved/list')->with(['notfound' => true]);
        }
        if($mr->status == 'APR') {
            MRapprovalproduct::where('material_requisition_id','=',$id)
                ->delete();
            $mr->status = 'REQ';
            $mr->approved_date = NULL;
            $mr->save();
        } else {
            return redirect()->to('mr/approved/list')->with(['notfound' => true]);
        }

        return redirect()->to('mr/approved/list')->with(['cancel' => true]);
    }

    public function editApprovedProducts($id)
    {
        $mr = MaterialRequisition::find($id);
        if(!$mr) {
            return redirect()->to('mr/approved/list')->with(['notfound' => true]);
        }
        if ($mr->status != 'APR') {
            return redirect()->to('mr/approved/list')->with(['notfound' => true]);
        } else {
            $mr_products = MRapprovalproduct::where('material_requisition_id','=',$id)->get();
            if($mr->customer->customer_type_id == 3)
            {
             $customer_products = Product::where('is_active','=','Y')->whereIn('id',$mr->customer->customerProduct->pluck('product_id'))->selectRaw('id,name,code')->get();

             $product_grades = ProductGrade::whereIn('product_id',$mr->customer->customerProduct->pluck('product_id'))->get();

             $product_units = ProductUnit::whereIn('product_id',$mr->customer->customerProduct->pluck('product_id'))->get();

            }else{
                $customer_products =  Product::where('is_active','=','Y')->selectRaw('id,name,code')->get();
                $cus_array = Product::where('is_active','=','Y')->pluck('id')->toArray();
                $product_grades = ProductGrade::whereIn('product_id',$cus_array)->get();
                $product_units = ProductUnit::whereIn('product_id',$cus_array)->get();
            } 

            $grades = [];
            foreach($product_grades as $pgrd) {
              $grades[] = ['id' => $pgrd->grade_id,
                           'product_id' => $pgrd->product_id,
                           'grade' => $pgrd->grade->grade
                          ];
            }
            
            $units = [];
            foreach($product_units as $punt) {
                $units[] = ['id' => $punt->unit_id,
                            'product_id' => $punt->product_id,
                            'unit' => $punt->unitMaster->unit
                            ];
            }
            
            return view('mrapproval/approved_product_edit',compact('mr_products','customer_products','grades','units','mr'));
        }

    }


    public function removeMRapprovedPorduct(Request $requests)
    {
        $mr_apr_product = MRapprovalproduct::where('id','=',$requests->get('mpid'))->first();
        if(!is_null($mr_apr_product->mr_product_id)) {
            MRproduct::where('id','=',$mr_apr_product->mr_product_id)->update(['deleted_at' => date('Y-m-d H:i:s')]);
        }
        
        $delete = MRapprovalproduct::where('id','=',$requests->get('mpid'))->delete();
            return $delete;
        
    }

    public function update($id, Request $requests)
    {
        $mr_apr_products = MRapprovalproduct::where('material_requisition_id','=',$id)->pluck('id');

        foreach($mr_apr_products as $mr_p) {
            MRapprovalproduct::where('material_requisition_id','=',$id)
                ->where('id','=',$mr_p)
                ->where('product_id','=',$requests->get('product'.$mr_p))
                ->update([
                'qty' => $requests->get('qty'.$mr_p),
                'unit_id' => $requests->get('unit'.$mr_p),
                'grade_id' => $requests->get('grade'.$mr_p)
            ]);
        }
        if(!is_null($requests->get('products'))){
            $i = 0;
            foreach($requests->get('products') as $value) {
                MRapprovalproduct::create([
                    'material_requisition_id' => $id,
                    'product_id' => $requests->get('products')[$i],
                    'qty' => $requests->get('qtys')[$i],
                    'unit_id' => $requests->get('units')[$i],
                    'grade_id' => $requests->get('grades')[$i]
                ]);
                $i++;
            }
        }

        return redirect()->route('mr.approved.list')->with(['update' => true]);
    }


    
}