<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\MaterialRequisitionSea;
use App\MRseaproduct;
use App\Product;
use App\ProductGrade;
use App\ProductUnit;
use App\CustomerProduct;
use App\GradeMaster;
use App\UnitMeasurement;
use App\MRseaapprovalproduct;
use App\Customer;
use App\MRseaproductschedule;
use App\MRseacomment;
use App\Common;
use App\MRseaapprovedproductschedule;
use App\POSeaProducts;
use App\Pallet;
use App\MRseaproductscheduleChange;
use Auth;


class MrApprovalSeaController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function listMR()
    {
    	$requests =  MaterialRequisitionSea::whereIN('status',['REQ','DRQ'])->get();
                                    // join('customers', 'customers.id','=','material_requisition_sea.customer_id')
    								// ->join('customer_type', 'customers.customer_type_id','=','customer_type.id') 
    								// ->join('user_type', 'user_type.customer_type_id','=','customers.customer_type_id')
    								//->where('material_requisition_sea.status' ,'=', 'REQ')
    								// ->select('material_requisition_sea.id','material_requisition_sea.request_no','material_requisition_sea.request_date', 'customers.name','customer_type.name as type')
    								//->get();
        
        // $chk_duplication    =  MaterialRequisitionSea::join('customers', 'customers.id','=','material_requisition_sea.customer_id')
        //                         ->join('customer_type', 'customers.customer_type_id','=','customer_type.id') 
        //                         ->join('user_type', 'user_type.customer_type_id','=','customers.customer_type_id')
        //                         ->where('material_requisition_sea.status' ,'=', 'REQ')
        //                         ->selectRaw("customers.name,material_requisition_sea.request_date,count(customers.name) as rept")
        //                         ->groupBy('customers.name','material_requisition_sea.request_date')
        //                         ->get();

        // foreach($requests as $request) {
        //     $repeat = $chk_duplication->where('name','=',$request->name)->where('request_date','=',$request->request_date)->first();
        //     $request->dup = $repeat->rept;
        // }

        return view('mrapprovalsea/index',compact('requests'));
    }


    public function edit($id)
    {
        $mr = MaterialRequisitionSea::find($id);
        if(!$mr){
            return redirect()->to('sea/mrapproval/index')->with(['notfound' => true]);
        }

        if($mr->status == "REQ" || $mr->status == "DRQ") {
            if($mr->status == "REQ") {
                //clear
                MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->whereNotNull('deleted_at')->update([
                    'deleted_at' => NULL]);
                MRseaapprovedproductschedule::where('material_requisition_sea_id','=',$id)->whereNotNull('deleted_at')->update(['deleted_at' => NULL]);
                $not_save_in_apr = MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->where('mr_sea_product_id','=',0)->pluck('id')->toArray();
                MRseaapprovedproductschedule::where('material_requisition_sea_id','=',$id)->whereIn('mr_sea_approval_product_id',$not_save_in_apr)->delete();
                MRseaapprovalproduct::whereIn('id',$not_save_in_apr)->delete();
                
                MRseaproductschedule::whereIn('mr_sea_product_id',$not_save_in_apr)->delete();
                
                MRseaproductscheduleChange::where('material_requisition_sea_id','=',$id)->where('flag_key','=','BFR-DRFT')->delete();
                // end clear
            }
            // $mr_products = MRseaproduct::where('material_requisition_sea_id','=',$id)->whereNull('deleted_at')->get();
            $mr_products = MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->get();

            if($mr->customer->customer_type_id == 3)
            {
            $customer_products = Product::whereIn('id',$mr->customer->customerProduct->pluck('product_id'))->selectRaw('id,name,code')->get();

             $product_grades = ProductGrade::whereIn('product_id',$mr->customer->customerProduct->pluck('product_id'))->get();

             $product_units = ProductUnit::whereIn('product_id',$mr->customer->customerProduct->pluck('product_id'))->get();

            }else{
                $customer_products =  Product::selectRaw('id,name,code')->get();
                $cus_array = Product::pluck('id')->toArray();
                $product_grades = ProductGrade::whereIn('product_id',$cus_array)->get();
                $product_units = ProductUnit::whereIn('product_id',$cus_array)->get();
            } 

            $grades = [];
            foreach($product_grades as $pgrd) {
              $grades[] = ['id' => $pgrd->grade_id,
                           'product_id' => $pgrd->product_id,
                           'grade' => $pgrd->grade->grade
                          ];
            }
            
            $units = [];
            foreach($product_units as $punt) {
                $units[] = ['id' => $punt->unit_id,
                            'product_id' => $punt->product_id,
                            'unit' => $punt->unitMaster->unit
                            ];
            }
            $mr_sea_cmts = MRseacomment::where('material_requisition_sea_id','=',$id)->get();

            ///products
            $customerType = $mr->customer->customer_type_id;
            
            if($customerType == 3)
            {
            $cus_prd = CustomerProduct::where('customer_id','=',$customer)->pluck('product_id')->toArray();
            $prd = Product::whereIN('id',$cus_prd)
                          ->get();
            }else{
                $prd = Product::all();
            }
            /////////////////////////

            $month = date("01-M-Y");
            for($i = 1; $i <=12; $i++) {
                $months[] = date("01-M-Y", strtotime($month."+".$i." month"));
            }
            
            return view('mrapprovalsea/edit',compact('mr_products','customer_products','grades','units','mr','mr_sea_cmts','prd','months'));
        }
        
        return redirect()->to('sea/mrapproval/index')->with(['notfound' => true]);
        
    }

    public function meProductSchedules(Request $request)
    {
        $product_schedules  = MRseaapprovedproductschedule::where('product_id','=',$request->get('option'))
                                    ->where('material_requisition_sea_id','=',$request->get('mrid'))
                                    ->where('grade_id','=',$request->get('grdid'))
                                    ->where('scheduled_date','>=',date('Y-m-01'))
                                    ->orderBy('scheduled_date')
                                    ->get();

        $sch_table = '';
        $s = 1;
        foreach($product_schedules as $sch) {
            $g = (is_null($sch->grade_id))? '-' : $sch->grade->grade;

            $schedules = MRseaproductscheduleChange::where('material_requisition_sea_id','=',$sch->material_requisition_sea_id)->where('mrseaproduct_schedule_id','=',$sch->id)->latest()->first();
            if($schedules) {
              $scheduled_date = date('d-M-Y',strtotime($schedules->scheduled_date));
            }  else {
                $scheduled_date = date('d-M-Y',strtotime($sch->scheduled_date));
            }
            $sch_table= $sch_table.'<tr id="'.$sch->id.'"><td>'.$s++.'</td><td>'.$sch->materialRequest->request_no.'</td><td>'.'<input type="text" name="schd_date" autocomplete="off"  class="form-control datepicker schd_date" value="'.$scheduled_date.'" required="required">'.'</td><td>'.$sch->unit->unit.'</td><td>'.$g.'</td><td>'.$sch->qty.'</td></tr>';
        }

        return $sch_table;
    }

    public function meProductSchedulesRecalc(Request $request)
    {
        $product_schedules  = MRseaapprovedproductschedule::where('product_id','=',$request->get('option'))
                                    ->where('material_requisition_sea_id','=',$request->get('mrid'))
                                    ->where('grade_id','=',$request->get('grdid'))
                                    ->where('scheduled_date','>=',date('Y-m-01'))
                                    ->orderBy('scheduled_date')
                                    ->get();

        $schdes = [];
        $pr_insert = MRseaapprovalproduct::find($product_schedules[0]->mr_sea_approval_product_id);
        $schedule = $pr_insert->schedule_id;
        $qty = $request->get('newqty');
        $sqty = (int) ($qty/$schedule);
        $rqty = $qty % $schedule;
        $end_date = date("Y-m-t", strtotime($pr_insert->requested_month));
        $start_date = date("Y-m-01", strtotime($pr_insert->requested_month));
        $rm_qty = $qty;
        $intrvl = (int) (30/$schedule);
        $scd_date = date("Y-m-01", strtotime($start_date));
        for ($i=1; $i <= $schedule && $scd_date < $end_date; $i++) { 
            $schdes[date('d-m-Y', strtotime($scd_date))] = $sqty;
            $scd_date = date('Y-m-d', strtotime($scd_date."+".$intrvl." days"));
            $rm_qty = $rm_qty - $sqty;
        }
        if($rm_qty > 0)
        {   
            $schdes[date('d-m-Y', strtotime($start_date))] = $schdes[date('d-m-Y', strtotime($start_date))] + $rm_qty;
        }
        
        $sch_table = '';
        $s = 1;
        foreach ($schdes as $key => $value) {
            $g = (is_null($product_schedules[0]->grade_id))? '-' : $product_schedules[0]->grade->grade;

            $sch_table= $sch_table.'<tr><td>'.$s++.'</td><td>'.$product_schedules[0]->materialRequest->request_no.'</td><td>'.$key.'</td><td>'.$product_schedules[0]->unit->unit.'</td><td>'.$g.'</td><td>'.$value.'</td></tr>';

        }
        
        return $sch_table;
    }


    public function createApprovedProductSchedule($x,$pr_insert,$sea_mr_prdt)
    {
        
        $schedule = $pr_insert->schedule_id;
        $qty = $pr_insert->qty;
        $sqty = (int) ($qty/$schedule);
        $rqty = $qty % $schedule;
        $end_date = date("Y-m-t", strtotime($pr_insert->requested_month));
        $start_date = date("Y-m-01", strtotime($pr_insert->requested_month));
        $rm_qty = $qty;
        $intrvl = (int) (30/$schedule);
        $scd_date = date("Y-m-01", strtotime($start_date));
        for ($i=1; $i <= $schedule && $scd_date < $end_date; $i++) { 
            MRseaapprovedproductschedule::create([
                    'material_requisition_sea_id' => $x,
                    'mr_sea_approval_product_id' => $pr_insert->id,
                    'product_id' => $pr_insert->product_id,
                    'unit_id' => $pr_insert->unit_id,
                    'grade_id' => $pr_insert->grade_id,
                    'qty' => $sqty,
                    'scheduled_date' => date('Y-m-d', strtotime($scd_date))
            ]);
            $scd_date = date('Y-m-d', strtotime($scd_date."+".$intrvl." days"));
            $rm_qty = $rm_qty - $sqty;
        }
        if($rm_qty > 0)
        {   
            MRseaapprovedproductschedule::where('material_requisition_sea_id','=',$x)
                ->where('product_id','=',$pr_insert->product_id)
                ->where('unit_id','=',$pr_insert->unit_id)
                ->where('grade_id','=',$pr_insert->grade_id)
                ->where('mr_sea_approval_product_id','=',$pr_insert->id)
                ->where('scheduled_date','=',$start_date)
                ->increment('qty',$rm_qty);
        }
        
         
    }

    public function mrApproved($id, Request $requests)
    {
        if (isset($_POST['draft'])) {
            MaterialRequisitionSea::where('id','=',$id)->update(['status' => 'DRQ']);  
            
            $mr_products = MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->whereNull('deleted_at')->get();
            foreach($mr_products as $mr_p) {
                if($mr_p->qty != $requests->get('qty'.$mr_p->id)) {

                    $sea_schds = MRseaapprovedproductschedule::where('mr_sea_approval_product_id','=',$mr_p->id)
                                    ->where('material_requisition_sea_id','=',$mr_p->material_requisition_sea_id)
                                    ->pluck('id')->toArray();

                    MRseaproductscheduleChange::whereIn('mrseaproduct_schedule_id',$sea_schds)->delete();
                    MRseaapprovedproductschedule::where('mr_sea_approval_product_id','=',$mr_p->id)
                                    ->where('material_requisition_sea_id','=',$mr_p->material_requisition_sea_id)
                                    ->delete();

                    $mr_apr_prd   = MRseaapprovalproduct::create([
                                        'material_requisition_sea_id' => $id,
                                        'product_id' => $requests->get('product'.$mr_p->id),
                                        'qty' => $requests->get('qty'.$mr_p->id),
                                        'unit_id' => $requests->get('unit'.$mr_p->id),
                                        'grade_id' => $requests->get('grade'.$mr_p->id),
                                        'requested_month' => $mr_p->requested_month,
                                        'schedule_id'   =>  $mr_p->schedule_id,
                                        'mr_sea_product_id' => $mr_p->id
                                    ]);

                    $this->createApprovedProductSchedule($id,$mr_apr_prd,$mr_p);
                }
            }
                
            $sea_prodct_schls = MRseaproductscheduleChange::where('material_requisition_sea_id','=',$id)->update(['flag_key' => 'AFT-DRFT']);
            MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->whereNotNull('deleted_at')->delete();
            MRseaapprovedproductschedule::where('material_requisition_sea_id','=',$id)
                                        ->whereNotNull('deleted_at')->delete();

            return redirect()->route('sea.mrapproval.index')->with(['update' => true]);
        }
        
        $mr_products = MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->whereNull('deleted_at')->get();
        
        foreach($mr_products as $mr_p) {
            
            if($mr_p->qty != $requests->get('qty'.$mr_p->id)) {
                    $sea_schds = MRseaapprovedproductschedule::where('mr_sea_approval_product_id','=',$mr_p->id)
                                    ->where('material_requisition_sea_id','=',$mr_p->material_requisition_sea_id)
                                    ->pluck('id');

                    MRseaproductscheduleChange::whereIn('mrseaproduct_schedule_id',$sea_schds)->delete();
                    MRseaapprovedproductschedule::where('mr_sea_approval_product_id','=',$mr_p->id)
                                    ->where('material_requisition_sea_id','=',$mr_p->material_requisition_sea_id)
                                    ->delete();

                    $mr_apr_prd   = MRseaapprovalproduct::create([
                                        'material_requisition_sea_id' => $id,
                                        'product_id' => $requests->get('product'.$mr_p->id),
                                        'qty' => $requests->get('qty'.$mr_p->id),
                                        'unit_id' => $requests->get('unit'.$mr_p->id),
                                        'grade_id' => $requests->get('grade'.$mr_p->id),
                                        'requested_month' => $mr_p->requested_month,
                                        'schedule_id'   =>  $mr_p->schedule_id,
                                        'mr_sea_product_id' => $mr_p->id
                                    ]);

                $this->createApprovedProductSchedule($id,$mr_apr_prd,$mr_p);
            }

                
        }

        MRseaproductscheduleChange::where('material_requisition_sea_id','=',$id)->delete();
        MRseaapprovalproduct::where('material_requisition_sea_id','=',$id)->whereNotNull('deleted_at')->delete();
        MRseaapprovedproductschedule::where('material_requisition_sea_id','=',$id)->whereNotNull('deleted_at')->delete();
        // if(!is_null($requests->get('products'))){
        //     $i = 0;
        //     foreach($requests->get('products') as $value) {
        //         MRapprovalproduct::create([
        //             'material_requisition_id' => $id,
        //             'product_id' => $requests->get('products')[$i],
        //             'qty' => $requests->get('qtys')[$i],
        //             'unit_id' => $requests->get('units')[$i],
        //             'grade_id' => $requests->get('grades')[$i]
        //         ]);
        //         $i++;
        //     }
        // }


        MaterialRequisitionSea::where('id','=',$id)->update(['status' => 'APR','approved_date' => date('Y-m-d')]);
        return redirect()->route('sea.mrapproval.index')->with(['update' => true]);
    }

    public function removeMRPorduct(Request $requests)
    {
        $delete = MRseaapprovalproduct::where('id','=',$requests->get('mpid'))->update(['deleted_at' => date('Y-m-d H:i:s')]);
        MRseaapprovedproductschedule::where('mr_sea_approval_product_id')->update(['deleted_at' => date('Y-m-d H:i:s')]);
        return $delete;
    }

    public function upcomingSchedule(Request $request)
    {
      $month = date('m',strtotime($request->get('month')));  
      $pdts = POSeaProducts::join('po_sea','po_sea.id','=','po_products_sea.po_sea_id')
                        ->join('purchase_request_sea','purchase_request_sea.id','=','po_sea.pr_sea_id') 
                        ->join('unit_of_measurement','unit_of_measurement.id','=','po_products_sea.unit_id')
                        ->leftjoin('grade_master','grade_master.id','=','po_products_sea.grade_id') 
                        ->where('po_products_sea.product_id','=',$request->get('option'))
                        ->whereMonth('scheduled_date','=',$month)
                        ->where('po_products_sea.grade_id','=',$request->get('grdid'))
                        ->select('purchase_request_sea.request_no','unit_of_measurement.unit','grade_master.grade','po_products_sea.qty','po_products_sea.scheduled_date')
                       ->get(); 
      return $pdts;                           
    }

    public function createProductSchedule($x,$pr_insert)
    {
        $schedule = $pr_insert->schedule_id;
        $qty = $pr_insert->qty;
        $sqty = (int) ($qty/$schedule);
        $rqty = $qty % $schedule;
        $end_date = date("Y-m-t", strtotime($pr_insert->requested_month));
        $start_date = date("Y-m-01", strtotime($pr_insert->requested_month));
        $rm_qty = $qty;
        $intrvl = (int) (30/$schedule);
        $scd_date = date("Y-m-01", strtotime($start_date));
        for ($i=1; $i <= $schedule && $scd_date < $end_date; $i++) { 
            MRseaapprovedproductschedule::create([
                    'material_requisition_sea_id' => $x,
                    'mr_sea_approval_product_id' => $pr_insert->id,
                    'product_id' => $pr_insert->product_id,
                    'unit_id' => $pr_insert->unit_id,
                    'grade_id' => $pr_insert->grade_id,
                    'qty' => $sqty,
                    'scheduled_date' => date('Y-m-d', strtotime($scd_date))
            ]);
            $scd_date = date('Y-m-d', strtotime($scd_date."+".$intrvl." days"));
            $rm_qty = $rm_qty - $sqty;
        }
        if($rm_qty > 0)
        {   
            MRseaapprovedproductschedule::where('material_requisition_sea_id','=',$x)
                ->where('product_id','=',$pr_insert->product_id)
                ->where('unit_id','=',$pr_insert->unit_id)
                ->where('grade_id','=',$pr_insert->grade_id)
                ->where('mr_sea_approval_product_id','=',$pr_insert->id)
                ->where('scheduled_date','=',$start_date)
                ->increment('qty',$rm_qty);
        }
        

    }

    public function insertPorduct(Request $request)
    {
        $return_data['status'] = 'NIL';
        $return_date['value'] = 'NIL';
        $dup_req_prod_mnth = MRseaapprovalproduct::where('product_id','=',$request->get('product'))
                                ->where('unit_id','=',$request->get('unit'))
                                ->where('grade_id','=',$request->get('grade'))
                                ->whereNull('deleted_at')
                                ->where('requested_month','=',date('Y-m-01', strtotime($request->get('requested_month'))))
                                ->count();

        if($dup_req_prod_mnth) {
            $return_data['status'] = 'EX';
            $return_data['value'] = 'Product Already Requested!';
            return $return_data;
        }

        $pr_insert = MRseaapprovalproduct::create([
            'material_requisition_sea_id' => $request->get('mrid'),
            'product_id' => $request->get('product'),
            'qty' => $request->get('qty'),
            'unit_id' => $request->get('unit'),
            'grade_id' => $request->get('grade'),
            'requested_month' => date('Y-m-01', strtotime($request->get('requested_month'))),
            'schedule_id' => $request->get('schedule'),
            'mr_sea_product_id' => 0,
        ]);

        if(!is_null($request->get('ctn_per_pallet')) && !is_null($request->get('pallet_qty'))) {
            Pallet::updateOrCreate([
                'product_id' => $request->get('product'),
                'grade_id' => $request->get('grade')
                ],[
                'ctn_per_pallet' => $request->get('ctn_per_pallet'),
                'pallet_total' => $request->get('pallet_qty')
            ]);
        }

        $this->createProductSchedule($request->get('mrid'),$pr_insert);
        
        $value = '';
        $value = $value.'<tr><td></td><td>'.$pr_insert->product->name.'<input type="hidden" value="'.$pr_insert->product_id.'" name="product'.$pr_insert->id.'"></td><td><select class="unit form-control" pid="'.$pr_insert->product_id.'" name="unit'.$pr_insert->id.'" style="width: 100%;" required="required">';
        if($pr_insert->unit_id != -1) {
          $value = $value.'<option value="'.$pr_insert->unit_id.'" selected="selected">'.$pr_insert->unit->unit.'</option>';
        }
        $value = $value.'</select></td><td>';
        
        if($pr_insert->grade) {
            $value = $value.'<select class="grade form-control" pid="'.$pr_insert->product_id.'" uid="'.$pr_insert->unit_id.'" name="grade'.$pr_insert->id.'" style="width: 100%;" ><option value="'.$pr_insert->grade_id.'" selected="selected">'.$pr_insert->grade->grade.'</option></select>';
        }
        $pallet = ($pr_insert->palletData($pr_insert->product_id,$pr_insert->grade_id))? $pr_insert->palletData($pr_insert->product_id,$pr_insert->grade_id)->ctn_per_pallet : '-';

        $value = $value.'</td><td><input class="qty" type="number" value="'.$pr_insert->qty.'" name="qty'.$pr_insert->id.'" required="required"></td><td>'.$request->get('schedule').'</td><td><button type="button" class="btn btn-info re_schd_crt" id="'.$pr_insert->product_id.'" mrid="'.$pr_insert->material_requisition_sea_id.'" grdid="'.$pr_insert->grade_id.'" data-toggle="modal" data-target="#modal-default-recalc">Re.Calc.</button></td><td><button type="button" class="btn btn-info schd_crt" id="'.$pr_insert->product_id.'" mrid="'.$pr_insert->material_requisition_sea_id.'" grdid="'.$pr_insert->grade_id.'" data-toggle="modal" data-target="#modal-default">'.date("M-Y", strtotime($pr_insert->requested_month)).'</button></td><td>'.$pr_insert->qty.'</td><td>'.$pallet.'</td><td><button class="btn-danger g_delete" id="'.$pr_insert->id.'"><i class="fa fa-fw fa-trash"></i></button>&nbsp;</td><td><button type="button" class="btn btn-info schd_up" id="'.$pr_insert->product_id.'" mrid="'.$pr_insert->material_requisition_sea_id.'" grdid="'.$pr_insert->grade_id.'" data-toggle="modal" data-target="#modal-default1">Upcoming</button></td></tr>';
        $return_data['status'] = 'CRT';
        $return_data['value'] = $value;
        return $return_data;
    }

    public function editedSchedules(Request $requests)
    {
        $sch_dates = $requests->get('sch_dt');
        $mrsea_prd_schs_ids = array_keys($requests->get('sch_dt'));
        $mrsea_prd_schs = MRseaapprovedproductschedule::whereIn('id',$mrsea_prd_schs_ids)->get();
        //MRseaproductschedule::whereIn('id',$mrsea_prd_schs_ids)->get();

        foreach($mrsea_prd_schs as $prd_sch) {
            if(date('d-M-Y', strtotime($prd_sch->scheduled_date))  != $sch_dates[$prd_sch->id]) {
                MRseaproductscheduleChange::updateOrCreate(['material_requisition_sea_id' => $prd_sch->material_requisition_sea_id,'mrseaproduct_schedule_id' => $prd_sch->id, 'flag_key' => 'BFR-DRFT'],[
                    'scheduled_date' => date('Y-m-d',strtotime($sch_dates[$prd_sch->id]))
                ]);
            }
        }

        return 1;
        
    }
}