<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\UnitMeasurement;
use App\CategoryMaster;
use App\GradeMaster;
use App\TagMaster;
use App\Product;
use App\ProductUnit;
use App\ProductGrade;
use App\ProductTag;
use App\GroupMaster;
use App\SubGroup;
use Auth;
use App\StandardMaster;
use App\ProductStandard;
use Input;
use DB;
use Excel;
use App\Country;
use ZipArchive;
use App\Office;
use App\HsnCode;
use App\LocationProduct;

class ProductController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function generateZip()
    {
        $zip = new ZipArchive;
        $file_zip = "productnew1.zip";
        $file_name = "productnew1.txt";
        $json_response = array();
        $products = Product::all();
        foreach ($products as $product) {
            $row_array = array();
            $row_array['product_id'] = $product['id'];
            $row_array['productname'] = $product['name'];
            $row_array['tax'] = $product['tax'];
            if($product['alias'] != NULL)
            {
              $row_array['productname'] = $product['name'];// .'-'. $row_product['alias']; 
            }
            $cat =  $product['id'];
            $unts = ProductUnit::join('unit_of_measurement','unit_of_measurement.id','=','product_unit.unit_id')
                        ->where('product_id','=',$cat)->get();
            $row_array['unitcount'] = $unts->count();
            $grds = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
                        ->where('product_id','=',$cat)->get();
            $row_array['gradecount'] = $grds->count();
            $row_array2 = array(); $row_array3 = array();
            $units = array();
            foreach($unts as $unit)
            {
                
                $row_array2['unit_id'] = $unit['unit_id']; 
                $row_array2['unit'] = $unit['unit']; 
                $unit_id = $unit['unit_id'];

                 array_push($units,$row_array2);                                          
                 
            }
            $row_array['units'] = $units; 
            $grades = array();            
            foreach($grds as $grade)
            {   
                 $row_array3['grade_id'] = $grade['grade_id']; 
                 $row_array3['grade'] = $grade['grade']; 

                  array_push($grades,$row_array3);  
            }
                                             
            $row_array['grades'] = $grades;
                                             
            array_push($json_response,$row_array); 
        }
        // echo json_encode($json_response);
                                       
        //             die();            
        
        $save_as_string = json_encode($json_response);

        if ($zip->open("public/".$file_zip, ZipArchive::CREATE) === TRUE)
        {
            // Add files to the zip file
            $zip->addFile($file_name, $file_name);
            
            // Add a file new.txt file to zip using the text specified
            $zip->addFromString($file_name, $save_as_string);
         
            // All files are added, so close the zip file.
            $zip->close();
        }

        Office::where('id' ,'=',1)->update(['product_last_update' => time()]);


        return redirect()->action('ProductController@index');
    }
    
    public function index()
    {
        $products = Product::all();
        $file = fopen("ProductReports.csv", 'w');
        $filename = "PlanReport.csv";
        $ex[] = "Product Details,";
        $ex[] = "Sl No:,Product,Code,Category,Group,SubGroup,Base Unit";   
        foreach ($products as $data) { $c=1;
              $cat = $data->productCategory->category;
              $grp = $data->pdtGroup->name;
              $sb_grp = $data->pdtsubGroup->sub_group;
              $unit = $data->unitMaster->unit;
              $ex[] = $c.",".str_replace(",", "",trim($data->name)).",".str_replace(",","", $data->code).",".str_replace(",","", $cat).",".str_replace(",","", $grp).",".str_replace(",", "", $sb_grp).",".str_replace(",", "", $unit);
                       $c++;    
        }
        foreach ($ex as $k) {
                fputcsv($file, explode(',', $k));
        }
        fclose($file);
        $current_dt = date('d-m-Y');
        return view('products/index', compact('products'));
    }
    
    public function create()
    {
    	$units = UnitMeasurement::all(); 
    	$categories = CategoryMaster::all();
        $group_masters = GroupMaster::where('is_active','=','Y')->get();
        $grades = [];
        $hsn_code = HsnCode::all();
    	
    	return view('products/create',compact('units','categories','group_masters','grades','hsn_code'));
    }

    public function store(Request $request)
    {

    	$product = new Product();
    	$product->category_id = $request->get('product_category');
        $product->group_master_id = $request->get('product_group');
        $product->sub_group_id = $request->get('product_subgroup');
    	$product->name = strtoupper($request->get('product_name'));
    	$product->code = strtoupper($request->get('product_code'));
        $product->alias = strtoupper($request->get('alias_name'));
        $product->base_unit_id   = $request->get('base_unit');
        $product->hsn_code_id   = $request->get('hsn_code');
        $product->tax   = $request->get('tax');
        $product->is_active = ($request->get('is_active') == 'Y')? 'Y' : 'N';
        $product->remarks = strtoupper(trim($request->get('remarks')));
        $product->secondry_name = strtoupper(trim($request->get('secondry_name')));
    	$product->save();

    	if($product->id)
    	{
            $product_unit = new ProductUnit();
            $product_unit->product_id = $product->id;
            $product_unit->unit_id = $request->get('base_unit');
            $product_unit->is_active = 'Y';
            $product_unit->save();
    	}


    	return redirect()->route('products.created',$product->id)->with('success','Product Details Saved!');
    
    }

    public function afterStore($id)
    {
        $product = Product::find($id);
        $units = UnitMeasurement::all(); 
        $categories = CategoryMaster::all();
        $group_masters = GroupMaster::where('is_active','=','Y')->get();
        $sub_groups = SubGroup::where('group_master_id','=',$product->group_master_id)->get();
        $grades = GradeMaster::where('is_active','=','Y')->get();
        $product_units = ProductUnit::where('product_id','=',$id)->get();
        $product_grades = ProductGrade::where('product_id','=',$id)
                            ->get();
        $standards = StandardMaster::all();
        $std_grade = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
                                ->where('product_id','=',$id)->selectRaw('grade_master.*')->get();
        $pdt_stds = ProductStandard::where('product_id','=',$id)->get();

        $hsn_code = HsnCode::all();

        return view('products/after_create',compact('units','categories','grades','product','product_units','product_grades','group_masters','sub_groups','standards','pdt_stds','std_grade','hsn_code'));
    }

    public function edit($id)
    {
    	$product = Product::find($id);
    	$units = UnitMeasurement::all(); 
        $categories = CategoryMaster::all();
        $group_masters = GroupMaster::where('is_active','=','Y')->get();
        $sub_groups = SubGroup::where('group_master_id','=',$product->group_master_id)->get();
    	$grades = GradeMaster::where('is_active','=','Y')->get();
    	$product_units = ProductUnit::where('product_id','=',$id)->get();
        $product_grades = ProductGrade::where('product_id','=',$id)
                            ->get();
    	$standards = StandardMaster::all();
        $std_grade = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
                                ->where('product_id','=',$id)->selectRaw('grade_master.*')->get();
        $pdt_stds = ProductStandard::where('product_id','=',$id)->get();


        $hsn_code = HsnCode::all();

    	return view('products/edit',compact('units','categories','grades','product','product_units','product_grades','group_masters','sub_groups','standards','std_grade','pdt_stds','hsn_code'));
    }


    public function update($id, Request $request)
    {

        $product = Product::find($id);
        $product->category_id = $request->get('product_category');
        $product->group_master_id = $request->get('product_group');
        $product->sub_group_id = $request->get('product_subgroup');
        $product->name = strtoupper($request->get('product_name'));
        $product->code = strtoupper($request->get('product_code'));
        $product->alias = strtoupper($request->get('alias_name'));
        $product->base_unit_id   = $request->get('base_unit');
        $product->tax   = $request->get('tax');
        $product->hsn_code_id   = $request->get('hsn_code');
        $product->is_active = ($request->get('is_active') == 'Y')? 'Y' : 'N';
        $product->remarks = strtoupper(trim($request->get('remarks')));
        $product->secondry_name = strtoupper(trim($request->get('secondry_name')));
        $product->save();
        
        $product_units = ProductUnit::where('product_id','=',$id)->where('unit_id','=',$request->get('base_unit'))->count();        
        if($product_units == 0 )
        {
            $product_unit = new ProductUnit();
            $product_unit->product_id = $product->id;
            $product_unit->unit_id = $request->get('base_unit');
            $product_unit->is_active = 'Y';
            $product_unit->save();
        }
            

        return redirect()->route('products.edit',$product->id)->with('success','Product Details Saved!');
        
    }

    public function manageProduct()
    {
       $categories  = CategoryMaster::orderBy('category')->get();
       $products    = NULL;
       $selctCat    = NULL;
       return view('products/product_manage',compact('categories','products','selctCat'));
    }

    public function categoryProduct(Request $request)
    {
       $selctCat    = $request->get('category');  
       $categories  = CategoryMaster::orderBy('category')->get();
       $products    = Product::where('category_id','=',$selctCat)->orderBy('category_id')->get();
       
       return view('products/product_manage',compact('categories','products','selctCat')); 
    }

    public function productActive(Request $request)
    {
       Product::where('id','=',$request->get('option'))
              ->update(array('is_active' => 'Y')); 
    }

    public function productInactive(Request $request)
    {
       Product::where('id','=',$request->get('option'))
              ->update(array('is_active' => 'N')); 
    }

    public function getSubGroups(Request $request)
    {
        $sub_groups = SubGroup::where('group_master_id','=',$request->get('group'))->get();

        $options = "<option value=''>-- select --</option>";
        foreach ($sub_groups as $sub) {
            $options = $options."<option value='".$sub->id."'>".$sub->sub_group."</option>";
        }

        return $options;
    }

    public function getproductGrade(Request $request)
    {
        $grades = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
                              ->where('grade_master.is_active','=','Y')
                              ->where('product_grade.product_id','=',$request->get('prd'))
                              ->selectRaw('grade_master.id as gid,grade_master.grade,product_grade.is_active')
                              ->get();

        $prd = Product::find($request->get('prd'))->name;

        $data = array($grades,$prd);
        return $data;
    }

    public function activeGrade(Request $request)
    {
        ProductGrade::where('product_id','=',$request->get('product'))
                    ->where('grade_id','=',$request->get('p_grd'))
                    ->update(['is_active' => 'Y']);
        return 1;
    }

    public function inActiveGrade(Request $request)
    {
        ProductGrade::where('product_id','=',$request->get('product'))
                    ->where('grade_id','=',$request->get('p_grd'))
                    ->update(['is_active' => 'N']);
        return 1;
    }

    public function uploadPage()
    {

        return view('products/product_upload');
    }
    
    // public function uploadData() 
    // {
    //     if(Input::hasFile('import_file')) {
    //             $path = Input::file('import_file')->getRealPath();
    //             $data = Excel::load($path, function($reader) {
    //             })->get();
    //             $subgroup_id = NULL;
    //             if(!empty($data) && $data->count()){
    //                 foreach ($data[0] as $key => $value) {
    //                     CategoryMaster::create([
    //                         'category' => strtoupper(trim($value->commodity_name)),
    //                         'sequence' => trim($value->code)
    //                     ]);
    //                 }
    //             }
    //     }
    //     dd(1);
    // }
    
    public function codeUpdate()
    {
        if(Input::hasFile('import_file')) {
            $path = Input::file('import_file')->getRealPath();
            $data = Excel::load($path, function($reader) {
            })->get();
            
            if(!empty($data) && $data->count()){
                foreach ($data[0] as $key => $value) {
                    Product::where('name','=',strtoupper(trim($value->stock_description)))
                            ->update(['code' => trim($value->item_code)]);
                    // strtoupper(trim($value->stock_description))
                }
            }
        }
        dd('FINISH');
    }    

    public function uploadData()
    {       
        if(Input::hasFile('import_file')) {
            $path = Input::file('import_file')->getRealPath();
            $data = Excel::load($path, function($reader) {
            })->get();
            
            if(!empty($data) && $data->count()){
                foreach ($data as $key => $value) {
                    return $value;
                    $category = CategoryMaster::where('category','=',strtoupper(trim($value->commodity)))->first();
                    if(!$category) {
                        $category = CategoryMaster::create(['category' => strtoupper(trim($value->commodity)),
                                                            'sequence' => 1]);
                    }
                    $group = GroupMaster::where('name','=',strtoupper(trim($value->category)))->first();
                    if(!$group) {
                       $group = GroupMaster::create(['name' => strtoupper(trim($value->category))]);
                    }
                    $sub_group = SubGroup::where('sub_group','=',strtoupper(trim($value->sub_category)))->first();
                    if(!$sub_group) {
                        $sub_group = SubGroup::create(['sub_group' => strtoupper(trim($value->sub_category)),
                                                       'group_master_id' => $group->id
                                                    ]);
                    }
                    // $origin = Country::where('country','=',strtoupper(trim($value->orgin)))->first();
                    // if(!$origin) {
                    //    $origin = Country::create(['country' => strtoupper(trim($value->orgin))]);
                    // }

                    $base_unit = UnitMeasurement::where('unit','=',strtoupper(trim($value->base_unit)))->first();
                    if(!$base_unit) {
                        $base_unit = UnitMeasurement::create(['unit' => strtoupper(trim($value->base_unit)),
                                                         'unit_code' => strtoupper(trim($value->base_unit)),
                                                    ]);
                    }

                    $product = Product::where('name','=',strtoupper(trim($value->product)))->first();
                    if(!$product) {
                        $product = Product::create([
                            'category_id' => $category->id,
                            'group_master_id' => $group->id,
                            'sub_group_id' => $sub_group->id,
                            'name' => strtoupper(trim($value->stock_description)),
                            'code' => trim($value->item_code),
                            'base_unit_id' => $base_unit->id,
                            'is_active' => 'Y',
                        ]);
                    }

                    if($product) {
                        ProductUnit::updateOrCreate([
                            'product_id' => $product->id,
                            'unit_id' => $base_unit->id
                        ]);

                        unset($packing); // $grades is gone
                        //excel packing is grade

                        if (trim($value->packing) != '') {
                            $packing = GradeMaster::where('grade','=',strtoupper(trim($value->packing)))->first();
                            if(!$packing) {
                               $packing = GradeMaster::create(['grade' => strtoupper(trim($value->packing)),
                                                                'is_active' => 'Y']);
                               
                            }
                            ProductGrade::updateOrCreate([
                                'grade_id' => $packing->id,
                                'product_id' => $product->id
                            ]);
                        }
                        
                        //excel grade is standard master
                        unset($standard);
                        if(trim($value->grade) != '') {
                            $standard = StandardMaster::where('standard','=',strtoupper(trim($value->grade)))
                                            ->first();
                            if(!$standard) {
                                $standard = StandardMaster::create([
                                    'standard' => strtoupper(trim($value->grade1)),
                                    'is_active' => 'Y'
                                ]);
                            }

                            ProductStandard::updateOrCreate([
                                'product_id' => $product->id,
                                'grade_id'  => $packing->id,
                                'standard_id' => $standard->id 
                            ]);
                        }

                    }
                }// foreach
            }//data empty or not 
        }//file exist

        return redirect()->action('ProductController@index');
    }

    public function hsnCode(Request $request)
    {
        $exits = HsnCode::where('hsncode','=',$request->get('option1'))->first();
        if ($exits ) {
            return 0;
        }
        $hsn_code = HsnCode::create(['hsncode' => $request->get('option1')]);
        return $hsn_code;
    }

    public function dataLocPrd()
    {
        // $products = Product::all();
        // foreach ($products as $prd) {
        //     $product_stads = ProductStandard::where('product_id','=',$prd->id)->pluck('standard_id');
        //     LocationProduct::where('product_id','=',$prd->id)->whereNotIn('standard_id',$product_stads)->delete();
        // }
    }

}
