<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\ProductGrade;
use App\ProductUnit;
use App\Product;
use Auth;
use App\ProductStandard;

class ProductSpecController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
	
    public function store(Request $request)
    {
    	$u_ext = ProductUnit::where('product_id','=',$request->get('pid'))
    				->where('unit_id','=',$request->get('p_unit'))->count();
    	if($u_ext  > 0) {
    		return 0;
    	} else {
    		$product_unit = new ProductUnit();
    		$product_unit->unit_id = $request->get('p_unit');
    		$product_unit->product_id = $request->get('pid');
    		$product_unit->save();
    		return $product_unit->id;
    	}
    }

    public function destroy(Request $request)
    {
    	$id = $request->get('option');
    	$product_unit = ProductUnit::find($id);
    	$is_base = Product::where('id','=',$product_unit->product_id)
    				->where('base_unit_id','=',$product_unit->unit_id)
    				->count();
    	if($is_base > 0)
    	{
    		return 'baseunit';
    	} else {
    		$dlt = ProductUnit::where('id','=',$id)->delete();
    		return 'deleted';
    	}        
        
    }

    public function storeGrade(Request $request)
    {
    	$gr_ext = ProductGrade::where('product_id','=',$request->get('pid'))->where('grade_id','=',$request->get('product_grade'))->count();
    	if($gr_ext > 0) {
    		return 0;
    	}
    	else {
    		$product_grade = new ProductGrade();
    		$product_grade->grade_id = $request->get('product_grade');
    		$product_grade->product_id = $request->get('pid');
    		$product_grade->save();
    		return $product_grade->id;
    	}
    }

    public function destroyGrade(Request $request)
    {
    	$id = $request->get('option');
    	$product_grade = ProductGrade::find($id);
        $have_std = ProductStandard::where('product_id','=',$product_grade->product_id)
                        ->where('grade_id','=',$product_grade->grade_id)
                        ->count();
        if($have_std == 0) {
            $dlt = ProductGrade::where('id','=',$id)->delete(); 
            return $dlt;
        }
        
        return 0;
    }

    public function storeStd(Request $request)
    {
        $std_ext = ProductStandard::where('product_id','=',$request->get('pid'))
                                 ->where('grade_id','=',$request->get('product_grade'))
                                 ->where('standard_id','=',$request->get('product_standard'))->count();
        if($std_ext > 0) {
            return 0;
        }
        else {
            $product_std = new ProductStandard();
            $product_std->product_id = $request->get('pid');
            $product_std->grade_id = $request->get('product_grade');
            $product_std->standard_id = $request->get('product_standard');
            $product_std->save();
            return $product_std->id;
        } 
    }

    public function destroyStd(Request $request)
    {
        $id = $request->get('option');
        $product_std = ProductStandard::find($id);
        $dlt = ProductStandard::where('id','=',$id)->delete();
        
        return $dlt;
    }

}