<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Auth\Middleware\Authenticate;
use Auth;
use App\Product;
use App\UnitMeasurement;
use App\GradeMaster;
use App\PurchaseRequest;
use App\PRproduct;
Use App\Supplier;
use App\POSea;
use App\POSeaProducts;
use App\POSeaconsignment;
use App\ConsignmentProductSea;
use App\Port;
use App\Office;
/**
* 
*/
class PurchaseOrderSeaController extends Controller
{
	public function index()
	{
		$polist = POSea::orderBy('po_date','DESC')->get();
		$consignment = [];
		foreach($polist as $po){
			$consignment[$po->id] = POSeaconsignment::where('po_sea_id','=',$po->id)->count();
		}
		

		return view('purchase_order_sea/index',compact('polist','consignment','group'));
	}

	public function printPo($id)
	{
		$po = POSea::find($id);
		$products = POSeaProducts::where('po_sea_id','=',$id)->get();
		$products_dist = POSeaProducts::distinct()->where('po_sea_id','=',$id)->get(['product_id','unit_id','standard_id','grade_id']);
		
		return view('purchase_order_sea/print_po',compact('products','po','products_dist'));
	}

	public function addSeaConsignment($id)
	{	
		$po_id = $id;
		$ports = Port::all();
		$consignments = POSeaconsignment::where('po_sea_id','=',$id)->get();

		return view('purchase_order_sea/add_consignment',compact('po_id','ports','consignments'));
	}

	public function insertSeaConsignment(Request $request)
	{
		$count = POSeaconsignment::where('id','=',$request->get('cons'))->count();

		if($count < 1){
			$consignment = POSeaconsignment::create([
													'po_sea_id' => $request->get('poseaid'),
													'bill_no' => $request->get('bill'),
													'dispatch_port' => $request->get('dispatch'),
													'arrival_port' => $request->get('delivery'),
													'eta' => $request->get('eta')]);
			$id = $consignment->id;
			$flag = 1;
		}
		else{
			$consignment = POSeaconsignment::where('id','=',$request->get('cons'))
										->update([
													'bill_no' => $request->get('bill'),
													'dispatch_port' => $request->get('dispatch'),
													'arrival_port' => $request->get('delivery'),
													'eta' => $request->get('eta')]);
			$id = $request->get('cons');
			$flag = 0;
		}

		$data = array($id,$flag);

		return $data;
	}

	public function getProductsSea(Request $request)
	{	
		$omit = [];
		$check = ConsignmentProductSea::where('po_sea_consignments_id','=',$request->get('cons'))->count();
		$cons_products = ConsignmentProductSea::join('products','products.id','=','consignment_products_sea.product_id')
										->join('po_products_sea','po_products_sea.id','=','consignment_products_sea.po_products_sea_id')
										->join('unit_of_measurement','consignment_products_sea.unit_id','=','unit_of_measurement.id')
										->leftjoin('grade_master','grade_master.id','consignment_products_sea.grade_id')
										->where('consignment_products_sea.po_sea_consignments_id','=',$request->get('cons'))
										->where('po_products_sea.po_sea_id','=',$request->get('poid'))
										->select('products.name','products.id AS prd','consignment_products_sea.supplied_qty AS supply','po_products_sea.bal_qty AS tot_qty','unit_of_measurement.unit','unit_of_measurement.id AS unit_id','grade_master.grade','grade_master.id AS grade_id','consignment_products_sea.id','po_products_sea.id as po_pdt_id')->get();
       
      

		$prds = POSeaProducts::where('po_sea_id','=',$request->get('poid'))->get();
		foreach($prds as $prd){
			$check = ConsignmentProductSea::where('po_sea_id','=',$request->get('poid'))
										->where('product_id','=',$prd->product_id)
										->where('po_products_sea_id','=',$prd->id)
										->where('po_sea_consignments_id','=',$request->get('cons'));

			if($check->count() > 0){
				$omit[] = $prd->id;
			}
		}

		$products = POSeaProducts::join('products','products.id','=','po_products_sea.product_id')
								->join('unit_of_measurement','po_products_sea.unit_id','=','unit_of_measurement.id')
								->leftjoin('grade_master','grade_master.id','po_products_sea.grade_id')
								->where('po_products_sea.po_sea_id','=',$request->get('poid'))
								->where('po_products_sea.bal_qty','!=',0)
								->whereNotIN('po_products_sea.id',$omit)
								
								->select('products.name','products.id AS prd','po_products_sea.qty AS supply','po_products_sea.bal_qty AS tot_qty','unit_of_measurement.unit','unit_of_measurement.id AS unit_id','grade_master.grade','grade_master.id AS grade_id','po_products_sea.id as po_pdt_id')->get();
       
		$data = array($cons_products,$products);
		return $data;
	}
	
	public function mapConsProductsSea(Request $request)
	{	
		$i = 0;
		$delete = ConsignmentProductSea::where('po_sea_consignments_id','=',$request->get('consignment_id'))
									->whereNotIN('po_products_sea_id',$request->get('popdts'))->get();

		$check = ConsignmentProductSea::where('po_sea_consignments_id','=',$request->get('consignment_id'))->delete();

		foreach ($request->get('popdts') as $value) {
           $pdt = POSeaProducts::find($value);

			if($request->get('qty_supply')[$value] != NULL){
				$map = ConsignmentProductSea::create([
											'po_sea_id' => $request->get('po'),
											'po_products_sea_id' => $value,
											'po_sea_consignments_id' => $request->get('consignment_id'),
											'product_id' => $pdt->product_id,
											'tot_qty' => $request->get('tot_qty')[$i],
											'supplied_qty' => $request->get('qty_supply')[$value],
											'unit_id' => $request->get('unit')[$i],
											'grade_id' => $request->get('grade')[$i]
										]);

				$sum = ConsignmentProductSea::where('po_sea_id','=',$request->get('po'))
								->where('po_products_sea_id','=',$value)
								->where('product_id','=',$pdt->product_id)
								->sum('supplied_qty');
		
				$po_prd = POSeaProducts::where('id','=',$value)
						->where('product_id','=',$pdt->product_id)
						->first();

				$bal = $po_prd->qty - $sum;

				POSeaProducts::where('id','=',$value)
						->where('product_id','=',$pdt->product_id)
						->update(['bal_qty' => ($bal < 0) ? 0 : $bal]);
			}

			$i++;
		}

		foreach($delete as $data){
			$prd = POSeaProducts::where('po_sea_id','=',$request->get('po'))
					->where('id','=',$data->po_products_sea_id)->first();

			POSeaProducts::where('po_sea_id','=',$request->get('po'))
					->where('id','=',$data->po_products_sea_id)
					->update(['bal_qty' => $prd->bal_qty + $data->supplied_qty]);
		}

		$poid = $request->get('po');

		return redirect("po/sea/consignment/".$poid);
		
	}

	public function deleteConsignmentSea(Request $request)
	{	

		$consignment = POSeaconsignment::find($request->get('option'));
		$products = ConsignmentProductSea::where('po_sea_consignments_id','=',$consignment->id)->get();

         
		foreach($products as $prd)
		{
			$bal = POSeaProducts::where('po_sea_id','=',$consignment->po_sea_id)
								->where('product_id','=',$prd->product_id)
								->first()->bal_qty;
            
			 POSeaProducts::where('po_sea_id','=',$consignment->po_sea_id)
								->where('product_id','=',$prd->product_id)
								->update([
									'bal_qty' => $bal + $prd->supplied_qty
								  ]);

			ConsignmentProductSea::find($prd->id)->delete();				

		}

		$consignment->delete();

		return;
	}

	
}