<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Auth\Middleware\Authenticate;
use Auth;
use App\Product;
use App\UnitMeasurement;
use App\GradeMaster;
use App\PurchaseRequest;
use App\PrMrMapping;
use App\PRproduct;
use App\MaterialRequisition;
use App\MRproduct;
Use App\SupplierRateEntry;
Use App\MRapprovalproduct;
Use App\Supplier;
use App\PRsupplier;
use App\PRSupplierProduct;
use App\CustomerType;
use App\Customer;
use App\Currency;
use App\SupplierProduct;
use App\SupplierUnitRate;
use App\StandardMaster;
/**
* 
*/
class PurchaseRequestController extends Controller
{

	 public function index()
	 {	
	 	
	 	$group = Auth::user()->userTypes->first();

		$prlist = PurchaseRequest::whereIn('status',['GEN','SUP'])->get();

	 	if(sizeof($prlist) > 0 && $group != NULL){

		 	$prlist =	PurchaseRequest::whereIn('status',['GEN','SUP'])
		 		->where('cus_group_id','=', $group->customer_type_id)->get();
	 	}
	 	if($group == NULL){
	 		$prlist = NULL;
	 	}

	 	return view('purchase_request/index',compact('prlist'));
	 }

	 public function toindex()
	 {
	 	return redirect()->route('prlist.list')->with('update','Update and Saved!');
	 }

	 public function purchaseList()
	 {
	 	$prlist = PurchaseRequest::whereIn('status',['GEN'])->get();

	 	return view('purchase_request/list',compact('prlist'));
	 }

	 public function create()
	 {	

	 	$today = date('Y-m-d');
	 	$count = PurchaseRequest::count();
	 	$countnw = $count+ 1;

	 	$group = Auth::user()->userTypes->first();

	 	$exist = PurchaseRequest::where('status' ,'=', 'SUP')
	 	      ->where('cus_group_id','=', $group->customer_type_id)
	 	      ->pluck('mr_date')->toArray();


	 		if( $group->customer_type_id == 7){
	 			$shop = CustomerType::where('name','=','SEA PURCHASE')->first();
	 		}else{
	 			$shop = CustomerType::where('name','=','SHOP')->first();
	 		}

			$shop_cus = Customer::where('customer_type_id','=',$shop->id)
							->pluck('id')->toArray();

	 		$check = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=', 'material_requisition.id')
			->where('material_requisition.status','=','APR')
			->where('material_requisition.pr_status','=',0)
			->whereIN('material_requisition.customer_id',$shop_cus)
			->groupBy('material_requisition.id')
			->selectRaw('material_requisition.id')
			->orderBy('material_requisition.id')
			->count();
			
			if($check < 1){
				return redirect()->route('prlist.list')->with('error','error!');
			}
	
			
			$material_list = MaterialRequisition::where('status','=','APR')
											->whereIN('customer_id',$shop_cus)
											->where('pr_status','=',0)
											->whereNotIn('approved_date',$exist)
											->distinct('approved_date')
											->select('approved_date')
											->get();


foreach ($material_list as $dt) {

	            $obj = NULL;
				$prid = NULL;
				$count = PurchaseRequest::count();
	 			$countnw = $count+ 1;
		 		$obj = PurchaseRequest::create(array(
			 			'request_no'    => 'PR'.$countnw,
		                'request_date'  =>   $today,
		                'mr_date'       =>  $dt->approved_date,
		                'status'        =>  'SUP' ,
		                'entered_by'    =>  Auth::user()->id,
		                'cus_group_id'  =>  $group->customer_type_id
			 		));
		 		$prid = $obj->id;

			$material_dt_lst = MaterialRequisition::where('status','=','APR')
									->whereIN('customer_id',$shop_cus)
									->where('pr_status','=',0)
									->where('approved_date','=',$dt->approved_date)
									->get();


		foreach ($material_dt_lst as $list) {

				
				PrMrMapping::create(array(
						'pr_id'    =>   $prid,
		                'mr_id'    =>   $list->id,
					));
       }
				$mrproducts = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=', 'material_requisition.id')
			->where('material_requisition.status','=','APR')
			->where('material_requisition.pr_status','=',0)
			->where('material_requisition.approved_date','=',$dt->approved_date)
			->whereIN('material_requisition.customer_id',$shop_cus)
			->groupBy('mr_approval_products.product_id','mr_approval_products.unit_id','mr_approval_products.grade_id')
			->selectRaw('sum(mr_approval_products.qty) as product_sum,mr_approval_products.unit_id,mr_approval_products.grade_id,mr_approval_products.product_id')->get();

					foreach ($mrproducts as $product) {
						
						PRproduct::create(array(
								'purchase_request_id'    =>   $prid,
				                'product_id'    =>  $product->product_id,
				                'qty'           =>  $product->product_sum,
				                'apr_qty'		=> 	$product->product_sum,
				                'unit_id'       =>  $product->unit_id,
				                'grade_id'      =>  $product->grade_id,
							));
					}


		$today = date('Y-m-d');

		$purchase_products = PRproduct::where('purchase_request_id','=',$prid)->get();

		foreach ($purchase_products as $prodList) 
		{
			$daily_price = SupplierRateEntry::
						join('unit_of_measurement','supplier_rate_entry.unit_id','=','unit_of_measurement.id')
						->join('supplier','supplier_rate_entry.supplier_id','=','supplier.id')
							->where('supplier_rate_entry.is_active','=', 'Y')
							->where('product_id','=',$prodList->product_id)
							->select('supplier.id','supplier.name','supplier_rate_entry.price','unit_of_measurement.unit')->get();
			$prodList->daily_price = $daily_price;
			$supplier_count[$prodList->id] = PRSupplierProduct::where('pr_product_id','=',$prodList->id)->count();
		}
	  
	}
		
  
		
return redirect()->action('PurchaseRequestController@index');
		//return view('purchase_request/create',compact('purchase_products','prid','supplier_count'));
	 
	 }


	 public function store(Request $request)
	 {
	 	$prid = $request->get('prid');
	 	if($request->get('flag_check') == 1){
	 		$status = 'PR';
	 	}
	 	else{
	 		$status = 'SUP';
	 	}


	 	$count = sizeof($request->apr_qty);


	 	for($i = 0; $i < $count ;$i++)
	 	{
	 		if($request->get('apr_qty')[$i] > 0 && $request->get('apr_qty')[$i] != NULL)
	 		{
	 			PRproduct::where('id','=',$request->get('id')[$i])
						->update(['apr_qty' =>  $request->get('apr_qty')[$i]]);
			}
	 	}


////Update staus of PurchaseRequest when submit////

		PurchaseRequest::where('id','=', $prid)
						->update(['status'    =>  $status]);

	//upadte MR status

		$mr = PrMrMapping::where('pr_id','=',$prid)->pluck('mr_id')->toArray();
		MaterialRequisition::whereIN('id',$mr)
							->update(['status' => 'PR']);

	 	return redirect()->route('prlist.list');

	 }

	 public function edit($id)
	 {	
	 	$supplier_count = [];
	 	$prid = $id;
	 	$today = date('Y-m-d');

	 	$purchase_products = PRproduct::where('purchase_request_id','=',$prid)->get();

		foreach ($purchase_products as $prodList) 
		{
			$daily_price = SupplierRateEntry::
						join('unit_of_measurement','supplier_rate_entry.unit_id','=','unit_of_measurement.id')
						->join('supplier','supplier_rate_entry.supplier_id','=','supplier.id')
							->where('supplier_rate_entry.is_active' ,'=', 'Y')
							->where('product_id','=',$prodList->product_id)
							->select('supplier.id','supplier.name','supplier_rate_entry.price','unit_of_measurement.unit')->orderBy('supplier_rate_entry.price')->get();
			$prodList->daily_price = $daily_price;

			$supplier_count[$prodList->id] = PRSupplierProduct::where('pr_product_id','=',$prodList->id)->count();
		}
		return view('purchase_request/edit',compact('purchase_products','prid','supplier_count'));
	 }

	 public function prSupplierList($id)
	 {
	 	$pr = PurchaseRequest::find($id);
		$purchase_g = PurchaseRequest::where('status','=','GEN')->get();
		$purchase_c = PurchaseRequest::where('status','=','CLO')->get();
		$product = PRproduct::where('purchase_request_id','=',$id)->get();
		$exist = PRproduct::where('purchase_request_id','=',$id)->pluck('supplier_id')->toArray();

		$supplier = Supplier::all();

		return view('purchase_request/prlistReport',compact('product','supplier','purchase_g','purchase_c','pr','exist'));
	 }
/////////Admin Purchase List View/////////
	public function pr_productlist($id)
	 {

	 	$pr = PurchaseRequest::find($id);
		$purchase_g = PurchaseRequest::where('status','=','GEN')->get();
		$purchase_c = PurchaseRequest::where('status','=','CLO')->get();
		$product = PRproduct::where('purchase_request_id','=',$id)->get();
		$exist = PRproduct::where('purchase_request_id','=',$id)->pluck('supplier_id')->toArray();

		$supplier = Supplier::all();

		return view('purchase_request/pr_productlist',compact('product','supplier','purchase_g','purchase_c','pr','exist'));
	 }

	 public function purchaseMrReport($id)
	 {
	 	$pr = PurchaseRequest::find($id);

	 	$mrlist = PrMrMapping::where('pr_id','=', $id)
	 				->join('material_requisition','pr_mr_mapping.mr_id' ,'=', 'material_requisition.id')
	 				->join('customers','customers.id','=','material_requisition.customer_id')
	 				->select('material_requisition.request_no','customers.name','material_requisition.id'
	 					,'material_requisition.request_date','material_requisition.approved_date')
	 				->get();

		 foreach ($mrlist as $mr) {

		 		$productList = MRapprovalproduct::where('material_requisition_id','=',$mr->id)->get();
		 		$mr->productList  = $productList;
		 	
		 }

		return view('purchase_request/MrlistReport',compact('mrlist','pr'));
	 	
	 }

	
	public function listPrice(Request $request)
	 {
	 	  $pr_prd = PRproduct::find($request->get('pr_prd'));
	 	  if($pr_prd->grade_id == NULL){
	 	  	$sup_prd = SupplierRateEntry::where('product_id','=',$pr_prd->product_id)
	 	  								->where('supplier_rate_entry.is_active' ,'=', 'Y')
	 	  								->pluck('id')->toArray();
	 	  }
	 	  else{
	 	  	// current now grade is change to packing so need confirmation from jinsha
	 	  	// ->where('grade_id','=',$pr_prd->grade_id)
	 	  									
	 	  	$sup_prd = SupplierRateEntry::where('product_id','=',$pr_prd->product_id)
	 	  									->where('supplier_rate_entry.is_active' ,'=', 'Y')
	 	  									->pluck('id')->toArray();
	 	  }
          $daily_amt = SupplierRateEntry::join('supplier','supplier_rate_entry.supplier_id','=','supplier.id')				
          								->join('unit_of_measurement','unit_of_measurement.id','=','supplier_rate_entry.unit_id')
          								->leftjoin('grade_master','grade_master.id','=','supplier_rate_entry.grade_id')
          								->leftjoin('standard_master','standard_master.id','=','supplier_rate_entry.standard_id')
          								->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                                        ->whereIN('supplier_rate_entry.id',$sup_prd)
                                        ->select('supplier.name','supplier_rate_entry.price','supplier_rate_entry.product_id','unit_of_measurement.unit','currencies.currency','grade_master.grade','supplier_rate_entry.supplier_product_id','standard_master.standard')
                                        ->orderBy('supplier.name')
                                        ->orderBy('supplier_rate_entry.price','ASC')
                                        ->get();
           if($pr_prd->grade_id != NULL){
           	 $daily_amt = SupplierRateEntry::join('supplier','supplier_rate_entry.supplier_id','=','supplier.id')				
          								->join('unit_of_measurement','unit_of_measurement.id','=','supplier_rate_entry.unit_id')
          								->join('grade_master','grade_master.id','=','supplier_rate_entry.grade_id')
          								->leftjoin('standard_master','standard_master.id','=','supplier_rate_entry.standard_id')
          								->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                                        ->whereIN('supplier_rate_entry.id',$sup_prd)
                                        ->select('supplier.name','supplier_rate_entry.price','supplier_rate_entry.product_id','unit_of_measurement.unit','currencies.currency','grade_master.grade','supplier_rate_entry.supplier_product_id','standard_master.standard')
                                        ->orderBy('supplier.name')
                                        ->orderBy('supplier_rate_entry.price','ASC')
                                        ->get();
           }                             

           $prd = Product::find($request->get('prd'))->name;

           $unit = UnitMeasurement::find($request->get('unit'))->unit;
           $data = array($daily_amt,$unit,$prd);
           
          return $data;                              
	 }

	 public function requestDelete(Request $request)
	 {
        PurchaseRequest::where('id','=',$request->get('option'))->delete();
        PRproduct::where('purchase_request_id','=',$request->get('option'))->delete();
        PRsupplier::where('purchase_request_id','=',$request->get('option'))->delete();

	 }
     
     public function requestClose($id)
     {
     	PurchaseRequest::where('id','=',$id)
     	               ->update(array('status'    =>  'CLO'));

     	PrMrMapping::where('pr_id','=',$id)->delete();

     	   return redirect()->route('prlist.listall')->with('update','Update and Saved!');
      
     }


    public function addSupplier(Request $request)
    {	
    	$supplier_product = SupplierProduct::find($request->get('supplier'));
    	$pr_prd = PRproduct::find($request->get('pr_prd'));


    	//qty check
    	$qtycheck = PRSupplierProduct::where('pr_product_id','=',$pr_prd->id)
    								->sum('qty');
    	$sumqty = $qtycheck + $request->get('qty');

    	if($request->get('aprqty') < $sumqty){
    		return "GREATER";
    	}
    	
    	//supplier check
    	$check = PRsupplier::where('supplier_id','=',$supplier_product->supplier_id)
    						->where('purchase_request_id','=',$request->get('pr_id'))
    						->count();
    	if($check < 1){
    		$supplier = PRsupplier::create([
    									'purchase_request_id' => $request->get('pr_id'),
    									'supplier_id' => $supplier_product->supplier_id,
    									]);
    	}
    	else{
    		$supplier = PRsupplier::where('supplier_id','=',$supplier_product->supplier_id)
    								->where('purchase_request_id','=',$request->get('pr_id'))
    								->first();
    	}


    	//supplier repetition check for the same product
    	$sup_check = PRSupplierProduct::where('pr_product_id','=',$pr_prd->id)
    								->where('pr_supplier_id','=',$supplier->id)->count();
    	if($sup_check > 0){
    		return 'SUPPLIER EXIST';
    	}
        $price = 0;
    	
    	if($supplier){
    		$unit_price = SupplierRateEntry::where('supplier_product_id','=',$supplier_product->id)
    		                               ->where('is_active','=','Y')->first();

            //calculate the unit conversion value
            if($pr_prd->unit_id == $unit_price->unit_id){
              $price = $unit_price->price * $request->get('qty');
              $unitPrice = $unit_price->price;	
            }else{

            	$unit_rate = SupplierUnitRate::where('supplier_id','=',$supplier_product->supplier_id)
                                             ->where('product_id','=',$pr_prd->product_id)
                                             ->where('unit_id','=',$pr_prd->unit_id);
                if($pr_prd->grade_id > 0){
                	$unit_rate = $unit_rate->where('grade_id','=',$pr_prd->grade_id);
                }
                $unit_rate = $unit_rate->first();

                if(count($unit_rate) == 0){
    			    return 'Add Price';
    		    } 
    		    
                $unitPrice = $unit_price->price * $unit_rate->value;
                
              if(count($unit_rate) > 0){
              	 $price = $unit_rate->value * $unit_price->price * $request->get('qty');
              }                            
              	                             	
            }

            $id = 0;
    		if($price > 0){
    			//find grade_id and standard_id
    			$std = null;
    			$std_name = explode('-', $request->get('sup'));
    			$nm_std = explode('(', $std_name[0]);
                $grd_name = explode(')', $std_name[1]);
    			
    			if($nm_std[1] != null){
    			 $std = StandardMaster::where('standard','like',$nm_std[1])->first();	
    			}

    			if($pr_prd->grade_id > 0){
                   $grd_id = $pr_prd->grade_id;
    			}else if($grd_name[0] != null) {
    			   $gr_id = GradeMaster::where('grade','like',$grd_name[0])->first(); 
    			   $grd_id = (count($gr_id) > 0) ? $gr_id->id : null;
    			}else{
    			  $grd_id = null;	
    			}
    			
    			$insert = PRSupplierProduct::create([
		    									'pr_supplier_id' => $supplier->id,
		    									'pr_product_id' => $pr_prd->id,
		    									'product_id' => $pr_prd->product_id,
		    									'qty' => $request->get('qty'),
		    									'unit_id' => $pr_prd->unit_id,
		    									'grade_id' => $grd_id,
		    									'standard_id' => ($std != null ) ? $std->id : 0 ,
		    									'unitprice' => $unitPrice,
		    									'actual_unit' => $unitPrice,
		    									'price' =>  $price ]);
    		    $id = $insert->id;	
    		}
    		
            $currency = Currency::where('id','=',$unit_price->currency_id)->first();
    	}

    	$entries = PRSupplierProduct::where('pr_product_id','=',$pr_prd->id);
    	$supplier_count = $entries->count();
    	$sum = $entries->sum('qty');
   
    	$data = array($id,$price,$supplier_count,$currency->currency,$sum,$price);

    	return $data;
    }

    public function getPRsupplier(Request $request)
    {
    	$pr = PRproduct::find($request->get('option'));

    	$data = PRsupplier::join('supplier','supplier.id','=','pr_suppliers.supplier_id')
    						->join('pr_supplier_products','pr_supplier_products.pr_supplier_id','=','pr_suppliers.id')
    						->join('unit_of_measurement','unit_of_measurement.id','=','pr_supplier_products.unit_id')
    						->join('currencies','currencies.id','=','supplier.currency_type_id')
    						->where('pr_supplier_products.pr_product_id','=',$pr->id)
    						->select('supplier.name','pr_supplier_products.qty','pr_supplier_products.price','pr_supplier_products.id','unit_of_measurement.unit','currencies.currency')
    						->get();

    	$sum = PRSupplierProduct::where('pr_supplier_products.pr_product_id','=',$pr->id)
    							->sum('qty');
    	$value = array($data,$sum);

    	return $value;
    }


    public function deletePRsupplier(Request $request)
    {	
    	$data = PRSupplierProduct::find($request->get('option'));
    	$data->delete();
    	$supplier = PRSupplierProduct::where('pr_supplier_id','=',$data->pr_supplier_id)
    								->count();
    	if($supplier < 1){
    		PRsupplier::find($data->pr_supplier_id)->delete();
    	}

    	$entries = PRSupplierProduct::where('pr_product_id','=',$data->pr_product_id);
    	$supplier_count = $entries->count();
    	$sum = $entries->sum('qty');
    	$value = array($supplier_count,$sum);

    	return $value;
    }

    public function prMrList($id)
    {
    	$pr_prd = PRproduct::find($id);
    	$pr = PurchaseRequest::find($pr_prd->purchase_request_id);

    	$mrlist = PrMrMapping::join('material_requisition','material_requisition.id','=','pr_mr_mapping.mr_id')
    						->join('customers','customers.id','=','material_requisition.customer_id')
    						->join('mr_approval_products','mr_approval_products.material_requisition_id','=','pr_mr_mapping.mr_id')
    						->where('mr_approval_products.product_id','=',$pr_prd->product_id)
    						->where('mr_approval_products.unit_id','=',$pr_prd->unit_id)
    						->where('mr_approval_products.grade_id','=',$pr_prd->grade_id)
    						->where('pr_mr_mapping.pr_id','=',$pr_prd->purchase_request_id)
    						->selectRaw('material_requisition.request_no,material_requisition.request_date,material_requisition.approved_date,customers.name,sum(mr_approval_products.qty) AS qty')
    						->groupBy('material_requisition.request_no','material_requisition.request_date','material_requisition.approved_date','customers.name')
    						->get();
    	return view('purchase_request/mrlisProductWise',compact('mrlist','pr','pr_prd'));
    }


    public function checkSupplier(Request $request)
    {	
    	$flag = 0;
    	$prlist = PRproduct::where('purchase_request_id','=',$request->get('option'))
    						->pluck('id')->toArray();

    	foreach($prlist as $pr){
    		$count = PRSupplierProduct::where('pr_product_id','=',$pr)->count();
    		if($count < 1){
    			$flag = 1;
    			break;
    		}
    	}

    	return $flag;
    }

    public function deletePrProduct(Request $request)
    {
    	PRSupplierProduct::where('pr_product_id','=',$request->get('option'))
    	                 ->delete();
    	$data = PRproduct::where('id','=',$request->get('option'))
    	                 ->delete();
    	return $data;                 
    }

}