<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Supplier;
use App\SupplierProduct;
use App\CustomerProduct;
use App\Customer;
use App\MaterialRequisition;
use App\MRproduct;
use App\CategoryMaster;
use App\Product;
use App\UnitMeasurement;
use App\Common;
use App\Notification;
Use App\PurchaseRequest;
Use App\SupplierRateEntry;
Use App\PRproduct;
Use App\GroupMaster;
Use App\SubGroup;
Use App\MRapprovalproduct;
use App\UserType;
use Auth;
use App\TagMaster;
use App\ProductTag;
use App\CustomerType;
use App\PO;
use App\POProducts;
use App\POconsignment;
use App\MRreceivedproduct;
use App\DamageEntry;
use App\DamageProduct;
use App\GoodsReturnEntry;
use App\ReturnProduct;
use App\Location;
use App\CustomerLocation;

class ReportController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
	public function SupplierProduct($id)
	{	
		$supplier = Supplier::find($id);
		$mapped = SupplierProduct::where('supplier_id','=',$id)->pluck('product_id')->toArray();
		$products = Product::whereIN('id',$mapped)->get();
		foreach($products as $prd){
			$grades[$prd->id] = SupplierProduct::join('grade_master','grade_master.id','=','supplier_product.grade_id')			
									->where('supplier_id','=',$id)
									->where('product_id','=',$prd->id)
									->select('grade_master.grade')->get();
		}
		return view('report/supplier_product',compact('supplier','products','grades'));
	}

	public function customerProduct($id)
	{	
		$products = CustomerProduct::where('customer_id','=',$id)->get();
        $customer = Customer::find($id)->name;
		return view('report/customer_product',compact('products','customer'));
	}

	public function materialReport()
	{ 
		$materialList = MaterialRequisition::whereIn('status',['APR','REQ','SUP'])
								->orderBy('request_date','DESC')->get();
		
		return view('report/materialReport',compact('materialList'));
	}

	public function materialList($id)
	{
		$request   = MaterialRequisition::find($id);
		
		if($request->status == 'REQ')
		$materials = MRproduct::where('material_requisition_id','=',$id)
								->orderBy('product_id')->get();
		else
		$materials = MRapprovalproduct::where('material_requisition_id','=',$id)
								->orderBy('product_id')->get();
		

		return view('report/mrListProduct',compact('materials','request'));
	}

	public function mrPage()
	{
		$categories = CategoryMaster::orderBy('category')->get();
		return view('report/mr_report_page',compact('categories'));
	}

	public function mrView(Request $request)
	{
	  $dates = date('Y-m-d',strtotime($request->get('date')));
      $category = CategoryMaster::find($request->get('category'))->category;
      $product  = Product::find($request->get('product'))->name; 
      $date     = date('d-m-Y',strtotime($request->get('date')));	

      $requests = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
                            ->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                            ->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                            ->where('mr_products.product_id','=',$request->get('product'))
                            ->where('material_requisition.request_date','=',$dates)
                            ->where('material_requisition.status','!=','DRT')
                            ->get();

      $unitQty  = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
                        ->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                        ->where('product_id','=',$request->get('product'))
                        ->where('material_requisition.request_date','=',$dates)
                        ->where('material_requisition.status','!=','DRT')
                        ->selectRaw('sum(mr_products.qty) AS sum,mr_products.unit_id,unit_of_measurement.unit')
                        ->groupBy('mr_products.unit_id','unit_of_measurement.unit')->get();
    
      return view('report/mr_report_view',compact('requests','category','product','unitQty','date'));
	}
	
	public function mrDatePage()
	{
	  $requests = NULL;	
	  $date     = date('d-m-Y');
	  return view('report/mr_datewise_page',compact('requests','date'));	
	}

	public function mrDateView(Request $request)
	{
	  $dates = date('Y-m-d',strtotime($request->get('date')));
	  $date     = date('d-m-Y',strtotime($request->get('date')));

	  $requests = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
	                       ->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                           ->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                           ->join('products','products.id','=','mr_products.product_id')
                           ->where('material_requisition.request_date','=',$dates)
                           ->where('material_requisition.status','!=','DRT')	
                           ->selectRaw('sum(mr_products.qty) AS sum,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,products.name')
                           ->groupBy('mr_products.product_id','mr_products.unit_id','mr_products.grade_id','products.name','grade_master.grade','unit_of_measurement.unit')->get();
                           
	  return view('report/mr_datewise_page',compact('requests','date'));	
	}

	public function notificationPage()
	{   
		$types = Common::where('masterkeyword','=','NOTIFICATION')->get();
		return view('report/notification_page',compact('types'));
	}

	public function notificationView(Request $request)
	{
		$from = date('Y-m-d',strtotime($request->get('from')));
		$to   = date('Y-m-d',strtotime($request->get('to'))); 
		$offer = NULL;
		$notification = Notification::where('valid_from','>=',$from)
		                            ->where('valid_to','<=',$to);
		if($request->get('type') > 0)
		{
			$notification = $notification->where('offer_type','=',$request->get('type'));
			$offer = Common::find($request->get('type'))->name;
		}                            
		$notification = $notification->get();

		return view('report/notification_view',compact('notification','from','to','offer'));
	}

	public function supplierwiseRate()
	{	
		$supplier = Supplier::where('status_id','=',5)->get();
		$category = CategoryMaster::all();
	
		return view('report/supplier_rate_index',compact('supplier','category'));
	}

	public function showRateProduct(Request $request)
	{
		$product = Product::where('category_id','=',$request->get('option'))
					->where('is_active','=','Y')->get();
		return $product;
	}

	public function supplierwiseRateList(Request $request)
	{	
		if($request->get('radio') == 'SUP'){

			$rate = SupplierRateEntry::where('supplier_id','=',$request->get('supplier'))
						->where('cur_date','=',$request->get('date'))->get();
			$check = 'SUP';
			$name = Supplier::find($request->get('supplier'));
			$currency = $name->supplierCurrency->currency;	
		}
		else{
			
			$rate = SupplierRateEntry::where('product_id','=',$request->get('product'))
						->where('cur_date','=',$request->get('date'))->get();
			$check = 'PRD';
			$name = Product::find($request->get('product'));
			
		}

		return view('report/supplier_rateReport',compact('supplier','rate','check','name','currency'));
	}



	////MR Product Report///

	public function mrProductIndex()
	{
		if(Auth::user()->role()->name == 'ADMIN' || Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
					$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$categories = CategoryMaster::orderBy('category')->get();

		$types = CustomerType::whereIN('id',$user_types)->get();

		return view('report/mrProductIndex',compact('categories','types'));
	}

	public function listProduct(Request $request)
	{
		$categories = $request->get('option');
		$data = Product::whereIN('category_id',$categories)->get();
		
		return $data;
	}

	public function mrProductView(Request $request)
	{
		
		
		$date = explode('-', $request->get('date'));
		$to = date('Y-m-d',strtotime($date[1]));
		$from = date('Y-m-d',strtotime($date[0]));
		$product  = Product::find($request->get('product'));
		$status = $request->get('radio');

		$active = Common::where('name','=','ACTIVE')->first();

		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		

		 if($request->get('radio') == 'REQ'){
        	$requests = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
							->join('customers','material_requisition.customer_id','=','customers.id')
							->join('customer_type','customers.customer_type_id','=','customer_type.id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                           ->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->where('material_requisition.status','=','REQ')
                           	->where('mr_products.product_id','=',$request->get('product'))
                           	->whereIN('customers.customer_type_id',$user_types)
                           	->where('customers.status','=',$active->id);
                           	

            if($request->get('custype') != NULL){
        		$requests = $requests->whereIN('customers.customer_type_id',$request->get('custype'));	
        	}

        	$requests = $requests->selectRaw('sum(mr_products.qty) AS sum,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,customers.name,customer_type.name AS type,material_requisition.request_no')
                        ->groupBy('mr_products.unit_id','mr_products.grade_id','mr_products.product_id','grade_master.grade','unit_of_measurement.unit','customers.name','customer_type.name','material_requisition.request_no')
                        ->get();
        }
        else{

        	$common = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
        					->leftjoin('mr_products','mr_products.id','=','mr_approval_products.mr_product_id')
							->join('customers','material_requisition.customer_id','=','customers.id')
							->join('customer_type','customers.customer_type_id','=','customer_type.id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
                           ->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->where('mr_approval_products.product_id','=',$request->get('product'))
                           	->whereIN('customers.customer_type_id',$user_types)
                           	->where('customers.status','=',$active->id);

        	if($request->get('radio') == 'APR'){
        		$data = $common->where('material_requisition.status','=','APR');
        	}
        	else{
        		$data = $common->where('material_requisition.status','=','REC');
        	}

        	if($request->get('custype') != NULL){
        		$data = $data->whereIN('customers.customer_type_id',$request->get('custype'));	
        	}

        	$requests = $data->selectRaw('sum(mr_approval_products.qty) AS sum_apr,sum(mr_products.qty) AS sum,mr_approval_products.product_id,mr_approval_products.unit_id ,mr_approval_products.grade_id,unit_of_measurement.unit,grade_master.grade,customers.name,customer_type.name AS type,material_requisition.request_no')
                        ->groupBy('mr_approval_products.unit_id','mr_approval_products.grade_id','mr_approval_products.product_id','grade_master.grade','unit_of_measurement.unit','customers.name','customer_type.name','material_requisition.request_no')
                        ->orderBy('customers.name')
                        ->get();      
        }  

        return view('report/mrProductReport',compact('requests','to','from','category','product','status'));
	}

	////// MR Consolidated report
	public function mrConsIndex()
	{	
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$categories = CategoryMaster::all();
		$groups = GroupMaster::where('is_active','=','Y')->get();
		$tags   = TagMaster::all();
		$types = CustomerType::whereIN('id',$user_types)->get();
		return view('report/mrConsolidatedIndex',compact('categories','groups','tags','types'));
	}

	public function mrSubGroup(Request $request)
	{
		$data = SubGroup::where('group_master_id','=',$request->get('option'))->get();
		return $data;
	}

	public function mrConsView(Request $request)
	{
		$date = explode('-', $request->get('date'));
		$to = date('Y-m-d',strtotime($date[1]));
		$from = date('Y-m-d',strtotime($date[0]));
		$sub_group = NULL;

		$active = Common::where('name','=','ACTIVE')->first();

		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}

		if($request->get('radio') == 'REQ'){
			$common = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
							->join('products','products.id','=','mr_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->join('customers','material_requisition.customer_id','=','customers.id')
                           	->leftjoin('group_master','group_master.id','=','products.group_master_id')
                           	->leftjoin('sub_groups','sub_groups.id','=','products.sub_group_id')
                           	->leftjoin('product_tag','product_tag.product_id','=','products.id')
                           	->leftjoin('tag_master','tag_master.id','=','product_tag.tag_id')
                           	->where('material_requisition.status','=','REQ')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->where('material_requisition.status','!=','DRT')
                           	->whereIN('customers.customer_type_id',$user_types)
                           	->where('customers.status','=',$active->id);
            $status = 'REQ';

		}
		elseif($request->get('radio') == 'APR'){

			$common = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
							->leftjoin('mr_products','mr_products.id','=','mr_approval_products.mr_product_id')
							->join('products','products.id','=','mr_approval_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->join('customers','material_requisition.customer_id','=','customers.id')
                           	->leftjoin('group_master','group_master.id','=','products.group_master_id')
                           	->leftjoin('sub_groups','sub_groups.id','=','products.sub_group_id')
                           	->leftjoin('product_tag','product_tag.product_id','=','products.id')
                           	->leftjoin('tag_master','tag_master.id','=','product_tag.tag_id')
                           	->where('material_requisition.status','=','APR')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->where('material_requisition.status','!=','DRT')
                           	->whereIN('customers.customer_type_id',$user_types)
                           	->where('customers.status','=',$active->id);
            $status = 'APR';
		}
		else{

			$common = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
							->leftjoin('mr_products','mr_products.id','=','mr_approval_products.mr_product_id')
							->join('products','products.id','=','mr_approval_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->join('customers','material_requisition.customer_id','=','customers.id')
                           	->leftjoin('group_master','group_master.id','=','products.group_master_id')
                           	->leftjoin('sub_groups','sub_groups.id','=','products.sub_group_id')
                           	->leftjoin('product_tag','product_tag.product_id','=','products.id')
                            ->leftjoin('tag_master','tag_master.id','=','product_tag.tag_id')
                           	->where('material_requisition.status','=','REC')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->where('material_requisition.status','!=','DRT')
                           	->whereIN('customers.customer_type_id',$user_types)
                           	->where('customers.status','=',$active->id);

            $status = 'REC';
		}
		

		///category
		if($request->get('category') != NULL){
			$common = $common->whereIN('products.category_id',$request->get('category'));
		}

	///group
		if($request->get('group') != NULL){
			$common = $common->where('products.group_master_id','=',$request->get('group'));
		}

	///sub_group
		if($request->get('sub_group') != NULL){
			$common = $common->where('products.sub_group_id','=',$request->get('sub_group'));
			$sub_group = SubGroup::find($request->get('sub_group'));
		}

	///tag
		if ($request->get('tag') != NULL) {
			$common = $common->whereIN('product_tag.tag_id',$request->get('tag'));
		}

	///exclude tag
		if($request->get('ex_tag') != NULL){
			$prd = ProductTag::whereIN('tag_id',$request->get('ex_tag'))
						->pluck('product_id')->toArray();
			$common = $common->whereNotIN('products.id',$prd);
		}
	///customer type
		if($request->get('custype') != NULL){
			$common = $common->whereIN('customers.customer_type_id',$request->get('custype'));
		}

		if($status == 'REQ'){
			$requests = $common->selectRaw('sum(mr_products.qty) AS sum,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.category,group_master.name AS group_name,sub_groups.sub_group,products.name AS product,product_tag.tag_id,tag_master.name As tname')
               ->groupBy('mr_products.unit_id','mr_products.grade_id','mr_products.product_id','grade_master.grade','unit_of_measurement.unit','category_master.category','group_master.name','sub_groups.sub_group','products.name','product_tag.tag_id','tag_master.name','category_master.id')
               ->orderBy('category_master.id')
               ->orderBy('products.name')
               ->get();
		}
		else{

			$requests = $common->selectRaw('sum(mr_approval_products.qty) AS sum_apr,sum(mr_products.qty) AS sum,mr_approval_products.product_id,mr_approval_products.unit_id ,mr_approval_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.category,group_master.name AS group_name,sub_groups.sub_group,products.name AS product,product_tag.tag_id,tag_master.name As tname')
               ->groupBy('mr_approval_products.unit_id','mr_approval_products.grade_id','mr_approval_products.product_id','grade_master.grade','unit_of_measurement.unit','category_master.category','group_master.name','sub_groups.sub_group','products.name','product_tag.tag_id','tag_master.name','category_master.id')
               ->orderBy('category_master.id')
               ->orderBy('products.name')
               ->get();
		}

		return view('report/mrConsolidatedReport',compact('requests','to','from','status','sub_group'));
        
	}

	/////mr customer wise

	public function mrCustomerIndex()
	{	
		$common = Common::where('name','=','ACTIVE')->first();
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER' || 1 == 1){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();
		$customer = Customer::where('status','=',$common->id)
							->whereIN('customer_type_id',$user_types)
							->orderBy('name')->get();
		$categories = CategoryMaster::all();
		$tags = TagMaster::all();
		
		return view('report/customer_wiseMRIndex',compact('customer','categories','tags','types'));
	}

	public function mrCustomerwiseList(Request $request)
	{
		$date = explode('-', $request->get('date'));
		$to = date('Y-m-d',strtotime($date[1]));
		$from = date('Y-m-d',strtotime($date[0]));
		$category = NULL;
		$cat_list = NULL;
		$tag = NULL;

		$material_req = MaterialRequisition::leftjoin('customers','customers.id','=','material_requisition.customer_id')
							->join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
            				->join('products','products.id','=','mr_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
            				->join('users','users.id','=','material_requisition.entered_by')
                         	->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to);
                           	
         if(Auth::User()->location_id != null)
            {
			  $material_req = $material_req->where('users.location_id','=',Auth::User()->location_id);
            }  
    ///status

		if($request->get('radio') == 'REQ'){
			$status = 'REQ';
			$material_req = $material_req->whereIn('material_requisition.status',['REQ','CHG']);
		}
		elseif($request->get('radio') == 'APR'){
			$status = 'APR';
			$material_req = $material_req->where('material_requisition.status','=','APR');
		}
		else{
			$status = 'REC';
			$material_req = $material_req->where('material_requisition.status','=','CMP');
		}


    ///customer

		if($request->get('customer') != NULL){
			$customer = $request->get('customer');
			$material_req = $material_req->where('material_requisition.customer_id','=',$request->get('customer'));
		}

	///category

		if($request->get('category') != NULL){
			$category = CategoryMaster::whereIn('id',$request->get('category'))->get();
			$cat = $request->get('category');
			$cat_list = implode(':', $cat);
			
			$material_req = $material_req->whereIn('products.category_id',$request->get('category'));
		}
	///tag

		if($request->get('tag') != NULL){

			$prd = ProductTag::where('tag_id','=',$request->get('tag'))
						->pluck('product_id')->toArray();
			$material_req = $material_req->whereNotIN('products.id',$prd);
			$tag = $request->get('tag');
		}

		$material_req = $material_req->selectRaw('material_requisition.*,mr_products.material_requisition_id,mr_products.qty,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.id as cat_id,products.name AS product,customers.name as customer')
               ->groupBy('mr_products.material_requisition_id','mr_products.qty','mr_products.unit_id','mr_products.grade_id','mr_products.product_id','grade_master.grade','category_master.id','unit_of_measurement.unit','category_master.category','products.name','category_master.sequence','customers.name')
               ->orderBy('category_master.sequence')
               ->orderBy('products.name')
               ->get();



		if(isset($_POST['print'])) {
			$x = Common::where('name','=','ACTIVE')->first();
			$mr = MaterialRequisition::where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->pluck('customer_id')->toArray();
			$customers = Customer::where('status','=',$x->id)
									->whereIN('id',$mr)->get();

			return view('report/customer_wiseMRPrintAll',compact('status','customers','material_req','category'));
		}
		else{

		return view('report/customer_wiseMRList',compact('material_req','status','category','cat_list','tag'));
		}
        
	}
	public function OLDmrCustomerwiseList(Request $request)
	{	
			
		$date = explode('-', $request->get('date'));
		$to = date('Y-m-d',strtotime($date[1]));
		$from = date('Y-m-d',strtotime($date[0]));
		$category = NULL;
		$cat_list = NULL;
		$tag = NULL;

		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
		   $user_types = CustomerType::all()->pluck('id')->toArray();

			$location = Location::all()->pluck('id')->toArray();

		}else
		{

		 $user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();

		}
		$type_cus = Customer::whereIN('customer_type_id',$user_types)->pluck('id');
		$type_cus = null;
		if($request->get('radio') == 'REQ'){

		$common = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
            				->join('products','products.id','=','mr_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
            				->join('users','users.id','=','material_requisition.entered_by')
                         	->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to);
		}
		else{

$common = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
            				->leftjoin('mr_products','mr_products.id','=','mr_approval_products.mr_product_id')
            				->join('products','products.id','=','mr_approval_products.product_id')
            				->join('users','users.id','=','material_requisition.entered_by')
					->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to);
		}


		$material_req = MaterialRequisition::where('material_requisition.request_date','>=',$from)
                          	->where('material_requisition.request_date','<=',$to)
            				->join('users','users.id','=','material_requisition.entered_by');

        if(Auth::User()->location_id != null)
            {
              $common = $common->where('users.location_id','=',Auth::User()->location_id);
			  $material_req = $material_req->where('users.location_id','=',Auth::User()->location_id);
            }                	
	///status

		if($request->get('radio') == 'REQ'){
			$status = 'REQ';
			$common = $common->whereIn('material_requisition.status',['REQ','CHG']);
			$material_req = $material_req->whereIn('material_requisition.status',['REQ','CHG']);
		}
		elseif($request->get('radio') == 'APR'){
			$status = 'APR';
			$common = $common->where('material_requisition.status','=','APR');
			$material_req = $material_req->where('material_requisition.status','=','APR');
		}
		else{
			$status = 'REC';
			$common->where('material_requisition.status','=','CMP');
			$material_req = $material_req->where('material_requisition.status','=','CMP');
		}


	///customer

		if($request->get('customer') != NULL){
			$customer = $request->get('customer');
			$common = $common->where('material_requisition.customer_id','=',$request->get('customer'));
			$material_req = $material_req->where('material_requisition.customer_id','=',$request->get('customer'));
		}

	///category

		if($request->get('category') != NULL){
			$category = CategoryMaster::whereIn('id',$request->get('category'))->get();
			$cat = $request->get('category');
			$cat_list = implode(':', $cat);
			
			$common = $common->whereIn('products.category_id',$request->get('category'));
		}
	///tag

		if($request->get('tag') != NULL){

			$prd = ProductTag::where('tag_id','=',$request->get('tag'))
						->pluck('product_id')->toArray();
			$common = $common->whereNotIN('products.id',$prd);
			$tag = $request->get('tag');
		}

	///customer type
		if($request->get('custype') != NULL){
			$cus = Customer::whereIN('customer_type_id',$request->get('custype'))->pluck('id')->toArray();
			$material_req = $material_req->whereIN('customer_id',$cus);
		}
			

        if($status == 'REQ'){
        	$requests = $common->selectRaw('mr_products.material_requisition_id,mr_products.qty,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.id,products.name AS product,customers.name as customer')
               ->groupBy('mr_products.material_requisition_id','mr_products.qty','mr_products.unit_id','mr_products.grade_id','mr_products.product_id','grade_master.grade','category_master.id','unit_of_measurement.unit','category_master.category','products.name','category_master.sequence','customers.name')
               ->orderBy('category_master.sequence')
               ->orderBy('products.name')
               ->get();
        }
        else{

        	$requests = $common->selectRaw('mr_approval_products.material_requisition_id,mr_approval_products.qty AS apr,mr_products.qty AS req,mr_approval_products.product_id,mr_approval_products.unit_id ,mr_approval_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.id,products.name AS product,customers.name as customer')
               ->groupBy('mr_approval_products.material_requisition_id','mr_approval_products.qty','mr_products.qty','mr_approval_products.unit_id','mr_approval_products.grade_id','mr_approval_products.product_id','grade_master.grade','category_master.id','unit_of_measurement.unit','category_master.category','products.name','category_master.sequence','customers.name as customer')
               ->orderBy('category_master.sequence')
               ->orderBy('products.name')
               ->get();
        }

        $material_req = $material_req->get();

		if(isset($_POST['print'])) {
			$x = Common::where('name','=','ACTIVE')->first();
			$mr = MaterialRequisition::where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->pluck('customer_id')->toArray();
			$customers = Customer::where('status','=',$x->id)
									->whereIN('id',$mr)->whereIN('id',$type_cus)->get();

			return view('report/customer_wiseMRPrintAll',compact('requests','status','customers','material_req','category'));
		}
		else{
			return view('report/customer_wiseMRList',compact('requests','status','material_req','category','cat_list','tag'));
		}
	
	}

	public function mrCustomerReport($id,$category)
	{	
		$data = explode('-', $id);
		$id = $data[0];
		$status = $data[1];
		$tag = $data[2];
		$categories = NULL;
		$request = MaterialRequisition::find($id);
		if($status == 'REQ'){
			$products = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
            				->join('products','products.id','=','mr_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->where('mr_products.material_requisition_id','=',$id)
                         	->selectRaw('mr_products.qty,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.id,products.name AS product')
               				->groupBy('mr_products.qty','mr_products.unit_id','mr_products.grade_id','mr_products.product_id','grade_master.grade','unit_of_measurement.unit','category_master.category','category_master.id','products.name')
               				->orderBy('category_master.id')
               				->orderBy('products.name');
		}
		else{
			$products = MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
              				->leftjoin('mr_products','mr_products.id','=','mr_approval_products.mr_product_id')
              				->join('products','products.id','=','mr_approval_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->where('mr_approval_products.material_requisition_id','=',$id)
                         	->selectRaw('mr_approval_products.qty AS apr,mr_products.qty AS req,mr_approval_products.product_id,mr_approval_products.unit_id ,mr_approval_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.id,products.name AS product')
               				->groupBy('mr_approval_products.qty','mr_products.qty','mr_approval_products.unit_id','mr_approval_products.grade_id','mr_approval_products.product_id','grade_master.grade','unit_of_measurement.unit','category_master.id','category_master.category','products.name')
               				->orderBy('category_master.id')
               				->orderBy('products.name');
		}

		if($category != 0){
			$category = explode(':', $category);
			$products = $products->whereIN('products.category_id',$category);
			$categories = CategoryMaster::whereIN('id',$category)
								->pluck('category')->toArray();
		}
		if($tag != 0){
			$prd = ProductTag::where('tag_id','=',$tag)
						->pluck('product_id')->toArray();
			$products = $products->whereNotIN('products.id',$prd);
		}
	
		$products = $products->get();
		
		return view('report/customer_wiseMRReport',compact('request','products','status','categories','tag'));
	}

	//////mr delivery report

	public function mrDeliveredPage()
	{
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();

		$active = Common::where('name','=','ACTIVE')->first();
		$customers = Customer::where('status','=',$active->id)
							->whereIN('customer_type_id',$user_types)
							->orderBy('name')->get();
		return view('report/mr_delivered_page',compact('customers','types'));
	}

	public function mrDeliveredReport(Request $request)
	{

	   if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$active = Common::where('name','=','ACTIVE')->first();
		$type_cus = Customer::whereIN('customer_type_id',$user_types)
							->where('status','=',$active->id)->pluck('id')->toArray();

	   	$date = explode('-', $request->get('date'));
	   	$from = date('Y-m-d', strtotime($date[0]));
	   	$to   = date('Y-m-d', strtotime($date[1]));
	   	$st_date = date('d/m/Y', strtotime($date[0]));
	   	$end_date = date('d/m/Y', strtotime($date[1]));
	   	
	   	$requests = 	MaterialRequisition::where('status','=','REC')
	   								   ->whereIN('customer_id',$type_cus)
	                                   ->where('request_date','>=',$from)
	                                   ->where('request_date','<=',$to);

	    $customers = Customer::join('material_requisition','material_requisition.customer_id','=','customers.id')->where('material_requisition.request_date','>=',$from)
	                     ->where('material_requisition.request_date','<=',$to)
	                     ->whereIN('customers.id',$type_cus);
	                     


         if($request->get('custype') != NULL){
         	$cus = Customer::whereIN('customer_type_id',$request->get('custype'))->pluck('id')->toArray();

         	$requests = $requests->whereIN('customer_id',$cus);
         	$customers = $customers->whereIN('customers.id',$cus);
         }

	   
	   	if($request->get('customer') > 0 )
	   	{
	   
	   	 $requests = $requests->where('customer_id','=',$request->get('customer'))
	   	                      ->get();
	   	 $customer = Customer::find($request->get('customer'))->name;
	   	                       
	   	 return view('report/mr_delivered_custwise',compact('requests','customer','st_date','end_date'));                     
	   	}

       	$customers = $customers->selectRaw('customers.id,customers.name')
                         		->groupBy('customers.id','customers.name')->get();
                         
	   	$requests = $requests->get();
      	 return view('report/mr_delivered_all',compact('requests','customers','st_date','end_date'));
	}

	///status report

	public function statusReportIndex()
	{	
		$user_type = UserType::where('user_id','=',Auth::User()->id)
						->pluck('customer_type_id')->toArray();
		$common = Common::where('name','=','ACTIVE')->first();
		$customers = Customer::where('status','=',$common->id)
							->whereIN('customer_type_id',$user_type)->get();

		return view('report/status_reportIndex',compact('customers'));
	}


	public function statusReportView(Request $request)
	{	
		$date = explode('-', $request->get('date'));
		$to = date('Y-m-d',strtotime($date[1]));
		$from = date('Y-m-d',strtotime($date[0]));

		$userType = UserType::where('user_id','=',Auth::user()->id)
                          ->pluck('customer_type_id')->toArray();
                          
		$cust = Customer::whereIn('customer_type_id',$userType)->where('status','=', 5)
                          ->pluck('id')->toArray();

		$mr = MaterialRequisition::where('request_date','>=',$from)
                           			->where('request_date','<=',$to);

        if ($request->get('customer') != NULL && $request->get('status') != NULL) {
        	$data = $mr->where('customer_id','=',$request->get('customer'))
        				->where('status','=',$request->get('status'))->get();
        	$customer = Customer::find($request->get('customer'))->name;
        	$status = $request->get('status');
        }

        elseif ($request->get('customer') != NULL && $request->get('status') == NULL) {
        	$data = $mr->where('customer_id','=',$request->get('customer'))->get();
        	$customer = Customer::find($request->get('customer'))->name;
        	$status = $request->get('status');
        }

        elseif ($request->get('customer') == NULL && $request->get('status') != NULL) {
        	$data = $mr->whereIn('customer_id',$cust)
        			->where('status','=',$request->get('status'))->get();
        	$customer =$request->get('customer');
        	$status = $request->get('status');
        }
        else{

        	$data = $mr->whereIn('customer_id',$cust)->get();
        	$customer =$request->get('customer');
        	$status = $request->get('status');
        }

        return view('report/status_reportView',compact('data','customer','status','to','from'));
	}

	// MR Tag wise report

	public function mrTagPage()
	{
		$categories = CategoryMaster::all();
		$tags   = TagMaster::all();
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();

		return view('report/mr_tagwise_page',compact('categories','tags','types'));
	}

	public function mrTagReport(Request $request)
	{
	   $date = explode('-', $request->get('date'));
	   $to = date('Y-m-d',strtotime($date[1]));
	   $from = date('Y-m-d',strtotime($date[0]));
	  	
       $category   = NULL;
       $tags = TagMaster::whereIN('id',$request->get('tag'))->get();

       if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}


       if($request->get('radio') == 'REQ'){
       		$Listrequest = 	MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
       						->join('products','products.id','=','mr_products.product_id')
       						->join('category_master','category_master.id','=','products.category_id')
       						->join('unit_of_measurement','unit_of_measurement.id','=','mr_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_products.grade_id')
                         	->join('product_tag','product_tag.product_id','=','products.id')
	                      	->join('tag_master','tag_master.id','=','product_tag.tag_id')
	                      	->join('customers','customers.id','=','material_requisition.customer_id')
	                      	->whereIN('product_tag.tag_id',$request->get('tag'))
	                      	->where('material_requisition.status','=','REQ')
	                      	->where('material_requisition.request_date','>=',$from)
	                      	->where('material_requisition.request_date','<=',$to)
	                      	->whereIN('customers.customer_type_id',$user_types);

	        if($request->get('custype') != NULL){
	        	$Listrequest = $Listrequest->whereIN('customers.customer_type_id',$request->get('custype'));
	        }

	        $dateReq = $Listrequest->selectRaw('material_requisition.request_date,customers.id,customers.name,
        	material_requisition.request_no')
	                        ->groupBy('material_requisition.request_date','customers.id','customers.name','material_requisition.request_no')
	                        ->orderBy('material_requisition.request_date')->get();

	        $status = 'REQ';
	    }
	    else{
	    	$Listrequest =  MaterialRequisition::join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
	    					->leftjoin('mr_products','mr_products.id','=','mr_approval_products.mr_product_id')
							->join('products','products.id','=','mr_approval_products.product_id')
							->join('unit_of_measurement','unit_of_measurement.id','=','mr_approval_products.unit_id')
                         	->leftjoin('grade_master','grade_master.id','=','mr_approval_products.grade_id')
                         	->join('category_master','category_master.id','=','products.category_id')
                         	->join('product_tag','product_tag.product_id','=','products.id')
	                      	->join('tag_master','tag_master.id','=','product_tag.tag_id')
	                      	->join('customers','customers.id','=','material_requisition.customer_id')
	                      	->whereIN('product_tag.tag_id',$request->get('tag'))
	                      	->where('material_requisition.request_date','>=',$from)
	                      	->where('material_requisition.request_date','<=',$to)
	                      	->whereIN('customers.customer_type_id',$user_types);

	        if($request->get('custype') != NULL){
	        	$Listrequest = $Listrequest->whereIN('customers.customer_type_id',$request->get('custype'));
	        }

	        if($request->get('radio') == 'APR'){
	        	$Listrequest = $Listrequest->where('material_requisition.status','=','APR');

	        	$dateReq = $Listrequest->selectRaw('material_requisition.approved_date,customers.id,customers.name,
        	material_requisition.request_no')
	                        ->groupBy('material_requisition.approved_date','customers.id','customers.name','material_requisition.request_no')
	                        ->orderBy('material_requisition.approved_date')->get();
	        	$status = 'APR';
	        }
	        else{
	        	$Listrequest = $Listrequest->where('material_requisition.status','=','REC');

	        	$dateReq = $Listrequest->selectRaw('material_requisition.recieved_date,customers.id,customers.name,
        	material_requisition.request_no')
	                        ->groupBy('material_requisition.recieved_date','customers.id','customers.name','material_requisition.request_no')
	                        ->orderBy('customers.name')
	                        ->orderBy('material_requisition.recieved_date')->get();

	            $status = 'REC';
	        }
	    }



	   
	   if($request->get('category') > 0 )
	   {
	   	 $requests = $Listrequest->where('products.category_id','=',$request->get('category'));
	   	 $category = CategoryMaster::find($request->get('category'))->category;
	   }
	   else
	   {
	   	$requests = $Listrequest;
	   }

	   if($status == 'REQ'){
			$requests = $requests->selectRaw('mr_products.qty AS sum,mr_products.product_id,mr_products.unit_id ,mr_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.category,category_master.id,products.name AS product')
               ->groupBy('mr_products.unit_id','mr_products.grade_id','mr_products.product_id','grade_master.grade','unit_of_measurement.unit','category_master.category','category_master.id','products.name','mr_products.qty')
               ->orderBy('category_master.id')
               ->orderBy('products.name')
               ->get();
		}
		else{

			$requests = $requests->selectRaw('mr_approval_products.qty AS sum_apr,mr_products.qty AS sum,mr_approval_products.product_id,mr_approval_products.unit_id ,mr_approval_products.grade_id,unit_of_measurement.unit,grade_master.grade,category_master.category,products.name AS product')
               ->groupBy('mr_approval_products.unit_id','mr_approval_products.grade_id','mr_approval_products.product_id','grade_master.grade','unit_of_measurement.unit','category_master.category','products.name',
               	'mr_approval_products.qty','mr_products.qty')
               // ->orderBy('category_master.sequence')
               ->orderBy('products.name')
               ->get();
		}
	 
      return view('report/mr_tagwise_report',compact('requests','category','dateReq','tags','from','to','status'));
	
	}


	///cancelled product 

	public function CancelledProductIndex()
	{
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();
		$categories = CategoryMaster::all();
		$tags   = TagMaster::all();
		$common = Common::where('name','=','ACTIVE')->first();
		$customers = Customer::where('status','=',$common->id)
							->whereIN('customer_type_id',$user_types)->get();

		return view('report/CancelledProductIndex',compact('categories','tags','customers','types'));
	}

	public function CancelledProductReport(Request $request)
	{	

		$date = explode('-', $request->get('date'));
		$to = date('Y-m-d',strtotime($date[1]));
		$from = date('Y-m-d',strtotime($date[0]));
		$customer = NULL;

		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}

		$common = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
							->join('products','products.id','=','mr_products.product_id')
							->leftjoin('product_tag','product_tag.product_id','=','products.id')
							->join('customers','material_requisition.customer_id','=','customers.id')
							->join('category_master','category_master.id','=','products.category_id')
							->where('mr_products.deleted_at','!=',NULL)	
							->where('material_requisition.status' ,'<>', 'REQ')
							->where('material_requisition.request_date','>=',$from)
                           	->where('material_requisition.request_date','<=',$to)
                           	->whereIN('customers.customer_type_id',$user_types);
		

        if($request->get('category') != NULL && $request->get('customer') != NULL && $request->get('tag') != NULL)
		{	
			$data = $common->whereIN('products.category_id',$request->get('category'))
                        	->whereIN('product_tag.tag_id',$request->get('tag'))
                        	->where('material_requisition.customer_id','=',$request->get('customer'));

            $customer = Customer::find($request->get('customer'))->name;
		}

		elseif($request->get('category') != NULL && $request->get('customer') == NULL && $request->get('tag') != NULL)
		{	
			$data = $common->whereIN('products.category_id',$request->get('category'))
                        	->whereIN('product_tag.tag_id',$request->get('tag'));

		}

		elseif($request->get('category') != NULL && $request->get('customer') == NULL && $request->get('tag') == NULL)
		{	

			$data = $common->whereIN('products.category_id',$request->get('category'));
		}

		elseif($request->get('category') != NULL && $request->get('customer') != NULL && $request->get('tag') == NULL)
		{	
			$data = $common->whereIN('products.category_id',$request->get('category'))
                        	->where('material_requisition.customer_id','=',$request->get('customer'));
            $customer = Customer::find($request->get('customer'))->name;
		}

		elseif($request->get('category') == NULL && $request->get('customer') != NULL && $request->get('tag') != NULL)
		{	
			$data = $common->whereIN('product_tag.tag_id',$request->get('tag'))
                        	->where('material_requisition.customer_id','=',$request->get('customer'));
			$customer = Customer::find($request->get('customer'))->name;
		}

		elseif($request->get('category') == NULL && $request->get('customer') != NULL && $request->get('tag') == NULL)
		{	
			$data = $common->where('material_requisition.customer_id','=',$request->get('customer'));
			$customer = Customer::find($request->get('customer'))->name;
		}

		elseif($request->get('category') == NULL && $request->get('customer') == NULL && $request->get('tag') != NULL)
		{	
			$data = $common->whereIN('product_tag.tag_id',$request->get('tag'));
		}

		else{
			$data = $common;
		}


		if($request->get('custype') != NULL){
			$data->whereIN('customers.customer_type_id',$request->get('custype'));
		}


		$requests = $data->selectRaw('material_requisition.request_no,material_requisition.status,mr_products.qty,products.name AS product,customers.name AS customer,category_master.id')
			->groupBy('material_requisition.request_no','material_requisition.status','mr_products.qty','products.name','customers.name','category_master.id')
			->orderBy('category_master.id')
            ->orderBy('products.name')
			->get();
		
		return view('report/CancelledProductReport',compact('requests','customer','from','to'));
	}

	//product variation

	public function productVariationPage()
	{
		$categories = CategoryMaster::all();
		$tags       = TagMaster::all();
		$active     = Common::where('name','=','ACTIVE')->first();
        $customers  = Customer::where('status','=',$active->id)->orderBy('name')->get();

         return view('report/product_variation_page',compact('categories','tags','active','customers'));
	}

	public function productVariationReport(Request $request)
	{

	   $date = explode('-', $request->get('date'));
	   $to = date('Y-m-d',strtotime($date[1]));
	   $from = date('Y-m-d',strtotime($date[0]));
	   $category = NULL;
	   $tags = NULL;
	   $customer = NULL;
	   $variationList = MaterialRequisition::join('mr_products','mr_products.material_requisition_id','=','material_requisition.id')
	                      ->join('mr_approval_products','mr_approval_products.material_requisition_id','=','material_requisition.id')
	                      ->join('products','products.id','=','mr_approval_products.product_id')
	                      ->join('customers','customers.id','=','material_requisition.customer_id')
	                      ->leftjoin('product_tag','product_tag.product_id','=','products.id')
	                      ->join('category_master','category_master.id','=','products.category_id')
	                      ->where('mr_products.deleted_at','=',NULL)
	                      ->where('material_requisition.status' ,'<>', 'REQ')
	                      ->where('material_requisition.request_date','>=',$from)
	                      ->where('material_requisition.request_date','<=',$to);

	   if($request->get('category') > 0 )
	   {
	   	 $variationList = $variationList->whereIN('products.category_id',$request->get('category'));
	   	 $category = CategoryMaster::whereIN('id',$request->get('category'))->get();
	   }    
	   
	   if($request->get('tag') > 0 )
	   {
	   	 $variationList = $variationList->whereIN('product_tag.tag_id',$request->get('tag'));
	   	 $tags = TagMaster::whereIN('id',$request->get('tag'))->get();
	   }    
	   if($request->get('customer') > 0)
	   {
	   	 $variationList = $variationList->where('material_requisition.customer_id','=',$request->get('customer'));
	   	 $customer = Customer::find($request->get('customer'))->name; 
	   }   

	   $variationList = $variationList->selectRaw('sum(mr_products.qty) as reqQty,customers.name as cname,sum(mr_approval_products.qty) as aprQty,products.name as pname,material_requisition.request_date,material_requisition.status,material_requisition.id,material_requisition.request_no,category_master.id')
	       ->groupBy('products.name','customers.name','material_requisition.request_date','material_requisition.status','material_requisition.id','material_requisition.request_no','category_master.id')
	       ->orderby('customers.name')
	       ->orderBy('category_master.id')->orderBy('products.name')->get();  
	   
	   return view('report/product_variation_report',compact('variationList','tags','customer','from','to','pdctList','category'));                  
	}


	//pr report


	public function prIndex()
	{	
		$purchase_req = PurchaseRequest::where('status','=','PR')
									->where('request_date','>=',date('Y-m-d'))
									->where('request_date','<=',date('Y-m-d'))->get();
		return view('report/pr_report_index',compact('purchase_req'));
	}

	public function getPRPO(Request $request)
	{	
		$date = explode('-', $request->get('date'));
		$from = $date[0];
		$to = $date[1];
		
		if($request->get('option') == 'PO'){
			$data = PO::where('po_date','>=',date('Y-m-d',strtotime($from)))
						->where('po_date','<=',date('Y-m-d',strtotime($to)))->get();

			$label = 'PO';
		}
		elseif($request->get('option') == 'PRPO'){
			$data = PurchaseRequest::where('status','=','PO')
									->where('request_date','>=',date('Y-m-d',strtotime($from)))
									->where('request_date','<=',date('Y-m-d',strtotime($to)))->get();
			$label = 'PRPO';
		}
		else{
			$data = PurchaseRequest::where('status','=','PR')
									->where('request_date','>=',date('Y-m-d',strtotime($from)))
									->where('request_date','<=',date('Y-m-d',strtotime($to)))->get();
			$label = 'PR';
		}

		$array = array($data,$label);

		return $array;
	}

	public function prReport(Request $request)
	{	
		$prods = [];
		$id = $request->get('pr_po');
		if($request->get('radio') == 'PR'){
			$pr = PurchaseRequest::find($id);
			$products = PRproduct::where('purchase_request_id','=',$id)->get();

			return view('report/prReport',compact('products','pr'));
		}
		elseif($request->get('radio') == 'PO'){
			$po = PO::find($id);
			$products = POProducts::where('po_id','=',$id)->get();

			return view('report/poReport',compact('products','po'));
		}
		else{
			$pr = PurchaseRequest::find($id);
			$po = PO::where('pr_id','=',$id)->get();

			foreach($po as $data){
				$prods[$data->id] = POProducts::where('po_id','=',$data->id)->get();
			}


			return view('report/poprReport',compact('po','prods','pr'));
		}
	}

	// consignment report //
	public function consignmentPage()
	{
	    $suppliers = Supplier::where('status_id','=',5)->get();
		
		return view('report/consignment_report_page',compact('suppliers'));	
	} 

	public function consignmentView(Request $request)
	{
	    $date = explode('-', $request->get('date'));
	    $st_date = date('d-m-Y',strtotime($date[0]));
	    $end_date = date('d-m-Y',strtotime($date[1]));
	    $supplier = NULL;
	    $consignments = POconsignment::join('po','po.id','=','po_consignments.po_id')
	                                 ->join('purchase_request','purchase_request.id','=','po.pr_id')
	                                 ->join('supplier','supplier.id','=','po.supplier_id')
	                                 ->where('po_consignments.eta','>=',date('Y-m-d',strtotime($date[0])))
	                                 ->where('po_consignments.eta','<=',date('Y-m-d',strtotime($date[1])));

	    if($request->get('supplier') > 0){
           $consignments = $consignments->where('supplier.id','=',$request->get('supplier'));
           $supplier = Supplier::find($request->get('supplier'))->name;
	    } 

	    $consignments = $consignments->selectRaw('po.po_no,purchase_request.request_no,supplier.name,po_consignments.eta,po_consignments.bill_no')
	                                 ->orderBy('po_consignments.eta')->get(); 

		return view('report/consignment_report_view',compact('consignments','st_date','end_date','supplier'));
	}		

	public function recievedMRPage()
	{
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();
		$active = Common::where('name','=','ACTIVE')->first();
		$customers = Customer::where('status','=',$active->id)
							->whereIN('customer_type_id',$user_types)
							->orderBy('name')->get();
		return view('report/mr_recieved_page',compact('customers'));	
	}	

	public function recievedMRView(Request $request)
	{
		if ($request->get('consolidate') != null) {
			$date = explode('-', $request->get('date'));
			$st_date = date('Y-m-d',strtotime($date[0]));
			$end_date = date('Y-m-d',strtotime($date[1]));
			 
			$mrs = MaterialRequisition::where('recieved_date','>=',$st_date)->where('recieved_date','<=',$end_date);
			if($request->get('customer')) {
				$mrs = $mrs->where('customer_id','=',$request->get('customer'));
			}
			 	$mrs = $mrs->orderby('recieved_date')->get();
			
			$recieved_products = MRreceivedproduct::whereIn('material_requisition_id',array_column($mrs->toArray(),'id'))->selectRaw('product_id,unit_id,grade_id,sum(rec_qty) as rec_qty,sum(req_qty) as req_qty,sum(apr_qty) as apr_qty,sum(price) as price')->groupBy('product_id','unit_id','grade_id')->get();

			return view('report/recieved_consolidated_report',compact('mrs','st_date','end_date','recieved_products'));
		}else
		{
			$date = explode('-', $request->get('date'));
			$st_date = date('Y-m-d',strtotime($date[0]));
			$end_date = date('Y-m-d',strtotime($date[1]));
			 
			$mrs = MaterialRequisition::where('recieved_date','>=',$st_date)->where('recieved_date','<=',$end_date);
			if($request->get('customer')) {
				$mrs = $mrs->where('customer_id','=',$request->get('customer'));
			}
			 	$mrs = $mrs->orderby('recieved_date')->get();
			
			$recieved_products = MRreceivedproduct::whereIn('material_requisition_id',array_column($mrs->toArray(),'id'))->get();

			return view('report/mr_recieved_view',compact('mrs','st_date','end_date','recieved_products'));
		}
	}	

	public function damageReportPage()
	{
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();
		$active = Common::where('name','=','ACTIVE')->first();
		$customers = Customer::where('status','=',$active->id)
							->whereIN('customer_type_id',$user_types)
							->orderBy('name')->get();
		return view('report/damage_report_page',compact('customers'));
	}


	public function damageEntryView(Request $request)
	{
		if ($request->get('consolidate') != null) {
			$date = explode('-', $request->get('date'));
			$st_date = date('Y-m-d',strtotime($date[0]));
			$end_date = date('Y-m-d',strtotime($date[1]));

			$damages = DamageEntry::where('entry_date','>=',$st_date)
						->where('entry_date','<=',$end_date);

			if($request->get('customer')) {
				$damages = $damages->where('customer_id','=',$request->get('customer'));
			}

			$damages = $damages->orderby('entry_date')->get();

			$damage_products = DamageProduct::whereIn('damage_entery_id',array_column($damages->toArray(),'id'))->selectRaw('product_id,unit_id,grade_id,sum(qty) as qty,sum(price) as price,sum(total_amt) as total_amt')->groupBy('product_id','unit_id','grade_id')->get();

			return view('report/damage_consolidated_report',compact('damages','damage_products','st_date','end_date'));
		}else
		{
			$date = explode('-', $request->get('date'));
			$st_date = date('Y-m-d',strtotime($date[0]));
			$end_date = date('Y-m-d',strtotime($date[1]));

			$damages = DamageEntry::where('entry_date','>=',$st_date)
						->where('entry_date','<=',$end_date);

			if($request->get('customer')) {
				$damages = $damages->where('customer_id','=',$request->get('customer'));
			}

			$damages = $damages->orderby('entry_date')->get();

			$damage_products = DamageProduct::whereIn('damage_entery_id',array_column($damages->toArray(),'id'))->get();

			return view('report/damage_report_view',compact('damages','damage_products','st_date','end_date'));
		}
	}

	public function goodsReturnPage()
	{
		if(Auth::user()->role()->name == 'ADMIN'|| Auth::user()->role()->name == 'SUPERVISOR'){
			$user_types = CustomerType::all()->pluck('id')->toArray();
		}elseif(Auth::user()->role()->name == 'MANAGER'){
			$user_types = UserType::where('user_id','=',Auth::user()->id)->pluck('customer_type_id')->toArray();
		}
		$types = CustomerType::whereIN('id',$user_types)->get();
		$active = Common::where('name','=','ACTIVE')->first();
		$customers = Customer::where('status','=',$active->id)
							->whereIN('customer_type_id',$user_types)
							->orderBy('name')->get();
		return view('report/goodsreturn_report_page',compact('customers'));
	}

	public function goodsReturnView(Request $request)
	{

		if ($request->get('consolidate') != null) {
			$date = explode('-', $request->get('date'));
			$st_date = date('Y-m-d',strtotime($date[0]));
			$end_date = date('Y-m-d',strtotime($date[1]));

			$goods_rtns = GoodsReturnEntry::where('return_date','>=',$st_date)
						->where('return_date','<=',$end_date);

			if($request->get('customer')) {
				$goods_rtns = $goods_rtns->where('customer_id','=',$request->get('customer'));
			}

			$goods_rtns = $goods_rtns->orderby('return_date')->get();

			$return_products = ReturnProduct::whereIn('goods_rtn_entry_id',array_column($goods_rtns->toArray(),'id'))->selectRaw('product_id,unit_id,grade_id,sum(qty) as qty,sum(price) as price,sum(total_amt) as total_amt')->groupBy('product_id','unit_id','grade_id')->get();
		
		return view('report/goods_consolidated_report',compact('goods_rtns','return_products','st_date','end_date'));
		}else
		{
		$date = explode('-', $request->get('date'));
		$st_date = date('Y-m-d',strtotime($date[0]));
		$end_date = date('Y-m-d',strtotime($date[1]));

		$goods_rtns = GoodsReturnEntry::where('return_date','>=',$st_date)
					->where('return_date','<=',$end_date);

		if($request->get('customer')) {
			$goods_rtns = $goods_rtns->where('customer_id','=',$request->get('customer'));
		}

		$goods_rtns = $goods_rtns->orderby('return_date')->get();

		$return_products = ReturnProduct::whereIn('goods_rtn_entry_id',array_column($goods_rtns->toArray(),'id'))->get();
		
		return view('report/goodsreturn_report_view',compact('goods_rtns','return_products','st_date','end_date'));
		}
	}
}
	
