<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Role;
use App\RolePermission;
use App\Permission;
use Auth;

class RoleController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }
    
    public function index()
    {
        $roles = Role::orderBy('name')->get();

    	return view('role/index',compact('roles'));
    }

    public function create()
    {
       $permissions = Permission::orderBy('name')->get();

       return view('role/create',compact('permissions'));
    }

    public function store(Request $request)
    {
       if($request->get('permisssion') == NULL)
       {
         return redirect('role/create')->with('exists','true');
       }
       $roles = Role::where('name','=',$request->get('role'))->count();

       if($roles > 0)
       {
       	  return redirect('role/create')->with('exist','true'); 
       }

       $role = Role::create(array( 'name'           => strtoupper($request->get('role')),
       	                           'display_name'   => strtoupper($request->get('role')),
       	                           'description'    => ucfirst($request->get('description')) ));

       if($request->get('permisssion') != NULL)
       {
       	 $permissions = $request->get('permisssion');

       	 foreach($permissions as $permission)
       	 {
       	 	RolePermission::create(array( 'permission_id'  => $permission,
       	 		                          'role_id'        => $role->id ));
       	 }
       }

      return redirect('role/index')->with('save','true'); 
    }

    public function edit($id)
    {
       $role = Role::find($id);
       
       $list = RolePermission::where('role_id','=',$id)->pluck('permission_id')->toArray();

       $permissions = Permission::orderBy('name')->get();

       return view('role/edit',compact('permissions','role','list'));
    }

    public function update(Request $request)
    {

       $role = Role::find($request->get('role_id'));
       if($role->flag == 0)
       {
          $role->name = strtoupper($request->get('role'));
          $role->display_name = strtoupper($request->get('role'));
          $role->description  = ucfirst($request->get('description'));
          $role->save();
       }
       

       RolePermission::where('role_id','=',$request->get('role_id'))->delete();

       $permissions = $request->get('permisssion');

       if($request->get('permisssion') != NULL)
       {
       	 foreach($permissions as $permission)
       	 {
       	 	RolePermission::create(array( 'permission_id'  => $permission,
       	 		                            'role_id'        => $request->get('role_id') ));
       	 }

       }

       return redirect('role/index')->with('Update','true');
                   
    }
}
