<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\GroupMaster;
use App\SubGroup;
use Auth;

class SubGroupController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }
    
    public function index()
    {
    	$masters  = GroupMaster::where('is_active','=','Y')->get();
    	$subGroup = SubGroup::all();
    	return view('sub_group/index',compact('masters','subGroup'));
    }

    public function store(Request $request)
    {
    	if($request->get('master_id') == NULL)
    	{   
    		$subGrp = SubGroup::where('group_master_id','=',$request->get('master_group')) 
    		                  ->where('sub_group','=',strtoupper($request->get('sub_group')))
    		                  ->count();
    		if($subGrp > 0)
    		{
    			return redirect('subgroup/index')->with('exist','true');
    		}                  

    		SubGroup::create(array('group_master_id'   => $request->get('master_group'),
    			                   'sub_group'         => strtoupper($request->get('sub_group'))));

    		return redirect('subgroup/index')->with('save','true');
    	}
    	else
    	{
    		SubGroup::where('id','=',$request->get('master_id'))
    		        ->update(array('group_master_id'   => $request->get('master_group'),
    			                   'sub_group'         => strtoupper($request->get('sub_group'))));

    		return redirect('subgroup/index')->with('Update','true');
    	}
	
    }

    public function edit(Request $request)
    {
    	$sub = SubGroup::where('id','=',$request->get('option'))->get();
    	return $sub;
    }
}
