<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Supplier;
use App\Common;
use App\CategoryMaster;
use App\Product;
use App\SupplierProduct;
use App\Currency;
use Auth;
use App\Office;
use App\ProductGrade;
use App\GradeMaster;
use App\ProductStandard;
use App\StandardMaster;
use App\SupplierRateEntry;
use App\SeasonMaster;
use App\SupplierProductSeason;
use App\Country;

class SupplierController extends Controller
{
	
    public function __construct()
    {
        $this->middleware('auth');
    }

	public function viewList()
	{
		$supplier = Supplier::all();
		return view('supplier/list',compact('supplier'));
	}

	public function create()
	{	
		$status = Common::where('masterkeyword','=','STATUS')->get();
		$supplier = Common::where('masterkeyword','=','SUPPLIER TYPE')->get();
		$delivery = Common::where('masterkeyword','=','DELIVERY TYPE')->get();
		$pay = Common::where('masterkeyword','=','PAYMENT')->get();
		$currency = Currency::all();
		$office = Office::all();
		$country = Country::all();

		return view('supplier/create',compact('supplier','delivery','status','pay','currency','office','country'));
	}

	public function addCountry(Request $request)
	{
	   $country = Country::where('country','=',$request->get('country'))->get();
	   if(count($country) == 0){
           $cntry = Country::create([
       	                       'country' => strtoupper($request->get('country'))
                           ]);
           return $cntry;
	   }
	   else{
	   	  return 1;
	   }
	}

	
	public function store(Request $request)
	{	
		$insert = Supplier::create([
									'name' => $request->get('name'),
									'supplier_type_id' => $request->get('s_type'),
									'delivery_type_id' => $request->get('d_type'),
									'address' => $request->get('address'),
									'contact_no1' => $request->get('mobile1'),
									'contact_p1' => $request->get('contact_p1'),
									'email1' => $request->get('email1'),
									'contact_no2' => $request->get('mobile2'),
									'contact_p2' => $request->get('contact_p2'),
									'email2' => $request->get('email2'),
									'payment_type_id' => $request->get('pay'),
									'credit_limit' => $request->get('limit'),
									'credit_period' => $request->get('period'),
									'status_id' => $request->get('status'),
									'currency_type_id' => $request->get('currency'),
									'shipping_terms'  => $request->get('shipping'),
									'office_id' => $request->get('office'),
									'sup_code'  => strtoupper($request->get('supCode')),
									'ben_name' => $request->get('ben_name'),
									'account_number' => $request->get('acc_number'),
									'bank_name' => $request->get('bank_name'),
									'branch_name' => $request->get('branch_name'),
									'bank_addrs' => $request->get('bank_address'),
									'swift_code'  => $request->get('swift_code'),
									'iban' => $request->get('iban'),
									'country_id' => $request->get('country')
								]);
		return redirect()->route('supplier.list')->with(['message' => true]);
		
	}

	public function edit($id)
	{
		$sup = Supplier::find($id);
		$status = Common::where('masterkeyword','=','STATUS')->get();
		$supplier = Common::where('masterkeyword','=','SUPPLIER TYPE')->get();
		$delivery = Common::where('masterkeyword','=','DELIVERY TYPE')->get();
		$pay = Common::where('masterkeyword','=','PAYMENT')->get();
		$currency = Currency::all();
		$office = Office::all();
		$country = Country::all();

		return view('supplier/edit',compact('supplier','sup','status','delivery','pay','currency','office','country'));
	}

	public function update(Request $request)
	{	
		
		$update = Supplier::where('id','=',$request->get('id'))
							->update([
									'name' => $request->get('name'),
									'supplier_type_id' => $request->get('s_type'),
									'delivery_type_id' => $request->get('d_type'),
									'address' => $request->get('address'),
									'contact_no1' => $request->get('mobile1'),
									'contact_p1' => $request->get('contact_p1'),
									'email1' => $request->get('email1'),
									'contact_no2' => $request->get('mobile2'),
									'contact_p2' => $request->get('contact_p2'),
									'email2' => $request->get('email2'),
									'payment_type_id' => $request->get('pay'),
									'credit_limit' => $request->get('limit'),
									'credit_period' => $request->get('period'),
									'status_id' => $request->get('status'),
									'currency_type_id' => $request->get('currency'),
									'shipping_terms'  => $request->get('shipping'),
									'office_id' => $request->get('office'),
									'sup_code'  => strtoupper($request->get('supCode')),
									'ben_name' => $request->get('ben_name'),
									'account_number' => $request->get('acc_number'),
									'bank_name' => $request->get('bank_name'),
									'branch_name' => $request->get('branch_name'),
									'bank_addrs' => $request->get('bank_address'),
									'swift_code'  => $request->get('swift_code'),
									'iban' => $request->get('iban'),
									'country_id' => $request->get('country')
								]);

		return redirect()->route('supplier.list');
	}

	public function mapProduct($id)
	{	
		$selected = NULL;
		$categories = CategoryMaster::orderBy('category')->get();
        $products   = NULL;
        $supId = $id;
        $exist = SupplierProduct::where('supplier_id','=',$id)
        			->pluck('product_id')->toArray();
        $supp = Supplier::find($id);
		return view('supplier/map_products',compact('categories','products','supId','exist','selected','supp'));
	}

	public function addProduct(Request $request)
	{
		$product_id = $request->get('product');
		$supplier_id = $request->get('supplier');
		$grade_id = $request->get('grade');
		$stand_id = $request->get('stand');

		$check = ProductStandard::where('product_id','=',$product_id)->count();
		// $check = ProductGrade::where('product_id','=',$product_id)->count();
		if($check == 1){
			$stand = ProductStandard::where('product_id','=',$product_id)->first();
			$grade_id = $stand->grade_id;
			$stand_id = $stand->standard_id;
			// $grade_id = ProductGrade::where('product_id','=',$product_id)->first()->grade_id;
			
			$data = StandardMaster::find($stand_id)->standard.' - '.GradeMaster::find($grade_id)->grade;
		}
		else{
			$data = 'no text';
		}

		$insert = SupplierProduct::create([
											'supplier_id' => $supplier_id,
											'product_id' => $product_id,
											'grade_id' => $grade_id,
											'standard_id' => $stand_id,
										]);
		return $data;
	}

	public function updateProduct(Request $request)
	{
		$product_id = $request->get('product');
		$supplier_id = $request->get('supplier');
		$grade_id = $request->get('grade');
		$stand_id = $request->get('stand');

		$check = ProductStandard::where('product_id','=',$product_id)->count();
		// $check = ProductGrade::where('product_id','=',$product_id)->count();
		if($check == 1){
			$stand = ProductStandard::where('product_id','=',$product_id)->first();
			$grade_id = $stand->grade_id;
			$stand_id = $stand->standard_id;
			// $grade_id = ProductGrade::where('product_id','=',$product_id)->first()->grade_id;
		}
		$sup_pdt_id = SupplierProduct::where('supplier_id','=',$supplier_id)
					                 ->where('product_id','=',$product_id)
									->where('grade_id','=',$grade_id)
									->where('standard_id','=',$stand_id)->first();

		SupplierRateEntry::where('supplier_product_id','=',$sup_pdt_id->id)->delete();
		$update = SupplierProduct::where('supplier_id','=',$supplier_id)
					->where('product_id','=',$product_id)
					->where('grade_id','=',$grade_id)
					->where('standard_id','=',$stand_id)
					->delete();

	}

	public function mapCat_Product(Request $request)
	{
		$products = Product::where('category_id','=',$request->get('category'))
		 				->orderBy('name')->get();
		
		$supId = $request->get('sup_id');
		
		$categories = CategoryMaster::orderBy('category')->get();
		$exist = SupplierProduct::where('supplier_id','=',$supId)
        			->pluck('product_id')->toArray();
        $selected = $request->get('category');

        foreach($products as $prd){
        	$stnds[$prd->id] = ProductStandard::where('product_id','=',$prd->id)->get();
        	// $grades[$prd->id] = ProductGrade::where('product_id','=',$prd->id)->get();
        }

        $supplier_seasons = SupplierProductSeason::where('supplier_id','=',$supId)->get();
        
        $seasons = SeasonMaster::all();
        $supp = Supplier::find($supId);

        return view('supplier/map_products',compact('categories','products','supId','exist','selected','grades','stnds','seasons','supplier','supplier_seasons','supp'));
	}

	public function getStandrd(Request $request)
	{
		$stnds = ProductStandard::join('standard_master','standard_master.id','=','product_standard.standard_id')
						->join('grade_master','grade_master.id','=','product_standard.grade_id')
						->where('product_standard.product_id','=',$request->get('prd'))
						->where('standard_master.is_active','=','Y')
						->where('grade_master.is_active','=','Y')
						->selectRaw('standard_master.id as sid, grade_master.id as gid, standard_master.standard, grade_master.grade,product_standard.id')
						->get();
		

		$prd = Product::find($request->get('prd'))->name;

		$exist = SupplierProduct::where('supplier_id','=',$request->get('supplier'))
								->where('product_id','=',$request->get('prd'))
								->selectRaw('grade_id,standard_id')
								->get();

		$data = array($stnds,$prd,$exist);
		return $data;
	}

	public function getGrades(Request $request)
	{
		$grades = ProductGrade::join('grade_master','grade_master.id','=','product_grade.grade_id')
							->where('product_grade.product_id','=',$request->get('prd'))
							->where('grade_master.is_active','=','Y')
							->select('grade_master.id','grade_master.grade')
							->get();

		$prd = Product::find($request->get('prd'))->name;

		$exist = SupplierProduct::where('supplier_id','=',$request->get('supplier'))
								->where('product_id','=',$request->get('prd'))
								->pluck('grade_id')->toArray();

		$data = array($grades,$prd,$exist);
		return $data;
	}

	public function getSupGrades(Request $request)
	{

		$exist = SupplierProduct::join('grade_master','grade_master.id','=','supplier_product.grade_id')
						->join('standard_master','standard_master.id','=','supplier_product.standard_id')
						->where('supplier_product.supplier_id','=',$request->get('supplier'))
						->where('supplier_product.product_id','=',$request->get('product'))
						->selectRaw('standard_master.standard,grade_master.grade')->get();
						$data='';
		foreach ($exist as $value) {
			$data.= $value->standard.'-'.$value->grade.';';
		}
		// $grades = GradeMaster::whereIN('id',$exist)->pluck('grade')->toArray();
		// $rev = array_reverse($grades);
		return $data;
	}

	public function addGrade(Request $request)
	{
		$product_id = $request->get('product');
		$supplier_id = $request->get('supplier');
		$p_std = $request->get('p_std');
		$product_stand = ProductStandard::find($p_std);
		$insert = SupplierProduct::create([
											'supplier_id' => $supplier_id,
											'product_id' => $product_id,
											'grade_id' => $product_stand->grade_id,
											'standard_id' => $product_stand->standard_id,
										]);
		return $supplier_id;
	}

	public function updateGrade(Request $request)
	{
		$product_id = $request->get('product');
		$supplier_id = $request->get('supplier');
		$p_std = $request->get('p_std');
		$product_stand = ProductStandard::find($p_std);
        
        $sup_pdt_id = SupplierProduct::where('supplier_id','=',$supplier_id)
					                 ->where('product_id','=',$product_id)
									->where('grade_id','=',$product_stand->grade_id)
									->where('standard_id','=',$product_stand->standard_id)->first();
		SupplierRateEntry::where('supplier_product_id','=',$sup_pdt_id->id)->delete();							
		$update = SupplierProduct::where('supplier_id','=',$supplier_id)
					->where('product_id','=',$product_id)
					->where('grade_id','=',$product_stand->grade_id)
					->where('standard_id','=',$product_stand->standard_id)
					->delete();
		return $supplier_id;
	}


}