<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PRsupplier;
use App\PO;
use App\SupplierProduct;
use App\Product;
use Auth;
use App\POProducts;
use App\PurchaseRequest;
use App\ProductGrade;
use App\GradeMaster;
use App\ProductUnit;
use App\UnitMeasurement;
use App\PRproduct;
use App\PRSupplierProduct;
use App\SupplierRateEntry;
use App\PrMrMapping;
use App\MaterialRequisition;
use App\Supplier;
use App\SupplierUnitRate;

class SupplierPrController extends Controller
{
   public function index()
   {

  $group = Auth::user()->userTypes->first();
  $pr_lists = NULL;
if($group != NULL)
{
  $stat =  ['C','O'];
      $pr_lists = PRsupplier::join('purchase_request','purchase_request.id','=','pr_suppliers.purchase_request_id')
                     ->join('supplier','supplier.id','=','pr_suppliers.supplier_id')
                     ->where('purchase_request.status','=','PR')
                      ->where('purchase_request.cus_group_id','=',$group->customer_type_id)
                     // ->where('pr_suppliers.status','!=','O')
                      ->whereNOTIn('pr_suppliers.status',$stat)
                     ->selectRaw('supplier.id,supplier.name,pr_suppliers.status,purchase_request.request_date,purchase_request.request_no,purchase_request.id as pid')
                     ->groupBy('supplier.id','supplier.name','pr_suppliers.status','purchase_request.request_no','purchase_request.request_date','purchase_request.id')
                     ->orderBy('supplier.id')->get();
}
   	 
                        
   	 return view('supplier_pr/index', compact('pr_lists'));

   }

   //product list view page //
  public function product($id)
   {
     $data = explode('-', $id);
     $pr = PRsupplier::where('supplier_id','=',$data[0])
                     ->where('purchase_request_id','=',$data[1])->first(); 
     $supplier = Supplier::find($data[0]);
     $currency = $supplier->supplierCurrency->currency;
     $pr_products = PRSupplierProduct::where('pr_supplier_id','=',$pr->id)
                                     ->where('status','!=','C')->get();
      foreach($pr_products as $pdt)
      { 
         $base_unit = Product::find($pdt->product_id)->base_unit_id;
         $qt = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;

         if($pdt->unit_id == 1){
             if($base_unit == 1){
                $pdt['weight'] = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;
             }else{
                $kg_rate = SupplierUnitRate::where('supplier_id','=',$pdt->PRsupplier->supplier_id)
                                      ->where('product_id','=',$pdt->product_id)
                                      ->where('unit_id','=',$pdt->unit_id);
                if($pdt->grade_id > 0){
                  $kg_rate = $kg_rate->where('grade_id','=',$pdt->grade_id); 
                } 
                $kg_rate =  $kg_rate->first();
                $chk_rate = ($kg_rate != NULL) ? $kg_rate->value : 0;
                $pdt['weight'] =  $chk_rate * $qt;
             }
         }else{
            if($base_unit == 1){
               $rate = SupplierUnitRate::where('supplier_id','=',$pdt->PRsupplier->supplier_id)
                                       ->where('product_id','=',$pdt->product_id)
                                       ->where('unit_id','=',$pdt->unit_id);
                if($pdt->grade_id > 0){
                  $rate = $rate->where('grade_id','=',$pdt->grade_id); 
                } 
                $rate =  $rate->first(); 
                $get_rate = ($rate != NULL) ? $rate->value : 0;
                $pdt['weight'] = $get_rate * $qt;
            }else{
                $rate = SupplierUnitRate::where('supplier_id','=',$pdt->PRsupplier->supplier_id)
                                       ->where('product_id','=',$pdt->product_id)
                                       ->where('unit_id','=',1);
                if($pdt->grade_id > 0){
                  $rate = $rate->where('grade_id','=',$pdt->grade_id); 
                } 
                $rate =  $rate->first(); 
                $get_rate = ($rate != NULL) ? $rate->value : 0;
                $pdt['weight'] = $get_rate * $qt;
            }
         }   
           
         //calculate total price
         if($pdt->apr_qty != NULL){
          $sum_tot = $pdt->unitprice * $pdt->apr_qty;
         }else{
          $sum_tot = $pdt->unitprice * $pdt->qty;
         }

         $total_price[$pdt->id] = bcdiv($sum_tot, 1, 3);
      }

    return view('supplier_pr/product', compact('pr_products','pr','unit_price','total_price','currency'));
   }

   //cancel prproductsupplier //
   public function pdtCancel(Request $request)
   {
      $pr_product  = PRSupplierProduct::where('id','=',$request->get('id'))
                              ->update([ 'apr_qty' => $request->get('qty'),
                                         'status'  => 'C']); 
      return $pr_product;                        
   }
   
   //save product details to prproductsupplier //

   public function saveProduct(Request $request)
   {
      
     if($request->get('pr_id') != NULL){

      $i = 0; 
      foreach($request->get('pr_id') as $pid)
      {

        PRSupplierProduct::where('id','=',$pid)
                 ->update(['product_id' => $request->get('product')[$i],
                           'unit_id'    => $request->get('unit')[$i],
                           'grade_id'   => $request->get('grade')[$i],
                           'unitprice'  => $request->get('unt_prc')[$i],
                           'apr_qty'    => $request->get('qty')[$i],
                           'weight'     => $request->get('weight')[$i],
                           'price'      => str_replace(",", "", $request->get('total')[$i]),
                           'status'     => 'A'
                           ]);         
         $i++;         

      }

     }
    
      if($request->get('products') != NULL)
      {
         $c=0;                   
        foreach($request->get('products') as $pdt)
        { 
          $std = null;
          $grd = null;
          if($request->get('grades')[$c] != NULL){
            $grd_std = explode('/', $request->get('grades')[$c]);
            $std = $grd_std[1];
            $grd = $grd_std[0];
          }
          
          PRSupplierProduct::create(['pr_supplier_id'  => $request->get('pr_supplier_id'),
                                     'product_id'      => $pdt,
                                     'unit_id'         => $request->get('units')[$c],
                                     'grade_id'        => $grd,
                                     'standard_id'     => $std, 
                                     'unitprice'       => $request->get('prices')[$c],
                                     'apr_qty'         => $request->get('qtys')[$c],
                                     'actual_unit'     => $request->get('act_unit')[$c],
                                     'price'           => str_replace(",", "",$request->get('totals')[$c]),
                                     'weight'          => $request->get('weights')[$c],
                                     'status'          => 'A']);
          $c++;
        }
      }

     return redirect('supplier/wise/pr/index')->with('message','true'); 
   }

   public function searchPdt(Request $request)
   {
                              
      $supplier_product = SupplierProduct::where('supplier_id','=',$request->get('supplier_id'))->pluck('product_id');
      
      $pdts_lists = SupplierProduct::where('supplier_id','=',$request->get('supplier_id'))->selectRaw('product_id')->groupBy('product_id')->get();
      
      $product_grades = SupplierProduct::join('grade_master','grade_master.id','=','supplier_product.grade_id')
                                       ->join('supplier_rate_entry','supplier_rate_entry.supplier_product_id','=','supplier_product.id')
                                       ->join('unit_of_measurement','unit_of_measurement.id','=','supplier_rate_entry.unit_id')
                                       ->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                                       ->join('standard_master','standard_master.id','=','supplier_product.standard_id')
                                       ->where('supplier_product.grade_id','!=',0)
                                       ->where('supplier_product.supplier_id','=',$request->get('supplier_id'))
                                       ->where('supplier_rate_entry.is_active','=','Y')
                                       ->selectRaw('grade_master.id,grade_master.grade,supplier_rate_entry.price,currencies.currency,supplier_product.product_id,unit_of_measurement.unit,standard_master.standard,standard_master.id as sid')->get();

      $product_units = ProductUnit::whereIn('product_id',$supplier_product)->get();

       $products = [];

      foreach($pdts_lists as $list){

        $check = SupplierProduct::where('product_id','=',$list->product_id)->where('supplier_id','=',$request->get('supplier_id'))->first(); 

        if($check->grade_id == 0){

          $pdt = Product::join('supplier_rate_entry','supplier_rate_entry.product_id','=','products.id')
                        ->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                        ->where('products.is_active','=','Y')
                        ->where('products.id','=',$list->product_id)
                        ->where('supplier_rate_entry.supplier_id','=',$request->get('supplier_id'))
                        ->where('supplier_rate_entry.is_active','=','Y')
                        ->selectRaw('products.id,products.name,supplier_rate_entry.price,currencies.currency')->first();

          if($pdt['id'] != NULL){
           $products[] = ['id'   => $pdt['id'],
                         'name' => $pdt['name'].'/'.$pdt['price'].' '.$pdt['currency']];
           }
        }
        else{
         $pdt = Product::where('id','=',$list->product_id)->where('is_active','=','Y')->first();
          if($pdt['id'] != NULL){
           $products[] = [ 'id'   => $pdt['id'],
                           'name' => $pdt['name'] ]; 
          } 
        }
       } 
      
        $grades = [];
        foreach($product_grades as $pgrd) {
          $grades[] = ['id' => $pgrd->id,
                       'product_id' => $pgrd->product_id,
                       'grade' =>  $pgrd->standard.'/'.$pgrd['grade'].'/'.$pgrd['price'].' '.$pgrd['currency'].'/'.$pgrd['unit'] 
                      ];
        }
      
        $units = [];
        foreach($product_units as $punt) {
            $units[] = ['id' => $punt->unit_id,
                        'product_id' => $punt->product_id,
                        'unit' => $punt->unitMaster->unit
                        ];
        }

        $data[0]=json_encode($products);
        $data[1]=json_encode($grades);
        $data[2]=json_encode($units);

        return $data;
   }
   
   //create po //
   public function createPo(Request $request)
   {
       if($request->get('option') == 'C')
      {
        $pr_lists = PRsupplier::join('purchase_request','purchase_request.id','=','pr_suppliers.purchase_request_id')
                           ->where('purchase_request.status','=','PR')
                           ->where('pr_suppliers.status','=','A')
                           ->selectRaw('pr_suppliers.id,pr_suppliers.supplier_id as sid,purchase_request.id as pid,pr_suppliers.eta')
                           ->groupBy('pr_suppliers.id','purchase_request.id','pr_suppliers.supplier_id','pr_suppliers.eta')->get();

        $i = 0;
        foreach($pr_lists as $list)
        {
          $count = PO::count();
          $mr_list = PrMrMapping::where('pr_id','=',$list->pid)->pluck('mr_id')->toArray();
          $mr = MaterialRequisition::whereIn('id',$mr_list)
                                   ->update(['status'    => 'APR',
                                             'pr_status' => 1]);
          $sup_code = Supplier::find($list->sid)->sup_code; 
          if($sup_code){
            $code = $sup_code.'/'.date('m').'/'.date('Y').'/'.$count;     
          }else{
            $code = date('m').'/'.date('Y').'/'.$count;
          }
                            
          $po = PO::create(['pr_id'        => $list->pid,
                            'po_no'        => $code,
                            'supplier_id'  => $list->sid,
                            'entered_by'   => Auth::user()->id,
                            'po_date'      => date('Y-m-d'),
                            'eta'          => $list->eta ]);

          PRsupplier::where('purchase_request_id','=', $list->pid)
                            ->where('supplier_id','=', $list->sid)
                            ->update(['status'  => 'O']);

          $pr_pdt_suppliers = PRSupplierProduct::where('pr_supplier_id','=',$list->id)
                                               ->selectRaw('sum(apr_qty) as apr_qty, sum(price) as price,product_id,unit_id,grade_id,standard_id,unitprice,sum(weight) as weight')
                                               ->groupBy('product_id','unit_id','grade_id','unitprice','standard_id')
                                               ->where('status','=','A')
                                               ->get();
          
          foreach($pr_pdt_suppliers as $pdt)
          {
            if($pdt->qty != NULL){
            $price = $pdt->unitprice * $pdt->apr_qty;
            }else{$price = $pdt->price;}
            
            POProducts::create(['po_id'      => $po->id,
                                'product_id' => $pdt->product_id,
                                'unit_id'    => $pdt->unit_id,
                                'standard_id'=> $pdt->standard_id,
                                'grade_id'   => $pdt->grade_id,
                                'qty'        => $pdt->apr_qty,
                                'unit_price' => $pdt->unitprice,
                                'price'      => $price,
                                'weight'     => $pdt->weight,
                                'bal_qty'    => $pdt->apr_qty]);

          } 

          $count = PRsupplier::where('purchase_request_id' , '=' , $list->pid)
                          ->where('status' , '=' , 'G')->count();

          if($count <= 0)
          {
              PurchaseRequest::where('id','=',$list->pid)
                         ->update(['status'  => 'PO']);
          }

          $i++;               

        }
        return $pr_lists;
      }
        
        
   }
   //cancel pr supplier //
   public function cancelPr(Request $request)
   {
      
      $pr_sup = PRsupplier::where('supplier_id','=',$request->get('sup_id'))
                          ->where('purchase_request_id','=',$request->get('p_id'))
                          ->update(['status' => 'C']);
      return 0;          
   }

   //approve purchase request //
   public function approvePr(Request $request)
   {
      $pr_sup = PRsupplier::where('supplier_id','=',$request->get('sup_id'))
                          ->where('purchase_request_id','=',$request->get('p_id'))
                          ->update(['status'  => 'A']);

      $suppliers = PRsupplier::where('supplier_id','=',$request->get('sup_id'))
                            ->where('purchase_request_id','=',$request->get('p_id'))
                            ->pluck('id')->toArray();

      $pdt_suppliers = PRSupplierProduct::whereIn('pr_supplier_id',$suppliers)
                                        ->where('apr_qty','=',NULL)
                                        ->where('status','!=','C')->get();
      foreach($pdt_suppliers as $pdt)
      {
        PRSupplierProduct::where('id','=',$pdt->id)
                         ->update(['apr_qty' => $pdt->qty,
                                   'status'  => 'A']);
      }                                                                           
 
      return 0;                   
   }

   public function productUnit(Request $request)
   {
      $product_grades = SupplierProduct::join('grade_master','grade_master.id','=','supplier_product.grade_id')
                                       ->join('supplier_rate_entry','supplier_rate_entry.supplier_product_id','=','supplier_product.id')
                                       ->join('unit_of_measurement','unit_of_measurement.id','=','supplier_rate_entry.unit_id')
                                       ->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                                       ->join('standard_master','standard_master.id','=','supplier_product.standard_id')
                                       ->where('supplier_product.grade_id','!=',0)
                                       ->where('supplier_product.supplier_id','=',$request->get('supplier_id'))
                                       ->where('supplier_product.product_id','=',$request->get('product_id'))
                                       ->where('supplier_rate_entry.is_active','=','Y')
                                       ->selectRaw('grade_master.id,grade_master.grade,supplier_rate_entry.price,currencies.currency,supplier_product.product_id,unit_of_measurement.unit,standard_master.standard,standard_master.id as sid')->get();
                                       
      $grades = [];
      foreach($product_grades as $pgrd) {
          $grades[] = ['id' => $pgrd->id.'/'.$pgrd->sid,
                       'grade' =>  $pgrd['standard'].'/'.$pgrd['grade'].'/'.$pgrd['price'].' '.$pgrd['currency'].'/'.$pgrd['unit'] 
                      ];
        }
        
      $product_units = ProductUnit::where('product_id','=',$request->get('product_id'))->pluck('unit_id');
      $units = [];
      $units = UnitMeasurement::whereIn('id',$product_units)->selectRaw('id,unit')->get();
        

      $data[0]=json_encode($grades);
      $data[1]=json_encode($units);

      return $data;
   }
   
   // product list

   public function pdtList($id,$pid)
   {
     $pr = PRsupplier::where('supplier_id','=',$id)
                     ->where('purchase_request_id','=',$pid)->first(); 
     
     $pr_products = PRSupplierProduct::where('pr_supplier_id','=',$pr->id)
                                     ->where('status','!=','C')->get();

    return view('supplier_pr/product_list', compact('pr','pr_products'));               
   }

      public function getWeight(Request $request)
   {
     $base_unit = Product::find($request->get('pdt'))->base_unit_id;
     $pdt = Product::find($request->get('pdt'));
           
           if($base_unit == $request->get('unt')){
              $unit_rate = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                   ->where('product_id','=',$request->get('pdt'))
                                   ->where('unit_id','=',$request->get('unt'))
                                   ->where('is_active','=','Y');
              if($request->get('grd') > 0){
                  $unit_rate = $unit_rate->where('grade_id','=',$request->get('grd')); 
                } 
              $unit_rate = $unit_rate->first();                       
              $unit_price = ($unit_rate != NULL) ? $unit_rate->price : 0;
              $total = $request->get('qty') * $unit_price;                              
           }else{
              $unit_rate = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                   ->where('product_id','=',$request->get('pdt'))
                                   ->where('unit_id','=',$base_unit)
                                   ->where('is_active','=','Y');
              if($request->get('grd') > 0){
                  $unit_rate = $unit_rate->where('grade_id','=',$request->get('grd')); 
                } 
              $unit_rate = $unit_rate->first();
              $rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                      ->where('product_id','=',$request->get('pdt'))
                                      ->where('unit_id','=',$request->get('unt'));
              
              if($request->get('grd') > 0){
               $rate = $rate->where('grade_id','=',$request->get('grd')); 
              } 

              $rate = $rate->first();
                                     
              $unit_prices = $unit_rate->price / $rate->value;
              $unit_price = bcdiv($unit_prices, 1, 3);
              $total = $request->get('qty') * $unit_price;
           }
           if($request->get('unt') == 1){
             if($base_unit == 1){
                $pdt['weight'] = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;
                $unit_rate = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',$request->get('unt'))
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
                $weight = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;
              
             }else{
                $base_price = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',$request->get('unt'))
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
                $kg_rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                      ->where('product_id','=',$request->get('pdt'))
                                      ->where('unit_id','=',$request->get('unt'));
                if($request->get('grd')){
                  $kg_rate = $kg_rate->where('grade_id','=',$request->get('grd')); 
                } 
                $kg_rate =  $kg_rate->first();
                $chk_rate = ($kg_rate != NULL) ? $kg_rate->value : 0;
                $weight =  $chk_rate * $request->get('qty');
             }
         }else{
            if($base_unit == 1){
              $base_price = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',1)
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
              $rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                      ->where('product_id','=',$request->get('pdt'))
                                      ->where('unit_id','=',$request->get('unt'));
                if($request->get('grd') > 0){
                  $rate = $rate->where('grade_id','=',$request->get('grd')); 
                } 
                $rate =  $rate->first(); 
                $get_rate = ($rate != NULL) ? $rate->value : 0;
                $weight = $get_rate * $request->get('qty');
            }else{
                $base_price = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',$request->get('unt'))
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
                $rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                       ->where('product_id','=',$request->get('pdt'))
                                       ->where('unit_id','=',1);
                if($request->get('grd') > 0){
                  $rate = $rate->where('grade_id','=',$request->get('grd')); 
                } 
                $rate =  $rate->first(); 
                $get_rate = ($rate != NULL) ? $rate->value : 0;
                $weight = $get_rate * $request->get('qty'); 
            }
         }   
     $data = array($weight,$unit_price,$total);      
     return $data;             
   }

  public function etaStore(Request $request)
   {
     PRsupplier::where('purchase_request_id','=',$request->get('pr_id'))
               ->where('supplier_id','=',$request->get('sup_id'))
               ->update(['eta'  => date('Y-m-d',strtotime($request->get('eta')))]);
               
   }

   public function getEta(Request $request)
   {
      $eta =  PRsupplier::where('purchase_request_id','=',$request->get('pr_id'))
               ->where('supplier_id','=',$request->get('sup_id'))->first(); 
      return $eta;
   }

}
