<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PRsupplierSea;
use App\PRSupplierProductSea;
use App\SupplierProduct;
use App\Product;
use Auth;
use App\POSea;
use App\PurchaseRequestSea;
use App\ProductGrade;
use App\GradeMaster;
use App\ProductUnit;
use App\UnitMeasurement;
use App\POSeaProducts;
use App\PRSupplierProduct;
use App\SupplierRateEntry;
use App\PrMrMapping;
use App\MaterialRequisition;
use App\Supplier;
use App\SupplierUnitRate;
use App\PRproductScheduleSea;

class SupplierPrSeaController extends Controller
{
   public function index()
   {

     $pr_lists = PRsupplierSea::join('pr_supplier_products_sea','pr_supplier_products_sea.pr_supplier_sea_id','=','pr_suppliers_sea.id')
                             ->join('purchase_request_sea','purchase_request_sea.id','=','pr_suppliers_sea.purchase_request_sea_id')
                             ->join('supplier','supplier.id','pr_suppliers_sea.supplier_id')
                             ->whereIn('pr_supplier_products_sea.status',['PR','A'])
                             ->groupBy('pr_suppliers_sea.id','purchase_request_sea.request_no','purchase_request_sea.request_date','supplier.name','supplier.id','pr_supplier_products_sea.status','pr_suppliers_sea.supp_flag')
                             ->selectRaw('purchase_request_sea.request_no,purchase_request_sea.request_date,supplier.name,pr_suppliers_sea.id,supplier.id as sid,pr_supplier_products_sea.status,pr_suppliers_sea.supp_flag')
                             ->get();
   	 
                        
   	  return view('supplier_pr_sea/index', compact('pr_lists'));

   }

   public function editList($id)
   {
     $pr_sup_sea = PRsupplierSea::find($id);
     $pr_pdts_list = PRSupplierProductSea::where('pr_supplier_sea_id','=',$id)
                                         ->whereNotIn('status',['C','PO'])
                                         ->get();
       foreach($pr_pdts_list as $pdt)
        { 
           $base_unit = Product::find($pdt->product_id)->base_unit_id;
           $qt = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;

           if($pdt->unit_id == 1){
               if($base_unit == 1){
                  $pdt['weight'] = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;
               }else{
                  $kg_rate = SupplierUnitRate::where('supplier_id','=',$pr_sup_sea->supplier_id)
                                        ->where('product_id','=',$pdt->product_id)
                                        ->where('unit_id','=',$pdt->unit_id);
                  if($pdt->grade_id > 0){
                    $kg_rate = $kg_rate->where('grade_id','=',$pdt->grade_id); 
                  } 
                  $kg_rate =  $kg_rate->first();
                  $chk_rate = ($kg_rate != NULL) ? $kg_rate->value : 0;
                  $pdt['weight'] =  $chk_rate * $qt;
               }
           }else{
              if($base_unit == 1){
                 $rate = SupplierUnitRate::where('supplier_id','=',$pr_sup_sea->supplier_id)
                                         ->where('product_id','=',$pdt->product_id)
                                         ->where('unit_id','=',$pdt->unit_id);
                  if($pdt->grade_id > 0){
                    $rate = $rate->where('grade_id','=',$pdt->grade_id); 
                  } 
                  $rate =  $rate->first(); 
                  $get_rate = ($rate != NULL) ? $rate->value : 0;
                  $pdt['weight'] = $get_rate * $qt;
              }else{
                  $rate = SupplierUnitRate::where('supplier_id','=',$pr_sup_sea->supplier_id)
                                         ->where('product_id','=',$pdt->product_id)
                                         ->where('unit_id','=',1);
                  if($pdt->grade_id > 0){
                    $rate = $rate->where('grade_id','=',$pdt->grade_id); 
                  } 
                  $rate =  $rate->first(); 
                  $get_rate = ($rate != NULL) ? $rate->value : 0;
                  $pdt['weight'] = $get_rate * $qt;
              }
           } 
        }                                        
     return view('supplier_pr_sea/edit', compact('pr_sup_sea','pr_pdts_list','unit_price','total_price','currency'));                                    
   }

   public function searchSeaPdt(Request $request)
   {
                              
      $supplier_product = SupplierProduct::where('supplier_id','=',$request->get('supplier_id'))->pluck('product_id');
      
      $pdts_lists = SupplierProduct::where('supplier_id','=',$request->get('supplier_id'))->selectRaw('product_id')->groupBy('product_id')->get();
      
      $product_grades = SupplierProduct::join('grade_master','grade_master.id','=','supplier_product.grade_id')
                                       ->join('supplier_rate_entry','supplier_rate_entry.supplier_product_id','=','supplier_product.id')
                                       ->join('unit_of_measurement','unit_of_measurement.id','=','supplier_rate_entry.unit_id')
                                       ->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                                       ->join('standard_master','standard_master.id','=','supplier_product.standard_id')
                                       ->where('supplier_product.grade_id','!=',0)
                                       ->where('supplier_product.supplier_id','=',$request->get('supplier_id'))
                                       ->where('supplier_rate_entry.is_active','=','Y')
                                       ->selectRaw('grade_master.id,grade_master.grade,supplier_rate_entry.price,currencies.currency,supplier_product.product_id,unit_of_measurement.unit,standard_master.standard,standard_master.id as sid')->get();

      $product_units = ProductUnit::whereIn('product_id',$supplier_product)->get();

       $products = [];

      foreach($pdts_lists as $list){

        $check = SupplierProduct::where('product_id','=',$list->product_id)->where('supplier_id','=',$request->get('supplier_id'))->first(); 

        if($check->grade_id == 0){

          $pdt = Product::join('supplier_rate_entry','supplier_rate_entry.product_id','=','products.id')
                        ->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                        ->where('products.id','=',$list->product_id)
                        ->where('supplier_rate_entry.supplier_id','=',$request->get('supplier_id'))
                        ->where('supplier_rate_entry.is_active','=','Y')
                        ->selectRaw('products.id,products.name,supplier_rate_entry.price,currencies.currency')->first();

          if($pdt['id'] != NULL){
           $products[] = ['id'   => $pdt['id'],
                         'name' => $pdt['name'].'/'.$pdt['price'].' '.$pdt['currency']];
           }
        }
        else{
         $pdt = Product::where('id','=',$list->product_id)->first();
          if($pdt['id'] != NULL){
           $products[] = [ 'id'   => $pdt['id'],
                           'name' => $pdt['name'] ]; 
          } 
        }
       } 
      
        $grades = [];
        foreach($product_grades as $pgrd) {
          $grades[] = ['id' => $pgrd->id,
                       'product_id' => $pgrd->product_id,
                       'grade' =>  $pgrd->standard.'/'.$pgrd['grade'].'/'.$pgrd['price'].' '.$pgrd['currency'].'/'.$pgrd['unit'] 
                      ];
        }
      
        $units = [];
        foreach($product_units as $punt) {
            $units[] = ['id' => $punt->unit_id,
                        'product_id' => $punt->product_id,
                        'unit' => $punt->unitMaster->unit
                        ];
        }

        $data[0]=json_encode($products);
        $data[1]=json_encode($grades);
        $data[2]=json_encode($units);

        return $data;
   }

    //cancel sea prproductsupplier //
   public function pdtSeaCancel(Request $request)
   {
      $pr_product  = PRSupplierProductSea::where('id','=',$request->get('id'))
                              ->update([ 'apr_qty' => $request->get('qty'),
                                         'status'  => 'C']); 
      return $pr_product;                        
   }

   public function productSeaUnit(Request $request)
   {
      $product_grades = SupplierProduct::join('grade_master','grade_master.id','=','supplier_product.grade_id')
                                       ->join('supplier_rate_entry','supplier_rate_entry.supplier_product_id','=','supplier_product.id')
                                       ->join('unit_of_measurement','unit_of_measurement.id','=','supplier_rate_entry.unit_id')
                                       ->join('currencies','currencies.id','=','supplier_rate_entry.currency_id')
                                       ->join('standard_master','standard_master.id','=','supplier_product.standard_id')
                                       ->where('supplier_product.grade_id','!=',0)
                                       ->where('supplier_product.supplier_id','=',$request->get('supplier_id'))
                                       ->where('supplier_product.product_id','=',$request->get('product_id'))
                                       ->where('supplier_rate_entry.is_active','=','Y')
                                       ->selectRaw('grade_master.id,grade_master.grade,supplier_rate_entry.price,currencies.currency,supplier_product.product_id,unit_of_measurement.unit,standard_master.standard,standard_master.id as sid')->get();
                                       
      $grades = [];
      foreach($product_grades as $pgrd) {
          $grades[] = ['id' => $pgrd->id.'/'.$pgrd->sid,
                       'grade' =>  $pgrd['standard'].'/'.$pgrd['grade'].'/'.$pgrd['price'].' '.$pgrd['currency'].'/'.$pgrd['unit'] 
                      ];
      }
        
      $product_units = ProductUnit::where('product_id','=',$request->get('product_id'))->pluck('unit_id');
      $units = [];
      $units = UnitMeasurement::whereIn('id',$product_units)->selectRaw('id,unit')->get();
        

      $data[0]=json_encode($grades);
      $data[1]=json_encode($units);

      return $data;
   }

   public function getSeaWeight(Request $request)
   {
     $base_unit = Product::find($request->get('pdt'))->base_unit_id;
     $pdt = Product::find($request->get('pdt'));
           
           if($base_unit == $request->get('unt')){
              $unit_rate = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                   ->where('product_id','=',$request->get('pdt'))
                                   ->where('unit_id','=',$request->get('unt'))
                                   ->where('is_active','=','Y');
              if($request->get('grd') > 0){
                  $unit_rate = $unit_rate->where('grade_id','=',$request->get('grd')); 
                } 
              $unit_rate = $unit_rate->first();                       
              $unit_price = ($unit_rate != NULL) ? $unit_rate->price : 0;
              $total = $request->get('qty') * $unit_price;                              
           }else{
              $unit_rate = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                   ->where('product_id','=',$request->get('pdt'))
                                   ->where('unit_id','=',$base_unit)
                                   ->where('is_active','=','Y');
              if($request->get('grd') > 0){
                  $unit_rate = $unit_rate->where('grade_id','=',$request->get('grd')); 
                } 
              $unit_rate = $unit_rate->first();
              $rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                      ->where('product_id','=',$request->get('pdt'))
                                      ->where('unit_id','=',$request->get('unt'));
              
              if($request->get('grd') > 0){
               $rate = $rate->where('grade_id','=',$request->get('grd')); 
              } 

              $rate = $rate->first();
                                     
              $unit_prices = $unit_rate->price / $rate->value;
              $unit_price = number_format($unit_prices,3);
              $total = $request->get('qty') * $unit_price;
           }

           if($request->get('unt') == 1){
             if($base_unit == 1){
                $pdt['weight'] = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;
                $unit_rate = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',$request->get('unt'))
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
                $weight = ($pdt->apr_qty == NULL) ? $pdt->qty : $pdt->apr_qty;
              
             }else{
                $base_price = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',$request->get('unt'))
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
                $kg_rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                      ->where('product_id','=',$request->get('pdt'))
                                      ->where('unit_id','=',$request->get('unt'));
                if($request->get('grd')){
                  $kg_rate = $kg_rate->where('grade_id','=',$request->get('grd')); 
                } 
                $kg_rate =  $kg_rate->first();
                $chk_rate = ($kg_rate != NULL) ? $kg_rate->value : 0;
                $weight =  $chk_rate * $request->get('qty');
             }
         }else{
            if($base_unit == 1){
              $base_price = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',1)
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
              $rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                      ->where('product_id','=',$request->get('pdt'))
                                      ->where('unit_id','=',$request->get('unt'));
                if($request->get('grd') > 0){
                  $rate = $rate->where('grade_id','=',$request->get('grd')); 
                } 
                $rate =  $rate->first(); 
                $get_rate = ($rate != NULL) ? $rate->value : 0;
                $weight = $get_rate * $request->get('qty');
            }else{
                $base_price = SupplierRateEntry::where('supplier_id','=',$request->get('sup'))
                                             ->where('product_id','=',$request->get('pdt'))
                                             ->where('unit_id','=',$request->get('unt'))
                                             ->where('grade_id','=',$request->get('grd'))
                                             ->where('is_active','=','Y')->first();
                $rate = SupplierUnitRate::where('supplier_id','=',$request->get('sup'))
                                       ->where('product_id','=',$request->get('pdt'))
                                       ->where('unit_id','=',1);
                if($request->get('grd') > 0){
                  $rate = $rate->where('grade_id','=',$request->get('grd')); 
                } 
                $rate =  $rate->first(); 
                $get_rate = ($rate != NULL) ? $rate->value : 0;
                $weight = $get_rate * $request->get('qty'); 
            }
         }   
     $data = array($weight,$unit_price,$total);      
     return $data;             
   }

    //save product details to prseaproductsupplier //

   public function saveSeaProduct(Request $request)
   {
      
       if($request->get('pr_sea_schd_ids') != NULL){

            $i = 0; 
            foreach($request->get('pr_sea_schd_ids') as $pid)
            {

              PRSupplierProductSea::where('id','=',$pid)
                       ->update(['product_id' => $request->get('product')[$i],
                                 'unit_id'    => $request->get('unit')[$i],
                                 'grade_id'   => $request->get('grade')[$i],
                                 'unitprice'  => $request->get('unt_prc')[$i],
                                 'apr_qty'    => $request->get('qty')[$i],
                                 'weight'     => $request->get('weight')[$i],
                                 'price'      => str_replace(",", "", $request->get('total')[$i]),
                                 'scheduled_date' => $request->get('eta_dt')[$i],
                                 
                                 ]);         
               $i++;         

            }

      }
    
      if($request->get('products') != NULL)
      {
         $c=0;                   
        foreach($request->get('products') as $pdt)
        { 
          $std = null;
          $grd = null;
            if($request->get('grades')[$c] != NULL){
              $grd_std = explode('/', $request->get('grades')[$c]);
              $std = $grd_std[1];
              $grd = $grd_std[0];
            }
          
                PRSupplierProductSea::create([
          	            'pr_supplier_sea_id'  => $request->get('pr_supplier_sea_id'),
                        'product_id'      => $pdt,
                        'unit_id'         => $request->get('units')[$c],
                        'grade_id'        => $grd,
                        'standard_id'     => $std, 
                        'unitprice'       => $request->get('prices')[$c],
                        'qty'             => $request->get('qtys')[$c],
                        'apr_qty'         => $request->get('qtys')[$c],
                        'actual_unit'     => $request->get('act_unit')[$c],
                        'price'           => str_replace(",", "",$request->get('totals')[$c]),
                        'weight'          => $request->get('weights')[$c],
                        'scheduled_date'  => $request->get('eta_date')[$c]                                 
                ]);
              $c++;
        }
      }

     return redirect('supplier/pr/sea/index')->with('message','true'); 
   }

   public function approvePrSea(Request $request)
   {
     	 $pr_schd = PRSupplierProductSea::where('pr_supplier_sea_id','=',$request->get('p_sup_id'))->where('status','=','PR')
     	     ->update(['status'  => 'A']);
     	 return 0;    
   }

   public function cancelPrSea(Request $request)
   {
       $pr_schd = PRSupplierProductSea::where('pr_supplier_sea_id','=',$request->get('p_sup_id'))->where('status','=','A')
     	     ->update(['status'  => 'PR']);
     	 return 0;
   }
   //list schdle prdts
   public function pdtList($id)
   {
       $pr_sup_sea = PRsupplierSea::find($id); 
       
       $pr_products = PRSupplierProductSea::where('pr_supplier_sea_id','=',$id)->where('status','=','A')->get();

      return view('supplier_pr_sea/product_list', compact('pr_sup_sea','pr_products'));               
   }

   public function createSeaPo()
   {
      $pr_sea = PurchaseRequestSea::whereIn('status',['SUP','PR'])->pluck('id')->toArray();
      $pr_sup = PRsupplierSea::whereIn('purchase_request_sea_id',$pr_sea)
                             ->pluck('id')->toArray();
      $pr_pdt_sup = PRSupplierProductSea::whereIn('pr_supplier_sea_id',$pr_sup)
                                      ->where('status','=','A')
                                      ->groupBy('pr_supplier_sea_id')
                                      ->selectRaw('pr_supplier_sea_id')
                                      ->pluck('pr_supplier_sea_id')->toArray();  
      foreach($pr_pdt_sup as $sup){
      	$sup_dt = PRsupplierSea::find($sup);
      	$po_count = POSea::max('po_no');
      	$po_sea = POSea::create([
      		       'pr_sea_id'   => $sup_dt->purchase_request_sea_id,
      		       'po_no'       => $po_count +1,
      		       'supplier_id' => $sup_dt->supplier_id,
      		       'entered_by'  => Auth::user()->id,
      		       'po_date'     => date('Y-m-d') ]);
      	$products = PRSupplierProductSea::where('pr_supplier_sea_id','=',$sup)
      	                                ->where('status','=','A')->get();
      	foreach($products as $pdt){
      	
      		POSeaProducts::create(['po_sea_id'   => $po_sea->id,
      			                   'product_id'  => $pdt->product_id,
      			                   'unit_id'     => $pdt->unit_id,
      			                   'standard_id' => $pdt->standard_id,
      			                   'grade_id'    => $pdt->grade_id,
      			                   'qty'         => $pdt->apr_qty,
      			                   'unit_price'  => $pdt->unitprice,
      			                   'price'       => $pdt->price,
      			                   'weight'      => ($pdt->weight == NULL) ? 0 :$pdt->weight,
      			                   'bal_qty'     => $pdt->apr_qty,
      			                   'scheduled_date' => $pdt->scheduled_date,
      			                   'schedule_id'    => $pdt->schedule_id,
      			                   ]);
          PRproductScheduleSea::where('id','=',$pdt->pr_products_schedule_sea_id)->update(['status' => 'PO' ]);
      	  $pdt->status = 'PO';
      	  $pdt->save();	
      	}                                
        $chk = PRSupplierProductSea::where('pr_supplier_sea_id','=',$sup)
      	                    ->where('status','!=','PO')->count();
      	if($chk == 0){
      		PRsupplierSea::where('id','=',$sup)->update(['status' => 'PO']);
      	}                    
      }

      return redirect('supplier/pr/sea/index')->with('msg','true');                                                       
   }


 
}
