<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MRproductHistory extends Model
{
    protected $table = 'mr_product_history';
    
    protected $fillable = [
        'material_requisition_id','product_id','qty','unit_id','grade_id','deleted_at','price','remarks','user_id','tax_amount','tax_percentage','total_amount','mr_product_id'
    ];

    public $timestamps = false;

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }

    public function materialRequest()
    {
    	return $this->belongsTo('App\MaterialRequisition','material_requisition_id')
            ->withDefault(['id' => 0, 'request_no' => '', 'prefix' => '']);
    }

    public function mrApproval()
    {
        return $this->hasmany('App\MRproduct','mr_product_id');
    }

      public function amount($id)
    {
        $total_amount = MRproduct::where('material_requisition_id','=',$id)->sum('price');
        return $total_amount;
    }

    public function user()
    {
        return $this->belongsTo('App\User','user_id');
    }
}
