<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class MaterialRequisition extends Model
{

    protected $table = 'material_requisition';
    
    protected $fillable = [
        'request_no','entered_by','customer_id','request_date','status','approved_date','recieved_date','pr_status','location_id','mr_cnt','invoice_amount','discount_amount','paid_amount','balance_amount','cash_mode','customer_vehicleno','mode_details_id','customer_name','customer_mobile','print','prefix','sis','delivery_date'
    ];

    public function mrProduct()
    {
    	return $this->hasMany('App\MRproduct');
    }

    public function customer()
    {
    	return $this->belongsTo('App\Customer','customer_id');
    }

    public function entered()
    {
    	return $this->belongsTo('App\User','entered_by');
    }

    public function approval()
    {
        return $this->hasMany('App\MRapprovalproduct');
    }

    public function mrApproveProduct()
    {
        return $this->hasMany('App\MRapprovalproduct');
    }

    public function parent()
    {
        return $this->belongsTo('App\ParentMaster','location_id')->withDefault(['name' => 'LOCATION:']);
    }

    public function location()
    {
        return $this->belongsTo('App\Location','location_id');
    }
    public function mrProductprice($id)
    {
        $total_amount = MRproduct::where('material_requisition_id','=',$id)->get();
        $price = 0;
        foreach($total_amount as $amount) {
            
            $price =  $price + ($amount->total_amount);
        }
        return $price;
    }
    
}
