<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{

    protected $table = 'notifications';
    
    protected $fillable = [
        'notification_type','matter','entered_on','entered_by','valid_from','valid_to','offer_type'
    ];
    
    public $timestamps = true;

     public function type()
    {
    	return $this->belongsTo('App\Common','offer_type');
    }

    public function enterdBy()
    {
    	return $this->belongsTo('App\User','entered_by');
    }

    public function notificationType()
    {
    	return $this->hasMany('App\NotificationType','notification_id');
    }
     public function productNot()
    {
        return $this->hasOne('App\ProductNotification','notification_id');
    }
    
    public function notificationStatus()
    {
        return $this->hasMany('App\NotificationStatus','notification_id');
    }
}
