<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProductNotification extends Model
{

    protected $table = 'product_notifications';
    
    protected $fillable = [
        'notification_id','message','product_id','offer_price','price_type','grade_id','standard_id','unit_id',
    ];

    public $timestamps = false;  

    public function notification()
    {
    	return $this->belongsTo('App\Notification','notification_id');
    }

    public function product()
    {
    	return $this->belongsTo('App\Product','product_id');
    }

    public function grade()
    {
    	return $this->belongsTo('App\GradeMaster','grade_id');
    }

    public function unit()
    {
    	return $this->belongsTo('App\UnitMeasurement','unit_id');
    }
    	
    public function standard()
    {
        return $this->belongsTo('App\Standard','standard_id');
    }
    
}
