
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Dashboard
      
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Dashboard</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      @if(Auth::user()->userRole->role->name == 'MANAGER')
      <!-- Info boxes -->
     <div class="row">
      
        <!-- /.col -->
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-red"><i class="fa fa-address-card"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">CUSTOMERS</span>
              <span class="info-box-number">{{$customer}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        <!-- /.col -->

        <!-- fix for small devices only -->
        <div class="clearfix visible-sm-block"></div>

        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-green"><i class="ion ion-ios-cart-outline"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">PRODUCTS</span>
              <span class="info-box-number">{{$products}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        
         <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-cubes"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">CATEGORY</span>
              <span class="info-box-number">{{$category}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>

        <!-- /.col -->
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-yellow"><i class="ion ion-ios-people-outline"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">USERS</span>
              <span class="info-box-number">{{$users}}</span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    @endif


      <!-- Main row -->
      <div class="row">
        <!-- Left col -->
        <div class="col-md-12">
          <!-- MAP & BOX PANE -->

 @if(Auth::user()->userRole->role->name == 'MANAGER')
          <!-- TABLE: LATEST ORDERS -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Latest Orders</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="table-responsive">
                <table class="table no-margin">
                  <thead>
                  <tr>
                    <th>Order ID</th>
                    <th>Request Date</th>
                    <th>Customer</th>
                    <th>Status</th>
                    <th>No.Of Products</th>
                  </tr>
                  </thead>
                  <tbody>
                  @foreach($materialReq as $req)
                  <tr>
                    <td><a>{{$req->request_no}}</a></td>
                    <td>{{date('d-m-Y',strtotime($req->request_date))}}</td>
                    <td>{{$req->customer->name}}</td>
                    <td>@if($req->status == 'REQ')
                        <span class="label label-warning">Pending</span>
                        @elseif($req->status == 'APR')
                        <span class="label label-success">Approved</span>
                        @else
                        <span class="label label-danger">Cancelled</span>
                        @endif
                   </td>
                    <td>
                      <div class="sparkbar" data-color="#00a65a" data-height="20">{{$req->mrProduct->count()}}</div>
                    </td>
                    </tr>
                  @endforeach  
                  </tbody>
                </table>
              </div>
              <!-- /.table-responsive -->
            </div>
    @elseif(Auth::user()->userRole->role->name == 'PURCHASE')
             <!-- TABLE: LATEST ORDERS -->
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Latest PR</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="table-responsive">
                <table class="table no-margin">
                  <thead>
                  <tr>
                    <th>PR No</th>
                    <th>PR Date</th>
                    <th>Status</th>
                  </tr>
                  </thead>
                  <tbody>
                  @foreach($materialReq as $req)
                  <tr>
                    <td><a>{{$req->request_no}}</a></td>
                    <td>{{date('d-m-Y',strtotime($req->request_date))}}</td>
                    <td>@if($req->status == 'SUP')
                        <span class="label label-warning">New Request</span>
                        @elseif($req->status == 'PR')
                        <span class="label label-success">PR GENERATED</span>
                         @elseif($req->status == 'PO')
                        <span class="label label-success">PO</span>
                        @else
                        <span class="label label-danger">Cancelled</span>
                        @endif
                   </td>

                    </tr>
                  @endforeach  
                  </tbody>
                </table>
              </div>

    @else 

    @endif
              <!-- /.table-responsive -->

 @if(Auth::user()->userRole->role->name == 'MANAGER')
             <div class="box-footer clearfix">
              <a href="{{route('mrapproval.index')}}" class="btn btn-sm btn-info btn-flat pull-left">View All Orders</a>
            </div>
@elseif(Auth::user()->userRole->role->name == 'PURCHASE')
             <div class="box-footer clearfix">
              <a href="{{route('prlist.list')}}" class="btn btn-sm btn-info btn-flat pull-left">View Approved Orders({{$count}})</a>
            </div>
@else 
           <div class="box-footer clearfix">
              <a href="{{route('material_request.list')}}" class="btn btn-sm btn-info btn-flat pull-left">View All Orders ({{$count}})</a>
            </div>
@endif
          </div>
          <!-- /.box -->
    @if(Auth::user()->userRole->role->name == 'MANAGER')
          <!-- PRODUCT LIST -->
          <div class="box box-primary">
            <div class="box-header with-border">
              <h3 class="box-title">Pending Customers ({{$pending_count}}) </h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <ul class="products-list product-list-in-box">
                 <?php $i = 1; ?>
                  @foreach($pending as $pend)
                 <li class="item">
                  <div class="product-info">{{$i++}}.
                    <a href="" class="product-title">{{$pend->name}}
                  </div>
                 </li>
                  @endforeach
              </ul>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
@endif


      </div>
      <!-- /.row -->
    </section>
    
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

