!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">
  
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
      <h1>
         Consolidated PR
        </h1>
        <ol class="breadcrumb">
          <li><a href="{{route('prlist.list')}}"><i class="fa fa-dashboard"></i>Consolidated PR</a></li>
          <li class="active">list</li>
        </ol>
      </section>


      <div class="box-header with-border">
        @if(Session::has('message'))
        <div class="alert alert-success alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          Saved Successfully
        </div>
       @endif

        @if(Session::has('update'))
        <div class="alert alert-info alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          Updated Successfully
        </div>
        @endif        
      </div>

           <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Purchase Request List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
            <form id="myform" action="{{route('pr.insert')}}" method="POST">

              <input type="hidden" name="prid" id="prid" value="{{$prid}}">
              <input type="hidden" name="flag_check" id="flag_check" value="0">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th>Sl No.</th>
                  <th>Product</th>
                  <th>Unit</th>
                  <th>Packing</th>
                  <th>Req Qty</th>
                  <th>Apr Qty</th>
                  <th style="width: 100px;">Supplier Pice List</th>
                  <th style="width: 100px;">Add Supplier</th>
                  <th style="width: 100px;">MR List</th>
                  <th></th>
                </tr>
                </thead>
                <tbody>
                 <?php $c = 1; ?>
                @if($purchase_products)
                 @foreach($purchase_products as $list)
                <tr> 
                  <td>{{$c++}}<input type="hidden" name="id[]" class="id"  value="{{ $list->id }}" /></td>
                  <td>{{$list->product->name}}</td>
                  <td>{{$list->unit->unit}}</td>
                  @if($list->grade != NULL)
                  <td>{{$list->grade->grade}}</td>
                  @else
                  <td></td>
                  @endif

                  <td>{{ $list->qty }}</td>

                  <td style="width: 119px;"><input type="number" min="0" name="apr_qty[]" placeholder="Enter Qty" value="{{$list->apr_qty}}"  class="form-control apr_qty{{$list->id}}" required="" /></td>
                  
                   <td>
                    <a class="btn" data-toggle="modal" data-target="#modal-info" onclick="jsPriceList({{$list->product_id}},{{$list->id}},{{$list->unit_id}})"><i class="fa fa-fw fa-newspaper-o" style="color: green;"></i></a>        
                  </td>
                  <td>
                    <a class="btn" data-toggle="modal" data-target="#modal-default" onclick="jsSupplierList({{$list->product_id}},{{$list->id}},{{$list->unit_id}})"><i class="fa fa-fw fa-plus" style="color: red;"></i></a><label id="pr_prd{{$list->id}}" style="color: green;">({{$supplier_count[$list->id]}})</label>
                    <!-- <button type="button" id="{{$list->product_id}}" data-toggle="modal" data-target="#modal-default" class="btn-danger addSup" style="background: transparent;border: none;"><i class="fa fa-fw fa-plus" style="color: red;"></i></button> -->
                      
                  </td>
                  <td class="center" style="width: 100px;"><a href="{{route('pr.mr.list',$list->id)}}"><i class="fa fa-fw fa-list-alt"></i></a></td>
                  <td><button type="button" class="btn-danger delete_pdt" id="{{$list->id}}"><i class="fa fa-trash"></i></button></td>
                </tr>
                @endforeach
                @endif
              </tbody>
              <tfoot>
                  <tr>
                    <th colspan="8">
                <button type="button" class="btn btn-success pull-right" id="prsave">Generate PR</button>

                <button class="btn btn-alert pull-center" value="1" name="draft" id="prdraft">Save As Draft</button>
                    </th>

                  </tr>
                </tfoot>
              </table>
            </form>
            </div>
          </div>
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  

     <!-- Supplier Price List -->
      <div class="modal modal-info fade" id="modal-info">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title">Supplier Price List</h4>
                  </div>
                  <div class="modal-body">
                    <table  class="table table-bordered" id="priceList" >
                    <thead>
                         <tr>
                              <th>Sl No.</th>
                              <th>Supplier</th>
                              <th>Price</th>
                         </tr>
                    </thead>
                      
                     <tbody>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>  
                    </tbody>

                   </table>
                </div>
                 <div class="modal-footer">
              <button type="button" class="btn btn-outline pull-left" data-dismiss="modal">Close</button>
          </div>
        </div>
        <!-- /.modal-content -->
      </div>
      <!-- /.modal-dialog -->
    </div>
  <!-- /.modal -->

       <!-- add supplier -->
      <div class="modal modal-default fade" id="modal-default">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                      <h4 class="modal-title" id="title" style="display: inline;">Add Supplier</h4>
                      <h5 style="display: inline;margin-left: 25%;"><strong>Apr.Qty: <strong id="apr_label"></strong></strong></h5>
                  </div>
                  <div class="modal-body">
                   
                      <form class="form-horizontal" action="#" method="POST">
                      <input type="hidden" name="_token" value="{{{ csrf_token() }}}">
                      <input type="hidden" name="pr_prd_id" id="pr_prd_id">
                      <input type="hidden" name="apr" id="apr">
              
                        <div class="box-body"><br>
                          <div class="form-group">
                            <label for="inputcategory" class="col-md-3 control-label">Supplier <i style="color: red">*</i></label>
                            <div class="col-md-8">
                              <select class="form-control" name="supplier" id="supplier">
                                <option value="">--select--</option>
                              </select>
                            </div>
                          </div>


                          <div class="form-group">
                            <label for="inputcategory" class="col-md-4 control-label">Qty <i style="color: red">*</i></label>
                            <div class="col-md-4">
                              <input type="number" name="qty" class="form-control" id="qty">
                            </div>/<label id="unit_label"></label>
                            <button type="button" class="btn btn-primary pull-right" id="add_btn">Add</button>
                          </div>
                        </div>
                        <!-- /.box-body -->
              
                      </form>
                 
                    <table  class="table table-bordered" id="supplierList">
                    <thead>
                         <tr> 
                              <th  style='width:90px;'>Sl No.</th>
                              <th>Supplier</th>
                              <th>Qty</th>
                              <th>Price</th>
                              <th>Delete</th>
                         </tr>
                    </thead>
                      
                     <tbody>
                        <tr>
                            
                        </tr>  
                    </tbody>

                   </table>
                </div>
                 <div class="modal-footer">
              <button type="button" class="btn btn-danger pull-left" data-dismiss="modal">Close</button>
          </div>
        </div>
        <!-- /.modal-content -->
      </div>
      <!-- /.modal-dialog -->
    </div>
  <!-- /.modal -->

  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>

  <!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>

<script type="text/javascript">
$(document).ready(function(e) {

});

function jsPriceList(prd,pr_prd,unit)
 {
    $('#priceList tbody').empty();
    $('#priceList thead').empty();
   
   $.get("{{ url('load/supplier/list')}}", 
        { prd: prd,pr_prd: pr_prd ,unit: unit}, 
        function(data) {
          console.log(data);  
             var i = 1;
        $('#priceList thead').append("<tr><th style='width:90px;'>Sl No.</th><th>Supplier Name</th><th>Grade</th><th>Price</th></tr>");

        $.each(data[0], function(index, element) {
          if(element.grade == null){
            var grade_name = "-";
          }
          else{
            var grade_name = element.grade;
          }
          $('#priceList tbody').append("<tr><td>" + i + "</td><td>" + element.name + "</td><td>" + grade_name + "</td><td>" + element.price+" "+element.currency+ "/" +element.unit+ "</td></tr>");
            i++;
        }); 
     });
 }

 function jsSupplierList(prd,pr_prd,unit)
 {  
    $('#supplier').empty();
    $("#qty").val("");
    $("#unitprc").val(""); 
    $('#supplierList thead').empty();
    $('#supplierList tbody').empty();
    $("#pr_prd_id").val(pr_prd);
    var aprQty = $(".apr_qty"+pr_prd).val();
    $("#apr").val(aprQty);

    $.get("{{ url('load/supplier/list')}}", 
        { prd: prd,pr_prd: pr_prd ,unit: unit},
        function(data) {
          console.log(data);
             var i = 1;

          $('#supplier').append("<option value=''>" + "--select--" + "</option>");
          $.each(data[0], function(index, element){
            if(element.grade == null){
            var grade_name = "-";
          }
          else{
            var grade_name = '('+element.grade+')-';
          }
            $('#supplier').append("<option value='"+ element.supplier_product_id +"'>" + element.name + ""+grade_name+" " + element.price+" "+element.currency+ "/" +element.unit+ "</option>");
          });
          $("#title").text(data[2]);
          $("#unit_label").text(data[1]);
          $("#apr_label").text(aprQty+' '+data[1]);

          $.get("{{ url('get/pr_suppliers')}}",
            {option:pr_prd},
            function(supply) {
              console.log(supply);
              $('#supplierList thead').append("<tr><th style='width:90px;'>Sl No.</th><th>Supplier</th><th>Qty</th><th>Price</th><th>Delete</th></tr>");
              $.each(supply[0], function(index, element){
                $("#supplierList tbody").append("<tr><td>"+i+"</td><td>" + element.name + "</td><td>" + element.qty + "</td><td>" + element.price + " "+element.currency+ "</td><td><button type='button' class='btn btn-danger delete' id='"+element.id+"'><i class='fa fa-fw fa-trash'></button></td></tr>");

                i++;
              });

             $(".total_qty").closest('tr').remove();
              $("#supplierList tbody").append("<tr class='total_qty'><th></th><td class='pull-right'>Total:</td><td>"+supply[1]+"</td></tr>")
            });
     });
 }

 //add btn

 $(document).on("click","#add_btn", function() {
    
    var apr = $("#apr").val();
    var sup_id = $("#supplier").val();
    var qty = $("#qty").val();
    var selected = $("#supplier option:selected").text();
    var pr_prd = $("#pr_prd_id").val();
    var pr_id = $("#prid").val();
    var explode = selected.split('(')
    var sup = explode[0];
    // var ex_prc = explode[1].split('/');
    // var prc = ex_prc[0];
    var i = $("#supplierList tbody").find("tr").length;

    $.get("{{ url('add/pr_suppliers') }}",
      {supplier:sup_id, qty: qty, pr_prd: pr_prd,pr_id : pr_id, aprqty : apr,sup:selected},
      function(data){
    
        if(data == 'GREATER'){
          alert("Please confirm the quantity.");
        }else if(data == 'SUPPLIER EXIST'){
          alert("This supplier is already selected.");
        }else if(data[5] == 0){
          alert("kindly map unit convertion");
        }else if(data == 'Add Price'){
          alert("kindly map Price");
        }else{
          $("#supplierList tbody").append("<tr><td>"+i+"</td><td>" + sup + "</td><td>" + qty +"</td><td>" + data[1] +" "+data[3]+ " OMR</td><td><button type='button' class='btn btn-danger delete' id='"+data[0]+"'><i class='fa fa-fw fa-trash'></button></td></tr>");

          $(".total_qty").closest('tr').remove();
          $("#supplierList tbody").append("<tr class='total_qty'><th></th><td class='pull-right'>Total:</td><td>"+data[4]+"</td></tr>");
          $("#pr_prd"+pr_prd).text('('+data[2]+')');
        }
      });
 });


 //delete

 $(document).on("click",".delete", function() {
    var row = $(this);
    var id = $(this).attr('id');
    var pr_prd = $("#pr_prd_id").val();
    $.get("{{ url('delete/pr_suppliers') }}",
      {option : id},
      function(data){
        console.log(data);
        $(row).closest("tr").remove();

        var i = 1;
        $('#supplierList td:first-child').each(function() {
          $(this).text(i); 
          i++;
        });
        $("#pr_prd"+pr_prd).text('('+data[0]+')');
        $(".total_qty").closest('tr').remove();
        $("#supplierList tbody").append("<tr class='total_qty'><th></th><td class='pull-right'>Total:</td><td>"+data[1]+"</td></tr>");
      });
 });

 //save

 $(document).on("click","#prsave", function() {
    var prid  = $("#prid").val();
    $.get("{{ url('pr/check/supplier') }}",
      {option : prid},
      function(data){
        
        if(data == 0){
          $("#flag_check").val(1);
          $("#myform").submit();
        }
        else{
          alert('Please confirm that each product is assigned to suppliers.');
        }
      });
 });

 $(document).ready(function() {
    $(document).on("click",".delete_pdt", function() {
      var id = $(this).attr("id");
     if(confirm("Are you sure you want to delete this?")){
       $(this).closest("tr").remove(); 
        $.get("{{url('delete/pr/product')}}", {option:id},function(data){
         
          var i = 1;
              $('#example1 td:first-child').each(function() {
                $(this).text(i); 
                i++;  
              });
        });
     } 
      
    });
  });  


</script>
</body>

</html>


