<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  <style type="text/css">
    .table > thead > tr > th,
    .table > tbody > tr > th,
    .table > tfoot > tr > th,
    .table > thead > tr > td,
    .table > tbody > tr > td,
    .table > tfoot > tr > td {
      padding: 1px;
      line-height: 1.42857143;
      vertical-align: top;
      border-top: 1px solid #ddd;
    }

    .table > thead > tr > th {
      vertical-align: bottom;
      border-bottom: 2px solid #ddd;
    }

    body {
      font-size: 14px;
    }

  </style>
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
       <h1>
          MR Customer Wise Report
        </h1>
        <ol class="breadcrumb">
          <li><a href="{{route('mr.customerwise.report.index')}}"><i class="fa fa-dashboard"></i> MR Customer Wise Report</a></li>
          <li class="active">report</li>
        </ol>
      </section>

      <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            <div class="nav-tabs-custom">
              <!-- Tabs within a box -->
              
              <div class="tab-content no-padding">
               <!-- right column -->
        
       <!-- Horizontal Form -->
                
          </div>
          </div>

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">MR List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                
                <tr>
                  <th>Sl No.</th>
                  <th>MR No.</th>
                  <th>Customer Name</th>
                  <th>Request Date</th>
                  @if($status == 'APR' || $status == 'REC')
                  <th>Approved Date</th>
                  @endif
                  @if($status == 'REC')
                  <th>Received Date</th>
                  @endif
                  <th>Report</th>
                </tr>

                </thead>

                <tbody>
                 <?php $c = 1; $mr_id_loop[] = 0;?>
                 @if($material_req != NULL)
                 @foreach($material_req as $req)
                  @if(!in_array($req->material_requisition_id,$mr_id_loop)) <?php $mr_id_loop[] = $req->material_requisition_id; ?>
                  <tr>
                  <td>{{$c++}}</td>
                  <td>{{$req->prefix ?? ''}}{{$req->request_no}}</td>
                  <td>{{$req->customer ?? $req->customer_name }}</td>
                  <td>{{date('d-m-Y',strtotime($req->request_date))}}</td>
                  @if($status == 'APR' || $status == 'REC')
                  <td>
                  @if(date("d-m-Y", strtotime($req->approved_date)) =='01-01-1970')

                          @else
                          {{date("d-m-Y", strtotime($req->approved_date))}}
                          @endif
                  </td>
                  @endif
                  @if($status == 'REC')
                  <td>{{date('d-m-Y',strtotime($req->recieved_date))}}</td>
                  @endif
                  <?php
                    $id = $req->id.'-'.$status;
                    if($tag == NULL){
                      $tag = 0;
                    }
                    $id = $req->id.'-'.$status.'-'.$tag;
                    if ($cat_list == NULL) {
                      $cat_list = 0;
                    }

                  ?>
                  <td class="center"><a href="{{route('mr.customerwise.report',['id' => $id, 'category' => $cat_list])}}"><i class="fa fa-fw fa-newspaper-o" style="color: blue;"></i></a></td>
                </tr>
                  @endif
                  @endforeach
                  @endif
                </tbody>
                
              </table>
            </div>
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>
</body>
<script>
  $(document).ready(function(){
    $("#product_save").on('keydown click',function(e){
      alert('s');
    });
  });
</script>

<script>
  function jsEditCategory(value)
  { 
    document.body.scrollTop = document.documentElement.scrollTop = 0;
    $('#category').focus();
     $.get("{{ url('category/master/edit')}}", 
        { option: value }, 
          function(data) {
            $('#category_id').val(data[0].id);
            $('#category').val(data[0].category);
        });
  }
</script>

</html>
