<!DOCTYPE html>
<html >
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>SUHOL</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <style type="text/css">
    .table > thead > tr > th,
    .table > tbody > tr > th,
    .table > tfoot > tr > th,
    .table > thead > tr > td,
    .table > tbody > tr > td,
    .table > tfoot > tr > td {
      padding: 1px;
      line-height: 1.42857143;
      vertical-align: top;
      border-top: 1px solid #ddd;
    }

    .table > thead > tr > th {
      vertical-align: bottom;
      border-bottom: 2px solid #ddd;
    }

    body {
      font-size: 14px;
    }

  </style>

</head>
<body >
<div class="hidden-print text-center" style="float:left; margin:20px" >
  <a  class="btn btn-danger" href="{{route('mr.tagwise.page')}}">Back</a>
</div>
<br><br><br>
<!-- Main content -->
<section class="invoice">
<!-- title row -->
<div class="row">
  <div class="col-xs-12">
    <h2 class="page-header">
      <i class=""></i> MR Tag Wise Report
      <small class="pull-right">Request Date Range: {{date('d/m/Y',strtotime($from))}} - {{date('d/m/Y',strtotime($to))}}</small>
    </h2>
  </div>
  <!-- /.col -->
</div>
<!-- info row -->
@if(count($requests) == 0)
No data available
@else
         
      
<div class="row invoice-info">
  <div class="col-sm-2 invoice-col">
    <u> <strong> Tags : @foreach($tags as $tag) {{$tag->name}}, @endforeach </strong></u> 
  </div>
  <div class="col-sm-2 invoice-col">
    <u> <strong> Status   : @if($status == 'REQ') PENDING @elseif($status == 'APR') APPROVED @else RECEIVED @endif</strong></u>
  </div>
  @if($category != NULL)
  <div class="col-sm-4 invoice-col">
    <u> <strong> Category   : {{$category}} </strong></u> <br>
  </div>
  @endif
  <!-- /.col -->
</div><br>
  <!-- /.row -->
<br>
<?php $s = 1; ?>
@foreach($dateReq as $req)
<div class="col-sm-6 invoice-col" style="font-size: 15px;">
  <strong>{{$s++}}. Customer Name  :  </strong> {{$req->name}}
</div>
<div class="col-sm-3 invoice-col" >
  <strong>MR No   :   </strong> {{$req->request_no}}
</div>
<div class="col-sm-3 invoice-col" >
@if($status == 'REQ')
  <strong>Request date   : </strong> {{date('d-m-Y',strtotime($req->request_date))}} 
@elseif($status == 'APR')
  <strong>Approved date   : </strong> {{date('d-m-Y',strtotime($req->approved_date))}}
@else
  <strong>Received date   : </strong> {{date('d-m-Y',strtotime($req->recieved_date))}}
@endif  
</div>
  
  <!-- Table row -->
<div class="row">
  <div class="col-xs-12 table-responsive">
    <table class="table table-bordered table-striped" style="font-size: 12px;">
      <thead>
        <tr>
          <th>Sl No.</th>
          <th>Product</th>
          <th>Grade</th>
          <th>Unit</th>
          <th>Req. Qty</th>
          @if($status != 'REQ')
          <th>Apr. Qty</th>
          @endif
        </tr>
      </thead>
      <tbody>
        <?php $c = 1;  $qty = 0 ;?>
        @if($requests != NULL)
        @foreach($requests as $request)
        @if($req->request_no == $request->request_no)
        <tr>
          <td>{{$c++}}</td>
          <td>{{$request->product}}</td>
          <td>{{$request->grade}}</td>
          <td>{{$request->unit}}</td>
          <td>{{($request->sum == NULL)? 0 : $request->sum}}</td>
          @if($status != 'REQ')
          <td>{{$request->sum_apr}}</td>
          @endif
        </tr>
        @endif
        @endforeach
        @endif
      </tbody>
    </table>
  </div> 
</div>   
@endforeach 
@endif
<!-- this row will not appear when printing -->
<div class="row no-print">
  <div class="col-xs-12">
    <a  target="_blank"  class="btn btn-default pull-right" onclick="window.print();"><i class="fa fa-print"></i> Print</a> 
  </div>
</div>
</section>
</body>
</html>
