<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">

  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/select2/dist/css/select2.min.css')}}">
  <!-- bootstrap datepicker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css')}}">
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
       <h1>
          Supplier Rate Report
        </h1>
        <ol class="breadcrumb">
          <li><a href="#"><i class="fa fa-dashboard"></i> Supplier Rate Report</a></li>
          <li class="active">Report</li>
        </ol>
      </section>

      <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            <div class="nav-tabs-custom">
              <!-- Tabs within a box -->
              <!-- <ul class="nav nav-tabs pull-right">
                <li class="active"><a href="#revenue-chart" data-toggle="tab">Area</a></li>
                <li><a href="#sales-chart" data-toggle="tab">Donut</a></li>
                <li class="pull-left header"><i class="fa fa-inbox"></i> Unit</li>
              </ul> -->
              <div class="tab-content no-padding">
               <!-- right column -->
        
       <!-- Horizontal Form -->
             <div class="box box-info">
              
            <!-- /.box-header -->
            <!-- form start -->
             <form class="form-horizontal" action="{{route('supplier_rate_report.show')}}" method="POST">
              <input type="hidden" name="_token" value="{{{ csrf_token() }}}">
              
              <div class="box-body">
              <br>
                <div class="form-group" style="margin-left: 15px;">
                <label>
                  <input type="radio" name="radio"  value="SUP" id="sup" checked>
                  Supplier Wise
                </label>&nbsp;&nbsp;&nbsp;&nbsp;
                <label>
                  <input type="radio" name="radio"  value="PRD" id="prd">
                  Product Wise
                </label>
              </div>

                <div class="form-group" id="supplier_s">
                  <label for="inputcategory" class="col-sm-2 control-label">Supplier <i style="color: red">*</i></label>
                  <div class="col-sm-3">
                    <select class="form-control select2" name="supplier" id="supplier" required="">
                      <option value="">-- select --</option>
                      @foreach($supplier as $sup)
                      <option value="{{$sup->id}}">{{$sup->name}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                
                 <div class="form-group" id="category_s" style="display: none;">
                  <label for="inputcategory" class="col-sm-2 control-label">Category <i style="color: red">*</i></label>
                  <div class="col-sm-3">
                    <select class="form-control" name="category" id="category">
                      <option value="">-- select --</option>
                      @foreach($category as $cat)
                      <option value="{{$cat->id}}">{{$cat->category}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>

                 <div class="form-group" id="product_s" style="display: none;">
                  <label for="inputcategory" class="col-sm-2 control-label">Product <i style="color: red">*</i></label>
                  <div class="col-sm-3">
                    <select class="form-control select2" name="product" style="width: 100%;" id="product">
                      <option value="">-- select --</option>
                      
                    </select>
                  </div>
                </div>


                <div class="form-group">
                  <label class="col-sm-2 control-label">Date<i style="color: red">*</i></label>

                  <div class="col-sm-3">
                    <input type="date" name="date" class="form-control" id="datepicker" value="{{date('Y-m-d')}}" required>
                  </div>
                </div>

              </div>
              <!-- /.box-body -->
              <div class="box-footer">
                <button type="submit" class="btn btn-info">SHOW</button>
              </div>
              <!-- /.box-footer -->
            </form>
          </div>
          <!-- /.box --> 
                
          </div>
          </div>
          
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>

  <!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>
<!-- Select2 -->
<script src="{{asset('lte/bower_components/select2/dist/js/select2.full.min.js')}}"></script>
<!-- bootstrap datepicker -->
<script src="{{asset('lte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js')}}"></script>

<script>
  $(function () {
    $('.select2').select2()

  })
</script>

<script type="text/javascript">
  //iCheck for checkbox and radio inputs
    $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
      checkboxClass: 'icheckbox_minimal-blue',
      radioClass   : 'iradio_minimal-blue'
    })
    //Red color scheme for iCheck
    $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
      checkboxClass: 'icheckbox_minimal-red',
      radioClass   : 'iradio_minimal-red'
    })
    //Flat red color scheme for iCheck
    $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
      checkboxClass: 'icheckbox_flat-green',
      radioClass   : 'iradio_flat-green'
    })
</script>



<script type="text/javascript">
  jQuery("#prd").click(function () 
          { 
            if ($(this).prop("checked") == true) {
              $('#supplier_s').hide();
              $('#category_s').show();
              $('#product_s').show();

              $('#supplier').removeAttr("required");
              $("#category").attr('required','required');
              $("#product").attr('required','required');

            }
          
          });//end of change
</script>

<script type="text/javascript">
  jQuery("#sup").click(function () 
          { 
            if ($(this).prop("checked") == true) {
              $('#supplier_s').show();
              $('#category_s').hide();
              $('#product_s').hide();

              $('#category').removeAttr("required");
              $('##product').removeAttr("required");
              $("#supplier").attr('required','required');
            }
          
          });//end of change
</script>

<script type="text/javascript">
  jQuery("#category").change(function()
  {   
      var category = $("#category").val();

      $.get("{{url('product_rate/show')}}",
          {option: category},
          function(data){
            console.log(data);
            $("#product").empty();
            $("#product").append("<option value=''>"+"-- select --"+"</option>");
            $.each(data, function(index,element){
                $("#product").append("<option value='"+ element.id +"'>" +element.name+ "</option>");
            });
          });
  });
</script>

</body>
</html>
