<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- bootstrap datepicker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
     <h1>
        Season Master
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i>Season</a></li>
        <li class="active">create</li>
      </ol>
    </section>

    @if(Session::has('exist')) 
      <div class="box-header with-border">
        <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        Category Already Exist...
        </div>
      </div>
    @endif

    @if(Session::has('save')) 
    <div class="box-header with-border">
    <div class="alert alert-success alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      Category Saved Successfully.
    </div>
    </div>
    @endif

    @if(Session::has('Update')) 
    <div class="box-header with-border">
     <div class="alert alert-info alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      Category Updated Successfully.
     </div>
    </div>
    @endif

    <!-- Main content -->
    <section class="content">
      <div class="box box-info">
        <div class="box-header with-border">
          <div class="box-tools pull-right">
          </div>
        </div>
        <!-- /.box-header -->
        <form action="{{route('season.create')}}" method="POST">
        <input type="hidden" id="edit" value="0" name="edit">
        <div class="box-body">
          <div class="row">
            <div class="col-md-5">
              <div class="form-group">
                <label>Season</label>
                <input type="text" autocomplete="off" name="season" id="season" class="form-control" required="required">
              </div>
              <!-- /.form-group -->
            </div>
            <!-- /.col -->
            <div class="col-md-3">
              <div class="form-group">
                <label>From Month</label>
                <select class="form-control" name="from_month" id="from_month" required="required">
                  <option value="">-- Select --</option>
                  @foreach($months as $key => $month)
                  <option value="{{$key}}">{{$month}}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <!-- /.col -->
            <div class="col-md-3">
              <div class="form-group">
                <label>To Month</label>
                <select class="form-control" name="to_month" id="to_month" required="required">
                  <option value="">-- Select --</option>
                  @foreach($months as $key => $month)
                  <option value="{{$key}}">{{$month}}</option>
                  @endforeach
                </select>
              </div>
              <!-- /.form-group -->
            </div>
            <!-- /.col -->
          </div>
          <!-- /.row -->
          <div class="box-footer">
            <button type="reset" id="refresh" class="btn btn-default pull-left">Refresh</button>
            <button type="submit" class="btn btn-info pull-left" style="margin-left: 8px;">Save</button>
          </div>
        </div>
        </form>
        <!-- /.box-body -->
      </div>

      <!-- Main row --> 
      <div class="row">
        <!-- Left col -->
        <section class="col-lg-12 connectedSortable">
          <!-- Custom tabs (Charts with tabs)-->
          <div class="nav-tabs-custom">
          <!-- Tabs within a box -->
          </div>

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Season List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                
                <tr>
                  <th>Sl No.</th>
                  <th>Season</th>
                  <th>From - To</th>
                  <th>Edit</th>
                </tr>

                </thead>

                <tbody id="season_tbl">
                 <?php $c = 1; ?>
                 @foreach($seasons as $season)
                  <tr>
                  <td>{{$c++}}</td>
                  <td>{{strtoupper($season->season)}}</td>
                  <td>{{$months[$season->start_month]}}--{{$months[$season->end_month]}}</td>
                  <td><a class="btn edit" id="{{$season->id}}"><i class="fa fa-fw fa-pencil" style="color: blue;"></i></a></td>
                  </tr>
                 @endforeach
                </tbody>
                
              </table>
            </div>
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  <!-- bootstrap datepicker -->
  <script src="{{asset('lte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js')}}"></script> 
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>
</body>
<script>
  $(document).ready(function(){
    $("#product_save").on('keydown click',function(e){
      alert('s');
    });

    
    // refresh
    $("#refresh").click(function(){
      $("#season").val('');
      $("#from_month").val('');
      $("#to_month").val('');
      $("#edit").val(0);
    });

    $(".edit").click(function(){
      var id = $(this).attr('id');
      $.get("{{route('season.edit')}}",{option: id}, function(data) {
        $("#edit").val(data.id);
        $("#season").val(data.season);
        $("#from_month").val(data.start_month);
        $("#to_month").val(data.end_month);
      });
      window.scrollTo(0, 0);
    });
    
  });
</script>

<script>
  function jsEditCategory(value)
  { 
    $('#category').focus();
     $.get("{{ url('category/master/edit')}}", 
        { option: value }, 
          function(data) {
            $('#category_id').val(data[0].id);
            $('#category').val(data[0].category);
     });
  }
</script>

</html>
