<!DOCTYPE html>
<html>
<head>
  @include('title')
  

  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">
  
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">
  <!-- DataTables -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css')}}">
  
  
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
      <h1>
          Map Products
        </h1>
        <ol class="breadcrumb">
          <li><a href="{{route('tag_master.index')}}"><i class="fa fa-dashboard"></i> Tag</a></li>
          <li class="active">Map products</li>
        </ol>
      </section>

      <div class="box-header with-border" id="productMaps" style="display: none;">
               <div class="alert alert-success alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                Product Successfully Mapped..!!
               </div>
      </div>

      <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            
              <!-- Tabs within a box -->
             
              
               <!-- right column -->
        
       <!-- Horizontal Form -->
             <div class="box box-info">
              <br>
            <!-- /.box-header -->
            <!-- form start -->
            
             <form class="form-horizontal" action="{{route('map.tag.show')}}" method="POST">
             <input type="hidden" name="_token" value="{{ csrf_token() }}">
             <input type="hidden" name="tag_id" id="tag_id" value="{{$tagId}}">
              <div class="box-body">
                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Category<font color="red">*</font></label>
                   <div class="col-sm-4">
                   <select class="form-control" name="category" id="category">
                    <option value="">Select</option>
                    @foreach($categories as $category)
                    @if($selctCat != NULL && $selctCat == $category->id)
                    <option value="{{$category->id}}" selected="">{{$category->category}}</option>
                    @else
                    <option value="{{$category->id}}">{{$category->category}}</option>
                    @endif
                    @endforeach 
                  </select>
                  </div>
                  <button type="submit" class="btn btn-info pull-left" style="margin-left: 8px;">SHOW</button>
                  
                </div>
                
              </div>
              <!-- /.box-body -->
              <!-- /.box-footer -->
            </form>
          </div>
          <!-- /.box --> 
                
         
          

          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Product List</h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                
                <tr>
                  <th>Sl No.</th>
                  <th>Product</th>
                  <th>Code</th>
                  <th>Map</th>
                </tr>

                </thead>

                <tbody>
                 <?php $c = 1; $b = 1;?>
                 @if($products != NULL)
                 @foreach($products as $data)
                  <tr>
                  <td>{{$c++}}</td>
                  <td>{{$data->name}}</td>
                  <td>{{$data->code}}</td>
                  <td id="{{$b++}}">
                  @if(in_array($data->id, $tagPdct))
                  <input type="checkbox" class="checkPdct" name="addCategory" id="addCategory" value="{{$data->id}}" checked="checked" style="display: inline;"> <h6 style="display: inline;">Active</h6>
                  @else
                  <input type="checkbox" class="checkPdct" name="addCategory" id="addCategory" value="{{$data->id}}" style="display: inline;"> <h6 style="display: inline;"></h6>
                  @endif</td>
                  </tr>
                  @endforeach
                  @endif
                </tbody>
                
              </table>
            </div>
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

  <!-- jQuery 3 -->
  <script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="{{asset('lte/bower_components/jquery-ui/jquery-ui.min.js')}}"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <!-- Bootstrap 3.3.7 -->
  <script src="{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
  
  <!-- Sparkline -->
  <script src="{{asset('lte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js')}}"></script>
  
  <!-- Bootstrap WYSIHTML5 -->
  <script src="{{asset('lte/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>
  <!-- Slimscroll -->
  <script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
  <!-- FastClick -->
  <script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
  <!-- AdminLTE App -->
  <script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
  
  <!-- AdminLTE for demo purposes -->
  <script src="{{asset('lte/dist/js/demo.js')}}"></script>

  <!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>

<!-- DataTables -->
<script src="{{asset('lte/bower_components/datatables.net/js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('lte/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js')}}"></script>
</body>

<script type="text/javascript">
  $(function () {
    $('#example1').DataTable()
    
  })
</script>

<script>

$(document).ready(function(){
    $(document).on("click",".checkPdct", function(){

      var tag = $('#tag_id').val();
      var product  = $(this).val();

      if ($(this).prop("checked") == true) {

       var closestTr = $(this).closest('td').attr('id');
       
       $('#'+closestTr).find('h6').html("Active");
       $('#'+closestTr).append('<b class="bt">Product Mapped!!!</b>').find('.bt').fadeOut(1000); 
      
       $.get("{{ url('tag/map/product')}}", 
              { option: tag ,option1: product }, 
              function(data) {
               
                        });         
      }
      
    });
  }); 

$(document).ready(function(){
    $(document).on("click",".checkPdct", function(){

      var tag = $('#tag_id').val();
      var product  = $(this).val();

      if ($(this).prop("checked") == false) {
      
       var closestTr = $(this).closest('td').attr('id');

       $('#'+closestTr).find('h6').html("");
       $('#'+closestTr).append('<b class="bt">Product Unlinked!!!</b>').find('.bt').fadeOut(1000); 

        $.get("{{ url('tag/product/delete')}}", 
              { option: tag ,option1: product }, 
              function(data) {
              
           });  
      }
    });
  }); 
 

</script>


</html>
