<!DOCTYPE html>
<html>
<head>
  @include('title')
 
  <!-- Bootstrap 3.3.7 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/font-awesome/css/font-awesome.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/Ionicons/css/ionicons.min.css')}}">
  <!-- daterange picker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-daterangepicker/daterangepicker.css')}}">
  <!-- bootstrap datepicker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css')}}">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="{{asset('lte/plugins/iCheck/all.css')}}">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/bootstrap-colorpicker/dist/css/bootstrap-colorpicker.min.css')}}">
  <!-- Bootstrap time Picker -->
  <link rel="stylesheet" href="{{asset('lte/plugins/timepicker/bootstrap-timepicker.min.css')}}">
  <!-- Select2 -->
  <link rel="stylesheet" href="{{asset('lte/bower_components/select2/dist/css/select2.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/AdminLTE.min.css')}}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{asset('lte/dist/css/skins/_all-skins.min.css')}}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
  
</head>
<body class="hold-transition skin-blue fixed sidebar-mini">
<div class="wrapper">
  
  @include('headertag')
  <!-- Left side column. contains the logo and sidebar -->
  @include('leftside')
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <h1>
          User
        </h1>
        <ol class="breadcrumb">
          <li><a href="{{route('user.index')}}"><i class="fa fa-dashboard"></i> User</a></li>
         <li class="active"><a href="{{route('user.index')}}">List</a></li>
        </ol>
      </section>

             @if(Session::has('exist')) 
              <div class="box-header with-border">
                <div class="alert alert-danger alert-dismissible">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                User Already Added...!!
                </div>
              </div>
             @endif
      
      <!-- Main content -->
      <section class="content">
        
        <!-- Main row -->
        <div class="row">
          <!-- Left col -->
          <section class="col-lg-12 connectedSortable">
            <!-- Custom tabs (Charts with tabs)-->
            <div class="nav-tabs-custom">
              <!-- Tabs within a box -->
             
               <!-- right column -->
        
       <!-- Horizontal Form -->
             <div class="box box-info">
              <div class="box-header with-border">
                <h3 class="box-title"></h3>
                
              </div>
            <!-- /.box-header -->
            <!-- form start -->
            
             <form class="form-horizontal" action="{{route('user.update')}}" method="POST">
             <input type="hidden" name="_token" value="{{ csrf_token() }}">
             <input type="hidden" name="user_id" id="user_id" value="{{$user->id}}">
              <div class="box-body">
                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Name<font color="red">*</font></label>
                    <div class="col-sm-4">
                    <input type="text" class="form-control" id="name" name="name" value="{{$user->name}}" placeholder="name" autofocus="" required="">
                  </div>
                </div>

                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">User Name<font color="red">*</font></label>
                    <div class="col-sm-4">
                    <input type="text" class="form-control" id="username" value="{{$user->username}}" name="username" placeholder="User name" required="">
                  </div>
                </div>
                
                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Password</label>
                    <div class="col-sm-4">
                     <input type="password" class="form-control" id="exampleInputPassword1" name="password" placeholder="Password">
                  </div>
                </div>
              </div>

              <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Customer</label>
                    <div class="col-sm-4">
                  <select class="form-control" name="customer" id="customer">
                    <option value=""> Select </option>
                    @foreach($customers as $customer)
                    @if($user->customer_id == $customer->id)
                    <option value="{{$customer->id}}" selected="selected">{{$customer->name}}</option>
                    @else
                    <option value="{{$customer->id}}">{{$customer->name}}</option>
                    @endif
                    @endforeach 
                  </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Customer Location</label>
                  <div class="col-sm-4">
                  <select class="form-control" name="parent_id" id="parent_id" data-placeholder="Select">
                    <option value="">Select</option>
                    @foreach($customer_parents as $parent)
                    <option value="{{$parent->id}}" @if($parent->id == $user->parent_id) selected @endif>{{$parent->name}}-{{$parent->code}}</option>
                    @endforeach
                  </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Cost Center</label>
                  <div class="col-sm-4">
                  <select class="form-control" name="location" id="location" data-placeholder="Select">
                    <option value="">Select</option>
                    @foreach($location as $loc)
                      @if($loc->id == $user->location_id)
                        <option value="{{$loc->id}}" selected>{{$loc->location}}</option>
                      @else
                        <option value="{{$loc->id}}">{{$loc->location}}</option>
                      @endif
                    @endforeach
                  </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="inputcategory" class="col-sm-2 control-label">Role<font color="red">*</font></label>
                    <div class="col-sm-4">
                    <select class="form-control" name="role" id="role" onchange="jsVisibleType(this.value);">
                    <option value="">Select</option>
                    @foreach($roles as $role)
                    @if($userRole != NULL && $userRole->role_id == $role->id)
                    <option value="{{$role->id}}" selected="">{{$role->name}}</option>
                    @else
                    <option value="{{$role->id}}">{{$role->name}}</option>
                    @endif
                    @endforeach
                  </select>
                  </div>
                </div>
                 
                 @if($userRole->role->multiple_type == "Y")
                <div class="form-group" id="visibleType">
                  <label for="inputcategory" class="col-sm-2 control-label">Customer Type</label>
                    <div class="col-sm-4">
                    <select class="form-control select2" name="customerType[]" id="customerType" multiple="" style="width: 100%;">
                    
                    <option value="">Select</option>
                     @foreach($Types as $type)
                     @if(in_array($type->id,$userType))
                     <option value="{{$type->id}}" selected="">{{$type->name}}</option>
                    @else
                    <option value="{{$type->id}}" >{{$type->name}}</option>
                     @endif
                    @endforeach
                    
                  </select>
                  </div>
                </div>
                @endif

                 <div class="form-group" id="visibleType" style="display: none;">
                  <label for="inputcategory" class="col-sm-2 control-label">Customer Type</label>
                    <div class="col-sm-4">
                    <select class="form-control select2" name="customerType[]" id="customerType" multiple="" style="width: 100%;">
                    <option value="">Select</option>
                     @foreach($Types as $type)
                    <option value="{{$type->id}}">{{$type->name}}</option>
                    @endforeach
                  </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="inputactive" class="col-sm-2 control-label">Air Mr Customer Selection</label>
                    <div class="col-sm-4">
                    <input type="checkbox" name="choose" id="choose" value="Y" @if($user->choose_cust == 'Y') checked="" @endif>
                  </div>
                </div>

               <div class="form-group">
                  <label for="inputactive" class="col-sm-2 control-label">Is Active</label>
                    <div class="col-sm-4">
                    @if($user->is_active == 'A')
                    <input type="checkbox" name="Isactive" id="Isactive" value="A" checked="">
                    @else
                    <input type="checkbox" name="Isactive" id="Isactive" value="A" >
                    @endif
                  </div>
                </div>

              <!-- /.box-body -->
              <div class="box-footer">
                <button type="reset" class="btn btn-default pull-left">Refresh</button>
                <button type="submit" class="btn btn-info pull-left" style="margin-left: 8px;">Update</button>
              </div>
              <!-- /.box-footer -->
            </form>
          </div>
          <!-- /.box --> 
                
          </div>
          </div>

          
            <!-- /.nav-tabs-custom -->

            <!-- Chat box -->
            
            <!-- /.box (chat box) -->

            
            <!-- quick email widget -->
          </section>
          <!-- /.Left col -->
          
        </div>
        <!-- /.row (main row) -->

      </section>
      <!-- /.content -->
    </div>
  <!-- /.content-wrapper -->
  
  @include('footertag')

  <!-- Control Sidebar -->
  @include('rightside')
  <!-- /.control-sidebar -->

  <!-- Add the sidebar's background. This div must be placed
       immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<<!-- jQuery 3 -->
<script src="{{asset('lte/bower_components/jquery/dist/jquery.min.js')}}"></script>
<!-- Bootstrap 3.3.7 -->
<script src=".{{asset('lte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
<!-- Select2 -->
<script src="{{asset('lte/bower_components/select2/dist/js/select2.full.min.js')}}"></script>
<!-- InputMask -->
<script src="{{asset('lte/plugins/input-mask/jquery.inputmask.js')}}"></script>
<script src="{{asset('lte/plugins/input-mask/jquery.inputmask.date.extensions.js')}}"></script>
<script src="{{asset('lte/plugins/input-mask/jquery.inputmask.extensions.js')}}"></script>
<!-- date-range-picker -->
<script src="{{asset('lte/bower_components/moment/min/moment.min.js')}}"></script>
<script src="{{asset('lte/bower_components/bootstrap-daterangepicker/daterangepicker.js')}}"></script>
<!-- bootstrap datepicker -->
<script src="{{asset('lte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js')}}"></script>
<!-- bootstrap color picker -->
<script src="{{asset('lte/bower_components/bootstrap-colorpicker/dist/js/bootstrap-colorpicker.min.js')}}"></script>
<!-- bootstrap time picker -->
<script src="{{asset('lte/plugins/timepicker/bootstrap-timepicker.min.js')}}"></script>
<!-- SlimScroll -->
<script src="{{asset('lte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js')}}"></script>
<!-- iCheck 1.0.1 -->
<script src="{{asset('lte/plugins/iCheck/icheck.min.js')}}"></script>
<!-- FastClick -->
<script src="{{asset('lte/bower_components/fastclick/lib/fastclick.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{asset('lte/dist/js/adminlte.min.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{asset('lte/dist/js/demo.js')}}"></script>
<!-- Page script -->

<script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

  })
</script>

<script>
 function jsVisibleType(value)
 {

   $.get("{{ url('customer/type/visible')}}", 
        { option: value }, 
          function(data) {
          if(data == 0)
          {
            $('#visibleType').hide();
          }
          else
          {
            $('#visibleType').show();
          }
        });
 }

 $( document ).ready(function() {

  $('#customer').change(function(){
    var customer_id = $(this).val();
    $('#location').empty();
    $('#parent_id').empty();
    $.get("{{ url('customer/location/list')}}", { customer_id }, function(data) {
      console.log(data);
        $('#location').append('<option value="">'+'--Select--'+'</option>');     
        $.each(data, function(index, element) {
          $('#location').append('<option value="'+element.id+'">'+element.location+'</option>');     
        });
    });

    $.get("{{ url('customer/parent/list')}}", { customer_id }, function(data) {
      console.log(data);
        $('#parent_id').append('<option value="">'+'--Select--'+'</option>');     
        $.each(data, function(index, element) {
          $('#parent_id').append('<option value="'+element.id+'">'+element.name+'-'+element.code+'</option>');     
        });
    });
    
  });

});

</script>

</body>
</html>
