<?php

/*
|--------------------------------------------------------------------------
| Product Routes
|--------------------------------------------------------------------------
*/



Route::get('products',['as' => 'products.index',
	'uses' => 'ProductController@index']);

Route::get('products/create', ['as' => 'products.create',
	'uses' => 'ProductController@create']);

Route::post('products/store', ['as' => 'products.store',
	'uses' => 'ProductController@store']);

Route::get('products/{id}/create',['as' => 'products.created',
	'uses' => 'ProductController@afterStore']);

Route::get('products/{id}/edit', ['as' => 'products.edit',
	'uses' => 'ProductController@edit']);

Route::post('products/update/{id}', ['as' => 'products.update',
	'uses' => 'ProductController@update']);

Route::post('get_sub_group','ProductController@getSubGroups');

Route::post('product_unit_create','ProductSpecController@store');

Route::post('product_delete_unit','ProductSpecController@destroy');

Route::post('product_grade_store','ProductSpecController@storeGrade');

Route::post('product_delete_grade','ProductSpecController@destroyGrade');



Route::get('product_standard_store','ProductSpecController@storeStd');

Route::get('product_delete_standard','ProductSpecController@destroyStd');


////////////////////// product manage route

Route::get('product/manage',['as' => 'product.manage',
	'uses' => 'ProductController@manageProduct']);

Route::post('products/manage/list', ['as' => 'products.manage.list',
	'uses' => 'ProductController@categoryProduct']);

Route::post('product/manage/active','ProductController@productActive');

Route::post('product/manage/Inactive','ProductController@productInactive');

Route::get('get/map/productGrade','ProductController@getproductGrade');
Route::get('active/product/grade','ProductController@activeGrade');
Route::get('inactive/product/grade','ProductController@inActiveGrade');

//////////////MATERIAL REQUEST///////////////

Route::get('material_request/list',['as' => 'material_request.list',
	'uses' => 'MaterialRequestController@viewList']);

Route::get('material_request/index/{id}',['as' => 'material_request.index',
	'uses' => 'MaterialRequestController@index']);

Route::post('material_request_p/store',['as' => 'material_request_p.store',
	'uses' => 'MaterialRequestController@insertRequest']);

Route::get('mr_product/show',['as' => 'mr_product.show',
	'uses' => 'MaterialRequestController@showProduct']);

Route::get('mr_unit/show',['as' => 'mr_unit.show',
	'uses' => 'MaterialRequestController@showUnit']);

Route::get('mr_grade/show',['as' => 'mr_grade.show',
	'uses' => 'MaterialRequestController@showGrade']);

Route::get('material_request/edit/{id}',['as' => 'material_request.edit',
	'uses' => 'MaterialRequestController@viewEdit']);

Route::post('material_request/submit',['as' => 'material_request.submit',
	'uses' => 'MaterialRequestController@requestSubmit']);

Route::get('mr_product/delete',['as' => 'mr_product.delete',
	'uses' => 'MaterialRequestController@deleteProduct']);

Route::get('mr_product/edit/{id}',['as' => 'mr_product.edit',
	'uses' => 'MaterialRequestController@editProduct']);

Route::post('material_request_p/update',['as' => 'material_request_p.update',
	'uses' => 'MaterialRequestController@updateProduct']);

Route::get('last_enteries/{id}',['as' => 'last_enteries.add',
	'uses' => 'MaterialRequestController@addLastEntries']);

Route::get('notification_read',['as'=> 'notification_read/add',
	'uses' => 'MaterialRequestController@addNotificationStatus']);

Route::get('mr_approved/view/{id}',['as' => 'mr_approved.view',
	'uses' => 'MaterialRequestController@viewApprovedProduct']);

Route::get('mr/delete',['as' => 'mr.delete',
	'uses' => 'MaterialRequestController@deleteMR']);

Route::post('material_request/received',['as' => 'material_request.received',
	'uses' => 'MaterialRequestController@received']);


Route::get('customer/location',['as' => 'customer.location',
	'uses' => 'MaterialRequestController@customerLocation']);


Route::get('location/list',['as' => 'location.list',
	'uses' => 'MaterialRequestController@locationList']);

Route::post('material/request/add/qty',['as' => 'material.request.add.qty',
	'uses' => 'MaterialRequestController@addQty']);


Route::get('material_request/order/index/{id}',['as' => 'material_request.order.index',
	'uses' => 'MaterialRequestController@MRorderIndex']);


Route::get('mr/order/product/delete',['as' => 'mr.order.product.delete',
	'uses' => 'MaterialRequestController@deleteOrderProduct']);


Route::post('material/request/order/submit',['as' => 'material.request.order.submit',
	'uses' => 'MaterialRequestController@orderSubmit']);


/////////PR Generation//////////

Route::get('prlist',['as' => 'prlist.list',
	'uses' => 'PurchaseRequestController@index']);
Route::get('prlists',['as' => 'prlist.lists',
	'uses' => 'PurchaseRequestController@toindex']);

Route::get('prlistall',['as' => 'prlist.listall',
	'uses' => 'PurchaseRequestController@purchaseList']);

Route::get('pr_product/{id}',['as' => 'pr_product.list',
	'uses' => 'PurchaseRequestController@pr_productlist']);

Route::get('prlist/create', ['as' => 'prlist.create',
	'uses' => 'PurchaseRequestController@create']);


 Route::post('pr/insert',['as'=>'pr.insert',
	'uses'=>'PurchaseRequestController@store']);
 
 Route::post('pr_insert','PurchaseRequestController@storePR');

 Route::get('delete/pr/product', 'PurchaseRequestController@deletePrProduct');

 
Route::get('pr/{id}/edit', ['as' => 'pr.edit',
	'uses' => 'PurchaseRequestController@edit']);


Route::get('pr/report/list/{id}',['as' => 'prSupwise.list',
	'uses' => 'PurchaseRequestController@prSupplierList']);

Route::get('pr/report/mrapproval/{id}',['as' => 'pr.mrapproval.report',
	'uses' => 'PurchaseRequestController@purchaseMrReport']);

Route::get('load/supplier/list', 'PurchaseRequestController@listPrice');

//delete purchase Request //

Route::get('delete/purchase/request', 'PurchaseRequestController@requestDelete');

Route::get('close/purchase/request/{id}',['as' => 'close.purchase.request',
	'uses' => 'PurchaseRequestController@requestClose']);

//insert to pr_suppliers

Route::get('add/pr_suppliers', 'PurchaseRequestController@addSupplier');

//load pr_suppliers

Route::get('get/pr_suppliers', 'PurchaseRequestController@getPRsupplier');

//delete pr_suppliers

Route::get('delete/pr_suppliers', 'PurchaseRequestController@deletePRsupplier');

Route::get('pr/mr/list/{id}',['as' => 'pr.mr.list',
	'uses' => 'PurchaseRequestController@prMrList']);

//check

Route::get('pr/check/supplier', 'PurchaseRequestController@checkSupplier');


///PURCHASE ORDER

Route::get('polist/list',['as' => 'polist.list',
	'uses' => 'PurchaseOrderController@index']);

Route::get('po/consignment/add/{id}',['as' => 'po.consignment.add',
	'uses' => 'PurchaseOrderController@addConsignment']);

Route::get('ports/load','PurchaseOrderController@loadports');

Route::get('po/get/products','PurchaseOrderController@getProducts');

Route::get('po/insert/consignment','PurchaseOrderController@insertConsignment');

Route::post('consignment/map/products',['as' => 'consignment.map.products',
	'uses' => 'PurchaseOrderController@mapConsProducts']);

Route::get('delete/consignment','PurchaseOrderController@deleteConsignment');

Route::get('po/print/{id}',['as' => 'po.print',
	'uses' => 'PurchaseOrderController@printPO']);


// supplier wise pr //

Route::get('supplier/wise/pr/index',['as' => 'supplier.wise.pr.index',
	'uses' => 'SupplierPrController@index']);

Route::get('supplier/wise/pr/product/{id}',['as' => 'supplier.wise.pr.product',
	'uses' => 'SupplierPrController@product']);

Route::get('supplier_pr_product_cancel','SupplierPrController@pdtCancel');

Route::post('supplier/wise/pr/save',['as' => 'supplier.wise.pr.save',
	'uses' => 'SupplierPrController@saveProduct']);

Route::get('supplier_products','SupplierPrController@searchPdt');

Route::get('supplier/create/po', 'SupplierPrController@createPo');

Route::get('supplier/cancel/pr' , 'SupplierPrController@cancelPr');

Route::get('supplier/approve/pr' , 'SupplierPrController@approvePr');

Route::get('supplier_pr_units','SupplierPrController@productUnit');

Route::get('supplier/product/rate','SupplierPrController@pdtRate');

Route::get('supplier/wise/product/list/{id}/{pid}',['as' => 'supplier.wise.product.list',
	'uses' => 'SupplierPrController@pdtList']);

Route::get('supplier/pr/eta','SupplierPrController@etaStore');
Route::get('get/supplier/pr/eta','SupplierPrController@getEta');

Route::get('generate/active/product/zip','ProductController@generateZip');


///hsncode ////


Route::get('add/hsn/code',['as' => 'add.hsn.code',
	'uses' => 'ProductController@hsnCode']);