-- Adminer 4.7.8 MySQL dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

DROP TABLE IF EXISTS `category_master`;
CREATE TABLE `category_master` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(40) NOT NULL,
  `sequence` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `category_master` (`id`, `category`, `sequence`) VALUES
(1,	'HERBS',	1),
(2,	'FRUIT',	1),
(3,	'DRY FRUITS',	1),
(4,	'VEGE',	1),
(5,	'POULTRY',	1),
(6,	'FLOWER',	1),
(7,	'FOODSTUFF',	1),
(8,	'NUTS',	1),
(9,	'PLASTICS',	1),
(10,	'GENERAL ITEMS',	1);

DROP TABLE IF EXISTS `common`;
CREATE TABLE `common` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `masterkeyword` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `parent_id` int(11) NOT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `common` (`id`, `name`, `masterkeyword`, `parent_id`, `type`) VALUES
(1,	'INDUSTRY TYPE',	'type of Industry',	0,	0),
(2,	'SIS',	'INDUSTRY TYPE',	1,	0),
(3,	'ONORB',	'INDUSTRY TYPE',	1,	0),
(4,	'STATUS',	'Types of status',	0,	1),
(5,	'ACTIVE',	'STATUS',	4,	1),
(6,	'SUSPENDED',	'STATUS',	4,	1),
(7,	'INACTIVE',	'STATUS',	4,	1),
(9,	'DELIVERY TYPE',	'Type of delivery',	0,	0),
(10,	'COMPANY ARRANGED',	'DELIVERY TYPE',	9,	0),
(11,	'OWN PICK-UP',	'DELIVERY TYPE',	9,	0),
(12,	'SUPPLIER TYPE',	'Type of supplier',	0,	0),
(13,	'WHOLESALE',	'SUPPLIER TYPE',	12,	0),
(14,	'RETAIL',	'SUPPLIER TYPE',	12,	0),
(15,	'PAYMENT TYPE',	'Payment Type',	0,	1),
(16,	'CASH',	'PAYMENT',	15,	1),
(17,	'CARD',	'PAYMENT',	15,	1),
(18,	'BANK TRANSFER',	'PAYMENT',	15,	1),
(19,	'CHEQUE',	'PAYMENT',	15,	1),
(21,	'NOTIFICATION',	'Notification type',	0,	0),
(22,	'OFFER',	'NOTIFICATION',	21,	0),
(23,	'NEW',	'NOTIFICATION',	21,	0),
(24,	'AIR SHIPMENT C&F',	'DELIVERY TYPE',	9,	0),
(25,	'SEA SHIPMENT',	'DELIVERY TYPE',	9,	0),
(26,	'ROAD SHIPMENT',	'DELIVERY TYPE',	9,	0),
(27,	'SEA SCHEDULES',	'master of sea schedules',	0,	0),
(28,	'MONTHLY ONE',	'SEA SCHEDULES',	27,	0),
(29,	'MONTHLY TWO',	'SEA SCHEDULES',	27,	0),
(30,	'NORMAL',	'SEA SCHEDULES',	27,	0),
(31,	'SEA CONTRACT',	'Contracts of sea purchase',	0,	0),
(32,	'CONTRACT ONE',	'SEA CONTRACT',	31,	0),
(33,	'MONTHLY THREE',	'SEA SCHEDULES',	27,	0),
(34,	'MONTHLY FOUR',	'SEA SCHEDULES',	27,	0),
(35,	'ANHAR',	'INDUSTRY TYPE',	1,	0),
(36,	'SHOP 06 - OUTSIDE',	'INDUSTRY TYPE',	1,	0),
(37,	'SHOP01 - OUTSIDE',	'INDUSTRY TYPE',	1,	0),
(38,	'VAN SALES',	'INDUSTRY TYPE',	1,	0),
(39,	'KMD-OUTSIDE',	'INDUSTRY TYPE',	1,	0);

DROP TABLE IF EXISTS `consignment_products`;
CREATE TABLE `consignment_products` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `po_id` int(100) NOT NULL,
  `po_consignment_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `tot_qty` int(100) DEFAULT NULL,
  `supplied_qty` int(100) NOT NULL,
  `unit_id` int(100) NOT NULL,
  `grade_id` int(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `consignment_products_sea`;
CREATE TABLE `consignment_products_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `po_sea_id` int(100) NOT NULL,
  `po_sea_consignments_id` int(100) NOT NULL,
  `po_products_sea_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `tot_qty` int(100) NOT NULL,
  `supplied_qty` int(100) NOT NULL,
  `unit_id` int(100) DEFAULT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `contract_sea_purchase`;
CREATE TABLE `contract_sea_purchase` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contract_id` int(11) NOT NULL,
  `supplier_id` int(11) NOT NULL,
  `address` text COLLATE utf8_unicode_ci,
  `contact_person` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mobile_no` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email_id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `port_arrival` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `payment_terms` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `shipping_terms` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `terms_and_condition` text COLLATE utf8_unicode_ci,
  `time_frame_from` date DEFAULT NULL,
  `time_frame_to` date DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `country`;
CREATE TABLE `country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country` varchar(300) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `country` (`id`, `country`) VALUES
(1,	'AUS'),
(2,	'HOLLAND'),
(3,	'THAI'),
(4,	'USA'),
(5,	'LEBANON'),
(6,	'VIETNAM'),
(7,	'CANADA'),
(8,	'FRANCE'),
(9,	'ITALY'),
(10,	'NEW Z LAND'),
(11,	'S AFRICA'),
(12,	'CHINA'),
(13,	'ARGE'),
(14,	'POLAND'),
(15,	'IRAN'),
(16,	'BRAZIL'),
(17,	'CHILE'),
(18,	'SPAIN'),
(19,	'PAK'),
(20,	'PORTUGAL'),
(21,	'TURKEY'),
(22,	'UKRAINE'),
(23,	'EGYPT'),
(24,	'JORDAN'),
(25,	'SAUDI'),
(26,	'SIRIYA'),
(27,	'TUNISIA'),
(28,	'KENYA'),
(29,	'COLOMBIA'),
(30,	'MEXICO'),
(31,	'PHILI'),
(32,	'IND'),
(33,	'PERU'),
(34,	'S LANKA'),
(35,	'UGANDA'),
(36,	'OMAN'),
(37,	'ECUADOR'),
(38,	'BANGLA'),
(39,	'UAE'),
(40,	'YEMEN'),
(41,	'BELGIUM'),
(42,	'MOROCCO'),
(43,	'IRAQ'),
(44,	'KUWAIT'),
(45,	'INDONESIA'),
(46,	'MADAGASCAR'),
(47,	'GHANA'),
(48,	'SUDAN'),
(49,	'MALAYSIA'),
(50,	'ETHIOPIA'),
(51,	'AZERBAIJAN'),
(52,	'SYRIA'),
(53,	'');

DROP TABLE IF EXISTS `currencies`;
CREATE TABLE `currencies` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `currency` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `currencies` (`id`, `currency`) VALUES
(1,	'AED'),
(2,	'KWD'),
(3,	'AED'),
(4,	'KWD'),
(5,	'QAR'),
(6,	'OMR'),
(7,	'SAR'),
(8,	'USD'),
(9,	'EUR'),
(10,	'GBP');

DROP TABLE IF EXISTS `customers`;
CREATE TABLE `customers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `shop_no` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `customercode` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `location` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mobileno` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email_id` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `contact_person` varchar(60) COLLATE utf8_unicode_ci DEFAULT NULL,
  `office_no` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `industry_type` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `credit_limit` int(11) DEFAULT NULL,
  `credit_period` int(11) DEFAULT NULL,
  `customer_type_id` int(11) DEFAULT NULL,
  `status` int(15) DEFAULT NULL,
  `delivery_type_id` int(15) DEFAULT NULL,
  `mode_detail_id` int(11) DEFAULT NULL,
  `parent_master_id` int(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `parent_master_id` (`parent_master_id`),
  KEY `mode_detail_id` (`mode_detail_id`),
  CONSTRAINT `customers_ibfk_1` FOREIGN KEY (`parent_master_id`) REFERENCES `parent_master` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `customers` (`id`, `name`, `shop_no`, `customercode`, `address`, `location`, `mobileno`, `email_id`, `contact_person`, `office_no`, `industry_type`, `credit_limit`, `credit_period`, `customer_type_id`, `status`, `delivery_type_id`, `mode_detail_id`, `parent_master_id`, `created_at`, `updated_at`, `deleted_at`) VALUES
(2,	'10 STAR TRADING LLC',	NULL,	'CU10001',	'MUSCAT',	'MUSCAT',	'90400234',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:04:52',	'2021-04-07 16:04:52',	NULL),
(3,	'ABDALLAH (POTATO)',	NULL,	'CU10002',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:10',	NULL),
(4,	'AHMED KUNJU YUSUF KUNJU - BILL TO BILL',	NULL,	'CU10003',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:10',	NULL),
(5,	'AHMED.P - BILL TO BILL',	NULL,	'CU10004',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(6,	'ALI - NIZWA',	NULL,	'CU10005',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(7,	'ANSARI MUHAMMED KUNJU - BILL TO BILL',	NULL,	'CU10006',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(8,	'MUNEER E.K - CASH SALES',	NULL,	'CU10007',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(9,	'ABDU - HAIL',	NULL,	'CU10008',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(10,	'ABDULBAQI DAWOOD ALI AL- KISHRY EST (SHOP-35)',	NULL,	'CU10009',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(11,	'ABNAA YASEEN TRADING LLC ( AL FARZI CAFE ) - QURUM',	NULL,	'CU10010',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(12,	'ABU ABID AL BALUSHI TRAD.',	NULL,	'CU10011',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(13,	'AHMED BIN MOHAMMED BIN HAMOOD - IZKI',	NULL,	'CU10012',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(14,	'AHMED NASSER ZAHIR AL-SHEREIQI',	NULL,	'CU10013',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(15,	'AL BASMA SUPERMARKET - SUR',	NULL,	'CU10014',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(16,	'AL ZAHIYA - LIWA',	NULL,	'CU10015',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(17,	'AL ZAMAIM KITCHEN LLC',	NULL,	'CU10016',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(18,	'AMAZING BURGER - AL KOUDH',	NULL,	'CU10017',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(19,	'AYAS (VEGETABLE SUPPLY)',	NULL,	'CU10018',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(20,	'BAITH AL CAKE-SOHAR',	NULL,	'CU10019',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(21,	'BILAL (AKBER SHOP)',	NULL,	'CU10020',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(22,	'BILAL SHOP - MAWALAH',	NULL,	'CU10021',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(23,	'BINU MALABARI (S.S)',	NULL,	'CU10022',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(24,	'BOOBA COFFEE SHOP (GRAND MALL)',	NULL,	'CU10023',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(25,	'DHIYA  FANJA TRADING L.L.C',	NULL,	'CU10024',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(26,	'DINNER-A RESTAURANT ( FALLA DEVELOPMENT INVESTMENT )',	NULL,	'CU10025',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(27,	'ESTAMBUL SHOP - AL KHUWAIR',	NULL,	'CU10026',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(28,	'FAHAD THALAL',	NULL,	'CU10027',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(29,	'FANAJEEN CAFE - WAVE',	NULL,	'CU10028',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(30,	'GEORGE BASIL - WADI KABIR',	NULL,	'CU10029',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(31,	'GHADA SOUD SALIM AL HARTHY TRAD.',	NULL,	'CU10030',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(32,	'GLOBAL COFFEE L.L.C.',	NULL,	'CU10031',	'0',	'0',	'97858300',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(33,	'GREEN BUSINESS VENTURES LLC - BOUSHER',	NULL,	'CU10032',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(34,	'GULF INTERNATIONAL INVESTMENT CO. LLC (GOLDEN TULIP HEADINGTON - RUWI)',	NULL,	'CU10033',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(35,	'HAYAT\'S RESTAURANT - QURUM',	NULL,	'CU10034',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(36,	'HOSSAIN BALAYAT - SOHAR',	NULL,	'CU10035',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(37,	'IBRAHIM MOHAMED HAMED AL ZAKWANI',	NULL,	'CU10036',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(38,	'KALA RESTAURANT - KALA',	NULL,	'CU10037',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(39,	'LAVIDA CAFE RESTAURANT - QURUM',	NULL,	'CU10038',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(40,	'MADINAT AL WAFA INTERNATIONAL LLC',	NULL,	'CU10039',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(41,	'MAHAROOF K',	NULL,	'CU10040',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(42,	'MASOOD BENGALI',	NULL,	'CU10041',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(43,	'MD.MOMIN HOSSEN  - SOHAR',	NULL,	'CU10042',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(44,	'MEMI CAFE - QURUM',	NULL,	'CU10043',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(45,	'MIRAGE MUSCAT INT TRADING & CONT LLC',	NULL,	'CU10044',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(46,	'MOHAMMED ANWAR HOSSAIN SERAJUL ISLAM - SOHAR',	NULL,	'CU10045',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(47,	'MOHAMMED OMAR SIRAJUL HAQUE - MAWALAH',	NULL,	'CU10046',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(48,	'MOHAMMED WASHIM - SOHAR',	NULL,	'CU10047',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(49,	'MOHD. HAMED AL-HARTHI & SONS TRADING CO.LLC',	NULL,	'CU10048',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(50,	'MOMBASA RESTAURANT - AL KHUWAIR',	NULL,	'CU10049',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(51,	'MUHAMMAD ZUBAIR HABIBUR RAHMAN',	NULL,	'CU10050',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(52,	'MUHAMMED ABDUL FATHAH AL SHEHHI TRADING',	NULL,	'CU10051',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(53,	'NAJUMUDHEEN PULLAMDADI',	NULL,	'CU10052',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(54,	'NALABHAM RESTAURANT - AZAIBA',	NULL,	'CU10053',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(55,	'NOUFAL EMARATH',	NULL,	'CU10054',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(56,	'NOURISH KITCHEN (CHAD BUSINESS LLC)',	NULL,	'CU10055',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(57,	'OWNERS OF TRIPPLE EFFECT LLC ( CHATNI RESTAURANT - MQ )',	NULL,	'CU10056',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(58,	'RAYEES CATERING',	NULL,	'CU10057',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(59,	'REEM HOTEL',	NULL,	'CU10058',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(60,	'ROBOTO RESTAURANT (MARSA AL AEJA ADVANCED LLC)',	NULL,	'CU10059',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(61,	'SAIF HAMED SAIF SALIM AL-HABSI',	NULL,	'CU10060',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(62,	'SAIF MOHD NASER AL TOBI TRAD',	NULL,	'CU10061',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(63,	'SALEH SAID AZAN AL HANDHALI - IBRA',	NULL,	'CU10062',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(64,	'SHAMSU MAMA',	NULL,	'CU10063',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(65,	'SHUSHA - IBRI (MUHAMMED ISSA BALUSHI)',	NULL,	'CU10064',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(66,	'STAR LINE',	NULL,	'CU10065',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(67,	'SUBAIR C/O KHALEEL',	NULL,	'CU10066',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(68,	'SUDEER KUMAR (CUCUMBER)',	NULL,	'CU10067',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(69,	'SULAIMAN RASHID HAMDAN AL-JAHORI - SOHAR (S19)',	NULL,	'CU10068',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(70,	'TAKAMUL NATIONAL COMPANY L.L.C',	NULL,	'CU10069',	'0',	'0',	'98812332',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(71,	'UNAIS MALABARI (S.S)',	NULL,	'CU10070',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(72,	'UNIQUE SOLUTIONS PROJECTS LLC (SHAWARMA & JUICE FACTORY)',	NULL,	'CU10071',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(73,	'UNNI - SANAYA',	NULL,	'CU10072',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(74,	'ZAHRATH AL MAWELAH UNITED ASSO',	NULL,	'CU10073',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(75,	'ZAM ZAM HYPERMARKET',	NULL,	'CU10074',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(76,	'AL KASS SHOPPING CENTRE - MUSSANAA',	NULL,	'CU10075',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(77,	'1000 NIGHTS CAMP',	NULL,	'CU10076',	'MUSCAT',	'MUSCAT',	'91394974',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(78,	'A.A.A. MAJEED',	NULL,	'CU10077',	'SALALAH',	'SALALAH',	'95119013',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(79,	'ABAQ AL ZAFRAN COFFEE SHOP - NIZWA',	NULL,	'CU10078',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(80,	'ABBAS PANIKAVEETIL',	NULL,	'CU10079',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(81,	'ABBAZ(92513113)',	NULL,	'CU10080',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(82,	'ABDALLAH - IBRI',	NULL,	'CU10081',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(83,	'ABDALLAH RASHID ABDALLAH AL MAAMARI',	NULL,	'CU10082',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(84,	'ABDALLAH SALMAN ABDALLAH SULAIMAN AL ISMAILI - IBRI',	NULL,	'CU10083',	'0',	'0',	'99625045',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(85,	'ABDUL AZEEZ - NIZWA',	NULL,	'CU10084',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(86,	'ABDUL AZIZ - SUR',	NULL,	'CU10085',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(87,	'ABDUL GAFOOR - CASH SALES',	NULL,	'CU10086',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(88,	'ABDUL HADI MAMOUN ORABI',	NULL,	'CU10087',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(89,	'ABDUL KHADER NARIYAN (ZAMZAM)',	NULL,	'CU10088',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(90,	'ABDUL NASEER C/O ALMUDAN ALAVIKKA',	NULL,	'CU10089',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(91,	'ABDUL RAHMAN SULAIYAM RASHID AL SHAQSI',	NULL,	'CU10090',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(92,	'ABDULLA -  BEHALA (OMANI)',	NULL,	'CU10091',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(93,	'ABDULLA - BEHALA',	NULL,	'CU10092',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(94,	'ABDULLA - IBRA',	NULL,	'CU10093',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(95,	'ABDULLA ALI',	NULL,	'CU10094',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(96,	'ABDULLA ELIPPARAKKAL',	NULL,	'CU10095',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(97,	'ABDULLA KHAMEES ABDULLA AL KAWASMI- SUR (SHOUKATH)',	NULL,	'CU10096',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(98,	'ABDULLA RUWI  C/O  RASHEED',	NULL,	'CU10097',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(99,	'ABDULLA SAID SALAM - SUMAIL',	NULL,	'CU10098',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(100,	'ABDULLAH - SALALAH',	NULL,	'CU10099',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(101,	'ABDULLAH BIN SAID BIN SALIM AL-NAMANI (SHAMSU BANANA)',	NULL,	'CU10100',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(102,	'ABDULLAH BURGER - BARKA',	NULL,	'CU10101',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(103,	'ABDULLAH MOHD SAEED AL-ANBORI - (SHOP-33)',	NULL,	'CU10102',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(104,	'ABDULLAH RASHID ABDULLAH AL-KENDI (KAMRUL ISLAM)',	NULL,	'CU10103',	'LIWA',	'LIWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(105,	'ABDULLAH SALAM MUSALLAM ALI AL KADERI',	NULL,	'CU10104',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(106,	'ABDURUB SUR C/O ALI SUR',	NULL,	'CU10105',	'MAWALEH MARKET',	'MAWALEH MARKET',	'92264978',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(107,	'ABID SUHOL',	NULL,	'CU10106',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(108,	'ABNAA HASSAN TRADING CO.LLC',	NULL,	'CU10107',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(109,	'ABOOTTY UNIKKORA (POTATO)',	NULL,	'CU10108',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(110,	'ABU AL JABRI (SADIQ)',	NULL,	'CU10109',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(111,	'ABU ALI COLD STORE',	NULL,	'CU10110',	'SAWADI',	'SAWADI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(112,	'ABU ALI KADAPPURAM',	NULL,	'CU10111',	'SAWADI',	'SAWADI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(113,	'ABU AMRAN MUSTHAFA',	NULL,	'CU10112',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(114,	'ABU ANAN',	NULL,	'CU10113',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(115,	'ABU BAKER MOOSA ISSA AL RAWAHI',	NULL,	'CU10114',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(116,	'ABU BAKER MOHTAAJ MOHA AL RISY (SHOP JAFFRI)',	NULL,	'CU10115',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(117,	'ABU HAMOOD AL UBAIDI',	NULL,	'CU10116',	'MUDHAIBI',	'MUDHAIBI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(118,	'ABU HANI AL RAWAHI TRAD. & CONT. - UNNI (WATERMELON)',	NULL,	'CU10117',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(119,	'ABU HUSSAIN TRADING EST. L.L.C (BEERAN SHOP)',	NULL,	'CU10118',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(120,	'ABU LATIFA',	NULL,	'CU10119',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(121,	'ABU RAYAN MODERN ENT (AMMA\'S RESTAURANT) - AL KHUWAIR',	NULL,	'CU10120',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(122,	'ABU SAHAL PANGINIKKADAN (SU10116)',	NULL,	'CU10121',	'BURAIMI',	'BURAIMI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(123,	'ABU SALMI TRADING',	NULL,	'CU10122',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(124,	'ABU SHAHLA TRADING',	NULL,	'CU10123',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(125,	'ABU TAYAB MAHAMAD ABU SYED',	NULL,	'CU10124',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(126,	'ABU THALI AL KAMIL',	NULL,	'CU10125',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(127,	'ABU WALEED NUR MUHAMMED',	NULL,	'CU10126',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(128,	'ACHI',	NULL,	'CU10127',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(129,	'ACTION HOTELS SOHAR LLC (MERCURE HOTEL)',	NULL,	'CU10128',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(130,	'ADIL - SOHAR',	NULL,	'CU10129',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(131,	'ADNAN GUMA HABSI - SINAW',	NULL,	'CU10130',	'MUDHAIBI',	'MUDHAIBI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(132,	'ADNAN NASER HAMED BEHALA',	NULL,	'CU10131',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(133,	'ADVANCED GULF LINE ENTERPRISES L.L.C',	NULL,	'CU10132',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(134,	'ADWA AL HAIMA TRADING',	NULL,	'CU10133',	'0',	'0',	'99249772',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(135,	'AFAQ AL TABIYA TRAD.(NOUSHAD)',	NULL,	'CU10134',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(136,	'AFLAH ABDULLAH NASSER AL-BAIMANI - BEHLA',	NULL,	'CU10135',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(137,	'AGAR SHOPPING',	NULL,	'CU10136',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(138,	'AHAMMED - GHOBRA',	NULL,	'CU10137',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(139,	'AHAMMED HAMARATH',	NULL,	'CU10138',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(140,	'AHAMMED SULTHAN AL-HINAI',	NULL,	'CU10139',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(141,	'AHLAM SHOPPING CENTRE - THARMATH',	NULL,	'CU10140',	'THARMAD',	'THARMAD',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(142,	'AHLIYA COFFEE SHOP - NIZWA',	NULL,	'CU10141',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(143,	'AHMED & MOHD. ABNA SALEH BIN MOHD. AL FARSI TRAD.',	NULL,	'CU10142',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(144,	'AHMED ABDULLAH MOHAMMED RASHID AL GHAFRI - IBRI',	NULL,	'CU10143',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(145,	'AHMED AL MAYSER TRADING CO LLC',	NULL,	'CU10144',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(146,	'AHMED HAMOOD HAMDAN AL JABRI',	NULL,	'CU10145',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(147,	'AHMED OMANI GAFOOR',	NULL,	'CU10146',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(148,	'AHMED SAID MUHSIN AL HAJRI BID BID',	NULL,	'CU10147',	'BID BID',	'BID BID',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(149,	'AHMED SAID SARMOON AL KADERI',	NULL,	'CU10148',	'SALALAH',	'SALALAH',	'99294940',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(150,	'AHMED SAID SULAIMAN NASSER AL SHABIBI',	NULL,	'CU10149',	'MUDHAIBI',	'MUDHAIBI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(151,	'AHMED UMER ALI AL KADERI',	NULL,	'CU10150',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(152,	'AHMED UMER MUSHAIKI',	NULL,	'CU10151',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(153,	'AIMAN HAMED MOHAMMED AL SABAHI - NIZWA',	NULL,	'CU10152',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(154,	'AITKEN SPENCE RESORTS (MIDDLE EAST) LLC',	NULL,	'CU10153',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(155,	'AJESH - IBRA',	NULL,	'CU10154',	'MUDHAIBI',	'MUDHAIBI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(156,	'AJIMAL - AL KHOUD',	NULL,	'CU10155',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(157,	'AJITH - SUR',	NULL,	'CU10156',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(158,	'AJMAL',	NULL,	'CU10157',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(159,	'AJWA - AL HAIL',	NULL,	'CU10158',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(160,	'AKBAR BENGALI',	NULL,	'CU10159',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(161,	'AKBAR CABBAGE',	NULL,	'CU10160',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(162,	'AKBER TAXI - (AL KHOUD)',	NULL,	'CU10161',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(163,	'AKHTER HOSSAIN ABDUL SATTAR (SU10130)',	NULL,	'CU10162',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(164,	'AL AFALAJ SHOPPING CENTRE',	NULL,	'CU10163',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(165,	'AL AHID SHOPPING CENTRE - MULADHA',	NULL,	'CU10164',	'MULADHA',	'MULADHA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(166,	'AL AHLAM HOTEL MANAGEMENT LLC (PARK INN- MCT (RHG)',	NULL,	'CU10165',	'MUSCAT',	'MUSCAT',	'96678198',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(167,	'AL ALAWI MAJESTIC ENTERPRISE - NIZWA - KHALID',	NULL,	'CU10166',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(168,	'AL AMAL INTERNATIONAL TRAD. LLC (KHALEEL)',	NULL,	'CU10167',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(169,	'AL AMAL INTERNATIONAL TRAD. LLC.',	NULL,	'CU10168',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(170,	'AL AMAL INTERNATIONAL TRAD. LLC.(SHAMEER SHOP)',	NULL,	'CU10169',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(171,	'AL AMLIS TRADING L.L.C',	NULL,	'CU10170',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(172,	'AL AMRI HYPERMARKET',	NULL,	'CU10171',	'0',	'0',	'99105980',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(173,	'AL ANOOD SHOPPING CENTRE - MUSANNA',	NULL,	'CU10172',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(174,	'AL ANWAR CATERING CO. LLC.',	NULL,	'CU10173',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(175,	'AL ASHKAL TRAD - SUR',	NULL,	'CU10174',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(176,	'AL BAHJAH HOTEL - SEEB',	NULL,	'CU10175',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(177,	'AL BAIT AL YAMANI RESTAURANT',	NULL,	'CU10176',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(178,	'AL BARAK SHOPPING CENTRE',	NULL,	'CU10177',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(179,	'AL BASHA PASTRY - MAWALEH',	NULL,	'CU10178',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(180,	'AL BIQA\' A VALLEY TRADING CONT',	NULL,	'CU10179',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(181,	'AL BURJ COFFEE SHOP',	NULL,	'CU10180',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(182,	'AL BUSTAN COFFEE SHOP- AL HAIL',	NULL,	'CU10181',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(183,	'AL DAGAN COFFEE SHOP -  AL GHUBRA',	NULL,	'CU10182',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(184,	'AL DHAR YEMANI RESTAURANT - SOHAR',	NULL,	'CU10183',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(185,	'AL DHYA NATIONAL ENT.  (SUBWAY)',	NULL,	'CU10184',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(186,	'AL DIYAFAH SUPPLIES SERVICES CO. LLC.',	NULL,	'CU10185',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(187,	'AL DUJA TRADING LLC',	NULL,	'CU10186',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(188,	'AL FAIR LLC',	NULL,	'CU10187',	'MUSCAT',	'MUSCAT',	'96041490',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(189,	'AL FARASI INTERNATIONAL LLC',	NULL,	'CU10188',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(190,	'AL FATHAH IBRA',	NULL,	'CU10189',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(191,	'AL FAWALA SHOPPING - IZKI',	NULL,	'CU10190',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(192,	'AL FAYZ LLMSHARY ALMTMYZH  LLC.(NAZEER RAWASCO)',	NULL,	'CU10191',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(193,	'AL FINJAN RESTAURANT',	NULL,	'CU10192',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(194,	'AL FOUZ HYPERMARKET - AL KAMIL',	NULL,	'CU10193',	'0',	'0',	'99327244',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(195,	'AL GESR SHOPPING CENTRE (MOHAMMED - IBRI)',	NULL,	'CU10194',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(196,	'AL GHANIMA',	NULL,	'CU10195',	'MAWALEH MARKET',	'MAWALEH MARKET',	'99338429',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(197,	'AL GUDAM COFFEE SHOP',	NULL,	'CU10196',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(198,	'AL HAJIR - AL AMARAT',	NULL,	'CU10197',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(199,	'AL HAKMANI BROWNZIA',	NULL,	'CU10198',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(200,	'AL HAMEED SHOPPING CENTRE - DUQM',	NULL,	'CU10199',	'DUQM',	'DUQM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(201,	'AL HASHIM SHOPPING - MULADHA',	NULL,	'CU10200',	'MULADHA',	'MULADHA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(202,	'AL HIBA COFFEE SHOP - NIZWA',	NULL,	'CU10201',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(203,	'AL HIBA SHOPPING MULADHA',	NULL,	'CU10202',	'THARMAD',	'THARMAD',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(204,	'AL HOOTI BROTHERS LLC (TARMA RESTAURANT)',	NULL,	'CU10203',	'0',	'0',	'95277125',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(205,	'AL INAYA - SOHAR',	NULL,	'CU10204',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(206,	'AL ISHRAQ SHOPPING CENTER - RUSTAQ',	NULL,	'CU10205',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(207,	'AL JAHWARI INTERNATIONAL LLC',	NULL,	'CU10206',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(208,	'AL JAZEERA',	NULL,	'CU10207',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(209,	'AL JAZEERA GLOBAL PROJECT LLC',	NULL,	'CU10208',	'0',	'0',	'95871662',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(210,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE)',	NULL,	'CU10209',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(211,	'AL JEBALI TRADING  L L C',	NULL,	'CU10210',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(212,	'AL JEHIDAMI FOOD MARKETING',	NULL,	'CU10211',	'MAWALEH MARKET',	'MAWALEH MARKET',	'24550610',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(213,	'AL JINAN SHOPPING CENTRE - WADI KABIR',	NULL,	'CU10212',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(214,	'AL JUNAINA TRADING CO. L L C',	NULL,	'CU10213',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(215,	'AL KABATH',	NULL,	'CU10214',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(216,	'AL KAMIL HYPERMARKET',	NULL,	'CU10215',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(217,	'AL KARAMA HYPERMARKET',	NULL,	'CU10216',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(218,	'AL KAWTHER HYPERMARKETS',	NULL,	'CU10217',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(219,	'AL KHALEEL - BARKA',	NULL,	'CU10218',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(220,	'AL KHALEEL UNITED LLC',	NULL,	'CU10219',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(221,	'AL KHATER RESTAURANT',	NULL,	'CU10220',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(222,	'AL KHIRATH FALAJ',	NULL,	'CU10221',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(223,	'AL KHOUD 6 - COFFEE SHOP',	NULL,	'CU10222',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(224,	'AL KHOUD PARK',	NULL,	'CU10223',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(225,	'AL KIFAYA - BARKA',	NULL,	'CU10224',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(226,	'AL KIMA FAST FOOD',	NULL,	'CU10225',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:11',	NULL),
(227,	'AL LAYYAN - RUSTAQ',	NULL,	'CU10226',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(228,	'AL LOYALI BEACH RESTAURANT',	NULL,	'CU10227',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(229,	'AL MAAMARI & KARASHI TRAD. CO.LLC (ASEER TIME) - SOHAR',	NULL,	'CU10228',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(230,	'AL MADAEN AL ARABIA TRAD AND CONT.',	NULL,	'CU10229',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(231,	'AL MADEENA HYPERMARKET - SUWAIQ',	NULL,	'CU10230',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(232,	'AL MADEENA TRADING',	NULL,	'CU10231',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(233,	'AL MAHA - NIZWA',	NULL,	'CU10232',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(234,	'AL MAIYHA FALCONS TRADING LLC (ASHARAF & UBAID)',	NULL,	'CU10233',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(235,	'AL MANAMA LIWA',	NULL,	'CU10234',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(236,	'AL MANGO - BUALI',	NULL,	'CU10235',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(237,	'AL MAQBALI DEVELOPMENT PROJECTS L.L.C',	NULL,	'CU10236',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(238,	'AL MARDUFF HYPERMARKET',	NULL,	'CU10237',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(239,	'AL MARJAN BAKERY - GHUBRA',	NULL,	'CU10238',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(240,	'AL MARSA MARINE OVERSEAS LLC',	NULL,	'CU10239',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(241,	'AL MARWA HYPERMARKET',	NULL,	'CU10240',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(242,	'AL MASAFA TRADING',	NULL,	'CU10241',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(243,	'AL MAWALAH VEG & FRUITS MARKETING(NOUFAL RAMBA)',	NULL,	'CU10242',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(244,	'AL MAYA INTERNATIONAL L.L.C.',	NULL,	'CU10243',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(245,	'AL MAYAR L.L.C.',	NULL,	'CU10244',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(246,	'AL MEERA MARKET S.A.O.C',	NULL,	'CU10245',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(247,	'AL MUDAN TRADING',	NULL,	'CU10246',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(248,	'AL MUROOJ GRAND HOTEL (ARABIAN LEOPARD CONSTRUCTION LLC)',	NULL,	'CU10247',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(249,	'AL MUSAWAH INTERNATIONAL CO LLC - MUDHAIBI',	NULL,	'CU10248',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(250,	'AL MUZN SUPPLYING L.L.C',	NULL,	'CU10249',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(251,	'AL NABA\'A SUPPLIES & CATERING L.L.C.',	NULL,	'CU10250',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(252,	'AL NABRAS MODERN EST',	NULL,	'CU10251',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(253,	'AL NABRI GLOBAL INVESTMENT LLC- RADISSON BLUE HOTEL SOHAR (RHG)',	NULL,	'CU10252',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(254,	'AL NAHDA RESORT & SPA',	NULL,	'CU10253',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(255,	'AL NASEM AL BARED TRADING',	NULL,	'CU10254',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(256,	'AL NASHWAN ENTERPRISES LLC (RAFEEK W/K)',	NULL,	'CU10255',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(257,	'AL NATA IBRA',	NULL,	'CU10256',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(258,	'AL NAWA - BIDAYA',	NULL,	'CU10257',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(259,	'AL NAWA RADHA',	NULL,	'CU10258',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(260,	'AL NAWARAS TEA',	NULL,	'CU10259',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(261,	'AL NAWATI TRADING',	NULL,	'CU10260',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(262,	'AL NEIL COFFEE SHOP - NIZWA',	NULL,	'CU10261',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(263,	'AL NIDA GOLDEN L.L.C',	NULL,	'CU10262',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(264,	'AL NUR MARKETING  L.L.C.',	NULL,	'CU10263',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(265,	'AL OBAIDANI INTERNATIONAL LLC',	NULL,	'CU10264',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(266,	'AL QAFILA DISTINCIVE TRADING & CONT.',	NULL,	'CU10265',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(267,	'AL QAIS GRILL',	NULL,	'CU10266',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(268,	'AL QASF FALCONS  TRADING',	NULL,	'CU10267',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(269,	'AL QAWAS - NIZWA',	NULL,	'CU10268',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(270,	'AL RAHA - BIDIYA',	NULL,	'CU10269',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(271,	'AL RAHATH SHOPPING BIDIYA',	NULL,	'CU10270',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(272,	'AL RAIHAN COFFEE SHOP - GHOBRA',	NULL,	'CU10271',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(273,	'AL RAWABI EGG SALE - SINAW',	NULL,	'CU10272',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(274,	'AL RAWABI MUDAIBI',	NULL,	'CU10273',	'MUDHAIBI',	'MUDHAIBI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(275,	'AL RAYATH TRADING',	NULL,	'CU10274',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(276,	'AL REHAN AL MAMEEZ TRAD. ASSTD.',	NULL,	'CU10275',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(277,	'AL RUBAN OUTSTANDING PROJECTS',	NULL,	'CU10276',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(278,	'AL RUHMAN COFFEE SHOP',	NULL,	'CU10277',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(279,	'AL SAJ AL-ARABIA TRADING L.L.C',	NULL,	'CU10278',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(280,	'AL SALAM NEW',	NULL,	'CU10279',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(281,	'AL SALASIL INTL.',	NULL,	'CU10280',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(282,	'AL SAROOH AL MUTAKAMILA (SHAFEEK SEEB)',	NULL,	'CU10281',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(283,	'AL SAULA\'EE RESTAURANT & GRILLS',	NULL,	'CU10282',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(284,	'EDGE TECH LLC (TAMIMAH DIGITAL)',	NULL,	'CU10283',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(285,	'AL SHAM LAND CAFE -RUSTHAQ',	NULL,	'CU10284',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(286,	'AL SHARQIA MARKETING FRUITS & VEGETABLES TRAD. L.L.C',	NULL,	'CU10285',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(287,	'AL SHIKAIK INTERNATIONAL L.L.C.',	NULL,	'CU10286',	'MAWALEH MARKET',	'MAWALEH MARKET',	'92231393',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(288,	'AL SUALAH AL MOUDEAH PROJECT(C/O MUHAMMED AL ORAIBI)',	NULL,	'CU10287',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(289,	'AL SUBHIAH TRADING & CONTRACTING LLC',	NULL,	'CU10288',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(290,	'AL TARHEEB RESTAURANT & CATERING L.L.C (BEIRUT RESTAURANT)',	NULL,	'CU10289',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(291,	'AL THAIF - KHADRA',	NULL,	'CU10290',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(292,	'AL TOAB RESTAURANT - (NIZWA-1)',	NULL,	'CU10291',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(293,	'AL WAAL SHOPPING - QURAYATH',	NULL,	'CU10292',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(294,	'AL WADI SAHAM',	NULL,	'CU10293',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(295,	'AL WAFA INTERNATIONAL CO.',	NULL,	'CU10294',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(296,	'AL WAKALA  (RUWAD AL NAJAH)',	NULL,	'CU10295',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(297,	'AL WANASA ( AL MAUZ ) - AL HAIL',	NULL,	'CU10296',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(298,	'AL WATANIA  KAREEM',	NULL,	'CU10297',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(299,	'AL YARA - SUMAIL',	NULL,	'CU10298',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(300,	'AL ZAHI HOTEL',	NULL,	'CU10299',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(301,	'AL ZALZA SHOPPING',	NULL,	'CU10300',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(302,	'AL-AKTHAM CO',	NULL,	'CU10301',	'MUSCAT',	'MUSCAT',	'24478700',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(303,	'ALAM SHOP',	NULL,	'CU10302',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(304,	'ALAUDHEEN - BUALI',	NULL,	'CU10303',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(305,	'ALAVIKKA',	NULL,	'CU10304',	'INDIA',	'INDIA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(306,	'ALAVUDEEN',	NULL,	'CU10305',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(307,	'AL-AWKIYA TRADING',	NULL,	'CU10306',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(308,	'AL-HUSSAM INTERNATIONAL CO.',	NULL,	'CU10307',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(309,	'ALI - CASH SALES',	NULL,	'CU10308',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(310,	'ALI - SUR',	NULL,	'CU10309',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(311,	'ALI ABDUL SALAM',	NULL,	'CU10310',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(312,	'ALI ASKAR ASKARI- AMRATH',	NULL,	'CU10311',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(313,	'ALI HUSSAIN',	NULL,	'CU10312',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(314,	'ALI MOHAMMED ALI AL-ABADASALAM TRAD',	NULL,	'CU10313',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(315,	'ALI OMANI - IZKI',	NULL,	'CU10314',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(316,	'ALI OMANI - SHINAS',	NULL,	'CU10315',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(317,	'ALI SAID AL KADERI',	NULL,	'CU10316',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(318,	'ALI SAIF NIZWA',	NULL,	'CU10317',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(319,	'ALI YANQAL (JAKIR SHEIKH)',	NULL,	'CU10318',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(320,	'AL-JAMAL MODERN CO. LLC.',	NULL,	'CU10319',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(321,	'ALMDHAQ ALAMTHL LLTJART',	NULL,	'CU10320',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(322,	'AL-RAWDA ALWATANIYA UNITED',	NULL,	'CU10321',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(323,	'AL-RIADH IMPORT & EXPORT',	NULL,	'CU10322',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(324,	'AMEEN - SAHAM',	NULL,	'CU10323',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(325,	'AMEEN BENGALI',	NULL,	'CU10324',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(326,	'AMEENUL HUK - SAHAM',	NULL,	'CU10325',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(327,	'AMER SHEHAIDA ASAAD (NOORIE)',	NULL,	'CU10326',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(328,	'AMWAJ AL-BAHAR TRADING CO. (ONION)',	NULL,	'CU10327',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(329,	'ANADIL MODERN RESTAURANT ZANZIBARI',	NULL,	'CU10328',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(330,	'ANGARA TRADING',	NULL,	'CU10329',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(331,	'ANIL',	NULL,	'CU10330',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(332,	'ANSAR',	NULL,	'CU10331',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(333,	'ANSAR AZIZ SUHOL',	NULL,	'CU10332',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(334,	'ANSARI SHOPPING - MUSANNA',	NULL,	'CU10333',	'MUSANNAH',	'MUSANNAH',	'95433566',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(335,	'ANSEER GOLDENBERRY - BOUSHAR',	NULL,	'CU10334',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(336,	'ANSEER KINGDOM JUICE-SEEB',	NULL,	'CU10335',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(337,	'ANWAR ALMAALI TRADING - QURIYATH (NASSER SHAKEEL)',	NULL,	'CU10336',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(338,	'ANWAR AL-SHARQIA AL-HADITHA  L.L.C (SU10190)',	NULL,	'CU10337',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(339,	'ANWAR HUSAIN',	NULL,	'CU10338',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(340,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC.',	NULL,	'CU10339',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(341,	'ANWAR SAYJA TRADING',	NULL,	'CU10340',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(342,	'AQAR MISIRI HOTEL',	NULL,	'CU10341',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(343,	'ARAB WORLD - NIZWA',	NULL,	'CU10342',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(344,	'ARIF SHOP - MAWALAH',	NULL,	'CU10343',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(345,	'ASAATCO',	NULL,	'CU10344',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(346,	'ASEER TIME',	NULL,	'CU10345',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(347,	'ASHKAR A.K ( AL BAHJA RESTAURANT)',	NULL,	'CU10346',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(348,	'ASHRAF - BARKA (HOTEL)',	NULL,	'CU10347',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(349,	'ASHRAF - KADRA',	NULL,	'CU10348',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(350,	'ASHRAF - WADI HATTATH',	NULL,	'CU10349',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(351,	'ASHRAF (OUTSIDE SALE)',	NULL,	'CU10350',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(352,	'ASHRAF NAKHAL',	NULL,	'CU10351',	'NAKHAL',	'NAKHAL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(353,	'ASIAN GOLD - ALKHUWAIR',	NULL,	'CU10352',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(354,	'ASLAM MUNEER',	NULL,	'CU10353',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(355,	'ASTALDI-OZKAR JV',	NULL,	'CU10354',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(356,	'ASTURA ARD JAW TRAD',	NULL,	'CU10355',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(357,	'ATAYIB DEFAYA - MUSANNA',	NULL,	'CU10356',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(358,	'ATHEER AL SAWADI - BARKA',	NULL,	'CU10357',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(359,	'ATIF AKRAM',	NULL,	'CU10358',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(360,	'AYAS SUHOL',	NULL,	'CU10359',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(361,	'AYURVEDIC HOSPITAL',	NULL,	'CU10360',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(362,	'AZEES',	NULL,	'CU10361',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(363,	'AZEES - BARKA',	NULL,	'CU10362',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(364,	'AZEEZ (BABY)',	NULL,	'CU10363',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(365,	'AZHAR IZKI AL MUTHAMAYYIZA',	NULL,	'CU10364',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(366,	'BAB RAYAN - IZKI',	NULL,	'CU10365',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(367,	'BABA - SEEB',	NULL,	'CU10366',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(368,	'BABAR HUSSAIN IQBAL MUHAMMAD (E-8133)',	NULL,	'CU10367',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(369,	'BABIL HOTEL (HAMZA)',	NULL,	'CU10368',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(370,	'BABIL HYPERMARKET',	NULL,	'CU10369',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(371,	'BABU - SINAW',	NULL,	'CU10370',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(372,	'BABUL MIA',	NULL,	'CU10371',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(373,	'BADAR AL-SHAMLI - IBRI',	NULL,	'CU10372',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(374,	'BADAR KHALFAN RASHID AL KALBANI - IBRI',	NULL,	'CU10373',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(375,	'BADAR MOHAMMAD FADHIL AL SHAAIHI BEHLA',	NULL,	'CU10374',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(376,	'BAHAR AL NEEL TRADING (AL-MUDAN)',	NULL,	'CU10375',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(377,	'BAHJAT AL-KHUBAR TRADING (SAAD IBRAHEEM)',	NULL,	'CU10376',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(378,	'BALAKRISHNAN NAPKON',	NULL,	'CU10377',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(379,	'RAFEE INTERNATIONAL S.P.C (BANU AKHZAM)',	NULL,	'CU10378',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(380,	'REMAL AL SHAWATE TRADING ( BAPPUTTY SUR)',	NULL,	'CU10379',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(381,	'BARDWANI',	NULL,	'CU10380',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(382,	'BARR AL JISSAH RESORT & SPA',	NULL,	'CU10381',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(383,	'BASATEEN AL MAQSOORA - IBRI',	NULL,	'CU10382',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(384,	'BASHEER - SEEB',	NULL,	'CU10383',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(385,	'BASHEER (AL SHAM JUICE)',	NULL,	'CU10384',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(386,	'BASHEER (ONION)',	NULL,	'CU10385',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(387,	'BASHEER KANNUR',	NULL,	'CU10386',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(388,	'BASMIN MART',	NULL,	'CU10387',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(389,	'BAVABATAL MAJID AL WATANIYA',	NULL,	'CU10388',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(390,	'BAVAKA - HOTEL',	NULL,	'CU10389',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(391,	'BBQ',	NULL,	'CU10390',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(392,	'BEST FOOD LLC',	NULL,	'CU10391',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(393,	'BIDAYA HYPERMARKET',	NULL,	'CU10392',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(394,	'BIDIYAH EGG INDUSTRY',	NULL,	'CU10393',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(395,	'BIN MIRZA INTERNATIONAL LLC',	NULL,	'CU10394',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(396,	'BISMI SHOPPING CENTRE - AMERAT',	NULL,	'CU10395',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(397,	'BITES AND SHAKES (AHMED BARWANI DEVOLOPEMENT CO)',	NULL,	'CU10396',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(398,	'BLUE BERRY-AL KHOUDH ( BADHUSHA )',	NULL,	'CU10397',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(399,	'BLUEBERRY HALAYA - IBRA',	NULL,	'CU10398',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(400,	'BTA',	NULL,	'CU10399',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(401,	'BUR AL HAKMAN TRADING LLC (ALAVI)',	NULL,	'CU10400',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(402,	'BUR AL-HAKMAN TRADING LLC (MAMMOTY)',	NULL,	'CU10401',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(403,	'BURGER PALACE - BID BID',	NULL,	'CU10402',	'BID BID',	'BID BID',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(404,	'AFAQ AL TABIYA TRADING LLC (SHOP KASIM)',	NULL,	'CU10403',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(405,	'BURTHQAL',	NULL,	'CU10404',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(406,	'C.B.D COFFEE SHOP',	NULL,	'CU10405',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(407,	'CARD CUSTOMER - S1',	NULL,	'CU10406',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(408,	'CARD CUSTOMER - S9',	NULL,	'CU10407',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(409,	'CARREFOUR OMAN',	NULL,	'CU10408',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(410,	'CARREFOUR OMAN -  BIDIYA EGG SALES',	NULL,	'CU10409',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(411,	'CEDAR TRADING LLC',	NULL,	'CU10410',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(412,	'CHILI\'S',	NULL,	'CU10411',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(413,	'CHINA MALL',	NULL,	'CU10412',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(414,	'CHINESE GARDEN RESTAURANT',	NULL,	'CU10413',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(415,	'CIOCCOLAT ITALIANI (SHAHAD MUSCAT INTERNATIONAL)',	NULL,	'CU10414',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(416,	'CIVIL AVIATION CLUB (PACA)',	NULL,	'CU10415',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(417,	'COFFEE SHOP',	NULL,	'CU10416',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(418,	'COFFEE SHOP - BARKA',	NULL,	'CU10417',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(419,	'COFFEE SHOP - GHALA',	NULL,	'CU10418',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(420,	'COFFEE SHOP - KANTHAB',	NULL,	'CU10419',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(421,	'COFFEE SHOP - MUDHAIBI',	NULL,	'CU10420',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(422,	'COFFEE SHOP - MUDHAIBI (NIZAM)',	NULL,	'CU10421',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(423,	'COFFEE SHOP - MULANDHA',	NULL,	'CU10422',	'MULADHA',	'MULADHA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(424,	'COFFEE SHOP - NIZWA',	NULL,	'CU10423',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(425,	'COFFEE SHOP - TURKEY',	NULL,	'CU10424',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(426,	'COFFEE SHOP 1 - MANAH',	NULL,	'CU10425',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(427,	'COFFEE SHOP 2 - MANAH',	NULL,	'CU10426',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(428,	'COFFEE SHOP AMERAT',	NULL,	'CU10427',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(429,	'COFFEE SHOP LULU - UQDHA',	NULL,	'CU10428',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(430,	'COFFEE THINK - AZAIBA',	NULL,	'CU10429',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(431,	'COMPLIMENTARY SALE',	NULL,	'CU10430',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(432,	'COUNTER ALWAN SOHAR',	NULL,	'CU10431',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(433,	'CRYSTAL RESTAURANT - IBRA',	NULL,	'CU10432',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(434,	'DAAWAT - SOHAR',	NULL,	'CU10433',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(435,	'DAHARAT AL-ARAQI TRAD. CO.- IBRI',	NULL,	'CU10434',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(436,	'DAKAKEEN HYPERMARKET - AMERATH',	NULL,	'CU10435',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(437,	'DAMU - ABDULLA AL KAWASIMI',	NULL,	'CU10436',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(438,	'DAMU SUR',	NULL,	'CU10437',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(439,	'DANA JUICE SHOP - AMARAT',	NULL,	'CU10438',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(440,	'DANA SUR UNITED',	NULL,	'CU10439',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(441,	'DAR AL GAMAL FRUITS & VEG (DAS SALALAH)',	NULL,	'CU10440',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(442,	'DAR AL JAMAL',	NULL,	'CU10441',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(443,	'AL NABA\'A SUPPLIERS - OLD',	NULL,	'CU10442',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(444,	'DAR AL RIYAN INTERNATIONAL LLC',	NULL,	'CU10443',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(445,	'DAR ALBHA ALMASY',	NULL,	'CU10444',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(446,	'DAR AL-MAHARA NATIONAL TRADING',	NULL,	'CU10445',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(447,	'DAWOOD - NIZWA',	NULL,	'CU10446',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(448,	'DAWOOD KHAMIS KHALFAN AL RAHBI',	NULL,	'CU10447',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(449,	'DESERT CAFE - SUWAIQ',	NULL,	'CU10448',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(450,	'DHAHRAHTH ROSE - (SALLAHA)',	NULL,	'CU10449',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(451,	'DHELLAL AL SALAM TRAD & CONT',	NULL,	'CU10450',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(452,	'DHIYA AL ASHKARA TRADING',	NULL,	'CU10451',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(453,	'DHIYAA AL TAAUQ TRAD. (SHOP-10)',	NULL,	'CU10452',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(454,	'DHUQAM AL MAKKAN -  MUSANNAH',	NULL,	'CU10453',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(455,	'DIDAR BENGALI (RUSTAQ)',	NULL,	'CU10454',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(456,	'DILEEP - CASH SALES',	NULL,	'CU10455',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(457,	'DILEEP - FALAJ',	NULL,	'CU10456',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(458,	'DILEEP (RAMBA)',	NULL,	'CU10457',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(459,	'DILKUSH RESTAURANT',	NULL,	'CU10458',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(460,	'DINER STATION - (MACRO BOOST RESTAURANT)',	NULL,	'CU10459',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(461,	'DIRECT SERVICES LLC.',	NULL,	'CU10460',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(462,	'DOHA FALAJ',	NULL,	'CU10461',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(463,	'DORA FANTASY PROJECTS LLC.',	NULL,	'CU10462',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(464,	'DOSTEEN HYPERMARKET',	NULL,	'CU10463',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(465,	'DRAGON MALL COFFEE SHOP',	NULL,	'CU10464',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(466,	'DUQM BEACH HOTEL LLC (PARK INN - RHG)',	NULL,	'CU10465',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(467,	'EBRAHIM KHALFAN KHAMIS AL MAQUSI',	NULL,	'CU10466',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(468,	'ECHO CARGO & SHIPPING LLC',	NULL,	'CU10467',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(469,	'EID OUTSIDE SALE',	NULL,	'CU10468',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(470,	'ENDAM SHOPPING CENTRE - SINAW',	NULL,	'CU10469',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(471,	'ESSA MALIKY - MUSSANAH',	NULL,	'CU10470',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(472,	'ESSA RUSTAQ (SULTAN)',	NULL,	'CU10471',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(473,	'AL HAIL WAVES HOTEL L.L.C.',	NULL,	'CU10472',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(474,	'EURO CHOICE FOODS LLC',	NULL,	'CU10473',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(475,	'AL EZZA HYPERMARKET - AQAR',	NULL,	'CU10474',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(476,	'FAIBY IBRAHIM KUTTY',	NULL,	'CU10475',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(477,	'FAISAL',	NULL,	'CU10476',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(478,	'FAISAL ALI HAMED - NIZWA',	NULL,	'CU10477',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(479,	'FAISAL GOLDENBERRY - AZAIBA',	NULL,	'CU10478',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(480,	'FAISAL OMANI MUSANNA',	NULL,	'CU10479',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(481,	'FAISAL P.ABDUL ASEES - CASH SALES',	NULL,	'CU10480',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(482,	'FAISAL P.ABDUL RAHMAN - CASH SALES',	NULL,	'CU10481',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(483,	'FAISAL SUR',	NULL,	'CU10482',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(484,	'FAIZAL - DANIYA',	NULL,	'CU10483',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(485,	'FAJAR AL BARKAT INTERNATIONAL - RUSTAQ',	NULL,	'CU10484',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(486,	'FAKHAR AL KAMIL TRAD.CO (ASSO)',	NULL,	'CU10485',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(487,	'FALCON TRADING L.L.C',	NULL,	'CU10486',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(488,	'FAMOUS CAFE',	NULL,	'CU10487',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(489,	'FANJA BAKERY',	NULL,	'CU10488',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(490,	'FARIDUL ALAM AHOMED HASSAIN (UMAR SAHAM)',	NULL,	'CU10489',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(491,	'FAROOK BENGALI',	NULL,	'CU10490',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(492,	'FARS CENTRE FOR INVESTMENT & DEVELOPMENT TRADING LLC (SALEEM W/M)',	NULL,	'CU10491',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:12',	NULL),
(493,	'FATA BARZAMAN SINAW (SHAMEER)',	NULL,	'CU10492',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(494,	'FATHIMA HYPERMARKET',	NULL,	'CU10493',	'MUSCAT',	'MUSCAT',	'HARWINDER-91395570',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(495,	'FAWALAH SHOPPING IZKI',	NULL,	'CU10494',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(496,	'FAYAFI AL SAHAW  COFFEE SHOP - SUWAIQ',	NULL,	'CU10495',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(497,	'FAZAL - MUSANNA',	NULL,	'CU10496',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(498,	'FAZAL AMEEN',	NULL,	'CU10497',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(499,	'FILLAT KING',	NULL,	'CU10498',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(500,	'FINE FIELD TRADING LLC',	NULL,	'CU10499',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(501,	'FINE FOOD LLC',	NULL,	'CU10500',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(502,	'FIRE FILL GRILL RESTAURANT',	NULL,	'CU10501',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(503,	'FIVE FOOD MASTER FRANCHISE FOR GENERAL TRADING LLC',	NULL,	'CU10502',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(504,	'FRESH STAR CAFE - AL QURUM',	NULL,	'CU10503',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(505,	'FRUIT PARK',	NULL,	'CU10504',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(506,	'FULL TIME COFFEE SHOP - GHALA',	NULL,	'CU10505',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(507,	'FUN JUICE',	NULL,	'CU10506',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(508,	'FUNOON - SOHAR',	NULL,	'CU10507',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(509,	'FUTURE SAFE TRADING',	NULL,	'CU10508',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(510,	'GAFOOR - SALALAH',	NULL,	'CU10509',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(511,	'GARDEN SHOPPING CENTER',	NULL,	'CU10510',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(512,	'GASTRONOMICA TRADING - FINE DINE HOTEL GROUP',	NULL,	'CU10511',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(513,	'GAZI ANWAR HOSSAIN - SOHAR',	NULL,	'CU10512',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(514,	'G-B- MUSCAT SPICY L.L.C',	NULL,	'CU10513',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(515,	'GEMELLO RESTAURANT',	NULL,	'CU10514',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(516,	'GHADHEER - LIWA',	NULL,	'CU10515',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(517,	'GHASSAN ZAHIR ZAHRAN AL-NABHANI (BEHALA)',	NULL,	'CU10516',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(518,	'GINGER - BOWSHAR',	NULL,	'CU10517',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(519,	'GLOBAL BR TRADING FZE',	NULL,	'CU10518',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(520,	'GLOBAL DEVELOPMENT CO. LLC (RADISSON BLUE HOTEL - MUSCAT (RHG)',	NULL,	'CU10519',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(521,	'GLOBAL FOOD COMPANY LLC (PIZZA INN)',	NULL,	'CU10520',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(522,	'GOLDEN BERRY - BUALI',	NULL,	'CU10521',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(523,	'GOLDEN CROWN COFFEE SHOP - GHOBRA',	NULL,	'CU10522',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(524,	'GOLDEN FALCON MUSANNA',	NULL,	'CU10523',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(525,	'GOLDEN LINE INTREGRATED',	NULL,	'CU10524',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(526,	'GOLDEN RESTAURANT - NIZWA',	NULL,	'CU10525',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(527,	'GOLDEN TASTE RESTAURANT & CATERING',	NULL,	'CU10526',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(528,	'GOLDEN WAYS INTERNATIONAL LLC',	NULL,	'CU10527',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(529,	'GOPAL - SOHAR',	NULL,	'CU10528',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(530,	'GOURME FOODS LLC.',	NULL,	'CU10529',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(531,	'GRAND HYPERMARKET',	NULL,	'CU10530',	'0',	'0',	'NASSER-90604417',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(532,	'GRAND MALL MESS',	NULL,	'CU10531',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(533,	'GRAND MALL NIZWA',	NULL,	'CU10532',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(534,	'GREAT TARGET LLC -(AAK)',	NULL,	'CU10533',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(535,	'GREEN BABIL',	NULL,	'CU10534',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(536,	'GREEN FLY INTERNATIONAL LLC.',	NULL,	'CU10535',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(537,	'GREEN HOUSE SHOPPING CENTRE - QURIYATH',	NULL,	'CU10536',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(538,	'GULZAR AHMAD MUHAMMAD RAMZAN',	NULL,	'CU10537',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(539,	'HAFFA HOUSE HOTEL',	NULL,	'CU10538',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(540,	'HAMAD HAMOOD MUHAMMED AL HASANI',	NULL,	'CU10539',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(541,	'HAMDHAN  - IBRI',	NULL,	'CU10540',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(542,	'HAMEED BIN ALI BIN SAID AL SAEEDI & SONS TRAD',	NULL,	'CU10541',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(543,	'MAHMOOD HAMED ZAHIR AL SHAQSI - BEHALA',	NULL,	'CU10542',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(544,	'HAMOOD SALIM HAMOOD HAMED AL HINAI - ANQAL',	NULL,	'CU10543',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(545,	'HAMSA KUTTY',	NULL,	'CU10544',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(546,	'HANEEFA  C/O MOHD COFFEE  SHOP',	NULL,	'CU10545',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(547,	'HANEEN INTERNATIONAL LLC',	NULL,	'CU10546',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(548,	'HANOON MODERN PROJECTS (SMILE HYPERMARKETS)',	NULL,	'CU10547',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(549,	'HARI (WADI ATHEN)',	NULL,	'CU10548',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(550,	'HARIZ C/O NAZEER NELLERI',	NULL,	'CU10549',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(551,	'HASSAN EK - CASH SALES',	NULL,	'CU10550',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(552,	'HASSAN MUSHTAQ AHMED',	NULL,	'CU10551',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(553,	'HASSIM - AL ANSAB',	NULL,	'CU10552',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(554,	'HATIM ANSARI SUHOL',	NULL,	'CU10553',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(555,	'HAYAN MARKETS - MUSANNA',	NULL,	'CU10554',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(556,	'HEALTHY FOOD & BEVERAGE COMPANY LLC',	NULL,	'CU10555',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(557,	'HIBA COFFEE SHOP (AL QAWAS NIZWA)',	NULL,	'CU10556',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(558,	'HILAL - HAIL',	NULL,	'CU10557',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(559,	'HILAL - SEEB (NAVAS)',	NULL,	'CU10558',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(560,	'HILAL AL SYF L.L.C',	NULL,	'CU10559',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(561,	'HILAL ALI - NIZWA',	NULL,	'CU10560',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(562,	'HONEY CAKE CAFE LLC',	NULL,	'CU10561',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(563,	'HONG\'S RESTAURANT',	NULL,	'CU10562',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(564,	'HORMUZ GRAND HOTEL - MUSCAT (RHG)',	NULL,	'CU10563',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(565,	'HOT BURGER',	NULL,	'CU10564',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(566,	'HOT BURGER IZKI (KALA) - SHAMEER',	NULL,	'CU10565',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(567,	'HOTEL BE 2',	NULL,	'CU10566',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(568,	'HOTEL HYDERABAD',	NULL,	'CU10567',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(569,	'HOTEL(BENGALI)',	NULL,	'CU10568',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(570,	'HUAWEI TECH INVESTMENT(OMAN) LLC',	NULL,	'CU10569',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(571,	'HURMUZ TORCH NATIONAL TRADING',	NULL,	'CU10570',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(572,	'HUSSAIN - SUR',	NULL,	'CU10571',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(573,	'HUSSAIN AL-HAKMAN TRADING LLC (KHADER)',	NULL,	'CU10572',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(574,	'HUSSAIN T - EAGLE EYE INTERNATIONAL',	NULL,	'CU10573',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(575,	'HUSSEIN BIN ABDUL KARIM BIN DAWOOD BIN ALI AL KASHRI',	NULL,	'CU10574',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(576,	'HYLAMAN INTERNATIONAL MARKETING CENTRE',	NULL,	'CU10575',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(577,	'HYRATH - NIZWA',	NULL,	'CU10576',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(578,	'IBN AL SHAM',	NULL,	'CU10577',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(579,	'IBN AL-QARIYA TRADING & CONT.',	NULL,	'CU10578',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(580,	'IBN FATIK AND AL-ZADJALI INTERNATIONAL - (IMOJI JUICE)',	NULL,	'CU10579',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(581,	'IBN HABS TRADING',	NULL,	'CU10580',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(582,	'IBRAHIM HUMEID SAID AL MIFARGI - BEHALA',	NULL,	'CU10581',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(583,	'IBRAHIM ISSA - RUSTAQ',	NULL,	'CU10582',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(584,	'ICE PALACE COFFEE SHOP - AL KHUWAIR',	NULL,	'CU10583',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(585,	'IDRIS SULAIMAN ABDULLAH SAIF-AL SHAML',	NULL,	'CU10584',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(586,	'IMAD',	NULL,	'CU10585',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(587,	'IMAD KHAN BAKHT ZAMIN (E-8247)',	NULL,	'CU10586',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(588,	'IMAM SAIF',	NULL,	'CU10587',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(589,	'IMRAN SAMAD',	NULL,	'CU10588',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(590,	'INDIAN DELIGHT RESTAURANT',	NULL,	'CU10589',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(591,	'INTERNATIONAL TOURISM RESTAURANT LLC',	NULL,	'CU10590',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(592,	'INTERNATIONAL TRADING KUWAITI COMPANY LLC',	NULL,	'CU10591',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(593,	'IQBAL BENGALI',	NULL,	'CU10592',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(594,	'IRANI HOUSE',	NULL,	'CU10593',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(595,	'IRANIAN SADAF RESTAURANT',	NULL,	'CU10594',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(596,	'ISFHAN IRANIAN SWEET BAKERY',	NULL,	'CU10595',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(597,	'ISMAIL KUNNARIKOTH - MUSANNA',	NULL,	'CU10596',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(598,	'ABDULLA AL BALUSHI - SOHAR',	NULL,	'CU10597',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(599,	'ISMAYIL MOHD MURAD SOHAR',	NULL,	'CU10598',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(600,	'ISSA JUMA MATTAR AL ANQOUDI - NIZWA',	NULL,	'CU10599',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(601,	'ITALIAN BARISTA',	NULL,	'CU10600',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(602,	'IZZ AL-SHUMUKH SHOPPING ADAM',	NULL,	'CU10601',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(603,	'JABAL QAFIFAH TRADE & CONT. LLC (SALAM MANJI)',	NULL,	'CU10602',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(604,	'JABAL QAFIFAH TRADE & CONT. LLC C/O KAREEM',	NULL,	'CU10603',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(605,	'JABBAR',	NULL,	'CU10604',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(606,	'JADAWEL AL AFIYA TRAD - SUR',	NULL,	'CU10605',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(607,	'JAFIR - MUSANNA',	NULL,	'CU10606',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(608,	'JAHID ABDUL KARIM (E-8255)',	NULL,	'CU10607',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(609,	'JAHINGIR ALAM ABDUL KADER',	NULL,	'CU10608',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(610,	'JAMAL - NIZWA',	NULL,	'CU10609',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(611,	'JAMAL - WADIKABEER',	NULL,	'CU10610',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(612,	'JAMAL AL ANQUDI - NIZWA',	NULL,	'CU10611',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(613,	'JAMAL BENGALI (SU10281)',	NULL,	'CU10612',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(614,	'JAMAL MALAYALI',	NULL,	'CU10613',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(615,	'JAMAL VEGETABLE SUPPLY',	NULL,	'CU10614',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(616,	'JAMSHEER SUHOL',	NULL,	'CU10615',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(617,	'JASHEEM (BENGALI) - NO.2',	NULL,	'CU10616',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(618,	'JASMIN',	NULL,	'CU10617',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(619,	'JAVANMARD TRADING CO. LLC',	NULL,	'CU10618',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(620,	'JENAN AL BASHER LLC (HAMRA BY FRAZER SUITES)',	NULL,	'CU10619',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(621,	'JINANA AL FRFARAH LLC (KM TRADING RASHEED)',	NULL,	'CU10620',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(622,	'JOYNAL CUCUMBER',	NULL,	'CU10621',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(623,	'JUICE MAGIC',	NULL,	'CU10622',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(624,	'JUICE SHOP',	NULL,	'CU10623',	'EGYPT',	'EGYPT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(625,	'JUICE SHOP - KABOORA',	NULL,	'CU10624',	'EGYPT',	'EGYPT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(626,	'JUICE SHOP - MABELLA',	NULL,	'CU10625',	'EGYPT',	'EGYPT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(627,	'JUICE SHOP - SAHAM',	NULL,	'CU10626',	'EGYPT',	'EGYPT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(628,	'JUICE SHOP - SOHAR',	NULL,	'CU10627',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(629,	'JUICE SHOP - SOHAR GATE',	NULL,	'CU10628',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(630,	'JUICE WORLD - AL KHUWAIR',	NULL,	'CU10629',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(631,	'JUICE WORLD - SUWAIQ',	NULL,	'CU10630',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(632,	'NEW JUICE WORLD - SUMAIL',	NULL,	'CU10631',	'BID BID',	'BID BID',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(633,	'JUMA ABDULLAH MOHAMMED SALIM AL JABRI',	NULL,	'CU10632',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(634,	'JUNGLE RESTAURANT',	NULL,	'CU10633',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(635,	'K.C. CENTRE - SUPPLY',	NULL,	'CU10634',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(636,	'KABEER - HAIL',	NULL,	'CU10635',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(637,	'KABEER - RAHA',	NULL,	'CU10636',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(638,	'KABEER - SALALAH',	NULL,	'CU10637',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(639,	'KADAR MUHAMMED UNNI',	NULL,	'CU10638',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(640,	'KALHAT SERVICES & TRADING LLC',	NULL,	'CU10639',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(641,	'KANTHAB COFFEE SHOP',	NULL,	'CU10640',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(642,	'KARAK GHOLAM OMAN',	NULL,	'CU10641',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(643,	'KAREEM - SAHAM',	NULL,	'CU10642',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(644,	'KAREEM GAFOOR',	NULL,	'CU10643',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(645,	'KENZ HYPERMARKET',	NULL,	'CU10644',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(646,	'KHAIRAT SOHAR INTERNATIONAL L.L.C',	NULL,	'CU10645',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(647,	'KHALID AL SUWAID TRADING',	NULL,	'CU10646',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(648,	'KHALID BIN SAID BIN MOHD. AL-ZUHLI TRAD. & CONT.(FIROZ)',	NULL,	'CU10647',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(649,	'KHALID INVESTMENT  L.L.C',	NULL,	'CU10648',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(650,	'KHALID MASOOD ABDULLAH AL-HANDHALI (C/O HYTHAM)',	NULL,	'CU10649',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(651,	'KHALID MOHD KIYARI - HAMRA',	NULL,	'CU10650',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(652,	'KHALID OMANI',	NULL,	'CU10651',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(653,	'KHALID OMANI - SHINAS',	NULL,	'CU10652',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(654,	'KHALID WK',	NULL,	'CU10653',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(655,	'KHALIFA NIZWA',	NULL,	'CU10654',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(656,	'KHAMEES ABDULLA NASSAR AL KAWASMI TRADING',	NULL,	'CU10655',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(657,	'KHAMEES AL SANAIDI (JALAN)',	NULL,	'CU10656',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(658,	'KHAMEES OMANI - SUWAIQ',	NULL,	'CU10657',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(659,	'KHARUSI SHOPPING CENTER',	NULL,	'CU10658',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(660,	'KHAYRAT SOHAR RESTAURANT',	NULL,	'CU10659',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(661,	'KHIMJI INTERNATIONAL LLC ( PIZZA HUT )',	NULL,	'CU10660',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(662,	'KHIMJI INTERNATIONAL LLC - (SPAR- EGG SALES)',	NULL,	'CU10661',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(663,	'KHIMJI MESS',	NULL,	'CU10662',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(664,	'KING OF TEA - AZAIBA',	NULL,	'CU10663',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(665,	'KM TRADING',	NULL,	'CU10664',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(666,	'AL JEBALI TRADING - IBRI',	NULL,	'CU10665',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(667,	'AL AZIM HYPERMARKET - SUWAIQ',	NULL,	'CU10666',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(668,	'KUBBA HYPERMARKET',	NULL,	'CU10667',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(669,	'KUNJAPPUTTY',	NULL,	'CU10668',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(670,	'KUTUB (BENGALI)',	NULL,	'CU10669',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(671,	'LAMEES SHOP - UQDHA',	NULL,	'CU10670',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(672,	'LAND TEAK INTERNATIONAL LLC',	NULL,	'CU10671',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(673,	'LATHEEF - ACHI',	NULL,	'CU10672',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(674,	'LATHEEF - RUWI',	NULL,	'CU10673',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(675,	'LATHEEF SHOP',	NULL,	'CU10674',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(676,	'LATHEESH - SALALAH',	NULL,	'CU10675',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(677,	'LAVANDER HYPERMARET',	NULL,	'CU10676',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(678,	'LAVANDER SHOP',	NULL,	'CU10677',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(679,	'LINE AL-NEIL RESTAURANT - NIZWA',	NULL,	'CU10678',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(680,	'LINE TEA COFFEE SHOP - NIZWA',	NULL,	'CU10679',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(681,	'LINK OVERSEAS',	NULL,	'CU10680',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(682,	'AL HOOTHI SHOPPING CENTRE NATIONAL ENT LLC',	NULL,	'CU10681',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(683,	'LUQMAN SUHOL',	NULL,	'CU10682',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(684,	'LYON HYPERMARKET - AL HAIL',	NULL,	'CU10683',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(685,	'MADEENA HYPERMARKET - SINAW',	NULL,	'CU10684',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(686,	'MADEENA SINDBAD - IBRI',	NULL,	'CU10685',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(687,	'MADHU KADAPPURAM AVIKKAL - CASH SALES (E-2091)',	NULL,	'CU10686',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(688,	'MAIDAT AL JAZEERA',	NULL,	'CU10687',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(689,	'MAGBOOL (BENGALI) (SU10316)',	NULL,	'CU10688',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(690,	'MAHA SOHAR SUPERMARKET',	NULL,	'CU10689',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(691,	'MAHAMOOD BENGALI',	NULL,	'CU10690',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(692,	'MAHAR',	NULL,	'CU10691',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(693,	'MAHER ENTERPRISES',	NULL,	'CU10692',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(694,	'MAHFOUDH ABDULLAH KHAMIS ALI AL BALUSHI - SUR',	NULL,	'CU10693',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(695,	'MAHMOOD - BAHLA',	NULL,	'CU10694',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(696,	'MAHMOOD - OMANI',	NULL,	'CU10695',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(697,	'MAHMOOD MISIRI',	NULL,	'CU10696',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(698,	'MAHMOOD SAID RASHID HABEEB AL HOSNI - IBRI',	NULL,	'CU10697',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(699,	'MAIDAN AL SHARQIYA SERVICES CO. LLC.',	NULL,	'CU10698',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(700,	'MAJAN FRUIT - SAHAM',	NULL,	'CU10699',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(701,	'MAJAN GOLDEN SANDS LLC (SUDHAKARAN)',	NULL,	'CU10700',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(702,	'MAJID AL AZWANI - NIZWA',	NULL,	'CU10701',	'ADAM',	'ADAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(703,	'MAKKAH HYPERMARKET',	NULL,	'CU10702',	'THARMAD',	'THARMAD',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:13',	NULL),
(704,	'MANADER ANDAM AL WATANIYA - MUDAIBI',	NULL,	'CU10703',	'MUDHAIBI',	'MUDHAIBI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(705,	'MANAHIL BEIRUT TRADING',	NULL,	'CU10704',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(706,	'MANDI RESTAURANT',	NULL,	'CU10705',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(707,	'MANGO FRUIT',	NULL,	'CU10706',	'0',	'0',	'95540839',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(708,	'MANJU - SHARADI',	NULL,	'CU10707',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(709,	'MANNAN (BENGALI)',	NULL,	'CU10708',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(710,	'MARASIL SUPERMARKET - UQDHA',	NULL,	'CU10709',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(711,	'MARHABA AL SHARQIA SHOPPING - BUALI',	NULL,	'CU10710',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(712,	'MARHABA MODERN SHOPPING - AMRATH',	NULL,	'CU10711',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(713,	'MARJAN AL BAHAR',	NULL,	'CU10712',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(714,	'MARJAN AL HAJAR SHOPPING CENTRE',	NULL,	'CU10713',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(715,	'MARJAN SHOPPING - RUSTAQ',	NULL,	'CU10714',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(716,	'MARK BUSINESS & SERVICES',	NULL,	'CU10715',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(717,	'MARS INTERNATIONAL L.L.C',	NULL,	'CU10716',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(718,	'MASACO TRADING',	NULL,	'CU10717',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(719,	'MASARI MOOSA AL BALUSHI CO. (ABDUL SALIM SULAIMAN KUNJU) - SHINAS',	NULL,	'CU10718',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(720,	'MASHARIA ABU SHAFAA AL KASBI TRAD.',	NULL,	'CU10719',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(721,	'MASOOD BAKHIT AL MUQBALI TRAD & CONT LLC',	NULL,	'CU10720',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(722,	'MASTER PIECES MUSCAT UNITED L.L.C',	NULL,	'CU10721',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(723,	'MAZHAR HUSSAIN HADAM HUSSAIN - BIDAYA',	NULL,	'CU10722',	'BIDAYA',	'BIDAYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(724,	'MD JAHANGIR ALAM',	NULL,	'CU10723',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(725,	'MD KHOKAN MD RAFIK',	NULL,	'CU10724',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(726,	'MESS SUWAIQ C/O KABEER',	NULL,	'CU10725',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(727,	'MHD JAMAL MUSANNA',	NULL,	'CU10726',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(728,	'MIDDLE EAST RESTAURANT & CATERING LLC ( MUSTAFA SULTAN)',	NULL,	'CU10727',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(729,	'MIDHILAJ - CASH SALES ( E- 8860)',	NULL,	'CU10728',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(730,	'MILLENNIUM HYPERMARKET',	NULL,	'CU10729',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(731,	'MODERN BARAKAT MUSCAT L.L.C',	NULL,	'CU10730',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(732,	'MODERN CITY COUNTRYSIDE LLC- AL KOUDH',	NULL,	'CU10731',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(733,	'MODERN DUBAI SHOPPING CENTRE (AL FADHA)',	NULL,	'CU10732',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(734,	'MODERN GLOBAL PROJECTS',	NULL,	'CU10733',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(735,	'MOHAMMAD SOHAIL',	NULL,	'CU10734',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(736,	'MOHAMMED - AZAIBA',	NULL,	'CU10735',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(737,	'MOHAMMED ALI KHALFAN AL RAWAHI - NIZWA',	NULL,	'CU10736',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(738,	'MOHAMMED ALI -ORANGE PACKING',	NULL,	'CU10737',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(739,	'MOHAMMED HASSAN - CASH SALE',	NULL,	'CU10738',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(740,	'MOHAMMED IMTIAS AL UDDIN SUMAN - SUR',	NULL,	'CU10739',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(741,	'MOHAMMED SAHED (ID-112063054)',	NULL,	'CU10740',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(742,	'MOHAMMED SALEH MUBARAK AL YAQOUBI',	NULL,	'CU10741',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(743,	'MOHAMMED SALIM (BENGALI)',	NULL,	'CU10742',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(744,	'MOHAMMED SALIM SAID AL REESI -  LIWA',	NULL,	'CU10743',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(745,	'MOHAMMED SHAMNAS ALI',	NULL,	'CU10744',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(746,	'MOHAMMED TASLIM HOSSEN PARVESH',	NULL,	'CU10745',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(747,	'MOHD ESSA RAFEET SALALAH',	NULL,	'CU10746',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(748,	'MOHD MAYEES BARATH',	NULL,	'CU10747',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(749,	'MOHD SHAREEF - SALALAH',	NULL,	'CU10748',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(750,	'MOHD. MURAD SHEER MOHD.AL-RAISI (RAJAN SHOP)',	NULL,	'CU10749',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(751,	'MOHIBULLAH SUHOL',	NULL,	'CU10750',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(752,	'MOIDEEN HAJI',	NULL,	'CU10751',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(753,	'MOOSA HAJI - HAIL',	NULL,	'CU10752',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(754,	'MOOSA HASSAN SAIF SAID AL HINAI - IBRI',	NULL,	'CU10753',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(755,	'MOSTAFA REZAPOUR INVESTMENT L.L.C',	NULL,	'CU10754',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(756,	'MR.MISHKAK',	NULL,	'CU10755',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(757,	'MUATAZ HASSAN MOHAMMED TRADING (HALAL SHOPPING) - AMERAT',	NULL,	'CU10756',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(758,	'MUDAIBI BAKERY',	NULL,	'CU10757',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(759,	'MUDAIBI COFFEE SHOP',	NULL,	'CU10758',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(760,	'MUDAIBI COFFEE SHOP NIZAM',	NULL,	'CU10759',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(761,	'MUHAMED SAID AHMED AL-BURAIMI',	NULL,	'CU10760',	'BURAIMI',	'BURAIMI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(762,	'MUHAMMAD ALI NALARAKETTIL UNDHA',	NULL,	'CU10761',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(763,	'MUHAMMAD IQBAL KASSIM KUNJU - GHOUBRA',	NULL,	'CU10762',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(764,	'MUHAMMED - AL KHOUD',	NULL,	'CU10763',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(765,	'MUHAMMED - BAHLA',	NULL,	'CU10764',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(766,	'MUHAMMED - SEEB',	NULL,	'CU10765',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(767,	'MUHAMMED AFSAL KALATHINAL SEETHI - E-6025',	NULL,	'CU10766',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(768,	'MUHAMMED AL RAWABI - BAWSHAR',	NULL,	'CU10767',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(769,	'MUHAMMED ALAM KHAN',	NULL,	'CU10768',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(770,	'MUHAMMED ALI LUZUK',	NULL,	'CU10769',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(771,	'MUHAMMED ASIF (PAKISTANI)',	NULL,	'CU10770',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(772,	'MUHAMMED HABIB (E-8208)',	NULL,	'CU10771',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(773,	'MUHAMMED - OUT SIDE SALE',	NULL,	'CU10772',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(774,	'MUHAMMED RAWABI - NIZWA',	NULL,	'CU10773',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(775,	'MUHAMMED SHABAN - SUR',	NULL,	'CU10774',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(776,	'MUJEEB - MEPARAMBA',	NULL,	'CU10775',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(777,	'MUJEEB RAHMAN',	NULL,	'CU10776',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(778,	'MUMBAI CHENNAI EXPRESS (ROYAL INTERNATIONAL L.L.C)',	NULL,	'CU10777',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(779,	'MUNEEB (E-8551)',	NULL,	'CU10778',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(780,	'MUNEER - AL KHOUD',	NULL,	'CU10779',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(781,	'MUNEER - AL MANGO JUICE',	NULL,	'CU10780',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(782,	'MUNEER - IBRA',	NULL,	'CU10781',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(783,	'MUNEER - SHOP',	NULL,	'CU10782',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(784,	'MUNEER ALIYARU KUNJU (E-2019)',	NULL,	'CU10783',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(785,	'MUNIR (SHOP)(99453086)99001645',	NULL,	'CU10784',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(786,	'MUNNER BENGALI (S.S)',	NULL,	'CU10785',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(787,	'MUROUJ AL JAZEERA TRADING L.L.C.',	NULL,	'CU10786',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(788,	'MUSAB HAMOOD KHALFAN HAMOOD AL MANAYAJARI - NIZWA',	NULL,	'CU10787',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(789,	'MUSALLAM - AL MAWALAH',	NULL,	'CU10788',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(790,	'MUSCAT AL AHLIYA - (LATHEEF)',	NULL,	'CU10789',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(791,	'MUSCAT AL AHLIYA TRADING (MUHAMMED)',	NULL,	'CU10790',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(792,	'MUSCAT GATE',	NULL,	'CU10791',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(793,	'MUSTAFA - SAHAM',	NULL,	'CU10792',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(794,	'MUSTAFA (BOBER)',	NULL,	'CU10793',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(795,	'MUTTRAH HOTEL LLC',	NULL,	'CU10794',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(796,	'NACHI',	NULL,	'CU10795',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(797,	'NACHSH TRADING COMPANY',	NULL,	'CU10796',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(798,	'NADEEM BENGALI',	NULL,	'CU10797',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(799,	'NAJEEB - WADIKABEER',	NULL,	'CU10798',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(800,	'NAJEER & SUKESH',	NULL,	'CU10799',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(801,	'NAKHEEL UNITED ENTERPRISES LLC (MARHABA)',	NULL,	'CU10800',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(802,	'NAKKAL AL WADHI HYPERMARKET - THARMAD',	NULL,	'CU10801',	'THARMAD',	'THARMAD',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(803,	'NAMMAN SUPERMARKET (MUSSANNA)',	NULL,	'CU10802',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(804,	'NANA HYPERMARKET - LIWA',	NULL,	'CU10803',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(805,	'NANDAN SHOP',	NULL,	'CU10804',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(806,	'NARNC',	NULL,	'CU10805',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(807,	'NASAR - BEHALA',	NULL,	'CU10806',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(808,	'NASAR - RUSTAQ',	NULL,	'CU10807',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(809,	'NASAR MAZEERA',	NULL,	'CU10808',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(810,	'NASAR OMANI',	NULL,	'CU10809',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(811,	'NASEEM AL RADHA AL SHAMILA TRAD.',	NULL,	'CU10810',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(812,	'NASEEM SUR HYPERMARKET',	NULL,	'CU10811',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(813,	'NASIRULLAH ABUL BASHER',	NULL,	'CU10812',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(814,	'NASSER HAMDAN MOHAMMED AL DIHANI',	NULL,	'CU10813',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(815,	'NASSER KHALIFA NASSER AL AMRI - IZKI',	NULL,	'CU10814',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(816,	'NASSER SAID SALIM AL AAMRI - NIZWA',	NULL,	'CU10815',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(817,	'NASSER SALIM AL-SHABIBI',	NULL,	'CU10816',	'MUDHAIBI',	'MUDHAIBI',	'94117011',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(818,	'NATIONAL KHYRAT AL MUSTAQBL',	NULL,	'CU10817',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(819,	'NATURAL JUICE - BARKA',	NULL,	'CU10818',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(820,	'NAVA KERALA MESS',	NULL,	'CU10819',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(821,	'NAVAS C/O SHAMSU',	NULL,	'CU10820',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(822,	'NAVAS KURIYAPILLY ABU',	NULL,	'CU10821',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(823,	'NAVAS MUHAMMAD KUNJU',	NULL,	'CU10822',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(824,	'NAWADHER AL MABELA',	NULL,	'CU10823',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(825,	'NAWAF RASHID',	NULL,	'CU10824',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(826,	'NAZAR IKKA - SOHAR',	NULL,	'CU10825',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(827,	'NAZARUDHEEN HAMSSA RAWTHER',	NULL,	'CU10826',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(828,	'NAZEER  C/O  THAREEQ',	NULL,	'CU10827',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(829,	'NAZEER (JABIR)',	NULL,	'CU10828',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(830,	'NAZEER BLUE BASKET',	NULL,	'CU10829',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(831,	'NAZEM ABDUL  MOUTALEB EL SAMAD',	NULL,	'CU10830',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(832,	'NAZMUL HUSSAIN SAHAM (JOHNY SAHAM)',	NULL,	'CU10831',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(833,	'NESTO HYPERMARKET (WAREHOUSE)',	NULL,	'CU10832',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(834,	'NEW AL NASR HYPERMARKET',	NULL,	'CU10833',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(835,	'NEW LINE RESTAURANT - NIZWA',	NULL,	'CU10834',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(836,	'NEW ROTANA ENTERPRISES LLC.',	NULL,	'CU10835',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(837,	'NEW SMART SHOPING CENTRE - BIDAYA',	NULL,	'CU10836',	'BIDAYA',	'BIDAYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(838,	'NEWREST WACASCO - WALEED CATERING & SERVICES CO. LLC.',	NULL,	'CU10837',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(839,	'NISSAM SHAJI',	NULL,	'CU10838',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(840,	'NIYAS C/O RAMEES - WK',	NULL,	'CU10839',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(841,	'NIZAM SAINUDHEEN CASH SALES (BUALI VAN SALES)',	NULL,	'CU10840',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(842,	'NIZAM SUHOL',	NULL,	'CU10841',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(843,	'NIZAMUDEEN ISMAIL KUNJU - CASH SALES',	NULL,	'CU10842',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(844,	'NIZWA COLLEGE',	NULL,	'CU10843',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(845,	'NIZWA UNIVERSITY',	NULL,	'CU10844',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(846,	'NOOR - MAWALA (C/O SIDEEQ AL MEERA)',	NULL,	'CU10845',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(847,	'NOOR AL AGAR',	NULL,	'CU10846',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(848,	'NOOR GATE FOODSTUFF CO. W.L.L (EXPORT)',	NULL,	'CU10847',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(849,	'NOOR HYPERMARKET SEEB',	NULL,	'CU10848',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(850,	'NOOR LEBANON TRADING LLC',	NULL,	'CU10849',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(851,	'NOOR SHINAS',	NULL,	'CU10850',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(852,	'NORTHERN FRONTIER REGIMENT',	NULL,	'CU10851',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(853,	'NOUSHAD - 6',	NULL,	'CU10852',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(854,	'NOUSHAD C.M - CASH SALES',	NULL,	'CU10853',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(855,	'NOUSHAD CK',	NULL,	'CU10854',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(856,	'NOUSHAD COFFEE SHOP - MABELLA',	NULL,	'CU10855',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(857,	'NOUSHAD MUHAMMED KUNJU',	NULL,	'CU10856',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(858,	'NOUSHAD.P.K (KANNUR)',	NULL,	'CU10857',	'INDIA',	'INDIA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(859,	'NOWSHAD',	NULL,	'CU10858',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(860,	'NOWSHAD - KANNUR (AL WAFA TRAD.)',	NULL,	'CU10859',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(861,	'NOWSHAD BAWA - MAWALAH',	NULL,	'CU10860',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(862,	'OAK INTEGRATED PROJECTS LLC',	NULL,	'CU10861',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(863,	'OCEAN HOSPITALITY LLC (CORAL HOTEL & APARTMENTS)',	NULL,	'CU10862',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(864,	'OCEAN RESTAURANT',	NULL,	'CU10863',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(865,	'OFFICER\'S CLUB - (ISS)',	NULL,	'CU10864',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(866,	'OIG CONTRACTING COMPANY',	NULL,	'CU10865',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(867,	'OMAN AVIATION CATERING LLC',	NULL,	'CU10866',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(868,	'OMAN HOTEL TOURISM',	NULL,	'CU10867',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(869,	'OMAN SHIP MANAGEMENT COMPANY  S.A.O.C',	NULL,	'CU10868',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(870,	'OMANI - SAUD',	NULL,	'CU10869',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(871,	'OMANI BIDIYA',	NULL,	'CU10870',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(872,	'OMQ AL-BEHAR TRAD. & CONT.',	NULL,	'CU10871',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(873,	'ORANGE SPLASH',	NULL,	'CU10872',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(874,	'ORIENTAL SHOPPING - BUALI',	NULL,	'CU10873',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(875,	'OSAM - AL MABELLA',	NULL,	'CU10874',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(876,	'PAK SUPERMARKET',	NULL,	'CU10875',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(877,	'PALM RESTAURANT',	NULL,	'CU10876',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(878,	'PARAKASAN CHANDROTH',	NULL,	'CU10877',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(879,	'PEER MOHAMMAD',	NULL,	'CU10878',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(880,	'PLATINUM HOTEL',	NULL,	'CU10879',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(881,	'PLAZZA KITCHEN',	NULL,	'CU10880',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(882,	'POST DATED CHEQS CONTROL A/C',	NULL,	'CU10881',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(883,	'PRADEEPAN PALLIKKARA',	NULL,	'CU10882',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(884,	'PRASAD MALLAYI',	NULL,	'CU10883',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(885,	'PREMIER INTERNATIONAL PROJECTS L.L.C',	NULL,	'CU10884',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(886,	'QRNAS TRADING LLC.',	NULL,	'CU10885',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(887,	'XXXX',	NULL,	'CU10886',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(888,	'RABIA SHINAS',	NULL,	'CU10887',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(889,	'RADHAKRISHNAN - MULANDA',	NULL,	'CU10888',	'MULADHA',	'MULADHA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(890,	'RADHI MARKET CENTRE NIZWA (HYMEN)',	NULL,	'CU10889',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(891,	'RAEES - W/K',	NULL,	'CU10890',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(892,	'RAFEEK',	NULL,	'CU10891',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(893,	'RAFEEQ (MANGO)',	NULL,	'CU10892',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(894,	'RAFEEQ MOHAMMED',	NULL,	'CU10893',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(895,	'RAFI COFFEE SHOP',	NULL,	'CU10894',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(896,	'RAHIM KANDOTH - BARKA',	NULL,	'CU10895',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(897,	'RAHIM MULLA',	NULL,	'CU10896',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(898,	'RAHIM RAWTHER - CASH SALES',	NULL,	'CU10897',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(899,	'RAHMAN SHOP-95200665',	NULL,	'CU10898',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(900,	'RAHMAN SUHOL',	NULL,	'CU10899',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(901,	'RAINBOW HOSPITALITY SERVICES',	NULL,	'CU10900',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(902,	'RAINBOW TRADING (JABBAR FANJA)',	NULL,	'CU10901',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(903,	'RAJAB ADAF MABROOK  AL-AMRI',	NULL,	'CU10902',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(904,	'RAJAN AL FAIR',	NULL,	'CU10903',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(905,	'RAJENDRAN PILLAI - CASH SALES',	NULL,	'CU10904',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(906,	'RAJU SHOP',	NULL,	'CU10905',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(907,	'RAJU WADI KABEER',	NULL,	'CU10906',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(908,	'RAKIB',	NULL,	'CU10907',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(909,	'RAMAZ AL WAFA - AL HAJIR -I BRI',	NULL,	'CU10908',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(910,	'RAMDAN COMPLIMENTARY SALE',	NULL,	'CU10909',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(911,	'RAMEE DREAM RESORT, SEEB',	NULL,	'CU10910',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(912,	'RAMEE GUEST LINE RESORT-QURAM',	NULL,	'CU10911',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(913,	'RAMEES - WK',	NULL,	'CU10912',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(914,	'RAMEES HALA - AMARAT',	NULL,	'CU10913',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(915,	'RAMEZ GROUP',	NULL,	'CU10914',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(916,	'RAMEZ HYPERMARKET (EGG SALE)',	NULL,	'CU10915',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(917,	'RAMI MUSTHAFA - CASH SALES',	NULL,	'CU10916',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(918,	'RASHEED - AMRATH',	NULL,	'CU10917',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(919,	'RASHEED - MUSSANAH',	NULL,	'CU10918',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(920,	'RASHEED - RUWI',	NULL,	'CU10919',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(921,	'ABDUSSALAM NAMBIDAM VEETTIL - KHAFTHI',	NULL,	'CU10920',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(922,	'RATHAN - FALAJ',	NULL,	'CU10921',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(923,	'RAWABI - SAWADIH',	NULL,	'CU10922',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(924,	'RAWABI AL ARABIA - BARKA',	NULL,	'CU10923',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(925,	'RAWABI COFFEE SHOP - (RAFEEK)',	NULL,	'CU10924',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(926,	'RAWABI SHOPPING CENTRE SINAW (NEAR SOUQ)',	NULL,	'CU10925',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(927,	'RAWAE AL QASBIYA TRAD & CONT (NANA HYPERMARKET)',	NULL,	'CU10926',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(928,	'RAWAFD AL-KHALIJ AL MATMEZH TRAD.',	NULL,	'CU10927',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(929,	'RAWAFID WADI AL HALTI TRAD (SHOP 27)',	NULL,	'CU10928',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(930,	'RAYYAN HYPERMARKET - MUSANNA',	NULL,	'CU10929',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(931,	'RAYYAN SUPPORT SERVICES',	NULL,	'CU10930',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(932,	'RAZA KHAN',	NULL,	'CU10931',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(933,	'RAZAK C/O AHAMMED',	NULL,	'CU10932',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(934,	'RAZAK OUT SIDE SALE',	NULL,	'CU10933',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(935,	'REEF AL SHAM -GHOBRA',	NULL,	'CU10934',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(936,	'REEMA SHOPPING CENTRE ( AL JADEER SHOPPING)',	NULL,	'CU10935',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(937,	'REFRESH COFFEE SHOP',	NULL,	'CU10936',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(938,	'RELIABLE EXCELLENCE',	NULL,	'CU10937',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(939,	'REMAL AL SHAWATE TRADING ( BAPPUTTY SUR) - OLD',	NULL,	'CU10938',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(940,	'RENAISSANCE CATERING SERVICES GROUP',	NULL,	'CU10939',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(941,	'RICHOUX OPERA',	NULL,	'CU10940',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(942,	'RITAL INTERNATIONAL L.L.C',	NULL,	'CU10941',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(943,	'RIYAS KHAN',	NULL,	'CU10942',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(944,	'RONAK FALAJ LALI - RUSTAQ',	NULL,	'CU10943',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(945,	'ROP PENSIONS TRUST L.L.C',	NULL,	'CU10944',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(946,	'ROSE CAFE',	NULL,	'CU10945',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(947,	'ROYAL ARMY OF OMAN -IZKI (MSO)',	NULL,	'CU10946',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(948,	'ROYAL DAN LLC',	NULL,	'CU10947',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(949,	'ROYAL FRUIT AL WOKKALA',	NULL,	'CU10948',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(950,	'ROYAL NIZWA COFFEE SHOP',	NULL,	'CU10949',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(951,	'ROYAL STAR INTERNATIONAL L.L.C',	NULL,	'CU10950',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(952,	'RUA SHOP BARKA',	NULL,	'CU10951',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:14',	NULL),
(953,	'RUBEL (E-8711)',	NULL,	'CU10952',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(954,	'RUBU AL BAYA COLD STORE - MANAH',	NULL,	'CU10953',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(955,	'RUPESH BARKA',	NULL,	'CU10954',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(956,	'RUSTHAQ  CATERING',	NULL,	'CU10955',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(957,	'S.J ABED & AL SULAIMI CATERING LLC',	NULL,	'CU10956',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(958,	'SABASI',	NULL,	'CU10957',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(959,	'SABEER ALI PALATTKUZHIYAN  - CASH SALES',	NULL,	'CU10958',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(960,	'SABIR C/O ALIKKA',	NULL,	'CU10959',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(961,	'SADATH (ABU HASSAL) - BUALI',	NULL,	'CU10960',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(962,	'SADEESHAN  PEREMMAL',	NULL,	'CU10961',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(963,	'SADIQ COFFEE SHOP IBRA',	NULL,	'CU10962',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(964,	'SAEED & ABDUL AZIZ TRDG. CO.',	NULL,	'CU10963',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(965,	'SAEED AFH (HOSPITAL)',	NULL,	'CU10964',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(966,	'SAFEER BLUEBERRY',	NULL,	'CU10965',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(967,	'SAFEER GOLDEN BERRY',	NULL,	'CU10966',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(968,	'SAHRA HABIS',	NULL,	'CU10967',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(969,	'SAID - SAHAM',	NULL,	'CU10968',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(970,	'SAID (AL RAYATH)',	NULL,	'CU10969',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(971,	'SAID AHMED MUSALLAM AL BARAMI',	NULL,	'CU10970',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(972,	'SAID BIN NASSER(99425734)',	NULL,	'CU10971',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(973,	'SAID HAMED SAID HARIMAL AL SHEKAILI - RUSHTAQ',	NULL,	'CU10972',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(974,	'SAID IZKI',	NULL,	'CU10973',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(975,	'SAID MOHD BAKHEED AL KADERI',	NULL,	'CU10974',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(976,	'SAID NAZAR SALIM HAMOOD MAHROOQI- ADAM',	NULL,	'CU10975',	'ADAM',	'ADAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(977,	'SAID RUWI',	NULL,	'CU10976',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(978,	'SAID SALIM MOHAMMED AL ORAIMI',	NULL,	'CU10977',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(979,	'SAID VANIMMEL- THARMAD',	NULL,	'CU10978',	'THARMAD',	'THARMAD',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(980,	'SAIF - FANJA',	NULL,	'CU10979',	'FANJA',	'FANJA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(981,	'SAIF - IBRI',	NULL,	'CU10980',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(982,	'SAIF - RUSTAQ',	NULL,	'CU10981',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(983,	'SAIF HAMAD UMAIF',	NULL,	'CU10982',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(984,	'SAIF MOHMMAD KAMEES AL RIYAMI',	NULL,	'CU10983',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(985,	'SAIF SAUD HAMED AL-HADI TRAD.',	NULL,	'CU10984',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(986,	'SAIFUL ABDUL KAREEM - SOHAR',	NULL,	'CU10985',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(987,	'SAIHOOTH HYPERMARKET SOHAR',	NULL,	'CU10986',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(988,	'SAJ GULF TRADING ASSO',	NULL,	'CU10987',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(989,	'SAJIB IBRAHIM KHAILAL (E-8260)',	NULL,	'CU10988',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(990,	'SAJID  W/K',	NULL,	'CU10989',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(991,	'SAKIB ULL HASSAN',	NULL,	'CU10990',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(992,	'SALA UDDIN - MADDA SAHAM',	NULL,	'CU10991',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(993,	'SALAH - WADIKABEER',	NULL,	'CU10992',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(994,	'SALAH (NOUSHAD)',	NULL,	'CU10993',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(995,	'SALAH AL-HARASSI TRAD.',	NULL,	'CU10994',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(996,	'SALAM (TOMATO)',	NULL,	'CU10995',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(997,	'SALAM HAJI - MATRAH',	NULL,	'CU10996',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(998,	'SALAM HOTEL - NIZWA',	NULL,	'CU10997',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(999,	'SALAM MOHD AWED MUSHAIKI',	NULL,	'CU10998',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1000,	'SALAM MOHD SALAM JABOOB',	NULL,	'CU10999',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1001,	'SALEEM  SHOP',	NULL,	'CU11000',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1002,	'SALEEM (BENGALI) - W/K',	NULL,	'CU11001',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1003,	'SALEH MOHAMMED AHMED AL BREIKI',	NULL,	'CU11002',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1004,	'SALEH TRADING PROJECTS',	NULL,	'CU11003',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1005,	'SALIH - WADI KABEER',	NULL,	'CU11004',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1006,	'SALIM - BIDIYA',	NULL,	'CU11005',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1007,	'SALIM BIN SAIF BIN MATAR AL QURAINI TRAD (AHAMMAD SAHAM)',	NULL,	'CU11006',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1008,	'SALIM CHOLERIYIL',	NULL,	'CU11007',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1009,	'SAMA AL JAZEERA UNITED L.L.C',	NULL,	'CU11008',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1010,	'SAMA AL KHALEEJ - AL GHURIAN (SINAW)',	NULL,	'CU11009',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1011,	'SAMA AL MAWALEH MODERN PROJECT L.L.C',	NULL,	'CU11010',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1012,	'SAMA AL SHIRIS - MUSSANAH',	NULL,	'CU11011',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1013,	'SAMA AZIMATH',	NULL,	'CU11012',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1014,	'SAMA HYPERMARKET',	NULL,	'CU11013',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1015,	'SAMA\'A  AL-BURAIMI TRADING CO',	NULL,	'CU11014',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1016,	'SAMAA AL ZAMALIK TRADING',	NULL,	'CU11015',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1017,	'SUSPENSE A/C',	NULL,	'CU11016',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1018,	'SAMAIL JUICE SHOP - ANEES',	NULL,	'CU11017',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1019,	'SAMIEI SAAD MUMARAK AL RIYAMI',	NULL,	'CU11018',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1020,	'SAMSUDEEN KUMMALI - FANJA',	NULL,	'CU11019',	'FANJA',	'FANJA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1021,	'SANKARDAS B.P - CASH SALES (E-8620)',	NULL,	'CU11020',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1022,	'SANTHOSH - SINAW',	NULL,	'CU11021',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1023,	'SANTHOSH (KRISHNA DAS)',	NULL,	'CU11022',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1024,	'SARMATHI-KHAN',	NULL,	'CU11023',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1025,	'SATHAR - BIDIYA',	NULL,	'CU11024',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1026,	'SAUD BAHWAN (IFTHAR MESS)',	NULL,	'CU11025',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1027,	'SEALAND - NIZWA',	NULL,	'CU11026',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1028,	'SEAMASTER MARITIME LLC',	NULL,	'CU11027',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1029,	'SECRET STARS INTERNATIONAL L.L.C',	NULL,	'CU11028',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1030,	'SEEB WAVE - (BEACH)',	NULL,	'CU11029',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1031,	'SEVEN SEAS SHIPCHANDLERS LLC',	NULL,	'CU11030',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1032,	'SHAFAF - MUSSANAH',	NULL,	'CU11031',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1033,	'SHAFEEK YOUSUF KUNJU',	NULL,	'CU11032',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1034,	'SHAFI AL SHAROOK - RUSTAQ',	NULL,	'CU11033',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1035,	'SHAJAHAN - AL KHOUD',	NULL,	'CU11034',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1036,	'SHAJAHAN COFFEE SHOP- MABELLA',	NULL,	'CU11035',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1037,	'SHAJAHAN HO',	NULL,	'CU11036',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1038,	'SHAJAL DAY {SHAHBAN}',	NULL,	'CU11037',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1039,	'SHAJI - THIRUVALLA',	NULL,	'CU11038',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1040,	'SHAJI PACKING',	NULL,	'CU11039',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1041,	'SHAJI SHAHUL HAMEED',	NULL,	'CU11040',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1042,	'SHAKSY ENGINEERING SERVICES LLC',	NULL,	'CU11041',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1043,	'SHALU WORLD L.L.C',	NULL,	'CU11042',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1044,	'SHAMEEM - AL KHUWAIR',	NULL,	'CU11043',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1045,	'SHAMEER - KANNUR',	NULL,	'CU11044',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1046,	'SHAMEER - SALALALH',	NULL,	'CU11045',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1047,	'SHAMEER - SINAW',	NULL,	'CU11046',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1048,	'SHAMEER JUICE SHOP - SINAW',	NULL,	'CU11047',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1049,	'SHAMEER SUHOL',	NULL,	'CU11048',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1050,	'SHAMEER SULAIMAN KUNJU - CASH SALES',	NULL,	'CU11049',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1051,	'SHAMIA HYPERMARKET',	NULL,	'CU11050',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1052,	'SHAMSHEER- SUMAIL',	NULL,	'CU11051',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1053,	'SHAMSU - MATRAH',	NULL,	'CU11052',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1054,	'SHANAVAS - MATRAH',	NULL,	'CU11053',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1055,	'SHARAFUDHEEN - MUSANNAH',	NULL,	'CU11054',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1056,	'AL RAHA HYPERMARKET - BARKATHMOUZE',	NULL,	'CU11055',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1057,	'SHIHAB - SAHAM',	NULL,	'CU11056',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1058,	'SHINAS HYPERMARKET - SHINAS',	NULL,	'CU11057',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1059,	'SHIP DELIVERY',	NULL,	'CU11058',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1060,	'SHOPPERS',	NULL,	'CU11059',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1061,	'SHOUKATH - ALAPPUZHA',	NULL,	'CU11060',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1062,	'SHOUKATH SALALAH',	NULL,	'CU11061',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1063,	'SHUHAIB MASAOD SAID AL ABDALI- NIZWA',	NULL,	'CU11062',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1064,	'SHUHAIB TRADING (GOLD FRUIT )',	NULL,	'CU11063',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1065,	'SHUKRAN HYPERMARKET - AL KHUWAIR',	NULL,	'CU11064',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1066,	'SIDDIQUE - BID BID',	NULL,	'CU11065',	'BID BID',	'BID BID',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1067,	'SIDDIUQ SHOP',	NULL,	'CU11066',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1068,	'SIDIQUE RAMBA-IRAN CABBAGE',	NULL,	'CU11067',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1069,	'SIHABUDEEN VAYYIL MURIKKANCHERY',	NULL,	'CU11068',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1070,	'SIKANDAR BENGALI (S.S)',	NULL,	'CU11069',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1071,	'SIRAJ',	NULL,	'CU11070',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1072,	'SIVAN',	NULL,	'CU11071',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1073,	'SIVAN WATERMELON',	NULL,	'CU11072',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1074,	'SIYABI',	NULL,	'CU11073',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1075,	'SKQR AL MAYIS (AHMED IBRI)',	NULL,	'CU11074',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1076,	'SMART CHOICE HYPERMARKET',	NULL,	'CU11075',	'BID BID',	'BID BID',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1077,	'SNEHA INTERNATIONAL LLC - MUSANNA',	NULL,	'CU11076',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1078,	'SOCIAL WELFARE MARKET - CATERING (KHIMJI RAMDAS)',	NULL,	'CU11077',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1079,	'SOHAR SUPPLIES AND CATERING COMPANY LLC',	NULL,	'CU11078',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1080,	'SOUD NASIR AL SALMY NIZWA',	NULL,	'CU11079',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1081,	'SOUTH INDIAN CUSINES LLC (SARAVANA BHAVAN)',	NULL,	'CU11080',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1082,	'AL REEM SHOPPING',	NULL,	'CU11081',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1083,	'SPACE STAR SHOPPING - BOUSHER',	NULL,	'CU11082',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1084,	'SPAR AL KHUWAIR NO: 2 (EGG SALE)',	NULL,	'CU11083',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1085,	'STAR COFFEE HOUSE -GHOBRA',	NULL,	'CU11084',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1086,	'STAR LIGHT',	NULL,	'CU11085',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1087,	'STOP & SHOP',	NULL,	'CU11086',	'NAKHAL',	'NAKHAL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1088,	'SUBAIR - SUWAIQ',	NULL,	'CU11087',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1089,	'SUCCESSFULL SUN TRADING LLC.(SHAMSU SALALA)',	NULL,	'CU11088',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1090,	'SUJAN KANTI DEV',	NULL,	'CU11089',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1091,	'SUKESH SHOP',	NULL,	'CU11090',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1092,	'SULAIMAN BATI SAID ARAQI (SULAIMAN - IBRI)',	NULL,	'CU11091',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1093,	'SULAIMAN - MUSANNAH',	NULL,	'CU11092',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1094,	'SULAIMAN - MUSANNAH (AL OWAID)',	NULL,	'CU11093',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1095,	'SULAIMAN - MUSANNAH (SHOHAIBA)',	NULL,	'CU11094',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1096,	'SULAIMAN - P.R.O',	NULL,	'CU11095',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1097,	'SULAIMAN SAID BARKATHMUS',	NULL,	'CU11096',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1098,	'SULAIMAN TURKISH HOTEL - GHUBRA',	NULL,	'CU11097',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1099,	'SULAIMI',	NULL,	'CU11098',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1100,	'SULTHAN SAIF - TANUF',	NULL,	'CU11099',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1101,	'SULTHAN SINAW',	NULL,	'CU11100',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1102,	'SULTHAN SUR',	NULL,	'CU11101',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1103,	'SUMAIL COFFEE SHOP',	NULL,	'CU11102',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1104,	'SUMESH - EXPO CASH SALES',	NULL,	'CU11103',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1105,	'SUN SHINE LIMITED LLC (MUJEER) (SU10565)',	NULL,	'CU11104',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1106,	'SUNDUS HYPERMARKET (SAMA SUR MUTAMIZA OF TRAD. LLC)',	NULL,	'CU11105',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1107,	'SUNEER MASHOOD - CASH SALES (E-8157)',	NULL,	'CU11106',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1108,	'SUNIL KUMAR-DHIYA FANJA TRADING',	NULL,	'CU11107',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1109,	'SUNIL-MESS',	NULL,	'CU11108',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1110,	'SURESH BABU',	NULL,	'CU11109',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1111,	'SURESH CUCUMBER',	NULL,	'CU11110',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1112,	'SVITZER SOHAR LLC',	NULL,	'CU11111',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1113,	'SYED GOLAM MAHFOZ',	NULL,	'CU11112',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1114,	'TALAL AL AKHZAMI TRADING (OLD)',	NULL,	'CU11113',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1115,	'TALAL JAALAN UNITED LLC - BUALI',	NULL,	'CU11114',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1116,	'TEA SIP COFFEE - AMERAT',	NULL,	'CU11115',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1117,	'TEA TIME - BARKA',	NULL,	'CU11116',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1118,	'TEA TIME - KADRA',	NULL,	'CU11117',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1119,	'TEA TIME - NIZWA (COFFEE SHOP)',	NULL,	'CU11118',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1120,	'TEA TIME - SUWAIQ',	NULL,	'CU11119',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1121,	'TEA TIME MABELA',	NULL,	'CU11120',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1122,	'TEMPORARY CUSTOMER',	NULL,	'CU11121',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1123,	'THAJ HYPERMARKET- KADARA',	NULL,	'CU11122',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1124,	'THARAWAT SOHAR INTERNATIONAL LLC',	NULL,	'CU11123',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1125,	'THAREEQ99650868',	NULL,	'CU11124',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1126,	'THE FOOD STORIES RESTAURANT',	NULL,	'CU11125',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1127,	'THE JEBEL REGIMENT',	NULL,	'CU11126',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1128,	'THE PIZZA COMPANY - MGM',	NULL,	'CU11127',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1129,	'THE UNITED CO OF GULF PROGRESSING',	NULL,	'CU11128',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1130,	'THE WORLD OF GLOBAL EXCELLENCE L.L.C. (SU10460)',	NULL,	'CU11129',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1131,	'THEMAR LEBANON GRAND LLC',	NULL,	'CU11130',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1132,	'THYBATH - IBRI',	NULL,	'CU11131',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1133,	'THYMA IZKI CK',	NULL,	'CU11132',	'IZKI',	'IZKI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1134,	'TORQUE TRADE CONTROL SYSTEM LLC (AL JARWANI HOSPITALITY)',	NULL,	'CU11133',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1135,	'TULIP INN MUSCAT',	NULL,	'CU11134',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1136,	'TURKEY MART - AL KHUWAIR',	NULL,	'CU11135',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1137,	'TYLOS INTERNATIONAL',	NULL,	'CU11136',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1138,	'UBAID AL BALUSHI (CUSTOMS)',	NULL,	'CU11137',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1139,	'UBAIS PACKING',	NULL,	'CU11138',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1140,	'ULTIMATE MERIT TRADE',	NULL,	'CU11139',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1141,	'UMMAR - IBRI',	NULL,	'CU11140',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1142,	'UMMER SAHAM-FARIDUL ALAM',	NULL,	'CU11141',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1143,	'UNAYIZ AHAMMED KUNJU - CASH SALES',	NULL,	'CU11142',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1144,	'UNISCO',	NULL,	'CU11143',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1145,	'UNITED ARABIAN FOODS LLC',	NULL,	'CU11144',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1146,	'UNITED CATERING L.L.C',	NULL,	'CU11145',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1147,	'UNITED FACILITIES MANAGEMENT',	NULL,	'CU11146',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:15',	NULL),
(1148,	'UNITED HYPERMARKET',	NULL,	'CU11147',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1149,	'UNITED SUNRISE CITY LLC',	NULL,	'CU11148',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1150,	'UNNI WATERMELON',	NULL,	'CU11149',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1151,	'URANUS  ARABIA L.L.C (BARATH)',	NULL,	'CU11150',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1152,	'URBANO BISTRO (GOLDEN ROZANA TRADING & CONTRACTING LLC)',	NULL,	'CU11151',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1153,	'VAHAB PACKING',	NULL,	'CU11152',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1154,	'VAHAB SHOP',	NULL,	'CU11153',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1155,	'VAN SALES - MOHD SHAH CASH SALES',	NULL,	'CU11154',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1156,	'VASANTHA BHAVAN',	NULL,	'CU11155',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1157,	'VIJAYAN - BARKA',	NULL,	'CU11156',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1158,	'WADI AL AIN - AL HAJIR - IBRI',	NULL,	'CU11157',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1159,	'WADI AL SHAMAL TRADING ENT.',	NULL,	'CU11158',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1160,	'WADI SUHIL UNITED ASS',	NULL,	'CU11159',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1161,	'WAHID HUSSAIN EL SAMED',	NULL,	'CU11160',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1162,	'WALEED C/O ISMAIL',	NULL,	'CU11161',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1163,	'WALL\'S - AL KHUWAIR',	NULL,	'CU11162',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1164,	'WALL\'S BAHJA',	NULL,	'CU11163',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1165,	'WALL\'S SOHAR',	NULL,	'CU11164',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1166,	'WANEES JALAN',	NULL,	'CU11165',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1167,	'WHITE LOTUS INTERNATIONAL LLC - MUSCAT',	NULL,	'CU11166',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1168,	'WOLI RESTAURANT',	NULL,	'CU11167',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1169,	'WOOD LINE RESTAURANT',	NULL,	'CU11168',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1170,	'WORLD FRESH JUICE',	NULL,	'CU11169',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1171,	'YAS MART SHOPPING - AL KHOUD',	NULL,	'CU11170',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1172,	'YOUNES ABDULLAH HAMED AL HARMALI',	NULL,	'CU11171',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1173,	'YOUNIS FARM',	NULL,	'CU11172',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1174,	'YOUNUS - IBRI',	NULL,	'CU11173',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1175,	'YOUNUS  OMANI - IBRI',	NULL,	'CU11174',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1176,	'YOUSUF AHMED OMAR AL MASHIKI - (ALI SALALAH)',	NULL,	'CU11175',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1177,	'YOUSUF RASHID HUWAISHAL AL-MAMARI',	NULL,	'CU11176',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1178,	'ZADI COLD STORE',	NULL,	'CU11177',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1179,	'ZAHIRUL ISLAM (JEWEL BENGALI)',	NULL,	'CU11178',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1180,	'ZAHRAT AL DHAHIRAH TRAD',	NULL,	'CU11179',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1181,	'ZAHRATH SUR TRADING(NADEEM)',	NULL,	'CU11180',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1182,	'ZAID - AL KHUWAIR',	NULL,	'CU11181',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1183,	'ZAIN TEA',	NULL,	'CU11182',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1184,	'ZAITOON SHOPPING CENTRE - BARKA',	NULL,	'CU11183',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1185,	'ZAITOOON COFFEE SHOP - AZAIBA',	NULL,	'CU11184',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1186,	'ZAKEER - AL AZAIBA',	NULL,	'CU11185',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1187,	'ZANJABEEL COFFEE SHOP - AZAIBA',	NULL,	'CU11186',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1188,	'ALAMAR FOODS COMPANY LLC (DOMINOS PIZZA)',	NULL,	'CU11187',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1189,	'TIKRAM & CAFE',	NULL,	'CU11188',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1190,	'QURUM HOTEL - QURUM',	NULL,	'CU11189',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1191,	'LOKANTA RESTAURANT - QURUM',	NULL,	'CU11190',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1192,	'ISTAMBUL RESTAURANT',	NULL,	'CU11191',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1193,	'BABA SALEM RESTAURANT - QURUM',	NULL,	'CU11192',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1194,	'ADDRESS CAFE - SHATTI QURUM',	NULL,	'CU11193',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1195,	'FOUR SEASONS & TOURISM',	NULL,	'CU11194',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1196,	'AL BARAKA SHOPPING CENTRE - RUWI',	NULL,	'CU11195',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1197,	'RASHID - SPONSOR (EAGLE EYE)',	NULL,	'CU11196',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1198,	'IMAM HOSSAIN (EAGLE EYE)',	NULL,	'CU11197',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1199,	'RASHID CHATHOTH HOUSE - CASH SALES (E-8650)',	NULL,	'CU11198',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1200,	'UNTIED ARAB TRADE',	NULL,	'CU11199',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1201,	'DIWAN MESS - RUWI',	NULL,	'CU11200',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1202,	'DIWAN MESS - AL BUSTAN',	NULL,	'CU11201',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1203,	'ZAHOOR AHAN SAHAM',	NULL,	'CU11202',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1204,	'AL JERDA SHOPPING CENTRE - SUMAIL',	NULL,	'CU11203',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1205,	'JUMAH IBRI',	NULL,	'CU11204',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1206,	'ABBAS EAGLE EYE (E-8381)',	NULL,	'CU11205',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1207,	'SALA ARAQI',	NULL,	'CU11206',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1208,	'ABDUL NASAR VK',	NULL,	'CU11207',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1209,	'SHITAL CHANDRA DEY - IBRI',	NULL,	'CU11208',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1210,	'ABU MANTHAR AL MAMARI LLC (GAFOOR)',	NULL,	'CU11209',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1211,	'AZAD EAGLE EYE (E-8307)',	NULL,	'CU11210',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1212,	'AHMED SALIM HAMOOD HAMED AL HINAI-YANQAL',	NULL,	'CU11211',	'YANQUL',	'YANQUL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1213,	'AL - THURAYA STAR INTERNATIONAL LLC',	NULL,	'CU11212',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1214,	'AL EZZA HYPERMARKET (EGG SALE)',	NULL,	'CU11213',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1215,	'AL JAHWARI INTERNATIONAL LLC - (SHOP-8)',	NULL,	'CU11214',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1216,	'AL QASBEA SHOPPING CENTER - EGG SALE',	NULL,	'CU11215',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1217,	'FRESH MART HYPERMARKET - SOHAR',	NULL,	'CU11216',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1218,	'HOTEL HYDERABAD - AL KHUWAIR',	NULL,	'CU11217',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1219,	'JAHED (BENGALI)',	NULL,	'CU11218',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1220,	'LULU HYPERMARKETS - OMAN',	NULL,	'CU11219',	'0',	'0',	'SHAMIR, ACCOUNTS PAYABLE-91395925',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1221,	'MANGO TALATH JUICE SHOP - BUALI',	NULL,	'CU11220',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1222,	'MANSOOR P - CASH SALES',	NULL,	'CU11221',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1223,	'MD MOHSIN - SUR',	NULL,	'CU11222',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1224,	'MUSCAT BAKERY',	NULL,	'CU11223',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1225,	'NATIONAL GIFT MARKET EGG SALE',	NULL,	'CU11224',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1226,	'NAZRUL SAIFUL (SU10361)',	NULL,	'CU11225',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:16',	NULL),
(1227,	'SAMA AL KHALEEJ ADAM - EGG SALE',	NULL,	'CU11226',	'ADAM',	'ADAM',	'SHAREEF - 98918576',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1228,	'TELAL SHOPPING -BARKA (EGG SALE)',	NULL,	'CU11227',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1229,	'VILLAGE HYPERMARKET - MULTAQA (EGGSALE)',	NULL,	'CU11228',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1230,	'MAJAN HYPER EGG SALE',	NULL,	'CU11229',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1231,	'AL BARARI MODERN ENGINEERING PROJECTS',	NULL,	'CU11230',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1232,	'ADVANCED FRANCHISE TRADING LLC - DOSE CAFE',	NULL,	'CU11231',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1233,	'VAN SALES  - S1',	NULL,	'CU11232',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1234,	'VAN SALES - S6',	NULL,	'CU11233',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1235,	'CRYSTAL HOSPITALITY LIMITED PARTNERSHIP (URBAN SEA FOOD)',	NULL,	'CU11234',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1236,	'PASSION UNITED L.L.C',	NULL,	'CU11235',	'0',	'0',	'93393309',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1237,	'THOUGHT E-COMMERCE L.L.C (RAFEEQ -ONLINE APP)',	NULL,	'CU11236',	'0',	'0',	'96492996',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1238,	'GOURMET CONCEP L.L.C (FILFUL)',	NULL,	'CU11237',	'0',	'0',	'98859073',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1239,	'CREATIVE CONCEPTS L.L.C (ZAHAR EL-LAYMOON)',	NULL,	'CU11238',	'0',	'0',	'98859073',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1240,	'MAHMOOD ALI ARAQI',	NULL,	'CU11239',	'0',	'0',	'99230927',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1241,	'SRINIVAS',	NULL,	'CU11240',	'0',	'0',	'99004255',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1242,	'SULAIMAN BATI SAID ARAQI',	NULL,	'CU11241',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1243,	'KHALID BATI SAID ARAQI',	NULL,	'CU11242',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1244,	'BIN ZAID INTERNATIONAL INVESTMENTS LLC',	NULL,	'CU11243',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1245,	'HUQQA (MODERN INVESTMENT FOR RESTAURANTS L.L.C)',	NULL,	'CU11244',	'MUSCAT',	'MUSCAT',	'93827358',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1246,	'MODERN LIFE STYLE ( AYADINA RESTAURANT )',	NULL,	'CU11245',	'0',	'0',	'96175866',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1247,	'UNITED STORES TRADING L.L.C',	NULL,	'CU11246',	'MUSCAT',	'MUSCAT',	'95080663',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1248,	'WAHAT ALHAYAH VEGETABLES & FRUITS TRADING L.L.C',	NULL,	'CU11247',	'0',	'0',	'971-55-4460445',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1249,	'PASSION CAFE MALL OF MUSCAT ( MUSCAT INTNL RESTAURANTS L.L.C )',	NULL,	'CU11248',	'0',	'0',	'93393309',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1250,	'THE GLOBAL TASTE LLC - ( CHANGE BURGER & MORE )',	NULL,	'CU11249',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1251,	'BOJANAM CAFE (ABU WALEED AL RAHBI INTERNATIONAL LLC)',	NULL,	'CU11250',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1252,	'TALABAT ELECTRONIC AND DELIVERY SERVICES LLC (ONLINE)',	NULL,	'CU11251',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1253,	'TALAEH AL SHARQIA TRADING EST',	NULL,	'CU11252',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1254,	'SAYAN LLC (DREWEL APP)',	NULL,	'CU11253',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1255,	'ABDUL KHADER ABDUL RAHMAN - (KHADER SHOP)',	NULL,	'CU11254',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1256,	'IHSAN JAVID (E-2128)',	NULL,	'CU11255',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1257,	'SULAIMAN AHEMED -  NIZWA',	NULL,	'CU11256',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1258,	'GRAND MART - NIZWA',	NULL,	'CU11257',	'NIZWA',	'NIZWA',	'97327279',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1259,	'ABDULLAH  - BARAKATH MOUSE',	NULL,	'CU11258',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1260,	'SAMI - BARKATH MOUSE',	NULL,	'CU11259',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1261,	'MASHARIYAH KAZAH TRADING (RIYAS)',	NULL,	'CU11260',	'0',	'0',	'95261841',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1262,	'AL SAJA MODERN EST. - IBRA',	NULL,	'CU11261',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1263,	'ABDUL KHADER KUNIYIL KANDY (AL NUR)',	NULL,	'CU11262',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1264,	'ANOOP SULOLAN - CASH SALES (E-2038)',	NULL,	'CU11263',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1265,	'ANJAS MUSCAT INTERNATIONAL LLC',	NULL,	'CU11264',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1266,	'TEEJAN JALAN COMPREHENSIVE TRADING',	NULL,	'CU11265',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1267,	'COMMERCIAL CATERING SERVICES LLC',	NULL,	'CU11266',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1268,	'ALLIANZ MIDDLEEAST SHIP MANAGEMENT LLC',	NULL,	'CU11267',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1269,	'NATIONAL MEASUREMENT COMPANY (AL SEEF HYPERMARKET - SOHAR)',	NULL,	'CU11268',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1270,	'OVERSEAS ENTERPRISES LLC',	NULL,	'CU11269',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1271,	'SHEIKH ZAKIR HUSSAIN - PAK',	NULL,	'CU11270',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1272,	'NAZIMUDEEN - CASH SALES (E-2009)',	NULL,	'CU11271',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1273,	'MARKEETEX (AL JAZEERA GLOBAL PROJECTS LLC)',	NULL,	'CU11272',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1274,	'NEW JUICE WORLD',	NULL,	'CU11273',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1275,	'SHEBIN - BDM (CASH SALES)',	NULL,	'CU11274',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1276,	'RED SUN TRADING LLC (ALAWI APP)',	NULL,	'CU11275',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1277,	'MARJAN SHOPPING ASRAR',	NULL,	'CU11276',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1278,	'DANA MODERN SHOPPING LLC (DANCO H/M)',	NULL,	'CU11277',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1279,	'AL ZAMAN HOSPITALITY LLC',	NULL,	'CU11278',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1280,	'AL KAWTHER LINE INTERNATIONAL LLC - (HYPERMARKET-ADAM)',	NULL,	'CU11279',	'ADAM',	'ADAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1281,	'NOOR MUZAIF & PARTNER L.L.C.',	NULL,	'CU11280',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1282,	'ADVANCED GATE INVESTMENT LLC (MUSCAT SHOPPING)',	NULL,	'CU11281',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1283,	'ROP PENSIONS TRUST L.L.C (CASH SUPPLY)',	NULL,	'CU11282',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1284,	'ACAI RESTAURANT - (CASH SUPPLY)',	NULL,	'CU11283',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1285,	'TALAL AKHZAMI TRADING (SHAHID)',	NULL,	'CU11284',	'MAWALEH MARKET',	'MAWALEH MARKET',	'92883337',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1286,	'WAQAS AHMAD GULZAR AHMAD',	NULL,	'CU11285',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1287,	'MOHAMED NASSER SAID AL RASHDI',	NULL,	'CU11286',	'MAWALEH MARKET',	'MAWALEH MARKET',	'95911300',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1288,	'MOHAMMED BELAL HOSSEN',	NULL,	'CU11287',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1289,	'MOHAMMAD SHOHEL MOHAMMAD DIDAR',	NULL,	'CU11288',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1290,	'CASH SALES C/O AHAMMAD KUNJU ABDUL SALAM - (E-2056)',	NULL,	'CU11289',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1291,	'AL QAIS SUPERMARKET',	NULL,	'CU11290',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1292,	'CASH SALES C/O ALTHAF ALI AKBAR (E-8435)',	NULL,	'CU11291',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1293,	'AL INAYA - RUSHTAQ',	NULL,	'CU11292',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1294,	'NAKHEEL HYPERMARKET - AL HAIL',	NULL,	'CU11293',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1295,	'BADAR SHOPPING CENTRE - AL KOUDH 6',	NULL,	'CU11294',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1296,	'SPEED SUPERSTORE - AL KHOUDH 6',	NULL,	'CU11295',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1297,	'SOHAR STAR UNITED LLC (SOHAR  STAFF MESS)',	NULL,	'CU11296',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1298,	'NASAR USMAN KUTTY',	NULL,	'CU11297',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1299,	'TEA TIME - AL KOUDH (HAMZA)',	NULL,	'CU11298',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1300,	'CASH SALES C/O MUHAMMED RAOOF (E-6537)',	NULL,	'CU11299',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1301,	'BARZMAN AL WADI TRAD AND CO',	NULL,	'CU11300',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1302,	'FRENCH BAKERY LLC',	NULL,	'CU11301',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1303,	'SOHAR GOLDEN LINE TRADE',	NULL,	'CU11302',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1304,	'ANWAR HAFIT AL MUTAMAYEZA TRADING',	NULL,	'CU11303',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1305,	'CASH SALES C/O MOHAMAD SHARIF (E-2050)',	NULL,	'CU11304',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1306,	'CASH SALES C/O SAJEER THONDIYAN (E-2068)',	NULL,	'CU11305',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1307,	'CASH SALES C/O ZESSHAN ALI (E-8202)',	NULL,	'CU11306',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1308,	'LAZAZ COLD STORE',	NULL,	'CU11307',	'MUSCAT',	'MUSCAT',	'99246468',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1309,	'SCATTERED CLOUD TRADE',	NULL,	'CU11308',	'0',	'0',	'93908799',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1310,	'FOODLANDS RESTAURANT (ATLAL AL WADI ENT. ASSO.)',	NULL,	'CU11309',	'0',	'0',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1311,	'CASH SALES C/O SHAAHID SULTHAN MANAKKATTU ABDUL RAHIM (E-2111)',	NULL,	'CU11310',	'OWN STAFF',	'OWN STAFF',	'91481761',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1312,	'CASH SALES C/O MUHAMMED ASHAR HANEEFA (E-2124)',	NULL,	'CU11311',	'OWN STAFF',	'OWN STAFF',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1313,	'HAYUM RAJEEV BENGALI (SU10637)',	NULL,	'CU11312',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1314,	'MOHAMMED LUKMAN MEAH (SU10655)',	NULL,	'CU11313',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1315,	'EXCEPTIONAL TRADING LINE L.L.C. - JUICE BOX',	NULL,	'CU11314',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1316,	'STUDENTS CONSUMER ESTABLISHMENT L.L.C.',	NULL,	'CU11315',	'SEEB',	'SEEB',	'SUJITH-99546954',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1317,	'THE CENTRAL SUPERMARKET',	NULL,	'CU11316',	'MUSCAT',	'MUSCAT',	'FAHAD-79105999',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1318,	'NOOR AL BAWARAQ L.L.C.',	NULL,	'CU11317',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1319,	'JOURIE RESTAURANT',	NULL,	'CU11318',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1320,	'TEA TIME - IZKI',	NULL,	'CU11319',	'IZKI',	'IZKI',	'NIYAS-98965636',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1321,	'MOHAMMED RIAZ AND PARTNER L.L.C.',	NULL,	'CU11320',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1322,	'KALATAL ABDULHAMEED',	NULL,	'CU11321',	'BURAIMI',	'BURAIMI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1323,	'SPECIAL DEALS TRADING',	NULL,	'CU11322',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1324,	'AZHUNGAL SAMEER (SHOP 20)',	NULL,	'CU11323',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1325,	'IBN TALIB AL BALUSHI TRAD. L.L.C. (SHARARA SHOPPING)',	NULL,	'CU11324',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1326,	'SAMA LIWA',	NULL,	'CU11325',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1327,	'ONE CLICK DELIVERY SERVICES',	NULL,	'CU11326',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1328,	'ISSA ZAHRAN ZAHIR AMBU SAIDI',	NULL,	'CU11327',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1329,	'SAINUDHEEN MELETHIL - BURAIMI (BIN KALFOTH)',	NULL,	'CU11328',	'BURAIMI',	'BURAIMI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1330,	'KHALID MOHD. HUMID AL KIYUMI TRAD.',	NULL,	'CU11329',	'BIDAYA',	'BIDAYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1331,	'ABDULLAH AL LOUYAHI TRAD (SU10675)',	NULL,	'CU11330',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1332,	'LOALAT AL WATAN ALBURNZIA SPC',	NULL,	'CU11331',	'RUSTAQ',	'RUSTAQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1333,	'MODERN MAZOON TOWERS LLC ( EGO KITCHEN )',	NULL,	'CU11332',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1334,	'TELY RESTAURANT',	NULL,	'CU11333',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1335,	'NAWAF - SAHAM',	NULL,	'CU11334',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1336,	'MUHAMMED IBRAHIM. P - DUQM',	NULL,	'CU11335',	'DUQM',	'DUQM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1337,	'HASSAN - HAMRA',	NULL,	'CU11336',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1338,	'NASSER SULAIMAN NASSER AL KINDI - NIZWA',	NULL,	'CU11337',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1339,	'MUHTHAZIM - NAKHAL',	NULL,	'CU11338',	'NAKHAL',	'NAKHAL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1340,	'SALAH - BARKA',	NULL,	'CU11339',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1341,	'NOUSHAD RAHAMATH MANZIL - IBRI',	NULL,	'CU11340',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1342,	'USMAN EBRAHIM - BURAIMI',	NULL,	'CU11341',	'BURAIMI',	'BURAIMI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1343,	'NASEER. K.T - AL HAIL',	NULL,	'CU11342',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1344,	'T. SULAIMAN SHIBU - AZAIBA',	NULL,	'CU11343',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1345,	'MUDAR BAHLANI - SAMAIL',	NULL,	'CU11344',	'SAMAIL',	'SAMAIL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1346,	'SHAJAHAN SULAIMAN - AZAIBA',	NULL,	'CU11345',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:17',	NULL),
(1347,	'LEPETIT PARIS',	NULL,	'CU11346',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1348,	'ANIL (DAS SALALAH)',	NULL,	'CU11347',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1349,	'ABDUL RAHMAN (SALALAH)',	NULL,	'CU11348',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1350,	'NEW MANGAL STEAKHOUSE (NOOR GULF ENTERPRISES LLC)',	NULL,	'CU11349',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1351,	'SALIM ABDULLAH SAID AL-HABSI - AL KHOUD',	NULL,	'CU11350',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1352,	'SHARON (M.RIYAZ STORE)',	NULL,	'CU11351',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1353,	'MONU - BURAIMI',	NULL,	'CU11352',	'BURAIMI',	'BURAIMI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1354,	'NOWSHAD. K.T.',	NULL,	'CU11353',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1355,	'LONDON CLEANING',	NULL,	'CU11354',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1356,	'TALABAT MART ( DELIVERY HERO STORES LLC )',	NULL,	'CU11355',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1357,	'AL ZAYAN SHOPPING CENTRE - BAHLA',	NULL,	'CU11356',	'BAHLA',	'BAHLA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1358,	'MUHAMMED BIN SALEM BIN AMER AL-FARSI - IBRI',	NULL,	'CU11357',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1359,	'KHADRA COFFEE SHOP',	NULL,	'CU11358',	'SUWAIQ',	'SUWAIQ',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1360,	'AL RAAZ SHOPPING - BARKA',	NULL,	'CU11359',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1361,	'AL WASET SUPERMARKET - NAKHAL',	NULL,	'CU11360',	'NAKHAL',	'NAKHAL',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1362,	'MY WAY RESTAURANT - BARKA',	NULL,	'CU11361',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1363,	'NASEEM AHMED - MAWALAH MARKET',	NULL,	'CU11362',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1364,	'MUHAMMED MAGIC - AL KHOUD',	NULL,	'CU11363',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1365,	'SALAM - RUWI',	NULL,	'CU11364',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1366,	'MUSTARD BURGER - AL KHOUD',	NULL,	'CU11365',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1367,	'CM DUBAI MART - MAWALAH',	NULL,	'CU11366',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1368,	'NAZEER MADAVOOR - AL KHUWAIR',	NULL,	'CU11367',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1369,	'TAJ BURGER',	NULL,	'CU11368',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1370,	'SHMOOS AL MAJID COLD STORE - AZAIBA',	NULL,	'CU11369',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1371,	'MOIDEEN HAJI - MUSANNAH',	NULL,	'CU11370',	'MUSANNAH',	'MUSANNAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1372,	'MOHAMMED NASER UDDIN MOHAMMED JAGIR HOSSEN - AL KAMIL',	NULL,	'CU11371',	'SUR',	'SUR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1373,	'ROBINS RUMMAN - BUALI',	NULL,	'CU11372',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1374,	'RAFEEQ - MABELA',	NULL,	'CU11373',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1375,	'DUBAI SHOPPING CENTER INT. LLC',	NULL,	'CU11374',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1376,	'ZAHID MASIH BARKET MASIH - IBRI',	NULL,	'CU11375',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1377,	'AL BARKA SUPERMARKET - RUWI',	NULL,	'CU11376',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1378,	'AL THAHIL - GHALA',	NULL,	'CU11377',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1379,	'RAGHAV - GHOBRA',	NULL,	'CU11378',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1380,	'OMAR AL KHAYYAM LLC',	NULL,	'CU11379',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1381,	'AL BANDAR - BUALI',	NULL,	'CU11380',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1382,	'HAMEED - WADI KABIR',	NULL,	'CU11381',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1383,	'ISSA SALEH MUBARAK SALEH AL YAAQUBI - IBRI',	NULL,	'CU11382',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1384,	'HASHIM KAROTTUKURUPPUKANDHATHIL SAINUDHEEN - MAWALEH MARKET',	NULL,	'CU11383',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1385,	'NOUFAL CHOLAYIL MUHAMMEDKUTTY - MAWALEH MARKET',	NULL,	'CU11384',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1386,	'THOUFEEQ - AL HAIL',	NULL,	'CU11385',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1387,	'LUQMAN BANGALI (SU10315)',	NULL,	'CU11386',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1388,	'AL SAHM AL KHALIJI - BOWSHER',	NULL,	'CU11387',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1389,	'ARAFAT JAFAR AHAMMAD - SHERADI',	NULL,	'CU11388',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1390,	'2 BROTHERS HATHATH COMPLEX - RUWI',	NULL,	'CU11389',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1391,	'MAHMOOD IRANI - BOWSHER',	NULL,	'CU11390',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1392,	'DIMA SUPERMARKET - SEEB',	NULL,	'CU11391',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1393,	'AMAZING BURGER - GHALA',	NULL,	'CU11392',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1394,	'LEBANON CAFE - AL KHUWAIR',	NULL,	'CU11393',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1395,	'AMEEN - AL KHOUD',	NULL,	'CU11394',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1396,	'SAID - GHOBRA',	NULL,	'CU11395',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1397,	'ADIL ABDALLAH FARHAN AL BUSAIDI - AMRATH',	NULL,	'CU11396',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1398,	'MSHARY AL WRYD LLTJART',	NULL,	'CU11397',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1399,	'TALAL AL AKHZAMI INTERNATIONAL LLC (BARATH) - (SU10454)',	NULL,	'CU11398',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1400,	'WALEED SAIF NASSER AL HASANI - AZAIBA',	NULL,	'CU11399',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1401,	'NIYAS - BARKA',	NULL,	'CU11400',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1402,	'JASEEL - BARKA',	NULL,	'CU11401',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1403,	'GREEN HOUSE - AL KHUWAIR',	NULL,	'CU11402',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1404,	'OASIS GRACE LLC',	NULL,	'CU11403',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1405,	'PRADEEP SANAYA',	NULL,	'CU11404',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1406,	'RUBEL BANGALI - SAHAM',	NULL,	'CU11405',	'SAHAM',	'SAHAM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1407,	'SHAMSHAD PORT',	NULL,	'CU11406',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1408,	'JINAN (NOUFAL) AQAR',	NULL,	'CU11407',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1409,	'JABIR OMANI',	NULL,	'CU11408',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1410,	'SHAMS SAHAM',	NULL,	'CU11409',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1411,	'NABEEL BANGALI',	NULL,	'CU11410',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1412,	'ANSAR FURFARA',	NULL,	'CU11411',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1413,	'BADAR ABDULLAH ALI AL MAQBALI - AL TAREEF',	NULL,	'CU11412',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1414,	'KASSIM ONION',	NULL,	'CU11413',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1415,	'MUBARAK SOHAR',	NULL,	'CU11414',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1416,	'AJMAL FAYIS PAPPANADAN',	NULL,	'CU11415',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1417,	'RETHAN TARIF',	NULL,	'CU11416',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1418,	'GOPAL SOHAR SHOP NO 28',	NULL,	'CU11417',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1419,	'AHMED QURIYAT',	NULL,	'CU11418',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1420,	'HAMAD SALEH ALI ALABRI - MAWALEH',	NULL,	'CU11419',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1421,	'AL HUMAIDHY JERDA',	NULL,	'CU11420',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1422,	'JERDA SHOPPING CENTERE',	NULL,	'CU11421',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1423,	'NASSAR SAIF KHAMIS AL AMRI - BARKA',	NULL,	'CU11422',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1424,	'URBANIZATION FOR DEVELOPMENT LLC (TM DONE)',	NULL,	'CU11423',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1425,	'ABDUL MALIK SAIF SALIM AL-KHAROUSI',	NULL,	'CU11424',	'AMARAT',	'AMARAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1426,	'AL-THAER MODERN TRADE (SHANI)',	NULL,	'CU11425',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1427,	'ELYAN INTERNATIONAL LLC (REVEAL CAFE)',	NULL,	'CU11426',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1428,	'SUKOON RESTAURANT - AL MOUJ',	NULL,	'CU11427',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1429,	'SOUTH EXPRESS RESTAURANT RUWI',	NULL,	'CU11428',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1430,	'AL THIMAR UNITED BUSINESS PROJECTS L.L.C (SU10533)',	NULL,	'CU11429',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1431,	'CAVIER FOOD SERVICE (GOURMET SUPPLY SPC)',	NULL,	'CU11430',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1432,	'WAGYU (BASHAYER AL BARAKAH AL ARABIYA TRADING)',	NULL,	'CU11431',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1433,	'FIRST GLOBAL HOTELS&TOURISM LLC (BEST WESTERN PREMIER)',	NULL,	'CU11432',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1434,	'JASEEM (JALALI)',	NULL,	'CU11433',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1435,	'BRIGHT STARS TRADING',	NULL,	'CU11434',	'DUQM',	'DUQM',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1436,	'UNITED INTERNATIONAL L.L.C (SU10684)',	NULL,	'CU11435',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1437,	'ALAM GIR - SEEB',	NULL,	'CU11436',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1438,	'HITHAM RESTAURANT - AL KHUWAIR',	NULL,	'CU11437',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1439,	'TOP FASHION INTERNATIONAL - AL KHOUD',	NULL,	'CU11438',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1440,	'THAIBA SUPERMARKET- AL KHUWAIR',	NULL,	'CU11439',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1441,	'SHAWAMAK AL SHARIQ TRAD',	NULL,	'CU11440',	'IBRA',	'IBRA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1442,	'KERTAJ GOLDEN ENTERPRISES (OMAN THATTUKADA)',	NULL,	'CU11441',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1443,	'BASTA MUSCAT LLC',	NULL,	'CU11442',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1444,	'MOHAMMAD SAALI (BIDIYA-EGG)- (SU10646)',	NULL,	'CU11443',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1445,	'RAJAN - GOLDENWAYS',	NULL,	'CU11444',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1446,	'HAMZA - AWKIYA',	NULL,	'CU11445',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1447,	'MARWAN SALALAH',	NULL,	'CU11446',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1448,	'ASLAM - AL DUJA',	NULL,	'CU11447',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1449,	'AL BESRAWI TRADE (SU10681)',	NULL,	'CU11448',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1450,	'YOUNUS BARKA',	NULL,	'CU11449',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1451,	'AL ASEEL FIRST COMPANY (FOOD STUDIO)',	NULL,	'CU11450',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1452,	'MODERN HIGH HIGHNESS LLC',	NULL,	'CU11451',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1453,	'MUBARAK HAMED SALIM AL ISAEE',	NULL,	'CU11452',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1454,	'BASHAYR HILLAT AL BURJ GOLD',	NULL,	'CU11453',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1455,	'RAMSHAD DUNK',	NULL,	'CU11454',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1456,	'MODERN WAQBA SHOPPING CENTER',	NULL,	'CU11455',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1457,	'AL BUWAIRIDA NATIONAL ENT',	NULL,	'CU11456',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1458,	'RIYAHA AL- WAQBA',	NULL,	'CU11457',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1459,	'ANUD AL SHEMAL TRADING',	NULL,	'CU11458',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1460,	'CLARAS',	NULL,	'CU11459',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1461,	'WAHAT AL BUWAIRIDA SHOPPING',	NULL,	'CU11460',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1462,	'ALI BIN ABDULLAH TRAD',	NULL,	'CU11461',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1463,	'AL SAFIR FOOD STUFF',	NULL,	'CU11462',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1464,	'DANAT YAQUL',	NULL,	'CU11463',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1465,	'SHERRA SALLAN TRAD',	NULL,	'CU11464',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1466,	'SULTAN CENTRE LLC',	NULL,	'CU11465',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1467,	'ANUD AL SHEMAL TRADING PROJECT',	NULL,	'CU11466',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1468,	'SHAHAM AL DHAHERAH TRAD',	NULL,	'CU11467',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1469,	'AL SHOORQ',	NULL,	'CU11468',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1470,	'ABDUL RAHEEM KOYILOTTRA - BUALI',	NULL,	'CU11469',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1471,	'JUST FRESH JUICE - HAIL',	NULL,	'CU11470',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1472,	'MURTAFAT AL HARRAM TRADING (KHALID KUTTIKATTIL)',	NULL,	'CU11471',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1473,	'AZIZ TITOON SULAIYAM AL HASHIMI',	NULL,	'CU11472',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1474,	'SAMCO TRADING & CONT CO. LLC',	NULL,	'CU11473',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1475,	'INTERCITY HOTEL NIZWA (NIZWA INTEGRATED REAL ESTATE)',	NULL,	'CU11474',	'NIZWA',	'NIZWA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1476,	'TRANS SHIPPING SERVICE LLC',	NULL,	'CU11475',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1477,	'YANABEA KAHF AL HOUTH TRAD',	NULL,	'CU11476',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1478,	'SULAIMAN (BENGALI) (SU10447)',	NULL,	'CU11477',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1479,	'SUBAIR (CUCUMBER) (SU10443)',	NULL,	'CU11478',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1480,	'LOW CALORIE CAFE (MODERN INTERNATIONAL RESTAURANTS LLC)',	NULL,	'CU11479',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1481,	'SUN CAPITAL BUSINESS LLC',	NULL,	'CU11480',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1482,	'NOOR AL TAREEF SHOPPING (BADER AL ZAMAN INTERNATIONAL LLC)',	NULL,	'CU11481',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1483,	'LEBNANEES VILLAGE - AL KHUWAIR',	NULL,	'CU11482',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1484,	'ABDUL THANVEER PADINHARAKATH - GHALA',	NULL,	'CU11483',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1485,	'ZAKARIYA SULAIMAN ABDULLAH SAIF AL SHAMLI',	NULL,	'CU11484',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1486,	'ARAB WORLD RESTAURANT',	NULL,	'CU11485',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1487,	'COMERCIAL CONSUMER COMPLEX',	NULL,	'CU11486',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1488,	'AMAL PAUL (MURTAFAT IBRI MUSIYA)',	NULL,	'CU11487',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1489,	'SHAL ATEEN AL RAEDAENT',	NULL,	'CU11488',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1490,	'SALAM DHUNK',	NULL,	'CU11489',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1491,	'PAK HOTEL DHUNK',	NULL,	'CU11490',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1492,	'MASOOD DHUNK',	NULL,	'CU11491',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1493,	'NASER YANGAL',	NULL,	'CU11492',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1494,	'IBRAHIM DOODU',	NULL,	'CU11493',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1495,	'JOSHIM SENENA',	NULL,	'CU11494',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1496,	'AMEER SENENA',	NULL,	'CU11495',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1497,	'ARROW OVERSEAS (KALFAN FARSI)',	NULL,	'CU11496',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1498,	'ALI DHUNK',	NULL,	'CU11497',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1499,	'AL QIMMA DHUNK',	NULL,	'CU11498',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1500,	'FARHAD DHUNK',	NULL,	'CU11499',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1501,	'MAJED SALEM AL UMIRI TRADE',	NULL,	'CU11500',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1502,	'RASHID BIN AL SABAA BIN ALI AL BADI TRADE',	NULL,	'CU11501',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1503,	'WAJHAT DHUNK (MAMMUN DHUNK)',	NULL,	'CU11502',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1504,	'SAIF BIN KHAMIS AL YAHYAE TRADE (HAMDAN DHUNK)',	NULL,	'CU11503',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1505,	'WAHAT AL SULAIF',	NULL,	'CU11504',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1506,	'YOUSAF SENENA (MOHAMMED BIN AHAMED BIN MUFTHA)',	NULL,	'CU11505',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1507,	'RAHIM DHUNK JUICE SHOP',	NULL,	'CU11506',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1508,	'MOOSA HAJAR (AL MADEENA)',	NULL,	'CU11507',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1509,	'ASHRAF CHERIYA PARAMBATH',	NULL,	'CU11508',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1510,	'JUBAYYA (COMMERCIAL COMPLEX)',	NULL,	'CU11509',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1511,	'AL MAZHAR TRADE (PAK HOTEL IBRI)',	NULL,	'CU11510',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1512,	'RAWABI AL JUBAIYA TRADE',	NULL,	'CU11511',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1513,	'SAMA HAJEERMANT TRADE',	NULL,	'CU11512',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1514,	'HAZZAA BIN SAIF BIN SAID AL SAID - IDRIZ',	NULL,	'CU11513',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1515,	'MARAQI AL AAZ TRAD',	NULL,	'CU11514',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1516,	'LAMAST FIDA TRADE',	NULL,	'CU11515',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1517,	'AL SAHAM IBRI AL QARAT',	NULL,	'CU11516',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1518,	'RAWABI AL HAIL TRADE',	NULL,	'CU11517',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1519,	'ZAYAN AL MADINA SHOPPING CENTER',	NULL,	'CU11518',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1520,	'ROYAL AL JUBAIYA TRADE',	NULL,	'CU11519',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1521,	'AZ AL HOMANIA TRADING',	NULL,	'CU11520',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1522,	'MOHAMMAD SYFUL MD BILLAL',	NULL,	'CU11521',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1523,	'QASIM HAMDAN SAID HAMED AL MUQARSHI',	NULL,	'CU11522',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1524,	'RASEL YANGAL HOTEL',	NULL,	'CU11523',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1525,	'AL HAYAL SHOPPING CENTER',	NULL,	'CU11524',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1526,	'WAHAD DOHORIYA',	NULL,	'CU11525',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1527,	'SHALALAT AL GHUBAIRA GOLDEN ENT (OSMAN)',	NULL,	'CU11526',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1528,	'MOHAMMED HASAN - SHELL',	NULL,	'CU11527',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1529,	'DHUNK SUPER MARKET (M.S MAHEEN)',	NULL,	'CU11528',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1530,	'ABDULLAH DHUNK',	NULL,	'CU11529',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1531,	'BAWADI AL SULAF TRADE',	NULL,	'CU11530',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1532,	'ABDULLAH ALI SHAMILI',	NULL,	'CU11531',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1533,	'RABUAAL ABLA TRADE',	NULL,	'CU11532',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1534,	'SALIM MUFTAH SHOPPING',	NULL,	'CU11533',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1535,	'AZAN NASSER SULAIMAN ALI AL SHAMILI',	NULL,	'CU11534',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1536,	'DAWOOD MUSABAH SAIF ABDULLAH AL-QATBI',	NULL,	'CU11535',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1537,	'AL MADEENA HYPERMARKET - SUWAIQI',	NULL,	'CU11536',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1538,	'OMAN COOP (TATWIR SHINAS LLAC)',	NULL,	'CU11537',	'BARKA',	'BARKA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1539,	'ASEER TIME BIDIYA',	NULL,	'CU11538',	'BIDIYA',	'BIDIYA',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1540,	'ZEEMA SHOPPING - BUALI',	NULL,	'CU11539',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1541,	'MIRZAD PUTHIYA VEETUMKANDY - (BUALI)',	NULL,	'CU11540',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1542,	'WARDAT MAJEES TRAD LLC',	NULL,	'CU11541',	'SOHAR',	'SOHAR',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1543,	'AL YEMENI MAKBOOS RESTAURANT (BUALI)',	NULL,	'CU11542',	'BU ALI',	'BU ALI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1544,	'MIDRAR SHOPPING CENTRE (SULTAN SAID AL SIYABI TRADING)',	NULL,	'CU11543',	'MUSCAT',	'MUSCAT',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1545,	'MASHARY AL BAROON',	NULL,	'CU11544',	'SINAW',	'SINAW',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1546,	'TRISTAR FREIGHT SERVICES & LOGISTICS LLC',	NULL,	'CU11545',	'MUSCAT',	'MUSCAT',	'95126942',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1547,	'BEST SOLUTION LLC (SU-10212)',	NULL,	'CU11546',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1548,	'UNITED INTERNATIONAL FOODS LLC',	NULL,	'CU11547',	'SEEB',	'SEEB',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1549,	'ZAHRAT HALBOON TRADING (AP-SU10542)',	NULL,	'CU11548',	'MAWALEH MARKET',	'MAWALEH MARKET',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1550,	'AL MANAL INTERNATIONAL LLC (CHICK KING)',	NULL,	'CU11549',	'BARKA',	'BARKA',	'93214508',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1551,	'GLOBAL IMMUNITY TRADING CO.',	NULL,	'CU11550',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1552,	'VACHAS SUPER MKT - TAQA',	NULL,	'CU11551',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1553,	'AALAMGHEER BENGALI',	NULL,	'CU11552',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1554,	'ABBAS ALRAHMA MKT',	NULL,	'CU11553',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:18',	NULL),
(1555,	'ABBAS NO:5',	NULL,	'CU11554',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1556,	'ABDULLAH MESS',	NULL,	'CU11555',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1557,	'ABDULLAH SAID C/O HASHIM',	NULL,	'CU11556',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1558,	'ABDULLA KOYLANDI',	NULL,	'CU11557',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1559,	'ABDUL RAHIMAN SAADA',	NULL,	'CU11558',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1560,	'ADIL MISIRI',	NULL,	'CU11559',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1561,	'AKRAM SAADA',	NULL,	'CU11560',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1562,	'AL ASAS TRADING CO',	NULL,	'CU11561',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1563,	'ALAWI HOME',	NULL,	'CU11562',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1564,	'ALBITH',	NULL,	'CU11563',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1565,	'ALI KUTTIYADI',	NULL,	'CU11564',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1566,	'ALIPPU',	NULL,	'CU11565',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1567,	'ALI YAMEN',	NULL,	'CU11566',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1568,	'AL - JEBALI TRADING L.L.C - SALALAH',	NULL,	'CU11567',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1569,	'ALJOOD RESTAURANT',	NULL,	'CU11568',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1570,	'AL KHAREEF SUPER MKT',	NULL,	'CU11569',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1571,	'AL KHUTAINI',	NULL,	'CU11570',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1572,	'ALNAS REST',	NULL,	'CU11571',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1573,	'AL SHAM FRUITS & JUICE',	NULL,	'CU11572',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1574,	'ANADHAN',	NULL,	'CU11573',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1575,	'ANEESH PATTAMBI',	NULL,	'CU11574',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1576,	'ANIL MARKET HAFA',	NULL,	'CU11575',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1577,	'ANVAR MARBAT',	NULL,	'CU11576',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1578,	'ASHOKAN MKT',	NULL,	'CU11577',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1579,	'BABU',	NULL,	'CU11578',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1580,	'BALAN HAFA',	NULL,	'CU11579',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1581,	'BANGALI',	NULL,	'CU11580',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1582,	'BUSIA',	NULL,	'CU11581',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1583,	'DHOFAR RESTAURANT CATERING',	NULL,	'CU11582',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1584,	'FIROZ BENGALI - 92691840',	NULL,	'CU11583',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1585,	'GOPAL (STAFF)',	NULL,	'CU11584',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1586,	'HARIS',	NULL,	'CU11585',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1587,	'HASHIM HOME',	NULL,	'CU11586',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1588,	'HASHIM TAQA',	NULL,	'CU11587',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1589,	'HASSAN MKT',	NULL,	'CU11588',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1590,	'HASSHIM DRIVER',	NULL,	'CU11589',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1591,	'HILAL C/O GOPALAN',	NULL,	'CU11590',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1592,	'ISLAM MISIRI',	NULL,	'CU11591',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1593,	'JAHANGEER DHARIS',	NULL,	'CU11592',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1594,	'JAWHAR.MKT',	NULL,	'CU11593',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1595,	'KHAREEF SAADA',	NULL,	'CU11594',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1596,	'KISHOR',	NULL,	'CU11595',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1597,	'KOYA KOYLANDY',	NULL,	'CU11596',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1598,	'KRISHNAN HAFA',	NULL,	'CU11597',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1599,	'KUNCHI MOHAMMED KOYILANDY',	NULL,	'CU11598',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1600,	'KUNCHIPPA',	NULL,	'CU11599',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1601,	'MADAARI',	NULL,	'CU11600',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1602,	'MANGALYA HOTEL',	NULL,	'CU11601',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1603,	'MANOJ SAADA',	NULL,	'CU11602',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1604,	'MARIYAM OMANI 98165337',	NULL,	'CU11603',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1605,	'MASHOOD GARBIYA',	NULL,	'CU11604',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1606,	'MOHAMMED ARABI MIRBAT',	NULL,	'CU11605',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1607,	'MOHAMMED MIRBAT C/O PATTAMBI',	NULL,	'CU11606',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1608,	'MOIDUTTY ENGEERI VALAPPIL',	NULL,	'CU11607',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1609,	'MOOSA NO:5',	NULL,	'CU11608',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1610,	'MUHAMMED AKAK',	NULL,	'CU11609',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1611,	'MUHAMMED KUTTY HAFA',	NULL,	'CU11610',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1612,	'MUHAMMED SALALAH MALL',	NULL,	'CU11611',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1613,	'MUNEER HUSSAIN SHOP NO:140 MKT',	NULL,	'CU11612',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1614,	'MUSALLAM.TAQA',	NULL,	'CU11613',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1615,	'MUTHALIB',	NULL,	'CU11614',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1616,	'NISHAD',	NULL,	'CU11615',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1617,	'NOWSHAD 92570525',	NULL,	'CU11616',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1618,	'RAFEEQ(C/O ABDU)',	NULL,	'CU11617',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1619,	'RAJAN MARKET',	NULL,	'CU11618',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1620,	'RAVI MRKET',	NULL,	'CU11619',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1621,	'REGENCY RESTAURANT (USMAN)',	NULL,	'CU11620',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1622,	'RIYAS MARKET',	NULL,	'CU11621',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1623,	'ROB RUMAN',	NULL,	'CU11622',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1624,	'SADAF RESTAURANT',	NULL,	'CU11623',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1625,	'SAID ALAWI',	NULL,	'CU11624',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1626,	'SALAM KP',	NULL,	'CU11625',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1627,	'SATHAR BENGALY',	NULL,	'CU11626',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1628,	'SHAFI.EGG',	NULL,	'CU11627',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1629,	'SHAHEER (KABEERKKA)',	NULL,	'CU11628',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1630,	'SHAHEER TAQA',	NULL,	'CU11629',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1631,	'SHANAVAS',	NULL,	'CU11630',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1632,	'SHIHAB MIRBAT',	NULL,	'CU11631',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1633,	'SHINOY MARKET',	NULL,	'CU11632',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1634,	'SHOWKATH',	NULL,	'CU11633',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1635,	'SHUKKOOR',	NULL,	'CU11634',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1636,	'STAFF MOHAMMED UNNI',	NULL,	'CU11635',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1637,	'STAFF NOUFAL',	NULL,	'CU11636',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1638,	'STAFF RAJESH',	NULL,	'CU11637',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1639,	'SUMESH (TAXI)',	NULL,	'CU11638',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1640,	'SURESH.SANAYA',	NULL,	'CU11639',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1641,	'TEA TIME (DHARIZ)',	NULL,	'CU11640',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1642,	'THALASSERY RESTAURANT SALALAH',	NULL,	'CU11641',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1643,	'TOYATA MESS',	NULL,	'CU11642',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1644,	'YASEEN (BANGALI SANAYA)',	NULL,	'CU11643',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1645,	'ZAHRAT BEIRUT',	NULL,	'CU11644',	'SALALAH',	'SALALAH',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1646,	'MOHSIN DHUNK',	NULL,	'CU11645',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1647,	'SUHAIL DHUNK',	NULL,	'CU11646',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1648,	'FUNKY MANGO',	NULL,	'CU11647',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1649,	'MARJAN IBRI',	NULL,	'CU11648',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1650,	'MD SALAHUDHEEN',	NULL,	'CU11649',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1651,	'MUNEER VALAPPADAN KANDY',	NULL,	'CU11650',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1652,	'LIYAKATH PAKISTHANI HOTEL',	NULL,	'CU11651',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL),
(1653,	'IBN RAKI',	NULL,	'CU11652',	'IBRI',	'IBRI',	'0',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	2,	5,	NULL,	6,	NULL,	'2021-04-07 12:05:32',	'2021-04-07 03:29:19',	NULL);

DROP TABLE IF EXISTS `customer_locations`;
CREATE TABLE `customer_locations` (
  `id` int(15) NOT NULL AUTO_INCREMENT,
  `customer_id` int(15) NOT NULL,
  `location_id` int(15) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `customer_locations` (`id`, `customer_id`, `location_id`) VALUES
(1,	2,	1),
(2,	3,	1),
(3,	4,	1),
(4,	5,	1),
(5,	6,	1),
(6,	7,	1),
(7,	8,	1),
(8,	9,	1),
(9,	10,	1),
(10,	11,	1),
(11,	12,	1),
(12,	13,	1),
(13,	14,	1),
(14,	15,	1),
(15,	16,	1),
(16,	17,	1),
(17,	18,	1),
(18,	19,	1),
(19,	20,	1),
(20,	21,	1),
(21,	22,	1),
(22,	23,	1),
(23,	24,	1),
(24,	25,	1),
(25,	26,	1),
(26,	27,	1),
(27,	28,	1),
(28,	29,	1),
(29,	30,	1),
(30,	31,	1),
(31,	32,	1),
(32,	33,	1),
(33,	34,	1),
(34,	35,	1),
(35,	36,	1),
(36,	37,	1),
(37,	38,	1),
(38,	39,	1),
(39,	40,	1),
(40,	41,	1),
(41,	42,	1),
(42,	43,	1),
(43,	44,	1),
(44,	45,	1),
(45,	46,	1),
(46,	47,	1),
(47,	48,	1),
(48,	49,	1),
(49,	50,	1),
(50,	51,	1),
(51,	52,	1),
(52,	53,	1),
(53,	54,	1),
(54,	55,	1),
(55,	56,	1),
(56,	57,	1),
(57,	58,	1),
(58,	59,	1),
(59,	60,	1),
(60,	61,	1),
(61,	62,	1),
(62,	63,	1),
(63,	64,	1),
(64,	65,	1),
(65,	66,	1),
(66,	67,	1),
(67,	68,	1),
(68,	69,	1),
(69,	70,	1),
(70,	71,	1),
(71,	72,	1),
(72,	73,	1),
(73,	74,	1),
(74,	75,	1),
(75,	76,	1),
(76,	77,	1),
(77,	78,	1),
(78,	79,	1),
(79,	80,	1),
(80,	81,	1),
(81,	82,	1),
(82,	83,	1),
(83,	84,	1),
(84,	85,	1),
(85,	86,	1),
(86,	87,	1),
(87,	88,	1),
(88,	89,	1),
(89,	90,	1),
(90,	91,	1),
(91,	92,	1),
(92,	93,	1),
(93,	94,	1),
(94,	95,	1),
(95,	96,	1),
(96,	97,	1),
(97,	98,	1),
(98,	99,	1),
(99,	100,	1),
(100,	101,	1),
(101,	102,	1),
(102,	103,	1),
(103,	104,	1),
(104,	105,	1),
(105,	106,	1),
(106,	107,	1),
(107,	108,	1),
(108,	109,	1),
(109,	110,	1),
(110,	111,	1),
(111,	112,	1),
(112,	113,	1),
(113,	114,	1),
(114,	115,	1),
(115,	116,	1),
(116,	117,	1),
(117,	118,	1),
(118,	119,	1),
(119,	120,	1),
(120,	121,	1),
(121,	122,	1),
(122,	123,	1),
(123,	124,	1),
(124,	125,	1),
(125,	126,	1),
(126,	127,	1),
(127,	128,	1),
(128,	129,	1),
(129,	130,	1),
(130,	131,	1),
(131,	132,	1),
(132,	133,	1),
(133,	134,	1),
(134,	135,	1),
(135,	136,	1),
(136,	137,	1),
(137,	138,	1),
(138,	139,	1),
(139,	140,	1),
(140,	141,	1),
(141,	142,	1),
(142,	143,	1),
(143,	144,	1),
(144,	145,	1),
(145,	146,	1),
(146,	147,	1),
(147,	148,	1),
(148,	149,	1),
(149,	150,	1),
(150,	151,	1),
(151,	152,	1),
(152,	153,	1),
(153,	154,	1),
(154,	155,	1),
(155,	156,	1),
(156,	157,	1),
(157,	158,	1),
(158,	159,	1),
(159,	160,	1),
(160,	161,	1),
(161,	162,	1),
(162,	163,	1),
(163,	164,	1),
(164,	165,	1),
(165,	166,	1),
(166,	167,	1),
(167,	168,	1),
(168,	169,	1),
(169,	170,	1),
(170,	171,	1),
(171,	172,	1),
(172,	173,	1),
(173,	174,	1),
(174,	175,	1),
(175,	176,	1),
(176,	177,	1),
(177,	178,	1),
(178,	179,	1),
(179,	180,	1),
(180,	181,	1),
(181,	182,	1),
(182,	183,	1),
(183,	184,	1),
(184,	185,	1),
(185,	186,	1),
(186,	187,	1),
(187,	188,	1),
(188,	189,	1),
(189,	190,	1),
(190,	191,	1),
(191,	192,	1),
(192,	193,	1),
(193,	194,	1),
(194,	195,	1),
(195,	196,	1),
(196,	197,	1),
(197,	198,	1),
(198,	199,	1),
(199,	200,	1),
(200,	201,	1),
(201,	202,	1),
(202,	203,	1),
(203,	204,	1),
(204,	205,	1),
(205,	206,	1),
(206,	207,	1),
(207,	208,	1),
(208,	209,	1),
(209,	210,	1),
(210,	211,	1),
(211,	212,	1),
(212,	213,	1),
(213,	214,	1),
(214,	215,	1),
(215,	216,	1),
(216,	217,	1),
(217,	218,	1),
(218,	219,	1),
(219,	220,	1),
(220,	221,	1),
(221,	222,	1),
(222,	223,	1),
(223,	224,	1),
(224,	225,	1),
(225,	226,	1),
(226,	227,	1),
(227,	228,	1),
(228,	229,	1),
(229,	230,	1),
(230,	231,	1),
(231,	232,	1),
(232,	233,	1),
(233,	234,	1),
(234,	235,	1),
(235,	236,	1),
(236,	237,	1),
(237,	238,	1),
(238,	239,	1),
(239,	240,	1),
(240,	241,	1),
(241,	242,	1),
(242,	243,	1),
(243,	244,	1),
(244,	245,	1),
(245,	246,	1),
(246,	247,	1),
(247,	248,	1),
(248,	249,	1),
(249,	250,	1),
(250,	251,	1),
(251,	252,	1),
(252,	253,	1),
(253,	254,	1),
(254,	255,	1),
(255,	256,	1),
(256,	257,	1),
(257,	258,	1),
(258,	259,	1),
(259,	260,	1),
(260,	261,	1),
(261,	262,	1),
(262,	263,	1),
(263,	264,	1),
(264,	265,	1),
(265,	266,	1),
(266,	267,	1),
(267,	268,	1),
(268,	269,	1),
(269,	270,	1),
(270,	271,	1),
(271,	272,	1),
(272,	273,	1),
(273,	274,	1),
(274,	275,	1),
(275,	276,	1),
(276,	277,	1),
(277,	278,	1),
(278,	279,	1),
(279,	280,	1),
(280,	281,	1),
(281,	282,	1),
(282,	283,	1),
(283,	284,	1),
(284,	285,	1),
(285,	286,	1),
(286,	287,	1),
(287,	288,	1),
(288,	289,	1),
(289,	290,	1),
(290,	291,	1),
(291,	292,	1),
(292,	293,	1),
(293,	294,	1),
(294,	295,	1),
(295,	296,	1),
(296,	297,	1),
(297,	298,	1),
(298,	299,	1),
(299,	300,	1),
(300,	301,	1),
(301,	302,	1),
(302,	303,	1),
(303,	304,	1),
(304,	305,	1),
(305,	306,	1),
(306,	307,	1),
(307,	308,	1),
(308,	309,	1),
(309,	310,	1),
(310,	311,	1),
(311,	312,	1),
(312,	313,	1),
(313,	314,	1),
(314,	315,	1),
(315,	316,	1),
(316,	317,	1),
(317,	318,	1),
(318,	319,	1),
(319,	320,	1),
(320,	321,	1),
(321,	322,	1),
(322,	323,	1),
(323,	324,	1),
(324,	325,	1),
(325,	326,	1),
(326,	327,	1),
(327,	328,	1),
(328,	329,	1),
(329,	330,	1),
(330,	331,	1),
(331,	332,	1),
(332,	333,	1),
(333,	334,	1),
(334,	335,	1),
(335,	336,	1),
(336,	337,	1),
(337,	338,	1),
(338,	339,	1),
(339,	340,	1),
(340,	341,	1),
(341,	342,	1),
(342,	343,	1),
(343,	344,	1),
(344,	345,	1),
(345,	346,	1),
(346,	347,	1),
(347,	348,	1),
(348,	349,	1),
(349,	350,	1),
(350,	351,	1),
(351,	352,	1),
(352,	353,	1),
(353,	354,	1),
(354,	355,	1),
(355,	356,	1),
(356,	357,	1),
(357,	358,	1),
(358,	359,	1),
(359,	360,	1),
(360,	361,	1),
(361,	362,	1),
(362,	363,	1),
(363,	364,	1),
(364,	365,	1),
(365,	366,	1),
(366,	367,	1),
(367,	368,	1),
(368,	369,	1),
(369,	370,	1),
(370,	371,	1),
(371,	372,	1),
(372,	373,	1),
(373,	374,	1),
(374,	375,	1),
(375,	376,	1),
(376,	377,	1),
(377,	378,	1),
(378,	379,	1),
(379,	380,	1),
(380,	381,	1),
(381,	382,	1),
(382,	383,	1),
(383,	384,	1),
(384,	385,	1),
(385,	386,	1),
(386,	387,	1),
(387,	388,	1),
(388,	389,	1),
(389,	390,	1),
(390,	391,	1),
(391,	392,	1),
(392,	393,	1),
(393,	394,	1),
(394,	395,	1),
(395,	396,	1),
(396,	397,	1),
(397,	398,	1),
(398,	399,	1),
(399,	400,	1),
(400,	401,	1),
(401,	402,	1),
(402,	403,	1),
(403,	404,	1),
(404,	405,	1),
(405,	406,	1),
(406,	407,	1),
(407,	408,	1),
(408,	409,	1),
(409,	410,	1),
(410,	411,	1),
(411,	412,	1),
(412,	413,	1),
(413,	414,	1),
(414,	415,	1),
(415,	416,	1),
(416,	417,	1),
(417,	418,	1),
(418,	419,	1),
(419,	420,	1),
(420,	421,	1),
(421,	422,	1),
(422,	423,	1),
(423,	424,	1),
(424,	425,	1),
(425,	426,	1),
(426,	427,	1),
(427,	428,	1),
(428,	429,	1),
(429,	430,	1),
(430,	431,	1),
(431,	432,	1),
(432,	433,	1),
(433,	434,	1),
(434,	435,	1),
(435,	436,	1),
(436,	437,	1),
(437,	438,	1),
(438,	439,	1),
(439,	440,	1),
(440,	441,	1),
(441,	442,	1),
(442,	443,	1),
(443,	444,	1),
(444,	445,	1),
(445,	446,	1),
(446,	447,	1),
(447,	448,	1),
(448,	449,	1),
(449,	450,	1),
(450,	451,	1),
(451,	452,	1),
(452,	453,	1),
(453,	454,	1),
(454,	455,	1),
(455,	456,	1),
(456,	457,	1),
(457,	458,	1),
(458,	459,	1),
(459,	460,	1),
(460,	461,	1),
(461,	462,	1),
(462,	463,	1),
(463,	464,	1),
(464,	465,	1),
(465,	466,	1),
(466,	467,	1),
(467,	468,	1),
(468,	469,	1),
(469,	470,	1),
(470,	471,	1),
(471,	472,	1),
(472,	473,	1),
(473,	474,	1),
(474,	475,	1),
(475,	476,	1),
(476,	477,	1),
(477,	478,	1),
(478,	479,	1),
(479,	480,	1),
(480,	481,	1),
(481,	482,	1),
(482,	483,	1),
(483,	484,	1),
(484,	485,	1),
(485,	486,	1),
(486,	487,	1),
(487,	488,	1),
(488,	489,	1),
(489,	490,	1),
(490,	491,	1),
(491,	492,	1),
(492,	493,	1),
(493,	494,	1),
(494,	495,	1),
(495,	496,	1),
(496,	497,	1),
(497,	498,	1),
(498,	499,	1),
(499,	500,	1),
(500,	501,	1),
(501,	502,	1),
(502,	503,	1),
(503,	504,	1),
(504,	505,	1),
(505,	506,	1),
(506,	507,	1),
(507,	508,	1),
(508,	509,	1),
(509,	510,	1),
(510,	511,	1),
(511,	512,	1),
(512,	513,	1),
(513,	514,	1),
(514,	515,	1),
(515,	516,	1),
(516,	517,	1),
(517,	518,	1),
(518,	519,	1),
(519,	520,	1),
(520,	521,	1),
(521,	522,	1),
(522,	523,	1),
(523,	524,	1),
(524,	525,	1),
(525,	526,	1),
(526,	527,	1),
(527,	528,	1),
(528,	529,	1),
(529,	530,	1),
(530,	531,	1),
(531,	532,	1),
(532,	533,	1),
(533,	534,	1),
(534,	535,	1),
(535,	536,	1),
(536,	537,	1),
(537,	538,	1),
(538,	539,	1),
(539,	540,	1),
(540,	541,	1),
(541,	542,	1),
(542,	543,	1),
(543,	544,	1),
(544,	545,	1),
(545,	546,	1),
(546,	547,	1),
(547,	548,	1),
(548,	549,	1),
(549,	550,	1),
(550,	551,	1),
(551,	552,	1),
(552,	553,	1),
(553,	554,	1),
(554,	555,	1),
(555,	556,	1),
(556,	557,	1),
(557,	558,	1),
(558,	559,	1),
(559,	560,	1),
(560,	561,	1),
(561,	562,	1),
(562,	563,	1),
(563,	564,	1),
(564,	565,	1),
(565,	566,	1),
(566,	567,	1),
(567,	568,	1),
(568,	569,	1),
(569,	570,	1),
(570,	571,	1),
(571,	572,	1),
(572,	573,	1),
(573,	574,	1),
(574,	575,	1),
(575,	576,	1),
(576,	577,	1),
(577,	578,	1),
(578,	579,	1),
(579,	580,	1),
(580,	581,	1),
(581,	582,	1),
(582,	583,	1),
(583,	584,	1),
(584,	585,	1),
(585,	586,	1),
(586,	587,	1),
(587,	588,	1),
(588,	589,	1),
(589,	590,	1),
(590,	591,	1),
(591,	592,	1),
(592,	593,	1),
(593,	594,	1),
(594,	595,	1),
(595,	596,	1),
(596,	597,	1),
(597,	598,	1),
(598,	599,	1),
(599,	600,	1),
(600,	601,	1),
(601,	602,	1),
(602,	603,	1),
(603,	604,	1),
(604,	605,	1),
(605,	606,	1),
(606,	607,	1),
(607,	608,	1),
(608,	609,	1),
(609,	610,	1),
(610,	611,	1),
(611,	612,	1),
(612,	613,	1),
(613,	614,	1),
(614,	615,	1),
(615,	616,	1),
(616,	617,	1),
(617,	618,	1),
(618,	619,	1),
(619,	620,	1),
(620,	621,	1),
(621,	622,	1),
(622,	623,	1),
(623,	624,	1),
(624,	625,	1),
(625,	626,	1),
(626,	627,	1),
(627,	628,	1),
(628,	629,	1),
(629,	630,	1),
(630,	631,	1),
(631,	632,	1),
(632,	633,	1),
(633,	634,	1),
(634,	635,	1),
(635,	636,	1),
(636,	637,	1),
(637,	638,	1),
(638,	639,	1),
(639,	640,	1),
(640,	641,	1),
(641,	642,	1),
(642,	643,	1),
(643,	644,	1),
(644,	645,	1),
(645,	646,	1),
(646,	647,	1),
(647,	648,	1),
(648,	649,	1),
(649,	650,	1),
(650,	651,	1),
(651,	652,	1),
(652,	653,	1),
(653,	654,	1),
(654,	655,	1),
(655,	656,	1),
(656,	657,	1),
(657,	658,	1),
(658,	659,	1),
(659,	660,	1),
(660,	661,	1),
(661,	662,	1),
(662,	663,	1),
(663,	664,	1),
(664,	665,	1),
(665,	666,	1),
(666,	667,	1),
(667,	668,	1),
(668,	669,	1),
(669,	670,	1),
(670,	671,	1),
(671,	672,	1),
(672,	673,	1),
(673,	674,	1),
(674,	675,	1),
(675,	676,	1),
(676,	677,	1),
(677,	678,	1),
(678,	679,	1),
(679,	680,	1),
(680,	681,	1),
(681,	682,	1),
(682,	683,	1),
(683,	684,	1),
(684,	685,	1),
(685,	686,	1),
(686,	687,	1),
(687,	688,	1),
(688,	689,	1),
(689,	690,	1),
(690,	691,	1),
(691,	692,	1),
(692,	693,	1),
(693,	694,	1),
(694,	695,	1),
(695,	696,	1),
(696,	697,	1),
(697,	698,	1),
(698,	699,	1),
(699,	700,	1),
(700,	701,	1),
(701,	702,	1),
(702,	703,	1),
(703,	704,	1),
(704,	705,	1),
(705,	706,	1),
(706,	707,	1),
(707,	708,	1),
(708,	709,	1),
(709,	710,	1),
(710,	711,	1),
(711,	712,	1),
(712,	713,	1),
(713,	714,	1),
(714,	715,	1),
(715,	716,	1),
(716,	717,	1),
(717,	718,	1),
(718,	719,	1),
(719,	720,	1),
(720,	721,	1),
(721,	722,	1),
(722,	723,	1),
(723,	724,	1),
(724,	725,	1),
(725,	726,	1),
(726,	727,	1),
(727,	728,	1),
(728,	729,	1),
(729,	730,	1),
(730,	731,	1),
(731,	732,	1),
(732,	733,	1),
(733,	734,	1),
(734,	735,	1),
(735,	736,	1),
(736,	737,	1),
(737,	738,	1),
(738,	739,	1),
(739,	740,	1),
(740,	741,	1),
(741,	742,	1),
(742,	743,	1),
(743,	744,	1),
(744,	745,	1),
(745,	746,	1),
(746,	747,	1),
(747,	748,	1),
(748,	749,	1),
(749,	750,	1),
(750,	751,	1),
(751,	752,	1),
(752,	753,	1),
(753,	754,	1),
(754,	755,	1),
(755,	756,	1),
(756,	757,	1),
(757,	758,	1),
(758,	759,	1),
(759,	760,	1),
(760,	761,	1),
(761,	762,	1),
(762,	763,	1),
(763,	764,	1),
(764,	765,	1),
(765,	766,	1),
(766,	767,	1),
(767,	768,	1),
(768,	769,	1),
(769,	770,	1),
(770,	771,	1),
(771,	772,	1),
(772,	773,	1),
(773,	774,	1),
(774,	775,	1),
(775,	776,	1),
(776,	777,	1),
(777,	778,	1),
(778,	779,	1),
(779,	780,	1),
(780,	781,	1),
(781,	782,	1),
(782,	783,	1),
(783,	784,	1),
(784,	785,	1),
(785,	786,	1),
(786,	787,	1),
(787,	788,	1),
(788,	789,	1),
(789,	790,	1),
(790,	791,	1),
(791,	792,	1),
(792,	793,	1),
(793,	794,	1),
(794,	795,	1),
(795,	796,	1),
(796,	797,	1),
(797,	798,	1),
(798,	799,	1),
(799,	800,	1),
(800,	801,	1),
(801,	802,	1),
(802,	803,	1),
(803,	804,	1),
(804,	805,	1),
(805,	806,	1),
(806,	807,	1),
(807,	808,	1),
(808,	809,	1),
(809,	810,	1),
(810,	811,	1),
(811,	812,	1),
(812,	813,	1),
(813,	814,	1),
(814,	815,	1),
(815,	816,	1),
(816,	817,	1),
(817,	818,	1),
(818,	819,	1),
(819,	820,	1),
(820,	821,	1),
(821,	822,	1),
(822,	823,	1),
(823,	824,	1),
(824,	825,	1),
(825,	826,	1),
(826,	827,	1),
(827,	828,	1),
(828,	829,	1),
(829,	830,	1),
(830,	831,	1),
(831,	832,	1),
(832,	833,	1),
(833,	834,	1),
(834,	835,	1),
(835,	836,	1),
(836,	837,	1),
(837,	838,	1),
(838,	839,	1),
(839,	840,	1),
(840,	841,	1),
(841,	842,	1),
(842,	843,	1),
(843,	844,	1),
(844,	845,	1),
(845,	846,	1),
(846,	847,	1),
(847,	848,	1),
(848,	849,	1),
(849,	850,	1),
(850,	851,	1),
(851,	852,	1),
(852,	853,	1),
(853,	854,	1),
(854,	855,	1),
(855,	856,	1),
(856,	857,	1),
(857,	858,	1),
(858,	859,	1),
(859,	860,	1),
(860,	861,	1),
(861,	862,	1),
(862,	863,	1),
(863,	864,	1),
(864,	865,	1),
(865,	866,	1),
(866,	867,	1),
(867,	868,	1),
(868,	869,	1),
(869,	870,	1),
(870,	871,	1),
(871,	872,	1),
(872,	873,	1),
(873,	874,	1),
(874,	875,	1),
(875,	876,	1),
(876,	877,	1),
(877,	878,	1),
(878,	879,	1),
(879,	880,	1),
(880,	881,	1),
(881,	882,	1),
(882,	883,	1),
(883,	884,	1),
(884,	885,	1),
(885,	886,	1),
(886,	887,	1),
(887,	888,	1),
(888,	889,	1),
(889,	890,	1),
(890,	891,	1),
(891,	892,	1),
(892,	893,	1),
(893,	894,	1),
(894,	895,	1),
(895,	896,	1),
(896,	897,	1),
(897,	898,	1),
(898,	899,	1),
(899,	900,	1),
(900,	901,	1),
(901,	902,	1),
(902,	903,	1),
(903,	904,	1),
(904,	905,	1),
(905,	906,	1),
(906,	907,	1),
(907,	908,	1),
(908,	909,	1),
(909,	910,	1),
(910,	911,	1),
(911,	912,	1),
(912,	913,	1),
(913,	914,	1),
(914,	915,	1),
(915,	916,	1),
(916,	917,	1),
(917,	918,	1),
(918,	919,	1),
(919,	920,	1),
(920,	921,	1),
(921,	922,	1),
(922,	923,	1),
(923,	924,	1),
(924,	925,	1),
(925,	926,	1),
(926,	927,	1),
(927,	928,	1),
(928,	929,	1),
(929,	930,	1),
(930,	931,	1),
(931,	932,	1),
(932,	933,	1),
(933,	934,	1),
(934,	935,	1),
(935,	936,	1),
(936,	937,	1),
(937,	938,	1),
(938,	939,	1),
(939,	940,	1),
(940,	941,	1),
(941,	942,	1),
(942,	943,	1),
(943,	944,	1),
(944,	945,	1),
(945,	946,	1),
(946,	947,	1),
(947,	948,	1),
(948,	949,	1),
(949,	950,	1),
(950,	951,	1),
(951,	952,	1),
(952,	953,	1),
(953,	954,	1),
(954,	955,	1),
(955,	956,	1),
(956,	957,	1),
(957,	958,	1),
(958,	959,	1),
(959,	960,	1),
(960,	961,	1),
(961,	962,	1),
(962,	963,	1),
(963,	964,	1),
(964,	965,	1),
(965,	966,	1),
(966,	967,	1),
(967,	968,	1),
(968,	969,	1),
(969,	970,	1),
(970,	971,	1),
(971,	972,	1),
(972,	973,	1),
(973,	974,	1),
(974,	975,	1),
(975,	976,	1),
(976,	977,	1),
(977,	978,	1),
(978,	979,	1),
(979,	980,	1),
(980,	981,	1),
(981,	982,	1),
(982,	983,	1),
(983,	984,	1),
(984,	985,	1),
(985,	986,	1),
(986,	987,	1),
(987,	988,	1),
(988,	989,	1),
(989,	990,	1),
(990,	991,	1),
(991,	992,	1),
(992,	993,	1),
(993,	994,	1),
(994,	995,	1),
(995,	996,	1),
(996,	997,	1),
(997,	998,	1),
(998,	999,	1),
(999,	1000,	1),
(1000,	1001,	1),
(1001,	1002,	1),
(1002,	1003,	1),
(1003,	1004,	1),
(1004,	1005,	1),
(1005,	1006,	1),
(1006,	1007,	1),
(1007,	1008,	1),
(1008,	1009,	1),
(1009,	1010,	1),
(1010,	1011,	1),
(1011,	1012,	1),
(1012,	1013,	1),
(1013,	1014,	1),
(1014,	1015,	1),
(1015,	1016,	1),
(1016,	1017,	1),
(1017,	1018,	1),
(1018,	1019,	1),
(1019,	1020,	1),
(1020,	1021,	1),
(1021,	1022,	1),
(1022,	1023,	1),
(1023,	1024,	1),
(1024,	1025,	1),
(1025,	1026,	1),
(1026,	1027,	1),
(1027,	1028,	1),
(1028,	1029,	1),
(1029,	1030,	1),
(1030,	1031,	1),
(1031,	1032,	1),
(1032,	1033,	1),
(1033,	1034,	1),
(1034,	1035,	1),
(1035,	1036,	1),
(1036,	1037,	1),
(1037,	1038,	1),
(1038,	1039,	1),
(1039,	1040,	1),
(1040,	1041,	1),
(1041,	1042,	1),
(1042,	1043,	1),
(1043,	1044,	1),
(1044,	1045,	1),
(1045,	1046,	1),
(1046,	1047,	1),
(1047,	1048,	1),
(1048,	1049,	1),
(1049,	1050,	1),
(1050,	1051,	1),
(1051,	1052,	1),
(1052,	1053,	1),
(1053,	1054,	1),
(1054,	1055,	1),
(1055,	1056,	1),
(1056,	1057,	1),
(1057,	1058,	1),
(1058,	1059,	1),
(1059,	1060,	1),
(1060,	1061,	1),
(1061,	1062,	1),
(1062,	1063,	1),
(1063,	1064,	1),
(1064,	1065,	1),
(1065,	1066,	1),
(1066,	1067,	1),
(1067,	1068,	1),
(1068,	1069,	1),
(1069,	1070,	1),
(1070,	1071,	1),
(1071,	1072,	1),
(1072,	1073,	1),
(1073,	1074,	1),
(1074,	1075,	1),
(1075,	1076,	1),
(1076,	1077,	1),
(1077,	1078,	1),
(1078,	1079,	1),
(1079,	1080,	1),
(1080,	1081,	1),
(1081,	1082,	1),
(1082,	1083,	1),
(1083,	1084,	1),
(1084,	1085,	1),
(1085,	1086,	1),
(1086,	1087,	1),
(1087,	1088,	1),
(1088,	1089,	1),
(1089,	1090,	1),
(1090,	1091,	1),
(1091,	1092,	1),
(1092,	1093,	1),
(1093,	1094,	1),
(1094,	1095,	1),
(1095,	1096,	1),
(1096,	1097,	1),
(1097,	1098,	1),
(1098,	1099,	1),
(1099,	1100,	1),
(1100,	1101,	1),
(1101,	1102,	1),
(1102,	1103,	1),
(1103,	1104,	1),
(1104,	1105,	1),
(1105,	1106,	1),
(1106,	1107,	1),
(1107,	1108,	1),
(1108,	1109,	1),
(1109,	1110,	1),
(1110,	1111,	1),
(1111,	1112,	1),
(1112,	1113,	1),
(1113,	1114,	1),
(1114,	1115,	1),
(1115,	1116,	1),
(1116,	1117,	1),
(1117,	1118,	1),
(1118,	1119,	1),
(1119,	1120,	1),
(1120,	1121,	1),
(1121,	1122,	1),
(1122,	1123,	1),
(1123,	1124,	1),
(1124,	1125,	1),
(1125,	1126,	1),
(1126,	1127,	1),
(1127,	1128,	1),
(1128,	1129,	1),
(1129,	1130,	1),
(1130,	1131,	1),
(1131,	1132,	1),
(1132,	1133,	1),
(1133,	1134,	1),
(1134,	1135,	1),
(1135,	1136,	1),
(1136,	1137,	1),
(1137,	1138,	1),
(1138,	1139,	1),
(1139,	1140,	1),
(1140,	1141,	1),
(1141,	1142,	1),
(1142,	1143,	1),
(1143,	1144,	1),
(1144,	1145,	1),
(1145,	1146,	1),
(1146,	1147,	1),
(1147,	1148,	1),
(1148,	1149,	1),
(1149,	1150,	1),
(1150,	1151,	1),
(1151,	1152,	1),
(1152,	1153,	1),
(1153,	1154,	1),
(1154,	1155,	1),
(1155,	1156,	1),
(1156,	1157,	1),
(1157,	1158,	1),
(1158,	1159,	1),
(1159,	1160,	1),
(1160,	1161,	1),
(1161,	1162,	1),
(1162,	1163,	1),
(1163,	1164,	1),
(1164,	1165,	1),
(1165,	1166,	1),
(1166,	1167,	1),
(1167,	1168,	1),
(1168,	1169,	1),
(1169,	1170,	1),
(1170,	1171,	1),
(1171,	1172,	1),
(1172,	1173,	1),
(1173,	1174,	1),
(1174,	1175,	1),
(1175,	1176,	1),
(1176,	1177,	1),
(1177,	1178,	1),
(1178,	1179,	1),
(1179,	1180,	1),
(1180,	1181,	1),
(1181,	1182,	1),
(1182,	1183,	1),
(1183,	1184,	1),
(1184,	1185,	1),
(1185,	1186,	1),
(1186,	1187,	1),
(1187,	1188,	1),
(1188,	1189,	1),
(1189,	1190,	1),
(1190,	1191,	1),
(1191,	1192,	1),
(1192,	1193,	1),
(1193,	1194,	1),
(1194,	1195,	1),
(1195,	1196,	1),
(1196,	1197,	1),
(1197,	1198,	1),
(1198,	1199,	1),
(1199,	1200,	1),
(1200,	1201,	1),
(1201,	1202,	1),
(1202,	1203,	1),
(1203,	1204,	1),
(1204,	1205,	1),
(1205,	1206,	1),
(1206,	1207,	1),
(1207,	1208,	1),
(1208,	1209,	1),
(1209,	1210,	1),
(1210,	1211,	1),
(1211,	1212,	1),
(1212,	1213,	1),
(1213,	1214,	1),
(1214,	1215,	1),
(1215,	1216,	1),
(1216,	1217,	1),
(1217,	1218,	1),
(1218,	1219,	1),
(1219,	1220,	1),
(1220,	1221,	1),
(1221,	1222,	1),
(1222,	1223,	1),
(1223,	1224,	1),
(1224,	1225,	1),
(1225,	1226,	1),
(1226,	1227,	1),
(1227,	1228,	1),
(1228,	1229,	1),
(1229,	1230,	1),
(1230,	1231,	1),
(1231,	1232,	1),
(1232,	1233,	1),
(1233,	1234,	1),
(1234,	1235,	1),
(1235,	1236,	1),
(1236,	1237,	1),
(1237,	1238,	1),
(1238,	1239,	1),
(1239,	1240,	1),
(1240,	1241,	1),
(1241,	1242,	1),
(1242,	1243,	1),
(1243,	1244,	1),
(1244,	1245,	1),
(1245,	1246,	1),
(1246,	1247,	1),
(1247,	1248,	1),
(1248,	1249,	1),
(1249,	1250,	1),
(1250,	1251,	1),
(1251,	1252,	1),
(1252,	1253,	1),
(1253,	1254,	1),
(1254,	1255,	1),
(1255,	1256,	1),
(1256,	1257,	1),
(1257,	1258,	1),
(1258,	1259,	1),
(1259,	1260,	1),
(1260,	1261,	1),
(1261,	1262,	1),
(1262,	1263,	1),
(1263,	1264,	1),
(1264,	1265,	1),
(1265,	1266,	1),
(1266,	1267,	1),
(1267,	1268,	1),
(1268,	1269,	1),
(1269,	1270,	1),
(1270,	1271,	1),
(1271,	1272,	1),
(1272,	1273,	1),
(1273,	1274,	1),
(1274,	1275,	1),
(1275,	1276,	1),
(1276,	1277,	1),
(1277,	1278,	1),
(1278,	1279,	1),
(1279,	1280,	1),
(1280,	1281,	1),
(1281,	1282,	1),
(1282,	1283,	1),
(1283,	1284,	1),
(1284,	1285,	1),
(1285,	1286,	1),
(1286,	1287,	1),
(1287,	1288,	1),
(1288,	1289,	1),
(1289,	1290,	1),
(1290,	1291,	1),
(1291,	1292,	1),
(1292,	1293,	1),
(1293,	1294,	1),
(1294,	1295,	1),
(1295,	1296,	1),
(1296,	1297,	1),
(1297,	1298,	1),
(1298,	1299,	1),
(1299,	1300,	1),
(1300,	1301,	1),
(1301,	1302,	1),
(1302,	1303,	1),
(1303,	1304,	1),
(1304,	1305,	1),
(1305,	1306,	1),
(1306,	1307,	1),
(1307,	1308,	1),
(1308,	1309,	1),
(1309,	1310,	1),
(1310,	1311,	1),
(1311,	1312,	1),
(1312,	1313,	1),
(1313,	1314,	1),
(1314,	1315,	1),
(1315,	1316,	1),
(1316,	1317,	1),
(1317,	1318,	1),
(1318,	1319,	1),
(1319,	1320,	1),
(1320,	1321,	1),
(1321,	1322,	1),
(1322,	1323,	1),
(1323,	1324,	1),
(1324,	1325,	1),
(1325,	1326,	1),
(1326,	1327,	1),
(1327,	1328,	1),
(1328,	1329,	1),
(1329,	1330,	1),
(1330,	1331,	1),
(1331,	1332,	1),
(1332,	1333,	1),
(1333,	1334,	1),
(1334,	1335,	1),
(1335,	1336,	1),
(1336,	1337,	1),
(1337,	1338,	1),
(1338,	1339,	1),
(1339,	1340,	1),
(1340,	1341,	1),
(1341,	1342,	1),
(1342,	1343,	1),
(1343,	1344,	1),
(1344,	1345,	1),
(1345,	1346,	1),
(1346,	1347,	1),
(1347,	1348,	1),
(1348,	1349,	1),
(1349,	1350,	1),
(1350,	1351,	1),
(1351,	1352,	1),
(1352,	1353,	1),
(1353,	1354,	1),
(1354,	1355,	1),
(1355,	1356,	1),
(1356,	1357,	1),
(1357,	1358,	1),
(1358,	1359,	1),
(1359,	1360,	1),
(1360,	1361,	1),
(1361,	1362,	1),
(1362,	1363,	1),
(1363,	1364,	1),
(1364,	1365,	1),
(1365,	1366,	1),
(1366,	1367,	1),
(1367,	1368,	1),
(1368,	1369,	1),
(1369,	1370,	1),
(1370,	1371,	1),
(1371,	1372,	1),
(1372,	1373,	1),
(1373,	1374,	1),
(1374,	1375,	1),
(1375,	1376,	1),
(1376,	1377,	1),
(1377,	1378,	1),
(1378,	1379,	1),
(1379,	1380,	1),
(1380,	1381,	1),
(1381,	1382,	1),
(1382,	1383,	1),
(1383,	1384,	1),
(1384,	1385,	1),
(1385,	1386,	1),
(1386,	1387,	1),
(1387,	1388,	1),
(1388,	1389,	1),
(1389,	1390,	1),
(1390,	1391,	1),
(1391,	1392,	1),
(1392,	1393,	1),
(1393,	1394,	1),
(1394,	1395,	1),
(1395,	1396,	1),
(1396,	1397,	1),
(1397,	1398,	1),
(1398,	1399,	1),
(1399,	1400,	1),
(1400,	1401,	1),
(1401,	1402,	1),
(1402,	1403,	1),
(1403,	1404,	1),
(1404,	1405,	1),
(1405,	1406,	1),
(1406,	1407,	1),
(1407,	1408,	1),
(1408,	1409,	1),
(1409,	1410,	1),
(1410,	1411,	1),
(1411,	1412,	1),
(1412,	1413,	1),
(1413,	1414,	1),
(1414,	1415,	1),
(1415,	1416,	1),
(1416,	1417,	1),
(1417,	1418,	1),
(1418,	1419,	1),
(1419,	1420,	1),
(1420,	1421,	1),
(1421,	1422,	1),
(1422,	1423,	1),
(1423,	1424,	1),
(1424,	1425,	1),
(1425,	1426,	1),
(1426,	1427,	1),
(1427,	1428,	1),
(1428,	1429,	1),
(1429,	1430,	1),
(1430,	1431,	1),
(1431,	1432,	1),
(1432,	1433,	1),
(1433,	1434,	1),
(1434,	1435,	1),
(1435,	1436,	1),
(1436,	1437,	1),
(1437,	1438,	1),
(1438,	1439,	1),
(1439,	1440,	1),
(1440,	1441,	1),
(1441,	1442,	1),
(1442,	1443,	1),
(1443,	1444,	1),
(1444,	1445,	1),
(1445,	1446,	1),
(1446,	1447,	1),
(1447,	1448,	1),
(1448,	1449,	1),
(1449,	1450,	1),
(1450,	1451,	1),
(1451,	1452,	1),
(1452,	1453,	1),
(1453,	1454,	1),
(1454,	1455,	1),
(1455,	1456,	1),
(1456,	1457,	1),
(1457,	1458,	1),
(1458,	1459,	1),
(1459,	1460,	1),
(1460,	1461,	1),
(1461,	1462,	1),
(1462,	1463,	1),
(1463,	1464,	1),
(1464,	1465,	1),
(1465,	1466,	1),
(1466,	1467,	1),
(1467,	1468,	1),
(1468,	1469,	1),
(1469,	1470,	1),
(1470,	1471,	1),
(1471,	1472,	1),
(1472,	1473,	1),
(1473,	1474,	1),
(1474,	1475,	1),
(1475,	1476,	1),
(1476,	1477,	1),
(1477,	1478,	1),
(1478,	1479,	1),
(1479,	1480,	1),
(1480,	1481,	1),
(1481,	1482,	1),
(1482,	1483,	1),
(1483,	1484,	1),
(1484,	1485,	1),
(1485,	1486,	1),
(1486,	1487,	1),
(1487,	1488,	1),
(1488,	1489,	1),
(1489,	1490,	1),
(1490,	1491,	1),
(1491,	1492,	1),
(1492,	1493,	1),
(1493,	1494,	1),
(1494,	1495,	1),
(1495,	1496,	1),
(1496,	1497,	1),
(1497,	1498,	1),
(1498,	1499,	1),
(1499,	1500,	1),
(1500,	1501,	1),
(1501,	1502,	1),
(1502,	1503,	1),
(1503,	1504,	1),
(1504,	1505,	1),
(1505,	1506,	1),
(1506,	1507,	1),
(1507,	1508,	1),
(1508,	1509,	1),
(1509,	1510,	1),
(1510,	1511,	1),
(1511,	1512,	1),
(1512,	1513,	1),
(1513,	1514,	1),
(1514,	1515,	1),
(1515,	1516,	1),
(1516,	1517,	1),
(1517,	1518,	1),
(1518,	1519,	1),
(1519,	1520,	1),
(1520,	1521,	1),
(1521,	1522,	1),
(1522,	1523,	1),
(1523,	1524,	1),
(1524,	1525,	1),
(1525,	1526,	1),
(1526,	1527,	1),
(1527,	1528,	1),
(1528,	1529,	1),
(1529,	1530,	1),
(1530,	1531,	1),
(1531,	1532,	1),
(1532,	1533,	1),
(1533,	1534,	1),
(1534,	1535,	1),
(1535,	1536,	1),
(1536,	1537,	1),
(1537,	1538,	1),
(1538,	1539,	1),
(1539,	1540,	1),
(1540,	1541,	1),
(1541,	1542,	1),
(1542,	1543,	1),
(1543,	1544,	1),
(1544,	1545,	1),
(1545,	1546,	1),
(1546,	1547,	1),
(1547,	1548,	1),
(1548,	1549,	1),
(1549,	1550,	1),
(1550,	1551,	1),
(1551,	1552,	1),
(1552,	1553,	1),
(1553,	1554,	1),
(1554,	1555,	1),
(1555,	1556,	1),
(1556,	1557,	1),
(1557,	1558,	1),
(1558,	1559,	1),
(1559,	1560,	1),
(1560,	1561,	1),
(1561,	1562,	1),
(1562,	1563,	1),
(1563,	1564,	1),
(1564,	1565,	1),
(1565,	1566,	1),
(1566,	1567,	1),
(1567,	1568,	1),
(1568,	1569,	1),
(1569,	1570,	1),
(1570,	1571,	1),
(1571,	1572,	1),
(1572,	1573,	1),
(1573,	1574,	1),
(1574,	1575,	1),
(1575,	1576,	1),
(1576,	1577,	1),
(1577,	1578,	1),
(1578,	1579,	1),
(1579,	1580,	1),
(1580,	1581,	1),
(1581,	1582,	1),
(1582,	1583,	1),
(1583,	1584,	1),
(1584,	1585,	1),
(1585,	1586,	1),
(1586,	1587,	1),
(1587,	1588,	1),
(1588,	1589,	1),
(1589,	1590,	1),
(1590,	1591,	1),
(1591,	1592,	1),
(1592,	1593,	1),
(1593,	1594,	1),
(1594,	1595,	1),
(1595,	1596,	1),
(1596,	1597,	1),
(1597,	1598,	1),
(1598,	1599,	1),
(1599,	1600,	1),
(1600,	1601,	1),
(1601,	1602,	1),
(1602,	1603,	1),
(1603,	1604,	1),
(1604,	1605,	1),
(1605,	1606,	1),
(1606,	1607,	1),
(1607,	1608,	1),
(1608,	1609,	1),
(1609,	1610,	1),
(1610,	1611,	1),
(1611,	1612,	1),
(1612,	1613,	1),
(1613,	1614,	1),
(1614,	1615,	1),
(1615,	1616,	1),
(1616,	1617,	1),
(1617,	1618,	1),
(1618,	1619,	1),
(1619,	1620,	1),
(1620,	1621,	1),
(1621,	1622,	1),
(1622,	1623,	1),
(1623,	1624,	1),
(1624,	1625,	1),
(1625,	1626,	1),
(1626,	1627,	1),
(1627,	1628,	1),
(1628,	1629,	1),
(1629,	1630,	1),
(1630,	1631,	1),
(1631,	1632,	1),
(1632,	1633,	1),
(1633,	1634,	1),
(1634,	1635,	1),
(1635,	1636,	1),
(1636,	1637,	1),
(1637,	1638,	1),
(1638,	1639,	1),
(1639,	1640,	1),
(1640,	1641,	1),
(1641,	1642,	1),
(1642,	1643,	1),
(1643,	1644,	1),
(1644,	1645,	1),
(1645,	1646,	1),
(1646,	1647,	1),
(1647,	1648,	1),
(1648,	1649,	1),
(1649,	1650,	1),
(1650,	1651,	1),
(1651,	1652,	1),
(1652,	1653,	1);

DROP TABLE IF EXISTS `customer_parent`;
CREATE TABLE `customer_parent` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `customer_id` int(255) NOT NULL,
  `parent_id` int(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_id_parent_id` (`customer_id`,`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `customer_parent` (`id`, `customer_id`, `parent_id`) VALUES
(2,	2,	2),
(3,	2,	3),
(4,	2,	4),
(6,	3,	5),
(8,	4,	6),
(10,	5,	7),
(12,	6,	8),
(14,	7,	9),
(16,	8,	10),
(18,	9,	11),
(20,	10,	12),
(22,	11,	13),
(24,	12,	14),
(26,	13,	15),
(28,	14,	16),
(30,	15,	17),
(32,	16,	18),
(34,	17,	19),
(36,	18,	20),
(38,	19,	21),
(40,	20,	22),
(42,	21,	23),
(44,	22,	24),
(46,	23,	25),
(48,	24,	26),
(50,	25,	27),
(52,	26,	28),
(54,	27,	29),
(56,	28,	30),
(58,	29,	31),
(60,	30,	32),
(62,	31,	33),
(64,	32,	34),
(65,	32,	35),
(66,	32,	36),
(67,	32,	37),
(68,	32,	38),
(69,	32,	39),
(70,	32,	40),
(71,	32,	41),
(72,	32,	42),
(73,	32,	43),
(74,	32,	44),
(76,	33,	45),
(78,	34,	46),
(80,	35,	47),
(82,	36,	48),
(84,	37,	49),
(86,	38,	50),
(88,	39,	51),
(90,	40,	52),
(92,	41,	53),
(94,	42,	54),
(96,	43,	55),
(98,	44,	56),
(100,	45,	57),
(102,	46,	58),
(104,	47,	59),
(106,	48,	60),
(108,	49,	61),
(110,	50,	62),
(112,	51,	63),
(114,	52,	64),
(116,	53,	65),
(118,	54,	66),
(120,	55,	67),
(122,	56,	68),
(124,	57,	69),
(126,	58,	70),
(128,	59,	71),
(130,	60,	72),
(132,	61,	73),
(134,	62,	74),
(136,	63,	75),
(138,	64,	76),
(140,	65,	77),
(142,	66,	78),
(143,	66,	79),
(145,	67,	80),
(147,	68,	81),
(149,	69,	82),
(151,	70,	40),
(152,	70,	40),
(153,	71,	83),
(155,	72,	84),
(157,	73,	85),
(159,	74,	86),
(161,	75,	87),
(162,	75,	88),
(164,	76,	89),
(165,	76,	90),
(166,	76,	91),
(168,	77,	92),
(170,	78,	93),
(172,	79,	94),
(174,	80,	95),
(176,	81,	96),
(178,	82,	97),
(180,	83,	98),
(182,	84,	99),
(184,	85,	100),
(186,	86,	101),
(188,	87,	102),
(190,	88,	103),
(192,	89,	104),
(194,	90,	105),
(196,	91,	106),
(198,	92,	107),
(200,	93,	108),
(202,	94,	109),
(204,	95,	110),
(206,	96,	111),
(208,	97,	112),
(210,	98,	113),
(212,	99,	114),
(214,	100,	115),
(217,	101,	116),
(218,	102,	117),
(220,	103,	118),
(222,	104,	119),
(224,	105,	120),
(227,	106,	121),
(228,	107,	122),
(230,	108,	123),
(232,	109,	124),
(234,	110,	125),
(236,	111,	126),
(238,	112,	127),
(240,	113,	128),
(242,	114,	129),
(245,	115,	130),
(246,	116,	131),
(248,	117,	132),
(250,	118,	133),
(252,	119,	134),
(254,	120,	135),
(256,	121,	136),
(258,	122,	137),
(260,	123,	138),
(262,	124,	139),
(264,	125,	140),
(266,	126,	141),
(268,	127,	142),
(270,	128,	143),
(272,	129,	144),
(274,	130,	145),
(276,	131,	146),
(278,	132,	147),
(280,	133,	148),
(282,	134,	149),
(284,	135,	150),
(286,	136,	151),
(288,	137,	152),
(290,	138,	153),
(292,	139,	154),
(294,	140,	155),
(296,	141,	156),
(298,	142,	157),
(300,	143,	158),
(302,	144,	159),
(304,	145,	160),
(306,	146,	161),
(308,	147,	162),
(310,	148,	163),
(312,	149,	164),
(314,	150,	165),
(316,	151,	166),
(318,	152,	167),
(320,	153,	168),
(322,	154,	169),
(323,	154,	170),
(324,	154,	171),
(325,	154,	172),
(326,	154,	173),
(328,	155,	174),
(330,	156,	175),
(332,	157,	176),
(334,	158,	177),
(336,	159,	178),
(338,	160,	179),
(340,	161,	180),
(342,	162,	181),
(344,	163,	182),
(346,	164,	183),
(348,	165,	184),
(350,	166,	185),
(352,	167,	186),
(354,	168,	187),
(356,	169,	188),
(358,	170,	189),
(360,	171,	190),
(362,	172,	191),
(363,	172,	192),
(365,	173,	193),
(367,	174,	194),
(369,	175,	195),
(372,	176,	196),
(373,	177,	197),
(375,	178,	198),
(377,	179,	199),
(379,	180,	200),
(381,	181,	201),
(383,	182,	202),
(385,	183,	203),
(387,	184,	204),
(389,	185,	205),
(391,	186,	206),
(393,	187,	207),
(395,	188,	208),
(396,	188,	209),
(397,	188,	210),
(398,	188,	211),
(399,	188,	212),
(400,	188,	213),
(401,	188,	214),
(402,	188,	215),
(404,	189,	216),
(406,	190,	217),
(408,	191,	218),
(410,	192,	219),
(412,	193,	220),
(414,	194,	221),
(416,	195,	222),
(419,	196,	223),
(420,	197,	224),
(422,	198,	225),
(424,	199,	226),
(426,	200,	227),
(428,	201,	228),
(430,	202,	229),
(432,	203,	230),
(433,	203,	231),
(435,	204,	232),
(437,	205,	233),
(439,	206,	234),
(441,	207,	235),
(443,	208,	236),
(445,	209,	237),
(447,	210,	238),
(448,	210,	239),
(449,	210,	240),
(450,	210,	241),
(451,	210,	242),
(452,	210,	243),
(454,	211,	244),
(456,	212,	245),
(458,	213,	246),
(460,	214,	247),
(462,	215,	248),
(464,	216,	249),
(466,	217,	250),
(467,	217,	251),
(468,	217,	252),
(469,	217,	253),
(470,	217,	254),
(472,	218,	255),
(474,	219,	256),
(476,	220,	257),
(478,	221,	258),
(480,	222,	259),
(482,	223,	260),
(484,	224,	261),
(486,	225,	262),
(488,	226,	263),
(489,	226,	264),
(490,	226,	265),
(492,	227,	266),
(494,	228,	267),
(496,	229,	268),
(498,	230,	269),
(500,	231,	270),
(502,	232,	271),
(504,	233,	272),
(506,	234,	273),
(508,	235,	274),
(510,	236,	275),
(512,	237,	276),
(514,	238,	277),
(515,	238,	278),
(516,	238,	279),
(517,	238,	280),
(518,	238,	281),
(520,	239,	282),
(522,	240,	283),
(524,	241,	284),
(526,	242,	285),
(528,	243,	286),
(530,	244,	287),
(532,	245,	288),
(534,	246,	289),
(536,	247,	290),
(539,	248,	291),
(541,	249,	292),
(543,	250,	293),
(544,	251,	294),
(546,	252,	295),
(548,	253,	296),
(550,	254,	297),
(552,	255,	298),
(554,	256,	299),
(556,	257,	300),
(558,	258,	301),
(561,	259,	301),
(560,	259,	302),
(562,	259,	303),
(564,	260,	304),
(566,	261,	305),
(568,	262,	306),
(570,	263,	307),
(572,	264,	308),
(574,	265,	309),
(576,	266,	310),
(578,	267,	311),
(580,	268,	312),
(582,	269,	313),
(584,	270,	314),
(586,	271,	315),
(588,	272,	316),
(590,	273,	317),
(592,	274,	318),
(594,	275,	319),
(595,	275,	320),
(597,	276,	321),
(599,	277,	322),
(601,	278,	323),
(603,	279,	324),
(605,	280,	325),
(606,	280,	326),
(608,	281,	327),
(610,	282,	328),
(612,	283,	329),
(614,	284,	330),
(616,	285,	331),
(618,	286,	332),
(620,	287,	333),
(622,	288,	334),
(624,	289,	335),
(626,	290,	336),
(628,	291,	337),
(630,	292,	338),
(632,	293,	339),
(634,	294,	340),
(636,	295,	341),
(638,	296,	342),
(640,	297,	343),
(642,	298,	344),
(644,	299,	345),
(646,	300,	346),
(648,	301,	347),
(650,	302,	348),
(652,	303,	349),
(654,	304,	350),
(656,	305,	351),
(658,	306,	352),
(660,	307,	353),
(662,	308,	354),
(664,	309,	355),
(666,	310,	356),
(668,	311,	357),
(670,	312,	358),
(672,	313,	359),
(674,	314,	360),
(676,	315,	361),
(678,	316,	362),
(680,	317,	363),
(682,	318,	364),
(684,	319,	365),
(686,	320,	366),
(688,	321,	367),
(690,	322,	368),
(692,	323,	369),
(694,	324,	370),
(696,	325,	371),
(698,	326,	372),
(700,	327,	373),
(702,	328,	374),
(704,	329,	375),
(706,	330,	376),
(708,	331,	377),
(710,	332,	378),
(712,	333,	379),
(714,	334,	380),
(716,	335,	381),
(718,	336,	382),
(720,	337,	383),
(722,	338,	384),
(724,	339,	385),
(726,	340,	386),
(727,	340,	387),
(728,	340,	388),
(729,	340,	389),
(730,	340,	390),
(731,	340,	391),
(732,	340,	392),
(733,	340,	393),
(734,	340,	394),
(735,	340,	395),
(737,	341,	396),
(739,	342,	397),
(741,	343,	398),
(743,	344,	399),
(745,	345,	400),
(747,	346,	401),
(748,	346,	402),
(750,	347,	403),
(752,	348,	404),
(754,	349,	405),
(756,	350,	406),
(758,	351,	407),
(760,	352,	408),
(762,	353,	409),
(764,	354,	410),
(766,	355,	411),
(768,	356,	412),
(770,	357,	413),
(772,	358,	414),
(774,	359,	415),
(776,	360,	416),
(778,	361,	417),
(780,	362,	418),
(782,	363,	419),
(784,	364,	420),
(786,	365,	421),
(788,	366,	422),
(790,	367,	423),
(792,	368,	424),
(794,	369,	425),
(796,	370,	426),
(797,	370,	427),
(798,	370,	428),
(799,	370,	429),
(800,	370,	430),
(802,	371,	431),
(804,	372,	432),
(806,	373,	433),
(808,	374,	434),
(810,	375,	435),
(812,	376,	436),
(814,	377,	437),
(816,	378,	438),
(818,	379,	439),
(820,	380,	440),
(822,	381,	441),
(824,	382,	442),
(826,	383,	443),
(828,	384,	444),
(830,	385,	445),
(832,	386,	446),
(834,	387,	447),
(836,	388,	448),
(838,	389,	449),
(840,	390,	450),
(842,	391,	451),
(844,	392,	452),
(845,	392,	453),
(846,	392,	454),
(847,	392,	455),
(849,	393,	456),
(851,	394,	457),
(853,	395,	458),
(854,	395,	459),
(855,	395,	460),
(856,	395,	461),
(857,	395,	462),
(858,	395,	463),
(859,	395,	464),
(860,	395,	465),
(861,	395,	466),
(863,	396,	467),
(865,	397,	468),
(867,	398,	469),
(869,	399,	470),
(871,	400,	471),
(873,	401,	472),
(875,	402,	473),
(876,	402,	474),
(878,	403,	475),
(880,	404,	476),
(882,	405,	477),
(883,	405,	478),
(884,	405,	479),
(886,	406,	480),
(888,	407,	481),
(890,	408,	482),
(892,	409,	483),
(893,	409,	484),
(894,	409,	485),
(895,	409,	486),
(896,	409,	487),
(897,	409,	488),
(898,	409,	489),
(899,	409,	490),
(900,	409,	491),
(901,	409,	492),
(902,	409,	493),
(903,	409,	494),
(904,	409,	495),
(905,	409,	496),
(906,	409,	497),
(908,	410,	498),
(910,	411,	499),
(911,	411,	500),
(913,	412,	501),
(914,	412,	502),
(915,	412,	503),
(916,	412,	504),
(918,	413,	505),
(920,	414,	506),
(922,	415,	507),
(924,	416,	508),
(926,	417,	509),
(928,	418,	510),
(930,	419,	511),
(932,	420,	512),
(934,	421,	513),
(936,	422,	514),
(938,	423,	515),
(940,	424,	516),
(942,	425,	517),
(944,	426,	518),
(946,	427,	519),
(948,	428,	520),
(950,	429,	521),
(952,	430,	522),
(954,	431,	523),
(956,	432,	524),
(958,	433,	525),
(960,	434,	526),
(962,	435,	527),
(964,	436,	528),
(966,	437,	529),
(968,	438,	530),
(970,	439,	531),
(972,	440,	532),
(974,	441,	533),
(976,	442,	534),
(978,	443,	535),
(980,	444,	536),
(982,	445,	537),
(984,	446,	538),
(986,	447,	539),
(988,	448,	540),
(990,	449,	541),
(992,	450,	542),
(993,	450,	543),
(995,	451,	544),
(997,	452,	545),
(999,	453,	546),
(1001,	454,	547),
(1003,	455,	548),
(1005,	456,	549),
(1007,	457,	550),
(1009,	458,	551),
(1011,	459,	552),
(1013,	460,	553),
(1015,	461,	554),
(1017,	462,	555),
(1019,	463,	556),
(1021,	464,	557),
(1022,	464,	558),
(1024,	465,	559),
(1026,	466,	560),
(1028,	467,	561),
(1030,	468,	562),
(1032,	469,	563),
(1034,	470,	564),
(1036,	471,	565),
(1038,	472,	566),
(1040,	473,	567),
(1042,	474,	568),
(1044,	475,	569),
(1046,	476,	570),
(1048,	477,	571),
(1050,	478,	572),
(1052,	479,	573),
(1054,	480,	574),
(1056,	481,	575),
(1058,	482,	576),
(1060,	483,	577),
(1062,	484,	578),
(1064,	485,	579),
(1066,	486,	580),
(1068,	487,	581),
(1070,	488,	582),
(1072,	489,	583),
(1074,	490,	584),
(1076,	491,	585),
(1078,	492,	586),
(1080,	493,	587),
(1082,	494,	588),
(1083,	494,	589),
(1085,	495,	590),
(1087,	496,	591),
(1089,	497,	592),
(1091,	498,	593),
(1093,	499,	594),
(1095,	500,	595),
(1097,	501,	596),
(1099,	502,	597),
(1101,	503,	598),
(1103,	504,	599),
(1105,	505,	600),
(1107,	506,	601),
(1109,	507,	602),
(1110,	507,	603),
(1111,	507,	604),
(1112,	507,	605),
(1113,	507,	606),
(1114,	507,	607),
(1115,	507,	608),
(1116,	507,	609),
(1117,	507,	610),
(1118,	507,	611),
(1119,	507,	612),
(1120,	507,	613),
(1121,	507,	614),
(1122,	507,	615),
(1123,	507,	616),
(1124,	507,	617),
(1126,	508,	618),
(1128,	509,	619),
(1130,	510,	620),
(1132,	511,	621),
(1134,	512,	622),
(1136,	513,	623),
(1138,	514,	624),
(1140,	515,	625),
(1142,	516,	626),
(1144,	517,	627),
(1146,	518,	628),
(1148,	519,	629),
(1150,	520,	630),
(1152,	521,	631),
(1153,	521,	632),
(1154,	521,	633),
(1155,	521,	634),
(1156,	521,	635),
(1157,	521,	636),
(1158,	521,	637),
(1159,	521,	638),
(1161,	522,	639),
(1163,	523,	640),
(1165,	524,	641),
(1167,	525,	642),
(1169,	526,	643),
(1171,	527,	644),
(1173,	528,	645),
(1175,	529,	646),
(1177,	530,	647),
(1179,	531,	648),
(1180,	531,	649),
(1181,	531,	650),
(1182,	531,	651),
(1183,	531,	652),
(1184,	531,	653),
(1186,	532,	654),
(1188,	533,	655),
(1190,	534,	656),
(1192,	535,	657),
(1194,	536,	658),
(1196,	537,	659),
(1198,	538,	660),
(1200,	539,	661),
(1202,	540,	662),
(1204,	541,	663),
(1206,	542,	664),
(1208,	543,	665),
(1210,	544,	666),
(1212,	545,	667),
(1214,	546,	668),
(1216,	547,	669),
(1218,	548,	670),
(1220,	549,	671),
(1222,	550,	672),
(1224,	551,	673),
(1226,	552,	674),
(1228,	553,	675),
(1230,	554,	676),
(1232,	555,	677),
(1234,	556,	678),
(1235,	556,	679),
(1236,	556,	680),
(1237,	556,	681),
(1239,	557,	682),
(1241,	558,	683),
(1243,	559,	684),
(1245,	560,	685),
(1247,	561,	686),
(1249,	562,	687),
(1250,	562,	688),
(1252,	563,	689),
(1253,	563,	690),
(1254,	563,	691),
(1256,	564,	692),
(1258,	565,	693),
(1259,	565,	694),
(1261,	566,	695),
(1263,	567,	696),
(1265,	568,	697),
(1267,	569,	698),
(1269,	570,	699),
(1271,	571,	700),
(1273,	572,	701),
(1275,	573,	702),
(1277,	574,	703),
(1279,	575,	704),
(1281,	576,	705),
(1282,	576,	706),
(1284,	577,	707),
(1286,	578,	708),
(1288,	579,	709),
(1290,	580,	710),
(1292,	581,	711),
(1294,	582,	712),
(1296,	583,	713),
(1298,	584,	714),
(1300,	585,	715),
(1302,	586,	716),
(1304,	587,	717),
(1306,	588,	718),
(1308,	589,	719),
(1310,	590,	720),
(1312,	591,	721),
(1313,	591,	722),
(1314,	591,	723),
(1315,	591,	724),
(1316,	591,	725),
(1317,	591,	726),
(1318,	591,	727),
(1319,	591,	728),
(1320,	591,	729),
(1321,	591,	730),
(1322,	591,	731),
(1323,	591,	732),
(1324,	591,	733),
(1325,	591,	734),
(1326,	591,	735),
(1327,	591,	736),
(1328,	591,	737),
(1329,	591,	738),
(1330,	591,	739),
(1331,	591,	740),
(1332,	591,	741),
(1333,	591,	742),
(1334,	591,	743),
(1335,	591,	744),
(1336,	591,	745),
(1337,	591,	746),
(1338,	591,	747),
(1339,	591,	748),
(1340,	591,	749),
(1341,	591,	750),
(1342,	591,	751),
(1343,	591,	752),
(1344,	591,	753),
(1345,	591,	754),
(1346,	591,	755),
(1347,	591,	756),
(1348,	591,	757),
(1349,	591,	758),
(1350,	591,	759),
(1351,	591,	760),
(1352,	591,	761),
(1353,	591,	762),
(1354,	591,	763),
(1355,	591,	764),
(1356,	591,	765),
(1357,	591,	766),
(1358,	591,	767),
(1359,	591,	768),
(1360,	591,	769),
(1361,	591,	770),
(1362,	592,	771),
(1364,	593,	772),
(1366,	594,	773),
(1368,	595,	774),
(1370,	596,	775),
(1372,	597,	776),
(1374,	598,	777),
(1376,	599,	778),
(1378,	600,	779),
(1380,	601,	780),
(1381,	601,	781),
(1382,	601,	782),
(1383,	601,	783),
(1385,	602,	784),
(1387,	603,	785),
(1389,	604,	786),
(1391,	605,	787),
(1393,	606,	788),
(1395,	607,	789),
(1397,	608,	790),
(1399,	609,	791),
(1401,	610,	792),
(1403,	611,	793),
(1405,	612,	794),
(1407,	613,	795),
(1409,	614,	796),
(1411,	615,	797),
(1413,	616,	798),
(1415,	617,	799),
(1417,	618,	800),
(1419,	619,	801),
(1421,	620,	802),
(1423,	621,	803),
(1425,	622,	804),
(1427,	623,	805),
(1429,	624,	806),
(1431,	625,	807),
(1433,	626,	808),
(1435,	627,	809),
(1437,	628,	810),
(1439,	629,	811),
(1441,	630,	812),
(1443,	631,	813),
(1445,	632,	814),
(1447,	633,	815),
(1449,	634,	816),
(1451,	635,	817),
(1453,	636,	818),
(1455,	637,	819),
(1457,	638,	820),
(1459,	639,	821),
(1461,	640,	822),
(1463,	641,	823),
(1465,	642,	824),
(1467,	643,	825),
(1469,	644,	826),
(1471,	645,	827),
(1473,	646,	828),
(1475,	647,	829),
(1476,	647,	830),
(1477,	647,	831),
(1479,	648,	832),
(1481,	649,	833),
(1483,	650,	834),
(1485,	651,	835),
(1487,	652,	836),
(1489,	653,	837),
(1491,	654,	838),
(1493,	655,	839),
(1495,	656,	840),
(1497,	657,	841),
(1499,	658,	842),
(1501,	659,	843),
(1503,	660,	844),
(1505,	661,	845),
(1506,	661,	846),
(1507,	661,	847),
(1508,	661,	848),
(1509,	661,	849),
(1510,	661,	850),
(1511,	661,	851),
(1512,	661,	852),
(1513,	661,	853),
(1514,	661,	854),
(1515,	661,	855),
(1516,	661,	856),
(1517,	661,	857),
(1518,	661,	858),
(1519,	661,	859),
(1520,	661,	860),
(1521,	661,	861),
(1522,	661,	862),
(1524,	662,	863),
(1526,	663,	864),
(1528,	664,	865),
(1529,	664,	866),
(1531,	665,	867),
(1532,	665,	868),
(1533,	665,	869),
(1534,	665,	870),
(1535,	665,	871),
(1536,	665,	872),
(1537,	665,	873),
(1538,	665,	874),
(1539,	665,	875),
(1541,	666,	876),
(1543,	667,	877),
(1545,	668,	878),
(1547,	669,	879),
(1549,	670,	880),
(1551,	671,	881),
(1553,	672,	882),
(1555,	673,	883),
(1557,	674,	884),
(1559,	675,	885),
(1561,	676,	886),
(1563,	677,	887),
(1564,	677,	888),
(1565,	677,	889),
(1567,	678,	890),
(1569,	679,	891),
(1571,	680,	892),
(1573,	681,	893),
(1575,	682,	894),
(1577,	683,	895),
(1579,	684,	896),
(1581,	685,	897),
(1583,	686,	898),
(1585,	687,	899),
(1587,	688,	900),
(1589,	689,	901),
(1591,	690,	902),
(1593,	691,	903),
(1595,	692,	904),
(1597,	693,	905),
(1599,	694,	906),
(1601,	695,	907),
(1604,	696,	908),
(1605,	697,	909),
(1607,	698,	910),
(1609,	699,	911),
(1610,	699,	912),
(1611,	699,	913),
(1612,	699,	914),
(1613,	699,	915),
(1614,	699,	916),
(1615,	699,	917),
(1616,	699,	918),
(1617,	699,	919),
(1618,	699,	920),
(1619,	699,	921),
(1620,	699,	922),
(1621,	699,	923),
(1622,	699,	924),
(1623,	699,	925),
(1624,	699,	926),
(1625,	699,	927),
(1626,	699,	928),
(1627,	699,	929),
(1628,	699,	930),
(1629,	699,	931),
(1630,	699,	932),
(1631,	699,	933),
(1632,	699,	934),
(1633,	699,	935),
(1635,	700,	936),
(1637,	701,	937),
(1639,	702,	938),
(1641,	703,	939),
(1642,	703,	940),
(1643,	703,	941),
(1644,	703,	942),
(1645,	703,	943),
(1646,	703,	944),
(1647,	703,	945),
(1648,	703,	946),
(1649,	703,	947),
(1650,	703,	948),
(1651,	703,	949),
(1652,	703,	950),
(1653,	703,	951),
(1654,	703,	952),
(1655,	703,	953),
(1656,	703,	954),
(1657,	703,	955),
(1658,	703,	956),
(1659,	703,	957),
(1660,	703,	958),
(1661,	703,	959),
(1662,	703,	960),
(1663,	703,	961),
(1664,	703,	962),
(1665,	703,	963),
(1667,	704,	964),
(1669,	705,	965),
(1671,	706,	966),
(1673,	707,	967),
(1674,	707,	968),
(1675,	707,	969),
(1676,	707,	970),
(1677,	707,	971),
(1679,	708,	972),
(1681,	709,	973),
(1683,	710,	974),
(1685,	711,	975),
(1687,	712,	976),
(1689,	713,	977),
(1691,	714,	978),
(1693,	715,	979),
(1695,	716,	980),
(1697,	717,	981),
(1699,	718,	982),
(1701,	719,	983),
(1703,	720,	984),
(1705,	721,	985),
(1707,	722,	986),
(1709,	723,	987),
(1711,	724,	988),
(1713,	725,	989),
(1715,	726,	990),
(1717,	727,	991),
(1720,	728,	208),
(1719,	728,	992),
(1721,	728,	993),
(1722,	728,	994),
(1723,	728,	995),
(1725,	729,	996),
(1726,	729,	996),
(1727,	730,	997),
(1728,	730,	998),
(1729,	730,	999),
(1731,	731,	1000),
(1733,	732,	1001),
(1735,	733,	1002),
(1737,	734,	1003),
(1739,	735,	1004),
(1741,	736,	1005),
(1743,	737,	1006),
(1745,	738,	1007),
(1747,	739,	1008),
(1749,	740,	1009),
(1751,	741,	1010),
(1753,	742,	1011),
(1755,	743,	1012),
(1757,	744,	1013),
(1759,	745,	1014),
(1761,	746,	1015),
(1763,	747,	1016),
(1765,	748,	1017),
(1767,	749,	1018),
(1769,	750,	1019),
(1771,	751,	1020),
(1773,	752,	1021),
(1775,	753,	1022),
(1777,	754,	1023),
(1779,	755,	1024),
(1781,	756,	1025),
(1782,	756,	1026),
(1784,	757,	1027),
(1786,	758,	1028),
(1788,	759,	1029),
(1790,	760,	1030),
(1792,	761,	1031),
(1794,	762,	1032),
(1796,	763,	1033),
(1798,	764,	1034),
(1800,	765,	1035),
(1802,	766,	1036),
(1804,	767,	1037),
(1806,	768,	1038),
(1808,	769,	1039),
(1810,	770,	1040),
(1812,	771,	1041),
(1814,	772,	1042),
(1816,	773,	1043),
(1818,	773,	1044),
(1819,	774,	1045),
(1821,	775,	1046),
(1823,	776,	1047),
(1825,	777,	1048),
(1826,	777,	1048),
(1827,	778,	1049),
(1829,	779,	1050),
(1831,	780,	1051),
(1833,	781,	1052),
(1835,	782,	1053),
(1837,	783,	1054),
(1839,	784,	1055),
(1841,	785,	1056),
(1843,	786,	1057),
(1845,	787,	1058),
(1847,	788,	1059),
(1849,	789,	1060),
(1851,	790,	1061),
(1853,	791,	1062),
(1855,	792,	1063),
(1857,	793,	1064),
(1859,	794,	1065),
(1861,	795,	1066),
(1863,	796,	1067),
(1865,	797,	1068),
(1867,	798,	1069),
(1869,	799,	1070),
(1871,	800,	1071),
(1874,	801,	995),
(1873,	801,	1072),
(1876,	802,	1073),
(1878,	803,	1074),
(1880,	804,	1075),
(1882,	805,	1076),
(1884,	806,	1077),
(1886,	807,	1078),
(1888,	808,	1079),
(1890,	809,	1080),
(1892,	810,	1081),
(1894,	811,	1082),
(1896,	812,	1083),
(1898,	813,	1084),
(1900,	814,	1085),
(1902,	815,	1086),
(1904,	816,	1087),
(1906,	817,	1088),
(1908,	818,	1089),
(1910,	819,	1090),
(1912,	820,	1091),
(1914,	821,	1092),
(1916,	822,	1093),
(1918,	823,	1094),
(1920,	824,	1095),
(1922,	825,	1096),
(1924,	826,	1097),
(1926,	827,	1098),
(1928,	828,	1099),
(1930,	829,	1100),
(1932,	830,	1101),
(1934,	831,	1102),
(1936,	832,	1103),
(1938,	833,	1104),
(1940,	834,	1105),
(1942,	835,	1106),
(1944,	836,	1107),
(1945,	836,	1108),
(1946,	836,	1109),
(1947,	836,	1110),
(1948,	836,	1111),
(1949,	836,	1112),
(1950,	836,	1113),
(1951,	836,	1114),
(1952,	836,	1115),
(1953,	836,	1116),
(1954,	836,	1117),
(1955,	836,	1118),
(1956,	836,	1119),
(1957,	836,	1120),
(1958,	836,	1121),
(1960,	837,	1122),
(1962,	838,	1123),
(1963,	838,	1124),
(1964,	838,	1125),
(1965,	838,	1126),
(1966,	838,	1127),
(1967,	838,	1128),
(1968,	838,	1129),
(1969,	838,	1130),
(1970,	838,	1131),
(1971,	838,	1132),
(1972,	838,	1133),
(1974,	839,	1134),
(1976,	840,	1135),
(1978,	841,	1136),
(1980,	842,	1137),
(1982,	843,	1138),
(1984,	844,	1139),
(1986,	845,	1140),
(1988,	846,	1141),
(1990,	847,	1142),
(1992,	848,	1143),
(1994,	849,	1144),
(1996,	850,	1145),
(1998,	851,	1146),
(2000,	852,	1147),
(2002,	853,	1148),
(2005,	854,	326),
(2004,	854,	1149),
(2007,	855,	1150),
(2009,	856,	1151),
(2011,	857,	1152),
(2013,	858,	1153),
(2015,	859,	1154),
(2017,	860,	1155),
(2019,	861,	1156),
(2021,	862,	1157),
(2023,	863,	1158),
(2025,	864,	1159),
(2026,	864,	1160),
(2027,	864,	1161),
(2029,	865,	1162),
(2030,	865,	1163),
(2031,	865,	1164),
(2032,	865,	1165),
(2034,	866,	1166),
(2036,	867,	1167),
(2038,	868,	1168),
(2039,	868,	1169),
(2040,	868,	1170),
(2042,	869,	1171),
(2044,	870,	1172),
(2046,	871,	1173),
(2048,	872,	1174),
(2050,	873,	1175),
(2052,	874,	1176),
(2054,	875,	1177),
(2056,	876,	1178),
(2058,	877,	1179),
(2060,	878,	1180),
(2062,	879,	1181),
(2064,	880,	1182),
(2066,	881,	1183),
(2068,	882,	1184),
(2070,	883,	1185),
(2072,	884,	1186),
(2074,	885,	1187),
(2075,	885,	1188),
(2076,	885,	1189),
(2077,	885,	1190),
(2078,	885,	1191),
(2079,	885,	1192),
(2080,	885,	1193),
(2081,	885,	1194),
(2082,	885,	1195),
(2083,	885,	1196),
(2084,	885,	1197),
(2085,	885,	1198),
(2086,	885,	1199),
(2087,	885,	1200),
(2088,	885,	1201),
(2089,	885,	1202),
(2090,	885,	1203),
(2091,	885,	1204),
(2093,	886,	1205),
(2095,	887,	1206),
(2097,	888,	1207),
(2099,	889,	1208),
(2101,	890,	1209),
(2103,	891,	1210),
(2105,	892,	1211),
(2107,	893,	1212),
(2109,	894,	1213),
(2111,	895,	1214),
(2113,	896,	1215),
(2115,	897,	1216),
(2117,	898,	1217),
(2119,	899,	1218),
(2121,	900,	1219),
(2123,	901,	1220),
(2125,	902,	1221),
(2127,	903,	1222),
(2129,	904,	1223),
(2131,	905,	1224),
(2133,	906,	1225),
(2135,	907,	1226),
(2137,	908,	1227),
(2139,	909,	1228),
(2141,	910,	1229),
(2143,	911,	1230),
(2145,	912,	1231),
(2147,	913,	1232),
(2149,	914,	1233),
(2151,	915,	1234),
(2152,	915,	1235),
(2153,	915,	1236),
(2155,	916,	1237),
(2156,	916,	1238),
(2158,	917,	1239),
(2160,	918,	1240),
(2162,	919,	1241),
(2164,	920,	1242),
(2166,	921,	1243),
(2168,	922,	1244),
(2170,	923,	1245),
(2172,	924,	1246),
(2174,	925,	1247),
(2176,	926,	1248),
(2178,	927,	1075),
(2179,	927,	1249),
(2180,	927,	1250),
(2182,	928,	1251),
(2184,	929,	1252),
(2186,	930,	1253),
(2188,	931,	1254),
(2190,	932,	1255),
(2192,	933,	1256),
(2194,	934,	1257),
(2196,	935,	1258),
(2198,	936,	1259),
(2200,	937,	1260),
(2201,	937,	1261),
(2202,	937,	1262),
(2204,	938,	1263),
(2206,	939,	1264),
(2208,	940,	1265),
(2210,	941,	1266),
(2212,	942,	1267),
(2214,	943,	1268),
(2216,	944,	1269),
(2218,	945,	1270),
(2220,	946,	1271),
(2222,	947,	1272),
(2224,	948,	1273),
(2226,	949,	1274),
(2228,	950,	1275),
(2230,	951,	1276),
(2231,	951,	1277),
(2232,	951,	1278),
(2233,	951,	1279),
(2235,	952,	1280),
(2237,	953,	1281),
(2239,	954,	1282),
(2241,	955,	1283),
(2243,	956,	1284),
(2245,	957,	1285),
(2247,	958,	1286),
(2249,	959,	1287),
(2251,	960,	1288),
(2253,	961,	1289),
(2255,	962,	1290),
(2257,	963,	1291),
(2259,	964,	1292),
(2261,	965,	1293),
(2263,	966,	1294),
(2264,	966,	1295),
(2266,	967,	1296),
(2268,	968,	1297),
(2270,	969,	1298),
(2272,	970,	1299),
(2274,	971,	1300),
(2276,	972,	1301),
(2278,	973,	1302),
(2280,	974,	1303),
(2282,	975,	1304),
(2284,	976,	1305),
(2286,	977,	1306),
(2288,	978,	1307),
(2290,	979,	1308),
(2292,	980,	1309),
(2294,	981,	1310),
(2296,	982,	1311),
(2298,	983,	1312),
(2300,	984,	1313),
(2302,	985,	1314),
(2304,	986,	1315),
(2306,	987,	1316),
(2308,	988,	1317),
(2310,	989,	1318),
(2312,	990,	1319),
(2314,	991,	1320),
(2316,	992,	1321),
(2318,	993,	1322),
(2320,	994,	1323),
(2322,	995,	1324),
(2324,	996,	1325),
(2326,	997,	1326),
(2328,	998,	1327),
(2330,	999,	1328),
(2332,	1000,	1329),
(2334,	1001,	1330),
(2336,	1002,	1331),
(2338,	1003,	1332),
(2340,	1004,	1333),
(2342,	1005,	1334),
(2344,	1006,	1335),
(2346,	1007,	1336),
(2348,	1008,	1337),
(2350,	1009,	1338),
(2352,	1010,	1339),
(2354,	1011,	1340),
(2356,	1012,	1341),
(2358,	1013,	1342),
(2360,	1014,	1343),
(2362,	1015,	1344),
(2364,	1016,	1345),
(2366,	1017,	1346),
(2368,	1018,	1347),
(2370,	1019,	1348),
(2372,	1020,	1349),
(2374,	1021,	1350),
(2376,	1022,	1351),
(2378,	1023,	1352),
(2380,	1024,	1353),
(2382,	1025,	1354),
(2384,	1026,	1355),
(2386,	1027,	1356),
(2388,	1028,	1357),
(2390,	1029,	1358),
(2392,	1030,	1359),
(2393,	1030,	1360),
(2394,	1030,	1361),
(2396,	1031,	1362),
(2398,	1032,	1363),
(2400,	1033,	1364),
(2402,	1034,	1365),
(2404,	1035,	1366),
(2406,	1036,	1367),
(2408,	1037,	1368),
(2410,	1038,	1369),
(2412,	1039,	1370),
(2414,	1040,	1371),
(2416,	1041,	1372),
(2418,	1042,	1373),
(2420,	1043,	1374),
(2422,	1044,	1375),
(2424,	1045,	1376),
(2426,	1046,	1377),
(2428,	1047,	1378),
(2430,	1048,	1379),
(2432,	1049,	1380),
(2434,	1050,	1381),
(2436,	1051,	1382),
(2438,	1052,	1383),
(2440,	1053,	1384),
(2442,	1054,	1385),
(2444,	1055,	1386),
(2446,	1056,	1387),
(2448,	1057,	1388),
(2450,	1058,	1389),
(2452,	1059,	1390),
(2454,	1060,	1391),
(2456,	1061,	1392),
(2458,	1062,	1393),
(2460,	1063,	1394),
(2462,	1064,	1395),
(2464,	1065,	1396),
(2466,	1066,	1397),
(2468,	1067,	1398),
(2470,	1068,	1399),
(2472,	1069,	1400),
(2474,	1070,	1401),
(2476,	1071,	1402),
(2478,	1072,	1403),
(2480,	1073,	1404),
(2482,	1074,	1405),
(2484,	1075,	1406),
(2486,	1076,	1407),
(2488,	1077,	1408),
(2490,	1078,	1409),
(2491,	1078,	1410),
(2492,	1078,	1411),
(2493,	1078,	1412),
(2495,	1079,	1413),
(2497,	1080,	1414),
(2499,	1081,	1415),
(2500,	1081,	1416),
(2502,	1082,	1417),
(2504,	1083,	1418),
(2506,	1084,	1419),
(2508,	1085,	1420),
(2509,	1085,	1420),
(2510,	1086,	1421),
(2512,	1087,	1422),
(2513,	1087,	1423),
(2514,	1087,	1424),
(2516,	1088,	1425),
(2518,	1089,	1426),
(2520,	1090,	1427),
(2522,	1091,	1428),
(2524,	1092,	1429),
(2526,	1093,	1430),
(2528,	1094,	1431),
(2530,	1095,	1432),
(2532,	1096,	1433),
(2534,	1097,	1434),
(2536,	1098,	1435),
(2538,	1099,	1436),
(2540,	1100,	1437),
(2542,	1101,	1438),
(2544,	1102,	1439),
(2546,	1103,	1440),
(2548,	1104,	1441),
(2550,	1105,	1442),
(2552,	1106,	1443),
(2554,	1107,	1444),
(2556,	1108,	1445),
(2558,	1109,	1446),
(2560,	1110,	1447),
(2562,	1111,	1448),
(2564,	1112,	1449),
(2566,	1113,	1450),
(2568,	1114,	1451),
(2570,	1115,	1452),
(2572,	1116,	1453),
(2574,	1117,	1454),
(2576,	1118,	1455),
(2578,	1119,	1456),
(2580,	1120,	1457),
(2582,	1121,	1458),
(2584,	1122,	1459),
(2586,	1123,	1460),
(2588,	1124,	1461),
(2590,	1125,	1462),
(2592,	1126,	1463),
(2594,	1127,	1464),
(2596,	1128,	1465),
(2598,	1129,	1466),
(2600,	1130,	1467),
(2602,	1131,	1468),
(2604,	1132,	1469),
(2606,	1133,	1470),
(2608,	1134,	1471),
(2610,	1135,	1472),
(2612,	1136,	1473),
(2614,	1137,	1474),
(2616,	1138,	1475),
(2618,	1139,	1476),
(2620,	1140,	1477),
(2622,	1141,	1478),
(2624,	1142,	1479),
(2626,	1143,	1480),
(2628,	1144,	1481),
(2630,	1145,	1482),
(2632,	1146,	1483),
(2634,	1147,	1484),
(2636,	1148,	1485),
(2638,	1149,	1486),
(2640,	1150,	1487),
(2642,	1151,	1488),
(2644,	1152,	1489),
(2646,	1153,	1490),
(2648,	1154,	1491),
(2650,	1155,	1492),
(2652,	1156,	1493),
(2654,	1157,	1494),
(2656,	1158,	1495),
(2658,	1159,	1496),
(2660,	1160,	1497),
(2662,	1161,	1498),
(2664,	1162,	1499),
(2666,	1163,	1500),
(2668,	1164,	1501),
(2670,	1165,	1502),
(2672,	1166,	1503),
(2674,	1167,	1504),
(2676,	1168,	1505),
(2678,	1169,	1506),
(2680,	1170,	1507),
(2682,	1171,	1508),
(2684,	1172,	1509),
(2686,	1173,	1510),
(2688,	1174,	1511),
(2690,	1175,	1512),
(2692,	1176,	1513),
(2694,	1177,	1514),
(2696,	1178,	1515),
(2698,	1179,	1516),
(2700,	1180,	1517),
(2702,	1181,	1518),
(2704,	1182,	1519),
(2706,	1183,	1520),
(2707,	1183,	1521),
(2709,	1184,	1522),
(2711,	1185,	1523),
(2713,	1186,	1524),
(2715,	1187,	1525),
(2717,	1188,	1526),
(2719,	1189,	1527),
(2721,	1190,	1528),
(2723,	1191,	1529),
(2725,	1192,	1530),
(2727,	1193,	1531),
(2729,	1194,	1532),
(2731,	1195,	1533),
(2733,	1196,	1534),
(2735,	1197,	1535),
(2737,	1198,	1536),
(2739,	1199,	1537),
(2741,	1200,	1538),
(2743,	1201,	1539),
(2745,	1202,	1540),
(2747,	1203,	1541),
(2749,	1204,	1542),
(2751,	1205,	1543),
(2753,	1206,	1544),
(2755,	1207,	1545),
(2757,	1208,	1546),
(2759,	1209,	1547),
(2761,	1210,	1548),
(2763,	1211,	1549),
(2765,	1212,	1550),
(2767,	1213,	1551),
(2769,	1214,	1552),
(2770,	1214,	1553),
(2771,	1214,	1554),
(2773,	1215,	1555),
(2775,	1216,	1556),
(2777,	1217,	1557),
(2779,	1218,	1558),
(2781,	1219,	1559),
(2783,	1220,	1560),
(2784,	1220,	1561),
(2785,	1220,	1562),
(2786,	1220,	1563),
(2787,	1220,	1564),
(2788,	1220,	1565),
(2789,	1220,	1566),
(2790,	1220,	1567),
(2791,	1220,	1568),
(2792,	1220,	1569),
(2793,	1220,	1570),
(2794,	1220,	1571),
(2795,	1220,	1572),
(2796,	1220,	1573),
(2797,	1220,	1574),
(2798,	1220,	1575),
(2799,	1220,	1576),
(2800,	1220,	1577),
(2801,	1220,	1578),
(2802,	1220,	1579),
(2803,	1220,	1580),
(2804,	1220,	1581),
(2806,	1221,	1582),
(2808,	1222,	1583),
(2810,	1223,	1584),
(2812,	1224,	1585),
(2814,	1225,	1586),
(2815,	1225,	1587),
(2817,	1226,	1588),
(2819,	1227,	1589),
(2821,	1228,	1590),
(2823,	1229,	1591),
(2825,	1230,	1592),
(2827,	1231,	1593),
(2829,	1232,	1594),
(2831,	1233,	1595),
(2832,	1233,	1596),
(2833,	1233,	1597),
(2834,	1233,	1598),
(2835,	1233,	1599),
(2836,	1233,	1600),
(2837,	1233,	1601),
(2838,	1233,	1602),
(2839,	1233,	1603),
(2840,	1233,	1604),
(2841,	1233,	1605),
(2842,	1233,	1606),
(2843,	1233,	1607),
(2844,	1233,	1608),
(2845,	1233,	1609),
(2846,	1233,	1610),
(2848,	1234,	1611),
(2850,	1235,	1612),
(2852,	1236,	1613),
(2853,	1236,	1614),
(2855,	1237,	1615),
(2857,	1238,	1616),
(2859,	1239,	1617),
(2861,	1240,	1618),
(2863,	1241,	1619),
(2865,	1242,	1620),
(2866,	1242,	1621),
(2868,	1243,	1622),
(2870,	1244,	1623),
(2871,	1244,	1624),
(2872,	1244,	1625),
(2873,	1244,	1626),
(2874,	1244,	1627),
(2876,	1245,	1628),
(2878,	1246,	1629),
(2880,	1247,	1630),
(2882,	1248,	1631),
(2884,	1249,	1632),
(2886,	1250,	1633),
(2887,	1250,	1634),
(2888,	1250,	1635),
(2890,	1251,	1636),
(2892,	1252,	1637),
(2894,	1253,	1638),
(2896,	1254,	1639),
(2898,	1255,	1640),
(2900,	1256,	1641),
(2902,	1257,	1642),
(2904,	1258,	1643),
(2906,	1259,	1644),
(2908,	1260,	1645),
(2910,	1261,	1646),
(2912,	1262,	1647),
(2914,	1263,	1648),
(2916,	1264,	1649),
(2918,	1265,	1650),
(2920,	1266,	1651),
(2922,	1267,	1652),
(2924,	1268,	1653),
(2926,	1269,	1654),
(2928,	1270,	1655),
(2930,	1271,	1656),
(2932,	1272,	1657),
(2934,	1273,	1658),
(2936,	1274,	1659),
(2937,	1274,	1660),
(2939,	1275,	1661),
(2940,	1275,	1662),
(2941,	1275,	1663),
(2942,	1275,	1664),
(2943,	1275,	1665),
(2944,	1275,	1666),
(2945,	1275,	1667),
(2946,	1275,	1668),
(2947,	1275,	1669),
(2949,	1276,	1670),
(2951,	1277,	1671),
(2953,	1278,	1672),
(2955,	1279,	1673),
(2956,	1279,	1674),
(2957,	1279,	1675),
(2958,	1279,	1676),
(2959,	1279,	1677),
(2960,	1279,	1678),
(2962,	1280,	1679),
(2964,	1281,	1680),
(2966,	1282,	1681),
(2967,	1282,	1682),
(2968,	1282,	1683),
(2969,	1282,	1684),
(2970,	1282,	1685),
(2971,	1282,	1686),
(2972,	1282,	1687),
(2974,	1283,	1688),
(2976,	1284,	1689),
(2978,	1285,	1690),
(2980,	1286,	1691),
(2982,	1287,	1692),
(2984,	1288,	1693),
(2986,	1289,	1694),
(2988,	1290,	1695),
(2990,	1291,	1696),
(2991,	1291,	1697),
(2993,	1292,	1698),
(2995,	1293,	1699),
(2997,	1294,	1700),
(2999,	1295,	1701),
(3001,	1296,	1702),
(3003,	1297,	1703),
(3005,	1298,	1704),
(3006,	1298,	1705),
(3007,	1298,	1706),
(3008,	1298,	1707),
(3010,	1299,	1708),
(3012,	1300,	1709),
(3014,	1301,	1710),
(3016,	1302,	1711),
(3018,	1303,	1712),
(3020,	1304,	1713),
(3022,	1305,	1714),
(3023,	1305,	1715),
(3024,	1305,	1716),
(3025,	1305,	1717),
(3026,	1305,	1718),
(3027,	1305,	1719),
(3028,	1305,	1720),
(3029,	1305,	1721),
(3030,	1305,	1722),
(3031,	1305,	1723),
(3032,	1305,	1724),
(3033,	1305,	1725),
(3034,	1305,	1726),
(3035,	1305,	1727),
(3036,	1305,	1728),
(3037,	1305,	1729),
(3038,	1305,	1730),
(3039,	1305,	1731),
(3040,	1305,	1732),
(3041,	1305,	1733),
(3042,	1305,	1734),
(3043,	1305,	1735),
(3045,	1306,	1736),
(3046,	1306,	1737),
(3047,	1306,	1738),
(3048,	1306,	1739),
(3049,	1306,	1740),
(3050,	1306,	1741),
(3051,	1306,	1742),
(3052,	1306,	1743),
(3053,	1306,	1744),
(3054,	1306,	1745),
(3055,	1306,	1746),
(3056,	1306,	1747),
(3057,	1306,	1748),
(3058,	1306,	1749),
(3059,	1306,	1750),
(3060,	1306,	1751),
(3061,	1306,	1752),
(3062,	1306,	1753),
(3064,	1307,	1754),
(3065,	1307,	1755),
(3066,	1307,	1756),
(3067,	1307,	1757),
(3068,	1307,	1758),
(3069,	1307,	1759),
(3070,	1307,	1760),
(3071,	1307,	1761),
(3072,	1307,	1762),
(3073,	1307,	1763),
(3074,	1307,	1764),
(3076,	1308,	1765),
(3078,	1309,	1766),
(3079,	1309,	1767),
(3081,	1310,	1768),
(3082,	1310,	1769),
(3084,	1311,	1770),
(3086,	1312,	1771),
(3088,	1313,	1772),
(3090,	1314,	1773),
(3092,	1315,	1774),
(3094,	1316,	1775),
(3096,	1317,	1776),
(3098,	1318,	1777),
(3099,	1318,	1778),
(3100,	1318,	1779),
(3101,	1318,	1780),
(3103,	1319,	1781),
(3105,	1320,	1782),
(3107,	1321,	1783),
(3109,	1322,	1784),
(3111,	1323,	1785),
(3113,	1324,	1786),
(3115,	1325,	1787),
(3117,	1326,	1788),
(3119,	1327,	1789),
(3120,	1327,	1790),
(3121,	1327,	1791),
(3123,	1328,	1792),
(3125,	1329,	1793),
(3127,	1330,	1794),
(3129,	1331,	1795),
(3131,	1332,	1796),
(3133,	1333,	1797),
(3135,	1334,	1798),
(3136,	1334,	1799),
(3138,	1335,	1800),
(3140,	1336,	1801),
(3142,	1337,	1802),
(3144,	1338,	1803),
(3146,	1339,	1804),
(3148,	1340,	1805),
(3150,	1341,	1806),
(3152,	1342,	1807),
(3154,	1343,	1808),
(3156,	1344,	1809),
(3158,	1345,	1810),
(3160,	1346,	1811),
(3162,	1347,	1812),
(3163,	1347,	1813),
(3164,	1347,	1814),
(3165,	1347,	1815),
(3167,	1348,	1816),
(3169,	1349,	1817),
(3171,	1350,	1818),
(3173,	1351,	1819),
(3175,	1352,	1820),
(3177,	1353,	1821),
(3179,	1354,	1822),
(3181,	1355,	1823),
(3183,	1356,	1824),
(3184,	1356,	1825),
(3185,	1356,	1826),
(3186,	1356,	1827),
(3187,	1356,	1828),
(3189,	1357,	1829),
(3191,	1358,	1830),
(3193,	1359,	1831),
(3195,	1360,	1832),
(3197,	1361,	1833),
(3199,	1362,	1834),
(3201,	1363,	1835),
(3203,	1364,	1836),
(3205,	1365,	1837),
(3207,	1366,	1838),
(3209,	1367,	1839),
(3211,	1368,	1840),
(3213,	1369,	1841),
(3215,	1370,	1842),
(3217,	1371,	1843),
(3219,	1372,	1844),
(3221,	1373,	1845),
(3223,	1374,	1846),
(3225,	1375,	1847),
(3227,	1376,	1848),
(3229,	1377,	1849),
(3231,	1378,	1850),
(3233,	1379,	1851),
(3235,	1380,	1852),
(3236,	1380,	1853),
(3237,	1380,	1854),
(3239,	1381,	1855),
(3241,	1382,	1856),
(3243,	1383,	1857),
(3244,	1383,	1857),
(3245,	1384,	1858),
(3247,	1385,	1859),
(3249,	1386,	1860),
(3251,	1387,	1861),
(3253,	1388,	1862),
(3255,	1389,	1863),
(3257,	1390,	1864),
(3259,	1391,	1865),
(3261,	1392,	1866),
(3263,	1393,	1867),
(3265,	1394,	1868),
(3267,	1395,	1869),
(3269,	1396,	1870),
(3271,	1397,	1871),
(3273,	1398,	1872),
(3275,	1399,	1873),
(3277,	1400,	1874),
(3279,	1401,	1875),
(3281,	1402,	1876),
(3283,	1403,	1877),
(3285,	1404,	1878),
(3287,	1405,	1879),
(3289,	1406,	1880),
(3291,	1407,	1881),
(3293,	1408,	1882),
(3295,	1409,	1883),
(3297,	1410,	1884),
(3299,	1411,	1885),
(3301,	1412,	1886),
(3303,	1413,	1887),
(3305,	1414,	1888),
(3307,	1415,	1889),
(3309,	1416,	1890),
(3311,	1417,	1891),
(3313,	1418,	1892),
(3315,	1419,	1893),
(3317,	1420,	1894),
(3319,	1421,	1895),
(3321,	1422,	1896),
(3323,	1423,	1897),
(3325,	1424,	1898),
(3327,	1425,	1899),
(3329,	1426,	1900),
(3331,	1427,	1901),
(3333,	1428,	1902),
(3335,	1429,	1903),
(3337,	1430,	1904),
(3339,	1431,	1905),
(3341,	1432,	497),
(3343,	1433,	995),
(3345,	1434,	1906),
(3347,	1435,	1907),
(3348,	1435,	1908),
(3350,	1436,	1909),
(3352,	1437,	1910),
(3354,	1438,	1911),
(3356,	1439,	1912),
(3358,	1440,	1913),
(3360,	1441,	1914),
(3361,	1441,	1915),
(3362,	1441,	1916),
(3363,	1441,	1917),
(3365,	1442,	1918),
(3367,	1443,	1919),
(3369,	1444,	1920),
(3371,	1445,	1921),
(3373,	1446,	1922),
(3375,	1447,	1923),
(3377,	1448,	1924),
(3379,	1449,	1925),
(3381,	1450,	1926),
(3383,	1451,	1927),
(3385,	1452,	1928),
(3387,	1453,	1929),
(3389,	1454,	1930),
(3391,	1455,	1931),
(3393,	1456,	1932),
(3395,	1457,	1933),
(3397,	1458,	1934),
(3399,	1459,	1935),
(3401,	1460,	1936),
(3403,	1461,	1937),
(3405,	1462,	1938),
(3407,	1463,	1939),
(3409,	1464,	1940),
(3411,	1465,	1941),
(3413,	1466,	1942),
(3415,	1467,	1943),
(3417,	1468,	1944),
(3419,	1469,	1945),
(3420,	1469,	1946),
(3421,	1469,	1947),
(3422,	1469,	1948),
(3424,	1470,	1949),
(3426,	1471,	1950),
(3428,	1472,	1951),
(3430,	1473,	1952),
(3432,	1474,	1953),
(3434,	1475,	1954),
(3436,	1476,	1955),
(3438,	1477,	1956),
(3440,	1478,	1957),
(3442,	1479,	1958),
(3444,	1480,	1959),
(3446,	1481,	1960),
(3448,	1482,	1961),
(3450,	1483,	1962),
(3452,	1484,	1963),
(3454,	1485,	1964),
(3456,	1486,	1965),
(3458,	1487,	1966),
(3460,	1488,	1967),
(3462,	1489,	1968),
(3464,	1490,	1969),
(3466,	1491,	1970),
(3468,	1492,	1971),
(3470,	1493,	1972),
(3472,	1494,	1973),
(3474,	1495,	1974),
(3476,	1496,	1975),
(3478,	1497,	1976),
(3480,	1498,	1977),
(3482,	1499,	1978),
(3484,	1500,	1979),
(3486,	1501,	1980),
(3488,	1502,	1981),
(3490,	1503,	1982),
(3492,	1504,	1983),
(3494,	1505,	1984),
(3496,	1506,	1985),
(3498,	1507,	1986),
(3500,	1508,	1987),
(3502,	1509,	1988),
(3503,	1509,	1988),
(3504,	1510,	1989),
(3506,	1511,	1990),
(3508,	1512,	1991),
(3510,	1513,	1992),
(3512,	1514,	1993),
(3514,	1515,	1994),
(3516,	1516,	1995),
(3518,	1517,	1996),
(3520,	1518,	1997),
(3522,	1519,	1998),
(3524,	1520,	1999),
(3526,	1521,	2000),
(3528,	1522,	2001),
(3530,	1523,	2002),
(3532,	1524,	2003),
(3534,	1525,	2004),
(3535,	1525,	2005),
(3536,	1525,	2006),
(3537,	1525,	2007),
(3539,	1526,	2008),
(3541,	1527,	2009),
(3543,	1528,	2010),
(3545,	1529,	2011),
(3547,	1530,	2012),
(3549,	1531,	2013),
(3551,	1532,	2014),
(3553,	1533,	2015),
(3555,	1534,	2016),
(3556,	1534,	2017),
(3558,	1535,	2018),
(3560,	1536,	2019),
(3562,	1537,	2020),
(3564,	1538,	2021),
(3566,	1539,	2022),
(3568,	1540,	2023),
(3570,	1541,	2024),
(3572,	1542,	2025),
(3574,	1543,	2026),
(3576,	1544,	2027),
(3578,	1545,	2028),
(3580,	1546,	2029),
(3582,	1547,	2030),
(3584,	1548,	2031),
(3585,	1548,	2032),
(3587,	1549,	2033),
(3589,	1550,	2034),
(3591,	1551,	2035),
(3593,	1552,	2036),
(3595,	1553,	2037),
(3597,	1554,	2038),
(3599,	1555,	2039),
(3601,	1556,	2040),
(3603,	1557,	2041),
(3605,	1558,	2042),
(3607,	1559,	2043),
(3609,	1560,	2044),
(3611,	1561,	2045),
(3613,	1562,	2046),
(3615,	1563,	2047),
(3617,	1564,	2048),
(3619,	1565,	2049),
(3621,	1566,	2050),
(3623,	1567,	2051),
(3625,	1568,	2052),
(3627,	1569,	2053),
(3629,	1570,	2054),
(3630,	1570,	2055),
(3632,	1571,	2056),
(3634,	1572,	2057),
(3636,	1573,	2058),
(3638,	1574,	2059),
(3640,	1575,	2060),
(3642,	1576,	2061),
(3644,	1577,	2062),
(3646,	1578,	2063),
(3648,	1579,	2064),
(3650,	1580,	2065),
(3652,	1581,	2066),
(3654,	1582,	2067),
(3656,	1583,	2068),
(3658,	1584,	2069),
(3660,	1585,	2070),
(3662,	1586,	2071),
(3664,	1587,	2072),
(3666,	1588,	2073),
(3668,	1589,	2074),
(3670,	1590,	2075),
(3672,	1591,	2076),
(3674,	1592,	2077),
(3676,	1593,	2078),
(3678,	1594,	2079),
(3680,	1595,	2080),
(3682,	1596,	2081),
(3684,	1597,	2082),
(3686,	1598,	2083),
(3688,	1599,	2084),
(3690,	1600,	2085),
(3692,	1601,	2086),
(3694,	1602,	2087),
(3696,	1603,	2088),
(3698,	1604,	2089),
(3700,	1605,	2090),
(3702,	1606,	2091),
(3704,	1607,	2092),
(3706,	1608,	2093),
(3708,	1609,	2094),
(3710,	1610,	2095),
(3712,	1611,	2096),
(3714,	1612,	2097),
(3716,	1613,	2098),
(3718,	1614,	2099),
(3720,	1615,	2100),
(3722,	1616,	2101),
(3724,	1617,	2102),
(3726,	1618,	2103),
(3728,	1619,	2104),
(3730,	1620,	2105),
(3732,	1621,	2106),
(3734,	1622,	2107),
(3736,	1623,	2108),
(3738,	1624,	2109),
(3740,	1625,	2110),
(3742,	1626,	2111),
(3744,	1627,	2112),
(3746,	1628,	2113),
(3748,	1629,	2114),
(3750,	1630,	2115),
(3752,	1631,	2116),
(3754,	1632,	2117),
(3756,	1633,	2118),
(3758,	1634,	2119),
(3760,	1635,	2120),
(3762,	1636,	2121),
(3764,	1637,	2122),
(3766,	1638,	2123),
(3768,	1639,	2124),
(3770,	1640,	2125),
(3772,	1641,	2126),
(3774,	1642,	2127),
(3776,	1643,	2128),
(3777,	1643,	2129),
(3779,	1644,	2130),
(3781,	1645,	2131),
(3783,	1646,	2132),
(3785,	1647,	2133),
(3787,	1648,	2134),
(3789,	1649,	2135),
(3791,	1650,	2136),
(3793,	1651,	2137),
(3795,	1652,	2138),
(3797,	1653,	2139);

DROP TABLE IF EXISTS `customer_product`;
CREATE TABLE `customer_product` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `customer_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `customer_type`;
CREATE TABLE `customer_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `code` char(5) DEFAULT NULL,
  `is_active` char(1) DEFAULT 'Y',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `customer_type` (`id`, `name`, `code`, `is_active`) VALUES
(2,	'SHOP 01',	NULL,	'Y');

DROP TABLE IF EXISTS `damage_enterys`;
CREATE TABLE `damage_enterys` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dmg_cnt` bigint(100) DEFAULT NULL,
  `entry_no` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `entered_by` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `entry_date` date NOT NULL,
  `approved_date` timestamp NULL DEFAULT NULL,
  `approved_by` int(11) DEFAULT NULL,
  `location_id` int(11) DEFAULT NULL,
  `status` char(4) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'REQ',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dmg_index` (`customer_id`,`location_id`,`dmg_cnt`,`status`,`entry_date`,`approved_date`,`approved_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `damage_enterys` (`id`, `dmg_cnt`, `entry_no`, `entered_by`, `customer_id`, `entry_date`, `approved_date`, `approved_by`, `location_id`, `status`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	10,	'10',	98,	65,	'2021-03-03',	'2021-03-03 06:38:49',	98,	6,	'REQ',	'2021-03-03 06:38:49',	'2021-03-03 06:38:49',	NULL);

DROP TABLE IF EXISTS `damage_products`;
CREATE TABLE `damage_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `damage_entery_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `qty` double NOT NULL,
  `price` decimal(15,3) NOT NULL DEFAULT '0.000',
  `total_amt` decimal(15,3) NOT NULL DEFAULT '0.000',
  `remarks` text COLLATE utf8_unicode_ci,
  `prd_status` text COLLATE utf8_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `damage_entery_id_product_id_unit_id_grade_id` (`damage_entery_id`,`product_id`,`unit_id`,`grade_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `damage_products` (`id`, `damage_entery_id`, `product_id`, `unit_id`, `grade_id`, `qty`, `price`, `total_amt`, `remarks`, `prd_status`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	1,	1410,	3,	35,	10,	0.000,	0.000,	NULL,	NULL,	NULL,	NULL,	NULL);

DROP TABLE IF EXISTS `goods_rtn_entry`;
CREATE TABLE `goods_rtn_entry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mr_id` int(11) DEFAULT NULL,
  `gdrtn_cnt` bigint(100) DEFAULT NULL,
  `entry_no` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `entered_by` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `return_date` date NOT NULL,
  `approved_date` timestamp NULL DEFAULT NULL,
  `approved_by` int(11) DEFAULT NULL,
  `location_id` int(11) DEFAULT NULL,
  `status` char(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gds_rtn_index` (`mr_id`,`customer_id`,`location_id`,`status`,`return_date`,`approved_date`,`entered_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `goods_rtn_entry` (`id`, `mr_id`, `gdrtn_cnt`, `entry_no`, `entered_by`, `customer_id`, `return_date`, `approved_date`, `approved_by`, `location_id`, `status`, `created_at`, `updated_at`, `deleted_at`) VALUES
(2,	1,	101,	'GR-65-101',	98,	65,	'2021-02-26',	'2021-02-26 00:00:00',	77,	0,	'REJ',	'2021-02-26 14:27:07',	'2021-02-26 14:36:57',	NULL),
(3,	2,	102,	'GR-65-102',	98,	66,	'2021-02-26',	NULL,	NULL,	0,	'REQ',	'2021-02-26 14:35:57',	NULL,	NULL);

DROP TABLE IF EXISTS `grade_master`;
CREATE TABLE `grade_master` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grade` varchar(30) NOT NULL,
  `is_active` char(1) NOT NULL DEFAULT 'A',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `grade_master` (`id`, `grade`, `is_active`) VALUES
(1,	'1X8',	'Y'),
(2,	'BIG',	'Y'),
(3,	'MEDIUM',	'Y'),
(4,	'SMALL',	'Y'),
(5,	'1X10',	'Y'),
(6,	'1X2',	'Y'),
(7,	'100 P',	'Y'),
(8,	'110 P',	'Y'),
(9,	'113 P',	'Y'),
(10,	'120 P',	'Y'),
(11,	'125 P',	'Y'),
(12,	'126 P',	'Y'),
(13,	'135 P',	'Y'),
(14,	'138 P',	'Y'),
(15,	'150 P',	'Y'),
(16,	'163 P',	'Y'),
(17,	'165 P',	'Y'),
(18,	'180 P',	'Y'),
(19,	'64 P',	'Y'),
(20,	'72 P',	'Y'),
(21,	'90 P',	'Y'),
(22,	'NET',	'Y'),
(23,	'1X4',	'Y'),
(24,	'1X6',	'Y'),
(25,	'88 P',	'Y'),
(26,	'NET BOX BIG',	'Y'),
(27,	'NET BOX MED',	'Y'),
(28,	'NET BOX SMALL',	'Y'),
(29,	'OPEN',	'Y'),
(30,	'198 P',	'Y'),
(31,	'80 P',	'Y'),
(32,	'70 P',	'Y'),
(33,	'1X12',	'Y'),
(34,	'BOX',	'Y'),
(35,	'1X15',	'Y'),
(36,	'FOAM',	'Y'),
(37,	'1X16',	'Y'),
(38,	'TC',	'Y'),
(39,	'1X20',	'Y'),
(40,	'1X40',	'Y'),
(41,	'BUNCH',	'Y'),
(42,	'2 KG',	'Y'),
(43,	'0.250 GM',	'Y'),
(44,	'0.500 GM',	'Y'),
(45,	'1KG',	'Y'),
(46,	'2KG',	'Y'),
(47,	'3 KG',	'Y'),
(48,	'1X9',	'Y'),
(49,	'750 GM',	'Y'),
(50,	'BACKET (1X12)',	'Y'),
(51,	'CLEAR BOX',	'Y'),
(52,	'ROUND (1X12)',	'Y'),
(53,	'SORBEN MINI',	'Y'),
(54,	'SQUARE (1X12)',	'Y'),
(55,	'10 KG',	'Y'),
(56,	'L',	'Y'),
(57,	'1X30',	'Y'),
(58,	'15 P',	'Y'),
(59,	'1X24',	'Y'),
(60,	'6 P',	'Y'),
(61,	'HS SMALL',	'Y'),
(62,	'JUMBO',	'Y'),
(63,	'LARGE',	'Y'),
(64,	'LP 60P',	'Y'),
(65,	'L1',	'Y'),
(66,	'L2',	'Y'),
(67,	'S1',	'Y'),
(68,	'S2',	'Y'),
(69,	'XL',	'Y'),
(70,	'XXL',	'Y'),
(71,	'12 P',	'Y'),
(72,	'30 P',	'Y'),
(73,	'250 GM',	'Y'),
(74,	'500 GM',	'Y'),
(75,	'1 KG',	'Y'),
(76,	'2.5 KG',	'Y'),
(77,	'1X11',	'Y'),
(78,	'1X6 OUTER',	'Y'),
(79,	'4 KG',	'Y'),
(80,	'8 KG',	'Y'),
(81,	'WOOD',	'Y'),
(82,	'15 KG',	'Y'),
(83,	'18 KG',	'Y'),
(84,	'20 KG',	'Y'),
(85,	'25 KG',	'Y'),
(86,	'27 KG',	'Y'),
(87,	'28 KG',	'Y'),
(88,	'30 KG',	'Y'),
(89,	'40 KG',	'Y'),
(90,	'5 KG',	'Y'),
(91,	'50 KG',	'Y'),
(92,	'7 KG',	'Y'),
(93,	'13 KG',	'Y'),
(94,	'6 KG',	'Y'),
(95,	'9 KG',	'Y'),
(96,	'105 P',	'Y'),
(97,	'48 P',	'Y'),
(98,	'56 P',	'Y'),
(99,	'24 P',	'Y'),
(100,	'26 P',	'Y'),
(101,	'28 P',	'Y'),
(102,	'32 P',	'Y'),
(103,	'36 P',	'Y'),
(104,	'42 P',	'Y'),
(105,	'10 P',	'Y'),
(106,	'11 P',	'Y'),
(107,	'13 P',	'Y'),
(108,	'14 P',	'Y'),
(109,	'7 P',	'Y'),
(110,	'8 P',	'Y'),
(111,	'9 P',	'Y'),
(112,	'S SMALL',	'Y'),
(113,	'PCS',	'Y'),
(114,	'3.5X4.5',	'Y'),
(115,	'8X10 (THIN)',	'Y'),
(116,	'9X13',	'Y'),
(117,	'PP 12X12 THICK',	'Y'),
(118,	'PP 12X19 THICK',	'Y'),
(119,	'D18',	'Y'),
(120,	'M13',	'Y'),
(121,	'M14',	'Y'),
(122,	'M2',	'Y'),
(123,	'M3',	'Y'),
(124,	'11X20',	'Y'),
(125,	'13X26',	'Y'),
(126,	'16X30',	'Y'),
(127,	'6X12',	'Y'),
(128,	'6X16',	'Y'),
(129,	'8X16',	'Y'),
(130,	'45CM X 7KG',	'Y'),
(131,	'1000 CC',	'Y'),
(132,	'250 CC',	'Y'),
(133,	'500 CC',	'Y'),
(134,	'60Z-2800',	'Y'),
(135,	'40X50CM',	'Y'),
(136,	'HB2',	'Y'),
(137,	'7 OZ',	'Y'),
(138,	'8 OZ',	'Y'),
(139,	'1.8 KGX30CM',	'Y'),
(140,	'150MX30CM',	'Y'),
(141,	'200SQFT',	'Y'),
(142,	'3.5KG X 30CM',	'Y'),
(143,	'1X150',	'Y'),
(144,	'1X36(2)',	'Y'),
(145,	'160 OZN',	'Y'),
(146,	'120 OZN & 140 OZN',	'Y'),
(147,	'85X110',	'Y'),
(148,	'1 PLAY [EMBOSSED]',	'Y'),
(149,	'24X24',	'Y'),
(150,	'1X1000',	'Y'),
(151,	'6X8',	'Y'),
(152,	'8X10',	'Y'),
(153,	'9\"(INCH)',	'Y'),
(154,	'6 MM',	'Y'),
(155,	'1.5 KG',	'Y'),
(156,	'6 OZ',	'Y'),
(157,	'P10',	'Y'),
(158,	'P9',	'Y'),
(159,	'1X36 CTN',	'Y'),
(160,	'10 LTR',	'Y'),
(161,	'50 LTR',	'Y'),
(162,	'20 CM',	'Y'),
(163,	'30 CM',	'Y'),
(164,	'250(1*990)',	'Y'),
(165,	'125GM X 4',	'Y'),
(166,	'500GM X 1',	'Y'),
(167,	'250GM X 2',	'Y'),
(168,	'1KG X 1',	'Y'),
(169,	'400 GM',	'Y'),
(170,	'600 GM',	'Y'),
(171,	'700 GM',	'Y'),
(172,	'800 GM',	'Y'),
(173,	'1000 GM',	'Y'),
(174,	'900 GM',	'Y'),
(175,	'125 GM',	'Y'),
(176,	'1.8 KG',	'Y');

DROP TABLE IF EXISTS `group_master`;
CREATE TABLE `group_master` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `is_active` char(1) DEFAULT 'Y',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `group_master` (`id`, `name`, `is_active`) VALUES
(1,	'ALFALFA',	'Y'),
(2,	'ALMOND',	'Y'),
(3,	'ALOE VERA',	'Y'),
(4,	'APPLE',	'Y'),
(5,	'APRICOT',	'Y'),
(6,	'ARTICHOKE',	'Y'),
(7,	'ASPARAGUS',	'Y'),
(8,	'AVOCADO',	'Y'),
(9,	'BAMBOO',	'Y'),
(10,	'BANANA',	'Y'),
(11,	'BASIL',	'Y'),
(12,	'BEANS',	'Y'),
(13,	'BEET',	'Y'),
(14,	'BER FRUIT',	'Y'),
(15,	'BITTER GOURD',	'Y'),
(16,	'BERRY',	'Y'),
(17,	'BREAD',	'Y'),
(18,	'BROCCOLI',	'Y'),
(19,	'BRUSSEL',	'Y'),
(20,	'CABBAGE',	'Y'),
(21,	'CAPSICUM',	'Y'),
(22,	'CARROT',	'Y'),
(23,	'CAULIFLOWER',	'Y'),
(24,	'CELERY',	'Y'),
(25,	'CHAYOTE',	'Y'),
(26,	'CHERRY',	'Y'),
(27,	'CHERVIL',	'Y'),
(28,	'CHESTNUT',	'Y'),
(29,	'CHICORY',	'Y'),
(30,	'CHILLI',	'Y'),
(31,	'CHINIES KALE',	'Y'),
(32,	'CHIVES',	'Y'),
(33,	'COCONUT',	'Y'),
(34,	'CORIANDER',	'Y'),
(35,	'CORN',	'Y'),
(36,	'CRESS',	'Y'),
(37,	'CUCUMBER',	'Y'),
(38,	'CURRY',	'Y'),
(39,	'CUSTARD',	'Y'),
(40,	'DATES',	'Y'),
(41,	'DILL',	'Y'),
(42,	'DRAGON',	'Y'),
(43,	'DRUMSTICK',	'Y'),
(44,	'DURIAN',	'Y'),
(45,	'EGG',	'Y'),
(46,	'EGGPLANT',	'Y'),
(47,	'FENNEL',	'Y'),
(48,	'FIGS FRUIT',	'Y'),
(49,	'FLOWER',	'Y'),
(50,	'GALANGA',	'Y'),
(51,	'GARLIC',	'Y'),
(52,	'GHEE',	'Y'),
(53,	'GINGER',	'Y'),
(54,	'GOOSEBERRY',	'Y'),
(55,	'GOTUKOLA',	'Y'),
(56,	'GRAPEFRUIT',	'Y'),
(57,	'GRAPES',	'Y'),
(58,	'GUAR',	'Y'),
(59,	'GUAVA',	'Y'),
(60,	'GULFA',	'Y'),
(61,	'GUNDA',	'Y'),
(62,	'HORSE',	'Y'),
(63,	'IVY',	'Y'),
(64,	'JACKFRUIT',	'Y'),
(65,	'KAKA FRUIT',	'Y'),
(66,	'KANKUN',	'Y'),
(67,	'KATHURU',	'Y'),
(68,	'KIWI',	'Y'),
(69,	'KOCHUR',	'Y'),
(70,	'KOHILA',	'Y'),
(71,	'KOHLRABI',	'Y'),
(72,	'KUMQUAT',	'Y'),
(73,	'LADIES FINGER',	'Y'),
(74,	'LANGSAT',	'Y'),
(75,	'LEEKS',	'Y'),
(76,	'LEMON',	'Y'),
(77,	'LETTUCE',	'Y'),
(78,	'LIME',	'Y'),
(79,	'LITCHI',	'Y'),
(80,	'LONGAN',	'Y'),
(81,	'LONGAST',	'Y'),
(82,	'LOQUAT',	'Y'),
(83,	'LOTUS',	'Y'),
(84,	'MANDARIN',	'Y'),
(85,	'MANGO',	'Y'),
(86,	'MANGOSTEEN',	'Y'),
(87,	'MARJORAM',	'Y'),
(88,	'MARROW',	'Y'),
(89,	'MINT',	'Y'),
(90,	'MULUKIYA',	'Y'),
(91,	'MUSHROOM',	'Y'),
(92,	'NECTRINE',	'Y'),
(93,	'ONION',	'Y'),
(94,	'ORANGE',	'Y'),
(95,	'OREGANO',	'Y'),
(96,	'PAKSOY',	'Y'),
(97,	'PANDAN',	'Y'),
(98,	'PAPAYA',	'Y'),
(99,	'PAPPADAM',	'Y'),
(100,	'PARSLEY',	'Y'),
(101,	'PARSNIP',	'Y'),
(102,	'PASSION FRUIT',	'Y'),
(103,	'PATTYPAN',	'Y'),
(104,	'PEACHES',	'Y'),
(105,	'PEANUT',	'Y'),
(106,	'PEARS',	'Y'),
(107,	'PEPPER',	'Y'),
(108,	'PHYSALIS',	'Y'),
(109,	'PINEAPPLE',	'Y'),
(110,	'PLUMS',	'Y'),
(111,	'POI SHAK',	'Y'),
(112,	'POINTED',	'Y'),
(113,	'POMEGRANATE',	'Y'),
(114,	'POMELO',	'Y'),
(115,	'POTATO',	'Y'),
(116,	'PUMKIN',	'Y'),
(117,	'RADISH',	'Y'),
(118,	'RAMBUTAN',	'Y'),
(119,	'RHUBARB',	'Y'),
(120,	'RIDGE',	'Y'),
(121,	'RIDGE (TURI)',	'Y'),
(122,	'MELON',	'Y'),
(123,	'ROCKET',	'Y'),
(124,	'ROSE APPLE',	'Y'),
(125,	'ROSEMARY',	'Y'),
(126,	'SAGE',	'Y'),
(127,	'SAPODILLA',	'Y'),
(128,	'SNAKE FRUIT',	'Y'),
(129,	'SNAKE GOURD',	'Y'),
(130,	'SNOW PEAS',	'Y'),
(131,	'SOURSOP',	'Y'),
(132,	'SPINACH',	'Y'),
(133,	'SPINACH GREEN',	'Y'),
(134,	'STAR FRUIT',	'Y'),
(135,	'SUGAR CANE',	'Y'),
(136,	'SUGAR SNAP',	'Y'),
(137,	'TAMARIND',	'Y'),
(138,	'TAPIOCA',	'Y'),
(139,	'TARO',	'Y'),
(140,	'TARRAGON',	'Y'),
(141,	'TEASEL GOURD',	'Y'),
(142,	'THYME',	'Y'),
(143,	'TINDA',	'Y'),
(144,	'TOMATO',	'Y'),
(145,	'TURMERIC',	'Y'),
(146,	'TURNIP',	'Y'),
(147,	'WHEATGRASS',	'Y'),
(148,	'WOOD APPLE',	'Y'),
(149,	'YAM',	'Y'),
(150,	'ZUCCHINI',	'Y'),
(151,	'ZUCCHINI GREEN BABY',	'Y'),
(152,	'MIX',	'Y'),
(153,	'PEAS',	'Y'),
(154,	'MESCLUN',	'Y'),
(155,	'METHI',	'Y'),
(156,	'ZAATAR',	'Y'),
(157,	'PERSIMMON',	'Y'),
(158,	'PLASTICS',	'Y'),
(159,	'GENERAL ITEMS',	'Y'),
(160,	'MUSTARD',	'Y'),
(161,	'FRUITS & VEGETABLES',	'Y'),
(162,	'MEAT',	'Y'),
(163,	'BABY FOODS',	'Y'),
(164,	'ROSELLE',	'Y'),
(165,	'COCOA FRUIT',	'Y'),
(166,	'BETEL',	'Y'),
(167,	'CORN COOKED',	'Y'),
(168,	'COCONUT PALM FRUIT',	'Y'),
(169,	'SARANA',	'Y');

DROP TABLE IF EXISTS `hsn_codes`;
CREATE TABLE `hsn_codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hsncode` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `hsn_codes` (`id`, `hsncode`) VALUES
(1,	'07042000'),
(2,	'08109090'),
(3,	'09109930'),
(4,	'08081000'),
(5,	'08091000'),
(6,	'08131000'),
(7,	'08044000'),
(8,	'08039000'),
(9,	'08031000'),
(10,	'07082000'),
(11,	'07089010'),
(12,	'07069000'),
(13,	'8069000'),
(14,	'9069000'),
(15,	'10069000'),
(16,	'07099300'),
(17,	'08104000'),
(18,	'08101000'),
(19,	'08102000'),
(20,	'08103000'),
(21,	'9101000'),
(22,	'07041000'),
(23,	'07051100'),
(24,	'07096000'),
(25,	'07061000'),
(26,	'07094000'),
(27,	'08092100'),
(28,	'07099930'),
(29,	'8099930'),
(30,	'9099930'),
(31,	'10099930'),
(32,	'08024100'),
(33,	'07052100'),
(34,	'08011200'),
(35,	'08011900'),
(36,	'07099940'),
(37,	'07104000'),
(38,	'07070000'),
(39,	'08041010'),
(40,	'08041021'),
(41,	'08041029'),
(42,	'07089090'),
(43,	'08106000'),
(44,	'04072100'),
(45,	'04072900'),
(46,	'07093000'),
(47,	'07099990'),
(48,	'08042010'),
(49,	'06039000'),
(50,	'09101100'),
(51,	'07032000'),
(52,	'04059000'),
(53,	'08054000'),
(54,	'08061000'),
(55,	'08045010'),
(56,	'07052900'),
(57,	'9109090'),
(58,	'10109090'),
(59,	'11109090'),
(60,	'14109090'),
(61,	'15109090'),
(62,	'16109090'),
(63,	'17109090'),
(64,	'18109090'),
(65,	'19109090'),
(66,	'20109090'),
(67,	'21109090'),
(68,	'08107000'),
(69,	'07097000'),
(70,	'08105000'),
(71,	'07049000'),
(72,	'08052900'),
(73,	'07099920'),
(74,	'07039000'),
(75,	'08055010'),
(76,	'08055020'),
(77,	'07051900'),
(78,	'08052000'),
(79,	'08045020'),
(80,	'08045030'),
(81,	'09109920'),
(82,	'07099910'),
(83,	'07095100'),
(84,	'08093000'),
(85,	'07031011'),
(86,	'07031020'),
(87,	'08051000'),
(88,	'08072000'),
(89,	'13023200'),
(90,	'12024100'),
(91,	'08083000'),
(92,	'20019013'),
(93,	'08043000'),
(94,	'08094000'),
(95,	'08109010'),
(96,	'07019000'),
(97,	'07142000'),
(98,	'08071910'),
(99,	'08071100'),
(100,	'07081000'),
(101,	'12109090'),
(102,	'13109090'),
(103,	'12129300'),
(104,	'08134020'),
(105,	'07141000'),
(106,	'07144000'),
(107,	'09109990'),
(108,	'07123900'),
(109,	'07020000'),
(110,	'09103010'),
(111,	'07143000'),
(112,	'07149090'),
(113,	'07133120'),
(114,	'09109910'),
(115,	'10000001'),
(116,	'34012030'),
(117,	'02013000'),
(118,	'02012000'),
(119,	'02041000'),
(120,	'02045031'),
(121,	'02043000'),
(122,	'02071100'),
(123,	'16023900'),
(124,	'19011010');

DROP TABLE IF EXISTS `locations`;
CREATE TABLE `locations` (
  `id` int(15) NOT NULL AUTO_INCREMENT,
  `location` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `company_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_one` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `address_two` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `phone_no` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `vatin_no` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `is_active` char(5) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `locations` (`id`, `location`, `company_name`, `address_one`, `address_two`, `email`, `phone_no`, `vatin_no`, `is_active`) VALUES
(1,	'SHOP 01',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'Y');

DROP TABLE IF EXISTS `location_products`;
CREATE TABLE `location_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `location_id` int(11) NOT NULL,
  `product_id` int(11) DEFAULT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `standard_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `location_products` (`id`, `location_id`, `product_id`, `grade_id`, `standard_id`) VALUES
(4,	1,	1,	1,	1),
(5,	1,	1,	2,	1),
(6,	1,	1,	3,	1),
(7,	1,	1,	4,	1),
(8,	1,	1,	1,	2),
(9,	1,	1,	2,	2),
(10,	1,	1,	3,	2),
(11,	1,	1,	4,	2),
(12,	1,	2,	1,	1),
(13,	1,	2,	2,	1),
(14,	1,	2,	3,	1),
(15,	1,	2,	1,	2),
(16,	1,	2,	2,	2),
(17,	1,	2,	3,	2),
(18,	1,	3,	1,	1),
(19,	1,	3,	2,	1),
(20,	1,	3,	3,	1),
(21,	1,	3,	4,	1),
(22,	1,	3,	5,	1),
(23,	1,	3,	1,	2),
(24,	1,	3,	2,	2),
(25,	1,	3,	3,	2),
(26,	1,	3,	4,	2),
(27,	1,	3,	5,	2),
(28,	1,	4,	1,	1),
(29,	1,	4,	2,	1),
(30,	1,	4,	3,	1),
(31,	1,	4,	4,	1),
(32,	1,	4,	5,	1),
(33,	1,	4,	1,	2),
(34,	1,	4,	2,	2),
(35,	1,	4,	3,	2),
(36,	1,	4,	4,	2),
(37,	1,	4,	5,	2),
(38,	1,	5,	1,	1),
(39,	1,	5,	2,	1),
(40,	1,	5,	3,	1),
(41,	1,	5,	6,	1),
(42,	1,	6,	1,	1),
(43,	1,	6,	2,	1),
(44,	1,	6,	3,	1),
(45,	1,	6,	6,	1),
(46,	1,	7,	1,	1),
(47,	1,	7,	2,	1),
(48,	1,	7,	3,	1),
(49,	1,	7,	1,	2),
(50,	1,	7,	2,	2),
(51,	1,	7,	3,	2),
(52,	1,	8,	1,	1),
(53,	1,	8,	2,	1),
(54,	1,	8,	3,	1),
(55,	1,	8,	7,	1),
(56,	1,	8,	8,	1),
(57,	1,	8,	9,	1),
(58,	1,	8,	10,	1),
(59,	1,	8,	11,	1),
(60,	1,	8,	12,	1),
(61,	1,	8,	13,	1),
(62,	1,	8,	14,	1),
(63,	1,	8,	15,	1),
(64,	1,	8,	16,	1),
(65,	1,	8,	17,	1),
(66,	1,	8,	18,	1),
(67,	1,	8,	19,	1),
(68,	1,	8,	20,	1),
(69,	1,	8,	21,	1),
(70,	1,	8,	22,	1),
(71,	1,	9,	1,	1),
(72,	1,	9,	2,	1),
(73,	1,	9,	3,	1),
(74,	1,	9,	7,	1),
(75,	1,	9,	8,	1),
(76,	1,	9,	9,	1),
(77,	1,	9,	10,	1),
(78,	1,	9,	11,	1),
(79,	1,	9,	12,	1),
(80,	1,	9,	13,	1),
(81,	1,	9,	14,	1),
(82,	1,	9,	15,	1),
(83,	1,	9,	16,	1),
(84,	1,	9,	17,	1),
(85,	1,	9,	18,	1),
(86,	1,	9,	19,	1),
(87,	1,	9,	20,	1),
(88,	1,	9,	21,	1),
(89,	1,	9,	22,	1),
(90,	1,	10,	1,	1),
(91,	1,	10,	2,	1),
(92,	1,	10,	3,	1),
(93,	1,	10,	7,	1),
(94,	1,	10,	8,	1),
(95,	1,	10,	9,	1),
(96,	1,	10,	10,	1),
(97,	1,	10,	11,	1),
(98,	1,	10,	12,	1),
(99,	1,	10,	13,	1),
(100,	1,	10,	14,	1),
(101,	1,	10,	15,	1),
(102,	1,	10,	16,	1),
(103,	1,	10,	17,	1),
(104,	1,	10,	18,	1),
(105,	1,	10,	19,	1),
(106,	1,	10,	20,	1),
(107,	1,	10,	21,	1),
(108,	1,	10,	22,	1),
(109,	1,	11,	1,	1),
(110,	1,	11,	2,	1),
(111,	1,	11,	3,	1),
(112,	1,	11,	7,	1),
(113,	1,	11,	8,	1),
(114,	1,	11,	9,	1),
(115,	1,	11,	10,	1),
(116,	1,	11,	11,	1),
(117,	1,	11,	12,	1),
(118,	1,	11,	13,	1),
(119,	1,	11,	14,	1),
(120,	1,	11,	15,	1),
(121,	1,	11,	16,	1),
(122,	1,	11,	17,	1),
(123,	1,	11,	18,	1),
(124,	1,	11,	19,	1),
(125,	1,	11,	20,	1),
(126,	1,	11,	21,	1),
(127,	1,	11,	22,	1),
(128,	1,	12,	1,	1),
(129,	1,	12,	2,	1),
(130,	1,	12,	3,	1),
(131,	1,	12,	7,	1),
(132,	1,	12,	8,	1),
(133,	1,	12,	9,	1),
(134,	1,	12,	10,	1),
(135,	1,	12,	11,	1),
(136,	1,	12,	12,	1),
(137,	1,	12,	13,	1),
(138,	1,	12,	14,	1),
(139,	1,	12,	15,	1),
(140,	1,	12,	16,	1),
(141,	1,	12,	17,	1),
(142,	1,	12,	18,	1),
(143,	1,	12,	19,	1),
(144,	1,	12,	20,	1),
(145,	1,	12,	21,	1),
(146,	1,	12,	22,	1),
(147,	1,	13,	1,	1),
(148,	1,	13,	2,	1),
(149,	1,	13,	3,	1),
(150,	1,	13,	7,	1),
(151,	1,	13,	8,	1),
(152,	1,	13,	9,	1),
(153,	1,	13,	10,	1),
(154,	1,	13,	11,	1),
(155,	1,	13,	12,	1),
(156,	1,	13,	13,	1),
(157,	1,	13,	14,	1),
(158,	1,	13,	15,	1),
(159,	1,	13,	16,	1),
(160,	1,	13,	17,	1),
(161,	1,	13,	18,	1),
(162,	1,	13,	19,	1),
(163,	1,	13,	20,	1),
(164,	1,	13,	21,	1),
(165,	1,	13,	22,	1),
(166,	1,	14,	1,	1),
(167,	1,	14,	2,	1),
(168,	1,	14,	3,	1),
(169,	1,	14,	7,	1),
(170,	1,	14,	8,	1),
(171,	1,	14,	9,	1),
(172,	1,	14,	10,	1),
(173,	1,	14,	11,	1),
(174,	1,	14,	12,	1),
(175,	1,	14,	13,	1),
(176,	1,	14,	14,	1),
(177,	1,	14,	15,	1),
(178,	1,	14,	16,	1),
(179,	1,	14,	17,	1),
(180,	1,	14,	18,	1),
(181,	1,	14,	19,	1),
(182,	1,	14,	20,	1),
(183,	1,	14,	21,	1),
(184,	1,	14,	22,	1),
(185,	1,	15,	1,	1),
(186,	1,	15,	2,	1),
(187,	1,	15,	3,	1),
(188,	1,	15,	7,	1),
(189,	1,	15,	8,	1),
(190,	1,	15,	9,	1),
(191,	1,	15,	10,	1),
(192,	1,	15,	11,	1),
(193,	1,	15,	12,	1),
(194,	1,	15,	13,	1),
(195,	1,	15,	14,	1),
(196,	1,	15,	15,	1),
(197,	1,	15,	16,	1),
(198,	1,	15,	17,	1),
(199,	1,	15,	18,	1),
(200,	1,	15,	19,	1),
(201,	1,	15,	20,	1),
(202,	1,	15,	21,	1),
(203,	1,	15,	22,	1),
(204,	1,	16,	1,	1),
(205,	1,	16,	2,	1),
(206,	1,	16,	3,	1),
(207,	1,	16,	7,	1),
(208,	1,	16,	8,	1),
(209,	1,	16,	9,	1),
(210,	1,	16,	10,	1),
(211,	1,	16,	11,	1),
(212,	1,	16,	12,	1),
(213,	1,	16,	13,	1),
(214,	1,	16,	14,	1),
(215,	1,	16,	15,	1),
(216,	1,	16,	16,	1),
(217,	1,	16,	17,	1),
(218,	1,	16,	18,	1),
(219,	1,	16,	19,	1),
(220,	1,	16,	20,	1),
(221,	1,	16,	21,	1),
(222,	1,	16,	22,	1),
(223,	1,	17,	1,	1),
(224,	1,	17,	2,	1),
(225,	1,	17,	3,	1),
(226,	1,	17,	7,	1),
(227,	1,	17,	8,	1),
(228,	1,	17,	9,	1),
(229,	1,	17,	10,	1),
(230,	1,	17,	11,	1),
(231,	1,	17,	12,	1),
(232,	1,	17,	13,	1),
(233,	1,	17,	14,	1),
(234,	1,	17,	15,	1),
(235,	1,	17,	16,	1),
(236,	1,	17,	17,	1),
(237,	1,	17,	18,	1),
(238,	1,	17,	19,	1),
(239,	1,	17,	20,	1),
(240,	1,	17,	21,	1),
(241,	1,	17,	22,	1),
(242,	1,	18,	1,	1),
(243,	1,	18,	2,	1),
(244,	1,	18,	3,	1),
(245,	1,	18,	7,	1),
(246,	1,	18,	8,	1),
(247,	1,	18,	9,	1),
(248,	1,	18,	10,	1),
(249,	1,	18,	11,	1),
(250,	1,	18,	12,	1),
(251,	1,	18,	13,	1),
(252,	1,	18,	14,	1),
(253,	1,	18,	15,	1),
(254,	1,	18,	16,	1),
(255,	1,	18,	17,	1),
(256,	1,	18,	18,	1),
(257,	1,	18,	19,	1),
(258,	1,	18,	20,	1),
(259,	1,	18,	21,	1),
(260,	1,	18,	22,	1),
(261,	1,	19,	1,	1),
(262,	1,	19,	2,	1),
(263,	1,	19,	3,	1),
(264,	1,	19,	7,	1),
(265,	1,	19,	8,	1),
(266,	1,	19,	9,	1),
(267,	1,	19,	10,	1),
(268,	1,	19,	11,	1),
(269,	1,	19,	12,	1),
(270,	1,	19,	13,	1),
(271,	1,	19,	14,	1),
(272,	1,	19,	15,	1),
(273,	1,	19,	16,	1),
(274,	1,	19,	17,	1),
(275,	1,	19,	18,	1),
(276,	1,	19,	19,	1),
(277,	1,	19,	20,	1),
(278,	1,	19,	21,	1),
(279,	1,	19,	22,	1),
(280,	1,	20,	1,	1),
(281,	1,	20,	2,	1),
(282,	1,	20,	3,	1),
(283,	1,	20,	7,	1),
(284,	1,	20,	8,	1),
(285,	1,	20,	9,	1),
(286,	1,	20,	10,	1),
(287,	1,	20,	11,	1),
(288,	1,	20,	12,	1),
(289,	1,	20,	13,	1),
(290,	1,	20,	14,	1),
(291,	1,	20,	15,	1),
(292,	1,	20,	16,	1),
(293,	1,	20,	17,	1),
(294,	1,	20,	18,	1),
(295,	1,	20,	19,	1),
(296,	1,	20,	20,	1),
(297,	1,	20,	21,	1),
(298,	1,	20,	22,	1),
(299,	1,	21,	1,	1),
(300,	1,	21,	2,	1),
(301,	1,	21,	3,	1),
(302,	1,	21,	7,	1),
(303,	1,	21,	8,	1),
(304,	1,	21,	9,	1),
(305,	1,	21,	10,	1),
(306,	1,	21,	11,	1),
(307,	1,	21,	12,	1),
(308,	1,	21,	13,	1),
(309,	1,	21,	14,	1),
(310,	1,	21,	15,	1),
(311,	1,	21,	16,	1),
(312,	1,	21,	17,	1),
(313,	1,	21,	18,	1),
(314,	1,	21,	19,	1),
(315,	1,	21,	20,	1),
(316,	1,	21,	21,	1),
(317,	1,	21,	22,	1),
(318,	1,	22,	1,	1),
(319,	1,	22,	2,	1),
(320,	1,	22,	3,	1),
(321,	1,	22,	7,	1),
(322,	1,	22,	8,	1),
(323,	1,	22,	9,	1),
(324,	1,	22,	10,	1),
(325,	1,	22,	11,	1),
(326,	1,	22,	12,	1),
(327,	1,	22,	13,	1),
(328,	1,	22,	14,	1),
(329,	1,	22,	15,	1),
(330,	1,	22,	16,	1),
(331,	1,	22,	17,	1),
(332,	1,	22,	18,	1),
(333,	1,	22,	19,	1),
(334,	1,	22,	20,	1),
(335,	1,	22,	21,	1),
(336,	1,	22,	22,	1),
(337,	1,	23,	1,	1),
(338,	1,	23,	2,	1),
(339,	1,	23,	3,	1),
(340,	1,	23,	7,	1),
(341,	1,	23,	8,	1),
(342,	1,	23,	9,	1),
(343,	1,	23,	10,	1),
(344,	1,	23,	11,	1),
(345,	1,	23,	12,	1),
(346,	1,	23,	13,	1),
(347,	1,	23,	14,	1),
(348,	1,	23,	15,	1),
(349,	1,	23,	16,	1),
(350,	1,	23,	17,	1),
(351,	1,	23,	18,	1),
(352,	1,	23,	19,	1),
(353,	1,	23,	20,	1),
(354,	1,	23,	21,	1),
(355,	1,	23,	22,	1),
(356,	1,	24,	1,	1),
(357,	1,	24,	2,	1),
(358,	1,	24,	3,	1),
(359,	1,	24,	7,	1),
(360,	1,	24,	8,	1),
(361,	1,	24,	9,	1),
(362,	1,	24,	10,	1),
(363,	1,	24,	11,	1),
(364,	1,	24,	12,	1),
(365,	1,	24,	13,	1),
(366,	1,	24,	14,	1),
(367,	1,	24,	15,	1),
(368,	1,	24,	16,	1),
(369,	1,	24,	17,	1),
(370,	1,	24,	18,	1),
(371,	1,	24,	19,	1),
(372,	1,	24,	20,	1),
(373,	1,	24,	21,	1),
(374,	1,	24,	22,	1),
(375,	1,	25,	1,	1),
(376,	1,	25,	2,	1),
(377,	1,	25,	3,	1),
(378,	1,	25,	7,	1),
(379,	1,	25,	8,	1),
(380,	1,	25,	9,	1),
(381,	1,	25,	10,	1),
(382,	1,	25,	11,	1),
(383,	1,	25,	12,	1),
(384,	1,	25,	13,	1),
(385,	1,	25,	14,	1),
(386,	1,	25,	15,	1),
(387,	1,	25,	16,	1),
(388,	1,	25,	17,	1),
(389,	1,	25,	18,	1),
(390,	1,	25,	19,	1),
(391,	1,	25,	20,	1),
(392,	1,	25,	21,	1),
(393,	1,	25,	22,	1),
(394,	1,	26,	1,	1),
(395,	1,	26,	2,	1),
(396,	1,	26,	3,	1),
(397,	1,	26,	7,	1),
(398,	1,	26,	8,	1),
(399,	1,	26,	9,	1),
(400,	1,	26,	10,	1),
(401,	1,	26,	11,	1),
(402,	1,	26,	12,	1),
(403,	1,	26,	13,	1),
(404,	1,	26,	14,	1),
(405,	1,	26,	15,	1),
(406,	1,	26,	16,	1),
(407,	1,	26,	17,	1),
(408,	1,	26,	18,	1),
(409,	1,	26,	19,	1),
(410,	1,	26,	20,	1),
(411,	1,	26,	21,	1),
(412,	1,	26,	22,	1),
(413,	1,	27,	1,	1),
(414,	1,	27,	2,	1),
(415,	1,	27,	3,	1),
(416,	1,	27,	7,	1),
(417,	1,	27,	8,	1),
(418,	1,	27,	9,	1),
(419,	1,	27,	10,	1),
(420,	1,	27,	11,	1),
(421,	1,	27,	12,	1),
(422,	1,	27,	13,	1),
(423,	1,	27,	14,	1),
(424,	1,	27,	15,	1),
(425,	1,	27,	16,	1),
(426,	1,	27,	17,	1),
(427,	1,	27,	18,	1),
(428,	1,	27,	19,	1),
(429,	1,	27,	20,	1),
(430,	1,	27,	21,	1),
(431,	1,	27,	22,	1),
(432,	1,	28,	1,	1),
(433,	1,	28,	2,	1),
(434,	1,	28,	3,	1),
(435,	1,	28,	7,	1),
(436,	1,	28,	8,	1),
(437,	1,	28,	9,	1),
(438,	1,	28,	10,	1),
(439,	1,	28,	11,	1),
(440,	1,	28,	12,	1),
(441,	1,	28,	13,	1),
(442,	1,	28,	14,	1),
(443,	1,	28,	15,	1),
(444,	1,	28,	16,	1),
(445,	1,	28,	17,	1),
(446,	1,	28,	18,	1),
(447,	1,	28,	19,	1),
(448,	1,	28,	20,	1),
(449,	1,	28,	21,	1),
(450,	1,	28,	22,	1),
(451,	1,	29,	1,	1),
(452,	1,	29,	2,	1),
(453,	1,	29,	3,	1),
(454,	1,	29,	7,	1),
(455,	1,	29,	8,	1),
(456,	1,	29,	9,	1),
(457,	1,	29,	10,	1),
(458,	1,	29,	11,	1),
(459,	1,	29,	12,	1),
(460,	1,	29,	13,	1),
(461,	1,	29,	14,	1),
(462,	1,	29,	15,	1),
(463,	1,	29,	16,	1),
(464,	1,	29,	17,	1),
(465,	1,	29,	18,	1),
(466,	1,	29,	19,	1),
(467,	1,	29,	20,	1),
(468,	1,	29,	21,	1),
(469,	1,	29,	22,	1),
(470,	1,	30,	1,	1),
(471,	1,	30,	2,	1),
(472,	1,	30,	3,	1),
(473,	1,	30,	7,	1),
(474,	1,	30,	8,	1),
(475,	1,	30,	9,	1),
(476,	1,	30,	10,	1),
(477,	1,	30,	11,	1),
(478,	1,	30,	12,	1),
(479,	1,	30,	13,	1),
(480,	1,	30,	14,	1),
(481,	1,	30,	15,	1),
(482,	1,	30,	16,	1),
(483,	1,	30,	17,	1),
(484,	1,	30,	18,	1),
(485,	1,	30,	19,	1),
(486,	1,	30,	20,	1),
(487,	1,	30,	21,	1),
(488,	1,	30,	22,	1),
(489,	1,	31,	1,	1),
(490,	1,	31,	2,	1),
(491,	1,	31,	3,	1),
(492,	1,	31,	7,	1),
(493,	1,	31,	8,	1),
(494,	1,	31,	9,	1),
(495,	1,	31,	10,	1),
(496,	1,	31,	11,	1),
(497,	1,	31,	12,	1),
(498,	1,	31,	13,	1),
(499,	1,	31,	14,	1),
(500,	1,	31,	15,	1),
(501,	1,	31,	16,	1),
(502,	1,	31,	17,	1),
(503,	1,	31,	18,	1),
(504,	1,	31,	19,	1),
(505,	1,	31,	20,	1),
(506,	1,	31,	21,	1),
(507,	1,	31,	22,	1),
(508,	1,	32,	1,	1),
(509,	1,	32,	2,	1),
(510,	1,	32,	3,	1),
(511,	1,	32,	7,	1),
(512,	1,	32,	8,	1),
(513,	1,	32,	9,	1),
(514,	1,	32,	10,	1),
(515,	1,	32,	11,	1),
(516,	1,	32,	12,	1),
(517,	1,	32,	13,	1),
(518,	1,	32,	14,	1),
(519,	1,	32,	15,	1),
(520,	1,	32,	16,	1),
(521,	1,	32,	17,	1),
(522,	1,	32,	18,	1),
(523,	1,	32,	19,	1),
(524,	1,	32,	20,	1),
(525,	1,	32,	21,	1),
(526,	1,	32,	22,	1),
(527,	1,	33,	1,	1),
(528,	1,	33,	2,	1),
(529,	1,	33,	3,	1),
(530,	1,	33,	7,	1),
(531,	1,	33,	8,	1),
(532,	1,	33,	9,	1),
(533,	1,	33,	10,	1),
(534,	1,	33,	11,	1),
(535,	1,	33,	12,	1),
(536,	1,	33,	13,	1),
(537,	1,	33,	14,	1),
(538,	1,	33,	15,	1),
(539,	1,	33,	16,	1),
(540,	1,	33,	17,	1),
(541,	1,	33,	18,	1),
(542,	1,	33,	19,	1),
(543,	1,	33,	20,	1),
(544,	1,	33,	21,	1),
(545,	1,	33,	22,	1),
(546,	1,	34,	1,	1),
(547,	1,	34,	2,	1),
(548,	1,	34,	3,	1),
(549,	1,	34,	7,	1),
(550,	1,	34,	8,	1),
(551,	1,	34,	9,	1),
(552,	1,	34,	10,	1),
(553,	1,	34,	11,	1),
(554,	1,	34,	12,	1),
(555,	1,	34,	13,	1),
(556,	1,	34,	14,	1),
(557,	1,	34,	15,	1),
(558,	1,	34,	16,	1),
(559,	1,	34,	17,	1),
(560,	1,	34,	18,	1),
(561,	1,	34,	19,	1),
(562,	1,	34,	20,	1),
(563,	1,	34,	21,	1),
(564,	1,	34,	22,	1),
(565,	1,	34,	23,	1),
(566,	1,	35,	1,	1),
(567,	1,	35,	2,	1),
(568,	1,	35,	3,	1),
(569,	1,	35,	7,	1),
(570,	1,	35,	8,	1),
(571,	1,	35,	9,	1),
(572,	1,	35,	10,	1),
(573,	1,	35,	11,	1),
(574,	1,	35,	12,	1),
(575,	1,	35,	13,	1),
(576,	1,	35,	14,	1),
(577,	1,	35,	15,	1),
(578,	1,	35,	16,	1),
(579,	1,	35,	17,	1),
(580,	1,	35,	18,	1),
(581,	1,	35,	19,	1),
(582,	1,	35,	20,	1),
(583,	1,	35,	21,	1),
(584,	1,	35,	22,	1),
(585,	1,	36,	1,	1),
(586,	1,	36,	2,	1),
(587,	1,	36,	3,	1),
(588,	1,	36,	7,	1),
(589,	1,	36,	8,	1),
(590,	1,	36,	9,	1),
(591,	1,	36,	10,	1),
(592,	1,	36,	11,	1),
(593,	1,	36,	12,	1),
(594,	1,	36,	13,	1),
(595,	1,	36,	14,	1),
(596,	1,	36,	15,	1),
(597,	1,	36,	16,	1),
(598,	1,	36,	17,	1),
(599,	1,	36,	18,	1),
(600,	1,	36,	19,	1),
(601,	1,	36,	20,	1),
(602,	1,	36,	21,	1),
(603,	1,	36,	22,	1),
(604,	1,	37,	1,	1),
(605,	1,	37,	2,	1),
(606,	1,	37,	3,	1),
(607,	1,	37,	7,	1),
(608,	1,	37,	8,	1),
(609,	1,	37,	9,	1),
(610,	1,	37,	10,	1),
(611,	1,	37,	11,	1),
(612,	1,	37,	12,	1),
(613,	1,	37,	13,	1),
(614,	1,	37,	14,	1),
(615,	1,	37,	15,	1),
(616,	1,	37,	16,	1),
(617,	1,	37,	17,	1),
(618,	1,	37,	18,	1),
(619,	1,	37,	19,	1),
(620,	1,	37,	20,	1),
(621,	1,	37,	21,	1),
(622,	1,	37,	22,	1),
(623,	1,	38,	1,	1),
(624,	1,	38,	2,	1),
(625,	1,	38,	3,	1),
(626,	1,	38,	7,	1),
(627,	1,	38,	8,	1),
(628,	1,	38,	9,	1),
(629,	1,	38,	10,	1),
(630,	1,	38,	11,	1),
(631,	1,	38,	12,	1),
(632,	1,	38,	13,	1),
(633,	1,	38,	14,	1),
(634,	1,	38,	15,	1),
(635,	1,	38,	16,	1),
(636,	1,	38,	17,	1),
(637,	1,	38,	18,	1),
(638,	1,	38,	19,	1),
(639,	1,	38,	20,	1),
(640,	1,	38,	21,	1),
(641,	1,	38,	22,	1),
(642,	1,	39,	1,	1),
(643,	1,	39,	2,	1),
(644,	1,	39,	3,	1),
(645,	1,	39,	7,	1),
(646,	1,	39,	8,	1),
(647,	1,	39,	9,	1),
(648,	1,	39,	10,	1),
(649,	1,	39,	11,	1),
(650,	1,	39,	12,	1),
(651,	1,	39,	13,	1),
(652,	1,	39,	14,	1),
(653,	1,	39,	15,	1),
(654,	1,	39,	16,	1),
(655,	1,	39,	17,	1),
(656,	1,	39,	18,	1),
(657,	1,	39,	19,	1),
(658,	1,	39,	20,	1),
(659,	1,	39,	21,	1),
(660,	1,	39,	22,	1),
(661,	1,	40,	1,	1),
(662,	1,	40,	2,	1),
(663,	1,	40,	3,	1),
(664,	1,	40,	7,	1),
(665,	1,	40,	8,	1),
(666,	1,	40,	9,	1),
(667,	1,	40,	10,	1),
(668,	1,	40,	11,	1),
(669,	1,	40,	12,	1),
(670,	1,	40,	13,	1),
(671,	1,	40,	14,	1),
(672,	1,	40,	15,	1),
(673,	1,	40,	16,	1),
(674,	1,	40,	17,	1),
(675,	1,	40,	18,	1),
(676,	1,	40,	19,	1),
(677,	1,	40,	20,	1),
(678,	1,	40,	21,	1),
(679,	1,	40,	22,	1),
(680,	1,	41,	1,	1),
(681,	1,	41,	2,	1),
(682,	1,	41,	3,	1),
(683,	1,	41,	7,	1),
(684,	1,	41,	8,	1),
(685,	1,	41,	9,	1),
(686,	1,	41,	10,	1),
(687,	1,	41,	11,	1),
(688,	1,	41,	12,	1),
(689,	1,	41,	13,	1),
(690,	1,	41,	14,	1),
(691,	1,	41,	15,	1),
(692,	1,	41,	16,	1),
(693,	1,	41,	17,	1),
(694,	1,	41,	18,	1),
(695,	1,	41,	19,	1),
(696,	1,	41,	20,	1),
(697,	1,	41,	21,	1),
(698,	1,	41,	22,	1),
(699,	1,	42,	1,	1),
(700,	1,	42,	2,	1),
(701,	1,	42,	3,	1),
(702,	1,	42,	7,	1),
(703,	1,	42,	8,	1),
(704,	1,	42,	9,	1),
(705,	1,	42,	10,	1),
(706,	1,	42,	11,	1),
(707,	1,	42,	12,	1),
(708,	1,	42,	13,	1),
(709,	1,	42,	14,	1),
(710,	1,	42,	15,	1),
(711,	1,	42,	16,	1),
(712,	1,	42,	17,	1),
(713,	1,	42,	18,	1),
(714,	1,	42,	19,	1),
(715,	1,	42,	20,	1),
(716,	1,	42,	21,	1),
(717,	1,	42,	22,	1),
(718,	1,	43,	1,	1),
(719,	1,	43,	2,	1),
(720,	1,	43,	3,	1),
(721,	1,	43,	7,	1),
(722,	1,	43,	8,	1),
(723,	1,	43,	9,	1),
(724,	1,	43,	10,	1),
(725,	1,	43,	11,	1),
(726,	1,	43,	12,	1),
(727,	1,	43,	13,	1),
(728,	1,	43,	14,	1),
(729,	1,	43,	15,	1),
(730,	1,	43,	16,	1),
(731,	1,	43,	17,	1),
(732,	1,	43,	18,	1),
(733,	1,	43,	19,	1),
(734,	1,	43,	20,	1),
(735,	1,	43,	21,	1),
(736,	1,	43,	22,	1),
(737,	1,	44,	1,	1),
(738,	1,	44,	2,	1),
(739,	1,	44,	3,	1),
(740,	1,	44,	7,	1),
(741,	1,	44,	8,	1),
(742,	1,	44,	9,	1),
(743,	1,	44,	10,	1),
(744,	1,	44,	11,	1),
(745,	1,	44,	12,	1),
(746,	1,	44,	13,	1),
(747,	1,	44,	14,	1),
(748,	1,	44,	15,	1),
(749,	1,	44,	16,	1),
(750,	1,	44,	17,	1),
(751,	1,	44,	18,	1),
(752,	1,	44,	19,	1),
(753,	1,	44,	20,	1),
(754,	1,	44,	21,	1),
(755,	1,	44,	22,	1),
(756,	1,	44,	23,	1),
(757,	1,	45,	1,	1),
(758,	1,	45,	2,	1),
(759,	1,	45,	3,	1),
(760,	1,	45,	7,	1),
(761,	1,	45,	8,	1),
(762,	1,	45,	9,	1),
(763,	1,	45,	10,	1),
(764,	1,	45,	11,	1),
(765,	1,	45,	12,	1),
(766,	1,	45,	13,	1),
(767,	1,	45,	14,	1),
(768,	1,	45,	15,	1),
(769,	1,	45,	16,	1),
(770,	1,	45,	17,	1),
(771,	1,	45,	18,	1),
(772,	1,	45,	19,	1),
(773,	1,	45,	20,	1),
(774,	1,	45,	21,	1),
(775,	1,	45,	22,	1),
(776,	1,	46,	1,	1),
(777,	1,	46,	2,	1),
(778,	1,	46,	3,	1),
(779,	1,	46,	7,	1),
(780,	1,	46,	8,	1),
(781,	1,	46,	9,	1),
(782,	1,	46,	10,	1),
(783,	1,	46,	11,	1),
(784,	1,	46,	12,	1),
(785,	1,	46,	13,	1),
(786,	1,	46,	14,	1),
(787,	1,	46,	15,	1),
(788,	1,	46,	16,	1),
(789,	1,	46,	17,	1),
(790,	1,	46,	18,	1),
(791,	1,	46,	19,	1),
(792,	1,	46,	20,	1),
(793,	1,	46,	21,	1),
(794,	1,	46,	22,	1),
(795,	1,	46,	23,	1),
(796,	1,	47,	1,	1),
(797,	1,	47,	2,	1),
(798,	1,	47,	3,	1),
(799,	1,	47,	7,	1),
(800,	1,	47,	8,	1),
(801,	1,	47,	9,	1),
(802,	1,	47,	10,	1),
(803,	1,	47,	11,	1),
(804,	1,	47,	12,	1),
(805,	1,	47,	13,	1),
(806,	1,	47,	14,	1),
(807,	1,	47,	15,	1),
(808,	1,	47,	16,	1),
(809,	1,	47,	17,	1),
(810,	1,	47,	18,	1),
(811,	1,	47,	19,	1),
(812,	1,	47,	20,	1),
(813,	1,	47,	21,	1),
(814,	1,	47,	22,	1),
(815,	1,	48,	1,	1),
(816,	1,	48,	2,	1),
(817,	1,	48,	3,	1),
(818,	1,	48,	7,	1),
(819,	1,	48,	8,	1),
(820,	1,	48,	9,	1),
(821,	1,	48,	10,	1),
(822,	1,	48,	11,	1),
(823,	1,	48,	12,	1),
(824,	1,	48,	13,	1),
(825,	1,	48,	14,	1),
(826,	1,	48,	15,	1),
(827,	1,	48,	16,	1),
(828,	1,	48,	17,	1),
(829,	1,	48,	18,	1),
(830,	1,	48,	19,	1),
(831,	1,	48,	20,	1),
(832,	1,	48,	21,	1),
(833,	1,	48,	22,	1),
(834,	1,	49,	1,	1),
(835,	1,	49,	2,	1),
(836,	1,	49,	3,	1),
(837,	1,	49,	7,	1),
(838,	1,	49,	8,	1),
(839,	1,	49,	9,	1),
(840,	1,	49,	10,	1),
(841,	1,	49,	11,	1),
(842,	1,	49,	12,	1),
(843,	1,	49,	13,	1),
(844,	1,	49,	14,	1),
(845,	1,	49,	15,	1),
(846,	1,	49,	16,	1),
(847,	1,	49,	17,	1),
(848,	1,	49,	18,	1),
(849,	1,	49,	19,	1),
(850,	1,	49,	20,	1),
(851,	1,	49,	21,	1),
(852,	1,	49,	22,	1),
(853,	1,	50,	1,	1),
(854,	1,	50,	2,	1),
(855,	1,	50,	3,	1),
(856,	1,	50,	7,	1),
(857,	1,	50,	8,	1),
(858,	1,	50,	9,	1),
(859,	1,	50,	10,	1),
(860,	1,	50,	11,	1),
(861,	1,	50,	12,	1),
(862,	1,	50,	13,	1),
(863,	1,	50,	14,	1),
(864,	1,	50,	15,	1),
(865,	1,	50,	16,	1),
(866,	1,	50,	17,	1),
(867,	1,	50,	18,	1),
(868,	1,	50,	19,	1),
(869,	1,	50,	20,	1),
(870,	1,	50,	21,	1),
(871,	1,	50,	22,	1),
(872,	1,	51,	1,	1),
(873,	1,	51,	2,	1),
(874,	1,	51,	3,	1),
(875,	1,	51,	7,	1),
(876,	1,	51,	8,	1),
(877,	1,	51,	9,	1),
(878,	1,	51,	10,	1),
(879,	1,	51,	11,	1),
(880,	1,	51,	12,	1),
(881,	1,	51,	13,	1),
(882,	1,	51,	14,	1),
(883,	1,	51,	15,	1),
(884,	1,	51,	16,	1),
(885,	1,	51,	17,	1),
(886,	1,	51,	18,	1),
(887,	1,	51,	19,	1),
(888,	1,	51,	20,	1),
(889,	1,	51,	21,	1),
(890,	1,	51,	22,	1),
(891,	1,	52,	1,	1),
(892,	1,	52,	2,	1),
(893,	1,	52,	3,	1),
(894,	1,	52,	7,	1),
(895,	1,	52,	8,	1),
(896,	1,	52,	9,	1),
(897,	1,	52,	10,	1),
(898,	1,	52,	11,	1),
(899,	1,	52,	12,	1),
(900,	1,	52,	13,	1),
(901,	1,	52,	14,	1),
(902,	1,	52,	15,	1),
(903,	1,	52,	16,	1),
(904,	1,	52,	17,	1),
(905,	1,	52,	18,	1),
(906,	1,	52,	19,	1),
(907,	1,	52,	20,	1),
(908,	1,	52,	21,	1),
(909,	1,	52,	22,	1),
(910,	1,	53,	1,	1),
(911,	1,	53,	2,	1),
(912,	1,	53,	3,	1),
(913,	1,	53,	7,	1),
(914,	1,	53,	8,	1),
(915,	1,	53,	9,	1),
(916,	1,	53,	10,	1),
(917,	1,	53,	11,	1),
(918,	1,	53,	12,	1),
(919,	1,	53,	13,	1),
(920,	1,	53,	14,	1),
(921,	1,	53,	15,	1),
(922,	1,	53,	16,	1),
(923,	1,	53,	17,	1),
(924,	1,	53,	18,	1),
(925,	1,	53,	19,	1),
(926,	1,	53,	20,	1),
(927,	1,	53,	21,	1),
(928,	1,	53,	22,	1),
(929,	1,	54,	1,	1),
(930,	1,	54,	2,	1),
(931,	1,	54,	3,	1),
(932,	1,	54,	7,	1),
(933,	1,	54,	8,	1),
(934,	1,	54,	9,	1),
(935,	1,	54,	10,	1),
(936,	1,	54,	11,	1),
(937,	1,	54,	12,	1),
(938,	1,	54,	13,	1),
(939,	1,	54,	14,	1),
(940,	1,	54,	15,	1),
(941,	1,	54,	16,	1),
(942,	1,	54,	17,	1),
(943,	1,	54,	18,	1),
(944,	1,	54,	19,	1),
(945,	1,	54,	20,	1),
(946,	1,	54,	21,	1),
(947,	1,	54,	22,	1),
(948,	1,	55,	1,	1),
(949,	1,	55,	2,	1),
(950,	1,	55,	3,	1),
(951,	1,	55,	7,	1),
(952,	1,	55,	8,	1),
(953,	1,	55,	9,	1),
(954,	1,	55,	10,	1),
(955,	1,	55,	11,	1),
(956,	1,	55,	12,	1),
(957,	1,	55,	13,	1),
(958,	1,	55,	14,	1),
(959,	1,	55,	15,	1),
(960,	1,	55,	16,	1),
(961,	1,	55,	17,	1),
(962,	1,	55,	18,	1),
(963,	1,	55,	19,	1),
(964,	1,	55,	20,	1),
(965,	1,	55,	21,	1),
(966,	1,	55,	22,	1),
(967,	1,	56,	1,	1),
(968,	1,	56,	2,	1),
(969,	1,	56,	3,	1),
(970,	1,	56,	7,	1),
(971,	1,	56,	8,	1),
(972,	1,	56,	9,	1),
(973,	1,	56,	10,	1),
(974,	1,	56,	11,	1),
(975,	1,	56,	12,	1),
(976,	1,	56,	13,	1),
(977,	1,	56,	14,	1),
(978,	1,	56,	15,	1),
(979,	1,	56,	16,	1),
(980,	1,	56,	17,	1),
(981,	1,	56,	18,	1),
(982,	1,	56,	19,	1),
(983,	1,	56,	20,	1),
(984,	1,	56,	21,	1),
(985,	1,	56,	22,	1),
(986,	1,	57,	1,	1),
(987,	1,	57,	2,	1),
(988,	1,	57,	3,	1),
(989,	1,	57,	7,	1),
(990,	1,	57,	8,	1),
(991,	1,	57,	9,	1),
(992,	1,	57,	10,	1),
(993,	1,	57,	11,	1),
(994,	1,	57,	12,	1),
(995,	1,	57,	13,	1),
(996,	1,	57,	14,	1),
(997,	1,	57,	15,	1),
(998,	1,	57,	16,	1),
(999,	1,	57,	17,	1),
(1000,	1,	57,	18,	1),
(1001,	1,	57,	19,	1),
(1002,	1,	57,	20,	1),
(1003,	1,	57,	21,	1),
(1004,	1,	57,	22,	1),
(1005,	1,	58,	1,	1),
(1006,	1,	58,	2,	1),
(1007,	1,	58,	3,	1),
(1008,	1,	58,	7,	1),
(1009,	1,	58,	8,	1),
(1010,	1,	58,	9,	1),
(1011,	1,	58,	10,	1),
(1012,	1,	58,	11,	1),
(1013,	1,	58,	12,	1),
(1014,	1,	58,	13,	1),
(1015,	1,	58,	14,	1),
(1016,	1,	58,	15,	1),
(1017,	1,	58,	16,	1),
(1018,	1,	58,	17,	1),
(1019,	1,	58,	18,	1),
(1020,	1,	58,	19,	1),
(1021,	1,	58,	20,	1),
(1022,	1,	58,	21,	1),
(1023,	1,	58,	22,	1),
(1024,	1,	59,	1,	1),
(1025,	1,	59,	2,	1),
(1026,	1,	59,	3,	1),
(1027,	1,	59,	7,	1),
(1028,	1,	59,	8,	1),
(1029,	1,	59,	9,	1),
(1030,	1,	59,	10,	1),
(1031,	1,	59,	11,	1),
(1032,	1,	59,	12,	1),
(1033,	1,	59,	13,	1),
(1034,	1,	59,	14,	1),
(1035,	1,	59,	15,	1),
(1036,	1,	59,	16,	1),
(1037,	1,	59,	17,	1),
(1038,	1,	59,	18,	1),
(1039,	1,	59,	19,	1),
(1040,	1,	59,	20,	1),
(1041,	1,	59,	21,	1),
(1042,	1,	59,	22,	1),
(1043,	1,	60,	1,	1),
(1044,	1,	60,	2,	1),
(1045,	1,	60,	3,	1),
(1046,	1,	60,	7,	1),
(1047,	1,	60,	8,	1),
(1048,	1,	60,	9,	1),
(1049,	1,	60,	10,	1),
(1050,	1,	60,	11,	1),
(1051,	1,	60,	12,	1),
(1052,	1,	60,	13,	1),
(1053,	1,	60,	14,	1),
(1054,	1,	60,	15,	1),
(1055,	1,	60,	16,	1),
(1056,	1,	60,	17,	1),
(1057,	1,	60,	18,	1),
(1058,	1,	60,	19,	1),
(1059,	1,	60,	20,	1),
(1060,	1,	60,	21,	1),
(1061,	1,	60,	22,	1),
(1062,	1,	61,	1,	1),
(1063,	1,	61,	2,	1),
(1064,	1,	61,	3,	1),
(1065,	1,	61,	7,	1),
(1066,	1,	61,	8,	1),
(1067,	1,	61,	9,	1),
(1068,	1,	61,	10,	1),
(1069,	1,	61,	11,	1),
(1070,	1,	61,	12,	1),
(1071,	1,	61,	13,	1),
(1072,	1,	61,	14,	1),
(1073,	1,	61,	15,	1),
(1074,	1,	61,	16,	1),
(1075,	1,	61,	17,	1),
(1076,	1,	61,	18,	1),
(1077,	1,	61,	19,	1),
(1078,	1,	61,	20,	1),
(1079,	1,	61,	21,	1),
(1080,	1,	61,	22,	1),
(1081,	1,	62,	1,	1),
(1082,	1,	62,	2,	1),
(1083,	1,	62,	3,	1),
(1084,	1,	62,	7,	1),
(1085,	1,	62,	8,	1),
(1086,	1,	62,	9,	1),
(1087,	1,	62,	10,	1),
(1088,	1,	62,	11,	1),
(1089,	1,	62,	12,	1),
(1090,	1,	62,	13,	1),
(1091,	1,	62,	14,	1),
(1092,	1,	62,	15,	1),
(1093,	1,	62,	16,	1),
(1094,	1,	62,	17,	1),
(1095,	1,	62,	18,	1),
(1096,	1,	62,	19,	1),
(1097,	1,	62,	20,	1),
(1098,	1,	62,	21,	1),
(1099,	1,	62,	22,	1),
(1100,	1,	63,	1,	1),
(1101,	1,	63,	2,	1),
(1102,	1,	63,	3,	1),
(1103,	1,	63,	7,	1),
(1104,	1,	63,	8,	1),
(1105,	1,	63,	9,	1),
(1106,	1,	63,	10,	1),
(1107,	1,	63,	11,	1),
(1108,	1,	63,	12,	1),
(1109,	1,	63,	13,	1),
(1110,	1,	63,	14,	1),
(1111,	1,	63,	15,	1),
(1112,	1,	63,	16,	1),
(1113,	1,	63,	17,	1),
(1114,	1,	63,	18,	1),
(1115,	1,	63,	19,	1),
(1116,	1,	63,	20,	1),
(1117,	1,	63,	21,	1),
(1118,	1,	63,	22,	1),
(1119,	1,	64,	1,	1),
(1120,	1,	64,	2,	1),
(1121,	1,	64,	3,	1),
(1122,	1,	64,	7,	1),
(1123,	1,	64,	8,	1),
(1124,	1,	64,	9,	1),
(1125,	1,	64,	10,	1),
(1126,	1,	64,	11,	1),
(1127,	1,	64,	12,	1),
(1128,	1,	64,	13,	1),
(1129,	1,	64,	14,	1),
(1130,	1,	64,	15,	1),
(1131,	1,	64,	16,	1),
(1132,	1,	64,	17,	1),
(1133,	1,	64,	18,	1),
(1134,	1,	64,	19,	1),
(1135,	1,	64,	20,	1),
(1136,	1,	64,	21,	1),
(1137,	1,	64,	22,	1),
(1138,	1,	65,	1,	1),
(1139,	1,	65,	2,	1),
(1140,	1,	65,	3,	1),
(1141,	1,	65,	7,	1),
(1142,	1,	65,	8,	1),
(1143,	1,	65,	9,	1),
(1144,	1,	65,	10,	1),
(1145,	1,	65,	11,	1),
(1146,	1,	65,	12,	1),
(1147,	1,	65,	13,	1),
(1148,	1,	65,	14,	1),
(1149,	1,	65,	15,	1),
(1150,	1,	65,	16,	1),
(1151,	1,	65,	17,	1),
(1152,	1,	65,	18,	1),
(1153,	1,	65,	19,	1),
(1154,	1,	65,	20,	1),
(1155,	1,	65,	21,	1),
(1156,	1,	65,	22,	1),
(1157,	1,	66,	1,	1),
(1158,	1,	66,	2,	1),
(1159,	1,	66,	3,	1),
(1160,	1,	66,	7,	1),
(1161,	1,	66,	8,	1),
(1162,	1,	66,	9,	1),
(1163,	1,	66,	10,	1),
(1164,	1,	66,	11,	1),
(1165,	1,	66,	12,	1),
(1166,	1,	66,	13,	1),
(1167,	1,	66,	14,	1),
(1168,	1,	66,	15,	1),
(1169,	1,	66,	16,	1),
(1170,	1,	66,	17,	1),
(1171,	1,	66,	18,	1),
(1172,	1,	66,	19,	1),
(1173,	1,	66,	20,	1),
(1174,	1,	66,	21,	1),
(1175,	1,	66,	22,	1),
(1176,	1,	67,	1,	1),
(1177,	1,	67,	2,	1),
(1178,	1,	67,	3,	1),
(1179,	1,	67,	7,	1),
(1180,	1,	67,	8,	1),
(1181,	1,	67,	9,	1),
(1182,	1,	67,	10,	1),
(1183,	1,	67,	11,	1),
(1184,	1,	67,	12,	1),
(1185,	1,	67,	13,	1),
(1186,	1,	67,	14,	1),
(1187,	1,	67,	15,	1),
(1188,	1,	67,	16,	1),
(1189,	1,	67,	17,	1),
(1190,	1,	67,	18,	1),
(1191,	1,	67,	19,	1),
(1192,	1,	67,	20,	1),
(1193,	1,	67,	21,	1),
(1194,	1,	67,	22,	1),
(1195,	1,	68,	1,	1),
(1196,	1,	68,	2,	1),
(1197,	1,	68,	3,	1),
(1198,	1,	68,	7,	1),
(1199,	1,	68,	8,	1),
(1200,	1,	68,	9,	1),
(1201,	1,	68,	10,	1),
(1202,	1,	68,	11,	1),
(1203,	1,	68,	12,	1),
(1204,	1,	68,	13,	1),
(1205,	1,	68,	14,	1),
(1206,	1,	68,	15,	1),
(1207,	1,	68,	16,	1),
(1208,	1,	68,	17,	1),
(1209,	1,	68,	18,	1),
(1210,	1,	68,	19,	1),
(1211,	1,	68,	20,	1),
(1212,	1,	68,	21,	1),
(1213,	1,	68,	22,	1),
(1214,	1,	69,	1,	1),
(1215,	1,	69,	2,	1),
(1216,	1,	69,	3,	1),
(1217,	1,	69,	7,	1),
(1218,	1,	69,	8,	1),
(1219,	1,	69,	9,	1),
(1220,	1,	69,	10,	1),
(1221,	1,	69,	11,	1),
(1222,	1,	69,	12,	1),
(1223,	1,	69,	13,	1),
(1224,	1,	69,	14,	1),
(1225,	1,	69,	15,	1),
(1226,	1,	69,	16,	1),
(1227,	1,	69,	17,	1),
(1228,	1,	69,	18,	1),
(1229,	1,	69,	19,	1),
(1230,	1,	69,	20,	1),
(1231,	1,	69,	21,	1),
(1232,	1,	69,	22,	1),
(1233,	1,	70,	1,	1),
(1234,	1,	70,	2,	1),
(1235,	1,	70,	3,	1),
(1236,	1,	70,	7,	1),
(1237,	1,	70,	8,	1),
(1238,	1,	70,	9,	1),
(1239,	1,	70,	10,	1),
(1240,	1,	70,	11,	1),
(1241,	1,	70,	12,	1),
(1242,	1,	70,	13,	1),
(1243,	1,	70,	14,	1),
(1244,	1,	70,	15,	1),
(1245,	1,	70,	16,	1),
(1246,	1,	70,	17,	1),
(1247,	1,	70,	18,	1),
(1248,	1,	70,	19,	1),
(1249,	1,	70,	20,	1),
(1250,	1,	70,	21,	1),
(1251,	1,	70,	22,	1),
(1252,	1,	71,	1,	1),
(1253,	1,	71,	2,	1),
(1254,	1,	71,	3,	1),
(1255,	1,	71,	7,	1),
(1256,	1,	71,	8,	1),
(1257,	1,	71,	9,	1),
(1258,	1,	71,	10,	1),
(1259,	1,	71,	11,	1),
(1260,	1,	71,	12,	1),
(1261,	1,	71,	13,	1),
(1262,	1,	71,	14,	1),
(1263,	1,	71,	15,	1),
(1264,	1,	71,	16,	1),
(1265,	1,	71,	17,	1),
(1266,	1,	71,	18,	1),
(1267,	1,	71,	19,	1),
(1268,	1,	71,	20,	1),
(1269,	1,	71,	21,	1),
(1270,	1,	71,	22,	1),
(1271,	1,	72,	1,	1),
(1272,	1,	72,	2,	1),
(1273,	1,	72,	3,	1),
(1274,	1,	72,	7,	1),
(1275,	1,	72,	8,	1),
(1276,	1,	72,	9,	1),
(1277,	1,	72,	10,	1),
(1278,	1,	72,	11,	1),
(1279,	1,	72,	12,	1),
(1280,	1,	72,	13,	1),
(1281,	1,	72,	14,	1),
(1282,	1,	72,	15,	1),
(1283,	1,	72,	16,	1),
(1284,	1,	72,	17,	1),
(1285,	1,	72,	18,	1),
(1286,	1,	72,	19,	1),
(1287,	1,	72,	20,	1),
(1288,	1,	72,	21,	1),
(1289,	1,	72,	22,	1),
(1290,	1,	73,	1,	1),
(1291,	1,	73,	2,	1),
(1292,	1,	73,	3,	1),
(1293,	1,	73,	7,	1),
(1294,	1,	73,	8,	1),
(1295,	1,	73,	9,	1),
(1296,	1,	73,	10,	1),
(1297,	1,	73,	11,	1),
(1298,	1,	73,	12,	1),
(1299,	1,	73,	13,	1),
(1300,	1,	73,	14,	1),
(1301,	1,	73,	15,	1),
(1302,	1,	73,	16,	1),
(1303,	1,	73,	17,	1),
(1304,	1,	73,	18,	1),
(1305,	1,	73,	19,	1),
(1306,	1,	73,	20,	1),
(1307,	1,	73,	21,	1),
(1308,	1,	73,	22,	1),
(1309,	1,	73,	23,	1),
(1310,	1,	74,	1,	1),
(1311,	1,	74,	2,	1),
(1312,	1,	74,	3,	1),
(1313,	1,	74,	7,	1),
(1314,	1,	74,	8,	1),
(1315,	1,	74,	9,	1),
(1316,	1,	74,	10,	1),
(1317,	1,	74,	11,	1),
(1318,	1,	74,	12,	1),
(1319,	1,	74,	13,	1),
(1320,	1,	74,	14,	1),
(1321,	1,	74,	15,	1),
(1322,	1,	74,	16,	1),
(1323,	1,	74,	17,	1),
(1324,	1,	74,	18,	1),
(1325,	1,	74,	19,	1),
(1326,	1,	74,	20,	1),
(1327,	1,	74,	21,	1),
(1328,	1,	74,	22,	1),
(1329,	1,	75,	1,	1),
(1330,	1,	75,	2,	1),
(1331,	1,	75,	3,	1),
(1332,	1,	75,	7,	1),
(1333,	1,	75,	8,	1),
(1334,	1,	75,	9,	1),
(1335,	1,	75,	10,	1),
(1336,	1,	75,	11,	1),
(1337,	1,	75,	12,	1),
(1338,	1,	75,	13,	1),
(1339,	1,	75,	14,	1),
(1340,	1,	75,	15,	1),
(1341,	1,	75,	16,	1),
(1342,	1,	75,	17,	1),
(1343,	1,	75,	18,	1),
(1344,	1,	75,	19,	1),
(1345,	1,	75,	20,	1),
(1346,	1,	75,	21,	1),
(1347,	1,	75,	22,	1),
(1348,	1,	76,	1,	1),
(1349,	1,	76,	2,	1),
(1350,	1,	76,	3,	1),
(1351,	1,	76,	7,	1),
(1352,	1,	76,	8,	1),
(1353,	1,	76,	9,	1),
(1354,	1,	76,	10,	1),
(1355,	1,	76,	11,	1),
(1356,	1,	76,	12,	1),
(1357,	1,	76,	13,	1),
(1358,	1,	76,	14,	1),
(1359,	1,	76,	15,	1),
(1360,	1,	76,	16,	1),
(1361,	1,	76,	17,	1),
(1362,	1,	76,	18,	1),
(1363,	1,	76,	19,	1),
(1364,	1,	76,	20,	1),
(1365,	1,	76,	21,	1),
(1366,	1,	76,	22,	1),
(1367,	1,	76,	23,	1),
(1368,	1,	77,	1,	1),
(1369,	1,	77,	2,	1),
(1370,	1,	77,	3,	1),
(1371,	1,	77,	7,	1),
(1372,	1,	77,	8,	1),
(1373,	1,	77,	9,	1),
(1374,	1,	77,	10,	1),
(1375,	1,	77,	11,	1),
(1376,	1,	77,	12,	1),
(1377,	1,	77,	13,	1),
(1378,	1,	77,	14,	1),
(1379,	1,	77,	15,	1),
(1380,	1,	77,	16,	1),
(1381,	1,	77,	17,	1),
(1382,	1,	77,	18,	1),
(1383,	1,	77,	19,	1),
(1384,	1,	77,	20,	1),
(1385,	1,	77,	21,	1),
(1386,	1,	77,	22,	1),
(1387,	1,	78,	1,	1),
(1388,	1,	78,	2,	1),
(1389,	1,	78,	3,	1),
(1390,	1,	78,	7,	1),
(1391,	1,	78,	8,	1),
(1392,	1,	78,	9,	1),
(1393,	1,	78,	10,	1),
(1394,	1,	78,	11,	1),
(1395,	1,	78,	12,	1),
(1396,	1,	78,	13,	1),
(1397,	1,	78,	14,	1),
(1398,	1,	78,	15,	1),
(1399,	1,	78,	16,	1),
(1400,	1,	78,	17,	1),
(1401,	1,	78,	18,	1),
(1402,	1,	78,	19,	1),
(1403,	1,	78,	20,	1),
(1404,	1,	78,	21,	1),
(1405,	1,	78,	22,	1),
(1406,	1,	79,	1,	1),
(1407,	1,	79,	2,	1),
(1408,	1,	79,	3,	1),
(1409,	1,	79,	7,	1),
(1410,	1,	79,	8,	1),
(1411,	1,	79,	9,	1),
(1412,	1,	79,	10,	1),
(1413,	1,	79,	11,	1),
(1414,	1,	79,	12,	1),
(1415,	1,	79,	13,	1),
(1416,	1,	79,	14,	1),
(1417,	1,	79,	15,	1),
(1418,	1,	79,	16,	1),
(1419,	1,	79,	17,	1),
(1420,	1,	79,	18,	1),
(1421,	1,	79,	19,	1),
(1422,	1,	79,	20,	1),
(1423,	1,	79,	21,	1),
(1424,	1,	79,	22,	1),
(1425,	1,	80,	1,	1),
(1426,	1,	80,	2,	1),
(1427,	1,	80,	3,	1),
(1428,	1,	80,	7,	1),
(1429,	1,	80,	8,	1),
(1430,	1,	80,	9,	1),
(1431,	1,	80,	10,	1),
(1432,	1,	80,	11,	1),
(1433,	1,	80,	12,	1),
(1434,	1,	80,	13,	1),
(1435,	1,	80,	14,	1),
(1436,	1,	80,	15,	1),
(1437,	1,	80,	16,	1),
(1438,	1,	80,	17,	1),
(1439,	1,	80,	18,	1),
(1440,	1,	80,	19,	1),
(1441,	1,	80,	20,	1),
(1442,	1,	80,	21,	1),
(1443,	1,	80,	22,	1),
(1444,	1,	81,	1,	1),
(1445,	1,	81,	2,	1),
(1446,	1,	81,	3,	1),
(1447,	1,	81,	7,	1),
(1448,	1,	81,	8,	1),
(1449,	1,	81,	9,	1),
(1450,	1,	81,	10,	1),
(1451,	1,	81,	11,	1),
(1452,	1,	81,	12,	1),
(1453,	1,	81,	13,	1),
(1454,	1,	81,	14,	1),
(1455,	1,	81,	15,	1),
(1456,	1,	81,	16,	1),
(1457,	1,	81,	17,	1),
(1458,	1,	81,	18,	1),
(1459,	1,	81,	19,	1),
(1460,	1,	81,	20,	1),
(1461,	1,	81,	21,	1),
(1462,	1,	81,	22,	1),
(1463,	1,	82,	1,	1),
(1464,	1,	82,	2,	1),
(1465,	1,	82,	3,	1),
(1466,	1,	82,	7,	1),
(1467,	1,	82,	8,	1),
(1468,	1,	82,	9,	1),
(1469,	1,	82,	10,	1),
(1470,	1,	82,	11,	1),
(1471,	1,	82,	12,	1),
(1472,	1,	82,	13,	1),
(1473,	1,	82,	14,	1),
(1474,	1,	82,	15,	1),
(1475,	1,	82,	16,	1),
(1476,	1,	82,	17,	1),
(1477,	1,	82,	18,	1),
(1478,	1,	82,	19,	1),
(1479,	1,	82,	20,	1),
(1480,	1,	82,	21,	1),
(1481,	1,	82,	22,	1),
(1482,	1,	83,	1,	1),
(1483,	1,	83,	2,	1),
(1484,	1,	83,	3,	1),
(1485,	1,	83,	7,	1),
(1486,	1,	83,	8,	1),
(1487,	1,	83,	9,	1),
(1488,	1,	83,	10,	1),
(1489,	1,	83,	11,	1),
(1490,	1,	83,	12,	1),
(1491,	1,	83,	13,	1),
(1492,	1,	83,	14,	1),
(1493,	1,	83,	15,	1),
(1494,	1,	83,	16,	1),
(1495,	1,	83,	17,	1),
(1496,	1,	83,	18,	1),
(1497,	1,	83,	19,	1),
(1498,	1,	83,	20,	1),
(1499,	1,	83,	21,	1),
(1500,	1,	83,	22,	1),
(1501,	1,	84,	1,	1),
(1502,	1,	84,	2,	1),
(1503,	1,	84,	3,	1),
(1504,	1,	84,	7,	1),
(1505,	1,	84,	8,	1),
(1506,	1,	84,	9,	1),
(1507,	1,	84,	10,	1),
(1508,	1,	84,	11,	1),
(1509,	1,	84,	12,	1),
(1510,	1,	84,	13,	1),
(1511,	1,	84,	14,	1),
(1512,	1,	84,	15,	1),
(1513,	1,	84,	16,	1),
(1514,	1,	84,	17,	1),
(1515,	1,	84,	18,	1),
(1516,	1,	84,	19,	1),
(1517,	1,	84,	20,	1),
(1518,	1,	84,	21,	1),
(1519,	1,	84,	22,	1),
(1520,	1,	85,	1,	1),
(1521,	1,	85,	2,	1),
(1522,	1,	85,	3,	1),
(1523,	1,	85,	7,	1),
(1524,	1,	85,	8,	1),
(1525,	1,	85,	9,	1),
(1526,	1,	85,	10,	1),
(1527,	1,	85,	11,	1),
(1528,	1,	85,	12,	1),
(1529,	1,	85,	13,	1),
(1530,	1,	85,	14,	1),
(1531,	1,	85,	15,	1),
(1532,	1,	85,	16,	1),
(1533,	1,	85,	17,	1),
(1534,	1,	85,	18,	1),
(1535,	1,	85,	19,	1),
(1536,	1,	85,	20,	1),
(1537,	1,	85,	21,	1),
(1538,	1,	85,	22,	1),
(1539,	1,	86,	1,	1),
(1540,	1,	86,	2,	1),
(1541,	1,	86,	3,	1),
(1542,	1,	86,	7,	1),
(1543,	1,	86,	8,	1),
(1544,	1,	86,	9,	1),
(1545,	1,	86,	10,	1),
(1546,	1,	86,	11,	1),
(1547,	1,	86,	12,	1),
(1548,	1,	86,	13,	1),
(1549,	1,	86,	14,	1),
(1550,	1,	86,	15,	1),
(1551,	1,	86,	16,	1),
(1552,	1,	86,	17,	1),
(1553,	1,	86,	18,	1),
(1554,	1,	86,	19,	1),
(1555,	1,	86,	20,	1),
(1556,	1,	86,	21,	1),
(1557,	1,	86,	22,	1),
(1558,	1,	87,	1,	1),
(1559,	1,	87,	2,	1),
(1560,	1,	87,	3,	1),
(1561,	1,	87,	7,	1),
(1562,	1,	87,	8,	1),
(1563,	1,	87,	9,	1),
(1564,	1,	87,	10,	1),
(1565,	1,	87,	11,	1),
(1566,	1,	87,	12,	1),
(1567,	1,	87,	13,	1),
(1568,	1,	87,	14,	1),
(1569,	1,	87,	15,	1),
(1570,	1,	87,	16,	1),
(1571,	1,	87,	17,	1),
(1572,	1,	87,	18,	1),
(1573,	1,	87,	19,	1),
(1574,	1,	87,	20,	1),
(1575,	1,	87,	21,	1),
(1576,	1,	87,	22,	1),
(1577,	1,	88,	1,	1),
(1578,	1,	88,	2,	1),
(1579,	1,	88,	3,	1),
(1580,	1,	88,	7,	1),
(1581,	1,	88,	8,	1),
(1582,	1,	88,	9,	1),
(1583,	1,	88,	10,	1),
(1584,	1,	88,	11,	1),
(1585,	1,	88,	12,	1),
(1586,	1,	88,	13,	1),
(1587,	1,	88,	14,	1),
(1588,	1,	88,	15,	1),
(1589,	1,	88,	16,	1),
(1590,	1,	88,	17,	1),
(1591,	1,	88,	18,	1),
(1592,	1,	88,	19,	1),
(1593,	1,	88,	20,	1),
(1594,	1,	88,	21,	1),
(1595,	1,	88,	22,	1),
(1596,	1,	89,	1,	1),
(1597,	1,	89,	2,	1),
(1598,	1,	89,	3,	1),
(1599,	1,	89,	7,	1),
(1600,	1,	89,	8,	1),
(1601,	1,	89,	9,	1),
(1602,	1,	89,	10,	1),
(1603,	1,	89,	11,	1),
(1604,	1,	89,	12,	1),
(1605,	1,	89,	13,	1),
(1606,	1,	89,	14,	1),
(1607,	1,	89,	15,	1),
(1608,	1,	89,	16,	1),
(1609,	1,	89,	17,	1),
(1610,	1,	89,	18,	1),
(1611,	1,	89,	19,	1),
(1612,	1,	89,	20,	1),
(1613,	1,	89,	21,	1),
(1614,	1,	89,	22,	1),
(1615,	1,	89,	23,	1),
(1616,	1,	90,	1,	1),
(1617,	1,	90,	2,	1),
(1618,	1,	90,	3,	1),
(1619,	1,	90,	7,	1),
(1620,	1,	90,	8,	1),
(1621,	1,	90,	9,	1),
(1622,	1,	90,	10,	1),
(1623,	1,	90,	11,	1),
(1624,	1,	90,	12,	1),
(1625,	1,	90,	13,	1),
(1626,	1,	90,	14,	1),
(1627,	1,	90,	15,	1),
(1628,	1,	90,	16,	1),
(1629,	1,	90,	17,	1),
(1630,	1,	90,	18,	1),
(1631,	1,	90,	19,	1),
(1632,	1,	90,	20,	1),
(1633,	1,	90,	21,	1),
(1634,	1,	90,	22,	1),
(1635,	1,	91,	1,	1),
(1636,	1,	91,	2,	1),
(1637,	1,	91,	3,	1),
(1638,	1,	91,	7,	1),
(1639,	1,	91,	8,	1),
(1640,	1,	91,	9,	1),
(1641,	1,	91,	10,	1),
(1642,	1,	91,	11,	1),
(1643,	1,	91,	12,	1),
(1644,	1,	91,	13,	1),
(1645,	1,	91,	14,	1),
(1646,	1,	91,	15,	1),
(1647,	1,	91,	16,	1),
(1648,	1,	91,	17,	1),
(1649,	1,	91,	18,	1),
(1650,	1,	91,	19,	1),
(1651,	1,	91,	20,	1),
(1652,	1,	91,	21,	1),
(1653,	1,	91,	22,	1),
(1654,	1,	92,	1,	1),
(1655,	1,	92,	2,	1),
(1656,	1,	92,	3,	1),
(1657,	1,	92,	7,	1),
(1658,	1,	92,	8,	1),
(1659,	1,	92,	9,	1),
(1660,	1,	92,	10,	1),
(1661,	1,	92,	11,	1),
(1662,	1,	92,	12,	1),
(1663,	1,	92,	13,	1),
(1664,	1,	92,	14,	1),
(1665,	1,	92,	15,	1),
(1666,	1,	92,	16,	1),
(1667,	1,	92,	17,	1),
(1668,	1,	92,	18,	1),
(1669,	1,	92,	19,	1),
(1670,	1,	92,	20,	1),
(1671,	1,	92,	21,	1),
(1672,	1,	92,	22,	1),
(1673,	1,	93,	1,	1),
(1674,	1,	93,	2,	1),
(1675,	1,	93,	3,	1),
(1676,	1,	93,	7,	1),
(1677,	1,	93,	8,	1),
(1678,	1,	93,	9,	1),
(1679,	1,	93,	10,	1),
(1680,	1,	93,	11,	1),
(1681,	1,	93,	12,	1),
(1682,	1,	93,	13,	1),
(1683,	1,	93,	14,	1),
(1684,	1,	93,	15,	1),
(1685,	1,	93,	16,	1),
(1686,	1,	93,	17,	1),
(1687,	1,	93,	18,	1),
(1688,	1,	93,	19,	1),
(1689,	1,	93,	20,	1),
(1690,	1,	93,	21,	1),
(1691,	1,	93,	22,	1),
(1692,	1,	94,	1,	1),
(1693,	1,	94,	2,	1),
(1694,	1,	94,	3,	1),
(1695,	1,	94,	7,	1),
(1696,	1,	94,	8,	1),
(1697,	1,	94,	9,	1),
(1698,	1,	94,	10,	1),
(1699,	1,	94,	11,	1),
(1700,	1,	94,	12,	1),
(1701,	1,	94,	13,	1),
(1702,	1,	94,	14,	1),
(1703,	1,	94,	15,	1),
(1704,	1,	94,	16,	1),
(1705,	1,	94,	17,	1),
(1706,	1,	94,	18,	1),
(1707,	1,	94,	19,	1),
(1708,	1,	94,	20,	1),
(1709,	1,	94,	21,	1),
(1710,	1,	94,	22,	1),
(1711,	1,	95,	1,	1),
(1712,	1,	95,	2,	1),
(1713,	1,	95,	3,	1),
(1714,	1,	95,	7,	1),
(1715,	1,	95,	8,	1),
(1716,	1,	95,	9,	1),
(1717,	1,	95,	10,	1),
(1718,	1,	95,	11,	1),
(1719,	1,	95,	12,	1),
(1720,	1,	95,	13,	1),
(1721,	1,	95,	14,	1),
(1722,	1,	95,	15,	1),
(1723,	1,	95,	16,	1),
(1724,	1,	95,	17,	1),
(1725,	1,	95,	18,	1),
(1726,	1,	95,	19,	1),
(1727,	1,	95,	20,	1),
(1728,	1,	95,	21,	1),
(1729,	1,	95,	22,	1),
(1730,	1,	96,	1,	1),
(1731,	1,	96,	2,	1),
(1732,	1,	96,	3,	1),
(1733,	1,	96,	7,	1),
(1734,	1,	96,	8,	1),
(1735,	1,	96,	9,	1),
(1736,	1,	96,	10,	1),
(1737,	1,	96,	11,	1),
(1738,	1,	96,	12,	1),
(1739,	1,	96,	13,	1),
(1740,	1,	96,	14,	1),
(1741,	1,	96,	15,	1),
(1742,	1,	96,	16,	1),
(1743,	1,	96,	17,	1),
(1744,	1,	96,	18,	1),
(1745,	1,	96,	19,	1),
(1746,	1,	96,	20,	1),
(1747,	1,	96,	21,	1),
(1748,	1,	96,	22,	1),
(1749,	1,	96,	23,	1),
(1750,	1,	97,	1,	1),
(1751,	1,	97,	2,	1),
(1752,	1,	97,	3,	1),
(1753,	1,	97,	7,	1),
(1754,	1,	97,	8,	1),
(1755,	1,	97,	9,	1),
(1756,	1,	97,	10,	1),
(1757,	1,	97,	11,	1),
(1758,	1,	97,	12,	1),
(1759,	1,	97,	13,	1),
(1760,	1,	97,	14,	1),
(1761,	1,	97,	15,	1),
(1762,	1,	97,	16,	1),
(1763,	1,	97,	17,	1),
(1764,	1,	97,	18,	1),
(1765,	1,	97,	19,	1),
(1766,	1,	97,	20,	1),
(1767,	1,	97,	21,	1),
(1768,	1,	97,	22,	1),
(1769,	1,	98,	1,	1),
(1770,	1,	98,	2,	1),
(1771,	1,	98,	3,	1),
(1772,	1,	98,	7,	1),
(1773,	1,	98,	8,	1),
(1774,	1,	98,	9,	1),
(1775,	1,	98,	10,	1),
(1776,	1,	98,	11,	1),
(1777,	1,	98,	12,	1),
(1778,	1,	98,	13,	1),
(1779,	1,	98,	14,	1),
(1780,	1,	98,	15,	1),
(1781,	1,	98,	16,	1),
(1782,	1,	98,	17,	1),
(1783,	1,	98,	18,	1),
(1784,	1,	98,	19,	1),
(1785,	1,	98,	20,	1),
(1786,	1,	98,	21,	1),
(1787,	1,	98,	22,	1),
(1788,	1,	99,	1,	1),
(1789,	1,	99,	2,	1),
(1790,	1,	99,	3,	1),
(1791,	1,	99,	7,	1),
(1792,	1,	99,	8,	1),
(1793,	1,	99,	9,	1),
(1794,	1,	99,	10,	1),
(1795,	1,	99,	11,	1),
(1796,	1,	99,	12,	1),
(1797,	1,	99,	13,	1),
(1798,	1,	99,	14,	1),
(1799,	1,	99,	15,	1),
(1800,	1,	99,	16,	1),
(1801,	1,	99,	17,	1),
(1802,	1,	99,	18,	1),
(1803,	1,	99,	19,	1),
(1804,	1,	99,	20,	1),
(1805,	1,	99,	21,	1),
(1806,	1,	99,	22,	1),
(1807,	1,	100,	1,	1),
(1808,	1,	100,	2,	1),
(1809,	1,	100,	3,	1),
(1810,	1,	100,	7,	1),
(1811,	1,	100,	8,	1),
(1812,	1,	100,	9,	1),
(1813,	1,	100,	10,	1),
(1814,	1,	100,	11,	1),
(1815,	1,	100,	12,	1),
(1816,	1,	100,	13,	1),
(1817,	1,	100,	14,	1),
(1818,	1,	100,	15,	1),
(1819,	1,	100,	16,	1),
(1820,	1,	100,	17,	1),
(1821,	1,	100,	18,	1),
(1822,	1,	100,	19,	1),
(1823,	1,	100,	20,	1),
(1824,	1,	100,	21,	1),
(1825,	1,	100,	22,	1),
(1826,	1,	101,	1,	1),
(1827,	1,	101,	2,	1),
(1828,	1,	101,	3,	1),
(1829,	1,	101,	5,	1),
(1830,	1,	101,	1,	3),
(1831,	1,	101,	2,	3),
(1832,	1,	101,	3,	3),
(1833,	1,	101,	5,	3),
(1834,	1,	101,	1,	2),
(1835,	1,	101,	2,	2),
(1836,	1,	101,	3,	2),
(1837,	1,	101,	5,	2),
(1838,	1,	102,	1,	1),
(1839,	1,	102,	2,	1),
(1840,	1,	102,	3,	1),
(1841,	1,	103,	1,	1),
(1842,	1,	103,	2,	1),
(1843,	1,	103,	3,	1),
(1844,	1,	103,	6,	1),
(1845,	1,	103,	24,	1),
(1846,	1,	103,	4,	1),
(1847,	1,	103,	25,	1),
(1848,	1,	103,	5,	1),
(1849,	1,	103,	26,	1),
(1850,	1,	104,	1,	1),
(1851,	1,	104,	2,	1),
(1852,	1,	104,	3,	1),
(1853,	1,	104,	24,	1),
(1854,	1,	104,	6,	1),
(1855,	1,	104,	4,	1),
(1856,	1,	104,	25,	1),
(1857,	1,	104,	5,	1),
(1858,	1,	104,	1,	3),
(1859,	1,	104,	2,	3),
(1860,	1,	104,	3,	3),
(1861,	1,	104,	24,	3),
(1862,	1,	104,	6,	3),
(1863,	1,	104,	4,	3),
(1864,	1,	104,	25,	3),
(1865,	1,	104,	5,	3),
(1866,	1,	105,	1,	1),
(1867,	1,	105,	2,	1),
(1868,	1,	105,	3,	1),
(1869,	1,	105,	24,	1),
(1870,	1,	105,	6,	1),
(1871,	1,	105,	4,	1),
(1872,	1,	105,	25,	1),
(1873,	1,	105,	5,	1),
(1874,	1,	105,	1,	3),
(1875,	1,	105,	2,	3),
(1876,	1,	105,	3,	3),
(1877,	1,	105,	24,	3),
(1878,	1,	105,	6,	3),
(1879,	1,	105,	4,	3),
(1880,	1,	105,	25,	3),
(1881,	1,	105,	5,	3),
(1882,	1,	106,	1,	1),
(1883,	1,	106,	2,	1),
(1884,	1,	106,	3,	1),
(1885,	1,	106,	24,	1),
(1886,	1,	106,	6,	1),
(1887,	1,	106,	4,	1),
(1888,	1,	106,	25,	1),
(1889,	1,	106,	5,	1),
(1890,	1,	106,	1,	3),
(1891,	1,	106,	2,	3),
(1892,	1,	106,	3,	3),
(1893,	1,	106,	24,	3),
(1894,	1,	106,	6,	3),
(1895,	1,	106,	4,	3),
(1896,	1,	106,	25,	3),
(1897,	1,	106,	5,	3),
(1898,	1,	107,	1,	1),
(1899,	1,	107,	2,	1),
(1900,	1,	107,	3,	1),
(1901,	1,	107,	24,	1),
(1902,	1,	107,	6,	1),
(1903,	1,	107,	4,	1),
(1904,	1,	107,	25,	1),
(1905,	1,	107,	5,	1),
(1906,	1,	107,	1,	3),
(1907,	1,	107,	2,	3),
(1908,	1,	107,	3,	3),
(1909,	1,	107,	24,	3),
(1910,	1,	107,	6,	3),
(1911,	1,	107,	4,	3),
(1912,	1,	107,	25,	3),
(1913,	1,	107,	5,	3),
(1914,	1,	108,	1,	1),
(1915,	1,	108,	2,	1),
(1916,	1,	108,	3,	1),
(1917,	1,	108,	24,	1),
(1918,	1,	108,	25,	1),
(1919,	1,	108,	4,	1),
(1920,	1,	108,	1,	3),
(1921,	1,	108,	2,	3),
(1922,	1,	108,	3,	3),
(1923,	1,	108,	24,	3),
(1924,	1,	108,	25,	3),
(1925,	1,	108,	4,	3),
(1926,	1,	109,	1,	1),
(1927,	1,	109,	2,	1),
(1928,	1,	109,	3,	1),
(1929,	1,	109,	24,	1),
(1930,	1,	109,	6,	1),
(1931,	1,	109,	4,	1),
(1932,	1,	109,	25,	1),
(1933,	1,	109,	5,	1),
(1934,	1,	109,	1,	3),
(1935,	1,	109,	2,	3),
(1936,	1,	109,	3,	3),
(1937,	1,	109,	24,	3),
(1938,	1,	109,	6,	3),
(1939,	1,	109,	4,	3),
(1940,	1,	109,	25,	3),
(1941,	1,	109,	5,	3),
(1942,	1,	110,	1,	1),
(1943,	1,	110,	2,	1),
(1944,	1,	110,	3,	1),
(1945,	1,	110,	24,	1),
(1946,	1,	110,	6,	1),
(1947,	1,	110,	4,	1),
(1948,	1,	110,	25,	1),
(1949,	1,	110,	5,	1),
(1950,	1,	110,	1,	3),
(1951,	1,	110,	2,	3),
(1952,	1,	110,	3,	3),
(1953,	1,	110,	24,	3),
(1954,	1,	110,	6,	3),
(1955,	1,	110,	4,	3),
(1956,	1,	110,	25,	3),
(1957,	1,	110,	5,	3),
(1958,	1,	111,	1,	1),
(1959,	1,	111,	2,	1),
(1960,	1,	111,	3,	1),
(1961,	1,	111,	24,	1),
(1962,	1,	111,	6,	1),
(1963,	1,	111,	4,	1),
(1964,	1,	111,	25,	1),
(1965,	1,	111,	5,	1),
(1966,	1,	111,	1,	2),
(1967,	1,	111,	2,	2),
(1968,	1,	111,	3,	2),
(1969,	1,	111,	24,	2),
(1970,	1,	111,	6,	2),
(1971,	1,	111,	4,	2),
(1972,	1,	111,	25,	2),
(1973,	1,	111,	5,	2),
(1974,	1,	112,	1,	1),
(1975,	1,	112,	2,	1),
(1976,	1,	112,	3,	1),
(1977,	1,	112,	24,	1),
(1978,	1,	112,	6,	1),
(1979,	1,	112,	4,	1),
(1980,	1,	112,	25,	1),
(1981,	1,	112,	5,	1),
(1982,	1,	112,	1,	3),
(1983,	1,	112,	2,	3),
(1984,	1,	112,	3,	3),
(1985,	1,	112,	24,	3),
(1986,	1,	112,	6,	3),
(1987,	1,	112,	4,	3),
(1988,	1,	112,	25,	3),
(1989,	1,	112,	5,	3),
(1990,	1,	113,	1,	1),
(1991,	1,	113,	2,	1),
(1992,	1,	113,	3,	1),
(1993,	1,	113,	5,	1),
(1994,	1,	113,	1,	3),
(1995,	1,	113,	2,	3),
(1996,	1,	113,	3,	3),
(1997,	1,	113,	5,	3),
(1998,	1,	113,	1,	2),
(1999,	1,	113,	2,	2),
(2000,	1,	113,	3,	2),
(2001,	1,	113,	5,	2),
(2002,	1,	114,	1,	1),
(2003,	1,	114,	2,	1),
(2004,	1,	114,	3,	1),
(2005,	1,	114,	5,	1),
(2006,	1,	114,	1,	3),
(2007,	1,	114,	2,	3),
(2008,	1,	114,	3,	3),
(2009,	1,	114,	5,	3),
(2010,	1,	114,	1,	2),
(2011,	1,	114,	2,	2),
(2012,	1,	114,	3,	2),
(2013,	1,	114,	5,	2),
(2014,	1,	115,	1,	1),
(2015,	1,	115,	2,	1),
(2016,	1,	115,	3,	1),
(2017,	1,	115,	1,	2),
(2018,	1,	115,	2,	2),
(2019,	1,	115,	3,	2),
(2020,	1,	116,	1,	1),
(2021,	1,	116,	2,	1),
(2022,	1,	116,	3,	1),
(2023,	1,	116,	1,	2),
(2024,	1,	116,	2,	2),
(2026,	1,	117,	1,	1),
(2027,	1,	117,	2,	1),
(2028,	1,	117,	3,	1),
(2029,	1,	117,	1,	2),
(2030,	1,	117,	2,	2),
(2031,	1,	117,	3,	2),
(2032,	1,	118,	1,	1),
(2033,	1,	118,	2,	1),
(2034,	1,	118,	3,	1),
(2035,	1,	118,	23,	1),
(2036,	1,	118,	1,	3),
(2037,	1,	118,	2,	3),
(2038,	1,	118,	3,	3),
(2039,	1,	118,	23,	3),
(2040,	1,	119,	1,	1),
(2041,	1,	119,	2,	1),
(2042,	1,	119,	3,	1),
(2043,	1,	119,	1,	2),
(2044,	1,	119,	2,	2),
(2045,	1,	119,	3,	2),
(2046,	1,	120,	1,	1),
(2047,	1,	120,	2,	1),
(2048,	1,	120,	3,	1),
(2049,	1,	120,	1,	2),
(2050,	1,	120,	2,	2),
(2051,	1,	120,	3,	2),
(2052,	1,	121,	1,	1),
(2053,	1,	121,	2,	1),
(2054,	1,	121,	3,	1),
(2055,	1,	121,	1,	2),
(2056,	1,	121,	2,	2),
(2057,	1,	121,	3,	2),
(2058,	1,	122,	1,	1),
(2059,	1,	122,	2,	1),
(2060,	1,	122,	3,	1),
(2061,	1,	122,	1,	2),
(2062,	1,	122,	2,	2),
(2063,	1,	122,	3,	2),
(2064,	1,	123,	1,	1),
(2065,	1,	123,	2,	1),
(2066,	1,	123,	3,	1),
(2067,	1,	123,	1,	2),
(2068,	1,	123,	2,	2),
(2069,	1,	123,	3,	2),
(2071,	1,	124,	2,	1),
(2073,	1,	125,	1,	1),
(2074,	1,	125,	2,	1),
(2075,	1,	125,	3,	1),
(2076,	1,	126,	1,	1),
(2077,	1,	126,	2,	1),
(2078,	1,	126,	3,	1),
(2079,	1,	127,	1,	1),
(2080,	1,	127,	2,	1),
(2081,	1,	127,	3,	1),
(2082,	1,	127,	1,	2),
(2083,	1,	127,	2,	2),
(2084,	1,	127,	3,	2),
(2085,	1,	128,	1,	1),
(2086,	1,	128,	2,	1),
(2087,	1,	128,	3,	1),
(2088,	1,	128,	1,	2),
(2089,	1,	128,	2,	2),
(2090,	1,	128,	3,	2),
(2091,	1,	129,	1,	1),
(2092,	1,	129,	2,	1),
(2093,	1,	129,	3,	1),
(2094,	1,	129,	1,	2),
(2095,	1,	129,	2,	2),
(2096,	1,	129,	3,	2),
(2097,	1,	130,	1,	1),
(2098,	1,	130,	2,	1),
(2099,	1,	130,	3,	1),
(2100,	1,	130,	1,	2),
(2101,	1,	130,	2,	2),
(2102,	1,	130,	3,	2),
(2103,	1,	131,	1,	1),
(2104,	1,	131,	2,	1),
(2105,	1,	131,	3,	1),
(2106,	1,	131,	1,	2),
(2107,	1,	131,	2,	2),
(2108,	1,	131,	3,	2),
(2109,	1,	132,	1,	1),
(2110,	1,	132,	2,	1),
(2111,	1,	132,	3,	1),
(2112,	1,	132,	1,	2),
(2113,	1,	132,	2,	2),
(2114,	1,	132,	3,	2),
(2115,	1,	133,	1,	1),
(2116,	1,	133,	2,	1),
(2117,	1,	133,	3,	1),
(2118,	1,	133,	1,	2),
(2119,	1,	133,	2,	2),
(2120,	1,	133,	3,	2),
(2121,	1,	134,	1,	1),
(2122,	1,	134,	2,	1),
(2123,	1,	134,	3,	1),
(2124,	1,	135,	1,	1),
(2125,	1,	135,	2,	1),
(2126,	1,	135,	3,	1),
(2127,	1,	136,	1,	1),
(2128,	1,	136,	2,	1),
(2129,	1,	136,	3,	1),
(2130,	1,	136,	23,	1),
(2131,	1,	136,	1,	2),
(2132,	1,	136,	2,	2),
(2133,	1,	136,	3,	2),
(2134,	1,	136,	23,	2),
(2135,	1,	137,	1,	1),
(2136,	1,	137,	2,	1),
(2137,	1,	137,	3,	1),
(2138,	1,	137,	1,	2),
(2139,	1,	137,	2,	2),
(2140,	1,	137,	3,	2),
(2141,	1,	138,	1,	1),
(2142,	1,	138,	2,	1),
(2143,	1,	138,	3,	1),
(2144,	1,	138,	1,	2),
(2145,	1,	138,	2,	2),
(2146,	1,	138,	3,	2),
(2147,	1,	139,	1,	1),
(2148,	1,	139,	2,	1),
(2149,	1,	139,	3,	1),
(2150,	1,	140,	1,	1),
(2151,	1,	140,	2,	1),
(2152,	1,	140,	3,	1),
(2153,	1,	140,	23,	1),
(2154,	1,	140,	6,	1),
(2155,	1,	141,	1,	1),
(2156,	1,	141,	2,	1),
(2157,	1,	141,	3,	1),
(2158,	1,	141,	1,	2),
(2159,	1,	141,	2,	2),
(2160,	1,	141,	3,	2),
(2161,	1,	142,	1,	1),
(2162,	1,	142,	2,	1),
(2163,	1,	142,	3,	1),
(2164,	1,	142,	1,	2),
(2165,	1,	142,	2,	2),
(2166,	1,	142,	3,	2),
(2167,	1,	143,	1,	1),
(2168,	1,	143,	2,	1),
(2169,	1,	143,	3,	1),
(2170,	1,	143,	1,	2),
(2171,	1,	143,	2,	2),
(2172,	1,	143,	3,	2),
(2173,	1,	144,	1,	1),
(2174,	1,	144,	2,	1),
(2175,	1,	144,	3,	1),
(2176,	1,	144,	1,	2),
(2177,	1,	144,	2,	2),
(2178,	1,	144,	3,	2),
(2179,	1,	145,	1,	1),
(2180,	1,	145,	2,	1),
(2181,	1,	145,	3,	1),
(2182,	1,	145,	1,	2),
(2183,	1,	145,	2,	2),
(2184,	1,	145,	3,	2),
(2185,	1,	146,	1,	1),
(2186,	1,	146,	2,	1),
(2187,	1,	146,	3,	1),
(2188,	1,	146,	1,	2),
(2189,	1,	146,	2,	2),
(2190,	1,	146,	3,	2),
(2191,	1,	147,	1,	1),
(2192,	1,	147,	2,	1),
(2193,	1,	147,	3,	1),
(2194,	1,	147,	1,	2),
(2195,	1,	147,	2,	2),
(2196,	1,	147,	3,	2),
(2197,	1,	148,	1,	1),
(2198,	1,	148,	2,	1),
(2199,	1,	148,	3,	1),
(2200,	1,	149,	1,	1),
(2201,	1,	149,	2,	1),
(2202,	1,	149,	3,	1),
(2203,	1,	149,	1,	2),
(2204,	1,	149,	2,	2),
(2205,	1,	149,	3,	2),
(2206,	1,	150,	1,	1),
(2207,	1,	150,	2,	1),
(2208,	1,	150,	3,	1),
(2209,	1,	151,	1,	1),
(2210,	1,	151,	2,	1),
(2211,	1,	151,	3,	1),
(2212,	1,	152,	1,	1),
(2213,	1,	152,	2,	1),
(2214,	1,	152,	3,	1),
(2215,	1,	153,	1,	1),
(2216,	1,	153,	2,	1),
(2217,	1,	153,	3,	1),
(2218,	1,	154,	1,	1),
(2219,	1,	154,	2,	1),
(2220,	1,	154,	3,	1),
(2221,	1,	154,	1,	2),
(2222,	1,	154,	2,	2),
(2223,	1,	154,	3,	2),
(2224,	1,	156,	1,	1),
(2225,	1,	156,	2,	1),
(2226,	1,	156,	3,	1),
(2227,	1,	157,	1,	1),
(2228,	1,	157,	2,	1),
(2229,	1,	157,	3,	1),
(2230,	1,	158,	1,	1),
(2231,	1,	158,	2,	1),
(2232,	1,	158,	3,	1),
(2233,	1,	158,	1,	2),
(2234,	1,	158,	2,	2),
(2235,	1,	158,	3,	2),
(2236,	1,	159,	1,	1),
(2237,	1,	159,	2,	1),
(2238,	1,	159,	3,	1),
(2239,	1,	160,	1,	1),
(2240,	1,	160,	2,	1),
(2241,	1,	160,	3,	1),
(2242,	1,	160,	1,	2),
(2243,	1,	160,	2,	2),
(2244,	1,	160,	3,	2),
(2245,	1,	161,	1,	1),
(2246,	1,	161,	2,	1),
(2247,	1,	161,	3,	1),
(2248,	1,	162,	1,	1),
(2249,	1,	162,	2,	1),
(2250,	1,	162,	3,	1),
(2251,	1,	163,	1,	1),
(2252,	1,	163,	2,	1),
(2253,	1,	163,	3,	1),
(2254,	1,	164,	1,	1),
(2255,	1,	164,	2,	1),
(2256,	1,	164,	3,	1),
(2257,	1,	164,	1,	2),
(2258,	1,	164,	2,	2),
(2259,	1,	164,	3,	2),
(2260,	1,	165,	1,	1),
(2261,	1,	165,	2,	1),
(2262,	1,	165,	3,	1),
(2263,	1,	166,	1,	1),
(2264,	1,	166,	2,	1),
(2265,	1,	166,	3,	1),
(2266,	1,	167,	1,	1),
(2267,	1,	167,	2,	1),
(2268,	1,	167,	3,	1),
(2269,	1,	167,	1,	2),
(2270,	1,	167,	2,	2),
(2271,	1,	167,	3,	2),
(2272,	1,	168,	1,	1),
(2273,	1,	168,	2,	1),
(2274,	1,	168,	3,	1),
(2275,	1,	168,	1,	2),
(2276,	1,	168,	2,	2),
(2277,	1,	168,	3,	2),
(2278,	1,	169,	1,	1),
(2279,	1,	169,	2,	1),
(2280,	1,	169,	3,	1),
(2281,	1,	170,	1,	1),
(2282,	1,	170,	2,	1),
(2283,	1,	170,	3,	1),
(2284,	1,	170,	1,	2),
(2285,	1,	170,	2,	2),
(2286,	1,	170,	3,	2),
(2287,	1,	171,	1,	1),
(2288,	1,	171,	2,	1),
(2289,	1,	171,	3,	1),
(2290,	1,	171,	1,	2),
(2291,	1,	171,	2,	2),
(2292,	1,	171,	3,	2),
(2293,	1,	172,	1,	1),
(2294,	1,	172,	2,	1),
(2295,	1,	172,	3,	1),
(2296,	1,	172,	1,	2),
(2297,	1,	172,	2,	2),
(2298,	1,	172,	3,	2),
(2299,	1,	173,	1,	1),
(2300,	1,	173,	2,	1),
(2301,	1,	173,	3,	1),
(2302,	1,	173,	1,	2),
(2303,	1,	173,	2,	2),
(2304,	1,	173,	3,	2),
(2305,	1,	174,	1,	1),
(2306,	1,	174,	2,	1),
(2307,	1,	174,	3,	1),
(2308,	1,	174,	1,	2),
(2309,	1,	174,	2,	2),
(2310,	1,	174,	3,	2),
(2311,	1,	175,	1,	1),
(2312,	1,	175,	2,	1),
(2313,	1,	175,	3,	1),
(2314,	1,	176,	1,	1),
(2315,	1,	176,	2,	1),
(2316,	1,	176,	3,	1),
(2317,	1,	177,	1,	1),
(2318,	1,	177,	2,	1),
(2319,	1,	177,	3,	1),
(2320,	1,	178,	1,	1),
(2321,	1,	178,	2,	1),
(2322,	1,	178,	3,	1),
(2323,	1,	179,	1,	1),
(2324,	1,	179,	2,	1),
(2325,	1,	179,	3,	1),
(2326,	1,	180,	1,	1),
(2327,	1,	180,	2,	1),
(2328,	1,	180,	3,	1),
(2329,	1,	180,	1,	2),
(2330,	1,	180,	2,	2),
(2331,	1,	180,	3,	2),
(2332,	1,	181,	1,	1),
(2333,	1,	181,	2,	1),
(2334,	1,	181,	3,	1),
(2335,	1,	181,	1,	2),
(2336,	1,	181,	2,	2),
(2337,	1,	181,	3,	2),
(2338,	1,	182,	1,	1),
(2339,	1,	182,	2,	1),
(2340,	1,	182,	3,	1),
(2341,	1,	183,	1,	1),
(2342,	1,	183,	2,	1),
(2343,	1,	183,	3,	1),
(2344,	1,	184,	1,	1),
(2345,	1,	184,	2,	1),
(2346,	1,	184,	3,	1),
(2347,	1,	185,	1,	1),
(2348,	1,	185,	2,	1),
(2349,	1,	185,	3,	1),
(2350,	1,	185,	1,	2),
(2351,	1,	185,	2,	2),
(2352,	1,	185,	3,	2),
(2353,	1,	186,	1,	1),
(2354,	1,	186,	2,	1),
(2355,	1,	186,	3,	1),
(2356,	1,	186,	1,	2),
(2357,	1,	186,	2,	2),
(2358,	1,	186,	3,	2),
(2359,	1,	187,	1,	1),
(2360,	1,	187,	2,	1),
(2361,	1,	187,	3,	1),
(2362,	1,	187,	1,	2),
(2363,	1,	187,	2,	2),
(2364,	1,	187,	3,	2),
(2365,	1,	188,	1,	1),
(2366,	1,	188,	2,	1),
(2367,	1,	188,	3,	1),
(2368,	1,	188,	1,	2),
(2369,	1,	188,	2,	2),
(2370,	1,	188,	3,	2),
(2371,	1,	189,	1,	1),
(2372,	1,	189,	2,	1),
(2373,	1,	189,	3,	1),
(2374,	1,	190,	1,	1),
(2375,	1,	190,	2,	1),
(2376,	1,	190,	3,	1),
(2377,	1,	190,	1,	2),
(2378,	1,	190,	2,	2),
(2379,	1,	190,	3,	2),
(2380,	1,	191,	1,	1),
(2381,	1,	191,	2,	1),
(2382,	1,	191,	3,	1),
(2383,	1,	191,	23,	1),
(2384,	1,	191,	27,	1),
(2385,	1,	192,	1,	1),
(2386,	1,	192,	2,	1),
(2387,	1,	192,	3,	1),
(2388,	1,	192,	23,	1),
(2389,	1,	193,	1,	1),
(2390,	1,	193,	2,	1),
(2391,	1,	193,	3,	1),
(2392,	1,	194,	1,	1),
(2393,	1,	194,	2,	1),
(2394,	1,	194,	3,	1),
(2395,	1,	194,	23,	1),
(2396,	1,	195,	1,	1),
(2397,	1,	195,	2,	1),
(2398,	1,	195,	3,	1),
(2399,	1,	196,	1,	1),
(2400,	1,	196,	2,	1),
(2401,	1,	196,	3,	1),
(2402,	1,	197,	1,	1),
(2403,	1,	197,	2,	1),
(2404,	1,	197,	3,	1),
(2405,	1,	197,	1,	2),
(2406,	1,	197,	2,	2),
(2407,	1,	197,	3,	2),
(2408,	1,	198,	1,	1),
(2409,	1,	198,	2,	1),
(2410,	1,	198,	3,	1),
(2411,	1,	198,	23,	1),
(2412,	1,	199,	1,	1),
(2413,	1,	199,	2,	1),
(2414,	1,	199,	3,	1),
(2415,	1,	200,	1,	1),
(2416,	1,	200,	2,	1),
(2417,	1,	200,	3,	1),
(2418,	1,	200,	23,	1),
(2419,	1,	201,	1,	1),
(2420,	1,	201,	2,	1),
(2421,	1,	201,	3,	1),
(2422,	1,	202,	1,	1),
(2423,	1,	202,	2,	1),
(2424,	1,	202,	3,	1),
(2425,	1,	202,	1,	2),
(2426,	1,	202,	2,	2),
(2427,	1,	202,	3,	2),
(2428,	1,	203,	1,	1),
(2429,	1,	203,	2,	1),
(2430,	1,	203,	3,	1),
(2431,	1,	203,	1,	2),
(2432,	1,	203,	2,	2),
(2433,	1,	203,	3,	2),
(2434,	1,	204,	1,	1),
(2435,	1,	204,	2,	1),
(2436,	1,	204,	3,	1),
(2437,	1,	204,	1,	2),
(2438,	1,	204,	2,	2),
(2439,	1,	204,	3,	2),
(2440,	1,	205,	1,	1),
(2441,	1,	205,	2,	1),
(2442,	1,	205,	3,	1),
(2443,	1,	205,	1,	2),
(2444,	1,	205,	2,	2),
(2445,	1,	205,	3,	2),
(2446,	1,	206,	1,	1),
(2447,	1,	206,	2,	1),
(2448,	1,	206,	3,	1),
(2449,	1,	206,	1,	2),
(2450,	1,	206,	2,	2),
(2451,	1,	206,	3,	2),
(2452,	1,	207,	1,	1),
(2453,	1,	207,	2,	1),
(2454,	1,	207,	3,	1),
(2455,	1,	208,	1,	1),
(2456,	1,	208,	2,	1),
(2457,	1,	208,	3,	1),
(2458,	1,	208,	1,	2),
(2459,	1,	208,	2,	2),
(2460,	1,	208,	3,	2),
(2461,	1,	209,	1,	1),
(2462,	1,	209,	2,	1),
(2463,	1,	209,	3,	1),
(2464,	1,	209,	1,	2),
(2465,	1,	209,	2,	2),
(2466,	1,	209,	3,	2),
(2467,	1,	210,	1,	1),
(2468,	1,	210,	2,	1),
(2469,	1,	210,	3,	1),
(2470,	1,	211,	1,	1),
(2471,	1,	211,	2,	1),
(2472,	1,	211,	3,	1),
(2473,	1,	211,	1,	2),
(2474,	1,	211,	2,	2),
(2475,	1,	211,	3,	2),
(2476,	1,	212,	1,	1),
(2477,	1,	212,	2,	1),
(2478,	1,	212,	3,	1),
(2479,	1,	212,	1,	2),
(2480,	1,	212,	2,	2),
(2481,	1,	212,	3,	2),
(2482,	1,	213,	1,	1),
(2483,	1,	213,	2,	1),
(2484,	1,	213,	3,	1),
(2485,	1,	213,	1,	2),
(2486,	1,	213,	2,	2),
(2487,	1,	213,	3,	2),
(2488,	1,	214,	1,	1),
(2489,	1,	214,	2,	1),
(2490,	1,	214,	3,	1),
(2491,	1,	214,	1,	2),
(2492,	1,	214,	2,	2),
(2493,	1,	214,	3,	2),
(2494,	1,	215,	1,	1),
(2495,	1,	215,	2,	1),
(2496,	1,	215,	3,	1),
(2497,	1,	216,	1,	1),
(2498,	1,	216,	2,	1),
(2499,	1,	216,	3,	1),
(2500,	1,	216,	1,	2),
(2501,	1,	216,	2,	2),
(2502,	1,	216,	3,	2),
(2503,	1,	217,	1,	1),
(2504,	1,	217,	2,	1),
(2505,	1,	217,	3,	1),
(2506,	1,	217,	1,	2),
(2507,	1,	217,	2,	2),
(2508,	1,	217,	3,	2),
(2509,	1,	218,	1,	1),
(2510,	1,	218,	2,	1),
(2511,	1,	218,	3,	1),
(2512,	1,	218,	1,	2),
(2513,	1,	218,	2,	2),
(2514,	1,	218,	3,	2),
(2515,	1,	219,	1,	1),
(2516,	1,	219,	2,	1),
(2517,	1,	219,	3,	1),
(2518,	1,	220,	1,	1),
(2519,	1,	220,	2,	1),
(2520,	1,	220,	3,	1),
(2521,	1,	220,	1,	2),
(2522,	1,	220,	2,	2),
(2523,	1,	220,	3,	2),
(2524,	1,	221,	1,	1),
(2525,	1,	221,	2,	1),
(2526,	1,	221,	3,	1),
(2527,	1,	221,	1,	2),
(2528,	1,	221,	2,	2),
(2529,	1,	221,	3,	2),
(2530,	1,	222,	1,	1),
(2531,	1,	222,	2,	1),
(2532,	1,	222,	3,	1),
(2533,	1,	222,	1,	2),
(2534,	1,	222,	2,	2),
(2535,	1,	222,	3,	2),
(2536,	1,	223,	1,	1),
(2537,	1,	223,	2,	1),
(2538,	1,	223,	3,	1),
(2539,	1,	223,	1,	2),
(2540,	1,	223,	2,	2),
(2541,	1,	223,	3,	2),
(2542,	1,	224,	1,	1),
(2543,	1,	224,	2,	1),
(2544,	1,	224,	3,	1),
(2545,	1,	224,	1,	2),
(2546,	1,	224,	2,	2),
(2547,	1,	224,	3,	2),
(2548,	1,	225,	1,	1),
(2549,	1,	225,	2,	1),
(2550,	1,	225,	3,	1),
(2551,	1,	225,	23,	1),
(2552,	1,	225,	1,	3),
(2553,	1,	225,	2,	3),
(2554,	1,	225,	3,	3),
(2555,	1,	225,	23,	3),
(2556,	1,	225,	1,	2),
(2557,	1,	225,	2,	2),
(2558,	1,	225,	3,	2),
(2559,	1,	225,	23,	2),
(2560,	1,	226,	1,	1),
(2561,	1,	226,	2,	1),
(2562,	1,	226,	3,	1),
(2563,	1,	226,	23,	1),
(2564,	1,	226,	1,	3),
(2565,	1,	226,	2,	3),
(2566,	1,	226,	3,	3),
(2567,	1,	226,	23,	3),
(2568,	1,	227,	1,	1),
(2569,	1,	227,	2,	1),
(2570,	1,	227,	3,	1),
(2571,	1,	227,	23,	1),
(2572,	1,	227,	1,	3),
(2573,	1,	227,	2,	3),
(2574,	1,	227,	3,	3),
(2575,	1,	227,	23,	3),
(2576,	1,	228,	1,	1),
(2577,	1,	228,	2,	1),
(2578,	1,	228,	3,	1),
(2579,	1,	228,	23,	1),
(2580,	1,	228,	1,	3),
(2581,	1,	228,	2,	3),
(2582,	1,	228,	3,	3),
(2583,	1,	228,	23,	3),
(2584,	1,	229,	1,	1),
(2585,	1,	229,	2,	1),
(2586,	1,	229,	3,	1),
(2587,	1,	229,	23,	1),
(2588,	1,	229,	1,	3),
(2589,	1,	229,	2,	3),
(2590,	1,	229,	3,	3),
(2591,	1,	229,	23,	3),
(2592,	1,	230,	1,	1),
(2593,	1,	230,	2,	1),
(2594,	1,	230,	3,	1),
(2595,	1,	231,	1,	1),
(2596,	1,	231,	2,	1),
(2597,	1,	231,	3,	1),
(2598,	1,	231,	1,	3),
(2599,	1,	231,	2,	3),
(2600,	1,	231,	3,	3),
(2601,	1,	232,	1,	1),
(2602,	1,	232,	2,	1),
(2603,	1,	232,	3,	1),
(2604,	1,	232,	1,	3),
(2605,	1,	232,	2,	3),
(2606,	1,	232,	3,	3),
(2607,	1,	233,	1,	1),
(2608,	1,	233,	2,	1),
(2609,	1,	233,	3,	1),
(2610,	1,	233,	1,	3),
(2611,	1,	233,	2,	3),
(2612,	1,	233,	3,	3),
(2613,	1,	234,	1,	1),
(2614,	1,	234,	2,	1),
(2615,	1,	234,	3,	1),
(2616,	1,	234,	1,	3),
(2617,	1,	234,	2,	3),
(2618,	1,	234,	3,	3),
(2619,	1,	235,	1,	1),
(2620,	1,	235,	2,	1),
(2621,	1,	235,	3,	1),
(2622,	1,	235,	1,	3),
(2623,	1,	235,	2,	3),
(2624,	1,	235,	3,	3),
(2625,	1,	236,	1,	1),
(2626,	1,	236,	2,	1),
(2627,	1,	236,	3,	1),
(2628,	1,	237,	1,	1),
(2629,	1,	237,	2,	1),
(2630,	1,	237,	3,	1),
(2631,	1,	237,	1,	3),
(2632,	1,	237,	2,	3),
(2633,	1,	237,	3,	3),
(2634,	1,	238,	1,	1),
(2635,	1,	238,	2,	1),
(2636,	1,	238,	3,	1),
(2637,	1,	239,	1,	1),
(2638,	1,	239,	2,	1),
(2639,	1,	239,	3,	1),
(2640,	1,	240,	1,	1),
(2641,	1,	240,	2,	1),
(2642,	1,	240,	3,	1),
(2643,	1,	241,	1,	1),
(2644,	1,	241,	2,	1),
(2645,	1,	241,	3,	1),
(2646,	1,	242,	1,	1),
(2647,	1,	242,	2,	1),
(2648,	1,	242,	3,	1),
(2649,	1,	242,	1,	2),
(2650,	1,	242,	2,	2),
(2651,	1,	242,	3,	2),
(2652,	1,	243,	1,	1),
(2653,	1,	243,	2,	1),
(2654,	1,	243,	3,	1),
(2655,	1,	243,	1,	2),
(2656,	1,	243,	2,	2),
(2657,	1,	243,	3,	2),
(2658,	1,	244,	1,	1),
(2659,	1,	244,	2,	1),
(2660,	1,	244,	3,	1),
(2661,	1,	244,	1,	2),
(2662,	1,	244,	2,	2),
(2663,	1,	244,	3,	2),
(2664,	1,	245,	1,	1),
(2665,	1,	245,	2,	1),
(2666,	1,	245,	3,	1),
(2667,	1,	245,	1,	2),
(2668,	1,	245,	2,	2),
(2669,	1,	245,	3,	2),
(2670,	1,	246,	1,	1),
(2671,	1,	246,	2,	1),
(2672,	1,	246,	3,	1),
(2673,	1,	246,	1,	2),
(2674,	1,	246,	2,	2),
(2675,	1,	246,	3,	2),
(2676,	1,	247,	1,	1),
(2677,	1,	247,	2,	1),
(2678,	1,	247,	3,	1),
(2679,	1,	247,	1,	2),
(2680,	1,	247,	2,	2),
(2681,	1,	247,	3,	2),
(2682,	1,	248,	1,	1),
(2683,	1,	248,	2,	1),
(2684,	1,	248,	3,	1),
(2685,	1,	248,	1,	2),
(2686,	1,	248,	2,	2),
(2687,	1,	248,	3,	2),
(2688,	1,	249,	1,	1),
(2689,	1,	249,	2,	1),
(2690,	1,	249,	3,	1),
(2691,	1,	249,	1,	3),
(2692,	1,	249,	2,	3),
(2693,	1,	249,	3,	3),
(2694,	1,	250,	1,	1),
(2695,	1,	250,	2,	1),
(2696,	1,	250,	3,	1),
(2697,	1,	250,	1,	2),
(2698,	1,	250,	2,	2),
(2699,	1,	250,	3,	2),
(2700,	1,	251,	1,	1),
(2701,	1,	251,	2,	1),
(2702,	1,	251,	3,	1),
(2703,	1,	251,	1,	2),
(2704,	1,	251,	2,	2),
(2705,	1,	251,	3,	2),
(2706,	1,	252,	1,	1),
(2707,	1,	252,	2,	1),
(2708,	1,	252,	3,	1),
(2709,	1,	253,	1,	1),
(2710,	1,	253,	2,	1),
(2711,	1,	253,	3,	1),
(2712,	1,	253,	1,	3),
(2713,	1,	253,	2,	3),
(2714,	1,	253,	3,	3),
(2715,	1,	254,	1,	1),
(2716,	1,	254,	2,	1),
(2717,	1,	254,	3,	1),
(2718,	1,	254,	1,	2),
(2719,	1,	254,	2,	2),
(2720,	1,	254,	3,	2),
(2721,	1,	255,	1,	1),
(2722,	1,	255,	2,	1),
(2723,	1,	255,	3,	1),
(2724,	1,	255,	1,	2),
(2725,	1,	255,	2,	2),
(2726,	1,	255,	3,	2),
(2727,	1,	256,	1,	1),
(2728,	1,	256,	2,	1),
(2729,	1,	256,	3,	1),
(2730,	1,	256,	1,	2),
(2731,	1,	256,	2,	2),
(2732,	1,	256,	3,	2),
(2733,	1,	257,	1,	1),
(2734,	1,	257,	2,	1),
(2735,	1,	257,	3,	1),
(2736,	1,	257,	1,	2),
(2737,	1,	257,	2,	2),
(2738,	1,	257,	3,	2),
(2739,	1,	258,	1,	1),
(2740,	1,	258,	2,	1),
(2741,	1,	258,	3,	1),
(2742,	1,	258,	1,	3),
(2743,	1,	258,	2,	3),
(2744,	1,	258,	3,	3),
(2745,	1,	259,	1,	1),
(2746,	1,	259,	2,	1),
(2747,	1,	259,	3,	1),
(2748,	1,	259,	1,	2),
(2749,	1,	259,	2,	2),
(2750,	1,	259,	3,	2),
(2751,	1,	260,	1,	1),
(2752,	1,	260,	2,	1),
(2753,	1,	260,	3,	1),
(2754,	1,	260,	1,	2),
(2755,	1,	260,	2,	2),
(2756,	1,	260,	3,	2),
(2757,	1,	261,	1,	1),
(2758,	1,	261,	2,	1),
(2759,	1,	261,	3,	1),
(2760,	1,	261,	1,	2),
(2761,	1,	261,	2,	2),
(2762,	1,	261,	3,	2),
(2763,	1,	262,	1,	1),
(2764,	1,	262,	2,	1),
(2765,	1,	262,	3,	1),
(2766,	1,	262,	1,	2),
(2767,	1,	262,	2,	2),
(2768,	1,	262,	3,	2),
(2769,	1,	263,	1,	1),
(2770,	1,	263,	2,	1),
(2771,	1,	263,	3,	1),
(2772,	1,	263,	1,	2),
(2773,	1,	263,	2,	2),
(2774,	1,	263,	3,	2),
(2775,	1,	264,	1,	1),
(2776,	1,	264,	2,	1),
(2777,	1,	264,	3,	1),
(2778,	1,	264,	1,	2),
(2779,	1,	264,	2,	2),
(2780,	1,	264,	3,	2),
(2781,	1,	265,	1,	1),
(2782,	1,	265,	2,	1),
(2783,	1,	265,	3,	1),
(2784,	1,	265,	1,	3),
(2785,	1,	265,	2,	3),
(2786,	1,	265,	3,	3),
(2787,	1,	266,	1,	1),
(2788,	1,	266,	2,	1),
(2789,	1,	266,	3,	1),
(2790,	1,	266,	1,	2),
(2791,	1,	266,	2,	2),
(2792,	1,	266,	3,	2),
(2793,	1,	267,	1,	1),
(2794,	1,	267,	2,	1),
(2795,	1,	267,	3,	1),
(2796,	1,	267,	1,	2),
(2797,	1,	267,	2,	2),
(2798,	1,	267,	3,	2),
(2799,	1,	268,	1,	1),
(2800,	1,	268,	2,	1),
(2801,	1,	268,	3,	1),
(2802,	1,	269,	1,	1),
(2803,	1,	269,	2,	1),
(2804,	1,	269,	3,	1),
(2805,	1,	269,	1,	2),
(2806,	1,	269,	2,	2),
(2807,	1,	269,	3,	2),
(2808,	1,	270,	1,	1),
(2809,	1,	270,	2,	1),
(2810,	1,	270,	3,	1),
(2811,	1,	270,	1,	3),
(2812,	1,	270,	2,	3),
(2813,	1,	270,	3,	3),
(2814,	1,	271,	1,	1),
(2815,	1,	271,	2,	1),
(2816,	1,	271,	3,	1),
(2817,	1,	271,	1,	3),
(2818,	1,	271,	2,	3),
(2819,	1,	271,	3,	3),
(2820,	1,	272,	1,	1),
(2821,	1,	272,	2,	1),
(2822,	1,	272,	3,	1),
(2823,	1,	272,	1,	3),
(2824,	1,	272,	2,	3),
(2825,	1,	272,	3,	3),
(2826,	1,	273,	1,	1),
(2827,	1,	273,	2,	1),
(2828,	1,	273,	3,	1),
(2829,	1,	274,	1,	1),
(2830,	1,	274,	2,	1),
(2831,	1,	274,	3,	1),
(2832,	1,	274,	23,	1),
(2833,	1,	274,	1,	3),
(2834,	1,	274,	2,	3),
(2835,	1,	274,	3,	3),
(2836,	1,	274,	23,	3),
(2837,	1,	275,	1,	1),
(2838,	1,	275,	2,	1),
(2839,	1,	275,	3,	1),
(2840,	1,	275,	23,	1),
(2841,	1,	275,	1,	3),
(2842,	1,	275,	2,	3),
(2843,	1,	275,	3,	3),
(2844,	1,	275,	23,	3),
(2845,	1,	276,	1,	1),
(2846,	1,	276,	2,	1),
(2847,	1,	276,	3,	1),
(2848,	1,	276,	23,	1),
(2849,	1,	276,	1,	3),
(2850,	1,	276,	2,	3),
(2851,	1,	276,	3,	3),
(2852,	1,	276,	23,	3),
(2853,	1,	277,	1,	1),
(2854,	1,	277,	2,	1),
(2855,	1,	277,	3,	1),
(2856,	1,	277,	1,	2),
(2857,	1,	277,	2,	2),
(2858,	1,	277,	3,	2),
(2859,	1,	278,	1,	1),
(2860,	1,	278,	2,	1),
(2861,	1,	278,	3,	1),
(2862,	1,	279,	1,	1),
(2863,	1,	279,	2,	1),
(2864,	1,	279,	3,	1),
(2865,	1,	279,	1,	2),
(2866,	1,	279,	2,	2),
(2867,	1,	279,	3,	2),
(2868,	1,	280,	1,	1),
(2869,	1,	280,	2,	1),
(2870,	1,	280,	3,	1),
(2871,	1,	280,	1,	3),
(2872,	1,	280,	2,	3),
(2873,	1,	280,	3,	3),
(2874,	1,	281,	1,	1),
(2875,	1,	281,	2,	1),
(2876,	1,	281,	3,	1),
(2877,	1,	281,	23,	1),
(2878,	1,	281,	1,	3),
(2879,	1,	281,	2,	3),
(2880,	1,	281,	3,	3),
(2881,	1,	281,	23,	3),
(2882,	1,	282,	1,	1),
(2883,	1,	282,	2,	1),
(2884,	1,	282,	3,	1),
(2885,	1,	282,	23,	1),
(2886,	1,	282,	1,	3),
(2887,	1,	282,	2,	3),
(2888,	1,	282,	3,	3),
(2889,	1,	282,	23,	3),
(2890,	1,	283,	1,	1),
(2891,	1,	283,	2,	1),
(2892,	1,	283,	3,	1),
(2893,	1,	283,	23,	1),
(2894,	1,	283,	1,	3),
(2895,	1,	283,	2,	3),
(2896,	1,	283,	3,	3),
(2897,	1,	283,	23,	3),
(2898,	1,	284,	1,	1),
(2899,	1,	284,	2,	1),
(2900,	1,	284,	3,	1),
(2901,	1,	284,	23,	1),
(2902,	1,	284,	1,	3),
(2903,	1,	284,	2,	3),
(2904,	1,	284,	3,	3),
(2905,	1,	284,	23,	3),
(2906,	1,	285,	1,	1),
(2907,	1,	285,	2,	1),
(2908,	1,	285,	3,	1),
(2909,	1,	285,	23,	1),
(2910,	1,	285,	1,	2),
(2911,	1,	285,	2,	2),
(2912,	1,	285,	3,	2),
(2913,	1,	285,	23,	2),
(2914,	1,	286,	1,	1),
(2915,	1,	286,	2,	1),
(2916,	1,	286,	3,	1),
(2917,	1,	286,	23,	1),
(2918,	1,	287,	1,	1),
(2919,	1,	287,	2,	1),
(2920,	1,	287,	3,	1),
(2921,	1,	287,	23,	1),
(2922,	1,	287,	1,	2),
(2923,	1,	287,	2,	2),
(2924,	1,	287,	3,	2),
(2925,	1,	287,	23,	2),
(2926,	1,	288,	1,	1),
(2927,	1,	288,	2,	1),
(2928,	1,	288,	3,	1),
(2929,	1,	288,	23,	1),
(2930,	1,	288,	1,	2),
(2931,	1,	288,	2,	2),
(2932,	1,	288,	3,	2),
(2933,	1,	288,	23,	2),
(2934,	1,	289,	1,	1),
(2935,	1,	289,	2,	1),
(2936,	1,	289,	3,	1),
(2937,	1,	290,	1,	1),
(2938,	1,	290,	2,	1),
(2939,	1,	290,	3,	1),
(2940,	1,	291,	1,	1),
(2941,	1,	291,	2,	1),
(2942,	1,	291,	3,	1),
(2943,	1,	291,	1,	3),
(2944,	1,	291,	2,	3),
(2945,	1,	291,	3,	3),
(2946,	1,	292,	1,	1),
(2947,	1,	292,	2,	1),
(2948,	1,	292,	3,	1),
(2949,	1,	292,	1,	2),
(2950,	1,	292,	2,	2),
(2951,	1,	292,	3,	2),
(2952,	1,	293,	1,	1),
(2953,	1,	293,	2,	1),
(2954,	1,	293,	3,	1),
(2955,	1,	294,	1,	1),
(2956,	1,	294,	2,	1),
(2957,	1,	294,	3,	1),
(2958,	1,	294,	1,	2),
(2959,	1,	294,	2,	2),
(2960,	1,	294,	3,	2),
(2961,	1,	295,	1,	1),
(2962,	1,	295,	2,	1),
(2963,	1,	295,	3,	1),
(2964,	1,	295,	1,	3),
(2965,	1,	295,	2,	3),
(2966,	1,	295,	3,	3),
(2967,	1,	296,	1,	1),
(2968,	1,	296,	2,	1),
(2969,	1,	296,	3,	1),
(2970,	1,	296,	1,	3),
(2971,	1,	296,	2,	3),
(2972,	1,	296,	3,	3),
(2973,	1,	297,	1,	1),
(2974,	1,	297,	2,	1),
(2975,	1,	297,	3,	1),
(2976,	1,	297,	1,	3),
(2977,	1,	297,	2,	3),
(2978,	1,	297,	3,	3),
(2979,	1,	298,	1,	1),
(2980,	1,	298,	2,	1),
(2981,	1,	298,	3,	1),
(2982,	1,	298,	1,	3),
(2983,	1,	298,	2,	3),
(2984,	1,	298,	3,	3),
(2985,	1,	299,	1,	1),
(2986,	1,	299,	2,	1),
(2987,	1,	299,	3,	1),
(2988,	1,	299,	1,	2),
(2989,	1,	299,	2,	2),
(2990,	1,	299,	3,	2),
(2991,	1,	300,	1,	1),
(2992,	1,	300,	2,	1),
(2993,	1,	300,	3,	1),
(2994,	1,	300,	1,	2),
(2995,	1,	300,	2,	2),
(2996,	1,	300,	3,	2),
(2997,	1,	301,	1,	1),
(2998,	1,	301,	2,	1),
(2999,	1,	301,	3,	1),
(3000,	1,	301,	1,	2),
(3001,	1,	301,	2,	2),
(3002,	1,	301,	3,	2),
(3003,	1,	302,	1,	1),
(3004,	1,	302,	2,	1),
(3005,	1,	302,	3,	1),
(3006,	1,	302,	1,	2),
(3007,	1,	302,	2,	2),
(3008,	1,	302,	3,	2),
(3009,	1,	303,	1,	1),
(3010,	1,	303,	2,	1),
(3011,	1,	303,	3,	1),
(3012,	1,	303,	1,	2),
(3013,	1,	303,	2,	2),
(3014,	1,	303,	3,	2),
(3015,	1,	304,	1,	1),
(3016,	1,	304,	2,	1),
(3017,	1,	304,	3,	1),
(3018,	1,	304,	1,	2),
(3019,	1,	304,	2,	2),
(3020,	1,	304,	3,	2),
(3021,	1,	305,	1,	1),
(3022,	1,	305,	2,	1),
(3023,	1,	305,	3,	1),
(3024,	1,	305,	1,	2),
(3025,	1,	305,	2,	2),
(3026,	1,	305,	3,	2),
(3027,	1,	306,	1,	1),
(3028,	1,	306,	2,	1),
(3029,	1,	306,	3,	1),
(3030,	1,	306,	1,	3),
(3031,	1,	306,	2,	3),
(3032,	1,	306,	3,	3),
(3033,	1,	307,	1,	1),
(3034,	1,	307,	2,	1),
(3035,	1,	307,	3,	1),
(3036,	1,	307,	1,	2),
(3037,	1,	307,	2,	2),
(3038,	1,	307,	3,	2),
(3039,	1,	308,	1,	1),
(3040,	1,	308,	2,	1),
(3041,	1,	308,	3,	1),
(3042,	1,	308,	1,	2),
(3043,	1,	308,	2,	2),
(3044,	1,	308,	3,	2),
(3045,	1,	309,	1,	1),
(3046,	1,	309,	2,	1),
(3047,	1,	309,	3,	1),
(3048,	1,	309,	23,	1),
(3049,	1,	309,	1,	3),
(3050,	1,	309,	2,	3),
(3051,	1,	309,	3,	3),
(3052,	1,	309,	23,	3),
(3053,	1,	310,	1,	1),
(3054,	1,	310,	2,	1),
(3055,	1,	310,	3,	1),
(3056,	1,	310,	28,	1),
(3057,	1,	310,	23,	1),
(3058,	1,	310,	1,	3),
(3059,	1,	310,	2,	3),
(3060,	1,	310,	3,	3),
(3061,	1,	310,	28,	3),
(3062,	1,	310,	23,	3),
(3063,	1,	311,	1,	1),
(3064,	1,	311,	2,	1),
(3065,	1,	311,	3,	1),
(3066,	1,	311,	1,	3),
(3067,	1,	311,	2,	3),
(3068,	1,	311,	3,	3),
(3069,	1,	312,	1,	1),
(3070,	1,	312,	2,	1),
(3071,	1,	312,	3,	1),
(3072,	1,	312,	1,	3),
(3073,	1,	312,	2,	3),
(3074,	1,	312,	3,	3),
(3075,	1,	313,	1,	1),
(3076,	1,	313,	2,	1),
(3077,	1,	313,	3,	1),
(3078,	1,	313,	1,	3),
(3079,	1,	313,	2,	3),
(3080,	1,	313,	3,	3),
(3081,	1,	314,	1,	1),
(3082,	1,	314,	2,	1),
(3083,	1,	314,	3,	1),
(3084,	1,	314,	1,	3),
(3085,	1,	314,	2,	3),
(3086,	1,	314,	3,	3),
(3087,	1,	315,	1,	1),
(3088,	1,	315,	2,	1),
(3089,	1,	315,	3,	1),
(3090,	1,	315,	1,	2),
(3091,	1,	315,	2,	2),
(3092,	1,	315,	3,	2),
(3093,	1,	316,	1,	1),
(3094,	1,	316,	2,	1),
(3095,	1,	316,	3,	1),
(3096,	1,	317,	1,	1),
(3097,	1,	317,	2,	1),
(3098,	1,	317,	3,	1),
(3099,	1,	317,	1,	2),
(3100,	1,	317,	2,	2),
(3101,	1,	317,	3,	2),
(3102,	1,	318,	1,	1),
(3103,	1,	318,	2,	1),
(3104,	1,	318,	3,	1),
(3105,	1,	318,	1,	2),
(3106,	1,	318,	2,	2),
(3107,	1,	318,	3,	2),
(3108,	1,	319,	1,	1),
(3109,	1,	319,	2,	1),
(3110,	1,	319,	3,	1),
(3111,	1,	319,	1,	3),
(3112,	1,	319,	2,	3),
(3113,	1,	319,	3,	3),
(3114,	1,	320,	1,	1),
(3115,	1,	320,	2,	1),
(3116,	1,	320,	3,	1),
(3117,	1,	321,	1,	1),
(3118,	1,	321,	2,	1),
(3119,	1,	321,	3,	1),
(3120,	1,	321,	1,	3),
(3121,	1,	321,	2,	3),
(3122,	1,	321,	3,	3),
(3123,	1,	322,	1,	1),
(3124,	1,	322,	2,	1),
(3125,	1,	322,	3,	1),
(3126,	1,	322,	1,	2),
(3127,	1,	322,	2,	2),
(3128,	1,	322,	3,	2),
(3129,	1,	323,	1,	1),
(3130,	1,	323,	2,	1),
(3131,	1,	323,	3,	1),
(3132,	1,	323,	1,	2),
(3133,	1,	323,	2,	2),
(3134,	1,	323,	3,	2),
(3135,	1,	324,	1,	1),
(3136,	1,	324,	2,	1),
(3137,	1,	324,	3,	1),
(3138,	1,	324,	1,	3),
(3139,	1,	324,	2,	3),
(3140,	1,	324,	3,	3),
(3141,	1,	325,	1,	1),
(3142,	1,	325,	2,	1),
(3143,	1,	325,	3,	1),
(3144,	1,	325,	1,	3),
(3145,	1,	325,	2,	3),
(3146,	1,	325,	3,	3),
(3147,	1,	326,	1,	1),
(3148,	1,	326,	2,	1),
(3149,	1,	326,	3,	1),
(3150,	1,	326,	1,	3),
(3151,	1,	326,	2,	3),
(3152,	1,	326,	3,	3),
(3153,	1,	327,	1,	1),
(3154,	1,	327,	2,	1),
(3155,	1,	327,	3,	1),
(3156,	1,	328,	1,	1),
(3157,	1,	328,	2,	1),
(3158,	1,	328,	3,	1),
(3159,	1,	328,	1,	3),
(3160,	1,	328,	2,	3),
(3161,	1,	328,	3,	3),
(3162,	1,	329,	1,	1),
(3163,	1,	329,	2,	1),
(3164,	1,	329,	3,	1),
(3165,	1,	329,	1,	3),
(3166,	1,	329,	2,	3),
(3167,	1,	329,	3,	3),
(3168,	1,	330,	1,	1),
(3169,	1,	330,	2,	1),
(3170,	1,	330,	3,	1),
(3171,	1,	330,	1,	3),
(3172,	1,	330,	2,	3),
(3173,	1,	330,	3,	3),
(3174,	1,	331,	1,	1),
(3175,	1,	331,	2,	1),
(3176,	1,	331,	3,	1),
(3177,	1,	331,	1,	2),
(3178,	1,	331,	2,	2),
(3179,	1,	331,	3,	2),
(3180,	1,	332,	1,	1),
(3181,	1,	332,	2,	1),
(3182,	1,	332,	3,	1),
(3183,	1,	333,	1,	1),
(3184,	1,	333,	2,	1),
(3185,	1,	333,	3,	1),
(3186,	1,	333,	1,	3),
(3187,	1,	333,	2,	3),
(3188,	1,	333,	3,	3),
(3189,	1,	334,	1,	1),
(3190,	1,	334,	2,	1),
(3191,	1,	334,	3,	1),
(3192,	1,	334,	1,	3),
(3193,	1,	334,	2,	3),
(3194,	1,	334,	3,	3),
(3195,	1,	335,	1,	1),
(3196,	1,	335,	2,	1),
(3197,	1,	335,	3,	1),
(3198,	1,	335,	1,	3),
(3199,	1,	335,	2,	3),
(3200,	1,	335,	3,	3),
(3201,	1,	336,	1,	1),
(3202,	1,	336,	2,	1),
(3203,	1,	336,	3,	1),
(3204,	1,	336,	1,	3),
(3205,	1,	336,	2,	3),
(3206,	1,	336,	3,	3),
(3207,	1,	337,	1,	1),
(3208,	1,	337,	2,	1),
(3209,	1,	337,	3,	1),
(3210,	1,	337,	1,	3),
(3211,	1,	337,	2,	3),
(3212,	1,	337,	3,	3),
(3213,	1,	337,	1,	2),
(3214,	1,	337,	2,	2),
(3215,	1,	337,	3,	2),
(3216,	1,	338,	1,	1),
(3217,	1,	338,	2,	1),
(3218,	1,	338,	3,	1),
(3219,	1,	338,	1,	2),
(3220,	1,	338,	2,	2),
(3221,	1,	338,	3,	2),
(3222,	1,	339,	1,	1),
(3223,	1,	339,	2,	1),
(3224,	1,	339,	3,	1),
(3225,	1,	339,	1,	3),
(3226,	1,	339,	2,	3),
(3227,	1,	339,	3,	3),
(3228,	1,	340,	1,	1),
(3229,	1,	340,	2,	1),
(3230,	1,	340,	3,	1),
(3231,	1,	340,	1,	3),
(3232,	1,	340,	2,	3),
(3233,	1,	340,	3,	3),
(3234,	1,	341,	1,	1),
(3235,	1,	341,	2,	1),
(3236,	1,	341,	3,	1),
(3237,	1,	341,	1,	3),
(3238,	1,	341,	2,	3),
(3239,	1,	341,	3,	3),
(3240,	1,	342,	1,	1),
(3241,	1,	342,	2,	1),
(3242,	1,	342,	3,	1),
(3243,	1,	342,	1,	2),
(3244,	1,	342,	2,	2),
(3245,	1,	342,	3,	2),
(3246,	1,	343,	1,	1),
(3247,	1,	343,	2,	1),
(3248,	1,	343,	3,	1),
(3249,	1,	343,	1,	3),
(3250,	1,	343,	2,	3),
(3251,	1,	343,	3,	3),
(3252,	1,	344,	1,	1),
(3253,	1,	344,	2,	1),
(3254,	1,	344,	3,	1),
(3255,	1,	344,	1,	3),
(3256,	1,	344,	2,	3),
(3257,	1,	344,	3,	3),
(3258,	1,	345,	1,	1),
(3259,	1,	345,	2,	1),
(3260,	1,	345,	3,	1),
(3261,	1,	345,	1,	3),
(3262,	1,	345,	2,	3),
(3263,	1,	345,	3,	3),
(3264,	1,	346,	1,	1),
(3265,	1,	346,	2,	1),
(3266,	1,	346,	3,	1),
(3267,	1,	346,	1,	3),
(3268,	1,	346,	2,	3),
(3269,	1,	346,	3,	3),
(3270,	1,	346,	1,	2),
(3271,	1,	346,	2,	2),
(3272,	1,	346,	3,	2),
(3273,	1,	347,	1,	1),
(3274,	1,	347,	2,	1),
(3275,	1,	347,	3,	1),
(3276,	1,	347,	1,	3),
(3277,	1,	347,	2,	3),
(3278,	1,	347,	3,	3),
(3279,	1,	347,	1,	2),
(3280,	1,	347,	2,	2),
(3281,	1,	347,	3,	2),
(3282,	1,	348,	1,	1),
(3283,	1,	348,	2,	1),
(3284,	1,	348,	3,	1),
(3285,	1,	348,	1,	3),
(3286,	1,	348,	2,	3),
(3287,	1,	348,	3,	3),
(3288,	1,	349,	1,	1),
(3289,	1,	349,	2,	1),
(3290,	1,	349,	3,	1),
(3291,	1,	349,	1,	3),
(3292,	1,	349,	2,	3),
(3293,	1,	349,	3,	3),
(3294,	1,	350,	1,	1),
(3295,	1,	350,	2,	1),
(3296,	1,	350,	3,	1),
(3297,	1,	350,	1,	3),
(3298,	1,	350,	2,	3),
(3299,	1,	350,	3,	3),
(3300,	1,	351,	1,	1),
(3301,	1,	351,	2,	1),
(3302,	1,	351,	3,	1),
(3303,	1,	351,	1,	2),
(3304,	1,	351,	2,	2),
(3305,	1,	351,	3,	2),
(3306,	1,	352,	1,	1),
(3307,	1,	352,	2,	1),
(3308,	1,	352,	3,	1),
(3309,	1,	352,	1,	3),
(3310,	1,	352,	2,	3),
(3311,	1,	352,	3,	3),
(3312,	1,	353,	1,	1),
(3313,	1,	353,	2,	1),
(3314,	1,	353,	3,	1),
(3315,	1,	353,	1,	3),
(3316,	1,	353,	2,	3),
(3317,	1,	353,	3,	3),
(3318,	1,	354,	1,	1),
(3319,	1,	354,	2,	1),
(3320,	1,	354,	3,	1),
(3321,	1,	354,	1,	3),
(3322,	1,	354,	2,	3),
(3323,	1,	354,	3,	3),
(3324,	1,	355,	1,	1),
(3325,	1,	355,	2,	1),
(3326,	1,	355,	3,	1),
(3327,	1,	355,	29,	1),
(3328,	1,	356,	1,	1),
(3329,	1,	356,	2,	1),
(3330,	1,	356,	3,	1),
(3331,	1,	356,	1,	2),
(3332,	1,	356,	2,	2),
(3333,	1,	356,	3,	2),
(3334,	1,	357,	1,	1),
(3335,	1,	357,	2,	1),
(3336,	1,	357,	3,	1),
(3337,	1,	357,	1,	2),
(3338,	1,	357,	2,	2),
(3339,	1,	357,	3,	2),
(3340,	1,	358,	1,	1),
(3341,	1,	358,	2,	1),
(3342,	1,	358,	3,	1),
(3343,	1,	358,	1,	2),
(3344,	1,	358,	2,	2),
(3345,	1,	358,	3,	2),
(3346,	1,	359,	1,	1),
(3347,	1,	359,	2,	1),
(3348,	1,	359,	3,	1),
(3349,	1,	360,	1,	1),
(3350,	1,	360,	2,	1),
(3351,	1,	360,	3,	1),
(3352,	1,	361,	1,	1),
(3353,	1,	361,	2,	1),
(3354,	1,	361,	3,	1),
(3355,	1,	361,	1,	2),
(3356,	1,	361,	2,	2),
(3357,	1,	361,	3,	2),
(3358,	1,	362,	1,	1),
(3359,	1,	362,	2,	1),
(3360,	1,	362,	3,	1),
(3361,	1,	362,	1,	3),
(3362,	1,	362,	2,	3),
(3363,	1,	362,	3,	3),
(3364,	1,	363,	1,	1),
(3365,	1,	363,	2,	1),
(3366,	1,	363,	3,	1),
(3367,	1,	363,	1,	3),
(3368,	1,	363,	2,	3),
(3369,	1,	363,	3,	3),
(3370,	1,	364,	1,	1),
(3371,	1,	364,	2,	1),
(3372,	1,	364,	3,	1),
(3373,	1,	364,	1,	3),
(3374,	1,	364,	2,	3),
(3375,	1,	364,	3,	3),
(3376,	1,	365,	1,	1),
(3377,	1,	365,	2,	1),
(3378,	1,	365,	3,	1),
(3379,	1,	365,	1,	2),
(3380,	1,	365,	2,	2),
(3381,	1,	365,	3,	2),
(3382,	1,	366,	1,	1),
(3383,	1,	366,	2,	1),
(3384,	1,	366,	3,	1),
(3385,	1,	367,	1,	1),
(3386,	1,	367,	2,	1),
(3387,	1,	367,	3,	1),
(3388,	1,	367,	1,	3),
(3389,	1,	367,	2,	3),
(3390,	1,	367,	3,	3),
(3391,	1,	368,	1,	1),
(3392,	1,	368,	2,	1),
(3393,	1,	368,	3,	1),
(3394,	1,	368,	1,	3),
(3395,	1,	368,	2,	3),
(3396,	1,	368,	3,	3),
(3397,	1,	369,	1,	1),
(3398,	1,	369,	2,	1),
(3399,	1,	369,	3,	1),
(3400,	1,	369,	29,	1),
(3401,	1,	369,	30,	1),
(3402,	1,	370,	1,	1),
(3403,	1,	370,	2,	1),
(3404,	1,	370,	3,	1),
(3405,	1,	370,	29,	1),
(3406,	1,	370,	30,	1),
(3407,	1,	371,	1,	1),
(3408,	1,	371,	2,	1),
(3409,	1,	371,	3,	1),
(3410,	1,	372,	1,	1),
(3411,	1,	372,	2,	1),
(3412,	1,	372,	3,	1),
(3413,	1,	372,	1,	2),
(3414,	1,	372,	2,	2),
(3415,	1,	372,	3,	2),
(3416,	1,	373,	1,	1),
(3417,	1,	373,	2,	1),
(3418,	1,	373,	3,	1),
(3419,	1,	373,	23,	1),
(3420,	1,	374,	1,	1),
(3421,	1,	374,	2,	1),
(3422,	1,	374,	3,	1),
(3423,	1,	374,	28,	1),
(3424,	1,	374,	1,	3),
(3425,	1,	374,	2,	3),
(3426,	1,	374,	3,	3),
(3427,	1,	374,	28,	3),
(3428,	1,	375,	1,	1),
(3429,	1,	375,	2,	1),
(3430,	1,	375,	3,	1),
(3431,	1,	375,	23,	1),
(3432,	1,	375,	28,	1),
(3433,	1,	375,	1,	3),
(3434,	1,	375,	2,	3),
(3435,	1,	375,	3,	3),
(3436,	1,	375,	23,	3),
(3437,	1,	375,	28,	3),
(3438,	1,	376,	1,	1),
(3439,	1,	376,	2,	1),
(3440,	1,	376,	3,	1),
(3441,	1,	376,	1,	2),
(3442,	1,	376,	2,	2),
(3443,	1,	376,	3,	2),
(3444,	1,	377,	1,	1),
(3445,	1,	377,	2,	1),
(3446,	1,	377,	3,	1),
(3447,	1,	377,	1,	3),
(3448,	1,	377,	2,	3),
(3449,	1,	377,	3,	3),
(3450,	1,	378,	1,	1),
(3451,	1,	378,	2,	1),
(3452,	1,	378,	3,	1),
(3453,	1,	378,	23,	1),
(3454,	1,	378,	28,	1),
(3455,	1,	378,	1,	3),
(3456,	1,	378,	2,	3),
(3457,	1,	378,	3,	3),
(3458,	1,	378,	23,	3),
(3459,	1,	378,	28,	3),
(3460,	1,	379,	1,	1),
(3461,	1,	379,	2,	1),
(3462,	1,	379,	3,	1),
(3463,	1,	380,	1,	1),
(3464,	1,	380,	2,	1),
(3465,	1,	380,	3,	1),
(3466,	1,	381,	1,	1),
(3467,	1,	381,	2,	1),
(3468,	1,	381,	3,	1),
(3469,	1,	381,	1,	2),
(3470,	1,	381,	2,	2),
(3471,	1,	381,	3,	2),
(3472,	1,	382,	1,	1),
(3473,	1,	382,	2,	1),
(3474,	1,	382,	3,	1),
(3475,	1,	382,	23,	1),
(3476,	1,	383,	1,	1),
(3477,	1,	383,	2,	1),
(3478,	1,	383,	3,	1),
(3479,	1,	383,	1,	2),
(3480,	1,	383,	2,	2),
(3481,	1,	383,	3,	2),
(3482,	1,	384,	1,	1),
(3483,	1,	384,	2,	1),
(3484,	1,	384,	3,	1),
(3485,	1,	384,	23,	1),
(3486,	1,	384,	1,	3),
(3487,	1,	384,	2,	3),
(3488,	1,	384,	3,	3),
(3489,	1,	384,	23,	3),
(3490,	1,	385,	1,	1),
(3491,	1,	385,	2,	1),
(3492,	1,	385,	3,	1),
(3493,	1,	385,	1,	3),
(3494,	1,	385,	2,	3),
(3495,	1,	385,	3,	3),
(3496,	1,	386,	1,	1),
(3497,	1,	386,	2,	1),
(3498,	1,	386,	3,	1),
(3499,	1,	386,	1,	2),
(3500,	1,	386,	2,	2),
(3501,	1,	386,	3,	2),
(3502,	1,	387,	1,	1),
(3503,	1,	387,	2,	1),
(3504,	1,	387,	3,	1),
(3505,	1,	387,	1,	2),
(3506,	1,	387,	2,	2),
(3507,	1,	387,	3,	2),
(3508,	1,	388,	1,	1),
(3509,	1,	388,	2,	1),
(3510,	1,	388,	3,	1),
(3511,	1,	388,	1,	2),
(3512,	1,	388,	2,	2),
(3513,	1,	388,	3,	2),
(3514,	1,	389,	1,	1),
(3515,	1,	389,	2,	1),
(3516,	1,	389,	3,	1),
(3517,	1,	389,	1,	2),
(3518,	1,	389,	2,	2),
(3519,	1,	389,	3,	2),
(3520,	1,	390,	1,	1),
(3521,	1,	390,	2,	1),
(3522,	1,	390,	3,	1),
(3523,	1,	391,	1,	1),
(3524,	1,	391,	2,	1),
(3525,	1,	391,	3,	1),
(3526,	1,	391,	1,	2),
(3527,	1,	391,	2,	2),
(3528,	1,	391,	3,	2),
(3529,	1,	392,	1,	1),
(3530,	1,	392,	2,	1),
(3531,	1,	392,	3,	1),
(3532,	1,	392,	1,	2),
(3533,	1,	392,	2,	2),
(3534,	1,	392,	3,	2),
(3535,	1,	393,	1,	1),
(3536,	1,	393,	2,	1),
(3537,	1,	393,	3,	1),
(3538,	1,	393,	1,	2),
(3539,	1,	393,	2,	2),
(3540,	1,	393,	3,	2),
(3541,	1,	394,	1,	1),
(3542,	1,	394,	2,	1),
(3543,	1,	394,	3,	1),
(3544,	1,	394,	1,	2),
(3545,	1,	394,	2,	2),
(3546,	1,	394,	3,	2),
(3547,	1,	395,	1,	1),
(3548,	1,	395,	2,	1),
(3549,	1,	395,	3,	1),
(3550,	1,	395,	1,	2),
(3551,	1,	395,	2,	2),
(3552,	1,	395,	3,	2),
(3553,	1,	396,	1,	1),
(3554,	1,	396,	2,	1),
(3555,	1,	396,	3,	1),
(3556,	1,	396,	6,	1),
(3557,	1,	396,	24,	1),
(3558,	1,	396,	5,	1),
(3559,	1,	396,	1,	2),
(3560,	1,	396,	2,	2),
(3561,	1,	396,	3,	2),
(3562,	1,	396,	6,	2),
(3563,	1,	396,	24,	2),
(3564,	1,	396,	5,	2),
(3565,	1,	397,	1,	1),
(3566,	1,	397,	2,	1),
(3567,	1,	397,	3,	1),
(3568,	1,	397,	6,	1),
(3569,	1,	397,	24,	1),
(3570,	1,	397,	5,	1),
(3571,	1,	397,	1,	2),
(3572,	1,	397,	2,	2),
(3573,	1,	397,	3,	2),
(3574,	1,	397,	6,	2),
(3575,	1,	397,	24,	2),
(3576,	1,	397,	5,	2),
(3577,	1,	398,	1,	1),
(3578,	1,	398,	2,	1),
(3579,	1,	398,	3,	1),
(3580,	1,	398,	6,	1),
(3581,	1,	398,	24,	1),
(3582,	1,	398,	25,	1),
(3583,	1,	398,	4,	1),
(3584,	1,	398,	1,	3),
(3585,	1,	398,	2,	3),
(3586,	1,	398,	3,	3),
(3587,	1,	398,	6,	3),
(3588,	1,	398,	24,	3),
(3589,	1,	398,	25,	3),
(3590,	1,	398,	4,	3),
(3591,	1,	399,	1,	1),
(3592,	1,	399,	2,	1),
(3593,	1,	399,	3,	1),
(3594,	1,	399,	6,	1),
(3595,	1,	399,	24,	1),
(3596,	1,	399,	25,	1),
(3597,	1,	399,	4,	1),
(3598,	1,	399,	5,	1),
(3599,	1,	399,	1,	3),
(3600,	1,	399,	2,	3),
(3601,	1,	399,	3,	3),
(3602,	1,	399,	6,	3),
(3603,	1,	399,	24,	3),
(3604,	1,	399,	25,	3),
(3605,	1,	399,	4,	3),
(3606,	1,	399,	5,	3),
(3607,	1,	400,	1,	1),
(3608,	1,	400,	2,	1),
(3609,	1,	400,	3,	1),
(3610,	1,	400,	1,	3),
(3611,	1,	400,	2,	3),
(3612,	1,	400,	3,	3),
(3613,	1,	400,	1,	2),
(3614,	1,	400,	2,	2),
(3615,	1,	400,	3,	2),
(3616,	1,	401,	1,	1),
(3617,	1,	401,	2,	1),
(3618,	1,	401,	3,	1),
(3619,	1,	401,	6,	1),
(3620,	1,	401,	24,	1),
(3621,	1,	401,	25,	1),
(3622,	1,	401,	4,	1),
(3623,	1,	401,	5,	1),
(3624,	1,	401,	1,	3),
(3625,	1,	401,	2,	3),
(3626,	1,	401,	3,	3),
(3627,	1,	401,	6,	3),
(3628,	1,	401,	24,	3),
(3629,	1,	401,	25,	3),
(3630,	1,	401,	4,	3),
(3631,	1,	401,	5,	3),
(3632,	1,	402,	1,	1),
(3633,	1,	402,	2,	1),
(3634,	1,	402,	3,	1),
(3635,	1,	402,	6,	1),
(3636,	1,	402,	24,	1),
(3637,	1,	402,	25,	1),
(3638,	1,	402,	4,	1),
(3639,	1,	402,	5,	1),
(3640,	1,	402,	1,	3),
(3641,	1,	402,	2,	3),
(3642,	1,	402,	3,	3),
(3643,	1,	402,	6,	3),
(3644,	1,	402,	24,	3),
(3645,	1,	402,	25,	3),
(3646,	1,	402,	4,	3),
(3647,	1,	402,	5,	3),
(3648,	1,	403,	1,	1),
(3649,	1,	403,	2,	1),
(3650,	1,	403,	3,	1),
(3651,	1,	403,	6,	1),
(3652,	1,	403,	24,	1),
(3653,	1,	403,	5,	1),
(3654,	1,	403,	1,	2),
(3655,	1,	403,	2,	2),
(3656,	1,	403,	3,	2),
(3657,	1,	403,	6,	2),
(3658,	1,	403,	24,	2),
(3659,	1,	403,	5,	2),
(3660,	1,	404,	1,	1),
(3661,	1,	404,	2,	1),
(3662,	1,	404,	3,	1),
(3663,	1,	404,	1,	2),
(3664,	1,	404,	2,	2),
(3665,	1,	404,	3,	2),
(3666,	1,	405,	1,	1),
(3667,	1,	405,	2,	1),
(3668,	1,	405,	3,	1),
(3669,	1,	405,	1,	2),
(3670,	1,	405,	2,	2),
(3671,	1,	405,	3,	2),
(3672,	1,	406,	1,	1),
(3673,	1,	406,	2,	1),
(3674,	1,	406,	3,	1),
(3675,	1,	406,	1,	2),
(3676,	1,	406,	2,	2),
(3677,	1,	406,	3,	2),
(3678,	1,	407,	1,	1),
(3679,	1,	407,	2,	1),
(3680,	1,	407,	3,	1),
(3681,	1,	407,	1,	2),
(3682,	1,	407,	2,	2),
(3683,	1,	407,	3,	2),
(3684,	1,	408,	1,	1),
(3685,	1,	408,	2,	1),
(3686,	1,	408,	3,	1),
(3687,	1,	409,	1,	1),
(3688,	1,	409,	2,	1),
(3689,	1,	409,	3,	1),
(3690,	1,	409,	1,	3),
(3691,	1,	409,	2,	3),
(3692,	1,	409,	3,	3),
(3693,	1,	410,	1,	1),
(3694,	1,	410,	2,	1),
(3695,	1,	410,	3,	1),
(3696,	1,	410,	1,	2),
(3697,	1,	410,	2,	2),
(3698,	1,	410,	3,	2),
(3699,	1,	411,	1,	1),
(3700,	1,	411,	2,	1),
(3701,	1,	411,	3,	1),
(3702,	1,	411,	1,	2),
(3703,	1,	411,	2,	2),
(3704,	1,	411,	3,	2),
(3705,	1,	412,	1,	1),
(3706,	1,	412,	2,	1),
(3707,	1,	412,	3,	1),
(3708,	1,	413,	1,	1),
(3709,	1,	413,	2,	1),
(3710,	1,	413,	3,	1),
(3711,	1,	413,	1,	2),
(3712,	1,	413,	2,	2),
(3713,	1,	413,	3,	2),
(3714,	1,	414,	1,	1),
(3715,	1,	414,	2,	1),
(3716,	1,	414,	3,	1),
(3717,	1,	414,	1,	2),
(3718,	1,	414,	2,	2),
(3719,	1,	414,	3,	2),
(3720,	1,	415,	1,	1),
(3721,	1,	415,	2,	1),
(3722,	1,	415,	3,	1),
(3723,	1,	415,	1,	2),
(3724,	1,	415,	2,	2),
(3725,	1,	415,	3,	2),
(3726,	1,	416,	1,	1),
(3727,	1,	416,	2,	1),
(3728,	1,	416,	3,	1),
(3729,	1,	416,	1,	2),
(3730,	1,	416,	2,	2),
(3731,	1,	416,	3,	2),
(3732,	1,	417,	1,	1),
(3733,	1,	417,	2,	1),
(3734,	1,	417,	3,	1),
(3735,	1,	418,	1,	1),
(3736,	1,	418,	2,	1),
(3737,	1,	418,	3,	1),
(3738,	1,	418,	1,	2),
(3739,	1,	418,	2,	2),
(3740,	1,	418,	3,	2),
(3741,	1,	419,	1,	1),
(3742,	1,	419,	2,	1),
(3743,	1,	419,	3,	1),
(3744,	1,	419,	1,	2),
(3745,	1,	419,	2,	2),
(3746,	1,	419,	3,	2),
(3747,	1,	420,	1,	1),
(3748,	1,	420,	2,	1),
(3749,	1,	420,	3,	1),
(3750,	1,	420,	1,	2),
(3751,	1,	420,	2,	2),
(3752,	1,	420,	3,	2),
(3753,	1,	421,	1,	1),
(3754,	1,	421,	2,	1),
(3755,	1,	421,	3,	1),
(3756,	1,	421,	1,	2),
(3757,	1,	421,	2,	2),
(3758,	1,	421,	3,	2),
(3759,	1,	422,	1,	1),
(3760,	1,	422,	2,	1),
(3761,	1,	422,	3,	1),
(3762,	1,	422,	1,	3),
(3763,	1,	422,	2,	3),
(3764,	1,	422,	3,	3),
(3765,	1,	423,	1,	1),
(3766,	1,	423,	2,	1),
(3767,	1,	423,	3,	1),
(3768,	1,	423,	1,	2),
(3769,	1,	423,	2,	2),
(3770,	1,	423,	3,	2),
(3771,	1,	424,	1,	1),
(3772,	1,	424,	2,	1),
(3773,	1,	424,	3,	1),
(3774,	1,	424,	1,	2),
(3775,	1,	424,	2,	2),
(3776,	1,	424,	3,	2),
(3777,	1,	425,	1,	1),
(3778,	1,	425,	2,	1),
(3779,	1,	425,	3,	1),
(3780,	1,	425,	1,	2),
(3781,	1,	425,	2,	2),
(3782,	1,	425,	3,	2),
(3783,	1,	426,	1,	1),
(3784,	1,	426,	2,	1),
(3785,	1,	426,	3,	1),
(3786,	1,	426,	1,	2),
(3787,	1,	426,	2,	2),
(3788,	1,	426,	3,	2),
(3789,	1,	427,	1,	1),
(3790,	1,	427,	2,	1),
(3791,	1,	427,	3,	1),
(3792,	1,	428,	1,	1),
(3793,	1,	428,	2,	1),
(3794,	1,	428,	3,	1),
(3795,	1,	428,	1,	3),
(3796,	1,	428,	2,	3),
(3797,	1,	428,	3,	3),
(3798,	1,	429,	1,	1),
(3799,	1,	429,	2,	1),
(3800,	1,	429,	3,	1),
(3801,	1,	429,	1,	3),
(3802,	1,	429,	2,	3),
(3803,	1,	429,	3,	3),
(3804,	1,	430,	1,	1),
(3805,	1,	430,	2,	1),
(3806,	1,	430,	3,	1),
(3807,	1,	430,	1,	3),
(3808,	1,	430,	2,	3),
(3809,	1,	430,	3,	3),
(3810,	1,	430,	1,	2),
(3811,	1,	430,	2,	2),
(3812,	1,	430,	3,	2),
(3813,	1,	431,	1,	1),
(3814,	1,	431,	2,	1),
(3815,	1,	431,	3,	1),
(3816,	1,	431,	1,	3),
(3817,	1,	431,	2,	3),
(3818,	1,	431,	3,	3),
(3819,	1,	431,	1,	2),
(3820,	1,	431,	2,	2),
(3821,	1,	431,	3,	2),
(3822,	1,	432,	1,	1),
(3823,	1,	432,	2,	1),
(3824,	1,	432,	3,	1),
(3825,	1,	432,	1,	3),
(3826,	1,	432,	2,	3),
(3827,	1,	432,	3,	3),
(3828,	1,	432,	1,	2),
(3829,	1,	432,	2,	2),
(3830,	1,	432,	3,	2),
(3831,	1,	433,	1,	1),
(3832,	1,	433,	2,	1),
(3833,	1,	433,	3,	1),
(3834,	1,	433,	1,	2),
(3835,	1,	433,	2,	2),
(3836,	1,	433,	3,	2),
(3837,	1,	434,	1,	1),
(3838,	1,	434,	2,	1),
(3839,	1,	434,	3,	1),
(3840,	1,	434,	1,	2),
(3841,	1,	434,	2,	2),
(3842,	1,	434,	3,	2),
(3843,	1,	435,	1,	1),
(3844,	1,	435,	2,	1),
(3845,	1,	435,	3,	1),
(3846,	1,	435,	1,	2),
(3847,	1,	435,	2,	2),
(3848,	1,	435,	3,	2),
(3849,	1,	436,	1,	1),
(3850,	1,	436,	2,	1),
(3851,	1,	436,	3,	1),
(3852,	1,	436,	1,	2),
(3853,	1,	436,	2,	2),
(3854,	1,	436,	3,	2),
(3855,	1,	437,	1,	1),
(3856,	1,	437,	2,	1),
(3857,	1,	437,	3,	1),
(3858,	1,	437,	1,	2),
(3859,	1,	437,	2,	2),
(3860,	1,	437,	3,	2),
(3861,	1,	438,	1,	1),
(3862,	1,	438,	2,	1),
(3863,	1,	438,	3,	1),
(3864,	1,	438,	1,	2),
(3865,	1,	438,	2,	2),
(3866,	1,	438,	3,	2),
(3867,	1,	439,	1,	1),
(3868,	1,	439,	2,	1),
(3869,	1,	439,	3,	1),
(3870,	1,	439,	1,	2),
(3871,	1,	439,	2,	2),
(3872,	1,	439,	3,	2),
(3873,	1,	440,	1,	1),
(3874,	1,	440,	2,	1),
(3875,	1,	440,	3,	1),
(3876,	1,	440,	1,	3),
(3877,	1,	440,	2,	3),
(3878,	1,	440,	3,	3),
(3879,	1,	441,	1,	1),
(3880,	1,	441,	2,	1),
(3881,	1,	441,	3,	1),
(3882,	1,	441,	1,	3),
(3883,	1,	441,	2,	3),
(3884,	1,	441,	3,	3),
(3885,	1,	442,	1,	1),
(3886,	1,	442,	2,	1),
(3887,	1,	442,	3,	1),
(3888,	1,	442,	1,	3),
(3889,	1,	442,	2,	3),
(3890,	1,	442,	3,	3),
(3891,	1,	443,	1,	1),
(3892,	1,	443,	2,	1),
(3893,	1,	443,	3,	1),
(3894,	1,	443,	1,	2),
(3895,	1,	443,	2,	2),
(3896,	1,	443,	3,	2),
(3897,	1,	444,	1,	1),
(3898,	1,	444,	2,	1),
(3899,	1,	444,	3,	1),
(3900,	1,	444,	1,	3),
(3901,	1,	444,	2,	3),
(3902,	1,	444,	3,	3),
(3903,	1,	445,	1,	1),
(3904,	1,	445,	2,	1),
(3905,	1,	445,	3,	1),
(3906,	1,	445,	1,	3),
(3907,	1,	445,	2,	3),
(3908,	1,	445,	3,	3),
(3909,	1,	446,	1,	1),
(3910,	1,	446,	2,	1),
(3911,	1,	446,	3,	1),
(3912,	1,	446,	1,	2),
(3913,	1,	446,	2,	2),
(3914,	1,	446,	3,	2),
(3915,	1,	447,	1,	1),
(3916,	1,	447,	2,	1),
(3917,	1,	447,	3,	1),
(3918,	1,	447,	1,	3),
(3919,	1,	447,	2,	3),
(3920,	1,	447,	3,	3),
(3921,	1,	448,	1,	1),
(3922,	1,	448,	2,	1),
(3923,	1,	448,	3,	1),
(3924,	1,	448,	1,	2),
(3925,	1,	448,	2,	2),
(3926,	1,	448,	3,	2),
(3927,	1,	449,	1,	1),
(3928,	1,	449,	2,	1),
(3929,	1,	449,	3,	1),
(3930,	1,	449,	1,	2),
(3931,	1,	449,	2,	2),
(3932,	1,	449,	3,	2),
(3933,	1,	450,	1,	1),
(3934,	1,	450,	2,	1),
(3935,	1,	450,	3,	1),
(3936,	1,	450,	1,	3),
(3937,	1,	450,	2,	3),
(3938,	1,	450,	3,	3),
(3939,	1,	451,	1,	1),
(3940,	1,	451,	2,	1),
(3941,	1,	451,	3,	1),
(3942,	1,	451,	1,	2),
(3943,	1,	451,	2,	2),
(3944,	1,	451,	3,	2),
(3945,	1,	452,	1,	1),
(3946,	1,	452,	2,	1),
(3947,	1,	452,	3,	1),
(3948,	1,	452,	1,	2),
(3949,	1,	452,	2,	2),
(3950,	1,	452,	3,	2),
(3951,	1,	453,	1,	1),
(3952,	1,	453,	2,	1),
(3953,	1,	453,	3,	1),
(3954,	1,	453,	1,	3),
(3955,	1,	453,	2,	3),
(3956,	1,	453,	3,	3),
(3957,	1,	454,	1,	1),
(3958,	1,	454,	2,	1),
(3959,	1,	454,	3,	1),
(3960,	1,	454,	1,	2),
(3961,	1,	454,	2,	2),
(3962,	1,	454,	3,	2),
(3963,	1,	455,	1,	1),
(3964,	1,	455,	2,	1),
(3965,	1,	455,	3,	1),
(3966,	1,	456,	1,	1),
(3967,	1,	456,	2,	1),
(3968,	1,	456,	3,	1),
(3969,	1,	456,	1,	2),
(3970,	1,	456,	2,	2),
(3971,	1,	456,	3,	2),
(3972,	1,	457,	1,	1),
(3973,	1,	457,	2,	1),
(3974,	1,	457,	3,	1),
(3975,	1,	457,	1,	2),
(3976,	1,	457,	2,	2),
(3977,	1,	457,	3,	2),
(3978,	1,	458,	1,	1),
(3979,	1,	458,	2,	1),
(3980,	1,	458,	3,	1),
(3981,	1,	458,	1,	3),
(3982,	1,	458,	2,	3),
(3983,	1,	458,	3,	3),
(3984,	1,	459,	1,	1),
(3985,	1,	459,	2,	1),
(3986,	1,	459,	3,	1),
(3987,	1,	460,	1,	1),
(3988,	1,	460,	2,	1),
(3989,	1,	460,	3,	1),
(3990,	1,	460,	1,	2),
(3991,	1,	460,	2,	2),
(3992,	1,	460,	3,	2),
(3993,	1,	461,	1,	1),
(3994,	1,	461,	2,	1),
(3995,	1,	461,	3,	1),
(3996,	1,	461,	1,	2),
(3997,	1,	461,	2,	2),
(3998,	1,	461,	3,	2),
(3999,	1,	462,	1,	1),
(4000,	1,	462,	2,	1),
(4001,	1,	462,	3,	1),
(4002,	1,	462,	1,	2),
(4003,	1,	462,	2,	2),
(4004,	1,	462,	3,	2),
(4005,	1,	463,	1,	1),
(4006,	1,	463,	2,	1),
(4007,	1,	463,	3,	1),
(4008,	1,	463,	1,	2),
(4009,	1,	463,	2,	2),
(4010,	1,	463,	3,	2),
(4011,	1,	464,	1,	1),
(4012,	1,	464,	2,	1),
(4013,	1,	464,	3,	1),
(4014,	1,	464,	1,	2),
(4015,	1,	464,	2,	2),
(4016,	1,	464,	3,	2),
(4017,	1,	465,	1,	1),
(4018,	1,	465,	2,	1),
(4019,	1,	465,	3,	1),
(4020,	1,	465,	1,	2),
(4021,	1,	465,	2,	2),
(4022,	1,	465,	3,	2),
(4023,	1,	466,	1,	1),
(4024,	1,	466,	2,	1),
(4025,	1,	466,	3,	1),
(4026,	1,	466,	1,	2),
(4027,	1,	466,	2,	2),
(4028,	1,	466,	3,	2),
(4029,	1,	467,	1,	1),
(4030,	1,	467,	2,	1),
(4031,	1,	467,	3,	1),
(4032,	1,	467,	1,	2),
(4033,	1,	467,	2,	2),
(4034,	1,	467,	3,	2),
(4035,	1,	468,	1,	1),
(4036,	1,	468,	2,	1),
(4037,	1,	468,	3,	1),
(4038,	1,	468,	1,	2),
(4039,	1,	468,	2,	2),
(4040,	1,	468,	3,	2),
(4041,	1,	469,	1,	1),
(4042,	1,	469,	2,	1),
(4043,	1,	469,	3,	1),
(4044,	1,	469,	1,	2),
(4045,	1,	469,	2,	2),
(4046,	1,	469,	3,	2),
(4047,	1,	470,	1,	1),
(4048,	1,	470,	2,	1),
(4049,	1,	470,	3,	1),
(4050,	1,	471,	1,	1),
(4051,	1,	471,	2,	1),
(4052,	1,	471,	3,	1),
(4053,	1,	472,	1,	1),
(4054,	1,	472,	2,	1),
(4055,	1,	472,	3,	1),
(4056,	1,	473,	1,	1),
(4057,	1,	473,	2,	1),
(4058,	1,	473,	3,	1),
(4059,	1,	474,	1,	1),
(4060,	1,	474,	2,	1),
(4061,	1,	474,	3,	1),
(4062,	1,	474,	1,	3),
(4063,	1,	474,	2,	3),
(4064,	1,	474,	3,	3),
(4065,	1,	475,	1,	1),
(4066,	1,	475,	2,	1),
(4067,	1,	475,	3,	1),
(4068,	1,	476,	1,	1),
(4069,	1,	476,	2,	1),
(4070,	1,	476,	3,	1),
(4071,	1,	476,	1,	2),
(4072,	1,	476,	2,	2),
(4073,	1,	476,	3,	2),
(4074,	1,	477,	1,	1),
(4075,	1,	477,	2,	1),
(4076,	1,	477,	3,	1),
(4077,	1,	477,	1,	2),
(4078,	1,	477,	2,	2),
(4079,	1,	477,	3,	2),
(4080,	1,	478,	1,	1),
(4081,	1,	478,	2,	1),
(4082,	1,	478,	3,	1),
(4083,	1,	478,	1,	2),
(4084,	1,	478,	2,	2),
(4085,	1,	478,	3,	2),
(4086,	1,	479,	1,	1),
(4087,	1,	479,	2,	1),
(4088,	1,	479,	3,	1),
(4089,	1,	480,	1,	1),
(4090,	1,	480,	2,	1),
(4091,	1,	480,	3,	1),
(4092,	1,	481,	1,	1),
(4093,	1,	481,	2,	1),
(4094,	1,	481,	3,	1),
(4095,	1,	482,	1,	1),
(4096,	1,	482,	2,	1),
(4097,	1,	482,	3,	1),
(4098,	1,	483,	1,	1),
(4099,	1,	483,	2,	1),
(4100,	1,	483,	3,	1),
(4101,	1,	484,	1,	1),
(4102,	1,	484,	2,	1),
(4103,	1,	484,	3,	1),
(4104,	1,	485,	1,	1),
(4105,	1,	485,	2,	1),
(4106,	1,	485,	3,	1),
(4107,	1,	486,	1,	1),
(4108,	1,	486,	2,	1),
(4109,	1,	486,	3,	1),
(4110,	1,	486,	1,	2),
(4111,	1,	486,	2,	2),
(4112,	1,	486,	3,	2),
(4113,	1,	487,	1,	1),
(4114,	1,	487,	2,	1),
(4115,	1,	487,	3,	1),
(4116,	1,	487,	1,	2),
(4117,	1,	487,	2,	2),
(4118,	1,	487,	3,	2),
(4119,	1,	488,	1,	1),
(4120,	1,	488,	2,	1),
(4121,	1,	488,	3,	1),
(4122,	1,	488,	1,	2),
(4123,	1,	488,	2,	2),
(4124,	1,	488,	3,	2),
(4125,	1,	489,	1,	1),
(4126,	1,	489,	2,	1),
(4127,	1,	489,	3,	1),
(4128,	1,	489,	1,	2),
(4129,	1,	489,	2,	2),
(4130,	1,	489,	3,	2),
(4131,	1,	490,	1,	1),
(4132,	1,	490,	2,	1),
(4133,	1,	490,	3,	1),
(4134,	1,	491,	1,	1),
(4135,	1,	491,	2,	1),
(4136,	1,	491,	3,	1),
(4137,	1,	492,	1,	1),
(4138,	1,	492,	2,	1),
(4139,	1,	492,	3,	1),
(4140,	1,	493,	1,	1),
(4141,	1,	493,	2,	1),
(4142,	1,	493,	3,	1),
(4143,	1,	493,	1,	2),
(4144,	1,	493,	2,	2),
(4145,	1,	493,	3,	2),
(4146,	1,	494,	1,	1),
(4147,	1,	494,	2,	1),
(4148,	1,	494,	3,	1),
(4149,	1,	494,	1,	2),
(4150,	1,	494,	2,	2),
(4151,	1,	494,	3,	2),
(4152,	1,	495,	1,	1),
(4153,	1,	495,	2,	1),
(4154,	1,	495,	3,	1),
(4155,	1,	495,	1,	2),
(4156,	1,	495,	2,	2),
(4157,	1,	495,	3,	2),
(4158,	1,	496,	1,	1),
(4159,	1,	496,	2,	1),
(4160,	1,	496,	3,	1),
(4161,	1,	496,	1,	2),
(4162,	1,	496,	2,	2),
(4163,	1,	496,	3,	2),
(4164,	1,	497,	1,	1),
(4165,	1,	497,	2,	1),
(4166,	1,	497,	3,	1),
(4167,	1,	497,	1,	2),
(4168,	1,	497,	2,	2),
(4169,	1,	497,	3,	2),
(4170,	1,	498,	1,	1),
(4171,	1,	498,	2,	1),
(4172,	1,	498,	3,	1),
(4173,	1,	498,	1,	2),
(4174,	1,	498,	2,	2),
(4175,	1,	498,	3,	2),
(4176,	1,	499,	1,	1),
(4177,	1,	499,	2,	1),
(4178,	1,	499,	3,	1),
(4179,	1,	499,	1,	2),
(4180,	1,	499,	2,	2),
(4181,	1,	499,	3,	2),
(4182,	1,	500,	1,	1),
(4183,	1,	500,	2,	1),
(4184,	1,	500,	3,	1),
(4185,	1,	500,	1,	2),
(4186,	1,	500,	2,	2),
(4187,	1,	500,	3,	2),
(4188,	1,	501,	1,	1),
(4189,	1,	501,	2,	1),
(4190,	1,	501,	3,	1),
(4191,	1,	501,	1,	2),
(4192,	1,	501,	2,	2),
(4193,	1,	501,	3,	2),
(4194,	1,	502,	1,	1),
(4195,	1,	502,	2,	1),
(4196,	1,	502,	3,	1),
(4197,	1,	502,	1,	2),
(4198,	1,	502,	2,	2),
(4199,	1,	502,	3,	2),
(4200,	1,	503,	1,	1),
(4201,	1,	503,	2,	1),
(4202,	1,	503,	3,	1),
(4203,	1,	503,	1,	2),
(4204,	1,	503,	2,	2),
(4205,	1,	503,	3,	2),
(4206,	1,	504,	1,	1),
(4207,	1,	504,	2,	1),
(4208,	1,	504,	3,	1),
(4209,	1,	504,	1,	2),
(4210,	1,	504,	2,	2),
(4211,	1,	504,	3,	2),
(4212,	1,	505,	1,	1),
(4213,	1,	505,	2,	1),
(4214,	1,	505,	3,	1),
(4215,	1,	505,	1,	2),
(4216,	1,	505,	2,	2),
(4217,	1,	505,	3,	2),
(4218,	1,	506,	1,	1),
(4219,	1,	506,	2,	1),
(4220,	1,	506,	3,	1),
(4221,	1,	506,	1,	2),
(4222,	1,	506,	2,	2),
(4223,	1,	506,	3,	2),
(4224,	1,	507,	1,	1),
(4225,	1,	507,	2,	1),
(4226,	1,	507,	3,	1),
(4227,	1,	507,	1,	2),
(4228,	1,	507,	2,	2),
(4229,	1,	507,	3,	2),
(4230,	1,	508,	1,	1),
(4231,	1,	508,	2,	1),
(4232,	1,	508,	3,	1),
(4233,	1,	508,	1,	2),
(4234,	1,	508,	2,	2),
(4235,	1,	508,	3,	2),
(4236,	1,	509,	1,	1),
(4237,	1,	509,	2,	1),
(4238,	1,	509,	3,	1),
(4239,	1,	509,	1,	2),
(4240,	1,	509,	2,	2),
(4241,	1,	509,	3,	2),
(4242,	1,	510,	1,	1),
(4243,	1,	510,	2,	1),
(4244,	1,	510,	3,	1),
(4245,	1,	510,	1,	2),
(4246,	1,	510,	2,	2),
(4247,	1,	510,	3,	2),
(4248,	1,	511,	1,	1),
(4249,	1,	511,	2,	1),
(4250,	1,	511,	3,	1),
(4251,	1,	511,	1,	2),
(4252,	1,	511,	2,	2),
(4253,	1,	511,	3,	2),
(4254,	1,	512,	1,	1),
(4255,	1,	512,	2,	1),
(4256,	1,	512,	3,	1),
(4257,	1,	512,	1,	2),
(4258,	1,	512,	2,	2),
(4259,	1,	512,	3,	2),
(4260,	1,	513,	1,	1),
(4261,	1,	513,	2,	1),
(4262,	1,	513,	3,	1),
(4263,	1,	513,	1,	2),
(4264,	1,	513,	2,	2),
(4265,	1,	513,	3,	2),
(4266,	1,	514,	1,	1),
(4267,	1,	514,	2,	1),
(4268,	1,	514,	3,	1),
(4269,	1,	514,	23,	1),
(4270,	1,	514,	1,	3),
(4271,	1,	514,	2,	3),
(4272,	1,	514,	3,	3),
(4273,	1,	514,	23,	3),
(4274,	1,	515,	1,	1),
(4275,	1,	515,	2,	1),
(4276,	1,	515,	3,	1),
(4277,	1,	515,	23,	1),
(4278,	1,	515,	1,	3),
(4279,	1,	515,	2,	3),
(4280,	1,	515,	3,	3),
(4281,	1,	515,	23,	3),
(4282,	1,	516,	1,	1),
(4283,	1,	516,	2,	1),
(4284,	1,	516,	3,	1),
(4285,	1,	516,	1,	3),
(4286,	1,	516,	2,	3),
(4287,	1,	516,	3,	3),
(4288,	1,	517,	1,	1),
(4289,	1,	517,	2,	1),
(4290,	1,	517,	3,	1),
(4291,	1,	517,	23,	1),
(4292,	1,	517,	1,	3),
(4293,	1,	517,	2,	3),
(4294,	1,	517,	3,	3),
(4295,	1,	517,	23,	3),
(4296,	1,	518,	1,	1),
(4297,	1,	518,	2,	1),
(4298,	1,	518,	3,	1),
(4299,	1,	518,	23,	1),
(4300,	1,	518,	1,	3),
(4301,	1,	518,	2,	3),
(4302,	1,	518,	3,	3),
(4303,	1,	518,	23,	3),
(4304,	1,	519,	1,	1),
(4305,	1,	519,	2,	1),
(4306,	1,	519,	3,	1),
(4307,	1,	519,	1,	3),
(4308,	1,	519,	2,	3),
(4309,	1,	519,	3,	3),
(4310,	1,	519,	1,	2),
(4311,	1,	519,	2,	2),
(4312,	1,	519,	3,	2),
(4313,	1,	520,	1,	1),
(4314,	1,	520,	2,	1),
(4315,	1,	520,	3,	1),
(4316,	1,	520,	1,	3),
(4317,	1,	520,	2,	3),
(4318,	1,	520,	3,	3),
(4319,	1,	521,	1,	1),
(4320,	1,	521,	2,	1),
(4321,	1,	521,	3,	1),
(4322,	1,	521,	1,	3),
(4323,	1,	521,	2,	3),
(4324,	1,	521,	3,	3),
(4325,	1,	521,	1,	2),
(4326,	1,	521,	2,	2),
(4327,	1,	521,	3,	2),
(4328,	1,	522,	1,	1),
(4329,	1,	522,	2,	1),
(4330,	1,	522,	3,	1),
(4331,	1,	522,	1,	2),
(4332,	1,	522,	2,	2),
(4333,	1,	522,	3,	2),
(4334,	1,	523,	1,	1),
(4335,	1,	523,	2,	1),
(4336,	1,	523,	3,	1),
(4337,	1,	523,	1,	3),
(4338,	1,	523,	2,	3),
(4339,	1,	523,	3,	3),
(4340,	1,	524,	1,	1),
(4341,	1,	524,	2,	1),
(4342,	1,	524,	3,	1),
(4343,	1,	524,	1,	2),
(4344,	1,	524,	2,	2),
(4345,	1,	524,	3,	2),
(4346,	1,	525,	1,	1),
(4347,	1,	525,	2,	1),
(4348,	1,	525,	3,	1),
(4349,	1,	525,	1,	3),
(4350,	1,	525,	2,	3),
(4351,	1,	525,	3,	3),
(4352,	1,	526,	1,	1),
(4353,	1,	526,	2,	1),
(4354,	1,	526,	3,	1),
(4355,	1,	526,	1,	2),
(4356,	1,	526,	2,	2),
(4357,	1,	526,	3,	2),
(4358,	1,	527,	1,	1),
(4359,	1,	527,	2,	1),
(4360,	1,	527,	3,	1),
(4361,	1,	527,	1,	2),
(4362,	1,	527,	2,	2),
(4363,	1,	527,	3,	2),
(4364,	1,	528,	1,	1),
(4365,	1,	528,	2,	1),
(4366,	1,	528,	3,	1),
(4367,	1,	528,	6,	1),
(4368,	1,	528,	1,	2),
(4369,	1,	528,	2,	2),
(4370,	1,	528,	3,	2),
(4371,	1,	528,	6,	2),
(4372,	1,	529,	1,	1),
(4373,	1,	529,	2,	1),
(4374,	1,	529,	3,	1),
(4375,	1,	529,	6,	1),
(4376,	1,	529,	1,	2),
(4377,	1,	529,	2,	2),
(4378,	1,	529,	3,	2),
(4379,	1,	529,	6,	2),
(4380,	1,	530,	1,	1),
(4381,	1,	530,	2,	1),
(4382,	1,	530,	3,	1),
(4383,	1,	530,	6,	1),
(4384,	1,	530,	1,	2),
(4385,	1,	530,	2,	2),
(4386,	1,	530,	3,	2),
(4387,	1,	530,	6,	2),
(4388,	1,	531,	1,	1),
(4389,	1,	531,	2,	1),
(4390,	1,	531,	3,	1),
(4391,	1,	531,	1,	2),
(4392,	1,	531,	2,	2),
(4393,	1,	531,	3,	2),
(4394,	1,	532,	1,	1),
(4395,	1,	532,	2,	1),
(4396,	1,	532,	3,	1),
(4397,	1,	532,	6,	1),
(4398,	1,	532,	1,	2),
(4399,	1,	532,	2,	2),
(4400,	1,	532,	3,	2),
(4401,	1,	532,	6,	2),
(4402,	1,	533,	1,	1),
(4403,	1,	533,	2,	1),
(4404,	1,	533,	3,	1),
(4405,	1,	533,	6,	1),
(4406,	1,	533,	1,	2),
(4407,	1,	533,	2,	2),
(4408,	1,	533,	3,	2),
(4409,	1,	533,	6,	2),
(4410,	1,	534,	1,	1),
(4411,	1,	534,	2,	1),
(4412,	1,	534,	3,	1),
(4413,	1,	534,	1,	3),
(4414,	1,	534,	2,	3),
(4415,	1,	534,	3,	3),
(4416,	1,	535,	1,	1),
(4417,	1,	535,	2,	1),
(4418,	1,	535,	3,	1),
(4419,	1,	535,	1,	3),
(4420,	1,	535,	2,	3),
(4421,	1,	535,	3,	3),
(4422,	1,	536,	1,	1),
(4423,	1,	536,	2,	1),
(4424,	1,	536,	3,	1),
(4425,	1,	536,	1,	3),
(4426,	1,	536,	2,	3),
(4427,	1,	536,	3,	3),
(4428,	1,	537,	1,	1),
(4429,	1,	537,	2,	1),
(4430,	1,	537,	3,	1),
(4431,	1,	537,	1,	3),
(4432,	1,	537,	2,	3),
(4433,	1,	537,	3,	3),
(4434,	1,	538,	1,	1),
(4435,	1,	538,	2,	1),
(4436,	1,	538,	3,	1),
(4437,	1,	538,	1,	3),
(4438,	1,	538,	2,	3),
(4439,	1,	538,	3,	3),
(4440,	1,	539,	1,	1),
(4441,	1,	539,	2,	1),
(4442,	1,	539,	3,	1),
(4443,	1,	540,	1,	1),
(4444,	1,	540,	2,	1),
(4445,	1,	540,	3,	1),
(4446,	1,	541,	1,	1),
(4447,	1,	541,	2,	1),
(4448,	1,	541,	3,	1),
(4449,	1,	541,	4,	1),
(4450,	1,	542,	1,	1),
(4451,	1,	542,	2,	1),
(4452,	1,	542,	3,	1),
(4453,	1,	543,	1,	1),
(4454,	1,	543,	2,	1),
(4455,	1,	543,	3,	1),
(4456,	1,	543,	31,	1),
(4457,	1,	543,	32,	1),
(4458,	1,	543,	33,	1),
(4459,	1,	543,	34,	1),
(4460,	1,	544,	1,	1),
(4461,	1,	544,	2,	1),
(4462,	1,	544,	3,	1),
(4463,	1,	545,	1,	1),
(4464,	1,	545,	2,	1),
(4465,	1,	545,	3,	1),
(4466,	1,	546,	1,	1),
(4467,	1,	546,	2,	1),
(4468,	1,	546,	3,	1),
(4469,	1,	547,	1,	1),
(4470,	1,	547,	2,	1),
(4471,	1,	547,	3,	1),
(4472,	1,	547,	1,	2),
(4473,	1,	547,	2,	2),
(4474,	1,	547,	3,	2),
(4475,	1,	548,	1,	1),
(4476,	1,	548,	2,	1),
(4477,	1,	548,	3,	1),
(4478,	1,	549,	1,	1),
(4479,	1,	549,	2,	1),
(4480,	1,	549,	3,	1),
(4481,	1,	549,	1,	2),
(4482,	1,	549,	2,	2),
(4483,	1,	549,	3,	2),
(4484,	1,	550,	1,	1),
(4485,	1,	550,	2,	1),
(4486,	1,	550,	3,	1),
(4487,	1,	551,	1,	1),
(4488,	1,	551,	2,	1),
(4489,	1,	551,	3,	1),
(4490,	1,	551,	6,	1),
(4491,	1,	552,	1,	1),
(4492,	1,	552,	2,	1),
(4493,	1,	552,	3,	1),
(4494,	1,	552,	6,	1),
(4495,	1,	552,	1,	2),
(4496,	1,	552,	2,	2),
(4497,	1,	552,	3,	2),
(4498,	1,	552,	6,	2),
(4499,	1,	553,	1,	1),
(4500,	1,	553,	2,	1),
(4501,	1,	553,	3,	1),
(4502,	1,	554,	1,	1),
(4503,	1,	554,	2,	1),
(4504,	1,	554,	3,	1),
(4505,	1,	555,	1,	1),
(4506,	1,	555,	2,	1),
(4507,	1,	555,	3,	1),
(4508,	1,	556,	1,	1),
(4509,	1,	556,	2,	1),
(4510,	1,	556,	3,	1),
(4511,	1,	556,	1,	2),
(4512,	1,	556,	2,	2),
(4513,	1,	556,	3,	2),
(4514,	1,	557,	1,	1),
(4515,	1,	557,	2,	1),
(4516,	1,	557,	3,	1),
(4517,	1,	557,	1,	2),
(4518,	1,	557,	2,	2),
(4519,	1,	557,	3,	2),
(4520,	1,	558,	2,	1),
(4521,	1,	558,	3,	1),
(4522,	1,	558,	35,	1),
(4523,	1,	558,	36,	1),
(4524,	1,	559,	2,	1),
(4525,	1,	559,	3,	1),
(4526,	1,	559,	26,	1),
(4527,	1,	559,	37,	1),
(4528,	1,	559,	36,	1),
(4529,	1,	559,	35,	1),
(4530,	1,	559,	38,	1),
(4531,	1,	559,	28,	1),
(4532,	1,	559,	39,	1),
(4533,	1,	559,	40,	1),
(4534,	1,	559,	2,	3),
(4535,	1,	559,	3,	3),
(4536,	1,	559,	26,	3),
(4537,	1,	559,	37,	3),
(4538,	1,	559,	36,	3),
(4539,	1,	559,	35,	3),
(4540,	1,	559,	38,	3),
(4541,	1,	559,	28,	3),
(4542,	1,	559,	39,	3),
(4543,	1,	559,	40,	3),
(4544,	1,	559,	2,	4),
(4545,	1,	559,	3,	4),
(4546,	1,	559,	26,	4),
(4547,	1,	559,	37,	4),
(4548,	1,	559,	36,	4),
(4549,	1,	559,	35,	4),
(4550,	1,	559,	38,	4),
(4551,	1,	559,	28,	4),
(4552,	1,	559,	39,	4),
(4553,	1,	559,	40,	4),
(4554,	1,	560,	2,	1),
(4555,	1,	560,	3,	1),
(4556,	1,	560,	35,	1),
(4557,	1,	560,	36,	1),
(4558,	1,	561,	2,	1),
(4559,	1,	561,	3,	1),
(4560,	1,	561,	35,	1),
(4561,	1,	561,	41,	1),
(4562,	1,	561,	42,	1),
(4563,	1,	561,	43,	1),
(4564,	1,	561,	44,	1),
(4565,	1,	561,	39,	1),
(4566,	1,	561,	45,	1),
(4567,	1,	561,	46,	1),
(4568,	1,	562,	2,	1),
(4569,	1,	562,	35,	1),
(4570,	1,	563,	2,	1),
(4571,	1,	563,	35,	1),
(4572,	1,	564,	2,	1),
(4573,	1,	565,	2,	1),
(4574,	1,	565,	35,	1),
(4575,	1,	566,	2,	1),
(4576,	1,	566,	35,	1),
(4577,	1,	567,	2,	1),
(4578,	1,	567,	35,	1),
(4579,	1,	568,	2,	1),
(4580,	1,	568,	35,	1),
(4581,	1,	569,	2,	1),
(4582,	1,	569,	35,	1),
(4583,	1,	570,	2,	1),
(4584,	1,	570,	35,	1),
(4585,	1,	571,	1,	1),
(4586,	1,	571,	2,	1),
(4587,	1,	571,	3,	1),
(4588,	1,	571,	1,	2),
(4589,	1,	571,	2,	2),
(4590,	1,	571,	3,	2),
(4591,	1,	572,	1,	1),
(4592,	1,	572,	2,	1),
(4593,	1,	572,	3,	1),
(4594,	1,	572,	1,	2),
(4595,	1,	572,	2,	2),
(4596,	1,	572,	3,	2),
(4597,	1,	573,	1,	1),
(4598,	1,	573,	2,	1),
(4599,	1,	573,	3,	1),
(4600,	1,	573,	1,	2),
(4601,	1,	573,	2,	2),
(4602,	1,	573,	3,	2),
(4603,	1,	574,	1,	1),
(4604,	1,	574,	2,	1),
(4605,	1,	574,	3,	1),
(4606,	1,	574,	1,	2),
(4607,	1,	574,	2,	2),
(4608,	1,	574,	3,	2),
(4609,	1,	575,	2,	1),
(4610,	1,	575,	35,	1),
(4611,	1,	576,	2,	1),
(4612,	1,	576,	35,	1),
(4613,	1,	576,	26,	1),
(4614,	1,	576,	37,	1),
(4615,	1,	576,	36,	1),
(4616,	1,	576,	38,	1),
(4617,	1,	576,	39,	1),
(4618,	1,	576,	40,	1),
(4619,	1,	577,	2,	1),
(4620,	1,	577,	35,	1),
(4621,	1,	577,	45,	1),
(4622,	1,	578,	2,	1),
(4623,	1,	578,	3,	1),
(4624,	1,	578,	41,	1),
(4625,	1,	578,	42,	1),
(4626,	1,	578,	45,	1),
(4627,	1,	578,	46,	1),
(4628,	1,	578,	46,	1),
(4629,	1,	579,	2,	1),
(4630,	1,	579,	35,	1),
(4631,	1,	580,	2,	1),
(4632,	1,	580,	35,	1),
(4633,	1,	581,	2,	1),
(4634,	1,	582,	2,	1),
(4635,	1,	582,	35,	1),
(4636,	1,	583,	2,	1),
(4637,	1,	583,	35,	1),
(4638,	1,	584,	2,	1),
(4639,	1,	584,	35,	1),
(4640,	1,	585,	2,	1),
(4641,	1,	585,	35,	1),
(4642,	1,	585,	41,	1),
(4643,	1,	585,	42,	1),
(4644,	1,	585,	45,	1),
(4645,	1,	585,	46,	1),
(4646,	1,	586,	2,	1),
(4647,	1,	586,	35,	1),
(4648,	1,	587,	2,	1),
(4649,	1,	587,	35,	1),
(4650,	1,	588,	2,	1),
(4651,	1,	588,	35,	1),
(4652,	1,	589,	2,	1),
(4653,	1,	589,	35,	1),
(4654,	1,	590,	1,	1),
(4655,	1,	590,	2,	1),
(4656,	1,	590,	3,	1),
(4657,	1,	591,	1,	1),
(4658,	1,	591,	2,	1),
(4659,	1,	591,	3,	1),
(4660,	1,	591,	23,	1),
(4661,	1,	592,	1,	1),
(4662,	1,	592,	2,	1),
(4663,	1,	592,	3,	1),
(4664,	1,	593,	1,	1),
(4665,	1,	593,	2,	1),
(4666,	1,	593,	3,	1),
(4667,	1,	594,	1,	1),
(4668,	1,	594,	2,	1),
(4669,	1,	594,	3,	1),
(4670,	1,	595,	1,	1),
(4671,	1,	595,	2,	1),
(4672,	1,	595,	3,	1),
(4673,	1,	596,	1,	1),
(4674,	1,	596,	2,	1),
(4675,	1,	596,	3,	1),
(4676,	1,	597,	1,	1),
(4677,	1,	597,	2,	1),
(4678,	1,	597,	3,	1),
(4679,	1,	598,	1,	1),
(4680,	1,	598,	2,	1),
(4681,	1,	598,	3,	1),
(4682,	1,	598,	1,	2),
(4683,	1,	598,	2,	2),
(4684,	1,	598,	3,	2),
(4685,	1,	599,	1,	1),
(4686,	1,	599,	2,	1),
(4687,	1,	599,	3,	1),
(4688,	1,	600,	1,	1),
(4689,	1,	600,	2,	1),
(4690,	1,	600,	3,	1),
(4691,	1,	601,	1,	1),
(4692,	1,	601,	2,	1),
(4693,	1,	601,	3,	1),
(4694,	1,	602,	1,	1),
(4695,	1,	602,	2,	1),
(4696,	1,	602,	3,	1),
(4697,	1,	603,	1,	1),
(4698,	1,	603,	2,	1),
(4699,	1,	603,	3,	1),
(4700,	1,	603,	1,	2),
(4701,	1,	603,	2,	2),
(4702,	1,	603,	3,	2),
(4703,	1,	604,	1,	1),
(4704,	1,	604,	2,	1),
(4705,	1,	604,	3,	1),
(4706,	1,	605,	1,	1),
(4707,	1,	605,	2,	1),
(4708,	1,	605,	3,	1),
(4709,	1,	605,	1,	2),
(4710,	1,	605,	2,	2),
(4711,	1,	605,	3,	2),
(4712,	1,	606,	1,	1),
(4713,	1,	606,	2,	1),
(4714,	1,	606,	3,	1),
(4715,	1,	606,	1,	2),
(4716,	1,	606,	2,	2),
(4717,	1,	606,	3,	2),
(4718,	1,	607,	1,	1),
(4719,	1,	607,	2,	1),
(4720,	1,	607,	3,	1),
(4721,	1,	608,	1,	1),
(4722,	1,	608,	2,	1),
(4723,	1,	608,	3,	1),
(4724,	1,	609,	1,	1),
(4725,	1,	609,	2,	1),
(4726,	1,	609,	3,	1),
(4727,	1,	610,	1,	1),
(4728,	1,	610,	2,	1),
(4729,	1,	610,	3,	1),
(4730,	1,	611,	1,	1),
(4731,	1,	611,	2,	1),
(4732,	1,	611,	3,	1),
(4733,	1,	612,	1,	1),
(4734,	1,	612,	2,	1),
(4735,	1,	612,	3,	1),
(4736,	1,	613,	1,	1),
(4737,	1,	613,	2,	1),
(4738,	1,	613,	3,	1),
(4739,	1,	614,	1,	1),
(4740,	1,	614,	2,	1),
(4741,	1,	614,	3,	1),
(4742,	1,	614,	1,	2),
(4743,	1,	614,	2,	2),
(4744,	1,	614,	3,	2),
(4745,	1,	615,	1,	1),
(4746,	1,	615,	2,	1),
(4747,	1,	615,	3,	1),
(4748,	1,	615,	1,	2),
(4749,	1,	615,	2,	2),
(4750,	1,	615,	3,	2),
(4751,	1,	616,	1,	1),
(4752,	1,	616,	2,	1),
(4753,	1,	616,	3,	1),
(4754,	1,	616,	1,	2),
(4755,	1,	616,	2,	2),
(4756,	1,	616,	3,	2),
(4757,	1,	617,	1,	1),
(4758,	1,	617,	2,	1),
(4759,	1,	617,	3,	1),
(4760,	1,	617,	1,	2),
(4761,	1,	617,	2,	2),
(4762,	1,	617,	3,	2),
(4763,	1,	618,	1,	1),
(4764,	1,	618,	2,	1),
(4765,	1,	618,	3,	1),
(4766,	1,	618,	1,	2),
(4767,	1,	618,	2,	2),
(4768,	1,	618,	3,	2),
(4769,	1,	619,	1,	1),
(4770,	1,	619,	2,	1),
(4771,	1,	619,	3,	1),
(4772,	1,	620,	1,	1),
(4773,	1,	620,	2,	1),
(4774,	1,	620,	3,	1),
(4775,	1,	620,	1,	2),
(4776,	1,	620,	2,	2),
(4777,	1,	620,	3,	2),
(4778,	1,	621,	1,	1),
(4779,	1,	621,	2,	1),
(4780,	1,	621,	3,	1),
(4781,	1,	621,	1,	2),
(4782,	1,	621,	2,	2),
(4783,	1,	621,	3,	2),
(4784,	1,	622,	1,	1),
(4785,	1,	622,	2,	1),
(4786,	1,	622,	3,	1),
(4787,	1,	622,	1,	2),
(4788,	1,	622,	2,	2),
(4789,	1,	622,	3,	2),
(4790,	1,	623,	1,	1),
(4791,	1,	623,	2,	1),
(4792,	1,	623,	3,	1),
(4793,	1,	623,	1,	2),
(4794,	1,	623,	2,	2),
(4795,	1,	623,	3,	2),
(4796,	1,	624,	1,	1),
(4797,	1,	624,	2,	1),
(4798,	1,	624,	3,	1),
(4799,	1,	624,	1,	2),
(4800,	1,	624,	2,	2),
(4801,	1,	624,	3,	2),
(4802,	1,	625,	1,	1),
(4803,	1,	625,	2,	1),
(4804,	1,	625,	3,	1),
(4805,	1,	625,	1,	2),
(4806,	1,	625,	2,	2),
(4807,	1,	625,	3,	2),
(4808,	1,	626,	1,	1),
(4809,	1,	626,	2,	1),
(4810,	1,	626,	3,	1),
(4811,	1,	627,	1,	1),
(4812,	1,	627,	2,	1),
(4813,	1,	627,	3,	1),
(4814,	1,	627,	1,	2),
(4815,	1,	627,	2,	2),
(4816,	1,	627,	3,	2),
(4817,	1,	628,	1,	1),
(4818,	1,	628,	2,	1),
(4819,	1,	628,	3,	1),
(4820,	1,	628,	1,	2),
(4821,	1,	628,	2,	2),
(4822,	1,	628,	3,	2),
(4823,	1,	629,	1,	1),
(4824,	1,	629,	2,	1),
(4825,	1,	629,	3,	1),
(4826,	1,	629,	1,	2),
(4827,	1,	629,	2,	2),
(4828,	1,	629,	3,	2),
(4835,	1,	631,	1,	1),
(4836,	1,	631,	2,	1),
(4837,	1,	631,	3,	1),
(4838,	1,	631,	1,	2),
(4839,	1,	631,	2,	2),
(4840,	1,	631,	3,	2),
(4841,	1,	632,	1,	1),
(4842,	1,	632,	2,	1),
(4843,	1,	632,	3,	1),
(4844,	1,	632,	24,	1),
(4845,	1,	632,	4,	1),
(4846,	1,	632,	32,	1),
(4847,	1,	632,	47,	1),
(4848,	1,	632,	48,	1),
(4849,	1,	633,	1,	1),
(4850,	1,	633,	2,	1),
(4851,	1,	633,	3,	1),
(4852,	1,	634,	1,	1),
(4853,	1,	634,	2,	1),
(4854,	1,	634,	3,	1),
(4855,	1,	634,	5,	1),
(4856,	1,	634,	29,	1),
(4857,	1,	635,	1,	1),
(4858,	1,	635,	2,	1),
(4859,	1,	635,	3,	1),
(4860,	1,	635,	23,	1),
(4861,	1,	636,	1,	1),
(4862,	1,	636,	2,	1),
(4863,	1,	636,	3,	1),
(4864,	1,	636,	1,	2),
(4865,	1,	636,	2,	2),
(4866,	1,	636,	3,	2),
(4867,	1,	637,	1,	1),
(4868,	1,	637,	2,	1),
(4869,	1,	637,	3,	1),
(4870,	1,	637,	23,	1),
(4871,	1,	637,	1,	2),
(4872,	1,	637,	2,	2),
(4873,	1,	637,	3,	2),
(4874,	1,	637,	23,	2),
(4875,	1,	638,	1,	1),
(4876,	1,	638,	2,	1),
(4877,	1,	638,	3,	1),
(4878,	1,	638,	23,	1),
(4879,	1,	638,	1,	2),
(4880,	1,	638,	2,	2),
(4881,	1,	638,	3,	2),
(4882,	1,	638,	23,	2),
(4883,	1,	639,	1,	1),
(4884,	1,	639,	2,	1),
(4885,	1,	639,	3,	1),
(4886,	1,	640,	1,	1),
(4887,	1,	640,	2,	1),
(4888,	1,	640,	3,	1),
(4889,	1,	641,	1,	1),
(4890,	1,	641,	2,	1),
(4891,	1,	641,	3,	1),
(4892,	1,	641,	1,	2),
(4893,	1,	641,	2,	2),
(4894,	1,	641,	3,	2),
(4895,	1,	642,	1,	1),
(4896,	1,	642,	2,	1),
(4897,	1,	642,	3,	1),
(4898,	1,	642,	1,	2),
(4899,	1,	642,	2,	2),
(4900,	1,	642,	3,	2),
(4901,	1,	643,	1,	1),
(4902,	1,	643,	2,	1),
(4903,	1,	643,	3,	1),
(4904,	1,	644,	1,	1),
(4905,	1,	644,	2,	1),
(4906,	1,	644,	3,	1),
(4907,	1,	645,	1,	1),
(4908,	1,	645,	2,	1),
(4909,	1,	645,	3,	1),
(4910,	1,	646,	1,	1),
(4911,	1,	646,	2,	1),
(4912,	1,	646,	3,	1),
(4913,	1,	646,	1,	2),
(4914,	1,	646,	2,	2),
(4915,	1,	646,	3,	2),
(4916,	1,	647,	1,	1),
(4917,	1,	647,	2,	1),
(4918,	1,	647,	3,	1),
(4919,	1,	647,	1,	2),
(4920,	1,	647,	2,	2),
(4921,	1,	647,	3,	2),
(4922,	1,	648,	1,	1),
(4923,	1,	648,	2,	1),
(4924,	1,	648,	3,	1),
(4925,	1,	648,	1,	2),
(4926,	1,	648,	2,	2),
(4927,	1,	648,	3,	2),
(4928,	1,	649,	1,	1),
(4929,	1,	649,	2,	1),
(4930,	1,	649,	3,	1),
(4931,	1,	649,	1,	2),
(4932,	1,	649,	2,	2),
(4933,	1,	649,	3,	2),
(4934,	1,	650,	1,	1),
(4935,	1,	650,	2,	1),
(4936,	1,	650,	3,	1),
(4937,	1,	651,	1,	1),
(4938,	1,	651,	2,	1),
(4939,	1,	651,	3,	1),
(4940,	1,	651,	1,	2),
(4941,	1,	651,	2,	2),
(4942,	1,	651,	3,	2),
(4943,	1,	652,	1,	1),
(4944,	1,	652,	2,	1),
(4945,	1,	652,	3,	1),
(4946,	1,	653,	1,	1),
(4947,	1,	653,	2,	1),
(4948,	1,	653,	3,	1),
(4949,	1,	654,	1,	1),
(4950,	1,	654,	2,	1),
(4951,	1,	654,	3,	1),
(4952,	1,	655,	1,	1),
(4953,	1,	655,	2,	1),
(4954,	1,	655,	3,	1),
(4955,	1,	656,	1,	1),
(4956,	1,	656,	2,	1),
(4957,	1,	656,	3,	1),
(4958,	1,	657,	1,	1),
(4959,	1,	657,	2,	1),
(4960,	1,	657,	3,	1),
(4961,	1,	658,	1,	1),
(4962,	1,	658,	2,	1),
(4963,	1,	658,	3,	1),
(4964,	1,	658,	23,	1),
(4965,	1,	659,	1,	1),
(4966,	1,	659,	2,	1),
(4967,	1,	659,	3,	1),
(4968,	1,	660,	1,	1),
(4969,	1,	660,	2,	1),
(4970,	1,	660,	3,	1),
(4971,	1,	661,	1,	1),
(4972,	1,	661,	2,	1),
(4973,	1,	661,	3,	1),
(4974,	1,	662,	1,	1),
(4975,	1,	662,	2,	1),
(4976,	1,	662,	3,	1),
(4977,	1,	663,	1,	1),
(4978,	1,	663,	2,	1),
(4979,	1,	663,	3,	1),
(4980,	1,	664,	1,	1),
(4981,	1,	664,	2,	1),
(4982,	1,	664,	3,	1),
(4983,	1,	665,	1,	1),
(4984,	1,	665,	2,	1),
(4985,	1,	665,	3,	1),
(4986,	1,	666,	1,	1),
(4987,	1,	666,	2,	1),
(4988,	1,	666,	3,	1),
(4989,	1,	667,	1,	1),
(4990,	1,	667,	2,	1),
(4991,	1,	667,	3,	1),
(4992,	1,	667,	23,	1),
(4993,	1,	667,	1,	2),
(4994,	1,	667,	2,	2),
(4995,	1,	667,	3,	2),
(4996,	1,	667,	23,	2),
(4997,	1,	668,	1,	1),
(4998,	1,	668,	2,	1),
(4999,	1,	668,	3,	1),
(5000,	1,	668,	23,	1),
(5001,	1,	669,	1,	1),
(5002,	1,	669,	2,	1),
(5003,	1,	669,	3,	1),
(5004,	1,	669,	23,	1),
(5005,	1,	670,	1,	1),
(5006,	1,	670,	2,	1),
(5007,	1,	670,	3,	1),
(5008,	1,	670,	23,	1),
(5009,	1,	671,	1,	1),
(5010,	1,	671,	2,	1),
(5011,	1,	671,	3,	1),
(5012,	1,	671,	23,	1),
(5013,	1,	671,	6,	1),
(5014,	1,	671,	24,	1),
(5015,	1,	671,	25,	1),
(5016,	1,	671,	4,	1),
(5017,	1,	671,	5,	1),
(5018,	1,	671,	26,	1),
(5019,	1,	671,	1,	3),
(5020,	1,	671,	2,	3),
(5021,	1,	671,	3,	3),
(5022,	1,	671,	23,	3),
(5023,	1,	671,	6,	3),
(5024,	1,	671,	24,	3),
(5025,	1,	671,	25,	3),
(5026,	1,	671,	4,	3),
(5027,	1,	671,	5,	3),
(5028,	1,	671,	26,	3),
(5029,	1,	672,	1,	1),
(5030,	1,	672,	2,	1),
(5031,	1,	672,	3,	1),
(5032,	1,	673,	1,	1),
(5033,	1,	673,	2,	1),
(5034,	1,	673,	3,	1),
(5035,	1,	673,	23,	1),
(5036,	1,	673,	6,	1),
(5037,	1,	673,	24,	1),
(5038,	1,	673,	25,	1),
(5039,	1,	673,	4,	1),
(5040,	1,	673,	5,	1),
(5041,	1,	673,	26,	1),
(5042,	1,	673,	1,	3),
(5043,	1,	673,	2,	3),
(5044,	1,	673,	3,	3),
(5045,	1,	673,	23,	3),
(5046,	1,	673,	6,	3),
(5047,	1,	673,	24,	3),
(5048,	1,	673,	25,	3),
(5049,	1,	673,	4,	3),
(5050,	1,	673,	5,	3),
(5051,	1,	673,	26,	3),
(5052,	1,	674,	1,	1),
(5053,	1,	674,	2,	1),
(5054,	1,	674,	3,	1),
(5055,	1,	674,	23,	1),
(5056,	1,	674,	6,	1),
(5057,	1,	674,	24,	1),
(5058,	1,	674,	25,	1),
(5059,	1,	674,	4,	1),
(5060,	1,	674,	5,	1),
(5061,	1,	674,	26,	1),
(5062,	1,	674,	1,	3),
(5063,	1,	674,	2,	3),
(5064,	1,	674,	3,	3),
(5065,	1,	674,	23,	3),
(5066,	1,	674,	6,	3),
(5067,	1,	674,	24,	3),
(5068,	1,	674,	25,	3),
(5069,	1,	674,	4,	3),
(5070,	1,	674,	5,	3),
(5071,	1,	674,	26,	3),
(5072,	1,	675,	1,	1),
(5073,	1,	675,	2,	1),
(5074,	1,	675,	3,	1),
(5075,	1,	676,	1,	1),
(5076,	1,	676,	2,	1),
(5077,	1,	676,	3,	1),
(5078,	1,	676,	23,	1),
(5079,	1,	676,	1,	3),
(5080,	1,	676,	2,	3),
(5081,	1,	676,	3,	3),
(5082,	1,	676,	23,	3),
(5083,	1,	677,	1,	1),
(5084,	1,	677,	2,	1),
(5085,	1,	677,	3,	1),
(5086,	1,	678,	1,	1),
(5087,	1,	678,	2,	1),
(5088,	1,	678,	3,	1),
(5089,	1,	679,	1,	1),
(5090,	1,	679,	2,	1),
(5091,	1,	679,	3,	1),
(5092,	1,	680,	1,	1),
(5093,	1,	680,	2,	1),
(5094,	1,	680,	3,	1),
(5095,	1,	680,	6,	1),
(5096,	1,	680,	24,	1),
(5097,	1,	680,	25,	1),
(5098,	1,	680,	4,	1),
(5099,	1,	680,	5,	1),
(5100,	1,	680,	26,	1),
(5101,	1,	680,	1,	3),
(5102,	1,	680,	2,	3),
(5103,	1,	680,	3,	3),
(5104,	1,	680,	6,	3),
(5105,	1,	680,	24,	3),
(5106,	1,	680,	25,	3),
(5107,	1,	680,	4,	3),
(5108,	1,	680,	5,	3),
(5109,	1,	680,	26,	3),
(5110,	1,	681,	1,	1),
(5111,	1,	681,	2,	1),
(5112,	1,	681,	3,	1),
(5113,	1,	681,	23,	1),
(5114,	1,	681,	6,	1),
(5115,	1,	681,	24,	1),
(5116,	1,	681,	25,	1),
(5117,	1,	681,	4,	1),
(5118,	1,	681,	5,	1),
(5119,	1,	681,	26,	1),
(5120,	1,	681,	28,	1),
(5121,	1,	682,	1,	1),
(5122,	1,	682,	2,	1),
(5123,	1,	682,	3,	1),
(5124,	1,	682,	23,	1),
(5125,	1,	682,	6,	1),
(5126,	1,	682,	24,	1),
(5127,	1,	682,	25,	1),
(5128,	1,	682,	4,	1),
(5129,	1,	682,	5,	1),
(5130,	1,	682,	26,	1),
(5131,	1,	682,	1,	3),
(5132,	1,	682,	2,	3),
(5133,	1,	682,	3,	3),
(5134,	1,	682,	23,	3),
(5135,	1,	682,	6,	3),
(5136,	1,	682,	24,	3),
(5137,	1,	682,	25,	3),
(5138,	1,	682,	4,	3),
(5139,	1,	682,	5,	3),
(5140,	1,	682,	26,	3),
(5141,	1,	683,	1,	1),
(5142,	1,	683,	2,	1),
(5143,	1,	683,	3,	1),
(5144,	1,	683,	23,	1),
(5145,	1,	684,	1,	1),
(5146,	1,	684,	2,	1),
(5147,	1,	684,	3,	1),
(5148,	1,	684,	23,	1),
(5149,	1,	684,	6,	1),
(5150,	1,	684,	24,	1),
(5151,	1,	684,	25,	1),
(5152,	1,	684,	4,	1),
(5153,	1,	684,	5,	1),
(5154,	1,	684,	26,	1),
(5155,	1,	684,	1,	3),
(5156,	1,	684,	2,	3),
(5157,	1,	684,	3,	3),
(5158,	1,	684,	23,	3),
(5159,	1,	684,	6,	3),
(5160,	1,	684,	24,	3),
(5161,	1,	684,	25,	3),
(5162,	1,	684,	4,	3),
(5163,	1,	684,	5,	3),
(5164,	1,	684,	26,	3),
(5165,	1,	685,	1,	1),
(5166,	1,	685,	2,	1),
(5167,	1,	685,	3,	1),
(5168,	1,	685,	23,	1),
(5169,	1,	685,	6,	1),
(5170,	1,	685,	24,	1),
(5171,	1,	685,	25,	1),
(5172,	1,	685,	4,	1),
(5173,	1,	685,	5,	1),
(5174,	1,	685,	26,	1),
(5175,	1,	685,	1,	3),
(5176,	1,	685,	2,	3),
(5177,	1,	685,	3,	3),
(5178,	1,	685,	23,	3),
(5179,	1,	685,	6,	3),
(5180,	1,	685,	24,	3),
(5181,	1,	685,	25,	3),
(5182,	1,	685,	4,	3),
(5183,	1,	685,	5,	3),
(5184,	1,	685,	26,	3),
(5185,	1,	686,	1,	1),
(5186,	1,	686,	2,	1),
(5187,	1,	686,	3,	1),
(5188,	1,	687,	1,	1),
(5189,	1,	687,	2,	1),
(5190,	1,	687,	3,	1),
(5191,	1,	687,	23,	1),
(5192,	1,	687,	6,	1),
(5193,	1,	687,	24,	1),
(5194,	1,	687,	25,	1),
(5195,	1,	687,	4,	1),
(5196,	1,	687,	5,	1),
(5197,	1,	687,	26,	1),
(5198,	1,	687,	1,	3),
(5199,	1,	687,	2,	3),
(5200,	1,	687,	3,	3),
(5201,	1,	687,	23,	3),
(5202,	1,	687,	6,	3),
(5203,	1,	687,	24,	3),
(5204,	1,	687,	25,	3),
(5205,	1,	687,	4,	3),
(5206,	1,	687,	5,	3),
(5207,	1,	687,	26,	3),
(5208,	1,	688,	1,	1),
(5209,	1,	688,	2,	1),
(5210,	1,	688,	3,	1),
(5211,	1,	688,	23,	1),
(5212,	1,	688,	6,	1),
(5213,	1,	688,	24,	1),
(5214,	1,	688,	25,	1),
(5215,	1,	688,	4,	1),
(5216,	1,	688,	5,	1),
(5217,	1,	688,	26,	1),
(5218,	1,	688,	1,	3),
(5219,	1,	688,	2,	3),
(5220,	1,	688,	3,	3),
(5221,	1,	688,	23,	3),
(5222,	1,	688,	6,	3),
(5223,	1,	688,	24,	3),
(5224,	1,	688,	25,	3),
(5225,	1,	688,	4,	3),
(5226,	1,	688,	5,	3),
(5227,	1,	688,	26,	3),
(5228,	1,	689,	1,	1),
(5229,	1,	689,	2,	1),
(5230,	1,	689,	3,	1),
(5231,	1,	689,	1,	3),
(5232,	1,	689,	2,	3),
(5233,	1,	689,	3,	3),
(5234,	1,	690,	1,	1),
(5235,	1,	690,	2,	1),
(5236,	1,	690,	3,	1),
(5237,	1,	690,	23,	1),
(5238,	1,	690,	6,	1),
(5239,	1,	690,	24,	1),
(5240,	1,	690,	25,	1),
(5241,	1,	690,	4,	1),
(5242,	1,	690,	5,	1),
(5243,	1,	690,	26,	1),
(5244,	1,	690,	1,	3),
(5245,	1,	690,	2,	3),
(5246,	1,	690,	3,	3),
(5247,	1,	690,	23,	3),
(5248,	1,	690,	6,	3),
(5249,	1,	690,	24,	3),
(5250,	1,	690,	25,	3),
(5251,	1,	690,	4,	3),
(5252,	1,	690,	5,	3),
(5253,	1,	690,	26,	3),
(5254,	1,	691,	1,	1),
(5255,	1,	691,	2,	1),
(5256,	1,	691,	3,	1),
(5257,	1,	692,	1,	1),
(5258,	1,	692,	2,	1),
(5259,	1,	692,	3,	1),
(5260,	1,	692,	23,	1),
(5261,	1,	692,	6,	1),
(5262,	1,	692,	24,	1),
(5263,	1,	692,	25,	1),
(5264,	1,	692,	4,	1),
(5265,	1,	692,	5,	1),
(5266,	1,	692,	26,	1),
(5267,	1,	692,	1,	3),
(5268,	1,	692,	2,	3),
(5269,	1,	692,	3,	3),
(5270,	1,	692,	23,	3),
(5271,	1,	692,	6,	3),
(5272,	1,	692,	24,	3),
(5273,	1,	692,	25,	3),
(5274,	1,	692,	4,	3),
(5275,	1,	692,	5,	3),
(5276,	1,	692,	26,	3),
(5277,	1,	693,	1,	1),
(5278,	1,	693,	2,	1),
(5279,	1,	693,	3,	1),
(5280,	1,	693,	1,	3),
(5281,	1,	693,	2,	3),
(5282,	1,	693,	3,	3),
(5283,	1,	694,	1,	1),
(5284,	1,	694,	2,	1),
(5285,	1,	694,	3,	1),
(5286,	1,	694,	23,	1),
(5287,	1,	694,	6,	1),
(5288,	1,	694,	24,	1),
(5289,	1,	694,	25,	1),
(5290,	1,	694,	4,	1),
(5291,	1,	694,	5,	1),
(5292,	1,	694,	26,	1),
(5293,	1,	694,	1,	3),
(5294,	1,	694,	2,	3),
(5295,	1,	694,	3,	3),
(5296,	1,	694,	23,	3),
(5297,	1,	694,	6,	3),
(5298,	1,	694,	24,	3),
(5299,	1,	694,	25,	3),
(5300,	1,	694,	4,	3),
(5301,	1,	694,	5,	3),
(5302,	1,	694,	26,	3),
(5303,	1,	695,	1,	1),
(5304,	1,	695,	2,	1),
(5305,	1,	695,	3,	1),
(5306,	1,	695,	1,	2),
(5307,	1,	695,	2,	2),
(5308,	1,	695,	3,	2),
(5309,	1,	696,	1,	1),
(5310,	1,	696,	2,	1),
(5311,	1,	696,	3,	1),
(5312,	1,	696,	23,	1),
(5313,	1,	696,	6,	1),
(5314,	1,	696,	24,	1),
(5315,	1,	696,	25,	1),
(5316,	1,	696,	4,	1),
(5317,	1,	696,	5,	1),
(5318,	1,	696,	26,	1),
(5319,	1,	696,	1,	3),
(5320,	1,	696,	2,	3),
(5321,	1,	696,	3,	3),
(5322,	1,	696,	23,	3),
(5323,	1,	696,	6,	3),
(5324,	1,	696,	24,	3),
(5325,	1,	696,	25,	3),
(5326,	1,	696,	4,	3),
(5327,	1,	696,	5,	3),
(5328,	1,	696,	26,	3),
(5329,	1,	697,	1,	1),
(5330,	1,	697,	2,	1),
(5331,	1,	697,	3,	1),
(5332,	1,	697,	23,	1),
(5333,	1,	697,	6,	1),
(5334,	1,	697,	24,	1),
(5335,	1,	697,	25,	1),
(5336,	1,	697,	4,	1),
(5337,	1,	697,	5,	1),
(5338,	1,	697,	26,	1),
(5339,	1,	697,	1,	3),
(5340,	1,	697,	2,	3),
(5341,	1,	697,	3,	3),
(5342,	1,	697,	23,	3),
(5343,	1,	697,	6,	3),
(5344,	1,	697,	24,	3),
(5345,	1,	697,	25,	3),
(5346,	1,	697,	4,	3),
(5347,	1,	697,	5,	3),
(5348,	1,	697,	26,	3),
(5349,	1,	698,	1,	1),
(5350,	1,	698,	2,	1),
(5351,	1,	698,	3,	1),
(5352,	1,	698,	23,	1),
(5353,	1,	698,	6,	1),
(5354,	1,	698,	24,	1),
(5355,	1,	698,	25,	1),
(5356,	1,	698,	4,	1),
(5357,	1,	698,	5,	1),
(5358,	1,	698,	26,	1),
(5359,	1,	698,	1,	3),
(5360,	1,	698,	2,	3),
(5361,	1,	698,	3,	3),
(5362,	1,	698,	23,	3),
(5363,	1,	698,	6,	3),
(5364,	1,	698,	24,	3),
(5365,	1,	698,	25,	3),
(5366,	1,	698,	4,	3),
(5367,	1,	698,	5,	3),
(5368,	1,	698,	26,	3),
(5369,	1,	699,	1,	1),
(5370,	1,	699,	2,	1),
(5371,	1,	699,	3,	1),
(5372,	1,	700,	1,	1),
(5373,	1,	700,	2,	1),
(5374,	1,	700,	3,	1),
(5375,	1,	701,	1,	1),
(5376,	1,	701,	2,	1),
(5377,	1,	701,	3,	1),
(5378,	1,	702,	1,	1),
(5379,	1,	702,	2,	1),
(5380,	1,	702,	3,	1),
(5381,	1,	703,	1,	1),
(5382,	1,	703,	2,	1),
(5383,	1,	703,	3,	1),
(5384,	1,	703,	23,	1),
(5385,	1,	703,	6,	1),
(5386,	1,	703,	24,	1),
(5387,	1,	703,	25,	1),
(5388,	1,	703,	4,	1),
(5389,	1,	703,	5,	1),
(5390,	1,	703,	26,	1),
(5391,	1,	703,	1,	3),
(5392,	1,	703,	2,	3),
(5393,	1,	703,	3,	3),
(5394,	1,	703,	23,	3),
(5395,	1,	703,	6,	3),
(5396,	1,	703,	24,	3),
(5397,	1,	703,	25,	3),
(5398,	1,	703,	4,	3),
(5399,	1,	703,	5,	3),
(5400,	1,	703,	26,	3),
(5401,	1,	704,	1,	1),
(5402,	1,	704,	2,	1),
(5403,	1,	704,	3,	1),
(5404,	1,	704,	23,	1),
(5405,	1,	704,	6,	1),
(5406,	1,	704,	24,	1),
(5407,	1,	704,	25,	1),
(5408,	1,	704,	4,	1),
(5409,	1,	704,	5,	1),
(5410,	1,	704,	26,	1),
(5411,	1,	705,	1,	1),
(5412,	1,	705,	2,	1),
(5413,	1,	705,	3,	1),
(5414,	1,	706,	1,	1),
(5415,	1,	706,	2,	1),
(5416,	1,	706,	3,	1),
(5417,	1,	707,	1,	1),
(5418,	1,	707,	2,	1),
(5419,	1,	707,	3,	1),
(5420,	1,	708,	1,	1),
(5421,	1,	708,	2,	1),
(5422,	1,	708,	3,	1),
(5423,	1,	709,	1,	1),
(5424,	1,	709,	2,	1),
(5425,	1,	709,	3,	1),
(5426,	1,	709,	23,	1),
(5427,	1,	709,	6,	1),
(5428,	1,	709,	24,	1),
(5429,	1,	709,	25,	1),
(5430,	1,	709,	4,	1),
(5431,	1,	709,	5,	1),
(5432,	1,	709,	26,	1),
(5433,	1,	709,	1,	3),
(5434,	1,	709,	2,	3),
(5435,	1,	709,	3,	3),
(5436,	1,	709,	23,	3),
(5437,	1,	709,	6,	3),
(5438,	1,	709,	24,	3),
(5439,	1,	709,	25,	3),
(5440,	1,	709,	4,	3),
(5441,	1,	709,	5,	3),
(5442,	1,	709,	26,	3),
(5443,	1,	710,	1,	1),
(5444,	1,	710,	2,	1),
(5445,	1,	710,	3,	1),
(5446,	1,	711,	1,	1),
(5447,	1,	711,	2,	1),
(5448,	1,	711,	3,	1),
(5449,	1,	711,	23,	1),
(5450,	1,	711,	6,	1),
(5451,	1,	711,	24,	1),
(5452,	1,	711,	25,	1),
(5453,	1,	711,	4,	1),
(5454,	1,	711,	5,	1),
(5455,	1,	711,	26,	1),
(5456,	1,	711,	1,	3),
(5457,	1,	711,	2,	3),
(5458,	1,	711,	3,	3),
(5459,	1,	711,	23,	3),
(5460,	1,	711,	6,	3),
(5461,	1,	711,	24,	3),
(5462,	1,	711,	25,	3),
(5463,	1,	711,	4,	3),
(5464,	1,	711,	5,	3),
(5465,	1,	711,	26,	3),
(5466,	1,	712,	1,	1),
(5467,	1,	712,	2,	1),
(5468,	1,	712,	3,	1),
(5469,	1,	713,	1,	1),
(5470,	1,	713,	2,	1),
(5471,	1,	713,	3,	1),
(5472,	1,	713,	1,	2),
(5473,	1,	713,	2,	2),
(5474,	1,	713,	3,	2),
(5475,	1,	714,	1,	1),
(5476,	1,	714,	2,	1),
(5477,	1,	714,	3,	1),
(5478,	1,	715,	1,	1),
(5479,	1,	715,	2,	1),
(5480,	1,	715,	3,	1),
(5481,	1,	716,	1,	1),
(5482,	1,	716,	2,	1),
(5483,	1,	716,	3,	1),
(5484,	1,	716,	23,	1),
(5485,	1,	716,	1,	3),
(5486,	1,	716,	2,	3),
(5487,	1,	716,	3,	3),
(5488,	1,	716,	23,	3),
(5489,	1,	717,	1,	1),
(5490,	1,	717,	2,	1),
(5491,	1,	717,	3,	1),
(5492,	1,	717,	23,	1),
(5493,	1,	717,	6,	1),
(5494,	1,	717,	24,	1),
(5495,	1,	717,	25,	1),
(5496,	1,	717,	4,	1),
(5497,	1,	717,	5,	1),
(5498,	1,	717,	26,	1),
(5499,	1,	717,	1,	3),
(5500,	1,	717,	2,	3),
(5501,	1,	717,	3,	3),
(5502,	1,	717,	23,	3),
(5503,	1,	717,	6,	3),
(5504,	1,	717,	24,	3),
(5505,	1,	717,	25,	3),
(5506,	1,	717,	4,	3),
(5507,	1,	717,	5,	3),
(5508,	1,	717,	26,	3),
(5509,	1,	718,	1,	1),
(5510,	1,	718,	2,	1),
(5511,	1,	718,	3,	1),
(5512,	1,	718,	23,	1),
(5513,	1,	719,	1,	1),
(5514,	1,	719,	2,	1),
(5515,	1,	719,	3,	1),
(5516,	1,	719,	23,	1),
(5517,	1,	719,	6,	1),
(5518,	1,	719,	24,	1),
(5519,	1,	719,	25,	1),
(5520,	1,	719,	4,	1),
(5521,	1,	719,	5,	1),
(5522,	1,	719,	26,	1),
(5523,	1,	719,	1,	3),
(5524,	1,	719,	2,	3),
(5525,	1,	719,	3,	3),
(5526,	1,	719,	23,	3),
(5527,	1,	719,	6,	3),
(5528,	1,	719,	24,	3),
(5529,	1,	719,	25,	3),
(5530,	1,	719,	4,	3),
(5531,	1,	719,	5,	3),
(5532,	1,	719,	26,	3),
(5533,	1,	720,	1,	1),
(5534,	1,	720,	2,	1),
(5535,	1,	720,	3,	1),
(5536,	1,	721,	1,	1),
(5537,	1,	721,	2,	1),
(5538,	1,	721,	3,	1),
(5539,	1,	721,	23,	1),
(5540,	1,	721,	1,	3),
(5541,	1,	721,	2,	3),
(5542,	1,	721,	3,	3),
(5543,	1,	721,	23,	3),
(5544,	1,	722,	1,	1),
(5545,	1,	722,	2,	1),
(5546,	1,	722,	3,	1),
(5547,	1,	722,	23,	1),
(5548,	1,	722,	6,	1),
(5549,	1,	722,	24,	1),
(5550,	1,	722,	25,	1),
(5551,	1,	722,	4,	1),
(5552,	1,	722,	5,	1),
(5553,	1,	722,	26,	1),
(5554,	1,	722,	1,	3),
(5555,	1,	722,	2,	3),
(5556,	1,	722,	3,	3),
(5557,	1,	722,	23,	3),
(5558,	1,	722,	6,	3),
(5559,	1,	722,	24,	3),
(5560,	1,	722,	25,	3),
(5561,	1,	722,	4,	3),
(5562,	1,	722,	5,	3),
(5563,	1,	722,	26,	3),
(5564,	1,	723,	1,	1),
(5565,	1,	723,	2,	1),
(5566,	1,	723,	3,	1),
(5567,	1,	723,	23,	1),
(5568,	1,	724,	1,	1),
(5569,	1,	724,	2,	1),
(5570,	1,	724,	3,	1),
(5571,	1,	724,	23,	1),
(5572,	1,	724,	6,	1),
(5573,	1,	724,	24,	1),
(5574,	1,	724,	25,	1),
(5575,	1,	724,	4,	1),
(5576,	1,	724,	5,	1),
(5577,	1,	724,	26,	1),
(5578,	1,	724,	1,	3),
(5579,	1,	724,	2,	3),
(5580,	1,	724,	3,	3),
(5581,	1,	724,	23,	3),
(5582,	1,	724,	6,	3),
(5583,	1,	724,	24,	3),
(5584,	1,	724,	25,	3),
(5585,	1,	724,	4,	3),
(5586,	1,	724,	5,	3),
(5587,	1,	724,	26,	3),
(5588,	1,	725,	1,	1),
(5589,	1,	725,	2,	1),
(5590,	1,	725,	3,	1),
(5591,	1,	726,	1,	1),
(5592,	1,	726,	2,	1),
(5593,	1,	726,	3,	1),
(5594,	1,	727,	1,	1),
(5595,	1,	727,	2,	1),
(5596,	1,	727,	3,	1),
(5597,	1,	728,	1,	1),
(5598,	1,	728,	2,	1),
(5599,	1,	728,	3,	1),
(5600,	1,	729,	1,	1),
(5601,	1,	729,	2,	1),
(5602,	1,	729,	3,	1),
(5603,	1,	730,	1,	1),
(5604,	1,	730,	2,	1),
(5605,	1,	730,	3,	1),
(5606,	1,	730,	23,	1),
(5607,	1,	730,	6,	1),
(5608,	1,	730,	24,	1),
(5609,	1,	730,	25,	1),
(5610,	1,	730,	4,	1),
(5611,	1,	730,	5,	1),
(5612,	1,	730,	26,	1),
(5613,	1,	730,	1,	3),
(5614,	1,	730,	2,	3),
(5615,	1,	730,	3,	3),
(5616,	1,	730,	23,	3),
(5617,	1,	730,	6,	3),
(5618,	1,	730,	24,	3),
(5619,	1,	730,	25,	3),
(5620,	1,	730,	4,	3),
(5621,	1,	730,	5,	3),
(5622,	1,	730,	26,	3),
(5623,	1,	731,	1,	1),
(5624,	1,	731,	2,	1),
(5625,	1,	731,	3,	1),
(5626,	1,	731,	23,	1),
(5627,	1,	731,	6,	1),
(5628,	1,	731,	24,	1),
(5629,	1,	731,	25,	1),
(5630,	1,	731,	4,	1),
(5631,	1,	731,	5,	1),
(5632,	1,	731,	26,	1),
(5633,	1,	731,	1,	3),
(5634,	1,	731,	2,	3),
(5635,	1,	731,	3,	3),
(5636,	1,	731,	23,	3),
(5637,	1,	731,	6,	3),
(5638,	1,	731,	24,	3),
(5639,	1,	731,	25,	3),
(5640,	1,	731,	4,	3),
(5641,	1,	731,	5,	3),
(5642,	1,	731,	26,	3),
(5643,	1,	732,	1,	1),
(5644,	1,	732,	2,	1),
(5645,	1,	732,	3,	1),
(5646,	1,	732,	23,	1),
(5647,	1,	733,	1,	1),
(5648,	1,	733,	2,	1),
(5649,	1,	733,	3,	1),
(5650,	1,	733,	23,	1),
(5651,	1,	733,	6,	1),
(5652,	1,	733,	24,	1),
(5653,	1,	733,	25,	1),
(5654,	1,	733,	4,	1),
(5655,	1,	733,	5,	1),
(5656,	1,	733,	26,	1),
(5657,	1,	733,	1,	3),
(5658,	1,	733,	2,	3),
(5659,	1,	733,	3,	3),
(5660,	1,	733,	23,	3),
(5661,	1,	733,	6,	3),
(5662,	1,	733,	24,	3),
(5663,	1,	733,	25,	3),
(5664,	1,	733,	4,	3),
(5665,	1,	733,	5,	3),
(5666,	1,	733,	26,	3),
(5667,	1,	734,	1,	1),
(5668,	1,	734,	2,	1),
(5669,	1,	734,	3,	1),
(5670,	1,	734,	23,	1),
(5671,	1,	734,	6,	1),
(5672,	1,	734,	24,	1),
(5673,	1,	734,	25,	1),
(5674,	1,	734,	4,	1),
(5675,	1,	734,	5,	1),
(5676,	1,	734,	26,	1),
(5677,	1,	734,	1,	3),
(5678,	1,	734,	2,	3),
(5679,	1,	734,	3,	3),
(5680,	1,	734,	23,	3),
(5681,	1,	734,	6,	3),
(5682,	1,	734,	24,	3),
(5683,	1,	734,	25,	3),
(5684,	1,	734,	4,	3),
(5685,	1,	734,	5,	3),
(5686,	1,	734,	26,	3),
(5687,	1,	735,	1,	1),
(5688,	1,	735,	2,	1),
(5689,	1,	735,	3,	1),
(5690,	1,	735,	23,	1),
(5691,	1,	736,	1,	1),
(5692,	1,	736,	2,	1),
(5693,	1,	736,	3,	1),
(5694,	1,	736,	23,	1),
(5695,	1,	736,	6,	1),
(5696,	1,	736,	24,	1),
(5697,	1,	736,	25,	1),
(5698,	1,	736,	4,	1),
(5699,	1,	736,	5,	1),
(5700,	1,	736,	26,	1),
(5701,	1,	736,	1,	3),
(5702,	1,	736,	2,	3),
(5703,	1,	736,	3,	3),
(5704,	1,	736,	23,	3),
(5705,	1,	736,	6,	3),
(5706,	1,	736,	24,	3),
(5707,	1,	736,	25,	3),
(5708,	1,	736,	4,	3),
(5709,	1,	736,	5,	3),
(5710,	1,	736,	26,	3),
(5711,	1,	737,	1,	1),
(5712,	1,	737,	2,	1),
(5713,	1,	737,	3,	1),
(5714,	1,	738,	1,	1),
(5715,	1,	738,	2,	1),
(5716,	1,	738,	3,	1),
(5717,	1,	739,	1,	1),
(5718,	1,	739,	2,	1),
(5719,	1,	739,	3,	1),
(5720,	1,	740,	1,	1),
(5721,	1,	740,	2,	1),
(5722,	1,	740,	3,	1),
(5723,	1,	740,	23,	1),
(5724,	1,	740,	6,	1),
(5725,	1,	740,	24,	1),
(5726,	1,	740,	25,	1),
(5727,	1,	740,	4,	1),
(5728,	1,	740,	5,	1),
(5729,	1,	740,	26,	1),
(5730,	1,	740,	1,	3),
(5731,	1,	740,	2,	3),
(5732,	1,	740,	3,	3),
(5733,	1,	740,	23,	3),
(5734,	1,	740,	6,	3),
(5735,	1,	740,	24,	3),
(5736,	1,	740,	25,	3),
(5737,	1,	740,	4,	3),
(5738,	1,	740,	5,	3),
(5739,	1,	740,	26,	3),
(5740,	1,	741,	1,	1),
(5741,	1,	741,	2,	1),
(5742,	1,	741,	3,	1),
(5743,	1,	741,	23,	1),
(5744,	1,	741,	6,	1),
(5745,	1,	741,	24,	1),
(5746,	1,	741,	25,	1),
(5747,	1,	741,	4,	1),
(5748,	1,	741,	5,	1),
(5749,	1,	741,	26,	1),
(5750,	1,	742,	1,	1),
(5751,	1,	742,	2,	1),
(5752,	1,	742,	3,	1),
(5753,	1,	743,	1,	1),
(5754,	1,	743,	2,	1),
(5755,	1,	743,	3,	1),
(5756,	1,	743,	23,	1),
(5757,	1,	743,	6,	1),
(5758,	1,	743,	24,	1),
(5759,	1,	743,	25,	1),
(5760,	1,	743,	4,	1),
(5761,	1,	743,	5,	1),
(5762,	1,	743,	26,	1),
(5763,	1,	743,	1,	3),
(5764,	1,	743,	2,	3),
(5765,	1,	743,	3,	3),
(5766,	1,	743,	23,	3),
(5767,	1,	743,	6,	3),
(5768,	1,	743,	24,	3),
(5769,	1,	743,	25,	3),
(5770,	1,	743,	4,	3),
(5771,	1,	743,	5,	3),
(5772,	1,	743,	26,	3),
(5773,	1,	744,	1,	1),
(5774,	1,	744,	2,	1),
(5775,	1,	744,	3,	1),
(5776,	1,	744,	23,	1),
(5777,	1,	744,	6,	1),
(5778,	1,	744,	24,	1),
(5779,	1,	744,	25,	1),
(5780,	1,	744,	4,	1),
(5781,	1,	744,	5,	1),
(5782,	1,	744,	26,	1),
(5783,	1,	744,	1,	3),
(5784,	1,	744,	2,	3),
(5785,	1,	744,	3,	3),
(5786,	1,	744,	23,	3),
(5787,	1,	744,	6,	3),
(5788,	1,	744,	24,	3),
(5789,	1,	744,	25,	3),
(5790,	1,	744,	4,	3),
(5791,	1,	744,	5,	3),
(5792,	1,	744,	26,	3),
(5793,	1,	745,	1,	1),
(5794,	1,	745,	2,	1),
(5795,	1,	745,	3,	1),
(5796,	1,	745,	23,	1),
(5797,	1,	745,	6,	1),
(5798,	1,	745,	5,	1),
(5799,	1,	746,	1,	1),
(5800,	1,	746,	2,	1),
(5801,	1,	746,	3,	1),
(5802,	1,	747,	1,	1),
(5803,	1,	747,	2,	1),
(5804,	1,	747,	3,	1),
(5805,	1,	747,	23,	1),
(5806,	1,	747,	6,	1),
(5807,	1,	747,	24,	1),
(5808,	1,	747,	25,	1),
(5809,	1,	747,	4,	1),
(5810,	1,	747,	5,	1),
(5811,	1,	747,	26,	1),
(5812,	1,	747,	1,	3),
(5813,	1,	747,	2,	3),
(5814,	1,	747,	3,	3),
(5815,	1,	747,	23,	3),
(5816,	1,	747,	6,	3),
(5817,	1,	747,	24,	3),
(5818,	1,	747,	25,	3),
(5819,	1,	747,	4,	3),
(5820,	1,	747,	5,	3),
(5821,	1,	747,	26,	3),
(5822,	1,	748,	1,	1),
(5823,	1,	748,	2,	1),
(5824,	1,	748,	3,	1),
(5825,	1,	748,	23,	1),
(5826,	1,	748,	6,	1),
(5827,	1,	748,	24,	1),
(5828,	1,	748,	25,	1),
(5829,	1,	748,	4,	1),
(5830,	1,	748,	5,	1),
(5831,	1,	748,	26,	1),
(5832,	1,	748,	1,	3),
(5833,	1,	748,	2,	3),
(5834,	1,	748,	3,	3),
(5835,	1,	748,	23,	3),
(5836,	1,	748,	6,	3),
(5837,	1,	748,	24,	3),
(5838,	1,	748,	25,	3),
(5839,	1,	748,	4,	3),
(5840,	1,	748,	5,	3),
(5841,	1,	748,	26,	3),
(5842,	1,	749,	1,	1),
(5843,	1,	749,	2,	1),
(5844,	1,	749,	3,	1),
(5845,	1,	750,	1,	1),
(5846,	1,	750,	2,	1),
(5847,	1,	750,	3,	1),
(5848,	1,	750,	23,	1),
(5849,	1,	750,	6,	1),
(5850,	1,	750,	24,	1),
(5851,	1,	750,	25,	1),
(5852,	1,	750,	4,	1),
(5853,	1,	750,	5,	1),
(5854,	1,	750,	26,	1),
(5855,	1,	750,	1,	3),
(5856,	1,	750,	2,	3),
(5857,	1,	750,	3,	3),
(5858,	1,	750,	23,	3),
(5859,	1,	750,	6,	3),
(5860,	1,	750,	24,	3),
(5861,	1,	750,	25,	3),
(5862,	1,	750,	4,	3),
(5863,	1,	750,	5,	3),
(5864,	1,	750,	26,	3),
(5865,	1,	751,	1,	1),
(5866,	1,	751,	2,	1),
(5867,	1,	751,	3,	1),
(5868,	1,	752,	1,	1),
(5869,	1,	752,	2,	1),
(5870,	1,	752,	3,	1),
(5871,	1,	752,	6,	1),
(5872,	1,	752,	24,	1),
(5873,	1,	752,	25,	1),
(5874,	1,	752,	4,	1),
(5875,	1,	752,	5,	1),
(5876,	1,	752,	26,	1),
(5877,	1,	752,	1,	3),
(5878,	1,	752,	2,	3),
(5879,	1,	752,	3,	3),
(5880,	1,	752,	6,	3),
(5881,	1,	752,	24,	3),
(5882,	1,	752,	25,	3),
(5883,	1,	752,	4,	3),
(5884,	1,	752,	5,	3),
(5885,	1,	752,	26,	3),
(5886,	1,	753,	1,	1),
(5887,	1,	753,	2,	1),
(5888,	1,	753,	3,	1),
(5889,	1,	753,	23,	1),
(5890,	1,	754,	1,	1),
(5891,	1,	754,	2,	1),
(5892,	1,	754,	3,	1),
(5893,	1,	754,	23,	1),
(5894,	1,	754,	6,	1),
(5895,	1,	754,	24,	1),
(5896,	1,	754,	25,	1),
(5897,	1,	754,	4,	1),
(5898,	1,	754,	5,	1),
(5899,	1,	754,	26,	1),
(5900,	1,	754,	1,	3),
(5901,	1,	754,	2,	3),
(5902,	1,	754,	3,	3),
(5903,	1,	754,	23,	3),
(5904,	1,	754,	6,	3),
(5905,	1,	754,	24,	3),
(5906,	1,	754,	25,	3),
(5907,	1,	754,	4,	3),
(5908,	1,	754,	5,	3),
(5909,	1,	754,	26,	3),
(5910,	1,	755,	1,	1),
(5911,	1,	755,	2,	1),
(5912,	1,	755,	3,	1),
(5913,	1,	756,	1,	1),
(5914,	1,	756,	2,	1),
(5915,	1,	756,	3,	1),
(5916,	1,	757,	1,	1),
(5917,	1,	757,	2,	1),
(5918,	1,	757,	3,	1),
(5919,	1,	757,	1,	3),
(5920,	1,	757,	2,	3),
(5921,	1,	757,	3,	3),
(5922,	1,	758,	1,	1),
(5923,	1,	758,	2,	1),
(5924,	1,	758,	3,	1),
(5925,	1,	758,	23,	1),
(5926,	1,	758,	1,	2),
(5927,	1,	758,	2,	2),
(5928,	1,	758,	3,	2),
(5929,	1,	758,	23,	2),
(5930,	1,	759,	1,	1),
(5931,	1,	759,	2,	1),
(5932,	1,	759,	3,	1),
(5933,	1,	759,	1,	3),
(5934,	1,	759,	2,	3),
(5935,	1,	759,	3,	3),
(5936,	1,	760,	1,	1),
(5937,	1,	760,	2,	1),
(5938,	1,	760,	3,	1),
(5939,	1,	760,	23,	1),
(5940,	1,	760,	1,	3),
(5941,	1,	760,	2,	3),
(5942,	1,	760,	3,	3),
(5943,	1,	760,	23,	3),
(5944,	1,	760,	1,	2),
(5945,	1,	760,	2,	2),
(5946,	1,	760,	3,	2),
(5947,	1,	760,	23,	2),
(5948,	1,	761,	1,	1),
(5949,	1,	761,	2,	1),
(5950,	1,	761,	3,	1),
(5951,	1,	761,	1,	2),
(5952,	1,	761,	2,	2),
(5953,	1,	761,	3,	2),
(5954,	1,	762,	1,	1),
(5955,	1,	762,	2,	1),
(5956,	1,	762,	3,	1),
(5957,	1,	762,	1,	2),
(5958,	1,	762,	2,	2),
(5959,	1,	762,	3,	2),
(5960,	1,	763,	1,	1),
(5961,	1,	763,	2,	1),
(5962,	1,	763,	3,	1),
(5963,	1,	763,	1,	2),
(5964,	1,	763,	2,	2),
(5965,	1,	763,	3,	2),
(5966,	1,	764,	1,	1),
(5967,	1,	764,	2,	1),
(5968,	1,	764,	3,	1),
(5969,	1,	764,	1,	2),
(5970,	1,	764,	2,	2),
(5971,	1,	764,	3,	2),
(5972,	1,	765,	1,	1),
(5973,	1,	765,	2,	1),
(5974,	1,	765,	3,	1),
(5975,	1,	765,	1,	2),
(5976,	1,	765,	2,	2),
(5977,	1,	765,	3,	2),
(5978,	1,	766,	1,	1),
(5979,	1,	766,	2,	1),
(5980,	1,	766,	3,	1),
(5981,	1,	767,	1,	1),
(5982,	1,	767,	2,	1),
(5983,	1,	767,	3,	1),
(5984,	1,	767,	6,	1),
(5985,	1,	767,	1,	2),
(5986,	1,	767,	2,	2),
(5987,	1,	767,	3,	2),
(5988,	1,	767,	6,	2),
(5989,	1,	768,	1,	1),
(5990,	1,	768,	2,	1),
(5991,	1,	768,	3,	1),
(5992,	1,	768,	1,	2),
(5993,	1,	768,	2,	2),
(5994,	1,	768,	3,	2),
(5995,	1,	769,	1,	1),
(5996,	1,	769,	2,	1),
(5997,	1,	769,	3,	1),
(5998,	1,	769,	1,	3),
(5999,	1,	769,	2,	3),
(6000,	1,	769,	3,	3),
(6001,	1,	770,	1,	1),
(6002,	1,	770,	2,	1),
(6003,	1,	770,	3,	1),
(6004,	1,	771,	1,	1),
(6005,	1,	771,	2,	1),
(6006,	1,	771,	3,	1),
(6007,	1,	772,	1,	1),
(6008,	1,	772,	2,	1),
(6009,	1,	772,	3,	1),
(6010,	1,	772,	6,	1),
(6011,	1,	772,	1,	2),
(6012,	1,	772,	2,	2),
(6013,	1,	772,	3,	2),
(6014,	1,	772,	6,	2),
(6015,	1,	773,	1,	1),
(6016,	1,	773,	2,	1),
(6017,	1,	773,	3,	1),
(6018,	1,	773,	6,	1),
(6019,	1,	773,	1,	2),
(6020,	1,	773,	2,	2),
(6021,	1,	773,	3,	2),
(6022,	1,	773,	6,	2),
(6023,	1,	774,	1,	1),
(6024,	1,	774,	2,	1),
(6025,	1,	774,	3,	1),
(6026,	1,	775,	1,	1),
(6027,	1,	775,	2,	1),
(6028,	1,	775,	3,	1),
(6029,	1,	775,	1,	2),
(6030,	1,	775,	2,	2),
(6031,	1,	775,	3,	2),
(6032,	1,	776,	1,	1),
(6033,	1,	776,	2,	1),
(6034,	1,	776,	3,	1),
(6035,	1,	776,	1,	2),
(6036,	1,	776,	2,	2),
(6037,	1,	776,	3,	2),
(6038,	1,	777,	1,	1),
(6039,	1,	777,	2,	1),
(6040,	1,	777,	3,	1),
(6041,	1,	778,	1,	1),
(6042,	1,	778,	2,	1),
(6043,	1,	778,	3,	1),
(6044,	1,	778,	1,	2),
(6045,	1,	778,	2,	2),
(6046,	1,	778,	3,	2),
(6047,	1,	779,	1,	1),
(6048,	1,	779,	2,	1),
(6049,	1,	779,	3,	1),
(6050,	1,	779,	1,	2),
(6051,	1,	779,	2,	2),
(6052,	1,	779,	3,	2),
(6053,	1,	780,	1,	1),
(6054,	1,	780,	2,	1),
(6055,	1,	780,	3,	1),
(6056,	1,	780,	1,	2),
(6057,	1,	780,	2,	2),
(6058,	1,	780,	3,	2),
(6059,	1,	781,	1,	1),
(6060,	1,	781,	2,	1),
(6061,	1,	781,	3,	1),
(6062,	1,	781,	1,	3),
(6063,	1,	781,	2,	3),
(6064,	1,	781,	3,	3),
(6065,	1,	782,	1,	1),
(6066,	1,	782,	2,	1),
(6067,	1,	782,	3,	1),
(6068,	1,	782,	1,	3),
(6069,	1,	782,	2,	3),
(6070,	1,	782,	3,	3),
(6071,	1,	783,	1,	1),
(6072,	1,	783,	2,	1),
(6073,	1,	783,	3,	1),
(6074,	1,	783,	1,	3),
(6075,	1,	783,	2,	3),
(6076,	1,	783,	3,	3),
(6077,	1,	784,	1,	1),
(6078,	1,	784,	2,	1),
(6079,	1,	784,	3,	1),
(6080,	1,	784,	1,	3),
(6081,	1,	784,	2,	3),
(6082,	1,	784,	3,	3),
(6083,	1,	785,	1,	1),
(6084,	1,	785,	2,	1),
(6085,	1,	785,	3,	1),
(6086,	1,	786,	1,	1),
(6087,	1,	786,	2,	1),
(6088,	1,	786,	3,	1),
(6089,	1,	787,	1,	1),
(6090,	1,	787,	2,	1),
(6091,	1,	787,	3,	1),
(6092,	1,	787,	1,	3),
(6093,	1,	787,	2,	3),
(6094,	1,	787,	3,	3),
(6095,	1,	788,	1,	1),
(6096,	1,	788,	2,	1),
(6097,	1,	788,	3,	1),
(6098,	1,	788,	1,	2),
(6099,	1,	788,	2,	2),
(6100,	1,	788,	3,	2),
(6101,	1,	789,	1,	1),
(6102,	1,	789,	2,	1),
(6103,	1,	789,	3,	1),
(6104,	1,	789,	1,	2),
(6105,	1,	789,	2,	2),
(6106,	1,	789,	3,	2),
(6107,	1,	790,	1,	1),
(6108,	1,	790,	2,	1),
(6109,	1,	790,	3,	1),
(6110,	1,	790,	1,	2),
(6111,	1,	790,	2,	2),
(6112,	1,	790,	3,	2),
(6113,	1,	791,	1,	1),
(6114,	1,	791,	2,	1),
(6115,	1,	791,	3,	1),
(6116,	1,	791,	1,	3),
(6117,	1,	791,	2,	3),
(6118,	1,	791,	3,	3),
(6119,	1,	792,	1,	1),
(6120,	1,	792,	2,	1),
(6121,	1,	792,	3,	1),
(6122,	1,	792,	1,	2),
(6123,	1,	792,	2,	2),
(6124,	1,	792,	3,	2),
(6125,	1,	793,	1,	1),
(6126,	1,	793,	2,	1),
(6127,	1,	793,	3,	1),
(6128,	1,	793,	1,	2),
(6129,	1,	793,	2,	2),
(6130,	1,	793,	3,	2),
(6131,	1,	794,	1,	1),
(6132,	1,	794,	2,	1),
(6133,	1,	794,	3,	1),
(6134,	1,	794,	1,	2),
(6135,	1,	794,	2,	2),
(6136,	1,	794,	3,	2),
(6137,	1,	795,	1,	1),
(6138,	1,	795,	2,	1),
(6139,	1,	795,	3,	1),
(6140,	1,	795,	1,	2),
(6141,	1,	795,	2,	2),
(6142,	1,	795,	3,	2),
(6143,	1,	796,	1,	1),
(6144,	1,	796,	2,	1),
(6145,	1,	796,	3,	1),
(6146,	1,	796,	1,	2),
(6147,	1,	796,	2,	2),
(6148,	1,	796,	3,	2),
(6149,	1,	797,	1,	1),
(6150,	1,	797,	2,	1),
(6151,	1,	797,	3,	1),
(6152,	1,	797,	1,	3),
(6153,	1,	797,	2,	3),
(6154,	1,	797,	3,	3),
(6155,	1,	798,	1,	1),
(6156,	1,	798,	2,	1),
(6157,	1,	798,	3,	1),
(6158,	1,	798,	1,	2),
(6159,	1,	798,	2,	2),
(6160,	1,	798,	3,	2),
(6161,	1,	799,	1,	1),
(6162,	1,	799,	2,	1),
(6163,	1,	799,	3,	1),
(6164,	1,	799,	1,	2),
(6165,	1,	799,	2,	2),
(6166,	1,	799,	3,	2),
(6167,	1,	800,	1,	1),
(6168,	1,	800,	2,	1),
(6169,	1,	800,	3,	1),
(6170,	1,	800,	1,	2),
(6171,	1,	800,	2,	2),
(6172,	1,	800,	3,	2),
(6173,	1,	801,	1,	1),
(6174,	1,	801,	2,	1),
(6175,	1,	801,	3,	1),
(6176,	1,	801,	1,	2),
(6177,	1,	801,	2,	2),
(6178,	1,	801,	3,	2),
(6179,	1,	802,	1,	1),
(6180,	1,	802,	2,	1),
(6181,	1,	802,	3,	1),
(6182,	1,	802,	1,	2),
(6183,	1,	802,	2,	2),
(6184,	1,	802,	3,	2),
(6185,	1,	803,	1,	1),
(6186,	1,	803,	2,	1),
(6187,	1,	803,	3,	1),
(6188,	1,	803,	1,	2),
(6189,	1,	803,	2,	2),
(6190,	1,	803,	3,	2),
(6191,	1,	804,	1,	1),
(6192,	1,	804,	2,	1),
(6193,	1,	804,	3,	1),
(6194,	1,	804,	1,	2),
(6195,	1,	804,	2,	2),
(6196,	1,	804,	3,	2),
(6197,	1,	805,	1,	1),
(6198,	1,	805,	2,	1),
(6199,	1,	805,	3,	1),
(6200,	1,	805,	6,	1),
(6201,	1,	805,	24,	1),
(6202,	1,	805,	23,	1),
(6203,	1,	806,	1,	1),
(6204,	1,	806,	2,	1),
(6205,	1,	806,	3,	1),
(6206,	1,	806,	6,	1),
(6207,	1,	806,	24,	1),
(6208,	1,	807,	1,	1),
(6209,	1,	807,	2,	1),
(6210,	1,	807,	3,	1),
(6211,	1,	807,	6,	1),
(6212,	1,	807,	24,	1),
(6213,	1,	808,	1,	1),
(6214,	1,	808,	2,	1),
(6215,	1,	808,	3,	1),
(6216,	1,	808,	1,	2),
(6217,	1,	808,	2,	2),
(6218,	1,	808,	3,	2),
(6219,	1,	809,	1,	1),
(6220,	1,	809,	2,	1),
(6221,	1,	809,	3,	1),
(6222,	1,	809,	1,	2),
(6223,	1,	809,	2,	2),
(6224,	1,	809,	3,	2),
(6225,	1,	810,	1,	1),
(6226,	1,	810,	2,	1),
(6227,	1,	810,	3,	1),
(6228,	1,	810,	6,	1),
(6229,	1,	810,	24,	1),
(6230,	1,	811,	1,	1),
(6231,	1,	811,	2,	1),
(6232,	1,	811,	3,	1),
(6233,	1,	811,	1,	2),
(6234,	1,	811,	2,	2),
(6235,	1,	811,	3,	2),
(6236,	1,	812,	1,	1),
(6237,	1,	812,	2,	1),
(6238,	1,	812,	3,	1),
(6239,	1,	813,	1,	1),
(6240,	1,	813,	2,	1),
(6241,	1,	813,	3,	1),
(6242,	1,	813,	1,	2),
(6243,	1,	813,	2,	2),
(6244,	1,	813,	3,	2),
(6245,	1,	814,	1,	1),
(6246,	1,	814,	2,	1),
(6247,	1,	814,	3,	1),
(6248,	1,	814,	23,	1),
(6249,	1,	814,	49,	1),
(6250,	1,	814,	5,	1),
(6251,	1,	814,	26,	1),
(6252,	1,	815,	1,	1),
(6253,	1,	815,	2,	1),
(6254,	1,	815,	3,	1),
(6255,	1,	816,	1,	1),
(6256,	1,	816,	2,	1),
(6257,	1,	816,	3,	1),
(6258,	1,	816,	25,	1),
(6259,	1,	816,	24,	1),
(6260,	1,	816,	49,	1),
(6261,	1,	816,	50,	1),
(6262,	1,	816,	23,	1),
(6263,	1,	816,	51,	1),
(6264,	1,	816,	48,	1),
(6265,	1,	816,	52,	1),
(6266,	1,	816,	53,	1),
(6267,	1,	817,	1,	1),
(6268,	1,	817,	2,	1),
(6269,	1,	817,	3,	1),
(6270,	1,	817,	23,	1),
(6271,	1,	817,	49,	1),
(6272,	1,	817,	5,	1),
(6273,	1,	817,	26,	1),
(6274,	1,	818,	1,	1),
(6275,	1,	818,	2,	1),
(6276,	1,	818,	3,	1),
(6277,	1,	818,	49,	1),
(6278,	1,	819,	1,	1),
(6279,	1,	819,	2,	1),
(6280,	1,	819,	3,	1),
(6281,	1,	819,	49,	1),
(6282,	1,	820,	1,	1),
(6283,	1,	820,	2,	1),
(6284,	1,	820,	3,	1),
(6285,	1,	820,	49,	1),
(6286,	1,	821,	1,	1),
(6287,	1,	821,	2,	1),
(6288,	1,	821,	3,	1),
(6289,	1,	822,	1,	1),
(6290,	1,	822,	2,	1),
(6291,	1,	822,	3,	1),
(6292,	1,	823,	1,	1),
(6293,	1,	823,	2,	1),
(6294,	1,	823,	3,	1),
(6295,	1,	823,	1,	2),
(6296,	1,	823,	2,	2),
(6297,	1,	823,	3,	2),
(6298,	1,	824,	1,	1),
(6299,	1,	824,	2,	1),
(6300,	1,	824,	3,	1),
(6301,	1,	824,	1,	2),
(6302,	1,	824,	2,	2),
(6303,	1,	824,	3,	2),
(6304,	1,	825,	1,	1),
(6305,	1,	825,	2,	1),
(6306,	1,	825,	3,	1),
(6307,	1,	826,	1,	1),
(6308,	1,	826,	2,	1),
(6309,	1,	826,	3,	1),
(6310,	1,	827,	1,	1),
(6311,	1,	827,	2,	1),
(6312,	1,	827,	3,	1),
(6313,	1,	827,	1,	2),
(6314,	1,	827,	2,	2),
(6315,	1,	827,	3,	2),
(6316,	1,	828,	1,	1),
(6317,	1,	828,	2,	1),
(6318,	1,	828,	3,	1),
(6319,	1,	828,	1,	2),
(6320,	1,	828,	2,	2),
(6321,	1,	828,	3,	2),
(6322,	1,	829,	1,	1),
(6323,	1,	829,	2,	1),
(6324,	1,	829,	3,	1),
(6325,	1,	829,	4,	1),
(6326,	1,	829,	23,	1),
(6327,	1,	829,	1,	3),
(6328,	1,	829,	2,	3),
(6329,	1,	829,	3,	3),
(6330,	1,	829,	4,	3),
(6331,	1,	829,	23,	3),
(6332,	1,	829,	1,	2),
(6333,	1,	829,	2,	2),
(6334,	1,	829,	3,	2),
(6335,	1,	829,	4,	2),
(6336,	1,	829,	23,	2),
(6337,	1,	830,	1,	1),
(6338,	1,	830,	2,	1),
(6339,	1,	830,	3,	1),
(6340,	1,	830,	1,	2),
(6341,	1,	830,	2,	2),
(6342,	1,	830,	3,	2),
(6343,	1,	831,	1,	1),
(6344,	1,	831,	2,	1),
(6345,	1,	831,	3,	1),
(6346,	1,	832,	1,	1),
(6347,	1,	832,	2,	1),
(6348,	1,	832,	3,	1),
(6349,	1,	832,	1,	3),
(6350,	1,	832,	2,	3),
(6351,	1,	832,	3,	3),
(6352,	1,	833,	1,	1),
(6353,	1,	833,	2,	1),
(6354,	1,	833,	3,	1),
(6355,	1,	834,	1,	1),
(6356,	1,	834,	2,	1),
(6357,	1,	834,	3,	1),
(6358,	1,	834,	1,	2),
(6359,	1,	834,	2,	2),
(6360,	1,	834,	3,	2),
(6361,	1,	835,	1,	1),
(6362,	1,	835,	2,	1),
(6363,	1,	835,	3,	1),
(6364,	1,	835,	1,	2),
(6365,	1,	835,	2,	2),
(6366,	1,	835,	3,	2),
(6367,	1,	836,	1,	1),
(6368,	1,	836,	2,	1),
(6369,	1,	836,	3,	1),
(6370,	1,	837,	1,	1),
(6371,	1,	837,	2,	1),
(6372,	1,	837,	3,	1),
(6373,	1,	837,	1,	2),
(6374,	1,	837,	2,	2),
(6375,	1,	837,	3,	2),
(6376,	1,	838,	1,	1),
(6377,	1,	838,	2,	1),
(6378,	1,	838,	3,	1),
(6379,	1,	838,	1,	2),
(6380,	1,	838,	2,	2),
(6381,	1,	838,	3,	2),
(6382,	1,	839,	1,	1),
(6383,	1,	839,	2,	1),
(6384,	1,	839,	3,	1),
(6385,	1,	839,	1,	2),
(6386,	1,	839,	2,	2),
(6387,	1,	839,	3,	2),
(6388,	1,	840,	1,	1),
(6389,	1,	840,	2,	1),
(6390,	1,	840,	3,	1),
(6391,	1,	840,	1,	2),
(6392,	1,	840,	2,	2),
(6393,	1,	840,	3,	2),
(6394,	1,	841,	1,	1),
(6395,	1,	841,	2,	1),
(6396,	1,	841,	3,	1),
(6397,	1,	841,	1,	3),
(6398,	1,	841,	2,	3),
(6399,	1,	841,	3,	3),
(6400,	1,	842,	1,	1),
(6401,	1,	842,	2,	1),
(6402,	1,	842,	3,	1),
(6403,	1,	842,	1,	2),
(6404,	1,	842,	2,	2),
(6405,	1,	842,	3,	2),
(6406,	1,	843,	1,	1),
(6407,	1,	843,	2,	1),
(6408,	1,	843,	3,	1),
(6409,	1,	843,	1,	2),
(6410,	1,	843,	2,	2),
(6411,	1,	843,	3,	2),
(6412,	1,	844,	1,	1),
(6413,	1,	844,	2,	1),
(6414,	1,	844,	3,	1),
(6415,	1,	845,	1,	1),
(6416,	1,	845,	2,	1),
(6417,	1,	845,	3,	1),
(6418,	1,	845,	1,	2),
(6419,	1,	845,	2,	2),
(6420,	1,	845,	3,	2),
(6421,	1,	846,	1,	1),
(6422,	1,	846,	2,	1),
(6423,	1,	846,	3,	1),
(6424,	1,	847,	1,	1),
(6425,	1,	847,	2,	1),
(6426,	1,	847,	3,	1),
(6427,	1,	847,	1,	3),
(6428,	1,	847,	2,	3),
(6429,	1,	847,	3,	3),
(6430,	1,	848,	1,	1),
(6431,	1,	848,	2,	1),
(6432,	1,	848,	3,	1),
(6433,	1,	849,	1,	1),
(6434,	1,	849,	2,	1),
(6435,	1,	849,	3,	1),
(6436,	1,	849,	1,	3),
(6437,	1,	849,	2,	3),
(6438,	1,	849,	3,	3),
(6439,	1,	850,	1,	1),
(6440,	1,	850,	2,	1),
(6441,	1,	850,	3,	1),
(6442,	1,	850,	1,	3),
(6443,	1,	850,	2,	3),
(6444,	1,	850,	3,	3),
(6445,	1,	851,	1,	1),
(6446,	1,	851,	2,	1),
(6447,	1,	851,	3,	1),
(6448,	1,	851,	1,	2),
(6449,	1,	851,	2,	2),
(6450,	1,	851,	3,	2),
(6451,	1,	852,	1,	1),
(6452,	1,	852,	2,	1),
(6453,	1,	852,	3,	1),
(6454,	1,	852,	1,	2),
(6455,	1,	852,	2,	2),
(6456,	1,	852,	3,	2),
(6457,	1,	853,	1,	1),
(6458,	1,	853,	2,	1),
(6459,	1,	853,	3,	1),
(6460,	1,	853,	1,	2),
(6461,	1,	853,	2,	2),
(6462,	1,	853,	3,	2),
(6463,	1,	854,	1,	1),
(6464,	1,	854,	2,	1),
(6465,	1,	854,	3,	1),
(6466,	1,	854,	1,	3),
(6467,	1,	854,	2,	3),
(6468,	1,	854,	3,	3),
(6469,	1,	855,	1,	1),
(6470,	1,	855,	2,	1),
(6471,	1,	855,	3,	1),
(6472,	1,	855,	1,	3),
(6473,	1,	855,	2,	3),
(6474,	1,	855,	3,	3),
(6475,	1,	856,	1,	1),
(6476,	1,	856,	2,	1),
(6477,	1,	856,	3,	1),
(6478,	1,	856,	1,	3),
(6479,	1,	856,	2,	3),
(6480,	1,	856,	3,	3),
(6481,	1,	857,	1,	1),
(6482,	1,	857,	2,	1),
(6483,	1,	857,	3,	1),
(6484,	1,	857,	1,	3),
(6485,	1,	857,	2,	3),
(6486,	1,	857,	3,	3),
(6487,	1,	858,	1,	1),
(6488,	1,	858,	2,	1),
(6489,	1,	858,	3,	1),
(6490,	1,	858,	1,	3),
(6491,	1,	858,	2,	3),
(6492,	1,	858,	3,	3),
(6493,	1,	859,	1,	1),
(6494,	1,	859,	2,	1),
(6495,	1,	859,	3,	1),
(6496,	1,	859,	1,	2),
(6497,	1,	859,	2,	2),
(6498,	1,	859,	3,	2),
(6499,	1,	860,	1,	1),
(6500,	1,	860,	2,	1),
(6501,	1,	860,	3,	1),
(6502,	1,	860,	1,	3),
(6503,	1,	860,	2,	3),
(6504,	1,	860,	3,	3),
(6505,	1,	861,	1,	1),
(6506,	1,	861,	2,	1),
(6507,	1,	861,	3,	1),
(6508,	1,	861,	1,	2),
(6509,	1,	861,	2,	2),
(6510,	1,	861,	3,	2),
(6511,	1,	862,	1,	1),
(6512,	1,	862,	2,	1),
(6513,	1,	862,	3,	1),
(6514,	1,	862,	1,	2),
(6515,	1,	862,	2,	2),
(6516,	1,	862,	3,	2),
(6517,	1,	863,	1,	1),
(6518,	1,	863,	2,	1),
(6519,	1,	863,	3,	1),
(6520,	1,	863,	1,	2),
(6521,	1,	863,	2,	2),
(6522,	1,	863,	3,	2),
(6523,	1,	864,	1,	1),
(6524,	1,	864,	2,	1),
(6525,	1,	864,	3,	1),
(6526,	1,	864,	1,	2),
(6527,	1,	864,	2,	2),
(6528,	1,	864,	3,	2),
(6529,	1,	865,	1,	1),
(6530,	1,	865,	2,	1),
(6531,	1,	865,	3,	1),
(6532,	1,	865,	1,	2),
(6533,	1,	865,	2,	2),
(6534,	1,	865,	3,	2),
(6535,	1,	866,	1,	1),
(6536,	1,	866,	2,	1),
(6537,	1,	866,	3,	1),
(6538,	1,	866,	1,	2),
(6539,	1,	866,	2,	2),
(6540,	1,	866,	3,	2),
(6541,	1,	867,	1,	1),
(6542,	1,	867,	2,	1),
(6543,	1,	867,	3,	1),
(6544,	1,	867,	1,	2),
(6545,	1,	867,	2,	2),
(6546,	1,	867,	3,	2),
(6547,	1,	868,	1,	1),
(6548,	1,	868,	2,	1),
(6549,	1,	868,	3,	1),
(6550,	1,	868,	1,	3),
(6551,	1,	868,	2,	3),
(6552,	1,	868,	3,	3),
(6553,	1,	869,	1,	1),
(6554,	1,	869,	2,	1),
(6555,	1,	869,	3,	1),
(6556,	1,	869,	1,	2),
(6557,	1,	869,	2,	2),
(6558,	1,	869,	3,	2),
(6559,	1,	870,	1,	1),
(6560,	1,	870,	2,	1),
(6561,	1,	870,	3,	1),
(6562,	1,	870,	1,	2),
(6563,	1,	870,	2,	2),
(6564,	1,	870,	3,	2),
(6565,	1,	871,	1,	1),
(6566,	1,	871,	2,	1),
(6567,	1,	871,	3,	1),
(6568,	1,	871,	1,	2),
(6569,	1,	871,	2,	2),
(6570,	1,	871,	3,	2),
(6571,	1,	872,	1,	1),
(6572,	1,	872,	2,	1),
(6573,	1,	872,	3,	1),
(6574,	1,	872,	1,	3),
(6575,	1,	872,	2,	3),
(6576,	1,	872,	3,	3),
(6577,	1,	873,	1,	1),
(6578,	1,	873,	2,	1),
(6579,	1,	873,	3,	1),
(6580,	1,	873,	1,	2),
(6581,	1,	873,	2,	2),
(6582,	1,	873,	3,	2),
(6583,	1,	874,	1,	1),
(6584,	1,	874,	2,	1),
(6585,	1,	874,	3,	1),
(6586,	1,	874,	1,	2),
(6587,	1,	874,	2,	2),
(6588,	1,	874,	3,	2),
(6589,	1,	875,	1,	1),
(6590,	1,	875,	2,	1),
(6591,	1,	875,	3,	1),
(6592,	1,	875,	1,	2),
(6593,	1,	875,	2,	2),
(6594,	1,	875,	3,	2),
(6595,	1,	876,	1,	1),
(6596,	1,	876,	2,	1),
(6597,	1,	876,	3,	1),
(6598,	1,	876,	1,	2),
(6599,	1,	876,	2,	2),
(6600,	1,	876,	3,	2),
(6601,	1,	877,	1,	1),
(6602,	1,	877,	2,	1),
(6603,	1,	877,	3,	1),
(6604,	1,	877,	1,	3),
(6605,	1,	877,	2,	3),
(6606,	1,	877,	3,	3),
(6607,	1,	878,	1,	1),
(6608,	1,	878,	2,	1),
(6609,	1,	878,	3,	1),
(6610,	1,	878,	1,	2),
(6611,	1,	878,	2,	2),
(6612,	1,	878,	3,	2),
(6613,	1,	879,	1,	1),
(6614,	1,	879,	2,	1),
(6615,	1,	879,	3,	1),
(6616,	1,	879,	1,	2),
(6617,	1,	879,	2,	2),
(6618,	1,	879,	3,	2),
(6619,	1,	880,	1,	1),
(6620,	1,	880,	2,	1),
(6621,	1,	880,	3,	1),
(6622,	1,	880,	1,	2),
(6623,	1,	880,	2,	2),
(6624,	1,	880,	3,	2),
(6625,	1,	881,	1,	1),
(6626,	1,	881,	2,	1),
(6627,	1,	881,	3,	1),
(6628,	1,	881,	1,	2),
(6629,	1,	881,	2,	2),
(6630,	1,	881,	3,	2),
(6631,	1,	882,	1,	1),
(6632,	1,	882,	2,	1),
(6633,	1,	882,	3,	1),
(6634,	1,	882,	1,	3),
(6635,	1,	882,	2,	3),
(6636,	1,	882,	3,	3),
(6637,	1,	883,	1,	1),
(6638,	1,	883,	2,	1),
(6639,	1,	883,	3,	1),
(6640,	1,	883,	1,	2),
(6641,	1,	883,	2,	2),
(6642,	1,	883,	3,	2),
(6643,	1,	884,	1,	1),
(6644,	1,	884,	2,	1),
(6645,	1,	884,	3,	1),
(6646,	1,	884,	1,	2),
(6647,	1,	884,	2,	2),
(6648,	1,	884,	3,	2),
(6649,	1,	885,	1,	1),
(6650,	1,	885,	2,	1),
(6651,	1,	885,	3,	1),
(6652,	1,	885,	1,	3),
(6653,	1,	885,	2,	3),
(6654,	1,	885,	3,	3),
(6655,	1,	886,	1,	1),
(6656,	1,	886,	2,	1),
(6657,	1,	886,	3,	1),
(6658,	1,	886,	1,	3),
(6659,	1,	886,	2,	3),
(6660,	1,	886,	3,	3),
(6661,	1,	887,	1,	1),
(6662,	1,	887,	2,	1),
(6663,	1,	887,	3,	1),
(6664,	1,	887,	1,	3),
(6665,	1,	887,	2,	3),
(6666,	1,	887,	3,	3),
(6667,	1,	888,	1,	1),
(6668,	1,	888,	2,	1),
(6669,	1,	888,	3,	1),
(6670,	1,	888,	1,	3),
(6671,	1,	888,	2,	3),
(6672,	1,	888,	3,	3),
(6673,	1,	889,	1,	1),
(6674,	1,	889,	2,	1),
(6675,	1,	889,	3,	1),
(6676,	1,	889,	1,	3),
(6677,	1,	889,	2,	3),
(6678,	1,	889,	3,	3),
(6679,	1,	890,	1,	1),
(6680,	1,	890,	2,	1),
(6681,	1,	890,	3,	1),
(6682,	1,	890,	1,	3),
(6683,	1,	890,	2,	3),
(6684,	1,	890,	3,	3),
(6685,	1,	891,	1,	1),
(6686,	1,	891,	2,	1),
(6687,	1,	891,	3,	1),
(6688,	1,	891,	1,	2),
(6689,	1,	891,	2,	2),
(6690,	1,	891,	3,	2),
(6691,	1,	892,	1,	1),
(6692,	1,	892,	2,	1),
(6693,	1,	892,	3,	1),
(6694,	1,	892,	1,	2),
(6695,	1,	892,	2,	2),
(6696,	1,	892,	3,	2),
(6697,	1,	893,	1,	1),
(6698,	1,	893,	2,	1),
(6699,	1,	893,	3,	1),
(6700,	1,	894,	1,	1),
(6701,	1,	894,	2,	1),
(6702,	1,	894,	3,	1),
(6703,	1,	895,	1,	1),
(6704,	1,	895,	2,	1),
(6705,	1,	895,	3,	1),
(6706,	1,	896,	1,	1),
(6707,	1,	896,	2,	1),
(6708,	1,	896,	3,	1),
(6709,	1,	896,	1,	2),
(6710,	1,	896,	2,	2),
(6711,	1,	896,	3,	2),
(6712,	1,	897,	1,	1),
(6713,	1,	897,	2,	1),
(6714,	1,	897,	3,	1),
(6715,	1,	898,	1,	1),
(6716,	1,	898,	2,	1),
(6717,	1,	898,	3,	1),
(6718,	1,	898,	1,	2),
(6719,	1,	898,	2,	2),
(6720,	1,	898,	3,	2),
(6721,	1,	899,	1,	1),
(6722,	1,	899,	2,	1),
(6723,	1,	899,	3,	1),
(6724,	1,	899,	1,	2),
(6725,	1,	899,	2,	2),
(6726,	1,	899,	3,	2),
(6727,	1,	900,	1,	1),
(6728,	1,	900,	2,	1),
(6729,	1,	900,	3,	1),
(6730,	1,	900,	1,	2),
(6731,	1,	900,	2,	2),
(6732,	1,	900,	3,	2),
(6733,	1,	901,	1,	1),
(6734,	1,	901,	2,	1),
(6735,	1,	901,	3,	1),
(6736,	1,	901,	1,	2),
(6737,	1,	901,	2,	2),
(6738,	1,	901,	3,	2),
(6739,	1,	902,	1,	1),
(6740,	1,	902,	2,	1),
(6741,	1,	902,	3,	1),
(6742,	1,	902,	1,	3),
(6743,	1,	902,	2,	3),
(6744,	1,	902,	3,	3),
(6745,	1,	903,	1,	1),
(6746,	1,	903,	2,	1),
(6747,	1,	903,	3,	1),
(6748,	1,	903,	1,	2),
(6749,	1,	903,	2,	2),
(6750,	1,	903,	3,	2),
(6751,	1,	904,	1,	1),
(6752,	1,	904,	2,	1),
(6753,	1,	904,	3,	1),
(6754,	1,	904,	1,	2),
(6755,	1,	904,	2,	2),
(6756,	1,	904,	3,	2),
(6757,	1,	905,	1,	1),
(6758,	1,	905,	2,	1),
(6759,	1,	905,	3,	1),
(6760,	1,	905,	1,	3),
(6761,	1,	905,	2,	3),
(6762,	1,	905,	3,	3),
(6763,	1,	906,	1,	1),
(6764,	1,	906,	2,	1),
(6765,	1,	906,	3,	1),
(6766,	1,	906,	1,	2),
(6767,	1,	906,	2,	2),
(6768,	1,	906,	3,	2),
(6769,	1,	907,	1,	1),
(6770,	1,	907,	2,	1),
(6771,	1,	907,	3,	1),
(6772,	1,	907,	1,	2),
(6773,	1,	907,	2,	2),
(6774,	1,	907,	3,	2),
(6775,	1,	908,	1,	1),
(6776,	1,	908,	2,	1),
(6777,	1,	908,	3,	1),
(6778,	1,	908,	1,	2),
(6779,	1,	908,	2,	2),
(6780,	1,	908,	3,	2),
(6781,	1,	909,	1,	1),
(6782,	1,	909,	2,	1),
(6783,	1,	909,	3,	1),
(6784,	1,	909,	1,	2),
(6785,	1,	909,	2,	2),
(6786,	1,	909,	3,	2),
(6787,	1,	910,	1,	1),
(6788,	1,	910,	2,	1),
(6789,	1,	910,	3,	1),
(6790,	1,	910,	1,	3),
(6791,	1,	910,	2,	3),
(6792,	1,	910,	3,	3),
(6793,	1,	911,	1,	1),
(6794,	1,	911,	2,	1),
(6795,	1,	911,	3,	1),
(6796,	1,	911,	1,	2),
(6797,	1,	911,	2,	2),
(6798,	1,	911,	3,	2),
(6799,	1,	912,	1,	1),
(6800,	1,	912,	2,	1),
(6801,	1,	912,	3,	1),
(6802,	1,	912,	1,	2),
(6803,	1,	912,	2,	2),
(6804,	1,	912,	3,	2),
(6805,	1,	913,	1,	1),
(6806,	1,	913,	2,	1),
(6807,	1,	913,	3,	1),
(6808,	1,	913,	1,	2),
(6809,	1,	913,	2,	2),
(6810,	1,	913,	3,	2),
(6811,	1,	914,	1,	1),
(6812,	1,	914,	2,	1),
(6813,	1,	914,	3,	1),
(6814,	1,	914,	1,	2),
(6815,	1,	914,	2,	2),
(6816,	1,	914,	3,	2),
(6817,	1,	915,	1,	1),
(6818,	1,	915,	2,	1),
(6819,	1,	915,	3,	1),
(6820,	1,	915,	1,	3),
(6821,	1,	915,	2,	3),
(6822,	1,	915,	3,	3),
(6823,	1,	916,	1,	1),
(6824,	1,	916,	2,	1),
(6825,	1,	916,	3,	1),
(6826,	1,	916,	1,	2),
(6827,	1,	916,	2,	2),
(6828,	1,	916,	3,	2),
(6829,	1,	917,	1,	1),
(6830,	1,	917,	2,	1),
(6831,	1,	917,	3,	1),
(6832,	1,	917,	1,	2),
(6833,	1,	917,	2,	2),
(6834,	1,	917,	3,	2),
(6835,	1,	918,	1,	1),
(6836,	1,	918,	2,	1),
(6837,	1,	918,	3,	1),
(6838,	1,	918,	1,	2),
(6839,	1,	918,	2,	2),
(6840,	1,	918,	3,	2),
(6841,	1,	919,	1,	1),
(6842,	1,	919,	2,	1),
(6843,	1,	919,	3,	1),
(6844,	1,	919,	1,	2),
(6845,	1,	919,	2,	2),
(6846,	1,	919,	3,	2),
(6847,	1,	920,	1,	1),
(6848,	1,	920,	2,	1),
(6849,	1,	920,	3,	1),
(6850,	1,	920,	1,	2),
(6851,	1,	920,	2,	2),
(6852,	1,	920,	3,	2),
(6853,	1,	921,	1,	1),
(6854,	1,	921,	2,	1),
(6855,	1,	921,	3,	1),
(6856,	1,	921,	1,	3),
(6857,	1,	921,	2,	3),
(6858,	1,	921,	3,	3),
(6859,	1,	922,	1,	1),
(6860,	1,	922,	2,	1),
(6861,	1,	922,	3,	1),
(6862,	1,	922,	1,	2),
(6863,	1,	922,	2,	2),
(6864,	1,	922,	3,	2),
(6865,	1,	923,	1,	1),
(6866,	1,	923,	2,	1),
(6867,	1,	923,	3,	1),
(6868,	1,	923,	1,	2),
(6869,	1,	923,	2,	2),
(6870,	1,	923,	3,	2),
(6871,	1,	924,	1,	1),
(6872,	1,	924,	2,	1),
(6873,	1,	924,	3,	1),
(6874,	1,	924,	1,	2),
(6875,	1,	924,	2,	2),
(6876,	1,	924,	3,	2),
(6877,	1,	925,	1,	1),
(6878,	1,	925,	2,	1),
(6879,	1,	925,	3,	1),
(6880,	1,	925,	1,	2),
(6881,	1,	925,	2,	2),
(6882,	1,	925,	3,	2),
(6883,	1,	926,	1,	1),
(6884,	1,	926,	2,	1),
(6885,	1,	926,	3,	1),
(6886,	1,	926,	1,	3),
(6887,	1,	926,	2,	3),
(6888,	1,	926,	3,	3),
(6889,	1,	927,	1,	1),
(6890,	1,	927,	2,	1),
(6891,	1,	927,	3,	1),
(6892,	1,	927,	1,	2),
(6893,	1,	927,	2,	2),
(6894,	1,	927,	3,	2),
(6895,	1,	928,	1,	1),
(6896,	1,	928,	2,	1),
(6897,	1,	928,	3,	1),
(6898,	1,	928,	1,	2),
(6899,	1,	928,	2,	2),
(6900,	1,	928,	3,	2),
(6901,	1,	929,	1,	1),
(6902,	1,	929,	2,	1),
(6903,	1,	929,	3,	1),
(6904,	1,	929,	1,	2),
(6905,	1,	929,	2,	2),
(6906,	1,	929,	3,	2),
(6907,	1,	930,	1,	1),
(6908,	1,	930,	2,	1),
(6909,	1,	930,	3,	1),
(6910,	1,	930,	1,	2),
(6911,	1,	930,	2,	2),
(6912,	1,	930,	3,	2),
(6913,	1,	931,	1,	1),
(6914,	1,	931,	2,	1),
(6915,	1,	931,	3,	1),
(6916,	1,	931,	1,	3),
(6917,	1,	931,	2,	3),
(6918,	1,	931,	3,	3),
(6919,	1,	932,	1,	1),
(6920,	1,	932,	2,	1),
(6921,	1,	932,	3,	1),
(6922,	1,	932,	1,	2),
(6923,	1,	932,	2,	2),
(6924,	1,	932,	3,	2),
(6925,	1,	933,	1,	1),
(6926,	1,	933,	2,	1),
(6927,	1,	933,	3,	1),
(6928,	1,	933,	1,	2),
(6929,	1,	933,	2,	2),
(6930,	1,	933,	3,	2),
(6931,	1,	934,	1,	1),
(6932,	1,	934,	2,	1),
(6933,	1,	934,	3,	1),
(6934,	1,	934,	1,	2),
(6935,	1,	934,	2,	2),
(6936,	1,	934,	3,	2),
(6937,	1,	935,	1,	1),
(6938,	1,	935,	2,	1),
(6939,	1,	935,	3,	1),
(6940,	1,	935,	1,	2),
(6941,	1,	935,	2,	2),
(6942,	1,	935,	3,	2),
(6943,	1,	936,	1,	1),
(6944,	1,	936,	2,	1),
(6945,	1,	936,	3,	1),
(6946,	1,	936,	1,	3),
(6947,	1,	936,	2,	3),
(6948,	1,	936,	3,	3),
(6949,	1,	937,	1,	1),
(6950,	1,	937,	2,	1),
(6951,	1,	937,	3,	1),
(6952,	1,	937,	1,	2),
(6953,	1,	937,	2,	2),
(6954,	1,	937,	3,	2),
(6955,	1,	938,	1,	1),
(6956,	1,	938,	2,	1),
(6957,	1,	938,	3,	1),
(6958,	1,	938,	1,	2),
(6959,	1,	938,	2,	2),
(6960,	1,	938,	3,	2),
(6961,	1,	939,	1,	1),
(6962,	1,	939,	2,	1),
(6963,	1,	939,	3,	1),
(6964,	1,	940,	1,	1),
(6965,	1,	940,	2,	1),
(6966,	1,	940,	3,	1),
(6967,	1,	941,	1,	1),
(6968,	1,	941,	2,	1),
(6969,	1,	941,	3,	1),
(6970,	1,	942,	1,	1),
(6971,	1,	942,	2,	1),
(6972,	1,	942,	3,	1),
(6973,	1,	943,	1,	1),
(6974,	1,	943,	2,	1),
(6975,	1,	943,	3,	1),
(6976,	1,	943,	1,	2),
(6977,	1,	943,	2,	2),
(6978,	1,	943,	3,	2),
(6979,	1,	944,	1,	1),
(6980,	1,	944,	2,	1),
(6981,	1,	944,	3,	1),
(6982,	1,	944,	1,	2),
(6983,	1,	944,	2,	2),
(6984,	1,	944,	3,	2),
(6985,	1,	945,	1,	1),
(6986,	1,	945,	2,	1),
(6987,	1,	945,	3,	1),
(6988,	1,	945,	1,	2),
(6989,	1,	945,	2,	2),
(6990,	1,	945,	3,	2),
(6991,	1,	946,	1,	1),
(6992,	1,	946,	2,	1),
(6993,	1,	946,	3,	1),
(6994,	1,	946,	1,	3),
(6995,	1,	946,	2,	3),
(6996,	1,	946,	3,	3),
(6997,	1,	947,	1,	1),
(6998,	1,	947,	2,	1),
(6999,	1,	947,	3,	1),
(7000,	1,	947,	1,	3),
(7001,	1,	947,	2,	3),
(7002,	1,	947,	3,	3),
(7003,	1,	948,	1,	1),
(7004,	1,	948,	2,	1),
(7005,	1,	948,	3,	1),
(7006,	1,	949,	1,	1),
(7007,	1,	949,	2,	1),
(7008,	1,	949,	3,	1),
(7009,	1,	949,	23,	1),
(7010,	1,	950,	1,	1),
(7011,	1,	950,	2,	1),
(7012,	1,	950,	3,	1),
(7013,	1,	950,	1,	3),
(7014,	1,	950,	2,	3),
(7015,	1,	950,	3,	3),
(7016,	1,	951,	1,	1),
(7017,	1,	951,	2,	1),
(7018,	1,	951,	3,	1),
(7019,	1,	951,	1,	3),
(7020,	1,	951,	2,	3),
(7021,	1,	951,	3,	3),
(7022,	1,	952,	1,	1),
(7023,	1,	952,	2,	1),
(7024,	1,	952,	3,	1),
(7025,	1,	952,	6,	1),
(7026,	1,	953,	1,	1),
(7027,	1,	953,	2,	1),
(7028,	1,	953,	3,	1),
(7029,	1,	954,	1,	1),
(7030,	1,	954,	2,	1),
(7031,	1,	954,	3,	1),
(7032,	1,	954,	6,	1),
(7033,	1,	954,	23,	1),
(7034,	1,	955,	1,	1),
(7035,	1,	955,	2,	1),
(7036,	1,	955,	3,	1),
(7037,	1,	956,	1,	1),
(7038,	1,	956,	2,	1),
(7039,	1,	956,	3,	1),
(7040,	1,	956,	1,	2),
(7041,	1,	956,	2,	2),
(7042,	1,	956,	3,	2),
(7043,	1,	957,	1,	1),
(7044,	1,	957,	2,	1),
(7045,	1,	957,	3,	1),
(7046,	1,	957,	6,	1),
(7047,	1,	957,	23,	1),
(7048,	1,	957,	1,	2),
(7049,	1,	957,	2,	2),
(7050,	1,	957,	3,	2),
(7051,	1,	957,	6,	2),
(7052,	1,	957,	23,	2),
(7053,	1,	958,	1,	1),
(7054,	1,	958,	2,	1),
(7055,	1,	958,	3,	1),
(7056,	1,	958,	1,	2),
(7057,	1,	958,	2,	2),
(7058,	1,	958,	3,	2),
(7059,	1,	959,	1,	1),
(7060,	1,	959,	2,	1),
(7061,	1,	959,	3,	1),
(7062,	1,	959,	1,	2),
(7063,	1,	959,	2,	2),
(7064,	1,	959,	3,	2),
(7065,	1,	960,	1,	1),
(7066,	1,	960,	2,	1),
(7067,	1,	960,	3,	1),
(7068,	1,	960,	1,	2),
(7069,	1,	960,	2,	2),
(7070,	1,	960,	3,	2),
(7071,	1,	961,	1,	1),
(7072,	1,	961,	2,	1),
(7073,	1,	961,	3,	1),
(7074,	1,	961,	1,	2),
(7075,	1,	961,	2,	2),
(7076,	1,	961,	3,	2),
(7077,	1,	962,	1,	1),
(7078,	1,	962,	2,	1),
(7079,	1,	962,	3,	1),
(7080,	1,	963,	1,	1),
(7081,	1,	963,	2,	1),
(7082,	1,	963,	3,	1),
(7083,	1,	964,	1,	1),
(7084,	1,	964,	2,	1),
(7085,	1,	964,	3,	1),
(7086,	1,	964,	1,	2),
(7087,	1,	964,	2,	2),
(7088,	1,	964,	3,	2),
(7089,	1,	965,	1,	1),
(7090,	1,	965,	2,	1),
(7091,	1,	965,	3,	1),
(7092,	1,	965,	1,	2),
(7093,	1,	965,	2,	2),
(7094,	1,	965,	3,	2),
(7095,	1,	966,	1,	1),
(7096,	1,	966,	2,	1),
(7097,	1,	966,	3,	1),
(7098,	1,	967,	1,	1),
(7099,	1,	967,	2,	1),
(7100,	1,	967,	3,	1),
(7101,	1,	968,	1,	1),
(7102,	1,	968,	2,	1),
(7103,	1,	968,	3,	1),
(7104,	1,	969,	1,	1),
(7105,	1,	969,	2,	1),
(7106,	1,	969,	3,	1),
(7107,	1,	969,	23,	1),
(7108,	1,	969,	1,	3),
(7109,	1,	969,	2,	3),
(7110,	1,	969,	3,	3),
(7111,	1,	969,	23,	3),
(7112,	1,	970,	1,	1),
(7113,	1,	970,	2,	1),
(7114,	1,	970,	3,	1),
(7115,	1,	970,	6,	1),
(7116,	1,	970,	23,	1),
(7117,	1,	970,	1,	3),
(7118,	1,	970,	2,	3),
(7119,	1,	970,	3,	3),
(7120,	1,	970,	6,	3),
(7121,	1,	970,	23,	3),
(7122,	1,	971,	1,	1),
(7123,	1,	971,	2,	1),
(7124,	1,	971,	3,	1),
(7125,	1,	972,	1,	1),
(7126,	1,	972,	2,	1),
(7127,	1,	972,	3,	1),
(7128,	1,	972,	1,	3),
(7129,	1,	972,	2,	3),
(7130,	1,	972,	3,	3),
(7131,	1,	973,	1,	1),
(7132,	1,	973,	2,	1),
(7133,	1,	973,	3,	1),
(7134,	1,	973,	6,	1),
(7135,	1,	973,	1,	3),
(7136,	1,	973,	2,	3),
(7137,	1,	973,	3,	3),
(7138,	1,	973,	6,	3),
(7139,	1,	974,	1,	1),
(7140,	1,	974,	2,	1),
(7141,	1,	974,	3,	1),
(7142,	1,	974,	6,	1),
(7143,	1,	974,	1,	3),
(7144,	1,	974,	2,	3),
(7145,	1,	974,	3,	3),
(7146,	1,	974,	6,	3),
(7147,	1,	975,	1,	1),
(7148,	1,	975,	2,	1),
(7149,	1,	975,	3,	1),
(7150,	1,	976,	1,	1),
(7151,	1,	976,	2,	1),
(7152,	1,	976,	3,	1),
(7153,	1,	977,	1,	1),
(7154,	1,	977,	2,	1),
(7155,	1,	977,	3,	1),
(7156,	1,	978,	1,	1),
(7157,	1,	978,	2,	1),
(7158,	1,	978,	3,	1),
(7159,	1,	978,	6,	1),
(7160,	1,	978,	1,	3),
(7161,	1,	978,	2,	3),
(7162,	1,	978,	3,	3),
(7163,	1,	978,	6,	3),
(7164,	1,	979,	1,	1),
(7165,	1,	979,	2,	1),
(7166,	1,	979,	3,	1),
(7167,	1,	979,	6,	1),
(7168,	1,	979,	1,	3),
(7169,	1,	979,	2,	3),
(7170,	1,	979,	3,	3),
(7171,	1,	979,	6,	3),
(7172,	1,	980,	1,	1),
(7173,	1,	980,	2,	1),
(7174,	1,	980,	3,	1),
(7175,	1,	981,	1,	1),
(7176,	1,	981,	2,	1),
(7177,	1,	981,	3,	1),
(7178,	1,	982,	1,	1),
(7179,	1,	982,	2,	1),
(7180,	1,	982,	3,	1),
(7181,	1,	982,	1,	3),
(7182,	1,	982,	2,	3),
(7183,	1,	982,	3,	3),
(7184,	1,	983,	1,	1),
(7185,	1,	983,	2,	1),
(7186,	1,	983,	3,	1),
(7187,	1,	983,	6,	1),
(7188,	1,	983,	1,	3),
(7189,	1,	983,	2,	3),
(7190,	1,	983,	3,	3),
(7191,	1,	983,	6,	3),
(7192,	1,	984,	1,	1),
(7193,	1,	984,	2,	1),
(7194,	1,	984,	3,	1),
(7195,	1,	984,	6,	1),
(7196,	1,	984,	1,	3),
(7197,	1,	984,	2,	3),
(7198,	1,	984,	3,	3),
(7199,	1,	984,	6,	3),
(7200,	1,	985,	1,	1),
(7201,	1,	985,	2,	1),
(7202,	1,	985,	3,	1),
(7203,	1,	986,	1,	1),
(7204,	1,	986,	2,	1),
(7205,	1,	986,	3,	1),
(7206,	1,	987,	1,	1),
(7207,	1,	987,	2,	1),
(7208,	1,	987,	3,	1),
(7209,	1,	988,	1,	1),
(7210,	1,	988,	2,	1),
(7211,	1,	988,	3,	1),
(7212,	1,	989,	1,	1),
(7213,	1,	989,	2,	1),
(7214,	1,	989,	3,	1),
(7215,	1,	989,	6,	1),
(7216,	1,	989,	23,	1),
(7217,	1,	990,	1,	1),
(7218,	1,	990,	2,	1),
(7219,	1,	990,	3,	1),
(7220,	1,	990,	1,	2),
(7221,	1,	990,	2,	2),
(7222,	1,	990,	3,	2),
(7223,	1,	991,	1,	1),
(7224,	1,	991,	2,	1),
(7225,	1,	991,	3,	1),
(7226,	1,	991,	1,	2),
(7227,	1,	991,	2,	2),
(7228,	1,	991,	3,	2),
(7229,	1,	992,	1,	1),
(7230,	1,	992,	2,	1),
(7231,	1,	992,	3,	1),
(7232,	1,	993,	1,	1),
(7233,	1,	993,	2,	1),
(7234,	1,	993,	3,	1),
(7235,	1,	993,	6,	1),
(7236,	1,	994,	1,	1),
(7237,	1,	994,	2,	1),
(7238,	1,	994,	3,	1),
(7239,	1,	995,	1,	1),
(7240,	1,	995,	2,	1),
(7241,	1,	995,	3,	1),
(7242,	1,	996,	1,	1),
(7243,	1,	996,	2,	1),
(7244,	1,	996,	3,	1),
(7245,	1,	996,	1,	2),
(7246,	1,	996,	2,	2),
(7247,	1,	996,	3,	2),
(7248,	1,	997,	1,	1),
(7249,	1,	997,	2,	1),
(7250,	1,	997,	3,	1),
(7251,	1,	998,	1,	1),
(7252,	1,	998,	2,	1),
(7253,	1,	998,	3,	1),
(7254,	1,	998,	1,	2),
(7255,	1,	998,	2,	2),
(7256,	1,	998,	3,	2),
(7257,	1,	999,	1,	1),
(7258,	1,	999,	2,	1),
(7259,	1,	999,	3,	1),
(7260,	1,	999,	1,	2),
(7261,	1,	999,	2,	2),
(7262,	1,	999,	3,	2),
(7263,	1,	1000,	1,	1),
(7264,	1,	1000,	2,	1),
(7265,	1,	1000,	3,	1),
(7266,	1,	1001,	1,	1),
(7267,	1,	1001,	2,	1),
(7268,	1,	1001,	3,	1),
(7269,	1,	1001,	1,	2),
(7270,	1,	1001,	2,	2),
(7271,	1,	1001,	3,	2),
(7272,	1,	1002,	1,	1),
(7273,	1,	1002,	2,	1),
(7274,	1,	1002,	3,	1),
(7275,	1,	1003,	1,	1),
(7276,	1,	1003,	2,	1),
(7277,	1,	1003,	3,	1),
(7278,	1,	1004,	1,	1),
(7279,	1,	1004,	2,	1),
(7280,	1,	1004,	3,	1),
(7281,	1,	1004,	1,	2),
(7282,	1,	1004,	2,	2),
(7283,	1,	1004,	3,	2),
(7284,	1,	1005,	1,	1),
(7285,	1,	1005,	2,	1),
(7286,	1,	1005,	3,	1),
(7287,	1,	1006,	1,	1),
(7288,	1,	1006,	2,	1),
(7289,	1,	1006,	3,	1),
(7290,	1,	1007,	1,	1),
(7291,	1,	1007,	2,	1),
(7292,	1,	1007,	3,	1),
(7293,	1,	1008,	1,	1),
(7294,	1,	1008,	2,	1),
(7295,	1,	1008,	3,	1),
(7296,	1,	1009,	1,	1),
(7297,	1,	1009,	2,	1),
(7298,	1,	1009,	3,	1),
(7299,	1,	1010,	1,	1),
(7300,	1,	1010,	2,	1),
(7301,	1,	1010,	3,	1),
(7302,	1,	1011,	1,	1),
(7303,	1,	1011,	2,	1),
(7304,	1,	1011,	3,	1),
(7305,	1,	1012,	1,	1),
(7306,	1,	1012,	2,	1),
(7307,	1,	1012,	3,	1),
(7308,	1,	1012,	1,	2),
(7309,	1,	1012,	2,	2),
(7310,	1,	1012,	3,	2),
(7311,	1,	1013,	1,	1),
(7312,	1,	1013,	2,	1),
(7313,	1,	1013,	3,	1),
(7314,	1,	1014,	1,	1),
(7315,	1,	1014,	2,	1),
(7316,	1,	1014,	3,	1),
(7317,	1,	1014,	6,	1),
(7318,	1,	1015,	1,	1),
(7319,	1,	1015,	2,	1),
(7320,	1,	1015,	3,	1),
(7321,	1,	1015,	1,	2),
(7322,	1,	1015,	2,	2),
(7323,	1,	1015,	3,	2),
(7324,	1,	1016,	1,	1),
(7325,	1,	1016,	2,	1),
(7326,	1,	1016,	3,	1),
(7327,	1,	1017,	1,	1),
(7328,	1,	1017,	2,	1),
(7329,	1,	1017,	3,	1),
(7330,	1,	1017,	1,	2),
(7331,	1,	1017,	2,	2),
(7332,	1,	1017,	3,	2),
(7333,	1,	1018,	1,	1),
(7334,	1,	1018,	2,	1),
(7335,	1,	1018,	3,	1),
(7336,	1,	1019,	1,	1),
(7337,	1,	1019,	2,	1),
(7338,	1,	1019,	3,	1),
(7339,	1,	1020,	1,	1),
(7340,	1,	1020,	2,	1),
(7341,	1,	1020,	3,	1),
(7342,	1,	1021,	1,	1),
(7343,	1,	1021,	2,	1),
(7344,	1,	1021,	3,	1),
(7345,	1,	1022,	1,	1),
(7346,	1,	1022,	2,	1),
(7347,	1,	1022,	3,	1),
(7348,	1,	1023,	1,	1),
(7349,	1,	1023,	2,	1),
(7350,	1,	1023,	3,	1),
(7351,	1,	1024,	1,	1),
(7352,	1,	1024,	2,	1),
(7353,	1,	1024,	3,	1),
(7354,	1,	1025,	1,	1),
(7355,	1,	1025,	2,	1),
(7356,	1,	1025,	3,	1),
(7357,	1,	1026,	1,	1),
(7358,	1,	1026,	2,	1),
(7359,	1,	1026,	3,	1),
(7360,	1,	1027,	1,	1),
(7361,	1,	1027,	2,	1),
(7362,	1,	1027,	3,	1),
(7363,	1,	1028,	1,	1),
(7364,	1,	1028,	2,	1),
(7365,	1,	1028,	3,	1),
(7366,	1,	1029,	1,	1),
(7367,	1,	1029,	2,	1),
(7368,	1,	1029,	3,	1),
(7369,	1,	1030,	1,	1),
(7370,	1,	1030,	2,	1),
(7371,	1,	1030,	3,	1),
(7372,	1,	1030,	1,	2),
(7373,	1,	1030,	2,	2),
(7374,	1,	1030,	3,	2),
(7375,	1,	1031,	1,	1),
(7376,	1,	1031,	2,	1),
(7377,	1,	1031,	3,	1),
(7378,	1,	1031,	1,	2),
(7379,	1,	1031,	2,	2),
(7380,	1,	1031,	3,	2),
(7381,	1,	1032,	1,	1),
(7382,	1,	1032,	2,	1),
(7383,	1,	1032,	3,	1),
(7384,	1,	1032,	1,	2),
(7385,	1,	1032,	2,	2),
(7386,	1,	1032,	3,	2),
(7387,	1,	1033,	1,	1),
(7388,	1,	1033,	2,	1),
(7389,	1,	1033,	3,	1),
(7390,	1,	1034,	1,	1),
(7391,	1,	1034,	2,	1),
(7392,	1,	1034,	3,	1),
(7393,	1,	1034,	1,	2),
(7394,	1,	1034,	2,	2),
(7395,	1,	1034,	3,	2),
(7396,	1,	1035,	1,	1),
(7397,	1,	1035,	2,	1),
(7398,	1,	1035,	3,	1),
(7399,	1,	1036,	1,	1),
(7400,	1,	1036,	2,	1),
(7401,	1,	1036,	3,	1),
(7402,	1,	1037,	1,	1),
(7403,	1,	1037,	2,	1),
(7404,	1,	1037,	3,	1),
(7405,	1,	1037,	1,	2),
(7406,	1,	1037,	2,	2),
(7407,	1,	1037,	3,	2),
(7408,	1,	1038,	1,	1),
(7409,	1,	1038,	2,	1),
(7410,	1,	1038,	3,	1),
(7411,	1,	1038,	1,	2),
(7412,	1,	1038,	2,	2),
(7413,	1,	1038,	3,	2),
(7414,	1,	1039,	1,	1),
(7415,	1,	1039,	2,	1),
(7416,	1,	1039,	3,	1),
(7417,	1,	1039,	1,	2),
(7418,	1,	1039,	2,	2),
(7419,	1,	1039,	3,	2),
(7420,	1,	1040,	1,	1),
(7421,	1,	1040,	2,	1),
(7422,	1,	1040,	3,	1),
(7423,	1,	1040,	1,	2),
(7424,	1,	1040,	2,	2),
(7425,	1,	1040,	3,	2),
(7426,	1,	1041,	1,	1),
(7427,	1,	1041,	2,	1),
(7428,	1,	1041,	3,	1),
(7429,	1,	1042,	1,	1),
(7430,	1,	1042,	2,	1),
(7431,	1,	1042,	3,	1),
(7432,	1,	1042,	1,	2),
(7433,	1,	1042,	2,	2),
(7434,	1,	1042,	3,	2),
(7435,	1,	1043,	1,	1),
(7436,	1,	1043,	2,	1),
(7437,	1,	1043,	3,	1),
(7438,	1,	1044,	1,	1),
(7439,	1,	1044,	2,	1),
(7440,	1,	1044,	3,	1),
(7441,	1,	1045,	1,	1),
(7442,	1,	1045,	2,	1),
(7443,	1,	1045,	3,	1),
(7444,	1,	1046,	1,	1),
(7445,	1,	1046,	2,	1),
(7446,	1,	1046,	3,	1),
(7447,	1,	1047,	1,	1),
(7448,	1,	1047,	2,	1),
(7449,	1,	1047,	3,	1),
(7450,	1,	1047,	1,	2),
(7451,	1,	1047,	2,	2),
(7452,	1,	1047,	3,	2),
(7453,	1,	1048,	1,	1),
(7454,	1,	1048,	2,	1),
(7455,	1,	1048,	3,	1),
(7456,	1,	1049,	1,	1),
(7457,	1,	1049,	2,	1),
(7458,	1,	1049,	3,	1),
(7459,	1,	1050,	1,	1),
(7460,	1,	1050,	2,	1),
(7461,	1,	1050,	3,	1),
(7462,	1,	1050,	1,	2),
(7463,	1,	1050,	2,	2),
(7464,	1,	1050,	3,	2),
(7465,	1,	1051,	1,	1),
(7466,	1,	1051,	2,	1),
(7467,	1,	1051,	3,	1),
(7468,	1,	1052,	1,	1),
(7469,	1,	1052,	2,	1),
(7470,	1,	1052,	3,	1),
(7471,	1,	1053,	1,	1),
(7472,	1,	1053,	2,	1),
(7473,	1,	1053,	3,	1),
(7474,	1,	1054,	1,	1),
(7475,	1,	1054,	2,	1),
(7476,	1,	1054,	3,	1),
(7477,	1,	1055,	1,	1),
(7478,	1,	1055,	2,	1),
(7479,	1,	1055,	3,	1),
(7480,	1,	1056,	1,	1),
(7481,	1,	1056,	2,	1),
(7482,	1,	1056,	3,	1),
(7483,	1,	1057,	1,	1),
(7484,	1,	1057,	2,	1),
(7485,	1,	1057,	3,	1),
(7486,	1,	1058,	1,	1),
(7487,	1,	1058,	2,	1),
(7488,	1,	1058,	3,	1),
(7489,	1,	1059,	1,	1),
(7490,	1,	1059,	2,	1),
(7491,	1,	1059,	3,	1),
(7492,	1,	1060,	1,	1),
(7493,	1,	1060,	2,	1),
(7494,	1,	1060,	3,	1),
(7495,	1,	1061,	1,	1),
(7496,	1,	1061,	2,	1),
(7497,	1,	1061,	3,	1),
(7498,	1,	1061,	1,	2),
(7499,	1,	1061,	2,	2),
(7500,	1,	1061,	3,	2),
(7501,	1,	1062,	1,	1),
(7502,	1,	1062,	2,	1),
(7503,	1,	1062,	3,	1),
(7504,	1,	1063,	1,	1),
(7505,	1,	1063,	2,	1),
(7506,	1,	1063,	3,	1),
(7507,	1,	1064,	1,	1),
(7508,	1,	1064,	2,	1),
(7509,	1,	1064,	3,	1),
(7510,	1,	1064,	1,	2),
(7511,	1,	1064,	2,	2),
(7512,	1,	1064,	3,	2),
(7513,	1,	1065,	1,	1),
(7514,	1,	1065,	2,	1),
(7515,	1,	1065,	3,	1),
(7516,	1,	1065,	1,	2),
(7517,	1,	1065,	2,	2),
(7518,	1,	1065,	3,	2),
(7519,	1,	1066,	1,	1),
(7520,	1,	1066,	2,	1),
(7521,	1,	1066,	3,	1),
(7522,	1,	1066,	1,	2),
(7523,	1,	1066,	2,	2),
(7524,	1,	1066,	3,	2),
(7525,	1,	1067,	1,	1),
(7526,	1,	1067,	2,	1),
(7527,	1,	1067,	3,	1),
(7528,	1,	1067,	1,	2),
(7529,	1,	1067,	2,	2),
(7530,	1,	1067,	3,	2),
(7531,	1,	1068,	1,	1),
(7532,	1,	1068,	2,	1),
(7533,	1,	1068,	3,	1),
(7534,	1,	1068,	1,	2),
(7535,	1,	1068,	2,	2),
(7536,	1,	1068,	3,	2),
(7537,	1,	1069,	1,	1),
(7538,	1,	1069,	2,	1),
(7539,	1,	1069,	3,	1),
(7540,	1,	1069,	1,	2),
(7541,	1,	1069,	2,	2),
(7542,	1,	1069,	3,	2),
(7543,	1,	1070,	1,	1),
(7544,	1,	1070,	2,	1),
(7545,	1,	1070,	3,	1),
(7546,	1,	1070,	1,	2),
(7547,	1,	1070,	2,	2),
(7548,	1,	1070,	3,	2),
(7549,	1,	1071,	1,	1),
(7550,	1,	1071,	2,	1),
(7551,	1,	1071,	3,	1),
(7552,	1,	1072,	1,	1),
(7553,	1,	1072,	2,	1),
(7554,	1,	1072,	3,	1),
(7555,	1,	1072,	28,	1),
(7556,	1,	1072,	1,	3),
(7557,	1,	1072,	2,	3),
(7558,	1,	1072,	3,	3),
(7559,	1,	1072,	28,	3),
(7560,	1,	1073,	1,	1),
(7561,	1,	1073,	2,	1),
(7562,	1,	1073,	3,	1),
(7563,	1,	1073,	1,	3),
(7564,	1,	1073,	2,	3),
(7565,	1,	1073,	3,	3),
(7566,	1,	1074,	1,	1),
(7567,	1,	1074,	2,	1),
(7568,	1,	1074,	3,	1),
(7569,	1,	1074,	1,	3),
(7570,	1,	1074,	2,	3),
(7571,	1,	1074,	3,	3),
(7572,	1,	1075,	1,	1),
(7573,	1,	1075,	2,	1),
(7574,	1,	1075,	3,	1),
(7575,	1,	1075,	1,	3),
(7576,	1,	1075,	2,	3),
(7577,	1,	1075,	3,	3),
(7578,	1,	1076,	1,	1),
(7579,	1,	1076,	2,	1),
(7580,	1,	1076,	3,	1),
(7581,	1,	1076,	1,	3),
(7582,	1,	1076,	2,	3),
(7583,	1,	1076,	3,	3),
(7584,	1,	1077,	1,	1),
(7585,	1,	1077,	2,	1),
(7586,	1,	1077,	3,	1),
(7587,	1,	1077,	1,	3),
(7588,	1,	1077,	2,	3),
(7589,	1,	1077,	3,	3),
(7590,	1,	1078,	1,	1),
(7591,	1,	1078,	2,	1),
(7592,	1,	1078,	3,	1),
(7593,	1,	1078,	1,	2),
(7594,	1,	1078,	2,	2),
(7595,	1,	1078,	3,	2),
(7596,	1,	1079,	1,	1),
(7597,	1,	1079,	2,	1),
(7598,	1,	1079,	3,	1),
(7599,	1,	1079,	1,	2),
(7600,	1,	1079,	2,	2),
(7601,	1,	1079,	3,	2),
(7602,	1,	1080,	1,	1),
(7603,	1,	1080,	2,	1),
(7604,	1,	1080,	3,	1),
(7605,	1,	1081,	1,	1),
(7606,	1,	1081,	2,	1),
(7607,	1,	1081,	3,	1),
(7608,	1,	1081,	1,	2),
(7609,	1,	1081,	2,	2),
(7610,	1,	1081,	3,	2),
(7611,	1,	1082,	1,	1),
(7612,	1,	1082,	2,	1),
(7613,	1,	1082,	3,	1),
(7614,	1,	1082,	1,	2),
(7615,	1,	1082,	2,	2),
(7616,	1,	1082,	3,	2),
(7617,	1,	1083,	1,	1),
(7618,	1,	1083,	2,	1),
(7619,	1,	1083,	3,	1),
(7620,	1,	1083,	1,	2),
(7621,	1,	1083,	2,	2),
(7622,	1,	1083,	3,	2),
(7623,	1,	1084,	1,	1),
(7624,	1,	1084,	2,	1),
(7625,	1,	1084,	3,	1),
(7626,	1,	1084,	1,	2),
(7627,	1,	1084,	2,	2),
(7628,	1,	1084,	3,	2),
(7629,	1,	1085,	1,	1),
(7630,	1,	1085,	2,	1),
(7631,	1,	1085,	3,	1),
(7632,	1,	1086,	1,	1),
(7633,	1,	1086,	2,	1),
(7634,	1,	1086,	3,	1),
(7635,	1,	1086,	1,	2),
(7636,	1,	1086,	2,	2),
(7637,	1,	1086,	3,	2),
(7638,	1,	1087,	1,	1),
(7639,	1,	1087,	2,	1),
(7640,	1,	1087,	3,	1),
(7641,	1,	1087,	1,	2),
(7642,	1,	1087,	2,	2),
(7643,	1,	1087,	3,	2),
(7644,	1,	1088,	1,	1),
(7645,	1,	1088,	2,	1),
(7646,	1,	1088,	3,	1),
(7647,	1,	1088,	1,	2),
(7648,	1,	1088,	2,	2),
(7649,	1,	1088,	3,	2),
(7650,	1,	1089,	1,	1),
(7651,	1,	1089,	2,	1),
(7652,	1,	1089,	3,	1),
(7653,	1,	1090,	1,	1),
(7654,	1,	1090,	2,	1),
(7655,	1,	1090,	3,	1),
(7656,	1,	1090,	1,	2),
(7657,	1,	1090,	2,	2),
(7658,	1,	1090,	3,	2),
(7659,	1,	1091,	1,	1),
(7660,	1,	1091,	2,	1),
(7661,	1,	1091,	3,	1),
(7662,	1,	1091,	1,	2),
(7663,	1,	1091,	2,	2),
(7664,	1,	1091,	3,	2),
(7665,	1,	1092,	1,	1),
(7666,	1,	1092,	2,	1),
(7667,	1,	1092,	3,	1),
(7668,	1,	1093,	1,	1),
(7669,	1,	1093,	2,	1),
(7670,	1,	1093,	3,	1),
(7671,	1,	1093,	1,	2),
(7672,	1,	1093,	2,	2),
(7673,	1,	1093,	3,	2),
(7674,	1,	1094,	1,	1),
(7675,	1,	1094,	2,	1),
(7676,	1,	1094,	3,	1),
(7677,	1,	1094,	1,	2),
(7678,	1,	1094,	2,	2),
(7679,	1,	1094,	3,	2),
(7680,	1,	1095,	1,	1),
(7681,	1,	1095,	2,	1),
(7682,	1,	1095,	3,	1),
(7683,	1,	1095,	1,	2),
(7684,	1,	1095,	2,	2),
(7685,	1,	1095,	3,	2),
(7686,	1,	1096,	1,	1),
(7687,	1,	1096,	2,	1),
(7688,	1,	1096,	3,	1),
(7689,	1,	1097,	1,	1),
(7690,	1,	1097,	2,	1),
(7691,	1,	1097,	3,	1),
(7692,	1,	1097,	1,	2),
(7693,	1,	1097,	2,	2),
(7694,	1,	1097,	3,	2),
(7695,	1,	1098,	1,	1),
(7696,	1,	1098,	2,	1),
(7697,	1,	1098,	3,	1),
(7698,	1,	1098,	1,	2),
(7699,	1,	1098,	2,	2),
(7700,	1,	1098,	3,	2),
(7701,	1,	1099,	1,	1),
(7702,	1,	1099,	2,	1),
(7703,	1,	1099,	3,	1),
(7704,	1,	1099,	1,	2),
(7705,	1,	1099,	2,	2),
(7706,	1,	1099,	3,	2),
(7707,	1,	1100,	1,	1),
(7708,	1,	1100,	2,	1),
(7709,	1,	1100,	3,	1),
(7710,	1,	1100,	1,	2),
(7711,	1,	1100,	2,	2),
(7712,	1,	1100,	3,	2),
(7713,	1,	1101,	1,	1),
(7714,	1,	1101,	2,	1),
(7715,	1,	1101,	3,	1),
(7716,	1,	1102,	1,	1),
(7717,	1,	1102,	2,	1),
(7718,	1,	1102,	3,	1),
(7719,	1,	1102,	1,	2),
(7720,	1,	1102,	2,	2),
(7721,	1,	1102,	3,	2),
(7722,	1,	1103,	1,	1),
(7723,	1,	1103,	2,	1),
(7724,	1,	1103,	3,	1),
(7725,	1,	1103,	1,	2),
(7726,	1,	1103,	2,	2),
(7727,	1,	1103,	3,	2),
(7728,	1,	1104,	1,	1),
(7729,	1,	1104,	2,	1),
(7730,	1,	1104,	3,	1),
(7731,	1,	1104,	1,	2),
(7732,	1,	1104,	2,	2),
(7733,	1,	1104,	3,	2),
(7734,	1,	1105,	1,	1),
(7735,	1,	1105,	2,	1),
(7736,	1,	1105,	3,	1),
(7737,	1,	1105,	1,	2),
(7738,	1,	1105,	2,	2),
(7739,	1,	1105,	3,	2),
(7740,	1,	1106,	1,	1),
(7741,	1,	1106,	2,	1),
(7742,	1,	1106,	3,	1),
(7743,	1,	1106,	1,	2),
(7744,	1,	1106,	2,	2),
(7745,	1,	1106,	3,	2),
(7746,	1,	1107,	1,	1),
(7747,	1,	1107,	2,	1),
(7748,	1,	1107,	3,	1),
(7749,	1,	1108,	1,	1),
(7750,	1,	1108,	2,	1),
(7751,	1,	1108,	3,	1),
(7752,	1,	1108,	1,	2),
(7753,	1,	1108,	2,	2),
(7754,	1,	1108,	3,	2),
(7755,	1,	1109,	1,	1),
(7756,	1,	1109,	2,	1),
(7757,	1,	1109,	3,	1),
(7758,	1,	1109,	1,	2),
(7759,	1,	1109,	2,	2),
(7760,	1,	1109,	3,	2),
(7761,	1,	1110,	1,	1),
(7762,	1,	1110,	2,	1),
(7763,	1,	1110,	3,	1),
(7764,	1,	1110,	1,	2),
(7765,	1,	1110,	2,	2),
(7766,	1,	1110,	3,	2),
(7767,	1,	1111,	1,	1),
(7768,	1,	1111,	2,	1),
(7769,	1,	1111,	3,	1),
(7770,	1,	1111,	1,	2),
(7771,	1,	1111,	2,	2),
(7772,	1,	1111,	3,	2),
(7773,	1,	1112,	1,	1),
(7774,	1,	1112,	2,	1),
(7775,	1,	1112,	3,	1),
(7776,	1,	1113,	1,	1),
(7777,	1,	1113,	2,	1),
(7778,	1,	1113,	3,	1),
(7779,	1,	1113,	1,	2),
(7780,	1,	1113,	2,	2),
(7781,	1,	1113,	3,	2),
(7782,	1,	1114,	1,	1),
(7783,	1,	1114,	2,	1),
(7784,	1,	1114,	3,	1),
(7785,	1,	1114,	1,	2),
(7786,	1,	1114,	2,	2),
(7787,	1,	1114,	3,	2),
(7788,	1,	1115,	1,	1),
(7789,	1,	1115,	2,	1),
(7790,	1,	1115,	3,	1),
(7791,	1,	1115,	1,	2),
(7792,	1,	1115,	2,	2),
(7793,	1,	1115,	3,	2),
(7794,	1,	1116,	1,	1),
(7795,	1,	1116,	2,	1),
(7796,	1,	1116,	3,	1),
(7797,	1,	1116,	1,	2),
(7798,	1,	1116,	2,	2),
(7799,	1,	1116,	3,	2),
(7800,	1,	1117,	1,	1),
(7801,	1,	1117,	2,	1),
(7802,	1,	1117,	3,	1),
(7803,	1,	1117,	1,	2),
(7804,	1,	1117,	2,	2),
(7805,	1,	1117,	3,	2),
(7806,	1,	1118,	1,	1),
(7807,	1,	1118,	2,	1),
(7808,	1,	1118,	3,	1),
(7809,	1,	1118,	1,	2),
(7810,	1,	1118,	2,	2),
(7811,	1,	1118,	3,	2),
(7812,	1,	1119,	1,	1),
(7813,	1,	1119,	2,	1),
(7814,	1,	1119,	3,	1),
(7815,	1,	1120,	1,	1),
(7816,	1,	1120,	2,	1),
(7817,	1,	1120,	3,	1),
(7818,	1,	1120,	1,	2),
(7819,	1,	1120,	2,	2),
(7820,	1,	1120,	3,	2),
(7821,	1,	1121,	1,	1),
(7822,	1,	1121,	2,	1),
(7823,	1,	1121,	3,	1),
(7824,	1,	1121,	1,	2),
(7825,	1,	1121,	2,	2),
(7826,	1,	1121,	3,	2),
(7827,	1,	1122,	1,	1),
(7828,	1,	1122,	2,	1),
(7829,	1,	1122,	3,	1),
(7830,	1,	1122,	1,	2),
(7831,	1,	1122,	2,	2),
(7832,	1,	1122,	3,	2),
(7833,	1,	1123,	1,	1),
(7834,	1,	1123,	2,	1),
(7835,	1,	1123,	3,	1),
(7836,	1,	1123,	1,	2),
(7837,	1,	1123,	2,	2),
(7838,	1,	1123,	3,	2),
(7839,	1,	1124,	1,	1),
(7840,	1,	1124,	2,	1),
(7841,	1,	1124,	3,	1),
(7842,	1,	1125,	1,	1),
(7843,	1,	1125,	2,	1),
(7844,	1,	1125,	3,	1),
(7845,	1,	1125,	1,	2),
(7846,	1,	1125,	2,	2),
(7847,	1,	1125,	3,	2),
(7848,	1,	1126,	1,	1),
(7849,	1,	1126,	2,	1),
(7850,	1,	1126,	3,	1),
(7851,	1,	1126,	1,	2),
(7852,	1,	1126,	2,	2),
(7853,	1,	1126,	3,	2),
(7854,	1,	1127,	1,	1),
(7855,	1,	1127,	2,	1),
(7856,	1,	1127,	3,	1),
(7857,	1,	1128,	1,	1),
(7858,	1,	1128,	2,	1),
(7859,	1,	1128,	3,	1),
(7860,	1,	1128,	1,	2),
(7861,	1,	1128,	2,	2),
(7862,	1,	1128,	3,	2),
(7863,	1,	1129,	1,	1),
(7864,	1,	1129,	2,	1),
(7865,	1,	1129,	3,	1),
(7866,	1,	1129,	1,	3),
(7867,	1,	1129,	2,	3),
(7868,	1,	1129,	3,	3),
(7869,	1,	1130,	1,	1),
(7870,	1,	1130,	2,	1),
(7871,	1,	1130,	3,	1),
(7872,	1,	1130,	1,	3),
(7873,	1,	1130,	2,	3),
(7874,	1,	1130,	3,	3),
(7875,	1,	1131,	1,	1),
(7876,	1,	1131,	2,	1),
(7877,	1,	1131,	3,	1),
(7878,	1,	1131,	23,	1),
(7879,	1,	1131,	4,	1),
(7880,	1,	1131,	25,	1),
(7881,	1,	1131,	24,	1),
(7882,	1,	1131,	6,	1),
(7883,	1,	1131,	1,	3),
(7884,	1,	1131,	2,	3),
(7885,	1,	1131,	3,	3),
(7886,	1,	1131,	23,	3),
(7887,	1,	1131,	4,	3),
(7888,	1,	1131,	25,	3),
(7889,	1,	1131,	24,	3),
(7890,	1,	1131,	6,	3),
(7891,	1,	1132,	1,	1),
(7892,	1,	1132,	2,	1),
(7893,	1,	1132,	3,	1),
(7894,	1,	1132,	23,	1),
(7895,	1,	1132,	4,	1),
(7896,	1,	1132,	25,	1),
(7897,	1,	1132,	24,	1),
(7898,	1,	1132,	6,	1),
(7899,	1,	1132,	1,	3),
(7900,	1,	1132,	2,	3),
(7901,	1,	1132,	3,	3),
(7902,	1,	1132,	23,	3),
(7903,	1,	1132,	4,	3),
(7904,	1,	1132,	25,	3),
(7905,	1,	1132,	24,	3),
(7906,	1,	1132,	6,	3),
(7907,	1,	1133,	1,	1),
(7908,	1,	1133,	2,	1),
(7909,	1,	1133,	3,	1),
(7910,	1,	1133,	23,	1),
(7911,	1,	1133,	4,	1),
(7912,	1,	1133,	25,	1),
(7913,	1,	1133,	24,	1),
(7914,	1,	1133,	6,	1),
(7915,	1,	1133,	1,	3),
(7916,	1,	1133,	2,	3),
(7917,	1,	1133,	3,	3),
(7918,	1,	1133,	23,	3),
(7919,	1,	1133,	4,	3),
(7920,	1,	1133,	25,	3),
(7921,	1,	1133,	24,	3),
(7922,	1,	1133,	6,	3),
(7923,	1,	1134,	1,	1),
(7924,	1,	1134,	2,	1),
(7925,	1,	1134,	3,	1),
(7926,	1,	1134,	23,	1),
(7927,	1,	1134,	4,	1),
(7928,	1,	1134,	25,	1),
(7929,	1,	1134,	24,	1),
(7930,	1,	1134,	6,	1),
(7931,	1,	1134,	1,	3),
(7932,	1,	1134,	2,	3),
(7933,	1,	1134,	3,	3),
(7934,	1,	1134,	23,	3),
(7935,	1,	1134,	4,	3),
(7936,	1,	1134,	25,	3),
(7937,	1,	1134,	24,	3),
(7938,	1,	1134,	6,	3),
(7939,	1,	1135,	1,	1),
(7940,	1,	1135,	2,	1),
(7941,	1,	1135,	3,	1),
(7942,	1,	1135,	23,	1),
(7943,	1,	1135,	4,	1),
(7944,	1,	1135,	25,	1),
(7945,	1,	1135,	24,	1),
(7946,	1,	1135,	6,	1),
(7947,	1,	1135,	1,	3),
(7948,	1,	1135,	2,	3),
(7949,	1,	1135,	3,	3),
(7950,	1,	1135,	23,	3),
(7951,	1,	1135,	4,	3),
(7952,	1,	1135,	25,	3),
(7953,	1,	1135,	24,	3),
(7954,	1,	1135,	6,	3),
(7955,	1,	1136,	1,	1),
(7956,	1,	1136,	2,	1),
(7957,	1,	1136,	3,	1),
(7958,	1,	1136,	23,	1),
(7959,	1,	1136,	4,	1),
(7960,	1,	1136,	25,	1),
(7961,	1,	1136,	24,	1),
(7962,	1,	1136,	6,	1),
(7963,	1,	1136,	1,	3),
(7964,	1,	1136,	2,	3),
(7965,	1,	1136,	3,	3),
(7966,	1,	1136,	23,	3),
(7967,	1,	1136,	4,	3),
(7968,	1,	1136,	25,	3),
(7969,	1,	1136,	24,	3),
(7970,	1,	1136,	6,	3),
(7971,	1,	1137,	1,	1),
(7972,	1,	1137,	2,	1),
(7973,	1,	1137,	3,	1),
(7974,	1,	1137,	1,	2),
(7975,	1,	1137,	2,	2),
(7976,	1,	1137,	3,	2),
(7977,	1,	1138,	1,	1),
(7978,	1,	1138,	2,	1),
(7979,	1,	1138,	3,	1),
(7980,	1,	1138,	23,	1),
(7981,	1,	1138,	4,	1),
(7982,	1,	1138,	25,	1),
(7983,	1,	1138,	24,	1),
(7984,	1,	1138,	6,	1),
(7985,	1,	1138,	1,	3),
(7986,	1,	1138,	2,	3),
(7987,	1,	1138,	3,	3),
(7988,	1,	1138,	23,	3),
(7989,	1,	1138,	4,	3),
(7990,	1,	1138,	25,	3),
(7991,	1,	1138,	24,	3),
(7992,	1,	1138,	6,	3),
(7993,	1,	1139,	1,	1),
(7994,	1,	1139,	2,	1),
(7995,	1,	1139,	3,	1),
(7996,	1,	1139,	23,	1),
(7997,	1,	1139,	4,	1),
(7998,	1,	1139,	25,	1),
(7999,	1,	1139,	24,	1),
(8000,	1,	1139,	6,	1),
(8001,	1,	1139,	1,	3),
(8002,	1,	1139,	2,	3),
(8003,	1,	1139,	3,	3),
(8004,	1,	1139,	23,	3),
(8005,	1,	1139,	4,	3),
(8006,	1,	1139,	25,	3),
(8007,	1,	1139,	24,	3),
(8008,	1,	1139,	6,	3),
(8009,	1,	1140,	1,	1),
(8010,	1,	1140,	2,	1),
(8011,	1,	1140,	3,	1),
(8012,	1,	1140,	23,	1),
(8013,	1,	1140,	4,	1),
(8014,	1,	1140,	25,	1),
(8015,	1,	1140,	24,	1),
(8016,	1,	1140,	6,	1),
(8017,	1,	1140,	1,	3),
(8018,	1,	1140,	2,	3),
(8019,	1,	1140,	3,	3),
(8020,	1,	1140,	23,	3),
(8021,	1,	1140,	4,	3),
(8022,	1,	1140,	25,	3),
(8023,	1,	1140,	24,	3),
(8024,	1,	1140,	6,	3),
(8025,	1,	1141,	1,	1),
(8026,	1,	1141,	2,	1),
(8027,	1,	1141,	3,	1),
(8028,	1,	1142,	1,	1),
(8029,	1,	1142,	2,	1),
(8030,	1,	1142,	3,	1),
(8031,	1,	1142,	1,	3),
(8032,	1,	1142,	2,	3),
(8033,	1,	1142,	3,	3),
(8034,	1,	1143,	1,	1),
(8035,	1,	1143,	2,	1),
(8036,	1,	1143,	3,	1),
(8037,	1,	1143,	23,	1),
(8038,	1,	1143,	4,	1),
(8039,	1,	1143,	25,	1),
(8040,	1,	1143,	24,	1),
(8041,	1,	1143,	6,	1),
(8042,	1,	1143,	1,	3),
(8043,	1,	1143,	2,	3),
(8044,	1,	1143,	3,	3),
(8045,	1,	1143,	23,	3),
(8046,	1,	1143,	4,	3),
(8047,	1,	1143,	25,	3),
(8048,	1,	1143,	24,	3),
(8049,	1,	1143,	6,	3),
(8050,	1,	1144,	1,	1),
(8051,	1,	1144,	2,	1),
(8052,	1,	1144,	3,	1),
(8053,	1,	1145,	1,	1),
(8054,	1,	1145,	2,	1),
(8055,	1,	1145,	3,	1),
(8056,	1,	1145,	23,	1),
(8057,	1,	1145,	4,	1),
(8058,	1,	1145,	25,	1),
(8059,	1,	1145,	24,	1),
(8060,	1,	1145,	6,	1),
(8061,	1,	1145,	1,	3),
(8062,	1,	1145,	2,	3),
(8063,	1,	1145,	3,	3),
(8064,	1,	1145,	23,	3),
(8065,	1,	1145,	4,	3),
(8066,	1,	1145,	25,	3),
(8067,	1,	1145,	24,	3),
(8068,	1,	1145,	6,	3),
(8069,	1,	1146,	1,	1),
(8070,	1,	1146,	2,	1),
(8071,	1,	1146,	3,	1),
(8072,	1,	1146,	1,	2),
(8073,	1,	1146,	2,	2),
(8074,	1,	1146,	3,	2),
(8075,	1,	1147,	1,	1),
(8076,	1,	1147,	2,	1),
(8077,	1,	1147,	3,	1),
(8078,	1,	1148,	1,	1),
(8079,	1,	1148,	2,	1),
(8080,	1,	1148,	3,	1),
(8081,	1,	1148,	23,	1),
(8082,	1,	1148,	4,	1),
(8083,	1,	1148,	25,	1),
(8084,	1,	1148,	24,	1),
(8085,	1,	1148,	6,	1),
(8086,	1,	1148,	1,	3),
(8087,	1,	1148,	2,	3),
(8088,	1,	1148,	3,	3),
(8089,	1,	1148,	23,	3),
(8090,	1,	1148,	4,	3),
(8091,	1,	1148,	25,	3),
(8092,	1,	1148,	24,	3),
(8093,	1,	1148,	6,	3),
(8094,	1,	1149,	1,	1),
(8095,	1,	1149,	2,	1),
(8096,	1,	1149,	3,	1),
(8097,	1,	1149,	1,	2),
(8098,	1,	1149,	2,	2),
(8099,	1,	1149,	3,	2),
(8100,	1,	1150,	1,	1),
(8101,	1,	1150,	2,	1),
(8102,	1,	1150,	3,	1),
(8103,	1,	1151,	1,	1),
(8104,	1,	1151,	2,	1),
(8105,	1,	1151,	3,	1),
(8106,	1,	1151,	23,	1),
(8107,	1,	1151,	4,	1),
(8108,	1,	1151,	25,	1),
(8109,	1,	1151,	24,	1),
(8110,	1,	1151,	6,	1),
(8111,	1,	1151,	1,	3),
(8112,	1,	1151,	2,	3),
(8113,	1,	1151,	3,	3),
(8114,	1,	1151,	23,	3),
(8115,	1,	1151,	4,	3),
(8116,	1,	1151,	25,	3),
(8117,	1,	1151,	24,	3),
(8118,	1,	1151,	6,	3),
(8119,	1,	1152,	1,	1),
(8120,	1,	1152,	2,	1),
(8121,	1,	1152,	3,	1),
(8122,	1,	1152,	1,	2),
(8123,	1,	1152,	2,	2),
(8124,	1,	1152,	3,	2),
(8125,	1,	1153,	1,	1),
(8126,	1,	1153,	2,	1),
(8127,	1,	1153,	3,	1),
(8128,	1,	1154,	1,	1),
(8129,	1,	1154,	2,	1),
(8130,	1,	1154,	3,	1),
(8131,	1,	1155,	1,	1),
(8132,	1,	1155,	2,	1),
(8133,	1,	1155,	3,	1),
(8134,	1,	1156,	1,	1),
(8135,	1,	1156,	2,	1),
(8136,	1,	1156,	3,	1),
(8137,	1,	1157,	1,	1),
(8138,	1,	1157,	2,	1),
(8139,	1,	1157,	3,	1),
(8140,	1,	1158,	1,	1),
(8141,	1,	1158,	2,	1),
(8142,	1,	1158,	3,	1),
(8143,	1,	1159,	1,	1),
(8144,	1,	1159,	2,	1),
(8145,	1,	1159,	3,	1),
(8146,	1,	1160,	1,	1),
(8147,	1,	1160,	2,	1),
(8148,	1,	1160,	3,	1),
(8149,	1,	1161,	1,	1),
(8150,	1,	1161,	2,	1),
(8151,	1,	1161,	3,	1),
(8152,	1,	1161,	1,	2),
(8153,	1,	1161,	2,	2),
(8154,	1,	1161,	3,	2),
(8155,	1,	1162,	1,	1),
(8156,	1,	1162,	2,	1),
(8157,	1,	1162,	3,	1),
(8158,	1,	1163,	1,	1),
(8159,	1,	1163,	2,	1),
(8160,	1,	1163,	3,	1),
(8161,	1,	1163,	1,	2),
(8162,	1,	1163,	2,	2),
(8163,	1,	1163,	3,	2),
(8164,	1,	1164,	1,	1),
(8165,	1,	1164,	2,	1),
(8166,	1,	1164,	3,	1),
(8167,	1,	1164,	35,	1),
(8168,	1,	1164,	45,	1),
(8169,	1,	1164,	46,	1),
(8170,	1,	1164,	54,	1),
(8171,	1,	1164,	51,	1),
(8172,	1,	1164,	55,	1),
(8173,	1,	1164,	56,	1),
(8174,	1,	1164,	57,	1),
(8175,	1,	1164,	58,	1),
(8176,	1,	1164,	59,	1),
(8177,	1,	1164,	60,	1),
(8178,	1,	1164,	49,	1),
(8179,	1,	1164,	61,	1),
(8180,	1,	1164,	53,	1),
(8181,	1,	1164,	62,	1),
(8182,	1,	1164,	52,	1),
(8183,	1,	1164,	63,	1),
(8184,	1,	1164,	64,	1),
(8185,	1,	1165,	1,	1),
(8186,	1,	1165,	2,	1),
(8187,	1,	1165,	3,	1),
(8188,	1,	1165,	35,	1),
(8189,	1,	1165,	45,	1),
(8190,	1,	1165,	46,	1),
(8191,	1,	1165,	54,	1),
(8192,	1,	1165,	51,	1),
(8193,	1,	1165,	55,	1),
(8194,	1,	1165,	56,	1),
(8195,	1,	1165,	57,	1),
(8196,	1,	1165,	58,	1),
(8197,	1,	1165,	59,	1),
(8198,	1,	1165,	60,	1),
(8199,	1,	1165,	49,	1),
(8200,	1,	1165,	61,	1),
(8201,	1,	1165,	53,	1),
(8202,	1,	1165,	62,	1),
(8203,	1,	1165,	52,	1),
(8204,	1,	1165,	63,	1),
(8205,	1,	1165,	64,	1),
(8207,	1,	1166,	2,	1),
(8208,	1,	1166,	3,	1),
(8214,	1,	1166,	55,	1),
(8225,	1,	1166,	63,	1),
(8229,	1,	1166,	3,	3),
(8235,	1,	1166,	55,	3),
(8241,	1,	1166,	49,	3),
(8248,	1,	1167,	1,	1),
(8249,	1,	1167,	2,	1),
(8250,	1,	1167,	3,	1),
(8251,	1,	1167,	35,	1),
(8252,	1,	1167,	45,	1),
(8253,	1,	1167,	46,	1),
(8254,	1,	1167,	54,	1),
(8255,	1,	1167,	51,	1),
(8256,	1,	1167,	55,	1),
(8257,	1,	1167,	56,	1),
(8258,	1,	1167,	57,	1),
(8259,	1,	1167,	58,	1),
(8260,	1,	1167,	59,	1),
(8261,	1,	1167,	60,	1),
(8262,	1,	1167,	49,	1),
(8263,	1,	1167,	61,	1),
(8264,	1,	1167,	53,	1),
(8265,	1,	1167,	62,	1),
(8266,	1,	1167,	52,	1),
(8267,	1,	1167,	63,	1),
(8268,	1,	1167,	64,	1),
(8269,	1,	1167,	1,	3),
(8270,	1,	1167,	2,	3),
(8271,	1,	1167,	3,	3),
(8272,	1,	1167,	35,	3),
(8273,	1,	1167,	45,	3),
(8274,	1,	1167,	46,	3),
(8275,	1,	1167,	54,	3),
(8276,	1,	1167,	51,	3),
(8277,	1,	1167,	55,	3),
(8278,	1,	1167,	56,	3),
(8279,	1,	1167,	57,	3),
(8280,	1,	1167,	58,	3),
(8281,	1,	1167,	59,	3),
(8282,	1,	1167,	60,	3),
(8283,	1,	1167,	49,	3),
(8284,	1,	1167,	61,	3),
(8285,	1,	1167,	53,	3),
(8286,	1,	1167,	62,	3),
(8287,	1,	1167,	52,	3),
(8288,	1,	1167,	63,	3),
(8289,	1,	1167,	64,	3),
(8290,	1,	1168,	1,	1),
(8291,	1,	1168,	2,	1),
(8292,	1,	1168,	3,	1),
(8293,	1,	1168,	35,	1),
(8294,	1,	1168,	45,	1),
(8295,	1,	1168,	46,	1),
(8296,	1,	1168,	54,	1),
(8297,	1,	1168,	51,	1),
(8298,	1,	1168,	55,	1),
(8299,	1,	1168,	56,	1),
(8300,	1,	1168,	57,	1),
(8301,	1,	1168,	58,	1),
(8302,	1,	1168,	59,	1),
(8303,	1,	1168,	60,	1),
(8304,	1,	1168,	49,	1),
(8305,	1,	1168,	61,	1),
(8306,	1,	1168,	53,	1),
(8307,	1,	1168,	62,	1),
(8308,	1,	1168,	52,	1),
(8309,	1,	1168,	63,	1),
(8310,	1,	1168,	64,	1),
(8311,	1,	1169,	1,	1),
(8312,	1,	1169,	2,	1),
(8313,	1,	1169,	3,	1),
(8314,	1,	1169,	35,	1),
(8315,	1,	1169,	45,	1),
(8316,	1,	1169,	46,	1),
(8317,	1,	1169,	54,	1),
(8318,	1,	1169,	51,	1),
(8319,	1,	1169,	55,	1),
(8320,	1,	1169,	56,	1),
(8321,	1,	1169,	57,	1),
(8322,	1,	1169,	58,	1),
(8323,	1,	1169,	59,	1),
(8324,	1,	1169,	60,	1),
(8325,	1,	1169,	49,	1),
(8326,	1,	1169,	61,	1),
(8327,	1,	1169,	53,	1),
(8328,	1,	1169,	62,	1),
(8329,	1,	1169,	52,	1),
(8330,	1,	1169,	63,	1),
(8331,	1,	1169,	64,	1),
(8332,	1,	1170,	1,	1),
(8333,	1,	1170,	2,	1),
(8334,	1,	1170,	3,	1),
(8335,	1,	1170,	1,	2),
(8336,	1,	1170,	2,	2),
(8337,	1,	1170,	3,	2),
(8338,	1,	1171,	1,	1),
(8339,	1,	1171,	2,	1),
(8340,	1,	1171,	3,	1),
(8341,	1,	1171,	35,	1),
(8342,	1,	1171,	45,	1),
(8343,	1,	1171,	46,	1),
(8344,	1,	1171,	54,	1),
(8345,	1,	1171,	51,	1),
(8346,	1,	1171,	55,	1),
(8347,	1,	1171,	56,	1),
(8348,	1,	1171,	57,	1),
(8349,	1,	1171,	58,	1),
(8350,	1,	1171,	59,	1),
(8351,	1,	1171,	60,	1),
(8352,	1,	1171,	49,	1),
(8353,	1,	1171,	61,	1),
(8354,	1,	1171,	53,	1),
(8355,	1,	1171,	62,	1),
(8356,	1,	1171,	52,	1),
(8357,	1,	1171,	63,	1),
(8358,	1,	1171,	64,	1),
(8359,	1,	1172,	1,	1),
(8360,	1,	1172,	2,	1),
(8361,	1,	1172,	3,	1),
(8362,	1,	1172,	35,	1),
(8363,	1,	1172,	45,	1),
(8364,	1,	1172,	46,	1),
(8365,	1,	1172,	54,	1),
(8366,	1,	1172,	51,	1),
(8367,	1,	1172,	55,	1),
(8368,	1,	1172,	56,	1),
(8369,	1,	1172,	57,	1),
(8370,	1,	1172,	58,	1),
(8371,	1,	1172,	59,	1),
(8372,	1,	1172,	60,	1),
(8373,	1,	1172,	49,	1),
(8374,	1,	1172,	61,	1),
(8375,	1,	1172,	53,	1),
(8376,	1,	1172,	62,	1),
(8377,	1,	1172,	52,	1),
(8378,	1,	1172,	63,	1),
(8379,	1,	1172,	64,	1),
(8380,	1,	1172,	1,	3),
(8381,	1,	1172,	2,	3),
(8382,	1,	1172,	3,	3),
(8383,	1,	1172,	35,	3),
(8384,	1,	1172,	45,	3),
(8385,	1,	1172,	46,	3),
(8386,	1,	1172,	54,	3),
(8387,	1,	1172,	51,	3),
(8388,	1,	1172,	55,	3),
(8389,	1,	1172,	56,	3),
(8390,	1,	1172,	57,	3),
(8391,	1,	1172,	58,	3),
(8392,	1,	1172,	59,	3),
(8393,	1,	1172,	60,	3),
(8394,	1,	1172,	49,	3),
(8395,	1,	1172,	61,	3),
(8396,	1,	1172,	53,	3),
(8397,	1,	1172,	62,	3),
(8398,	1,	1172,	52,	3),
(8399,	1,	1172,	63,	3),
(8400,	1,	1172,	64,	3),
(8401,	1,	1173,	1,	1),
(8402,	1,	1173,	2,	1),
(8403,	1,	1173,	3,	1),
(8404,	1,	1173,	35,	1),
(8405,	1,	1173,	45,	1),
(8406,	1,	1173,	46,	1),
(8407,	1,	1173,	54,	1),
(8408,	1,	1173,	51,	1),
(8409,	1,	1173,	55,	1),
(8410,	1,	1173,	56,	1),
(8411,	1,	1173,	57,	1),
(8412,	1,	1173,	58,	1),
(8413,	1,	1173,	59,	1),
(8414,	1,	1173,	60,	1),
(8415,	1,	1173,	49,	1),
(8416,	1,	1173,	61,	1),
(8417,	1,	1173,	53,	1),
(8418,	1,	1173,	62,	1),
(8419,	1,	1173,	52,	1),
(8420,	1,	1173,	63,	1),
(8421,	1,	1173,	64,	1),
(8422,	1,	1173,	1,	3),
(8423,	1,	1173,	2,	3),
(8424,	1,	1173,	3,	3),
(8425,	1,	1173,	35,	3),
(8426,	1,	1173,	45,	3),
(8427,	1,	1173,	46,	3),
(8428,	1,	1173,	54,	3),
(8429,	1,	1173,	51,	3),
(8430,	1,	1173,	55,	3),
(8431,	1,	1173,	56,	3),
(8432,	1,	1173,	57,	3),
(8433,	1,	1173,	58,	3),
(8434,	1,	1173,	59,	3),
(8435,	1,	1173,	60,	3),
(8436,	1,	1173,	49,	3),
(8437,	1,	1173,	61,	3),
(8438,	1,	1173,	53,	3),
(8439,	1,	1173,	62,	3),
(8440,	1,	1173,	52,	3),
(8441,	1,	1173,	63,	3),
(8442,	1,	1173,	64,	3),
(8443,	1,	1174,	1,	1),
(8444,	1,	1174,	2,	1),
(8445,	1,	1174,	3,	1),
(8446,	1,	1175,	1,	1),
(8447,	1,	1175,	2,	1),
(8448,	1,	1175,	3,	1),
(8449,	1,	1176,	1,	1),
(8450,	1,	1176,	2,	1),
(8451,	1,	1176,	3,	1),
(8452,	1,	1176,	1,	2),
(8453,	1,	1176,	2,	2),
(8454,	1,	1176,	3,	2),
(8455,	1,	1177,	1,	1),
(8456,	1,	1177,	2,	1),
(8457,	1,	1177,	3,	1),
(8458,	1,	1177,	1,	2),
(8459,	1,	1177,	2,	2),
(8460,	1,	1177,	3,	2),
(8461,	1,	1178,	1,	1),
(8462,	1,	1178,	2,	1),
(8463,	1,	1178,	3,	1),
(8464,	1,	1179,	1,	1),
(8465,	1,	1179,	2,	1),
(8466,	1,	1179,	3,	1),
(8467,	1,	1179,	1,	2),
(8468,	1,	1179,	2,	2),
(8469,	1,	1179,	3,	2),
(8470,	1,	1180,	1,	1),
(8471,	1,	1180,	2,	1),
(8472,	1,	1180,	3,	1),
(8473,	1,	1181,	1,	1),
(8474,	1,	1181,	2,	1),
(8475,	1,	1181,	3,	1),
(8476,	1,	1182,	1,	1),
(8477,	1,	1182,	2,	1),
(8478,	1,	1182,	3,	1),
(8479,	1,	1183,	1,	1),
(8480,	1,	1183,	2,	1),
(8481,	1,	1183,	3,	1),
(8482,	1,	1183,	1,	2),
(8483,	1,	1183,	2,	2),
(8484,	1,	1183,	3,	2),
(8485,	1,	1184,	1,	1),
(8486,	1,	1184,	2,	1),
(8487,	1,	1184,	3,	1),
(8488,	1,	1185,	1,	1),
(8489,	1,	1185,	2,	1),
(8490,	1,	1185,	3,	1),
(8491,	1,	1186,	1,	1),
(8492,	1,	1186,	2,	1),
(8493,	1,	1186,	3,	1),
(8494,	1,	1186,	1,	2),
(8495,	1,	1186,	2,	2),
(8496,	1,	1186,	3,	2),
(8497,	1,	1187,	1,	1),
(8498,	1,	1187,	2,	1),
(8499,	1,	1187,	3,	1),
(8500,	1,	1188,	1,	1),
(8501,	1,	1188,	2,	1),
(8502,	1,	1188,	3,	1),
(8503,	1,	1189,	1,	1),
(8504,	1,	1189,	2,	1),
(8505,	1,	1189,	3,	1),
(8506,	1,	1190,	1,	1),
(8507,	1,	1190,	2,	1),
(8508,	1,	1190,	3,	1),
(8509,	1,	1191,	1,	1),
(8510,	1,	1191,	2,	1),
(8511,	1,	1191,	3,	1),
(8512,	1,	1192,	1,	1),
(8513,	1,	1192,	2,	1),
(8514,	1,	1192,	3,	1),
(8515,	1,	1192,	1,	2),
(8516,	1,	1192,	2,	2),
(8517,	1,	1192,	3,	2),
(8518,	1,	1193,	1,	1),
(8519,	1,	1193,	2,	1),
(8520,	1,	1193,	3,	1),
(8521,	1,	1194,	1,	1),
(8522,	1,	1194,	2,	1),
(8523,	1,	1194,	3,	1),
(8524,	1,	1195,	1,	1),
(8525,	1,	1195,	2,	1),
(8526,	1,	1195,	3,	1),
(8527,	1,	1195,	65,	1),
(8528,	1,	1195,	66,	1),
(8529,	1,	1195,	7,	1),
(8530,	1,	1195,	8,	1),
(8531,	1,	1195,	67,	1),
(8532,	1,	1195,	68,	1),
(8533,	1,	1195,	15,	1),
(8534,	1,	1195,	1,	3),
(8535,	1,	1195,	2,	3),
(8536,	1,	1195,	3,	3),
(8537,	1,	1195,	65,	3),
(8538,	1,	1195,	66,	3),
(8539,	1,	1195,	7,	3),
(8540,	1,	1195,	8,	3),
(8541,	1,	1195,	67,	3),
(8542,	1,	1195,	68,	3),
(8543,	1,	1195,	15,	3),
(8544,	1,	1196,	1,	1),
(8545,	1,	1196,	2,	1),
(8546,	1,	1196,	3,	1),
(8547,	1,	1196,	65,	1),
(8548,	1,	1196,	66,	1),
(8549,	1,	1196,	7,	1),
(8550,	1,	1196,	8,	1),
(8551,	1,	1196,	67,	1),
(8552,	1,	1196,	68,	1),
(8553,	1,	1196,	15,	1),
(8554,	1,	1196,	1,	3),
(8555,	1,	1196,	2,	3),
(8556,	1,	1196,	3,	3),
(8557,	1,	1196,	65,	3),
(8558,	1,	1196,	66,	3),
(8559,	1,	1196,	7,	3),
(8560,	1,	1196,	8,	3),
(8561,	1,	1196,	67,	3),
(8562,	1,	1196,	68,	3),
(8563,	1,	1196,	15,	3),
(8564,	1,	1197,	1,	1),
(8565,	1,	1197,	2,	1),
(8566,	1,	1197,	3,	1),
(8567,	1,	1197,	1,	3),
(8568,	1,	1197,	2,	3),
(8569,	1,	1197,	3,	3),
(8570,	1,	1198,	1,	1),
(8571,	1,	1198,	2,	1),
(8572,	1,	1198,	3,	1),
(8573,	1,	1198,	1,	3),
(8574,	1,	1198,	2,	3),
(8575,	1,	1198,	3,	3),
(8576,	1,	1199,	1,	1),
(8577,	1,	1199,	2,	1),
(8578,	1,	1199,	3,	1),
(8579,	1,	1199,	65,	1),
(8580,	1,	1199,	66,	1),
(8581,	1,	1199,	7,	1),
(8582,	1,	1199,	8,	1),
(8583,	1,	1199,	67,	1),
(8584,	1,	1199,	68,	1),
(8585,	1,	1199,	15,	1),
(8586,	1,	1199,	1,	3),
(8587,	1,	1199,	2,	3),
(8588,	1,	1199,	3,	3),
(8589,	1,	1199,	65,	3),
(8590,	1,	1199,	66,	3),
(8591,	1,	1199,	7,	3),
(8592,	1,	1199,	8,	3),
(8593,	1,	1199,	67,	3),
(8594,	1,	1199,	68,	3),
(8595,	1,	1199,	15,	3),
(8596,	1,	1200,	1,	1),
(8597,	1,	1200,	2,	1),
(8598,	1,	1200,	3,	1),
(8599,	1,	1200,	65,	1),
(8600,	1,	1200,	66,	1),
(8601,	1,	1200,	7,	1),
(8602,	1,	1200,	8,	1),
(8603,	1,	1200,	67,	1),
(8604,	1,	1200,	68,	1),
(8605,	1,	1200,	15,	1),
(8606,	1,	1200,	1,	3),
(8607,	1,	1200,	2,	3),
(8608,	1,	1200,	3,	3),
(8609,	1,	1200,	65,	3),
(8610,	1,	1200,	66,	3),
(8611,	1,	1200,	7,	3),
(8612,	1,	1200,	8,	3),
(8613,	1,	1200,	67,	3),
(8614,	1,	1200,	68,	3),
(8615,	1,	1200,	15,	3),
(8616,	1,	1201,	1,	1),
(8617,	1,	1201,	2,	1),
(8618,	1,	1201,	3,	1),
(8619,	1,	1201,	65,	1),
(8620,	1,	1201,	66,	1),
(8621,	1,	1201,	7,	1),
(8622,	1,	1201,	8,	1),
(8623,	1,	1201,	67,	1),
(8624,	1,	1201,	68,	1),
(8625,	1,	1201,	15,	1),
(8626,	1,	1201,	1,	3),
(8627,	1,	1201,	2,	3),
(8628,	1,	1201,	3,	3),
(8629,	1,	1201,	65,	3),
(8630,	1,	1201,	66,	3),
(8631,	1,	1201,	7,	3),
(8632,	1,	1201,	8,	3),
(8633,	1,	1201,	67,	3),
(8634,	1,	1201,	68,	3),
(8635,	1,	1201,	15,	3),
(8636,	1,	1202,	1,	1),
(8637,	1,	1202,	2,	1),
(8638,	1,	1202,	3,	1),
(8639,	1,	1202,	65,	1),
(8640,	1,	1202,	66,	1),
(8641,	1,	1202,	7,	1),
(8642,	1,	1202,	8,	1),
(8643,	1,	1202,	67,	1),
(8644,	1,	1202,	68,	1),
(8645,	1,	1202,	15,	1),
(8646,	1,	1202,	1,	3),
(8647,	1,	1202,	2,	3),
(8648,	1,	1202,	3,	3),
(8649,	1,	1202,	65,	3),
(8650,	1,	1202,	66,	3),
(8651,	1,	1202,	7,	3),
(8652,	1,	1202,	8,	3),
(8653,	1,	1202,	67,	3),
(8654,	1,	1202,	68,	3),
(8655,	1,	1202,	15,	3),
(8656,	1,	1203,	1,	1),
(8657,	1,	1203,	2,	1),
(8658,	1,	1203,	3,	1),
(8659,	1,	1203,	69,	1),
(8660,	1,	1203,	70,	1),
(8661,	1,	1203,	71,	1),
(8662,	1,	1203,	72,	1),
(8663,	1,	1203,	65,	1),
(8664,	1,	1203,	66,	1),
(8665,	1,	1203,	7,	1),
(8666,	1,	1203,	8,	1),
(8667,	1,	1203,	73,	1),
(8668,	1,	1203,	67,	1),
(8669,	1,	1203,	10,	1),
(8670,	1,	1203,	68,	1),
(8671,	1,	1203,	1,	3),
(8672,	1,	1203,	2,	3),
(8673,	1,	1203,	3,	3),
(8674,	1,	1203,	69,	3),
(8675,	1,	1203,	70,	3),
(8676,	1,	1203,	71,	3),
(8677,	1,	1203,	72,	3),
(8678,	1,	1203,	65,	3),
(8679,	1,	1203,	66,	3),
(8680,	1,	1203,	7,	3),
(8681,	1,	1203,	8,	3),
(8682,	1,	1203,	73,	3),
(8683,	1,	1203,	67,	3),
(8684,	1,	1203,	10,	3),
(8685,	1,	1203,	68,	3),
(8686,	1,	1204,	1,	1),
(8687,	1,	1204,	2,	1),
(8688,	1,	1204,	3,	1),
(8689,	1,	1204,	1,	3),
(8690,	1,	1204,	2,	3),
(8691,	1,	1204,	3,	3),
(8692,	1,	1205,	1,	1),
(8693,	1,	1205,	2,	1),
(8694,	1,	1205,	3,	1),
(8695,	1,	1205,	69,	1),
(8696,	1,	1205,	70,	1),
(8697,	1,	1205,	71,	1),
(8698,	1,	1205,	72,	1),
(8699,	1,	1205,	65,	1),
(8700,	1,	1205,	66,	1),
(8701,	1,	1205,	7,	1),
(8702,	1,	1205,	8,	1),
(8703,	1,	1205,	73,	1),
(8704,	1,	1205,	67,	1),
(8705,	1,	1205,	10,	1),
(8706,	1,	1205,	68,	1),
(8707,	1,	1205,	1,	3),
(8708,	1,	1205,	2,	3),
(8709,	1,	1205,	3,	3),
(8710,	1,	1205,	69,	3),
(8711,	1,	1205,	70,	3),
(8712,	1,	1205,	71,	3),
(8713,	1,	1205,	72,	3),
(8714,	1,	1205,	65,	3),
(8715,	1,	1205,	66,	3),
(8716,	1,	1205,	7,	3),
(8717,	1,	1205,	8,	3),
(8718,	1,	1205,	73,	3),
(8719,	1,	1205,	67,	3),
(8720,	1,	1205,	10,	3),
(8721,	1,	1205,	68,	3),
(8722,	1,	1206,	1,	1),
(8723,	1,	1206,	2,	1),
(8724,	1,	1206,	3,	1),
(8725,	1,	1206,	66,	1),
(8726,	1,	1206,	7,	1),
(8727,	1,	1206,	8,	1),
(8728,	1,	1206,	67,	1),
(8729,	1,	1206,	68,	1),
(8730,	1,	1206,	1,	3),
(8731,	1,	1206,	2,	3),
(8732,	1,	1206,	3,	3),
(8733,	1,	1206,	66,	3),
(8734,	1,	1206,	7,	3),
(8735,	1,	1206,	8,	3),
(8736,	1,	1206,	67,	3),
(8737,	1,	1206,	68,	3),
(8738,	1,	1207,	1,	1),
(8739,	1,	1207,	2,	1),
(8740,	1,	1207,	3,	1),
(8741,	1,	1207,	69,	1),
(8742,	1,	1207,	70,	1),
(8743,	1,	1207,	71,	1),
(8744,	1,	1207,	72,	1),
(8745,	1,	1207,	65,	1),
(8746,	1,	1207,	66,	1),
(8747,	1,	1207,	7,	1),
(8748,	1,	1207,	8,	1),
(8749,	1,	1207,	73,	1),
(8750,	1,	1207,	67,	1),
(8751,	1,	1207,	10,	1),
(8752,	1,	1207,	68,	1),
(8753,	1,	1207,	74,	1),
(8754,	1,	1207,	1,	3),
(8755,	1,	1207,	2,	3),
(8756,	1,	1207,	3,	3),
(8757,	1,	1207,	69,	3),
(8758,	1,	1207,	70,	3),
(8759,	1,	1207,	71,	3),
(8760,	1,	1207,	72,	3),
(8761,	1,	1207,	65,	3),
(8762,	1,	1207,	66,	3),
(8763,	1,	1207,	7,	3),
(8764,	1,	1207,	8,	3),
(8765,	1,	1207,	73,	3),
(8766,	1,	1207,	67,	3),
(8767,	1,	1207,	10,	3),
(8768,	1,	1207,	68,	3),
(8769,	1,	1207,	74,	3),
(8770,	1,	1208,	1,	1),
(8771,	1,	1208,	2,	1),
(8772,	1,	1208,	3,	1),
(8773,	1,	1208,	66,	1),
(8774,	1,	1208,	7,	1),
(8775,	1,	1208,	8,	1),
(8776,	1,	1208,	67,	1),
(8777,	1,	1208,	68,	1),
(8778,	1,	1208,	1,	3),
(8779,	1,	1208,	2,	3),
(8780,	1,	1208,	3,	3),
(8781,	1,	1208,	66,	3),
(8782,	1,	1208,	7,	3),
(8783,	1,	1208,	8,	3),
(8784,	1,	1208,	67,	3),
(8785,	1,	1208,	68,	3),
(8786,	1,	1209,	1,	1),
(8787,	1,	1209,	2,	1),
(8788,	1,	1209,	3,	1),
(8789,	1,	1209,	69,	1),
(8790,	1,	1209,	70,	1),
(8791,	1,	1209,	71,	1),
(8792,	1,	1209,	72,	1),
(8793,	1,	1209,	65,	1),
(8794,	1,	1209,	66,	1),
(8795,	1,	1209,	7,	1),
(8796,	1,	1209,	8,	1),
(8797,	1,	1209,	73,	1),
(8798,	1,	1209,	67,	1),
(8799,	1,	1209,	10,	1),
(8800,	1,	1209,	68,	1),
(8801,	1,	1209,	74,	1),
(8802,	1,	1209,	1,	3),
(8803,	1,	1209,	2,	3),
(8804,	1,	1209,	3,	3),
(8805,	1,	1209,	69,	3),
(8806,	1,	1209,	70,	3),
(8807,	1,	1209,	71,	3),
(8808,	1,	1209,	72,	3),
(8809,	1,	1209,	65,	3),
(8810,	1,	1209,	66,	3),
(8811,	1,	1209,	7,	3),
(8812,	1,	1209,	8,	3),
(8813,	1,	1209,	73,	3),
(8814,	1,	1209,	67,	3),
(8815,	1,	1209,	10,	3),
(8816,	1,	1209,	68,	3),
(8817,	1,	1209,	74,	3),
(8818,	1,	1210,	1,	1),
(8819,	1,	1210,	2,	1),
(8820,	1,	1210,	3,	1),
(8821,	1,	1210,	66,	1),
(8822,	1,	1210,	7,	1),
(8823,	1,	1210,	8,	1),
(8824,	1,	1210,	67,	1),
(8825,	1,	1210,	68,	1),
(8826,	1,	1210,	1,	3),
(8827,	1,	1210,	2,	3),
(8828,	1,	1210,	3,	3),
(8829,	1,	1210,	66,	3),
(8830,	1,	1210,	7,	3),
(8831,	1,	1210,	8,	3),
(8832,	1,	1210,	67,	3),
(8833,	1,	1210,	68,	3),
(8834,	1,	1211,	1,	1),
(8835,	1,	1211,	2,	1),
(8836,	1,	1211,	3,	1),
(8837,	1,	1211,	69,	1),
(8838,	1,	1211,	70,	1),
(8839,	1,	1211,	71,	1),
(8840,	1,	1211,	72,	1),
(8841,	1,	1211,	65,	1),
(8842,	1,	1211,	66,	1),
(8843,	1,	1211,	7,	1),
(8844,	1,	1211,	8,	1),
(8845,	1,	1211,	73,	1),
(8846,	1,	1211,	67,	1),
(8847,	1,	1211,	10,	1),
(8848,	1,	1211,	68,	1),
(8849,	1,	1211,	74,	1),
(8850,	1,	1211,	1,	3),
(8851,	1,	1211,	2,	3),
(8852,	1,	1211,	3,	3),
(8853,	1,	1211,	69,	3),
(8854,	1,	1211,	70,	3),
(8855,	1,	1211,	71,	3),
(8856,	1,	1211,	72,	3),
(8857,	1,	1211,	65,	3),
(8858,	1,	1211,	66,	3),
(8859,	1,	1211,	7,	3),
(8860,	1,	1211,	8,	3),
(8861,	1,	1211,	73,	3),
(8862,	1,	1211,	67,	3),
(8863,	1,	1211,	10,	3),
(8864,	1,	1211,	68,	3),
(8865,	1,	1211,	74,	3),
(8866,	1,	1212,	1,	1),
(8867,	1,	1212,	2,	1),
(8868,	1,	1212,	3,	1),
(8869,	1,	1212,	69,	1),
(8870,	1,	1212,	70,	1),
(8871,	1,	1212,	71,	1),
(8872,	1,	1212,	72,	1),
(8873,	1,	1212,	65,	1),
(8874,	1,	1212,	66,	1),
(8875,	1,	1212,	7,	1),
(8876,	1,	1212,	8,	1),
(8877,	1,	1212,	73,	1),
(8878,	1,	1212,	67,	1),
(8879,	1,	1212,	10,	1),
(8880,	1,	1212,	68,	1),
(8881,	1,	1212,	74,	1),
(8882,	1,	1212,	1,	3),
(8883,	1,	1212,	2,	3),
(8884,	1,	1212,	3,	3),
(8885,	1,	1212,	69,	3),
(8886,	1,	1212,	70,	3),
(8887,	1,	1212,	71,	3),
(8888,	1,	1212,	72,	3),
(8889,	1,	1212,	65,	3),
(8890,	1,	1212,	66,	3),
(8891,	1,	1212,	7,	3),
(8892,	1,	1212,	8,	3),
(8893,	1,	1212,	73,	3),
(8894,	1,	1212,	67,	3),
(8895,	1,	1212,	10,	3),
(8896,	1,	1212,	68,	3),
(8897,	1,	1212,	74,	3),
(8898,	1,	1213,	1,	1),
(8899,	1,	1213,	2,	1),
(8900,	1,	1213,	3,	1),
(8901,	1,	1213,	69,	1),
(8902,	1,	1213,	70,	1),
(8903,	1,	1213,	71,	1),
(8904,	1,	1213,	72,	1),
(8905,	1,	1213,	65,	1),
(8906,	1,	1213,	66,	1),
(8907,	1,	1213,	7,	1),
(8908,	1,	1213,	8,	1),
(8909,	1,	1213,	73,	1),
(8910,	1,	1213,	67,	1),
(8911,	1,	1213,	10,	1),
(8912,	1,	1213,	68,	1),
(8913,	1,	1213,	74,	1),
(8914,	1,	1213,	1,	3),
(8915,	1,	1213,	2,	3),
(8916,	1,	1213,	3,	3),
(8917,	1,	1213,	69,	3),
(8918,	1,	1213,	70,	3),
(8919,	1,	1213,	71,	3),
(8920,	1,	1213,	72,	3),
(8921,	1,	1213,	65,	3),
(8922,	1,	1213,	66,	3),
(8923,	1,	1213,	7,	3),
(8924,	1,	1213,	8,	3),
(8925,	1,	1213,	73,	3),
(8926,	1,	1213,	67,	3),
(8927,	1,	1213,	10,	3),
(8928,	1,	1213,	68,	3),
(8929,	1,	1213,	74,	3),
(8930,	1,	1214,	1,	1),
(8931,	1,	1214,	2,	1),
(8932,	1,	1214,	3,	1),
(8933,	1,	1214,	69,	1),
(8934,	1,	1214,	70,	1),
(8935,	1,	1214,	71,	1),
(8936,	1,	1214,	72,	1),
(8937,	1,	1214,	65,	1),
(8938,	1,	1214,	66,	1),
(8939,	1,	1214,	7,	1),
(8940,	1,	1214,	8,	1),
(8941,	1,	1214,	73,	1),
(8942,	1,	1214,	67,	1),
(8943,	1,	1214,	10,	1),
(8944,	1,	1214,	68,	1),
(8945,	1,	1214,	74,	1),
(8946,	1,	1214,	1,	3),
(8947,	1,	1214,	2,	3),
(8948,	1,	1214,	3,	3),
(8949,	1,	1214,	69,	3),
(8950,	1,	1214,	70,	3),
(8951,	1,	1214,	71,	3),
(8952,	1,	1214,	72,	3),
(8953,	1,	1214,	65,	3),
(8954,	1,	1214,	66,	3),
(8955,	1,	1214,	7,	3),
(8956,	1,	1214,	8,	3),
(8957,	1,	1214,	73,	3),
(8958,	1,	1214,	67,	3),
(8959,	1,	1214,	10,	3),
(8960,	1,	1214,	68,	3),
(8961,	1,	1214,	74,	3),
(8962,	1,	1215,	1,	1),
(8963,	1,	1215,	2,	1),
(8964,	1,	1215,	3,	1),
(8965,	1,	1215,	66,	1),
(8966,	1,	1215,	7,	1),
(8967,	1,	1215,	8,	1),
(8968,	1,	1215,	67,	1),
(8969,	1,	1215,	68,	1),
(8970,	1,	1215,	1,	3),
(8971,	1,	1215,	2,	3),
(8972,	1,	1215,	3,	3),
(8973,	1,	1215,	66,	3),
(8974,	1,	1215,	7,	3),
(8975,	1,	1215,	8,	3),
(8976,	1,	1215,	67,	3),
(8977,	1,	1215,	68,	3),
(8978,	1,	1216,	1,	1),
(8979,	1,	1216,	2,	1),
(8980,	1,	1216,	3,	1),
(8981,	1,	1216,	66,	1),
(8982,	1,	1216,	7,	1),
(8983,	1,	1216,	8,	1),
(8984,	1,	1216,	67,	1),
(8985,	1,	1216,	68,	1),
(8986,	1,	1216,	1,	3),
(8987,	1,	1216,	2,	3),
(8988,	1,	1216,	3,	3),
(8989,	1,	1216,	66,	3),
(8990,	1,	1216,	7,	3),
(8991,	1,	1216,	8,	3),
(8992,	1,	1216,	67,	3),
(8993,	1,	1216,	68,	3),
(8994,	1,	1217,	1,	1),
(8995,	1,	1217,	2,	1),
(8996,	1,	1217,	3,	1),
(8997,	1,	1217,	23,	1),
(8998,	1,	1217,	1,	3),
(8999,	1,	1217,	2,	3),
(9000,	1,	1217,	3,	3),
(9001,	1,	1217,	23,	3),
(9002,	1,	1218,	1,	1),
(9003,	1,	1218,	2,	1),
(9004,	1,	1218,	3,	1),
(9005,	1,	1218,	66,	1),
(9006,	1,	1218,	7,	1),
(9007,	1,	1218,	8,	1),
(9008,	1,	1218,	67,	1),
(9009,	1,	1218,	68,	1),
(9010,	1,	1218,	1,	3),
(9011,	1,	1218,	2,	3),
(9012,	1,	1218,	3,	3),
(9013,	1,	1218,	66,	3),
(9014,	1,	1218,	7,	3),
(9015,	1,	1218,	8,	3),
(9016,	1,	1218,	67,	3),
(9017,	1,	1218,	68,	3),
(9018,	1,	1219,	1,	1),
(9019,	1,	1219,	2,	1),
(9020,	1,	1219,	3,	1),
(9021,	1,	1219,	66,	1),
(9022,	1,	1219,	7,	1),
(9023,	1,	1219,	8,	1),
(9024,	1,	1219,	67,	1),
(9025,	1,	1219,	68,	1),
(9026,	1,	1219,	1,	3),
(9027,	1,	1219,	2,	3),
(9028,	1,	1219,	3,	3),
(9029,	1,	1219,	66,	3),
(9030,	1,	1219,	7,	3),
(9031,	1,	1219,	8,	3),
(9032,	1,	1219,	67,	3),
(9033,	1,	1219,	68,	3),
(9034,	1,	1220,	1,	1),
(9035,	1,	1220,	2,	1),
(9036,	1,	1220,	3,	1),
(9037,	1,	1220,	66,	1),
(9038,	1,	1220,	7,	1),
(9039,	1,	1220,	8,	1),
(9040,	1,	1220,	67,	1),
(9041,	1,	1220,	68,	1),
(9042,	1,	1220,	1,	3),
(9043,	1,	1220,	2,	3),
(9044,	1,	1220,	3,	3),
(9045,	1,	1220,	66,	3),
(9046,	1,	1220,	7,	3),
(9047,	1,	1220,	8,	3),
(9048,	1,	1220,	67,	3),
(9049,	1,	1220,	68,	3),
(9050,	1,	1221,	1,	1),
(9051,	1,	1221,	2,	1),
(9052,	1,	1221,	3,	1),
(9053,	1,	1221,	66,	1),
(9054,	1,	1221,	7,	1),
(9055,	1,	1221,	8,	1),
(9056,	1,	1221,	67,	1),
(9057,	1,	1221,	68,	1),
(9058,	1,	1221,	1,	3),
(9059,	1,	1221,	2,	3),
(9060,	1,	1221,	3,	3),
(9061,	1,	1221,	66,	3),
(9062,	1,	1221,	7,	3),
(9063,	1,	1221,	8,	3),
(9064,	1,	1221,	67,	3),
(9065,	1,	1221,	68,	3),
(9068,	1,	1222,	3,	1),
(9076,	1,	1222,	8,	1),
(9078,	1,	1222,	67,	1),
(9084,	1,	1222,	3,	3),
(9092,	1,	1222,	8,	3),
(9093,	1,	1222,	73,	3),
(9094,	1,	1222,	67,	3),
(9098,	1,	1223,	1,	1),
(9099,	1,	1223,	2,	1),
(9100,	1,	1223,	3,	1),
(9101,	1,	1223,	69,	1),
(9102,	1,	1223,	70,	1),
(9103,	1,	1223,	71,	1),
(9104,	1,	1223,	72,	1),
(9105,	1,	1223,	65,	1),
(9106,	1,	1223,	66,	1),
(9107,	1,	1223,	7,	1),
(9108,	1,	1223,	8,	1),
(9109,	1,	1223,	73,	1),
(9110,	1,	1223,	67,	1),
(9111,	1,	1223,	10,	1),
(9112,	1,	1223,	68,	1),
(9113,	1,	1223,	74,	1),
(9114,	1,	1223,	1,	3),
(9115,	1,	1223,	2,	3),
(9116,	1,	1223,	3,	3),
(9117,	1,	1223,	69,	3),
(9118,	1,	1223,	70,	3),
(9119,	1,	1223,	71,	3),
(9120,	1,	1223,	72,	3),
(9121,	1,	1223,	65,	3),
(9122,	1,	1223,	66,	3),
(9123,	1,	1223,	7,	3),
(9124,	1,	1223,	8,	3),
(9125,	1,	1223,	73,	3),
(9126,	1,	1223,	67,	3),
(9127,	1,	1223,	10,	3),
(9128,	1,	1223,	68,	3),
(9129,	1,	1223,	74,	3),
(9130,	1,	1224,	1,	1),
(9131,	1,	1224,	2,	1),
(9132,	1,	1224,	3,	1),
(9133,	1,	1224,	66,	1),
(9134,	1,	1224,	7,	1),
(9135,	1,	1224,	8,	1),
(9136,	1,	1224,	67,	1),
(9137,	1,	1224,	68,	1),
(9138,	1,	1224,	1,	3),
(9139,	1,	1224,	2,	3),
(9140,	1,	1224,	3,	3),
(9141,	1,	1224,	66,	3),
(9142,	1,	1224,	7,	3),
(9143,	1,	1224,	8,	3),
(9144,	1,	1224,	67,	3),
(9145,	1,	1224,	68,	3),
(9146,	1,	1225,	1,	1),
(9147,	1,	1225,	2,	1),
(9148,	1,	1225,	3,	1),
(9149,	1,	1225,	66,	1),
(9150,	1,	1225,	7,	1),
(9151,	1,	1225,	8,	1),
(9152,	1,	1225,	67,	1),
(9153,	1,	1225,	68,	1),
(9154,	1,	1225,	1,	3),
(9155,	1,	1225,	2,	3),
(9156,	1,	1225,	3,	3),
(9157,	1,	1225,	66,	3),
(9158,	1,	1225,	7,	3),
(9159,	1,	1225,	8,	3),
(9160,	1,	1225,	67,	3),
(9161,	1,	1225,	68,	3),
(9162,	1,	1226,	1,	1),
(9163,	1,	1226,	2,	1),
(9164,	1,	1226,	3,	1),
(9165,	1,	1226,	69,	1),
(9166,	1,	1226,	70,	1),
(9167,	1,	1226,	71,	1),
(9168,	1,	1226,	72,	1),
(9169,	1,	1226,	65,	1),
(9170,	1,	1226,	66,	1),
(9171,	1,	1226,	7,	1),
(9172,	1,	1226,	8,	1),
(9173,	1,	1226,	73,	1),
(9174,	1,	1226,	67,	1),
(9175,	1,	1226,	10,	1),
(9176,	1,	1226,	68,	1),
(9177,	1,	1226,	74,	1),
(9178,	1,	1226,	1,	3),
(9179,	1,	1226,	2,	3),
(9180,	1,	1226,	3,	3),
(9181,	1,	1226,	69,	3),
(9182,	1,	1226,	70,	3),
(9183,	1,	1226,	71,	3),
(9184,	1,	1226,	72,	3),
(9185,	1,	1226,	65,	3),
(9186,	1,	1226,	66,	3),
(9187,	1,	1226,	7,	3),
(9188,	1,	1226,	8,	3),
(9189,	1,	1226,	73,	3),
(9190,	1,	1226,	67,	3),
(9191,	1,	1226,	10,	3),
(9192,	1,	1226,	68,	3),
(9193,	1,	1226,	74,	3),
(9194,	1,	1227,	1,	1),
(9195,	1,	1227,	2,	1),
(9196,	1,	1227,	3,	1),
(9197,	1,	1227,	66,	1),
(9198,	1,	1227,	7,	1),
(9199,	1,	1227,	8,	1),
(9200,	1,	1227,	67,	1),
(9201,	1,	1227,	68,	1),
(9202,	1,	1227,	1,	3),
(9203,	1,	1227,	2,	3),
(9204,	1,	1227,	3,	3),
(9205,	1,	1227,	66,	3),
(9206,	1,	1227,	7,	3),
(9207,	1,	1227,	8,	3),
(9208,	1,	1227,	67,	3),
(9209,	1,	1227,	68,	3),
(9210,	1,	1228,	1,	1),
(9211,	1,	1228,	2,	1),
(9212,	1,	1228,	3,	1),
(9213,	1,	1228,	1,	2),
(9214,	1,	1228,	2,	2),
(9215,	1,	1228,	3,	2),
(9216,	1,	1229,	1,	1),
(9217,	1,	1229,	2,	1),
(9218,	1,	1229,	3,	1),
(9219,	1,	1229,	1,	2),
(9220,	1,	1229,	2,	2),
(9221,	1,	1229,	3,	2),
(9222,	1,	1230,	1,	1),
(9223,	1,	1230,	2,	1),
(9224,	1,	1230,	3,	1),
(9225,	1,	1230,	1,	2),
(9226,	1,	1230,	2,	2),
(9227,	1,	1230,	3,	2),
(9228,	1,	1231,	1,	1),
(9229,	1,	1231,	2,	1),
(9230,	1,	1231,	3,	1),
(9231,	1,	1231,	1,	2),
(9232,	1,	1231,	2,	2),
(9233,	1,	1231,	3,	2),
(9234,	1,	1232,	1,	1),
(9235,	1,	1232,	2,	1),
(9236,	1,	1232,	3,	1),
(9237,	1,	1232,	1,	2),
(9238,	1,	1232,	2,	2),
(9239,	1,	1232,	3,	2),
(9240,	1,	1233,	1,	1),
(9241,	1,	1233,	2,	1),
(9242,	1,	1233,	3,	1),
(9243,	1,	1234,	1,	1),
(9244,	1,	1234,	2,	1),
(9245,	1,	1234,	3,	1),
(9246,	1,	1234,	1,	2),
(9247,	1,	1234,	2,	2),
(9248,	1,	1234,	3,	2),
(9249,	1,	1235,	1,	1),
(9250,	1,	1235,	2,	1),
(9251,	1,	1235,	3,	1),
(9252,	1,	1236,	1,	1),
(9253,	1,	1236,	2,	1),
(9254,	1,	1236,	3,	1),
(9255,	1,	1236,	1,	2),
(9256,	1,	1236,	2,	2),
(9257,	1,	1236,	3,	2),
(9258,	1,	1237,	1,	1),
(9259,	1,	1237,	2,	1),
(9260,	1,	1237,	3,	1),
(9261,	1,	1237,	1,	2),
(9262,	1,	1237,	2,	2),
(9263,	1,	1237,	3,	2),
(9264,	1,	1238,	1,	1),
(9265,	1,	1238,	2,	1),
(9266,	1,	1238,	3,	1),
(9267,	1,	1238,	1,	2),
(9268,	1,	1238,	2,	2),
(9269,	1,	1238,	3,	2),
(9270,	1,	1239,	1,	1),
(9271,	1,	1239,	2,	1),
(9272,	1,	1239,	3,	1),
(9273,	1,	1240,	1,	1),
(9274,	1,	1240,	2,	1),
(9275,	1,	1240,	3,	1),
(9276,	1,	1240,	1,	2),
(9277,	1,	1240,	2,	2),
(9278,	1,	1240,	3,	2),
(9279,	1,	1241,	1,	1),
(9280,	1,	1241,	2,	1),
(9281,	1,	1241,	3,	1),
(9282,	1,	1241,	1,	2),
(9283,	1,	1241,	2,	2),
(9284,	1,	1241,	3,	2),
(9285,	1,	1242,	1,	1),
(9286,	1,	1242,	2,	1),
(9287,	1,	1242,	3,	1),
(9288,	1,	1242,	1,	2),
(9289,	1,	1242,	2,	2),
(9290,	1,	1242,	3,	2),
(9291,	1,	1243,	1,	1),
(9292,	1,	1243,	2,	1),
(9293,	1,	1243,	3,	1),
(9294,	1,	1244,	1,	1),
(9295,	1,	1244,	2,	1),
(9296,	1,	1244,	3,	1),
(9297,	1,	1244,	1,	3),
(9298,	1,	1244,	2,	3),
(9299,	1,	1244,	3,	3),
(9300,	1,	1245,	1,	1),
(9301,	1,	1245,	2,	1),
(9302,	1,	1245,	3,	1),
(9303,	1,	1246,	1,	1),
(9304,	1,	1246,	2,	1),
(9305,	1,	1246,	3,	1),
(9306,	1,	1246,	1,	2),
(9307,	1,	1246,	2,	2),
(9308,	1,	1246,	3,	2),
(9309,	1,	1247,	1,	1),
(9310,	1,	1247,	2,	1),
(9311,	1,	1247,	3,	1),
(9312,	1,	1247,	1,	3),
(9313,	1,	1247,	2,	3),
(9314,	1,	1247,	3,	3),
(9315,	1,	1248,	1,	1),
(9316,	1,	1248,	2,	1),
(9317,	1,	1248,	3,	1),
(9318,	1,	1248,	1,	2),
(9319,	1,	1248,	2,	2),
(9320,	1,	1248,	3,	2),
(9321,	1,	1249,	1,	1),
(9322,	1,	1249,	2,	1),
(9323,	1,	1249,	3,	1),
(9324,	1,	1249,	1,	2),
(9325,	1,	1249,	2,	2),
(9326,	1,	1249,	3,	2),
(9327,	1,	1250,	1,	1),
(9328,	1,	1250,	2,	1),
(9329,	1,	1250,	3,	1),
(9330,	1,	1250,	1,	2),
(9331,	1,	1250,	2,	2),
(9332,	1,	1250,	3,	2),
(9333,	1,	1251,	1,	1),
(9334,	1,	1251,	2,	1),
(9335,	1,	1251,	3,	1),
(9336,	1,	1251,	1,	2),
(9337,	1,	1251,	2,	2),
(9338,	1,	1251,	3,	2),
(9339,	1,	1252,	1,	1),
(9340,	1,	1252,	2,	1),
(9341,	1,	1252,	3,	1),
(9342,	1,	1252,	1,	2),
(9343,	1,	1252,	2,	2),
(9344,	1,	1252,	3,	2),
(9345,	1,	1253,	1,	1),
(9346,	1,	1253,	2,	1),
(9347,	1,	1253,	3,	1),
(9348,	1,	1253,	1,	2),
(9349,	1,	1253,	2,	2),
(9350,	1,	1253,	3,	2),
(9351,	1,	1254,	1,	1),
(9352,	1,	1254,	2,	1),
(9353,	1,	1254,	3,	1),
(9354,	1,	1254,	1,	2),
(9355,	1,	1254,	2,	2),
(9356,	1,	1254,	3,	2),
(9357,	1,	1255,	1,	1),
(9358,	1,	1255,	2,	1),
(9359,	1,	1255,	3,	1),
(9360,	1,	1255,	1,	2),
(9361,	1,	1255,	2,	2),
(9362,	1,	1255,	3,	2),
(9363,	1,	1256,	1,	1),
(9364,	1,	1256,	2,	1),
(9365,	1,	1256,	3,	1),
(9366,	1,	1256,	1,	2),
(9367,	1,	1256,	2,	2),
(9368,	1,	1256,	3,	2),
(9369,	1,	1257,	1,	1),
(9370,	1,	1258,	3,	1),
(9372,	1,	1260,	1,	1),
(9373,	1,	1260,	2,	1),
(9374,	1,	1260,	3,	1),
(9375,	1,	1260,	1,	2),
(9376,	1,	1260,	2,	2),
(9377,	1,	1260,	3,	2),
(9378,	1,	1261,	1,	1),
(9379,	1,	1261,	2,	1),
(9380,	1,	1261,	3,	1),
(9381,	1,	1261,	1,	2),
(9382,	1,	1261,	2,	2),
(9383,	1,	1261,	3,	2),
(9384,	1,	1262,	1,	1),
(9385,	1,	1262,	2,	1),
(9386,	1,	1262,	3,	1),
(9387,	1,	1262,	1,	2),
(9388,	1,	1262,	2,	2),
(9389,	1,	1262,	3,	2),
(9390,	1,	1263,	1,	1),
(9391,	1,	1263,	2,	1),
(9392,	1,	1263,	3,	1),
(9393,	1,	1264,	1,	1),
(9394,	1,	1264,	2,	1),
(9395,	1,	1264,	3,	1),
(9396,	1,	1264,	1,	2),
(9397,	1,	1264,	2,	2),
(9398,	1,	1264,	3,	2),
(9399,	1,	1265,	1,	1),
(9400,	1,	1265,	2,	1),
(9401,	1,	1265,	3,	1),
(9402,	1,	1265,	1,	2),
(9403,	1,	1265,	2,	2),
(9404,	1,	1265,	3,	2),
(9405,	1,	1266,	1,	1),
(9406,	1,	1266,	2,	1),
(9407,	1,	1266,	3,	1),
(9408,	1,	1267,	1,	1),
(9409,	1,	1267,	2,	1),
(9410,	1,	1267,	3,	1),
(9411,	1,	1267,	1,	2),
(9412,	1,	1267,	2,	2),
(9413,	1,	1267,	3,	2),
(9414,	1,	1268,	1,	1),
(9415,	1,	1268,	2,	1),
(9416,	1,	1268,	3,	1),
(9417,	1,	1269,	1,	1),
(9418,	1,	1269,	2,	1),
(9419,	1,	1269,	3,	1),
(9420,	1,	1270,	1,	1),
(9421,	1,	1270,	2,	1),
(9422,	1,	1270,	3,	1),
(9423,	1,	1270,	1,	2),
(9424,	1,	1270,	2,	2),
(9425,	1,	1270,	3,	2),
(9426,	1,	1271,	1,	1),
(9427,	1,	1271,	2,	1),
(9428,	1,	1271,	3,	1),
(9429,	1,	1271,	1,	2),
(9430,	1,	1271,	2,	2),
(9431,	1,	1271,	3,	2),
(9432,	1,	1272,	1,	1),
(9433,	1,	1272,	2,	1),
(9434,	1,	1272,	3,	1),
(9435,	1,	1273,	1,	1),
(9436,	1,	1273,	2,	1),
(9437,	1,	1273,	3,	1),
(9438,	1,	1274,	1,	1),
(9439,	1,	1274,	2,	1),
(9440,	1,	1274,	3,	1),
(9441,	1,	1275,	1,	1),
(9442,	1,	1275,	2,	1),
(9443,	1,	1275,	3,	1),
(9444,	1,	1275,	1,	2),
(9445,	1,	1275,	2,	2),
(9446,	1,	1275,	3,	2),
(9447,	1,	1276,	1,	1),
(9448,	1,	1276,	2,	1),
(9449,	1,	1276,	3,	1),
(9450,	1,	1276,	1,	2),
(9451,	1,	1276,	2,	2),
(9452,	1,	1276,	3,	2),
(9453,	1,	1277,	1,	1),
(9454,	1,	1277,	2,	1),
(9455,	1,	1277,	3,	1),
(9456,	1,	1277,	1,	2),
(9457,	1,	1277,	2,	2),
(9458,	1,	1277,	3,	2),
(9459,	1,	1278,	1,	1),
(9460,	1,	1278,	2,	1),
(9461,	1,	1278,	3,	1),
(9462,	1,	1278,	1,	2),
(9463,	1,	1278,	2,	2),
(9464,	1,	1278,	3,	2),
(9465,	1,	1279,	1,	1),
(9466,	1,	1279,	2,	1),
(9467,	1,	1279,	3,	1),
(9468,	1,	1279,	1,	2),
(9469,	1,	1279,	2,	2),
(9470,	1,	1279,	3,	2),
(9471,	1,	1280,	1,	1),
(9472,	1,	1280,	2,	1),
(9473,	1,	1280,	3,	1),
(9474,	1,	1280,	1,	2),
(9475,	1,	1280,	2,	2),
(9476,	1,	1280,	3,	2),
(9477,	1,	1281,	1,	1),
(9478,	1,	1281,	2,	1),
(9479,	1,	1281,	3,	1),
(9480,	1,	1281,	1,	2),
(9481,	1,	1281,	2,	2),
(9482,	1,	1281,	3,	2),
(9483,	1,	1282,	1,	1),
(9484,	1,	1282,	2,	1),
(9485,	1,	1282,	3,	1),
(9486,	1,	1282,	1,	2),
(9487,	1,	1282,	2,	2),
(9488,	1,	1282,	3,	2),
(9489,	1,	1283,	1,	1),
(9490,	1,	1283,	2,	1),
(9491,	1,	1283,	3,	1),
(9492,	1,	1283,	1,	2),
(9493,	1,	1283,	2,	2),
(9494,	1,	1283,	3,	2),
(9495,	1,	1284,	1,	1),
(9496,	1,	1284,	2,	1),
(9497,	1,	1284,	3,	1),
(9498,	1,	1284,	1,	2),
(9499,	1,	1284,	2,	2),
(9500,	1,	1284,	3,	2),
(9501,	1,	1285,	1,	1),
(9502,	1,	1285,	2,	1),
(9503,	1,	1285,	3,	1),
(9504,	1,	1285,	1,	2),
(9505,	1,	1285,	2,	2),
(9506,	1,	1285,	3,	2),
(9507,	1,	1286,	1,	1),
(9508,	1,	1286,	2,	1),
(9509,	1,	1286,	3,	1),
(9510,	1,	1286,	1,	2),
(9511,	1,	1286,	2,	2),
(9512,	1,	1286,	3,	2),
(9513,	1,	1287,	1,	1),
(9514,	1,	1287,	2,	1),
(9515,	1,	1287,	3,	1),
(9516,	1,	1287,	6,	1),
(9517,	1,	1287,	24,	1),
(9518,	1,	1287,	25,	1),
(9519,	1,	1287,	4,	1),
(9520,	1,	1287,	23,	1),
(9521,	1,	1288,	1,	1),
(9522,	1,	1288,	2,	1),
(9523,	1,	1288,	3,	1),
(9524,	1,	1288,	6,	1),
(9525,	1,	1288,	24,	1),
(9526,	1,	1288,	25,	1),
(9527,	1,	1288,	4,	1),
(9528,	1,	1288,	23,	1),
(9529,	1,	1289,	1,	1),
(9530,	1,	1289,	2,	1),
(9531,	1,	1289,	3,	1),
(9532,	1,	1289,	6,	1),
(9533,	1,	1289,	24,	1),
(9534,	1,	1289,	25,	1),
(9535,	1,	1289,	4,	1),
(9536,	1,	1289,	23,	1),
(9537,	1,	1290,	1,	1),
(9538,	1,	1290,	2,	1),
(9539,	1,	1290,	3,	1),
(9540,	1,	1290,	6,	1),
(9541,	1,	1290,	24,	1),
(9542,	1,	1290,	25,	1),
(9543,	1,	1290,	4,	1),
(9544,	1,	1290,	23,	1),
(9545,	1,	1291,	1,	1),
(9546,	1,	1291,	2,	1),
(9547,	1,	1291,	3,	1),
(9548,	1,	1291,	6,	1),
(9549,	1,	1291,	24,	1),
(9550,	1,	1291,	25,	1),
(9551,	1,	1291,	4,	1),
(9552,	1,	1291,	23,	1),
(9553,	1,	1292,	1,	1),
(9554,	1,	1292,	2,	1),
(9555,	1,	1292,	3,	1),
(9556,	1,	1292,	6,	1),
(9557,	1,	1292,	24,	1),
(9558,	1,	1292,	25,	1),
(9559,	1,	1292,	4,	1),
(9560,	1,	1292,	23,	1),
(9561,	1,	1293,	1,	1),
(9562,	1,	1293,	2,	1),
(9563,	1,	1293,	3,	1),
(9564,	1,	1293,	6,	1),
(9565,	1,	1293,	24,	1),
(9566,	1,	1293,	25,	1),
(9567,	1,	1293,	4,	1),
(9568,	1,	1293,	23,	1),
(9569,	1,	1294,	1,	1),
(9570,	1,	1294,	2,	1),
(9571,	1,	1294,	3,	1),
(9572,	1,	1294,	6,	1),
(9573,	1,	1294,	24,	1),
(9574,	1,	1294,	25,	1),
(9575,	1,	1294,	4,	1),
(9576,	1,	1294,	23,	1),
(9577,	1,	1295,	1,	1),
(9578,	1,	1295,	2,	1),
(9579,	1,	1295,	3,	1),
(9580,	1,	1295,	6,	1),
(9581,	1,	1295,	24,	1),
(9582,	1,	1295,	25,	1),
(9583,	1,	1295,	4,	1),
(9584,	1,	1295,	23,	1),
(9585,	1,	1296,	1,	1),
(9586,	1,	1296,	2,	1),
(9587,	1,	1296,	3,	1),
(9588,	1,	1296,	6,	1),
(9589,	1,	1296,	24,	1),
(9590,	1,	1296,	25,	1),
(9591,	1,	1296,	4,	1),
(9592,	1,	1296,	23,	1),
(9593,	1,	1297,	1,	1),
(9594,	1,	1297,	2,	1),
(9595,	1,	1297,	3,	1),
(9596,	1,	1297,	6,	1),
(9597,	1,	1297,	24,	1),
(9598,	1,	1297,	25,	1),
(9599,	1,	1297,	4,	1),
(9600,	1,	1297,	23,	1),
(9601,	1,	1297,	26,	1),
(9602,	1,	1298,	1,	1),
(9603,	1,	1298,	2,	1),
(9604,	1,	1298,	3,	1),
(9605,	1,	1299,	1,	1),
(9606,	1,	1299,	2,	1),
(9607,	1,	1299,	3,	1),
(9608,	1,	1299,	6,	1),
(9609,	1,	1299,	24,	1),
(9610,	1,	1299,	25,	1),
(9611,	1,	1299,	4,	1),
(9612,	1,	1299,	23,	1),
(9613,	1,	1300,	1,	1),
(9614,	1,	1300,	2,	1),
(9615,	1,	1300,	3,	1),
(9616,	1,	1300,	6,	1),
(9617,	1,	1300,	24,	1),
(9618,	1,	1300,	25,	1),
(9619,	1,	1300,	4,	1),
(9620,	1,	1300,	23,	1),
(9621,	1,	1301,	1,	1),
(9622,	1,	1301,	2,	1),
(9623,	1,	1301,	3,	1),
(9624,	1,	1302,	1,	1),
(9625,	1,	1302,	2,	1),
(9626,	1,	1302,	3,	1),
(9627,	1,	1302,	6,	1),
(9628,	1,	1302,	24,	1),
(9629,	1,	1302,	25,	1),
(9630,	1,	1302,	4,	1),
(9631,	1,	1302,	23,	1),
(9632,	1,	1303,	1,	1),
(9633,	1,	1303,	2,	1),
(9634,	1,	1303,	3,	1),
(9635,	1,	1303,	6,	1),
(9636,	1,	1303,	24,	1),
(9637,	1,	1303,	25,	1),
(9638,	1,	1303,	4,	1),
(9639,	1,	1303,	23,	1),
(9640,	1,	1304,	1,	1),
(9641,	1,	1304,	2,	1),
(9642,	1,	1304,	3,	1),
(9643,	1,	1305,	1,	1),
(9644,	1,	1305,	2,	1),
(9645,	1,	1305,	3,	1),
(9646,	1,	1305,	6,	1),
(9647,	1,	1305,	24,	1),
(9648,	1,	1305,	25,	1),
(9649,	1,	1305,	4,	1),
(9650,	1,	1305,	23,	1),
(9651,	1,	1306,	1,	1),
(9652,	1,	1306,	2,	1),
(9653,	1,	1306,	3,	1),
(9654,	1,	1306,	1,	2),
(9655,	1,	1306,	2,	2),
(9656,	1,	1306,	3,	2),
(9657,	1,	1307,	1,	1),
(9658,	1,	1307,	2,	1),
(9659,	1,	1307,	3,	1),
(9660,	1,	1307,	1,	2),
(9661,	1,	1307,	2,	2),
(9662,	1,	1307,	3,	2),
(9663,	1,	1308,	1,	1),
(9664,	1,	1308,	2,	1),
(9665,	1,	1308,	3,	1),
(9666,	1,	1308,	6,	1),
(9667,	1,	1308,	24,	1),
(9668,	1,	1308,	25,	1),
(9669,	1,	1308,	4,	1),
(9670,	1,	1308,	23,	1),
(9671,	1,	1309,	1,	1),
(9672,	1,	1309,	2,	1),
(9673,	1,	1309,	3,	1),
(9674,	1,	1309,	23,	1),
(9675,	1,	1309,	6,	1),
(9676,	1,	1309,	24,	1),
(9677,	1,	1309,	25,	1),
(9678,	1,	1309,	4,	1),
(9679,	1,	1309,	26,	1),
(9680,	1,	1310,	1,	1),
(9681,	1,	1310,	2,	1),
(9682,	1,	1310,	3,	1),
(9683,	1,	1311,	1,	1),
(9684,	1,	1311,	2,	1),
(9685,	1,	1311,	3,	1),
(9686,	1,	1311,	23,	1),
(9687,	1,	1311,	6,	1),
(9688,	1,	1311,	24,	1),
(9689,	1,	1311,	25,	1),
(9690,	1,	1311,	4,	1),
(9691,	1,	1311,	26,	1),
(9692,	1,	1312,	1,	1),
(9693,	1,	1312,	2,	1),
(9694,	1,	1312,	3,	1),
(9695,	1,	1312,	23,	1),
(9696,	1,	1312,	6,	1),
(9697,	1,	1312,	24,	1),
(9698,	1,	1312,	25,	1),
(9699,	1,	1312,	4,	1),
(9700,	1,	1312,	26,	1),
(9701,	1,	1313,	1,	1),
(9702,	1,	1313,	2,	1),
(9703,	1,	1313,	3,	1),
(9704,	1,	1314,	1,	1),
(9705,	1,	1314,	2,	1),
(9706,	1,	1314,	3,	1),
(9707,	1,	1314,	23,	1),
(9708,	1,	1314,	6,	1),
(9709,	1,	1314,	24,	1),
(9710,	1,	1314,	25,	1),
(9711,	1,	1314,	4,	1),
(9712,	1,	1314,	26,	1),
(9713,	1,	1315,	1,	1),
(9714,	1,	1315,	2,	1),
(9715,	1,	1315,	3,	1),
(9716,	1,	1315,	23,	1),
(9717,	1,	1315,	6,	1),
(9718,	1,	1315,	24,	1),
(9719,	1,	1315,	25,	1),
(9720,	1,	1315,	4,	1),
(9721,	1,	1315,	26,	1),
(9722,	1,	1316,	1,	1),
(9723,	1,	1316,	2,	1),
(9724,	1,	1316,	3,	1),
(9725,	1,	1317,	1,	1),
(9726,	1,	1317,	2,	1),
(9727,	1,	1317,	3,	1),
(9728,	1,	1317,	23,	1),
(9729,	1,	1317,	6,	1),
(9730,	1,	1317,	24,	1),
(9731,	1,	1317,	25,	1),
(9732,	1,	1317,	4,	1),
(9733,	1,	1317,	26,	1),
(9734,	1,	1318,	1,	1),
(9735,	1,	1318,	2,	1),
(9736,	1,	1318,	3,	1),
(9737,	1,	1318,	1,	2),
(9738,	1,	1318,	2,	2),
(9739,	1,	1318,	3,	2),
(9740,	1,	1319,	1,	1),
(9741,	1,	1319,	2,	1),
(9742,	1,	1319,	3,	1),
(9743,	1,	1319,	1,	2),
(9744,	1,	1319,	2,	2),
(9745,	1,	1319,	3,	2),
(9746,	1,	1320,	1,	1),
(9747,	1,	1320,	2,	1),
(9748,	1,	1320,	3,	1),
(9749,	1,	1320,	1,	2),
(9750,	1,	1320,	2,	2),
(9751,	1,	1320,	3,	2),
(9752,	1,	1321,	1,	1),
(9753,	1,	1321,	2,	1),
(9754,	1,	1321,	3,	1),
(9755,	1,	1322,	1,	1),
(9756,	1,	1322,	2,	1),
(9757,	1,	1322,	3,	1),
(9758,	1,	1323,	1,	1),
(9759,	1,	1323,	2,	1),
(9760,	1,	1323,	3,	1),
(9761,	1,	1324,	1,	1),
(9762,	1,	1324,	2,	1),
(9763,	1,	1324,	3,	1),
(9764,	1,	1325,	1,	1),
(9765,	1,	1325,	2,	1),
(9766,	1,	1325,	3,	1),
(9767,	1,	1326,	1,	1),
(9768,	1,	1326,	2,	1),
(9769,	1,	1326,	3,	1),
(9770,	1,	1327,	1,	1),
(9771,	1,	1327,	2,	1),
(9772,	1,	1327,	3,	1),
(9773,	1,	1328,	1,	1),
(9774,	1,	1328,	2,	1),
(9775,	1,	1328,	3,	1),
(9776,	1,	1329,	1,	1),
(9777,	1,	1329,	2,	1),
(9778,	1,	1329,	3,	1),
(9779,	1,	1330,	1,	1),
(9780,	1,	1330,	2,	1),
(9781,	1,	1330,	3,	1),
(9782,	1,	1331,	1,	1),
(9783,	1,	1331,	2,	1),
(9784,	1,	1331,	3,	1),
(9785,	1,	1332,	1,	1),
(9786,	1,	1332,	2,	1),
(9787,	1,	1332,	3,	1),
(9788,	1,	1333,	1,	1),
(9789,	1,	1333,	2,	1),
(9790,	1,	1333,	3,	1),
(9791,	1,	1334,	1,	1),
(9792,	1,	1334,	2,	1),
(9793,	1,	1334,	3,	1),
(9794,	1,	1335,	1,	1),
(9795,	1,	1335,	2,	1),
(9796,	1,	1335,	3,	1),
(9797,	1,	1336,	1,	1),
(9798,	1,	1336,	2,	1),
(9799,	1,	1336,	3,	1),
(9800,	1,	1337,	1,	1),
(9801,	1,	1337,	2,	1),
(9802,	1,	1337,	3,	1),
(9803,	1,	1338,	1,	1),
(9804,	1,	1338,	2,	1),
(9805,	1,	1338,	3,	1),
(9806,	1,	1339,	1,	1),
(9807,	1,	1339,	2,	1),
(9808,	1,	1339,	3,	1),
(9809,	1,	1340,	1,	1),
(9810,	1,	1340,	2,	1),
(9811,	1,	1340,	3,	1),
(9812,	1,	1341,	1,	1),
(9813,	1,	1341,	2,	1),
(9814,	1,	1341,	3,	1),
(9815,	1,	1342,	1,	1),
(9816,	1,	1342,	2,	1),
(9817,	1,	1342,	3,	1),
(9818,	1,	1343,	1,	1),
(9819,	1,	1343,	2,	1),
(9820,	1,	1343,	3,	1),
(9821,	1,	1343,	24,	1),
(9822,	1,	1344,	1,	1),
(9823,	1,	1344,	2,	1),
(9824,	1,	1344,	3,	1),
(9825,	1,	1344,	24,	1),
(9826,	1,	1345,	1,	1),
(9827,	1,	1345,	2,	1),
(9828,	1,	1345,	3,	1),
(9829,	1,	1345,	24,	1),
(9830,	1,	1346,	1,	1),
(9831,	1,	1346,	2,	1),
(9832,	1,	1346,	3,	1),
(9833,	1,	1346,	24,	1),
(9834,	1,	1347,	1,	1),
(9835,	1,	1347,	2,	1),
(9836,	1,	1347,	3,	1),
(9837,	1,	1347,	24,	1),
(9838,	1,	1348,	1,	1),
(9839,	1,	1348,	2,	1),
(9840,	1,	1348,	3,	1),
(9841,	1,	1348,	24,	1),
(9842,	1,	1349,	1,	1),
(9843,	1,	1349,	2,	1),
(9844,	1,	1349,	3,	1),
(9845,	1,	1350,	1,	1),
(9846,	1,	1350,	2,	1),
(9847,	1,	1350,	3,	1),
(9848,	1,	1350,	23,	1),
(9849,	1,	1350,	6,	1),
(9850,	1,	1350,	24,	1),
(9851,	1,	1350,	25,	1),
(9852,	1,	1350,	4,	1),
(9853,	1,	1350,	5,	1),
(9854,	1,	1351,	1,	1),
(9855,	1,	1351,	2,	1),
(9856,	1,	1351,	3,	1),
(9857,	1,	1352,	1,	1),
(9858,	1,	1352,	2,	1),
(9859,	1,	1352,	3,	1),
(9860,	1,	1352,	23,	1),
(9861,	1,	1352,	6,	1),
(9862,	1,	1352,	24,	1),
(9863,	1,	1352,	25,	1),
(9864,	1,	1352,	4,	1),
(9865,	1,	1352,	5,	1),
(9866,	1,	1353,	1,	1),
(9867,	1,	1353,	2,	1),
(9868,	1,	1353,	3,	1),
(9869,	1,	1354,	1,	1),
(9870,	1,	1354,	2,	1),
(9871,	1,	1354,	3,	1),
(9872,	1,	1354,	23,	1),
(9873,	1,	1354,	6,	1),
(9874,	1,	1354,	24,	1),
(9875,	1,	1354,	25,	1),
(9876,	1,	1354,	4,	1),
(9877,	1,	1354,	5,	1),
(9878,	1,	1355,	1,	1),
(9879,	1,	1355,	2,	1),
(9880,	1,	1355,	3,	1),
(9881,	1,	1356,	1,	1),
(9882,	1,	1356,	2,	1),
(9883,	1,	1356,	3,	1),
(9884,	1,	1357,	1,	1),
(9885,	1,	1357,	2,	1),
(9886,	1,	1357,	3,	1),
(9887,	1,	1357,	23,	1),
(9888,	1,	1357,	6,	1),
(9889,	1,	1357,	24,	1),
(9890,	1,	1357,	25,	1),
(9891,	1,	1357,	4,	1),
(9892,	1,	1357,	5,	1),
(9893,	1,	1358,	1,	1),
(9894,	1,	1358,	2,	1),
(9895,	1,	1358,	3,	1),
(9896,	1,	1359,	1,	1),
(9897,	1,	1359,	2,	1),
(9898,	1,	1359,	3,	1),
(9899,	1,	1359,	23,	1),
(9900,	1,	1359,	6,	1),
(9901,	1,	1359,	24,	1),
(9902,	1,	1359,	25,	1),
(9903,	1,	1359,	4,	1),
(9904,	1,	1359,	5,	1),
(9905,	1,	1360,	1,	1),
(9906,	1,	1360,	2,	1),
(9907,	1,	1360,	3,	1),
(9908,	1,	1360,	23,	1),
(9909,	1,	1360,	6,	1),
(9910,	1,	1360,	24,	1),
(9911,	1,	1360,	25,	1),
(9912,	1,	1360,	4,	1),
(9913,	1,	1360,	5,	1),
(9914,	1,	1361,	1,	1),
(9915,	1,	1361,	2,	1),
(9916,	1,	1361,	3,	1),
(9917,	1,	1361,	23,	1),
(9918,	1,	1361,	6,	1),
(9919,	1,	1361,	24,	1),
(9920,	1,	1361,	25,	1),
(9921,	1,	1361,	4,	1),
(9922,	1,	1361,	5,	1),
(9923,	1,	1362,	1,	1),
(9924,	1,	1362,	2,	1),
(9925,	1,	1362,	3,	1),
(9926,	1,	1363,	1,	1),
(9927,	1,	1363,	2,	1),
(9928,	1,	1363,	3,	1),
(9929,	1,	1363,	23,	1),
(9930,	1,	1363,	6,	1),
(9931,	1,	1363,	24,	1),
(9932,	1,	1363,	25,	1),
(9933,	1,	1363,	4,	1),
(9934,	1,	1363,	5,	1),
(9935,	1,	1364,	1,	1),
(9936,	1,	1364,	2,	1),
(9937,	1,	1364,	3,	1),
(9938,	1,	1365,	1,	1),
(9939,	1,	1365,	2,	1),
(9940,	1,	1365,	3,	1),
(9941,	1,	1366,	1,	1),
(9942,	1,	1366,	2,	1),
(9943,	1,	1366,	3,	1),
(9944,	1,	1367,	1,	1),
(9945,	1,	1367,	2,	1),
(9946,	1,	1367,	3,	1),
(9947,	1,	1368,	1,	1),
(9948,	1,	1368,	2,	1),
(9949,	1,	1368,	3,	1),
(9950,	1,	1369,	1,	1),
(9951,	1,	1369,	2,	1),
(9952,	1,	1369,	3,	1),
(9953,	1,	1370,	1,	1),
(9954,	1,	1370,	2,	1),
(9955,	1,	1370,	3,	1),
(9956,	1,	1371,	1,	1),
(9957,	1,	1371,	2,	1),
(9958,	1,	1371,	3,	1),
(9959,	1,	1372,	1,	1),
(9960,	1,	1372,	2,	1),
(9961,	1,	1372,	3,	1),
(9962,	1,	1372,	23,	1),
(9963,	1,	1372,	6,	1),
(9964,	1,	1372,	24,	1),
(9965,	1,	1372,	25,	1),
(9966,	1,	1372,	4,	1),
(9967,	1,	1372,	5,	1),
(9968,	1,	1373,	1,	1),
(9969,	1,	1373,	2,	1),
(9970,	1,	1373,	3,	1),
(9971,	1,	1373,	23,	1),
(9972,	1,	1373,	6,	1),
(9973,	1,	1373,	24,	1),
(9974,	1,	1373,	25,	1),
(9975,	1,	1373,	4,	1),
(9976,	1,	1373,	5,	1),
(9977,	1,	1374,	1,	1),
(9978,	1,	1374,	2,	1),
(9979,	1,	1374,	3,	1),
(9980,	1,	1375,	1,	1),
(9981,	1,	1375,	2,	1),
(9982,	1,	1375,	3,	1),
(9983,	1,	1375,	23,	1),
(9984,	1,	1375,	6,	1),
(9985,	1,	1375,	24,	1),
(9986,	1,	1375,	25,	1),
(9987,	1,	1375,	4,	1),
(9988,	1,	1375,	5,	1),
(9989,	1,	1376,	1,	1),
(9990,	1,	1376,	2,	1),
(9991,	1,	1376,	3,	1),
(9992,	1,	1376,	23,	1),
(9993,	1,	1376,	6,	1),
(9994,	1,	1376,	24,	1),
(9995,	1,	1376,	25,	1),
(9996,	1,	1376,	4,	1),
(9997,	1,	1376,	5,	1),
(9998,	1,	1377,	1,	1),
(9999,	1,	1377,	2,	1),
(10000,	1,	1377,	3,	1),
(10001,	1,	1377,	23,	1),
(10002,	1,	1377,	6,	1),
(10003,	1,	1377,	24,	1),
(10004,	1,	1377,	25,	1),
(10005,	1,	1377,	4,	1),
(10006,	1,	1377,	5,	1),
(10007,	1,	1378,	1,	1),
(10008,	1,	1378,	2,	1),
(10009,	1,	1378,	3,	1),
(10010,	1,	1379,	1,	1),
(10011,	1,	1379,	2,	1),
(10012,	1,	1379,	3,	1),
(10013,	1,	1380,	1,	1),
(10014,	1,	1380,	2,	1),
(10015,	1,	1380,	3,	1),
(10016,	1,	1381,	1,	1),
(10017,	1,	1381,	2,	1),
(10018,	1,	1381,	3,	1),
(10019,	1,	1382,	1,	1),
(10020,	1,	1382,	2,	1),
(10021,	1,	1382,	3,	1),
(10022,	1,	1383,	1,	1),
(10023,	1,	1383,	2,	1),
(10024,	1,	1383,	3,	1),
(10025,	1,	1384,	1,	1),
(10026,	1,	1384,	2,	1),
(10027,	1,	1384,	3,	1),
(10028,	1,	1385,	1,	1),
(10029,	1,	1385,	2,	1),
(10030,	1,	1385,	3,	1),
(10031,	1,	1386,	1,	1),
(10032,	1,	1386,	2,	1),
(10033,	1,	1386,	3,	1),
(10034,	1,	1387,	1,	1),
(10035,	1,	1387,	2,	1),
(10036,	1,	1387,	3,	1),
(10037,	1,	1387,	23,	1),
(10038,	1,	1387,	6,	1),
(10039,	1,	1387,	24,	1),
(10040,	1,	1387,	25,	1),
(10041,	1,	1387,	4,	1),
(10042,	1,	1388,	1,	1),
(10043,	1,	1388,	2,	1),
(10044,	1,	1388,	3,	1),
(10045,	1,	1388,	23,	1),
(10046,	1,	1388,	6,	1),
(10047,	1,	1388,	24,	1),
(10048,	1,	1388,	25,	1),
(10049,	1,	1388,	4,	1),
(10050,	1,	1389,	1,	1),
(10051,	1,	1389,	2,	1),
(10052,	1,	1389,	3,	1),
(10053,	1,	1389,	23,	1),
(10054,	1,	1389,	6,	1),
(10055,	1,	1389,	24,	1),
(10056,	1,	1389,	25,	1),
(10057,	1,	1389,	4,	1),
(10058,	1,	1390,	1,	1),
(10059,	1,	1390,	2,	1),
(10060,	1,	1390,	3,	1),
(10061,	1,	1391,	1,	1),
(10062,	1,	1391,	2,	1),
(10063,	1,	1391,	3,	1),
(10064,	1,	1391,	23,	1),
(10065,	1,	1391,	6,	1),
(10066,	1,	1391,	24,	1),
(10067,	1,	1391,	25,	1),
(10068,	1,	1391,	4,	1),
(10069,	1,	1392,	1,	1),
(10070,	1,	1392,	2,	1),
(10071,	1,	1392,	3,	1),
(10072,	1,	1393,	1,	1),
(10073,	1,	1393,	2,	1),
(10074,	1,	1393,	3,	1),
(10075,	1,	1393,	23,	1),
(10076,	1,	1393,	6,	1),
(10077,	1,	1393,	24,	1),
(10078,	1,	1393,	25,	1),
(10079,	1,	1393,	4,	1),
(10080,	1,	1394,	1,	1),
(10081,	1,	1394,	2,	1),
(10082,	1,	1394,	3,	1),
(10083,	1,	1395,	1,	1),
(10084,	1,	1395,	2,	1),
(10085,	1,	1395,	3,	1),
(10086,	1,	1396,	1,	1),
(10087,	1,	1396,	2,	1),
(10088,	1,	1396,	3,	1),
(10089,	1,	1397,	1,	1),
(10090,	1,	1397,	2,	1),
(10091,	1,	1397,	3,	1),
(10092,	1,	1398,	1,	1),
(10093,	1,	1398,	2,	1),
(10094,	1,	1398,	3,	1),
(10095,	1,	1399,	1,	1),
(10096,	1,	1399,	2,	1),
(10097,	1,	1399,	3,	1),
(10098,	1,	1400,	1,	1),
(10099,	1,	1400,	2,	1),
(10100,	1,	1400,	3,	1),
(10101,	1,	1401,	1,	1),
(10102,	1,	1401,	2,	1),
(10103,	1,	1401,	3,	1),
(10104,	1,	1401,	1,	2),
(10105,	1,	1401,	2,	2),
(10106,	1,	1401,	3,	2),
(10107,	1,	1402,	1,	1),
(10108,	1,	1402,	2,	1),
(10109,	1,	1402,	3,	1),
(10110,	1,	1402,	1,	2),
(10111,	1,	1402,	2,	2),
(10112,	1,	1402,	3,	2),
(10113,	1,	1403,	1,	1),
(10114,	1,	1403,	2,	1),
(10115,	1,	1403,	3,	1),
(10116,	1,	1403,	1,	2),
(10117,	1,	1403,	2,	2),
(10118,	1,	1403,	3,	2),
(10119,	1,	1404,	1,	1),
(10120,	1,	1404,	2,	1),
(10121,	1,	1404,	3,	1),
(10122,	1,	1404,	1,	2),
(10123,	1,	1404,	2,	2),
(10124,	1,	1404,	3,	2),
(10125,	1,	1405,	1,	1),
(10126,	1,	1405,	2,	1),
(10127,	1,	1405,	3,	1),
(10128,	1,	1405,	1,	2),
(10129,	1,	1405,	2,	2),
(10130,	1,	1405,	3,	2),
(10131,	1,	1406,	1,	1),
(10132,	1,	1406,	2,	1),
(10133,	1,	1406,	3,	1),
(10134,	1,	1406,	1,	2),
(10135,	1,	1406,	2,	2),
(10136,	1,	1406,	3,	2),
(10137,	1,	1407,	1,	1),
(10138,	1,	1407,	2,	1),
(10139,	1,	1407,	3,	1),
(10140,	1,	1407,	1,	2),
(10141,	1,	1407,	2,	2),
(10142,	1,	1407,	3,	2),
(10143,	1,	1408,	1,	1),
(10144,	1,	1408,	2,	1),
(10145,	1,	1408,	3,	1),
(10146,	1,	1408,	1,	2),
(10147,	1,	1408,	2,	2),
(10148,	1,	1408,	3,	2),
(10149,	1,	1409,	1,	1),
(10150,	1,	1409,	2,	1),
(10151,	1,	1409,	3,	1),
(10152,	1,	1410,	1,	1),
(10153,	1,	1410,	2,	1),
(10154,	1,	1410,	3,	1),
(10155,	1,	1410,	1,	2),
(10156,	1,	1410,	2,	2),
(10157,	1,	1410,	3,	2),
(10158,	1,	1411,	1,	1),
(10159,	1,	1411,	2,	1),
(10160,	1,	1411,	3,	1),
(10161,	1,	1411,	1,	2),
(10162,	1,	1411,	2,	2),
(10163,	1,	1411,	3,	2),
(10164,	1,	1412,	1,	1),
(10165,	1,	1412,	2,	1),
(10166,	1,	1412,	3,	1),
(10167,	1,	1412,	1,	2),
(10168,	1,	1412,	2,	2),
(10169,	1,	1412,	3,	2),
(10170,	1,	1413,	1,	1),
(10171,	1,	1413,	2,	1),
(10172,	1,	1413,	3,	1),
(10173,	1,	1413,	1,	2),
(10174,	1,	1413,	2,	2),
(10175,	1,	1413,	3,	2),
(10176,	1,	1414,	1,	1),
(10177,	1,	1414,	2,	1),
(10178,	1,	1414,	3,	1),
(10179,	1,	1415,	1,	1),
(10180,	1,	1415,	2,	1),
(10181,	1,	1415,	3,	1),
(10182,	1,	1416,	1,	1),
(10183,	1,	1416,	2,	1),
(10184,	1,	1416,	3,	1),
(10185,	1,	1416,	1,	2),
(10186,	1,	1416,	2,	2),
(10187,	1,	1416,	3,	2),
(10188,	1,	1417,	1,	1),
(10189,	1,	1417,	2,	1),
(10190,	1,	1417,	3,	1),
(10191,	1,	1418,	1,	1),
(10192,	1,	1418,	2,	1),
(10193,	1,	1418,	3,	1),
(10194,	1,	1419,	1,	1),
(10195,	1,	1419,	2,	1),
(10196,	1,	1419,	3,	1),
(10197,	1,	1419,	1,	2),
(10198,	1,	1419,	2,	2),
(10199,	1,	1419,	3,	2),
(10200,	1,	1420,	1,	1),
(10201,	1,	1420,	2,	1),
(10202,	1,	1420,	3,	1),
(10203,	1,	1421,	1,	1),
(10204,	1,	1421,	2,	1),
(10205,	1,	1421,	3,	1),
(10206,	1,	1422,	1,	1),
(10207,	1,	1422,	2,	1),
(10208,	1,	1422,	3,	1),
(10209,	1,	1422,	23,	1),
(10210,	1,	1422,	6,	1),
(10211,	1,	1422,	24,	1),
(10212,	1,	1422,	25,	1),
(10213,	1,	1422,	4,	1),
(10214,	1,	1422,	5,	1),
(10215,	1,	1423,	1,	1),
(10216,	1,	1423,	2,	1),
(10217,	1,	1423,	3,	1),
(10218,	1,	1423,	23,	1),
(10219,	1,	1423,	6,	1),
(10220,	1,	1423,	24,	1),
(10221,	1,	1423,	25,	1),
(10222,	1,	1423,	4,	1),
(10223,	1,	1423,	5,	1),
(10224,	1,	1424,	1,	1),
(10225,	1,	1424,	2,	1),
(10226,	1,	1424,	3,	1),
(10227,	1,	1425,	1,	1),
(10228,	1,	1425,	2,	1),
(10229,	1,	1425,	3,	1),
(10230,	1,	1425,	23,	1),
(10231,	1,	1425,	6,	1),
(10232,	1,	1425,	24,	1),
(10233,	1,	1425,	25,	1),
(10234,	1,	1425,	4,	1),
(10235,	1,	1425,	5,	1),
(10236,	1,	1426,	1,	1),
(10237,	1,	1426,	2,	1),
(10238,	1,	1426,	3,	1),
(10239,	1,	1426,	23,	1),
(10240,	1,	1426,	6,	1),
(10241,	1,	1426,	24,	1),
(10242,	1,	1426,	25,	1),
(10243,	1,	1426,	4,	1),
(10244,	1,	1426,	5,	1),
(10245,	1,	1427,	1,	1),
(10246,	1,	1427,	2,	1),
(10247,	1,	1427,	3,	1),
(10248,	1,	1428,	1,	1),
(10249,	1,	1428,	2,	1),
(10250,	1,	1428,	3,	1),
(10251,	1,	1428,	23,	1),
(10252,	1,	1428,	6,	1),
(10253,	1,	1428,	24,	1),
(10254,	1,	1428,	25,	1),
(10255,	1,	1428,	4,	1),
(10256,	1,	1428,	5,	1),
(10257,	1,	1429,	1,	1),
(10258,	1,	1429,	2,	1),
(10259,	1,	1429,	3,	1),
(10260,	1,	1430,	1,	1),
(10261,	1,	1430,	2,	1),
(10262,	1,	1430,	3,	1),
(10263,	1,	1431,	1,	1),
(10264,	1,	1431,	2,	1),
(10265,	1,	1431,	3,	1),
(10266,	1,	1431,	23,	1),
(10267,	1,	1431,	6,	1),
(10268,	1,	1431,	24,	1),
(10269,	1,	1431,	25,	1),
(10270,	1,	1431,	4,	1),
(10271,	1,	1431,	5,	1),
(10272,	1,	1432,	1,	1),
(10273,	1,	1432,	2,	1),
(10274,	1,	1432,	3,	1),
(10275,	1,	1432,	1,	2),
(10276,	1,	1432,	2,	2),
(10277,	1,	1432,	3,	2),
(10278,	1,	1433,	1,	1),
(10279,	1,	1433,	2,	1),
(10280,	1,	1433,	3,	1),
(10281,	1,	1434,	1,	1),
(10282,	1,	1434,	2,	1),
(10283,	1,	1434,	3,	1),
(10284,	1,	1435,	1,	1),
(10285,	1,	1435,	2,	1),
(10286,	1,	1435,	3,	1),
(10287,	1,	1436,	1,	1),
(10288,	1,	1436,	2,	1),
(10289,	1,	1436,	3,	1),
(10290,	1,	1436,	23,	1),
(10291,	1,	1436,	6,	1),
(10292,	1,	1436,	24,	1),
(10293,	1,	1436,	25,	1),
(10294,	1,	1436,	4,	1),
(10295,	1,	1436,	5,	1),
(10296,	1,	1437,	1,	1),
(10297,	1,	1437,	2,	1),
(10298,	1,	1437,	3,	1),
(10299,	1,	1437,	23,	1),
(10300,	1,	1437,	6,	1),
(10301,	1,	1437,	24,	1),
(10302,	1,	1437,	25,	1),
(10303,	1,	1437,	4,	1),
(10304,	1,	1437,	5,	1),
(10305,	1,	1438,	1,	1),
(10306,	1,	1438,	2,	1),
(10307,	1,	1438,	3,	1),
(10308,	1,	1439,	1,	1),
(10309,	1,	1439,	2,	1),
(10310,	1,	1439,	3,	1),
(10311,	1,	1439,	23,	1),
(10312,	1,	1439,	6,	1),
(10313,	1,	1439,	24,	1),
(10314,	1,	1439,	25,	1),
(10315,	1,	1439,	4,	1),
(10316,	1,	1439,	5,	1),
(10317,	1,	1440,	1,	1),
(10318,	1,	1440,	2,	1),
(10319,	1,	1440,	3,	1),
(10320,	1,	1440,	23,	1),
(10321,	1,	1440,	6,	1),
(10322,	1,	1440,	24,	1),
(10323,	1,	1440,	25,	1),
(10324,	1,	1440,	4,	1),
(10325,	1,	1440,	5,	1),
(10326,	1,	1441,	1,	1),
(10327,	1,	1441,	2,	1),
(10328,	1,	1441,	3,	1),
(10329,	1,	1442,	1,	1),
(10330,	1,	1442,	2,	1),
(10331,	1,	1442,	3,	1),
(10332,	1,	1442,	23,	1),
(10333,	1,	1442,	6,	1),
(10334,	1,	1442,	24,	1),
(10335,	1,	1442,	25,	1),
(10336,	1,	1442,	4,	1),
(10337,	1,	1442,	5,	1),
(10338,	1,	1443,	1,	1),
(10339,	1,	1443,	2,	1),
(10340,	1,	1443,	3,	1),
(10341,	1,	1443,	23,	1),
(10342,	1,	1443,	6,	1),
(10343,	1,	1443,	24,	1),
(10344,	1,	1443,	25,	1),
(10345,	1,	1443,	4,	1),
(10346,	1,	1443,	5,	1),
(10347,	1,	1444,	1,	1),
(10348,	1,	1444,	2,	1),
(10349,	1,	1444,	3,	1),
(10350,	1,	1445,	1,	1),
(10351,	1,	1445,	2,	1),
(10352,	1,	1445,	3,	1),
(10353,	1,	1445,	23,	1),
(10354,	1,	1445,	6,	1),
(10355,	1,	1445,	24,	1),
(10356,	1,	1445,	25,	1),
(10357,	1,	1445,	4,	1),
(10358,	1,	1445,	5,	1),
(10359,	1,	1446,	1,	1),
(10360,	1,	1446,	2,	1),
(10361,	1,	1446,	3,	1),
(10362,	1,	1446,	1,	2),
(10363,	1,	1446,	2,	2),
(10364,	1,	1446,	3,	2),
(10365,	1,	1447,	1,	1),
(10366,	1,	1447,	2,	1),
(10367,	1,	1447,	3,	1),
(10368,	1,	1447,	1,	2),
(10369,	1,	1447,	2,	2),
(10370,	1,	1447,	3,	2),
(10371,	1,	1448,	1,	1),
(10372,	1,	1448,	2,	1),
(10373,	1,	1448,	3,	1),
(10374,	1,	1449,	1,	1),
(10375,	1,	1449,	2,	1),
(10376,	1,	1449,	3,	1),
(10377,	1,	1450,	1,	1),
(10378,	1,	1450,	2,	1),
(10379,	1,	1450,	3,	1),
(10380,	1,	1451,	1,	1),
(10381,	1,	1451,	2,	1),
(10382,	1,	1451,	3,	1),
(10383,	1,	1452,	1,	1),
(10384,	1,	1452,	2,	1),
(10385,	1,	1452,	3,	1),
(10386,	1,	1452,	23,	1),
(10387,	1,	1452,	6,	1),
(10388,	1,	1452,	24,	1),
(10389,	1,	1452,	25,	1),
(10390,	1,	1452,	4,	1),
(10391,	1,	1452,	5,	1),
(10392,	1,	1453,	1,	1),
(10393,	1,	1453,	2,	1),
(10394,	1,	1453,	3,	1),
(10395,	1,	1453,	23,	1),
(10396,	1,	1453,	6,	1),
(10397,	1,	1453,	24,	1),
(10398,	1,	1453,	25,	1),
(10399,	1,	1453,	4,	1),
(10400,	1,	1453,	5,	1),
(10401,	1,	1454,	1,	1),
(10402,	1,	1454,	2,	1),
(10403,	1,	1454,	3,	1),
(10404,	1,	1455,	1,	1),
(10405,	1,	1455,	2,	1),
(10406,	1,	1455,	3,	1),
(10407,	1,	1455,	23,	1),
(10408,	1,	1455,	6,	1),
(10409,	1,	1455,	24,	1),
(10410,	1,	1455,	25,	1),
(10411,	1,	1455,	4,	1),
(10412,	1,	1455,	5,	1),
(10413,	1,	1456,	1,	1),
(10414,	1,	1456,	2,	1),
(10415,	1,	1456,	3,	1),
(10416,	1,	1456,	23,	1),
(10417,	1,	1456,	6,	1),
(10418,	1,	1456,	24,	1),
(10419,	1,	1456,	25,	1),
(10420,	1,	1456,	4,	1),
(10421,	1,	1456,	5,	1),
(10422,	1,	1457,	1,	1),
(10423,	1,	1457,	2,	1),
(10424,	1,	1457,	3,	1),
(10425,	1,	1458,	1,	1),
(10426,	1,	1458,	2,	1),
(10427,	1,	1458,	3,	1),
(10428,	1,	1458,	23,	1),
(10429,	1,	1458,	6,	1),
(10430,	1,	1458,	24,	1),
(10431,	1,	1458,	25,	1),
(10432,	1,	1458,	4,	1),
(10433,	1,	1458,	5,	1),
(10434,	1,	1459,	1,	1),
(10435,	1,	1459,	2,	1),
(10436,	1,	1459,	3,	1),
(10437,	1,	1459,	1,	2),
(10438,	1,	1459,	2,	2),
(10439,	1,	1459,	3,	2),
(10440,	1,	1460,	1,	1),
(10441,	1,	1460,	2,	1),
(10442,	1,	1460,	3,	1),
(10443,	1,	1461,	1,	1),
(10444,	1,	1461,	2,	1),
(10445,	1,	1461,	3,	1),
(10446,	1,	1462,	1,	1),
(10447,	1,	1462,	2,	1),
(10448,	1,	1462,	3,	1),
(10449,	1,	1462,	1,	2),
(10450,	1,	1462,	2,	2),
(10451,	1,	1462,	3,	2),
(10452,	1,	1463,	1,	1),
(10453,	1,	1463,	2,	1),
(10454,	1,	1463,	3,	1),
(10455,	1,	1463,	1,	2),
(10456,	1,	1463,	2,	2),
(10457,	1,	1463,	3,	2),
(10458,	1,	1464,	1,	1),
(10459,	1,	1464,	2,	1),
(10460,	1,	1464,	3,	1),
(10461,	1,	1465,	1,	1),
(10462,	1,	1465,	2,	1),
(10463,	1,	1465,	3,	1),
(10464,	1,	1465,	23,	1),
(10465,	1,	1466,	1,	1),
(10466,	1,	1466,	2,	1),
(10467,	1,	1466,	3,	1),
(10468,	1,	1466,	23,	1),
(10469,	1,	1467,	1,	1),
(10470,	1,	1467,	2,	1),
(10471,	1,	1467,	3,	1),
(10472,	1,	1467,	23,	1),
(10473,	1,	1468,	1,	1),
(10474,	1,	1468,	2,	1),
(10475,	1,	1468,	3,	1),
(10476,	1,	1468,	23,	1),
(10477,	1,	1469,	1,	1),
(10478,	1,	1469,	2,	1),
(10479,	1,	1469,	3,	1),
(10480,	1,	1469,	1,	2),
(10481,	1,	1469,	2,	2),
(10482,	1,	1469,	3,	2),
(10483,	1,	1470,	1,	1),
(10484,	1,	1470,	2,	1),
(10485,	1,	1470,	3,	1),
(10486,	1,	1471,	1,	1),
(10487,	1,	1471,	2,	1),
(10488,	1,	1471,	3,	1),
(10489,	1,	1472,	1,	1),
(10490,	1,	1472,	2,	1),
(10491,	1,	1472,	3,	1),
(10492,	1,	1473,	1,	1),
(10493,	1,	1473,	2,	1),
(10494,	1,	1473,	3,	1),
(10495,	1,	1473,	23,	1),
(10496,	1,	1474,	1,	1),
(10497,	1,	1474,	2,	1),
(10498,	1,	1474,	3,	1),
(10499,	1,	1475,	1,	1),
(10500,	1,	1475,	2,	1),
(10501,	1,	1475,	3,	1),
(10502,	1,	1476,	1,	1),
(10503,	1,	1476,	2,	1),
(10504,	1,	1476,	3,	1),
(10505,	1,	1476,	23,	1),
(10506,	1,	1477,	1,	1),
(10507,	1,	1477,	2,	1),
(10508,	1,	1477,	3,	1),
(10509,	1,	1478,	1,	1),
(10510,	1,	1478,	2,	1),
(10511,	1,	1478,	3,	1),
(10512,	1,	1479,	1,	1),
(10513,	1,	1479,	2,	1),
(10514,	1,	1479,	3,	1),
(10515,	1,	1480,	1,	1),
(10516,	1,	1480,	2,	1),
(10517,	1,	1480,	3,	1),
(10518,	1,	1481,	1,	1),
(10519,	1,	1481,	2,	1),
(10520,	1,	1481,	3,	1),
(10521,	1,	1481,	1,	2),
(10522,	1,	1481,	2,	2),
(10523,	1,	1481,	3,	2),
(10524,	1,	1482,	1,	1),
(10525,	1,	1482,	2,	1),
(10526,	1,	1482,	3,	1),
(10527,	1,	1483,	1,	1),
(10528,	1,	1483,	2,	1),
(10529,	1,	1483,	3,	1),
(10530,	1,	1484,	1,	1),
(10531,	1,	1484,	2,	1),
(10532,	1,	1484,	3,	1),
(10533,	1,	1485,	1,	1),
(10534,	1,	1485,	2,	1),
(10535,	1,	1485,	3,	1),
(10536,	1,	1486,	1,	1),
(10537,	1,	1486,	2,	1),
(10538,	1,	1486,	3,	1),
(10539,	1,	1487,	1,	1),
(10540,	1,	1487,	2,	1),
(10541,	1,	1487,	3,	1),
(10542,	1,	1488,	1,	1),
(10543,	1,	1488,	2,	1),
(10544,	1,	1488,	3,	1),
(10545,	1,	1489,	1,	1),
(10546,	1,	1489,	2,	1),
(10547,	1,	1489,	3,	1),
(10548,	1,	1490,	1,	1),
(10549,	1,	1490,	2,	1),
(10550,	1,	1490,	3,	1),
(10551,	1,	1491,	1,	1),
(10552,	1,	1491,	2,	1),
(10553,	1,	1491,	3,	1),
(10554,	1,	1492,	1,	1),
(10555,	1,	1492,	2,	1),
(10556,	1,	1492,	3,	1),
(10557,	1,	1493,	1,	1),
(10558,	1,	1493,	2,	1),
(10559,	1,	1493,	3,	1),
(10560,	1,	1494,	1,	1),
(10561,	1,	1494,	2,	1),
(10562,	1,	1494,	3,	1),
(10563,	1,	1495,	1,	1),
(10564,	1,	1495,	2,	1),
(10565,	1,	1495,	3,	1),
(10567,	1,	1496,	2,	1),
(10569,	1,	1496,	75,	1),
(10575,	1,	1496,	46,	1),
(10581,	1,	1497,	1,	1),
(10582,	1,	1497,	2,	1),
(10583,	1,	1497,	3,	1),
(10584,	1,	1498,	1,	1),
(10585,	1,	1498,	2,	1),
(10586,	1,	1498,	3,	1),
(10587,	1,	1499,	1,	1),
(10588,	1,	1499,	2,	1),
(10589,	1,	1499,	3,	1),
(10590,	1,	1499,	75,	1),
(10591,	1,	1499,	76,	1),
(10592,	1,	1499,	77,	1),
(10593,	1,	1499,	78,	1),
(10594,	1,	1499,	79,	1),
(10595,	1,	1499,	45,	1),
(10596,	1,	1499,	46,	1),
(10597,	1,	1499,	54,	1),
(10598,	1,	1499,	28,	1),
(10599,	1,	1499,	61,	1),
(10600,	1,	1499,	80,	1),
(10601,	1,	1499,	59,	1),
(10602,	1,	1500,	1,	1),
(10603,	1,	1500,	2,	1),
(10604,	1,	1500,	3,	1),
(10605,	1,	1500,	75,	1),
(10606,	1,	1500,	76,	1),
(10607,	1,	1500,	77,	1),
(10608,	1,	1500,	78,	1),
(10609,	1,	1500,	79,	1),
(10610,	1,	1500,	45,	1),
(10611,	1,	1500,	46,	1),
(10612,	1,	1500,	54,	1),
(10613,	1,	1500,	28,	1),
(10614,	1,	1500,	61,	1),
(10615,	1,	1500,	80,	1),
(10616,	1,	1500,	59,	1),
(10617,	1,	1501,	1,	1),
(10618,	1,	1501,	2,	1),
(10619,	1,	1501,	3,	1),
(10620,	1,	1501,	75,	1),
(10621,	1,	1501,	76,	1),
(10622,	1,	1501,	77,	1),
(10623,	1,	1501,	78,	1),
(10624,	1,	1501,	79,	1),
(10625,	1,	1501,	45,	1),
(10626,	1,	1501,	46,	1),
(10627,	1,	1501,	54,	1),
(10628,	1,	1501,	28,	1),
(10629,	1,	1501,	61,	1),
(10630,	1,	1501,	80,	1),
(10631,	1,	1501,	59,	1),
(10632,	1,	1502,	1,	1),
(10633,	1,	1502,	2,	1),
(10634,	1,	1502,	3,	1),
(10635,	1,	1502,	75,	1),
(10636,	1,	1502,	76,	1),
(10637,	1,	1502,	77,	1),
(10638,	1,	1502,	78,	1),
(10639,	1,	1502,	79,	1),
(10640,	1,	1502,	45,	1),
(10641,	1,	1502,	46,	1),
(10642,	1,	1502,	54,	1),
(10643,	1,	1502,	28,	1),
(10644,	1,	1502,	61,	1),
(10645,	1,	1502,	80,	1),
(10646,	1,	1502,	59,	1),
(10647,	1,	1503,	1,	1),
(10648,	1,	1503,	2,	1),
(10649,	1,	1503,	3,	1),
(10650,	1,	1503,	75,	1),
(10651,	1,	1503,	76,	1),
(10652,	1,	1503,	77,	1),
(10653,	1,	1503,	78,	1),
(10654,	1,	1503,	79,	1),
(10655,	1,	1503,	45,	1),
(10656,	1,	1503,	46,	1),
(10657,	1,	1503,	54,	1),
(10658,	1,	1503,	28,	1),
(10659,	1,	1503,	61,	1),
(10660,	1,	1503,	80,	1),
(10661,	1,	1503,	59,	1),
(10662,	1,	1504,	1,	1),
(10663,	1,	1504,	2,	1),
(10664,	1,	1504,	3,	1),
(10665,	1,	1504,	1,	2),
(10666,	1,	1504,	2,	2),
(10667,	1,	1504,	3,	2),
(10668,	1,	1505,	1,	1),
(10669,	1,	1505,	2,	1),
(10670,	1,	1505,	3,	1),
(10671,	1,	1505,	1,	2),
(10672,	1,	1505,	2,	2),
(10673,	1,	1505,	3,	2),
(10674,	1,	1506,	1,	1),
(10675,	1,	1506,	2,	1),
(10676,	1,	1506,	3,	1),
(10677,	1,	1507,	1,	1),
(10678,	1,	1507,	2,	1),
(10679,	1,	1507,	3,	1),
(10680,	1,	1508,	1,	1),
(10681,	1,	1508,	2,	1),
(10682,	1,	1508,	3,	1),
(10683,	1,	1509,	1,	1),
(10684,	1,	1509,	2,	1),
(10685,	1,	1509,	3,	1),
(10686,	1,	1510,	1,	1),
(10687,	1,	1510,	2,	1),
(10688,	1,	1510,	3,	1),
(10689,	1,	1510,	75,	1),
(10690,	1,	1510,	76,	1),
(10691,	1,	1510,	77,	1),
(10692,	1,	1510,	78,	1),
(10693,	1,	1510,	79,	1),
(10694,	1,	1510,	45,	1),
(10695,	1,	1510,	46,	1),
(10696,	1,	1510,	54,	1),
(10697,	1,	1510,	28,	1),
(10698,	1,	1510,	61,	1),
(10699,	1,	1510,	80,	1),
(10700,	1,	1510,	59,	1),
(10701,	1,	1511,	1,	1),
(10702,	1,	1511,	2,	1),
(10703,	1,	1511,	3,	1),
(10704,	1,	1511,	75,	1),
(10705,	1,	1511,	76,	1),
(10706,	1,	1511,	77,	1),
(10707,	1,	1511,	78,	1),
(10708,	1,	1511,	79,	1),
(10709,	1,	1511,	45,	1),
(10710,	1,	1511,	46,	1),
(10711,	1,	1511,	54,	1),
(10712,	1,	1511,	28,	1),
(10713,	1,	1511,	61,	1),
(10714,	1,	1511,	80,	1),
(10715,	1,	1511,	59,	1),
(10716,	1,	1512,	1,	1),
(10717,	1,	1512,	2,	1),
(10718,	1,	1512,	3,	1),
(10720,	1,	1513,	2,	1),
(10722,	1,	1514,	1,	1),
(10723,	1,	1514,	2,	1),
(10724,	1,	1514,	3,	1),
(10725,	1,	1514,	1,	2),
(10726,	1,	1514,	2,	2),
(10727,	1,	1514,	3,	2),
(10728,	1,	1515,	1,	1),
(10729,	1,	1515,	2,	1),
(10730,	1,	1515,	3,	1),
(10731,	1,	1516,	1,	1),
(10732,	1,	1516,	2,	1),
(10733,	1,	1516,	3,	1),
(10734,	1,	1517,	1,	1),
(10735,	1,	1517,	2,	1),
(10736,	1,	1517,	3,	1),
(10737,	1,	1517,	1,	2),
(10738,	1,	1517,	2,	2),
(10739,	1,	1517,	3,	2),
(10740,	1,	1518,	1,	1),
(10741,	1,	1518,	2,	1),
(10742,	1,	1518,	3,	1),
(10743,	1,	1518,	1,	2),
(10744,	1,	1518,	2,	2),
(10745,	1,	1518,	3,	2),
(10746,	1,	1519,	1,	1),
(10747,	1,	1519,	2,	1),
(10748,	1,	1519,	3,	1),
(10749,	1,	1520,	1,	1),
(10750,	1,	1520,	2,	1),
(10751,	1,	1520,	3,	1),
(10752,	1,	1520,	1,	2),
(10753,	1,	1520,	2,	2),
(10754,	1,	1520,	3,	2),
(10755,	1,	1521,	1,	1),
(10756,	1,	1521,	2,	1),
(10757,	1,	1521,	3,	1),
(10758,	1,	1522,	1,	1),
(10759,	1,	1522,	2,	1),
(10760,	1,	1522,	3,	1),
(10761,	1,	1523,	1,	1),
(10762,	1,	1523,	2,	1),
(10763,	1,	1523,	3,	1),
(10764,	1,	1523,	75,	1),
(10765,	1,	1523,	76,	1),
(10766,	1,	1523,	77,	1),
(10767,	1,	1523,	78,	1),
(10768,	1,	1523,	79,	1),
(10769,	1,	1523,	45,	1),
(10770,	1,	1523,	46,	1),
(10771,	1,	1523,	54,	1),
(10772,	1,	1523,	28,	1),
(10773,	1,	1523,	61,	1),
(10774,	1,	1523,	80,	1),
(10775,	1,	1524,	1,	1),
(10776,	1,	1524,	2,	1),
(10777,	1,	1524,	3,	1),
(10778,	1,	1524,	1,	2),
(10779,	1,	1524,	2,	2),
(10780,	1,	1524,	3,	2),
(10781,	1,	1525,	1,	1),
(10782,	1,	1525,	2,	1),
(10783,	1,	1525,	3,	1),
(10784,	1,	1526,	1,	1),
(10785,	1,	1526,	2,	1),
(10786,	1,	1526,	3,	1),
(10787,	1,	1526,	1,	2),
(10788,	1,	1526,	2,	2),
(10789,	1,	1526,	3,	2),
(10790,	1,	1527,	1,	1),
(10791,	1,	1527,	2,	1),
(10792,	1,	1527,	3,	1),
(10793,	1,	1527,	1,	2),
(10794,	1,	1527,	2,	2),
(10795,	1,	1527,	3,	2),
(10796,	1,	1528,	1,	1),
(10797,	1,	1528,	2,	1),
(10798,	1,	1528,	3,	1),
(10799,	1,	1528,	1,	2),
(10800,	1,	1528,	2,	2),
(10801,	1,	1528,	3,	2),
(10802,	1,	1529,	1,	1),
(10803,	1,	1529,	2,	1),
(10804,	1,	1529,	3,	1),
(10805,	1,	1530,	1,	1),
(10806,	1,	1530,	2,	1),
(10807,	1,	1530,	3,	1),
(10808,	1,	1530,	1,	2),
(10809,	1,	1530,	2,	2),
(10810,	1,	1530,	3,	2),
(10811,	1,	1531,	1,	1),
(10812,	1,	1531,	2,	1),
(10813,	1,	1531,	3,	1),
(10814,	1,	1532,	1,	1),
(10815,	1,	1532,	2,	1),
(10816,	1,	1532,	3,	1),
(10817,	1,	1533,	1,	1),
(10818,	1,	1533,	2,	1),
(10819,	1,	1533,	3,	1),
(10820,	1,	1534,	1,	1),
(10821,	1,	1534,	2,	1),
(10822,	1,	1534,	3,	1),
(10823,	1,	1535,	1,	1),
(10824,	1,	1535,	2,	1),
(10825,	1,	1535,	3,	1),
(10826,	1,	1535,	1,	2),
(10827,	1,	1535,	2,	2),
(10828,	1,	1535,	3,	2),
(10829,	1,	1536,	1,	1),
(10830,	1,	1536,	2,	1),
(10831,	1,	1536,	3,	1),
(10832,	1,	1536,	1,	2),
(10833,	1,	1536,	2,	2),
(10834,	1,	1536,	3,	2),
(10835,	1,	1537,	1,	1),
(10836,	1,	1537,	2,	1),
(10837,	1,	1537,	3,	1),
(10838,	1,	1538,	1,	1),
(10839,	1,	1538,	2,	1),
(10840,	1,	1538,	3,	1),
(10841,	1,	1539,	1,	1),
(10842,	1,	1539,	2,	1),
(10843,	1,	1539,	3,	1),
(10844,	1,	1539,	1,	2),
(10845,	1,	1539,	2,	2),
(10846,	1,	1539,	3,	2),
(10847,	1,	1540,	1,	1),
(10848,	1,	1540,	2,	1),
(10849,	1,	1540,	3,	1),
(10850,	1,	1541,	1,	1),
(10851,	1,	1541,	2,	1),
(10852,	1,	1541,	3,	1),
(10853,	1,	1541,	1,	2),
(10854,	1,	1541,	2,	2),
(10855,	1,	1541,	3,	2),
(10856,	1,	1542,	1,	1),
(10857,	1,	1542,	2,	1),
(10858,	1,	1542,	3,	1),
(10859,	1,	1542,	1,	2),
(10860,	1,	1542,	2,	2),
(10861,	1,	1542,	3,	2),
(10862,	1,	1543,	1,	1),
(10863,	1,	1543,	2,	1),
(10864,	1,	1543,	3,	1),
(10865,	1,	1543,	1,	2),
(10866,	1,	1543,	2,	2),
(10867,	1,	1543,	3,	2),
(10868,	1,	1544,	1,	1),
(10869,	1,	1544,	2,	1),
(10870,	1,	1544,	3,	1),
(10871,	1,	1545,	1,	1),
(10872,	1,	1545,	2,	1),
(10873,	1,	1545,	3,	1),
(10874,	1,	1545,	1,	3),
(10875,	1,	1545,	2,	3),
(10876,	1,	1545,	3,	3),
(10877,	1,	1546,	1,	1),
(10878,	1,	1546,	2,	1),
(10879,	1,	1546,	3,	1),
(10880,	1,	1546,	1,	2),
(10881,	1,	1546,	2,	2),
(10882,	1,	1546,	3,	2),
(10883,	1,	1547,	1,	1),
(10884,	1,	1547,	2,	1),
(10885,	1,	1547,	3,	1),
(10886,	1,	1548,	1,	1),
(10887,	1,	1548,	2,	1),
(10888,	1,	1548,	3,	1),
(10889,	1,	1548,	1,	2),
(10890,	1,	1548,	2,	2),
(10891,	1,	1548,	3,	2),
(10892,	1,	1549,	1,	1),
(10893,	1,	1549,	2,	1),
(10894,	1,	1549,	3,	1),
(10895,	1,	1550,	1,	1),
(10896,	1,	1550,	2,	1),
(10897,	1,	1550,	3,	1),
(10898,	1,	1551,	1,	1),
(10899,	1,	1551,	2,	1),
(10900,	1,	1551,	3,	1),
(10901,	1,	1552,	1,	1),
(10902,	1,	1552,	2,	1),
(10903,	1,	1552,	3,	1),
(10904,	1,	1552,	1,	2),
(10905,	1,	1552,	2,	2),
(10906,	1,	1552,	3,	2),
(10907,	1,	1553,	1,	1),
(10908,	1,	1553,	2,	1),
(10909,	1,	1553,	3,	1),
(10910,	1,	1554,	1,	1),
(10911,	1,	1554,	2,	1),
(10912,	1,	1554,	3,	1),
(10913,	1,	1555,	1,	1),
(10914,	1,	1555,	2,	1),
(10915,	1,	1555,	3,	1),
(10916,	1,	1555,	1,	3),
(10917,	1,	1555,	2,	3),
(10918,	1,	1555,	3,	3),
(10919,	1,	1556,	1,	1),
(10920,	1,	1556,	2,	1),
(10921,	1,	1556,	3,	1),
(10922,	1,	1556,	1,	2),
(10923,	1,	1556,	2,	2),
(10924,	1,	1556,	3,	2),
(10925,	1,	1557,	1,	1),
(10926,	1,	1557,	2,	1),
(10927,	1,	1557,	3,	1),
(10928,	1,	1557,	1,	2),
(10929,	1,	1557,	2,	2),
(10930,	1,	1557,	3,	2),
(10931,	1,	1558,	1,	1),
(10932,	1,	1558,	2,	1),
(10933,	1,	1558,	3,	1),
(10934,	1,	1558,	1,	2),
(10935,	1,	1558,	2,	2),
(10936,	1,	1558,	3,	2),
(10937,	1,	1559,	1,	1),
(10938,	1,	1559,	2,	1),
(10939,	1,	1559,	3,	1),
(10940,	1,	1559,	1,	2),
(10941,	1,	1559,	2,	2),
(10942,	1,	1559,	3,	2),
(10943,	1,	1560,	1,	1),
(10944,	1,	1560,	2,	1),
(10945,	1,	1560,	3,	1),
(10946,	1,	1560,	1,	2),
(10947,	1,	1560,	2,	2),
(10948,	1,	1560,	3,	2),
(10949,	1,	1561,	1,	1),
(10950,	1,	1561,	2,	1),
(10951,	1,	1561,	3,	1),
(10952,	1,	1561,	1,	2),
(10953,	1,	1561,	2,	2),
(10954,	1,	1561,	3,	2),
(10955,	1,	1562,	1,	1),
(10956,	1,	1562,	2,	1),
(10957,	1,	1562,	3,	1),
(10958,	1,	1562,	1,	2),
(10959,	1,	1562,	2,	2),
(10960,	1,	1562,	3,	2),
(10961,	1,	1563,	1,	1),
(10962,	1,	1563,	2,	1),
(10963,	1,	1563,	3,	1),
(10964,	1,	1563,	1,	2),
(10965,	1,	1563,	2,	2),
(10966,	1,	1563,	3,	2),
(10967,	1,	1564,	1,	1),
(10968,	1,	1564,	2,	1),
(10969,	1,	1564,	3,	1),
(10970,	1,	1564,	1,	2),
(10971,	1,	1564,	2,	2),
(10972,	1,	1564,	3,	2),
(10973,	1,	1565,	1,	1),
(10974,	1,	1565,	2,	1),
(10975,	1,	1565,	3,	1),
(10976,	1,	1565,	1,	2),
(10977,	1,	1565,	2,	2),
(10978,	1,	1565,	3,	2),
(10979,	1,	1566,	1,	1),
(10980,	1,	1566,	2,	1),
(10981,	1,	1566,	3,	1),
(10982,	1,	1566,	1,	2),
(10983,	1,	1566,	2,	2),
(10984,	1,	1566,	3,	2),
(10985,	1,	1567,	1,	1),
(10986,	1,	1567,	2,	1),
(10987,	1,	1567,	3,	1),
(10988,	1,	1567,	1,	2),
(10989,	1,	1567,	2,	2),
(10990,	1,	1567,	3,	2),
(10991,	1,	1568,	1,	1),
(10992,	1,	1568,	2,	1),
(10993,	1,	1568,	3,	1),
(10994,	1,	1568,	1,	2),
(10995,	1,	1568,	2,	2),
(10996,	1,	1568,	3,	2),
(10997,	1,	1569,	1,	1),
(10998,	1,	1569,	2,	1),
(10999,	1,	1569,	3,	1),
(11000,	1,	1569,	1,	2),
(11001,	1,	1569,	2,	2),
(11002,	1,	1569,	3,	2),
(11003,	1,	1570,	1,	1),
(11004,	1,	1570,	2,	1),
(11005,	1,	1570,	3,	1),
(11006,	1,	1570,	1,	2),
(11007,	1,	1570,	2,	2),
(11008,	1,	1570,	3,	2),
(11009,	1,	1571,	1,	1),
(11010,	1,	1571,	2,	1),
(11011,	1,	1571,	3,	1),
(11012,	1,	1572,	1,	1),
(11013,	1,	1572,	2,	1),
(11014,	1,	1572,	3,	1),
(11015,	1,	1572,	1,	2),
(11016,	1,	1572,	2,	2),
(11017,	1,	1572,	3,	2),
(11018,	1,	1573,	1,	1),
(11019,	1,	1573,	2,	1),
(11020,	1,	1573,	3,	1),
(11021,	1,	1573,	1,	2),
(11022,	1,	1573,	2,	2),
(11023,	1,	1573,	3,	2),
(11024,	1,	1574,	1,	1),
(11025,	1,	1574,	2,	1),
(11026,	1,	1574,	3,	1),
(11027,	1,	1574,	1,	2),
(11028,	1,	1574,	2,	2),
(11029,	1,	1574,	3,	2),
(11030,	1,	1575,	1,	1),
(11031,	1,	1575,	2,	1),
(11032,	1,	1575,	3,	1),
(11033,	1,	1576,	1,	1),
(11034,	1,	1576,	2,	1),
(11035,	1,	1576,	3,	1),
(11036,	1,	1577,	1,	1),
(11037,	1,	1577,	2,	1),
(11038,	1,	1577,	3,	1),
(11039,	1,	1578,	1,	1),
(11040,	1,	1578,	2,	1),
(11041,	1,	1578,	3,	1),
(11042,	1,	1579,	1,	1),
(11043,	1,	1579,	2,	1),
(11044,	1,	1579,	3,	1),
(11045,	1,	1580,	1,	1),
(11046,	1,	1580,	2,	1),
(11047,	1,	1580,	3,	1),
(11048,	1,	1581,	1,	1),
(11049,	1,	1581,	2,	1),
(11050,	1,	1581,	3,	1),
(11051,	1,	1581,	1,	2),
(11052,	1,	1581,	2,	2),
(11053,	1,	1581,	3,	2),
(11054,	1,	1582,	1,	1),
(11055,	1,	1582,	2,	1),
(11056,	1,	1582,	3,	1),
(11057,	1,	1582,	1,	2),
(11058,	1,	1582,	2,	2),
(11059,	1,	1582,	3,	2),
(11060,	1,	1583,	1,	1),
(11061,	1,	1583,	2,	1),
(11062,	1,	1583,	3,	1),
(11063,	1,	1584,	1,	1),
(11064,	1,	1584,	2,	1),
(11065,	1,	1584,	3,	1),
(11066,	1,	1584,	1,	2),
(11067,	1,	1584,	2,	2),
(11068,	1,	1584,	3,	2),
(11069,	1,	1585,	1,	1),
(11070,	1,	1585,	2,	1),
(11071,	1,	1585,	3,	1),
(11072,	1,	1585,	1,	2),
(11073,	1,	1585,	2,	2),
(11074,	1,	1585,	3,	2),
(11075,	1,	1586,	1,	1),
(11076,	1,	1586,	2,	1),
(11077,	1,	1586,	3,	1),
(11078,	1,	1586,	1,	2),
(11079,	1,	1586,	2,	2),
(11080,	1,	1586,	3,	2),
(11081,	1,	1587,	1,	1),
(11082,	1,	1587,	2,	1),
(11083,	1,	1587,	3,	1),
(11084,	1,	1588,	1,	1),
(11085,	1,	1588,	2,	1),
(11086,	1,	1588,	3,	1),
(11087,	1,	1588,	1,	2),
(11088,	1,	1588,	2,	2),
(11089,	1,	1588,	3,	2),
(11090,	1,	1589,	1,	1),
(11091,	1,	1589,	2,	1),
(11092,	1,	1589,	3,	1),
(11093,	1,	1589,	1,	2),
(11094,	1,	1589,	2,	2),
(11095,	1,	1589,	3,	2),
(11096,	1,	1590,	1,	1),
(11097,	1,	1590,	2,	1),
(11098,	1,	1590,	3,	1),
(11099,	1,	1590,	1,	2),
(11100,	1,	1590,	2,	2),
(11101,	1,	1590,	3,	2),
(11102,	1,	1591,	1,	1),
(11103,	1,	1591,	2,	1),
(11104,	1,	1591,	3,	1),
(11105,	1,	1591,	1,	2),
(11106,	1,	1591,	2,	2),
(11107,	1,	1591,	3,	2),
(11108,	1,	1592,	1,	1),
(11109,	1,	1592,	2,	1),
(11110,	1,	1592,	3,	1),
(11111,	1,	1592,	1,	2),
(11112,	1,	1592,	2,	2),
(11113,	1,	1592,	3,	2),
(11114,	1,	1593,	1,	1),
(11115,	1,	1593,	2,	1),
(11116,	1,	1593,	3,	1),
(11117,	1,	1593,	1,	2),
(11118,	1,	1593,	2,	2),
(11119,	1,	1593,	3,	2),
(11120,	1,	1594,	1,	1),
(11121,	1,	1594,	2,	1),
(11122,	1,	1594,	3,	1),
(11123,	1,	1594,	1,	2),
(11124,	1,	1594,	2,	2),
(11125,	1,	1594,	3,	2),
(11126,	1,	1595,	1,	1),
(11127,	1,	1595,	2,	1),
(11128,	1,	1595,	3,	1),
(11129,	1,	1595,	1,	2),
(11130,	1,	1595,	2,	2),
(11131,	1,	1595,	3,	2),
(11132,	1,	1596,	1,	1),
(11133,	1,	1596,	2,	1),
(11134,	1,	1596,	3,	1),
(11135,	1,	1596,	1,	2),
(11136,	1,	1596,	2,	2),
(11137,	1,	1596,	3,	2),
(11138,	1,	1597,	1,	1),
(11139,	1,	1597,	2,	1),
(11140,	1,	1597,	3,	1),
(11141,	1,	1597,	1,	2),
(11142,	1,	1597,	2,	2),
(11143,	1,	1597,	3,	2),
(11144,	1,	1598,	1,	1),
(11145,	1,	1598,	2,	1),
(11146,	1,	1598,	3,	1),
(11147,	1,	1598,	1,	2),
(11148,	1,	1598,	2,	2),
(11149,	1,	1598,	3,	2),
(11150,	1,	1599,	1,	1),
(11151,	1,	1599,	2,	1),
(11152,	1,	1599,	3,	1),
(11153,	1,	1599,	1,	2),
(11154,	1,	1599,	2,	2),
(11155,	1,	1599,	3,	2),
(11156,	1,	1600,	1,	1),
(11157,	1,	1600,	2,	1),
(11158,	1,	1600,	3,	1),
(11159,	1,	1600,	1,	2),
(11160,	1,	1600,	2,	2),
(11161,	1,	1600,	3,	2),
(11162,	1,	1601,	1,	1),
(11163,	1,	1601,	2,	1),
(11164,	1,	1601,	3,	1),
(11165,	1,	1601,	1,	2),
(11166,	1,	1601,	2,	2),
(11167,	1,	1601,	3,	2),
(11168,	1,	1602,	1,	1),
(11169,	1,	1602,	2,	1),
(11170,	1,	1602,	3,	1),
(11171,	1,	1602,	1,	3),
(11172,	1,	1602,	2,	3),
(11173,	1,	1602,	3,	3),
(11174,	1,	1603,	1,	1),
(11175,	1,	1603,	2,	1),
(11176,	1,	1603,	3,	1),
(11177,	1,	1603,	1,	2),
(11178,	1,	1603,	2,	2),
(11179,	1,	1603,	3,	2),
(11180,	1,	1604,	1,	1),
(11181,	1,	1604,	2,	1),
(11182,	1,	1604,	3,	1),
(11183,	1,	1604,	1,	2),
(11184,	1,	1604,	2,	2),
(11185,	1,	1604,	3,	2),
(11186,	1,	1605,	1,	1),
(11187,	1,	1605,	2,	1),
(11188,	1,	1605,	3,	1),
(11189,	1,	1605,	1,	2),
(11190,	1,	1605,	2,	2),
(11191,	1,	1605,	3,	2),
(11192,	1,	1606,	1,	1),
(11193,	1,	1606,	2,	1),
(11194,	1,	1606,	3,	1),
(11195,	1,	1606,	1,	2),
(11196,	1,	1606,	2,	2),
(11197,	1,	1606,	3,	2),
(11198,	1,	1607,	1,	1),
(11199,	1,	1607,	2,	1),
(11200,	1,	1607,	3,	1),
(11201,	1,	1607,	1,	2),
(11202,	1,	1607,	2,	2),
(11203,	1,	1607,	3,	2),
(11204,	1,	1608,	1,	1),
(11205,	1,	1608,	2,	1),
(11206,	1,	1608,	3,	1),
(11207,	1,	1608,	1,	2),
(11208,	1,	1608,	2,	2),
(11209,	1,	1608,	3,	2),
(11210,	1,	1609,	1,	1),
(11211,	1,	1609,	2,	1),
(11212,	1,	1609,	3,	1),
(11213,	1,	1609,	1,	2),
(11214,	1,	1609,	2,	2),
(11215,	1,	1609,	3,	2),
(11216,	1,	1610,	1,	1),
(11217,	1,	1610,	2,	1),
(11218,	1,	1610,	3,	1),
(11219,	1,	1610,	1,	2),
(11220,	1,	1610,	2,	2),
(11221,	1,	1610,	3,	2),
(11222,	1,	1611,	1,	1),
(11223,	1,	1611,	2,	1),
(11224,	1,	1611,	3,	1),
(11225,	1,	1611,	1,	2),
(11226,	1,	1611,	2,	2),
(11227,	1,	1611,	3,	2),
(11228,	1,	1612,	1,	1),
(11229,	1,	1612,	2,	1),
(11230,	1,	1612,	3,	1),
(11231,	1,	1612,	1,	2),
(11232,	1,	1612,	2,	2),
(11233,	1,	1612,	3,	2),
(11234,	1,	1613,	1,	1),
(11235,	1,	1613,	2,	1),
(11236,	1,	1613,	3,	1),
(11237,	1,	1613,	1,	2),
(11238,	1,	1613,	2,	2),
(11239,	1,	1613,	3,	2),
(11240,	1,	1614,	1,	1),
(11241,	1,	1614,	2,	1),
(11242,	1,	1614,	3,	1),
(11243,	1,	1614,	1,	2),
(11244,	1,	1614,	2,	2),
(11245,	1,	1614,	3,	2),
(11246,	1,	1615,	1,	1),
(11247,	1,	1615,	2,	1),
(11248,	1,	1615,	3,	1),
(11249,	1,	1615,	1,	2),
(11250,	1,	1615,	2,	2),
(11251,	1,	1615,	3,	2),
(11252,	1,	1616,	1,	1),
(11253,	1,	1616,	2,	1),
(11254,	1,	1616,	3,	1),
(11255,	1,	1616,	1,	2),
(11256,	1,	1616,	2,	2),
(11257,	1,	1616,	3,	2),
(11258,	1,	1617,	1,	1),
(11259,	1,	1617,	2,	1),
(11260,	1,	1617,	3,	1),
(11261,	1,	1617,	1,	2),
(11262,	1,	1617,	2,	2),
(11263,	1,	1617,	3,	2),
(11264,	1,	1618,	1,	1),
(11265,	1,	1618,	2,	1),
(11266,	1,	1618,	3,	1),
(11267,	1,	1618,	1,	2),
(11268,	1,	1618,	2,	2),
(11269,	1,	1618,	3,	2),
(11270,	1,	1619,	1,	1),
(11271,	1,	1619,	2,	1),
(11272,	1,	1619,	3,	1),
(11273,	1,	1619,	1,	2),
(11274,	1,	1619,	2,	2),
(11275,	1,	1619,	3,	2),
(11276,	1,	1620,	1,	1),
(11277,	1,	1620,	2,	1),
(11278,	1,	1620,	3,	1),
(11279,	1,	1620,	1,	2),
(11280,	1,	1620,	2,	2),
(11281,	1,	1620,	3,	2),
(11282,	1,	1621,	1,	1),
(11283,	1,	1621,	2,	1),
(11284,	1,	1621,	3,	1),
(11285,	1,	1621,	1,	2),
(11286,	1,	1621,	2,	2),
(11287,	1,	1621,	3,	2),
(11288,	1,	1622,	1,	1),
(11289,	1,	1622,	2,	1),
(11290,	1,	1622,	3,	1),
(11291,	1,	1622,	1,	2),
(11292,	1,	1622,	2,	2),
(11293,	1,	1622,	3,	2),
(11294,	1,	1623,	1,	1),
(11295,	1,	1623,	2,	1),
(11296,	1,	1623,	3,	1),
(11297,	1,	1623,	1,	2),
(11298,	1,	1623,	2,	2),
(11299,	1,	1623,	3,	2),
(11300,	1,	1624,	1,	1),
(11301,	1,	1624,	2,	1),
(11302,	1,	1624,	3,	1),
(11303,	1,	1625,	1,	1),
(11304,	1,	1625,	2,	1),
(11305,	1,	1625,	3,	1),
(11306,	1,	1626,	1,	1),
(11307,	1,	1626,	2,	1),
(11308,	1,	1626,	3,	1),
(11309,	1,	1627,	1,	1),
(11310,	1,	1627,	2,	1),
(11311,	1,	1627,	3,	1),
(11312,	1,	1627,	1,	2),
(11313,	1,	1627,	2,	2),
(11314,	1,	1627,	3,	2),
(11315,	1,	1628,	1,	1),
(11316,	1,	1628,	2,	1),
(11317,	1,	1628,	3,	1),
(11318,	1,	1628,	1,	2),
(11319,	1,	1628,	2,	2),
(11320,	1,	1628,	3,	2),
(11321,	1,	1629,	1,	1),
(11322,	1,	1629,	2,	1),
(11323,	1,	1629,	3,	1),
(11324,	1,	1629,	1,	2),
(11325,	1,	1629,	2,	2),
(11326,	1,	1629,	3,	2),
(11327,	1,	1630,	1,	1),
(11328,	1,	1630,	2,	1),
(11329,	1,	1630,	3,	1),
(11330,	1,	1630,	1,	2),
(11331,	1,	1630,	2,	2),
(11332,	1,	1630,	3,	2),
(11333,	1,	1631,	1,	1),
(11334,	1,	1631,	2,	1),
(11335,	1,	1631,	3,	1),
(11336,	1,	1631,	81,	1),
(11337,	1,	1631,	1,	2),
(11338,	1,	1631,	2,	2),
(11339,	1,	1631,	3,	2),
(11340,	1,	1631,	81,	2),
(11341,	1,	1632,	1,	1),
(11342,	1,	1632,	2,	1),
(11343,	1,	1632,	3,	1),
(11344,	1,	1632,	4,	1),
(11345,	1,	1632,	5,	1),
(11346,	1,	1633,	1,	1),
(11347,	1,	1633,	2,	1),
(11348,	1,	1633,	3,	1),
(11349,	1,	1633,	1,	2),
(11350,	1,	1633,	2,	2),
(11351,	1,	1633,	3,	2),
(11352,	1,	1634,	1,	1),
(11353,	1,	1634,	2,	1),
(11354,	1,	1634,	3,	1),
(11355,	1,	1634,	26,	1),
(11356,	1,	1634,	4,	1),
(11357,	1,	1634,	1,	2),
(11358,	1,	1634,	2,	2),
(11359,	1,	1634,	3,	2),
(11360,	1,	1634,	26,	2),
(11361,	1,	1634,	4,	2),
(11362,	1,	1635,	1,	1),
(11363,	1,	1635,	2,	1),
(11364,	1,	1635,	3,	1),
(11365,	1,	1635,	4,	1),
(11366,	1,	1635,	5,	1),
(11367,	1,	1635,	82,	1),
(11368,	1,	1636,	1,	1),
(11369,	1,	1636,	2,	1),
(11370,	1,	1636,	3,	1),
(11371,	1,	1636,	4,	1),
(11372,	1,	1636,	5,	1),
(11373,	1,	1636,	82,	1),
(11374,	1,	1637,	1,	1),
(11375,	1,	1637,	2,	1),
(11376,	1,	1637,	3,	1),
(11377,	1,	1637,	1,	2),
(11378,	1,	1637,	2,	2),
(11379,	1,	1637,	3,	2),
(11380,	1,	1638,	1,	1),
(11381,	1,	1638,	2,	1),
(11382,	1,	1638,	3,	1),
(11383,	1,	1638,	81,	1),
(11384,	1,	1638,	4,	1),
(11385,	1,	1638,	26,	1),
(11386,	1,	1638,	1,	2),
(11387,	1,	1638,	2,	2),
(11388,	1,	1638,	3,	2),
(11389,	1,	1638,	81,	2),
(11390,	1,	1638,	4,	2),
(11391,	1,	1638,	26,	2),
(11392,	1,	1639,	1,	1),
(11393,	1,	1639,	2,	1),
(11394,	1,	1639,	3,	1),
(11395,	1,	1639,	1,	2),
(11396,	1,	1639,	2,	2),
(11397,	1,	1639,	3,	2),
(11398,	1,	1640,	1,	1),
(11399,	1,	1640,	2,	1),
(11400,	1,	1640,	3,	1),
(11401,	1,	1641,	1,	1),
(11402,	1,	1641,	2,	1),
(11403,	1,	1641,	3,	1),
(11404,	1,	1641,	1,	2),
(11405,	1,	1641,	2,	2),
(11406,	1,	1641,	3,	2),
(11407,	1,	1642,	1,	1),
(11408,	1,	1642,	2,	1),
(11409,	1,	1642,	3,	1),
(11410,	1,	1642,	1,	2),
(11411,	1,	1642,	2,	2),
(11412,	1,	1642,	3,	2),
(11413,	1,	1643,	1,	1),
(11414,	1,	1643,	2,	1),
(11415,	1,	1643,	3,	1),
(11416,	1,	1644,	1,	1),
(11417,	1,	1644,	2,	1),
(11418,	1,	1644,	3,	1),
(11419,	1,	1645,	1,	1),
(11420,	1,	1645,	2,	1),
(11421,	1,	1645,	3,	1),
(11422,	1,	1646,	1,	1),
(11423,	1,	1646,	2,	1),
(11424,	1,	1646,	3,	1),
(11425,	1,	1647,	1,	1),
(11426,	1,	1647,	2,	1),
(11427,	1,	1647,	3,	1),
(11428,	1,	1647,	1,	3),
(11429,	1,	1647,	2,	3),
(11430,	1,	1647,	3,	3),
(11431,	1,	1648,	1,	1),
(11432,	1,	1648,	2,	1),
(11433,	1,	1648,	3,	1),
(11434,	1,	1649,	1,	1),
(11435,	1,	1649,	2,	1),
(11436,	1,	1649,	3,	1),
(11437,	1,	1650,	1,	1),
(11438,	1,	1650,	2,	1),
(11439,	1,	1650,	3,	1),
(11440,	1,	1651,	1,	1),
(11441,	1,	1651,	2,	1),
(11442,	1,	1651,	3,	1),
(11443,	1,	1651,	1,	2),
(11444,	1,	1651,	2,	2),
(11445,	1,	1651,	3,	2),
(11446,	1,	1652,	1,	1),
(11447,	1,	1652,	2,	1),
(11448,	1,	1652,	3,	1),
(11449,	1,	1653,	1,	1),
(11450,	1,	1653,	2,	1),
(11451,	1,	1653,	3,	1),
(11452,	1,	1653,	1,	2),
(11453,	1,	1653,	2,	2),
(11454,	1,	1653,	3,	2),
(11455,	1,	1654,	1,	1),
(11456,	1,	1654,	2,	1),
(11457,	1,	1654,	3,	1),
(11458,	1,	1654,	1,	2),
(11459,	1,	1654,	2,	2),
(11460,	1,	1654,	3,	2),
(11461,	1,	1655,	1,	1),
(11462,	1,	1655,	2,	1),
(11463,	1,	1655,	3,	1),
(11464,	1,	1655,	1,	2),
(11465,	1,	1655,	2,	2),
(11466,	1,	1655,	3,	2),
(11467,	1,	1656,	1,	1),
(11468,	1,	1656,	2,	1),
(11469,	1,	1656,	3,	1),
(11470,	1,	1657,	1,	1),
(11471,	1,	1657,	2,	1),
(11472,	1,	1657,	3,	1),
(11473,	1,	1658,	1,	1),
(11474,	1,	1658,	2,	1),
(11475,	1,	1658,	3,	1),
(11476,	1,	1658,	1,	2),
(11477,	1,	1658,	2,	2),
(11478,	1,	1658,	3,	2),
(11479,	1,	1659,	1,	1),
(11480,	1,	1659,	2,	1),
(11481,	1,	1659,	3,	1),
(11482,	1,	1659,	1,	2),
(11483,	1,	1659,	2,	2),
(11484,	1,	1659,	3,	2),
(11485,	1,	1660,	1,	1),
(11486,	1,	1660,	2,	1),
(11487,	1,	1660,	3,	1),
(11488,	1,	1661,	1,	1),
(11489,	1,	1661,	2,	1),
(11490,	1,	1661,	3,	1),
(11491,	1,	1661,	1,	2),
(11492,	1,	1661,	2,	2),
(11493,	1,	1661,	3,	2),
(11494,	1,	1662,	1,	1),
(11495,	1,	1662,	2,	1),
(11496,	1,	1662,	3,	1),
(11497,	1,	1662,	1,	2),
(11498,	1,	1662,	2,	2),
(11499,	1,	1662,	3,	2),
(11500,	1,	1663,	1,	1),
(11501,	1,	1663,	2,	1),
(11502,	1,	1663,	3,	1),
(11503,	1,	1664,	1,	1),
(11504,	1,	1664,	2,	1),
(11505,	1,	1664,	3,	1),
(11506,	1,	1664,	1,	2),
(11507,	1,	1664,	2,	2),
(11508,	1,	1664,	3,	2),
(11509,	1,	1665,	1,	1),
(11510,	1,	1665,	2,	1),
(11511,	1,	1665,	3,	1),
(11512,	1,	1665,	1,	2),
(11513,	1,	1665,	2,	2),
(11514,	1,	1665,	3,	2),
(11515,	1,	1666,	1,	1),
(11516,	1,	1666,	2,	1),
(11517,	1,	1666,	3,	1),
(11518,	1,	1667,	1,	1),
(11519,	1,	1667,	2,	1),
(11520,	1,	1667,	3,	1),
(11521,	1,	1667,	1,	2),
(11522,	1,	1667,	2,	2),
(11523,	1,	1667,	3,	2),
(11524,	1,	1668,	1,	1),
(11525,	1,	1668,	2,	1),
(11526,	1,	1668,	3,	1),
(11527,	1,	1668,	1,	2),
(11528,	1,	1668,	2,	2),
(11529,	1,	1668,	3,	2),
(11530,	1,	1669,	1,	1),
(11531,	1,	1669,	2,	1),
(11532,	1,	1669,	3,	1),
(11533,	1,	1669,	1,	2),
(11534,	1,	1669,	2,	2),
(11535,	1,	1669,	3,	2),
(11536,	1,	1670,	1,	1),
(11537,	1,	1670,	2,	1),
(11538,	1,	1670,	3,	1),
(11539,	1,	1670,	1,	2),
(11540,	1,	1670,	2,	2),
(11541,	1,	1670,	3,	2),
(11542,	1,	1671,	1,	1),
(11543,	1,	1671,	2,	1),
(11544,	1,	1671,	3,	1),
(11545,	1,	1671,	1,	2),
(11546,	1,	1671,	2,	2),
(11547,	1,	1671,	3,	2),
(11548,	1,	1672,	1,	1),
(11549,	1,	1672,	2,	1),
(11550,	1,	1672,	3,	1),
(11551,	1,	1672,	1,	2),
(11552,	1,	1672,	2,	2),
(11553,	1,	1672,	3,	2),
(11554,	1,	1673,	1,	1),
(11555,	1,	1673,	2,	1),
(11556,	1,	1673,	3,	1),
(11557,	1,	1673,	1,	2),
(11558,	1,	1673,	2,	2),
(11559,	1,	1673,	3,	2),
(11560,	1,	1674,	1,	1),
(11561,	1,	1674,	2,	1),
(11562,	1,	1674,	3,	1),
(11563,	1,	1674,	1,	2),
(11564,	1,	1674,	2,	2),
(11565,	1,	1674,	3,	2),
(11566,	1,	1675,	1,	1),
(11567,	1,	1675,	2,	1),
(11568,	1,	1675,	3,	1),
(11569,	1,	1675,	1,	2),
(11570,	1,	1675,	2,	2),
(11571,	1,	1675,	3,	2),
(11572,	1,	1676,	1,	1),
(11573,	1,	1676,	2,	1),
(11574,	1,	1676,	3,	1),
(11575,	1,	1677,	1,	1),
(11576,	1,	1677,	2,	1),
(11577,	1,	1677,	3,	1),
(11578,	1,	1677,	1,	2),
(11579,	1,	1677,	2,	2),
(11580,	1,	1677,	3,	2),
(11581,	1,	1678,	1,	1),
(11582,	1,	1678,	2,	1),
(11583,	1,	1678,	3,	1),
(11584,	1,	1678,	1,	2),
(11585,	1,	1678,	2,	2),
(11586,	1,	1678,	3,	2),
(11587,	1,	1679,	1,	1),
(11588,	1,	1679,	2,	1),
(11589,	1,	1679,	3,	1),
(11590,	1,	1679,	1,	2),
(11591,	1,	1679,	2,	2),
(11592,	1,	1679,	3,	2),
(11593,	1,	1680,	1,	1),
(11594,	1,	1680,	2,	1),
(11595,	1,	1680,	3,	1),
(11596,	1,	1680,	1,	2),
(11597,	1,	1680,	2,	2),
(11598,	1,	1680,	3,	2),
(11599,	1,	1681,	1,	1),
(11600,	1,	1681,	2,	1),
(11601,	1,	1681,	3,	1),
(11602,	1,	1681,	1,	2),
(11603,	1,	1681,	2,	2),
(11604,	1,	1681,	3,	2),
(11605,	1,	1682,	1,	1),
(11606,	1,	1682,	2,	1),
(11607,	1,	1682,	3,	1),
(11608,	1,	1682,	1,	2),
(11609,	1,	1682,	2,	2),
(11610,	1,	1682,	3,	2),
(11611,	1,	1683,	1,	1),
(11612,	1,	1683,	2,	1),
(11613,	1,	1683,	3,	1),
(11614,	1,	1683,	1,	2),
(11615,	1,	1683,	2,	2),
(11616,	1,	1683,	3,	2),
(11617,	1,	1684,	1,	1),
(11618,	1,	1684,	2,	1),
(11619,	1,	1684,	3,	1),
(11620,	1,	1684,	1,	2),
(11621,	1,	1684,	2,	2),
(11622,	1,	1684,	3,	2),
(11623,	1,	1685,	1,	1),
(11624,	1,	1685,	2,	1),
(11625,	1,	1685,	3,	1),
(11626,	1,	1685,	1,	2),
(11627,	1,	1685,	2,	2),
(11628,	1,	1685,	3,	2),
(11629,	1,	1686,	1,	1),
(11630,	1,	1686,	2,	1),
(11631,	1,	1686,	3,	1),
(11632,	1,	1686,	1,	3),
(11633,	1,	1686,	2,	3),
(11634,	1,	1686,	3,	3),
(11635,	1,	1687,	1,	1),
(11636,	1,	1687,	2,	1),
(11637,	1,	1687,	3,	1),
(11638,	1,	1687,	1,	2),
(11639,	1,	1687,	2,	2),
(11640,	1,	1687,	3,	2),
(11641,	1,	1688,	1,	1),
(11642,	1,	1688,	2,	1),
(11643,	1,	1688,	3,	1),
(11644,	1,	1688,	1,	2),
(11645,	1,	1688,	2,	2),
(11646,	1,	1688,	3,	2),
(11647,	1,	1689,	1,	1),
(11648,	1,	1689,	2,	1),
(11649,	1,	1689,	3,	1),
(11650,	1,	1689,	1,	2),
(11651,	1,	1689,	2,	2),
(11652,	1,	1689,	3,	2),
(11653,	1,	1690,	1,	1),
(11654,	1,	1690,	2,	1),
(11655,	1,	1690,	3,	1),
(11656,	1,	1690,	1,	2),
(11657,	1,	1690,	2,	2),
(11658,	1,	1690,	3,	2),
(11659,	1,	1691,	1,	1),
(11660,	1,	1691,	2,	1),
(11661,	1,	1691,	3,	1),
(11662,	1,	1691,	1,	2),
(11663,	1,	1691,	2,	2),
(11664,	1,	1691,	3,	2),
(11665,	1,	1692,	1,	1),
(11666,	1,	1692,	2,	1),
(11667,	1,	1692,	3,	1),
(11668,	1,	1692,	1,	3),
(11669,	1,	1692,	2,	3),
(11670,	1,	1692,	3,	3),
(11671,	1,	1693,	1,	1),
(11672,	1,	1693,	2,	1),
(11673,	1,	1693,	3,	1),
(11674,	1,	1693,	1,	2),
(11675,	1,	1693,	2,	2),
(11676,	1,	1693,	3,	2),
(11677,	1,	1694,	1,	1),
(11678,	1,	1694,	2,	1),
(11679,	1,	1694,	3,	1),
(11680,	1,	1694,	1,	2),
(11681,	1,	1694,	2,	2),
(11682,	1,	1694,	3,	2),
(11683,	1,	1695,	1,	1),
(11684,	1,	1695,	2,	1),
(11685,	1,	1695,	3,	1),
(11686,	1,	1695,	1,	3),
(11687,	1,	1695,	2,	3),
(11688,	1,	1695,	3,	3),
(11689,	1,	1696,	1,	1),
(11690,	1,	1696,	2,	1),
(11691,	1,	1696,	3,	1),
(11692,	1,	1696,	1,	3),
(11693,	1,	1696,	2,	3),
(11694,	1,	1696,	3,	3),
(11695,	1,	1696,	1,	2),
(11696,	1,	1696,	2,	2),
(11697,	1,	1696,	3,	2),
(11698,	1,	1697,	1,	1),
(11699,	1,	1697,	2,	1),
(11700,	1,	1697,	3,	1),
(11701,	1,	1697,	1,	3),
(11702,	1,	1697,	2,	3),
(11703,	1,	1697,	3,	3),
(11704,	1,	1698,	1,	1),
(11705,	1,	1698,	2,	1),
(11706,	1,	1698,	3,	1),
(11707,	1,	1698,	1,	2),
(11708,	1,	1698,	2,	2),
(11709,	1,	1698,	3,	2),
(11710,	1,	1699,	1,	1),
(11711,	1,	1699,	2,	1),
(11712,	1,	1699,	3,	1),
(11713,	1,	1699,	1,	2),
(11714,	1,	1699,	2,	2),
(11715,	1,	1699,	3,	2),
(11716,	1,	1700,	1,	1),
(11717,	1,	1700,	2,	1),
(11718,	1,	1700,	3,	1),
(11719,	1,	1700,	1,	2),
(11720,	1,	1700,	2,	2),
(11721,	1,	1700,	3,	2),
(11722,	1,	1701,	1,	1),
(11723,	1,	1701,	2,	1),
(11724,	1,	1701,	3,	1),
(11725,	1,	1701,	1,	2),
(11726,	1,	1701,	2,	2),
(11727,	1,	1701,	3,	2),
(11728,	1,	1702,	1,	1),
(11729,	1,	1702,	2,	1),
(11730,	1,	1702,	3,	1),
(11731,	1,	1702,	1,	2),
(11732,	1,	1702,	2,	2),
(11733,	1,	1702,	3,	2),
(11734,	1,	1703,	1,	1),
(11735,	1,	1703,	2,	1),
(11736,	1,	1703,	3,	1),
(11737,	1,	1703,	1,	3),
(11738,	1,	1703,	2,	3),
(11739,	1,	1703,	3,	3),
(11740,	1,	1704,	1,	1),
(11741,	1,	1704,	2,	1),
(11742,	1,	1704,	3,	1),
(11743,	1,	1704,	1,	2),
(11744,	1,	1704,	2,	2),
(11745,	1,	1704,	3,	2),
(11746,	1,	1705,	1,	1),
(11747,	1,	1705,	2,	1),
(11748,	1,	1705,	3,	1),
(11749,	1,	1705,	1,	2),
(11750,	1,	1705,	2,	2),
(11751,	1,	1705,	3,	2),
(11752,	1,	1706,	1,	1),
(11753,	1,	1706,	2,	1),
(11754,	1,	1706,	3,	1),
(11755,	1,	1706,	1,	3),
(11756,	1,	1706,	2,	3),
(11757,	1,	1706,	3,	3),
(11758,	1,	1707,	1,	1),
(11759,	1,	1707,	2,	1),
(11760,	1,	1707,	3,	1),
(11761,	1,	1707,	1,	2),
(11762,	1,	1707,	2,	2),
(11763,	1,	1707,	3,	2),
(11764,	1,	1708,	1,	1),
(11765,	1,	1708,	2,	1),
(11766,	1,	1708,	3,	1),
(11767,	1,	1708,	1,	3),
(11768,	1,	1708,	2,	3),
(11769,	1,	1708,	3,	3),
(11770,	1,	1709,	1,	1),
(11771,	1,	1709,	2,	1),
(11772,	1,	1709,	3,	1),
(11773,	1,	1709,	1,	2),
(11774,	1,	1709,	2,	2),
(11775,	1,	1709,	3,	2),
(11776,	1,	1710,	1,	1),
(11777,	1,	1710,	2,	1),
(11778,	1,	1710,	3,	1),
(11779,	1,	1710,	1,	3),
(11780,	1,	1710,	2,	3),
(11781,	1,	1710,	3,	3),
(11782,	1,	1711,	1,	1),
(11783,	1,	1711,	2,	1),
(11784,	1,	1711,	3,	1),
(11785,	1,	1711,	1,	2),
(11786,	1,	1711,	2,	2),
(11787,	1,	1711,	3,	2),
(11788,	1,	1712,	1,	1),
(11789,	1,	1712,	2,	1),
(11790,	1,	1712,	3,	1),
(11791,	1,	1712,	1,	2),
(11792,	1,	1712,	2,	2),
(11793,	1,	1712,	3,	2),
(11794,	1,	1713,	1,	1),
(11795,	1,	1713,	2,	1),
(11796,	1,	1713,	3,	1),
(11797,	1,	1713,	1,	3),
(11798,	1,	1713,	2,	3),
(11799,	1,	1713,	3,	3),
(11800,	1,	1714,	1,	1),
(11801,	1,	1714,	2,	1),
(11802,	1,	1714,	3,	1),
(11803,	1,	1714,	83,	1),
(11804,	1,	1714,	1,	2),
(11805,	1,	1714,	2,	2),
(11806,	1,	1714,	3,	2),
(11807,	1,	1714,	83,	2),
(11808,	1,	1715,	1,	1),
(11809,	1,	1715,	2,	1),
(11810,	1,	1715,	3,	1),
(11811,	1,	1715,	1,	3),
(11812,	1,	1715,	2,	3),
(11813,	1,	1715,	3,	3),
(11814,	1,	1716,	1,	1),
(11815,	1,	1716,	2,	1),
(11816,	1,	1716,	3,	1),
(11817,	1,	1716,	1,	2),
(11818,	1,	1716,	2,	2),
(11819,	1,	1716,	3,	2),
(11820,	1,	1717,	1,	1),
(11821,	1,	1717,	2,	1),
(11822,	1,	1717,	3,	1),
(11823,	1,	1717,	1,	3),
(11824,	1,	1717,	2,	3),
(11825,	1,	1717,	3,	3),
(11826,	1,	1718,	1,	1),
(11827,	1,	1718,	2,	1),
(11828,	1,	1718,	3,	1),
(11829,	1,	1718,	1,	2),
(11830,	1,	1718,	2,	2),
(11831,	1,	1718,	3,	2),
(11832,	1,	1719,	1,	1),
(11833,	1,	1719,	2,	1),
(11834,	1,	1719,	3,	1),
(11835,	1,	1719,	1,	2),
(11836,	1,	1719,	2,	2),
(11837,	1,	1719,	3,	2),
(11838,	1,	1720,	1,	1),
(11839,	1,	1720,	2,	1),
(11840,	1,	1720,	3,	1),
(11841,	1,	1720,	1,	2),
(11842,	1,	1720,	2,	2),
(11843,	1,	1720,	3,	2),
(11844,	1,	1721,	1,	1),
(11845,	1,	1721,	2,	1),
(11846,	1,	1721,	3,	1),
(11847,	1,	1721,	1,	3),
(11848,	1,	1721,	2,	3),
(11849,	1,	1721,	3,	3),
(11850,	1,	1722,	1,	1),
(11851,	1,	1722,	2,	1),
(11852,	1,	1722,	3,	1),
(11853,	1,	1722,	1,	2),
(11854,	1,	1722,	2,	2),
(11855,	1,	1722,	3,	2),
(11856,	1,	1723,	1,	1),
(11857,	1,	1723,	2,	1),
(11858,	1,	1723,	3,	1),
(11859,	1,	1723,	1,	2),
(11860,	1,	1723,	2,	2),
(11861,	1,	1723,	3,	2),
(11862,	1,	1724,	1,	1),
(11863,	1,	1724,	2,	1),
(11864,	1,	1724,	3,	1),
(11865,	1,	1724,	1,	2),
(11866,	1,	1724,	2,	2),
(11867,	1,	1724,	3,	2),
(11868,	1,	1725,	1,	1),
(11869,	1,	1725,	2,	1),
(11870,	1,	1725,	3,	1),
(11871,	1,	1725,	1,	2),
(11872,	1,	1725,	2,	2),
(11873,	1,	1725,	3,	2),
(11874,	1,	1726,	1,	1),
(11875,	1,	1726,	2,	1),
(11876,	1,	1726,	3,	1),
(11877,	1,	1726,	1,	2),
(11878,	1,	1726,	2,	2),
(11879,	1,	1726,	3,	2),
(11880,	1,	1727,	1,	1),
(11881,	1,	1727,	2,	1),
(11882,	1,	1727,	3,	1),
(11883,	1,	1727,	1,	2),
(11884,	1,	1727,	2,	2),
(11885,	1,	1727,	3,	2),
(11886,	1,	1728,	1,	1),
(11887,	1,	1728,	2,	1),
(11888,	1,	1728,	3,	1),
(11889,	1,	1728,	1,	2),
(11890,	1,	1728,	2,	2),
(11891,	1,	1728,	3,	2),
(11892,	1,	1729,	1,	1),
(11893,	1,	1729,	2,	1),
(11894,	1,	1729,	3,	1),
(11895,	1,	1729,	1,	2),
(11896,	1,	1729,	2,	2),
(11897,	1,	1729,	3,	2),
(11898,	1,	1730,	1,	1),
(11899,	1,	1730,	2,	1),
(11900,	1,	1730,	3,	1),
(11901,	1,	1730,	1,	2),
(11902,	1,	1730,	2,	2),
(11903,	1,	1730,	3,	2),
(11904,	1,	1731,	1,	1),
(11905,	1,	1731,	2,	1),
(11906,	1,	1731,	3,	1),
(11907,	1,	1731,	1,	2),
(11908,	1,	1731,	2,	2),
(11909,	1,	1731,	3,	2),
(11910,	1,	1732,	1,	1),
(11911,	1,	1732,	2,	1),
(11912,	1,	1732,	3,	1),
(11913,	1,	1732,	1,	2),
(11914,	1,	1732,	2,	2),
(11915,	1,	1732,	3,	2),
(11916,	1,	1733,	1,	1),
(11917,	1,	1733,	2,	1),
(11918,	1,	1733,	3,	1),
(11919,	1,	1733,	1,	2),
(11920,	1,	1733,	2,	2),
(11921,	1,	1733,	3,	2),
(11922,	1,	1734,	1,	1),
(11923,	1,	1734,	2,	1),
(11924,	1,	1734,	3,	1),
(11925,	1,	1734,	1,	2),
(11926,	1,	1734,	2,	2),
(11927,	1,	1734,	3,	2),
(11928,	1,	1735,	1,	1),
(11929,	1,	1735,	2,	1),
(11930,	1,	1735,	3,	1),
(11931,	1,	1735,	1,	2),
(11932,	1,	1735,	2,	2),
(11933,	1,	1735,	3,	2),
(11934,	1,	1736,	1,	1),
(11935,	1,	1736,	2,	1),
(11936,	1,	1736,	3,	1),
(11937,	1,	1736,	1,	3),
(11938,	1,	1736,	2,	3),
(11939,	1,	1736,	3,	3),
(11940,	1,	1737,	1,	1),
(11941,	1,	1737,	2,	1),
(11942,	1,	1737,	3,	1),
(11943,	1,	1737,	1,	2),
(11944,	1,	1737,	2,	2),
(11945,	1,	1737,	3,	2),
(11946,	1,	1738,	1,	1),
(11947,	1,	1738,	2,	1),
(11948,	1,	1738,	3,	1),
(11949,	1,	1738,	23,	1),
(11950,	1,	1738,	1,	3),
(11951,	1,	1738,	2,	3),
(11952,	1,	1738,	3,	3),
(11953,	1,	1738,	23,	3),
(11954,	1,	1739,	1,	1),
(11955,	1,	1739,	2,	1),
(11956,	1,	1739,	3,	1),
(11957,	1,	1740,	1,	1),
(11958,	1,	1740,	2,	1),
(11959,	1,	1740,	3,	1),
(11960,	1,	1741,	1,	1),
(11961,	1,	1741,	2,	1),
(11962,	1,	1741,	3,	1),
(11963,	1,	1741,	84,	1),
(11964,	1,	1741,	1,	3),
(11965,	1,	1741,	2,	3),
(11966,	1,	1741,	3,	3),
(11967,	1,	1741,	84,	3),
(11968,	1,	1742,	1,	1),
(11969,	1,	1742,	2,	1),
(11970,	1,	1742,	3,	1),
(11971,	1,	1742,	1,	3),
(11972,	1,	1742,	2,	3),
(11973,	1,	1742,	3,	3),
(11974,	1,	1743,	1,	1),
(11975,	1,	1743,	2,	1),
(11976,	1,	1743,	3,	1),
(11977,	1,	1744,	1,	1),
(11978,	1,	1744,	2,	1),
(11979,	1,	1744,	3,	1),
(11980,	1,	1744,	84,	1),
(11981,	1,	1744,	1,	3),
(11982,	1,	1744,	2,	3),
(11983,	1,	1744,	3,	3),
(11984,	1,	1744,	84,	3),
(11985,	1,	1745,	1,	1),
(11986,	1,	1745,	2,	1),
(11987,	1,	1745,	3,	1),
(11988,	1,	1745,	1,	3),
(11989,	1,	1745,	2,	3),
(11990,	1,	1745,	3,	3),
(11991,	1,	1746,	1,	1),
(11992,	1,	1746,	2,	1),
(11993,	1,	1746,	3,	1),
(11994,	1,	1746,	1,	3),
(11995,	1,	1746,	2,	3),
(11996,	1,	1746,	3,	3),
(11997,	1,	1747,	1,	1),
(11998,	1,	1747,	2,	1),
(11999,	1,	1747,	3,	1),
(12000,	1,	1747,	1,	3),
(12001,	1,	1747,	2,	3),
(12002,	1,	1747,	3,	3),
(12003,	1,	1748,	1,	1),
(12004,	1,	1748,	2,	1),
(12005,	1,	1748,	3,	1),
(12006,	1,	1748,	1,	3),
(12007,	1,	1748,	2,	3),
(12008,	1,	1748,	3,	3),
(12009,	1,	1749,	1,	1),
(12010,	1,	1749,	2,	1),
(12011,	1,	1749,	3,	1),
(12012,	1,	1749,	1,	2),
(12013,	1,	1749,	2,	2),
(12014,	1,	1749,	3,	2),
(12015,	1,	1750,	1,	1),
(12016,	1,	1750,	2,	1),
(12017,	1,	1750,	3,	1),
(12018,	1,	1750,	1,	2),
(12019,	1,	1750,	2,	2),
(12020,	1,	1750,	3,	2),
(12021,	1,	1751,	1,	1),
(12022,	1,	1751,	2,	1),
(12023,	1,	1751,	3,	1),
(12024,	1,	1751,	1,	2),
(12025,	1,	1751,	2,	2),
(12026,	1,	1751,	3,	2),
(12027,	1,	1752,	1,	1),
(12028,	1,	1752,	2,	1),
(12029,	1,	1752,	3,	1),
(12030,	1,	1752,	1,	2),
(12031,	1,	1752,	2,	2),
(12032,	1,	1752,	3,	2),
(12033,	1,	1753,	1,	1),
(12034,	1,	1753,	2,	1),
(12035,	1,	1753,	3,	1),
(12036,	1,	1753,	1,	3),
(12037,	1,	1753,	2,	3),
(12038,	1,	1753,	3,	3),
(12039,	1,	1754,	1,	1),
(12040,	1,	1754,	2,	1),
(12041,	1,	1754,	3,	1),
(12042,	1,	1754,	1,	2),
(12043,	1,	1754,	2,	2),
(12044,	1,	1754,	3,	2),
(12045,	1,	1755,	1,	1),
(12046,	1,	1755,	2,	1),
(12047,	1,	1755,	3,	1),
(12048,	1,	1755,	1,	2),
(12049,	1,	1755,	2,	2),
(12050,	1,	1755,	3,	2),
(12051,	1,	1756,	1,	1),
(12052,	1,	1756,	2,	1),
(12053,	1,	1756,	3,	1),
(12054,	1,	1756,	1,	2),
(12055,	1,	1756,	2,	2),
(12056,	1,	1756,	3,	2),
(12057,	1,	1757,	1,	1),
(12058,	1,	1757,	2,	1),
(12059,	1,	1757,	3,	1),
(12060,	1,	1757,	1,	2),
(12061,	1,	1757,	2,	2),
(12062,	1,	1757,	3,	2),
(12063,	1,	1758,	1,	1),
(12064,	1,	1758,	2,	1),
(12065,	1,	1758,	3,	1),
(12066,	1,	1758,	1,	2),
(12067,	1,	1758,	2,	2),
(12068,	1,	1758,	3,	2),
(12069,	1,	1759,	1,	1),
(12070,	1,	1759,	2,	1),
(12071,	1,	1759,	3,	1),
(12072,	1,	1760,	1,	1),
(12073,	1,	1760,	2,	1),
(12074,	1,	1760,	3,	1),
(12075,	1,	1761,	1,	1),
(12076,	1,	1761,	2,	1),
(12077,	1,	1761,	3,	1),
(12078,	1,	1762,	1,	1),
(12079,	1,	1762,	2,	1),
(12080,	1,	1762,	3,	1),
(12081,	1,	1763,	1,	1),
(12082,	1,	1763,	2,	1),
(12083,	1,	1763,	3,	1),
(12084,	1,	1764,	1,	1),
(12085,	1,	1764,	2,	1),
(12086,	1,	1764,	3,	1),
(12087,	1,	1765,	1,	1),
(12088,	1,	1765,	2,	1),
(12089,	1,	1765,	3,	1),
(12090,	1,	1766,	1,	1),
(12091,	1,	1766,	2,	1),
(12092,	1,	1766,	3,	1),
(12093,	1,	1767,	1,	1),
(12094,	1,	1767,	2,	1),
(12095,	1,	1767,	3,	1),
(12096,	1,	1767,	1,	2),
(12097,	1,	1767,	2,	2),
(12098,	1,	1767,	3,	2),
(12099,	1,	1768,	1,	1),
(12100,	1,	1768,	2,	1),
(12101,	1,	1768,	3,	1),
(12102,	1,	1768,	1,	2),
(12103,	1,	1768,	2,	2),
(12104,	1,	1768,	3,	2),
(12105,	1,	1769,	1,	1),
(12106,	1,	1769,	2,	1),
(12107,	1,	1769,	3,	1),
(12108,	1,	1770,	1,	1),
(12109,	1,	1770,	2,	1),
(12110,	1,	1770,	3,	1),
(12111,	1,	1771,	1,	1),
(12112,	1,	1771,	2,	1),
(12113,	1,	1771,	3,	1),
(12114,	1,	1772,	1,	1),
(12115,	1,	1772,	2,	1),
(12116,	1,	1772,	3,	1),
(12117,	1,	1773,	1,	1),
(12118,	1,	1773,	2,	1),
(12119,	1,	1773,	3,	1),
(12120,	1,	1774,	1,	1),
(12121,	1,	1774,	2,	1),
(12122,	1,	1774,	3,	1),
(12123,	1,	1775,	1,	1),
(12124,	1,	1775,	2,	1),
(12125,	1,	1775,	3,	1),
(12126,	1,	1775,	1,	2),
(12127,	1,	1775,	2,	2),
(12128,	1,	1775,	3,	2),
(12129,	1,	1776,	1,	1),
(12130,	1,	1776,	2,	1),
(12131,	1,	1776,	3,	1),
(12132,	1,	1776,	1,	2),
(12133,	1,	1776,	2,	2),
(12134,	1,	1776,	3,	2),
(12135,	1,	1777,	1,	1),
(12136,	1,	1777,	2,	1),
(12137,	1,	1777,	3,	1),
(12138,	1,	1777,	1,	2),
(12139,	1,	1777,	2,	2),
(12140,	1,	1777,	3,	2),
(12141,	1,	1778,	1,	1),
(12142,	1,	1778,	2,	1),
(12143,	1,	1778,	3,	1),
(12144,	1,	1779,	1,	1),
(12145,	1,	1779,	2,	1),
(12146,	1,	1779,	3,	1),
(12147,	1,	1779,	1,	2),
(12148,	1,	1779,	2,	2),
(12149,	1,	1779,	3,	2),
(12150,	1,	1780,	1,	1),
(12151,	1,	1780,	2,	1),
(12152,	1,	1780,	3,	1),
(12153,	1,	1780,	1,	2),
(12154,	1,	1780,	2,	2),
(12155,	1,	1780,	3,	2),
(12156,	1,	1781,	1,	1),
(12157,	1,	1781,	2,	1),
(12158,	1,	1781,	3,	1),
(12159,	1,	1781,	1,	2),
(12160,	1,	1781,	2,	2),
(12161,	1,	1781,	3,	2),
(12162,	1,	1782,	1,	1),
(12163,	1,	1782,	2,	1),
(12164,	1,	1782,	3,	1),
(12165,	1,	1783,	1,	1),
(12166,	1,	1783,	2,	1),
(12167,	1,	1783,	3,	1),
(12168,	1,	1783,	1,	2),
(12169,	1,	1783,	2,	2),
(12170,	1,	1783,	3,	2),
(12171,	1,	1784,	1,	1),
(12172,	1,	1784,	2,	1),
(12173,	1,	1784,	3,	1),
(12174,	1,	1784,	1,	2),
(12175,	1,	1784,	2,	2),
(12176,	1,	1784,	3,	2),
(12177,	1,	1785,	1,	1),
(12178,	1,	1785,	2,	1),
(12179,	1,	1785,	3,	1),
(12180,	1,	1785,	1,	2),
(12181,	1,	1785,	2,	2),
(12182,	1,	1785,	3,	2),
(12183,	1,	1786,	1,	1),
(12184,	1,	1786,	2,	1),
(12185,	1,	1786,	3,	1),
(12186,	1,	1787,	1,	1),
(12187,	1,	1787,	2,	1),
(12188,	1,	1787,	3,	1),
(12189,	1,	1787,	1,	2),
(12190,	1,	1787,	2,	2),
(12191,	1,	1787,	3,	2),
(12192,	1,	1788,	1,	1),
(12193,	1,	1788,	2,	1),
(12194,	1,	1788,	3,	1),
(12195,	1,	1788,	1,	2),
(12196,	1,	1788,	2,	2),
(12197,	1,	1788,	3,	2),
(12198,	1,	1789,	1,	1),
(12199,	1,	1789,	2,	1),
(12200,	1,	1789,	3,	1),
(12201,	1,	1789,	1,	2),
(12202,	1,	1789,	2,	2),
(12203,	1,	1789,	3,	2),
(12204,	1,	1790,	1,	1),
(12205,	1,	1790,	2,	1),
(12206,	1,	1790,	3,	1),
(12207,	1,	1790,	1,	2),
(12208,	1,	1790,	2,	2),
(12209,	1,	1790,	3,	2),
(12210,	1,	1791,	1,	1),
(12211,	1,	1791,	2,	1),
(12212,	1,	1791,	3,	1),
(12213,	1,	1791,	1,	2),
(12214,	1,	1791,	2,	2),
(12215,	1,	1791,	3,	2),
(12216,	1,	1792,	1,	1),
(12217,	1,	1792,	2,	1),
(12218,	1,	1792,	3,	1),
(12219,	1,	1793,	1,	1),
(12220,	1,	1793,	2,	1),
(12221,	1,	1793,	3,	1),
(12222,	1,	1793,	1,	2),
(12223,	1,	1793,	2,	2),
(12224,	1,	1793,	3,	2),
(12225,	1,	1794,	1,	1),
(12226,	1,	1794,	2,	1),
(12227,	1,	1794,	3,	1),
(12228,	1,	1794,	1,	2),
(12229,	1,	1794,	2,	2),
(12230,	1,	1794,	3,	2),
(12231,	1,	1795,	1,	1),
(12232,	1,	1795,	2,	1),
(12233,	1,	1795,	3,	1),
(12234,	1,	1795,	1,	3),
(12235,	1,	1795,	2,	3),
(12236,	1,	1795,	3,	3),
(12237,	1,	1795,	1,	2),
(12238,	1,	1795,	2,	2),
(12239,	1,	1795,	3,	2),
(12240,	1,	1796,	1,	1),
(12241,	1,	1796,	2,	1),
(12242,	1,	1796,	3,	1),
(12243,	1,	1796,	1,	3),
(12244,	1,	1796,	2,	3),
(12245,	1,	1796,	3,	3),
(12246,	1,	1796,	1,	2),
(12247,	1,	1796,	2,	2),
(12248,	1,	1796,	3,	2),
(12249,	1,	1797,	1,	1),
(12250,	1,	1797,	2,	1),
(12251,	1,	1797,	3,	1),
(12252,	1,	1797,	1,	2),
(12253,	1,	1797,	2,	2),
(12254,	1,	1797,	3,	2),
(12255,	1,	1798,	1,	1),
(12256,	1,	1798,	2,	1),
(12257,	1,	1798,	3,	1),
(12258,	1,	1798,	1,	2),
(12259,	1,	1798,	2,	2),
(12260,	1,	1798,	3,	2),
(12261,	1,	1799,	1,	1),
(12262,	1,	1799,	2,	1),
(12263,	1,	1799,	3,	1),
(12264,	1,	1799,	1,	2),
(12265,	1,	1799,	2,	2),
(12266,	1,	1799,	3,	2),
(12267,	1,	1800,	1,	1),
(12268,	1,	1800,	2,	1),
(12269,	1,	1800,	3,	1),
(12270,	1,	1800,	1,	2),
(12271,	1,	1800,	2,	2),
(12272,	1,	1800,	3,	2),
(12273,	1,	1801,	1,	1),
(12274,	1,	1801,	2,	1),
(12275,	1,	1801,	3,	1),
(12276,	1,	1801,	1,	2),
(12277,	1,	1801,	2,	2),
(12278,	1,	1801,	3,	2),
(12279,	1,	1802,	1,	1),
(12280,	1,	1802,	2,	1),
(12281,	1,	1802,	3,	1),
(12282,	1,	1802,	1,	2),
(12283,	1,	1802,	2,	2),
(12284,	1,	1802,	3,	2),
(12285,	1,	1803,	1,	1),
(12286,	1,	1803,	2,	1),
(12287,	1,	1803,	3,	1),
(12288,	1,	1803,	1,	3),
(12289,	1,	1803,	2,	3),
(12290,	1,	1803,	3,	3),
(12291,	1,	1803,	1,	2),
(12292,	1,	1803,	2,	2),
(12293,	1,	1803,	3,	2),
(12294,	1,	1804,	1,	1),
(12295,	1,	1804,	2,	1),
(12296,	1,	1804,	3,	1),
(12297,	1,	1804,	1,	2),
(12298,	1,	1804,	2,	2),
(12299,	1,	1804,	3,	2),
(12300,	1,	1805,	1,	1),
(12301,	1,	1805,	2,	1),
(12302,	1,	1805,	3,	1),
(12303,	1,	1805,	1,	2),
(12304,	1,	1805,	2,	2),
(12305,	1,	1805,	3,	2),
(12306,	1,	1203,	85,	1),
(12307,	1,	1807,	24,	1),
(12308,	1,	1811,	82,	1),
(12309,	1,	1832,	2,	2),
(12310,	1,	1832,	2,	1),
(12311,	1,	1833,	2,	2),
(12312,	1,	1833,	2,	1),
(12313,	1,	1834,	2,	1),
(12314,	1,	1811,	88,	1),
(12315,	1,	1811,	89,	1),
(12316,	1,	1811,	90,	1),
(12317,	1,	1811,	91,	1),
(16387,	2,	1,	1,	1),
(16388,	2,	1,	2,	1),
(16389,	2,	1,	3,	1),
(16390,	2,	1,	4,	1),
(16391,	2,	1,	1,	2),
(16392,	2,	1,	2,	2),
(16393,	2,	1,	3,	2),
(16394,	2,	1,	4,	2),
(16395,	2,	2,	1,	1),
(16396,	2,	2,	2,	1),
(16397,	2,	2,	3,	1),
(16398,	2,	2,	1,	2),
(16399,	2,	2,	2,	2),
(16400,	2,	2,	3,	2),
(16401,	2,	3,	1,	1),
(16402,	2,	3,	2,	1),
(16403,	2,	3,	3,	1),
(16404,	2,	3,	4,	1),
(16405,	2,	3,	5,	1),
(16406,	2,	3,	1,	2),
(16407,	2,	3,	2,	2),
(16408,	2,	3,	3,	2),
(16409,	2,	3,	4,	2),
(16410,	2,	3,	5,	2),
(16411,	2,	4,	1,	1),
(16412,	2,	4,	2,	1),
(16413,	2,	4,	3,	1),
(16414,	2,	4,	4,	1),
(16415,	2,	4,	5,	1),
(16416,	2,	4,	1,	2),
(16417,	2,	4,	2,	2),
(16418,	2,	4,	3,	2),
(16419,	2,	4,	4,	2),
(16420,	2,	4,	5,	2),
(16421,	2,	5,	1,	1),
(16422,	2,	5,	2,	1),
(16423,	2,	5,	3,	1),
(16424,	2,	5,	6,	1),
(16425,	2,	6,	1,	1),
(16426,	2,	6,	2,	1),
(16427,	2,	6,	3,	1),
(16428,	2,	6,	6,	1),
(16429,	2,	7,	1,	1),
(16430,	2,	7,	2,	1),
(16431,	2,	7,	3,	1),
(16432,	2,	7,	1,	2),
(16433,	2,	7,	2,	2),
(16434,	2,	7,	3,	2),
(16435,	2,	8,	1,	1),
(16436,	2,	8,	2,	1),
(16437,	2,	8,	3,	1),
(16438,	2,	8,	7,	1),
(16439,	2,	8,	8,	1),
(16440,	2,	8,	9,	1),
(16441,	2,	8,	10,	1),
(16442,	2,	8,	11,	1),
(16443,	2,	8,	12,	1),
(16444,	2,	8,	13,	1),
(16445,	2,	8,	14,	1),
(16446,	2,	8,	15,	1),
(16447,	2,	8,	16,	1),
(16448,	2,	8,	17,	1),
(16449,	2,	8,	18,	1),
(16450,	2,	8,	19,	1),
(16451,	2,	8,	20,	1),
(16452,	2,	8,	21,	1),
(16453,	2,	8,	22,	1),
(16454,	2,	9,	1,	1),
(16455,	2,	9,	2,	1),
(16456,	2,	9,	3,	1),
(16457,	2,	9,	7,	1),
(16458,	2,	9,	8,	1),
(16459,	2,	9,	9,	1),
(16460,	2,	9,	10,	1),
(16461,	2,	9,	11,	1),
(16462,	2,	9,	12,	1),
(16463,	2,	9,	13,	1),
(16464,	2,	9,	14,	1),
(16465,	2,	9,	15,	1),
(16466,	2,	9,	16,	1),
(16467,	2,	9,	17,	1),
(16468,	2,	9,	18,	1),
(16469,	2,	9,	19,	1),
(16470,	2,	9,	20,	1),
(16471,	2,	9,	21,	1),
(16472,	2,	9,	22,	1),
(16473,	2,	10,	1,	1),
(16474,	2,	10,	2,	1),
(16475,	2,	10,	3,	1),
(16476,	2,	10,	7,	1),
(16477,	2,	10,	8,	1),
(16478,	2,	10,	9,	1),
(16479,	2,	10,	10,	1),
(16480,	2,	10,	11,	1),
(16481,	2,	10,	12,	1),
(16482,	2,	10,	13,	1),
(16483,	2,	10,	14,	1),
(16484,	2,	10,	15,	1),
(16485,	2,	10,	16,	1),
(16486,	2,	10,	17,	1),
(16487,	2,	10,	18,	1),
(16488,	2,	10,	19,	1),
(16489,	2,	10,	20,	1),
(16490,	2,	10,	21,	1),
(16491,	2,	10,	22,	1),
(16492,	2,	11,	1,	1),
(16493,	2,	11,	2,	1),
(16494,	2,	11,	3,	1),
(16495,	2,	11,	7,	1),
(16496,	2,	11,	8,	1),
(16497,	2,	11,	9,	1),
(16498,	2,	11,	10,	1),
(16499,	2,	11,	11,	1),
(16500,	2,	11,	12,	1),
(16501,	2,	11,	13,	1),
(16502,	2,	11,	14,	1),
(16503,	2,	11,	15,	1),
(16504,	2,	11,	16,	1),
(16505,	2,	11,	17,	1),
(16506,	2,	11,	18,	1),
(16507,	2,	11,	19,	1),
(16508,	2,	11,	20,	1),
(16509,	2,	11,	21,	1),
(16510,	2,	11,	22,	1),
(16511,	2,	12,	1,	1),
(16512,	2,	12,	2,	1),
(16513,	2,	12,	3,	1),
(16514,	2,	12,	7,	1),
(16515,	2,	12,	8,	1),
(16516,	2,	12,	9,	1),
(16517,	2,	12,	10,	1),
(16518,	2,	12,	11,	1),
(16519,	2,	12,	12,	1),
(16520,	2,	12,	13,	1),
(16521,	2,	12,	14,	1),
(16522,	2,	12,	15,	1),
(16523,	2,	12,	16,	1),
(16524,	2,	12,	17,	1),
(16525,	2,	12,	18,	1),
(16526,	2,	12,	19,	1),
(16527,	2,	12,	20,	1),
(16528,	2,	12,	21,	1),
(16529,	2,	12,	22,	1),
(16530,	2,	13,	1,	1),
(16531,	2,	13,	2,	1),
(16532,	2,	13,	3,	1),
(16533,	2,	13,	7,	1),
(16534,	2,	13,	8,	1),
(16535,	2,	13,	9,	1),
(16536,	2,	13,	10,	1),
(16537,	2,	13,	11,	1),
(16538,	2,	13,	12,	1),
(16539,	2,	13,	13,	1),
(16540,	2,	13,	14,	1),
(16541,	2,	13,	15,	1),
(16542,	2,	13,	16,	1),
(16543,	2,	13,	17,	1),
(16544,	2,	13,	18,	1),
(16545,	2,	13,	19,	1),
(16546,	2,	13,	20,	1),
(16547,	2,	13,	21,	1),
(16548,	2,	13,	22,	1),
(16549,	2,	14,	1,	1),
(16550,	2,	14,	2,	1),
(16551,	2,	14,	3,	1),
(16552,	2,	14,	7,	1),
(16553,	2,	14,	8,	1),
(16554,	2,	14,	9,	1),
(16555,	2,	14,	10,	1),
(16556,	2,	14,	11,	1),
(16557,	2,	14,	12,	1),
(16558,	2,	14,	13,	1),
(16559,	2,	14,	14,	1),
(16560,	2,	14,	15,	1),
(16561,	2,	14,	16,	1),
(16562,	2,	14,	17,	1),
(16563,	2,	14,	18,	1),
(16564,	2,	14,	19,	1),
(16565,	2,	14,	20,	1),
(16566,	2,	14,	21,	1),
(16567,	2,	14,	22,	1),
(16568,	2,	15,	1,	1),
(16569,	2,	15,	2,	1),
(16570,	2,	15,	3,	1),
(16571,	2,	15,	7,	1),
(16572,	2,	15,	8,	1),
(16573,	2,	15,	9,	1),
(16574,	2,	15,	10,	1),
(16575,	2,	15,	11,	1),
(16576,	2,	15,	12,	1),
(16577,	2,	15,	13,	1),
(16578,	2,	15,	14,	1),
(16579,	2,	15,	15,	1),
(16580,	2,	15,	16,	1),
(16581,	2,	15,	17,	1),
(16582,	2,	15,	18,	1),
(16583,	2,	15,	19,	1),
(16584,	2,	15,	20,	1),
(16585,	2,	15,	21,	1),
(16586,	2,	15,	22,	1),
(16587,	2,	16,	1,	1),
(16588,	2,	16,	2,	1),
(16589,	2,	16,	3,	1),
(16590,	2,	16,	7,	1),
(16591,	2,	16,	8,	1),
(16592,	2,	16,	9,	1),
(16593,	2,	16,	10,	1),
(16594,	2,	16,	11,	1),
(16595,	2,	16,	12,	1),
(16596,	2,	16,	13,	1),
(16597,	2,	16,	14,	1),
(16598,	2,	16,	15,	1),
(16599,	2,	16,	16,	1),
(16600,	2,	16,	17,	1),
(16601,	2,	16,	18,	1),
(16602,	2,	16,	19,	1),
(16603,	2,	16,	20,	1),
(16604,	2,	16,	21,	1),
(16605,	2,	16,	22,	1),
(16606,	2,	17,	1,	1),
(16607,	2,	17,	2,	1),
(16608,	2,	17,	3,	1),
(16609,	2,	17,	7,	1),
(16610,	2,	17,	8,	1),
(16611,	2,	17,	9,	1),
(16612,	2,	17,	10,	1),
(16613,	2,	17,	11,	1),
(16614,	2,	17,	12,	1),
(16615,	2,	17,	13,	1),
(16616,	2,	17,	14,	1),
(16617,	2,	17,	15,	1),
(16618,	2,	17,	16,	1),
(16619,	2,	17,	17,	1),
(16620,	2,	17,	18,	1),
(16621,	2,	17,	19,	1),
(16622,	2,	17,	20,	1),
(16623,	2,	17,	21,	1),
(16624,	2,	17,	22,	1),
(16625,	2,	18,	1,	1),
(16626,	2,	18,	2,	1),
(16627,	2,	18,	3,	1),
(16628,	2,	18,	7,	1),
(16629,	2,	18,	8,	1),
(16630,	2,	18,	9,	1),
(16631,	2,	18,	10,	1),
(16632,	2,	18,	11,	1),
(16633,	2,	18,	12,	1),
(16634,	2,	18,	13,	1),
(16635,	2,	18,	14,	1),
(16636,	2,	18,	15,	1),
(16637,	2,	18,	16,	1),
(16638,	2,	18,	17,	1),
(16639,	2,	18,	18,	1),
(16640,	2,	18,	19,	1),
(16641,	2,	18,	20,	1),
(16642,	2,	18,	21,	1),
(16643,	2,	18,	22,	1),
(16644,	2,	19,	1,	1),
(16645,	2,	19,	2,	1),
(16646,	2,	19,	3,	1),
(16647,	2,	19,	7,	1),
(16648,	2,	19,	8,	1),
(16649,	2,	19,	9,	1),
(16650,	2,	19,	10,	1),
(16651,	2,	19,	11,	1),
(16652,	2,	19,	12,	1),
(16653,	2,	19,	13,	1),
(16654,	2,	19,	14,	1),
(16655,	2,	19,	15,	1),
(16656,	2,	19,	16,	1),
(16657,	2,	19,	17,	1),
(16658,	2,	19,	18,	1),
(16659,	2,	19,	19,	1),
(16660,	2,	19,	20,	1),
(16661,	2,	19,	21,	1),
(16662,	2,	19,	22,	1),
(16663,	2,	20,	1,	1),
(16664,	2,	20,	2,	1),
(16665,	2,	20,	3,	1),
(16666,	2,	20,	7,	1),
(16667,	2,	20,	8,	1),
(16668,	2,	20,	9,	1),
(16669,	2,	20,	10,	1),
(16670,	2,	20,	11,	1),
(16671,	2,	20,	12,	1),
(16672,	2,	20,	13,	1),
(16673,	2,	20,	14,	1),
(16674,	2,	20,	15,	1),
(16675,	2,	20,	16,	1),
(16676,	2,	20,	17,	1),
(16677,	2,	20,	18,	1),
(16678,	2,	20,	19,	1),
(16679,	2,	20,	20,	1),
(16680,	2,	20,	21,	1),
(16681,	2,	20,	22,	1),
(16682,	2,	21,	1,	1),
(16683,	2,	21,	2,	1),
(16684,	2,	21,	3,	1),
(16685,	2,	21,	7,	1),
(16686,	2,	21,	8,	1),
(16687,	2,	21,	9,	1),
(16688,	2,	21,	10,	1),
(16689,	2,	21,	11,	1),
(16690,	2,	21,	12,	1),
(16691,	2,	21,	13,	1),
(16692,	2,	21,	14,	1),
(16693,	2,	21,	15,	1),
(16694,	2,	21,	16,	1),
(16695,	2,	21,	17,	1),
(16696,	2,	21,	18,	1),
(16697,	2,	21,	19,	1),
(16698,	2,	21,	20,	1),
(16699,	2,	21,	21,	1),
(16700,	2,	21,	22,	1),
(16701,	2,	22,	1,	1),
(16702,	2,	22,	2,	1),
(16703,	2,	22,	3,	1),
(16704,	2,	22,	7,	1),
(16705,	2,	22,	8,	1),
(16706,	2,	22,	9,	1),
(16707,	2,	22,	10,	1),
(16708,	2,	22,	11,	1),
(16709,	2,	22,	12,	1),
(16710,	2,	22,	13,	1),
(16711,	2,	22,	14,	1),
(16712,	2,	22,	15,	1),
(16713,	2,	22,	16,	1),
(16714,	2,	22,	17,	1),
(16715,	2,	22,	18,	1),
(16716,	2,	22,	19,	1),
(16717,	2,	22,	20,	1),
(16718,	2,	22,	21,	1),
(16719,	2,	22,	22,	1),
(16720,	2,	23,	1,	1),
(16721,	2,	23,	2,	1),
(16722,	2,	23,	3,	1),
(16723,	2,	23,	7,	1),
(16724,	2,	23,	8,	1),
(16725,	2,	23,	9,	1),
(16726,	2,	23,	10,	1),
(16727,	2,	23,	11,	1),
(16728,	2,	23,	12,	1),
(16729,	2,	23,	13,	1),
(16730,	2,	23,	14,	1),
(16731,	2,	23,	15,	1),
(16732,	2,	23,	16,	1),
(16733,	2,	23,	17,	1),
(16734,	2,	23,	18,	1),
(16735,	2,	23,	19,	1),
(16736,	2,	23,	20,	1),
(16737,	2,	23,	21,	1),
(16738,	2,	23,	22,	1),
(16739,	2,	24,	1,	1),
(16740,	2,	24,	2,	1),
(16741,	2,	24,	3,	1),
(16742,	2,	24,	7,	1),
(16743,	2,	24,	8,	1),
(16744,	2,	24,	9,	1),
(16745,	2,	24,	10,	1),
(16746,	2,	24,	11,	1),
(16747,	2,	24,	12,	1),
(16748,	2,	24,	13,	1),
(16749,	2,	24,	14,	1),
(16750,	2,	24,	15,	1),
(16751,	2,	24,	16,	1),
(16752,	2,	24,	17,	1),
(16753,	2,	24,	18,	1),
(16754,	2,	24,	19,	1),
(16755,	2,	24,	20,	1),
(16756,	2,	24,	21,	1),
(16757,	2,	24,	22,	1),
(16758,	2,	25,	1,	1),
(16759,	2,	25,	2,	1),
(16760,	2,	25,	3,	1),
(16761,	2,	25,	7,	1),
(16762,	2,	25,	8,	1),
(16763,	2,	25,	9,	1),
(16764,	2,	25,	10,	1),
(16765,	2,	25,	11,	1),
(16766,	2,	25,	12,	1),
(16767,	2,	25,	13,	1),
(16768,	2,	25,	14,	1),
(16769,	2,	25,	15,	1),
(16770,	2,	25,	16,	1),
(16771,	2,	25,	17,	1),
(16772,	2,	25,	18,	1),
(16773,	2,	25,	19,	1),
(16774,	2,	25,	20,	1),
(16775,	2,	25,	21,	1),
(16776,	2,	25,	22,	1),
(16777,	2,	26,	1,	1),
(16778,	2,	26,	2,	1),
(16779,	2,	26,	3,	1),
(16780,	2,	26,	7,	1),
(16781,	2,	26,	8,	1),
(16782,	2,	26,	9,	1),
(16783,	2,	26,	10,	1),
(16784,	2,	26,	11,	1),
(16785,	2,	26,	12,	1),
(16786,	2,	26,	13,	1),
(16787,	2,	26,	14,	1),
(16788,	2,	26,	15,	1),
(16789,	2,	26,	16,	1),
(16790,	2,	26,	17,	1),
(16791,	2,	26,	18,	1),
(16792,	2,	26,	19,	1),
(16793,	2,	26,	20,	1),
(16794,	2,	26,	21,	1),
(16795,	2,	26,	22,	1),
(16796,	2,	27,	1,	1),
(16797,	2,	27,	2,	1),
(16798,	2,	27,	3,	1),
(16799,	2,	27,	7,	1),
(16800,	2,	27,	8,	1),
(16801,	2,	27,	9,	1),
(16802,	2,	27,	10,	1),
(16803,	2,	27,	11,	1),
(16804,	2,	27,	12,	1),
(16805,	2,	27,	13,	1),
(16806,	2,	27,	14,	1),
(16807,	2,	27,	15,	1),
(16808,	2,	27,	16,	1),
(16809,	2,	27,	17,	1),
(16810,	2,	27,	18,	1),
(16811,	2,	27,	19,	1),
(16812,	2,	27,	20,	1),
(16813,	2,	27,	21,	1),
(16814,	2,	27,	22,	1),
(16815,	2,	28,	1,	1),
(16816,	2,	28,	2,	1),
(16817,	2,	28,	3,	1),
(16818,	2,	28,	7,	1),
(16819,	2,	28,	8,	1),
(16820,	2,	28,	9,	1),
(16821,	2,	28,	10,	1),
(16822,	2,	28,	11,	1),
(16823,	2,	28,	12,	1),
(16824,	2,	28,	13,	1),
(16825,	2,	28,	14,	1),
(16826,	2,	28,	15,	1),
(16827,	2,	28,	16,	1),
(16828,	2,	28,	17,	1),
(16829,	2,	28,	18,	1),
(16830,	2,	28,	19,	1),
(16831,	2,	28,	20,	1),
(16832,	2,	28,	21,	1),
(16833,	2,	28,	22,	1),
(16834,	2,	29,	1,	1),
(16835,	2,	29,	2,	1),
(16836,	2,	29,	3,	1),
(16837,	2,	29,	7,	1),
(16838,	2,	29,	8,	1),
(16839,	2,	29,	9,	1),
(16840,	2,	29,	10,	1),
(16841,	2,	29,	11,	1),
(16842,	2,	29,	12,	1),
(16843,	2,	29,	13,	1),
(16844,	2,	29,	14,	1),
(16845,	2,	29,	15,	1),
(16846,	2,	29,	16,	1),
(16847,	2,	29,	17,	1),
(16848,	2,	29,	18,	1),
(16849,	2,	29,	19,	1),
(16850,	2,	29,	20,	1),
(16851,	2,	29,	21,	1),
(16852,	2,	29,	22,	1),
(16853,	2,	30,	1,	1),
(16854,	2,	30,	2,	1),
(16855,	2,	30,	3,	1),
(16856,	2,	30,	7,	1),
(16857,	2,	30,	8,	1),
(16858,	2,	30,	9,	1),
(16859,	2,	30,	10,	1),
(16860,	2,	30,	11,	1),
(16861,	2,	30,	12,	1),
(16862,	2,	30,	13,	1),
(16863,	2,	30,	14,	1),
(16864,	2,	30,	15,	1),
(16865,	2,	30,	16,	1),
(16866,	2,	30,	17,	1),
(16867,	2,	30,	18,	1),
(16868,	2,	30,	19,	1),
(16869,	2,	30,	20,	1),
(16870,	2,	30,	21,	1),
(16871,	2,	30,	22,	1),
(16872,	2,	31,	1,	1),
(16873,	2,	31,	2,	1),
(16874,	2,	31,	3,	1),
(16875,	2,	31,	7,	1),
(16876,	2,	31,	8,	1),
(16877,	2,	31,	9,	1),
(16878,	2,	31,	10,	1),
(16879,	2,	31,	11,	1),
(16880,	2,	31,	12,	1),
(16881,	2,	31,	13,	1),
(16882,	2,	31,	14,	1),
(16883,	2,	31,	15,	1),
(16884,	2,	31,	16,	1),
(16885,	2,	31,	17,	1),
(16886,	2,	31,	18,	1),
(16887,	2,	31,	19,	1),
(16888,	2,	31,	20,	1),
(16889,	2,	31,	21,	1),
(16890,	2,	31,	22,	1),
(16891,	2,	32,	1,	1),
(16892,	2,	32,	2,	1),
(16893,	2,	32,	3,	1),
(16894,	2,	32,	7,	1),
(16895,	2,	32,	8,	1),
(16896,	2,	32,	9,	1),
(16897,	2,	32,	10,	1),
(16898,	2,	32,	11,	1),
(16899,	2,	32,	12,	1),
(16900,	2,	32,	13,	1),
(16901,	2,	32,	14,	1),
(16902,	2,	32,	15,	1),
(16903,	2,	32,	16,	1),
(16904,	2,	32,	17,	1),
(16905,	2,	32,	18,	1),
(16906,	2,	32,	19,	1),
(16907,	2,	32,	20,	1),
(16908,	2,	32,	21,	1),
(16909,	2,	32,	22,	1),
(16910,	2,	33,	1,	1),
(16911,	2,	33,	2,	1),
(16912,	2,	33,	3,	1),
(16913,	2,	33,	7,	1),
(16914,	2,	33,	8,	1),
(16915,	2,	33,	9,	1),
(16916,	2,	33,	10,	1),
(16917,	2,	33,	11,	1),
(16918,	2,	33,	12,	1),
(16919,	2,	33,	13,	1),
(16920,	2,	33,	14,	1),
(16921,	2,	33,	15,	1),
(16922,	2,	33,	16,	1),
(16923,	2,	33,	17,	1),
(16924,	2,	33,	18,	1),
(16925,	2,	33,	19,	1),
(16926,	2,	33,	20,	1),
(16927,	2,	33,	21,	1),
(16928,	2,	33,	22,	1),
(16929,	2,	34,	1,	1),
(16930,	2,	34,	2,	1),
(16931,	2,	34,	3,	1),
(16932,	2,	34,	7,	1),
(16933,	2,	34,	8,	1),
(16934,	2,	34,	9,	1),
(16935,	2,	34,	10,	1),
(16936,	2,	34,	11,	1),
(16937,	2,	34,	12,	1),
(16938,	2,	34,	13,	1),
(16939,	2,	34,	14,	1),
(16940,	2,	34,	15,	1),
(16941,	2,	34,	16,	1),
(16942,	2,	34,	17,	1),
(16943,	2,	34,	18,	1),
(16944,	2,	34,	19,	1),
(16945,	2,	34,	20,	1),
(16946,	2,	34,	21,	1),
(16947,	2,	34,	22,	1),
(16948,	2,	34,	23,	1),
(16949,	2,	35,	1,	1),
(16950,	2,	35,	2,	1),
(16951,	2,	35,	3,	1),
(16952,	2,	35,	7,	1),
(16953,	2,	35,	8,	1),
(16954,	2,	35,	9,	1),
(16955,	2,	35,	10,	1),
(16956,	2,	35,	11,	1),
(16957,	2,	35,	12,	1),
(16958,	2,	35,	13,	1),
(16959,	2,	35,	14,	1),
(16960,	2,	35,	15,	1),
(16961,	2,	35,	16,	1),
(16962,	2,	35,	17,	1),
(16963,	2,	35,	18,	1),
(16964,	2,	35,	19,	1),
(16965,	2,	35,	20,	1),
(16966,	2,	35,	21,	1),
(16967,	2,	35,	22,	1),
(16968,	2,	36,	1,	1),
(16969,	2,	36,	2,	1),
(16970,	2,	36,	3,	1),
(16971,	2,	36,	7,	1),
(16972,	2,	36,	8,	1),
(16973,	2,	36,	9,	1),
(16974,	2,	36,	10,	1),
(16975,	2,	36,	11,	1),
(16976,	2,	36,	12,	1),
(16977,	2,	36,	13,	1),
(16978,	2,	36,	14,	1),
(16979,	2,	36,	15,	1),
(16980,	2,	36,	16,	1),
(16981,	2,	36,	17,	1),
(16982,	2,	36,	18,	1),
(16983,	2,	36,	19,	1),
(16984,	2,	36,	20,	1),
(16985,	2,	36,	21,	1),
(16986,	2,	36,	22,	1),
(16987,	2,	37,	1,	1),
(16988,	2,	37,	2,	1),
(16989,	2,	37,	3,	1),
(16990,	2,	37,	7,	1),
(16991,	2,	37,	8,	1),
(16992,	2,	37,	9,	1),
(16993,	2,	37,	10,	1),
(16994,	2,	37,	11,	1),
(16995,	2,	37,	12,	1),
(16996,	2,	37,	13,	1),
(16997,	2,	37,	14,	1),
(16998,	2,	37,	15,	1),
(16999,	2,	37,	16,	1),
(17000,	2,	37,	17,	1),
(17001,	2,	37,	18,	1),
(17002,	2,	37,	19,	1),
(17003,	2,	37,	20,	1),
(17004,	2,	37,	21,	1),
(17005,	2,	37,	22,	1),
(17006,	2,	38,	1,	1),
(17007,	2,	38,	2,	1),
(17008,	2,	38,	3,	1),
(17009,	2,	38,	7,	1),
(17010,	2,	38,	8,	1),
(17011,	2,	38,	9,	1),
(17012,	2,	38,	10,	1),
(17013,	2,	38,	11,	1),
(17014,	2,	38,	12,	1),
(17015,	2,	38,	13,	1),
(17016,	2,	38,	14,	1),
(17017,	2,	38,	15,	1),
(17018,	2,	38,	16,	1),
(17019,	2,	38,	17,	1),
(17020,	2,	38,	18,	1),
(17021,	2,	38,	19,	1),
(17022,	2,	38,	20,	1),
(17023,	2,	38,	21,	1),
(17024,	2,	38,	22,	1),
(17025,	2,	39,	1,	1),
(17026,	2,	39,	2,	1),
(17027,	2,	39,	3,	1),
(17028,	2,	39,	7,	1),
(17029,	2,	39,	8,	1),
(17030,	2,	39,	9,	1),
(17031,	2,	39,	10,	1),
(17032,	2,	39,	11,	1),
(17033,	2,	39,	12,	1),
(17034,	2,	39,	13,	1),
(17035,	2,	39,	14,	1),
(17036,	2,	39,	15,	1),
(17037,	2,	39,	16,	1),
(17038,	2,	39,	17,	1),
(17039,	2,	39,	18,	1),
(17040,	2,	39,	19,	1),
(17041,	2,	39,	20,	1),
(17042,	2,	39,	21,	1),
(17043,	2,	39,	22,	1),
(17044,	2,	40,	1,	1),
(17045,	2,	40,	2,	1),
(17046,	2,	40,	3,	1),
(17047,	2,	40,	7,	1),
(17048,	2,	40,	8,	1),
(17049,	2,	40,	9,	1),
(17050,	2,	40,	10,	1),
(17051,	2,	40,	11,	1),
(17052,	2,	40,	12,	1),
(17053,	2,	40,	13,	1),
(17054,	2,	40,	14,	1),
(17055,	2,	40,	15,	1),
(17056,	2,	40,	16,	1),
(17057,	2,	40,	17,	1),
(17058,	2,	40,	18,	1),
(17059,	2,	40,	19,	1),
(17060,	2,	40,	20,	1),
(17061,	2,	40,	21,	1),
(17062,	2,	40,	22,	1),
(17063,	2,	41,	1,	1),
(17064,	2,	41,	2,	1),
(17065,	2,	41,	3,	1),
(17066,	2,	41,	7,	1),
(17067,	2,	41,	8,	1),
(17068,	2,	41,	9,	1),
(17069,	2,	41,	10,	1),
(17070,	2,	41,	11,	1),
(17071,	2,	41,	12,	1),
(17072,	2,	41,	13,	1),
(17073,	2,	41,	14,	1),
(17074,	2,	41,	15,	1),
(17075,	2,	41,	16,	1),
(17076,	2,	41,	17,	1),
(17077,	2,	41,	18,	1),
(17078,	2,	41,	19,	1),
(17079,	2,	41,	20,	1),
(17080,	2,	41,	21,	1),
(17081,	2,	41,	22,	1),
(17082,	2,	42,	1,	1),
(17083,	2,	42,	2,	1),
(17084,	2,	42,	3,	1),
(17085,	2,	42,	7,	1),
(17086,	2,	42,	8,	1),
(17087,	2,	42,	9,	1),
(17088,	2,	42,	10,	1),
(17089,	2,	42,	11,	1),
(17090,	2,	42,	12,	1),
(17091,	2,	42,	13,	1),
(17092,	2,	42,	14,	1),
(17093,	2,	42,	15,	1),
(17094,	2,	42,	16,	1),
(17095,	2,	42,	17,	1),
(17096,	2,	42,	18,	1),
(17097,	2,	42,	19,	1),
(17098,	2,	42,	20,	1),
(17099,	2,	42,	21,	1),
(17100,	2,	42,	22,	1),
(17101,	2,	43,	1,	1),
(17102,	2,	43,	2,	1),
(17103,	2,	43,	3,	1),
(17104,	2,	43,	7,	1),
(17105,	2,	43,	8,	1),
(17106,	2,	43,	9,	1),
(17107,	2,	43,	10,	1),
(17108,	2,	43,	11,	1),
(17109,	2,	43,	12,	1),
(17110,	2,	43,	13,	1),
(17111,	2,	43,	14,	1),
(17112,	2,	43,	15,	1),
(17113,	2,	43,	16,	1),
(17114,	2,	43,	17,	1),
(17115,	2,	43,	18,	1),
(17116,	2,	43,	19,	1),
(17117,	2,	43,	20,	1),
(17118,	2,	43,	21,	1),
(17119,	2,	43,	22,	1),
(17120,	2,	44,	1,	1),
(17121,	2,	44,	2,	1),
(17122,	2,	44,	3,	1),
(17123,	2,	44,	7,	1),
(17124,	2,	44,	8,	1),
(17125,	2,	44,	9,	1),
(17126,	2,	44,	10,	1),
(17127,	2,	44,	11,	1),
(17128,	2,	44,	12,	1),
(17129,	2,	44,	13,	1),
(17130,	2,	44,	14,	1),
(17131,	2,	44,	15,	1),
(17132,	2,	44,	16,	1),
(17133,	2,	44,	17,	1),
(17134,	2,	44,	18,	1),
(17135,	2,	44,	19,	1),
(17136,	2,	44,	20,	1),
(17137,	2,	44,	21,	1),
(17138,	2,	44,	22,	1),
(17139,	2,	44,	23,	1),
(17140,	2,	45,	1,	1),
(17141,	2,	45,	2,	1),
(17142,	2,	45,	3,	1),
(17143,	2,	45,	7,	1),
(17144,	2,	45,	8,	1),
(17145,	2,	45,	9,	1),
(17146,	2,	45,	10,	1),
(17147,	2,	45,	11,	1),
(17148,	2,	45,	12,	1),
(17149,	2,	45,	13,	1),
(17150,	2,	45,	14,	1),
(17151,	2,	45,	15,	1),
(17152,	2,	45,	16,	1),
(17153,	2,	45,	17,	1),
(17154,	2,	45,	18,	1),
(17155,	2,	45,	19,	1),
(17156,	2,	45,	20,	1),
(17157,	2,	45,	21,	1),
(17158,	2,	45,	22,	1),
(17159,	2,	46,	1,	1),
(17160,	2,	46,	2,	1),
(17161,	2,	46,	3,	1),
(17162,	2,	46,	7,	1),
(17163,	2,	46,	8,	1),
(17164,	2,	46,	9,	1),
(17165,	2,	46,	10,	1),
(17166,	2,	46,	11,	1),
(17167,	2,	46,	12,	1),
(17168,	2,	46,	13,	1),
(17169,	2,	46,	14,	1),
(17170,	2,	46,	15,	1),
(17171,	2,	46,	16,	1),
(17172,	2,	46,	17,	1),
(17173,	2,	46,	18,	1),
(17174,	2,	46,	19,	1),
(17175,	2,	46,	20,	1),
(17176,	2,	46,	21,	1),
(17177,	2,	46,	22,	1),
(17178,	2,	46,	23,	1),
(17179,	2,	47,	1,	1),
(17180,	2,	47,	2,	1),
(17181,	2,	47,	3,	1),
(17182,	2,	47,	7,	1),
(17183,	2,	47,	8,	1),
(17184,	2,	47,	9,	1),
(17185,	2,	47,	10,	1),
(17186,	2,	47,	11,	1),
(17187,	2,	47,	12,	1),
(17188,	2,	47,	13,	1),
(17189,	2,	47,	14,	1),
(17190,	2,	47,	15,	1),
(17191,	2,	47,	16,	1),
(17192,	2,	47,	17,	1),
(17193,	2,	47,	18,	1),
(17194,	2,	47,	19,	1),
(17195,	2,	47,	20,	1),
(17196,	2,	47,	21,	1),
(17197,	2,	47,	22,	1),
(17198,	2,	48,	1,	1),
(17199,	2,	48,	2,	1),
(17200,	2,	48,	3,	1),
(17201,	2,	48,	7,	1),
(17202,	2,	48,	8,	1),
(17203,	2,	48,	9,	1),
(17204,	2,	48,	10,	1),
(17205,	2,	48,	11,	1),
(17206,	2,	48,	12,	1),
(17207,	2,	48,	13,	1),
(17208,	2,	48,	14,	1),
(17209,	2,	48,	15,	1),
(17210,	2,	48,	16,	1),
(17211,	2,	48,	17,	1),
(17212,	2,	48,	18,	1),
(17213,	2,	48,	19,	1),
(17214,	2,	48,	20,	1),
(17215,	2,	48,	21,	1),
(17216,	2,	48,	22,	1),
(17217,	2,	49,	1,	1),
(17218,	2,	49,	2,	1),
(17219,	2,	49,	3,	1),
(17220,	2,	49,	7,	1),
(17221,	2,	49,	8,	1),
(17222,	2,	49,	9,	1),
(17223,	2,	49,	10,	1),
(17224,	2,	49,	11,	1),
(17225,	2,	49,	12,	1),
(17226,	2,	49,	13,	1),
(17227,	2,	49,	14,	1),
(17228,	2,	49,	15,	1),
(17229,	2,	49,	16,	1),
(17230,	2,	49,	17,	1),
(17231,	2,	49,	18,	1),
(17232,	2,	49,	19,	1),
(17233,	2,	49,	20,	1),
(17234,	2,	49,	21,	1),
(17235,	2,	49,	22,	1),
(17236,	2,	50,	1,	1),
(17237,	2,	50,	2,	1),
(17238,	2,	50,	3,	1),
(17239,	2,	50,	7,	1),
(17240,	2,	50,	8,	1),
(17241,	2,	50,	9,	1),
(17242,	2,	50,	10,	1),
(17243,	2,	50,	11,	1),
(17244,	2,	50,	12,	1),
(17245,	2,	50,	13,	1),
(17246,	2,	50,	14,	1),
(17247,	2,	50,	15,	1),
(17248,	2,	50,	16,	1),
(17249,	2,	50,	17,	1),
(17250,	2,	50,	18,	1),
(17251,	2,	50,	19,	1),
(17252,	2,	50,	20,	1),
(17253,	2,	50,	21,	1),
(17254,	2,	50,	22,	1),
(17255,	2,	51,	1,	1),
(17256,	2,	51,	2,	1),
(17257,	2,	51,	3,	1),
(17258,	2,	51,	7,	1),
(17259,	2,	51,	8,	1),
(17260,	2,	51,	9,	1),
(17261,	2,	51,	10,	1),
(17262,	2,	51,	11,	1),
(17263,	2,	51,	12,	1),
(17264,	2,	51,	13,	1),
(17265,	2,	51,	14,	1),
(17266,	2,	51,	15,	1),
(17267,	2,	51,	16,	1),
(17268,	2,	51,	17,	1),
(17269,	2,	51,	18,	1),
(17270,	2,	51,	19,	1),
(17271,	2,	51,	20,	1),
(17272,	2,	51,	21,	1),
(17273,	2,	51,	22,	1),
(17274,	2,	52,	1,	1),
(17275,	2,	52,	2,	1),
(17276,	2,	52,	3,	1),
(17277,	2,	52,	7,	1),
(17278,	2,	52,	8,	1),
(17279,	2,	52,	9,	1),
(17280,	2,	52,	10,	1),
(17281,	2,	52,	11,	1),
(17282,	2,	52,	12,	1),
(17283,	2,	52,	13,	1),
(17284,	2,	52,	14,	1),
(17285,	2,	52,	15,	1),
(17286,	2,	52,	16,	1),
(17287,	2,	52,	17,	1),
(17288,	2,	52,	18,	1),
(17289,	2,	52,	19,	1),
(17290,	2,	52,	20,	1),
(17291,	2,	52,	21,	1),
(17292,	2,	52,	22,	1),
(17293,	2,	53,	1,	1),
(17294,	2,	53,	2,	1),
(17295,	2,	53,	3,	1),
(17296,	2,	53,	7,	1),
(17297,	2,	53,	8,	1),
(17298,	2,	53,	9,	1),
(17299,	2,	53,	10,	1),
(17300,	2,	53,	11,	1),
(17301,	2,	53,	12,	1),
(17302,	2,	53,	13,	1),
(17303,	2,	53,	14,	1),
(17304,	2,	53,	15,	1),
(17305,	2,	53,	16,	1),
(17306,	2,	53,	17,	1),
(17307,	2,	53,	18,	1),
(17308,	2,	53,	19,	1),
(17309,	2,	53,	20,	1),
(17310,	2,	53,	21,	1),
(17311,	2,	53,	22,	1),
(17312,	2,	54,	1,	1),
(17313,	2,	54,	2,	1),
(17314,	2,	54,	3,	1),
(17315,	2,	54,	7,	1),
(17316,	2,	54,	8,	1),
(17317,	2,	54,	9,	1),
(17318,	2,	54,	10,	1),
(17319,	2,	54,	11,	1),
(17320,	2,	54,	12,	1),
(17321,	2,	54,	13,	1),
(17322,	2,	54,	14,	1),
(17323,	2,	54,	15,	1),
(17324,	2,	54,	16,	1),
(17325,	2,	54,	17,	1),
(17326,	2,	54,	18,	1),
(17327,	2,	54,	19,	1),
(17328,	2,	54,	20,	1),
(17329,	2,	54,	21,	1),
(17330,	2,	54,	22,	1),
(17331,	2,	55,	1,	1),
(17332,	2,	55,	2,	1),
(17333,	2,	55,	3,	1),
(17334,	2,	55,	7,	1),
(17335,	2,	55,	8,	1),
(17336,	2,	55,	9,	1),
(17337,	2,	55,	10,	1),
(17338,	2,	55,	11,	1),
(17339,	2,	55,	12,	1),
(17340,	2,	55,	13,	1),
(17341,	2,	55,	14,	1),
(17342,	2,	55,	15,	1),
(17343,	2,	55,	16,	1),
(17344,	2,	55,	17,	1),
(17345,	2,	55,	18,	1),
(17346,	2,	55,	19,	1),
(17347,	2,	55,	20,	1),
(17348,	2,	55,	21,	1),
(17349,	2,	55,	22,	1),
(17350,	2,	56,	1,	1),
(17351,	2,	56,	2,	1),
(17352,	2,	56,	3,	1),
(17353,	2,	56,	7,	1),
(17354,	2,	56,	8,	1),
(17355,	2,	56,	9,	1),
(17356,	2,	56,	10,	1),
(17357,	2,	56,	11,	1),
(17358,	2,	56,	12,	1),
(17359,	2,	56,	13,	1),
(17360,	2,	56,	14,	1),
(17361,	2,	56,	15,	1),
(17362,	2,	56,	16,	1),
(17363,	2,	56,	17,	1),
(17364,	2,	56,	18,	1),
(17365,	2,	56,	19,	1),
(17366,	2,	56,	20,	1),
(17367,	2,	56,	21,	1),
(17368,	2,	56,	22,	1),
(17369,	2,	57,	1,	1),
(17370,	2,	57,	2,	1),
(17371,	2,	57,	3,	1),
(17372,	2,	57,	7,	1),
(17373,	2,	57,	8,	1),
(17374,	2,	57,	9,	1),
(17375,	2,	57,	10,	1),
(17376,	2,	57,	11,	1),
(17377,	2,	57,	12,	1),
(17378,	2,	57,	13,	1),
(17379,	2,	57,	14,	1),
(17380,	2,	57,	15,	1),
(17381,	2,	57,	16,	1),
(17382,	2,	57,	17,	1),
(17383,	2,	57,	18,	1),
(17384,	2,	57,	19,	1),
(17385,	2,	57,	20,	1),
(17386,	2,	57,	21,	1),
(17387,	2,	57,	22,	1),
(17388,	2,	58,	1,	1),
(17389,	2,	58,	2,	1),
(17390,	2,	58,	3,	1),
(17391,	2,	58,	7,	1),
(17392,	2,	58,	8,	1),
(17393,	2,	58,	9,	1),
(17394,	2,	58,	10,	1),
(17395,	2,	58,	11,	1),
(17396,	2,	58,	12,	1),
(17397,	2,	58,	13,	1),
(17398,	2,	58,	14,	1),
(17399,	2,	58,	15,	1),
(17400,	2,	58,	16,	1),
(17401,	2,	58,	17,	1),
(17402,	2,	58,	18,	1),
(17403,	2,	58,	19,	1),
(17404,	2,	58,	20,	1),
(17405,	2,	58,	21,	1),
(17406,	2,	58,	22,	1),
(17407,	2,	59,	1,	1),
(17408,	2,	59,	2,	1),
(17409,	2,	59,	3,	1),
(17410,	2,	59,	7,	1),
(17411,	2,	59,	8,	1),
(17412,	2,	59,	9,	1),
(17413,	2,	59,	10,	1),
(17414,	2,	59,	11,	1),
(17415,	2,	59,	12,	1),
(17416,	2,	59,	13,	1),
(17417,	2,	59,	14,	1),
(17418,	2,	59,	15,	1),
(17419,	2,	59,	16,	1),
(17420,	2,	59,	17,	1),
(17421,	2,	59,	18,	1),
(17422,	2,	59,	19,	1),
(17423,	2,	59,	20,	1),
(17424,	2,	59,	21,	1),
(17425,	2,	59,	22,	1),
(17426,	2,	60,	1,	1),
(17427,	2,	60,	2,	1),
(17428,	2,	60,	3,	1),
(17429,	2,	60,	7,	1),
(17430,	2,	60,	8,	1),
(17431,	2,	60,	9,	1),
(17432,	2,	60,	10,	1),
(17433,	2,	60,	11,	1),
(17434,	2,	60,	12,	1),
(17435,	2,	60,	13,	1),
(17436,	2,	60,	14,	1),
(17437,	2,	60,	15,	1),
(17438,	2,	60,	16,	1),
(17439,	2,	60,	17,	1),
(17440,	2,	60,	18,	1),
(17441,	2,	60,	19,	1),
(17442,	2,	60,	20,	1),
(17443,	2,	60,	21,	1),
(17444,	2,	60,	22,	1),
(17445,	2,	61,	1,	1),
(17446,	2,	61,	2,	1),
(17447,	2,	61,	3,	1),
(17448,	2,	61,	7,	1),
(17449,	2,	61,	8,	1),
(17450,	2,	61,	9,	1),
(17451,	2,	61,	10,	1),
(17452,	2,	61,	11,	1),
(17453,	2,	61,	12,	1),
(17454,	2,	61,	13,	1),
(17455,	2,	61,	14,	1),
(17456,	2,	61,	15,	1),
(17457,	2,	61,	16,	1),
(17458,	2,	61,	17,	1),
(17459,	2,	61,	18,	1),
(17460,	2,	61,	19,	1),
(17461,	2,	61,	20,	1),
(17462,	2,	61,	21,	1),
(17463,	2,	61,	22,	1),
(17464,	2,	62,	1,	1),
(17465,	2,	62,	2,	1),
(17466,	2,	62,	3,	1),
(17467,	2,	62,	7,	1),
(17468,	2,	62,	8,	1),
(17469,	2,	62,	9,	1),
(17470,	2,	62,	10,	1),
(17471,	2,	62,	11,	1),
(17472,	2,	62,	12,	1),
(17473,	2,	62,	13,	1),
(17474,	2,	62,	14,	1),
(17475,	2,	62,	15,	1),
(17476,	2,	62,	16,	1),
(17477,	2,	62,	17,	1),
(17478,	2,	62,	18,	1),
(17479,	2,	62,	19,	1),
(17480,	2,	62,	20,	1),
(17481,	2,	62,	21,	1),
(17482,	2,	62,	22,	1),
(17483,	2,	63,	1,	1),
(17484,	2,	63,	2,	1),
(17485,	2,	63,	3,	1),
(17486,	2,	63,	7,	1),
(17487,	2,	63,	8,	1),
(17488,	2,	63,	9,	1),
(17489,	2,	63,	10,	1),
(17490,	2,	63,	11,	1),
(17491,	2,	63,	12,	1),
(17492,	2,	63,	13,	1),
(17493,	2,	63,	14,	1),
(17494,	2,	63,	15,	1),
(17495,	2,	63,	16,	1),
(17496,	2,	63,	17,	1),
(17497,	2,	63,	18,	1),
(17498,	2,	63,	19,	1),
(17499,	2,	63,	20,	1),
(17500,	2,	63,	21,	1),
(17501,	2,	63,	22,	1),
(17502,	2,	64,	1,	1),
(17503,	2,	64,	2,	1),
(17504,	2,	64,	3,	1),
(17505,	2,	64,	7,	1),
(17506,	2,	64,	8,	1),
(17507,	2,	64,	9,	1),
(17508,	2,	64,	10,	1),
(17509,	2,	64,	11,	1),
(17510,	2,	64,	12,	1),
(17511,	2,	64,	13,	1),
(17512,	2,	64,	14,	1),
(17513,	2,	64,	15,	1),
(17514,	2,	64,	16,	1),
(17515,	2,	64,	17,	1),
(17516,	2,	64,	18,	1),
(17517,	2,	64,	19,	1),
(17518,	2,	64,	20,	1),
(17519,	2,	64,	21,	1),
(17520,	2,	64,	22,	1),
(17521,	2,	65,	1,	1),
(17522,	2,	65,	2,	1),
(17523,	2,	65,	3,	1),
(17524,	2,	65,	7,	1),
(17525,	2,	65,	8,	1),
(17526,	2,	65,	9,	1),
(17527,	2,	65,	10,	1),
(17528,	2,	65,	11,	1),
(17529,	2,	65,	12,	1),
(17530,	2,	65,	13,	1),
(17531,	2,	65,	14,	1),
(17532,	2,	65,	15,	1),
(17533,	2,	65,	16,	1),
(17534,	2,	65,	17,	1),
(17535,	2,	65,	18,	1),
(17536,	2,	65,	19,	1),
(17537,	2,	65,	20,	1),
(17538,	2,	65,	21,	1),
(17539,	2,	65,	22,	1),
(17540,	2,	66,	1,	1),
(17541,	2,	66,	2,	1),
(17542,	2,	66,	3,	1),
(17543,	2,	66,	7,	1),
(17544,	2,	66,	8,	1),
(17545,	2,	66,	9,	1),
(17546,	2,	66,	10,	1),
(17547,	2,	66,	11,	1),
(17548,	2,	66,	12,	1),
(17549,	2,	66,	13,	1),
(17550,	2,	66,	14,	1),
(17551,	2,	66,	15,	1),
(17552,	2,	66,	16,	1),
(17553,	2,	66,	17,	1),
(17554,	2,	66,	18,	1),
(17555,	2,	66,	19,	1),
(17556,	2,	66,	20,	1),
(17557,	2,	66,	21,	1),
(17558,	2,	66,	22,	1),
(17559,	2,	67,	1,	1),
(17560,	2,	67,	2,	1),
(17561,	2,	67,	3,	1),
(17562,	2,	67,	7,	1),
(17563,	2,	67,	8,	1),
(17564,	2,	67,	9,	1),
(17565,	2,	67,	10,	1),
(17566,	2,	67,	11,	1),
(17567,	2,	67,	12,	1),
(17568,	2,	67,	13,	1),
(17569,	2,	67,	14,	1),
(17570,	2,	67,	15,	1),
(17571,	2,	67,	16,	1),
(17572,	2,	67,	17,	1),
(17573,	2,	67,	18,	1),
(17574,	2,	67,	19,	1),
(17575,	2,	67,	20,	1),
(17576,	2,	67,	21,	1),
(17577,	2,	67,	22,	1),
(17578,	2,	68,	1,	1),
(17579,	2,	68,	2,	1),
(17580,	2,	68,	3,	1),
(17581,	2,	68,	7,	1),
(17582,	2,	68,	8,	1),
(17583,	2,	68,	9,	1),
(17584,	2,	68,	10,	1),
(17585,	2,	68,	11,	1),
(17586,	2,	68,	12,	1),
(17587,	2,	68,	13,	1),
(17588,	2,	68,	14,	1),
(17589,	2,	68,	15,	1),
(17590,	2,	68,	16,	1),
(17591,	2,	68,	17,	1),
(17592,	2,	68,	18,	1),
(17593,	2,	68,	19,	1),
(17594,	2,	68,	20,	1),
(17595,	2,	68,	21,	1),
(17596,	2,	68,	22,	1),
(17597,	2,	69,	1,	1),
(17598,	2,	69,	2,	1),
(17599,	2,	69,	3,	1),
(17600,	2,	69,	7,	1),
(17601,	2,	69,	8,	1),
(17602,	2,	69,	9,	1),
(17603,	2,	69,	10,	1),
(17604,	2,	69,	11,	1),
(17605,	2,	69,	12,	1),
(17606,	2,	69,	13,	1),
(17607,	2,	69,	14,	1),
(17608,	2,	69,	15,	1),
(17609,	2,	69,	16,	1),
(17610,	2,	69,	17,	1),
(17611,	2,	69,	18,	1),
(17612,	2,	69,	19,	1),
(17613,	2,	69,	20,	1),
(17614,	2,	69,	21,	1),
(17615,	2,	69,	22,	1),
(17616,	2,	70,	1,	1),
(17617,	2,	70,	2,	1),
(17618,	2,	70,	3,	1),
(17619,	2,	70,	7,	1),
(17620,	2,	70,	8,	1),
(17621,	2,	70,	9,	1),
(17622,	2,	70,	10,	1),
(17623,	2,	70,	11,	1),
(17624,	2,	70,	12,	1),
(17625,	2,	70,	13,	1),
(17626,	2,	70,	14,	1),
(17627,	2,	70,	15,	1),
(17628,	2,	70,	16,	1),
(17629,	2,	70,	17,	1),
(17630,	2,	70,	18,	1),
(17631,	2,	70,	19,	1),
(17632,	2,	70,	20,	1),
(17633,	2,	70,	21,	1),
(17634,	2,	70,	22,	1),
(17635,	2,	71,	1,	1),
(17636,	2,	71,	2,	1),
(17637,	2,	71,	3,	1),
(17638,	2,	71,	7,	1),
(17639,	2,	71,	8,	1),
(17640,	2,	71,	9,	1),
(17641,	2,	71,	10,	1),
(17642,	2,	71,	11,	1),
(17643,	2,	71,	12,	1),
(17644,	2,	71,	13,	1),
(17645,	2,	71,	14,	1),
(17646,	2,	71,	15,	1),
(17647,	2,	71,	16,	1),
(17648,	2,	71,	17,	1),
(17649,	2,	71,	18,	1),
(17650,	2,	71,	19,	1),
(17651,	2,	71,	20,	1),
(17652,	2,	71,	21,	1),
(17653,	2,	71,	22,	1),
(17654,	2,	72,	1,	1),
(17655,	2,	72,	2,	1),
(17656,	2,	72,	3,	1),
(17657,	2,	72,	7,	1),
(17658,	2,	72,	8,	1),
(17659,	2,	72,	9,	1),
(17660,	2,	72,	10,	1),
(17661,	2,	72,	11,	1),
(17662,	2,	72,	12,	1),
(17663,	2,	72,	13,	1),
(17664,	2,	72,	14,	1),
(17665,	2,	72,	15,	1),
(17666,	2,	72,	16,	1),
(17667,	2,	72,	17,	1),
(17668,	2,	72,	18,	1),
(17669,	2,	72,	19,	1),
(17670,	2,	72,	20,	1),
(17671,	2,	72,	21,	1),
(17672,	2,	72,	22,	1),
(17673,	2,	73,	1,	1),
(17674,	2,	73,	2,	1),
(17675,	2,	73,	3,	1),
(17676,	2,	73,	7,	1),
(17677,	2,	73,	8,	1),
(17678,	2,	73,	9,	1),
(17679,	2,	73,	10,	1),
(17680,	2,	73,	11,	1),
(17681,	2,	73,	12,	1),
(17682,	2,	73,	13,	1),
(17683,	2,	73,	14,	1),
(17684,	2,	73,	15,	1),
(17685,	2,	73,	16,	1),
(17686,	2,	73,	17,	1),
(17687,	2,	73,	18,	1),
(17688,	2,	73,	19,	1),
(17689,	2,	73,	20,	1),
(17690,	2,	73,	21,	1),
(17691,	2,	73,	22,	1),
(17692,	2,	73,	23,	1),
(17693,	2,	74,	1,	1),
(17694,	2,	74,	2,	1),
(17695,	2,	74,	3,	1),
(17696,	2,	74,	7,	1),
(17697,	2,	74,	8,	1),
(17698,	2,	74,	9,	1),
(17699,	2,	74,	10,	1),
(17700,	2,	74,	11,	1),
(17701,	2,	74,	12,	1),
(17702,	2,	74,	13,	1),
(17703,	2,	74,	14,	1),
(17704,	2,	74,	15,	1),
(17705,	2,	74,	16,	1),
(17706,	2,	74,	17,	1),
(17707,	2,	74,	18,	1),
(17708,	2,	74,	19,	1),
(17709,	2,	74,	20,	1),
(17710,	2,	74,	21,	1),
(17711,	2,	74,	22,	1),
(17712,	2,	75,	1,	1),
(17713,	2,	75,	2,	1),
(17714,	2,	75,	3,	1),
(17715,	2,	75,	7,	1),
(17716,	2,	75,	8,	1),
(17717,	2,	75,	9,	1),
(17718,	2,	75,	10,	1),
(17719,	2,	75,	11,	1),
(17720,	2,	75,	12,	1),
(17721,	2,	75,	13,	1),
(17722,	2,	75,	14,	1),
(17723,	2,	75,	15,	1),
(17724,	2,	75,	16,	1),
(17725,	2,	75,	17,	1),
(17726,	2,	75,	18,	1),
(17727,	2,	75,	19,	1),
(17728,	2,	75,	20,	1),
(17729,	2,	75,	21,	1),
(17730,	2,	75,	22,	1),
(17731,	2,	76,	1,	1),
(17732,	2,	76,	2,	1),
(17733,	2,	76,	3,	1),
(17734,	2,	76,	7,	1),
(17735,	2,	76,	8,	1),
(17736,	2,	76,	9,	1),
(17737,	2,	76,	10,	1),
(17738,	2,	76,	11,	1),
(17739,	2,	76,	12,	1),
(17740,	2,	76,	13,	1),
(17741,	2,	76,	14,	1),
(17742,	2,	76,	15,	1),
(17743,	2,	76,	16,	1),
(17744,	2,	76,	17,	1),
(17745,	2,	76,	18,	1),
(17746,	2,	76,	19,	1),
(17747,	2,	76,	20,	1),
(17748,	2,	76,	21,	1),
(17749,	2,	76,	22,	1),
(17750,	2,	76,	23,	1),
(17751,	2,	77,	1,	1),
(17752,	2,	77,	2,	1),
(17753,	2,	77,	3,	1),
(17754,	2,	77,	7,	1),
(17755,	2,	77,	8,	1),
(17756,	2,	77,	9,	1),
(17757,	2,	77,	10,	1),
(17758,	2,	77,	11,	1),
(17759,	2,	77,	12,	1),
(17760,	2,	77,	13,	1),
(17761,	2,	77,	14,	1),
(17762,	2,	77,	15,	1),
(17763,	2,	77,	16,	1),
(17764,	2,	77,	17,	1),
(17765,	2,	77,	18,	1),
(17766,	2,	77,	19,	1),
(17767,	2,	77,	20,	1),
(17768,	2,	77,	21,	1),
(17769,	2,	77,	22,	1),
(17770,	2,	78,	1,	1),
(17771,	2,	78,	2,	1),
(17772,	2,	78,	3,	1),
(17773,	2,	78,	7,	1),
(17774,	2,	78,	8,	1),
(17775,	2,	78,	9,	1),
(17776,	2,	78,	10,	1),
(17777,	2,	78,	11,	1),
(17778,	2,	78,	12,	1),
(17779,	2,	78,	13,	1),
(17780,	2,	78,	14,	1),
(17781,	2,	78,	15,	1),
(17782,	2,	78,	16,	1),
(17783,	2,	78,	17,	1),
(17784,	2,	78,	18,	1),
(17785,	2,	78,	19,	1),
(17786,	2,	78,	20,	1),
(17787,	2,	78,	21,	1),
(17788,	2,	78,	22,	1),
(17789,	2,	79,	1,	1),
(17790,	2,	79,	2,	1),
(17791,	2,	79,	3,	1),
(17792,	2,	79,	7,	1),
(17793,	2,	79,	8,	1),
(17794,	2,	79,	9,	1),
(17795,	2,	79,	10,	1),
(17796,	2,	79,	11,	1),
(17797,	2,	79,	12,	1),
(17798,	2,	79,	13,	1),
(17799,	2,	79,	14,	1),
(17800,	2,	79,	15,	1),
(17801,	2,	79,	16,	1),
(17802,	2,	79,	17,	1),
(17803,	2,	79,	18,	1),
(17804,	2,	79,	19,	1),
(17805,	2,	79,	20,	1),
(17806,	2,	79,	21,	1),
(17807,	2,	79,	22,	1),
(17808,	2,	80,	1,	1),
(17809,	2,	80,	2,	1),
(17810,	2,	80,	3,	1),
(17811,	2,	80,	7,	1),
(17812,	2,	80,	8,	1),
(17813,	2,	80,	9,	1),
(17814,	2,	80,	10,	1),
(17815,	2,	80,	11,	1),
(17816,	2,	80,	12,	1),
(17817,	2,	80,	13,	1),
(17818,	2,	80,	14,	1),
(17819,	2,	80,	15,	1),
(17820,	2,	80,	16,	1),
(17821,	2,	80,	17,	1),
(17822,	2,	80,	18,	1),
(17823,	2,	80,	19,	1),
(17824,	2,	80,	20,	1),
(17825,	2,	80,	21,	1),
(17826,	2,	80,	22,	1),
(17827,	2,	81,	1,	1),
(17828,	2,	81,	2,	1),
(17829,	2,	81,	3,	1),
(17830,	2,	81,	7,	1),
(17831,	2,	81,	8,	1),
(17832,	2,	81,	9,	1),
(17833,	2,	81,	10,	1),
(17834,	2,	81,	11,	1),
(17835,	2,	81,	12,	1),
(17836,	2,	81,	13,	1),
(17837,	2,	81,	14,	1),
(17838,	2,	81,	15,	1),
(17839,	2,	81,	16,	1),
(17840,	2,	81,	17,	1),
(17841,	2,	81,	18,	1),
(17842,	2,	81,	19,	1),
(17843,	2,	81,	20,	1),
(17844,	2,	81,	21,	1),
(17845,	2,	81,	22,	1),
(17846,	2,	82,	1,	1),
(17847,	2,	82,	2,	1),
(17848,	2,	82,	3,	1),
(17849,	2,	82,	7,	1),
(17850,	2,	82,	8,	1),
(17851,	2,	82,	9,	1),
(17852,	2,	82,	10,	1),
(17853,	2,	82,	11,	1),
(17854,	2,	82,	12,	1),
(17855,	2,	82,	13,	1),
(17856,	2,	82,	14,	1),
(17857,	2,	82,	15,	1),
(17858,	2,	82,	16,	1),
(17859,	2,	82,	17,	1),
(17860,	2,	82,	18,	1),
(17861,	2,	82,	19,	1),
(17862,	2,	82,	20,	1),
(17863,	2,	82,	21,	1),
(17864,	2,	82,	22,	1),
(17865,	2,	83,	1,	1),
(17866,	2,	83,	2,	1),
(17867,	2,	83,	3,	1),
(17868,	2,	83,	7,	1),
(17869,	2,	83,	8,	1),
(17870,	2,	83,	9,	1),
(17871,	2,	83,	10,	1),
(17872,	2,	83,	11,	1),
(17873,	2,	83,	12,	1),
(17874,	2,	83,	13,	1),
(17875,	2,	83,	14,	1),
(17876,	2,	83,	15,	1),
(17877,	2,	83,	16,	1),
(17878,	2,	83,	17,	1),
(17879,	2,	83,	18,	1),
(17880,	2,	83,	19,	1),
(17881,	2,	83,	20,	1),
(17882,	2,	83,	21,	1),
(17883,	2,	83,	22,	1),
(17884,	2,	84,	1,	1),
(17885,	2,	84,	2,	1),
(17886,	2,	84,	3,	1),
(17887,	2,	84,	7,	1),
(17888,	2,	84,	8,	1),
(17889,	2,	84,	9,	1),
(17890,	2,	84,	10,	1),
(17891,	2,	84,	11,	1),
(17892,	2,	84,	12,	1),
(17893,	2,	84,	13,	1),
(17894,	2,	84,	14,	1),
(17895,	2,	84,	15,	1),
(17896,	2,	84,	16,	1),
(17897,	2,	84,	17,	1),
(17898,	2,	84,	18,	1),
(17899,	2,	84,	19,	1),
(17900,	2,	84,	20,	1),
(17901,	2,	84,	21,	1),
(17902,	2,	84,	22,	1),
(17903,	2,	85,	1,	1),
(17904,	2,	85,	2,	1),
(17905,	2,	85,	3,	1),
(17906,	2,	85,	7,	1),
(17907,	2,	85,	8,	1),
(17908,	2,	85,	9,	1),
(17909,	2,	85,	10,	1),
(17910,	2,	85,	11,	1),
(17911,	2,	85,	12,	1),
(17912,	2,	85,	13,	1),
(17913,	2,	85,	14,	1),
(17914,	2,	85,	15,	1),
(17915,	2,	85,	16,	1),
(17916,	2,	85,	17,	1),
(17917,	2,	85,	18,	1),
(17918,	2,	85,	19,	1),
(17919,	2,	85,	20,	1),
(17920,	2,	85,	21,	1),
(17921,	2,	85,	22,	1),
(17922,	2,	86,	1,	1),
(17923,	2,	86,	2,	1),
(17924,	2,	86,	3,	1),
(17925,	2,	86,	7,	1),
(17926,	2,	86,	8,	1),
(17927,	2,	86,	9,	1),
(17928,	2,	86,	10,	1),
(17929,	2,	86,	11,	1),
(17930,	2,	86,	12,	1),
(17931,	2,	86,	13,	1),
(17932,	2,	86,	14,	1),
(17933,	2,	86,	15,	1),
(17934,	2,	86,	16,	1),
(17935,	2,	86,	17,	1),
(17936,	2,	86,	18,	1),
(17937,	2,	86,	19,	1),
(17938,	2,	86,	20,	1),
(17939,	2,	86,	21,	1),
(17940,	2,	86,	22,	1),
(17941,	2,	87,	1,	1),
(17942,	2,	87,	2,	1),
(17943,	2,	87,	3,	1),
(17944,	2,	87,	7,	1),
(17945,	2,	87,	8,	1),
(17946,	2,	87,	9,	1),
(17947,	2,	87,	10,	1),
(17948,	2,	87,	11,	1),
(17949,	2,	87,	12,	1),
(17950,	2,	87,	13,	1),
(17951,	2,	87,	14,	1),
(17952,	2,	87,	15,	1),
(17953,	2,	87,	16,	1),
(17954,	2,	87,	17,	1),
(17955,	2,	87,	18,	1),
(17956,	2,	87,	19,	1),
(17957,	2,	87,	20,	1),
(17958,	2,	87,	21,	1),
(17959,	2,	87,	22,	1),
(17960,	2,	88,	1,	1),
(17961,	2,	88,	2,	1),
(17962,	2,	88,	3,	1),
(17963,	2,	88,	7,	1),
(17964,	2,	88,	8,	1),
(17965,	2,	88,	9,	1),
(17966,	2,	88,	10,	1),
(17967,	2,	88,	11,	1),
(17968,	2,	88,	12,	1),
(17969,	2,	88,	13,	1),
(17970,	2,	88,	14,	1),
(17971,	2,	88,	15,	1),
(17972,	2,	88,	16,	1),
(17973,	2,	88,	17,	1),
(17974,	2,	88,	18,	1),
(17975,	2,	88,	19,	1),
(17976,	2,	88,	20,	1),
(17977,	2,	88,	21,	1),
(17978,	2,	88,	22,	1),
(17979,	2,	89,	1,	1),
(17980,	2,	89,	2,	1),
(17981,	2,	89,	3,	1),
(17982,	2,	89,	7,	1),
(17983,	2,	89,	8,	1),
(17984,	2,	89,	9,	1),
(17985,	2,	89,	10,	1),
(17986,	2,	89,	11,	1),
(17987,	2,	89,	12,	1),
(17988,	2,	89,	13,	1),
(17989,	2,	89,	14,	1),
(17990,	2,	89,	15,	1),
(17991,	2,	89,	16,	1),
(17992,	2,	89,	17,	1),
(17993,	2,	89,	18,	1),
(17994,	2,	89,	19,	1),
(17995,	2,	89,	20,	1),
(17996,	2,	89,	21,	1),
(17997,	2,	89,	22,	1),
(17998,	2,	89,	23,	1),
(17999,	2,	90,	1,	1),
(18000,	2,	90,	2,	1),
(18001,	2,	90,	3,	1),
(18002,	2,	90,	7,	1),
(18003,	2,	90,	8,	1),
(18004,	2,	90,	9,	1),
(18005,	2,	90,	10,	1),
(18006,	2,	90,	11,	1),
(18007,	2,	90,	12,	1),
(18008,	2,	90,	13,	1),
(18009,	2,	90,	14,	1),
(18010,	2,	90,	15,	1),
(18011,	2,	90,	16,	1),
(18012,	2,	90,	17,	1),
(18013,	2,	90,	18,	1),
(18014,	2,	90,	19,	1),
(18015,	2,	90,	20,	1),
(18016,	2,	90,	21,	1),
(18017,	2,	90,	22,	1),
(18018,	2,	91,	1,	1),
(18019,	2,	91,	2,	1),
(18020,	2,	91,	3,	1),
(18021,	2,	91,	7,	1),
(18022,	2,	91,	8,	1),
(18023,	2,	91,	9,	1),
(18024,	2,	91,	10,	1),
(18025,	2,	91,	11,	1),
(18026,	2,	91,	12,	1),
(18027,	2,	91,	13,	1),
(18028,	2,	91,	14,	1),
(18029,	2,	91,	15,	1),
(18030,	2,	91,	16,	1),
(18031,	2,	91,	17,	1),
(18032,	2,	91,	18,	1),
(18033,	2,	91,	19,	1),
(18034,	2,	91,	20,	1),
(18035,	2,	91,	21,	1),
(18036,	2,	91,	22,	1),
(18037,	2,	92,	1,	1),
(18038,	2,	92,	2,	1),
(18039,	2,	92,	3,	1),
(18040,	2,	92,	7,	1),
(18041,	2,	92,	8,	1),
(18042,	2,	92,	9,	1),
(18043,	2,	92,	10,	1),
(18044,	2,	92,	11,	1),
(18045,	2,	92,	12,	1),
(18046,	2,	92,	13,	1),
(18047,	2,	92,	14,	1),
(18048,	2,	92,	15,	1),
(18049,	2,	92,	16,	1),
(18050,	2,	92,	17,	1),
(18051,	2,	92,	18,	1),
(18052,	2,	92,	19,	1),
(18053,	2,	92,	20,	1),
(18054,	2,	92,	21,	1),
(18055,	2,	92,	22,	1),
(18056,	2,	93,	1,	1),
(18057,	2,	93,	2,	1),
(18058,	2,	93,	3,	1),
(18059,	2,	93,	7,	1),
(18060,	2,	93,	8,	1),
(18061,	2,	93,	9,	1),
(18062,	2,	93,	10,	1),
(18063,	2,	93,	11,	1),
(18064,	2,	93,	12,	1),
(18065,	2,	93,	13,	1),
(18066,	2,	93,	14,	1),
(18067,	2,	93,	15,	1),
(18068,	2,	93,	16,	1),
(18069,	2,	93,	17,	1),
(18070,	2,	93,	18,	1),
(18071,	2,	93,	19,	1),
(18072,	2,	93,	20,	1),
(18073,	2,	93,	21,	1),
(18074,	2,	93,	22,	1),
(18075,	2,	94,	1,	1),
(18076,	2,	94,	2,	1),
(18077,	2,	94,	3,	1),
(18078,	2,	94,	7,	1),
(18079,	2,	94,	8,	1),
(18080,	2,	94,	9,	1),
(18081,	2,	94,	10,	1),
(18082,	2,	94,	11,	1),
(18083,	2,	94,	12,	1),
(18084,	2,	94,	13,	1),
(18085,	2,	94,	14,	1),
(18086,	2,	94,	15,	1),
(18087,	2,	94,	16,	1),
(18088,	2,	94,	17,	1),
(18089,	2,	94,	18,	1),
(18090,	2,	94,	19,	1),
(18091,	2,	94,	20,	1),
(18092,	2,	94,	21,	1),
(18093,	2,	94,	22,	1),
(18094,	2,	95,	1,	1),
(18095,	2,	95,	2,	1),
(18096,	2,	95,	3,	1),
(18097,	2,	95,	7,	1),
(18098,	2,	95,	8,	1),
(18099,	2,	95,	9,	1),
(18100,	2,	95,	10,	1),
(18101,	2,	95,	11,	1),
(18102,	2,	95,	12,	1),
(18103,	2,	95,	13,	1),
(18104,	2,	95,	14,	1),
(18105,	2,	95,	15,	1),
(18106,	2,	95,	16,	1),
(18107,	2,	95,	17,	1),
(18108,	2,	95,	18,	1),
(18109,	2,	95,	19,	1),
(18110,	2,	95,	20,	1),
(18111,	2,	95,	21,	1),
(18112,	2,	95,	22,	1),
(18113,	2,	96,	1,	1),
(18114,	2,	96,	2,	1),
(18115,	2,	96,	3,	1),
(18116,	2,	96,	7,	1),
(18117,	2,	96,	8,	1),
(18118,	2,	96,	9,	1),
(18119,	2,	96,	10,	1),
(18120,	2,	96,	11,	1),
(18121,	2,	96,	12,	1),
(18122,	2,	96,	13,	1),
(18123,	2,	96,	14,	1),
(18124,	2,	96,	15,	1),
(18125,	2,	96,	16,	1),
(18126,	2,	96,	17,	1),
(18127,	2,	96,	18,	1),
(18128,	2,	96,	19,	1),
(18129,	2,	96,	20,	1),
(18130,	2,	96,	21,	1),
(18131,	2,	96,	22,	1),
(18132,	2,	96,	23,	1),
(18133,	2,	97,	1,	1),
(18134,	2,	97,	2,	1),
(18135,	2,	97,	3,	1),
(18136,	2,	97,	7,	1),
(18137,	2,	97,	8,	1),
(18138,	2,	97,	9,	1),
(18139,	2,	97,	10,	1),
(18140,	2,	97,	11,	1),
(18141,	2,	97,	12,	1),
(18142,	2,	97,	13,	1),
(18143,	2,	97,	14,	1),
(18144,	2,	97,	15,	1),
(18145,	2,	97,	16,	1),
(18146,	2,	97,	17,	1),
(18147,	2,	97,	18,	1),
(18148,	2,	97,	19,	1),
(18149,	2,	97,	20,	1),
(18150,	2,	97,	21,	1),
(18151,	2,	97,	22,	1),
(18152,	2,	98,	1,	1),
(18153,	2,	98,	2,	1),
(18154,	2,	98,	3,	1),
(18155,	2,	98,	7,	1),
(18156,	2,	98,	8,	1),
(18157,	2,	98,	9,	1),
(18158,	2,	98,	10,	1),
(18159,	2,	98,	11,	1),
(18160,	2,	98,	12,	1),
(18161,	2,	98,	13,	1),
(18162,	2,	98,	14,	1),
(18163,	2,	98,	15,	1),
(18164,	2,	98,	16,	1),
(18165,	2,	98,	17,	1),
(18166,	2,	98,	18,	1),
(18167,	2,	98,	19,	1),
(18168,	2,	98,	20,	1),
(18169,	2,	98,	21,	1),
(18170,	2,	98,	22,	1),
(18171,	2,	99,	1,	1),
(18172,	2,	99,	2,	1),
(18173,	2,	99,	3,	1),
(18174,	2,	99,	7,	1),
(18175,	2,	99,	8,	1),
(18176,	2,	99,	9,	1),
(18177,	2,	99,	10,	1),
(18178,	2,	99,	11,	1),
(18179,	2,	99,	12,	1),
(18180,	2,	99,	13,	1),
(18181,	2,	99,	14,	1),
(18182,	2,	99,	15,	1),
(18183,	2,	99,	16,	1),
(18184,	2,	99,	17,	1),
(18185,	2,	99,	18,	1),
(18186,	2,	99,	19,	1),
(18187,	2,	99,	20,	1),
(18188,	2,	99,	21,	1),
(18189,	2,	99,	22,	1),
(18190,	2,	100,	1,	1),
(18191,	2,	100,	2,	1),
(18192,	2,	100,	3,	1),
(18193,	2,	100,	7,	1),
(18194,	2,	100,	8,	1),
(18195,	2,	100,	9,	1),
(18196,	2,	100,	10,	1),
(18197,	2,	100,	11,	1),
(18198,	2,	100,	12,	1),
(18199,	2,	100,	13,	1),
(18200,	2,	100,	14,	1),
(18201,	2,	100,	15,	1),
(18202,	2,	100,	16,	1),
(18203,	2,	100,	17,	1),
(18204,	2,	100,	18,	1),
(18205,	2,	100,	19,	1),
(18206,	2,	100,	20,	1),
(18207,	2,	100,	21,	1),
(18208,	2,	100,	22,	1),
(18209,	2,	101,	1,	1),
(18210,	2,	101,	2,	1),
(18211,	2,	101,	3,	1),
(18212,	2,	101,	5,	1),
(18213,	2,	101,	1,	3),
(18214,	2,	101,	2,	3),
(18215,	2,	101,	3,	3),
(18216,	2,	101,	5,	3),
(18217,	2,	101,	1,	2),
(18218,	2,	101,	2,	2),
(18219,	2,	101,	3,	2),
(18220,	2,	101,	5,	2),
(18221,	2,	102,	1,	1),
(18222,	2,	102,	2,	1),
(18223,	2,	102,	3,	1),
(18224,	2,	103,	1,	1),
(18225,	2,	103,	2,	1),
(18226,	2,	103,	3,	1),
(18227,	2,	103,	6,	1),
(18228,	2,	103,	24,	1),
(18229,	2,	103,	4,	1),
(18230,	2,	103,	25,	1),
(18231,	2,	103,	5,	1),
(18232,	2,	103,	26,	1),
(18233,	2,	104,	1,	1),
(18234,	2,	104,	2,	1),
(18235,	2,	104,	3,	1),
(18236,	2,	104,	24,	1),
(18237,	2,	104,	6,	1),
(18238,	2,	104,	4,	1),
(18239,	2,	104,	25,	1),
(18240,	2,	104,	5,	1),
(18241,	2,	104,	1,	3),
(18242,	2,	104,	2,	3),
(18243,	2,	104,	3,	3),
(18244,	2,	104,	24,	3),
(18245,	2,	104,	6,	3),
(18246,	2,	104,	4,	3),
(18247,	2,	104,	25,	3),
(18248,	2,	104,	5,	3),
(18249,	2,	105,	1,	1),
(18250,	2,	105,	2,	1),
(18251,	2,	105,	3,	1),
(18252,	2,	105,	24,	1),
(18253,	2,	105,	6,	1),
(18254,	2,	105,	4,	1),
(18255,	2,	105,	25,	1),
(18256,	2,	105,	5,	1),
(18257,	2,	105,	1,	3),
(18258,	2,	105,	2,	3),
(18259,	2,	105,	3,	3),
(18260,	2,	105,	24,	3),
(18261,	2,	105,	6,	3),
(18262,	2,	105,	4,	3),
(18263,	2,	105,	25,	3),
(18264,	2,	105,	5,	3),
(18265,	2,	106,	1,	1),
(18266,	2,	106,	2,	1),
(18267,	2,	106,	3,	1),
(18268,	2,	106,	24,	1),
(18269,	2,	106,	6,	1),
(18270,	2,	106,	4,	1),
(18271,	2,	106,	25,	1),
(18272,	2,	106,	5,	1),
(18273,	2,	106,	1,	3),
(18274,	2,	106,	2,	3),
(18275,	2,	106,	3,	3),
(18276,	2,	106,	24,	3),
(18277,	2,	106,	6,	3),
(18278,	2,	106,	4,	3),
(18279,	2,	106,	25,	3),
(18280,	2,	106,	5,	3),
(18281,	2,	107,	1,	1),
(18282,	2,	107,	2,	1),
(18283,	2,	107,	3,	1),
(18284,	2,	107,	24,	1),
(18285,	2,	107,	6,	1),
(18286,	2,	107,	4,	1),
(18287,	2,	107,	25,	1),
(18288,	2,	107,	5,	1),
(18289,	2,	107,	1,	3),
(18290,	2,	107,	2,	3),
(18291,	2,	107,	3,	3),
(18292,	2,	107,	24,	3),
(18293,	2,	107,	6,	3),
(18294,	2,	107,	4,	3),
(18295,	2,	107,	25,	3),
(18296,	2,	107,	5,	3),
(18297,	2,	108,	1,	1),
(18298,	2,	108,	2,	1),
(18299,	2,	108,	3,	1),
(18300,	2,	108,	24,	1),
(18301,	2,	108,	25,	1),
(18302,	2,	108,	4,	1),
(18303,	2,	108,	1,	3),
(18304,	2,	108,	2,	3),
(18305,	2,	108,	3,	3),
(18306,	2,	108,	24,	3),
(18307,	2,	108,	25,	3),
(18308,	2,	108,	4,	3),
(18309,	2,	109,	1,	1),
(18310,	2,	109,	2,	1),
(18311,	2,	109,	3,	1),
(18312,	2,	109,	24,	1),
(18313,	2,	109,	6,	1),
(18314,	2,	109,	4,	1),
(18315,	2,	109,	25,	1),
(18316,	2,	109,	5,	1),
(18317,	2,	109,	1,	3),
(18318,	2,	109,	2,	3),
(18319,	2,	109,	3,	3),
(18320,	2,	109,	24,	3),
(18321,	2,	109,	6,	3),
(18322,	2,	109,	4,	3),
(18323,	2,	109,	25,	3),
(18324,	2,	109,	5,	3),
(18325,	2,	110,	1,	1),
(18326,	2,	110,	2,	1),
(18327,	2,	110,	3,	1),
(18328,	2,	110,	24,	1),
(18329,	2,	110,	6,	1),
(18330,	2,	110,	4,	1),
(18331,	2,	110,	25,	1),
(18332,	2,	110,	5,	1),
(18333,	2,	110,	1,	3),
(18334,	2,	110,	2,	3),
(18335,	2,	110,	3,	3),
(18336,	2,	110,	24,	3),
(18337,	2,	110,	6,	3),
(18338,	2,	110,	4,	3),
(18339,	2,	110,	25,	3),
(18340,	2,	110,	5,	3),
(18341,	2,	111,	1,	1),
(18342,	2,	111,	2,	1),
(18343,	2,	111,	3,	1),
(18344,	2,	111,	24,	1),
(18345,	2,	111,	6,	1),
(18346,	2,	111,	4,	1),
(18347,	2,	111,	25,	1),
(18348,	2,	111,	5,	1),
(18349,	2,	111,	1,	2),
(18350,	2,	111,	2,	2),
(18351,	2,	111,	3,	2),
(18352,	2,	111,	24,	2),
(18353,	2,	111,	6,	2),
(18354,	2,	111,	4,	2),
(18355,	2,	111,	25,	2),
(18356,	2,	111,	5,	2),
(18357,	2,	112,	1,	1),
(18358,	2,	112,	2,	1),
(18359,	2,	112,	3,	1),
(18360,	2,	112,	24,	1),
(18361,	2,	112,	6,	1),
(18362,	2,	112,	4,	1),
(18363,	2,	112,	25,	1),
(18364,	2,	112,	5,	1),
(18365,	2,	112,	1,	3),
(18366,	2,	112,	2,	3),
(18367,	2,	112,	3,	3),
(18368,	2,	112,	24,	3),
(18369,	2,	112,	6,	3),
(18370,	2,	112,	4,	3),
(18371,	2,	112,	25,	3),
(18372,	2,	112,	5,	3),
(18373,	2,	113,	1,	1),
(18374,	2,	113,	2,	1),
(18375,	2,	113,	3,	1),
(18376,	2,	113,	5,	1),
(18377,	2,	113,	1,	3),
(18378,	2,	113,	2,	3),
(18379,	2,	113,	3,	3),
(18380,	2,	113,	5,	3),
(18381,	2,	113,	1,	2),
(18382,	2,	113,	2,	2),
(18383,	2,	113,	3,	2),
(18384,	2,	113,	5,	2),
(18385,	2,	114,	1,	1),
(18386,	2,	114,	2,	1),
(18387,	2,	114,	3,	1),
(18388,	2,	114,	5,	1),
(18389,	2,	114,	1,	3),
(18390,	2,	114,	2,	3),
(18391,	2,	114,	3,	3),
(18392,	2,	114,	5,	3),
(18393,	2,	114,	1,	2),
(18394,	2,	114,	2,	2),
(18395,	2,	114,	3,	2),
(18396,	2,	114,	5,	2),
(18397,	2,	115,	1,	1),
(18398,	2,	115,	2,	1),
(18399,	2,	115,	3,	1),
(18400,	2,	115,	1,	2),
(18401,	2,	115,	2,	2),
(18402,	2,	115,	3,	2),
(18403,	2,	116,	1,	1),
(18404,	2,	116,	2,	1),
(18405,	2,	116,	3,	1),
(18406,	2,	116,	1,	2),
(18407,	2,	116,	2,	2),
(18408,	2,	116,	3,	2),
(18409,	2,	117,	1,	1),
(18410,	2,	117,	2,	1),
(18411,	2,	117,	3,	1),
(18412,	2,	117,	1,	2),
(18413,	2,	117,	2,	2),
(18414,	2,	117,	3,	2),
(18415,	2,	118,	1,	1),
(18416,	2,	118,	2,	1),
(18417,	2,	118,	3,	1),
(18418,	2,	118,	23,	1),
(18419,	2,	118,	1,	3),
(18420,	2,	118,	2,	3),
(18421,	2,	118,	3,	3),
(18422,	2,	118,	23,	3),
(18423,	2,	119,	1,	1),
(18424,	2,	119,	2,	1),
(18425,	2,	119,	3,	1),
(18426,	2,	119,	1,	2),
(18427,	2,	119,	2,	2),
(18428,	2,	119,	3,	2),
(18429,	2,	120,	1,	1),
(18430,	2,	120,	2,	1),
(18431,	2,	120,	3,	1),
(18432,	2,	120,	1,	2),
(18433,	2,	120,	2,	2),
(18434,	2,	120,	3,	2),
(18435,	2,	121,	1,	1),
(18436,	2,	121,	2,	1),
(18437,	2,	121,	3,	1),
(18438,	2,	121,	1,	2),
(18439,	2,	121,	2,	2),
(18440,	2,	121,	3,	2),
(18441,	2,	122,	1,	1),
(18442,	2,	122,	2,	1),
(18443,	2,	122,	3,	1),
(18444,	2,	122,	1,	2),
(18445,	2,	122,	2,	2),
(18446,	2,	122,	3,	2),
(18447,	2,	123,	1,	1),
(18448,	2,	123,	2,	1),
(18449,	2,	123,	3,	1),
(18450,	2,	123,	1,	2),
(18451,	2,	123,	2,	2),
(18452,	2,	123,	3,	2),
(18453,	2,	124,	1,	1),
(18454,	2,	124,	2,	1),
(18455,	2,	124,	3,	1),
(18456,	2,	125,	1,	1),
(18457,	2,	125,	2,	1),
(18458,	2,	125,	3,	1),
(18459,	2,	126,	1,	1),
(18460,	2,	126,	2,	1),
(18461,	2,	126,	3,	1),
(18462,	2,	127,	1,	1),
(18463,	2,	127,	2,	1),
(18464,	2,	127,	3,	1),
(18465,	2,	127,	1,	2),
(18466,	2,	127,	2,	2),
(18467,	2,	127,	3,	2),
(18468,	2,	128,	1,	1),
(18469,	2,	128,	2,	1),
(18470,	2,	128,	3,	1),
(18471,	2,	128,	1,	2),
(18472,	2,	128,	2,	2),
(18473,	2,	128,	3,	2),
(18474,	2,	129,	1,	1),
(18475,	2,	129,	2,	1),
(18476,	2,	129,	3,	1),
(18477,	2,	129,	1,	2),
(18478,	2,	129,	2,	2),
(18479,	2,	129,	3,	2),
(18480,	2,	130,	1,	1),
(18481,	2,	130,	2,	1),
(18482,	2,	130,	3,	1),
(18483,	2,	130,	1,	2),
(18484,	2,	130,	2,	2),
(18485,	2,	130,	3,	2),
(18486,	2,	131,	1,	1),
(18487,	2,	131,	2,	1),
(18488,	2,	131,	3,	1),
(18489,	2,	131,	1,	2),
(18490,	2,	131,	2,	2),
(18491,	2,	131,	3,	2),
(18492,	2,	132,	1,	1),
(18493,	2,	132,	2,	1),
(18494,	2,	132,	3,	1),
(18495,	2,	132,	1,	2),
(18496,	2,	132,	2,	2),
(18497,	2,	132,	3,	2),
(18498,	2,	133,	1,	1),
(18499,	2,	133,	2,	1),
(18500,	2,	133,	3,	1),
(18501,	2,	133,	1,	2),
(18502,	2,	133,	2,	2),
(18503,	2,	133,	3,	2),
(18504,	2,	134,	1,	1),
(18505,	2,	134,	2,	1),
(18506,	2,	134,	3,	1),
(18507,	2,	135,	1,	1),
(18508,	2,	135,	2,	1),
(18509,	2,	135,	3,	1),
(18510,	2,	136,	1,	1),
(18511,	2,	136,	2,	1),
(18512,	2,	136,	3,	1),
(18513,	2,	136,	23,	1),
(18514,	2,	136,	1,	2),
(18515,	2,	136,	2,	2),
(18516,	2,	136,	3,	2),
(18517,	2,	136,	23,	2),
(18518,	2,	137,	1,	1),
(18519,	2,	137,	2,	1),
(18520,	2,	137,	3,	1),
(18521,	2,	137,	1,	2),
(18522,	2,	137,	2,	2),
(18523,	2,	137,	3,	2),
(18524,	2,	138,	1,	1),
(18525,	2,	138,	2,	1),
(18526,	2,	138,	3,	1),
(18527,	2,	138,	1,	2),
(18528,	2,	138,	2,	2),
(18529,	2,	138,	3,	2),
(18530,	2,	139,	1,	1),
(18531,	2,	139,	2,	1),
(18532,	2,	139,	3,	1),
(18533,	2,	140,	1,	1),
(18534,	2,	140,	2,	1),
(18535,	2,	140,	3,	1),
(18536,	2,	140,	23,	1),
(18537,	2,	140,	6,	1),
(18538,	2,	141,	1,	1),
(18539,	2,	141,	2,	1),
(18540,	2,	141,	3,	1),
(18541,	2,	141,	1,	2),
(18542,	2,	141,	2,	2),
(18543,	2,	141,	3,	2),
(18544,	2,	142,	1,	1),
(18545,	2,	142,	2,	1),
(18546,	2,	142,	3,	1),
(18547,	2,	142,	1,	2),
(18548,	2,	142,	2,	2),
(18549,	2,	142,	3,	2),
(18550,	2,	143,	1,	1),
(18551,	2,	143,	2,	1),
(18552,	2,	143,	3,	1),
(18553,	2,	143,	1,	2),
(18554,	2,	143,	2,	2),
(18555,	2,	143,	3,	2),
(18556,	2,	144,	1,	1),
(18557,	2,	144,	2,	1),
(18558,	2,	144,	3,	1),
(18559,	2,	144,	1,	2),
(18560,	2,	144,	2,	2),
(18561,	2,	144,	3,	2),
(18562,	2,	145,	1,	1),
(18563,	2,	145,	2,	1),
(18564,	2,	145,	3,	1),
(18565,	2,	145,	1,	2),
(18566,	2,	145,	2,	2),
(18567,	2,	145,	3,	2),
(18568,	2,	146,	1,	1),
(18569,	2,	146,	2,	1),
(18570,	2,	146,	3,	1),
(18571,	2,	146,	1,	2),
(18572,	2,	146,	2,	2),
(18573,	2,	146,	3,	2),
(18574,	2,	147,	1,	1),
(18575,	2,	147,	2,	1),
(18576,	2,	147,	3,	1),
(18577,	2,	147,	1,	2),
(18578,	2,	147,	2,	2),
(18579,	2,	147,	3,	2),
(18580,	2,	148,	1,	1),
(18581,	2,	148,	2,	1),
(18582,	2,	148,	3,	1),
(18583,	2,	149,	1,	1),
(18584,	2,	149,	2,	1),
(18585,	2,	149,	3,	1),
(18586,	2,	149,	1,	2),
(18587,	2,	149,	2,	2),
(18588,	2,	149,	3,	2),
(18589,	2,	150,	1,	1),
(18590,	2,	150,	2,	1),
(18591,	2,	150,	3,	1),
(18592,	2,	151,	1,	1),
(18593,	2,	151,	2,	1),
(18594,	2,	151,	3,	1),
(18595,	2,	152,	1,	1),
(18596,	2,	152,	2,	1),
(18597,	2,	152,	3,	1),
(18598,	2,	153,	1,	1),
(18599,	2,	153,	2,	1),
(18600,	2,	153,	3,	1),
(18601,	2,	154,	1,	1),
(18602,	2,	154,	2,	1),
(18603,	2,	154,	3,	1),
(18604,	2,	154,	1,	2),
(18605,	2,	154,	2,	2),
(18606,	2,	154,	3,	2),
(18607,	2,	156,	1,	1),
(18608,	2,	156,	2,	1),
(18609,	2,	156,	3,	1),
(18610,	2,	157,	1,	1),
(18611,	2,	157,	2,	1),
(18612,	2,	157,	3,	1),
(18613,	2,	158,	1,	1),
(18614,	2,	158,	2,	1),
(18615,	2,	158,	3,	1),
(18616,	2,	158,	1,	2),
(18617,	2,	158,	2,	2),
(18618,	2,	158,	3,	2),
(18619,	2,	159,	1,	1),
(18620,	2,	159,	2,	1),
(18621,	2,	159,	3,	1),
(18622,	2,	160,	1,	1),
(18623,	2,	160,	2,	1),
(18624,	2,	160,	3,	1),
(18625,	2,	160,	1,	2),
(18626,	2,	160,	2,	2),
(18627,	2,	160,	3,	2),
(18628,	2,	161,	1,	1),
(18629,	2,	161,	2,	1),
(18630,	2,	161,	3,	1),
(18631,	2,	162,	1,	1),
(18632,	2,	162,	2,	1),
(18633,	2,	162,	3,	1),
(18634,	2,	163,	1,	1),
(18635,	2,	163,	2,	1),
(18636,	2,	163,	3,	1),
(18637,	2,	164,	1,	1),
(18638,	2,	164,	2,	1),
(18639,	2,	164,	3,	1),
(18640,	2,	164,	1,	2),
(18641,	2,	164,	2,	2),
(18642,	2,	164,	3,	2),
(18643,	2,	165,	1,	1),
(18644,	2,	165,	2,	1),
(18645,	2,	165,	3,	1),
(18646,	2,	166,	1,	1),
(18647,	2,	166,	2,	1),
(18648,	2,	166,	3,	1),
(18649,	2,	167,	1,	1),
(18650,	2,	167,	2,	1),
(18651,	2,	167,	3,	1),
(18652,	2,	167,	1,	2),
(18653,	2,	167,	2,	2),
(18654,	2,	167,	3,	2),
(18655,	2,	168,	1,	1),
(18656,	2,	168,	2,	1),
(18657,	2,	168,	3,	1),
(18658,	2,	168,	1,	2),
(18659,	2,	168,	2,	2),
(18660,	2,	168,	3,	2),
(18661,	2,	169,	1,	1),
(18662,	2,	169,	2,	1),
(18663,	2,	169,	3,	1),
(18664,	2,	170,	1,	1),
(18665,	2,	170,	2,	1),
(18666,	2,	170,	3,	1),
(18667,	2,	170,	1,	2),
(18668,	2,	170,	2,	2),
(18669,	2,	170,	3,	2),
(18670,	2,	171,	1,	1),
(18671,	2,	171,	2,	1),
(18672,	2,	171,	3,	1),
(18673,	2,	171,	1,	2),
(18674,	2,	171,	2,	2),
(18675,	2,	171,	3,	2),
(18676,	2,	172,	1,	1),
(18677,	2,	172,	2,	1),
(18678,	2,	172,	3,	1),
(18679,	2,	172,	1,	2),
(18680,	2,	172,	2,	2),
(18681,	2,	172,	3,	2),
(18682,	2,	173,	1,	1),
(18683,	2,	173,	2,	1),
(18684,	2,	173,	3,	1),
(18685,	2,	173,	1,	2),
(18686,	2,	173,	2,	2),
(18687,	2,	173,	3,	2),
(18688,	2,	174,	1,	1),
(18689,	2,	174,	2,	1),
(18690,	2,	174,	3,	1),
(18691,	2,	174,	1,	2),
(18692,	2,	174,	2,	2),
(18693,	2,	174,	3,	2),
(18694,	2,	175,	1,	1),
(18695,	2,	175,	2,	1),
(18696,	2,	175,	3,	1),
(18697,	2,	176,	1,	1),
(18698,	2,	176,	2,	1),
(18699,	2,	176,	3,	1),
(18700,	2,	177,	1,	1),
(18701,	2,	177,	2,	1),
(18702,	2,	177,	3,	1),
(18703,	2,	178,	1,	1),
(18704,	2,	178,	2,	1),
(18705,	2,	178,	3,	1),
(18706,	2,	179,	1,	1),
(18707,	2,	179,	2,	1),
(18708,	2,	179,	3,	1),
(18709,	2,	180,	1,	1),
(18710,	2,	180,	2,	1),
(18711,	2,	180,	3,	1),
(18712,	2,	180,	1,	2),
(18713,	2,	180,	2,	2),
(18714,	2,	180,	3,	2),
(18715,	2,	181,	1,	1),
(18716,	2,	181,	2,	1),
(18717,	2,	181,	3,	1),
(18718,	2,	181,	1,	2),
(18719,	2,	181,	2,	2),
(18720,	2,	181,	3,	2),
(18721,	2,	182,	1,	1),
(18722,	2,	182,	2,	1),
(18723,	2,	182,	3,	1),
(18724,	2,	183,	1,	1),
(18725,	2,	183,	2,	1),
(18726,	2,	183,	3,	1),
(18727,	2,	184,	1,	1),
(18728,	2,	184,	2,	1),
(18729,	2,	184,	3,	1),
(18730,	2,	185,	1,	1),
(18731,	2,	185,	2,	1),
(18732,	2,	185,	3,	1),
(18733,	2,	185,	1,	2),
(18734,	2,	185,	2,	2),
(18735,	2,	185,	3,	2),
(18736,	2,	186,	1,	1),
(18737,	2,	186,	2,	1),
(18738,	2,	186,	3,	1),
(18739,	2,	186,	1,	2),
(18740,	2,	186,	2,	2),
(18741,	2,	186,	3,	2),
(18742,	2,	187,	1,	1),
(18743,	2,	187,	2,	1),
(18744,	2,	187,	3,	1),
(18745,	2,	187,	1,	2),
(18746,	2,	187,	2,	2),
(18747,	2,	187,	3,	2),
(18748,	2,	188,	1,	1),
(18749,	2,	188,	2,	1),
(18750,	2,	188,	3,	1),
(18751,	2,	188,	1,	2),
(18752,	2,	188,	2,	2),
(18753,	2,	188,	3,	2),
(18754,	2,	189,	1,	1),
(18755,	2,	189,	2,	1),
(18756,	2,	189,	3,	1),
(18757,	2,	190,	1,	1),
(18758,	2,	190,	2,	1),
(18759,	2,	190,	3,	1),
(18760,	2,	190,	1,	2),
(18761,	2,	190,	2,	2),
(18762,	2,	190,	3,	2),
(18763,	2,	191,	1,	1),
(18764,	2,	191,	2,	1),
(18765,	2,	191,	3,	1),
(18766,	2,	191,	23,	1),
(18767,	2,	191,	27,	1),
(18768,	2,	192,	1,	1),
(18769,	2,	192,	2,	1),
(18770,	2,	192,	3,	1),
(18771,	2,	192,	23,	1),
(18772,	2,	193,	1,	1),
(18773,	2,	193,	2,	1),
(18774,	2,	193,	3,	1),
(18775,	2,	194,	1,	1),
(18776,	2,	194,	2,	1),
(18777,	2,	194,	3,	1),
(18778,	2,	194,	23,	1),
(18779,	2,	195,	1,	1),
(18780,	2,	195,	2,	1),
(18781,	2,	195,	3,	1),
(18782,	2,	196,	1,	1),
(18783,	2,	196,	2,	1),
(18784,	2,	196,	3,	1),
(18785,	2,	197,	1,	1),
(18786,	2,	197,	2,	1),
(18787,	2,	197,	3,	1),
(18788,	2,	197,	1,	2),
(18789,	2,	197,	2,	2),
(18790,	2,	197,	3,	2),
(18791,	2,	198,	1,	1),
(18792,	2,	198,	2,	1),
(18793,	2,	198,	3,	1),
(18794,	2,	198,	23,	1),
(18795,	2,	199,	1,	1),
(18796,	2,	199,	2,	1),
(18797,	2,	199,	3,	1),
(18798,	2,	200,	1,	1),
(18799,	2,	200,	2,	1),
(18800,	2,	200,	3,	1),
(18801,	2,	200,	23,	1),
(18802,	2,	201,	1,	1),
(18803,	2,	201,	2,	1),
(18804,	2,	201,	3,	1),
(18805,	2,	202,	1,	1),
(18806,	2,	202,	2,	1),
(18807,	2,	202,	3,	1),
(18808,	2,	202,	1,	2),
(18809,	2,	202,	2,	2),
(18810,	2,	202,	3,	2),
(18811,	2,	203,	1,	1),
(18812,	2,	203,	2,	1),
(18813,	2,	203,	3,	1),
(18814,	2,	203,	1,	2),
(18815,	2,	203,	2,	2),
(18816,	2,	203,	3,	2),
(18817,	2,	204,	1,	1),
(18818,	2,	204,	2,	1),
(18819,	2,	204,	3,	1),
(18820,	2,	204,	1,	2),
(18821,	2,	204,	2,	2),
(18822,	2,	204,	3,	2),
(18823,	2,	205,	1,	1),
(18824,	2,	205,	2,	1),
(18825,	2,	205,	3,	1),
(18826,	2,	205,	1,	2),
(18827,	2,	205,	2,	2),
(18828,	2,	205,	3,	2),
(18829,	2,	206,	1,	1),
(18830,	2,	206,	2,	1),
(18831,	2,	206,	3,	1),
(18832,	2,	206,	1,	2),
(18833,	2,	206,	2,	2),
(18834,	2,	206,	3,	2),
(18835,	2,	207,	1,	1),
(18836,	2,	207,	2,	1),
(18837,	2,	207,	3,	1),
(18838,	2,	208,	1,	1),
(18839,	2,	208,	2,	1),
(18840,	2,	208,	3,	1),
(18841,	2,	208,	1,	2),
(18842,	2,	208,	2,	2),
(18843,	2,	208,	3,	2),
(18844,	2,	209,	1,	1),
(18845,	2,	209,	2,	1),
(18846,	2,	209,	3,	1),
(18847,	2,	209,	1,	2),
(18848,	2,	209,	2,	2),
(18849,	2,	209,	3,	2),
(18850,	2,	210,	1,	1),
(18851,	2,	210,	2,	1),
(18852,	2,	210,	3,	1),
(18853,	2,	211,	1,	1),
(18854,	2,	211,	2,	1),
(18855,	2,	211,	3,	1),
(18856,	2,	211,	1,	2),
(18857,	2,	211,	2,	2),
(18858,	2,	211,	3,	2),
(18859,	2,	212,	1,	1),
(18860,	2,	212,	2,	1),
(18861,	2,	212,	3,	1),
(18862,	2,	212,	1,	2),
(18863,	2,	212,	2,	2),
(18864,	2,	212,	3,	2),
(18865,	2,	213,	1,	1),
(18866,	2,	213,	2,	1),
(18867,	2,	213,	3,	1),
(18868,	2,	213,	1,	2),
(18869,	2,	213,	2,	2),
(18870,	2,	213,	3,	2),
(18871,	2,	214,	1,	1),
(18872,	2,	214,	2,	1),
(18873,	2,	214,	3,	1),
(18874,	2,	214,	1,	2),
(18875,	2,	214,	2,	2),
(18876,	2,	214,	3,	2),
(18877,	2,	215,	1,	1),
(18878,	2,	215,	2,	1),
(18879,	2,	215,	3,	1),
(18880,	2,	216,	1,	1),
(18881,	2,	216,	2,	1),
(18882,	2,	216,	3,	1),
(18883,	2,	216,	1,	2),
(18884,	2,	216,	2,	2),
(18885,	2,	216,	3,	2),
(18886,	2,	217,	1,	1),
(18887,	2,	217,	2,	1),
(18888,	2,	217,	3,	1),
(18889,	2,	217,	1,	2),
(18890,	2,	217,	2,	2),
(18891,	2,	217,	3,	2),
(18892,	2,	218,	1,	1),
(18893,	2,	218,	2,	1),
(18894,	2,	218,	3,	1),
(18895,	2,	218,	1,	2),
(18896,	2,	218,	2,	2),
(18897,	2,	218,	3,	2),
(18898,	2,	219,	1,	1),
(18899,	2,	219,	2,	1),
(18900,	2,	219,	3,	1),
(18901,	2,	220,	1,	1),
(18902,	2,	220,	2,	1),
(18903,	2,	220,	3,	1),
(18904,	2,	220,	1,	2),
(18905,	2,	220,	2,	2),
(18906,	2,	220,	3,	2),
(18907,	2,	221,	1,	1),
(18908,	2,	221,	2,	1),
(18909,	2,	221,	3,	1),
(18910,	2,	221,	1,	2),
(18911,	2,	221,	2,	2),
(18912,	2,	221,	3,	2),
(18913,	2,	222,	1,	1),
(18914,	2,	222,	2,	1),
(18915,	2,	222,	3,	1),
(18916,	2,	222,	1,	2),
(18917,	2,	222,	2,	2),
(18918,	2,	222,	3,	2),
(18919,	2,	223,	1,	1),
(18920,	2,	223,	2,	1),
(18921,	2,	223,	3,	1),
(18922,	2,	223,	1,	2),
(18923,	2,	223,	2,	2),
(18924,	2,	223,	3,	2),
(18925,	2,	224,	1,	1),
(18926,	2,	224,	2,	1),
(18927,	2,	224,	3,	1),
(18928,	2,	224,	1,	2),
(18929,	2,	224,	2,	2),
(18930,	2,	224,	3,	2),
(18931,	2,	225,	1,	1),
(18932,	2,	225,	2,	1),
(18933,	2,	225,	3,	1),
(18934,	2,	225,	23,	1),
(18935,	2,	225,	1,	3),
(18936,	2,	225,	2,	3),
(18937,	2,	225,	3,	3),
(18938,	2,	225,	23,	3),
(18939,	2,	225,	1,	2),
(18940,	2,	225,	2,	2),
(18941,	2,	225,	3,	2),
(18942,	2,	225,	23,	2),
(18943,	2,	226,	1,	1),
(18944,	2,	226,	2,	1),
(18945,	2,	226,	3,	1),
(18946,	2,	226,	23,	1),
(18947,	2,	226,	1,	3),
(18948,	2,	226,	2,	3),
(18949,	2,	226,	3,	3),
(18950,	2,	226,	23,	3),
(18951,	2,	227,	1,	1),
(18952,	2,	227,	2,	1),
(18953,	2,	227,	3,	1),
(18954,	2,	227,	23,	1),
(18955,	2,	227,	1,	3),
(18956,	2,	227,	2,	3),
(18957,	2,	227,	3,	3),
(18958,	2,	227,	23,	3),
(18959,	2,	228,	1,	1),
(18960,	2,	228,	2,	1),
(18961,	2,	228,	3,	1),
(18962,	2,	228,	23,	1),
(18963,	2,	228,	1,	3),
(18964,	2,	228,	2,	3),
(18965,	2,	228,	3,	3),
(18966,	2,	228,	23,	3),
(18967,	2,	229,	1,	1),
(18968,	2,	229,	2,	1),
(18969,	2,	229,	3,	1),
(18970,	2,	229,	23,	1),
(18971,	2,	229,	1,	3),
(18972,	2,	229,	2,	3),
(18973,	2,	229,	3,	3),
(18974,	2,	229,	23,	3),
(18975,	2,	230,	1,	1),
(18976,	2,	230,	2,	1),
(18977,	2,	230,	3,	1),
(18978,	2,	231,	1,	1),
(18979,	2,	231,	2,	1),
(18980,	2,	231,	3,	1),
(18981,	2,	231,	1,	3),
(18982,	2,	231,	2,	3),
(18983,	2,	231,	3,	3),
(18984,	2,	232,	1,	1),
(18985,	2,	232,	2,	1),
(18986,	2,	232,	3,	1),
(18987,	2,	232,	1,	3),
(18988,	2,	232,	2,	3),
(18989,	2,	232,	3,	3),
(18990,	2,	233,	1,	1),
(18991,	2,	233,	2,	1),
(18992,	2,	233,	3,	1),
(18993,	2,	233,	1,	3),
(18994,	2,	233,	2,	3),
(18995,	2,	233,	3,	3),
(18996,	2,	234,	1,	1),
(18997,	2,	234,	2,	1),
(18998,	2,	234,	3,	1),
(18999,	2,	234,	1,	3),
(19000,	2,	234,	2,	3),
(19001,	2,	234,	3,	3),
(19002,	2,	235,	1,	1),
(19003,	2,	235,	2,	1),
(19004,	2,	235,	3,	1),
(19005,	2,	235,	1,	3),
(19006,	2,	235,	2,	3),
(19007,	2,	235,	3,	3),
(19008,	2,	236,	1,	1),
(19009,	2,	236,	2,	1),
(19010,	2,	236,	3,	1),
(19011,	2,	237,	1,	1),
(19012,	2,	237,	2,	1),
(19013,	2,	237,	3,	1),
(19014,	2,	237,	1,	3),
(19015,	2,	237,	2,	3),
(19016,	2,	237,	3,	3),
(19017,	2,	238,	1,	1),
(19018,	2,	238,	2,	1),
(19019,	2,	238,	3,	1),
(19020,	2,	239,	1,	1),
(19021,	2,	239,	2,	1),
(19022,	2,	239,	3,	1),
(19023,	2,	240,	1,	1),
(19024,	2,	240,	2,	1),
(19025,	2,	240,	3,	1),
(19026,	2,	241,	1,	1),
(19027,	2,	241,	2,	1),
(19028,	2,	241,	3,	1),
(19029,	2,	242,	1,	1),
(19030,	2,	242,	2,	1),
(19031,	2,	242,	3,	1),
(19032,	2,	242,	1,	2),
(19033,	2,	242,	2,	2),
(19034,	2,	242,	3,	2),
(19035,	2,	243,	1,	1),
(19036,	2,	243,	2,	1),
(19037,	2,	243,	3,	1),
(19038,	2,	243,	1,	2),
(19039,	2,	243,	2,	2),
(19040,	2,	243,	3,	2),
(19041,	2,	244,	1,	1),
(19042,	2,	244,	2,	1),
(19043,	2,	244,	3,	1),
(19044,	2,	244,	1,	2),
(19045,	2,	244,	2,	2),
(19046,	2,	244,	3,	2),
(19047,	2,	245,	1,	1),
(19048,	2,	245,	2,	1),
(19049,	2,	245,	3,	1),
(19050,	2,	245,	1,	2),
(19051,	2,	245,	2,	2),
(19052,	2,	245,	3,	2),
(19053,	2,	246,	1,	1),
(19054,	2,	246,	2,	1),
(19055,	2,	246,	3,	1),
(19056,	2,	246,	1,	2),
(19057,	2,	246,	2,	2),
(19058,	2,	246,	3,	2),
(19059,	2,	247,	1,	1),
(19060,	2,	247,	2,	1),
(19061,	2,	247,	3,	1),
(19062,	2,	247,	1,	2),
(19063,	2,	247,	2,	2),
(19064,	2,	247,	3,	2),
(19065,	2,	248,	1,	1),
(19066,	2,	248,	2,	1),
(19067,	2,	248,	3,	1),
(19068,	2,	248,	1,	2),
(19069,	2,	248,	2,	2),
(19070,	2,	248,	3,	2),
(19071,	2,	249,	1,	1),
(19072,	2,	249,	2,	1),
(19073,	2,	249,	3,	1),
(19074,	2,	249,	1,	3),
(19075,	2,	249,	2,	3),
(19076,	2,	249,	3,	3),
(19077,	2,	250,	1,	1),
(19078,	2,	250,	2,	1),
(19079,	2,	250,	3,	1),
(19080,	2,	250,	1,	2),
(19081,	2,	250,	2,	2),
(19082,	2,	250,	3,	2),
(19083,	2,	251,	1,	1),
(19084,	2,	251,	2,	1),
(19085,	2,	251,	3,	1),
(19086,	2,	251,	1,	2),
(19087,	2,	251,	2,	2),
(19088,	2,	251,	3,	2),
(19089,	2,	252,	1,	1),
(19090,	2,	252,	2,	1),
(19091,	2,	252,	3,	1),
(19092,	2,	253,	1,	1),
(19093,	2,	253,	2,	1),
(19094,	2,	253,	3,	1),
(19095,	2,	253,	1,	3),
(19096,	2,	253,	2,	3),
(19097,	2,	253,	3,	3),
(19098,	2,	254,	1,	1),
(19099,	2,	254,	2,	1),
(19100,	2,	254,	3,	1),
(19101,	2,	254,	1,	2),
(19102,	2,	254,	2,	2),
(19103,	2,	254,	3,	2),
(19104,	2,	255,	1,	1),
(19105,	2,	255,	2,	1),
(19106,	2,	255,	3,	1),
(19107,	2,	255,	1,	2),
(19108,	2,	255,	2,	2),
(19109,	2,	255,	3,	2),
(19110,	2,	256,	1,	1),
(19111,	2,	256,	2,	1),
(19112,	2,	256,	3,	1),
(19113,	2,	256,	1,	2),
(19114,	2,	256,	2,	2),
(19115,	2,	256,	3,	2),
(19116,	2,	257,	1,	1),
(19117,	2,	257,	2,	1),
(19118,	2,	257,	3,	1),
(19119,	2,	257,	1,	2),
(19120,	2,	257,	2,	2),
(19121,	2,	257,	3,	2),
(19122,	2,	258,	1,	1),
(19123,	2,	258,	2,	1),
(19124,	2,	258,	3,	1),
(19125,	2,	258,	1,	3),
(19126,	2,	258,	2,	3),
(19127,	2,	258,	3,	3),
(19128,	2,	259,	1,	1),
(19129,	2,	259,	2,	1),
(19130,	2,	259,	3,	1),
(19131,	2,	259,	1,	2),
(19132,	2,	259,	2,	2),
(19133,	2,	259,	3,	2),
(19134,	2,	260,	1,	1),
(19135,	2,	260,	2,	1),
(19136,	2,	260,	3,	1),
(19137,	2,	260,	1,	2),
(19138,	2,	260,	2,	2),
(19139,	2,	260,	3,	2),
(19140,	2,	261,	1,	1),
(19141,	2,	261,	2,	1),
(19142,	2,	261,	3,	1),
(19143,	2,	261,	1,	2),
(19144,	2,	261,	2,	2),
(19145,	2,	261,	3,	2),
(19146,	2,	262,	1,	1),
(19147,	2,	262,	2,	1),
(19148,	2,	262,	3,	1),
(19149,	2,	262,	1,	2),
(19150,	2,	262,	2,	2),
(19151,	2,	262,	3,	2),
(19152,	2,	263,	1,	1),
(19153,	2,	263,	2,	1),
(19154,	2,	263,	3,	1),
(19155,	2,	263,	1,	2),
(19156,	2,	263,	2,	2),
(19157,	2,	263,	3,	2),
(19158,	2,	264,	1,	1),
(19159,	2,	264,	2,	1),
(19160,	2,	264,	3,	1),
(19161,	2,	264,	1,	2),
(19162,	2,	264,	2,	2),
(19163,	2,	264,	3,	2),
(19164,	2,	265,	1,	1),
(19165,	2,	265,	2,	1),
(19166,	2,	265,	3,	1),
(19167,	2,	265,	1,	3),
(19168,	2,	265,	2,	3),
(19169,	2,	265,	3,	3),
(19170,	2,	266,	1,	1),
(19171,	2,	266,	2,	1),
(19172,	2,	266,	3,	1),
(19173,	2,	266,	1,	2),
(19174,	2,	266,	2,	2),
(19175,	2,	266,	3,	2),
(19176,	2,	267,	1,	1),
(19177,	2,	267,	2,	1),
(19178,	2,	267,	3,	1),
(19179,	2,	267,	1,	2),
(19180,	2,	267,	2,	2),
(19181,	2,	267,	3,	2),
(19182,	2,	268,	1,	1),
(19183,	2,	268,	2,	1),
(19184,	2,	268,	3,	1),
(19185,	2,	269,	1,	1),
(19186,	2,	269,	2,	1),
(19187,	2,	269,	3,	1),
(19188,	2,	269,	1,	2),
(19189,	2,	269,	2,	2),
(19190,	2,	269,	3,	2),
(19191,	2,	270,	1,	1),
(19192,	2,	270,	2,	1),
(19193,	2,	270,	3,	1),
(19194,	2,	270,	1,	3),
(19195,	2,	270,	2,	3),
(19196,	2,	270,	3,	3),
(19197,	2,	271,	1,	1),
(19198,	2,	271,	2,	1),
(19199,	2,	271,	3,	1),
(19200,	2,	271,	1,	3),
(19201,	2,	271,	2,	3),
(19202,	2,	271,	3,	3),
(19203,	2,	272,	1,	1),
(19204,	2,	272,	2,	1),
(19205,	2,	272,	3,	1),
(19206,	2,	272,	1,	3),
(19207,	2,	272,	2,	3),
(19208,	2,	272,	3,	3),
(19209,	2,	273,	1,	1),
(19210,	2,	273,	2,	1),
(19211,	2,	273,	3,	1),
(19212,	2,	274,	1,	1),
(19213,	2,	274,	2,	1),
(19214,	2,	274,	3,	1),
(19215,	2,	274,	23,	1),
(19216,	2,	274,	1,	3),
(19217,	2,	274,	2,	3),
(19218,	2,	274,	3,	3),
(19219,	2,	274,	23,	3),
(19220,	2,	275,	1,	1),
(19221,	2,	275,	2,	1),
(19222,	2,	275,	3,	1),
(19223,	2,	275,	23,	1),
(19224,	2,	275,	1,	3),
(19225,	2,	275,	2,	3),
(19226,	2,	275,	3,	3),
(19227,	2,	275,	23,	3),
(19228,	2,	276,	1,	1),
(19229,	2,	276,	2,	1),
(19230,	2,	276,	3,	1),
(19231,	2,	276,	23,	1),
(19232,	2,	276,	1,	3),
(19233,	2,	276,	2,	3),
(19234,	2,	276,	3,	3),
(19235,	2,	276,	23,	3),
(19236,	2,	277,	1,	1),
(19237,	2,	277,	2,	1),
(19238,	2,	277,	3,	1),
(19239,	2,	277,	1,	2),
(19240,	2,	277,	2,	2),
(19241,	2,	277,	3,	2),
(19242,	2,	278,	1,	1),
(19243,	2,	278,	2,	1),
(19244,	2,	278,	3,	1),
(19245,	2,	279,	1,	1),
(19246,	2,	279,	2,	1),
(19247,	2,	279,	3,	1),
(19248,	2,	279,	1,	2),
(19249,	2,	279,	2,	2),
(19250,	2,	279,	3,	2),
(19251,	2,	280,	1,	1),
(19252,	2,	280,	2,	1),
(19253,	2,	280,	3,	1),
(19254,	2,	280,	1,	3),
(19255,	2,	280,	2,	3),
(19256,	2,	280,	3,	3),
(19257,	2,	281,	1,	1),
(19258,	2,	281,	2,	1),
(19259,	2,	281,	3,	1),
(19260,	2,	281,	23,	1),
(19261,	2,	281,	1,	3),
(19262,	2,	281,	2,	3),
(19263,	2,	281,	3,	3),
(19264,	2,	281,	23,	3),
(19265,	2,	282,	1,	1),
(19266,	2,	282,	2,	1),
(19267,	2,	282,	3,	1),
(19268,	2,	282,	23,	1),
(19269,	2,	282,	1,	3),
(19270,	2,	282,	2,	3),
(19271,	2,	282,	3,	3),
(19272,	2,	282,	23,	3),
(19273,	2,	283,	1,	1),
(19274,	2,	283,	2,	1),
(19275,	2,	283,	3,	1),
(19276,	2,	283,	23,	1),
(19277,	2,	283,	1,	3),
(19278,	2,	283,	2,	3),
(19279,	2,	283,	3,	3),
(19280,	2,	283,	23,	3),
(19281,	2,	284,	1,	1),
(19282,	2,	284,	2,	1),
(19283,	2,	284,	3,	1),
(19284,	2,	284,	23,	1),
(19285,	2,	284,	1,	3),
(19286,	2,	284,	2,	3),
(19287,	2,	284,	3,	3),
(19288,	2,	284,	23,	3),
(19289,	2,	285,	1,	1),
(19290,	2,	285,	2,	1),
(19291,	2,	285,	3,	1),
(19292,	2,	285,	23,	1),
(19293,	2,	285,	1,	2),
(19294,	2,	285,	2,	2),
(19295,	2,	285,	3,	2),
(19296,	2,	285,	23,	2),
(19297,	2,	286,	1,	1),
(19298,	2,	286,	2,	1),
(19299,	2,	286,	3,	1),
(19300,	2,	286,	23,	1),
(19301,	2,	287,	1,	1),
(19302,	2,	287,	2,	1),
(19303,	2,	287,	3,	1),
(19304,	2,	287,	23,	1),
(19305,	2,	287,	1,	2),
(19306,	2,	287,	2,	2),
(19307,	2,	287,	3,	2),
(19308,	2,	287,	23,	2),
(19309,	2,	288,	1,	1),
(19310,	2,	288,	2,	1),
(19311,	2,	288,	3,	1),
(19312,	2,	288,	23,	1),
(19313,	2,	288,	1,	2),
(19314,	2,	288,	2,	2),
(19315,	2,	288,	3,	2),
(19316,	2,	288,	23,	2),
(19317,	2,	289,	1,	1),
(19318,	2,	289,	2,	1),
(19319,	2,	289,	3,	1),
(19320,	2,	290,	1,	1),
(19321,	2,	290,	2,	1),
(19322,	2,	290,	3,	1),
(19323,	2,	291,	1,	1),
(19324,	2,	291,	2,	1),
(19325,	2,	291,	3,	1),
(19326,	2,	291,	1,	3),
(19327,	2,	291,	2,	3),
(19328,	2,	291,	3,	3),
(19329,	2,	292,	1,	1),
(19330,	2,	292,	2,	1),
(19331,	2,	292,	3,	1),
(19332,	2,	292,	1,	2),
(19333,	2,	292,	2,	2),
(19334,	2,	292,	3,	2),
(19335,	2,	293,	1,	1),
(19336,	2,	293,	2,	1),
(19337,	2,	293,	3,	1),
(19338,	2,	294,	1,	1),
(19339,	2,	294,	2,	1),
(19340,	2,	294,	3,	1),
(19341,	2,	294,	1,	2),
(19342,	2,	294,	2,	2),
(19343,	2,	294,	3,	2),
(19344,	2,	295,	1,	1),
(19345,	2,	295,	2,	1),
(19346,	2,	295,	3,	1),
(19347,	2,	295,	1,	3),
(19348,	2,	295,	2,	3),
(19349,	2,	295,	3,	3),
(19350,	2,	296,	1,	1),
(19351,	2,	296,	2,	1),
(19352,	2,	296,	3,	1),
(19353,	2,	296,	1,	3),
(19354,	2,	296,	2,	3),
(19355,	2,	296,	3,	3),
(19356,	2,	297,	1,	1),
(19357,	2,	297,	2,	1),
(19358,	2,	297,	3,	1),
(19359,	2,	297,	1,	3),
(19360,	2,	297,	2,	3),
(19361,	2,	297,	3,	3),
(19362,	2,	298,	1,	1),
(19363,	2,	298,	2,	1),
(19364,	2,	298,	3,	1),
(19365,	2,	298,	1,	3),
(19366,	2,	298,	2,	3),
(19367,	2,	298,	3,	3),
(19368,	2,	299,	1,	1),
(19369,	2,	299,	2,	1),
(19370,	2,	299,	3,	1),
(19371,	2,	299,	1,	2),
(19372,	2,	299,	2,	2),
(19373,	2,	299,	3,	2),
(19374,	2,	300,	1,	1),
(19375,	2,	300,	2,	1),
(19376,	2,	300,	3,	1),
(19377,	2,	300,	1,	2),
(19378,	2,	300,	2,	2),
(19379,	2,	300,	3,	2),
(19380,	2,	301,	1,	1),
(19381,	2,	301,	2,	1),
(19382,	2,	301,	3,	1),
(19383,	2,	301,	1,	2),
(19384,	2,	301,	2,	2),
(19385,	2,	301,	3,	2),
(19386,	2,	302,	1,	1),
(19387,	2,	302,	2,	1),
(19388,	2,	302,	3,	1),
(19389,	2,	302,	1,	2),
(19390,	2,	302,	2,	2),
(19391,	2,	302,	3,	2),
(19392,	2,	303,	1,	1),
(19393,	2,	303,	2,	1),
(19394,	2,	303,	3,	1),
(19395,	2,	303,	1,	2),
(19396,	2,	303,	2,	2),
(19397,	2,	303,	3,	2),
(19398,	2,	304,	1,	1),
(19399,	2,	304,	2,	1),
(19400,	2,	304,	3,	1),
(19401,	2,	304,	1,	2),
(19402,	2,	304,	2,	2),
(19403,	2,	304,	3,	2),
(19404,	2,	305,	1,	1),
(19405,	2,	305,	2,	1),
(19406,	2,	305,	3,	1),
(19407,	2,	305,	1,	2),
(19408,	2,	305,	2,	2),
(19409,	2,	305,	3,	2),
(19410,	2,	306,	1,	1),
(19411,	2,	306,	2,	1),
(19412,	2,	306,	3,	1),
(19413,	2,	306,	1,	3),
(19414,	2,	306,	2,	3),
(19415,	2,	306,	3,	3),
(19416,	2,	307,	1,	1),
(19417,	2,	307,	2,	1),
(19418,	2,	307,	3,	1),
(19419,	2,	307,	1,	2),
(19420,	2,	307,	2,	2),
(19421,	2,	307,	3,	2),
(19422,	2,	308,	1,	1),
(19423,	2,	308,	2,	1),
(19424,	2,	308,	3,	1),
(19425,	2,	308,	1,	2),
(19426,	2,	308,	2,	2),
(19427,	2,	308,	3,	2),
(19428,	2,	309,	1,	1),
(19429,	2,	309,	2,	1),
(19430,	2,	309,	3,	1),
(19431,	2,	309,	23,	1),
(19432,	2,	309,	1,	3),
(19433,	2,	309,	2,	3),
(19434,	2,	309,	3,	3),
(19435,	2,	309,	23,	3),
(19436,	2,	310,	1,	1),
(19437,	2,	310,	2,	1),
(19438,	2,	310,	3,	1),
(19439,	2,	310,	28,	1),
(19440,	2,	310,	23,	1),
(19441,	2,	310,	1,	3),
(19442,	2,	310,	2,	3),
(19443,	2,	310,	3,	3),
(19444,	2,	310,	28,	3),
(19445,	2,	310,	23,	3),
(19446,	2,	311,	1,	1),
(19447,	2,	311,	2,	1),
(19448,	2,	311,	3,	1),
(19449,	2,	311,	1,	3),
(19450,	2,	311,	2,	3),
(19451,	2,	311,	3,	3),
(19452,	2,	312,	1,	1),
(19453,	2,	312,	2,	1),
(19454,	2,	312,	3,	1),
(19455,	2,	312,	1,	3),
(19456,	2,	312,	2,	3),
(19457,	2,	312,	3,	3),
(19458,	2,	313,	1,	1),
(19459,	2,	313,	2,	1),
(19460,	2,	313,	3,	1),
(19461,	2,	313,	1,	3),
(19462,	2,	313,	2,	3),
(19463,	2,	313,	3,	3),
(19464,	2,	314,	1,	1),
(19465,	2,	314,	2,	1),
(19466,	2,	314,	3,	1),
(19467,	2,	314,	1,	3),
(19468,	2,	314,	2,	3),
(19469,	2,	314,	3,	3),
(19470,	2,	315,	1,	1),
(19471,	2,	315,	2,	1),
(19472,	2,	315,	3,	1),
(19473,	2,	315,	1,	2),
(19474,	2,	315,	2,	2),
(19475,	2,	315,	3,	2),
(19476,	2,	316,	1,	1),
(19477,	2,	316,	2,	1),
(19478,	2,	316,	3,	1),
(19479,	2,	317,	1,	1),
(19480,	2,	317,	2,	1),
(19481,	2,	317,	3,	1),
(19482,	2,	317,	1,	2),
(19483,	2,	317,	2,	2),
(19484,	2,	317,	3,	2),
(19485,	2,	318,	1,	1),
(19486,	2,	318,	2,	1),
(19487,	2,	318,	3,	1),
(19488,	2,	318,	1,	2),
(19489,	2,	318,	2,	2),
(19490,	2,	318,	3,	2),
(19491,	2,	319,	1,	1),
(19492,	2,	319,	2,	1),
(19493,	2,	319,	3,	1),
(19494,	2,	319,	1,	3),
(19495,	2,	319,	2,	3),
(19496,	2,	319,	3,	3),
(19497,	2,	320,	1,	1),
(19498,	2,	320,	2,	1),
(19499,	2,	320,	3,	1),
(19500,	2,	321,	1,	1),
(19501,	2,	321,	2,	1),
(19502,	2,	321,	3,	1),
(19503,	2,	321,	1,	3),
(19504,	2,	321,	2,	3),
(19505,	2,	321,	3,	3),
(19506,	2,	322,	1,	1),
(19507,	2,	322,	2,	1),
(19508,	2,	322,	3,	1),
(19509,	2,	322,	1,	2),
(19510,	2,	322,	2,	2),
(19511,	2,	322,	3,	2),
(19512,	2,	323,	1,	1),
(19513,	2,	323,	2,	1),
(19514,	2,	323,	3,	1),
(19515,	2,	323,	1,	2),
(19516,	2,	323,	2,	2),
(19517,	2,	323,	3,	2),
(19518,	2,	324,	1,	1),
(19519,	2,	324,	2,	1),
(19520,	2,	324,	3,	1),
(19521,	2,	324,	1,	3),
(19522,	2,	324,	2,	3),
(19523,	2,	324,	3,	3),
(19524,	2,	325,	1,	1),
(19525,	2,	325,	2,	1),
(19526,	2,	325,	3,	1),
(19527,	2,	325,	1,	3),
(19528,	2,	325,	2,	3),
(19529,	2,	325,	3,	3),
(19530,	2,	326,	1,	1),
(19531,	2,	326,	2,	1),
(19532,	2,	326,	3,	1),
(19533,	2,	326,	1,	3),
(19534,	2,	326,	2,	3),
(19535,	2,	326,	3,	3),
(19536,	2,	327,	1,	1),
(19537,	2,	327,	2,	1),
(19538,	2,	327,	3,	1),
(19539,	2,	328,	1,	1),
(19540,	2,	328,	2,	1),
(19541,	2,	328,	3,	1),
(19542,	2,	328,	1,	3),
(19543,	2,	328,	2,	3),
(19544,	2,	328,	3,	3),
(19545,	2,	329,	1,	1),
(19546,	2,	329,	2,	1),
(19547,	2,	329,	3,	1),
(19548,	2,	329,	1,	3),
(19549,	2,	329,	2,	3),
(19550,	2,	329,	3,	3),
(19551,	2,	330,	1,	1),
(19552,	2,	330,	2,	1),
(19553,	2,	330,	3,	1),
(19554,	2,	330,	1,	3),
(19555,	2,	330,	2,	3),
(19556,	2,	330,	3,	3),
(19557,	2,	331,	1,	1),
(19558,	2,	331,	2,	1),
(19559,	2,	331,	3,	1),
(19560,	2,	331,	1,	2),
(19561,	2,	331,	2,	2),
(19562,	2,	331,	3,	2),
(19563,	2,	332,	1,	1),
(19564,	2,	332,	2,	1),
(19565,	2,	332,	3,	1),
(19566,	2,	333,	1,	1),
(19567,	2,	333,	2,	1),
(19568,	2,	333,	3,	1),
(19569,	2,	333,	1,	3),
(19570,	2,	333,	2,	3),
(19571,	2,	333,	3,	3),
(19572,	2,	334,	1,	1),
(19573,	2,	334,	2,	1),
(19574,	2,	334,	3,	1),
(19575,	2,	334,	1,	3),
(19576,	2,	334,	2,	3),
(19577,	2,	334,	3,	3),
(19578,	2,	335,	1,	1),
(19579,	2,	335,	2,	1),
(19580,	2,	335,	3,	1),
(19581,	2,	335,	1,	3),
(19582,	2,	335,	2,	3),
(19583,	2,	335,	3,	3),
(19584,	2,	336,	1,	1),
(19585,	2,	336,	2,	1),
(19586,	2,	336,	3,	1),
(19587,	2,	336,	1,	3),
(19588,	2,	336,	2,	3),
(19589,	2,	336,	3,	3),
(19590,	2,	337,	1,	1),
(19591,	2,	337,	2,	1),
(19592,	2,	337,	3,	1),
(19593,	2,	337,	1,	3),
(19594,	2,	337,	2,	3),
(19595,	2,	337,	3,	3),
(19596,	2,	337,	1,	2),
(19597,	2,	337,	2,	2),
(19598,	2,	337,	3,	2),
(19599,	2,	338,	1,	1),
(19600,	2,	338,	2,	1),
(19601,	2,	338,	3,	1),
(19602,	2,	338,	1,	2),
(19603,	2,	338,	2,	2),
(19604,	2,	338,	3,	2),
(19605,	2,	339,	1,	1),
(19606,	2,	339,	2,	1),
(19607,	2,	339,	3,	1),
(19608,	2,	339,	1,	3),
(19609,	2,	339,	2,	3),
(19610,	2,	339,	3,	3),
(19611,	2,	340,	1,	1),
(19612,	2,	340,	2,	1),
(19613,	2,	340,	3,	1),
(19614,	2,	340,	1,	3),
(19615,	2,	340,	2,	3),
(19616,	2,	340,	3,	3),
(19617,	2,	341,	1,	1),
(19618,	2,	341,	2,	1),
(19619,	2,	341,	3,	1),
(19620,	2,	341,	1,	3),
(19621,	2,	341,	2,	3),
(19622,	2,	341,	3,	3),
(19623,	2,	342,	1,	1),
(19624,	2,	342,	2,	1),
(19625,	2,	342,	3,	1),
(19626,	2,	342,	1,	2),
(19627,	2,	342,	2,	2),
(19628,	2,	342,	3,	2),
(19629,	2,	343,	1,	1),
(19630,	2,	343,	2,	1),
(19631,	2,	343,	3,	1),
(19632,	2,	343,	1,	3),
(19633,	2,	343,	2,	3),
(19634,	2,	343,	3,	3),
(19635,	2,	344,	1,	1),
(19636,	2,	344,	2,	1),
(19637,	2,	344,	3,	1),
(19638,	2,	344,	1,	3),
(19639,	2,	344,	2,	3),
(19640,	2,	344,	3,	3),
(19641,	2,	345,	1,	1),
(19642,	2,	345,	2,	1),
(19643,	2,	345,	3,	1),
(19644,	2,	345,	1,	3),
(19645,	2,	345,	2,	3),
(19646,	2,	345,	3,	3),
(19647,	2,	346,	1,	1),
(19648,	2,	346,	2,	1),
(19649,	2,	346,	3,	1),
(19650,	2,	346,	1,	3),
(19651,	2,	346,	2,	3),
(19652,	2,	346,	3,	3),
(19653,	2,	346,	1,	2),
(19654,	2,	346,	2,	2),
(19655,	2,	346,	3,	2),
(19656,	2,	347,	1,	1),
(19657,	2,	347,	2,	1),
(19658,	2,	347,	3,	1),
(19659,	2,	347,	1,	3),
(19660,	2,	347,	2,	3),
(19661,	2,	347,	3,	3),
(19662,	2,	347,	1,	2),
(19663,	2,	347,	2,	2),
(19664,	2,	347,	3,	2),
(19665,	2,	348,	1,	1),
(19666,	2,	348,	2,	1),
(19667,	2,	348,	3,	1),
(19668,	2,	348,	1,	3),
(19669,	2,	348,	2,	3),
(19670,	2,	348,	3,	3),
(19671,	2,	349,	1,	1),
(19672,	2,	349,	2,	1),
(19673,	2,	349,	3,	1),
(19674,	2,	349,	1,	3),
(19675,	2,	349,	2,	3),
(19676,	2,	349,	3,	3),
(19677,	2,	350,	1,	1),
(19678,	2,	350,	2,	1),
(19679,	2,	350,	3,	1),
(19680,	2,	350,	1,	3),
(19681,	2,	350,	2,	3),
(19682,	2,	350,	3,	3),
(19683,	2,	351,	1,	1),
(19684,	2,	351,	2,	1),
(19685,	2,	351,	3,	1),
(19686,	2,	351,	1,	2),
(19687,	2,	351,	2,	2),
(19688,	2,	351,	3,	2),
(19689,	2,	352,	1,	1),
(19690,	2,	352,	2,	1),
(19691,	2,	352,	3,	1),
(19692,	2,	352,	1,	3),
(19693,	2,	352,	2,	3),
(19694,	2,	352,	3,	3),
(19695,	2,	353,	1,	1),
(19696,	2,	353,	2,	1),
(19697,	2,	353,	3,	1),
(19698,	2,	353,	1,	3),
(19699,	2,	353,	2,	3),
(19700,	2,	353,	3,	3),
(19701,	2,	354,	1,	1),
(19702,	2,	354,	2,	1),
(19703,	2,	354,	3,	1),
(19704,	2,	354,	1,	3),
(19705,	2,	354,	2,	3),
(19706,	2,	354,	3,	3),
(19707,	2,	355,	1,	1),
(19708,	2,	355,	2,	1),
(19709,	2,	355,	3,	1),
(19710,	2,	355,	29,	1),
(19711,	2,	356,	1,	1),
(19712,	2,	356,	2,	1),
(19713,	2,	356,	3,	1),
(19714,	2,	356,	1,	2),
(19715,	2,	356,	2,	2),
(19716,	2,	356,	3,	2),
(19717,	2,	357,	1,	1),
(19718,	2,	357,	2,	1),
(19719,	2,	357,	3,	1),
(19720,	2,	357,	1,	2),
(19721,	2,	357,	2,	2),
(19722,	2,	357,	3,	2),
(19723,	2,	358,	1,	1),
(19724,	2,	358,	2,	1),
(19725,	2,	358,	3,	1),
(19726,	2,	358,	1,	2),
(19727,	2,	358,	2,	2),
(19728,	2,	358,	3,	2),
(19729,	2,	359,	1,	1),
(19730,	2,	359,	2,	1),
(19731,	2,	359,	3,	1),
(19732,	2,	360,	1,	1),
(19733,	2,	360,	2,	1),
(19734,	2,	360,	3,	1),
(19735,	2,	361,	1,	1),
(19736,	2,	361,	2,	1),
(19737,	2,	361,	3,	1),
(19738,	2,	361,	1,	2),
(19739,	2,	361,	2,	2),
(19740,	2,	361,	3,	2),
(19741,	2,	362,	1,	1),
(19742,	2,	362,	2,	1),
(19743,	2,	362,	3,	1),
(19744,	2,	362,	1,	3),
(19745,	2,	362,	2,	3),
(19746,	2,	362,	3,	3),
(19747,	2,	363,	1,	1),
(19748,	2,	363,	2,	1),
(19749,	2,	363,	3,	1),
(19750,	2,	363,	1,	3),
(19751,	2,	363,	2,	3),
(19752,	2,	363,	3,	3),
(19753,	2,	364,	1,	1),
(19754,	2,	364,	2,	1),
(19755,	2,	364,	3,	1),
(19756,	2,	364,	1,	3),
(19757,	2,	364,	2,	3),
(19758,	2,	364,	3,	3),
(19759,	2,	365,	1,	1),
(19760,	2,	365,	2,	1),
(19761,	2,	365,	3,	1),
(19762,	2,	365,	1,	2),
(19763,	2,	365,	2,	2),
(19764,	2,	365,	3,	2),
(19765,	2,	366,	1,	1),
(19766,	2,	366,	2,	1),
(19767,	2,	366,	3,	1),
(19768,	2,	367,	1,	1),
(19769,	2,	367,	2,	1),
(19770,	2,	367,	3,	1),
(19771,	2,	367,	1,	3),
(19772,	2,	367,	2,	3),
(19773,	2,	367,	3,	3),
(19774,	2,	368,	1,	1),
(19775,	2,	368,	2,	1),
(19776,	2,	368,	3,	1),
(19777,	2,	368,	1,	3),
(19778,	2,	368,	2,	3),
(19779,	2,	368,	3,	3),
(19780,	2,	369,	1,	1),
(19781,	2,	369,	2,	1),
(19782,	2,	369,	3,	1),
(19783,	2,	369,	29,	1),
(19784,	2,	369,	30,	1),
(19785,	2,	370,	1,	1),
(19786,	2,	370,	2,	1),
(19787,	2,	370,	3,	1),
(19788,	2,	370,	29,	1),
(19789,	2,	370,	30,	1),
(19790,	2,	371,	1,	1),
(19791,	2,	371,	2,	1),
(19792,	2,	371,	3,	1),
(19793,	2,	372,	1,	1),
(19794,	2,	372,	2,	1),
(19795,	2,	372,	3,	1),
(19796,	2,	372,	1,	2),
(19797,	2,	372,	2,	2),
(19798,	2,	372,	3,	2),
(19799,	2,	373,	1,	1),
(19800,	2,	373,	2,	1),
(19801,	2,	373,	3,	1),
(19802,	2,	373,	23,	1),
(19803,	2,	374,	1,	1),
(19804,	2,	374,	2,	1),
(19805,	2,	374,	3,	1),
(19806,	2,	374,	28,	1),
(19807,	2,	374,	1,	3),
(19808,	2,	374,	2,	3),
(19809,	2,	374,	3,	3),
(19810,	2,	374,	28,	3),
(19811,	2,	375,	1,	1),
(19812,	2,	375,	2,	1),
(19813,	2,	375,	3,	1),
(19814,	2,	375,	23,	1),
(19815,	2,	375,	28,	1),
(19816,	2,	375,	1,	3),
(19817,	2,	375,	2,	3),
(19818,	2,	375,	3,	3),
(19819,	2,	375,	23,	3),
(19820,	2,	375,	28,	3),
(19821,	2,	376,	1,	1),
(19822,	2,	376,	2,	1),
(19823,	2,	376,	3,	1),
(19824,	2,	376,	1,	2),
(19825,	2,	376,	2,	2),
(19826,	2,	376,	3,	2),
(19827,	2,	377,	1,	1),
(19828,	2,	377,	2,	1),
(19829,	2,	377,	3,	1),
(19830,	2,	377,	1,	3),
(19831,	2,	377,	2,	3),
(19832,	2,	377,	3,	3),
(19833,	2,	378,	1,	1),
(19834,	2,	378,	2,	1),
(19835,	2,	378,	3,	1),
(19836,	2,	378,	23,	1),
(19837,	2,	378,	28,	1),
(19838,	2,	378,	1,	3),
(19839,	2,	378,	2,	3),
(19840,	2,	378,	3,	3),
(19841,	2,	378,	23,	3),
(19842,	2,	378,	28,	3),
(19843,	2,	379,	1,	1),
(19844,	2,	379,	2,	1),
(19845,	2,	379,	3,	1),
(19846,	2,	380,	1,	1),
(19847,	2,	380,	2,	1),
(19848,	2,	380,	3,	1),
(19849,	2,	381,	1,	1),
(19850,	2,	381,	2,	1),
(19851,	2,	381,	3,	1),
(19852,	2,	381,	1,	2),
(19853,	2,	381,	2,	2),
(19854,	2,	381,	3,	2),
(19855,	2,	382,	1,	1),
(19856,	2,	382,	2,	1),
(19857,	2,	382,	3,	1),
(19858,	2,	382,	23,	1),
(19859,	2,	383,	1,	1),
(19860,	2,	383,	2,	1),
(19861,	2,	383,	3,	1),
(19862,	2,	383,	1,	2),
(19863,	2,	383,	2,	2),
(19864,	2,	383,	3,	2),
(19865,	2,	384,	1,	1),
(19866,	2,	384,	2,	1),
(19867,	2,	384,	3,	1),
(19868,	2,	384,	23,	1),
(19869,	2,	384,	1,	3),
(19870,	2,	384,	2,	3),
(19871,	2,	384,	3,	3),
(19872,	2,	384,	23,	3),
(19873,	2,	385,	1,	1),
(19874,	2,	385,	2,	1),
(19875,	2,	385,	3,	1),
(19876,	2,	385,	1,	3),
(19877,	2,	385,	2,	3),
(19878,	2,	385,	3,	3),
(19879,	2,	386,	1,	1),
(19880,	2,	386,	2,	1),
(19881,	2,	386,	3,	1),
(19882,	2,	386,	1,	2),
(19883,	2,	386,	2,	2),
(19884,	2,	386,	3,	2),
(19885,	2,	387,	1,	1),
(19886,	2,	387,	2,	1),
(19887,	2,	387,	3,	1),
(19888,	2,	387,	1,	2),
(19889,	2,	387,	2,	2),
(19890,	2,	387,	3,	2),
(19891,	2,	388,	1,	1),
(19892,	2,	388,	2,	1),
(19893,	2,	388,	3,	1),
(19894,	2,	388,	1,	2),
(19895,	2,	388,	2,	2),
(19896,	2,	388,	3,	2),
(19897,	2,	389,	1,	1),
(19898,	2,	389,	2,	1),
(19899,	2,	389,	3,	1),
(19900,	2,	389,	1,	2),
(19901,	2,	389,	2,	2),
(19902,	2,	389,	3,	2),
(19903,	2,	390,	1,	1),
(19904,	2,	390,	2,	1),
(19905,	2,	390,	3,	1),
(19906,	2,	391,	1,	1),
(19907,	2,	391,	2,	1),
(19908,	2,	391,	3,	1),
(19909,	2,	391,	1,	2),
(19910,	2,	391,	2,	2),
(19911,	2,	391,	3,	2),
(19912,	2,	392,	1,	1),
(19913,	2,	392,	2,	1),
(19914,	2,	392,	3,	1),
(19915,	2,	392,	1,	2),
(19916,	2,	392,	2,	2),
(19917,	2,	392,	3,	2),
(19918,	2,	393,	1,	1),
(19919,	2,	393,	2,	1),
(19920,	2,	393,	3,	1),
(19921,	2,	393,	1,	2),
(19922,	2,	393,	2,	2),
(19923,	2,	393,	3,	2),
(19924,	2,	394,	1,	1),
(19925,	2,	394,	2,	1),
(19926,	2,	394,	3,	1),
(19927,	2,	394,	1,	2),
(19928,	2,	394,	2,	2),
(19929,	2,	394,	3,	2),
(19930,	2,	395,	1,	1),
(19931,	2,	395,	2,	1),
(19932,	2,	395,	3,	1),
(19933,	2,	395,	1,	2),
(19934,	2,	395,	2,	2),
(19935,	2,	395,	3,	2),
(19936,	2,	396,	1,	1),
(19937,	2,	396,	2,	1),
(19938,	2,	396,	3,	1),
(19939,	2,	396,	6,	1),
(19940,	2,	396,	24,	1),
(19941,	2,	396,	5,	1),
(19942,	2,	396,	1,	2),
(19943,	2,	396,	2,	2),
(19944,	2,	396,	3,	2),
(19945,	2,	396,	6,	2),
(19946,	2,	396,	24,	2),
(19947,	2,	396,	5,	2),
(19948,	2,	397,	1,	1),
(19949,	2,	397,	2,	1),
(19950,	2,	397,	3,	1),
(19951,	2,	397,	6,	1),
(19952,	2,	397,	24,	1),
(19953,	2,	397,	5,	1),
(19954,	2,	397,	1,	2),
(19955,	2,	397,	2,	2),
(19956,	2,	397,	3,	2),
(19957,	2,	397,	6,	2),
(19958,	2,	397,	24,	2),
(19959,	2,	397,	5,	2),
(19960,	2,	398,	1,	1),
(19961,	2,	398,	2,	1),
(19962,	2,	398,	3,	1),
(19963,	2,	398,	6,	1),
(19964,	2,	398,	24,	1),
(19965,	2,	398,	25,	1),
(19966,	2,	398,	4,	1),
(19967,	2,	398,	1,	3),
(19968,	2,	398,	2,	3),
(19969,	2,	398,	3,	3),
(19970,	2,	398,	6,	3),
(19971,	2,	398,	24,	3),
(19972,	2,	398,	25,	3),
(19973,	2,	398,	4,	3),
(19974,	2,	399,	1,	1),
(19975,	2,	399,	2,	1),
(19976,	2,	399,	3,	1),
(19977,	2,	399,	6,	1),
(19978,	2,	399,	24,	1),
(19979,	2,	399,	25,	1),
(19980,	2,	399,	4,	1),
(19981,	2,	399,	5,	1),
(19982,	2,	399,	1,	3),
(19983,	2,	399,	2,	3),
(19984,	2,	399,	3,	3),
(19985,	2,	399,	6,	3),
(19986,	2,	399,	24,	3),
(19987,	2,	399,	25,	3),
(19988,	2,	399,	4,	3),
(19989,	2,	399,	5,	3),
(19990,	2,	400,	1,	1),
(19991,	2,	400,	2,	1),
(19992,	2,	400,	3,	1),
(19993,	2,	400,	1,	3),
(19994,	2,	400,	2,	3),
(19995,	2,	400,	3,	3),
(19996,	2,	400,	1,	2),
(19997,	2,	400,	2,	2),
(19998,	2,	400,	3,	2),
(19999,	2,	401,	1,	1),
(20000,	2,	401,	2,	1),
(20001,	2,	401,	3,	1),
(20002,	2,	401,	6,	1),
(20003,	2,	401,	24,	1),
(20004,	2,	401,	25,	1),
(20005,	2,	401,	4,	1),
(20006,	2,	401,	5,	1),
(20007,	2,	401,	1,	3),
(20008,	2,	401,	2,	3),
(20009,	2,	401,	3,	3),
(20010,	2,	401,	6,	3),
(20011,	2,	401,	24,	3),
(20012,	2,	401,	25,	3),
(20013,	2,	401,	4,	3),
(20014,	2,	401,	5,	3),
(20015,	2,	402,	1,	1),
(20016,	2,	402,	2,	1),
(20017,	2,	402,	3,	1),
(20018,	2,	402,	6,	1),
(20019,	2,	402,	24,	1),
(20020,	2,	402,	25,	1),
(20021,	2,	402,	4,	1),
(20022,	2,	402,	5,	1),
(20023,	2,	402,	1,	3),
(20024,	2,	402,	2,	3),
(20025,	2,	402,	3,	3),
(20026,	2,	402,	6,	3),
(20027,	2,	402,	24,	3),
(20028,	2,	402,	25,	3),
(20029,	2,	402,	4,	3),
(20030,	2,	402,	5,	3),
(20031,	2,	403,	1,	1),
(20032,	2,	403,	2,	1),
(20033,	2,	403,	3,	1),
(20034,	2,	403,	6,	1),
(20035,	2,	403,	24,	1),
(20036,	2,	403,	5,	1),
(20037,	2,	403,	1,	2),
(20038,	2,	403,	2,	2),
(20039,	2,	403,	3,	2),
(20040,	2,	403,	6,	2),
(20041,	2,	403,	24,	2),
(20042,	2,	403,	5,	2),
(20043,	2,	404,	1,	1),
(20044,	2,	404,	2,	1),
(20045,	2,	404,	3,	1),
(20046,	2,	404,	1,	2),
(20047,	2,	404,	2,	2),
(20048,	2,	404,	3,	2),
(20049,	2,	405,	1,	1),
(20050,	2,	405,	2,	1),
(20051,	2,	405,	3,	1),
(20052,	2,	405,	1,	2),
(20053,	2,	405,	2,	2),
(20054,	2,	405,	3,	2),
(20055,	2,	406,	1,	1),
(20056,	2,	406,	2,	1),
(20057,	2,	406,	3,	1),
(20058,	2,	406,	1,	2),
(20059,	2,	406,	2,	2),
(20060,	2,	406,	3,	2),
(20061,	2,	407,	1,	1),
(20062,	2,	407,	2,	1),
(20063,	2,	407,	3,	1),
(20064,	2,	407,	1,	2),
(20065,	2,	407,	2,	2),
(20066,	2,	407,	3,	2),
(20067,	2,	408,	1,	1),
(20068,	2,	408,	2,	1),
(20069,	2,	408,	3,	1),
(20070,	2,	409,	1,	1),
(20071,	2,	409,	2,	1),
(20072,	2,	409,	3,	1),
(20073,	2,	409,	1,	3),
(20074,	2,	409,	2,	3),
(20075,	2,	409,	3,	3),
(20076,	2,	410,	1,	1),
(20077,	2,	410,	2,	1),
(20078,	2,	410,	3,	1),
(20079,	2,	410,	1,	2),
(20080,	2,	410,	2,	2),
(20081,	2,	410,	3,	2),
(20082,	2,	411,	1,	1),
(20083,	2,	411,	2,	1),
(20084,	2,	411,	3,	1),
(20085,	2,	411,	1,	2),
(20086,	2,	411,	2,	2),
(20087,	2,	411,	3,	2),
(20088,	2,	412,	1,	1),
(20089,	2,	412,	2,	1),
(20090,	2,	412,	3,	1),
(20091,	2,	413,	1,	1),
(20092,	2,	413,	2,	1),
(20093,	2,	413,	3,	1),
(20094,	2,	413,	1,	2),
(20095,	2,	413,	2,	2),
(20096,	2,	413,	3,	2),
(20097,	2,	414,	1,	1),
(20098,	2,	414,	2,	1),
(20099,	2,	414,	3,	1),
(20100,	2,	414,	1,	2),
(20101,	2,	414,	2,	2),
(20102,	2,	414,	3,	2),
(20103,	2,	415,	1,	1),
(20104,	2,	415,	2,	1),
(20105,	2,	415,	3,	1),
(20106,	2,	415,	1,	2),
(20107,	2,	415,	2,	2),
(20108,	2,	415,	3,	2),
(20109,	2,	416,	1,	1),
(20110,	2,	416,	2,	1),
(20111,	2,	416,	3,	1),
(20112,	2,	416,	1,	2),
(20113,	2,	416,	2,	2),
(20114,	2,	416,	3,	2),
(20115,	2,	417,	1,	1),
(20116,	2,	417,	2,	1),
(20117,	2,	417,	3,	1),
(20118,	2,	418,	1,	1),
(20119,	2,	418,	2,	1),
(20120,	2,	418,	3,	1),
(20121,	2,	418,	1,	2),
(20122,	2,	418,	2,	2),
(20123,	2,	418,	3,	2),
(20124,	2,	419,	1,	1),
(20125,	2,	419,	2,	1),
(20126,	2,	419,	3,	1),
(20127,	2,	419,	1,	2),
(20128,	2,	419,	2,	2),
(20129,	2,	419,	3,	2),
(20130,	2,	420,	1,	1),
(20131,	2,	420,	2,	1),
(20132,	2,	420,	3,	1),
(20133,	2,	420,	1,	2),
(20134,	2,	420,	2,	2),
(20135,	2,	420,	3,	2),
(20136,	2,	421,	1,	1),
(20137,	2,	421,	2,	1),
(20138,	2,	421,	3,	1),
(20139,	2,	421,	1,	2),
(20140,	2,	421,	2,	2),
(20141,	2,	421,	3,	2),
(20142,	2,	422,	1,	1),
(20143,	2,	422,	2,	1),
(20144,	2,	422,	3,	1),
(20145,	2,	422,	1,	3),
(20146,	2,	422,	2,	3),
(20147,	2,	422,	3,	3),
(20148,	2,	423,	1,	1),
(20149,	2,	423,	2,	1),
(20150,	2,	423,	3,	1),
(20151,	2,	423,	1,	2),
(20152,	2,	423,	2,	2),
(20153,	2,	423,	3,	2),
(20154,	2,	424,	1,	1),
(20155,	2,	424,	2,	1),
(20156,	2,	424,	3,	1),
(20157,	2,	424,	1,	2),
(20158,	2,	424,	2,	2),
(20159,	2,	424,	3,	2),
(20160,	2,	425,	1,	1),
(20161,	2,	425,	2,	1),
(20162,	2,	425,	3,	1),
(20163,	2,	425,	1,	2),
(20164,	2,	425,	2,	2),
(20165,	2,	425,	3,	2),
(20166,	2,	426,	1,	1),
(20167,	2,	426,	2,	1),
(20168,	2,	426,	3,	1),
(20169,	2,	426,	1,	2),
(20170,	2,	426,	2,	2),
(20171,	2,	426,	3,	2),
(20172,	2,	427,	1,	1),
(20173,	2,	427,	2,	1),
(20174,	2,	427,	3,	1),
(20175,	2,	428,	1,	1),
(20176,	2,	428,	2,	1),
(20177,	2,	428,	3,	1),
(20178,	2,	428,	1,	3),
(20179,	2,	428,	2,	3),
(20180,	2,	428,	3,	3),
(20181,	2,	429,	1,	1),
(20182,	2,	429,	2,	1),
(20183,	2,	429,	3,	1),
(20184,	2,	429,	1,	3),
(20185,	2,	429,	2,	3),
(20186,	2,	429,	3,	3),
(20187,	2,	430,	1,	1),
(20188,	2,	430,	2,	1),
(20189,	2,	430,	3,	1),
(20190,	2,	430,	1,	3),
(20191,	2,	430,	2,	3),
(20192,	2,	430,	3,	3),
(20193,	2,	430,	1,	2),
(20194,	2,	430,	2,	2),
(20195,	2,	430,	3,	2),
(20196,	2,	431,	1,	1),
(20197,	2,	431,	2,	1),
(20198,	2,	431,	3,	1),
(20199,	2,	431,	1,	3),
(20200,	2,	431,	2,	3),
(20201,	2,	431,	3,	3),
(20202,	2,	431,	1,	2),
(20203,	2,	431,	2,	2),
(20204,	2,	431,	3,	2),
(20205,	2,	432,	1,	1),
(20206,	2,	432,	2,	1),
(20207,	2,	432,	3,	1),
(20208,	2,	432,	1,	3),
(20209,	2,	432,	2,	3),
(20210,	2,	432,	3,	3),
(20211,	2,	432,	1,	2),
(20212,	2,	432,	2,	2),
(20213,	2,	432,	3,	2),
(20214,	2,	433,	1,	1),
(20215,	2,	433,	2,	1),
(20216,	2,	433,	3,	1),
(20217,	2,	433,	1,	2),
(20218,	2,	433,	2,	2),
(20219,	2,	433,	3,	2),
(20220,	2,	434,	1,	1),
(20221,	2,	434,	2,	1),
(20222,	2,	434,	3,	1),
(20223,	2,	434,	1,	2),
(20224,	2,	434,	2,	2),
(20225,	2,	434,	3,	2),
(20226,	2,	435,	1,	1),
(20227,	2,	435,	2,	1),
(20228,	2,	435,	3,	1),
(20229,	2,	435,	1,	2),
(20230,	2,	435,	2,	2),
(20231,	2,	435,	3,	2),
(20232,	2,	436,	1,	1),
(20233,	2,	436,	2,	1),
(20234,	2,	436,	3,	1),
(20235,	2,	436,	1,	2),
(20236,	2,	436,	2,	2),
(20237,	2,	436,	3,	2),
(20238,	2,	437,	1,	1),
(20239,	2,	437,	2,	1),
(20240,	2,	437,	3,	1),
(20241,	2,	437,	1,	2),
(20242,	2,	437,	2,	2),
(20243,	2,	437,	3,	2),
(20244,	2,	438,	1,	1),
(20245,	2,	438,	2,	1),
(20246,	2,	438,	3,	1),
(20247,	2,	438,	1,	2),
(20248,	2,	438,	2,	2),
(20249,	2,	438,	3,	2),
(20250,	2,	439,	1,	1),
(20251,	2,	439,	2,	1),
(20252,	2,	439,	3,	1),
(20253,	2,	439,	1,	2),
(20254,	2,	439,	2,	2),
(20255,	2,	439,	3,	2),
(20256,	2,	440,	1,	1),
(20257,	2,	440,	2,	1),
(20258,	2,	440,	3,	1),
(20259,	2,	440,	1,	3),
(20260,	2,	440,	2,	3),
(20261,	2,	440,	3,	3),
(20262,	2,	441,	1,	1),
(20263,	2,	441,	2,	1),
(20264,	2,	441,	3,	1),
(20265,	2,	441,	1,	3),
(20266,	2,	441,	2,	3),
(20267,	2,	441,	3,	3),
(20268,	2,	442,	1,	1),
(20269,	2,	442,	2,	1),
(20270,	2,	442,	3,	1),
(20271,	2,	442,	1,	3),
(20272,	2,	442,	2,	3),
(20273,	2,	442,	3,	3),
(20274,	2,	443,	1,	1),
(20275,	2,	443,	2,	1),
(20276,	2,	443,	3,	1),
(20277,	2,	443,	1,	2),
(20278,	2,	443,	2,	2),
(20279,	2,	443,	3,	2),
(20280,	2,	444,	1,	1),
(20281,	2,	444,	2,	1),
(20282,	2,	444,	3,	1),
(20283,	2,	444,	1,	3),
(20284,	2,	444,	2,	3),
(20285,	2,	444,	3,	3),
(20286,	2,	445,	1,	1),
(20287,	2,	445,	2,	1),
(20288,	2,	445,	3,	1),
(20289,	2,	445,	1,	3),
(20290,	2,	445,	2,	3),
(20291,	2,	445,	3,	3),
(20292,	2,	446,	1,	1),
(20293,	2,	446,	2,	1),
(20294,	2,	446,	3,	1),
(20295,	2,	446,	1,	2),
(20296,	2,	446,	2,	2),
(20297,	2,	446,	3,	2),
(20298,	2,	447,	1,	1),
(20299,	2,	447,	2,	1),
(20300,	2,	447,	3,	1),
(20301,	2,	447,	1,	3),
(20302,	2,	447,	2,	3),
(20303,	2,	447,	3,	3),
(20304,	2,	448,	1,	1),
(20305,	2,	448,	2,	1),
(20306,	2,	448,	3,	1),
(20307,	2,	448,	1,	2),
(20308,	2,	448,	2,	2),
(20309,	2,	448,	3,	2),
(20310,	2,	449,	1,	1),
(20311,	2,	449,	2,	1),
(20312,	2,	449,	3,	1),
(20313,	2,	449,	1,	2),
(20314,	2,	449,	2,	2),
(20315,	2,	449,	3,	2),
(20316,	2,	450,	1,	1),
(20317,	2,	450,	2,	1),
(20318,	2,	450,	3,	1),
(20319,	2,	450,	1,	3),
(20320,	2,	450,	2,	3),
(20321,	2,	450,	3,	3),
(20322,	2,	451,	1,	1),
(20323,	2,	451,	2,	1),
(20324,	2,	451,	3,	1),
(20325,	2,	451,	1,	2),
(20326,	2,	451,	2,	2),
(20327,	2,	451,	3,	2),
(20328,	2,	452,	1,	1),
(20329,	2,	452,	2,	1),
(20330,	2,	452,	3,	1),
(20331,	2,	452,	1,	2),
(20332,	2,	452,	2,	2),
(20333,	2,	452,	3,	2),
(20334,	2,	453,	1,	1),
(20335,	2,	453,	2,	1),
(20336,	2,	453,	3,	1),
(20337,	2,	453,	1,	3),
(20338,	2,	453,	2,	3),
(20339,	2,	453,	3,	3),
(20340,	2,	454,	1,	1),
(20341,	2,	454,	2,	1),
(20342,	2,	454,	3,	1),
(20343,	2,	454,	1,	2),
(20344,	2,	454,	2,	2),
(20345,	2,	454,	3,	2),
(20346,	2,	455,	1,	1),
(20347,	2,	455,	2,	1),
(20348,	2,	455,	3,	1),
(20349,	2,	456,	1,	1),
(20350,	2,	456,	2,	1),
(20351,	2,	456,	3,	1),
(20352,	2,	456,	1,	2),
(20353,	2,	456,	2,	2),
(20354,	2,	456,	3,	2),
(20355,	2,	457,	1,	1),
(20356,	2,	457,	2,	1),
(20357,	2,	457,	3,	1),
(20358,	2,	457,	1,	2),
(20359,	2,	457,	2,	2),
(20360,	2,	457,	3,	2),
(20361,	2,	458,	1,	1),
(20362,	2,	458,	2,	1),
(20363,	2,	458,	3,	1),
(20364,	2,	458,	1,	3),
(20365,	2,	458,	2,	3),
(20366,	2,	458,	3,	3),
(20367,	2,	459,	1,	1),
(20368,	2,	459,	2,	1),
(20369,	2,	459,	3,	1),
(20370,	2,	460,	1,	1),
(20371,	2,	460,	2,	1),
(20372,	2,	460,	3,	1),
(20373,	2,	460,	1,	2),
(20374,	2,	460,	2,	2),
(20375,	2,	460,	3,	2),
(20376,	2,	461,	1,	1),
(20377,	2,	461,	2,	1),
(20378,	2,	461,	3,	1),
(20379,	2,	461,	1,	2),
(20380,	2,	461,	2,	2),
(20381,	2,	461,	3,	2),
(20382,	2,	462,	1,	1),
(20383,	2,	462,	2,	1),
(20384,	2,	462,	3,	1),
(20385,	2,	462,	1,	2),
(20386,	2,	462,	2,	2),
(20387,	2,	462,	3,	2),
(20388,	2,	463,	1,	1),
(20389,	2,	463,	2,	1),
(20390,	2,	463,	3,	1),
(20391,	2,	463,	1,	2),
(20392,	2,	463,	2,	2),
(20393,	2,	463,	3,	2),
(20394,	2,	464,	1,	1),
(20395,	2,	464,	2,	1),
(20396,	2,	464,	3,	1),
(20397,	2,	464,	1,	2),
(20398,	2,	464,	2,	2),
(20399,	2,	464,	3,	2),
(20400,	2,	465,	1,	1),
(20401,	2,	465,	2,	1),
(20402,	2,	465,	3,	1),
(20403,	2,	465,	1,	2),
(20404,	2,	465,	2,	2),
(20405,	2,	465,	3,	2),
(20406,	2,	466,	1,	1),
(20407,	2,	466,	2,	1),
(20408,	2,	466,	3,	1),
(20409,	2,	466,	1,	2),
(20410,	2,	466,	2,	2),
(20411,	2,	466,	3,	2),
(20412,	2,	467,	1,	1),
(20413,	2,	467,	2,	1),
(20414,	2,	467,	3,	1),
(20415,	2,	467,	1,	2),
(20416,	2,	467,	2,	2),
(20417,	2,	467,	3,	2),
(20418,	2,	468,	1,	1),
(20419,	2,	468,	2,	1),
(20420,	2,	468,	3,	1),
(20421,	2,	468,	1,	2),
(20422,	2,	468,	2,	2),
(20423,	2,	468,	3,	2),
(20424,	2,	469,	1,	1),
(20425,	2,	469,	2,	1),
(20426,	2,	469,	3,	1),
(20427,	2,	469,	1,	2),
(20428,	2,	469,	2,	2),
(20429,	2,	469,	3,	2),
(20430,	2,	470,	1,	1),
(20431,	2,	470,	2,	1),
(20432,	2,	470,	3,	1),
(20433,	2,	471,	1,	1),
(20434,	2,	471,	2,	1),
(20435,	2,	471,	3,	1),
(20436,	2,	472,	1,	1),
(20437,	2,	472,	2,	1),
(20438,	2,	472,	3,	1),
(20439,	2,	473,	1,	1),
(20440,	2,	473,	2,	1),
(20441,	2,	473,	3,	1),
(20442,	2,	474,	1,	1),
(20443,	2,	474,	2,	1),
(20444,	2,	474,	3,	1),
(20445,	2,	474,	1,	3),
(20446,	2,	474,	2,	3),
(20447,	2,	474,	3,	3),
(20448,	2,	475,	1,	1),
(20449,	2,	475,	2,	1),
(20450,	2,	475,	3,	1),
(20451,	2,	476,	1,	1),
(20452,	2,	476,	2,	1),
(20453,	2,	476,	3,	1),
(20454,	2,	476,	1,	2),
(20455,	2,	476,	2,	2),
(20456,	2,	476,	3,	2),
(20457,	2,	477,	1,	1),
(20458,	2,	477,	2,	1),
(20459,	2,	477,	3,	1),
(20460,	2,	477,	1,	2),
(20461,	2,	477,	2,	2),
(20462,	2,	477,	3,	2),
(20463,	2,	478,	1,	1),
(20464,	2,	478,	2,	1),
(20465,	2,	478,	3,	1),
(20466,	2,	478,	1,	2),
(20467,	2,	478,	2,	2),
(20468,	2,	478,	3,	2),
(20469,	2,	479,	1,	1),
(20470,	2,	479,	2,	1),
(20471,	2,	479,	3,	1),
(20472,	2,	480,	1,	1),
(20473,	2,	480,	2,	1),
(20474,	2,	480,	3,	1),
(20475,	2,	481,	1,	1),
(20476,	2,	481,	2,	1),
(20477,	2,	481,	3,	1),
(20478,	2,	482,	1,	1),
(20479,	2,	482,	2,	1),
(20480,	2,	482,	3,	1),
(20481,	2,	483,	1,	1),
(20482,	2,	483,	2,	1),
(20483,	2,	483,	3,	1),
(20484,	2,	484,	1,	1),
(20485,	2,	484,	2,	1),
(20486,	2,	484,	3,	1),
(20487,	2,	485,	1,	1),
(20488,	2,	485,	2,	1),
(20489,	2,	485,	3,	1),
(20490,	2,	486,	1,	1),
(20491,	2,	486,	2,	1),
(20492,	2,	486,	3,	1),
(20493,	2,	486,	1,	2),
(20494,	2,	486,	2,	2),
(20495,	2,	486,	3,	2),
(20496,	2,	487,	1,	1),
(20497,	2,	487,	2,	1),
(20498,	2,	487,	3,	1),
(20499,	2,	487,	1,	2),
(20500,	2,	487,	2,	2),
(20501,	2,	487,	3,	2),
(20502,	2,	488,	1,	1),
(20503,	2,	488,	2,	1),
(20504,	2,	488,	3,	1),
(20505,	2,	488,	1,	2),
(20506,	2,	488,	2,	2),
(20507,	2,	488,	3,	2),
(20508,	2,	489,	1,	1),
(20509,	2,	489,	2,	1),
(20510,	2,	489,	3,	1),
(20511,	2,	489,	1,	2),
(20512,	2,	489,	2,	2),
(20513,	2,	489,	3,	2),
(20514,	2,	490,	1,	1),
(20515,	2,	490,	2,	1),
(20516,	2,	490,	3,	1),
(20517,	2,	491,	1,	1),
(20518,	2,	491,	2,	1),
(20519,	2,	491,	3,	1),
(20520,	2,	492,	1,	1),
(20521,	2,	492,	2,	1),
(20522,	2,	492,	3,	1),
(20523,	2,	493,	1,	1),
(20524,	2,	493,	2,	1),
(20525,	2,	493,	3,	1),
(20526,	2,	493,	1,	2),
(20527,	2,	493,	2,	2),
(20528,	2,	493,	3,	2),
(20529,	2,	494,	1,	1),
(20530,	2,	494,	2,	1),
(20531,	2,	494,	3,	1),
(20532,	2,	494,	1,	2),
(20533,	2,	494,	2,	2),
(20534,	2,	494,	3,	2),
(20535,	2,	495,	1,	1),
(20536,	2,	495,	2,	1),
(20537,	2,	495,	3,	1),
(20538,	2,	495,	1,	2),
(20539,	2,	495,	2,	2),
(20540,	2,	495,	3,	2),
(20541,	2,	496,	1,	1),
(20542,	2,	496,	2,	1),
(20543,	2,	496,	3,	1),
(20544,	2,	496,	1,	2),
(20545,	2,	496,	2,	2),
(20546,	2,	496,	3,	2),
(20547,	2,	497,	1,	1),
(20548,	2,	497,	2,	1),
(20549,	2,	497,	3,	1),
(20550,	2,	497,	1,	2),
(20551,	2,	497,	2,	2),
(20552,	2,	497,	3,	2),
(20553,	2,	498,	1,	1),
(20554,	2,	498,	2,	1),
(20555,	2,	498,	3,	1),
(20556,	2,	498,	1,	2),
(20557,	2,	498,	2,	2),
(20558,	2,	498,	3,	2),
(20559,	2,	499,	1,	1),
(20560,	2,	499,	2,	1),
(20561,	2,	499,	3,	1),
(20562,	2,	499,	1,	2),
(20563,	2,	499,	2,	2),
(20564,	2,	499,	3,	2),
(20565,	2,	500,	1,	1),
(20566,	2,	500,	2,	1),
(20567,	2,	500,	3,	1),
(20568,	2,	500,	1,	2),
(20569,	2,	500,	2,	2),
(20570,	2,	500,	3,	2),
(20571,	2,	501,	1,	1),
(20572,	2,	501,	2,	1),
(20573,	2,	501,	3,	1),
(20574,	2,	501,	1,	2),
(20575,	2,	501,	2,	2),
(20576,	2,	501,	3,	2),
(20577,	2,	502,	1,	1),
(20578,	2,	502,	2,	1),
(20579,	2,	502,	3,	1),
(20580,	2,	502,	1,	2),
(20581,	2,	502,	2,	2),
(20582,	2,	502,	3,	2),
(20583,	2,	503,	1,	1),
(20584,	2,	503,	2,	1),
(20585,	2,	503,	3,	1),
(20586,	2,	503,	1,	2),
(20587,	2,	503,	2,	2),
(20588,	2,	503,	3,	2),
(20589,	2,	504,	1,	1),
(20590,	2,	504,	2,	1),
(20591,	2,	504,	3,	1),
(20592,	2,	504,	1,	2),
(20593,	2,	504,	2,	2),
(20594,	2,	504,	3,	2),
(20595,	2,	505,	1,	1),
(20596,	2,	505,	2,	1),
(20597,	2,	505,	3,	1),
(20598,	2,	505,	1,	2),
(20599,	2,	505,	2,	2),
(20600,	2,	505,	3,	2),
(20601,	2,	506,	1,	1),
(20602,	2,	506,	2,	1),
(20603,	2,	506,	3,	1),
(20604,	2,	506,	1,	2),
(20605,	2,	506,	2,	2),
(20606,	2,	506,	3,	2),
(20607,	2,	507,	1,	1),
(20608,	2,	507,	2,	1),
(20609,	2,	507,	3,	1),
(20610,	2,	507,	1,	2),
(20611,	2,	507,	2,	2),
(20612,	2,	507,	3,	2),
(20613,	2,	508,	1,	1),
(20614,	2,	508,	2,	1),
(20615,	2,	508,	3,	1),
(20616,	2,	508,	1,	2),
(20617,	2,	508,	2,	2),
(20618,	2,	508,	3,	2),
(20619,	2,	509,	1,	1),
(20620,	2,	509,	2,	1),
(20621,	2,	509,	3,	1),
(20622,	2,	509,	1,	2),
(20623,	2,	509,	2,	2),
(20624,	2,	509,	3,	2),
(20625,	2,	510,	1,	1),
(20626,	2,	510,	2,	1),
(20627,	2,	510,	3,	1),
(20628,	2,	510,	1,	2),
(20629,	2,	510,	2,	2),
(20630,	2,	510,	3,	2),
(20631,	2,	511,	1,	1),
(20632,	2,	511,	2,	1),
(20633,	2,	511,	3,	1),
(20634,	2,	511,	1,	2),
(20635,	2,	511,	2,	2),
(20636,	2,	511,	3,	2),
(20637,	2,	512,	1,	1),
(20638,	2,	512,	2,	1),
(20639,	2,	512,	3,	1),
(20640,	2,	512,	1,	2),
(20641,	2,	512,	2,	2),
(20642,	2,	512,	3,	2),
(20643,	2,	513,	1,	1),
(20644,	2,	513,	2,	1),
(20645,	2,	513,	3,	1),
(20646,	2,	513,	1,	2),
(20647,	2,	513,	2,	2),
(20648,	2,	513,	3,	2),
(20649,	2,	514,	1,	1),
(20650,	2,	514,	2,	1),
(20651,	2,	514,	3,	1),
(20652,	2,	514,	23,	1),
(20653,	2,	514,	1,	3),
(20654,	2,	514,	2,	3),
(20655,	2,	514,	3,	3),
(20656,	2,	514,	23,	3),
(20657,	2,	515,	1,	1),
(20658,	2,	515,	2,	1),
(20659,	2,	515,	3,	1),
(20660,	2,	515,	23,	1),
(20661,	2,	515,	1,	3),
(20662,	2,	515,	2,	3),
(20663,	2,	515,	3,	3),
(20664,	2,	515,	23,	3),
(20665,	2,	516,	1,	1),
(20666,	2,	516,	2,	1),
(20667,	2,	516,	3,	1),
(20668,	2,	516,	1,	3),
(20669,	2,	516,	2,	3),
(20670,	2,	516,	3,	3),
(20671,	2,	517,	1,	1),
(20672,	2,	517,	2,	1),
(20673,	2,	517,	3,	1),
(20674,	2,	517,	23,	1),
(20675,	2,	517,	1,	3),
(20676,	2,	517,	2,	3),
(20677,	2,	517,	3,	3),
(20678,	2,	517,	23,	3),
(20679,	2,	518,	1,	1),
(20680,	2,	518,	2,	1),
(20681,	2,	518,	3,	1),
(20682,	2,	518,	23,	1),
(20683,	2,	518,	1,	3),
(20684,	2,	518,	2,	3),
(20685,	2,	518,	3,	3),
(20686,	2,	518,	23,	3),
(20687,	2,	519,	1,	1),
(20688,	2,	519,	2,	1),
(20689,	2,	519,	3,	1),
(20690,	2,	519,	1,	3),
(20691,	2,	519,	2,	3),
(20692,	2,	519,	3,	3),
(20693,	2,	519,	1,	2),
(20694,	2,	519,	2,	2),
(20695,	2,	519,	3,	2),
(20696,	2,	520,	1,	1),
(20697,	2,	520,	2,	1),
(20698,	2,	520,	3,	1),
(20699,	2,	520,	1,	3),
(20700,	2,	520,	2,	3),
(20701,	2,	520,	3,	3),
(20702,	2,	521,	1,	1),
(20703,	2,	521,	2,	1),
(20704,	2,	521,	3,	1),
(20705,	2,	521,	1,	3),
(20706,	2,	521,	2,	3),
(20707,	2,	521,	3,	3),
(20708,	2,	521,	1,	2),
(20709,	2,	521,	2,	2),
(20710,	2,	521,	3,	2),
(20711,	2,	522,	1,	1),
(20712,	2,	522,	2,	1),
(20713,	2,	522,	3,	1),
(20714,	2,	522,	1,	2),
(20715,	2,	522,	2,	2),
(20716,	2,	522,	3,	2),
(20717,	2,	523,	1,	1),
(20718,	2,	523,	2,	1),
(20719,	2,	523,	3,	1),
(20720,	2,	523,	1,	3),
(20721,	2,	523,	2,	3),
(20722,	2,	523,	3,	3),
(20723,	2,	524,	1,	1),
(20724,	2,	524,	2,	1),
(20725,	2,	524,	3,	1),
(20726,	2,	524,	1,	2),
(20727,	2,	524,	2,	2),
(20728,	2,	524,	3,	2),
(20729,	2,	525,	1,	1),
(20730,	2,	525,	2,	1),
(20731,	2,	525,	3,	1),
(20732,	2,	525,	1,	3),
(20733,	2,	525,	2,	3),
(20734,	2,	525,	3,	3),
(20735,	2,	526,	1,	1),
(20736,	2,	526,	2,	1),
(20737,	2,	526,	3,	1),
(20738,	2,	526,	1,	2),
(20739,	2,	526,	2,	2),
(20740,	2,	526,	3,	2),
(20741,	2,	527,	1,	1),
(20742,	2,	527,	2,	1),
(20743,	2,	527,	3,	1),
(20744,	2,	527,	1,	2),
(20745,	2,	527,	2,	2),
(20746,	2,	527,	3,	2),
(20747,	2,	528,	1,	1),
(20748,	2,	528,	2,	1),
(20749,	2,	528,	3,	1),
(20750,	2,	528,	6,	1),
(20751,	2,	528,	1,	2),
(20752,	2,	528,	2,	2),
(20753,	2,	528,	3,	2),
(20754,	2,	528,	6,	2),
(20755,	2,	529,	1,	1),
(20756,	2,	529,	2,	1),
(20757,	2,	529,	3,	1),
(20758,	2,	529,	6,	1),
(20759,	2,	529,	1,	2),
(20760,	2,	529,	2,	2),
(20761,	2,	529,	3,	2),
(20762,	2,	529,	6,	2),
(20763,	2,	530,	1,	1),
(20764,	2,	530,	2,	1),
(20765,	2,	530,	3,	1),
(20766,	2,	530,	6,	1),
(20767,	2,	530,	1,	2),
(20768,	2,	530,	2,	2),
(20769,	2,	530,	3,	2),
(20770,	2,	530,	6,	2),
(20771,	2,	531,	1,	1),
(20772,	2,	531,	2,	1),
(20773,	2,	531,	3,	1),
(20774,	2,	531,	1,	2),
(20775,	2,	531,	2,	2),
(20776,	2,	531,	3,	2),
(20777,	2,	532,	1,	1),
(20778,	2,	532,	2,	1),
(20779,	2,	532,	3,	1),
(20780,	2,	532,	6,	1),
(20781,	2,	532,	1,	2),
(20782,	2,	532,	2,	2),
(20783,	2,	532,	3,	2),
(20784,	2,	532,	6,	2),
(20785,	2,	533,	1,	1),
(20786,	2,	533,	2,	1),
(20787,	2,	533,	3,	1),
(20788,	2,	533,	6,	1),
(20789,	2,	533,	1,	2),
(20790,	2,	533,	2,	2),
(20791,	2,	533,	3,	2),
(20792,	2,	533,	6,	2),
(20793,	2,	534,	1,	1),
(20794,	2,	534,	2,	1),
(20795,	2,	534,	3,	1),
(20796,	2,	534,	1,	3),
(20797,	2,	534,	2,	3),
(20798,	2,	534,	3,	3),
(20799,	2,	535,	1,	1),
(20800,	2,	535,	2,	1),
(20801,	2,	535,	3,	1),
(20802,	2,	535,	1,	3),
(20803,	2,	535,	2,	3),
(20804,	2,	535,	3,	3),
(20805,	2,	536,	1,	1),
(20806,	2,	536,	2,	1),
(20807,	2,	536,	3,	1),
(20808,	2,	536,	1,	3),
(20809,	2,	536,	2,	3),
(20810,	2,	536,	3,	3),
(20811,	2,	537,	1,	1),
(20812,	2,	537,	2,	1),
(20813,	2,	537,	3,	1),
(20814,	2,	537,	1,	3),
(20815,	2,	537,	2,	3),
(20816,	2,	537,	3,	3),
(20817,	2,	538,	1,	1),
(20818,	2,	538,	2,	1),
(20819,	2,	538,	3,	1),
(20820,	2,	538,	1,	3),
(20821,	2,	538,	2,	3),
(20822,	2,	538,	3,	3),
(20823,	2,	539,	1,	1),
(20824,	2,	539,	2,	1),
(20825,	2,	539,	3,	1),
(20826,	2,	540,	1,	1),
(20827,	2,	540,	2,	1),
(20828,	2,	540,	3,	1),
(20829,	2,	541,	1,	1),
(20830,	2,	541,	2,	1),
(20831,	2,	541,	3,	1),
(20832,	2,	541,	4,	1),
(20833,	2,	542,	1,	1),
(20834,	2,	542,	2,	1),
(20835,	2,	542,	3,	1),
(20836,	2,	543,	1,	1),
(20837,	2,	543,	2,	1),
(20838,	2,	543,	3,	1),
(20839,	2,	543,	31,	1),
(20840,	2,	543,	32,	1),
(20841,	2,	543,	33,	1),
(20842,	2,	543,	34,	1),
(20843,	2,	544,	1,	1),
(20844,	2,	544,	2,	1),
(20845,	2,	544,	3,	1),
(20846,	2,	545,	1,	1),
(20847,	2,	545,	2,	1),
(20848,	2,	545,	3,	1),
(20849,	2,	546,	1,	1),
(20850,	2,	546,	2,	1),
(20851,	2,	546,	3,	1),
(20852,	2,	547,	1,	1),
(20853,	2,	547,	2,	1),
(20854,	2,	547,	3,	1),
(20855,	2,	547,	1,	2),
(20856,	2,	547,	2,	2),
(20857,	2,	547,	3,	2),
(20858,	2,	548,	1,	1),
(20859,	2,	548,	2,	1),
(20860,	2,	548,	3,	1),
(20861,	2,	549,	1,	1),
(20862,	2,	549,	2,	1),
(20863,	2,	549,	3,	1),
(20864,	2,	549,	1,	2),
(20865,	2,	549,	2,	2),
(20866,	2,	549,	3,	2),
(20867,	2,	550,	1,	1),
(20868,	2,	550,	2,	1),
(20869,	2,	550,	3,	1),
(20870,	2,	551,	1,	1),
(20871,	2,	551,	2,	1),
(20872,	2,	551,	3,	1),
(20873,	2,	551,	6,	1),
(20874,	2,	552,	1,	1),
(20875,	2,	552,	2,	1),
(20876,	2,	552,	3,	1),
(20877,	2,	552,	6,	1),
(20878,	2,	552,	1,	2),
(20879,	2,	552,	2,	2),
(20880,	2,	552,	3,	2),
(20881,	2,	552,	6,	2),
(20882,	2,	553,	1,	1),
(20883,	2,	553,	2,	1),
(20884,	2,	553,	3,	1),
(20885,	2,	554,	1,	1),
(20886,	2,	554,	2,	1),
(20887,	2,	554,	3,	1),
(20888,	2,	555,	1,	1),
(20889,	2,	555,	2,	1),
(20890,	2,	555,	3,	1),
(20891,	2,	556,	1,	1),
(20892,	2,	556,	2,	1),
(20893,	2,	556,	3,	1),
(20894,	2,	556,	1,	2),
(20895,	2,	556,	2,	2),
(20896,	2,	556,	3,	2),
(20897,	2,	557,	1,	1),
(20898,	2,	557,	2,	1),
(20899,	2,	557,	3,	1),
(20900,	2,	557,	1,	2),
(20901,	2,	557,	2,	2),
(20902,	2,	557,	3,	2),
(20903,	2,	558,	2,	1),
(20904,	2,	558,	3,	1),
(20905,	2,	558,	35,	1),
(20906,	2,	558,	36,	1),
(20907,	2,	559,	2,	1),
(20908,	2,	559,	3,	1),
(20909,	2,	559,	26,	1),
(20910,	2,	559,	37,	1),
(20911,	2,	559,	36,	1),
(20912,	2,	559,	35,	1),
(20913,	2,	559,	38,	1),
(20914,	2,	559,	28,	1),
(20915,	2,	559,	39,	1),
(20916,	2,	559,	40,	1),
(20917,	2,	559,	2,	3),
(20918,	2,	559,	3,	3),
(20919,	2,	559,	26,	3),
(20920,	2,	559,	37,	3),
(20921,	2,	559,	36,	3),
(20922,	2,	559,	35,	3),
(20923,	2,	559,	38,	3),
(20924,	2,	559,	28,	3),
(20925,	2,	559,	39,	3),
(20926,	2,	559,	40,	3),
(20927,	2,	559,	2,	4),
(20928,	2,	559,	3,	4),
(20929,	2,	559,	26,	4),
(20930,	2,	559,	37,	4),
(20931,	2,	559,	36,	4),
(20932,	2,	559,	35,	4),
(20933,	2,	559,	38,	4),
(20934,	2,	559,	28,	4),
(20935,	2,	559,	39,	4),
(20936,	2,	559,	40,	4),
(20937,	2,	560,	2,	1),
(20938,	2,	560,	3,	1),
(20939,	2,	560,	35,	1),
(20940,	2,	560,	36,	1),
(20941,	2,	561,	2,	1),
(20942,	2,	561,	3,	1),
(20943,	2,	561,	35,	1),
(20944,	2,	561,	41,	1),
(20945,	2,	561,	42,	1),
(20946,	2,	561,	43,	1),
(20947,	2,	561,	44,	1),
(20948,	2,	561,	39,	1),
(20949,	2,	561,	45,	1),
(20950,	2,	561,	46,	1),
(20951,	2,	562,	2,	1),
(20952,	2,	562,	35,	1),
(20953,	2,	563,	2,	1),
(20954,	2,	563,	35,	1),
(20955,	2,	564,	2,	1),
(20956,	2,	565,	2,	1),
(20957,	2,	565,	35,	1),
(20958,	2,	566,	2,	1),
(20959,	2,	566,	35,	1),
(20960,	2,	567,	2,	1),
(20961,	2,	567,	35,	1),
(20962,	2,	568,	2,	1),
(20963,	2,	568,	35,	1),
(20964,	2,	569,	2,	1),
(20965,	2,	569,	35,	1),
(20966,	2,	570,	2,	1),
(20967,	2,	570,	35,	1),
(20968,	2,	571,	1,	1),
(20969,	2,	571,	2,	1),
(20970,	2,	571,	3,	1),
(20971,	2,	571,	1,	2),
(20972,	2,	571,	2,	2),
(20973,	2,	571,	3,	2),
(20974,	2,	572,	1,	1),
(20975,	2,	572,	2,	1),
(20976,	2,	572,	3,	1),
(20977,	2,	572,	1,	2),
(20978,	2,	572,	2,	2),
(20979,	2,	572,	3,	2),
(20980,	2,	573,	1,	1),
(20981,	2,	573,	2,	1),
(20982,	2,	573,	3,	1),
(20983,	2,	573,	1,	2),
(20984,	2,	573,	2,	2),
(20985,	2,	573,	3,	2),
(20986,	2,	574,	1,	1),
(20987,	2,	574,	2,	1),
(20988,	2,	574,	3,	1),
(20989,	2,	574,	1,	2),
(20990,	2,	574,	2,	2),
(20991,	2,	574,	3,	2),
(20992,	2,	575,	2,	1),
(20993,	2,	575,	35,	1),
(20994,	2,	576,	2,	1),
(20995,	2,	576,	35,	1),
(20996,	2,	576,	26,	1),
(20997,	2,	576,	37,	1),
(20998,	2,	576,	36,	1),
(20999,	2,	576,	38,	1),
(21000,	2,	576,	39,	1),
(21001,	2,	576,	40,	1),
(21002,	2,	577,	2,	1),
(21003,	2,	577,	35,	1),
(21004,	2,	577,	45,	1),
(21005,	2,	578,	2,	1),
(21006,	2,	578,	3,	1),
(21007,	2,	578,	41,	1),
(21008,	2,	578,	42,	1),
(21009,	2,	578,	45,	1),
(21010,	2,	578,	46,	1),
(21011,	2,	578,	46,	1),
(21012,	2,	579,	2,	1),
(21013,	2,	579,	35,	1),
(21014,	2,	580,	2,	1),
(21015,	2,	580,	35,	1),
(21016,	2,	581,	2,	1),
(21017,	2,	582,	2,	1),
(21018,	2,	582,	35,	1),
(21019,	2,	583,	2,	1),
(21020,	2,	583,	35,	1),
(21021,	2,	584,	2,	1),
(21022,	2,	584,	35,	1),
(21023,	2,	585,	2,	1),
(21024,	2,	585,	35,	1),
(21025,	2,	585,	41,	1),
(21026,	2,	585,	42,	1),
(21027,	2,	585,	45,	1),
(21028,	2,	585,	46,	1),
(21029,	2,	586,	2,	1),
(21030,	2,	586,	35,	1),
(21031,	2,	587,	2,	1),
(21032,	2,	587,	35,	1),
(21033,	2,	588,	2,	1),
(21034,	2,	588,	35,	1),
(21035,	2,	589,	2,	1),
(21036,	2,	589,	35,	1),
(21037,	2,	590,	1,	1),
(21038,	2,	590,	2,	1),
(21039,	2,	590,	3,	1),
(21040,	2,	591,	1,	1),
(21041,	2,	591,	2,	1),
(21042,	2,	591,	3,	1),
(21043,	2,	591,	23,	1),
(21044,	2,	592,	1,	1),
(21045,	2,	592,	2,	1),
(21046,	2,	592,	3,	1),
(21047,	2,	593,	1,	1),
(21048,	2,	593,	2,	1),
(21049,	2,	593,	3,	1),
(21050,	2,	594,	1,	1),
(21051,	2,	594,	2,	1),
(21052,	2,	594,	3,	1),
(21053,	2,	595,	1,	1),
(21054,	2,	595,	2,	1),
(21055,	2,	595,	3,	1),
(21056,	2,	596,	1,	1),
(21057,	2,	596,	2,	1),
(21058,	2,	596,	3,	1),
(21059,	2,	597,	1,	1),
(21060,	2,	597,	2,	1),
(21061,	2,	597,	3,	1),
(21062,	2,	598,	1,	1),
(21063,	2,	598,	2,	1),
(21064,	2,	598,	3,	1),
(21065,	2,	598,	1,	2),
(21066,	2,	598,	2,	2),
(21067,	2,	598,	3,	2),
(21068,	2,	599,	1,	1),
(21069,	2,	599,	2,	1),
(21070,	2,	599,	3,	1),
(21071,	2,	600,	1,	1),
(21072,	2,	600,	2,	1),
(21073,	2,	600,	3,	1),
(21074,	2,	601,	1,	1),
(21075,	2,	601,	2,	1),
(21076,	2,	601,	3,	1),
(21077,	2,	602,	1,	1),
(21078,	2,	602,	2,	1),
(21079,	2,	602,	3,	1),
(21080,	2,	603,	1,	1),
(21081,	2,	603,	2,	1),
(21082,	2,	603,	3,	1),
(21083,	2,	603,	1,	2),
(21084,	2,	603,	2,	2),
(21085,	2,	603,	3,	2),
(21086,	2,	604,	1,	1),
(21087,	2,	604,	2,	1),
(21088,	2,	604,	3,	1),
(21089,	2,	605,	1,	1),
(21090,	2,	605,	2,	1),
(21091,	2,	605,	3,	1),
(21092,	2,	605,	1,	2),
(21093,	2,	605,	2,	2),
(21094,	2,	605,	3,	2),
(21095,	2,	606,	1,	1),
(21096,	2,	606,	2,	1),
(21097,	2,	606,	3,	1),
(21098,	2,	606,	1,	2),
(21099,	2,	606,	2,	2),
(21100,	2,	606,	3,	2),
(21101,	2,	607,	1,	1),
(21102,	2,	607,	2,	1),
(21103,	2,	607,	3,	1),
(21104,	2,	608,	1,	1),
(21105,	2,	608,	2,	1),
(21106,	2,	608,	3,	1),
(21107,	2,	609,	1,	1),
(21108,	2,	609,	2,	1),
(21109,	2,	609,	3,	1),
(21110,	2,	610,	1,	1),
(21111,	2,	610,	2,	1),
(21112,	2,	610,	3,	1),
(21113,	2,	611,	1,	1),
(21114,	2,	611,	2,	1),
(21115,	2,	611,	3,	1),
(21116,	2,	612,	1,	1),
(21117,	2,	612,	2,	1),
(21118,	2,	612,	3,	1),
(21119,	2,	613,	1,	1),
(21120,	2,	613,	2,	1),
(21121,	2,	613,	3,	1),
(21122,	2,	614,	1,	1),
(21123,	2,	614,	2,	1),
(21124,	2,	614,	3,	1),
(21125,	2,	614,	1,	2),
(21126,	2,	614,	2,	2),
(21127,	2,	614,	3,	2),
(21128,	2,	615,	1,	1),
(21129,	2,	615,	2,	1),
(21130,	2,	615,	3,	1),
(21131,	2,	615,	1,	2),
(21132,	2,	615,	2,	2),
(21133,	2,	615,	3,	2),
(21134,	2,	616,	1,	1),
(21135,	2,	616,	2,	1),
(21136,	2,	616,	3,	1),
(21137,	2,	616,	1,	2),
(21138,	2,	616,	2,	2),
(21139,	2,	616,	3,	2),
(21140,	2,	617,	1,	1),
(21141,	2,	617,	2,	1),
(21142,	2,	617,	3,	1),
(21143,	2,	617,	1,	2),
(21144,	2,	617,	2,	2),
(21145,	2,	617,	3,	2),
(21146,	2,	618,	1,	1),
(21147,	2,	618,	2,	1),
(21148,	2,	618,	3,	1),
(21149,	2,	618,	1,	2),
(21150,	2,	618,	2,	2),
(21151,	2,	618,	3,	2),
(21152,	2,	619,	1,	1),
(21153,	2,	619,	2,	1),
(21154,	2,	619,	3,	1),
(21155,	2,	620,	1,	1),
(21156,	2,	620,	2,	1),
(21157,	2,	620,	3,	1),
(21158,	2,	620,	1,	2),
(21159,	2,	620,	2,	2),
(21160,	2,	620,	3,	2),
(21161,	2,	621,	1,	1),
(21162,	2,	621,	2,	1),
(21163,	2,	621,	3,	1),
(21164,	2,	621,	1,	2),
(21165,	2,	621,	2,	2),
(21166,	2,	621,	3,	2),
(21167,	2,	622,	1,	1),
(21168,	2,	622,	2,	1),
(21169,	2,	622,	3,	1),
(21170,	2,	622,	1,	2),
(21171,	2,	622,	2,	2),
(21172,	2,	622,	3,	2),
(21173,	2,	623,	1,	1),
(21174,	2,	623,	2,	1),
(21175,	2,	623,	3,	1),
(21176,	2,	623,	1,	2),
(21177,	2,	623,	2,	2),
(21178,	2,	623,	3,	2),
(21179,	2,	624,	1,	1),
(21180,	2,	624,	2,	1),
(21181,	2,	624,	3,	1),
(21182,	2,	624,	1,	2),
(21183,	2,	624,	2,	2),
(21184,	2,	624,	3,	2),
(21185,	2,	625,	1,	1),
(21186,	2,	625,	2,	1),
(21187,	2,	625,	3,	1),
(21188,	2,	625,	1,	2),
(21189,	2,	625,	2,	2),
(21190,	2,	625,	3,	2),
(21191,	2,	626,	1,	1),
(21192,	2,	626,	2,	1),
(21193,	2,	626,	3,	1),
(21194,	2,	627,	1,	1),
(21195,	2,	627,	2,	1),
(21196,	2,	627,	3,	1),
(21197,	2,	627,	1,	2),
(21198,	2,	627,	2,	2),
(21199,	2,	627,	3,	2),
(21200,	2,	628,	1,	1),
(21201,	2,	628,	2,	1),
(21202,	2,	628,	3,	1),
(21203,	2,	628,	1,	2),
(21204,	2,	628,	2,	2),
(21205,	2,	628,	3,	2),
(21206,	2,	629,	1,	1),
(21207,	2,	629,	2,	1),
(21208,	2,	629,	3,	1),
(21209,	2,	629,	1,	2),
(21210,	2,	629,	2,	2),
(21211,	2,	629,	3,	2),
(21212,	2,	630,	1,	1),
(21213,	2,	630,	2,	1),
(21214,	2,	630,	3,	1),
(21215,	2,	630,	1,	2),
(21216,	2,	630,	2,	2),
(21217,	2,	630,	3,	2),
(21218,	2,	631,	1,	1),
(21219,	2,	631,	2,	1),
(21220,	2,	631,	3,	1),
(21221,	2,	631,	1,	2),
(21222,	2,	631,	2,	2),
(21223,	2,	631,	3,	2),
(21224,	2,	632,	1,	1),
(21225,	2,	632,	2,	1),
(21226,	2,	632,	3,	1),
(21227,	2,	632,	24,	1),
(21228,	2,	632,	4,	1),
(21229,	2,	632,	32,	1),
(21230,	2,	632,	47,	1),
(21231,	2,	632,	48,	1),
(21232,	2,	633,	1,	1),
(21233,	2,	633,	2,	1),
(21234,	2,	633,	3,	1),
(21235,	2,	634,	1,	1),
(21236,	2,	634,	2,	1),
(21237,	2,	634,	3,	1),
(21238,	2,	634,	5,	1),
(21239,	2,	634,	29,	1),
(21240,	2,	635,	1,	1),
(21241,	2,	635,	2,	1),
(21242,	2,	635,	3,	1),
(21243,	2,	635,	23,	1),
(21244,	2,	636,	1,	1),
(21245,	2,	636,	2,	1),
(21246,	2,	636,	3,	1),
(21247,	2,	636,	1,	2),
(21248,	2,	636,	2,	2),
(21249,	2,	636,	3,	2),
(21250,	2,	637,	1,	1),
(21251,	2,	637,	2,	1),
(21252,	2,	637,	3,	1),
(21253,	2,	637,	23,	1),
(21254,	2,	637,	1,	2),
(21255,	2,	637,	2,	2),
(21256,	2,	637,	3,	2),
(21257,	2,	637,	23,	2),
(21258,	2,	638,	1,	1),
(21259,	2,	638,	2,	1),
(21260,	2,	638,	3,	1),
(21261,	2,	638,	23,	1),
(21262,	2,	638,	1,	2),
(21263,	2,	638,	2,	2),
(21264,	2,	638,	3,	2),
(21265,	2,	638,	23,	2),
(21266,	2,	639,	1,	1),
(21267,	2,	639,	2,	1),
(21268,	2,	639,	3,	1),
(21269,	2,	640,	1,	1),
(21270,	2,	640,	2,	1),
(21271,	2,	640,	3,	1),
(21272,	2,	641,	1,	1),
(21273,	2,	641,	2,	1),
(21274,	2,	641,	3,	1),
(21275,	2,	641,	1,	2),
(21276,	2,	641,	2,	2),
(21277,	2,	641,	3,	2),
(21278,	2,	642,	1,	1),
(21279,	2,	642,	2,	1),
(21280,	2,	642,	3,	1),
(21281,	2,	642,	1,	2),
(21282,	2,	642,	2,	2),
(21283,	2,	642,	3,	2),
(21284,	2,	643,	1,	1),
(21285,	2,	643,	2,	1),
(21286,	2,	643,	3,	1),
(21287,	2,	644,	1,	1),
(21288,	2,	644,	2,	1),
(21289,	2,	644,	3,	1),
(21290,	2,	645,	1,	1),
(21291,	2,	645,	2,	1),
(21292,	2,	645,	3,	1),
(21293,	2,	646,	1,	1),
(21294,	2,	646,	2,	1),
(21295,	2,	646,	3,	1),
(21296,	2,	646,	1,	2),
(21297,	2,	646,	2,	2),
(21298,	2,	646,	3,	2),
(21299,	2,	647,	1,	1),
(21300,	2,	647,	2,	1),
(21301,	2,	647,	3,	1),
(21302,	2,	647,	1,	2),
(21303,	2,	647,	2,	2),
(21304,	2,	647,	3,	2),
(21305,	2,	648,	1,	1),
(21306,	2,	648,	2,	1),
(21307,	2,	648,	3,	1),
(21308,	2,	648,	1,	2),
(21309,	2,	648,	2,	2),
(21310,	2,	648,	3,	2),
(21311,	2,	649,	1,	1),
(21312,	2,	649,	2,	1),
(21313,	2,	649,	3,	1),
(21314,	2,	649,	1,	2),
(21315,	2,	649,	2,	2),
(21316,	2,	649,	3,	2),
(21317,	2,	650,	1,	1),
(21318,	2,	650,	2,	1),
(21319,	2,	650,	3,	1),
(21320,	2,	651,	1,	1),
(21321,	2,	651,	2,	1),
(21322,	2,	651,	3,	1),
(21323,	2,	651,	1,	2),
(21324,	2,	651,	2,	2),
(21325,	2,	651,	3,	2),
(21326,	2,	652,	1,	1),
(21327,	2,	652,	2,	1),
(21328,	2,	652,	3,	1),
(21329,	2,	653,	1,	1),
(21330,	2,	653,	2,	1),
(21331,	2,	653,	3,	1),
(21332,	2,	654,	1,	1),
(21333,	2,	654,	2,	1),
(21334,	2,	654,	3,	1),
(21335,	2,	655,	1,	1),
(21336,	2,	655,	2,	1),
(21337,	2,	655,	3,	1),
(21338,	2,	656,	1,	1),
(21339,	2,	656,	2,	1),
(21340,	2,	656,	3,	1),
(21341,	2,	657,	1,	1),
(21342,	2,	657,	2,	1),
(21343,	2,	657,	3,	1),
(21344,	2,	658,	1,	1),
(21345,	2,	658,	2,	1),
(21346,	2,	658,	3,	1),
(21347,	2,	658,	23,	1),
(21348,	2,	659,	1,	1),
(21349,	2,	659,	2,	1),
(21350,	2,	659,	3,	1),
(21351,	2,	660,	1,	1),
(21352,	2,	660,	2,	1),
(21353,	2,	660,	3,	1),
(21354,	2,	661,	1,	1),
(21355,	2,	661,	2,	1),
(21356,	2,	661,	3,	1),
(21357,	2,	662,	1,	1),
(21358,	2,	662,	2,	1),
(21359,	2,	662,	3,	1),
(21360,	2,	663,	1,	1),
(21361,	2,	663,	2,	1),
(21362,	2,	663,	3,	1),
(21363,	2,	664,	1,	1),
(21364,	2,	664,	2,	1),
(21365,	2,	664,	3,	1),
(21366,	2,	665,	1,	1),
(21367,	2,	665,	2,	1),
(21368,	2,	665,	3,	1),
(21369,	2,	666,	1,	1),
(21370,	2,	666,	2,	1),
(21371,	2,	666,	3,	1),
(21372,	2,	667,	1,	1),
(21373,	2,	667,	2,	1),
(21374,	2,	667,	3,	1),
(21375,	2,	667,	23,	1),
(21376,	2,	667,	1,	2),
(21377,	2,	667,	2,	2),
(21378,	2,	667,	3,	2),
(21379,	2,	667,	23,	2),
(21380,	2,	668,	1,	1),
(21381,	2,	668,	2,	1),
(21382,	2,	668,	3,	1),
(21383,	2,	668,	23,	1),
(21384,	2,	669,	1,	1),
(21385,	2,	669,	2,	1),
(21386,	2,	669,	3,	1),
(21387,	2,	669,	23,	1),
(21388,	2,	670,	1,	1),
(21389,	2,	670,	2,	1),
(21390,	2,	670,	3,	1),
(21391,	2,	670,	23,	1),
(21392,	2,	671,	1,	1),
(21393,	2,	671,	2,	1),
(21394,	2,	671,	3,	1),
(21395,	2,	671,	23,	1),
(21396,	2,	671,	6,	1),
(21397,	2,	671,	24,	1),
(21398,	2,	671,	25,	1),
(21399,	2,	671,	4,	1),
(21400,	2,	671,	5,	1),
(21401,	2,	671,	26,	1),
(21402,	2,	671,	1,	3),
(21403,	2,	671,	2,	3),
(21404,	2,	671,	3,	3),
(21405,	2,	671,	23,	3),
(21406,	2,	671,	6,	3),
(21407,	2,	671,	24,	3),
(21408,	2,	671,	25,	3),
(21409,	2,	671,	4,	3),
(21410,	2,	671,	5,	3),
(21411,	2,	671,	26,	3),
(21412,	2,	672,	1,	1),
(21413,	2,	672,	2,	1),
(21414,	2,	672,	3,	1),
(21415,	2,	673,	1,	1),
(21416,	2,	673,	2,	1),
(21417,	2,	673,	3,	1),
(21418,	2,	673,	23,	1),
(21419,	2,	673,	6,	1),
(21420,	2,	673,	24,	1),
(21421,	2,	673,	25,	1),
(21422,	2,	673,	4,	1),
(21423,	2,	673,	5,	1),
(21424,	2,	673,	26,	1),
(21425,	2,	673,	1,	3),
(21426,	2,	673,	2,	3),
(21427,	2,	673,	3,	3),
(21428,	2,	673,	23,	3),
(21429,	2,	673,	6,	3),
(21430,	2,	673,	24,	3),
(21431,	2,	673,	25,	3),
(21432,	2,	673,	4,	3),
(21433,	2,	673,	5,	3),
(21434,	2,	673,	26,	3),
(21435,	2,	674,	1,	1),
(21436,	2,	674,	2,	1),
(21437,	2,	674,	3,	1),
(21438,	2,	674,	23,	1),
(21439,	2,	674,	6,	1),
(21440,	2,	674,	24,	1),
(21441,	2,	674,	25,	1),
(21442,	2,	674,	4,	1),
(21443,	2,	674,	5,	1),
(21444,	2,	674,	26,	1),
(21445,	2,	674,	1,	3),
(21446,	2,	674,	2,	3),
(21447,	2,	674,	3,	3),
(21448,	2,	674,	23,	3),
(21449,	2,	674,	6,	3),
(21450,	2,	674,	24,	3),
(21451,	2,	674,	25,	3),
(21452,	2,	674,	4,	3),
(21453,	2,	674,	5,	3),
(21454,	2,	674,	26,	3),
(21455,	2,	675,	1,	1),
(21456,	2,	675,	2,	1),
(21457,	2,	675,	3,	1),
(21458,	2,	676,	1,	1),
(21459,	2,	676,	2,	1),
(21460,	2,	676,	3,	1),
(21461,	2,	676,	23,	1),
(21462,	2,	676,	1,	3),
(21463,	2,	676,	2,	3),
(21464,	2,	676,	3,	3),
(21465,	2,	676,	23,	3),
(21466,	2,	677,	1,	1),
(21467,	2,	677,	2,	1),
(21468,	2,	677,	3,	1),
(21469,	2,	678,	1,	1),
(21470,	2,	678,	2,	1),
(21471,	2,	678,	3,	1),
(21472,	2,	679,	1,	1),
(21473,	2,	679,	2,	1),
(21474,	2,	679,	3,	1),
(21475,	2,	680,	1,	1),
(21476,	2,	680,	2,	1),
(21477,	2,	680,	3,	1),
(21478,	2,	680,	6,	1),
(21479,	2,	680,	24,	1),
(21480,	2,	680,	25,	1),
(21481,	2,	680,	4,	1),
(21482,	2,	680,	5,	1),
(21483,	2,	680,	26,	1),
(21484,	2,	680,	1,	3),
(21485,	2,	680,	2,	3),
(21486,	2,	680,	3,	3),
(21487,	2,	680,	6,	3),
(21488,	2,	680,	24,	3),
(21489,	2,	680,	25,	3),
(21490,	2,	680,	4,	3),
(21491,	2,	680,	5,	3),
(21492,	2,	680,	26,	3),
(21493,	2,	681,	1,	1),
(21494,	2,	681,	2,	1),
(21495,	2,	681,	3,	1),
(21496,	2,	681,	23,	1),
(21497,	2,	681,	6,	1),
(21498,	2,	681,	24,	1),
(21499,	2,	681,	25,	1),
(21500,	2,	681,	4,	1),
(21501,	2,	681,	5,	1),
(21502,	2,	681,	26,	1),
(21503,	2,	681,	28,	1),
(21504,	2,	682,	1,	1),
(21505,	2,	682,	2,	1),
(21506,	2,	682,	3,	1),
(21507,	2,	682,	23,	1),
(21508,	2,	682,	6,	1),
(21509,	2,	682,	24,	1),
(21510,	2,	682,	25,	1),
(21511,	2,	682,	4,	1),
(21512,	2,	682,	5,	1),
(21513,	2,	682,	26,	1),
(21514,	2,	682,	1,	3),
(21515,	2,	682,	2,	3),
(21516,	2,	682,	3,	3),
(21517,	2,	682,	23,	3),
(21518,	2,	682,	6,	3),
(21519,	2,	682,	24,	3),
(21520,	2,	682,	25,	3),
(21521,	2,	682,	4,	3),
(21522,	2,	682,	5,	3),
(21523,	2,	682,	26,	3),
(21524,	2,	683,	1,	1),
(21525,	2,	683,	2,	1),
(21526,	2,	683,	3,	1),
(21527,	2,	683,	23,	1),
(21528,	2,	684,	1,	1),
(21529,	2,	684,	2,	1),
(21530,	2,	684,	3,	1),
(21531,	2,	684,	23,	1),
(21532,	2,	684,	6,	1),
(21533,	2,	684,	24,	1),
(21534,	2,	684,	25,	1),
(21535,	2,	684,	4,	1),
(21536,	2,	684,	5,	1),
(21537,	2,	684,	26,	1),
(21538,	2,	684,	1,	3),
(21539,	2,	684,	2,	3),
(21540,	2,	684,	3,	3),
(21541,	2,	684,	23,	3),
(21542,	2,	684,	6,	3),
(21543,	2,	684,	24,	3),
(21544,	2,	684,	25,	3),
(21545,	2,	684,	4,	3),
(21546,	2,	684,	5,	3),
(21547,	2,	684,	26,	3),
(21548,	2,	685,	1,	1),
(21549,	2,	685,	2,	1),
(21550,	2,	685,	3,	1),
(21551,	2,	685,	23,	1),
(21552,	2,	685,	6,	1),
(21553,	2,	685,	24,	1),
(21554,	2,	685,	25,	1),
(21555,	2,	685,	4,	1),
(21556,	2,	685,	5,	1),
(21557,	2,	685,	26,	1),
(21558,	2,	685,	1,	3),
(21559,	2,	685,	2,	3),
(21560,	2,	685,	3,	3),
(21561,	2,	685,	23,	3),
(21562,	2,	685,	6,	3),
(21563,	2,	685,	24,	3),
(21564,	2,	685,	25,	3),
(21565,	2,	685,	4,	3),
(21566,	2,	685,	5,	3),
(21567,	2,	685,	26,	3),
(21568,	2,	686,	1,	1),
(21569,	2,	686,	2,	1),
(21570,	2,	686,	3,	1),
(21571,	2,	687,	1,	1),
(21572,	2,	687,	2,	1),
(21573,	2,	687,	3,	1),
(21574,	2,	687,	23,	1),
(21575,	2,	687,	6,	1),
(21576,	2,	687,	24,	1),
(21577,	2,	687,	25,	1),
(21578,	2,	687,	4,	1),
(21579,	2,	687,	5,	1),
(21580,	2,	687,	26,	1),
(21581,	2,	687,	1,	3),
(21582,	2,	687,	2,	3),
(21583,	2,	687,	3,	3),
(21584,	2,	687,	23,	3),
(21585,	2,	687,	6,	3),
(21586,	2,	687,	24,	3),
(21587,	2,	687,	25,	3),
(21588,	2,	687,	4,	3),
(21589,	2,	687,	5,	3),
(21590,	2,	687,	26,	3),
(21591,	2,	688,	1,	1),
(21592,	2,	688,	2,	1),
(21593,	2,	688,	3,	1),
(21594,	2,	688,	23,	1),
(21595,	2,	688,	6,	1),
(21596,	2,	688,	24,	1),
(21597,	2,	688,	25,	1),
(21598,	2,	688,	4,	1),
(21599,	2,	688,	5,	1),
(21600,	2,	688,	26,	1),
(21601,	2,	688,	1,	3),
(21602,	2,	688,	2,	3),
(21603,	2,	688,	3,	3),
(21604,	2,	688,	23,	3),
(21605,	2,	688,	6,	3),
(21606,	2,	688,	24,	3),
(21607,	2,	688,	25,	3),
(21608,	2,	688,	4,	3),
(21609,	2,	688,	5,	3),
(21610,	2,	688,	26,	3),
(21611,	2,	689,	1,	1),
(21612,	2,	689,	2,	1),
(21613,	2,	689,	3,	1),
(21614,	2,	689,	1,	3),
(21615,	2,	689,	2,	3),
(21616,	2,	689,	3,	3),
(21617,	2,	690,	1,	1),
(21618,	2,	690,	2,	1),
(21619,	2,	690,	3,	1),
(21620,	2,	690,	23,	1),
(21621,	2,	690,	6,	1),
(21622,	2,	690,	24,	1),
(21623,	2,	690,	25,	1),
(21624,	2,	690,	4,	1),
(21625,	2,	690,	5,	1),
(21626,	2,	690,	26,	1),
(21627,	2,	690,	1,	3),
(21628,	2,	690,	2,	3),
(21629,	2,	690,	3,	3),
(21630,	2,	690,	23,	3),
(21631,	2,	690,	6,	3),
(21632,	2,	690,	24,	3),
(21633,	2,	690,	25,	3),
(21634,	2,	690,	4,	3),
(21635,	2,	690,	5,	3),
(21636,	2,	690,	26,	3),
(21637,	2,	691,	1,	1),
(21638,	2,	691,	2,	1),
(21639,	2,	691,	3,	1),
(21640,	2,	692,	1,	1),
(21641,	2,	692,	2,	1),
(21642,	2,	692,	3,	1),
(21643,	2,	692,	23,	1),
(21644,	2,	692,	6,	1),
(21645,	2,	692,	24,	1),
(21646,	2,	692,	25,	1),
(21647,	2,	692,	4,	1),
(21648,	2,	692,	5,	1),
(21649,	2,	692,	26,	1),
(21650,	2,	692,	1,	3),
(21651,	2,	692,	2,	3),
(21652,	2,	692,	3,	3),
(21653,	2,	692,	23,	3),
(21654,	2,	692,	6,	3),
(21655,	2,	692,	24,	3),
(21656,	2,	692,	25,	3),
(21657,	2,	692,	4,	3),
(21658,	2,	692,	5,	3),
(21659,	2,	692,	26,	3),
(21660,	2,	693,	1,	1),
(21661,	2,	693,	2,	1),
(21662,	2,	693,	3,	1),
(21663,	2,	693,	1,	3),
(21664,	2,	693,	2,	3),
(21665,	2,	693,	3,	3),
(21666,	2,	694,	1,	1),
(21667,	2,	694,	2,	1),
(21668,	2,	694,	3,	1),
(21669,	2,	694,	23,	1),
(21670,	2,	694,	6,	1),
(21671,	2,	694,	24,	1),
(21672,	2,	694,	25,	1),
(21673,	2,	694,	4,	1),
(21674,	2,	694,	5,	1),
(21675,	2,	694,	26,	1),
(21676,	2,	694,	1,	3),
(21677,	2,	694,	2,	3),
(21678,	2,	694,	3,	3),
(21679,	2,	694,	23,	3),
(21680,	2,	694,	6,	3),
(21681,	2,	694,	24,	3),
(21682,	2,	694,	25,	3),
(21683,	2,	694,	4,	3),
(21684,	2,	694,	5,	3),
(21685,	2,	694,	26,	3),
(21686,	2,	695,	1,	1),
(21687,	2,	695,	2,	1),
(21688,	2,	695,	3,	1),
(21689,	2,	695,	1,	2),
(21690,	2,	695,	2,	2),
(21691,	2,	695,	3,	2),
(21692,	2,	696,	1,	1),
(21693,	2,	696,	2,	1),
(21694,	2,	696,	3,	1),
(21695,	2,	696,	23,	1),
(21696,	2,	696,	6,	1),
(21697,	2,	696,	24,	1),
(21698,	2,	696,	25,	1),
(21699,	2,	696,	4,	1),
(21700,	2,	696,	5,	1),
(21701,	2,	696,	26,	1),
(21702,	2,	696,	1,	3),
(21703,	2,	696,	2,	3),
(21704,	2,	696,	3,	3),
(21705,	2,	696,	23,	3),
(21706,	2,	696,	6,	3),
(21707,	2,	696,	24,	3),
(21708,	2,	696,	25,	3),
(21709,	2,	696,	4,	3),
(21710,	2,	696,	5,	3),
(21711,	2,	696,	26,	3),
(21712,	2,	697,	1,	1),
(21713,	2,	697,	2,	1),
(21714,	2,	697,	3,	1),
(21715,	2,	697,	23,	1),
(21716,	2,	697,	6,	1),
(21717,	2,	697,	24,	1),
(21718,	2,	697,	25,	1),
(21719,	2,	697,	4,	1),
(21720,	2,	697,	5,	1),
(21721,	2,	697,	26,	1),
(21722,	2,	697,	1,	3),
(21723,	2,	697,	2,	3),
(21724,	2,	697,	3,	3),
(21725,	2,	697,	23,	3),
(21726,	2,	697,	6,	3),
(21727,	2,	697,	24,	3),
(21728,	2,	697,	25,	3),
(21729,	2,	697,	4,	3),
(21730,	2,	697,	5,	3),
(21731,	2,	697,	26,	3),
(21732,	2,	698,	1,	1),
(21733,	2,	698,	2,	1),
(21734,	2,	698,	3,	1),
(21735,	2,	698,	23,	1),
(21736,	2,	698,	6,	1),
(21737,	2,	698,	24,	1),
(21738,	2,	698,	25,	1),
(21739,	2,	698,	4,	1),
(21740,	2,	698,	5,	1),
(21741,	2,	698,	26,	1),
(21742,	2,	698,	1,	3),
(21743,	2,	698,	2,	3),
(21744,	2,	698,	3,	3),
(21745,	2,	698,	23,	3),
(21746,	2,	698,	6,	3),
(21747,	2,	698,	24,	3),
(21748,	2,	698,	25,	3),
(21749,	2,	698,	4,	3),
(21750,	2,	698,	5,	3),
(21751,	2,	698,	26,	3),
(21752,	2,	699,	1,	1),
(21753,	2,	699,	2,	1),
(21754,	2,	699,	3,	1),
(21755,	2,	700,	1,	1),
(21756,	2,	700,	2,	1),
(21757,	2,	700,	3,	1),
(21758,	2,	701,	1,	1),
(21759,	2,	701,	2,	1),
(21760,	2,	701,	3,	1),
(21761,	2,	702,	1,	1),
(21762,	2,	702,	2,	1),
(21763,	2,	702,	3,	1),
(21764,	2,	703,	1,	1),
(21765,	2,	703,	2,	1),
(21766,	2,	703,	3,	1),
(21767,	2,	703,	23,	1),
(21768,	2,	703,	6,	1),
(21769,	2,	703,	24,	1),
(21770,	2,	703,	25,	1),
(21771,	2,	703,	4,	1),
(21772,	2,	703,	5,	1),
(21773,	2,	703,	26,	1),
(21774,	2,	703,	1,	3),
(21775,	2,	703,	2,	3),
(21776,	2,	703,	3,	3),
(21777,	2,	703,	23,	3),
(21778,	2,	703,	6,	3),
(21779,	2,	703,	24,	3),
(21780,	2,	703,	25,	3),
(21781,	2,	703,	4,	3),
(21782,	2,	703,	5,	3),
(21783,	2,	703,	26,	3),
(21784,	2,	704,	1,	1),
(21785,	2,	704,	2,	1),
(21786,	2,	704,	3,	1),
(21787,	2,	704,	23,	1),
(21788,	2,	704,	6,	1),
(21789,	2,	704,	24,	1),
(21790,	2,	704,	25,	1),
(21791,	2,	704,	4,	1),
(21792,	2,	704,	5,	1),
(21793,	2,	704,	26,	1),
(21794,	2,	705,	1,	1),
(21795,	2,	705,	2,	1),
(21796,	2,	705,	3,	1),
(21797,	2,	706,	1,	1),
(21798,	2,	706,	2,	1),
(21799,	2,	706,	3,	1),
(21800,	2,	707,	1,	1),
(21801,	2,	707,	2,	1),
(21802,	2,	707,	3,	1),
(21803,	2,	708,	1,	1),
(21804,	2,	708,	2,	1),
(21805,	2,	708,	3,	1),
(21806,	2,	709,	1,	1),
(21807,	2,	709,	2,	1),
(21808,	2,	709,	3,	1),
(21809,	2,	709,	23,	1),
(21810,	2,	709,	6,	1),
(21811,	2,	709,	24,	1),
(21812,	2,	709,	25,	1),
(21813,	2,	709,	4,	1),
(21814,	2,	709,	5,	1),
(21815,	2,	709,	26,	1),
(21816,	2,	709,	1,	3),
(21817,	2,	709,	2,	3),
(21818,	2,	709,	3,	3),
(21819,	2,	709,	23,	3),
(21820,	2,	709,	6,	3),
(21821,	2,	709,	24,	3),
(21822,	2,	709,	25,	3),
(21823,	2,	709,	4,	3),
(21824,	2,	709,	5,	3),
(21825,	2,	709,	26,	3),
(21826,	2,	710,	1,	1),
(21827,	2,	710,	2,	1),
(21828,	2,	710,	3,	1),
(21829,	2,	711,	1,	1),
(21830,	2,	711,	2,	1),
(21831,	2,	711,	3,	1),
(21832,	2,	711,	23,	1),
(21833,	2,	711,	6,	1),
(21834,	2,	711,	24,	1),
(21835,	2,	711,	25,	1),
(21836,	2,	711,	4,	1),
(21837,	2,	711,	5,	1),
(21838,	2,	711,	26,	1),
(21839,	2,	711,	1,	3),
(21840,	2,	711,	2,	3),
(21841,	2,	711,	3,	3),
(21842,	2,	711,	23,	3),
(21843,	2,	711,	6,	3),
(21844,	2,	711,	24,	3),
(21845,	2,	711,	25,	3),
(21846,	2,	711,	4,	3),
(21847,	2,	711,	5,	3),
(21848,	2,	711,	26,	3),
(21849,	2,	712,	1,	1),
(21850,	2,	712,	2,	1),
(21851,	2,	712,	3,	1),
(21852,	2,	713,	1,	1),
(21853,	2,	713,	2,	1),
(21854,	2,	713,	3,	1),
(21855,	2,	713,	1,	2),
(21856,	2,	713,	2,	2),
(21857,	2,	713,	3,	2),
(21858,	2,	714,	1,	1),
(21859,	2,	714,	2,	1),
(21860,	2,	714,	3,	1),
(21861,	2,	715,	1,	1),
(21862,	2,	715,	2,	1),
(21863,	2,	715,	3,	1),
(21864,	2,	716,	1,	1),
(21865,	2,	716,	2,	1),
(21866,	2,	716,	3,	1),
(21867,	2,	716,	23,	1),
(21868,	2,	716,	1,	3),
(21869,	2,	716,	2,	3),
(21870,	2,	716,	3,	3),
(21871,	2,	716,	23,	3),
(21872,	2,	717,	1,	1),
(21873,	2,	717,	2,	1),
(21874,	2,	717,	3,	1),
(21875,	2,	717,	23,	1),
(21876,	2,	717,	6,	1),
(21877,	2,	717,	24,	1),
(21878,	2,	717,	25,	1),
(21879,	2,	717,	4,	1),
(21880,	2,	717,	5,	1),
(21881,	2,	717,	26,	1),
(21882,	2,	717,	1,	3),
(21883,	2,	717,	2,	3),
(21884,	2,	717,	3,	3),
(21885,	2,	717,	23,	3),
(21886,	2,	717,	6,	3),
(21887,	2,	717,	24,	3),
(21888,	2,	717,	25,	3),
(21889,	2,	717,	4,	3),
(21890,	2,	717,	5,	3),
(21891,	2,	717,	26,	3),
(21892,	2,	718,	1,	1),
(21893,	2,	718,	2,	1),
(21894,	2,	718,	3,	1),
(21895,	2,	718,	23,	1),
(21896,	2,	719,	1,	1),
(21897,	2,	719,	2,	1),
(21898,	2,	719,	3,	1),
(21899,	2,	719,	23,	1),
(21900,	2,	719,	6,	1),
(21901,	2,	719,	24,	1),
(21902,	2,	719,	25,	1),
(21903,	2,	719,	4,	1),
(21904,	2,	719,	5,	1),
(21905,	2,	719,	26,	1),
(21906,	2,	719,	1,	3),
(21907,	2,	719,	2,	3),
(21908,	2,	719,	3,	3),
(21909,	2,	719,	23,	3),
(21910,	2,	719,	6,	3),
(21911,	2,	719,	24,	3),
(21912,	2,	719,	25,	3),
(21913,	2,	719,	4,	3),
(21914,	2,	719,	5,	3),
(21915,	2,	719,	26,	3),
(21916,	2,	720,	1,	1),
(21917,	2,	720,	2,	1),
(21918,	2,	720,	3,	1),
(21919,	2,	721,	1,	1),
(21920,	2,	721,	2,	1),
(21921,	2,	721,	3,	1),
(21922,	2,	721,	23,	1),
(21923,	2,	721,	1,	3),
(21924,	2,	721,	2,	3),
(21925,	2,	721,	3,	3),
(21926,	2,	721,	23,	3),
(21927,	2,	722,	1,	1),
(21928,	2,	722,	2,	1),
(21929,	2,	722,	3,	1),
(21930,	2,	722,	23,	1),
(21931,	2,	722,	6,	1),
(21932,	2,	722,	24,	1),
(21933,	2,	722,	25,	1),
(21934,	2,	722,	4,	1),
(21935,	2,	722,	5,	1),
(21936,	2,	722,	26,	1),
(21937,	2,	722,	1,	3),
(21938,	2,	722,	2,	3),
(21939,	2,	722,	3,	3),
(21940,	2,	722,	23,	3),
(21941,	2,	722,	6,	3),
(21942,	2,	722,	24,	3),
(21943,	2,	722,	25,	3),
(21944,	2,	722,	4,	3),
(21945,	2,	722,	5,	3),
(21946,	2,	722,	26,	3),
(21947,	2,	723,	1,	1),
(21948,	2,	723,	2,	1),
(21949,	2,	723,	3,	1),
(21950,	2,	723,	23,	1),
(21951,	2,	724,	1,	1),
(21952,	2,	724,	2,	1),
(21953,	2,	724,	3,	1),
(21954,	2,	724,	23,	1),
(21955,	2,	724,	6,	1),
(21956,	2,	724,	24,	1),
(21957,	2,	724,	25,	1),
(21958,	2,	724,	4,	1),
(21959,	2,	724,	5,	1),
(21960,	2,	724,	26,	1),
(21961,	2,	724,	1,	3),
(21962,	2,	724,	2,	3),
(21963,	2,	724,	3,	3),
(21964,	2,	724,	23,	3),
(21965,	2,	724,	6,	3),
(21966,	2,	724,	24,	3),
(21967,	2,	724,	25,	3),
(21968,	2,	724,	4,	3),
(21969,	2,	724,	5,	3),
(21970,	2,	724,	26,	3),
(21971,	2,	725,	1,	1),
(21972,	2,	725,	2,	1),
(21973,	2,	725,	3,	1),
(21974,	2,	726,	1,	1),
(21975,	2,	726,	2,	1),
(21976,	2,	726,	3,	1),
(21977,	2,	727,	1,	1),
(21978,	2,	727,	2,	1),
(21979,	2,	727,	3,	1),
(21980,	2,	728,	1,	1),
(21981,	2,	728,	2,	1),
(21982,	2,	728,	3,	1),
(21983,	2,	729,	1,	1),
(21984,	2,	729,	2,	1),
(21985,	2,	729,	3,	1),
(21986,	2,	730,	1,	1),
(21987,	2,	730,	2,	1),
(21988,	2,	730,	3,	1),
(21989,	2,	730,	23,	1),
(21990,	2,	730,	6,	1),
(21991,	2,	730,	24,	1),
(21992,	2,	730,	25,	1),
(21993,	2,	730,	4,	1),
(21994,	2,	730,	5,	1),
(21995,	2,	730,	26,	1),
(21996,	2,	730,	1,	3),
(21997,	2,	730,	2,	3),
(21998,	2,	730,	3,	3),
(21999,	2,	730,	23,	3),
(22000,	2,	730,	6,	3),
(22001,	2,	730,	24,	3),
(22002,	2,	730,	25,	3),
(22003,	2,	730,	4,	3),
(22004,	2,	730,	5,	3),
(22005,	2,	730,	26,	3),
(22006,	2,	731,	1,	1),
(22007,	2,	731,	2,	1),
(22008,	2,	731,	3,	1),
(22009,	2,	731,	23,	1),
(22010,	2,	731,	6,	1),
(22011,	2,	731,	24,	1),
(22012,	2,	731,	25,	1),
(22013,	2,	731,	4,	1),
(22014,	2,	731,	5,	1),
(22015,	2,	731,	26,	1),
(22016,	2,	731,	1,	3),
(22017,	2,	731,	2,	3),
(22018,	2,	731,	3,	3),
(22019,	2,	731,	23,	3),
(22020,	2,	731,	6,	3),
(22021,	2,	731,	24,	3),
(22022,	2,	731,	25,	3),
(22023,	2,	731,	4,	3),
(22024,	2,	731,	5,	3),
(22025,	2,	731,	26,	3),
(22026,	2,	732,	1,	1),
(22027,	2,	732,	2,	1),
(22028,	2,	732,	3,	1),
(22029,	2,	732,	23,	1),
(22030,	2,	733,	1,	1),
(22031,	2,	733,	2,	1),
(22032,	2,	733,	3,	1),
(22033,	2,	733,	23,	1),
(22034,	2,	733,	6,	1),
(22035,	2,	733,	24,	1),
(22036,	2,	733,	25,	1),
(22037,	2,	733,	4,	1),
(22038,	2,	733,	5,	1),
(22039,	2,	733,	26,	1),
(22040,	2,	733,	1,	3),
(22041,	2,	733,	2,	3),
(22042,	2,	733,	3,	3),
(22043,	2,	733,	23,	3),
(22044,	2,	733,	6,	3),
(22045,	2,	733,	24,	3),
(22046,	2,	733,	25,	3),
(22047,	2,	733,	4,	3),
(22048,	2,	733,	5,	3),
(22049,	2,	733,	26,	3),
(22050,	2,	734,	1,	1),
(22051,	2,	734,	2,	1),
(22052,	2,	734,	3,	1),
(22053,	2,	734,	23,	1),
(22054,	2,	734,	6,	1),
(22055,	2,	734,	24,	1),
(22056,	2,	734,	25,	1),
(22057,	2,	734,	4,	1),
(22058,	2,	734,	5,	1),
(22059,	2,	734,	26,	1),
(22060,	2,	734,	1,	3),
(22061,	2,	734,	2,	3),
(22062,	2,	734,	3,	3),
(22063,	2,	734,	23,	3),
(22064,	2,	734,	6,	3),
(22065,	2,	734,	24,	3),
(22066,	2,	734,	25,	3),
(22067,	2,	734,	4,	3),
(22068,	2,	734,	5,	3),
(22069,	2,	734,	26,	3),
(22070,	2,	735,	1,	1),
(22071,	2,	735,	2,	1),
(22072,	2,	735,	3,	1),
(22073,	2,	735,	23,	1),
(22074,	2,	736,	1,	1),
(22075,	2,	736,	2,	1),
(22076,	2,	736,	3,	1),
(22077,	2,	736,	23,	1),
(22078,	2,	736,	6,	1),
(22079,	2,	736,	24,	1),
(22080,	2,	736,	25,	1),
(22081,	2,	736,	4,	1),
(22082,	2,	736,	5,	1),
(22083,	2,	736,	26,	1),
(22084,	2,	736,	1,	3),
(22085,	2,	736,	2,	3),
(22086,	2,	736,	3,	3),
(22087,	2,	736,	23,	3),
(22088,	2,	736,	6,	3),
(22089,	2,	736,	24,	3),
(22090,	2,	736,	25,	3),
(22091,	2,	736,	4,	3),
(22092,	2,	736,	5,	3),
(22093,	2,	736,	26,	3),
(22094,	2,	737,	1,	1),
(22095,	2,	737,	2,	1),
(22096,	2,	737,	3,	1),
(22097,	2,	738,	1,	1),
(22098,	2,	738,	2,	1),
(22099,	2,	738,	3,	1),
(22100,	2,	739,	1,	1),
(22101,	2,	739,	2,	1),
(22102,	2,	739,	3,	1),
(22103,	2,	740,	1,	1),
(22104,	2,	740,	2,	1),
(22105,	2,	740,	3,	1),
(22106,	2,	740,	23,	1),
(22107,	2,	740,	6,	1),
(22108,	2,	740,	24,	1),
(22109,	2,	740,	25,	1),
(22110,	2,	740,	4,	1),
(22111,	2,	740,	5,	1),
(22112,	2,	740,	26,	1),
(22113,	2,	740,	1,	3),
(22114,	2,	740,	2,	3),
(22115,	2,	740,	3,	3),
(22116,	2,	740,	23,	3),
(22117,	2,	740,	6,	3),
(22118,	2,	740,	24,	3),
(22119,	2,	740,	25,	3),
(22120,	2,	740,	4,	3),
(22121,	2,	740,	5,	3),
(22122,	2,	740,	26,	3),
(22123,	2,	741,	1,	1),
(22124,	2,	741,	2,	1),
(22125,	2,	741,	3,	1),
(22126,	2,	741,	23,	1),
(22127,	2,	741,	6,	1),
(22128,	2,	741,	24,	1),
(22129,	2,	741,	25,	1),
(22130,	2,	741,	4,	1),
(22131,	2,	741,	5,	1),
(22132,	2,	741,	26,	1),
(22133,	2,	742,	1,	1),
(22134,	2,	742,	2,	1),
(22135,	2,	742,	3,	1),
(22136,	2,	743,	1,	1),
(22137,	2,	743,	2,	1),
(22138,	2,	743,	3,	1),
(22139,	2,	743,	23,	1),
(22140,	2,	743,	6,	1),
(22141,	2,	743,	24,	1),
(22142,	2,	743,	25,	1),
(22143,	2,	743,	4,	1),
(22144,	2,	743,	5,	1),
(22145,	2,	743,	26,	1),
(22146,	2,	743,	1,	3),
(22147,	2,	743,	2,	3),
(22148,	2,	743,	3,	3),
(22149,	2,	743,	23,	3),
(22150,	2,	743,	6,	3),
(22151,	2,	743,	24,	3),
(22152,	2,	743,	25,	3),
(22153,	2,	743,	4,	3),
(22154,	2,	743,	5,	3),
(22155,	2,	743,	26,	3),
(22156,	2,	744,	1,	1),
(22157,	2,	744,	2,	1),
(22158,	2,	744,	3,	1),
(22159,	2,	744,	23,	1),
(22160,	2,	744,	6,	1),
(22161,	2,	744,	24,	1),
(22162,	2,	744,	25,	1),
(22163,	2,	744,	4,	1),
(22164,	2,	744,	5,	1),
(22165,	2,	744,	26,	1),
(22166,	2,	744,	1,	3),
(22167,	2,	744,	2,	3),
(22168,	2,	744,	3,	3),
(22169,	2,	744,	23,	3),
(22170,	2,	744,	6,	3),
(22171,	2,	744,	24,	3),
(22172,	2,	744,	25,	3),
(22173,	2,	744,	4,	3),
(22174,	2,	744,	5,	3),
(22175,	2,	744,	26,	3),
(22176,	2,	745,	1,	1),
(22177,	2,	745,	2,	1),
(22178,	2,	745,	3,	1),
(22179,	2,	745,	23,	1),
(22180,	2,	745,	6,	1),
(22181,	2,	745,	5,	1),
(22182,	2,	746,	1,	1),
(22183,	2,	746,	2,	1),
(22184,	2,	746,	3,	1),
(22185,	2,	747,	1,	1),
(22186,	2,	747,	2,	1),
(22187,	2,	747,	3,	1),
(22188,	2,	747,	23,	1),
(22189,	2,	747,	6,	1),
(22190,	2,	747,	24,	1),
(22191,	2,	747,	25,	1),
(22192,	2,	747,	4,	1),
(22193,	2,	747,	5,	1),
(22194,	2,	747,	26,	1),
(22195,	2,	747,	1,	3),
(22196,	2,	747,	2,	3),
(22197,	2,	747,	3,	3),
(22198,	2,	747,	23,	3),
(22199,	2,	747,	6,	3),
(22200,	2,	747,	24,	3),
(22201,	2,	747,	25,	3),
(22202,	2,	747,	4,	3),
(22203,	2,	747,	5,	3),
(22204,	2,	747,	26,	3),
(22205,	2,	748,	1,	1),
(22206,	2,	748,	2,	1),
(22207,	2,	748,	3,	1),
(22208,	2,	748,	23,	1),
(22209,	2,	748,	6,	1),
(22210,	2,	748,	24,	1),
(22211,	2,	748,	25,	1),
(22212,	2,	748,	4,	1),
(22213,	2,	748,	5,	1),
(22214,	2,	748,	26,	1),
(22215,	2,	748,	1,	3),
(22216,	2,	748,	2,	3),
(22217,	2,	748,	3,	3),
(22218,	2,	748,	23,	3),
(22219,	2,	748,	6,	3),
(22220,	2,	748,	24,	3),
(22221,	2,	748,	25,	3),
(22222,	2,	748,	4,	3),
(22223,	2,	748,	5,	3),
(22224,	2,	748,	26,	3),
(22225,	2,	749,	1,	1),
(22226,	2,	749,	2,	1),
(22227,	2,	749,	3,	1),
(22228,	2,	750,	1,	1),
(22229,	2,	750,	2,	1),
(22230,	2,	750,	3,	1),
(22231,	2,	750,	23,	1),
(22232,	2,	750,	6,	1),
(22233,	2,	750,	24,	1),
(22234,	2,	750,	25,	1),
(22235,	2,	750,	4,	1),
(22236,	2,	750,	5,	1),
(22237,	2,	750,	26,	1),
(22238,	2,	750,	1,	3),
(22239,	2,	750,	2,	3),
(22240,	2,	750,	3,	3),
(22241,	2,	750,	23,	3),
(22242,	2,	750,	6,	3),
(22243,	2,	750,	24,	3),
(22244,	2,	750,	25,	3),
(22245,	2,	750,	4,	3),
(22246,	2,	750,	5,	3),
(22247,	2,	750,	26,	3),
(22248,	2,	751,	1,	1),
(22249,	2,	751,	2,	1),
(22250,	2,	751,	3,	1),
(22251,	2,	752,	1,	1),
(22252,	2,	752,	2,	1),
(22253,	2,	752,	3,	1),
(22254,	2,	752,	6,	1),
(22255,	2,	752,	24,	1),
(22256,	2,	752,	25,	1),
(22257,	2,	752,	4,	1),
(22258,	2,	752,	5,	1),
(22259,	2,	752,	26,	1),
(22260,	2,	752,	1,	3),
(22261,	2,	752,	2,	3),
(22262,	2,	752,	3,	3),
(22263,	2,	752,	6,	3),
(22264,	2,	752,	24,	3),
(22265,	2,	752,	25,	3),
(22266,	2,	752,	4,	3),
(22267,	2,	752,	5,	3),
(22268,	2,	752,	26,	3),
(22269,	2,	753,	1,	1),
(22270,	2,	753,	2,	1),
(22271,	2,	753,	3,	1),
(22272,	2,	753,	23,	1),
(22273,	2,	754,	1,	1),
(22274,	2,	754,	2,	1),
(22275,	2,	754,	3,	1),
(22276,	2,	754,	23,	1),
(22277,	2,	754,	6,	1),
(22278,	2,	754,	24,	1),
(22279,	2,	754,	25,	1),
(22280,	2,	754,	4,	1),
(22281,	2,	754,	5,	1),
(22282,	2,	754,	26,	1),
(22283,	2,	754,	1,	3),
(22284,	2,	754,	2,	3),
(22285,	2,	754,	3,	3),
(22286,	2,	754,	23,	3),
(22287,	2,	754,	6,	3),
(22288,	2,	754,	24,	3),
(22289,	2,	754,	25,	3),
(22290,	2,	754,	4,	3),
(22291,	2,	754,	5,	3),
(22292,	2,	754,	26,	3),
(22293,	2,	755,	1,	1),
(22294,	2,	755,	2,	1),
(22295,	2,	755,	3,	1),
(22296,	2,	756,	1,	1),
(22297,	2,	756,	2,	1),
(22298,	2,	756,	3,	1),
(22299,	2,	757,	1,	1),
(22300,	2,	757,	2,	1),
(22301,	2,	757,	3,	1),
(22302,	2,	757,	1,	3),
(22303,	2,	757,	2,	3),
(22304,	2,	757,	3,	3),
(22305,	2,	758,	1,	1),
(22306,	2,	758,	2,	1),
(22307,	2,	758,	3,	1),
(22308,	2,	758,	23,	1),
(22309,	2,	758,	1,	2),
(22310,	2,	758,	2,	2),
(22311,	2,	758,	3,	2),
(22312,	2,	758,	23,	2),
(22313,	2,	759,	1,	1),
(22314,	2,	759,	2,	1),
(22315,	2,	759,	3,	1),
(22316,	2,	759,	1,	3),
(22317,	2,	759,	2,	3),
(22318,	2,	759,	3,	3),
(22319,	2,	760,	1,	1),
(22320,	2,	760,	2,	1),
(22321,	2,	760,	3,	1),
(22322,	2,	760,	23,	1),
(22323,	2,	760,	1,	3),
(22324,	2,	760,	2,	3),
(22325,	2,	760,	3,	3),
(22326,	2,	760,	23,	3),
(22327,	2,	760,	1,	2),
(22328,	2,	760,	2,	2),
(22329,	2,	760,	3,	2),
(22330,	2,	760,	23,	2),
(22331,	2,	761,	1,	1),
(22332,	2,	761,	2,	1),
(22333,	2,	761,	3,	1),
(22334,	2,	761,	1,	2),
(22335,	2,	761,	2,	2),
(22336,	2,	761,	3,	2),
(22337,	2,	762,	1,	1),
(22338,	2,	762,	2,	1),
(22339,	2,	762,	3,	1),
(22340,	2,	762,	1,	2),
(22341,	2,	762,	2,	2),
(22342,	2,	762,	3,	2),
(22343,	2,	763,	1,	1),
(22344,	2,	763,	2,	1),
(22345,	2,	763,	3,	1),
(22346,	2,	763,	1,	2),
(22347,	2,	763,	2,	2),
(22348,	2,	763,	3,	2),
(22349,	2,	764,	1,	1),
(22350,	2,	764,	2,	1),
(22351,	2,	764,	3,	1),
(22352,	2,	764,	1,	2),
(22353,	2,	764,	2,	2),
(22354,	2,	764,	3,	2),
(22355,	2,	765,	1,	1),
(22356,	2,	765,	2,	1),
(22357,	2,	765,	3,	1),
(22358,	2,	765,	1,	2),
(22359,	2,	765,	2,	2),
(22360,	2,	765,	3,	2),
(22361,	2,	766,	1,	1),
(22362,	2,	766,	2,	1),
(22363,	2,	766,	3,	1),
(22364,	2,	767,	1,	1),
(22365,	2,	767,	2,	1),
(22366,	2,	767,	3,	1),
(22367,	2,	767,	6,	1),
(22368,	2,	767,	1,	2),
(22369,	2,	767,	2,	2),
(22370,	2,	767,	3,	2),
(22371,	2,	767,	6,	2),
(22372,	2,	768,	1,	1),
(22373,	2,	768,	2,	1),
(22374,	2,	768,	3,	1),
(22375,	2,	768,	1,	2),
(22376,	2,	768,	2,	2),
(22377,	2,	768,	3,	2),
(22378,	2,	769,	1,	1),
(22379,	2,	769,	2,	1),
(22380,	2,	769,	3,	1),
(22381,	2,	769,	1,	3),
(22382,	2,	769,	2,	3),
(22383,	2,	769,	3,	3),
(22384,	2,	770,	1,	1),
(22385,	2,	770,	2,	1),
(22386,	2,	770,	3,	1),
(22387,	2,	771,	1,	1),
(22388,	2,	771,	2,	1),
(22389,	2,	771,	3,	1),
(22390,	2,	772,	1,	1),
(22391,	2,	772,	2,	1),
(22392,	2,	772,	3,	1),
(22393,	2,	772,	6,	1),
(22394,	2,	772,	1,	2),
(22395,	2,	772,	2,	2),
(22396,	2,	772,	3,	2),
(22397,	2,	772,	6,	2),
(22398,	2,	773,	1,	1),
(22399,	2,	773,	2,	1),
(22400,	2,	773,	3,	1),
(22401,	2,	773,	6,	1),
(22402,	2,	773,	1,	2),
(22403,	2,	773,	2,	2),
(22404,	2,	773,	3,	2),
(22405,	2,	773,	6,	2),
(22406,	2,	774,	1,	1),
(22407,	2,	774,	2,	1),
(22408,	2,	774,	3,	1),
(22409,	2,	775,	1,	1),
(22410,	2,	775,	2,	1),
(22411,	2,	775,	3,	1),
(22412,	2,	775,	1,	2),
(22413,	2,	775,	2,	2),
(22414,	2,	775,	3,	2),
(22415,	2,	776,	1,	1),
(22416,	2,	776,	2,	1),
(22417,	2,	776,	3,	1),
(22418,	2,	776,	1,	2),
(22419,	2,	776,	2,	2),
(22420,	2,	776,	3,	2),
(22421,	2,	777,	1,	1),
(22422,	2,	777,	2,	1),
(22423,	2,	777,	3,	1),
(22424,	2,	778,	1,	1),
(22425,	2,	778,	2,	1),
(22426,	2,	778,	3,	1),
(22427,	2,	778,	1,	2),
(22428,	2,	778,	2,	2),
(22429,	2,	778,	3,	2),
(22430,	2,	779,	1,	1),
(22431,	2,	779,	2,	1),
(22432,	2,	779,	3,	1),
(22433,	2,	779,	1,	2),
(22434,	2,	779,	2,	2),
(22435,	2,	779,	3,	2),
(22436,	2,	780,	1,	1),
(22437,	2,	780,	2,	1),
(22438,	2,	780,	3,	1),
(22439,	2,	780,	1,	2),
(22440,	2,	780,	2,	2),
(22441,	2,	780,	3,	2),
(22442,	2,	781,	1,	1),
(22443,	2,	781,	2,	1),
(22444,	2,	781,	3,	1),
(22445,	2,	781,	1,	3),
(22446,	2,	781,	2,	3),
(22447,	2,	781,	3,	3),
(22448,	2,	782,	1,	1),
(22449,	2,	782,	2,	1),
(22450,	2,	782,	3,	1),
(22451,	2,	782,	1,	3),
(22452,	2,	782,	2,	3),
(22453,	2,	782,	3,	3),
(22454,	2,	783,	1,	1),
(22455,	2,	783,	2,	1),
(22456,	2,	783,	3,	1),
(22457,	2,	783,	1,	3),
(22458,	2,	783,	2,	3),
(22459,	2,	783,	3,	3),
(22460,	2,	784,	1,	1),
(22461,	2,	784,	2,	1),
(22462,	2,	784,	3,	1),
(22463,	2,	784,	1,	3),
(22464,	2,	784,	2,	3),
(22465,	2,	784,	3,	3),
(22466,	2,	785,	1,	1),
(22467,	2,	785,	2,	1),
(22468,	2,	785,	3,	1),
(22469,	2,	786,	1,	1),
(22470,	2,	786,	2,	1),
(22471,	2,	786,	3,	1),
(22472,	2,	787,	1,	1),
(22473,	2,	787,	2,	1),
(22474,	2,	787,	3,	1),
(22475,	2,	787,	1,	3),
(22476,	2,	787,	2,	3),
(22477,	2,	787,	3,	3),
(22478,	2,	788,	1,	1),
(22479,	2,	788,	2,	1),
(22480,	2,	788,	3,	1),
(22481,	2,	788,	1,	2),
(22482,	2,	788,	2,	2),
(22483,	2,	788,	3,	2),
(22484,	2,	789,	1,	1),
(22485,	2,	789,	2,	1),
(22486,	2,	789,	3,	1),
(22487,	2,	789,	1,	2),
(22488,	2,	789,	2,	2),
(22489,	2,	789,	3,	2),
(22490,	2,	790,	1,	1),
(22491,	2,	790,	2,	1),
(22492,	2,	790,	3,	1),
(22493,	2,	790,	1,	2),
(22494,	2,	790,	2,	2),
(22495,	2,	790,	3,	2),
(22496,	2,	791,	1,	1),
(22497,	2,	791,	2,	1),
(22498,	2,	791,	3,	1),
(22499,	2,	791,	1,	3),
(22500,	2,	791,	2,	3),
(22501,	2,	791,	3,	3),
(22502,	2,	792,	1,	1),
(22503,	2,	792,	2,	1),
(22504,	2,	792,	3,	1),
(22505,	2,	792,	1,	2),
(22506,	2,	792,	2,	2),
(22507,	2,	792,	3,	2),
(22508,	2,	793,	1,	1),
(22509,	2,	793,	2,	1),
(22510,	2,	793,	3,	1),
(22511,	2,	793,	1,	2),
(22512,	2,	793,	2,	2),
(22513,	2,	793,	3,	2),
(22514,	2,	794,	1,	1),
(22515,	2,	794,	2,	1),
(22516,	2,	794,	3,	1),
(22517,	2,	794,	1,	2),
(22518,	2,	794,	2,	2),
(22519,	2,	794,	3,	2),
(22520,	2,	795,	1,	1),
(22521,	2,	795,	2,	1),
(22522,	2,	795,	3,	1),
(22523,	2,	795,	1,	2),
(22524,	2,	795,	2,	2),
(22525,	2,	795,	3,	2),
(22526,	2,	796,	1,	1),
(22527,	2,	796,	2,	1),
(22528,	2,	796,	3,	1),
(22529,	2,	796,	1,	2),
(22530,	2,	796,	2,	2),
(22531,	2,	796,	3,	2),
(22532,	2,	797,	1,	1),
(22533,	2,	797,	2,	1),
(22534,	2,	797,	3,	1),
(22535,	2,	797,	1,	3),
(22536,	2,	797,	2,	3),
(22537,	2,	797,	3,	3),
(22538,	2,	798,	1,	1),
(22539,	2,	798,	2,	1),
(22540,	2,	798,	3,	1),
(22541,	2,	798,	1,	2),
(22542,	2,	798,	2,	2),
(22543,	2,	798,	3,	2),
(22544,	2,	799,	1,	1),
(22545,	2,	799,	2,	1),
(22546,	2,	799,	3,	1),
(22547,	2,	799,	1,	2),
(22548,	2,	799,	2,	2),
(22549,	2,	799,	3,	2),
(22550,	2,	800,	1,	1),
(22551,	2,	800,	2,	1),
(22552,	2,	800,	3,	1),
(22553,	2,	800,	1,	2),
(22554,	2,	800,	2,	2),
(22555,	2,	800,	3,	2),
(22556,	2,	801,	1,	1),
(22557,	2,	801,	2,	1),
(22558,	2,	801,	3,	1),
(22559,	2,	801,	1,	2),
(22560,	2,	801,	2,	2),
(22561,	2,	801,	3,	2),
(22562,	2,	802,	1,	1),
(22563,	2,	802,	2,	1),
(22564,	2,	802,	3,	1),
(22565,	2,	802,	1,	2),
(22566,	2,	802,	2,	2),
(22567,	2,	802,	3,	2),
(22568,	2,	803,	1,	1),
(22569,	2,	803,	2,	1),
(22570,	2,	803,	3,	1),
(22571,	2,	803,	1,	2),
(22572,	2,	803,	2,	2),
(22573,	2,	803,	3,	2),
(22574,	2,	804,	1,	1),
(22575,	2,	804,	2,	1),
(22576,	2,	804,	3,	1),
(22577,	2,	804,	1,	2),
(22578,	2,	804,	2,	2),
(22579,	2,	804,	3,	2),
(22580,	2,	805,	1,	1),
(22581,	2,	805,	2,	1),
(22582,	2,	805,	3,	1),
(22583,	2,	805,	6,	1),
(22584,	2,	805,	24,	1),
(22585,	2,	805,	23,	1),
(22586,	2,	806,	1,	1),
(22587,	2,	806,	2,	1),
(22588,	2,	806,	3,	1),
(22589,	2,	806,	6,	1),
(22590,	2,	806,	24,	1),
(22591,	2,	807,	1,	1),
(22592,	2,	807,	2,	1),
(22593,	2,	807,	3,	1),
(22594,	2,	807,	6,	1),
(22595,	2,	807,	24,	1),
(22596,	2,	808,	1,	1),
(22597,	2,	808,	2,	1),
(22598,	2,	808,	3,	1),
(22599,	2,	808,	1,	2),
(22600,	2,	808,	2,	2),
(22601,	2,	808,	3,	2),
(22602,	2,	809,	1,	1),
(22603,	2,	809,	2,	1),
(22604,	2,	809,	3,	1),
(22605,	2,	809,	1,	2),
(22606,	2,	809,	2,	2),
(22607,	2,	809,	3,	2),
(22608,	2,	810,	1,	1),
(22609,	2,	810,	2,	1),
(22610,	2,	810,	3,	1),
(22611,	2,	810,	6,	1),
(22612,	2,	810,	24,	1),
(22613,	2,	811,	1,	1),
(22614,	2,	811,	2,	1),
(22615,	2,	811,	3,	1),
(22616,	2,	811,	1,	2),
(22617,	2,	811,	2,	2),
(22618,	2,	811,	3,	2),
(22619,	2,	812,	1,	1),
(22620,	2,	812,	2,	1),
(22621,	2,	812,	3,	1),
(22622,	2,	813,	1,	1),
(22623,	2,	813,	2,	1),
(22624,	2,	813,	3,	1),
(22625,	2,	813,	1,	2),
(22626,	2,	813,	2,	2),
(22627,	2,	813,	3,	2),
(22628,	2,	814,	1,	1),
(22629,	2,	814,	2,	1),
(22630,	2,	814,	3,	1),
(22631,	2,	814,	23,	1),
(22632,	2,	814,	49,	1),
(22633,	2,	814,	5,	1),
(22634,	2,	814,	26,	1),
(22635,	2,	815,	1,	1),
(22636,	2,	815,	2,	1),
(22637,	2,	815,	3,	1),
(22638,	2,	816,	1,	1),
(22639,	2,	816,	2,	1),
(22640,	2,	816,	3,	1),
(22641,	2,	816,	25,	1),
(22642,	2,	816,	24,	1),
(22643,	2,	816,	49,	1),
(22644,	2,	816,	50,	1),
(22645,	2,	816,	23,	1),
(22646,	2,	816,	51,	1),
(22647,	2,	816,	48,	1),
(22648,	2,	816,	52,	1),
(22649,	2,	816,	53,	1),
(22650,	2,	817,	1,	1),
(22651,	2,	817,	2,	1),
(22652,	2,	817,	3,	1),
(22653,	2,	817,	23,	1),
(22654,	2,	817,	49,	1),
(22655,	2,	817,	5,	1),
(22656,	2,	817,	26,	1),
(22657,	2,	818,	1,	1),
(22658,	2,	818,	2,	1),
(22659,	2,	818,	3,	1),
(22660,	2,	818,	49,	1),
(22661,	2,	819,	1,	1),
(22662,	2,	819,	2,	1),
(22663,	2,	819,	3,	1),
(22664,	2,	819,	49,	1),
(22665,	2,	820,	1,	1),
(22666,	2,	820,	2,	1),
(22667,	2,	820,	3,	1),
(22668,	2,	820,	49,	1),
(22669,	2,	821,	1,	1),
(22670,	2,	821,	2,	1),
(22671,	2,	821,	3,	1),
(22672,	2,	822,	1,	1),
(22673,	2,	822,	2,	1),
(22674,	2,	822,	3,	1),
(22675,	2,	823,	1,	1),
(22676,	2,	823,	2,	1),
(22677,	2,	823,	3,	1),
(22678,	2,	823,	1,	2),
(22679,	2,	823,	2,	2),
(22680,	2,	823,	3,	2),
(22681,	2,	824,	1,	1),
(22682,	2,	824,	2,	1),
(22683,	2,	824,	3,	1),
(22684,	2,	824,	1,	2),
(22685,	2,	824,	2,	2),
(22686,	2,	824,	3,	2),
(22687,	2,	825,	1,	1),
(22688,	2,	825,	2,	1),
(22689,	2,	825,	3,	1),
(22690,	2,	826,	1,	1),
(22691,	2,	826,	2,	1),
(22692,	2,	826,	3,	1),
(22693,	2,	827,	1,	1),
(22694,	2,	827,	2,	1),
(22695,	2,	827,	3,	1),
(22696,	2,	827,	1,	2),
(22697,	2,	827,	2,	2),
(22698,	2,	827,	3,	2),
(22699,	2,	828,	1,	1),
(22700,	2,	828,	2,	1),
(22701,	2,	828,	3,	1),
(22702,	2,	828,	1,	2),
(22703,	2,	828,	2,	2),
(22704,	2,	828,	3,	2),
(22705,	2,	829,	1,	1),
(22706,	2,	829,	2,	1),
(22707,	2,	829,	3,	1),
(22708,	2,	829,	4,	1),
(22709,	2,	829,	23,	1),
(22710,	2,	829,	1,	3),
(22711,	2,	829,	2,	3),
(22712,	2,	829,	3,	3),
(22713,	2,	829,	4,	3),
(22714,	2,	829,	23,	3),
(22715,	2,	829,	1,	2),
(22716,	2,	829,	2,	2),
(22717,	2,	829,	3,	2),
(22718,	2,	829,	4,	2),
(22719,	2,	829,	23,	2),
(22720,	2,	830,	1,	1),
(22721,	2,	830,	2,	1),
(22722,	2,	830,	3,	1),
(22723,	2,	830,	1,	2),
(22724,	2,	830,	2,	2),
(22725,	2,	830,	3,	2),
(22726,	2,	831,	1,	1),
(22727,	2,	831,	2,	1),
(22728,	2,	831,	3,	1),
(22729,	2,	832,	1,	1),
(22730,	2,	832,	2,	1),
(22731,	2,	832,	3,	1),
(22732,	2,	832,	1,	3),
(22733,	2,	832,	2,	3),
(22734,	2,	832,	3,	3),
(22735,	2,	833,	1,	1),
(22736,	2,	833,	2,	1),
(22737,	2,	833,	3,	1),
(22738,	2,	834,	1,	1),
(22739,	2,	834,	2,	1),
(22740,	2,	834,	3,	1),
(22741,	2,	834,	1,	2),
(22742,	2,	834,	2,	2),
(22743,	2,	834,	3,	2),
(22744,	2,	835,	1,	1),
(22745,	2,	835,	2,	1),
(22746,	2,	835,	3,	1),
(22747,	2,	835,	1,	2),
(22748,	2,	835,	2,	2),
(22749,	2,	835,	3,	2),
(22750,	2,	836,	1,	1),
(22751,	2,	836,	2,	1),
(22752,	2,	836,	3,	1),
(22753,	2,	837,	1,	1),
(22754,	2,	837,	2,	1),
(22755,	2,	837,	3,	1),
(22756,	2,	837,	1,	2),
(22757,	2,	837,	2,	2),
(22758,	2,	837,	3,	2),
(22759,	2,	838,	1,	1),
(22760,	2,	838,	2,	1),
(22761,	2,	838,	3,	1),
(22762,	2,	838,	1,	2),
(22763,	2,	838,	2,	2),
(22764,	2,	838,	3,	2),
(22765,	2,	839,	1,	1),
(22766,	2,	839,	2,	1),
(22767,	2,	839,	3,	1),
(22768,	2,	839,	1,	2),
(22769,	2,	839,	2,	2),
(22770,	2,	839,	3,	2),
(22771,	2,	840,	1,	1),
(22772,	2,	840,	2,	1),
(22773,	2,	840,	3,	1),
(22774,	2,	840,	1,	2),
(22775,	2,	840,	2,	2),
(22776,	2,	840,	3,	2),
(22777,	2,	841,	1,	1),
(22778,	2,	841,	2,	1),
(22779,	2,	841,	3,	1),
(22780,	2,	841,	1,	3),
(22781,	2,	841,	2,	3),
(22782,	2,	841,	3,	3),
(22783,	2,	842,	1,	1),
(22784,	2,	842,	2,	1),
(22785,	2,	842,	3,	1),
(22786,	2,	842,	1,	2),
(22787,	2,	842,	2,	2),
(22788,	2,	842,	3,	2),
(22789,	2,	843,	1,	1),
(22790,	2,	843,	2,	1),
(22791,	2,	843,	3,	1),
(22792,	2,	843,	1,	2),
(22793,	2,	843,	2,	2),
(22794,	2,	843,	3,	2),
(22795,	2,	844,	1,	1),
(22796,	2,	844,	2,	1),
(22797,	2,	844,	3,	1),
(22798,	2,	845,	1,	1),
(22799,	2,	845,	2,	1),
(22800,	2,	845,	3,	1),
(22801,	2,	845,	1,	2),
(22802,	2,	845,	2,	2),
(22803,	2,	845,	3,	2),
(22804,	2,	846,	1,	1),
(22805,	2,	846,	2,	1),
(22806,	2,	846,	3,	1),
(22807,	2,	847,	1,	1),
(22808,	2,	847,	2,	1),
(22809,	2,	847,	3,	1),
(22810,	2,	847,	1,	3),
(22811,	2,	847,	2,	3),
(22812,	2,	847,	3,	3),
(22813,	2,	848,	1,	1),
(22814,	2,	848,	2,	1),
(22815,	2,	848,	3,	1),
(22816,	2,	849,	1,	1),
(22817,	2,	849,	2,	1),
(22818,	2,	849,	3,	1),
(22819,	2,	849,	1,	3),
(22820,	2,	849,	2,	3),
(22821,	2,	849,	3,	3),
(22822,	2,	850,	1,	1),
(22823,	2,	850,	2,	1),
(22824,	2,	850,	3,	1),
(22825,	2,	850,	1,	3),
(22826,	2,	850,	2,	3),
(22827,	2,	850,	3,	3),
(22828,	2,	851,	1,	1),
(22829,	2,	851,	2,	1),
(22830,	2,	851,	3,	1),
(22831,	2,	851,	1,	2),
(22832,	2,	851,	2,	2),
(22833,	2,	851,	3,	2),
(22834,	2,	852,	1,	1),
(22835,	2,	852,	2,	1),
(22836,	2,	852,	3,	1),
(22837,	2,	852,	1,	2),
(22838,	2,	852,	2,	2),
(22839,	2,	852,	3,	2),
(22840,	2,	853,	1,	1),
(22841,	2,	853,	2,	1),
(22842,	2,	853,	3,	1),
(22843,	2,	853,	1,	2),
(22844,	2,	853,	2,	2),
(22845,	2,	853,	3,	2),
(22846,	2,	854,	1,	1),
(22847,	2,	854,	2,	1),
(22848,	2,	854,	3,	1),
(22849,	2,	854,	1,	3),
(22850,	2,	854,	2,	3),
(22851,	2,	854,	3,	3),
(22852,	2,	855,	1,	1),
(22853,	2,	855,	2,	1),
(22854,	2,	855,	3,	1),
(22855,	2,	855,	1,	3),
(22856,	2,	855,	2,	3),
(22857,	2,	855,	3,	3),
(22858,	2,	856,	1,	1),
(22859,	2,	856,	2,	1),
(22860,	2,	856,	3,	1),
(22861,	2,	856,	1,	3),
(22862,	2,	856,	2,	3),
(22863,	2,	856,	3,	3),
(22864,	2,	857,	1,	1),
(22865,	2,	857,	2,	1),
(22866,	2,	857,	3,	1),
(22867,	2,	857,	1,	3),
(22868,	2,	857,	2,	3),
(22869,	2,	857,	3,	3),
(22870,	2,	858,	1,	1),
(22871,	2,	858,	2,	1),
(22872,	2,	858,	3,	1),
(22873,	2,	858,	1,	3),
(22874,	2,	858,	2,	3),
(22875,	2,	858,	3,	3),
(22876,	2,	859,	1,	1),
(22877,	2,	859,	2,	1),
(22878,	2,	859,	3,	1),
(22879,	2,	859,	1,	2),
(22880,	2,	859,	2,	2),
(22881,	2,	859,	3,	2),
(22882,	2,	860,	1,	1),
(22883,	2,	860,	2,	1),
(22884,	2,	860,	3,	1),
(22885,	2,	860,	1,	3),
(22886,	2,	860,	2,	3),
(22887,	2,	860,	3,	3),
(22888,	2,	861,	1,	1),
(22889,	2,	861,	2,	1),
(22890,	2,	861,	3,	1),
(22891,	2,	861,	1,	2),
(22892,	2,	861,	2,	2),
(22893,	2,	861,	3,	2),
(22894,	2,	862,	1,	1),
(22895,	2,	862,	2,	1),
(22896,	2,	862,	3,	1),
(22897,	2,	862,	1,	2),
(22898,	2,	862,	2,	2),
(22899,	2,	862,	3,	2),
(22900,	2,	863,	1,	1),
(22901,	2,	863,	2,	1),
(22902,	2,	863,	3,	1),
(22903,	2,	863,	1,	2),
(22904,	2,	863,	2,	2),
(22905,	2,	863,	3,	2),
(22906,	2,	864,	1,	1),
(22907,	2,	864,	2,	1),
(22908,	2,	864,	3,	1),
(22909,	2,	864,	1,	2),
(22910,	2,	864,	2,	2),
(22911,	2,	864,	3,	2),
(22912,	2,	865,	1,	1),
(22913,	2,	865,	2,	1),
(22914,	2,	865,	3,	1),
(22915,	2,	865,	1,	2),
(22916,	2,	865,	2,	2),
(22917,	2,	865,	3,	2),
(22918,	2,	866,	1,	1),
(22919,	2,	866,	2,	1),
(22920,	2,	866,	3,	1),
(22921,	2,	866,	1,	2),
(22922,	2,	866,	2,	2),
(22923,	2,	866,	3,	2),
(22924,	2,	867,	1,	1),
(22925,	2,	867,	2,	1),
(22926,	2,	867,	3,	1),
(22927,	2,	867,	1,	2),
(22928,	2,	867,	2,	2),
(22929,	2,	867,	3,	2),
(22930,	2,	868,	1,	1),
(22931,	2,	868,	2,	1),
(22932,	2,	868,	3,	1),
(22933,	2,	868,	1,	3),
(22934,	2,	868,	2,	3),
(22935,	2,	868,	3,	3),
(22936,	2,	869,	1,	1),
(22937,	2,	869,	2,	1),
(22938,	2,	869,	3,	1),
(22939,	2,	869,	1,	2),
(22940,	2,	869,	2,	2),
(22941,	2,	869,	3,	2),
(22942,	2,	870,	1,	1),
(22943,	2,	870,	2,	1),
(22944,	2,	870,	3,	1),
(22945,	2,	870,	1,	2),
(22946,	2,	870,	2,	2),
(22947,	2,	870,	3,	2),
(22948,	2,	871,	1,	1),
(22949,	2,	871,	2,	1),
(22950,	2,	871,	3,	1),
(22951,	2,	871,	1,	2),
(22952,	2,	871,	2,	2),
(22953,	2,	871,	3,	2),
(22954,	2,	872,	1,	1),
(22955,	2,	872,	2,	1),
(22956,	2,	872,	3,	1),
(22957,	2,	872,	1,	3),
(22958,	2,	872,	2,	3),
(22959,	2,	872,	3,	3),
(22960,	2,	873,	1,	1),
(22961,	2,	873,	2,	1),
(22962,	2,	873,	3,	1),
(22963,	2,	873,	1,	2),
(22964,	2,	873,	2,	2),
(22965,	2,	873,	3,	2),
(22966,	2,	874,	1,	1),
(22967,	2,	874,	2,	1),
(22968,	2,	874,	3,	1),
(22969,	2,	874,	1,	2),
(22970,	2,	874,	2,	2),
(22971,	2,	874,	3,	2),
(22972,	2,	875,	1,	1),
(22973,	2,	875,	2,	1),
(22974,	2,	875,	3,	1),
(22975,	2,	875,	1,	2),
(22976,	2,	875,	2,	2),
(22977,	2,	875,	3,	2),
(22978,	2,	876,	1,	1),
(22979,	2,	876,	2,	1),
(22980,	2,	876,	3,	1),
(22981,	2,	876,	1,	2),
(22982,	2,	876,	2,	2),
(22983,	2,	876,	3,	2),
(22984,	2,	877,	1,	1),
(22985,	2,	877,	2,	1),
(22986,	2,	877,	3,	1),
(22987,	2,	877,	1,	3),
(22988,	2,	877,	2,	3),
(22989,	2,	877,	3,	3),
(22990,	2,	878,	1,	1),
(22991,	2,	878,	2,	1),
(22992,	2,	878,	3,	1),
(22993,	2,	878,	1,	2),
(22994,	2,	878,	2,	2),
(22995,	2,	878,	3,	2),
(22996,	2,	879,	1,	1),
(22997,	2,	879,	2,	1),
(22998,	2,	879,	3,	1),
(22999,	2,	879,	1,	2),
(23000,	2,	879,	2,	2),
(23001,	2,	879,	3,	2),
(23002,	2,	880,	1,	1),
(23003,	2,	880,	2,	1),
(23004,	2,	880,	3,	1),
(23005,	2,	880,	1,	2),
(23006,	2,	880,	2,	2),
(23007,	2,	880,	3,	2),
(23008,	2,	881,	1,	1),
(23009,	2,	881,	2,	1),
(23010,	2,	881,	3,	1),
(23011,	2,	881,	1,	2),
(23012,	2,	881,	2,	2),
(23013,	2,	881,	3,	2),
(23014,	2,	882,	1,	1),
(23015,	2,	882,	2,	1),
(23016,	2,	882,	3,	1),
(23017,	2,	882,	1,	3),
(23018,	2,	882,	2,	3),
(23019,	2,	882,	3,	3),
(23020,	2,	883,	1,	1),
(23021,	2,	883,	2,	1),
(23022,	2,	883,	3,	1),
(23023,	2,	883,	1,	2),
(23024,	2,	883,	2,	2),
(23025,	2,	883,	3,	2),
(23026,	2,	884,	1,	1),
(23027,	2,	884,	2,	1),
(23028,	2,	884,	3,	1),
(23029,	2,	884,	1,	2),
(23030,	2,	884,	2,	2),
(23031,	2,	884,	3,	2),
(23032,	2,	885,	1,	1),
(23033,	2,	885,	2,	1),
(23034,	2,	885,	3,	1),
(23035,	2,	885,	1,	3),
(23036,	2,	885,	2,	3),
(23037,	2,	885,	3,	3),
(23038,	2,	886,	1,	1),
(23039,	2,	886,	2,	1),
(23040,	2,	886,	3,	1),
(23041,	2,	886,	1,	3),
(23042,	2,	886,	2,	3),
(23043,	2,	886,	3,	3),
(23044,	2,	887,	1,	1),
(23045,	2,	887,	2,	1),
(23046,	2,	887,	3,	1),
(23047,	2,	887,	1,	3),
(23048,	2,	887,	2,	3),
(23049,	2,	887,	3,	3),
(23050,	2,	888,	1,	1),
(23051,	2,	888,	2,	1),
(23052,	2,	888,	3,	1),
(23053,	2,	888,	1,	3),
(23054,	2,	888,	2,	3),
(23055,	2,	888,	3,	3),
(23056,	2,	889,	1,	1),
(23057,	2,	889,	2,	1),
(23058,	2,	889,	3,	1),
(23059,	2,	889,	1,	3),
(23060,	2,	889,	2,	3),
(23061,	2,	889,	3,	3),
(23062,	2,	890,	1,	1),
(23063,	2,	890,	2,	1),
(23064,	2,	890,	3,	1),
(23065,	2,	890,	1,	3),
(23066,	2,	890,	2,	3),
(23067,	2,	890,	3,	3),
(23068,	2,	891,	1,	1),
(23069,	2,	891,	2,	1),
(23070,	2,	891,	3,	1),
(23071,	2,	891,	1,	2),
(23072,	2,	891,	2,	2),
(23073,	2,	891,	3,	2),
(23074,	2,	892,	1,	1),
(23075,	2,	892,	2,	1),
(23076,	2,	892,	3,	1),
(23077,	2,	892,	1,	2),
(23078,	2,	892,	2,	2),
(23079,	2,	892,	3,	2),
(23080,	2,	893,	1,	1),
(23081,	2,	893,	2,	1),
(23082,	2,	893,	3,	1),
(23083,	2,	894,	1,	1),
(23084,	2,	894,	2,	1),
(23085,	2,	894,	3,	1),
(23086,	2,	895,	1,	1),
(23087,	2,	895,	2,	1),
(23088,	2,	895,	3,	1),
(23089,	2,	896,	1,	1),
(23090,	2,	896,	2,	1),
(23091,	2,	896,	3,	1),
(23092,	2,	896,	1,	2),
(23093,	2,	896,	2,	2),
(23094,	2,	896,	3,	2),
(23095,	2,	897,	1,	1),
(23096,	2,	897,	2,	1),
(23097,	2,	897,	3,	1),
(23098,	2,	898,	1,	1),
(23099,	2,	898,	2,	1),
(23100,	2,	898,	3,	1),
(23101,	2,	898,	1,	2),
(23102,	2,	898,	2,	2),
(23103,	2,	898,	3,	2),
(23104,	2,	899,	1,	1),
(23105,	2,	899,	2,	1),
(23106,	2,	899,	3,	1),
(23107,	2,	899,	1,	2),
(23108,	2,	899,	2,	2),
(23109,	2,	899,	3,	2),
(23110,	2,	900,	1,	1),
(23111,	2,	900,	2,	1),
(23112,	2,	900,	3,	1),
(23113,	2,	900,	1,	2),
(23114,	2,	900,	2,	2),
(23115,	2,	900,	3,	2),
(23116,	2,	901,	1,	1),
(23117,	2,	901,	2,	1),
(23118,	2,	901,	3,	1),
(23119,	2,	901,	1,	2),
(23120,	2,	901,	2,	2),
(23121,	2,	901,	3,	2),
(23122,	2,	902,	1,	1),
(23123,	2,	902,	2,	1),
(23124,	2,	902,	3,	1),
(23125,	2,	902,	1,	3),
(23126,	2,	902,	2,	3),
(23127,	2,	902,	3,	3),
(23128,	2,	903,	1,	1),
(23129,	2,	903,	2,	1),
(23130,	2,	903,	3,	1),
(23131,	2,	903,	1,	2),
(23132,	2,	903,	2,	2),
(23133,	2,	903,	3,	2),
(23134,	2,	904,	1,	1),
(23135,	2,	904,	2,	1),
(23136,	2,	904,	3,	1),
(23137,	2,	904,	1,	2),
(23138,	2,	904,	2,	2),
(23139,	2,	904,	3,	2),
(23140,	2,	905,	1,	1),
(23141,	2,	905,	2,	1),
(23142,	2,	905,	3,	1),
(23143,	2,	905,	1,	3),
(23144,	2,	905,	2,	3),
(23145,	2,	905,	3,	3),
(23146,	2,	906,	1,	1),
(23147,	2,	906,	2,	1),
(23148,	2,	906,	3,	1),
(23149,	2,	906,	1,	2),
(23150,	2,	906,	2,	2),
(23151,	2,	906,	3,	2),
(23152,	2,	907,	1,	1),
(23153,	2,	907,	2,	1),
(23154,	2,	907,	3,	1),
(23155,	2,	907,	1,	2),
(23156,	2,	907,	2,	2),
(23157,	2,	907,	3,	2),
(23158,	2,	908,	1,	1),
(23159,	2,	908,	2,	1),
(23160,	2,	908,	3,	1),
(23161,	2,	908,	1,	2),
(23162,	2,	908,	2,	2),
(23163,	2,	908,	3,	2),
(23164,	2,	909,	1,	1),
(23165,	2,	909,	2,	1),
(23166,	2,	909,	3,	1),
(23167,	2,	909,	1,	2),
(23168,	2,	909,	2,	2),
(23169,	2,	909,	3,	2),
(23170,	2,	910,	1,	1),
(23171,	2,	910,	2,	1),
(23172,	2,	910,	3,	1),
(23173,	2,	910,	1,	3),
(23174,	2,	910,	2,	3),
(23175,	2,	910,	3,	3),
(23176,	2,	911,	1,	1),
(23177,	2,	911,	2,	1),
(23178,	2,	911,	3,	1),
(23179,	2,	911,	1,	2),
(23180,	2,	911,	2,	2),
(23181,	2,	911,	3,	2),
(23182,	2,	912,	1,	1),
(23183,	2,	912,	2,	1),
(23184,	2,	912,	3,	1),
(23185,	2,	912,	1,	2),
(23186,	2,	912,	2,	2),
(23187,	2,	912,	3,	2),
(23188,	2,	913,	1,	1),
(23189,	2,	913,	2,	1),
(23190,	2,	913,	3,	1),
(23191,	2,	913,	1,	2),
(23192,	2,	913,	2,	2),
(23193,	2,	913,	3,	2),
(23194,	2,	914,	1,	1),
(23195,	2,	914,	2,	1),
(23196,	2,	914,	3,	1),
(23197,	2,	914,	1,	2),
(23198,	2,	914,	2,	2),
(23199,	2,	914,	3,	2),
(23200,	2,	915,	1,	1),
(23201,	2,	915,	2,	1),
(23202,	2,	915,	3,	1),
(23203,	2,	915,	1,	3),
(23204,	2,	915,	2,	3),
(23205,	2,	915,	3,	3),
(23206,	2,	916,	1,	1),
(23207,	2,	916,	2,	1),
(23208,	2,	916,	3,	1),
(23209,	2,	916,	1,	2),
(23210,	2,	916,	2,	2),
(23211,	2,	916,	3,	2),
(23212,	2,	917,	1,	1),
(23213,	2,	917,	2,	1),
(23214,	2,	917,	3,	1),
(23215,	2,	917,	1,	2),
(23216,	2,	917,	2,	2),
(23217,	2,	917,	3,	2),
(23218,	2,	918,	1,	1),
(23219,	2,	918,	2,	1),
(23220,	2,	918,	3,	1),
(23221,	2,	918,	1,	2),
(23222,	2,	918,	2,	2),
(23223,	2,	918,	3,	2),
(23224,	2,	919,	1,	1),
(23225,	2,	919,	2,	1),
(23226,	2,	919,	3,	1),
(23227,	2,	919,	1,	2),
(23228,	2,	919,	2,	2),
(23229,	2,	919,	3,	2),
(23230,	2,	920,	1,	1),
(23231,	2,	920,	2,	1),
(23232,	2,	920,	3,	1),
(23233,	2,	920,	1,	2),
(23234,	2,	920,	2,	2),
(23235,	2,	920,	3,	2),
(23236,	2,	921,	1,	1),
(23237,	2,	921,	2,	1),
(23238,	2,	921,	3,	1),
(23239,	2,	921,	1,	3),
(23240,	2,	921,	2,	3),
(23241,	2,	921,	3,	3),
(23242,	2,	922,	1,	1),
(23243,	2,	922,	2,	1),
(23244,	2,	922,	3,	1),
(23245,	2,	922,	1,	2),
(23246,	2,	922,	2,	2),
(23247,	2,	922,	3,	2),
(23248,	2,	923,	1,	1),
(23249,	2,	923,	2,	1),
(23250,	2,	923,	3,	1),
(23251,	2,	923,	1,	2),
(23252,	2,	923,	2,	2),
(23253,	2,	923,	3,	2),
(23254,	2,	924,	1,	1),
(23255,	2,	924,	2,	1),
(23256,	2,	924,	3,	1),
(23257,	2,	924,	1,	2),
(23258,	2,	924,	2,	2),
(23259,	2,	924,	3,	2),
(23260,	2,	925,	1,	1),
(23261,	2,	925,	2,	1),
(23262,	2,	925,	3,	1),
(23263,	2,	925,	1,	2),
(23264,	2,	925,	2,	2),
(23265,	2,	925,	3,	2),
(23266,	2,	926,	1,	1),
(23267,	2,	926,	2,	1),
(23268,	2,	926,	3,	1),
(23269,	2,	926,	1,	3),
(23270,	2,	926,	2,	3),
(23271,	2,	926,	3,	3),
(23272,	2,	927,	1,	1),
(23273,	2,	927,	2,	1),
(23274,	2,	927,	3,	1),
(23275,	2,	927,	1,	2),
(23276,	2,	927,	2,	2),
(23277,	2,	927,	3,	2),
(23278,	2,	928,	1,	1),
(23279,	2,	928,	2,	1),
(23280,	2,	928,	3,	1),
(23281,	2,	928,	1,	2),
(23282,	2,	928,	2,	2),
(23283,	2,	928,	3,	2),
(23284,	2,	929,	1,	1),
(23285,	2,	929,	2,	1),
(23286,	2,	929,	3,	1),
(23287,	2,	929,	1,	2),
(23288,	2,	929,	2,	2),
(23289,	2,	929,	3,	2),
(23290,	2,	930,	1,	1),
(23291,	2,	930,	2,	1),
(23292,	2,	930,	3,	1),
(23293,	2,	930,	1,	2),
(23294,	2,	930,	2,	2),
(23295,	2,	930,	3,	2),
(23296,	2,	931,	1,	1),
(23297,	2,	931,	2,	1),
(23298,	2,	931,	3,	1),
(23299,	2,	931,	1,	3),
(23300,	2,	931,	2,	3),
(23301,	2,	931,	3,	3),
(23302,	2,	932,	1,	1),
(23303,	2,	932,	2,	1),
(23304,	2,	932,	3,	1),
(23305,	2,	932,	1,	2),
(23306,	2,	932,	2,	2),
(23307,	2,	932,	3,	2),
(23308,	2,	933,	1,	1),
(23309,	2,	933,	2,	1),
(23310,	2,	933,	3,	1),
(23311,	2,	933,	1,	2),
(23312,	2,	933,	2,	2),
(23313,	2,	933,	3,	2),
(23314,	2,	934,	1,	1),
(23315,	2,	934,	2,	1),
(23316,	2,	934,	3,	1),
(23317,	2,	934,	1,	2),
(23318,	2,	934,	2,	2),
(23319,	2,	934,	3,	2),
(23320,	2,	935,	1,	1),
(23321,	2,	935,	2,	1),
(23322,	2,	935,	3,	1),
(23323,	2,	935,	1,	2),
(23324,	2,	935,	2,	2),
(23325,	2,	935,	3,	2),
(23326,	2,	936,	1,	1),
(23327,	2,	936,	2,	1),
(23328,	2,	936,	3,	1),
(23329,	2,	936,	1,	3),
(23330,	2,	936,	2,	3),
(23331,	2,	936,	3,	3),
(23332,	2,	937,	1,	1),
(23333,	2,	937,	2,	1),
(23334,	2,	937,	3,	1),
(23335,	2,	937,	1,	2),
(23336,	2,	937,	2,	2),
(23337,	2,	937,	3,	2),
(23338,	2,	938,	1,	1),
(23339,	2,	938,	2,	1),
(23340,	2,	938,	3,	1),
(23341,	2,	938,	1,	2),
(23342,	2,	938,	2,	2),
(23343,	2,	938,	3,	2),
(23344,	2,	939,	1,	1),
(23345,	2,	939,	2,	1),
(23346,	2,	939,	3,	1),
(23347,	2,	940,	1,	1),
(23348,	2,	940,	2,	1),
(23349,	2,	940,	3,	1),
(23350,	2,	941,	1,	1),
(23351,	2,	941,	2,	1),
(23352,	2,	941,	3,	1),
(23353,	2,	942,	1,	1),
(23354,	2,	942,	2,	1),
(23355,	2,	942,	3,	1),
(23356,	2,	943,	1,	1),
(23357,	2,	943,	2,	1),
(23358,	2,	943,	3,	1),
(23359,	2,	943,	1,	2),
(23360,	2,	943,	2,	2),
(23361,	2,	943,	3,	2),
(23362,	2,	944,	1,	1),
(23363,	2,	944,	2,	1),
(23364,	2,	944,	3,	1),
(23365,	2,	944,	1,	2),
(23366,	2,	944,	2,	2),
(23367,	2,	944,	3,	2),
(23368,	2,	945,	1,	1),
(23369,	2,	945,	2,	1),
(23370,	2,	945,	3,	1),
(23371,	2,	945,	1,	2),
(23372,	2,	945,	2,	2),
(23373,	2,	945,	3,	2),
(23374,	2,	946,	1,	1),
(23375,	2,	946,	2,	1),
(23376,	2,	946,	3,	1),
(23377,	2,	946,	1,	3),
(23378,	2,	946,	2,	3),
(23379,	2,	946,	3,	3),
(23380,	2,	947,	1,	1),
(23381,	2,	947,	2,	1),
(23382,	2,	947,	3,	1),
(23383,	2,	947,	1,	3),
(23384,	2,	947,	2,	3),
(23385,	2,	947,	3,	3),
(23386,	2,	948,	1,	1),
(23387,	2,	948,	2,	1),
(23388,	2,	948,	3,	1),
(23389,	2,	949,	1,	1),
(23390,	2,	949,	2,	1),
(23391,	2,	949,	3,	1),
(23392,	2,	949,	23,	1),
(23393,	2,	950,	1,	1),
(23394,	2,	950,	2,	1),
(23395,	2,	950,	3,	1),
(23396,	2,	950,	1,	3),
(23397,	2,	950,	2,	3),
(23398,	2,	950,	3,	3),
(23399,	2,	951,	1,	1),
(23400,	2,	951,	2,	1),
(23401,	2,	951,	3,	1),
(23402,	2,	951,	1,	3),
(23403,	2,	951,	2,	3),
(23404,	2,	951,	3,	3),
(23405,	2,	952,	1,	1),
(23406,	2,	952,	2,	1),
(23407,	2,	952,	3,	1),
(23408,	2,	952,	6,	1),
(23409,	2,	953,	1,	1),
(23410,	2,	953,	2,	1),
(23411,	2,	953,	3,	1),
(23412,	2,	954,	1,	1),
(23413,	2,	954,	2,	1),
(23414,	2,	954,	3,	1),
(23415,	2,	954,	6,	1),
(23416,	2,	954,	23,	1),
(23417,	2,	955,	1,	1),
(23418,	2,	955,	2,	1),
(23419,	2,	955,	3,	1),
(23420,	2,	956,	1,	1),
(23421,	2,	956,	2,	1),
(23422,	2,	956,	3,	1),
(23423,	2,	956,	1,	2),
(23424,	2,	956,	2,	2),
(23425,	2,	956,	3,	2),
(23426,	2,	957,	1,	1),
(23427,	2,	957,	2,	1),
(23428,	2,	957,	3,	1),
(23429,	2,	957,	6,	1),
(23430,	2,	957,	23,	1),
(23431,	2,	957,	1,	2),
(23432,	2,	957,	2,	2),
(23433,	2,	957,	3,	2),
(23434,	2,	957,	6,	2),
(23435,	2,	957,	23,	2),
(23436,	2,	958,	1,	1),
(23437,	2,	958,	2,	1),
(23438,	2,	958,	3,	1),
(23439,	2,	958,	1,	2),
(23440,	2,	958,	2,	2),
(23441,	2,	958,	3,	2),
(23442,	2,	959,	1,	1),
(23443,	2,	959,	2,	1),
(23444,	2,	959,	3,	1),
(23445,	2,	959,	1,	2),
(23446,	2,	959,	2,	2),
(23447,	2,	959,	3,	2),
(23448,	2,	960,	1,	1),
(23449,	2,	960,	2,	1),
(23450,	2,	960,	3,	1),
(23451,	2,	960,	1,	2),
(23452,	2,	960,	2,	2),
(23453,	2,	960,	3,	2),
(23454,	2,	961,	1,	1),
(23455,	2,	961,	2,	1),
(23456,	2,	961,	3,	1),
(23457,	2,	961,	1,	2),
(23458,	2,	961,	2,	2),
(23459,	2,	961,	3,	2),
(23460,	2,	962,	1,	1),
(23461,	2,	962,	2,	1),
(23462,	2,	962,	3,	1),
(23463,	2,	963,	1,	1),
(23464,	2,	963,	2,	1),
(23465,	2,	963,	3,	1),
(23466,	2,	964,	1,	1),
(23467,	2,	964,	2,	1),
(23468,	2,	964,	3,	1),
(23469,	2,	964,	1,	2),
(23470,	2,	964,	2,	2),
(23471,	2,	964,	3,	2),
(23472,	2,	965,	1,	1),
(23473,	2,	965,	2,	1),
(23474,	2,	965,	3,	1),
(23475,	2,	965,	1,	2),
(23476,	2,	965,	2,	2),
(23477,	2,	965,	3,	2),
(23478,	2,	966,	1,	1),
(23479,	2,	966,	2,	1),
(23480,	2,	966,	3,	1),
(23481,	2,	967,	1,	1),
(23482,	2,	967,	2,	1),
(23483,	2,	967,	3,	1),
(23484,	2,	968,	1,	1),
(23485,	2,	968,	2,	1),
(23486,	2,	968,	3,	1),
(23487,	2,	969,	1,	1),
(23488,	2,	969,	2,	1),
(23489,	2,	969,	3,	1),
(23490,	2,	969,	23,	1),
(23491,	2,	969,	1,	3),
(23492,	2,	969,	2,	3),
(23493,	2,	969,	3,	3),
(23494,	2,	969,	23,	3),
(23495,	2,	970,	1,	1),
(23496,	2,	970,	2,	1),
(23497,	2,	970,	3,	1),
(23498,	2,	970,	6,	1),
(23499,	2,	970,	23,	1),
(23500,	2,	970,	1,	3),
(23501,	2,	970,	2,	3),
(23502,	2,	970,	3,	3),
(23503,	2,	970,	6,	3),
(23504,	2,	970,	23,	3),
(23505,	2,	971,	1,	1),
(23506,	2,	971,	2,	1),
(23507,	2,	971,	3,	1),
(23508,	2,	972,	1,	1),
(23509,	2,	972,	2,	1),
(23510,	2,	972,	3,	1),
(23511,	2,	972,	1,	3),
(23512,	2,	972,	2,	3),
(23513,	2,	972,	3,	3),
(23514,	2,	973,	1,	1),
(23515,	2,	973,	2,	1),
(23516,	2,	973,	3,	1),
(23517,	2,	973,	6,	1),
(23518,	2,	973,	1,	3),
(23519,	2,	973,	2,	3),
(23520,	2,	973,	3,	3),
(23521,	2,	973,	6,	3),
(23522,	2,	974,	1,	1),
(23523,	2,	974,	2,	1),
(23524,	2,	974,	3,	1),
(23525,	2,	974,	6,	1),
(23526,	2,	974,	1,	3),
(23527,	2,	974,	2,	3),
(23528,	2,	974,	3,	3),
(23529,	2,	974,	6,	3),
(23530,	2,	975,	1,	1),
(23531,	2,	975,	2,	1),
(23532,	2,	975,	3,	1),
(23533,	2,	976,	1,	1),
(23534,	2,	976,	2,	1),
(23535,	2,	976,	3,	1),
(23536,	2,	977,	1,	1),
(23537,	2,	977,	2,	1),
(23538,	2,	977,	3,	1),
(23539,	2,	978,	1,	1),
(23540,	2,	978,	2,	1),
(23541,	2,	978,	3,	1),
(23542,	2,	978,	6,	1),
(23543,	2,	978,	1,	3),
(23544,	2,	978,	2,	3),
(23545,	2,	978,	3,	3),
(23546,	2,	978,	6,	3),
(23547,	2,	979,	1,	1),
(23548,	2,	979,	2,	1),
(23549,	2,	979,	3,	1),
(23550,	2,	979,	6,	1),
(23551,	2,	979,	1,	3),
(23552,	2,	979,	2,	3),
(23553,	2,	979,	3,	3),
(23554,	2,	979,	6,	3),
(23555,	2,	980,	1,	1),
(23556,	2,	980,	2,	1),
(23557,	2,	980,	3,	1),
(23558,	2,	981,	1,	1),
(23559,	2,	981,	2,	1),
(23560,	2,	981,	3,	1),
(23561,	2,	982,	1,	1),
(23562,	2,	982,	2,	1),
(23563,	2,	982,	3,	1),
(23564,	2,	982,	1,	3),
(23565,	2,	982,	2,	3),
(23566,	2,	982,	3,	3),
(23567,	2,	983,	1,	1),
(23568,	2,	983,	2,	1),
(23569,	2,	983,	3,	1),
(23570,	2,	983,	6,	1),
(23571,	2,	983,	1,	3),
(23572,	2,	983,	2,	3),
(23573,	2,	983,	3,	3),
(23574,	2,	983,	6,	3),
(23575,	2,	984,	1,	1),
(23576,	2,	984,	2,	1),
(23577,	2,	984,	3,	1),
(23578,	2,	984,	6,	1),
(23579,	2,	984,	1,	3),
(23580,	2,	984,	2,	3),
(23581,	2,	984,	3,	3),
(23582,	2,	984,	6,	3),
(23583,	2,	985,	1,	1),
(23584,	2,	985,	2,	1),
(23585,	2,	985,	3,	1),
(23586,	2,	986,	1,	1),
(23587,	2,	986,	2,	1),
(23588,	2,	986,	3,	1),
(23589,	2,	987,	1,	1),
(23590,	2,	987,	2,	1),
(23591,	2,	987,	3,	1),
(23592,	2,	988,	1,	1),
(23593,	2,	988,	2,	1),
(23594,	2,	988,	3,	1),
(23595,	2,	989,	1,	1),
(23596,	2,	989,	2,	1),
(23597,	2,	989,	3,	1),
(23598,	2,	989,	6,	1),
(23599,	2,	989,	23,	1),
(23600,	2,	990,	1,	1),
(23601,	2,	990,	2,	1),
(23602,	2,	990,	3,	1),
(23603,	2,	990,	1,	2),
(23604,	2,	990,	2,	2),
(23605,	2,	990,	3,	2),
(23606,	2,	991,	1,	1),
(23607,	2,	991,	2,	1),
(23608,	2,	991,	3,	1),
(23609,	2,	991,	1,	2),
(23610,	2,	991,	2,	2),
(23611,	2,	991,	3,	2),
(23612,	2,	992,	1,	1),
(23613,	2,	992,	2,	1),
(23614,	2,	992,	3,	1),
(23615,	2,	993,	1,	1),
(23616,	2,	993,	2,	1),
(23617,	2,	993,	3,	1),
(23618,	2,	993,	6,	1),
(23619,	2,	994,	1,	1),
(23620,	2,	994,	2,	1),
(23621,	2,	994,	3,	1),
(23622,	2,	995,	1,	1),
(23623,	2,	995,	2,	1),
(23624,	2,	995,	3,	1),
(23625,	2,	996,	1,	1),
(23626,	2,	996,	2,	1),
(23627,	2,	996,	3,	1),
(23628,	2,	996,	1,	2),
(23629,	2,	996,	2,	2),
(23630,	2,	996,	3,	2),
(23631,	2,	997,	1,	1),
(23632,	2,	997,	2,	1),
(23633,	2,	997,	3,	1),
(23634,	2,	998,	1,	1),
(23635,	2,	998,	2,	1),
(23636,	2,	998,	3,	1),
(23637,	2,	998,	1,	2),
(23638,	2,	998,	2,	2),
(23639,	2,	998,	3,	2),
(23640,	2,	999,	1,	1),
(23641,	2,	999,	2,	1),
(23642,	2,	999,	3,	1),
(23643,	2,	999,	1,	2),
(23644,	2,	999,	2,	2),
(23645,	2,	999,	3,	2),
(23646,	2,	1000,	1,	1),
(23647,	2,	1000,	2,	1),
(23648,	2,	1000,	3,	1),
(23649,	2,	1001,	1,	1),
(23650,	2,	1001,	2,	1),
(23651,	2,	1001,	3,	1),
(23652,	2,	1001,	1,	2),
(23653,	2,	1001,	2,	2),
(23654,	2,	1001,	3,	2),
(23655,	2,	1002,	1,	1),
(23656,	2,	1002,	2,	1),
(23657,	2,	1002,	3,	1),
(23658,	2,	1003,	1,	1),
(23659,	2,	1003,	2,	1),
(23660,	2,	1003,	3,	1),
(23661,	2,	1004,	1,	1),
(23662,	2,	1004,	2,	1),
(23663,	2,	1004,	3,	1),
(23664,	2,	1004,	1,	2),
(23665,	2,	1004,	2,	2),
(23666,	2,	1004,	3,	2),
(23667,	2,	1005,	1,	1),
(23668,	2,	1005,	2,	1),
(23669,	2,	1005,	3,	1),
(23670,	2,	1006,	1,	1),
(23671,	2,	1006,	2,	1),
(23672,	2,	1006,	3,	1),
(23673,	2,	1007,	1,	1),
(23674,	2,	1007,	2,	1),
(23675,	2,	1007,	3,	1),
(23676,	2,	1008,	1,	1),
(23677,	2,	1008,	2,	1),
(23678,	2,	1008,	3,	1),
(23679,	2,	1009,	1,	1),
(23680,	2,	1009,	2,	1),
(23681,	2,	1009,	3,	1),
(23682,	2,	1010,	1,	1),
(23683,	2,	1010,	2,	1),
(23684,	2,	1010,	3,	1),
(23685,	2,	1011,	1,	1),
(23686,	2,	1011,	2,	1),
(23687,	2,	1011,	3,	1),
(23688,	2,	1012,	1,	1),
(23689,	2,	1012,	2,	1),
(23690,	2,	1012,	3,	1),
(23691,	2,	1012,	1,	2),
(23692,	2,	1012,	2,	2),
(23693,	2,	1012,	3,	2),
(23694,	2,	1013,	1,	1),
(23695,	2,	1013,	2,	1),
(23696,	2,	1013,	3,	1),
(23697,	2,	1014,	1,	1),
(23698,	2,	1014,	2,	1),
(23699,	2,	1014,	3,	1),
(23700,	2,	1014,	6,	1),
(23701,	2,	1015,	1,	1),
(23702,	2,	1015,	2,	1),
(23703,	2,	1015,	3,	1),
(23704,	2,	1015,	1,	2),
(23705,	2,	1015,	2,	2),
(23706,	2,	1015,	3,	2),
(23707,	2,	1016,	1,	1),
(23708,	2,	1016,	2,	1),
(23709,	2,	1016,	3,	1),
(23710,	2,	1017,	1,	1),
(23711,	2,	1017,	2,	1),
(23712,	2,	1017,	3,	1),
(23713,	2,	1017,	1,	2),
(23714,	2,	1017,	2,	2),
(23715,	2,	1017,	3,	2),
(23716,	2,	1018,	1,	1),
(23717,	2,	1018,	2,	1),
(23718,	2,	1018,	3,	1),
(23719,	2,	1019,	1,	1),
(23720,	2,	1019,	2,	1),
(23721,	2,	1019,	3,	1),
(23722,	2,	1020,	1,	1),
(23723,	2,	1020,	2,	1),
(23724,	2,	1020,	3,	1),
(23725,	2,	1021,	1,	1),
(23726,	2,	1021,	2,	1),
(23727,	2,	1021,	3,	1),
(23728,	2,	1022,	1,	1),
(23729,	2,	1022,	2,	1),
(23730,	2,	1022,	3,	1),
(23731,	2,	1023,	1,	1),
(23732,	2,	1023,	2,	1),
(23733,	2,	1023,	3,	1),
(23734,	2,	1024,	1,	1),
(23735,	2,	1024,	2,	1),
(23736,	2,	1024,	3,	1),
(23737,	2,	1025,	1,	1),
(23738,	2,	1025,	2,	1),
(23739,	2,	1025,	3,	1),
(23740,	2,	1026,	1,	1),
(23741,	2,	1026,	2,	1),
(23742,	2,	1026,	3,	1),
(23743,	2,	1027,	1,	1),
(23744,	2,	1027,	2,	1),
(23745,	2,	1027,	3,	1),
(23746,	2,	1028,	1,	1),
(23747,	2,	1028,	2,	1),
(23748,	2,	1028,	3,	1),
(23749,	2,	1029,	1,	1),
(23750,	2,	1029,	2,	1),
(23751,	2,	1029,	3,	1),
(23752,	2,	1030,	1,	1),
(23753,	2,	1030,	2,	1),
(23754,	2,	1030,	3,	1),
(23755,	2,	1030,	1,	2),
(23756,	2,	1030,	2,	2),
(23757,	2,	1030,	3,	2),
(23758,	2,	1031,	1,	1),
(23759,	2,	1031,	2,	1),
(23760,	2,	1031,	3,	1),
(23761,	2,	1031,	1,	2),
(23762,	2,	1031,	2,	2),
(23763,	2,	1031,	3,	2),
(23764,	2,	1032,	1,	1),
(23765,	2,	1032,	2,	1),
(23766,	2,	1032,	3,	1),
(23767,	2,	1032,	1,	2),
(23768,	2,	1032,	2,	2),
(23769,	2,	1032,	3,	2),
(23770,	2,	1033,	1,	1),
(23771,	2,	1033,	2,	1),
(23772,	2,	1033,	3,	1),
(23773,	2,	1034,	1,	1),
(23774,	2,	1034,	2,	1),
(23775,	2,	1034,	3,	1),
(23776,	2,	1034,	1,	2),
(23777,	2,	1034,	2,	2),
(23778,	2,	1034,	3,	2),
(23779,	2,	1035,	1,	1),
(23780,	2,	1035,	2,	1),
(23781,	2,	1035,	3,	1),
(23782,	2,	1036,	1,	1),
(23783,	2,	1036,	2,	1),
(23784,	2,	1036,	3,	1),
(23785,	2,	1037,	1,	1),
(23786,	2,	1037,	2,	1),
(23787,	2,	1037,	3,	1),
(23788,	2,	1037,	1,	2),
(23789,	2,	1037,	2,	2),
(23790,	2,	1037,	3,	2),
(23791,	2,	1038,	1,	1),
(23792,	2,	1038,	2,	1),
(23793,	2,	1038,	3,	1),
(23794,	2,	1038,	1,	2),
(23795,	2,	1038,	2,	2),
(23796,	2,	1038,	3,	2),
(23797,	2,	1039,	1,	1),
(23798,	2,	1039,	2,	1),
(23799,	2,	1039,	3,	1),
(23800,	2,	1039,	1,	2),
(23801,	2,	1039,	2,	2),
(23802,	2,	1039,	3,	2),
(23803,	2,	1040,	1,	1),
(23804,	2,	1040,	2,	1),
(23805,	2,	1040,	3,	1),
(23806,	2,	1040,	1,	2),
(23807,	2,	1040,	2,	2),
(23808,	2,	1040,	3,	2),
(23809,	2,	1041,	1,	1),
(23810,	2,	1041,	2,	1),
(23811,	2,	1041,	3,	1),
(23812,	2,	1042,	1,	1),
(23813,	2,	1042,	2,	1),
(23814,	2,	1042,	3,	1),
(23815,	2,	1042,	1,	2),
(23816,	2,	1042,	2,	2),
(23817,	2,	1042,	3,	2),
(23818,	2,	1043,	1,	1),
(23819,	2,	1043,	2,	1),
(23820,	2,	1043,	3,	1),
(23821,	2,	1044,	1,	1),
(23822,	2,	1044,	2,	1),
(23823,	2,	1044,	3,	1),
(23824,	2,	1045,	1,	1),
(23825,	2,	1045,	2,	1),
(23826,	2,	1045,	3,	1),
(23827,	2,	1046,	1,	1),
(23828,	2,	1046,	2,	1),
(23829,	2,	1046,	3,	1),
(23830,	2,	1047,	1,	1),
(23831,	2,	1047,	2,	1),
(23832,	2,	1047,	3,	1),
(23833,	2,	1047,	1,	2),
(23834,	2,	1047,	2,	2),
(23835,	2,	1047,	3,	2),
(23836,	2,	1048,	1,	1),
(23837,	2,	1048,	2,	1),
(23838,	2,	1048,	3,	1),
(23839,	2,	1049,	1,	1),
(23840,	2,	1049,	2,	1),
(23841,	2,	1049,	3,	1),
(23842,	2,	1050,	1,	1),
(23843,	2,	1050,	2,	1),
(23844,	2,	1050,	3,	1),
(23845,	2,	1050,	1,	2),
(23846,	2,	1050,	2,	2),
(23847,	2,	1050,	3,	2),
(23848,	2,	1051,	1,	1),
(23849,	2,	1051,	2,	1),
(23850,	2,	1051,	3,	1),
(23851,	2,	1052,	1,	1),
(23852,	2,	1052,	2,	1),
(23853,	2,	1052,	3,	1),
(23854,	2,	1053,	1,	1),
(23855,	2,	1053,	2,	1),
(23856,	2,	1053,	3,	1),
(23857,	2,	1054,	1,	1),
(23858,	2,	1054,	2,	1),
(23859,	2,	1054,	3,	1),
(23860,	2,	1055,	1,	1),
(23861,	2,	1055,	2,	1),
(23862,	2,	1055,	3,	1),
(23863,	2,	1056,	1,	1),
(23864,	2,	1056,	2,	1),
(23865,	2,	1056,	3,	1),
(23866,	2,	1057,	1,	1),
(23867,	2,	1057,	2,	1),
(23868,	2,	1057,	3,	1),
(23869,	2,	1058,	1,	1),
(23870,	2,	1058,	2,	1),
(23871,	2,	1058,	3,	1),
(23872,	2,	1059,	1,	1),
(23873,	2,	1059,	2,	1),
(23874,	2,	1059,	3,	1),
(23875,	2,	1060,	1,	1),
(23876,	2,	1060,	2,	1),
(23877,	2,	1060,	3,	1),
(23878,	2,	1061,	1,	1),
(23879,	2,	1061,	2,	1),
(23880,	2,	1061,	3,	1),
(23881,	2,	1061,	1,	2),
(23882,	2,	1061,	2,	2),
(23883,	2,	1061,	3,	2),
(23884,	2,	1062,	1,	1),
(23885,	2,	1062,	2,	1),
(23886,	2,	1062,	3,	1),
(23887,	2,	1063,	1,	1),
(23888,	2,	1063,	2,	1),
(23889,	2,	1063,	3,	1),
(23890,	2,	1064,	1,	1),
(23891,	2,	1064,	2,	1),
(23892,	2,	1064,	3,	1),
(23893,	2,	1064,	1,	2),
(23894,	2,	1064,	2,	2),
(23895,	2,	1064,	3,	2),
(23896,	2,	1065,	1,	1),
(23897,	2,	1065,	2,	1),
(23898,	2,	1065,	3,	1),
(23899,	2,	1065,	1,	2),
(23900,	2,	1065,	2,	2),
(23901,	2,	1065,	3,	2),
(23902,	2,	1066,	1,	1),
(23903,	2,	1066,	2,	1),
(23904,	2,	1066,	3,	1),
(23905,	2,	1066,	1,	2),
(23906,	2,	1066,	2,	2),
(23907,	2,	1066,	3,	2),
(23908,	2,	1067,	1,	1),
(23909,	2,	1067,	2,	1),
(23910,	2,	1067,	3,	1),
(23911,	2,	1067,	1,	2),
(23912,	2,	1067,	2,	2),
(23913,	2,	1067,	3,	2),
(23914,	2,	1068,	1,	1),
(23915,	2,	1068,	2,	1),
(23916,	2,	1068,	3,	1),
(23917,	2,	1068,	1,	2),
(23918,	2,	1068,	2,	2),
(23919,	2,	1068,	3,	2),
(23920,	2,	1069,	1,	1),
(23921,	2,	1069,	2,	1),
(23922,	2,	1069,	3,	1),
(23923,	2,	1069,	1,	2),
(23924,	2,	1069,	2,	2),
(23925,	2,	1069,	3,	2),
(23926,	2,	1070,	1,	1),
(23927,	2,	1070,	2,	1),
(23928,	2,	1070,	3,	1),
(23929,	2,	1070,	1,	2),
(23930,	2,	1070,	2,	2),
(23931,	2,	1070,	3,	2),
(23932,	2,	1071,	1,	1),
(23933,	2,	1071,	2,	1),
(23934,	2,	1071,	3,	1),
(23935,	2,	1072,	1,	1),
(23936,	2,	1072,	2,	1),
(23937,	2,	1072,	3,	1),
(23938,	2,	1072,	28,	1),
(23939,	2,	1072,	1,	3),
(23940,	2,	1072,	2,	3),
(23941,	2,	1072,	3,	3),
(23942,	2,	1072,	28,	3),
(23943,	2,	1073,	1,	1),
(23944,	2,	1073,	2,	1),
(23945,	2,	1073,	3,	1),
(23946,	2,	1073,	1,	3),
(23947,	2,	1073,	2,	3),
(23948,	2,	1073,	3,	3),
(23949,	2,	1074,	1,	1),
(23950,	2,	1074,	2,	1),
(23951,	2,	1074,	3,	1),
(23952,	2,	1074,	1,	3),
(23953,	2,	1074,	2,	3),
(23954,	2,	1074,	3,	3),
(23955,	2,	1075,	1,	1),
(23956,	2,	1075,	2,	1),
(23957,	2,	1075,	3,	1),
(23958,	2,	1075,	1,	3),
(23959,	2,	1075,	2,	3),
(23960,	2,	1075,	3,	3),
(23961,	2,	1076,	1,	1),
(23962,	2,	1076,	2,	1),
(23963,	2,	1076,	3,	1),
(23964,	2,	1076,	1,	3),
(23965,	2,	1076,	2,	3),
(23966,	2,	1076,	3,	3),
(23967,	2,	1077,	1,	1),
(23968,	2,	1077,	2,	1),
(23969,	2,	1077,	3,	1),
(23970,	2,	1077,	1,	3),
(23971,	2,	1077,	2,	3),
(23972,	2,	1077,	3,	3),
(23973,	2,	1078,	1,	1),
(23974,	2,	1078,	2,	1),
(23975,	2,	1078,	3,	1),
(23976,	2,	1078,	1,	2),
(23977,	2,	1078,	2,	2),
(23978,	2,	1078,	3,	2),
(23979,	2,	1079,	1,	1),
(23980,	2,	1079,	2,	1),
(23981,	2,	1079,	3,	1),
(23982,	2,	1079,	1,	2),
(23983,	2,	1079,	2,	2),
(23984,	2,	1079,	3,	2),
(23985,	2,	1080,	1,	1),
(23986,	2,	1080,	2,	1),
(23987,	2,	1080,	3,	1),
(23988,	2,	1081,	1,	1),
(23989,	2,	1081,	2,	1),
(23990,	2,	1081,	3,	1),
(23991,	2,	1081,	1,	2),
(23992,	2,	1081,	2,	2),
(23993,	2,	1081,	3,	2),
(23994,	2,	1082,	1,	1),
(23995,	2,	1082,	2,	1),
(23996,	2,	1082,	3,	1),
(23997,	2,	1082,	1,	2),
(23998,	2,	1082,	2,	2),
(23999,	2,	1082,	3,	2),
(24000,	2,	1083,	1,	1),
(24001,	2,	1083,	2,	1),
(24002,	2,	1083,	3,	1),
(24003,	2,	1083,	1,	2),
(24004,	2,	1083,	2,	2),
(24005,	2,	1083,	3,	2),
(24006,	2,	1084,	1,	1),
(24007,	2,	1084,	2,	1),
(24008,	2,	1084,	3,	1),
(24009,	2,	1084,	1,	2),
(24010,	2,	1084,	2,	2),
(24011,	2,	1084,	3,	2),
(24012,	2,	1085,	1,	1),
(24013,	2,	1085,	2,	1),
(24014,	2,	1085,	3,	1),
(24015,	2,	1086,	1,	1),
(24016,	2,	1086,	2,	1),
(24017,	2,	1086,	3,	1),
(24018,	2,	1086,	1,	2),
(24019,	2,	1086,	2,	2),
(24020,	2,	1086,	3,	2),
(24021,	2,	1087,	1,	1),
(24022,	2,	1087,	2,	1),
(24023,	2,	1087,	3,	1),
(24024,	2,	1087,	1,	2),
(24025,	2,	1087,	2,	2),
(24026,	2,	1087,	3,	2),
(24027,	2,	1088,	1,	1),
(24028,	2,	1088,	2,	1),
(24029,	2,	1088,	3,	1),
(24030,	2,	1088,	1,	2),
(24031,	2,	1088,	2,	2),
(24032,	2,	1088,	3,	2),
(24033,	2,	1089,	1,	1),
(24034,	2,	1089,	2,	1),
(24035,	2,	1089,	3,	1),
(24036,	2,	1090,	1,	1),
(24037,	2,	1090,	2,	1),
(24038,	2,	1090,	3,	1),
(24039,	2,	1090,	1,	2),
(24040,	2,	1090,	2,	2),
(24041,	2,	1090,	3,	2),
(24042,	2,	1091,	1,	1),
(24043,	2,	1091,	2,	1),
(24044,	2,	1091,	3,	1),
(24045,	2,	1091,	1,	2),
(24046,	2,	1091,	2,	2),
(24047,	2,	1091,	3,	2),
(24048,	2,	1092,	1,	1),
(24049,	2,	1092,	2,	1),
(24050,	2,	1092,	3,	1),
(24051,	2,	1093,	1,	1),
(24052,	2,	1093,	2,	1),
(24053,	2,	1093,	3,	1),
(24054,	2,	1093,	1,	2),
(24055,	2,	1093,	2,	2),
(24056,	2,	1093,	3,	2),
(24057,	2,	1094,	1,	1),
(24058,	2,	1094,	2,	1),
(24059,	2,	1094,	3,	1),
(24060,	2,	1094,	1,	2),
(24061,	2,	1094,	2,	2),
(24062,	2,	1094,	3,	2),
(24063,	2,	1095,	1,	1),
(24064,	2,	1095,	2,	1),
(24065,	2,	1095,	3,	1),
(24066,	2,	1095,	1,	2),
(24067,	2,	1095,	2,	2),
(24068,	2,	1095,	3,	2),
(24069,	2,	1096,	1,	1),
(24070,	2,	1096,	2,	1),
(24071,	2,	1096,	3,	1),
(24072,	2,	1097,	1,	1),
(24073,	2,	1097,	2,	1),
(24074,	2,	1097,	3,	1),
(24075,	2,	1097,	1,	2),
(24076,	2,	1097,	2,	2),
(24077,	2,	1097,	3,	2),
(24078,	2,	1098,	1,	1),
(24079,	2,	1098,	2,	1),
(24080,	2,	1098,	3,	1),
(24081,	2,	1098,	1,	2),
(24082,	2,	1098,	2,	2),
(24083,	2,	1098,	3,	2),
(24084,	2,	1099,	1,	1),
(24085,	2,	1099,	2,	1),
(24086,	2,	1099,	3,	1),
(24087,	2,	1099,	1,	2),
(24088,	2,	1099,	2,	2),
(24089,	2,	1099,	3,	2),
(24090,	2,	1100,	1,	1),
(24091,	2,	1100,	2,	1),
(24092,	2,	1100,	3,	1),
(24093,	2,	1100,	1,	2),
(24094,	2,	1100,	2,	2),
(24095,	2,	1100,	3,	2),
(24096,	2,	1101,	1,	1),
(24097,	2,	1101,	2,	1),
(24098,	2,	1101,	3,	1),
(24099,	2,	1102,	1,	1),
(24100,	2,	1102,	2,	1),
(24101,	2,	1102,	3,	1),
(24102,	2,	1102,	1,	2),
(24103,	2,	1102,	2,	2),
(24104,	2,	1102,	3,	2),
(24105,	2,	1103,	1,	1),
(24106,	2,	1103,	2,	1),
(24107,	2,	1103,	3,	1),
(24108,	2,	1103,	1,	2),
(24109,	2,	1103,	2,	2),
(24110,	2,	1103,	3,	2),
(24111,	2,	1104,	1,	1),
(24112,	2,	1104,	2,	1),
(24113,	2,	1104,	3,	1),
(24114,	2,	1104,	1,	2),
(24115,	2,	1104,	2,	2),
(24116,	2,	1104,	3,	2),
(24117,	2,	1105,	1,	1),
(24118,	2,	1105,	2,	1),
(24119,	2,	1105,	3,	1),
(24120,	2,	1105,	1,	2),
(24121,	2,	1105,	2,	2),
(24122,	2,	1105,	3,	2),
(24123,	2,	1106,	1,	1),
(24124,	2,	1106,	2,	1),
(24125,	2,	1106,	3,	1),
(24126,	2,	1106,	1,	2),
(24127,	2,	1106,	2,	2),
(24128,	2,	1106,	3,	2),
(24129,	2,	1107,	1,	1),
(24130,	2,	1107,	2,	1),
(24131,	2,	1107,	3,	1),
(24132,	2,	1108,	1,	1),
(24133,	2,	1108,	2,	1),
(24134,	2,	1108,	3,	1),
(24135,	2,	1108,	1,	2),
(24136,	2,	1108,	2,	2),
(24137,	2,	1108,	3,	2),
(24138,	2,	1109,	1,	1),
(24139,	2,	1109,	2,	1),
(24140,	2,	1109,	3,	1),
(24141,	2,	1109,	1,	2),
(24142,	2,	1109,	2,	2),
(24143,	2,	1109,	3,	2),
(24144,	2,	1110,	1,	1),
(24145,	2,	1110,	2,	1),
(24146,	2,	1110,	3,	1),
(24147,	2,	1110,	1,	2),
(24148,	2,	1110,	2,	2),
(24149,	2,	1110,	3,	2),
(24150,	2,	1111,	1,	1),
(24151,	2,	1111,	2,	1),
(24152,	2,	1111,	3,	1),
(24153,	2,	1111,	1,	2),
(24154,	2,	1111,	2,	2),
(24155,	2,	1111,	3,	2),
(24156,	2,	1112,	1,	1),
(24157,	2,	1112,	2,	1),
(24158,	2,	1112,	3,	1),
(24159,	2,	1113,	1,	1),
(24160,	2,	1113,	2,	1),
(24161,	2,	1113,	3,	1),
(24162,	2,	1113,	1,	2),
(24163,	2,	1113,	2,	2),
(24164,	2,	1113,	3,	2),
(24165,	2,	1114,	1,	1),
(24166,	2,	1114,	2,	1),
(24167,	2,	1114,	3,	1),
(24168,	2,	1114,	1,	2),
(24169,	2,	1114,	2,	2),
(24170,	2,	1114,	3,	2),
(24171,	2,	1115,	1,	1),
(24172,	2,	1115,	2,	1),
(24173,	2,	1115,	3,	1),
(24174,	2,	1115,	1,	2),
(24175,	2,	1115,	2,	2),
(24176,	2,	1115,	3,	2),
(24177,	2,	1116,	1,	1),
(24178,	2,	1116,	2,	1),
(24179,	2,	1116,	3,	1),
(24180,	2,	1116,	1,	2),
(24181,	2,	1116,	2,	2),
(24182,	2,	1116,	3,	2),
(24183,	2,	1117,	1,	1),
(24184,	2,	1117,	2,	1),
(24185,	2,	1117,	3,	1),
(24186,	2,	1117,	1,	2),
(24187,	2,	1117,	2,	2),
(24188,	2,	1117,	3,	2),
(24189,	2,	1118,	1,	1),
(24190,	2,	1118,	2,	1),
(24191,	2,	1118,	3,	1),
(24192,	2,	1118,	1,	2),
(24193,	2,	1118,	2,	2),
(24194,	2,	1118,	3,	2),
(24195,	2,	1119,	1,	1),
(24196,	2,	1119,	2,	1),
(24197,	2,	1119,	3,	1),
(24198,	2,	1120,	1,	1),
(24199,	2,	1120,	2,	1),
(24200,	2,	1120,	3,	1),
(24201,	2,	1120,	1,	2),
(24202,	2,	1120,	2,	2),
(24203,	2,	1120,	3,	2),
(24204,	2,	1121,	1,	1),
(24205,	2,	1121,	2,	1),
(24206,	2,	1121,	3,	1),
(24207,	2,	1121,	1,	2),
(24208,	2,	1121,	2,	2),
(24209,	2,	1121,	3,	2),
(24210,	2,	1122,	1,	1),
(24211,	2,	1122,	2,	1),
(24212,	2,	1122,	3,	1),
(24213,	2,	1122,	1,	2),
(24214,	2,	1122,	2,	2),
(24215,	2,	1122,	3,	2),
(24216,	2,	1123,	1,	1),
(24217,	2,	1123,	2,	1),
(24218,	2,	1123,	3,	1),
(24219,	2,	1123,	1,	2),
(24220,	2,	1123,	2,	2),
(24221,	2,	1123,	3,	2),
(24222,	2,	1124,	1,	1),
(24223,	2,	1124,	2,	1),
(24224,	2,	1124,	3,	1),
(24225,	2,	1125,	1,	1),
(24226,	2,	1125,	2,	1),
(24227,	2,	1125,	3,	1),
(24228,	2,	1125,	1,	2),
(24229,	2,	1125,	2,	2),
(24230,	2,	1125,	3,	2),
(24231,	2,	1126,	1,	1),
(24232,	2,	1126,	2,	1),
(24233,	2,	1126,	3,	1),
(24234,	2,	1126,	1,	2),
(24235,	2,	1126,	2,	2),
(24236,	2,	1126,	3,	2),
(24237,	2,	1127,	1,	1),
(24238,	2,	1127,	2,	1),
(24239,	2,	1127,	3,	1),
(24240,	2,	1128,	1,	1),
(24241,	2,	1128,	2,	1),
(24242,	2,	1128,	3,	1),
(24243,	2,	1128,	1,	2),
(24244,	2,	1128,	2,	2),
(24245,	2,	1128,	3,	2),
(24246,	2,	1129,	1,	1),
(24247,	2,	1129,	2,	1),
(24248,	2,	1129,	3,	1),
(24249,	2,	1129,	1,	3),
(24250,	2,	1129,	2,	3),
(24251,	2,	1129,	3,	3),
(24252,	2,	1130,	1,	1),
(24253,	2,	1130,	2,	1),
(24254,	2,	1130,	3,	1),
(24255,	2,	1130,	1,	3),
(24256,	2,	1130,	2,	3),
(24257,	2,	1130,	3,	3),
(24258,	2,	1131,	1,	1),
(24259,	2,	1131,	2,	1),
(24260,	2,	1131,	3,	1),
(24261,	2,	1131,	23,	1),
(24262,	2,	1131,	4,	1),
(24263,	2,	1131,	25,	1),
(24264,	2,	1131,	24,	1),
(24265,	2,	1131,	6,	1),
(24266,	2,	1131,	1,	3),
(24267,	2,	1131,	2,	3),
(24268,	2,	1131,	3,	3),
(24269,	2,	1131,	23,	3),
(24270,	2,	1131,	4,	3),
(24271,	2,	1131,	25,	3),
(24272,	2,	1131,	24,	3),
(24273,	2,	1131,	6,	3),
(24274,	2,	1132,	1,	1),
(24275,	2,	1132,	2,	1),
(24276,	2,	1132,	3,	1),
(24277,	2,	1132,	23,	1),
(24278,	2,	1132,	4,	1),
(24279,	2,	1132,	25,	1),
(24280,	2,	1132,	24,	1),
(24281,	2,	1132,	6,	1),
(24282,	2,	1132,	1,	3),
(24283,	2,	1132,	2,	3),
(24284,	2,	1132,	3,	3),
(24285,	2,	1132,	23,	3),
(24286,	2,	1132,	4,	3),
(24287,	2,	1132,	25,	3),
(24288,	2,	1132,	24,	3),
(24289,	2,	1132,	6,	3),
(24290,	2,	1133,	1,	1),
(24291,	2,	1133,	2,	1),
(24292,	2,	1133,	3,	1),
(24293,	2,	1133,	23,	1),
(24294,	2,	1133,	4,	1),
(24295,	2,	1133,	25,	1),
(24296,	2,	1133,	24,	1),
(24297,	2,	1133,	6,	1),
(24298,	2,	1133,	1,	3),
(24299,	2,	1133,	2,	3),
(24300,	2,	1133,	3,	3),
(24301,	2,	1133,	23,	3),
(24302,	2,	1133,	4,	3),
(24303,	2,	1133,	25,	3),
(24304,	2,	1133,	24,	3),
(24305,	2,	1133,	6,	3),
(24306,	2,	1134,	1,	1),
(24307,	2,	1134,	2,	1),
(24308,	2,	1134,	3,	1),
(24309,	2,	1134,	23,	1),
(24310,	2,	1134,	4,	1),
(24311,	2,	1134,	25,	1),
(24312,	2,	1134,	24,	1),
(24313,	2,	1134,	6,	1),
(24314,	2,	1134,	1,	3),
(24315,	2,	1134,	2,	3),
(24316,	2,	1134,	3,	3),
(24317,	2,	1134,	23,	3),
(24318,	2,	1134,	4,	3),
(24319,	2,	1134,	25,	3),
(24320,	2,	1134,	24,	3),
(24321,	2,	1134,	6,	3),
(24322,	2,	1135,	1,	1),
(24323,	2,	1135,	2,	1),
(24324,	2,	1135,	3,	1),
(24325,	2,	1135,	23,	1),
(24326,	2,	1135,	4,	1),
(24327,	2,	1135,	25,	1),
(24328,	2,	1135,	24,	1),
(24329,	2,	1135,	6,	1),
(24330,	2,	1135,	1,	3),
(24331,	2,	1135,	2,	3),
(24332,	2,	1135,	3,	3),
(24333,	2,	1135,	23,	3),
(24334,	2,	1135,	4,	3),
(24335,	2,	1135,	25,	3),
(24336,	2,	1135,	24,	3),
(24337,	2,	1135,	6,	3),
(24338,	2,	1136,	1,	1),
(24339,	2,	1136,	2,	1),
(24340,	2,	1136,	3,	1),
(24341,	2,	1136,	23,	1),
(24342,	2,	1136,	4,	1),
(24343,	2,	1136,	25,	1),
(24344,	2,	1136,	24,	1),
(24345,	2,	1136,	6,	1),
(24346,	2,	1136,	1,	3),
(24347,	2,	1136,	2,	3),
(24348,	2,	1136,	3,	3),
(24349,	2,	1136,	23,	3),
(24350,	2,	1136,	4,	3),
(24351,	2,	1136,	25,	3),
(24352,	2,	1136,	24,	3),
(24353,	2,	1136,	6,	3),
(24354,	2,	1137,	1,	1),
(24355,	2,	1137,	2,	1),
(24356,	2,	1137,	3,	1),
(24357,	2,	1137,	1,	2),
(24358,	2,	1137,	2,	2),
(24359,	2,	1137,	3,	2),
(24360,	2,	1138,	1,	1),
(24361,	2,	1138,	2,	1),
(24362,	2,	1138,	3,	1),
(24363,	2,	1138,	23,	1),
(24364,	2,	1138,	4,	1),
(24365,	2,	1138,	25,	1),
(24366,	2,	1138,	24,	1),
(24367,	2,	1138,	6,	1),
(24368,	2,	1138,	1,	3),
(24369,	2,	1138,	2,	3),
(24370,	2,	1138,	3,	3),
(24371,	2,	1138,	23,	3),
(24372,	2,	1138,	4,	3),
(24373,	2,	1138,	25,	3),
(24374,	2,	1138,	24,	3),
(24375,	2,	1138,	6,	3),
(24376,	2,	1139,	1,	1),
(24377,	2,	1139,	2,	1),
(24378,	2,	1139,	3,	1),
(24379,	2,	1139,	23,	1),
(24380,	2,	1139,	4,	1),
(24381,	2,	1139,	25,	1),
(24382,	2,	1139,	24,	1),
(24383,	2,	1139,	6,	1),
(24384,	2,	1139,	1,	3),
(24385,	2,	1139,	2,	3),
(24386,	2,	1139,	3,	3),
(24387,	2,	1139,	23,	3),
(24388,	2,	1139,	4,	3),
(24389,	2,	1139,	25,	3),
(24390,	2,	1139,	24,	3),
(24391,	2,	1139,	6,	3),
(24392,	2,	1140,	1,	1),
(24393,	2,	1140,	2,	1),
(24394,	2,	1140,	3,	1),
(24395,	2,	1140,	23,	1),
(24396,	2,	1140,	4,	1),
(24397,	2,	1140,	25,	1),
(24398,	2,	1140,	24,	1),
(24399,	2,	1140,	6,	1),
(24400,	2,	1140,	1,	3),
(24401,	2,	1140,	2,	3),
(24402,	2,	1140,	3,	3),
(24403,	2,	1140,	23,	3),
(24404,	2,	1140,	4,	3),
(24405,	2,	1140,	25,	3),
(24406,	2,	1140,	24,	3),
(24407,	2,	1140,	6,	3),
(24408,	2,	1141,	1,	1),
(24409,	2,	1141,	2,	1),
(24410,	2,	1141,	3,	1),
(24411,	2,	1142,	1,	1),
(24412,	2,	1142,	2,	1),
(24413,	2,	1142,	3,	1),
(24414,	2,	1142,	1,	3),
(24415,	2,	1142,	2,	3),
(24416,	2,	1142,	3,	3),
(24417,	2,	1143,	1,	1),
(24418,	2,	1143,	2,	1),
(24419,	2,	1143,	3,	1),
(24420,	2,	1143,	23,	1),
(24421,	2,	1143,	4,	1),
(24422,	2,	1143,	25,	1),
(24423,	2,	1143,	24,	1),
(24424,	2,	1143,	6,	1),
(24425,	2,	1143,	1,	3),
(24426,	2,	1143,	2,	3),
(24427,	2,	1143,	3,	3),
(24428,	2,	1143,	23,	3),
(24429,	2,	1143,	4,	3),
(24430,	2,	1143,	25,	3),
(24431,	2,	1143,	24,	3),
(24432,	2,	1143,	6,	3),
(24433,	2,	1144,	1,	1),
(24434,	2,	1144,	2,	1),
(24435,	2,	1144,	3,	1),
(24436,	2,	1145,	1,	1),
(24437,	2,	1145,	2,	1),
(24438,	2,	1145,	3,	1),
(24439,	2,	1145,	23,	1),
(24440,	2,	1145,	4,	1),
(24441,	2,	1145,	25,	1),
(24442,	2,	1145,	24,	1),
(24443,	2,	1145,	6,	1),
(24444,	2,	1145,	1,	3),
(24445,	2,	1145,	2,	3),
(24446,	2,	1145,	3,	3),
(24447,	2,	1145,	23,	3),
(24448,	2,	1145,	4,	3),
(24449,	2,	1145,	25,	3),
(24450,	2,	1145,	24,	3),
(24451,	2,	1145,	6,	3),
(24452,	2,	1146,	1,	1),
(24453,	2,	1146,	2,	1),
(24454,	2,	1146,	3,	1),
(24455,	2,	1146,	1,	2),
(24456,	2,	1146,	2,	2),
(24457,	2,	1146,	3,	2),
(24458,	2,	1147,	1,	1),
(24459,	2,	1147,	2,	1),
(24460,	2,	1147,	3,	1),
(24461,	2,	1148,	1,	1),
(24462,	2,	1148,	2,	1),
(24463,	2,	1148,	3,	1),
(24464,	2,	1148,	23,	1),
(24465,	2,	1148,	4,	1),
(24466,	2,	1148,	25,	1),
(24467,	2,	1148,	24,	1),
(24468,	2,	1148,	6,	1),
(24469,	2,	1148,	1,	3),
(24470,	2,	1148,	2,	3),
(24471,	2,	1148,	3,	3),
(24472,	2,	1148,	23,	3),
(24473,	2,	1148,	4,	3),
(24474,	2,	1148,	25,	3),
(24475,	2,	1148,	24,	3),
(24476,	2,	1148,	6,	3),
(24477,	2,	1149,	1,	1),
(24478,	2,	1149,	2,	1),
(24479,	2,	1149,	3,	1),
(24480,	2,	1149,	1,	2),
(24481,	2,	1149,	2,	2),
(24482,	2,	1149,	3,	2),
(24483,	2,	1150,	1,	1),
(24484,	2,	1150,	2,	1),
(24485,	2,	1150,	3,	1),
(24486,	2,	1151,	1,	1),
(24487,	2,	1151,	2,	1),
(24488,	2,	1151,	3,	1),
(24489,	2,	1151,	23,	1),
(24490,	2,	1151,	4,	1),
(24491,	2,	1151,	25,	1),
(24492,	2,	1151,	24,	1),
(24493,	2,	1151,	6,	1),
(24494,	2,	1151,	1,	3),
(24495,	2,	1151,	2,	3),
(24496,	2,	1151,	3,	3),
(24497,	2,	1151,	23,	3),
(24498,	2,	1151,	4,	3),
(24499,	2,	1151,	25,	3),
(24500,	2,	1151,	24,	3),
(24501,	2,	1151,	6,	3),
(24502,	2,	1152,	1,	1),
(24503,	2,	1152,	2,	1),
(24504,	2,	1152,	3,	1),
(24505,	2,	1152,	1,	2),
(24506,	2,	1152,	2,	2),
(24507,	2,	1152,	3,	2),
(24508,	2,	1153,	1,	1),
(24509,	2,	1153,	2,	1),
(24510,	2,	1153,	3,	1),
(24511,	2,	1154,	1,	1),
(24512,	2,	1154,	2,	1),
(24513,	2,	1154,	3,	1),
(24514,	2,	1155,	1,	1),
(24515,	2,	1155,	2,	1),
(24516,	2,	1155,	3,	1),
(24517,	2,	1156,	1,	1),
(24518,	2,	1156,	2,	1),
(24519,	2,	1156,	3,	1),
(24520,	2,	1157,	1,	1),
(24521,	2,	1157,	2,	1),
(24522,	2,	1157,	3,	1),
(24523,	2,	1158,	1,	1),
(24524,	2,	1158,	2,	1),
(24525,	2,	1158,	3,	1),
(24526,	2,	1159,	1,	1),
(24527,	2,	1159,	2,	1),
(24528,	2,	1159,	3,	1),
(24529,	2,	1160,	1,	1),
(24530,	2,	1160,	2,	1),
(24531,	2,	1160,	3,	1),
(24532,	2,	1161,	1,	1),
(24533,	2,	1161,	2,	1),
(24534,	2,	1161,	3,	1),
(24535,	2,	1161,	1,	2),
(24536,	2,	1161,	2,	2),
(24537,	2,	1161,	3,	2),
(24538,	2,	1162,	1,	1),
(24539,	2,	1162,	2,	1),
(24540,	2,	1162,	3,	1),
(24541,	2,	1163,	1,	1),
(24542,	2,	1163,	2,	1),
(24543,	2,	1163,	3,	1),
(24544,	2,	1163,	1,	2),
(24545,	2,	1163,	2,	2),
(24546,	2,	1163,	3,	2),
(24547,	2,	1164,	1,	1),
(24548,	2,	1164,	2,	1),
(24549,	2,	1164,	3,	1),
(24550,	2,	1164,	35,	1),
(24551,	2,	1164,	45,	1),
(24552,	2,	1164,	46,	1),
(24553,	2,	1164,	54,	1),
(24554,	2,	1164,	51,	1),
(24555,	2,	1164,	55,	1),
(24556,	2,	1164,	56,	1),
(24557,	2,	1164,	57,	1),
(24558,	2,	1164,	58,	1),
(24559,	2,	1164,	59,	1),
(24560,	2,	1164,	60,	1),
(24561,	2,	1164,	49,	1),
(24562,	2,	1164,	61,	1),
(24563,	2,	1164,	53,	1),
(24564,	2,	1164,	62,	1),
(24565,	2,	1164,	52,	1),
(24566,	2,	1164,	63,	1),
(24567,	2,	1164,	64,	1),
(24568,	2,	1165,	1,	1),
(24569,	2,	1165,	2,	1),
(24570,	2,	1165,	3,	1),
(24571,	2,	1165,	35,	1),
(24572,	2,	1165,	45,	1),
(24573,	2,	1165,	46,	1),
(24574,	2,	1165,	54,	1),
(24575,	2,	1165,	51,	1),
(24576,	2,	1165,	55,	1),
(24577,	2,	1165,	56,	1),
(24578,	2,	1165,	57,	1),
(24579,	2,	1165,	58,	1),
(24580,	2,	1165,	59,	1),
(24581,	2,	1165,	60,	1),
(24582,	2,	1165,	49,	1),
(24583,	2,	1165,	61,	1),
(24584,	2,	1165,	53,	1),
(24585,	2,	1165,	62,	1),
(24586,	2,	1165,	52,	1),
(24587,	2,	1165,	63,	1),
(24588,	2,	1165,	64,	1),
(24589,	2,	1166,	1,	1),
(24590,	2,	1166,	2,	1),
(24591,	2,	1166,	3,	1),
(24592,	2,	1166,	35,	1),
(24593,	2,	1166,	45,	1),
(24594,	2,	1166,	46,	1),
(24595,	2,	1166,	54,	1),
(24596,	2,	1166,	51,	1),
(24597,	2,	1166,	55,	1),
(24598,	2,	1166,	56,	1),
(24599,	2,	1166,	57,	1),
(24600,	2,	1166,	58,	1),
(24601,	2,	1166,	59,	1),
(24602,	2,	1166,	60,	1),
(24603,	2,	1166,	49,	1),
(24604,	2,	1166,	61,	1),
(24605,	2,	1166,	53,	1),
(24606,	2,	1166,	62,	1),
(24607,	2,	1166,	52,	1),
(24608,	2,	1166,	63,	1),
(24609,	2,	1166,	64,	1),
(24610,	2,	1166,	1,	3),
(24611,	2,	1166,	2,	3),
(24612,	2,	1166,	3,	3),
(24613,	2,	1166,	35,	3),
(24614,	2,	1166,	45,	3),
(24615,	2,	1166,	46,	3),
(24616,	2,	1166,	54,	3),
(24617,	2,	1166,	51,	3),
(24618,	2,	1166,	55,	3),
(24619,	2,	1166,	56,	3),
(24620,	2,	1166,	57,	3),
(24621,	2,	1166,	58,	3),
(24622,	2,	1166,	59,	3),
(24623,	2,	1166,	60,	3),
(24624,	2,	1166,	49,	3),
(24625,	2,	1166,	61,	3),
(24626,	2,	1166,	53,	3),
(24627,	2,	1166,	62,	3),
(24628,	2,	1166,	52,	3),
(24629,	2,	1166,	63,	3),
(24630,	2,	1166,	64,	3),
(24631,	2,	1167,	1,	1),
(24632,	2,	1167,	2,	1),
(24633,	2,	1167,	3,	1),
(24634,	2,	1167,	35,	1),
(24635,	2,	1167,	45,	1),
(24636,	2,	1167,	46,	1),
(24637,	2,	1167,	54,	1),
(24638,	2,	1167,	51,	1),
(24639,	2,	1167,	55,	1),
(24640,	2,	1167,	56,	1),
(24641,	2,	1167,	57,	1),
(24642,	2,	1167,	58,	1),
(24643,	2,	1167,	59,	1),
(24644,	2,	1167,	60,	1),
(24645,	2,	1167,	49,	1),
(24646,	2,	1167,	61,	1),
(24647,	2,	1167,	53,	1),
(24648,	2,	1167,	62,	1),
(24649,	2,	1167,	52,	1),
(24650,	2,	1167,	63,	1),
(24651,	2,	1167,	64,	1),
(24652,	2,	1167,	1,	3),
(24653,	2,	1167,	2,	3),
(24654,	2,	1167,	3,	3),
(24655,	2,	1167,	35,	3),
(24656,	2,	1167,	45,	3),
(24657,	2,	1167,	46,	3),
(24658,	2,	1167,	54,	3),
(24659,	2,	1167,	51,	3),
(24660,	2,	1167,	55,	3),
(24661,	2,	1167,	56,	3),
(24662,	2,	1167,	57,	3),
(24663,	2,	1167,	58,	3),
(24664,	2,	1167,	59,	3),
(24665,	2,	1167,	60,	3),
(24666,	2,	1167,	49,	3),
(24667,	2,	1167,	61,	3),
(24668,	2,	1167,	53,	3),
(24669,	2,	1167,	62,	3),
(24670,	2,	1167,	52,	3),
(24671,	2,	1167,	63,	3),
(24672,	2,	1167,	64,	3),
(24673,	2,	1168,	1,	1),
(24674,	2,	1168,	2,	1),
(24675,	2,	1168,	3,	1),
(24676,	2,	1168,	35,	1),
(24677,	2,	1168,	45,	1),
(24678,	2,	1168,	46,	1),
(24679,	2,	1168,	54,	1),
(24680,	2,	1168,	51,	1),
(24681,	2,	1168,	55,	1),
(24682,	2,	1168,	56,	1),
(24683,	2,	1168,	57,	1),
(24684,	2,	1168,	58,	1),
(24685,	2,	1168,	59,	1),
(24686,	2,	1168,	60,	1),
(24687,	2,	1168,	49,	1),
(24688,	2,	1168,	61,	1),
(24689,	2,	1168,	53,	1),
(24690,	2,	1168,	62,	1),
(24691,	2,	1168,	52,	1),
(24692,	2,	1168,	63,	1),
(24693,	2,	1168,	64,	1),
(24694,	2,	1169,	1,	1),
(24695,	2,	1169,	2,	1),
(24696,	2,	1169,	3,	1),
(24697,	2,	1169,	35,	1),
(24698,	2,	1169,	45,	1),
(24699,	2,	1169,	46,	1),
(24700,	2,	1169,	54,	1),
(24701,	2,	1169,	51,	1),
(24702,	2,	1169,	55,	1),
(24703,	2,	1169,	56,	1),
(24704,	2,	1169,	57,	1),
(24705,	2,	1169,	58,	1),
(24706,	2,	1169,	59,	1),
(24707,	2,	1169,	60,	1),
(24708,	2,	1169,	49,	1),
(24709,	2,	1169,	61,	1),
(24710,	2,	1169,	53,	1),
(24711,	2,	1169,	62,	1),
(24712,	2,	1169,	52,	1),
(24713,	2,	1169,	63,	1),
(24714,	2,	1169,	64,	1),
(24715,	2,	1170,	1,	1),
(24716,	2,	1170,	2,	1),
(24717,	2,	1170,	3,	1),
(24718,	2,	1170,	1,	2),
(24719,	2,	1170,	2,	2),
(24720,	2,	1170,	3,	2),
(24721,	2,	1171,	1,	1),
(24722,	2,	1171,	2,	1),
(24723,	2,	1171,	3,	1),
(24724,	2,	1171,	35,	1),
(24725,	2,	1171,	45,	1),
(24726,	2,	1171,	46,	1),
(24727,	2,	1171,	54,	1),
(24728,	2,	1171,	51,	1),
(24729,	2,	1171,	55,	1),
(24730,	2,	1171,	56,	1),
(24731,	2,	1171,	57,	1),
(24732,	2,	1171,	58,	1),
(24733,	2,	1171,	59,	1),
(24734,	2,	1171,	60,	1),
(24735,	2,	1171,	49,	1),
(24736,	2,	1171,	61,	1),
(24737,	2,	1171,	53,	1),
(24738,	2,	1171,	62,	1),
(24739,	2,	1171,	52,	1),
(24740,	2,	1171,	63,	1),
(24741,	2,	1171,	64,	1),
(24742,	2,	1172,	1,	1),
(24743,	2,	1172,	2,	1),
(24744,	2,	1172,	3,	1),
(24745,	2,	1172,	35,	1),
(24746,	2,	1172,	45,	1),
(24747,	2,	1172,	46,	1),
(24748,	2,	1172,	54,	1),
(24749,	2,	1172,	51,	1),
(24750,	2,	1172,	55,	1),
(24751,	2,	1172,	56,	1),
(24752,	2,	1172,	57,	1),
(24753,	2,	1172,	58,	1),
(24754,	2,	1172,	59,	1),
(24755,	2,	1172,	60,	1),
(24756,	2,	1172,	49,	1),
(24757,	2,	1172,	61,	1),
(24758,	2,	1172,	53,	1),
(24759,	2,	1172,	62,	1),
(24760,	2,	1172,	52,	1),
(24761,	2,	1172,	63,	1),
(24762,	2,	1172,	64,	1),
(24763,	2,	1172,	1,	3),
(24764,	2,	1172,	2,	3),
(24765,	2,	1172,	3,	3),
(24766,	2,	1172,	35,	3),
(24767,	2,	1172,	45,	3),
(24768,	2,	1172,	46,	3),
(24769,	2,	1172,	54,	3),
(24770,	2,	1172,	51,	3),
(24771,	2,	1172,	55,	3),
(24772,	2,	1172,	56,	3),
(24773,	2,	1172,	57,	3),
(24774,	2,	1172,	58,	3),
(24775,	2,	1172,	59,	3),
(24776,	2,	1172,	60,	3),
(24777,	2,	1172,	49,	3),
(24778,	2,	1172,	61,	3),
(24779,	2,	1172,	53,	3),
(24780,	2,	1172,	62,	3),
(24781,	2,	1172,	52,	3),
(24782,	2,	1172,	63,	3),
(24783,	2,	1172,	64,	3),
(24784,	2,	1173,	1,	1),
(24785,	2,	1173,	2,	1),
(24786,	2,	1173,	3,	1),
(24787,	2,	1173,	35,	1),
(24788,	2,	1173,	45,	1),
(24789,	2,	1173,	46,	1),
(24790,	2,	1173,	54,	1),
(24791,	2,	1173,	51,	1),
(24792,	2,	1173,	55,	1),
(24793,	2,	1173,	56,	1),
(24794,	2,	1173,	57,	1),
(24795,	2,	1173,	58,	1),
(24796,	2,	1173,	59,	1),
(24797,	2,	1173,	60,	1),
(24798,	2,	1173,	49,	1),
(24799,	2,	1173,	61,	1),
(24800,	2,	1173,	53,	1),
(24801,	2,	1173,	62,	1),
(24802,	2,	1173,	52,	1),
(24803,	2,	1173,	63,	1),
(24804,	2,	1173,	64,	1),
(24805,	2,	1173,	1,	3),
(24806,	2,	1173,	2,	3),
(24807,	2,	1173,	3,	3),
(24808,	2,	1173,	35,	3),
(24809,	2,	1173,	45,	3),
(24810,	2,	1173,	46,	3),
(24811,	2,	1173,	54,	3),
(24812,	2,	1173,	51,	3),
(24813,	2,	1173,	55,	3),
(24814,	2,	1173,	56,	3),
(24815,	2,	1173,	57,	3),
(24816,	2,	1173,	58,	3),
(24817,	2,	1173,	59,	3),
(24818,	2,	1173,	60,	3),
(24819,	2,	1173,	49,	3),
(24820,	2,	1173,	61,	3),
(24821,	2,	1173,	53,	3),
(24822,	2,	1173,	62,	3),
(24823,	2,	1173,	52,	3),
(24824,	2,	1173,	63,	3),
(24825,	2,	1173,	64,	3),
(24826,	2,	1174,	1,	1),
(24827,	2,	1174,	2,	1),
(24828,	2,	1174,	3,	1),
(24829,	2,	1175,	1,	1),
(24830,	2,	1175,	2,	1),
(24831,	2,	1175,	3,	1),
(24832,	2,	1176,	1,	1),
(24833,	2,	1176,	2,	1),
(24834,	2,	1176,	3,	1),
(24835,	2,	1176,	1,	2),
(24836,	2,	1176,	2,	2),
(24837,	2,	1176,	3,	2),
(24838,	2,	1177,	1,	1),
(24839,	2,	1177,	2,	1),
(24840,	2,	1177,	3,	1),
(24841,	2,	1177,	1,	2),
(24842,	2,	1177,	2,	2),
(24843,	2,	1177,	3,	2),
(24844,	2,	1178,	1,	1),
(24845,	2,	1178,	2,	1),
(24846,	2,	1178,	3,	1),
(24847,	2,	1179,	1,	1),
(24848,	2,	1179,	2,	1),
(24849,	2,	1179,	3,	1),
(24850,	2,	1179,	1,	2),
(24851,	2,	1179,	2,	2),
(24852,	2,	1179,	3,	2),
(24853,	2,	1180,	1,	1),
(24854,	2,	1180,	2,	1),
(24855,	2,	1180,	3,	1),
(24856,	2,	1181,	1,	1),
(24857,	2,	1181,	2,	1),
(24858,	2,	1181,	3,	1),
(24859,	2,	1182,	1,	1),
(24860,	2,	1182,	2,	1),
(24861,	2,	1182,	3,	1),
(24862,	2,	1183,	1,	1),
(24863,	2,	1183,	2,	1),
(24864,	2,	1183,	3,	1),
(24865,	2,	1183,	1,	2),
(24866,	2,	1183,	2,	2),
(24867,	2,	1183,	3,	2),
(24868,	2,	1184,	1,	1),
(24869,	2,	1184,	2,	1),
(24870,	2,	1184,	3,	1),
(24871,	2,	1185,	1,	1),
(24872,	2,	1185,	2,	1),
(24873,	2,	1185,	3,	1),
(24874,	2,	1186,	1,	1),
(24875,	2,	1186,	2,	1),
(24876,	2,	1186,	3,	1),
(24877,	2,	1186,	1,	2),
(24878,	2,	1186,	2,	2),
(24879,	2,	1186,	3,	2),
(24880,	2,	1187,	1,	1),
(24881,	2,	1187,	2,	1),
(24882,	2,	1187,	3,	1),
(24883,	2,	1188,	1,	1),
(24884,	2,	1188,	2,	1),
(24885,	2,	1188,	3,	1),
(24886,	2,	1189,	1,	1),
(24887,	2,	1189,	2,	1),
(24888,	2,	1189,	3,	1),
(24889,	2,	1190,	1,	1),
(24890,	2,	1190,	2,	1),
(24891,	2,	1190,	3,	1),
(24892,	2,	1191,	1,	1),
(24893,	2,	1191,	2,	1),
(24894,	2,	1191,	3,	1),
(24895,	2,	1192,	1,	1),
(24896,	2,	1192,	2,	1),
(24897,	2,	1192,	3,	1),
(24898,	2,	1192,	1,	2),
(24899,	2,	1192,	2,	2),
(24900,	2,	1192,	3,	2),
(24901,	2,	1193,	1,	1),
(24902,	2,	1193,	2,	1),
(24903,	2,	1193,	3,	1),
(24904,	2,	1194,	1,	1),
(24905,	2,	1194,	2,	1),
(24906,	2,	1194,	3,	1),
(24907,	2,	1195,	1,	1),
(24908,	2,	1195,	2,	1),
(24909,	2,	1195,	3,	1),
(24910,	2,	1195,	65,	1),
(24911,	2,	1195,	66,	1),
(24912,	2,	1195,	7,	1),
(24913,	2,	1195,	8,	1),
(24914,	2,	1195,	67,	1),
(24915,	2,	1195,	68,	1),
(24916,	2,	1195,	15,	1),
(24917,	2,	1195,	1,	3),
(24918,	2,	1195,	2,	3),
(24919,	2,	1195,	3,	3),
(24920,	2,	1195,	65,	3),
(24921,	2,	1195,	66,	3),
(24922,	2,	1195,	7,	3),
(24923,	2,	1195,	8,	3),
(24924,	2,	1195,	67,	3),
(24925,	2,	1195,	68,	3),
(24926,	2,	1195,	15,	3),
(24927,	2,	1196,	1,	1),
(24928,	2,	1196,	2,	1),
(24929,	2,	1196,	3,	1),
(24930,	2,	1196,	65,	1),
(24931,	2,	1196,	66,	1),
(24932,	2,	1196,	7,	1),
(24933,	2,	1196,	8,	1),
(24934,	2,	1196,	67,	1),
(24935,	2,	1196,	68,	1),
(24936,	2,	1196,	15,	1),
(24937,	2,	1196,	1,	3),
(24938,	2,	1196,	2,	3),
(24939,	2,	1196,	3,	3),
(24940,	2,	1196,	65,	3),
(24941,	2,	1196,	66,	3),
(24942,	2,	1196,	7,	3),
(24943,	2,	1196,	8,	3),
(24944,	2,	1196,	67,	3),
(24945,	2,	1196,	68,	3),
(24946,	2,	1196,	15,	3),
(24947,	2,	1197,	1,	1),
(24948,	2,	1197,	2,	1),
(24949,	2,	1197,	3,	1),
(24950,	2,	1197,	1,	3),
(24951,	2,	1197,	2,	3),
(24952,	2,	1197,	3,	3),
(24953,	2,	1198,	1,	1),
(24954,	2,	1198,	2,	1),
(24955,	2,	1198,	3,	1),
(24956,	2,	1198,	1,	3),
(24957,	2,	1198,	2,	3),
(24958,	2,	1198,	3,	3),
(24959,	2,	1199,	1,	1),
(24960,	2,	1199,	2,	1),
(24961,	2,	1199,	3,	1),
(24962,	2,	1199,	65,	1),
(24963,	2,	1199,	66,	1),
(24964,	2,	1199,	7,	1),
(24965,	2,	1199,	8,	1),
(24966,	2,	1199,	67,	1),
(24967,	2,	1199,	68,	1),
(24968,	2,	1199,	15,	1),
(24969,	2,	1199,	1,	3),
(24970,	2,	1199,	2,	3),
(24971,	2,	1199,	3,	3),
(24972,	2,	1199,	65,	3),
(24973,	2,	1199,	66,	3),
(24974,	2,	1199,	7,	3),
(24975,	2,	1199,	8,	3),
(24976,	2,	1199,	67,	3),
(24977,	2,	1199,	68,	3),
(24978,	2,	1199,	15,	3),
(24979,	2,	1200,	1,	1),
(24980,	2,	1200,	2,	1),
(24981,	2,	1200,	3,	1),
(24982,	2,	1200,	65,	1),
(24983,	2,	1200,	66,	1),
(24984,	2,	1200,	7,	1),
(24985,	2,	1200,	8,	1),
(24986,	2,	1200,	67,	1),
(24987,	2,	1200,	68,	1),
(24988,	2,	1200,	15,	1),
(24989,	2,	1200,	1,	3),
(24990,	2,	1200,	2,	3),
(24991,	2,	1200,	3,	3),
(24992,	2,	1200,	65,	3),
(24993,	2,	1200,	66,	3),
(24994,	2,	1200,	7,	3),
(24995,	2,	1200,	8,	3),
(24996,	2,	1200,	67,	3),
(24997,	2,	1200,	68,	3),
(24998,	2,	1200,	15,	3),
(24999,	2,	1201,	1,	1),
(25000,	2,	1201,	2,	1),
(25001,	2,	1201,	3,	1),
(25002,	2,	1201,	65,	1),
(25003,	2,	1201,	66,	1),
(25004,	2,	1201,	7,	1),
(25005,	2,	1201,	8,	1),
(25006,	2,	1201,	67,	1),
(25007,	2,	1201,	68,	1),
(25008,	2,	1201,	15,	1),
(25009,	2,	1201,	1,	3),
(25010,	2,	1201,	2,	3),
(25011,	2,	1201,	3,	3),
(25012,	2,	1201,	65,	3),
(25013,	2,	1201,	66,	3),
(25014,	2,	1201,	7,	3),
(25015,	2,	1201,	8,	3),
(25016,	2,	1201,	67,	3),
(25017,	2,	1201,	68,	3),
(25018,	2,	1201,	15,	3),
(25019,	2,	1202,	1,	1),
(25020,	2,	1202,	2,	1),
(25021,	2,	1202,	3,	1),
(25022,	2,	1202,	65,	1),
(25023,	2,	1202,	66,	1),
(25024,	2,	1202,	7,	1),
(25025,	2,	1202,	8,	1),
(25026,	2,	1202,	67,	1),
(25027,	2,	1202,	68,	1),
(25028,	2,	1202,	15,	1),
(25029,	2,	1202,	1,	3),
(25030,	2,	1202,	2,	3),
(25031,	2,	1202,	3,	3),
(25032,	2,	1202,	65,	3),
(25033,	2,	1202,	66,	3),
(25034,	2,	1202,	7,	3),
(25035,	2,	1202,	8,	3),
(25036,	2,	1202,	67,	3),
(25037,	2,	1202,	68,	3),
(25038,	2,	1202,	15,	3),
(25039,	2,	1203,	1,	1),
(25040,	2,	1203,	2,	1),
(25041,	2,	1203,	3,	1),
(25042,	2,	1203,	69,	1),
(25043,	2,	1203,	70,	1),
(25044,	2,	1203,	71,	1),
(25045,	2,	1203,	72,	1),
(25046,	2,	1203,	65,	1),
(25047,	2,	1203,	66,	1),
(25048,	2,	1203,	7,	1),
(25049,	2,	1203,	8,	1),
(25050,	2,	1203,	73,	1),
(25051,	2,	1203,	67,	1),
(25052,	2,	1203,	10,	1),
(25053,	2,	1203,	68,	1),
(25054,	2,	1203,	1,	3),
(25055,	2,	1203,	2,	3),
(25056,	2,	1203,	3,	3),
(25057,	2,	1203,	69,	3),
(25058,	2,	1203,	70,	3),
(25059,	2,	1203,	71,	3),
(25060,	2,	1203,	72,	3),
(25061,	2,	1203,	65,	3),
(25062,	2,	1203,	66,	3),
(25063,	2,	1203,	7,	3),
(25064,	2,	1203,	8,	3),
(25065,	2,	1203,	73,	3),
(25066,	2,	1203,	67,	3),
(25067,	2,	1203,	10,	3),
(25068,	2,	1203,	68,	3),
(25069,	2,	1204,	1,	1),
(25070,	2,	1204,	2,	1),
(25071,	2,	1204,	3,	1),
(25072,	2,	1204,	1,	3),
(25073,	2,	1204,	2,	3),
(25074,	2,	1204,	3,	3),
(25075,	2,	1205,	1,	1),
(25076,	2,	1205,	2,	1),
(25077,	2,	1205,	3,	1),
(25078,	2,	1205,	69,	1),
(25079,	2,	1205,	70,	1),
(25080,	2,	1205,	71,	1),
(25081,	2,	1205,	72,	1),
(25082,	2,	1205,	65,	1),
(25083,	2,	1205,	66,	1),
(25084,	2,	1205,	7,	1),
(25085,	2,	1205,	8,	1),
(25086,	2,	1205,	73,	1),
(25087,	2,	1205,	67,	1),
(25088,	2,	1205,	10,	1),
(25089,	2,	1205,	68,	1),
(25090,	2,	1205,	1,	3),
(25091,	2,	1205,	2,	3),
(25092,	2,	1205,	3,	3),
(25093,	2,	1205,	69,	3),
(25094,	2,	1205,	70,	3),
(25095,	2,	1205,	71,	3),
(25096,	2,	1205,	72,	3),
(25097,	2,	1205,	65,	3),
(25098,	2,	1205,	66,	3),
(25099,	2,	1205,	7,	3),
(25100,	2,	1205,	8,	3),
(25101,	2,	1205,	73,	3),
(25102,	2,	1205,	67,	3),
(25103,	2,	1205,	10,	3),
(25104,	2,	1205,	68,	3),
(25105,	2,	1206,	1,	1),
(25106,	2,	1206,	2,	1),
(25107,	2,	1206,	3,	1),
(25108,	2,	1206,	66,	1),
(25109,	2,	1206,	7,	1),
(25110,	2,	1206,	8,	1),
(25111,	2,	1206,	67,	1),
(25112,	2,	1206,	68,	1),
(25113,	2,	1206,	1,	3),
(25114,	2,	1206,	2,	3),
(25115,	2,	1206,	3,	3),
(25116,	2,	1206,	66,	3),
(25117,	2,	1206,	7,	3),
(25118,	2,	1206,	8,	3),
(25119,	2,	1206,	67,	3),
(25120,	2,	1206,	68,	3),
(25121,	2,	1207,	1,	1),
(25122,	2,	1207,	2,	1),
(25123,	2,	1207,	3,	1),
(25124,	2,	1207,	69,	1),
(25125,	2,	1207,	70,	1),
(25126,	2,	1207,	71,	1),
(25127,	2,	1207,	72,	1),
(25128,	2,	1207,	65,	1),
(25129,	2,	1207,	66,	1),
(25130,	2,	1207,	7,	1),
(25131,	2,	1207,	8,	1),
(25132,	2,	1207,	73,	1),
(25133,	2,	1207,	67,	1),
(25134,	2,	1207,	10,	1),
(25135,	2,	1207,	68,	1),
(25136,	2,	1207,	74,	1),
(25137,	2,	1207,	1,	3),
(25138,	2,	1207,	2,	3),
(25139,	2,	1207,	3,	3),
(25140,	2,	1207,	69,	3),
(25141,	2,	1207,	70,	3),
(25142,	2,	1207,	71,	3),
(25143,	2,	1207,	72,	3),
(25144,	2,	1207,	65,	3),
(25145,	2,	1207,	66,	3),
(25146,	2,	1207,	7,	3),
(25147,	2,	1207,	8,	3),
(25148,	2,	1207,	73,	3),
(25149,	2,	1207,	67,	3),
(25150,	2,	1207,	10,	3),
(25151,	2,	1207,	68,	3),
(25152,	2,	1207,	74,	3),
(25153,	2,	1208,	1,	1),
(25154,	2,	1208,	2,	1),
(25155,	2,	1208,	3,	1),
(25156,	2,	1208,	66,	1),
(25157,	2,	1208,	7,	1),
(25158,	2,	1208,	8,	1),
(25159,	2,	1208,	67,	1),
(25160,	2,	1208,	68,	1),
(25161,	2,	1208,	1,	3),
(25162,	2,	1208,	2,	3),
(25163,	2,	1208,	3,	3),
(25164,	2,	1208,	66,	3),
(25165,	2,	1208,	7,	3),
(25166,	2,	1208,	8,	3),
(25167,	2,	1208,	67,	3),
(25168,	2,	1208,	68,	3),
(25169,	2,	1209,	1,	1),
(25170,	2,	1209,	2,	1),
(25171,	2,	1209,	3,	1),
(25172,	2,	1209,	69,	1),
(25173,	2,	1209,	70,	1),
(25174,	2,	1209,	71,	1),
(25175,	2,	1209,	72,	1),
(25176,	2,	1209,	65,	1),
(25177,	2,	1209,	66,	1),
(25178,	2,	1209,	7,	1),
(25179,	2,	1209,	8,	1),
(25180,	2,	1209,	73,	1),
(25181,	2,	1209,	67,	1),
(25182,	2,	1209,	10,	1),
(25183,	2,	1209,	68,	1),
(25184,	2,	1209,	74,	1),
(25185,	2,	1209,	1,	3),
(25186,	2,	1209,	2,	3),
(25187,	2,	1209,	3,	3),
(25188,	2,	1209,	69,	3),
(25189,	2,	1209,	70,	3),
(25190,	2,	1209,	71,	3),
(25191,	2,	1209,	72,	3),
(25192,	2,	1209,	65,	3),
(25193,	2,	1209,	66,	3),
(25194,	2,	1209,	7,	3),
(25195,	2,	1209,	8,	3),
(25196,	2,	1209,	73,	3),
(25197,	2,	1209,	67,	3),
(25198,	2,	1209,	10,	3),
(25199,	2,	1209,	68,	3),
(25200,	2,	1209,	74,	3),
(25201,	2,	1210,	1,	1),
(25202,	2,	1210,	2,	1),
(25203,	2,	1210,	3,	1),
(25204,	2,	1210,	66,	1),
(25205,	2,	1210,	7,	1),
(25206,	2,	1210,	8,	1),
(25207,	2,	1210,	67,	1),
(25208,	2,	1210,	68,	1),
(25209,	2,	1210,	1,	3),
(25210,	2,	1210,	2,	3),
(25211,	2,	1210,	3,	3),
(25212,	2,	1210,	66,	3),
(25213,	2,	1210,	7,	3),
(25214,	2,	1210,	8,	3),
(25215,	2,	1210,	67,	3),
(25216,	2,	1210,	68,	3),
(25217,	2,	1211,	1,	1),
(25218,	2,	1211,	2,	1),
(25219,	2,	1211,	3,	1),
(25220,	2,	1211,	69,	1),
(25221,	2,	1211,	70,	1),
(25222,	2,	1211,	71,	1),
(25223,	2,	1211,	72,	1),
(25224,	2,	1211,	65,	1),
(25225,	2,	1211,	66,	1),
(25226,	2,	1211,	7,	1),
(25227,	2,	1211,	8,	1),
(25228,	2,	1211,	73,	1),
(25229,	2,	1211,	67,	1),
(25230,	2,	1211,	10,	1),
(25231,	2,	1211,	68,	1),
(25232,	2,	1211,	74,	1),
(25233,	2,	1211,	1,	3),
(25234,	2,	1211,	2,	3),
(25235,	2,	1211,	3,	3),
(25236,	2,	1211,	69,	3),
(25237,	2,	1211,	70,	3),
(25238,	2,	1211,	71,	3),
(25239,	2,	1211,	72,	3),
(25240,	2,	1211,	65,	3),
(25241,	2,	1211,	66,	3),
(25242,	2,	1211,	7,	3),
(25243,	2,	1211,	8,	3),
(25244,	2,	1211,	73,	3),
(25245,	2,	1211,	67,	3),
(25246,	2,	1211,	10,	3),
(25247,	2,	1211,	68,	3),
(25248,	2,	1211,	74,	3),
(25249,	2,	1212,	1,	1),
(25250,	2,	1212,	2,	1),
(25251,	2,	1212,	3,	1),
(25252,	2,	1212,	69,	1),
(25253,	2,	1212,	70,	1),
(25254,	2,	1212,	71,	1),
(25255,	2,	1212,	72,	1),
(25256,	2,	1212,	65,	1),
(25257,	2,	1212,	66,	1),
(25258,	2,	1212,	7,	1),
(25259,	2,	1212,	8,	1),
(25260,	2,	1212,	73,	1),
(25261,	2,	1212,	67,	1),
(25262,	2,	1212,	10,	1),
(25263,	2,	1212,	68,	1),
(25264,	2,	1212,	74,	1),
(25265,	2,	1212,	1,	3),
(25266,	2,	1212,	2,	3),
(25267,	2,	1212,	3,	3),
(25268,	2,	1212,	69,	3),
(25269,	2,	1212,	70,	3),
(25270,	2,	1212,	71,	3),
(25271,	2,	1212,	72,	3),
(25272,	2,	1212,	65,	3),
(25273,	2,	1212,	66,	3),
(25274,	2,	1212,	7,	3),
(25275,	2,	1212,	8,	3),
(25276,	2,	1212,	73,	3),
(25277,	2,	1212,	67,	3),
(25278,	2,	1212,	10,	3),
(25279,	2,	1212,	68,	3),
(25280,	2,	1212,	74,	3),
(25281,	2,	1213,	1,	1),
(25282,	2,	1213,	2,	1),
(25283,	2,	1213,	3,	1),
(25284,	2,	1213,	69,	1),
(25285,	2,	1213,	70,	1),
(25286,	2,	1213,	71,	1),
(25287,	2,	1213,	72,	1),
(25288,	2,	1213,	65,	1),
(25289,	2,	1213,	66,	1),
(25290,	2,	1213,	7,	1),
(25291,	2,	1213,	8,	1),
(25292,	2,	1213,	73,	1),
(25293,	2,	1213,	67,	1),
(25294,	2,	1213,	10,	1),
(25295,	2,	1213,	68,	1),
(25296,	2,	1213,	74,	1),
(25297,	2,	1213,	1,	3),
(25298,	2,	1213,	2,	3),
(25299,	2,	1213,	3,	3),
(25300,	2,	1213,	69,	3),
(25301,	2,	1213,	70,	3),
(25302,	2,	1213,	71,	3),
(25303,	2,	1213,	72,	3),
(25304,	2,	1213,	65,	3),
(25305,	2,	1213,	66,	3),
(25306,	2,	1213,	7,	3),
(25307,	2,	1213,	8,	3),
(25308,	2,	1213,	73,	3),
(25309,	2,	1213,	67,	3),
(25310,	2,	1213,	10,	3),
(25311,	2,	1213,	68,	3),
(25312,	2,	1213,	74,	3),
(25313,	2,	1214,	1,	1),
(25314,	2,	1214,	2,	1),
(25315,	2,	1214,	3,	1),
(25316,	2,	1214,	69,	1),
(25317,	2,	1214,	70,	1),
(25318,	2,	1214,	71,	1),
(25319,	2,	1214,	72,	1),
(25320,	2,	1214,	65,	1),
(25321,	2,	1214,	66,	1),
(25322,	2,	1214,	7,	1),
(25323,	2,	1214,	8,	1),
(25324,	2,	1214,	73,	1),
(25325,	2,	1214,	67,	1),
(25326,	2,	1214,	10,	1),
(25327,	2,	1214,	68,	1),
(25328,	2,	1214,	74,	1),
(25329,	2,	1214,	1,	3),
(25330,	2,	1214,	2,	3),
(25331,	2,	1214,	3,	3),
(25332,	2,	1214,	69,	3),
(25333,	2,	1214,	70,	3),
(25334,	2,	1214,	71,	3),
(25335,	2,	1214,	72,	3),
(25336,	2,	1214,	65,	3),
(25337,	2,	1214,	66,	3),
(25338,	2,	1214,	7,	3),
(25339,	2,	1214,	8,	3),
(25340,	2,	1214,	73,	3),
(25341,	2,	1214,	67,	3),
(25342,	2,	1214,	10,	3),
(25343,	2,	1214,	68,	3),
(25344,	2,	1214,	74,	3),
(25345,	2,	1215,	1,	1),
(25346,	2,	1215,	2,	1),
(25347,	2,	1215,	3,	1),
(25348,	2,	1215,	66,	1),
(25349,	2,	1215,	7,	1),
(25350,	2,	1215,	8,	1),
(25351,	2,	1215,	67,	1),
(25352,	2,	1215,	68,	1),
(25353,	2,	1215,	1,	3),
(25354,	2,	1215,	2,	3),
(25355,	2,	1215,	3,	3),
(25356,	2,	1215,	66,	3),
(25357,	2,	1215,	7,	3),
(25358,	2,	1215,	8,	3),
(25359,	2,	1215,	67,	3),
(25360,	2,	1215,	68,	3),
(25361,	2,	1216,	1,	1),
(25362,	2,	1216,	2,	1),
(25363,	2,	1216,	3,	1),
(25364,	2,	1216,	66,	1),
(25365,	2,	1216,	7,	1),
(25366,	2,	1216,	8,	1),
(25367,	2,	1216,	67,	1),
(25368,	2,	1216,	68,	1),
(25369,	2,	1216,	1,	3),
(25370,	2,	1216,	2,	3),
(25371,	2,	1216,	3,	3),
(25372,	2,	1216,	66,	3),
(25373,	2,	1216,	7,	3),
(25374,	2,	1216,	8,	3),
(25375,	2,	1216,	67,	3),
(25376,	2,	1216,	68,	3),
(25377,	2,	1217,	1,	1),
(25378,	2,	1217,	2,	1),
(25379,	2,	1217,	3,	1),
(25380,	2,	1217,	23,	1),
(25381,	2,	1217,	1,	3),
(25382,	2,	1217,	2,	3),
(25383,	2,	1217,	3,	3),
(25384,	2,	1217,	23,	3),
(25385,	2,	1218,	1,	1),
(25386,	2,	1218,	2,	1),
(25387,	2,	1218,	3,	1),
(25388,	2,	1218,	66,	1),
(25389,	2,	1218,	7,	1),
(25390,	2,	1218,	8,	1),
(25391,	2,	1218,	67,	1),
(25392,	2,	1218,	68,	1),
(25393,	2,	1218,	1,	3),
(25394,	2,	1218,	2,	3),
(25395,	2,	1218,	3,	3),
(25396,	2,	1218,	66,	3),
(25397,	2,	1218,	7,	3),
(25398,	2,	1218,	8,	3),
(25399,	2,	1218,	67,	3),
(25400,	2,	1218,	68,	3),
(25401,	2,	1219,	1,	1),
(25402,	2,	1219,	2,	1),
(25403,	2,	1219,	3,	1),
(25404,	2,	1219,	66,	1),
(25405,	2,	1219,	7,	1),
(25406,	2,	1219,	8,	1),
(25407,	2,	1219,	67,	1),
(25408,	2,	1219,	68,	1),
(25409,	2,	1219,	1,	3),
(25410,	2,	1219,	2,	3),
(25411,	2,	1219,	3,	3),
(25412,	2,	1219,	66,	3),
(25413,	2,	1219,	7,	3),
(25414,	2,	1219,	8,	3),
(25415,	2,	1219,	67,	3),
(25416,	2,	1219,	68,	3),
(25417,	2,	1220,	1,	1),
(25418,	2,	1220,	2,	1),
(25419,	2,	1220,	3,	1),
(25420,	2,	1220,	66,	1),
(25421,	2,	1220,	7,	1),
(25422,	2,	1220,	8,	1),
(25423,	2,	1220,	67,	1),
(25424,	2,	1220,	68,	1),
(25425,	2,	1220,	1,	3),
(25426,	2,	1220,	2,	3),
(25427,	2,	1220,	3,	3),
(25428,	2,	1220,	66,	3),
(25429,	2,	1220,	7,	3),
(25430,	2,	1220,	8,	3),
(25431,	2,	1220,	67,	3),
(25432,	2,	1220,	68,	3),
(25433,	2,	1221,	1,	1),
(25434,	2,	1221,	2,	1),
(25435,	2,	1221,	3,	1),
(25436,	2,	1221,	66,	1),
(25437,	2,	1221,	7,	1),
(25438,	2,	1221,	8,	1),
(25439,	2,	1221,	67,	1),
(25440,	2,	1221,	68,	1),
(25441,	2,	1221,	1,	3),
(25442,	2,	1221,	2,	3),
(25443,	2,	1221,	3,	3),
(25444,	2,	1221,	66,	3),
(25445,	2,	1221,	7,	3),
(25446,	2,	1221,	8,	3),
(25447,	2,	1221,	67,	3),
(25448,	2,	1221,	68,	3),
(25449,	2,	1222,	1,	1),
(25450,	2,	1222,	2,	1),
(25451,	2,	1222,	3,	1),
(25452,	2,	1222,	69,	1),
(25453,	2,	1222,	70,	1),
(25454,	2,	1222,	71,	1),
(25455,	2,	1222,	72,	1),
(25456,	2,	1222,	65,	1),
(25457,	2,	1222,	66,	1),
(25458,	2,	1222,	7,	1),
(25459,	2,	1222,	8,	1),
(25460,	2,	1222,	73,	1),
(25461,	2,	1222,	67,	1),
(25462,	2,	1222,	10,	1),
(25463,	2,	1222,	68,	1),
(25464,	2,	1222,	74,	1),
(25465,	2,	1222,	1,	3),
(25466,	2,	1222,	2,	3),
(25467,	2,	1222,	3,	3),
(25468,	2,	1222,	69,	3),
(25469,	2,	1222,	70,	3),
(25470,	2,	1222,	71,	3),
(25471,	2,	1222,	72,	3),
(25472,	2,	1222,	65,	3),
(25473,	2,	1222,	66,	3),
(25474,	2,	1222,	7,	3),
(25475,	2,	1222,	8,	3),
(25476,	2,	1222,	73,	3),
(25477,	2,	1222,	67,	3),
(25478,	2,	1222,	10,	3),
(25479,	2,	1222,	68,	3),
(25480,	2,	1222,	74,	3),
(25481,	2,	1223,	1,	1),
(25482,	2,	1223,	2,	1),
(25483,	2,	1223,	3,	1),
(25484,	2,	1223,	69,	1),
(25485,	2,	1223,	70,	1),
(25486,	2,	1223,	71,	1),
(25487,	2,	1223,	72,	1),
(25488,	2,	1223,	65,	1),
(25489,	2,	1223,	66,	1),
(25490,	2,	1223,	7,	1),
(25491,	2,	1223,	8,	1),
(25492,	2,	1223,	73,	1),
(25493,	2,	1223,	67,	1),
(25494,	2,	1223,	10,	1),
(25495,	2,	1223,	68,	1),
(25496,	2,	1223,	74,	1),
(25497,	2,	1223,	1,	3),
(25498,	2,	1223,	2,	3),
(25499,	2,	1223,	3,	3),
(25500,	2,	1223,	69,	3),
(25501,	2,	1223,	70,	3),
(25502,	2,	1223,	71,	3),
(25503,	2,	1223,	72,	3),
(25504,	2,	1223,	65,	3),
(25505,	2,	1223,	66,	3),
(25506,	2,	1223,	7,	3),
(25507,	2,	1223,	8,	3),
(25508,	2,	1223,	73,	3),
(25509,	2,	1223,	67,	3),
(25510,	2,	1223,	10,	3),
(25511,	2,	1223,	68,	3),
(25512,	2,	1223,	74,	3),
(25513,	2,	1224,	1,	1),
(25514,	2,	1224,	2,	1),
(25515,	2,	1224,	3,	1),
(25516,	2,	1224,	66,	1),
(25517,	2,	1224,	7,	1),
(25518,	2,	1224,	8,	1),
(25519,	2,	1224,	67,	1),
(25520,	2,	1224,	68,	1),
(25521,	2,	1224,	1,	3),
(25522,	2,	1224,	2,	3),
(25523,	2,	1224,	3,	3),
(25524,	2,	1224,	66,	3),
(25525,	2,	1224,	7,	3),
(25526,	2,	1224,	8,	3),
(25527,	2,	1224,	67,	3),
(25528,	2,	1224,	68,	3),
(25529,	2,	1225,	1,	1),
(25530,	2,	1225,	2,	1),
(25531,	2,	1225,	3,	1),
(25532,	2,	1225,	66,	1),
(25533,	2,	1225,	7,	1),
(25534,	2,	1225,	8,	1),
(25535,	2,	1225,	67,	1),
(25536,	2,	1225,	68,	1),
(25537,	2,	1225,	1,	3),
(25538,	2,	1225,	2,	3),
(25539,	2,	1225,	3,	3),
(25540,	2,	1225,	66,	3),
(25541,	2,	1225,	7,	3),
(25542,	2,	1225,	8,	3),
(25543,	2,	1225,	67,	3),
(25544,	2,	1225,	68,	3),
(25545,	2,	1226,	1,	1),
(25546,	2,	1226,	2,	1),
(25547,	2,	1226,	3,	1),
(25548,	2,	1226,	69,	1),
(25549,	2,	1226,	70,	1),
(25550,	2,	1226,	71,	1),
(25551,	2,	1226,	72,	1),
(25552,	2,	1226,	65,	1),
(25553,	2,	1226,	66,	1),
(25554,	2,	1226,	7,	1),
(25555,	2,	1226,	8,	1),
(25556,	2,	1226,	73,	1),
(25557,	2,	1226,	67,	1),
(25558,	2,	1226,	10,	1),
(25559,	2,	1226,	68,	1),
(25560,	2,	1226,	74,	1),
(25561,	2,	1226,	1,	3),
(25562,	2,	1226,	2,	3),
(25563,	2,	1226,	3,	3),
(25564,	2,	1226,	69,	3),
(25565,	2,	1226,	70,	3),
(25566,	2,	1226,	71,	3),
(25567,	2,	1226,	72,	3),
(25568,	2,	1226,	65,	3),
(25569,	2,	1226,	66,	3),
(25570,	2,	1226,	7,	3),
(25571,	2,	1226,	8,	3),
(25572,	2,	1226,	73,	3),
(25573,	2,	1226,	67,	3),
(25574,	2,	1226,	10,	3),
(25575,	2,	1226,	68,	3),
(25576,	2,	1226,	74,	3),
(25577,	2,	1227,	1,	1),
(25578,	2,	1227,	2,	1),
(25579,	2,	1227,	3,	1),
(25580,	2,	1227,	66,	1),
(25581,	2,	1227,	7,	1),
(25582,	2,	1227,	8,	1),
(25583,	2,	1227,	67,	1),
(25584,	2,	1227,	68,	1),
(25585,	2,	1227,	1,	3),
(25586,	2,	1227,	2,	3),
(25587,	2,	1227,	3,	3),
(25588,	2,	1227,	66,	3),
(25589,	2,	1227,	7,	3),
(25590,	2,	1227,	8,	3),
(25591,	2,	1227,	67,	3),
(25592,	2,	1227,	68,	3),
(25593,	2,	1228,	1,	1),
(25594,	2,	1228,	2,	1),
(25595,	2,	1228,	3,	1),
(25596,	2,	1228,	1,	2),
(25597,	2,	1228,	2,	2),
(25598,	2,	1228,	3,	2),
(25599,	2,	1229,	1,	1),
(25600,	2,	1229,	2,	1),
(25601,	2,	1229,	3,	1),
(25602,	2,	1229,	1,	2),
(25603,	2,	1229,	2,	2),
(25604,	2,	1229,	3,	2),
(25605,	2,	1230,	1,	1),
(25606,	2,	1230,	2,	1),
(25607,	2,	1230,	3,	1),
(25608,	2,	1230,	1,	2),
(25609,	2,	1230,	2,	2),
(25610,	2,	1230,	3,	2),
(25611,	2,	1231,	1,	1),
(25612,	2,	1231,	2,	1),
(25613,	2,	1231,	3,	1),
(25614,	2,	1231,	1,	2),
(25615,	2,	1231,	2,	2),
(25616,	2,	1231,	3,	2),
(25617,	2,	1232,	1,	1),
(25618,	2,	1232,	2,	1),
(25619,	2,	1232,	3,	1),
(25620,	2,	1232,	1,	2),
(25621,	2,	1232,	2,	2),
(25622,	2,	1232,	3,	2),
(25623,	2,	1233,	1,	1),
(25624,	2,	1233,	2,	1),
(25625,	2,	1233,	3,	1),
(25626,	2,	1234,	1,	1),
(25627,	2,	1234,	2,	1),
(25628,	2,	1234,	3,	1),
(25629,	2,	1234,	1,	2),
(25630,	2,	1234,	2,	2),
(25631,	2,	1234,	3,	2),
(25632,	2,	1235,	1,	1),
(25633,	2,	1235,	2,	1),
(25634,	2,	1235,	3,	1),
(25635,	2,	1236,	1,	1),
(25636,	2,	1236,	2,	1),
(25637,	2,	1236,	3,	1),
(25638,	2,	1236,	1,	2),
(25639,	2,	1236,	2,	2),
(25640,	2,	1236,	3,	2),
(25641,	2,	1237,	1,	1),
(25642,	2,	1237,	2,	1),
(25643,	2,	1237,	3,	1),
(25644,	2,	1237,	1,	2),
(25645,	2,	1237,	2,	2),
(25646,	2,	1237,	3,	2),
(25647,	2,	1238,	1,	1),
(25648,	2,	1238,	2,	1),
(25649,	2,	1238,	3,	1),
(25650,	2,	1238,	1,	2),
(25651,	2,	1238,	2,	2),
(25652,	2,	1238,	3,	2),
(25653,	2,	1239,	1,	1),
(25654,	2,	1239,	2,	1),
(25655,	2,	1239,	3,	1),
(25656,	2,	1240,	1,	1),
(25657,	2,	1240,	2,	1),
(25658,	2,	1240,	3,	1),
(25659,	2,	1240,	1,	2),
(25660,	2,	1240,	2,	2),
(25661,	2,	1240,	3,	2),
(25662,	2,	1241,	1,	1),
(25663,	2,	1241,	2,	1),
(25664,	2,	1241,	3,	1),
(25665,	2,	1241,	1,	2),
(25666,	2,	1241,	2,	2),
(25667,	2,	1241,	3,	2),
(25668,	2,	1242,	1,	1),
(25669,	2,	1242,	2,	1),
(25670,	2,	1242,	3,	1),
(25671,	2,	1242,	1,	2),
(25672,	2,	1242,	2,	2),
(25673,	2,	1242,	3,	2),
(25674,	2,	1243,	1,	1),
(25675,	2,	1243,	2,	1),
(25676,	2,	1243,	3,	1),
(25677,	2,	1244,	1,	1),
(25678,	2,	1244,	2,	1),
(25679,	2,	1244,	3,	1),
(25680,	2,	1244,	1,	3),
(25681,	2,	1244,	2,	3),
(25682,	2,	1244,	3,	3),
(25683,	2,	1245,	1,	1),
(25684,	2,	1245,	2,	1),
(25685,	2,	1245,	3,	1),
(25686,	2,	1246,	1,	1),
(25687,	2,	1246,	2,	1),
(25688,	2,	1246,	3,	1),
(25689,	2,	1246,	1,	2),
(25690,	2,	1246,	2,	2),
(25691,	2,	1246,	3,	2),
(25692,	2,	1247,	1,	1),
(25693,	2,	1247,	2,	1),
(25694,	2,	1247,	3,	1),
(25695,	2,	1247,	1,	3),
(25696,	2,	1247,	2,	3),
(25697,	2,	1247,	3,	3),
(25698,	2,	1248,	1,	1),
(25699,	2,	1248,	2,	1),
(25700,	2,	1248,	3,	1),
(25701,	2,	1248,	1,	2),
(25702,	2,	1248,	2,	2),
(25703,	2,	1248,	3,	2),
(25704,	2,	1249,	1,	1),
(25705,	2,	1249,	2,	1),
(25706,	2,	1249,	3,	1),
(25707,	2,	1249,	1,	2),
(25708,	2,	1249,	2,	2),
(25709,	2,	1249,	3,	2),
(25710,	2,	1250,	1,	1),
(25711,	2,	1250,	2,	1),
(25712,	2,	1250,	3,	1),
(25713,	2,	1250,	1,	2),
(25714,	2,	1250,	2,	2),
(25715,	2,	1250,	3,	2),
(25716,	2,	1251,	1,	1),
(25717,	2,	1251,	2,	1),
(25718,	2,	1251,	3,	1),
(25719,	2,	1251,	1,	2),
(25720,	2,	1251,	2,	2),
(25721,	2,	1251,	3,	2),
(25722,	2,	1252,	1,	1),
(25723,	2,	1252,	2,	1),
(25724,	2,	1252,	3,	1),
(25725,	2,	1252,	1,	2),
(25726,	2,	1252,	2,	2),
(25727,	2,	1252,	3,	2),
(25728,	2,	1253,	1,	1),
(25729,	2,	1253,	2,	1),
(25730,	2,	1253,	3,	1),
(25731,	2,	1253,	1,	2),
(25732,	2,	1253,	2,	2),
(25733,	2,	1253,	3,	2),
(25734,	2,	1254,	1,	1),
(25735,	2,	1254,	2,	1),
(25736,	2,	1254,	3,	1),
(25737,	2,	1254,	1,	2),
(25738,	2,	1254,	2,	2),
(25739,	2,	1254,	3,	2),
(25740,	2,	1255,	1,	1),
(25741,	2,	1255,	2,	1),
(25742,	2,	1255,	3,	1),
(25743,	2,	1255,	1,	2),
(25744,	2,	1255,	2,	2),
(25745,	2,	1255,	3,	2),
(25746,	2,	1256,	1,	1),
(25747,	2,	1256,	2,	1),
(25748,	2,	1256,	3,	1),
(25749,	2,	1256,	1,	2),
(25750,	2,	1256,	2,	2),
(25751,	2,	1256,	3,	2),
(25752,	2,	1257,	1,	1),
(25753,	2,	1258,	3,	1),
(25754,	2,	1259,	1,	1),
(25755,	2,	1260,	1,	1),
(25756,	2,	1260,	2,	1),
(25757,	2,	1260,	3,	1),
(25758,	2,	1260,	1,	2),
(25759,	2,	1260,	2,	2),
(25760,	2,	1260,	3,	2),
(25761,	2,	1261,	1,	1),
(25762,	2,	1261,	2,	1),
(25763,	2,	1261,	3,	1),
(25764,	2,	1261,	1,	2),
(25765,	2,	1261,	2,	2),
(25766,	2,	1261,	3,	2),
(25767,	2,	1262,	1,	1),
(25768,	2,	1262,	2,	1),
(25769,	2,	1262,	3,	1),
(25770,	2,	1262,	1,	2),
(25771,	2,	1262,	2,	2),
(25772,	2,	1262,	3,	2),
(25773,	2,	1263,	1,	1),
(25774,	2,	1263,	2,	1),
(25775,	2,	1263,	3,	1),
(25776,	2,	1264,	1,	1),
(25777,	2,	1264,	2,	1),
(25778,	2,	1264,	3,	1),
(25779,	2,	1264,	1,	2),
(25780,	2,	1264,	2,	2),
(25781,	2,	1264,	3,	2),
(25782,	2,	1265,	1,	1),
(25783,	2,	1265,	2,	1),
(25784,	2,	1265,	3,	1),
(25785,	2,	1265,	1,	2),
(25786,	2,	1265,	2,	2),
(25787,	2,	1265,	3,	2),
(25788,	2,	1266,	1,	1),
(25789,	2,	1266,	2,	1),
(25790,	2,	1266,	3,	1),
(25791,	2,	1267,	1,	1),
(25792,	2,	1267,	2,	1),
(25793,	2,	1267,	3,	1),
(25794,	2,	1267,	1,	2),
(25795,	2,	1267,	2,	2),
(25796,	2,	1267,	3,	2),
(25797,	2,	1268,	1,	1),
(25798,	2,	1268,	2,	1),
(25799,	2,	1268,	3,	1),
(25800,	2,	1269,	1,	1),
(25801,	2,	1269,	2,	1),
(25802,	2,	1269,	3,	1),
(25803,	2,	1270,	1,	1),
(25804,	2,	1270,	2,	1),
(25805,	2,	1270,	3,	1),
(25806,	2,	1270,	1,	2),
(25807,	2,	1270,	2,	2),
(25808,	2,	1270,	3,	2),
(25809,	2,	1271,	1,	1),
(25810,	2,	1271,	2,	1),
(25811,	2,	1271,	3,	1),
(25812,	2,	1271,	1,	2),
(25813,	2,	1271,	2,	2),
(25814,	2,	1271,	3,	2),
(25815,	2,	1272,	1,	1),
(25816,	2,	1272,	2,	1),
(25817,	2,	1272,	3,	1),
(25818,	2,	1273,	1,	1),
(25819,	2,	1273,	2,	1),
(25820,	2,	1273,	3,	1),
(25821,	2,	1274,	1,	1),
(25822,	2,	1274,	2,	1),
(25823,	2,	1274,	3,	1),
(25824,	2,	1275,	1,	1),
(25825,	2,	1275,	2,	1),
(25826,	2,	1275,	3,	1),
(25827,	2,	1275,	1,	2),
(25828,	2,	1275,	2,	2),
(25829,	2,	1275,	3,	2),
(25830,	2,	1276,	1,	1),
(25831,	2,	1276,	2,	1),
(25832,	2,	1276,	3,	1),
(25833,	2,	1276,	1,	2),
(25834,	2,	1276,	2,	2),
(25835,	2,	1276,	3,	2),
(25836,	2,	1277,	1,	1),
(25837,	2,	1277,	2,	1),
(25838,	2,	1277,	3,	1),
(25839,	2,	1277,	1,	2),
(25840,	2,	1277,	2,	2),
(25841,	2,	1277,	3,	2),
(25842,	2,	1278,	1,	1),
(25843,	2,	1278,	2,	1),
(25844,	2,	1278,	3,	1),
(25845,	2,	1278,	1,	2),
(25846,	2,	1278,	2,	2),
(25847,	2,	1278,	3,	2),
(25848,	2,	1279,	1,	1),
(25849,	2,	1279,	2,	1),
(25850,	2,	1279,	3,	1),
(25851,	2,	1279,	1,	2),
(25852,	2,	1279,	2,	2),
(25853,	2,	1279,	3,	2),
(25854,	2,	1280,	1,	1),
(25855,	2,	1280,	2,	1),
(25856,	2,	1280,	3,	1),
(25857,	2,	1280,	1,	2),
(25858,	2,	1280,	2,	2),
(25859,	2,	1280,	3,	2),
(25860,	2,	1281,	1,	1),
(25861,	2,	1281,	2,	1),
(25862,	2,	1281,	3,	1),
(25863,	2,	1281,	1,	2),
(25864,	2,	1281,	2,	2),
(25865,	2,	1281,	3,	2),
(25866,	2,	1282,	1,	1),
(25867,	2,	1282,	2,	1),
(25868,	2,	1282,	3,	1),
(25869,	2,	1282,	1,	2),
(25870,	2,	1282,	2,	2),
(25871,	2,	1282,	3,	2),
(25872,	2,	1283,	1,	1),
(25873,	2,	1283,	2,	1),
(25874,	2,	1283,	3,	1),
(25875,	2,	1283,	1,	2),
(25876,	2,	1283,	2,	2),
(25877,	2,	1283,	3,	2),
(25878,	2,	1284,	1,	1),
(25879,	2,	1284,	2,	1),
(25880,	2,	1284,	3,	1),
(25881,	2,	1284,	1,	2),
(25882,	2,	1284,	2,	2),
(25883,	2,	1284,	3,	2),
(25884,	2,	1285,	1,	1),
(25885,	2,	1285,	2,	1),
(25886,	2,	1285,	3,	1),
(25887,	2,	1285,	1,	2),
(25888,	2,	1285,	2,	2),
(25889,	2,	1285,	3,	2),
(25890,	2,	1286,	1,	1),
(25891,	2,	1286,	2,	1),
(25892,	2,	1286,	3,	1),
(25893,	2,	1286,	1,	2),
(25894,	2,	1286,	2,	2),
(25895,	2,	1286,	3,	2),
(25896,	2,	1287,	1,	1),
(25897,	2,	1287,	2,	1),
(25898,	2,	1287,	3,	1),
(25899,	2,	1287,	6,	1),
(25900,	2,	1287,	24,	1),
(25901,	2,	1287,	25,	1),
(25902,	2,	1287,	4,	1),
(25903,	2,	1287,	23,	1),
(25904,	2,	1288,	1,	1),
(25905,	2,	1288,	2,	1),
(25906,	2,	1288,	3,	1),
(25907,	2,	1288,	6,	1),
(25908,	2,	1288,	24,	1),
(25909,	2,	1288,	25,	1),
(25910,	2,	1288,	4,	1),
(25911,	2,	1288,	23,	1),
(25912,	2,	1289,	1,	1),
(25913,	2,	1289,	2,	1),
(25914,	2,	1289,	3,	1),
(25915,	2,	1289,	6,	1),
(25916,	2,	1289,	24,	1),
(25917,	2,	1289,	25,	1),
(25918,	2,	1289,	4,	1),
(25919,	2,	1289,	23,	1),
(25920,	2,	1290,	1,	1),
(25921,	2,	1290,	2,	1),
(25922,	2,	1290,	3,	1),
(25923,	2,	1290,	6,	1),
(25924,	2,	1290,	24,	1),
(25925,	2,	1290,	25,	1),
(25926,	2,	1290,	4,	1),
(25927,	2,	1290,	23,	1),
(25928,	2,	1291,	1,	1),
(25929,	2,	1291,	2,	1),
(25930,	2,	1291,	3,	1),
(25931,	2,	1291,	6,	1),
(25932,	2,	1291,	24,	1),
(25933,	2,	1291,	25,	1),
(25934,	2,	1291,	4,	1),
(25935,	2,	1291,	23,	1),
(25936,	2,	1292,	1,	1),
(25937,	2,	1292,	2,	1),
(25938,	2,	1292,	3,	1),
(25939,	2,	1292,	6,	1),
(25940,	2,	1292,	24,	1),
(25941,	2,	1292,	25,	1),
(25942,	2,	1292,	4,	1),
(25943,	2,	1292,	23,	1),
(25944,	2,	1293,	1,	1),
(25945,	2,	1293,	2,	1),
(25946,	2,	1293,	3,	1),
(25947,	2,	1293,	6,	1),
(25948,	2,	1293,	24,	1),
(25949,	2,	1293,	25,	1),
(25950,	2,	1293,	4,	1),
(25951,	2,	1293,	23,	1),
(25952,	2,	1294,	1,	1),
(25953,	2,	1294,	2,	1),
(25954,	2,	1294,	3,	1),
(25955,	2,	1294,	6,	1),
(25956,	2,	1294,	24,	1),
(25957,	2,	1294,	25,	1),
(25958,	2,	1294,	4,	1),
(25959,	2,	1294,	23,	1),
(25960,	2,	1295,	1,	1),
(25961,	2,	1295,	2,	1),
(25962,	2,	1295,	3,	1),
(25963,	2,	1295,	6,	1),
(25964,	2,	1295,	24,	1),
(25965,	2,	1295,	25,	1),
(25966,	2,	1295,	4,	1),
(25967,	2,	1295,	23,	1),
(25968,	2,	1296,	1,	1),
(25969,	2,	1296,	2,	1),
(25970,	2,	1296,	3,	1),
(25971,	2,	1296,	6,	1),
(25972,	2,	1296,	24,	1),
(25973,	2,	1296,	25,	1),
(25974,	2,	1296,	4,	1),
(25975,	2,	1296,	23,	1),
(25976,	2,	1297,	1,	1),
(25977,	2,	1297,	2,	1),
(25978,	2,	1297,	3,	1),
(25979,	2,	1297,	6,	1),
(25980,	2,	1297,	24,	1),
(25981,	2,	1297,	25,	1),
(25982,	2,	1297,	4,	1),
(25983,	2,	1297,	23,	1),
(25984,	2,	1297,	26,	1),
(25985,	2,	1298,	1,	1),
(25986,	2,	1298,	2,	1),
(25987,	2,	1298,	3,	1),
(25988,	2,	1299,	1,	1),
(25989,	2,	1299,	2,	1),
(25990,	2,	1299,	3,	1),
(25991,	2,	1299,	6,	1),
(25992,	2,	1299,	24,	1),
(25993,	2,	1299,	25,	1),
(25994,	2,	1299,	4,	1),
(25995,	2,	1299,	23,	1),
(25996,	2,	1300,	1,	1),
(25997,	2,	1300,	2,	1),
(25998,	2,	1300,	3,	1),
(25999,	2,	1300,	6,	1),
(26000,	2,	1300,	24,	1),
(26001,	2,	1300,	25,	1),
(26002,	2,	1300,	4,	1),
(26003,	2,	1300,	23,	1),
(26004,	2,	1301,	1,	1),
(26005,	2,	1301,	2,	1),
(26006,	2,	1301,	3,	1),
(26007,	2,	1302,	1,	1),
(26008,	2,	1302,	2,	1),
(26009,	2,	1302,	3,	1),
(26010,	2,	1302,	6,	1),
(26011,	2,	1302,	24,	1),
(26012,	2,	1302,	25,	1),
(26013,	2,	1302,	4,	1),
(26014,	2,	1302,	23,	1),
(26015,	2,	1303,	1,	1),
(26016,	2,	1303,	2,	1),
(26017,	2,	1303,	3,	1),
(26018,	2,	1303,	6,	1),
(26019,	2,	1303,	24,	1),
(26020,	2,	1303,	25,	1),
(26021,	2,	1303,	4,	1),
(26022,	2,	1303,	23,	1),
(26023,	2,	1304,	1,	1),
(26024,	2,	1304,	2,	1),
(26025,	2,	1304,	3,	1),
(26026,	2,	1305,	1,	1),
(26027,	2,	1305,	2,	1),
(26028,	2,	1305,	3,	1),
(26029,	2,	1305,	6,	1),
(26030,	2,	1305,	24,	1),
(26031,	2,	1305,	25,	1),
(26032,	2,	1305,	4,	1),
(26033,	2,	1305,	23,	1),
(26034,	2,	1306,	1,	1),
(26035,	2,	1306,	2,	1),
(26036,	2,	1306,	3,	1),
(26037,	2,	1306,	1,	2),
(26038,	2,	1306,	2,	2),
(26039,	2,	1306,	3,	2),
(26040,	2,	1307,	1,	1),
(26041,	2,	1307,	2,	1),
(26042,	2,	1307,	3,	1),
(26043,	2,	1307,	1,	2),
(26044,	2,	1307,	2,	2),
(26045,	2,	1307,	3,	2),
(26046,	2,	1308,	1,	1),
(26047,	2,	1308,	2,	1),
(26048,	2,	1308,	3,	1),
(26049,	2,	1308,	6,	1),
(26050,	2,	1308,	24,	1),
(26051,	2,	1308,	25,	1),
(26052,	2,	1308,	4,	1),
(26053,	2,	1308,	23,	1),
(26054,	2,	1309,	1,	1),
(26055,	2,	1309,	2,	1),
(26056,	2,	1309,	3,	1),
(26057,	2,	1309,	23,	1),
(26058,	2,	1309,	6,	1),
(26059,	2,	1309,	24,	1),
(26060,	2,	1309,	25,	1),
(26061,	2,	1309,	4,	1),
(26062,	2,	1309,	26,	1),
(26063,	2,	1310,	1,	1),
(26064,	2,	1310,	2,	1),
(26065,	2,	1310,	3,	1),
(26066,	2,	1311,	1,	1),
(26067,	2,	1311,	2,	1),
(26068,	2,	1311,	3,	1),
(26069,	2,	1311,	23,	1),
(26070,	2,	1311,	6,	1),
(26071,	2,	1311,	24,	1),
(26072,	2,	1311,	25,	1),
(26073,	2,	1311,	4,	1),
(26074,	2,	1311,	26,	1),
(26075,	2,	1312,	1,	1),
(26076,	2,	1312,	2,	1),
(26077,	2,	1312,	3,	1),
(26078,	2,	1312,	23,	1),
(26079,	2,	1312,	6,	1),
(26080,	2,	1312,	24,	1),
(26081,	2,	1312,	25,	1),
(26082,	2,	1312,	4,	1),
(26083,	2,	1312,	26,	1),
(26084,	2,	1313,	1,	1),
(26085,	2,	1313,	2,	1),
(26086,	2,	1313,	3,	1),
(26087,	2,	1314,	1,	1),
(26088,	2,	1314,	2,	1),
(26089,	2,	1314,	3,	1),
(26090,	2,	1314,	23,	1),
(26091,	2,	1314,	6,	1),
(26092,	2,	1314,	24,	1),
(26093,	2,	1314,	25,	1),
(26094,	2,	1314,	4,	1),
(26095,	2,	1314,	26,	1),
(26096,	2,	1315,	1,	1),
(26097,	2,	1315,	2,	1),
(26098,	2,	1315,	3,	1),
(26099,	2,	1315,	23,	1),
(26100,	2,	1315,	6,	1),
(26101,	2,	1315,	24,	1),
(26102,	2,	1315,	25,	1),
(26103,	2,	1315,	4,	1),
(26104,	2,	1315,	26,	1),
(26105,	2,	1316,	1,	1),
(26106,	2,	1316,	2,	1),
(26107,	2,	1316,	3,	1),
(26108,	2,	1317,	1,	1),
(26109,	2,	1317,	2,	1),
(26110,	2,	1317,	3,	1),
(26111,	2,	1317,	23,	1),
(26112,	2,	1317,	6,	1),
(26113,	2,	1317,	24,	1),
(26114,	2,	1317,	25,	1),
(26115,	2,	1317,	4,	1),
(26116,	2,	1317,	26,	1),
(26117,	2,	1318,	1,	1),
(26118,	2,	1318,	2,	1),
(26119,	2,	1318,	3,	1),
(26120,	2,	1318,	1,	2),
(26121,	2,	1318,	2,	2),
(26122,	2,	1318,	3,	2),
(26123,	2,	1319,	1,	1),
(26124,	2,	1319,	2,	1),
(26125,	2,	1319,	3,	1),
(26126,	2,	1319,	1,	2),
(26127,	2,	1319,	2,	2),
(26128,	2,	1319,	3,	2),
(26129,	2,	1320,	1,	1),
(26130,	2,	1320,	2,	1),
(26131,	2,	1320,	3,	1),
(26132,	2,	1320,	1,	2),
(26133,	2,	1320,	2,	2),
(26134,	2,	1320,	3,	2),
(26135,	2,	1321,	1,	1),
(26136,	2,	1321,	2,	1),
(26137,	2,	1321,	3,	1),
(26138,	2,	1322,	1,	1),
(26139,	2,	1322,	2,	1),
(26140,	2,	1322,	3,	1),
(26141,	2,	1323,	1,	1),
(26142,	2,	1323,	2,	1),
(26143,	2,	1323,	3,	1),
(26144,	2,	1324,	1,	1),
(26145,	2,	1324,	2,	1),
(26146,	2,	1324,	3,	1),
(26147,	2,	1325,	1,	1),
(26148,	2,	1325,	2,	1),
(26149,	2,	1325,	3,	1),
(26150,	2,	1326,	1,	1),
(26151,	2,	1326,	2,	1),
(26152,	2,	1326,	3,	1),
(26153,	2,	1327,	1,	1),
(26154,	2,	1327,	2,	1),
(26155,	2,	1327,	3,	1),
(26156,	2,	1328,	1,	1),
(26157,	2,	1328,	2,	1),
(26158,	2,	1328,	3,	1),
(26159,	2,	1329,	1,	1),
(26160,	2,	1329,	2,	1),
(26161,	2,	1329,	3,	1),
(26162,	2,	1330,	1,	1),
(26163,	2,	1330,	2,	1),
(26164,	2,	1330,	3,	1),
(26165,	2,	1331,	1,	1),
(26166,	2,	1331,	2,	1),
(26167,	2,	1331,	3,	1),
(26168,	2,	1332,	1,	1),
(26169,	2,	1332,	2,	1),
(26170,	2,	1332,	3,	1),
(26171,	2,	1333,	1,	1),
(26172,	2,	1333,	2,	1),
(26173,	2,	1333,	3,	1),
(26174,	2,	1334,	1,	1),
(26175,	2,	1334,	2,	1),
(26176,	2,	1334,	3,	1),
(26177,	2,	1335,	1,	1),
(26178,	2,	1335,	2,	1),
(26179,	2,	1335,	3,	1),
(26180,	2,	1336,	1,	1),
(26181,	2,	1336,	2,	1),
(26182,	2,	1336,	3,	1),
(26183,	2,	1337,	1,	1),
(26184,	2,	1337,	2,	1),
(26185,	2,	1337,	3,	1),
(26186,	2,	1338,	1,	1),
(26187,	2,	1338,	2,	1),
(26188,	2,	1338,	3,	1),
(26189,	2,	1339,	1,	1),
(26190,	2,	1339,	2,	1),
(26191,	2,	1339,	3,	1),
(26192,	2,	1340,	1,	1),
(26193,	2,	1340,	2,	1),
(26194,	2,	1340,	3,	1),
(26195,	2,	1341,	1,	1),
(26196,	2,	1341,	2,	1),
(26197,	2,	1341,	3,	1),
(26198,	2,	1342,	1,	1),
(26199,	2,	1342,	2,	1),
(26200,	2,	1342,	3,	1),
(26201,	2,	1343,	1,	1),
(26202,	2,	1343,	2,	1),
(26203,	2,	1343,	3,	1),
(26204,	2,	1343,	24,	1),
(26205,	2,	1344,	1,	1),
(26206,	2,	1344,	2,	1),
(26207,	2,	1344,	3,	1),
(26208,	2,	1344,	24,	1),
(26209,	2,	1345,	1,	1),
(26210,	2,	1345,	2,	1),
(26211,	2,	1345,	3,	1),
(26212,	2,	1345,	24,	1),
(26213,	2,	1346,	1,	1),
(26214,	2,	1346,	2,	1),
(26215,	2,	1346,	3,	1),
(26216,	2,	1346,	24,	1),
(26217,	2,	1347,	1,	1),
(26218,	2,	1347,	2,	1),
(26219,	2,	1347,	3,	1),
(26220,	2,	1347,	24,	1),
(26221,	2,	1348,	1,	1),
(26222,	2,	1348,	2,	1),
(26223,	2,	1348,	3,	1),
(26224,	2,	1348,	24,	1),
(26225,	2,	1349,	1,	1),
(26226,	2,	1349,	2,	1),
(26227,	2,	1349,	3,	1),
(26228,	2,	1350,	1,	1),
(26229,	2,	1350,	2,	1),
(26230,	2,	1350,	3,	1),
(26231,	2,	1350,	23,	1),
(26232,	2,	1350,	6,	1),
(26233,	2,	1350,	24,	1),
(26234,	2,	1350,	25,	1),
(26235,	2,	1350,	4,	1),
(26236,	2,	1350,	5,	1),
(26237,	2,	1351,	1,	1),
(26238,	2,	1351,	2,	1),
(26239,	2,	1351,	3,	1),
(26240,	2,	1352,	1,	1),
(26241,	2,	1352,	2,	1),
(26242,	2,	1352,	3,	1),
(26243,	2,	1352,	23,	1),
(26244,	2,	1352,	6,	1),
(26245,	2,	1352,	24,	1),
(26246,	2,	1352,	25,	1),
(26247,	2,	1352,	4,	1),
(26248,	2,	1352,	5,	1),
(26249,	2,	1353,	1,	1),
(26250,	2,	1353,	2,	1),
(26251,	2,	1353,	3,	1),
(26252,	2,	1354,	1,	1),
(26253,	2,	1354,	2,	1),
(26254,	2,	1354,	3,	1),
(26255,	2,	1354,	23,	1),
(26256,	2,	1354,	6,	1),
(26257,	2,	1354,	24,	1),
(26258,	2,	1354,	25,	1),
(26259,	2,	1354,	4,	1),
(26260,	2,	1354,	5,	1),
(26261,	2,	1355,	1,	1),
(26262,	2,	1355,	2,	1),
(26263,	2,	1355,	3,	1),
(26264,	2,	1356,	1,	1),
(26265,	2,	1356,	2,	1),
(26266,	2,	1356,	3,	1),
(26267,	2,	1357,	1,	1),
(26268,	2,	1357,	2,	1),
(26269,	2,	1357,	3,	1),
(26270,	2,	1357,	23,	1),
(26271,	2,	1357,	6,	1),
(26272,	2,	1357,	24,	1),
(26273,	2,	1357,	25,	1),
(26274,	2,	1357,	4,	1),
(26275,	2,	1357,	5,	1),
(26276,	2,	1358,	1,	1),
(26277,	2,	1358,	2,	1),
(26278,	2,	1358,	3,	1),
(26279,	2,	1359,	1,	1),
(26280,	2,	1359,	2,	1),
(26281,	2,	1359,	3,	1),
(26282,	2,	1359,	23,	1),
(26283,	2,	1359,	6,	1),
(26284,	2,	1359,	24,	1),
(26285,	2,	1359,	25,	1),
(26286,	2,	1359,	4,	1),
(26287,	2,	1359,	5,	1),
(26288,	2,	1360,	1,	1),
(26289,	2,	1360,	2,	1),
(26290,	2,	1360,	3,	1),
(26291,	2,	1360,	23,	1),
(26292,	2,	1360,	6,	1),
(26293,	2,	1360,	24,	1),
(26294,	2,	1360,	25,	1),
(26295,	2,	1360,	4,	1),
(26296,	2,	1360,	5,	1),
(26297,	2,	1361,	1,	1),
(26298,	2,	1361,	2,	1),
(26299,	2,	1361,	3,	1),
(26300,	2,	1361,	23,	1),
(26301,	2,	1361,	6,	1),
(26302,	2,	1361,	24,	1),
(26303,	2,	1361,	25,	1),
(26304,	2,	1361,	4,	1),
(26305,	2,	1361,	5,	1),
(26306,	2,	1362,	1,	1),
(26307,	2,	1362,	2,	1),
(26308,	2,	1362,	3,	1),
(26309,	2,	1363,	1,	1),
(26310,	2,	1363,	2,	1),
(26311,	2,	1363,	3,	1),
(26312,	2,	1363,	23,	1),
(26313,	2,	1363,	6,	1),
(26314,	2,	1363,	24,	1),
(26315,	2,	1363,	25,	1),
(26316,	2,	1363,	4,	1),
(26317,	2,	1363,	5,	1),
(26318,	2,	1364,	1,	1),
(26319,	2,	1364,	2,	1),
(26320,	2,	1364,	3,	1),
(26321,	2,	1365,	1,	1),
(26322,	2,	1365,	2,	1),
(26323,	2,	1365,	3,	1),
(26324,	2,	1366,	1,	1),
(26325,	2,	1366,	2,	1),
(26326,	2,	1366,	3,	1),
(26327,	2,	1367,	1,	1),
(26328,	2,	1367,	2,	1),
(26329,	2,	1367,	3,	1),
(26330,	2,	1368,	1,	1),
(26331,	2,	1368,	2,	1),
(26332,	2,	1368,	3,	1),
(26333,	2,	1369,	1,	1),
(26334,	2,	1369,	2,	1),
(26335,	2,	1369,	3,	1),
(26336,	2,	1370,	1,	1),
(26337,	2,	1370,	2,	1),
(26338,	2,	1370,	3,	1),
(26339,	2,	1371,	1,	1),
(26340,	2,	1371,	2,	1),
(26341,	2,	1371,	3,	1),
(26342,	2,	1372,	1,	1),
(26343,	2,	1372,	2,	1),
(26344,	2,	1372,	3,	1),
(26345,	2,	1372,	23,	1),
(26346,	2,	1372,	6,	1),
(26347,	2,	1372,	24,	1),
(26348,	2,	1372,	25,	1),
(26349,	2,	1372,	4,	1),
(26350,	2,	1372,	5,	1),
(26351,	2,	1373,	1,	1),
(26352,	2,	1373,	2,	1),
(26353,	2,	1373,	3,	1),
(26354,	2,	1373,	23,	1),
(26355,	2,	1373,	6,	1),
(26356,	2,	1373,	24,	1),
(26357,	2,	1373,	25,	1),
(26358,	2,	1373,	4,	1),
(26359,	2,	1373,	5,	1),
(26360,	2,	1374,	1,	1),
(26361,	2,	1374,	2,	1),
(26362,	2,	1374,	3,	1),
(26363,	2,	1375,	1,	1),
(26364,	2,	1375,	2,	1),
(26365,	2,	1375,	3,	1),
(26366,	2,	1375,	23,	1),
(26367,	2,	1375,	6,	1),
(26368,	2,	1375,	24,	1),
(26369,	2,	1375,	25,	1),
(26370,	2,	1375,	4,	1),
(26371,	2,	1375,	5,	1),
(26372,	2,	1376,	1,	1),
(26373,	2,	1376,	2,	1),
(26374,	2,	1376,	3,	1),
(26375,	2,	1376,	23,	1),
(26376,	2,	1376,	6,	1),
(26377,	2,	1376,	24,	1),
(26378,	2,	1376,	25,	1),
(26379,	2,	1376,	4,	1),
(26380,	2,	1376,	5,	1),
(26381,	2,	1377,	1,	1),
(26382,	2,	1377,	2,	1),
(26383,	2,	1377,	3,	1),
(26384,	2,	1377,	23,	1),
(26385,	2,	1377,	6,	1),
(26386,	2,	1377,	24,	1),
(26387,	2,	1377,	25,	1),
(26388,	2,	1377,	4,	1),
(26389,	2,	1377,	5,	1),
(26390,	2,	1378,	1,	1),
(26391,	2,	1378,	2,	1),
(26392,	2,	1378,	3,	1),
(26393,	2,	1379,	1,	1),
(26394,	2,	1379,	2,	1),
(26395,	2,	1379,	3,	1),
(26396,	2,	1380,	1,	1),
(26397,	2,	1380,	2,	1),
(26398,	2,	1380,	3,	1),
(26399,	2,	1381,	1,	1),
(26400,	2,	1381,	2,	1),
(26401,	2,	1381,	3,	1),
(26402,	2,	1382,	1,	1),
(26403,	2,	1382,	2,	1),
(26404,	2,	1382,	3,	1),
(26405,	2,	1383,	1,	1),
(26406,	2,	1383,	2,	1),
(26407,	2,	1383,	3,	1),
(26408,	2,	1384,	1,	1),
(26409,	2,	1384,	2,	1),
(26410,	2,	1384,	3,	1),
(26411,	2,	1385,	1,	1),
(26412,	2,	1385,	2,	1),
(26413,	2,	1385,	3,	1),
(26414,	2,	1386,	1,	1),
(26415,	2,	1386,	2,	1),
(26416,	2,	1386,	3,	1),
(26417,	2,	1387,	1,	1),
(26418,	2,	1387,	2,	1),
(26419,	2,	1387,	3,	1),
(26420,	2,	1387,	23,	1),
(26421,	2,	1387,	6,	1),
(26422,	2,	1387,	24,	1),
(26423,	2,	1387,	25,	1),
(26424,	2,	1387,	4,	1),
(26425,	2,	1388,	1,	1),
(26426,	2,	1388,	2,	1),
(26427,	2,	1388,	3,	1),
(26428,	2,	1388,	23,	1),
(26429,	2,	1388,	6,	1),
(26430,	2,	1388,	24,	1),
(26431,	2,	1388,	25,	1),
(26432,	2,	1388,	4,	1),
(26433,	2,	1389,	1,	1),
(26434,	2,	1389,	2,	1),
(26435,	2,	1389,	3,	1),
(26436,	2,	1389,	23,	1),
(26437,	2,	1389,	6,	1),
(26438,	2,	1389,	24,	1),
(26439,	2,	1389,	25,	1),
(26440,	2,	1389,	4,	1),
(26441,	2,	1390,	1,	1),
(26442,	2,	1390,	2,	1),
(26443,	2,	1390,	3,	1),
(26444,	2,	1391,	1,	1),
(26445,	2,	1391,	2,	1),
(26446,	2,	1391,	3,	1),
(26447,	2,	1391,	23,	1),
(26448,	2,	1391,	6,	1),
(26449,	2,	1391,	24,	1),
(26450,	2,	1391,	25,	1),
(26451,	2,	1391,	4,	1),
(26452,	2,	1392,	1,	1),
(26453,	2,	1392,	2,	1),
(26454,	2,	1392,	3,	1),
(26455,	2,	1393,	1,	1),
(26456,	2,	1393,	2,	1),
(26457,	2,	1393,	3,	1),
(26458,	2,	1393,	23,	1),
(26459,	2,	1393,	6,	1),
(26460,	2,	1393,	24,	1),
(26461,	2,	1393,	25,	1),
(26462,	2,	1393,	4,	1),
(26463,	2,	1394,	1,	1),
(26464,	2,	1394,	2,	1),
(26465,	2,	1394,	3,	1),
(26466,	2,	1395,	1,	1),
(26467,	2,	1395,	2,	1),
(26468,	2,	1395,	3,	1),
(26469,	2,	1396,	1,	1),
(26470,	2,	1396,	2,	1),
(26471,	2,	1396,	3,	1),
(26472,	2,	1397,	1,	1),
(26473,	2,	1397,	2,	1),
(26474,	2,	1397,	3,	1),
(26475,	2,	1398,	1,	1),
(26476,	2,	1398,	2,	1),
(26477,	2,	1398,	3,	1),
(26478,	2,	1399,	1,	1),
(26479,	2,	1399,	2,	1),
(26480,	2,	1399,	3,	1),
(26481,	2,	1400,	1,	1),
(26482,	2,	1400,	2,	1),
(26483,	2,	1400,	3,	1),
(26484,	2,	1401,	1,	1),
(26485,	2,	1401,	2,	1),
(26486,	2,	1401,	3,	1),
(26487,	2,	1401,	1,	2),
(26488,	2,	1401,	2,	2),
(26489,	2,	1401,	3,	2),
(26490,	2,	1402,	1,	1),
(26491,	2,	1402,	2,	1),
(26492,	2,	1402,	3,	1),
(26493,	2,	1402,	1,	2),
(26494,	2,	1402,	2,	2),
(26495,	2,	1402,	3,	2),
(26496,	2,	1403,	1,	1),
(26497,	2,	1403,	2,	1),
(26498,	2,	1403,	3,	1),
(26499,	2,	1403,	1,	2),
(26500,	2,	1403,	2,	2),
(26501,	2,	1403,	3,	2),
(26502,	2,	1404,	1,	1),
(26503,	2,	1404,	2,	1),
(26504,	2,	1404,	3,	1),
(26505,	2,	1404,	1,	2),
(26506,	2,	1404,	2,	2),
(26507,	2,	1404,	3,	2),
(26508,	2,	1405,	1,	1),
(26509,	2,	1405,	2,	1),
(26510,	2,	1405,	3,	1),
(26511,	2,	1405,	1,	2),
(26512,	2,	1405,	2,	2),
(26513,	2,	1405,	3,	2),
(26514,	2,	1406,	1,	1),
(26515,	2,	1406,	2,	1),
(26516,	2,	1406,	3,	1),
(26517,	2,	1406,	1,	2),
(26518,	2,	1406,	2,	2),
(26519,	2,	1406,	3,	2),
(26520,	2,	1407,	1,	1),
(26521,	2,	1407,	2,	1),
(26522,	2,	1407,	3,	1),
(26523,	2,	1407,	1,	2),
(26524,	2,	1407,	2,	2),
(26525,	2,	1407,	3,	2),
(26526,	2,	1408,	1,	1),
(26527,	2,	1408,	2,	1),
(26528,	2,	1408,	3,	1),
(26529,	2,	1408,	1,	2),
(26530,	2,	1408,	2,	2),
(26531,	2,	1408,	3,	2),
(26532,	2,	1409,	1,	1),
(26533,	2,	1409,	2,	1),
(26534,	2,	1409,	3,	1),
(26535,	2,	1410,	1,	1),
(26536,	2,	1410,	2,	1),
(26537,	2,	1410,	3,	1),
(26538,	2,	1410,	1,	2),
(26539,	2,	1410,	2,	2),
(26540,	2,	1410,	3,	2),
(26541,	2,	1411,	1,	1),
(26542,	2,	1411,	2,	1),
(26543,	2,	1411,	3,	1),
(26544,	2,	1411,	1,	2),
(26545,	2,	1411,	2,	2),
(26546,	2,	1411,	3,	2),
(26547,	2,	1412,	1,	1),
(26548,	2,	1412,	2,	1),
(26549,	2,	1412,	3,	1),
(26550,	2,	1412,	1,	2),
(26551,	2,	1412,	2,	2),
(26552,	2,	1412,	3,	2),
(26553,	2,	1413,	1,	1),
(26554,	2,	1413,	2,	1),
(26555,	2,	1413,	3,	1),
(26556,	2,	1413,	1,	2),
(26557,	2,	1413,	2,	2),
(26558,	2,	1413,	3,	2),
(26559,	2,	1414,	1,	1),
(26560,	2,	1414,	2,	1),
(26561,	2,	1414,	3,	1),
(26562,	2,	1415,	1,	1),
(26563,	2,	1415,	2,	1),
(26564,	2,	1415,	3,	1),
(26565,	2,	1416,	1,	1),
(26566,	2,	1416,	2,	1),
(26567,	2,	1416,	3,	1),
(26568,	2,	1416,	1,	2),
(26569,	2,	1416,	2,	2),
(26570,	2,	1416,	3,	2),
(26571,	2,	1417,	1,	1),
(26572,	2,	1417,	2,	1),
(26573,	2,	1417,	3,	1),
(26574,	2,	1418,	1,	1),
(26575,	2,	1418,	2,	1),
(26576,	2,	1418,	3,	1),
(26577,	2,	1419,	1,	1),
(26578,	2,	1419,	2,	1),
(26579,	2,	1419,	3,	1),
(26580,	2,	1419,	1,	2),
(26581,	2,	1419,	2,	2),
(26582,	2,	1419,	3,	2),
(26583,	2,	1420,	1,	1),
(26584,	2,	1420,	2,	1),
(26585,	2,	1420,	3,	1),
(26586,	2,	1421,	1,	1),
(26587,	2,	1421,	2,	1),
(26588,	2,	1421,	3,	1),
(26589,	2,	1422,	1,	1),
(26590,	2,	1422,	2,	1),
(26591,	2,	1422,	3,	1),
(26592,	2,	1422,	23,	1),
(26593,	2,	1422,	6,	1),
(26594,	2,	1422,	24,	1),
(26595,	2,	1422,	25,	1),
(26596,	2,	1422,	4,	1),
(26597,	2,	1422,	5,	1),
(26598,	2,	1423,	1,	1),
(26599,	2,	1423,	2,	1),
(26600,	2,	1423,	3,	1),
(26601,	2,	1423,	23,	1),
(26602,	2,	1423,	6,	1),
(26603,	2,	1423,	24,	1),
(26604,	2,	1423,	25,	1),
(26605,	2,	1423,	4,	1),
(26606,	2,	1423,	5,	1),
(26607,	2,	1424,	1,	1),
(26608,	2,	1424,	2,	1),
(26609,	2,	1424,	3,	1),
(26610,	2,	1425,	1,	1),
(26611,	2,	1425,	2,	1),
(26612,	2,	1425,	3,	1),
(26613,	2,	1425,	23,	1),
(26614,	2,	1425,	6,	1),
(26615,	2,	1425,	24,	1),
(26616,	2,	1425,	25,	1),
(26617,	2,	1425,	4,	1),
(26618,	2,	1425,	5,	1),
(26619,	2,	1426,	1,	1),
(26620,	2,	1426,	2,	1),
(26621,	2,	1426,	3,	1),
(26622,	2,	1426,	23,	1),
(26623,	2,	1426,	6,	1),
(26624,	2,	1426,	24,	1),
(26625,	2,	1426,	25,	1),
(26626,	2,	1426,	4,	1),
(26627,	2,	1426,	5,	1),
(26628,	2,	1427,	1,	1),
(26629,	2,	1427,	2,	1),
(26630,	2,	1427,	3,	1),
(26631,	2,	1428,	1,	1),
(26632,	2,	1428,	2,	1),
(26633,	2,	1428,	3,	1),
(26634,	2,	1428,	23,	1),
(26635,	2,	1428,	6,	1),
(26636,	2,	1428,	24,	1),
(26637,	2,	1428,	25,	1),
(26638,	2,	1428,	4,	1),
(26639,	2,	1428,	5,	1),
(26640,	2,	1429,	1,	1),
(26641,	2,	1429,	2,	1),
(26642,	2,	1429,	3,	1),
(26643,	2,	1430,	1,	1),
(26644,	2,	1430,	2,	1),
(26645,	2,	1430,	3,	1),
(26646,	2,	1431,	1,	1),
(26647,	2,	1431,	2,	1),
(26648,	2,	1431,	3,	1),
(26649,	2,	1431,	23,	1),
(26650,	2,	1431,	6,	1),
(26651,	2,	1431,	24,	1),
(26652,	2,	1431,	25,	1),
(26653,	2,	1431,	4,	1),
(26654,	2,	1431,	5,	1),
(26655,	2,	1432,	1,	1),
(26656,	2,	1432,	2,	1),
(26657,	2,	1432,	3,	1),
(26658,	2,	1432,	1,	2),
(26659,	2,	1432,	2,	2),
(26660,	2,	1432,	3,	2),
(26661,	2,	1433,	1,	1),
(26662,	2,	1433,	2,	1),
(26663,	2,	1433,	3,	1),
(26664,	2,	1434,	1,	1),
(26665,	2,	1434,	2,	1),
(26666,	2,	1434,	3,	1),
(26667,	2,	1435,	1,	1),
(26668,	2,	1435,	2,	1),
(26669,	2,	1435,	3,	1),
(26670,	2,	1436,	1,	1),
(26671,	2,	1436,	2,	1),
(26672,	2,	1436,	3,	1),
(26673,	2,	1436,	23,	1),
(26674,	2,	1436,	6,	1),
(26675,	2,	1436,	24,	1),
(26676,	2,	1436,	25,	1),
(26677,	2,	1436,	4,	1),
(26678,	2,	1436,	5,	1),
(26679,	2,	1437,	1,	1),
(26680,	2,	1437,	2,	1),
(26681,	2,	1437,	3,	1),
(26682,	2,	1437,	23,	1),
(26683,	2,	1437,	6,	1),
(26684,	2,	1437,	24,	1),
(26685,	2,	1437,	25,	1),
(26686,	2,	1437,	4,	1),
(26687,	2,	1437,	5,	1),
(26688,	2,	1438,	1,	1),
(26689,	2,	1438,	2,	1),
(26690,	2,	1438,	3,	1),
(26691,	2,	1439,	1,	1),
(26692,	2,	1439,	2,	1),
(26693,	2,	1439,	3,	1),
(26694,	2,	1439,	23,	1),
(26695,	2,	1439,	6,	1),
(26696,	2,	1439,	24,	1),
(26697,	2,	1439,	25,	1),
(26698,	2,	1439,	4,	1),
(26699,	2,	1439,	5,	1),
(26700,	2,	1440,	1,	1),
(26701,	2,	1440,	2,	1),
(26702,	2,	1440,	3,	1),
(26703,	2,	1440,	23,	1),
(26704,	2,	1440,	6,	1),
(26705,	2,	1440,	24,	1),
(26706,	2,	1440,	25,	1),
(26707,	2,	1440,	4,	1),
(26708,	2,	1440,	5,	1),
(26709,	2,	1441,	1,	1),
(26710,	2,	1441,	2,	1),
(26711,	2,	1441,	3,	1),
(26712,	2,	1442,	1,	1),
(26713,	2,	1442,	2,	1),
(26714,	2,	1442,	3,	1),
(26715,	2,	1442,	23,	1),
(26716,	2,	1442,	6,	1),
(26717,	2,	1442,	24,	1),
(26718,	2,	1442,	25,	1),
(26719,	2,	1442,	4,	1),
(26720,	2,	1442,	5,	1),
(26721,	2,	1443,	1,	1),
(26722,	2,	1443,	2,	1),
(26723,	2,	1443,	3,	1),
(26724,	2,	1443,	23,	1),
(26725,	2,	1443,	6,	1),
(26726,	2,	1443,	24,	1),
(26727,	2,	1443,	25,	1),
(26728,	2,	1443,	4,	1),
(26729,	2,	1443,	5,	1),
(26730,	2,	1444,	1,	1),
(26731,	2,	1444,	2,	1),
(26732,	2,	1444,	3,	1),
(26733,	2,	1445,	1,	1),
(26734,	2,	1445,	2,	1),
(26735,	2,	1445,	3,	1),
(26736,	2,	1445,	23,	1),
(26737,	2,	1445,	6,	1),
(26738,	2,	1445,	24,	1),
(26739,	2,	1445,	25,	1),
(26740,	2,	1445,	4,	1),
(26741,	2,	1445,	5,	1),
(26742,	2,	1446,	1,	1),
(26743,	2,	1446,	2,	1),
(26744,	2,	1446,	3,	1),
(26745,	2,	1446,	1,	2),
(26746,	2,	1446,	2,	2),
(26747,	2,	1446,	3,	2),
(26748,	2,	1447,	1,	1),
(26749,	2,	1447,	2,	1),
(26750,	2,	1447,	3,	1),
(26751,	2,	1447,	1,	2),
(26752,	2,	1447,	2,	2),
(26753,	2,	1447,	3,	2),
(26754,	2,	1448,	1,	1),
(26755,	2,	1448,	2,	1),
(26756,	2,	1448,	3,	1),
(26757,	2,	1449,	1,	1),
(26758,	2,	1449,	2,	1),
(26759,	2,	1449,	3,	1),
(26760,	2,	1450,	1,	1),
(26761,	2,	1450,	2,	1),
(26762,	2,	1450,	3,	1),
(26763,	2,	1451,	1,	1),
(26764,	2,	1451,	2,	1),
(26765,	2,	1451,	3,	1),
(26766,	2,	1452,	1,	1),
(26767,	2,	1452,	2,	1),
(26768,	2,	1452,	3,	1),
(26769,	2,	1452,	23,	1),
(26770,	2,	1452,	6,	1),
(26771,	2,	1452,	24,	1),
(26772,	2,	1452,	25,	1),
(26773,	2,	1452,	4,	1),
(26774,	2,	1452,	5,	1),
(26775,	2,	1453,	1,	1),
(26776,	2,	1453,	2,	1),
(26777,	2,	1453,	3,	1),
(26778,	2,	1453,	23,	1),
(26779,	2,	1453,	6,	1),
(26780,	2,	1453,	24,	1),
(26781,	2,	1453,	25,	1),
(26782,	2,	1453,	4,	1),
(26783,	2,	1453,	5,	1),
(26784,	2,	1454,	1,	1),
(26785,	2,	1454,	2,	1),
(26786,	2,	1454,	3,	1),
(26787,	2,	1455,	1,	1),
(26788,	2,	1455,	2,	1),
(26789,	2,	1455,	3,	1),
(26790,	2,	1455,	23,	1),
(26791,	2,	1455,	6,	1),
(26792,	2,	1455,	24,	1),
(26793,	2,	1455,	25,	1),
(26794,	2,	1455,	4,	1),
(26795,	2,	1455,	5,	1),
(26796,	2,	1456,	1,	1),
(26797,	2,	1456,	2,	1),
(26798,	2,	1456,	3,	1),
(26799,	2,	1456,	23,	1),
(26800,	2,	1456,	6,	1),
(26801,	2,	1456,	24,	1),
(26802,	2,	1456,	25,	1),
(26803,	2,	1456,	4,	1),
(26804,	2,	1456,	5,	1),
(26805,	2,	1457,	1,	1),
(26806,	2,	1457,	2,	1),
(26807,	2,	1457,	3,	1),
(26808,	2,	1458,	1,	1),
(26809,	2,	1458,	2,	1),
(26810,	2,	1458,	3,	1),
(26811,	2,	1458,	23,	1),
(26812,	2,	1458,	6,	1),
(26813,	2,	1458,	24,	1),
(26814,	2,	1458,	25,	1),
(26815,	2,	1458,	4,	1),
(26816,	2,	1458,	5,	1),
(26817,	2,	1459,	1,	1),
(26818,	2,	1459,	2,	1),
(26819,	2,	1459,	3,	1),
(26820,	2,	1459,	1,	2),
(26821,	2,	1459,	2,	2),
(26822,	2,	1459,	3,	2),
(26823,	2,	1460,	1,	1),
(26824,	2,	1460,	2,	1),
(26825,	2,	1460,	3,	1),
(26826,	2,	1461,	1,	1),
(26827,	2,	1461,	2,	1),
(26828,	2,	1461,	3,	1),
(26829,	2,	1462,	1,	1),
(26830,	2,	1462,	2,	1),
(26831,	2,	1462,	3,	1),
(26832,	2,	1462,	1,	2),
(26833,	2,	1462,	2,	2),
(26834,	2,	1462,	3,	2),
(26835,	2,	1463,	1,	1),
(26836,	2,	1463,	2,	1),
(26837,	2,	1463,	3,	1),
(26838,	2,	1463,	1,	2),
(26839,	2,	1463,	2,	2),
(26840,	2,	1463,	3,	2),
(26841,	2,	1464,	1,	1),
(26842,	2,	1464,	2,	1),
(26843,	2,	1464,	3,	1),
(26844,	2,	1465,	1,	1),
(26845,	2,	1465,	2,	1),
(26846,	2,	1465,	3,	1),
(26847,	2,	1465,	23,	1),
(26848,	2,	1466,	1,	1),
(26849,	2,	1466,	2,	1),
(26850,	2,	1466,	3,	1),
(26851,	2,	1466,	23,	1),
(26852,	2,	1467,	1,	1),
(26853,	2,	1467,	2,	1),
(26854,	2,	1467,	3,	1),
(26855,	2,	1467,	23,	1),
(26856,	2,	1468,	1,	1),
(26857,	2,	1468,	2,	1),
(26858,	2,	1468,	3,	1),
(26859,	2,	1468,	23,	1),
(26860,	2,	1469,	1,	1),
(26861,	2,	1469,	2,	1),
(26862,	2,	1469,	3,	1),
(26863,	2,	1469,	1,	2),
(26864,	2,	1469,	2,	2),
(26865,	2,	1469,	3,	2),
(26866,	2,	1470,	1,	1),
(26867,	2,	1470,	2,	1),
(26868,	2,	1470,	3,	1),
(26869,	2,	1471,	1,	1),
(26870,	2,	1471,	2,	1),
(26871,	2,	1471,	3,	1),
(26872,	2,	1472,	1,	1),
(26873,	2,	1472,	2,	1),
(26874,	2,	1472,	3,	1),
(26875,	2,	1473,	1,	1),
(26876,	2,	1473,	2,	1),
(26877,	2,	1473,	3,	1),
(26878,	2,	1473,	23,	1),
(26879,	2,	1474,	1,	1),
(26880,	2,	1474,	2,	1),
(26881,	2,	1474,	3,	1),
(26882,	2,	1475,	1,	1),
(26883,	2,	1475,	2,	1),
(26884,	2,	1475,	3,	1),
(26885,	2,	1476,	1,	1),
(26886,	2,	1476,	2,	1),
(26887,	2,	1476,	3,	1),
(26888,	2,	1476,	23,	1),
(26889,	2,	1477,	1,	1),
(26890,	2,	1477,	2,	1),
(26891,	2,	1477,	3,	1),
(26892,	2,	1478,	1,	1),
(26893,	2,	1478,	2,	1),
(26894,	2,	1478,	3,	1),
(26895,	2,	1479,	1,	1),
(26896,	2,	1479,	2,	1),
(26897,	2,	1479,	3,	1),
(26898,	2,	1480,	1,	1),
(26899,	2,	1480,	2,	1),
(26900,	2,	1480,	3,	1),
(26901,	2,	1481,	1,	1),
(26902,	2,	1481,	2,	1),
(26903,	2,	1481,	3,	1),
(26904,	2,	1481,	1,	2),
(26905,	2,	1481,	2,	2),
(26906,	2,	1481,	3,	2),
(26907,	2,	1482,	1,	1),
(26908,	2,	1482,	2,	1),
(26909,	2,	1482,	3,	1),
(26910,	2,	1483,	1,	1),
(26911,	2,	1483,	2,	1),
(26912,	2,	1483,	3,	1),
(26913,	2,	1484,	1,	1),
(26914,	2,	1484,	2,	1),
(26915,	2,	1484,	3,	1),
(26916,	2,	1485,	1,	1),
(26917,	2,	1485,	2,	1),
(26918,	2,	1485,	3,	1),
(26919,	2,	1486,	1,	1),
(26920,	2,	1486,	2,	1),
(26921,	2,	1486,	3,	1),
(26922,	2,	1487,	1,	1),
(26923,	2,	1487,	2,	1),
(26924,	2,	1487,	3,	1),
(26925,	2,	1488,	1,	1),
(26926,	2,	1488,	2,	1),
(26927,	2,	1488,	3,	1),
(26928,	2,	1489,	1,	1),
(26929,	2,	1489,	2,	1),
(26930,	2,	1489,	3,	1),
(26931,	2,	1490,	1,	1),
(26932,	2,	1490,	2,	1),
(26933,	2,	1490,	3,	1),
(26934,	2,	1491,	1,	1),
(26935,	2,	1491,	2,	1),
(26936,	2,	1491,	3,	1),
(26937,	2,	1492,	1,	1),
(26938,	2,	1492,	2,	1),
(26939,	2,	1492,	3,	1),
(26940,	2,	1493,	1,	1),
(26941,	2,	1493,	2,	1),
(26942,	2,	1493,	3,	1),
(26943,	2,	1494,	1,	1),
(26944,	2,	1494,	2,	1),
(26945,	2,	1494,	3,	1),
(26946,	2,	1495,	1,	1),
(26947,	2,	1495,	2,	1),
(26948,	2,	1495,	3,	1),
(26949,	2,	1496,	1,	1),
(26950,	2,	1496,	2,	1),
(26951,	2,	1496,	3,	1),
(26952,	2,	1496,	75,	1),
(26953,	2,	1496,	76,	1),
(26954,	2,	1496,	77,	1),
(26955,	2,	1496,	78,	1),
(26956,	2,	1496,	79,	1),
(26957,	2,	1496,	45,	1),
(26958,	2,	1496,	46,	1),
(26959,	2,	1496,	54,	1),
(26960,	2,	1496,	28,	1),
(26961,	2,	1496,	61,	1),
(26962,	2,	1496,	80,	1),
(26963,	2,	1496,	59,	1),
(26964,	2,	1497,	1,	1),
(26965,	2,	1497,	2,	1),
(26966,	2,	1497,	3,	1),
(26967,	2,	1498,	1,	1),
(26968,	2,	1498,	2,	1),
(26969,	2,	1498,	3,	1),
(26970,	2,	1499,	1,	1),
(26971,	2,	1499,	2,	1),
(26972,	2,	1499,	3,	1),
(26973,	2,	1499,	75,	1),
(26974,	2,	1499,	76,	1),
(26975,	2,	1499,	77,	1),
(26976,	2,	1499,	78,	1),
(26977,	2,	1499,	79,	1),
(26978,	2,	1499,	45,	1),
(26979,	2,	1499,	46,	1),
(26980,	2,	1499,	54,	1),
(26981,	2,	1499,	28,	1),
(26982,	2,	1499,	61,	1),
(26983,	2,	1499,	80,	1),
(26984,	2,	1499,	59,	1),
(26985,	2,	1500,	1,	1),
(26986,	2,	1500,	2,	1),
(26987,	2,	1500,	3,	1),
(26988,	2,	1500,	75,	1),
(26989,	2,	1500,	76,	1),
(26990,	2,	1500,	77,	1),
(26991,	2,	1500,	78,	1),
(26992,	2,	1500,	79,	1),
(26993,	2,	1500,	45,	1),
(26994,	2,	1500,	46,	1),
(26995,	2,	1500,	54,	1),
(26996,	2,	1500,	28,	1),
(26997,	2,	1500,	61,	1),
(26998,	2,	1500,	80,	1),
(26999,	2,	1500,	59,	1),
(27000,	2,	1501,	1,	1),
(27001,	2,	1501,	2,	1),
(27002,	2,	1501,	3,	1),
(27003,	2,	1501,	75,	1),
(27004,	2,	1501,	76,	1),
(27005,	2,	1501,	77,	1),
(27006,	2,	1501,	78,	1),
(27007,	2,	1501,	79,	1),
(27008,	2,	1501,	45,	1),
(27009,	2,	1501,	46,	1),
(27010,	2,	1501,	54,	1),
(27011,	2,	1501,	28,	1),
(27012,	2,	1501,	61,	1),
(27013,	2,	1501,	80,	1),
(27014,	2,	1501,	59,	1),
(27015,	2,	1502,	1,	1),
(27016,	2,	1502,	2,	1),
(27017,	2,	1502,	3,	1),
(27018,	2,	1502,	75,	1),
(27019,	2,	1502,	76,	1),
(27020,	2,	1502,	77,	1),
(27021,	2,	1502,	78,	1),
(27022,	2,	1502,	79,	1),
(27023,	2,	1502,	45,	1),
(27024,	2,	1502,	46,	1),
(27025,	2,	1502,	54,	1),
(27026,	2,	1502,	28,	1),
(27027,	2,	1502,	61,	1),
(27028,	2,	1502,	80,	1),
(27029,	2,	1502,	59,	1),
(27030,	2,	1503,	1,	1),
(27031,	2,	1503,	2,	1),
(27032,	2,	1503,	3,	1),
(27033,	2,	1503,	75,	1),
(27034,	2,	1503,	76,	1),
(27035,	2,	1503,	77,	1),
(27036,	2,	1503,	78,	1),
(27037,	2,	1503,	79,	1),
(27038,	2,	1503,	45,	1),
(27039,	2,	1503,	46,	1),
(27040,	2,	1503,	54,	1),
(27041,	2,	1503,	28,	1),
(27042,	2,	1503,	61,	1),
(27043,	2,	1503,	80,	1),
(27044,	2,	1503,	59,	1),
(27045,	2,	1504,	1,	1),
(27046,	2,	1504,	2,	1),
(27047,	2,	1504,	3,	1),
(27048,	2,	1504,	1,	2),
(27049,	2,	1504,	2,	2),
(27050,	2,	1504,	3,	2),
(27051,	2,	1505,	1,	1),
(27052,	2,	1505,	2,	1),
(27053,	2,	1505,	3,	1),
(27054,	2,	1505,	1,	2),
(27055,	2,	1505,	2,	2),
(27056,	2,	1505,	3,	2),
(27057,	2,	1506,	1,	1),
(27058,	2,	1506,	2,	1),
(27059,	2,	1506,	3,	1),
(27060,	2,	1507,	1,	1),
(27061,	2,	1507,	2,	1),
(27062,	2,	1507,	3,	1),
(27063,	2,	1508,	1,	1),
(27064,	2,	1508,	2,	1),
(27065,	2,	1508,	3,	1),
(27066,	2,	1509,	1,	1),
(27067,	2,	1509,	2,	1),
(27068,	2,	1509,	3,	1),
(27069,	2,	1510,	1,	1),
(27070,	2,	1510,	2,	1),
(27071,	2,	1510,	3,	1),
(27072,	2,	1510,	75,	1),
(27073,	2,	1510,	76,	1),
(27074,	2,	1510,	77,	1),
(27075,	2,	1510,	78,	1),
(27076,	2,	1510,	79,	1),
(27077,	2,	1510,	45,	1),
(27078,	2,	1510,	46,	1),
(27079,	2,	1510,	54,	1),
(27080,	2,	1510,	28,	1),
(27081,	2,	1510,	61,	1),
(27082,	2,	1510,	80,	1),
(27083,	2,	1510,	59,	1),
(27084,	2,	1511,	1,	1),
(27085,	2,	1511,	2,	1),
(27086,	2,	1511,	3,	1),
(27087,	2,	1511,	75,	1),
(27088,	2,	1511,	76,	1),
(27089,	2,	1511,	77,	1),
(27090,	2,	1511,	78,	1),
(27091,	2,	1511,	79,	1),
(27092,	2,	1511,	45,	1),
(27093,	2,	1511,	46,	1),
(27094,	2,	1511,	54,	1),
(27095,	2,	1511,	28,	1),
(27096,	2,	1511,	61,	1),
(27097,	2,	1511,	80,	1),
(27098,	2,	1511,	59,	1),
(27099,	2,	1512,	1,	1),
(27100,	2,	1512,	2,	1),
(27101,	2,	1512,	3,	1),
(27102,	2,	1513,	1,	1),
(27103,	2,	1513,	2,	1),
(27104,	2,	1513,	3,	1),
(27105,	2,	1514,	1,	1),
(27106,	2,	1514,	2,	1),
(27107,	2,	1514,	3,	1),
(27108,	2,	1514,	1,	2),
(27109,	2,	1514,	2,	2),
(27110,	2,	1514,	3,	2),
(27111,	2,	1515,	1,	1),
(27112,	2,	1515,	2,	1),
(27113,	2,	1515,	3,	1),
(27114,	2,	1516,	1,	1),
(27115,	2,	1516,	2,	1),
(27116,	2,	1516,	3,	1),
(27117,	2,	1517,	1,	1),
(27118,	2,	1517,	2,	1),
(27119,	2,	1517,	3,	1),
(27120,	2,	1517,	1,	2),
(27121,	2,	1517,	2,	2),
(27122,	2,	1517,	3,	2),
(27123,	2,	1518,	1,	1),
(27124,	2,	1518,	2,	1),
(27125,	2,	1518,	3,	1),
(27126,	2,	1518,	1,	2),
(27127,	2,	1518,	2,	2),
(27128,	2,	1518,	3,	2),
(27129,	2,	1519,	1,	1),
(27130,	2,	1519,	2,	1),
(27131,	2,	1519,	3,	1),
(27132,	2,	1520,	1,	1),
(27133,	2,	1520,	2,	1),
(27134,	2,	1520,	3,	1),
(27135,	2,	1520,	1,	2),
(27136,	2,	1520,	2,	2),
(27137,	2,	1520,	3,	2),
(27138,	2,	1521,	1,	1),
(27139,	2,	1521,	2,	1),
(27140,	2,	1521,	3,	1),
(27141,	2,	1522,	1,	1),
(27142,	2,	1522,	2,	1),
(27143,	2,	1522,	3,	1),
(27144,	2,	1523,	1,	1),
(27145,	2,	1523,	2,	1),
(27146,	2,	1523,	3,	1),
(27147,	2,	1523,	75,	1),
(27148,	2,	1523,	76,	1),
(27149,	2,	1523,	77,	1),
(27150,	2,	1523,	78,	1),
(27151,	2,	1523,	79,	1),
(27152,	2,	1523,	45,	1),
(27153,	2,	1523,	46,	1),
(27154,	2,	1523,	54,	1),
(27155,	2,	1523,	28,	1),
(27156,	2,	1523,	61,	1),
(27157,	2,	1523,	80,	1),
(27158,	2,	1524,	1,	1),
(27159,	2,	1524,	2,	1),
(27160,	2,	1524,	3,	1),
(27161,	2,	1524,	1,	2),
(27162,	2,	1524,	2,	2),
(27163,	2,	1524,	3,	2),
(27164,	2,	1525,	1,	1),
(27165,	2,	1525,	2,	1),
(27166,	2,	1525,	3,	1),
(27167,	2,	1526,	1,	1),
(27168,	2,	1526,	2,	1),
(27169,	2,	1526,	3,	1),
(27170,	2,	1526,	1,	2),
(27171,	2,	1526,	2,	2),
(27172,	2,	1526,	3,	2),
(27173,	2,	1527,	1,	1),
(27174,	2,	1527,	2,	1),
(27175,	2,	1527,	3,	1),
(27176,	2,	1527,	1,	2),
(27177,	2,	1527,	2,	2),
(27178,	2,	1527,	3,	2),
(27179,	2,	1528,	1,	1),
(27180,	2,	1528,	2,	1),
(27181,	2,	1528,	3,	1),
(27182,	2,	1528,	1,	2),
(27183,	2,	1528,	2,	2),
(27184,	2,	1528,	3,	2),
(27185,	2,	1529,	1,	1),
(27186,	2,	1529,	2,	1),
(27187,	2,	1529,	3,	1),
(27188,	2,	1530,	1,	1),
(27189,	2,	1530,	2,	1),
(27190,	2,	1530,	3,	1),
(27191,	2,	1530,	1,	2),
(27192,	2,	1530,	2,	2),
(27193,	2,	1530,	3,	2),
(27194,	2,	1531,	1,	1),
(27195,	2,	1531,	2,	1),
(27196,	2,	1531,	3,	1),
(27197,	2,	1532,	1,	1),
(27198,	2,	1532,	2,	1),
(27199,	2,	1532,	3,	1),
(27200,	2,	1533,	1,	1),
(27201,	2,	1533,	2,	1),
(27202,	2,	1533,	3,	1),
(27203,	2,	1534,	1,	1),
(27204,	2,	1534,	2,	1),
(27205,	2,	1534,	3,	1),
(27206,	2,	1535,	1,	1),
(27207,	2,	1535,	2,	1),
(27208,	2,	1535,	3,	1),
(27209,	2,	1535,	1,	2),
(27210,	2,	1535,	2,	2),
(27211,	2,	1535,	3,	2),
(27212,	2,	1536,	1,	1),
(27213,	2,	1536,	2,	1),
(27214,	2,	1536,	3,	1),
(27215,	2,	1536,	1,	2),
(27216,	2,	1536,	2,	2),
(27217,	2,	1536,	3,	2),
(27218,	2,	1537,	1,	1),
(27219,	2,	1537,	2,	1),
(27220,	2,	1537,	3,	1),
(27221,	2,	1538,	1,	1),
(27222,	2,	1538,	2,	1),
(27223,	2,	1538,	3,	1),
(27224,	2,	1539,	1,	1),
(27225,	2,	1539,	2,	1),
(27226,	2,	1539,	3,	1),
(27227,	2,	1539,	1,	2),
(27228,	2,	1539,	2,	2),
(27229,	2,	1539,	3,	2),
(27230,	2,	1540,	1,	1),
(27231,	2,	1540,	2,	1),
(27232,	2,	1540,	3,	1),
(27233,	2,	1541,	1,	1),
(27234,	2,	1541,	2,	1),
(27235,	2,	1541,	3,	1),
(27236,	2,	1541,	1,	2),
(27237,	2,	1541,	2,	2),
(27238,	2,	1541,	3,	2),
(27239,	2,	1542,	1,	1),
(27240,	2,	1542,	2,	1),
(27241,	2,	1542,	3,	1),
(27242,	2,	1542,	1,	2),
(27243,	2,	1542,	2,	2),
(27244,	2,	1542,	3,	2),
(27245,	2,	1543,	1,	1),
(27246,	2,	1543,	2,	1),
(27247,	2,	1543,	3,	1),
(27248,	2,	1543,	1,	2),
(27249,	2,	1543,	2,	2),
(27250,	2,	1543,	3,	2),
(27251,	2,	1544,	1,	1),
(27252,	2,	1544,	2,	1),
(27253,	2,	1544,	3,	1),
(27254,	2,	1545,	1,	1),
(27255,	2,	1545,	2,	1),
(27256,	2,	1545,	3,	1),
(27257,	2,	1545,	1,	3),
(27258,	2,	1545,	2,	3),
(27259,	2,	1545,	3,	3),
(27260,	2,	1546,	1,	1),
(27261,	2,	1546,	2,	1),
(27262,	2,	1546,	3,	1),
(27263,	2,	1546,	1,	2),
(27264,	2,	1546,	2,	2),
(27265,	2,	1546,	3,	2),
(27266,	2,	1547,	1,	1),
(27267,	2,	1547,	2,	1),
(27268,	2,	1547,	3,	1),
(27269,	2,	1548,	1,	1),
(27270,	2,	1548,	2,	1),
(27271,	2,	1548,	3,	1),
(27272,	2,	1548,	1,	2),
(27273,	2,	1548,	2,	2),
(27274,	2,	1548,	3,	2),
(27275,	2,	1549,	1,	1),
(27276,	2,	1549,	2,	1),
(27277,	2,	1549,	3,	1),
(27278,	2,	1550,	1,	1),
(27279,	2,	1550,	2,	1),
(27280,	2,	1550,	3,	1),
(27281,	2,	1551,	1,	1),
(27282,	2,	1551,	2,	1),
(27283,	2,	1551,	3,	1),
(27284,	2,	1552,	1,	1),
(27285,	2,	1552,	2,	1),
(27286,	2,	1552,	3,	1),
(27287,	2,	1552,	1,	2),
(27288,	2,	1552,	2,	2),
(27289,	2,	1552,	3,	2),
(27290,	2,	1553,	1,	1),
(27291,	2,	1553,	2,	1),
(27292,	2,	1553,	3,	1),
(27293,	2,	1554,	1,	1),
(27294,	2,	1554,	2,	1),
(27295,	2,	1554,	3,	1),
(27296,	2,	1555,	1,	1),
(27297,	2,	1555,	2,	1),
(27298,	2,	1555,	3,	1),
(27299,	2,	1555,	1,	3),
(27300,	2,	1555,	2,	3),
(27301,	2,	1555,	3,	3),
(27302,	2,	1556,	1,	1),
(27303,	2,	1556,	2,	1),
(27304,	2,	1556,	3,	1),
(27305,	2,	1556,	1,	2),
(27306,	2,	1556,	2,	2),
(27307,	2,	1556,	3,	2),
(27308,	2,	1557,	1,	1),
(27309,	2,	1557,	2,	1),
(27310,	2,	1557,	3,	1),
(27311,	2,	1557,	1,	2),
(27312,	2,	1557,	2,	2),
(27313,	2,	1557,	3,	2),
(27314,	2,	1558,	1,	1),
(27315,	2,	1558,	2,	1),
(27316,	2,	1558,	3,	1),
(27317,	2,	1558,	1,	2),
(27318,	2,	1558,	2,	2),
(27319,	2,	1558,	3,	2),
(27320,	2,	1559,	1,	1),
(27321,	2,	1559,	2,	1),
(27322,	2,	1559,	3,	1),
(27323,	2,	1559,	1,	2),
(27324,	2,	1559,	2,	2),
(27325,	2,	1559,	3,	2),
(27326,	2,	1560,	1,	1),
(27327,	2,	1560,	2,	1),
(27328,	2,	1560,	3,	1),
(27329,	2,	1560,	1,	2),
(27330,	2,	1560,	2,	2),
(27331,	2,	1560,	3,	2),
(27332,	2,	1561,	1,	1),
(27333,	2,	1561,	2,	1),
(27334,	2,	1561,	3,	1),
(27335,	2,	1561,	1,	2),
(27336,	2,	1561,	2,	2),
(27337,	2,	1561,	3,	2),
(27338,	2,	1562,	1,	1),
(27339,	2,	1562,	2,	1),
(27340,	2,	1562,	3,	1),
(27341,	2,	1562,	1,	2),
(27342,	2,	1562,	2,	2),
(27343,	2,	1562,	3,	2),
(27344,	2,	1563,	1,	1),
(27345,	2,	1563,	2,	1),
(27346,	2,	1563,	3,	1),
(27347,	2,	1563,	1,	2),
(27348,	2,	1563,	2,	2),
(27349,	2,	1563,	3,	2),
(27350,	2,	1564,	1,	1),
(27351,	2,	1564,	2,	1),
(27352,	2,	1564,	3,	1),
(27353,	2,	1564,	1,	2),
(27354,	2,	1564,	2,	2),
(27355,	2,	1564,	3,	2),
(27356,	2,	1565,	1,	1),
(27357,	2,	1565,	2,	1),
(27358,	2,	1565,	3,	1),
(27359,	2,	1565,	1,	2),
(27360,	2,	1565,	2,	2),
(27361,	2,	1565,	3,	2),
(27362,	2,	1566,	1,	1),
(27363,	2,	1566,	2,	1),
(27364,	2,	1566,	3,	1),
(27365,	2,	1566,	1,	2),
(27366,	2,	1566,	2,	2),
(27367,	2,	1566,	3,	2),
(27368,	2,	1567,	1,	1),
(27369,	2,	1567,	2,	1),
(27370,	2,	1567,	3,	1),
(27371,	2,	1567,	1,	2),
(27372,	2,	1567,	2,	2),
(27373,	2,	1567,	3,	2),
(27374,	2,	1568,	1,	1),
(27375,	2,	1568,	2,	1),
(27376,	2,	1568,	3,	1),
(27377,	2,	1568,	1,	2),
(27378,	2,	1568,	2,	2),
(27379,	2,	1568,	3,	2),
(27380,	2,	1569,	1,	1),
(27381,	2,	1569,	2,	1),
(27382,	2,	1569,	3,	1),
(27383,	2,	1569,	1,	2),
(27384,	2,	1569,	2,	2),
(27385,	2,	1569,	3,	2),
(27386,	2,	1570,	1,	1),
(27387,	2,	1570,	2,	1),
(27388,	2,	1570,	3,	1),
(27389,	2,	1570,	1,	2),
(27390,	2,	1570,	2,	2),
(27391,	2,	1570,	3,	2),
(27392,	2,	1571,	1,	1),
(27393,	2,	1571,	2,	1),
(27394,	2,	1571,	3,	1),
(27395,	2,	1572,	1,	1),
(27396,	2,	1572,	2,	1),
(27397,	2,	1572,	3,	1),
(27398,	2,	1572,	1,	2),
(27399,	2,	1572,	2,	2),
(27400,	2,	1572,	3,	2),
(27401,	2,	1573,	1,	1),
(27402,	2,	1573,	2,	1),
(27403,	2,	1573,	3,	1),
(27404,	2,	1573,	1,	2),
(27405,	2,	1573,	2,	2),
(27406,	2,	1573,	3,	2),
(27407,	2,	1574,	1,	1),
(27408,	2,	1574,	2,	1),
(27409,	2,	1574,	3,	1),
(27410,	2,	1574,	1,	2),
(27411,	2,	1574,	2,	2),
(27412,	2,	1574,	3,	2),
(27413,	2,	1575,	1,	1),
(27414,	2,	1575,	2,	1),
(27415,	2,	1575,	3,	1),
(27416,	2,	1576,	1,	1),
(27417,	2,	1576,	2,	1),
(27418,	2,	1576,	3,	1),
(27419,	2,	1577,	1,	1),
(27420,	2,	1577,	2,	1),
(27421,	2,	1577,	3,	1),
(27422,	2,	1578,	1,	1),
(27423,	2,	1578,	2,	1),
(27424,	2,	1578,	3,	1),
(27425,	2,	1579,	1,	1),
(27426,	2,	1579,	2,	1),
(27427,	2,	1579,	3,	1),
(27428,	2,	1580,	1,	1),
(27429,	2,	1580,	2,	1),
(27430,	2,	1580,	3,	1),
(27431,	2,	1581,	1,	1),
(27432,	2,	1581,	2,	1),
(27433,	2,	1581,	3,	1),
(27434,	2,	1581,	1,	2),
(27435,	2,	1581,	2,	2),
(27436,	2,	1581,	3,	2),
(27437,	2,	1582,	1,	1),
(27438,	2,	1582,	2,	1),
(27439,	2,	1582,	3,	1),
(27440,	2,	1582,	1,	2),
(27441,	2,	1582,	2,	2),
(27442,	2,	1582,	3,	2),
(27443,	2,	1583,	1,	1),
(27444,	2,	1583,	2,	1),
(27445,	2,	1583,	3,	1),
(27446,	2,	1584,	1,	1),
(27447,	2,	1584,	2,	1),
(27448,	2,	1584,	3,	1),
(27449,	2,	1584,	1,	2),
(27450,	2,	1584,	2,	2),
(27451,	2,	1584,	3,	2),
(27452,	2,	1585,	1,	1),
(27453,	2,	1585,	2,	1),
(27454,	2,	1585,	3,	1),
(27455,	2,	1585,	1,	2),
(27456,	2,	1585,	2,	2),
(27457,	2,	1585,	3,	2),
(27458,	2,	1586,	1,	1),
(27459,	2,	1586,	2,	1),
(27460,	2,	1586,	3,	1),
(27461,	2,	1586,	1,	2),
(27462,	2,	1586,	2,	2),
(27463,	2,	1586,	3,	2),
(27464,	2,	1587,	1,	1),
(27465,	2,	1587,	2,	1),
(27466,	2,	1587,	3,	1),
(27467,	2,	1588,	1,	1),
(27468,	2,	1588,	2,	1),
(27469,	2,	1588,	3,	1),
(27470,	2,	1588,	1,	2),
(27471,	2,	1588,	2,	2),
(27472,	2,	1588,	3,	2),
(27473,	2,	1589,	1,	1),
(27474,	2,	1589,	2,	1),
(27475,	2,	1589,	3,	1),
(27476,	2,	1589,	1,	2),
(27477,	2,	1589,	2,	2),
(27478,	2,	1589,	3,	2),
(27479,	2,	1590,	1,	1),
(27480,	2,	1590,	2,	1),
(27481,	2,	1590,	3,	1),
(27482,	2,	1590,	1,	2),
(27483,	2,	1590,	2,	2),
(27484,	2,	1590,	3,	2),
(27485,	2,	1591,	1,	1),
(27486,	2,	1591,	2,	1),
(27487,	2,	1591,	3,	1),
(27488,	2,	1591,	1,	2),
(27489,	2,	1591,	2,	2),
(27490,	2,	1591,	3,	2),
(27491,	2,	1592,	1,	1),
(27492,	2,	1592,	2,	1),
(27493,	2,	1592,	3,	1),
(27494,	2,	1592,	1,	2),
(27495,	2,	1592,	2,	2),
(27496,	2,	1592,	3,	2),
(27497,	2,	1593,	1,	1),
(27498,	2,	1593,	2,	1),
(27499,	2,	1593,	3,	1),
(27500,	2,	1593,	1,	2),
(27501,	2,	1593,	2,	2),
(27502,	2,	1593,	3,	2),
(27503,	2,	1594,	1,	1),
(27504,	2,	1594,	2,	1),
(27505,	2,	1594,	3,	1),
(27506,	2,	1594,	1,	2),
(27507,	2,	1594,	2,	2),
(27508,	2,	1594,	3,	2),
(27509,	2,	1595,	1,	1),
(27510,	2,	1595,	2,	1),
(27511,	2,	1595,	3,	1),
(27512,	2,	1595,	1,	2),
(27513,	2,	1595,	2,	2),
(27514,	2,	1595,	3,	2),
(27515,	2,	1596,	1,	1),
(27516,	2,	1596,	2,	1),
(27517,	2,	1596,	3,	1),
(27518,	2,	1596,	1,	2),
(27519,	2,	1596,	2,	2),
(27520,	2,	1596,	3,	2),
(27521,	2,	1597,	1,	1),
(27522,	2,	1597,	2,	1),
(27523,	2,	1597,	3,	1),
(27524,	2,	1597,	1,	2),
(27525,	2,	1597,	2,	2),
(27526,	2,	1597,	3,	2),
(27527,	2,	1598,	1,	1),
(27528,	2,	1598,	2,	1),
(27529,	2,	1598,	3,	1),
(27530,	2,	1598,	1,	2),
(27531,	2,	1598,	2,	2),
(27532,	2,	1598,	3,	2),
(27533,	2,	1599,	1,	1),
(27534,	2,	1599,	2,	1),
(27535,	2,	1599,	3,	1),
(27536,	2,	1599,	1,	2),
(27537,	2,	1599,	2,	2),
(27538,	2,	1599,	3,	2),
(27539,	2,	1600,	1,	1),
(27540,	2,	1600,	2,	1),
(27541,	2,	1600,	3,	1),
(27542,	2,	1600,	1,	2),
(27543,	2,	1600,	2,	2),
(27544,	2,	1600,	3,	2),
(27545,	2,	1601,	1,	1),
(27546,	2,	1601,	2,	1),
(27547,	2,	1601,	3,	1),
(27548,	2,	1601,	1,	2),
(27549,	2,	1601,	2,	2),
(27550,	2,	1601,	3,	2),
(27551,	2,	1602,	1,	1),
(27552,	2,	1602,	2,	1),
(27553,	2,	1602,	3,	1),
(27554,	2,	1602,	1,	3),
(27555,	2,	1602,	2,	3),
(27556,	2,	1602,	3,	3),
(27557,	2,	1603,	1,	1),
(27558,	2,	1603,	2,	1),
(27559,	2,	1603,	3,	1),
(27560,	2,	1603,	1,	2),
(27561,	2,	1603,	2,	2),
(27562,	2,	1603,	3,	2),
(27563,	2,	1604,	1,	1),
(27564,	2,	1604,	2,	1),
(27565,	2,	1604,	3,	1),
(27566,	2,	1604,	1,	2),
(27567,	2,	1604,	2,	2),
(27568,	2,	1604,	3,	2),
(27569,	2,	1605,	1,	1),
(27570,	2,	1605,	2,	1),
(27571,	2,	1605,	3,	1),
(27572,	2,	1605,	1,	2),
(27573,	2,	1605,	2,	2),
(27574,	2,	1605,	3,	2),
(27575,	2,	1606,	1,	1),
(27576,	2,	1606,	2,	1),
(27577,	2,	1606,	3,	1),
(27578,	2,	1606,	1,	2),
(27579,	2,	1606,	2,	2),
(27580,	2,	1606,	3,	2),
(27581,	2,	1607,	1,	1),
(27582,	2,	1607,	2,	1),
(27583,	2,	1607,	3,	1),
(27584,	2,	1607,	1,	2),
(27585,	2,	1607,	2,	2),
(27586,	2,	1607,	3,	2),
(27587,	2,	1608,	1,	1),
(27588,	2,	1608,	2,	1),
(27589,	2,	1608,	3,	1),
(27590,	2,	1608,	1,	2),
(27591,	2,	1608,	2,	2),
(27592,	2,	1608,	3,	2),
(27593,	2,	1609,	1,	1),
(27594,	2,	1609,	2,	1),
(27595,	2,	1609,	3,	1),
(27596,	2,	1609,	1,	2),
(27597,	2,	1609,	2,	2),
(27598,	2,	1609,	3,	2),
(27599,	2,	1610,	1,	1),
(27600,	2,	1610,	2,	1),
(27601,	2,	1610,	3,	1),
(27602,	2,	1610,	1,	2),
(27603,	2,	1610,	2,	2),
(27604,	2,	1610,	3,	2),
(27605,	2,	1611,	1,	1),
(27606,	2,	1611,	2,	1),
(27607,	2,	1611,	3,	1),
(27608,	2,	1611,	1,	2),
(27609,	2,	1611,	2,	2),
(27610,	2,	1611,	3,	2),
(27611,	2,	1612,	1,	1),
(27612,	2,	1612,	2,	1),
(27613,	2,	1612,	3,	1),
(27614,	2,	1612,	1,	2),
(27615,	2,	1612,	2,	2),
(27616,	2,	1612,	3,	2),
(27617,	2,	1613,	1,	1),
(27618,	2,	1613,	2,	1),
(27619,	2,	1613,	3,	1),
(27620,	2,	1613,	1,	2),
(27621,	2,	1613,	2,	2),
(27622,	2,	1613,	3,	2),
(27623,	2,	1614,	1,	1),
(27624,	2,	1614,	2,	1),
(27625,	2,	1614,	3,	1),
(27626,	2,	1614,	1,	2),
(27627,	2,	1614,	2,	2),
(27628,	2,	1614,	3,	2),
(27629,	2,	1615,	1,	1),
(27630,	2,	1615,	2,	1),
(27631,	2,	1615,	3,	1),
(27632,	2,	1615,	1,	2),
(27633,	2,	1615,	2,	2),
(27634,	2,	1615,	3,	2),
(27635,	2,	1616,	1,	1),
(27636,	2,	1616,	2,	1),
(27637,	2,	1616,	3,	1),
(27638,	2,	1616,	1,	2),
(27639,	2,	1616,	2,	2),
(27640,	2,	1616,	3,	2),
(27641,	2,	1617,	1,	1),
(27642,	2,	1617,	2,	1),
(27643,	2,	1617,	3,	1),
(27644,	2,	1617,	1,	2),
(27645,	2,	1617,	2,	2),
(27646,	2,	1617,	3,	2),
(27647,	2,	1618,	1,	1),
(27648,	2,	1618,	2,	1),
(27649,	2,	1618,	3,	1),
(27650,	2,	1618,	1,	2),
(27651,	2,	1618,	2,	2),
(27652,	2,	1618,	3,	2),
(27653,	2,	1619,	1,	1),
(27654,	2,	1619,	2,	1),
(27655,	2,	1619,	3,	1),
(27656,	2,	1619,	1,	2),
(27657,	2,	1619,	2,	2),
(27658,	2,	1619,	3,	2),
(27659,	2,	1620,	1,	1),
(27660,	2,	1620,	2,	1),
(27661,	2,	1620,	3,	1),
(27662,	2,	1620,	1,	2),
(27663,	2,	1620,	2,	2),
(27664,	2,	1620,	3,	2),
(27665,	2,	1621,	1,	1),
(27666,	2,	1621,	2,	1),
(27667,	2,	1621,	3,	1),
(27668,	2,	1621,	1,	2),
(27669,	2,	1621,	2,	2),
(27670,	2,	1621,	3,	2),
(27671,	2,	1622,	1,	1),
(27672,	2,	1622,	2,	1),
(27673,	2,	1622,	3,	1),
(27674,	2,	1622,	1,	2),
(27675,	2,	1622,	2,	2),
(27676,	2,	1622,	3,	2),
(27677,	2,	1623,	1,	1),
(27678,	2,	1623,	2,	1),
(27679,	2,	1623,	3,	1),
(27680,	2,	1623,	1,	2),
(27681,	2,	1623,	2,	2),
(27682,	2,	1623,	3,	2),
(27683,	2,	1624,	1,	1),
(27684,	2,	1624,	2,	1),
(27685,	2,	1624,	3,	1),
(27686,	2,	1625,	1,	1),
(27687,	2,	1625,	2,	1),
(27688,	2,	1625,	3,	1),
(27689,	2,	1626,	1,	1),
(27690,	2,	1626,	2,	1),
(27691,	2,	1626,	3,	1),
(27692,	2,	1627,	1,	1),
(27693,	2,	1627,	2,	1),
(27694,	2,	1627,	3,	1),
(27695,	2,	1627,	1,	2),
(27696,	2,	1627,	2,	2),
(27697,	2,	1627,	3,	2),
(27698,	2,	1628,	1,	1),
(27699,	2,	1628,	2,	1),
(27700,	2,	1628,	3,	1),
(27701,	2,	1628,	1,	2),
(27702,	2,	1628,	2,	2),
(27703,	2,	1628,	3,	2),
(27704,	2,	1629,	1,	1),
(27705,	2,	1629,	2,	1),
(27706,	2,	1629,	3,	1),
(27707,	2,	1629,	1,	2),
(27708,	2,	1629,	2,	2),
(27709,	2,	1629,	3,	2),
(27710,	2,	1630,	1,	1),
(27711,	2,	1630,	2,	1),
(27712,	2,	1630,	3,	1),
(27713,	2,	1630,	1,	2),
(27714,	2,	1630,	2,	2),
(27715,	2,	1630,	3,	2),
(27716,	2,	1631,	1,	1),
(27717,	2,	1631,	2,	1),
(27718,	2,	1631,	3,	1),
(27719,	2,	1631,	81,	1),
(27720,	2,	1631,	1,	2),
(27721,	2,	1631,	2,	2),
(27722,	2,	1631,	3,	2),
(27723,	2,	1631,	81,	2),
(27724,	2,	1632,	1,	1),
(27725,	2,	1632,	2,	1),
(27726,	2,	1632,	3,	1),
(27727,	2,	1632,	4,	1),
(27728,	2,	1632,	5,	1),
(27729,	2,	1633,	1,	1),
(27730,	2,	1633,	2,	1),
(27731,	2,	1633,	3,	1),
(27732,	2,	1633,	1,	2),
(27733,	2,	1633,	2,	2),
(27734,	2,	1633,	3,	2),
(27735,	2,	1634,	1,	1),
(27736,	2,	1634,	2,	1),
(27737,	2,	1634,	3,	1),
(27738,	2,	1634,	26,	1),
(27739,	2,	1634,	4,	1),
(27740,	2,	1634,	1,	2),
(27741,	2,	1634,	2,	2),
(27742,	2,	1634,	3,	2),
(27743,	2,	1634,	26,	2),
(27744,	2,	1634,	4,	2),
(27745,	2,	1635,	1,	1),
(27746,	2,	1635,	2,	1),
(27747,	2,	1635,	3,	1),
(27748,	2,	1635,	4,	1),
(27749,	2,	1635,	5,	1),
(27750,	2,	1635,	82,	1),
(27751,	2,	1636,	1,	1),
(27752,	2,	1636,	2,	1),
(27753,	2,	1636,	3,	1),
(27754,	2,	1636,	4,	1),
(27755,	2,	1636,	5,	1),
(27756,	2,	1636,	82,	1),
(27757,	2,	1637,	1,	1),
(27758,	2,	1637,	2,	1),
(27759,	2,	1637,	3,	1),
(27760,	2,	1637,	1,	2),
(27761,	2,	1637,	2,	2),
(27762,	2,	1637,	3,	2),
(27763,	2,	1638,	1,	1),
(27764,	2,	1638,	2,	1),
(27765,	2,	1638,	3,	1),
(27766,	2,	1638,	81,	1),
(27767,	2,	1638,	4,	1),
(27768,	2,	1638,	26,	1),
(27769,	2,	1638,	1,	2),
(27770,	2,	1638,	2,	2),
(27771,	2,	1638,	3,	2),
(27772,	2,	1638,	81,	2),
(27773,	2,	1638,	4,	2),
(27774,	2,	1638,	26,	2),
(27775,	2,	1639,	1,	1),
(27776,	2,	1639,	2,	1),
(27777,	2,	1639,	3,	1),
(27778,	2,	1639,	1,	2),
(27779,	2,	1639,	2,	2),
(27780,	2,	1639,	3,	2),
(27781,	2,	1640,	1,	1),
(27782,	2,	1640,	2,	1),
(27783,	2,	1640,	3,	1),
(27784,	2,	1641,	1,	1),
(27785,	2,	1641,	2,	1),
(27786,	2,	1641,	3,	1),
(27787,	2,	1641,	1,	2),
(27788,	2,	1641,	2,	2),
(27789,	2,	1641,	3,	2),
(27790,	2,	1642,	1,	1),
(27791,	2,	1642,	2,	1),
(27792,	2,	1642,	3,	1),
(27793,	2,	1642,	1,	2),
(27794,	2,	1642,	2,	2),
(27795,	2,	1642,	3,	2),
(27796,	2,	1643,	1,	1),
(27797,	2,	1643,	2,	1),
(27798,	2,	1643,	3,	1),
(27799,	2,	1644,	1,	1),
(27800,	2,	1644,	2,	1),
(27801,	2,	1644,	3,	1),
(27802,	2,	1645,	1,	1),
(27803,	2,	1645,	2,	1),
(27804,	2,	1645,	3,	1),
(27805,	2,	1646,	1,	1),
(27806,	2,	1646,	2,	1),
(27807,	2,	1646,	3,	1),
(27808,	2,	1647,	1,	1),
(27809,	2,	1647,	2,	1),
(27810,	2,	1647,	3,	1),
(27811,	2,	1647,	1,	3),
(27812,	2,	1647,	2,	3),
(27813,	2,	1647,	3,	3),
(27814,	2,	1648,	1,	1),
(27815,	2,	1648,	2,	1),
(27816,	2,	1648,	3,	1),
(27817,	2,	1649,	1,	1),
(27818,	2,	1649,	2,	1),
(27819,	2,	1649,	3,	1),
(27820,	2,	1650,	1,	1),
(27821,	2,	1650,	2,	1),
(27822,	2,	1650,	3,	1),
(27823,	2,	1651,	1,	1),
(27824,	2,	1651,	2,	1),
(27825,	2,	1651,	3,	1),
(27826,	2,	1651,	1,	2),
(27827,	2,	1651,	2,	2),
(27828,	2,	1651,	3,	2),
(27829,	2,	1652,	1,	1),
(27830,	2,	1652,	2,	1),
(27831,	2,	1652,	3,	1),
(27832,	2,	1653,	1,	1),
(27833,	2,	1653,	2,	1),
(27834,	2,	1653,	3,	1),
(27835,	2,	1653,	1,	2),
(27836,	2,	1653,	2,	2),
(27837,	2,	1653,	3,	2),
(27838,	2,	1654,	1,	1),
(27839,	2,	1654,	2,	1),
(27840,	2,	1654,	3,	1),
(27841,	2,	1654,	1,	2),
(27842,	2,	1654,	2,	2),
(27843,	2,	1654,	3,	2),
(27844,	2,	1655,	1,	1),
(27845,	2,	1655,	2,	1),
(27846,	2,	1655,	3,	1),
(27847,	2,	1655,	1,	2),
(27848,	2,	1655,	2,	2),
(27849,	2,	1655,	3,	2),
(27850,	2,	1656,	1,	1),
(27851,	2,	1656,	2,	1),
(27852,	2,	1656,	3,	1),
(27853,	2,	1657,	1,	1),
(27854,	2,	1657,	2,	1),
(27855,	2,	1657,	3,	1),
(27856,	2,	1658,	1,	1),
(27857,	2,	1658,	2,	1),
(27858,	2,	1658,	3,	1),
(27859,	2,	1658,	1,	2),
(27860,	2,	1658,	2,	2),
(27861,	2,	1658,	3,	2),
(27862,	2,	1659,	1,	1),
(27863,	2,	1659,	2,	1),
(27864,	2,	1659,	3,	1),
(27865,	2,	1659,	1,	2),
(27866,	2,	1659,	2,	2),
(27867,	2,	1659,	3,	2),
(27868,	2,	1660,	1,	1),
(27869,	2,	1660,	2,	1),
(27870,	2,	1660,	3,	1),
(27871,	2,	1661,	1,	1),
(27872,	2,	1661,	2,	1),
(27873,	2,	1661,	3,	1),
(27874,	2,	1661,	1,	2),
(27875,	2,	1661,	2,	2),
(27876,	2,	1661,	3,	2),
(27877,	2,	1662,	1,	1),
(27878,	2,	1662,	2,	1),
(27879,	2,	1662,	3,	1),
(27880,	2,	1662,	1,	2),
(27881,	2,	1662,	2,	2),
(27882,	2,	1662,	3,	2),
(27883,	2,	1663,	1,	1),
(27884,	2,	1663,	2,	1),
(27885,	2,	1663,	3,	1),
(27886,	2,	1664,	1,	1),
(27887,	2,	1664,	2,	1),
(27888,	2,	1664,	3,	1),
(27889,	2,	1664,	1,	2),
(27890,	2,	1664,	2,	2),
(27891,	2,	1664,	3,	2),
(27892,	2,	1665,	1,	1),
(27893,	2,	1665,	2,	1),
(27894,	2,	1665,	3,	1),
(27895,	2,	1665,	1,	2),
(27896,	2,	1665,	2,	2),
(27897,	2,	1665,	3,	2),
(27898,	2,	1666,	1,	1),
(27899,	2,	1666,	2,	1),
(27900,	2,	1666,	3,	1),
(27901,	2,	1667,	1,	1),
(27902,	2,	1667,	2,	1),
(27903,	2,	1667,	3,	1),
(27904,	2,	1667,	1,	2),
(27905,	2,	1667,	2,	2),
(27906,	2,	1667,	3,	2),
(27907,	2,	1668,	1,	1),
(27908,	2,	1668,	2,	1),
(27909,	2,	1668,	3,	1),
(27910,	2,	1668,	1,	2),
(27911,	2,	1668,	2,	2),
(27912,	2,	1668,	3,	2),
(27913,	2,	1669,	1,	1),
(27914,	2,	1669,	2,	1),
(27915,	2,	1669,	3,	1),
(27916,	2,	1669,	1,	2),
(27917,	2,	1669,	2,	2),
(27918,	2,	1669,	3,	2),
(27919,	2,	1670,	1,	1),
(27920,	2,	1670,	2,	1),
(27921,	2,	1670,	3,	1),
(27922,	2,	1670,	1,	2),
(27923,	2,	1670,	2,	2),
(27924,	2,	1670,	3,	2),
(27925,	2,	1671,	1,	1),
(27926,	2,	1671,	2,	1),
(27927,	2,	1671,	3,	1),
(27928,	2,	1671,	1,	2),
(27929,	2,	1671,	2,	2),
(27930,	2,	1671,	3,	2),
(27931,	2,	1672,	1,	1),
(27932,	2,	1672,	2,	1),
(27933,	2,	1672,	3,	1),
(27934,	2,	1672,	1,	2),
(27935,	2,	1672,	2,	2),
(27936,	2,	1672,	3,	2),
(27937,	2,	1673,	1,	1),
(27938,	2,	1673,	2,	1),
(27939,	2,	1673,	3,	1),
(27940,	2,	1673,	1,	2),
(27941,	2,	1673,	2,	2),
(27942,	2,	1673,	3,	2),
(27943,	2,	1674,	1,	1),
(27944,	2,	1674,	2,	1),
(27945,	2,	1674,	3,	1),
(27946,	2,	1674,	1,	2),
(27947,	2,	1674,	2,	2),
(27948,	2,	1674,	3,	2),
(27949,	2,	1675,	1,	1),
(27950,	2,	1675,	2,	1),
(27951,	2,	1675,	3,	1),
(27952,	2,	1675,	1,	2),
(27953,	2,	1675,	2,	2),
(27954,	2,	1675,	3,	2),
(27955,	2,	1676,	1,	1),
(27956,	2,	1676,	2,	1),
(27957,	2,	1676,	3,	1),
(27958,	2,	1677,	1,	1),
(27959,	2,	1677,	2,	1),
(27960,	2,	1677,	3,	1),
(27961,	2,	1677,	1,	2),
(27962,	2,	1677,	2,	2),
(27963,	2,	1677,	3,	2),
(27964,	2,	1678,	1,	1),
(27965,	2,	1678,	2,	1),
(27966,	2,	1678,	3,	1),
(27967,	2,	1678,	1,	2),
(27968,	2,	1678,	2,	2),
(27969,	2,	1678,	3,	2),
(27970,	2,	1679,	1,	1),
(27971,	2,	1679,	2,	1),
(27972,	2,	1679,	3,	1),
(27973,	2,	1679,	1,	2),
(27974,	2,	1679,	2,	2),
(27975,	2,	1679,	3,	2),
(27976,	2,	1680,	1,	1),
(27977,	2,	1680,	2,	1),
(27978,	2,	1680,	3,	1),
(27979,	2,	1680,	1,	2),
(27980,	2,	1680,	2,	2),
(27981,	2,	1680,	3,	2),
(27982,	2,	1681,	1,	1),
(27983,	2,	1681,	2,	1),
(27984,	2,	1681,	3,	1),
(27985,	2,	1681,	1,	2),
(27986,	2,	1681,	2,	2),
(27987,	2,	1681,	3,	2),
(27988,	2,	1682,	1,	1),
(27989,	2,	1682,	2,	1),
(27990,	2,	1682,	3,	1),
(27991,	2,	1682,	1,	2),
(27992,	2,	1682,	2,	2),
(27993,	2,	1682,	3,	2),
(27994,	2,	1683,	1,	1),
(27995,	2,	1683,	2,	1),
(27996,	2,	1683,	3,	1),
(27997,	2,	1683,	1,	2),
(27998,	2,	1683,	2,	2),
(27999,	2,	1683,	3,	2),
(28000,	2,	1684,	1,	1),
(28001,	2,	1684,	2,	1),
(28002,	2,	1684,	3,	1),
(28003,	2,	1684,	1,	2),
(28004,	2,	1684,	2,	2),
(28005,	2,	1684,	3,	2),
(28006,	2,	1685,	1,	1),
(28007,	2,	1685,	2,	1),
(28008,	2,	1685,	3,	1),
(28009,	2,	1685,	1,	2),
(28010,	2,	1685,	2,	2),
(28011,	2,	1685,	3,	2),
(28012,	2,	1686,	1,	1),
(28013,	2,	1686,	2,	1),
(28014,	2,	1686,	3,	1),
(28015,	2,	1686,	1,	3),
(28016,	2,	1686,	2,	3),
(28017,	2,	1686,	3,	3),
(28018,	2,	1687,	1,	1),
(28019,	2,	1687,	2,	1),
(28020,	2,	1687,	3,	1),
(28021,	2,	1687,	1,	2),
(28022,	2,	1687,	2,	2),
(28023,	2,	1687,	3,	2),
(28024,	2,	1688,	1,	1),
(28025,	2,	1688,	2,	1),
(28026,	2,	1688,	3,	1),
(28027,	2,	1688,	1,	2),
(28028,	2,	1688,	2,	2),
(28029,	2,	1688,	3,	2),
(28030,	2,	1689,	1,	1),
(28031,	2,	1689,	2,	1),
(28032,	2,	1689,	3,	1),
(28033,	2,	1689,	1,	2),
(28034,	2,	1689,	2,	2),
(28035,	2,	1689,	3,	2),
(28036,	2,	1690,	1,	1),
(28037,	2,	1690,	2,	1),
(28038,	2,	1690,	3,	1),
(28039,	2,	1690,	1,	2),
(28040,	2,	1690,	2,	2),
(28041,	2,	1690,	3,	2),
(28042,	2,	1691,	1,	1),
(28043,	2,	1691,	2,	1),
(28044,	2,	1691,	3,	1),
(28045,	2,	1691,	1,	2),
(28046,	2,	1691,	2,	2),
(28047,	2,	1691,	3,	2),
(28048,	2,	1692,	1,	1),
(28049,	2,	1692,	2,	1),
(28050,	2,	1692,	3,	1),
(28051,	2,	1692,	1,	3),
(28052,	2,	1692,	2,	3),
(28053,	2,	1692,	3,	3),
(28054,	2,	1693,	1,	1),
(28055,	2,	1693,	2,	1),
(28056,	2,	1693,	3,	1),
(28057,	2,	1693,	1,	2),
(28058,	2,	1693,	2,	2),
(28059,	2,	1693,	3,	2),
(28060,	2,	1694,	1,	1),
(28061,	2,	1694,	2,	1),
(28062,	2,	1694,	3,	1),
(28063,	2,	1694,	1,	2),
(28064,	2,	1694,	2,	2),
(28065,	2,	1694,	3,	2),
(28066,	2,	1695,	1,	1),
(28067,	2,	1695,	2,	1),
(28068,	2,	1695,	3,	1),
(28069,	2,	1695,	1,	3),
(28070,	2,	1695,	2,	3),
(28071,	2,	1695,	3,	3),
(28072,	2,	1696,	1,	1),
(28073,	2,	1696,	2,	1),
(28074,	2,	1696,	3,	1),
(28075,	2,	1696,	1,	3),
(28076,	2,	1696,	2,	3),
(28077,	2,	1696,	3,	3),
(28078,	2,	1696,	1,	2),
(28079,	2,	1696,	2,	2),
(28080,	2,	1696,	3,	2),
(28081,	2,	1697,	1,	1),
(28082,	2,	1697,	2,	1),
(28083,	2,	1697,	3,	1),
(28084,	2,	1697,	1,	3),
(28085,	2,	1697,	2,	3),
(28086,	2,	1697,	3,	3),
(28087,	2,	1698,	1,	1),
(28088,	2,	1698,	2,	1),
(28089,	2,	1698,	3,	1),
(28090,	2,	1698,	1,	2),
(28091,	2,	1698,	2,	2),
(28092,	2,	1698,	3,	2),
(28093,	2,	1699,	1,	1),
(28094,	2,	1699,	2,	1),
(28095,	2,	1699,	3,	1),
(28096,	2,	1699,	1,	2),
(28097,	2,	1699,	2,	2),
(28098,	2,	1699,	3,	2),
(28099,	2,	1700,	1,	1),
(28100,	2,	1700,	2,	1),
(28101,	2,	1700,	3,	1),
(28102,	2,	1700,	1,	2),
(28103,	2,	1700,	2,	2),
(28104,	2,	1700,	3,	2),
(28105,	2,	1701,	1,	1),
(28106,	2,	1701,	2,	1),
(28107,	2,	1701,	3,	1),
(28108,	2,	1701,	1,	2),
(28109,	2,	1701,	2,	2),
(28110,	2,	1701,	3,	2),
(28111,	2,	1702,	1,	1),
(28112,	2,	1702,	2,	1),
(28113,	2,	1702,	3,	1),
(28114,	2,	1702,	1,	2),
(28115,	2,	1702,	2,	2),
(28116,	2,	1702,	3,	2),
(28117,	2,	1703,	1,	1),
(28118,	2,	1703,	2,	1),
(28119,	2,	1703,	3,	1),
(28120,	2,	1703,	1,	3),
(28121,	2,	1703,	2,	3),
(28122,	2,	1703,	3,	3),
(28123,	2,	1704,	1,	1),
(28124,	2,	1704,	2,	1),
(28125,	2,	1704,	3,	1),
(28126,	2,	1704,	1,	2),
(28127,	2,	1704,	2,	2),
(28128,	2,	1704,	3,	2),
(28129,	2,	1705,	1,	1),
(28130,	2,	1705,	2,	1),
(28131,	2,	1705,	3,	1),
(28132,	2,	1705,	1,	2),
(28133,	2,	1705,	2,	2),
(28134,	2,	1705,	3,	2),
(28135,	2,	1706,	1,	1),
(28136,	2,	1706,	2,	1),
(28137,	2,	1706,	3,	1),
(28138,	2,	1706,	1,	3),
(28139,	2,	1706,	2,	3),
(28140,	2,	1706,	3,	3),
(28141,	2,	1707,	1,	1),
(28142,	2,	1707,	2,	1),
(28143,	2,	1707,	3,	1),
(28144,	2,	1707,	1,	2),
(28145,	2,	1707,	2,	2),
(28146,	2,	1707,	3,	2),
(28147,	2,	1708,	1,	1),
(28148,	2,	1708,	2,	1),
(28149,	2,	1708,	3,	1),
(28150,	2,	1708,	1,	3),
(28151,	2,	1708,	2,	3),
(28152,	2,	1708,	3,	3),
(28153,	2,	1709,	1,	1),
(28154,	2,	1709,	2,	1),
(28155,	2,	1709,	3,	1),
(28156,	2,	1709,	1,	2),
(28157,	2,	1709,	2,	2),
(28158,	2,	1709,	3,	2),
(28159,	2,	1710,	1,	1),
(28160,	2,	1710,	2,	1),
(28161,	2,	1710,	3,	1),
(28162,	2,	1710,	1,	3),
(28163,	2,	1710,	2,	3),
(28164,	2,	1710,	3,	3),
(28165,	2,	1711,	1,	1),
(28166,	2,	1711,	2,	1),
(28167,	2,	1711,	3,	1),
(28168,	2,	1711,	1,	2),
(28169,	2,	1711,	2,	2),
(28170,	2,	1711,	3,	2),
(28171,	2,	1712,	1,	1),
(28172,	2,	1712,	2,	1),
(28173,	2,	1712,	3,	1),
(28174,	2,	1712,	1,	2),
(28175,	2,	1712,	2,	2),
(28176,	2,	1712,	3,	2),
(28177,	2,	1713,	1,	1),
(28178,	2,	1713,	2,	1),
(28179,	2,	1713,	3,	1),
(28180,	2,	1713,	1,	3),
(28181,	2,	1713,	2,	3),
(28182,	2,	1713,	3,	3),
(28183,	2,	1714,	1,	1),
(28184,	2,	1714,	2,	1),
(28185,	2,	1714,	3,	1),
(28186,	2,	1714,	83,	1),
(28187,	2,	1714,	1,	2),
(28188,	2,	1714,	2,	2),
(28189,	2,	1714,	3,	2),
(28190,	2,	1714,	83,	2),
(28191,	2,	1715,	1,	1),
(28192,	2,	1715,	2,	1),
(28193,	2,	1715,	3,	1),
(28194,	2,	1715,	1,	3),
(28195,	2,	1715,	2,	3),
(28196,	2,	1715,	3,	3),
(28197,	2,	1716,	1,	1),
(28198,	2,	1716,	2,	1),
(28199,	2,	1716,	3,	1),
(28200,	2,	1716,	1,	2),
(28201,	2,	1716,	2,	2),
(28202,	2,	1716,	3,	2),
(28203,	2,	1717,	1,	1),
(28204,	2,	1717,	2,	1),
(28205,	2,	1717,	3,	1),
(28206,	2,	1717,	1,	3),
(28207,	2,	1717,	2,	3),
(28208,	2,	1717,	3,	3),
(28209,	2,	1718,	1,	1),
(28210,	2,	1718,	2,	1),
(28211,	2,	1718,	3,	1),
(28212,	2,	1718,	1,	2),
(28213,	2,	1718,	2,	2),
(28214,	2,	1718,	3,	2),
(28215,	2,	1719,	1,	1),
(28216,	2,	1719,	2,	1),
(28217,	2,	1719,	3,	1),
(28218,	2,	1719,	1,	2),
(28219,	2,	1719,	2,	2),
(28220,	2,	1719,	3,	2),
(28221,	2,	1720,	1,	1),
(28222,	2,	1720,	2,	1),
(28223,	2,	1720,	3,	1),
(28224,	2,	1720,	1,	2),
(28225,	2,	1720,	2,	2),
(28226,	2,	1720,	3,	2),
(28227,	2,	1721,	1,	1),
(28228,	2,	1721,	2,	1),
(28229,	2,	1721,	3,	1),
(28230,	2,	1721,	1,	3),
(28231,	2,	1721,	2,	3),
(28232,	2,	1721,	3,	3),
(28233,	2,	1722,	1,	1),
(28234,	2,	1722,	2,	1),
(28235,	2,	1722,	3,	1),
(28236,	2,	1722,	1,	2),
(28237,	2,	1722,	2,	2),
(28238,	2,	1722,	3,	2),
(28239,	2,	1723,	1,	1),
(28240,	2,	1723,	2,	1),
(28241,	2,	1723,	3,	1),
(28242,	2,	1723,	1,	2),
(28243,	2,	1723,	2,	2),
(28244,	2,	1723,	3,	2),
(28245,	2,	1724,	1,	1),
(28246,	2,	1724,	2,	1),
(28247,	2,	1724,	3,	1),
(28248,	2,	1724,	1,	2),
(28249,	2,	1724,	2,	2),
(28250,	2,	1724,	3,	2),
(28251,	2,	1725,	1,	1),
(28252,	2,	1725,	2,	1),
(28253,	2,	1725,	3,	1),
(28254,	2,	1725,	1,	2),
(28255,	2,	1725,	2,	2),
(28256,	2,	1725,	3,	2),
(28257,	2,	1726,	1,	1),
(28258,	2,	1726,	2,	1),
(28259,	2,	1726,	3,	1),
(28260,	2,	1726,	1,	2),
(28261,	2,	1726,	2,	2),
(28262,	2,	1726,	3,	2),
(28263,	2,	1727,	1,	1),
(28264,	2,	1727,	2,	1),
(28265,	2,	1727,	3,	1),
(28266,	2,	1727,	1,	2),
(28267,	2,	1727,	2,	2),
(28268,	2,	1727,	3,	2),
(28269,	2,	1728,	1,	1),
(28270,	2,	1728,	2,	1),
(28271,	2,	1728,	3,	1),
(28272,	2,	1728,	1,	2),
(28273,	2,	1728,	2,	2),
(28274,	2,	1728,	3,	2),
(28275,	2,	1729,	1,	1),
(28276,	2,	1729,	2,	1),
(28277,	2,	1729,	3,	1),
(28278,	2,	1729,	1,	2),
(28279,	2,	1729,	2,	2),
(28280,	2,	1729,	3,	2),
(28281,	2,	1730,	1,	1),
(28282,	2,	1730,	2,	1),
(28283,	2,	1730,	3,	1),
(28284,	2,	1730,	1,	2),
(28285,	2,	1730,	2,	2),
(28286,	2,	1730,	3,	2),
(28287,	2,	1731,	1,	1),
(28288,	2,	1731,	2,	1),
(28289,	2,	1731,	3,	1),
(28290,	2,	1731,	1,	2),
(28291,	2,	1731,	2,	2),
(28292,	2,	1731,	3,	2),
(28293,	2,	1732,	1,	1),
(28294,	2,	1732,	2,	1),
(28295,	2,	1732,	3,	1),
(28296,	2,	1732,	1,	2),
(28297,	2,	1732,	2,	2),
(28298,	2,	1732,	3,	2),
(28299,	2,	1733,	1,	1),
(28300,	2,	1733,	2,	1),
(28301,	2,	1733,	3,	1),
(28302,	2,	1733,	1,	2),
(28303,	2,	1733,	2,	2),
(28304,	2,	1733,	3,	2),
(28305,	2,	1734,	1,	1),
(28306,	2,	1734,	2,	1),
(28307,	2,	1734,	3,	1),
(28308,	2,	1734,	1,	2),
(28309,	2,	1734,	2,	2),
(28310,	2,	1734,	3,	2),
(28311,	2,	1735,	1,	1),
(28312,	2,	1735,	2,	1),
(28313,	2,	1735,	3,	1),
(28314,	2,	1735,	1,	2),
(28315,	2,	1735,	2,	2),
(28316,	2,	1735,	3,	2),
(28317,	2,	1736,	1,	1),
(28318,	2,	1736,	2,	1),
(28319,	2,	1736,	3,	1),
(28320,	2,	1736,	1,	3),
(28321,	2,	1736,	2,	3),
(28322,	2,	1736,	3,	3),
(28323,	2,	1737,	1,	1),
(28324,	2,	1737,	2,	1),
(28325,	2,	1737,	3,	1),
(28326,	2,	1737,	1,	2),
(28327,	2,	1737,	2,	2),
(28328,	2,	1737,	3,	2),
(28329,	2,	1738,	1,	1),
(28330,	2,	1738,	2,	1),
(28331,	2,	1738,	3,	1),
(28332,	2,	1738,	23,	1),
(28333,	2,	1738,	1,	3),
(28334,	2,	1738,	2,	3),
(28335,	2,	1738,	3,	3),
(28336,	2,	1738,	23,	3),
(28337,	2,	1739,	1,	1),
(28338,	2,	1739,	2,	1),
(28339,	2,	1739,	3,	1),
(28340,	2,	1740,	1,	1),
(28341,	2,	1740,	2,	1),
(28342,	2,	1740,	3,	1),
(28343,	2,	1741,	1,	1),
(28344,	2,	1741,	2,	1),
(28345,	2,	1741,	3,	1),
(28346,	2,	1741,	84,	1),
(28347,	2,	1741,	1,	3),
(28348,	2,	1741,	2,	3),
(28349,	2,	1741,	3,	3),
(28350,	2,	1741,	84,	3),
(28351,	2,	1742,	1,	1),
(28352,	2,	1742,	2,	1),
(28353,	2,	1742,	3,	1),
(28354,	2,	1742,	1,	3),
(28355,	2,	1742,	2,	3),
(28356,	2,	1742,	3,	3),
(28357,	2,	1743,	1,	1),
(28358,	2,	1743,	2,	1),
(28359,	2,	1743,	3,	1),
(28360,	2,	1744,	1,	1),
(28361,	2,	1744,	2,	1),
(28362,	2,	1744,	3,	1),
(28363,	2,	1744,	84,	1),
(28364,	2,	1744,	1,	3),
(28365,	2,	1744,	2,	3),
(28366,	2,	1744,	3,	3),
(28367,	2,	1744,	84,	3),
(28368,	2,	1745,	1,	1),
(28369,	2,	1745,	2,	1),
(28370,	2,	1745,	3,	1),
(28371,	2,	1745,	1,	3),
(28372,	2,	1745,	2,	3),
(28373,	2,	1745,	3,	3),
(28374,	2,	1746,	1,	1),
(28375,	2,	1746,	2,	1),
(28376,	2,	1746,	3,	1),
(28377,	2,	1746,	1,	3),
(28378,	2,	1746,	2,	3),
(28379,	2,	1746,	3,	3),
(28380,	2,	1747,	1,	1),
(28381,	2,	1747,	2,	1),
(28382,	2,	1747,	3,	1),
(28383,	2,	1747,	1,	3),
(28384,	2,	1747,	2,	3),
(28385,	2,	1747,	3,	3),
(28386,	2,	1748,	1,	1),
(28387,	2,	1748,	2,	1),
(28388,	2,	1748,	3,	1),
(28389,	2,	1748,	1,	3),
(28390,	2,	1748,	2,	3),
(28391,	2,	1748,	3,	3),
(28392,	2,	1749,	1,	1),
(28393,	2,	1749,	2,	1),
(28394,	2,	1749,	3,	1),
(28395,	2,	1749,	1,	2),
(28396,	2,	1749,	2,	2),
(28397,	2,	1749,	3,	2),
(28398,	2,	1750,	1,	1),
(28399,	2,	1750,	2,	1),
(28400,	2,	1750,	3,	1),
(28401,	2,	1750,	1,	2),
(28402,	2,	1750,	2,	2),
(28403,	2,	1750,	3,	2),
(28404,	2,	1751,	1,	1),
(28405,	2,	1751,	2,	1),
(28406,	2,	1751,	3,	1),
(28407,	2,	1751,	1,	2),
(28408,	2,	1751,	2,	2),
(28409,	2,	1751,	3,	2),
(28410,	2,	1752,	1,	1),
(28411,	2,	1752,	2,	1),
(28412,	2,	1752,	3,	1),
(28413,	2,	1752,	1,	2),
(28414,	2,	1752,	2,	2),
(28415,	2,	1752,	3,	2),
(28416,	2,	1753,	1,	1),
(28417,	2,	1753,	2,	1),
(28418,	2,	1753,	3,	1),
(28419,	2,	1753,	1,	3),
(28420,	2,	1753,	2,	3),
(28421,	2,	1753,	3,	3),
(28422,	2,	1754,	1,	1),
(28423,	2,	1754,	2,	1),
(28424,	2,	1754,	3,	1),
(28425,	2,	1754,	1,	2),
(28426,	2,	1754,	2,	2),
(28427,	2,	1754,	3,	2),
(28428,	2,	1755,	1,	1),
(28429,	2,	1755,	2,	1),
(28430,	2,	1755,	3,	1),
(28431,	2,	1755,	1,	2),
(28432,	2,	1755,	2,	2),
(28433,	2,	1755,	3,	2),
(28434,	2,	1756,	1,	1),
(28435,	2,	1756,	2,	1),
(28436,	2,	1756,	3,	1),
(28437,	2,	1756,	1,	2),
(28438,	2,	1756,	2,	2),
(28439,	2,	1756,	3,	2),
(28440,	2,	1757,	1,	1),
(28441,	2,	1757,	2,	1),
(28442,	2,	1757,	3,	1),
(28443,	2,	1757,	1,	2),
(28444,	2,	1757,	2,	2),
(28445,	2,	1757,	3,	2),
(28446,	2,	1758,	1,	1),
(28447,	2,	1758,	2,	1),
(28448,	2,	1758,	3,	1),
(28449,	2,	1758,	1,	2),
(28450,	2,	1758,	2,	2),
(28451,	2,	1758,	3,	2),
(28452,	2,	1759,	1,	1),
(28453,	2,	1759,	2,	1),
(28454,	2,	1759,	3,	1),
(28455,	2,	1760,	1,	1),
(28456,	2,	1760,	2,	1),
(28457,	2,	1760,	3,	1),
(28458,	2,	1761,	1,	1),
(28459,	2,	1761,	2,	1),
(28460,	2,	1761,	3,	1),
(28461,	2,	1762,	1,	1),
(28462,	2,	1762,	2,	1),
(28463,	2,	1762,	3,	1),
(28464,	2,	1763,	1,	1),
(28465,	2,	1763,	2,	1),
(28466,	2,	1763,	3,	1),
(28467,	2,	1764,	1,	1),
(28468,	2,	1764,	2,	1),
(28469,	2,	1764,	3,	1),
(28470,	2,	1765,	1,	1),
(28471,	2,	1765,	2,	1),
(28472,	2,	1765,	3,	1),
(28473,	2,	1766,	1,	1),
(28474,	2,	1766,	2,	1),
(28475,	2,	1766,	3,	1),
(28476,	2,	1767,	1,	1),
(28477,	2,	1767,	2,	1),
(28478,	2,	1767,	3,	1),
(28479,	2,	1767,	1,	2),
(28480,	2,	1767,	2,	2),
(28481,	2,	1767,	3,	2),
(28482,	2,	1768,	1,	1),
(28483,	2,	1768,	2,	1),
(28484,	2,	1768,	3,	1),
(28485,	2,	1768,	1,	2),
(28486,	2,	1768,	2,	2),
(28487,	2,	1768,	3,	2),
(28488,	2,	1769,	1,	1),
(28489,	2,	1769,	2,	1),
(28490,	2,	1769,	3,	1),
(28491,	2,	1770,	1,	1),
(28492,	2,	1770,	2,	1),
(28493,	2,	1770,	3,	1),
(28494,	2,	1771,	1,	1),
(28495,	2,	1771,	2,	1),
(28496,	2,	1771,	3,	1),
(28497,	2,	1772,	1,	1),
(28498,	2,	1772,	2,	1),
(28499,	2,	1772,	3,	1),
(28500,	2,	1773,	1,	1),
(28501,	2,	1773,	2,	1),
(28502,	2,	1773,	3,	1),
(28503,	2,	1774,	1,	1),
(28504,	2,	1774,	2,	1),
(28505,	2,	1774,	3,	1),
(28506,	2,	1775,	1,	1),
(28507,	2,	1775,	2,	1),
(28508,	2,	1775,	3,	1),
(28509,	2,	1775,	1,	2),
(28510,	2,	1775,	2,	2),
(28511,	2,	1775,	3,	2),
(28512,	2,	1776,	1,	1),
(28513,	2,	1776,	2,	1),
(28514,	2,	1776,	3,	1),
(28515,	2,	1776,	1,	2),
(28516,	2,	1776,	2,	2),
(28517,	2,	1776,	3,	2),
(28518,	2,	1777,	1,	1),
(28519,	2,	1777,	2,	1),
(28520,	2,	1777,	3,	1),
(28521,	2,	1777,	1,	2),
(28522,	2,	1777,	2,	2),
(28523,	2,	1777,	3,	2),
(28524,	2,	1778,	1,	1),
(28525,	2,	1778,	2,	1),
(28526,	2,	1778,	3,	1),
(28527,	2,	1779,	1,	1),
(28528,	2,	1779,	2,	1),
(28529,	2,	1779,	3,	1),
(28530,	2,	1779,	1,	2),
(28531,	2,	1779,	2,	2),
(28532,	2,	1779,	3,	2),
(28533,	2,	1780,	1,	1),
(28534,	2,	1780,	2,	1),
(28535,	2,	1780,	3,	1),
(28536,	2,	1780,	1,	2),
(28537,	2,	1780,	2,	2),
(28538,	2,	1780,	3,	2),
(28539,	2,	1781,	1,	1),
(28540,	2,	1781,	2,	1),
(28541,	2,	1781,	3,	1),
(28542,	2,	1781,	1,	2),
(28543,	2,	1781,	2,	2),
(28544,	2,	1781,	3,	2),
(28545,	2,	1782,	1,	1),
(28546,	2,	1782,	2,	1),
(28547,	2,	1782,	3,	1),
(28548,	2,	1783,	1,	1),
(28549,	2,	1783,	2,	1),
(28550,	2,	1783,	3,	1),
(28551,	2,	1783,	1,	2),
(28552,	2,	1783,	2,	2),
(28553,	2,	1783,	3,	2),
(28554,	2,	1784,	1,	1),
(28555,	2,	1784,	2,	1),
(28556,	2,	1784,	3,	1),
(28557,	2,	1784,	1,	2),
(28558,	2,	1784,	2,	2),
(28559,	2,	1784,	3,	2),
(28560,	2,	1785,	1,	1),
(28561,	2,	1785,	2,	1),
(28562,	2,	1785,	3,	1),
(28563,	2,	1785,	1,	2),
(28564,	2,	1785,	2,	2),
(28565,	2,	1785,	3,	2),
(28566,	2,	1786,	1,	1),
(28567,	2,	1786,	2,	1),
(28568,	2,	1786,	3,	1),
(28569,	2,	1787,	1,	1),
(28570,	2,	1787,	2,	1),
(28571,	2,	1787,	3,	1),
(28572,	2,	1787,	1,	2),
(28573,	2,	1787,	2,	2),
(28574,	2,	1787,	3,	2),
(28575,	2,	1788,	1,	1),
(28576,	2,	1788,	2,	1),
(28577,	2,	1788,	3,	1),
(28578,	2,	1788,	1,	2),
(28579,	2,	1788,	2,	2),
(28580,	2,	1788,	3,	2),
(28581,	2,	1789,	1,	1),
(28582,	2,	1789,	2,	1),
(28583,	2,	1789,	3,	1),
(28584,	2,	1789,	1,	2),
(28585,	2,	1789,	2,	2),
(28586,	2,	1789,	3,	2),
(28587,	2,	1790,	1,	1),
(28588,	2,	1790,	2,	1),
(28589,	2,	1790,	3,	1),
(28590,	2,	1790,	1,	2),
(28591,	2,	1790,	2,	2),
(28592,	2,	1790,	3,	2),
(28593,	2,	1791,	1,	1),
(28594,	2,	1791,	2,	1),
(28595,	2,	1791,	3,	1),
(28596,	2,	1791,	1,	2),
(28597,	2,	1791,	2,	2),
(28598,	2,	1791,	3,	2),
(28599,	2,	1792,	1,	1),
(28600,	2,	1792,	2,	1),
(28601,	2,	1792,	3,	1),
(28602,	2,	1793,	1,	1),
(28603,	2,	1793,	2,	1),
(28604,	2,	1793,	3,	1),
(28605,	2,	1793,	1,	2),
(28606,	2,	1793,	2,	2),
(28607,	2,	1793,	3,	2),
(28608,	2,	1794,	1,	1),
(28609,	2,	1794,	2,	1),
(28610,	2,	1794,	3,	1),
(28611,	2,	1794,	1,	2),
(28612,	2,	1794,	2,	2),
(28613,	2,	1794,	3,	2),
(28614,	2,	1795,	1,	1),
(28615,	2,	1795,	2,	1),
(28616,	2,	1795,	3,	1),
(28617,	2,	1795,	1,	3),
(28618,	2,	1795,	2,	3),
(28619,	2,	1795,	3,	3),
(28620,	2,	1795,	1,	2),
(28621,	2,	1795,	2,	2),
(28622,	2,	1795,	3,	2),
(28623,	2,	1796,	1,	1),
(28624,	2,	1796,	2,	1),
(28625,	2,	1796,	3,	1),
(28626,	2,	1796,	1,	3),
(28627,	2,	1796,	2,	3),
(28628,	2,	1796,	3,	3),
(28629,	2,	1796,	1,	2),
(28630,	2,	1796,	2,	2),
(28631,	2,	1796,	3,	2),
(28632,	2,	1797,	1,	1),
(28633,	2,	1797,	2,	1),
(28634,	2,	1797,	3,	1),
(28635,	2,	1797,	1,	2),
(28636,	2,	1797,	2,	2),
(28637,	2,	1797,	3,	2),
(28638,	2,	1798,	1,	1),
(28639,	2,	1798,	2,	1),
(28640,	2,	1798,	3,	1),
(28641,	2,	1798,	1,	2),
(28642,	2,	1798,	2,	2),
(28643,	2,	1798,	3,	2),
(28644,	2,	1799,	1,	1),
(28645,	2,	1799,	2,	1),
(28646,	2,	1799,	3,	1),
(28647,	2,	1799,	1,	2),
(28648,	2,	1799,	2,	2),
(28649,	2,	1799,	3,	2),
(28650,	2,	1800,	1,	1),
(28651,	2,	1800,	2,	1),
(28652,	2,	1800,	3,	1),
(28653,	2,	1800,	1,	2),
(28654,	2,	1800,	2,	2),
(28655,	2,	1800,	3,	2),
(28656,	2,	1801,	1,	1),
(28657,	2,	1801,	2,	1),
(28658,	2,	1801,	3,	1),
(28659,	2,	1801,	1,	2),
(28660,	2,	1801,	2,	2),
(28661,	2,	1801,	3,	2),
(28662,	2,	1802,	1,	1),
(28663,	2,	1802,	2,	1),
(28664,	2,	1802,	3,	1),
(28665,	2,	1802,	1,	2),
(28666,	2,	1802,	2,	2),
(28667,	2,	1802,	3,	2),
(28668,	2,	1803,	1,	1),
(28669,	2,	1803,	2,	1),
(28670,	2,	1803,	3,	1),
(28671,	2,	1803,	1,	3),
(28672,	2,	1803,	2,	3),
(28673,	2,	1803,	3,	3),
(28674,	2,	1803,	1,	2),
(28675,	2,	1803,	2,	2),
(28676,	2,	1803,	3,	2),
(28677,	2,	1804,	1,	1),
(28678,	2,	1804,	2,	1),
(28679,	2,	1804,	3,	1),
(28680,	2,	1804,	1,	2),
(28681,	2,	1804,	2,	2),
(28682,	2,	1804,	3,	2),
(28683,	2,	1805,	1,	1),
(28684,	2,	1805,	2,	1),
(28685,	2,	1805,	3,	1),
(28686,	2,	1805,	1,	2),
(28687,	2,	1805,	2,	2),
(28688,	2,	1805,	3,	2),
(28689,	2,	1203,	85,	1),
(28690,	2,	1807,	24,	1),
(28691,	2,	1811,	82,	1),
(28692,	2,	1832,	2,	2),
(28693,	2,	1832,	2,	1),
(28694,	2,	1833,	2,	2),
(28695,	2,	1833,	2,	1),
(28696,	2,	1834,	2,	1),
(28697,	2,	1811,	88,	1),
(28698,	2,	1811,	89,	1),
(28699,	2,	1811,	90,	1),
(28700,	2,	1811,	91,	1),
(32770,	3,	1,	1,	1),
(32771,	3,	1,	2,	1),
(32772,	3,	1,	3,	1),
(32773,	3,	1,	4,	1),
(32774,	3,	1,	1,	2),
(32775,	3,	1,	2,	2),
(32776,	3,	1,	3,	2),
(32777,	3,	1,	4,	2),
(32778,	3,	2,	1,	1),
(32779,	3,	2,	2,	1),
(32780,	3,	2,	3,	1),
(32781,	3,	2,	1,	2),
(32782,	3,	2,	2,	2),
(32783,	3,	2,	3,	2),
(32784,	3,	3,	1,	1),
(32785,	3,	3,	2,	1),
(32786,	3,	3,	3,	1),
(32787,	3,	3,	4,	1),
(32788,	3,	3,	5,	1),
(32789,	3,	3,	1,	2),
(32790,	3,	3,	2,	2),
(32791,	3,	3,	3,	2),
(32792,	3,	3,	4,	2),
(32793,	3,	3,	5,	2),
(32794,	3,	4,	1,	1),
(32795,	3,	4,	2,	1),
(32796,	3,	4,	3,	1),
(32797,	3,	4,	4,	1),
(32798,	3,	4,	5,	1),
(32799,	3,	4,	1,	2),
(32800,	3,	4,	2,	2),
(32801,	3,	4,	3,	2),
(32802,	3,	4,	4,	2),
(32803,	3,	4,	5,	2),
(32804,	3,	5,	1,	1),
(32805,	3,	5,	2,	1),
(32806,	3,	5,	3,	1),
(32807,	3,	5,	6,	1),
(32808,	3,	6,	1,	1),
(32809,	3,	6,	2,	1),
(32810,	3,	6,	3,	1),
(32811,	3,	6,	6,	1),
(32812,	3,	7,	1,	1),
(32813,	3,	7,	2,	1),
(32814,	3,	7,	3,	1),
(32815,	3,	7,	1,	2),
(32816,	3,	7,	2,	2),
(32817,	3,	7,	3,	2),
(32818,	3,	8,	1,	1),
(32819,	3,	8,	2,	1),
(32820,	3,	8,	3,	1),
(32821,	3,	8,	7,	1),
(32822,	3,	8,	8,	1),
(32823,	3,	8,	9,	1),
(32824,	3,	8,	10,	1),
(32825,	3,	8,	11,	1),
(32826,	3,	8,	12,	1),
(32827,	3,	8,	13,	1),
(32828,	3,	8,	14,	1),
(32829,	3,	8,	15,	1),
(32830,	3,	8,	16,	1),
(32831,	3,	8,	17,	1),
(32832,	3,	8,	18,	1),
(32833,	3,	8,	19,	1),
(32834,	3,	8,	20,	1),
(32835,	3,	8,	21,	1),
(32836,	3,	8,	22,	1),
(32837,	3,	9,	1,	1),
(32838,	3,	9,	2,	1),
(32839,	3,	9,	3,	1),
(32840,	3,	9,	7,	1),
(32841,	3,	9,	8,	1),
(32842,	3,	9,	9,	1),
(32843,	3,	9,	10,	1),
(32844,	3,	9,	11,	1),
(32845,	3,	9,	12,	1),
(32846,	3,	9,	13,	1),
(32847,	3,	9,	14,	1),
(32848,	3,	9,	15,	1),
(32849,	3,	9,	16,	1),
(32850,	3,	9,	17,	1),
(32851,	3,	9,	18,	1),
(32852,	3,	9,	19,	1),
(32853,	3,	9,	20,	1),
(32854,	3,	9,	21,	1),
(32855,	3,	9,	22,	1),
(32856,	3,	10,	1,	1),
(32857,	3,	10,	2,	1),
(32858,	3,	10,	3,	1),
(32859,	3,	10,	7,	1),
(32860,	3,	10,	8,	1),
(32861,	3,	10,	9,	1),
(32862,	3,	10,	10,	1),
(32863,	3,	10,	11,	1),
(32864,	3,	10,	12,	1),
(32865,	3,	10,	13,	1),
(32866,	3,	10,	14,	1),
(32867,	3,	10,	15,	1),
(32868,	3,	10,	16,	1),
(32869,	3,	10,	17,	1),
(32870,	3,	10,	18,	1),
(32871,	3,	10,	19,	1),
(32872,	3,	10,	20,	1),
(32873,	3,	10,	21,	1),
(32874,	3,	10,	22,	1),
(32875,	3,	11,	1,	1),
(32876,	3,	11,	2,	1),
(32877,	3,	11,	3,	1),
(32878,	3,	11,	7,	1),
(32879,	3,	11,	8,	1),
(32880,	3,	11,	9,	1),
(32881,	3,	11,	10,	1),
(32882,	3,	11,	11,	1),
(32883,	3,	11,	12,	1),
(32884,	3,	11,	13,	1),
(32885,	3,	11,	14,	1),
(32886,	3,	11,	15,	1),
(32887,	3,	11,	16,	1),
(32888,	3,	11,	17,	1),
(32889,	3,	11,	18,	1),
(32890,	3,	11,	19,	1),
(32891,	3,	11,	20,	1),
(32892,	3,	11,	21,	1),
(32893,	3,	11,	22,	1),
(32894,	3,	12,	1,	1),
(32895,	3,	12,	2,	1),
(32896,	3,	12,	3,	1),
(32897,	3,	12,	7,	1),
(32898,	3,	12,	8,	1),
(32899,	3,	12,	9,	1),
(32900,	3,	12,	10,	1),
(32901,	3,	12,	11,	1),
(32902,	3,	12,	12,	1),
(32903,	3,	12,	13,	1),
(32904,	3,	12,	14,	1),
(32905,	3,	12,	15,	1),
(32906,	3,	12,	16,	1),
(32907,	3,	12,	17,	1),
(32908,	3,	12,	18,	1),
(32909,	3,	12,	19,	1),
(32910,	3,	12,	20,	1),
(32911,	3,	12,	21,	1),
(32912,	3,	12,	22,	1),
(32913,	3,	13,	1,	1),
(32914,	3,	13,	2,	1),
(32915,	3,	13,	3,	1),
(32916,	3,	13,	7,	1),
(32917,	3,	13,	8,	1),
(32918,	3,	13,	9,	1),
(32919,	3,	13,	10,	1),
(32920,	3,	13,	11,	1),
(32921,	3,	13,	12,	1),
(32922,	3,	13,	13,	1),
(32923,	3,	13,	14,	1),
(32924,	3,	13,	15,	1),
(32925,	3,	13,	16,	1),
(32926,	3,	13,	17,	1),
(32927,	3,	13,	18,	1),
(32928,	3,	13,	19,	1),
(32929,	3,	13,	20,	1),
(32930,	3,	13,	21,	1),
(32931,	3,	13,	22,	1),
(32932,	3,	14,	1,	1),
(32933,	3,	14,	2,	1),
(32934,	3,	14,	3,	1),
(32935,	3,	14,	7,	1),
(32936,	3,	14,	8,	1),
(32937,	3,	14,	9,	1),
(32938,	3,	14,	10,	1),
(32939,	3,	14,	11,	1),
(32940,	3,	14,	12,	1),
(32941,	3,	14,	13,	1),
(32942,	3,	14,	14,	1),
(32943,	3,	14,	15,	1),
(32944,	3,	14,	16,	1),
(32945,	3,	14,	17,	1),
(32946,	3,	14,	18,	1),
(32947,	3,	14,	19,	1),
(32948,	3,	14,	20,	1),
(32949,	3,	14,	21,	1),
(32950,	3,	14,	22,	1),
(32951,	3,	15,	1,	1),
(32952,	3,	15,	2,	1),
(32953,	3,	15,	3,	1),
(32954,	3,	15,	7,	1),
(32955,	3,	15,	8,	1),
(32956,	3,	15,	9,	1),
(32957,	3,	15,	10,	1),
(32958,	3,	15,	11,	1),
(32959,	3,	15,	12,	1),
(32960,	3,	15,	13,	1),
(32961,	3,	15,	14,	1),
(32962,	3,	15,	15,	1),
(32963,	3,	15,	16,	1),
(32964,	3,	15,	17,	1),
(32965,	3,	15,	18,	1),
(32966,	3,	15,	19,	1),
(32967,	3,	15,	20,	1),
(32968,	3,	15,	21,	1),
(32969,	3,	15,	22,	1),
(32970,	3,	16,	1,	1),
(32971,	3,	16,	2,	1),
(32972,	3,	16,	3,	1),
(32973,	3,	16,	7,	1),
(32974,	3,	16,	8,	1),
(32975,	3,	16,	9,	1),
(32976,	3,	16,	10,	1),
(32977,	3,	16,	11,	1),
(32978,	3,	16,	12,	1),
(32979,	3,	16,	13,	1),
(32980,	3,	16,	14,	1),
(32981,	3,	16,	15,	1),
(32982,	3,	16,	16,	1),
(32983,	3,	16,	17,	1),
(32984,	3,	16,	18,	1),
(32985,	3,	16,	19,	1),
(32986,	3,	16,	20,	1),
(32987,	3,	16,	21,	1),
(32988,	3,	16,	22,	1),
(32989,	3,	17,	1,	1),
(32990,	3,	17,	2,	1),
(32991,	3,	17,	3,	1),
(32992,	3,	17,	7,	1),
(32993,	3,	17,	8,	1),
(32994,	3,	17,	9,	1),
(32995,	3,	17,	10,	1),
(32996,	3,	17,	11,	1),
(32997,	3,	17,	12,	1),
(32998,	3,	17,	13,	1),
(32999,	3,	17,	14,	1),
(33000,	3,	17,	15,	1),
(33001,	3,	17,	16,	1),
(33002,	3,	17,	17,	1),
(33003,	3,	17,	18,	1),
(33004,	3,	17,	19,	1),
(33005,	3,	17,	20,	1),
(33006,	3,	17,	21,	1),
(33007,	3,	17,	22,	1),
(33008,	3,	18,	1,	1),
(33009,	3,	18,	2,	1),
(33010,	3,	18,	3,	1),
(33011,	3,	18,	7,	1),
(33012,	3,	18,	8,	1),
(33013,	3,	18,	9,	1),
(33014,	3,	18,	10,	1),
(33015,	3,	18,	11,	1),
(33016,	3,	18,	12,	1),
(33017,	3,	18,	13,	1),
(33018,	3,	18,	14,	1),
(33019,	3,	18,	15,	1),
(33020,	3,	18,	16,	1),
(33021,	3,	18,	17,	1),
(33022,	3,	18,	18,	1),
(33023,	3,	18,	19,	1),
(33024,	3,	18,	20,	1),
(33025,	3,	18,	21,	1),
(33026,	3,	18,	22,	1),
(33027,	3,	19,	1,	1),
(33028,	3,	19,	2,	1),
(33029,	3,	19,	3,	1),
(33030,	3,	19,	7,	1),
(33031,	3,	19,	8,	1),
(33032,	3,	19,	9,	1),
(33033,	3,	19,	10,	1),
(33034,	3,	19,	11,	1),
(33035,	3,	19,	12,	1),
(33036,	3,	19,	13,	1),
(33037,	3,	19,	14,	1),
(33038,	3,	19,	15,	1),
(33039,	3,	19,	16,	1),
(33040,	3,	19,	17,	1),
(33041,	3,	19,	18,	1),
(33042,	3,	19,	19,	1),
(33043,	3,	19,	20,	1),
(33044,	3,	19,	21,	1),
(33045,	3,	19,	22,	1),
(33046,	3,	20,	1,	1),
(33047,	3,	20,	2,	1),
(33048,	3,	20,	3,	1),
(33049,	3,	20,	7,	1),
(33050,	3,	20,	8,	1),
(33051,	3,	20,	9,	1),
(33052,	3,	20,	10,	1),
(33053,	3,	20,	11,	1),
(33054,	3,	20,	12,	1),
(33055,	3,	20,	13,	1),
(33056,	3,	20,	14,	1),
(33057,	3,	20,	15,	1),
(33058,	3,	20,	16,	1),
(33059,	3,	20,	17,	1),
(33060,	3,	20,	18,	1),
(33061,	3,	20,	19,	1),
(33062,	3,	20,	20,	1),
(33063,	3,	20,	21,	1),
(33064,	3,	20,	22,	1),
(33065,	3,	21,	1,	1),
(33066,	3,	21,	2,	1),
(33067,	3,	21,	3,	1),
(33068,	3,	21,	7,	1),
(33069,	3,	21,	8,	1),
(33070,	3,	21,	9,	1),
(33071,	3,	21,	10,	1),
(33072,	3,	21,	11,	1),
(33073,	3,	21,	12,	1),
(33074,	3,	21,	13,	1),
(33075,	3,	21,	14,	1),
(33076,	3,	21,	15,	1),
(33077,	3,	21,	16,	1),
(33078,	3,	21,	17,	1),
(33079,	3,	21,	18,	1),
(33080,	3,	21,	19,	1),
(33081,	3,	21,	20,	1),
(33082,	3,	21,	21,	1),
(33083,	3,	21,	22,	1),
(33084,	3,	22,	1,	1),
(33085,	3,	22,	2,	1),
(33086,	3,	22,	3,	1),
(33087,	3,	22,	7,	1),
(33088,	3,	22,	8,	1),
(33089,	3,	22,	9,	1),
(33090,	3,	22,	10,	1),
(33091,	3,	22,	11,	1),
(33092,	3,	22,	12,	1),
(33093,	3,	22,	13,	1),
(33094,	3,	22,	14,	1),
(33095,	3,	22,	15,	1),
(33096,	3,	22,	16,	1),
(33097,	3,	22,	17,	1),
(33098,	3,	22,	18,	1),
(33099,	3,	22,	19,	1),
(33100,	3,	22,	20,	1),
(33101,	3,	22,	21,	1),
(33102,	3,	22,	22,	1),
(33103,	3,	23,	1,	1),
(33104,	3,	23,	2,	1),
(33105,	3,	23,	3,	1),
(33106,	3,	23,	7,	1),
(33107,	3,	23,	8,	1),
(33108,	3,	23,	9,	1),
(33109,	3,	23,	10,	1),
(33110,	3,	23,	11,	1),
(33111,	3,	23,	12,	1),
(33112,	3,	23,	13,	1),
(33113,	3,	23,	14,	1),
(33114,	3,	23,	15,	1),
(33115,	3,	23,	16,	1),
(33116,	3,	23,	17,	1),
(33117,	3,	23,	18,	1),
(33118,	3,	23,	19,	1),
(33119,	3,	23,	20,	1),
(33120,	3,	23,	21,	1),
(33121,	3,	23,	22,	1),
(33122,	3,	24,	1,	1),
(33123,	3,	24,	2,	1),
(33124,	3,	24,	3,	1),
(33125,	3,	24,	7,	1),
(33126,	3,	24,	8,	1),
(33127,	3,	24,	9,	1),
(33128,	3,	24,	10,	1),
(33129,	3,	24,	11,	1),
(33130,	3,	24,	12,	1),
(33131,	3,	24,	13,	1),
(33132,	3,	24,	14,	1),
(33133,	3,	24,	15,	1),
(33134,	3,	24,	16,	1),
(33135,	3,	24,	17,	1),
(33136,	3,	24,	18,	1),
(33137,	3,	24,	19,	1),
(33138,	3,	24,	20,	1),
(33139,	3,	24,	21,	1),
(33140,	3,	24,	22,	1),
(33141,	3,	25,	1,	1),
(33142,	3,	25,	2,	1),
(33143,	3,	25,	3,	1),
(33144,	3,	25,	7,	1),
(33145,	3,	25,	8,	1),
(33146,	3,	25,	9,	1),
(33147,	3,	25,	10,	1),
(33148,	3,	25,	11,	1),
(33149,	3,	25,	12,	1),
(33150,	3,	25,	13,	1),
(33151,	3,	25,	14,	1),
(33152,	3,	25,	15,	1),
(33153,	3,	25,	16,	1),
(33154,	3,	25,	17,	1),
(33155,	3,	25,	18,	1),
(33156,	3,	25,	19,	1),
(33157,	3,	25,	20,	1),
(33158,	3,	25,	21,	1),
(33159,	3,	25,	22,	1),
(33160,	3,	26,	1,	1),
(33161,	3,	26,	2,	1),
(33162,	3,	26,	3,	1),
(33163,	3,	26,	7,	1),
(33164,	3,	26,	8,	1),
(33165,	3,	26,	9,	1),
(33166,	3,	26,	10,	1),
(33167,	3,	26,	11,	1),
(33168,	3,	26,	12,	1),
(33169,	3,	26,	13,	1),
(33170,	3,	26,	14,	1),
(33171,	3,	26,	15,	1),
(33172,	3,	26,	16,	1),
(33173,	3,	26,	17,	1),
(33174,	3,	26,	18,	1),
(33175,	3,	26,	19,	1),
(33176,	3,	26,	20,	1),
(33177,	3,	26,	21,	1),
(33178,	3,	26,	22,	1),
(33179,	3,	27,	1,	1),
(33180,	3,	27,	2,	1),
(33181,	3,	27,	3,	1),
(33182,	3,	27,	7,	1),
(33183,	3,	27,	8,	1),
(33184,	3,	27,	9,	1),
(33185,	3,	27,	10,	1),
(33186,	3,	27,	11,	1),
(33187,	3,	27,	12,	1),
(33188,	3,	27,	13,	1),
(33189,	3,	27,	14,	1),
(33190,	3,	27,	15,	1),
(33191,	3,	27,	16,	1),
(33192,	3,	27,	17,	1),
(33193,	3,	27,	18,	1),
(33194,	3,	27,	19,	1),
(33195,	3,	27,	20,	1),
(33196,	3,	27,	21,	1),
(33197,	3,	27,	22,	1),
(33198,	3,	28,	1,	1),
(33199,	3,	28,	2,	1),
(33200,	3,	28,	3,	1),
(33201,	3,	28,	7,	1),
(33202,	3,	28,	8,	1),
(33203,	3,	28,	9,	1),
(33204,	3,	28,	10,	1),
(33205,	3,	28,	11,	1),
(33206,	3,	28,	12,	1),
(33207,	3,	28,	13,	1),
(33208,	3,	28,	14,	1),
(33209,	3,	28,	15,	1),
(33210,	3,	28,	16,	1),
(33211,	3,	28,	17,	1),
(33212,	3,	28,	18,	1),
(33213,	3,	28,	19,	1),
(33214,	3,	28,	20,	1),
(33215,	3,	28,	21,	1),
(33216,	3,	28,	22,	1),
(33217,	3,	29,	1,	1),
(33218,	3,	29,	2,	1),
(33219,	3,	29,	3,	1),
(33220,	3,	29,	7,	1),
(33221,	3,	29,	8,	1),
(33222,	3,	29,	9,	1),
(33223,	3,	29,	10,	1),
(33224,	3,	29,	11,	1),
(33225,	3,	29,	12,	1),
(33226,	3,	29,	13,	1),
(33227,	3,	29,	14,	1),
(33228,	3,	29,	15,	1),
(33229,	3,	29,	16,	1),
(33230,	3,	29,	17,	1),
(33231,	3,	29,	18,	1),
(33232,	3,	29,	19,	1),
(33233,	3,	29,	20,	1),
(33234,	3,	29,	21,	1),
(33235,	3,	29,	22,	1),
(33236,	3,	30,	1,	1),
(33237,	3,	30,	2,	1),
(33238,	3,	30,	3,	1),
(33239,	3,	30,	7,	1),
(33240,	3,	30,	8,	1),
(33241,	3,	30,	9,	1),
(33242,	3,	30,	10,	1),
(33243,	3,	30,	11,	1),
(33244,	3,	30,	12,	1),
(33245,	3,	30,	13,	1),
(33246,	3,	30,	14,	1),
(33247,	3,	30,	15,	1),
(33248,	3,	30,	16,	1),
(33249,	3,	30,	17,	1),
(33250,	3,	30,	18,	1),
(33251,	3,	30,	19,	1),
(33252,	3,	30,	20,	1),
(33253,	3,	30,	21,	1),
(33254,	3,	30,	22,	1),
(33255,	3,	31,	1,	1),
(33256,	3,	31,	2,	1),
(33257,	3,	31,	3,	1),
(33258,	3,	31,	7,	1),
(33259,	3,	31,	8,	1),
(33260,	3,	31,	9,	1),
(33261,	3,	31,	10,	1),
(33262,	3,	31,	11,	1),
(33263,	3,	31,	12,	1),
(33264,	3,	31,	13,	1),
(33265,	3,	31,	14,	1),
(33266,	3,	31,	15,	1),
(33267,	3,	31,	16,	1),
(33268,	3,	31,	17,	1),
(33269,	3,	31,	18,	1),
(33270,	3,	31,	19,	1),
(33271,	3,	31,	20,	1),
(33272,	3,	31,	21,	1),
(33273,	3,	31,	22,	1),
(33274,	3,	32,	1,	1),
(33275,	3,	32,	2,	1),
(33276,	3,	32,	3,	1),
(33277,	3,	32,	7,	1),
(33278,	3,	32,	8,	1),
(33279,	3,	32,	9,	1),
(33280,	3,	32,	10,	1),
(33281,	3,	32,	11,	1),
(33282,	3,	32,	12,	1),
(33283,	3,	32,	13,	1),
(33284,	3,	32,	14,	1),
(33285,	3,	32,	15,	1),
(33286,	3,	32,	16,	1),
(33287,	3,	32,	17,	1),
(33288,	3,	32,	18,	1),
(33289,	3,	32,	19,	1),
(33290,	3,	32,	20,	1),
(33291,	3,	32,	21,	1),
(33292,	3,	32,	22,	1),
(33293,	3,	33,	1,	1),
(33294,	3,	33,	2,	1),
(33295,	3,	33,	3,	1),
(33296,	3,	33,	7,	1),
(33297,	3,	33,	8,	1),
(33298,	3,	33,	9,	1),
(33299,	3,	33,	10,	1),
(33300,	3,	33,	11,	1),
(33301,	3,	33,	12,	1),
(33302,	3,	33,	13,	1),
(33303,	3,	33,	14,	1),
(33304,	3,	33,	15,	1),
(33305,	3,	33,	16,	1),
(33306,	3,	33,	17,	1),
(33307,	3,	33,	18,	1),
(33308,	3,	33,	19,	1),
(33309,	3,	33,	20,	1),
(33310,	3,	33,	21,	1),
(33311,	3,	33,	22,	1),
(33312,	3,	34,	1,	1),
(33313,	3,	34,	2,	1),
(33314,	3,	34,	3,	1),
(33315,	3,	34,	7,	1),
(33316,	3,	34,	8,	1),
(33317,	3,	34,	9,	1),
(33318,	3,	34,	10,	1),
(33319,	3,	34,	11,	1),
(33320,	3,	34,	12,	1),
(33321,	3,	34,	13,	1),
(33322,	3,	34,	14,	1),
(33323,	3,	34,	15,	1),
(33324,	3,	34,	16,	1),
(33325,	3,	34,	17,	1),
(33326,	3,	34,	18,	1),
(33327,	3,	34,	19,	1),
(33328,	3,	34,	20,	1),
(33329,	3,	34,	21,	1),
(33330,	3,	34,	22,	1),
(33331,	3,	34,	23,	1),
(33332,	3,	35,	1,	1),
(33333,	3,	35,	2,	1),
(33334,	3,	35,	3,	1),
(33335,	3,	35,	7,	1),
(33336,	3,	35,	8,	1),
(33337,	3,	35,	9,	1),
(33338,	3,	35,	10,	1),
(33339,	3,	35,	11,	1),
(33340,	3,	35,	12,	1),
(33341,	3,	35,	13,	1),
(33342,	3,	35,	14,	1),
(33343,	3,	35,	15,	1),
(33344,	3,	35,	16,	1),
(33345,	3,	35,	17,	1),
(33346,	3,	35,	18,	1),
(33347,	3,	35,	19,	1),
(33348,	3,	35,	20,	1),
(33349,	3,	35,	21,	1),
(33350,	3,	35,	22,	1),
(33351,	3,	36,	1,	1),
(33352,	3,	36,	2,	1),
(33353,	3,	36,	3,	1),
(33354,	3,	36,	7,	1),
(33355,	3,	36,	8,	1),
(33356,	3,	36,	9,	1),
(33357,	3,	36,	10,	1),
(33358,	3,	36,	11,	1),
(33359,	3,	36,	12,	1),
(33360,	3,	36,	13,	1),
(33361,	3,	36,	14,	1),
(33362,	3,	36,	15,	1),
(33363,	3,	36,	16,	1),
(33364,	3,	36,	17,	1),
(33365,	3,	36,	18,	1),
(33366,	3,	36,	19,	1),
(33367,	3,	36,	20,	1),
(33368,	3,	36,	21,	1),
(33369,	3,	36,	22,	1),
(33370,	3,	37,	1,	1),
(33371,	3,	37,	2,	1),
(33372,	3,	37,	3,	1),
(33373,	3,	37,	7,	1),
(33374,	3,	37,	8,	1),
(33375,	3,	37,	9,	1),
(33376,	3,	37,	10,	1),
(33377,	3,	37,	11,	1),
(33378,	3,	37,	12,	1),
(33379,	3,	37,	13,	1),
(33380,	3,	37,	14,	1),
(33381,	3,	37,	15,	1),
(33382,	3,	37,	16,	1),
(33383,	3,	37,	17,	1),
(33384,	3,	37,	18,	1),
(33385,	3,	37,	19,	1),
(33386,	3,	37,	20,	1),
(33387,	3,	37,	21,	1),
(33388,	3,	37,	22,	1),
(33389,	3,	38,	1,	1),
(33390,	3,	38,	2,	1),
(33391,	3,	38,	3,	1),
(33392,	3,	38,	7,	1),
(33393,	3,	38,	8,	1),
(33394,	3,	38,	9,	1),
(33395,	3,	38,	10,	1),
(33396,	3,	38,	11,	1),
(33397,	3,	38,	12,	1),
(33398,	3,	38,	13,	1),
(33399,	3,	38,	14,	1),
(33400,	3,	38,	15,	1),
(33401,	3,	38,	16,	1),
(33402,	3,	38,	17,	1),
(33403,	3,	38,	18,	1),
(33404,	3,	38,	19,	1),
(33405,	3,	38,	20,	1),
(33406,	3,	38,	21,	1),
(33407,	3,	38,	22,	1),
(33408,	3,	39,	1,	1),
(33409,	3,	39,	2,	1),
(33410,	3,	39,	3,	1),
(33411,	3,	39,	7,	1),
(33412,	3,	39,	8,	1),
(33413,	3,	39,	9,	1),
(33414,	3,	39,	10,	1),
(33415,	3,	39,	11,	1),
(33416,	3,	39,	12,	1),
(33417,	3,	39,	13,	1),
(33418,	3,	39,	14,	1),
(33419,	3,	39,	15,	1),
(33420,	3,	39,	16,	1),
(33421,	3,	39,	17,	1),
(33422,	3,	39,	18,	1),
(33423,	3,	39,	19,	1),
(33424,	3,	39,	20,	1),
(33425,	3,	39,	21,	1),
(33426,	3,	39,	22,	1),
(33427,	3,	40,	1,	1),
(33428,	3,	40,	2,	1),
(33429,	3,	40,	3,	1),
(33430,	3,	40,	7,	1),
(33431,	3,	40,	8,	1),
(33432,	3,	40,	9,	1),
(33433,	3,	40,	10,	1),
(33434,	3,	40,	11,	1),
(33435,	3,	40,	12,	1),
(33436,	3,	40,	13,	1),
(33437,	3,	40,	14,	1),
(33438,	3,	40,	15,	1),
(33439,	3,	40,	16,	1),
(33440,	3,	40,	17,	1),
(33441,	3,	40,	18,	1),
(33442,	3,	40,	19,	1),
(33443,	3,	40,	20,	1),
(33444,	3,	40,	21,	1),
(33445,	3,	40,	22,	1),
(33446,	3,	41,	1,	1),
(33447,	3,	41,	2,	1),
(33448,	3,	41,	3,	1),
(33449,	3,	41,	7,	1),
(33450,	3,	41,	8,	1),
(33451,	3,	41,	9,	1),
(33452,	3,	41,	10,	1),
(33453,	3,	41,	11,	1),
(33454,	3,	41,	12,	1),
(33455,	3,	41,	13,	1),
(33456,	3,	41,	14,	1),
(33457,	3,	41,	15,	1),
(33458,	3,	41,	16,	1),
(33459,	3,	41,	17,	1),
(33460,	3,	41,	18,	1),
(33461,	3,	41,	19,	1),
(33462,	3,	41,	20,	1),
(33463,	3,	41,	21,	1),
(33464,	3,	41,	22,	1),
(33465,	3,	42,	1,	1),
(33466,	3,	42,	2,	1),
(33467,	3,	42,	3,	1),
(33468,	3,	42,	7,	1),
(33469,	3,	42,	8,	1),
(33470,	3,	42,	9,	1),
(33471,	3,	42,	10,	1),
(33472,	3,	42,	11,	1),
(33473,	3,	42,	12,	1),
(33474,	3,	42,	13,	1),
(33475,	3,	42,	14,	1),
(33476,	3,	42,	15,	1),
(33477,	3,	42,	16,	1),
(33478,	3,	42,	17,	1),
(33479,	3,	42,	18,	1),
(33480,	3,	42,	19,	1),
(33481,	3,	42,	20,	1),
(33482,	3,	42,	21,	1),
(33483,	3,	42,	22,	1),
(33484,	3,	43,	1,	1),
(33485,	3,	43,	2,	1),
(33486,	3,	43,	3,	1),
(33487,	3,	43,	7,	1),
(33488,	3,	43,	8,	1),
(33489,	3,	43,	9,	1),
(33490,	3,	43,	10,	1),
(33491,	3,	43,	11,	1),
(33492,	3,	43,	12,	1),
(33493,	3,	43,	13,	1),
(33494,	3,	43,	14,	1),
(33495,	3,	43,	15,	1),
(33496,	3,	43,	16,	1),
(33497,	3,	43,	17,	1),
(33498,	3,	43,	18,	1),
(33499,	3,	43,	19,	1),
(33500,	3,	43,	20,	1),
(33501,	3,	43,	21,	1),
(33502,	3,	43,	22,	1),
(33503,	3,	44,	1,	1),
(33504,	3,	44,	2,	1),
(33505,	3,	44,	3,	1),
(33506,	3,	44,	7,	1),
(33507,	3,	44,	8,	1),
(33508,	3,	44,	9,	1),
(33509,	3,	44,	10,	1),
(33510,	3,	44,	11,	1),
(33511,	3,	44,	12,	1),
(33512,	3,	44,	13,	1),
(33513,	3,	44,	14,	1),
(33514,	3,	44,	15,	1),
(33515,	3,	44,	16,	1),
(33516,	3,	44,	17,	1),
(33517,	3,	44,	18,	1),
(33518,	3,	44,	19,	1),
(33519,	3,	44,	20,	1),
(33520,	3,	44,	21,	1),
(33521,	3,	44,	22,	1),
(33522,	3,	44,	23,	1),
(33523,	3,	45,	1,	1),
(33524,	3,	45,	2,	1),
(33525,	3,	45,	3,	1),
(33526,	3,	45,	7,	1),
(33527,	3,	45,	8,	1),
(33528,	3,	45,	9,	1),
(33529,	3,	45,	10,	1),
(33530,	3,	45,	11,	1),
(33531,	3,	45,	12,	1),
(33532,	3,	45,	13,	1),
(33533,	3,	45,	14,	1),
(33534,	3,	45,	15,	1),
(33535,	3,	45,	16,	1),
(33536,	3,	45,	17,	1),
(33537,	3,	45,	18,	1),
(33538,	3,	45,	19,	1),
(33539,	3,	45,	20,	1),
(33540,	3,	45,	21,	1),
(33541,	3,	45,	22,	1),
(33542,	3,	46,	1,	1),
(33543,	3,	46,	2,	1),
(33544,	3,	46,	3,	1),
(33545,	3,	46,	7,	1),
(33546,	3,	46,	8,	1),
(33547,	3,	46,	9,	1),
(33548,	3,	46,	10,	1),
(33549,	3,	46,	11,	1),
(33550,	3,	46,	12,	1),
(33551,	3,	46,	13,	1),
(33552,	3,	46,	14,	1),
(33553,	3,	46,	15,	1),
(33554,	3,	46,	16,	1),
(33555,	3,	46,	17,	1),
(33556,	3,	46,	18,	1),
(33557,	3,	46,	19,	1),
(33558,	3,	46,	20,	1),
(33559,	3,	46,	21,	1),
(33560,	3,	46,	22,	1),
(33561,	3,	46,	23,	1),
(33562,	3,	47,	1,	1),
(33563,	3,	47,	2,	1),
(33564,	3,	47,	3,	1),
(33565,	3,	47,	7,	1),
(33566,	3,	47,	8,	1),
(33567,	3,	47,	9,	1),
(33568,	3,	47,	10,	1),
(33569,	3,	47,	11,	1),
(33570,	3,	47,	12,	1),
(33571,	3,	47,	13,	1),
(33572,	3,	47,	14,	1),
(33573,	3,	47,	15,	1),
(33574,	3,	47,	16,	1),
(33575,	3,	47,	17,	1),
(33576,	3,	47,	18,	1),
(33577,	3,	47,	19,	1),
(33578,	3,	47,	20,	1),
(33579,	3,	47,	21,	1),
(33580,	3,	47,	22,	1),
(33581,	3,	48,	1,	1),
(33582,	3,	48,	2,	1),
(33583,	3,	48,	3,	1),
(33584,	3,	48,	7,	1),
(33585,	3,	48,	8,	1),
(33586,	3,	48,	9,	1),
(33587,	3,	48,	10,	1),
(33588,	3,	48,	11,	1),
(33589,	3,	48,	12,	1),
(33590,	3,	48,	13,	1),
(33591,	3,	48,	14,	1),
(33592,	3,	48,	15,	1),
(33593,	3,	48,	16,	1),
(33594,	3,	48,	17,	1),
(33595,	3,	48,	18,	1),
(33596,	3,	48,	19,	1),
(33597,	3,	48,	20,	1),
(33598,	3,	48,	21,	1),
(33599,	3,	48,	22,	1),
(33600,	3,	49,	1,	1),
(33601,	3,	49,	2,	1),
(33602,	3,	49,	3,	1),
(33603,	3,	49,	7,	1),
(33604,	3,	49,	8,	1),
(33605,	3,	49,	9,	1),
(33606,	3,	49,	10,	1),
(33607,	3,	49,	11,	1),
(33608,	3,	49,	12,	1),
(33609,	3,	49,	13,	1),
(33610,	3,	49,	14,	1),
(33611,	3,	49,	15,	1),
(33612,	3,	49,	16,	1),
(33613,	3,	49,	17,	1),
(33614,	3,	49,	18,	1),
(33615,	3,	49,	19,	1),
(33616,	3,	49,	20,	1),
(33617,	3,	49,	21,	1),
(33618,	3,	49,	22,	1),
(33619,	3,	50,	1,	1),
(33620,	3,	50,	2,	1),
(33621,	3,	50,	3,	1),
(33622,	3,	50,	7,	1),
(33623,	3,	50,	8,	1),
(33624,	3,	50,	9,	1),
(33625,	3,	50,	10,	1),
(33626,	3,	50,	11,	1),
(33627,	3,	50,	12,	1),
(33628,	3,	50,	13,	1),
(33629,	3,	50,	14,	1),
(33630,	3,	50,	15,	1),
(33631,	3,	50,	16,	1),
(33632,	3,	50,	17,	1),
(33633,	3,	50,	18,	1),
(33634,	3,	50,	19,	1),
(33635,	3,	50,	20,	1),
(33636,	3,	50,	21,	1),
(33637,	3,	50,	22,	1),
(33638,	3,	51,	1,	1),
(33639,	3,	51,	2,	1),
(33640,	3,	51,	3,	1),
(33641,	3,	51,	7,	1),
(33642,	3,	51,	8,	1),
(33643,	3,	51,	9,	1),
(33644,	3,	51,	10,	1),
(33645,	3,	51,	11,	1),
(33646,	3,	51,	12,	1),
(33647,	3,	51,	13,	1),
(33648,	3,	51,	14,	1),
(33649,	3,	51,	15,	1),
(33650,	3,	51,	16,	1),
(33651,	3,	51,	17,	1),
(33652,	3,	51,	18,	1),
(33653,	3,	51,	19,	1),
(33654,	3,	51,	20,	1),
(33655,	3,	51,	21,	1),
(33656,	3,	51,	22,	1),
(33657,	3,	52,	1,	1),
(33658,	3,	52,	2,	1),
(33659,	3,	52,	3,	1),
(33660,	3,	52,	7,	1),
(33661,	3,	52,	8,	1),
(33662,	3,	52,	9,	1),
(33663,	3,	52,	10,	1),
(33664,	3,	52,	11,	1),
(33665,	3,	52,	12,	1),
(33666,	3,	52,	13,	1),
(33667,	3,	52,	14,	1),
(33668,	3,	52,	15,	1),
(33669,	3,	52,	16,	1),
(33670,	3,	52,	17,	1),
(33671,	3,	52,	18,	1),
(33672,	3,	52,	19,	1),
(33673,	3,	52,	20,	1),
(33674,	3,	52,	21,	1),
(33675,	3,	52,	22,	1),
(33676,	3,	53,	1,	1),
(33677,	3,	53,	2,	1),
(33678,	3,	53,	3,	1),
(33679,	3,	53,	7,	1),
(33680,	3,	53,	8,	1),
(33681,	3,	53,	9,	1),
(33682,	3,	53,	10,	1),
(33683,	3,	53,	11,	1),
(33684,	3,	53,	12,	1),
(33685,	3,	53,	13,	1),
(33686,	3,	53,	14,	1),
(33687,	3,	53,	15,	1),
(33688,	3,	53,	16,	1),
(33689,	3,	53,	17,	1),
(33690,	3,	53,	18,	1),
(33691,	3,	53,	19,	1),
(33692,	3,	53,	20,	1),
(33693,	3,	53,	21,	1),
(33694,	3,	53,	22,	1),
(33695,	3,	54,	1,	1),
(33696,	3,	54,	2,	1),
(33697,	3,	54,	3,	1),
(33698,	3,	54,	7,	1),
(33699,	3,	54,	8,	1),
(33700,	3,	54,	9,	1),
(33701,	3,	54,	10,	1),
(33702,	3,	54,	11,	1),
(33703,	3,	54,	12,	1),
(33704,	3,	54,	13,	1),
(33705,	3,	54,	14,	1),
(33706,	3,	54,	15,	1),
(33707,	3,	54,	16,	1),
(33708,	3,	54,	17,	1),
(33709,	3,	54,	18,	1),
(33710,	3,	54,	19,	1),
(33711,	3,	54,	20,	1),
(33712,	3,	54,	21,	1),
(33713,	3,	54,	22,	1),
(33714,	3,	55,	1,	1),
(33715,	3,	55,	2,	1),
(33716,	3,	55,	3,	1),
(33717,	3,	55,	7,	1),
(33718,	3,	55,	8,	1),
(33719,	3,	55,	9,	1),
(33720,	3,	55,	10,	1),
(33721,	3,	55,	11,	1),
(33722,	3,	55,	12,	1),
(33723,	3,	55,	13,	1),
(33724,	3,	55,	14,	1),
(33725,	3,	55,	15,	1),
(33726,	3,	55,	16,	1),
(33727,	3,	55,	17,	1),
(33728,	3,	55,	18,	1),
(33729,	3,	55,	19,	1),
(33730,	3,	55,	20,	1),
(33731,	3,	55,	21,	1),
(33732,	3,	55,	22,	1),
(33733,	3,	56,	1,	1),
(33734,	3,	56,	2,	1),
(33735,	3,	56,	3,	1),
(33736,	3,	56,	7,	1),
(33737,	3,	56,	8,	1),
(33738,	3,	56,	9,	1),
(33739,	3,	56,	10,	1),
(33740,	3,	56,	11,	1),
(33741,	3,	56,	12,	1),
(33742,	3,	56,	13,	1),
(33743,	3,	56,	14,	1),
(33744,	3,	56,	15,	1),
(33745,	3,	56,	16,	1),
(33746,	3,	56,	17,	1),
(33747,	3,	56,	18,	1),
(33748,	3,	56,	19,	1),
(33749,	3,	56,	20,	1),
(33750,	3,	56,	21,	1),
(33751,	3,	56,	22,	1),
(33752,	3,	57,	1,	1),
(33753,	3,	57,	2,	1),
(33754,	3,	57,	3,	1),
(33755,	3,	57,	7,	1),
(33756,	3,	57,	8,	1),
(33757,	3,	57,	9,	1),
(33758,	3,	57,	10,	1),
(33759,	3,	57,	11,	1),
(33760,	3,	57,	12,	1),
(33761,	3,	57,	13,	1),
(33762,	3,	57,	14,	1),
(33763,	3,	57,	15,	1),
(33764,	3,	57,	16,	1),
(33765,	3,	57,	17,	1),
(33766,	3,	57,	18,	1),
(33767,	3,	57,	19,	1),
(33768,	3,	57,	20,	1),
(33769,	3,	57,	21,	1),
(33770,	3,	57,	22,	1),
(33771,	3,	58,	1,	1),
(33772,	3,	58,	2,	1),
(33773,	3,	58,	3,	1),
(33774,	3,	58,	7,	1),
(33775,	3,	58,	8,	1),
(33776,	3,	58,	9,	1),
(33777,	3,	58,	10,	1),
(33778,	3,	58,	11,	1),
(33779,	3,	58,	12,	1),
(33780,	3,	58,	13,	1),
(33781,	3,	58,	14,	1),
(33782,	3,	58,	15,	1),
(33783,	3,	58,	16,	1),
(33784,	3,	58,	17,	1),
(33785,	3,	58,	18,	1),
(33786,	3,	58,	19,	1),
(33787,	3,	58,	20,	1),
(33788,	3,	58,	21,	1),
(33789,	3,	58,	22,	1),
(33790,	3,	59,	1,	1),
(33791,	3,	59,	2,	1),
(33792,	3,	59,	3,	1),
(33793,	3,	59,	7,	1),
(33794,	3,	59,	8,	1),
(33795,	3,	59,	9,	1),
(33796,	3,	59,	10,	1),
(33797,	3,	59,	11,	1),
(33798,	3,	59,	12,	1),
(33799,	3,	59,	13,	1),
(33800,	3,	59,	14,	1),
(33801,	3,	59,	15,	1),
(33802,	3,	59,	16,	1),
(33803,	3,	59,	17,	1),
(33804,	3,	59,	18,	1),
(33805,	3,	59,	19,	1),
(33806,	3,	59,	20,	1),
(33807,	3,	59,	21,	1),
(33808,	3,	59,	22,	1),
(33809,	3,	60,	1,	1),
(33810,	3,	60,	2,	1),
(33811,	3,	60,	3,	1),
(33812,	3,	60,	7,	1),
(33813,	3,	60,	8,	1),
(33814,	3,	60,	9,	1),
(33815,	3,	60,	10,	1),
(33816,	3,	60,	11,	1),
(33817,	3,	60,	12,	1),
(33818,	3,	60,	13,	1),
(33819,	3,	60,	14,	1),
(33820,	3,	60,	15,	1),
(33821,	3,	60,	16,	1),
(33822,	3,	60,	17,	1),
(33823,	3,	60,	18,	1),
(33824,	3,	60,	19,	1),
(33825,	3,	60,	20,	1),
(33826,	3,	60,	21,	1),
(33827,	3,	60,	22,	1),
(33828,	3,	61,	1,	1),
(33829,	3,	61,	2,	1),
(33830,	3,	61,	3,	1),
(33831,	3,	61,	7,	1),
(33832,	3,	61,	8,	1),
(33833,	3,	61,	9,	1),
(33834,	3,	61,	10,	1),
(33835,	3,	61,	11,	1),
(33836,	3,	61,	12,	1),
(33837,	3,	61,	13,	1),
(33838,	3,	61,	14,	1),
(33839,	3,	61,	15,	1),
(33840,	3,	61,	16,	1),
(33841,	3,	61,	17,	1),
(33842,	3,	61,	18,	1),
(33843,	3,	61,	19,	1),
(33844,	3,	61,	20,	1),
(33845,	3,	61,	21,	1),
(33846,	3,	61,	22,	1),
(33847,	3,	62,	1,	1),
(33848,	3,	62,	2,	1),
(33849,	3,	62,	3,	1),
(33850,	3,	62,	7,	1),
(33851,	3,	62,	8,	1),
(33852,	3,	62,	9,	1),
(33853,	3,	62,	10,	1),
(33854,	3,	62,	11,	1),
(33855,	3,	62,	12,	1),
(33856,	3,	62,	13,	1),
(33857,	3,	62,	14,	1),
(33858,	3,	62,	15,	1),
(33859,	3,	62,	16,	1),
(33860,	3,	62,	17,	1),
(33861,	3,	62,	18,	1),
(33862,	3,	62,	19,	1),
(33863,	3,	62,	20,	1),
(33864,	3,	62,	21,	1),
(33865,	3,	62,	22,	1),
(33866,	3,	63,	1,	1),
(33867,	3,	63,	2,	1),
(33868,	3,	63,	3,	1),
(33869,	3,	63,	7,	1),
(33870,	3,	63,	8,	1),
(33871,	3,	63,	9,	1),
(33872,	3,	63,	10,	1),
(33873,	3,	63,	11,	1),
(33874,	3,	63,	12,	1),
(33875,	3,	63,	13,	1),
(33876,	3,	63,	14,	1),
(33877,	3,	63,	15,	1),
(33878,	3,	63,	16,	1),
(33879,	3,	63,	17,	1),
(33880,	3,	63,	18,	1),
(33881,	3,	63,	19,	1),
(33882,	3,	63,	20,	1),
(33883,	3,	63,	21,	1),
(33884,	3,	63,	22,	1),
(33885,	3,	64,	1,	1),
(33886,	3,	64,	2,	1),
(33887,	3,	64,	3,	1),
(33888,	3,	64,	7,	1),
(33889,	3,	64,	8,	1),
(33890,	3,	64,	9,	1),
(33891,	3,	64,	10,	1),
(33892,	3,	64,	11,	1),
(33893,	3,	64,	12,	1),
(33894,	3,	64,	13,	1),
(33895,	3,	64,	14,	1),
(33896,	3,	64,	15,	1),
(33897,	3,	64,	16,	1),
(33898,	3,	64,	17,	1),
(33899,	3,	64,	18,	1),
(33900,	3,	64,	19,	1),
(33901,	3,	64,	20,	1),
(33902,	3,	64,	21,	1),
(33903,	3,	64,	22,	1),
(33904,	3,	65,	1,	1),
(33905,	3,	65,	2,	1),
(33906,	3,	65,	3,	1),
(33907,	3,	65,	7,	1),
(33908,	3,	65,	8,	1),
(33909,	3,	65,	9,	1),
(33910,	3,	65,	10,	1),
(33911,	3,	65,	11,	1),
(33912,	3,	65,	12,	1),
(33913,	3,	65,	13,	1),
(33914,	3,	65,	14,	1),
(33915,	3,	65,	15,	1),
(33916,	3,	65,	16,	1),
(33917,	3,	65,	17,	1),
(33918,	3,	65,	18,	1),
(33919,	3,	65,	19,	1),
(33920,	3,	65,	20,	1),
(33921,	3,	65,	21,	1),
(33922,	3,	65,	22,	1),
(33923,	3,	66,	1,	1),
(33924,	3,	66,	2,	1),
(33925,	3,	66,	3,	1),
(33926,	3,	66,	7,	1),
(33927,	3,	66,	8,	1),
(33928,	3,	66,	9,	1),
(33929,	3,	66,	10,	1),
(33930,	3,	66,	11,	1),
(33931,	3,	66,	12,	1),
(33932,	3,	66,	13,	1),
(33933,	3,	66,	14,	1),
(33934,	3,	66,	15,	1),
(33935,	3,	66,	16,	1),
(33936,	3,	66,	17,	1),
(33937,	3,	66,	18,	1),
(33938,	3,	66,	19,	1),
(33939,	3,	66,	20,	1),
(33940,	3,	66,	21,	1),
(33941,	3,	66,	22,	1),
(33942,	3,	67,	1,	1),
(33943,	3,	67,	2,	1),
(33944,	3,	67,	3,	1),
(33945,	3,	67,	7,	1),
(33946,	3,	67,	8,	1),
(33947,	3,	67,	9,	1),
(33948,	3,	67,	10,	1),
(33949,	3,	67,	11,	1),
(33950,	3,	67,	12,	1),
(33951,	3,	67,	13,	1),
(33952,	3,	67,	14,	1),
(33953,	3,	67,	15,	1),
(33954,	3,	67,	16,	1),
(33955,	3,	67,	17,	1),
(33956,	3,	67,	18,	1),
(33957,	3,	67,	19,	1),
(33958,	3,	67,	20,	1),
(33959,	3,	67,	21,	1),
(33960,	3,	67,	22,	1),
(33961,	3,	68,	1,	1),
(33962,	3,	68,	2,	1),
(33963,	3,	68,	3,	1),
(33964,	3,	68,	7,	1),
(33965,	3,	68,	8,	1),
(33966,	3,	68,	9,	1),
(33967,	3,	68,	10,	1),
(33968,	3,	68,	11,	1),
(33969,	3,	68,	12,	1),
(33970,	3,	68,	13,	1),
(33971,	3,	68,	14,	1),
(33972,	3,	68,	15,	1),
(33973,	3,	68,	16,	1),
(33974,	3,	68,	17,	1),
(33975,	3,	68,	18,	1),
(33976,	3,	68,	19,	1),
(33977,	3,	68,	20,	1),
(33978,	3,	68,	21,	1),
(33979,	3,	68,	22,	1),
(33980,	3,	69,	1,	1),
(33981,	3,	69,	2,	1),
(33982,	3,	69,	3,	1),
(33983,	3,	69,	7,	1),
(33984,	3,	69,	8,	1),
(33985,	3,	69,	9,	1),
(33986,	3,	69,	10,	1),
(33987,	3,	69,	11,	1),
(33988,	3,	69,	12,	1),
(33989,	3,	69,	13,	1),
(33990,	3,	69,	14,	1),
(33991,	3,	69,	15,	1),
(33992,	3,	69,	16,	1),
(33993,	3,	69,	17,	1),
(33994,	3,	69,	18,	1),
(33995,	3,	69,	19,	1),
(33996,	3,	69,	20,	1),
(33997,	3,	69,	21,	1),
(33998,	3,	69,	22,	1),
(33999,	3,	70,	1,	1),
(34000,	3,	70,	2,	1),
(34001,	3,	70,	3,	1),
(34002,	3,	70,	7,	1),
(34003,	3,	70,	8,	1),
(34004,	3,	70,	9,	1),
(34005,	3,	70,	10,	1),
(34006,	3,	70,	11,	1),
(34007,	3,	70,	12,	1),
(34008,	3,	70,	13,	1),
(34009,	3,	70,	14,	1),
(34010,	3,	70,	15,	1),
(34011,	3,	70,	16,	1),
(34012,	3,	70,	17,	1),
(34013,	3,	70,	18,	1),
(34014,	3,	70,	19,	1),
(34015,	3,	70,	20,	1),
(34016,	3,	70,	21,	1),
(34017,	3,	70,	22,	1),
(34018,	3,	71,	1,	1),
(34019,	3,	71,	2,	1),
(34020,	3,	71,	3,	1),
(34021,	3,	71,	7,	1),
(34022,	3,	71,	8,	1),
(34023,	3,	71,	9,	1),
(34024,	3,	71,	10,	1),
(34025,	3,	71,	11,	1),
(34026,	3,	71,	12,	1),
(34027,	3,	71,	13,	1),
(34028,	3,	71,	14,	1),
(34029,	3,	71,	15,	1),
(34030,	3,	71,	16,	1),
(34031,	3,	71,	17,	1),
(34032,	3,	71,	18,	1),
(34033,	3,	71,	19,	1),
(34034,	3,	71,	20,	1),
(34035,	3,	71,	21,	1),
(34036,	3,	71,	22,	1),
(34037,	3,	72,	1,	1),
(34038,	3,	72,	2,	1),
(34039,	3,	72,	3,	1),
(34040,	3,	72,	7,	1),
(34041,	3,	72,	8,	1),
(34042,	3,	72,	9,	1),
(34043,	3,	72,	10,	1),
(34044,	3,	72,	11,	1),
(34045,	3,	72,	12,	1),
(34046,	3,	72,	13,	1),
(34047,	3,	72,	14,	1),
(34048,	3,	72,	15,	1),
(34049,	3,	72,	16,	1),
(34050,	3,	72,	17,	1),
(34051,	3,	72,	18,	1),
(34052,	3,	72,	19,	1),
(34053,	3,	72,	20,	1),
(34054,	3,	72,	21,	1),
(34055,	3,	72,	22,	1),
(34056,	3,	73,	1,	1),
(34057,	3,	73,	2,	1),
(34058,	3,	73,	3,	1),
(34059,	3,	73,	7,	1),
(34060,	3,	73,	8,	1),
(34061,	3,	73,	9,	1),
(34062,	3,	73,	10,	1),
(34063,	3,	73,	11,	1),
(34064,	3,	73,	12,	1),
(34065,	3,	73,	13,	1),
(34066,	3,	73,	14,	1),
(34067,	3,	73,	15,	1),
(34068,	3,	73,	16,	1),
(34069,	3,	73,	17,	1),
(34070,	3,	73,	18,	1),
(34071,	3,	73,	19,	1),
(34072,	3,	73,	20,	1),
(34073,	3,	73,	21,	1),
(34074,	3,	73,	22,	1),
(34075,	3,	73,	23,	1),
(34076,	3,	74,	1,	1),
(34077,	3,	74,	2,	1),
(34078,	3,	74,	3,	1),
(34079,	3,	74,	7,	1),
(34080,	3,	74,	8,	1),
(34081,	3,	74,	9,	1),
(34082,	3,	74,	10,	1),
(34083,	3,	74,	11,	1),
(34084,	3,	74,	12,	1),
(34085,	3,	74,	13,	1),
(34086,	3,	74,	14,	1),
(34087,	3,	74,	15,	1),
(34088,	3,	74,	16,	1),
(34089,	3,	74,	17,	1),
(34090,	3,	74,	18,	1),
(34091,	3,	74,	19,	1),
(34092,	3,	74,	20,	1),
(34093,	3,	74,	21,	1),
(34094,	3,	74,	22,	1),
(34095,	3,	75,	1,	1),
(34096,	3,	75,	2,	1),
(34097,	3,	75,	3,	1),
(34098,	3,	75,	7,	1),
(34099,	3,	75,	8,	1),
(34100,	3,	75,	9,	1),
(34101,	3,	75,	10,	1),
(34102,	3,	75,	11,	1),
(34103,	3,	75,	12,	1),
(34104,	3,	75,	13,	1),
(34105,	3,	75,	14,	1),
(34106,	3,	75,	15,	1),
(34107,	3,	75,	16,	1),
(34108,	3,	75,	17,	1),
(34109,	3,	75,	18,	1),
(34110,	3,	75,	19,	1),
(34111,	3,	75,	20,	1),
(34112,	3,	75,	21,	1),
(34113,	3,	75,	22,	1),
(34114,	3,	76,	1,	1),
(34115,	3,	76,	2,	1),
(34116,	3,	76,	3,	1),
(34117,	3,	76,	7,	1),
(34118,	3,	76,	8,	1),
(34119,	3,	76,	9,	1),
(34120,	3,	76,	10,	1),
(34121,	3,	76,	11,	1),
(34122,	3,	76,	12,	1),
(34123,	3,	76,	13,	1),
(34124,	3,	76,	14,	1),
(34125,	3,	76,	15,	1),
(34126,	3,	76,	16,	1),
(34127,	3,	76,	17,	1),
(34128,	3,	76,	18,	1),
(34129,	3,	76,	19,	1),
(34130,	3,	76,	20,	1),
(34131,	3,	76,	21,	1),
(34132,	3,	76,	22,	1),
(34133,	3,	76,	23,	1),
(34134,	3,	77,	1,	1),
(34135,	3,	77,	2,	1),
(34136,	3,	77,	3,	1),
(34137,	3,	77,	7,	1),
(34138,	3,	77,	8,	1),
(34139,	3,	77,	9,	1),
(34140,	3,	77,	10,	1),
(34141,	3,	77,	11,	1),
(34142,	3,	77,	12,	1),
(34143,	3,	77,	13,	1),
(34144,	3,	77,	14,	1),
(34145,	3,	77,	15,	1),
(34146,	3,	77,	16,	1),
(34147,	3,	77,	17,	1),
(34148,	3,	77,	18,	1),
(34149,	3,	77,	19,	1),
(34150,	3,	77,	20,	1),
(34151,	3,	77,	21,	1),
(34152,	3,	77,	22,	1),
(34153,	3,	78,	1,	1),
(34154,	3,	78,	2,	1),
(34155,	3,	78,	3,	1),
(34156,	3,	78,	7,	1),
(34157,	3,	78,	8,	1),
(34158,	3,	78,	9,	1),
(34159,	3,	78,	10,	1),
(34160,	3,	78,	11,	1),
(34161,	3,	78,	12,	1),
(34162,	3,	78,	13,	1),
(34163,	3,	78,	14,	1),
(34164,	3,	78,	15,	1),
(34165,	3,	78,	16,	1),
(34166,	3,	78,	17,	1),
(34167,	3,	78,	18,	1),
(34168,	3,	78,	19,	1),
(34169,	3,	78,	20,	1),
(34170,	3,	78,	21,	1),
(34171,	3,	78,	22,	1),
(34172,	3,	79,	1,	1),
(34173,	3,	79,	2,	1),
(34174,	3,	79,	3,	1),
(34175,	3,	79,	7,	1),
(34176,	3,	79,	8,	1),
(34177,	3,	79,	9,	1),
(34178,	3,	79,	10,	1),
(34179,	3,	79,	11,	1),
(34180,	3,	79,	12,	1),
(34181,	3,	79,	13,	1),
(34182,	3,	79,	14,	1),
(34183,	3,	79,	15,	1),
(34184,	3,	79,	16,	1),
(34185,	3,	79,	17,	1),
(34186,	3,	79,	18,	1),
(34187,	3,	79,	19,	1),
(34188,	3,	79,	20,	1),
(34189,	3,	79,	21,	1),
(34190,	3,	79,	22,	1),
(34191,	3,	80,	1,	1),
(34192,	3,	80,	2,	1),
(34193,	3,	80,	3,	1),
(34194,	3,	80,	7,	1),
(34195,	3,	80,	8,	1),
(34196,	3,	80,	9,	1),
(34197,	3,	80,	10,	1),
(34198,	3,	80,	11,	1),
(34199,	3,	80,	12,	1),
(34200,	3,	80,	13,	1),
(34201,	3,	80,	14,	1),
(34202,	3,	80,	15,	1),
(34203,	3,	80,	16,	1),
(34204,	3,	80,	17,	1),
(34205,	3,	80,	18,	1),
(34206,	3,	80,	19,	1),
(34207,	3,	80,	20,	1),
(34208,	3,	80,	21,	1),
(34209,	3,	80,	22,	1),
(34210,	3,	81,	1,	1),
(34211,	3,	81,	2,	1),
(34212,	3,	81,	3,	1),
(34213,	3,	81,	7,	1),
(34214,	3,	81,	8,	1),
(34215,	3,	81,	9,	1),
(34216,	3,	81,	10,	1),
(34217,	3,	81,	11,	1),
(34218,	3,	81,	12,	1),
(34219,	3,	81,	13,	1),
(34220,	3,	81,	14,	1),
(34221,	3,	81,	15,	1),
(34222,	3,	81,	16,	1),
(34223,	3,	81,	17,	1),
(34224,	3,	81,	18,	1),
(34225,	3,	81,	19,	1),
(34226,	3,	81,	20,	1),
(34227,	3,	81,	21,	1),
(34228,	3,	81,	22,	1),
(34229,	3,	82,	1,	1),
(34230,	3,	82,	2,	1),
(34231,	3,	82,	3,	1),
(34232,	3,	82,	7,	1),
(34233,	3,	82,	8,	1),
(34234,	3,	82,	9,	1),
(34235,	3,	82,	10,	1),
(34236,	3,	82,	11,	1),
(34237,	3,	82,	12,	1),
(34238,	3,	82,	13,	1),
(34239,	3,	82,	14,	1),
(34240,	3,	82,	15,	1),
(34241,	3,	82,	16,	1),
(34242,	3,	82,	17,	1),
(34243,	3,	82,	18,	1),
(34244,	3,	82,	19,	1),
(34245,	3,	82,	20,	1),
(34246,	3,	82,	21,	1),
(34247,	3,	82,	22,	1),
(34248,	3,	83,	1,	1),
(34249,	3,	83,	2,	1),
(34250,	3,	83,	3,	1),
(34251,	3,	83,	7,	1),
(34252,	3,	83,	8,	1),
(34253,	3,	83,	9,	1),
(34254,	3,	83,	10,	1),
(34255,	3,	83,	11,	1),
(34256,	3,	83,	12,	1),
(34257,	3,	83,	13,	1),
(34258,	3,	83,	14,	1),
(34259,	3,	83,	15,	1),
(34260,	3,	83,	16,	1),
(34261,	3,	83,	17,	1),
(34262,	3,	83,	18,	1),
(34263,	3,	83,	19,	1),
(34264,	3,	83,	20,	1),
(34265,	3,	83,	21,	1),
(34266,	3,	83,	22,	1),
(34267,	3,	84,	1,	1),
(34268,	3,	84,	2,	1),
(34269,	3,	84,	3,	1),
(34270,	3,	84,	7,	1),
(34271,	3,	84,	8,	1),
(34272,	3,	84,	9,	1),
(34273,	3,	84,	10,	1),
(34274,	3,	84,	11,	1),
(34275,	3,	84,	12,	1),
(34276,	3,	84,	13,	1),
(34277,	3,	84,	14,	1),
(34278,	3,	84,	15,	1),
(34279,	3,	84,	16,	1),
(34280,	3,	84,	17,	1),
(34281,	3,	84,	18,	1),
(34282,	3,	84,	19,	1),
(34283,	3,	84,	20,	1),
(34284,	3,	84,	21,	1),
(34285,	3,	84,	22,	1),
(34286,	3,	85,	1,	1),
(34287,	3,	85,	2,	1),
(34288,	3,	85,	3,	1),
(34289,	3,	85,	7,	1),
(34290,	3,	85,	8,	1),
(34291,	3,	85,	9,	1),
(34292,	3,	85,	10,	1),
(34293,	3,	85,	11,	1),
(34294,	3,	85,	12,	1),
(34295,	3,	85,	13,	1),
(34296,	3,	85,	14,	1),
(34297,	3,	85,	15,	1),
(34298,	3,	85,	16,	1),
(34299,	3,	85,	17,	1),
(34300,	3,	85,	18,	1),
(34301,	3,	85,	19,	1),
(34302,	3,	85,	20,	1),
(34303,	3,	85,	21,	1),
(34304,	3,	85,	22,	1),
(34305,	3,	86,	1,	1),
(34306,	3,	86,	2,	1),
(34307,	3,	86,	3,	1),
(34308,	3,	86,	7,	1),
(34309,	3,	86,	8,	1),
(34310,	3,	86,	9,	1),
(34311,	3,	86,	10,	1),
(34312,	3,	86,	11,	1),
(34313,	3,	86,	12,	1),
(34314,	3,	86,	13,	1),
(34315,	3,	86,	14,	1),
(34316,	3,	86,	15,	1),
(34317,	3,	86,	16,	1),
(34318,	3,	86,	17,	1),
(34319,	3,	86,	18,	1),
(34320,	3,	86,	19,	1),
(34321,	3,	86,	20,	1),
(34322,	3,	86,	21,	1),
(34323,	3,	86,	22,	1),
(34324,	3,	87,	1,	1),
(34325,	3,	87,	2,	1),
(34326,	3,	87,	3,	1),
(34327,	3,	87,	7,	1),
(34328,	3,	87,	8,	1),
(34329,	3,	87,	9,	1),
(34330,	3,	87,	10,	1),
(34331,	3,	87,	11,	1),
(34332,	3,	87,	12,	1),
(34333,	3,	87,	13,	1),
(34334,	3,	87,	14,	1),
(34335,	3,	87,	15,	1),
(34336,	3,	87,	16,	1),
(34337,	3,	87,	17,	1),
(34338,	3,	87,	18,	1),
(34339,	3,	87,	19,	1),
(34340,	3,	87,	20,	1),
(34341,	3,	87,	21,	1),
(34342,	3,	87,	22,	1),
(34343,	3,	88,	1,	1),
(34344,	3,	88,	2,	1),
(34345,	3,	88,	3,	1),
(34346,	3,	88,	7,	1),
(34347,	3,	88,	8,	1),
(34348,	3,	88,	9,	1),
(34349,	3,	88,	10,	1),
(34350,	3,	88,	11,	1),
(34351,	3,	88,	12,	1),
(34352,	3,	88,	13,	1),
(34353,	3,	88,	14,	1),
(34354,	3,	88,	15,	1),
(34355,	3,	88,	16,	1),
(34356,	3,	88,	17,	1),
(34357,	3,	88,	18,	1),
(34358,	3,	88,	19,	1),
(34359,	3,	88,	20,	1),
(34360,	3,	88,	21,	1),
(34361,	3,	88,	22,	1),
(34362,	3,	89,	1,	1),
(34363,	3,	89,	2,	1),
(34364,	3,	89,	3,	1),
(34365,	3,	89,	7,	1),
(34366,	3,	89,	8,	1),
(34367,	3,	89,	9,	1),
(34368,	3,	89,	10,	1),
(34369,	3,	89,	11,	1),
(34370,	3,	89,	12,	1),
(34371,	3,	89,	13,	1),
(34372,	3,	89,	14,	1),
(34373,	3,	89,	15,	1),
(34374,	3,	89,	16,	1),
(34375,	3,	89,	17,	1),
(34376,	3,	89,	18,	1),
(34377,	3,	89,	19,	1),
(34378,	3,	89,	20,	1),
(34379,	3,	89,	21,	1),
(34380,	3,	89,	22,	1),
(34381,	3,	89,	23,	1),
(34382,	3,	90,	1,	1),
(34383,	3,	90,	2,	1),
(34384,	3,	90,	3,	1),
(34385,	3,	90,	7,	1),
(34386,	3,	90,	8,	1),
(34387,	3,	90,	9,	1),
(34388,	3,	90,	10,	1),
(34389,	3,	90,	11,	1),
(34390,	3,	90,	12,	1),
(34391,	3,	90,	13,	1),
(34392,	3,	90,	14,	1),
(34393,	3,	90,	15,	1),
(34394,	3,	90,	16,	1),
(34395,	3,	90,	17,	1),
(34396,	3,	90,	18,	1),
(34397,	3,	90,	19,	1),
(34398,	3,	90,	20,	1),
(34399,	3,	90,	21,	1),
(34400,	3,	90,	22,	1),
(34401,	3,	91,	1,	1),
(34402,	3,	91,	2,	1),
(34403,	3,	91,	3,	1),
(34404,	3,	91,	7,	1),
(34405,	3,	91,	8,	1),
(34406,	3,	91,	9,	1),
(34407,	3,	91,	10,	1),
(34408,	3,	91,	11,	1),
(34409,	3,	91,	12,	1),
(34410,	3,	91,	13,	1),
(34411,	3,	91,	14,	1),
(34412,	3,	91,	15,	1),
(34413,	3,	91,	16,	1),
(34414,	3,	91,	17,	1),
(34415,	3,	91,	18,	1),
(34416,	3,	91,	19,	1),
(34417,	3,	91,	20,	1),
(34418,	3,	91,	21,	1),
(34419,	3,	91,	22,	1),
(34420,	3,	92,	1,	1),
(34421,	3,	92,	2,	1),
(34422,	3,	92,	3,	1),
(34423,	3,	92,	7,	1),
(34424,	3,	92,	8,	1),
(34425,	3,	92,	9,	1),
(34426,	3,	92,	10,	1),
(34427,	3,	92,	11,	1),
(34428,	3,	92,	12,	1),
(34429,	3,	92,	13,	1),
(34430,	3,	92,	14,	1),
(34431,	3,	92,	15,	1),
(34432,	3,	92,	16,	1),
(34433,	3,	92,	17,	1),
(34434,	3,	92,	18,	1),
(34435,	3,	92,	19,	1),
(34436,	3,	92,	20,	1),
(34437,	3,	92,	21,	1),
(34438,	3,	92,	22,	1),
(34439,	3,	93,	1,	1),
(34440,	3,	93,	2,	1),
(34441,	3,	93,	3,	1),
(34442,	3,	93,	7,	1),
(34443,	3,	93,	8,	1),
(34444,	3,	93,	9,	1),
(34445,	3,	93,	10,	1),
(34446,	3,	93,	11,	1),
(34447,	3,	93,	12,	1),
(34448,	3,	93,	13,	1),
(34449,	3,	93,	14,	1),
(34450,	3,	93,	15,	1),
(34451,	3,	93,	16,	1),
(34452,	3,	93,	17,	1),
(34453,	3,	93,	18,	1),
(34454,	3,	93,	19,	1),
(34455,	3,	93,	20,	1),
(34456,	3,	93,	21,	1),
(34457,	3,	93,	22,	1),
(34458,	3,	94,	1,	1),
(34459,	3,	94,	2,	1),
(34460,	3,	94,	3,	1),
(34461,	3,	94,	7,	1),
(34462,	3,	94,	8,	1),
(34463,	3,	94,	9,	1),
(34464,	3,	94,	10,	1),
(34465,	3,	94,	11,	1),
(34466,	3,	94,	12,	1),
(34467,	3,	94,	13,	1),
(34468,	3,	94,	14,	1),
(34469,	3,	94,	15,	1),
(34470,	3,	94,	16,	1),
(34471,	3,	94,	17,	1),
(34472,	3,	94,	18,	1),
(34473,	3,	94,	19,	1),
(34474,	3,	94,	20,	1),
(34475,	3,	94,	21,	1),
(34476,	3,	94,	22,	1),
(34477,	3,	95,	1,	1),
(34478,	3,	95,	2,	1),
(34479,	3,	95,	3,	1),
(34480,	3,	95,	7,	1),
(34481,	3,	95,	8,	1),
(34482,	3,	95,	9,	1),
(34483,	3,	95,	10,	1),
(34484,	3,	95,	11,	1),
(34485,	3,	95,	12,	1),
(34486,	3,	95,	13,	1),
(34487,	3,	95,	14,	1),
(34488,	3,	95,	15,	1),
(34489,	3,	95,	16,	1),
(34490,	3,	95,	17,	1),
(34491,	3,	95,	18,	1),
(34492,	3,	95,	19,	1),
(34493,	3,	95,	20,	1),
(34494,	3,	95,	21,	1),
(34495,	3,	95,	22,	1),
(34496,	3,	96,	1,	1),
(34497,	3,	96,	2,	1),
(34498,	3,	96,	3,	1),
(34499,	3,	96,	7,	1),
(34500,	3,	96,	8,	1),
(34501,	3,	96,	9,	1),
(34502,	3,	96,	10,	1),
(34503,	3,	96,	11,	1),
(34504,	3,	96,	12,	1),
(34505,	3,	96,	13,	1),
(34506,	3,	96,	14,	1),
(34507,	3,	96,	15,	1),
(34508,	3,	96,	16,	1),
(34509,	3,	96,	17,	1),
(34510,	3,	96,	18,	1),
(34511,	3,	96,	19,	1),
(34512,	3,	96,	20,	1),
(34513,	3,	96,	21,	1),
(34514,	3,	96,	22,	1),
(34515,	3,	96,	23,	1),
(34516,	3,	97,	1,	1),
(34517,	3,	97,	2,	1),
(34518,	3,	97,	3,	1),
(34519,	3,	97,	7,	1),
(34520,	3,	97,	8,	1),
(34521,	3,	97,	9,	1),
(34522,	3,	97,	10,	1),
(34523,	3,	97,	11,	1),
(34524,	3,	97,	12,	1),
(34525,	3,	97,	13,	1),
(34526,	3,	97,	14,	1),
(34527,	3,	97,	15,	1),
(34528,	3,	97,	16,	1),
(34529,	3,	97,	17,	1),
(34530,	3,	97,	18,	1),
(34531,	3,	97,	19,	1),
(34532,	3,	97,	20,	1),
(34533,	3,	97,	21,	1),
(34534,	3,	97,	22,	1),
(34535,	3,	98,	1,	1),
(34536,	3,	98,	2,	1),
(34537,	3,	98,	3,	1),
(34538,	3,	98,	7,	1),
(34539,	3,	98,	8,	1),
(34540,	3,	98,	9,	1),
(34541,	3,	98,	10,	1),
(34542,	3,	98,	11,	1),
(34543,	3,	98,	12,	1),
(34544,	3,	98,	13,	1),
(34545,	3,	98,	14,	1),
(34546,	3,	98,	15,	1),
(34547,	3,	98,	16,	1),
(34548,	3,	98,	17,	1),
(34549,	3,	98,	18,	1),
(34550,	3,	98,	19,	1),
(34551,	3,	98,	20,	1),
(34552,	3,	98,	21,	1),
(34553,	3,	98,	22,	1),
(34554,	3,	99,	1,	1),
(34555,	3,	99,	2,	1),
(34556,	3,	99,	3,	1),
(34557,	3,	99,	7,	1),
(34558,	3,	99,	8,	1),
(34559,	3,	99,	9,	1),
(34560,	3,	99,	10,	1),
(34561,	3,	99,	11,	1),
(34562,	3,	99,	12,	1),
(34563,	3,	99,	13,	1),
(34564,	3,	99,	14,	1),
(34565,	3,	99,	15,	1),
(34566,	3,	99,	16,	1),
(34567,	3,	99,	17,	1),
(34568,	3,	99,	18,	1),
(34569,	3,	99,	19,	1),
(34570,	3,	99,	20,	1),
(34571,	3,	99,	21,	1),
(34572,	3,	99,	22,	1),
(34573,	3,	100,	1,	1),
(34574,	3,	100,	2,	1),
(34575,	3,	100,	3,	1),
(34576,	3,	100,	7,	1),
(34577,	3,	100,	8,	1),
(34578,	3,	100,	9,	1),
(34579,	3,	100,	10,	1),
(34580,	3,	100,	11,	1),
(34581,	3,	100,	12,	1),
(34582,	3,	100,	13,	1),
(34583,	3,	100,	14,	1),
(34584,	3,	100,	15,	1),
(34585,	3,	100,	16,	1),
(34586,	3,	100,	17,	1),
(34587,	3,	100,	18,	1),
(34588,	3,	100,	19,	1),
(34589,	3,	100,	20,	1),
(34590,	3,	100,	21,	1),
(34591,	3,	100,	22,	1),
(34592,	3,	101,	1,	1),
(34593,	3,	101,	2,	1),
(34594,	3,	101,	3,	1),
(34595,	3,	101,	5,	1),
(34596,	3,	101,	1,	3),
(34597,	3,	101,	2,	3),
(34598,	3,	101,	3,	3),
(34599,	3,	101,	5,	3),
(34600,	3,	101,	1,	2),
(34601,	3,	101,	2,	2),
(34602,	3,	101,	3,	2),
(34603,	3,	101,	5,	2),
(34604,	3,	102,	1,	1),
(34605,	3,	102,	2,	1),
(34606,	3,	102,	3,	1),
(34607,	3,	103,	1,	1),
(34608,	3,	103,	2,	1),
(34609,	3,	103,	3,	1),
(34610,	3,	103,	6,	1),
(34611,	3,	103,	24,	1),
(34612,	3,	103,	4,	1),
(34613,	3,	103,	25,	1),
(34614,	3,	103,	5,	1),
(34615,	3,	103,	26,	1),
(34616,	3,	104,	1,	1),
(34617,	3,	104,	2,	1),
(34618,	3,	104,	3,	1),
(34619,	3,	104,	24,	1),
(34620,	3,	104,	6,	1),
(34621,	3,	104,	4,	1),
(34622,	3,	104,	25,	1),
(34623,	3,	104,	5,	1),
(34624,	3,	104,	1,	3),
(34625,	3,	104,	2,	3),
(34626,	3,	104,	3,	3),
(34627,	3,	104,	24,	3),
(34628,	3,	104,	6,	3),
(34629,	3,	104,	4,	3),
(34630,	3,	104,	25,	3),
(34631,	3,	104,	5,	3),
(34632,	3,	105,	1,	1),
(34633,	3,	105,	2,	1),
(34634,	3,	105,	3,	1),
(34635,	3,	105,	24,	1),
(34636,	3,	105,	6,	1),
(34637,	3,	105,	4,	1),
(34638,	3,	105,	25,	1),
(34639,	3,	105,	5,	1),
(34640,	3,	105,	1,	3),
(34641,	3,	105,	2,	3),
(34642,	3,	105,	3,	3),
(34643,	3,	105,	24,	3),
(34644,	3,	105,	6,	3),
(34645,	3,	105,	4,	3),
(34646,	3,	105,	25,	3),
(34647,	3,	105,	5,	3),
(34648,	3,	106,	1,	1),
(34649,	3,	106,	2,	1),
(34650,	3,	106,	3,	1),
(34651,	3,	106,	24,	1),
(34652,	3,	106,	6,	1),
(34653,	3,	106,	4,	1),
(34654,	3,	106,	25,	1),
(34655,	3,	106,	5,	1),
(34656,	3,	106,	1,	3),
(34657,	3,	106,	2,	3),
(34658,	3,	106,	3,	3),
(34659,	3,	106,	24,	3),
(34660,	3,	106,	6,	3),
(34661,	3,	106,	4,	3),
(34662,	3,	106,	25,	3),
(34663,	3,	106,	5,	3),
(34664,	3,	107,	1,	1),
(34665,	3,	107,	2,	1),
(34666,	3,	107,	3,	1),
(34667,	3,	107,	24,	1),
(34668,	3,	107,	6,	1),
(34669,	3,	107,	4,	1),
(34670,	3,	107,	25,	1),
(34671,	3,	107,	5,	1),
(34672,	3,	107,	1,	3),
(34673,	3,	107,	2,	3),
(34674,	3,	107,	3,	3),
(34675,	3,	107,	24,	3),
(34676,	3,	107,	6,	3),
(34677,	3,	107,	4,	3),
(34678,	3,	107,	25,	3),
(34679,	3,	107,	5,	3),
(34680,	3,	108,	1,	1),
(34681,	3,	108,	2,	1),
(34682,	3,	108,	3,	1),
(34683,	3,	108,	24,	1),
(34684,	3,	108,	25,	1),
(34685,	3,	108,	4,	1),
(34686,	3,	108,	1,	3),
(34687,	3,	108,	2,	3),
(34688,	3,	108,	3,	3),
(34689,	3,	108,	24,	3),
(34690,	3,	108,	25,	3),
(34691,	3,	108,	4,	3),
(34692,	3,	109,	1,	1),
(34693,	3,	109,	2,	1),
(34694,	3,	109,	3,	1),
(34695,	3,	109,	24,	1),
(34696,	3,	109,	6,	1),
(34697,	3,	109,	4,	1),
(34698,	3,	109,	25,	1),
(34699,	3,	109,	5,	1),
(34700,	3,	109,	1,	3),
(34701,	3,	109,	2,	3),
(34702,	3,	109,	3,	3),
(34703,	3,	109,	24,	3),
(34704,	3,	109,	6,	3),
(34705,	3,	109,	4,	3),
(34706,	3,	109,	25,	3),
(34707,	3,	109,	5,	3),
(34708,	3,	110,	1,	1),
(34709,	3,	110,	2,	1),
(34710,	3,	110,	3,	1),
(34711,	3,	110,	24,	1),
(34712,	3,	110,	6,	1),
(34713,	3,	110,	4,	1),
(34714,	3,	110,	25,	1),
(34715,	3,	110,	5,	1),
(34716,	3,	110,	1,	3),
(34717,	3,	110,	2,	3),
(34718,	3,	110,	3,	3),
(34719,	3,	110,	24,	3),
(34720,	3,	110,	6,	3),
(34721,	3,	110,	4,	3),
(34722,	3,	110,	25,	3),
(34723,	3,	110,	5,	3),
(34724,	3,	111,	1,	1),
(34725,	3,	111,	2,	1),
(34726,	3,	111,	3,	1),
(34727,	3,	111,	24,	1),
(34728,	3,	111,	6,	1),
(34729,	3,	111,	4,	1),
(34730,	3,	111,	25,	1),
(34731,	3,	111,	5,	1),
(34732,	3,	111,	1,	2),
(34733,	3,	111,	2,	2),
(34734,	3,	111,	3,	2),
(34735,	3,	111,	24,	2),
(34736,	3,	111,	6,	2),
(34737,	3,	111,	4,	2),
(34738,	3,	111,	25,	2),
(34739,	3,	111,	5,	2),
(34740,	3,	112,	1,	1),
(34741,	3,	112,	2,	1),
(34742,	3,	112,	3,	1),
(34743,	3,	112,	24,	1),
(34744,	3,	112,	6,	1),
(34745,	3,	112,	4,	1),
(34746,	3,	112,	25,	1),
(34747,	3,	112,	5,	1),
(34748,	3,	112,	1,	3),
(34749,	3,	112,	2,	3),
(34750,	3,	112,	3,	3),
(34751,	3,	112,	24,	3),
(34752,	3,	112,	6,	3),
(34753,	3,	112,	4,	3),
(34754,	3,	112,	25,	3),
(34755,	3,	112,	5,	3),
(34756,	3,	113,	1,	1),
(34757,	3,	113,	2,	1),
(34758,	3,	113,	3,	1),
(34759,	3,	113,	5,	1),
(34760,	3,	113,	1,	3),
(34761,	3,	113,	2,	3),
(34762,	3,	113,	3,	3),
(34763,	3,	113,	5,	3),
(34764,	3,	113,	1,	2),
(34765,	3,	113,	2,	2),
(34766,	3,	113,	3,	2),
(34767,	3,	113,	5,	2),
(34768,	3,	114,	1,	1),
(34769,	3,	114,	2,	1),
(34770,	3,	114,	3,	1),
(34771,	3,	114,	5,	1),
(34772,	3,	114,	1,	3),
(34773,	3,	114,	2,	3),
(34774,	3,	114,	3,	3),
(34775,	3,	114,	5,	3),
(34776,	3,	114,	1,	2),
(34777,	3,	114,	2,	2),
(34778,	3,	114,	3,	2),
(34779,	3,	114,	5,	2),
(34780,	3,	115,	1,	1),
(34781,	3,	115,	2,	1),
(34782,	3,	115,	3,	1),
(34783,	3,	115,	1,	2),
(34784,	3,	115,	2,	2),
(34785,	3,	115,	3,	2),
(34786,	3,	116,	1,	1),
(34787,	3,	116,	2,	1),
(34788,	3,	116,	3,	1),
(34789,	3,	116,	1,	2),
(34790,	3,	116,	2,	2),
(34791,	3,	116,	3,	2),
(34792,	3,	117,	1,	1),
(34793,	3,	117,	2,	1),
(34794,	3,	117,	3,	1),
(34795,	3,	117,	1,	2),
(34796,	3,	117,	2,	2),
(34797,	3,	117,	3,	2),
(34798,	3,	118,	1,	1),
(34799,	3,	118,	2,	1),
(34800,	3,	118,	3,	1),
(34801,	3,	118,	23,	1),
(34802,	3,	118,	1,	3),
(34803,	3,	118,	2,	3),
(34804,	3,	118,	3,	3),
(34805,	3,	118,	23,	3),
(34806,	3,	119,	1,	1),
(34807,	3,	119,	2,	1),
(34808,	3,	119,	3,	1),
(34809,	3,	119,	1,	2),
(34810,	3,	119,	2,	2),
(34811,	3,	119,	3,	2),
(34812,	3,	120,	1,	1),
(34813,	3,	120,	2,	1),
(34814,	3,	120,	3,	1),
(34815,	3,	120,	1,	2),
(34816,	3,	120,	2,	2),
(34817,	3,	120,	3,	2),
(34818,	3,	121,	1,	1),
(34819,	3,	121,	2,	1),
(34820,	3,	121,	3,	1),
(34821,	3,	121,	1,	2),
(34822,	3,	121,	2,	2),
(34823,	3,	121,	3,	2),
(34824,	3,	122,	1,	1),
(34825,	3,	122,	2,	1),
(34826,	3,	122,	3,	1),
(34827,	3,	122,	1,	2),
(34828,	3,	122,	2,	2),
(34829,	3,	122,	3,	2),
(34830,	3,	123,	1,	1),
(34831,	3,	123,	2,	1),
(34832,	3,	123,	3,	1),
(34833,	3,	123,	1,	2),
(34834,	3,	123,	2,	2),
(34835,	3,	123,	3,	2),
(34836,	3,	124,	1,	1),
(34837,	3,	124,	2,	1),
(34838,	3,	124,	3,	1),
(34839,	3,	125,	1,	1),
(34840,	3,	125,	2,	1),
(34841,	3,	125,	3,	1),
(34842,	3,	126,	1,	1),
(34843,	3,	126,	2,	1),
(34844,	3,	126,	3,	1),
(34845,	3,	127,	1,	1),
(34846,	3,	127,	2,	1),
(34847,	3,	127,	3,	1),
(34848,	3,	127,	1,	2),
(34849,	3,	127,	2,	2),
(34850,	3,	127,	3,	2),
(34851,	3,	128,	1,	1),
(34852,	3,	128,	2,	1),
(34853,	3,	128,	3,	1),
(34854,	3,	128,	1,	2),
(34855,	3,	128,	2,	2),
(34856,	3,	128,	3,	2),
(34857,	3,	129,	1,	1),
(34858,	3,	129,	2,	1),
(34859,	3,	129,	3,	1),
(34860,	3,	129,	1,	2),
(34861,	3,	129,	2,	2),
(34862,	3,	129,	3,	2),
(34863,	3,	130,	1,	1),
(34864,	3,	130,	2,	1),
(34865,	3,	130,	3,	1),
(34866,	3,	130,	1,	2),
(34867,	3,	130,	2,	2),
(34868,	3,	130,	3,	2),
(34869,	3,	131,	1,	1),
(34870,	3,	131,	2,	1),
(34871,	3,	131,	3,	1),
(34872,	3,	131,	1,	2),
(34873,	3,	131,	2,	2),
(34874,	3,	131,	3,	2),
(34875,	3,	132,	1,	1),
(34876,	3,	132,	2,	1),
(34877,	3,	132,	3,	1),
(34878,	3,	132,	1,	2),
(34879,	3,	132,	2,	2),
(34880,	3,	132,	3,	2),
(34881,	3,	133,	1,	1),
(34882,	3,	133,	2,	1),
(34883,	3,	133,	3,	1),
(34884,	3,	133,	1,	2),
(34885,	3,	133,	2,	2),
(34886,	3,	133,	3,	2),
(34887,	3,	134,	1,	1),
(34888,	3,	134,	2,	1),
(34889,	3,	134,	3,	1),
(34890,	3,	135,	1,	1),
(34891,	3,	135,	2,	1),
(34892,	3,	135,	3,	1),
(34893,	3,	136,	1,	1),
(34894,	3,	136,	2,	1),
(34895,	3,	136,	3,	1),
(34896,	3,	136,	23,	1),
(34897,	3,	136,	1,	2),
(34898,	3,	136,	2,	2),
(34899,	3,	136,	3,	2),
(34900,	3,	136,	23,	2),
(34901,	3,	137,	1,	1),
(34902,	3,	137,	2,	1),
(34903,	3,	137,	3,	1),
(34904,	3,	137,	1,	2),
(34905,	3,	137,	2,	2),
(34906,	3,	137,	3,	2),
(34907,	3,	138,	1,	1),
(34908,	3,	138,	2,	1),
(34909,	3,	138,	3,	1),
(34910,	3,	138,	1,	2),
(34911,	3,	138,	2,	2),
(34912,	3,	138,	3,	2),
(34913,	3,	139,	1,	1),
(34914,	3,	139,	2,	1),
(34915,	3,	139,	3,	1),
(34916,	3,	140,	1,	1),
(34917,	3,	140,	2,	1),
(34918,	3,	140,	3,	1),
(34919,	3,	140,	23,	1),
(34920,	3,	140,	6,	1),
(34921,	3,	141,	1,	1),
(34922,	3,	141,	2,	1),
(34923,	3,	141,	3,	1),
(34924,	3,	141,	1,	2),
(34925,	3,	141,	2,	2),
(34926,	3,	141,	3,	2),
(34927,	3,	142,	1,	1),
(34928,	3,	142,	2,	1),
(34929,	3,	142,	3,	1),
(34930,	3,	142,	1,	2),
(34931,	3,	142,	2,	2),
(34932,	3,	142,	3,	2),
(34933,	3,	143,	1,	1),
(34934,	3,	143,	2,	1),
(34935,	3,	143,	3,	1),
(34936,	3,	143,	1,	2),
(34937,	3,	143,	2,	2),
(34938,	3,	143,	3,	2),
(34939,	3,	144,	1,	1),
(34940,	3,	144,	2,	1),
(34941,	3,	144,	3,	1),
(34942,	3,	144,	1,	2),
(34943,	3,	144,	2,	2),
(34944,	3,	144,	3,	2),
(34945,	3,	145,	1,	1),
(34946,	3,	145,	2,	1),
(34947,	3,	145,	3,	1),
(34948,	3,	145,	1,	2),
(34949,	3,	145,	2,	2),
(34950,	3,	145,	3,	2),
(34951,	3,	146,	1,	1),
(34952,	3,	146,	2,	1),
(34953,	3,	146,	3,	1),
(34954,	3,	146,	1,	2),
(34955,	3,	146,	2,	2),
(34956,	3,	146,	3,	2),
(34957,	3,	147,	1,	1),
(34958,	3,	147,	2,	1),
(34959,	3,	147,	3,	1),
(34960,	3,	147,	1,	2),
(34961,	3,	147,	2,	2),
(34962,	3,	147,	3,	2),
(34963,	3,	148,	1,	1),
(34964,	3,	148,	2,	1),
(34965,	3,	148,	3,	1),
(34966,	3,	149,	1,	1),
(34967,	3,	149,	2,	1),
(34968,	3,	149,	3,	1),
(34969,	3,	149,	1,	2),
(34970,	3,	149,	2,	2),
(34971,	3,	149,	3,	2),
(34972,	3,	150,	1,	1),
(34973,	3,	150,	2,	1),
(34974,	3,	150,	3,	1),
(34975,	3,	151,	1,	1),
(34976,	3,	151,	2,	1),
(34977,	3,	151,	3,	1),
(34978,	3,	152,	1,	1),
(34979,	3,	152,	2,	1),
(34980,	3,	152,	3,	1),
(34981,	3,	153,	1,	1),
(34982,	3,	153,	2,	1),
(34983,	3,	153,	3,	1),
(34984,	3,	154,	1,	1),
(34985,	3,	154,	2,	1),
(34986,	3,	154,	3,	1),
(34987,	3,	154,	1,	2),
(34988,	3,	154,	2,	2),
(34989,	3,	154,	3,	2),
(34990,	3,	156,	1,	1),
(34991,	3,	156,	2,	1),
(34992,	3,	156,	3,	1),
(34993,	3,	157,	1,	1),
(34994,	3,	157,	2,	1),
(34995,	3,	157,	3,	1),
(34996,	3,	158,	1,	1),
(34997,	3,	158,	2,	1),
(34998,	3,	158,	3,	1),
(34999,	3,	158,	1,	2),
(35000,	3,	158,	2,	2),
(35001,	3,	158,	3,	2),
(35002,	3,	159,	1,	1),
(35003,	3,	159,	2,	1),
(35004,	3,	159,	3,	1),
(35005,	3,	160,	1,	1),
(35006,	3,	160,	2,	1),
(35007,	3,	160,	3,	1),
(35008,	3,	160,	1,	2),
(35009,	3,	160,	2,	2),
(35010,	3,	160,	3,	2),
(35011,	3,	161,	1,	1),
(35012,	3,	161,	2,	1),
(35013,	3,	161,	3,	1),
(35014,	3,	162,	1,	1),
(35015,	3,	162,	2,	1),
(35016,	3,	162,	3,	1),
(35017,	3,	163,	1,	1),
(35018,	3,	163,	2,	1),
(35019,	3,	163,	3,	1),
(35020,	3,	164,	1,	1),
(35021,	3,	164,	2,	1),
(35022,	3,	164,	3,	1),
(35023,	3,	164,	1,	2),
(35024,	3,	164,	2,	2),
(35025,	3,	164,	3,	2),
(35026,	3,	165,	1,	1),
(35027,	3,	165,	2,	1),
(35028,	3,	165,	3,	1),
(35029,	3,	166,	1,	1),
(35030,	3,	166,	2,	1),
(35031,	3,	166,	3,	1),
(35032,	3,	167,	1,	1),
(35033,	3,	167,	2,	1),
(35034,	3,	167,	3,	1),
(35035,	3,	167,	1,	2),
(35036,	3,	167,	2,	2),
(35037,	3,	167,	3,	2),
(35038,	3,	168,	1,	1),
(35039,	3,	168,	2,	1),
(35040,	3,	168,	3,	1),
(35041,	3,	168,	1,	2),
(35042,	3,	168,	2,	2),
(35043,	3,	168,	3,	2),
(35044,	3,	169,	1,	1),
(35045,	3,	169,	2,	1),
(35046,	3,	169,	3,	1),
(35047,	3,	170,	1,	1),
(35048,	3,	170,	2,	1),
(35049,	3,	170,	3,	1),
(35050,	3,	170,	1,	2),
(35051,	3,	170,	2,	2),
(35052,	3,	170,	3,	2),
(35053,	3,	171,	1,	1),
(35054,	3,	171,	2,	1),
(35055,	3,	171,	3,	1),
(35056,	3,	171,	1,	2),
(35057,	3,	171,	2,	2),
(35058,	3,	171,	3,	2),
(35059,	3,	172,	1,	1),
(35060,	3,	172,	2,	1),
(35061,	3,	172,	3,	1),
(35062,	3,	172,	1,	2),
(35063,	3,	172,	2,	2),
(35064,	3,	172,	3,	2),
(35065,	3,	173,	1,	1),
(35066,	3,	173,	2,	1),
(35067,	3,	173,	3,	1),
(35068,	3,	173,	1,	2),
(35069,	3,	173,	2,	2),
(35070,	3,	173,	3,	2),
(35071,	3,	174,	1,	1),
(35072,	3,	174,	2,	1),
(35073,	3,	174,	3,	1),
(35074,	3,	174,	1,	2),
(35075,	3,	174,	2,	2),
(35076,	3,	174,	3,	2),
(35077,	3,	175,	1,	1),
(35078,	3,	175,	2,	1),
(35079,	3,	175,	3,	1),
(35080,	3,	176,	1,	1),
(35081,	3,	176,	2,	1),
(35082,	3,	176,	3,	1),
(35083,	3,	177,	1,	1),
(35084,	3,	177,	2,	1),
(35085,	3,	177,	3,	1),
(35086,	3,	178,	1,	1),
(35087,	3,	178,	2,	1),
(35088,	3,	178,	3,	1),
(35089,	3,	179,	1,	1),
(35090,	3,	179,	2,	1),
(35091,	3,	179,	3,	1),
(35092,	3,	180,	1,	1),
(35093,	3,	180,	2,	1),
(35094,	3,	180,	3,	1),
(35095,	3,	180,	1,	2),
(35096,	3,	180,	2,	2),
(35097,	3,	180,	3,	2),
(35098,	3,	181,	1,	1),
(35099,	3,	181,	2,	1),
(35100,	3,	181,	3,	1),
(35101,	3,	181,	1,	2),
(35102,	3,	181,	2,	2),
(35103,	3,	181,	3,	2),
(35104,	3,	182,	1,	1),
(35105,	3,	182,	2,	1),
(35106,	3,	182,	3,	1),
(35107,	3,	183,	1,	1),
(35108,	3,	183,	2,	1),
(35109,	3,	183,	3,	1),
(35110,	3,	184,	1,	1),
(35111,	3,	184,	2,	1),
(35112,	3,	184,	3,	1),
(35113,	3,	185,	1,	1),
(35114,	3,	185,	2,	1),
(35115,	3,	185,	3,	1),
(35116,	3,	185,	1,	2),
(35117,	3,	185,	2,	2),
(35118,	3,	185,	3,	2),
(35119,	3,	186,	1,	1),
(35120,	3,	186,	2,	1),
(35121,	3,	186,	3,	1),
(35122,	3,	186,	1,	2),
(35123,	3,	186,	2,	2),
(35124,	3,	186,	3,	2),
(35125,	3,	187,	1,	1),
(35126,	3,	187,	2,	1),
(35127,	3,	187,	3,	1),
(35128,	3,	187,	1,	2),
(35129,	3,	187,	2,	2),
(35130,	3,	187,	3,	2),
(35131,	3,	188,	1,	1),
(35132,	3,	188,	2,	1),
(35133,	3,	188,	3,	1),
(35134,	3,	188,	1,	2),
(35135,	3,	188,	2,	2),
(35136,	3,	188,	3,	2),
(35137,	3,	189,	1,	1),
(35138,	3,	189,	2,	1),
(35139,	3,	189,	3,	1),
(35140,	3,	190,	1,	1),
(35141,	3,	190,	2,	1),
(35142,	3,	190,	3,	1),
(35143,	3,	190,	1,	2),
(35144,	3,	190,	2,	2),
(35145,	3,	190,	3,	2),
(35146,	3,	191,	1,	1),
(35147,	3,	191,	2,	1),
(35148,	3,	191,	3,	1),
(35149,	3,	191,	23,	1),
(35150,	3,	191,	27,	1),
(35151,	3,	192,	1,	1),
(35152,	3,	192,	2,	1),
(35153,	3,	192,	3,	1),
(35154,	3,	192,	23,	1),
(35155,	3,	193,	1,	1),
(35156,	3,	193,	2,	1),
(35157,	3,	193,	3,	1),
(35158,	3,	194,	1,	1),
(35159,	3,	194,	2,	1),
(35160,	3,	194,	3,	1),
(35161,	3,	194,	23,	1),
(35162,	3,	195,	1,	1),
(35163,	3,	195,	2,	1),
(35164,	3,	195,	3,	1),
(35165,	3,	196,	1,	1),
(35166,	3,	196,	2,	1),
(35167,	3,	196,	3,	1),
(35168,	3,	197,	1,	1),
(35169,	3,	197,	2,	1),
(35170,	3,	197,	3,	1),
(35171,	3,	197,	1,	2),
(35172,	3,	197,	2,	2),
(35173,	3,	197,	3,	2),
(35174,	3,	198,	1,	1),
(35175,	3,	198,	2,	1),
(35176,	3,	198,	3,	1),
(35177,	3,	198,	23,	1),
(35178,	3,	199,	1,	1),
(35179,	3,	199,	2,	1),
(35180,	3,	199,	3,	1),
(35181,	3,	200,	1,	1),
(35182,	3,	200,	2,	1),
(35183,	3,	200,	3,	1),
(35184,	3,	200,	23,	1),
(35185,	3,	201,	1,	1),
(35186,	3,	201,	2,	1),
(35187,	3,	201,	3,	1),
(35188,	3,	202,	1,	1),
(35189,	3,	202,	2,	1),
(35190,	3,	202,	3,	1),
(35191,	3,	202,	1,	2),
(35192,	3,	202,	2,	2),
(35193,	3,	202,	3,	2),
(35194,	3,	203,	1,	1),
(35195,	3,	203,	2,	1),
(35196,	3,	203,	3,	1),
(35197,	3,	203,	1,	2),
(35198,	3,	203,	2,	2),
(35199,	3,	203,	3,	2),
(35200,	3,	204,	1,	1),
(35201,	3,	204,	2,	1),
(35202,	3,	204,	3,	1),
(35203,	3,	204,	1,	2),
(35204,	3,	204,	2,	2),
(35205,	3,	204,	3,	2),
(35206,	3,	205,	1,	1),
(35207,	3,	205,	2,	1),
(35208,	3,	205,	3,	1),
(35209,	3,	205,	1,	2),
(35210,	3,	205,	2,	2),
(35211,	3,	205,	3,	2),
(35212,	3,	206,	1,	1),
(35213,	3,	206,	2,	1),
(35214,	3,	206,	3,	1),
(35215,	3,	206,	1,	2),
(35216,	3,	206,	2,	2),
(35217,	3,	206,	3,	2),
(35218,	3,	207,	1,	1),
(35219,	3,	207,	2,	1),
(35220,	3,	207,	3,	1),
(35221,	3,	208,	1,	1),
(35222,	3,	208,	2,	1),
(35223,	3,	208,	3,	1),
(35224,	3,	208,	1,	2),
(35225,	3,	208,	2,	2),
(35226,	3,	208,	3,	2),
(35227,	3,	209,	1,	1),
(35228,	3,	209,	2,	1),
(35229,	3,	209,	3,	1),
(35230,	3,	209,	1,	2),
(35231,	3,	209,	2,	2),
(35232,	3,	209,	3,	2),
(35233,	3,	210,	1,	1),
(35234,	3,	210,	2,	1),
(35235,	3,	210,	3,	1),
(35236,	3,	211,	1,	1),
(35237,	3,	211,	2,	1),
(35238,	3,	211,	3,	1),
(35239,	3,	211,	1,	2),
(35240,	3,	211,	2,	2),
(35241,	3,	211,	3,	2),
(35242,	3,	212,	1,	1),
(35243,	3,	212,	2,	1),
(35244,	3,	212,	3,	1),
(35245,	3,	212,	1,	2),
(35246,	3,	212,	2,	2),
(35247,	3,	212,	3,	2),
(35248,	3,	213,	1,	1),
(35249,	3,	213,	2,	1),
(35250,	3,	213,	3,	1),
(35251,	3,	213,	1,	2),
(35252,	3,	213,	2,	2),
(35253,	3,	213,	3,	2),
(35254,	3,	214,	1,	1),
(35255,	3,	214,	2,	1),
(35256,	3,	214,	3,	1),
(35257,	3,	214,	1,	2),
(35258,	3,	214,	2,	2),
(35259,	3,	214,	3,	2),
(35260,	3,	215,	1,	1),
(35261,	3,	215,	2,	1),
(35262,	3,	215,	3,	1),
(35263,	3,	216,	1,	1),
(35264,	3,	216,	2,	1),
(35265,	3,	216,	3,	1),
(35266,	3,	216,	1,	2),
(35267,	3,	216,	2,	2),
(35268,	3,	216,	3,	2),
(35269,	3,	217,	1,	1),
(35270,	3,	217,	2,	1),
(35271,	3,	217,	3,	1),
(35272,	3,	217,	1,	2),
(35273,	3,	217,	2,	2),
(35274,	3,	217,	3,	2),
(35275,	3,	218,	1,	1),
(35276,	3,	218,	2,	1),
(35277,	3,	218,	3,	1),
(35278,	3,	218,	1,	2),
(35279,	3,	218,	2,	2),
(35280,	3,	218,	3,	2),
(35281,	3,	219,	1,	1),
(35282,	3,	219,	2,	1),
(35283,	3,	219,	3,	1),
(35284,	3,	220,	1,	1),
(35285,	3,	220,	2,	1),
(35286,	3,	220,	3,	1),
(35287,	3,	220,	1,	2),
(35288,	3,	220,	2,	2),
(35289,	3,	220,	3,	2),
(35290,	3,	221,	1,	1),
(35291,	3,	221,	2,	1),
(35292,	3,	221,	3,	1),
(35293,	3,	221,	1,	2),
(35294,	3,	221,	2,	2),
(35295,	3,	221,	3,	2),
(35296,	3,	222,	1,	1),
(35297,	3,	222,	2,	1),
(35298,	3,	222,	3,	1),
(35299,	3,	222,	1,	2),
(35300,	3,	222,	2,	2),
(35301,	3,	222,	3,	2),
(35302,	3,	223,	1,	1),
(35303,	3,	223,	2,	1),
(35304,	3,	223,	3,	1),
(35305,	3,	223,	1,	2),
(35306,	3,	223,	2,	2),
(35307,	3,	223,	3,	2),
(35308,	3,	224,	1,	1),
(35309,	3,	224,	2,	1),
(35310,	3,	224,	3,	1),
(35311,	3,	224,	1,	2),
(35312,	3,	224,	2,	2),
(35313,	3,	224,	3,	2),
(35314,	3,	225,	1,	1),
(35315,	3,	225,	2,	1),
(35316,	3,	225,	3,	1),
(35317,	3,	225,	23,	1),
(35318,	3,	225,	1,	3),
(35319,	3,	225,	2,	3),
(35320,	3,	225,	3,	3),
(35321,	3,	225,	23,	3),
(35322,	3,	225,	1,	2),
(35323,	3,	225,	2,	2),
(35324,	3,	225,	3,	2),
(35325,	3,	225,	23,	2),
(35326,	3,	226,	1,	1),
(35327,	3,	226,	2,	1),
(35328,	3,	226,	3,	1),
(35329,	3,	226,	23,	1),
(35330,	3,	226,	1,	3),
(35331,	3,	226,	2,	3),
(35332,	3,	226,	3,	3),
(35333,	3,	226,	23,	3),
(35334,	3,	227,	1,	1),
(35335,	3,	227,	2,	1),
(35336,	3,	227,	3,	1),
(35337,	3,	227,	23,	1),
(35338,	3,	227,	1,	3),
(35339,	3,	227,	2,	3),
(35340,	3,	227,	3,	3),
(35341,	3,	227,	23,	3),
(35342,	3,	228,	1,	1),
(35343,	3,	228,	2,	1),
(35344,	3,	228,	3,	1),
(35345,	3,	228,	23,	1),
(35346,	3,	228,	1,	3),
(35347,	3,	228,	2,	3),
(35348,	3,	228,	3,	3),
(35349,	3,	228,	23,	3),
(35350,	3,	229,	1,	1),
(35351,	3,	229,	2,	1),
(35352,	3,	229,	3,	1),
(35353,	3,	229,	23,	1),
(35354,	3,	229,	1,	3),
(35355,	3,	229,	2,	3),
(35356,	3,	229,	3,	3),
(35357,	3,	229,	23,	3),
(35358,	3,	230,	1,	1),
(35359,	3,	230,	2,	1),
(35360,	3,	230,	3,	1),
(35361,	3,	231,	1,	1),
(35362,	3,	231,	2,	1),
(35363,	3,	231,	3,	1),
(35364,	3,	231,	1,	3),
(35365,	3,	231,	2,	3),
(35366,	3,	231,	3,	3),
(35367,	3,	232,	1,	1),
(35368,	3,	232,	2,	1),
(35369,	3,	232,	3,	1),
(35370,	3,	232,	1,	3),
(35371,	3,	232,	2,	3),
(35372,	3,	232,	3,	3),
(35373,	3,	233,	1,	1),
(35374,	3,	233,	2,	1),
(35375,	3,	233,	3,	1),
(35376,	3,	233,	1,	3),
(35377,	3,	233,	2,	3),
(35378,	3,	233,	3,	3),
(35379,	3,	234,	1,	1),
(35380,	3,	234,	2,	1),
(35381,	3,	234,	3,	1),
(35382,	3,	234,	1,	3),
(35383,	3,	234,	2,	3),
(35384,	3,	234,	3,	3),
(35385,	3,	235,	1,	1),
(35386,	3,	235,	2,	1),
(35387,	3,	235,	3,	1),
(35388,	3,	235,	1,	3),
(35389,	3,	235,	2,	3),
(35390,	3,	235,	3,	3),
(35391,	3,	236,	1,	1),
(35392,	3,	236,	2,	1),
(35393,	3,	236,	3,	1),
(35394,	3,	237,	1,	1),
(35395,	3,	237,	2,	1),
(35396,	3,	237,	3,	1),
(35397,	3,	237,	1,	3),
(35398,	3,	237,	2,	3),
(35399,	3,	237,	3,	3),
(35400,	3,	238,	1,	1),
(35401,	3,	238,	2,	1),
(35402,	3,	238,	3,	1),
(35403,	3,	239,	1,	1),
(35404,	3,	239,	2,	1),
(35405,	3,	239,	3,	1),
(35406,	3,	240,	1,	1),
(35407,	3,	240,	2,	1),
(35408,	3,	240,	3,	1),
(35409,	3,	241,	1,	1),
(35410,	3,	241,	2,	1),
(35411,	3,	241,	3,	1),
(35412,	3,	242,	1,	1),
(35413,	3,	242,	2,	1),
(35414,	3,	242,	3,	1),
(35415,	3,	242,	1,	2),
(35416,	3,	242,	2,	2),
(35417,	3,	242,	3,	2),
(35418,	3,	243,	1,	1),
(35419,	3,	243,	2,	1),
(35420,	3,	243,	3,	1),
(35421,	3,	243,	1,	2),
(35422,	3,	243,	2,	2),
(35423,	3,	243,	3,	2),
(35424,	3,	244,	1,	1),
(35425,	3,	244,	2,	1),
(35426,	3,	244,	3,	1),
(35427,	3,	244,	1,	2),
(35428,	3,	244,	2,	2),
(35429,	3,	244,	3,	2),
(35430,	3,	245,	1,	1),
(35431,	3,	245,	2,	1),
(35432,	3,	245,	3,	1),
(35433,	3,	245,	1,	2),
(35434,	3,	245,	2,	2),
(35435,	3,	245,	3,	2),
(35436,	3,	246,	1,	1),
(35437,	3,	246,	2,	1),
(35438,	3,	246,	3,	1),
(35439,	3,	246,	1,	2),
(35440,	3,	246,	2,	2),
(35441,	3,	246,	3,	2),
(35442,	3,	247,	1,	1),
(35443,	3,	247,	2,	1),
(35444,	3,	247,	3,	1),
(35445,	3,	247,	1,	2),
(35446,	3,	247,	2,	2),
(35447,	3,	247,	3,	2),
(35448,	3,	248,	1,	1),
(35449,	3,	248,	2,	1),
(35450,	3,	248,	3,	1),
(35451,	3,	248,	1,	2),
(35452,	3,	248,	2,	2),
(35453,	3,	248,	3,	2),
(35454,	3,	249,	1,	1),
(35455,	3,	249,	2,	1),
(35456,	3,	249,	3,	1),
(35457,	3,	249,	1,	3),
(35458,	3,	249,	2,	3),
(35459,	3,	249,	3,	3),
(35460,	3,	250,	1,	1),
(35461,	3,	250,	2,	1),
(35462,	3,	250,	3,	1),
(35463,	3,	250,	1,	2),
(35464,	3,	250,	2,	2),
(35465,	3,	250,	3,	2),
(35466,	3,	251,	1,	1),
(35467,	3,	251,	2,	1),
(35468,	3,	251,	3,	1),
(35469,	3,	251,	1,	2),
(35470,	3,	251,	2,	2),
(35471,	3,	251,	3,	2),
(35472,	3,	252,	1,	1),
(35473,	3,	252,	2,	1),
(35474,	3,	252,	3,	1),
(35475,	3,	253,	1,	1),
(35476,	3,	253,	2,	1),
(35477,	3,	253,	3,	1),
(35478,	3,	253,	1,	3),
(35479,	3,	253,	2,	3),
(35480,	3,	253,	3,	3),
(35481,	3,	254,	1,	1),
(35482,	3,	254,	2,	1),
(35483,	3,	254,	3,	1),
(35484,	3,	254,	1,	2),
(35485,	3,	254,	2,	2),
(35486,	3,	254,	3,	2),
(35487,	3,	255,	1,	1),
(35488,	3,	255,	2,	1),
(35489,	3,	255,	3,	1),
(35490,	3,	255,	1,	2),
(35491,	3,	255,	2,	2),
(35492,	3,	255,	3,	2),
(35493,	3,	256,	1,	1),
(35494,	3,	256,	2,	1),
(35495,	3,	256,	3,	1),
(35496,	3,	256,	1,	2),
(35497,	3,	256,	2,	2),
(35498,	3,	256,	3,	2),
(35499,	3,	257,	1,	1),
(35500,	3,	257,	2,	1),
(35501,	3,	257,	3,	1),
(35502,	3,	257,	1,	2),
(35503,	3,	257,	2,	2),
(35504,	3,	257,	3,	2),
(35505,	3,	258,	1,	1),
(35506,	3,	258,	2,	1),
(35507,	3,	258,	3,	1),
(35508,	3,	258,	1,	3),
(35509,	3,	258,	2,	3),
(35510,	3,	258,	3,	3),
(35511,	3,	259,	1,	1),
(35512,	3,	259,	2,	1),
(35513,	3,	259,	3,	1),
(35514,	3,	259,	1,	2),
(35515,	3,	259,	2,	2),
(35516,	3,	259,	3,	2),
(35517,	3,	260,	1,	1),
(35518,	3,	260,	2,	1),
(35519,	3,	260,	3,	1),
(35520,	3,	260,	1,	2),
(35521,	3,	260,	2,	2),
(35522,	3,	260,	3,	2),
(35523,	3,	261,	1,	1),
(35524,	3,	261,	2,	1),
(35525,	3,	261,	3,	1),
(35526,	3,	261,	1,	2),
(35527,	3,	261,	2,	2),
(35528,	3,	261,	3,	2),
(35529,	3,	262,	1,	1),
(35530,	3,	262,	2,	1),
(35531,	3,	262,	3,	1),
(35532,	3,	262,	1,	2),
(35533,	3,	262,	2,	2),
(35534,	3,	262,	3,	2),
(35535,	3,	263,	1,	1),
(35536,	3,	263,	2,	1),
(35537,	3,	263,	3,	1),
(35538,	3,	263,	1,	2),
(35539,	3,	263,	2,	2),
(35540,	3,	263,	3,	2),
(35541,	3,	264,	1,	1),
(35542,	3,	264,	2,	1),
(35543,	3,	264,	3,	1),
(35544,	3,	264,	1,	2),
(35545,	3,	264,	2,	2),
(35546,	3,	264,	3,	2),
(35547,	3,	265,	1,	1),
(35548,	3,	265,	2,	1),
(35549,	3,	265,	3,	1),
(35550,	3,	265,	1,	3),
(35551,	3,	265,	2,	3),
(35552,	3,	265,	3,	3),
(35553,	3,	266,	1,	1),
(35554,	3,	266,	2,	1),
(35555,	3,	266,	3,	1),
(35556,	3,	266,	1,	2),
(35557,	3,	266,	2,	2),
(35558,	3,	266,	3,	2),
(35559,	3,	267,	1,	1),
(35560,	3,	267,	2,	1),
(35561,	3,	267,	3,	1),
(35562,	3,	267,	1,	2),
(35563,	3,	267,	2,	2),
(35564,	3,	267,	3,	2),
(35565,	3,	268,	1,	1),
(35566,	3,	268,	2,	1),
(35567,	3,	268,	3,	1),
(35568,	3,	269,	1,	1),
(35569,	3,	269,	2,	1),
(35570,	3,	269,	3,	1),
(35571,	3,	269,	1,	2),
(35572,	3,	269,	2,	2),
(35573,	3,	269,	3,	2),
(35574,	3,	270,	1,	1),
(35575,	3,	270,	2,	1),
(35576,	3,	270,	3,	1),
(35577,	3,	270,	1,	3),
(35578,	3,	270,	2,	3),
(35579,	3,	270,	3,	3),
(35580,	3,	271,	1,	1),
(35581,	3,	271,	2,	1),
(35582,	3,	271,	3,	1),
(35583,	3,	271,	1,	3),
(35584,	3,	271,	2,	3),
(35585,	3,	271,	3,	3),
(35586,	3,	272,	1,	1),
(35587,	3,	272,	2,	1),
(35588,	3,	272,	3,	1),
(35589,	3,	272,	1,	3),
(35590,	3,	272,	2,	3),
(35591,	3,	272,	3,	3),
(35592,	3,	273,	1,	1),
(35593,	3,	273,	2,	1),
(35594,	3,	273,	3,	1),
(35595,	3,	274,	1,	1),
(35596,	3,	274,	2,	1),
(35597,	3,	274,	3,	1),
(35598,	3,	274,	23,	1),
(35599,	3,	274,	1,	3),
(35600,	3,	274,	2,	3),
(35601,	3,	274,	3,	3),
(35602,	3,	274,	23,	3),
(35603,	3,	275,	1,	1),
(35604,	3,	275,	2,	1),
(35605,	3,	275,	3,	1),
(35606,	3,	275,	23,	1),
(35607,	3,	275,	1,	3),
(35608,	3,	275,	2,	3),
(35609,	3,	275,	3,	3),
(35610,	3,	275,	23,	3),
(35611,	3,	276,	1,	1),
(35612,	3,	276,	2,	1),
(35613,	3,	276,	3,	1),
(35614,	3,	276,	23,	1),
(35615,	3,	276,	1,	3),
(35616,	3,	276,	2,	3),
(35617,	3,	276,	3,	3),
(35618,	3,	276,	23,	3),
(35619,	3,	277,	1,	1),
(35620,	3,	277,	2,	1),
(35621,	3,	277,	3,	1),
(35622,	3,	277,	1,	2),
(35623,	3,	277,	2,	2),
(35624,	3,	277,	3,	2),
(35625,	3,	278,	1,	1),
(35626,	3,	278,	2,	1),
(35627,	3,	278,	3,	1),
(35628,	3,	279,	1,	1),
(35629,	3,	279,	2,	1),
(35630,	3,	279,	3,	1),
(35631,	3,	279,	1,	2),
(35632,	3,	279,	2,	2),
(35633,	3,	279,	3,	2),
(35634,	3,	280,	1,	1),
(35635,	3,	280,	2,	1),
(35636,	3,	280,	3,	1),
(35637,	3,	280,	1,	3),
(35638,	3,	280,	2,	3),
(35639,	3,	280,	3,	3),
(35640,	3,	281,	1,	1),
(35641,	3,	281,	2,	1),
(35642,	3,	281,	3,	1),
(35643,	3,	281,	23,	1),
(35644,	3,	281,	1,	3),
(35645,	3,	281,	2,	3),
(35646,	3,	281,	3,	3),
(35647,	3,	281,	23,	3),
(35648,	3,	282,	1,	1),
(35649,	3,	282,	2,	1),
(35650,	3,	282,	3,	1),
(35651,	3,	282,	23,	1),
(35652,	3,	282,	1,	3),
(35653,	3,	282,	2,	3),
(35654,	3,	282,	3,	3),
(35655,	3,	282,	23,	3),
(35656,	3,	283,	1,	1),
(35657,	3,	283,	2,	1),
(35658,	3,	283,	3,	1),
(35659,	3,	283,	23,	1),
(35660,	3,	283,	1,	3),
(35661,	3,	283,	2,	3),
(35662,	3,	283,	3,	3),
(35663,	3,	283,	23,	3),
(35664,	3,	284,	1,	1),
(35665,	3,	284,	2,	1),
(35666,	3,	284,	3,	1),
(35667,	3,	284,	23,	1),
(35668,	3,	284,	1,	3),
(35669,	3,	284,	2,	3),
(35670,	3,	284,	3,	3),
(35671,	3,	284,	23,	3),
(35672,	3,	285,	1,	1),
(35673,	3,	285,	2,	1),
(35674,	3,	285,	3,	1),
(35675,	3,	285,	23,	1),
(35676,	3,	285,	1,	2),
(35677,	3,	285,	2,	2),
(35678,	3,	285,	3,	2),
(35679,	3,	285,	23,	2),
(35680,	3,	286,	1,	1),
(35681,	3,	286,	2,	1),
(35682,	3,	286,	3,	1),
(35683,	3,	286,	23,	1),
(35684,	3,	287,	1,	1),
(35685,	3,	287,	2,	1),
(35686,	3,	287,	3,	1),
(35687,	3,	287,	23,	1),
(35688,	3,	287,	1,	2),
(35689,	3,	287,	2,	2),
(35690,	3,	287,	3,	2),
(35691,	3,	287,	23,	2),
(35692,	3,	288,	1,	1),
(35693,	3,	288,	2,	1),
(35694,	3,	288,	3,	1),
(35695,	3,	288,	23,	1),
(35696,	3,	288,	1,	2),
(35697,	3,	288,	2,	2),
(35698,	3,	288,	3,	2),
(35699,	3,	288,	23,	2),
(35700,	3,	289,	1,	1),
(35701,	3,	289,	2,	1),
(35702,	3,	289,	3,	1),
(35703,	3,	290,	1,	1),
(35704,	3,	290,	2,	1),
(35705,	3,	290,	3,	1),
(35706,	3,	291,	1,	1),
(35707,	3,	291,	2,	1),
(35708,	3,	291,	3,	1),
(35709,	3,	291,	1,	3),
(35710,	3,	291,	2,	3),
(35711,	3,	291,	3,	3),
(35712,	3,	292,	1,	1),
(35713,	3,	292,	2,	1),
(35714,	3,	292,	3,	1),
(35715,	3,	292,	1,	2),
(35716,	3,	292,	2,	2),
(35717,	3,	292,	3,	2),
(35718,	3,	293,	1,	1),
(35719,	3,	293,	2,	1),
(35720,	3,	293,	3,	1),
(35721,	3,	294,	1,	1),
(35722,	3,	294,	2,	1),
(35723,	3,	294,	3,	1),
(35724,	3,	294,	1,	2),
(35725,	3,	294,	2,	2),
(35726,	3,	294,	3,	2),
(35727,	3,	295,	1,	1),
(35728,	3,	295,	2,	1),
(35729,	3,	295,	3,	1),
(35730,	3,	295,	1,	3),
(35731,	3,	295,	2,	3),
(35732,	3,	295,	3,	3),
(35733,	3,	296,	1,	1),
(35734,	3,	296,	2,	1),
(35735,	3,	296,	3,	1),
(35736,	3,	296,	1,	3),
(35737,	3,	296,	2,	3),
(35738,	3,	296,	3,	3),
(35739,	3,	297,	1,	1),
(35740,	3,	297,	2,	1),
(35741,	3,	297,	3,	1),
(35742,	3,	297,	1,	3),
(35743,	3,	297,	2,	3),
(35744,	3,	297,	3,	3),
(35745,	3,	298,	1,	1),
(35746,	3,	298,	2,	1),
(35747,	3,	298,	3,	1),
(35748,	3,	298,	1,	3),
(35749,	3,	298,	2,	3),
(35750,	3,	298,	3,	3),
(35751,	3,	299,	1,	1),
(35752,	3,	299,	2,	1),
(35753,	3,	299,	3,	1),
(35754,	3,	299,	1,	2),
(35755,	3,	299,	2,	2),
(35756,	3,	299,	3,	2),
(35757,	3,	300,	1,	1),
(35758,	3,	300,	2,	1),
(35759,	3,	300,	3,	1),
(35760,	3,	300,	1,	2),
(35761,	3,	300,	2,	2),
(35762,	3,	300,	3,	2),
(35763,	3,	301,	1,	1),
(35764,	3,	301,	2,	1),
(35765,	3,	301,	3,	1),
(35766,	3,	301,	1,	2),
(35767,	3,	301,	2,	2),
(35768,	3,	301,	3,	2),
(35769,	3,	302,	1,	1),
(35770,	3,	302,	2,	1),
(35771,	3,	302,	3,	1),
(35772,	3,	302,	1,	2),
(35773,	3,	302,	2,	2),
(35774,	3,	302,	3,	2),
(35775,	3,	303,	1,	1),
(35776,	3,	303,	2,	1),
(35777,	3,	303,	3,	1),
(35778,	3,	303,	1,	2),
(35779,	3,	303,	2,	2),
(35780,	3,	303,	3,	2),
(35781,	3,	304,	1,	1),
(35782,	3,	304,	2,	1),
(35783,	3,	304,	3,	1),
(35784,	3,	304,	1,	2),
(35785,	3,	304,	2,	2),
(35786,	3,	304,	3,	2),
(35787,	3,	305,	1,	1),
(35788,	3,	305,	2,	1),
(35789,	3,	305,	3,	1),
(35790,	3,	305,	1,	2),
(35791,	3,	305,	2,	2),
(35792,	3,	305,	3,	2),
(35793,	3,	306,	1,	1),
(35794,	3,	306,	2,	1),
(35795,	3,	306,	3,	1),
(35796,	3,	306,	1,	3),
(35797,	3,	306,	2,	3),
(35798,	3,	306,	3,	3),
(35799,	3,	307,	1,	1),
(35800,	3,	307,	2,	1),
(35801,	3,	307,	3,	1),
(35802,	3,	307,	1,	2),
(35803,	3,	307,	2,	2),
(35804,	3,	307,	3,	2),
(35805,	3,	308,	1,	1),
(35806,	3,	308,	2,	1),
(35807,	3,	308,	3,	1),
(35808,	3,	308,	1,	2),
(35809,	3,	308,	2,	2),
(35810,	3,	308,	3,	2),
(35811,	3,	309,	1,	1),
(35812,	3,	309,	2,	1),
(35813,	3,	309,	3,	1),
(35814,	3,	309,	23,	1),
(35815,	3,	309,	1,	3),
(35816,	3,	309,	2,	3),
(35817,	3,	309,	3,	3),
(35818,	3,	309,	23,	3),
(35819,	3,	310,	1,	1),
(35820,	3,	310,	2,	1),
(35821,	3,	310,	3,	1),
(35822,	3,	310,	28,	1),
(35823,	3,	310,	23,	1),
(35824,	3,	310,	1,	3),
(35825,	3,	310,	2,	3),
(35826,	3,	310,	3,	3),
(35827,	3,	310,	28,	3),
(35828,	3,	310,	23,	3),
(35829,	3,	311,	1,	1),
(35830,	3,	311,	2,	1),
(35831,	3,	311,	3,	1),
(35832,	3,	311,	1,	3),
(35833,	3,	311,	2,	3),
(35834,	3,	311,	3,	3),
(35835,	3,	312,	1,	1),
(35836,	3,	312,	2,	1),
(35837,	3,	312,	3,	1),
(35838,	3,	312,	1,	3),
(35839,	3,	312,	2,	3),
(35840,	3,	312,	3,	3),
(35841,	3,	313,	1,	1),
(35842,	3,	313,	2,	1),
(35843,	3,	313,	3,	1),
(35844,	3,	313,	1,	3),
(35845,	3,	313,	2,	3),
(35846,	3,	313,	3,	3),
(35847,	3,	314,	1,	1),
(35848,	3,	314,	2,	1),
(35849,	3,	314,	3,	1),
(35850,	3,	314,	1,	3),
(35851,	3,	314,	2,	3),
(35852,	3,	314,	3,	3),
(35853,	3,	315,	1,	1),
(35854,	3,	315,	2,	1),
(35855,	3,	315,	3,	1),
(35856,	3,	315,	1,	2),
(35857,	3,	315,	2,	2),
(35858,	3,	315,	3,	2),
(35859,	3,	316,	1,	1),
(35860,	3,	316,	2,	1),
(35861,	3,	316,	3,	1),
(35862,	3,	317,	1,	1),
(35863,	3,	317,	2,	1),
(35864,	3,	317,	3,	1),
(35865,	3,	317,	1,	2),
(35866,	3,	317,	2,	2),
(35867,	3,	317,	3,	2),
(35868,	3,	318,	1,	1),
(35869,	3,	318,	2,	1),
(35870,	3,	318,	3,	1),
(35871,	3,	318,	1,	2),
(35872,	3,	318,	2,	2),
(35873,	3,	318,	3,	2),
(35874,	3,	319,	1,	1),
(35875,	3,	319,	2,	1),
(35876,	3,	319,	3,	1),
(35877,	3,	319,	1,	3),
(35878,	3,	319,	2,	3),
(35879,	3,	319,	3,	3),
(35880,	3,	320,	1,	1),
(35881,	3,	320,	2,	1),
(35882,	3,	320,	3,	1),
(35883,	3,	321,	1,	1),
(35884,	3,	321,	2,	1),
(35885,	3,	321,	3,	1),
(35886,	3,	321,	1,	3),
(35887,	3,	321,	2,	3),
(35888,	3,	321,	3,	3),
(35889,	3,	322,	1,	1),
(35890,	3,	322,	2,	1),
(35891,	3,	322,	3,	1),
(35892,	3,	322,	1,	2),
(35893,	3,	322,	2,	2),
(35894,	3,	322,	3,	2),
(35895,	3,	323,	1,	1),
(35896,	3,	323,	2,	1),
(35897,	3,	323,	3,	1),
(35898,	3,	323,	1,	2),
(35899,	3,	323,	2,	2),
(35900,	3,	323,	3,	2),
(35901,	3,	324,	1,	1),
(35902,	3,	324,	2,	1),
(35903,	3,	324,	3,	1),
(35904,	3,	324,	1,	3),
(35905,	3,	324,	2,	3),
(35906,	3,	324,	3,	3),
(35907,	3,	325,	1,	1),
(35908,	3,	325,	2,	1),
(35909,	3,	325,	3,	1),
(35910,	3,	325,	1,	3),
(35911,	3,	325,	2,	3),
(35912,	3,	325,	3,	3),
(35913,	3,	326,	1,	1),
(35914,	3,	326,	2,	1),
(35915,	3,	326,	3,	1),
(35916,	3,	326,	1,	3),
(35917,	3,	326,	2,	3),
(35918,	3,	326,	3,	3),
(35919,	3,	327,	1,	1),
(35920,	3,	327,	2,	1),
(35921,	3,	327,	3,	1),
(35922,	3,	328,	1,	1),
(35923,	3,	328,	2,	1),
(35924,	3,	328,	3,	1),
(35925,	3,	328,	1,	3),
(35926,	3,	328,	2,	3),
(35927,	3,	328,	3,	3),
(35928,	3,	329,	1,	1),
(35929,	3,	329,	2,	1),
(35930,	3,	329,	3,	1),
(35931,	3,	329,	1,	3),
(35932,	3,	329,	2,	3),
(35933,	3,	329,	3,	3),
(35934,	3,	330,	1,	1),
(35935,	3,	330,	2,	1),
(35936,	3,	330,	3,	1),
(35937,	3,	330,	1,	3),
(35938,	3,	330,	2,	3),
(35939,	3,	330,	3,	3),
(35940,	3,	331,	1,	1),
(35941,	3,	331,	2,	1),
(35942,	3,	331,	3,	1),
(35943,	3,	331,	1,	2),
(35944,	3,	331,	2,	2),
(35945,	3,	331,	3,	2),
(35946,	3,	332,	1,	1),
(35947,	3,	332,	2,	1),
(35948,	3,	332,	3,	1),
(35949,	3,	333,	1,	1),
(35950,	3,	333,	2,	1),
(35951,	3,	333,	3,	1),
(35952,	3,	333,	1,	3),
(35953,	3,	333,	2,	3),
(35954,	3,	333,	3,	3),
(35955,	3,	334,	1,	1),
(35956,	3,	334,	2,	1),
(35957,	3,	334,	3,	1),
(35958,	3,	334,	1,	3),
(35959,	3,	334,	2,	3),
(35960,	3,	334,	3,	3),
(35961,	3,	335,	1,	1),
(35962,	3,	335,	2,	1),
(35963,	3,	335,	3,	1),
(35964,	3,	335,	1,	3),
(35965,	3,	335,	2,	3),
(35966,	3,	335,	3,	3),
(35967,	3,	336,	1,	1),
(35968,	3,	336,	2,	1),
(35969,	3,	336,	3,	1),
(35970,	3,	336,	1,	3),
(35971,	3,	336,	2,	3),
(35972,	3,	336,	3,	3),
(35973,	3,	337,	1,	1),
(35974,	3,	337,	2,	1),
(35975,	3,	337,	3,	1),
(35976,	3,	337,	1,	3),
(35977,	3,	337,	2,	3),
(35978,	3,	337,	3,	3),
(35979,	3,	337,	1,	2),
(35980,	3,	337,	2,	2),
(35981,	3,	337,	3,	2),
(35982,	3,	338,	1,	1),
(35983,	3,	338,	2,	1),
(35984,	3,	338,	3,	1),
(35985,	3,	338,	1,	2),
(35986,	3,	338,	2,	2),
(35987,	3,	338,	3,	2),
(35988,	3,	339,	1,	1),
(35989,	3,	339,	2,	1),
(35990,	3,	339,	3,	1),
(35991,	3,	339,	1,	3),
(35992,	3,	339,	2,	3),
(35993,	3,	339,	3,	3),
(35994,	3,	340,	1,	1),
(35995,	3,	340,	2,	1),
(35996,	3,	340,	3,	1),
(35997,	3,	340,	1,	3),
(35998,	3,	340,	2,	3),
(35999,	3,	340,	3,	3),
(36000,	3,	341,	1,	1),
(36001,	3,	341,	2,	1),
(36002,	3,	341,	3,	1),
(36003,	3,	341,	1,	3),
(36004,	3,	341,	2,	3),
(36005,	3,	341,	3,	3),
(36006,	3,	342,	1,	1),
(36007,	3,	342,	2,	1),
(36008,	3,	342,	3,	1),
(36009,	3,	342,	1,	2),
(36010,	3,	342,	2,	2),
(36011,	3,	342,	3,	2),
(36012,	3,	343,	1,	1),
(36013,	3,	343,	2,	1),
(36014,	3,	343,	3,	1),
(36015,	3,	343,	1,	3),
(36016,	3,	343,	2,	3),
(36017,	3,	343,	3,	3),
(36018,	3,	344,	1,	1),
(36019,	3,	344,	2,	1),
(36020,	3,	344,	3,	1),
(36021,	3,	344,	1,	3),
(36022,	3,	344,	2,	3),
(36023,	3,	344,	3,	3),
(36024,	3,	345,	1,	1),
(36025,	3,	345,	2,	1),
(36026,	3,	345,	3,	1),
(36027,	3,	345,	1,	3),
(36028,	3,	345,	2,	3),
(36029,	3,	345,	3,	3),
(36030,	3,	346,	1,	1),
(36031,	3,	346,	2,	1),
(36032,	3,	346,	3,	1),
(36033,	3,	346,	1,	3),
(36034,	3,	346,	2,	3),
(36035,	3,	346,	3,	3),
(36036,	3,	346,	1,	2),
(36037,	3,	346,	2,	2),
(36038,	3,	346,	3,	2),
(36039,	3,	347,	1,	1),
(36040,	3,	347,	2,	1),
(36041,	3,	347,	3,	1),
(36042,	3,	347,	1,	3),
(36043,	3,	347,	2,	3),
(36044,	3,	347,	3,	3),
(36045,	3,	347,	1,	2),
(36046,	3,	347,	2,	2),
(36047,	3,	347,	3,	2),
(36048,	3,	348,	1,	1),
(36049,	3,	348,	2,	1),
(36050,	3,	348,	3,	1),
(36051,	3,	348,	1,	3),
(36052,	3,	348,	2,	3),
(36053,	3,	348,	3,	3),
(36054,	3,	349,	1,	1),
(36055,	3,	349,	2,	1),
(36056,	3,	349,	3,	1),
(36057,	3,	349,	1,	3),
(36058,	3,	349,	2,	3),
(36059,	3,	349,	3,	3),
(36060,	3,	350,	1,	1),
(36061,	3,	350,	2,	1),
(36062,	3,	350,	3,	1),
(36063,	3,	350,	1,	3),
(36064,	3,	350,	2,	3),
(36065,	3,	350,	3,	3),
(36066,	3,	351,	1,	1),
(36067,	3,	351,	2,	1),
(36068,	3,	351,	3,	1),
(36069,	3,	351,	1,	2),
(36070,	3,	351,	2,	2),
(36071,	3,	351,	3,	2),
(36072,	3,	352,	1,	1),
(36073,	3,	352,	2,	1),
(36074,	3,	352,	3,	1),
(36075,	3,	352,	1,	3),
(36076,	3,	352,	2,	3),
(36077,	3,	352,	3,	3),
(36078,	3,	353,	1,	1),
(36079,	3,	353,	2,	1),
(36080,	3,	353,	3,	1),
(36081,	3,	353,	1,	3),
(36082,	3,	353,	2,	3),
(36083,	3,	353,	3,	3),
(36084,	3,	354,	1,	1),
(36085,	3,	354,	2,	1),
(36086,	3,	354,	3,	1),
(36087,	3,	354,	1,	3),
(36088,	3,	354,	2,	3),
(36089,	3,	354,	3,	3),
(36090,	3,	355,	1,	1),
(36091,	3,	355,	2,	1),
(36092,	3,	355,	3,	1),
(36093,	3,	355,	29,	1),
(36094,	3,	356,	1,	1),
(36095,	3,	356,	2,	1),
(36096,	3,	356,	3,	1),
(36097,	3,	356,	1,	2),
(36098,	3,	356,	2,	2),
(36099,	3,	356,	3,	2),
(36100,	3,	357,	1,	1),
(36101,	3,	357,	2,	1),
(36102,	3,	357,	3,	1),
(36103,	3,	357,	1,	2),
(36104,	3,	357,	2,	2),
(36105,	3,	357,	3,	2),
(36106,	3,	358,	1,	1),
(36107,	3,	358,	2,	1),
(36108,	3,	358,	3,	1),
(36109,	3,	358,	1,	2),
(36110,	3,	358,	2,	2),
(36111,	3,	358,	3,	2),
(36112,	3,	359,	1,	1),
(36113,	3,	359,	2,	1),
(36114,	3,	359,	3,	1),
(36115,	3,	360,	1,	1),
(36116,	3,	360,	2,	1),
(36117,	3,	360,	3,	1),
(36118,	3,	361,	1,	1),
(36119,	3,	361,	2,	1),
(36120,	3,	361,	3,	1),
(36121,	3,	361,	1,	2),
(36122,	3,	361,	2,	2),
(36123,	3,	361,	3,	2),
(36124,	3,	362,	1,	1),
(36125,	3,	362,	2,	1),
(36126,	3,	362,	3,	1),
(36127,	3,	362,	1,	3),
(36128,	3,	362,	2,	3),
(36129,	3,	362,	3,	3),
(36130,	3,	363,	1,	1),
(36131,	3,	363,	2,	1),
(36132,	3,	363,	3,	1),
(36133,	3,	363,	1,	3),
(36134,	3,	363,	2,	3),
(36135,	3,	363,	3,	3),
(36136,	3,	364,	1,	1),
(36137,	3,	364,	2,	1),
(36138,	3,	364,	3,	1),
(36139,	3,	364,	1,	3),
(36140,	3,	364,	2,	3),
(36141,	3,	364,	3,	3),
(36142,	3,	365,	1,	1),
(36143,	3,	365,	2,	1),
(36144,	3,	365,	3,	1),
(36145,	3,	365,	1,	2),
(36146,	3,	365,	2,	2),
(36147,	3,	365,	3,	2),
(36148,	3,	366,	1,	1),
(36149,	3,	366,	2,	1),
(36150,	3,	366,	3,	1),
(36151,	3,	367,	1,	1),
(36152,	3,	367,	2,	1),
(36153,	3,	367,	3,	1),
(36154,	3,	367,	1,	3),
(36155,	3,	367,	2,	3),
(36156,	3,	367,	3,	3),
(36157,	3,	368,	1,	1),
(36158,	3,	368,	2,	1),
(36159,	3,	368,	3,	1),
(36160,	3,	368,	1,	3),
(36161,	3,	368,	2,	3),
(36162,	3,	368,	3,	3),
(36163,	3,	369,	1,	1),
(36164,	3,	369,	2,	1),
(36165,	3,	369,	3,	1),
(36166,	3,	369,	29,	1),
(36167,	3,	369,	30,	1),
(36168,	3,	370,	1,	1),
(36169,	3,	370,	2,	1),
(36170,	3,	370,	3,	1),
(36171,	3,	370,	29,	1),
(36172,	3,	370,	30,	1),
(36173,	3,	371,	1,	1),
(36174,	3,	371,	2,	1),
(36175,	3,	371,	3,	1),
(36176,	3,	372,	1,	1),
(36177,	3,	372,	2,	1),
(36178,	3,	372,	3,	1),
(36179,	3,	372,	1,	2),
(36180,	3,	372,	2,	2),
(36181,	3,	372,	3,	2),
(36182,	3,	373,	1,	1),
(36183,	3,	373,	2,	1),
(36184,	3,	373,	3,	1),
(36185,	3,	373,	23,	1),
(36186,	3,	374,	1,	1),
(36187,	3,	374,	2,	1),
(36188,	3,	374,	3,	1),
(36189,	3,	374,	28,	1),
(36190,	3,	374,	1,	3),
(36191,	3,	374,	2,	3),
(36192,	3,	374,	3,	3),
(36193,	3,	374,	28,	3),
(36194,	3,	375,	1,	1),
(36195,	3,	375,	2,	1),
(36196,	3,	375,	3,	1),
(36197,	3,	375,	23,	1),
(36198,	3,	375,	28,	1),
(36199,	3,	375,	1,	3),
(36200,	3,	375,	2,	3),
(36201,	3,	375,	3,	3),
(36202,	3,	375,	23,	3),
(36203,	3,	375,	28,	3),
(36204,	3,	376,	1,	1),
(36205,	3,	376,	2,	1),
(36206,	3,	376,	3,	1),
(36207,	3,	376,	1,	2),
(36208,	3,	376,	2,	2),
(36209,	3,	376,	3,	2),
(36210,	3,	377,	1,	1),
(36211,	3,	377,	2,	1),
(36212,	3,	377,	3,	1),
(36213,	3,	377,	1,	3),
(36214,	3,	377,	2,	3),
(36215,	3,	377,	3,	3),
(36216,	3,	378,	1,	1),
(36217,	3,	378,	2,	1),
(36218,	3,	378,	3,	1),
(36219,	3,	378,	23,	1),
(36220,	3,	378,	28,	1),
(36221,	3,	378,	1,	3),
(36222,	3,	378,	2,	3),
(36223,	3,	378,	3,	3),
(36224,	3,	378,	23,	3),
(36225,	3,	378,	28,	3),
(36226,	3,	379,	1,	1),
(36227,	3,	379,	2,	1),
(36228,	3,	379,	3,	1),
(36229,	3,	380,	1,	1),
(36230,	3,	380,	2,	1),
(36231,	3,	380,	3,	1),
(36232,	3,	381,	1,	1),
(36233,	3,	381,	2,	1),
(36234,	3,	381,	3,	1),
(36235,	3,	381,	1,	2),
(36236,	3,	381,	2,	2),
(36237,	3,	381,	3,	2),
(36238,	3,	382,	1,	1),
(36239,	3,	382,	2,	1),
(36240,	3,	382,	3,	1),
(36241,	3,	382,	23,	1),
(36242,	3,	383,	1,	1),
(36243,	3,	383,	2,	1),
(36244,	3,	383,	3,	1),
(36245,	3,	383,	1,	2),
(36246,	3,	383,	2,	2),
(36247,	3,	383,	3,	2),
(36248,	3,	384,	1,	1),
(36249,	3,	384,	2,	1),
(36250,	3,	384,	3,	1),
(36251,	3,	384,	23,	1),
(36252,	3,	384,	1,	3),
(36253,	3,	384,	2,	3),
(36254,	3,	384,	3,	3),
(36255,	3,	384,	23,	3),
(36256,	3,	385,	1,	1),
(36257,	3,	385,	2,	1),
(36258,	3,	385,	3,	1),
(36259,	3,	385,	1,	3),
(36260,	3,	385,	2,	3),
(36261,	3,	385,	3,	3),
(36262,	3,	386,	1,	1),
(36263,	3,	386,	2,	1),
(36264,	3,	386,	3,	1),
(36265,	3,	386,	1,	2),
(36266,	3,	386,	2,	2),
(36267,	3,	386,	3,	2),
(36268,	3,	387,	1,	1),
(36269,	3,	387,	2,	1),
(36270,	3,	387,	3,	1),
(36271,	3,	387,	1,	2),
(36272,	3,	387,	2,	2),
(36273,	3,	387,	3,	2),
(36274,	3,	388,	1,	1),
(36275,	3,	388,	2,	1),
(36276,	3,	388,	3,	1),
(36277,	3,	388,	1,	2),
(36278,	3,	388,	2,	2),
(36279,	3,	388,	3,	2),
(36280,	3,	389,	1,	1),
(36281,	3,	389,	2,	1),
(36282,	3,	389,	3,	1),
(36283,	3,	389,	1,	2),
(36284,	3,	389,	2,	2),
(36285,	3,	389,	3,	2),
(36286,	3,	390,	1,	1),
(36287,	3,	390,	2,	1),
(36288,	3,	390,	3,	1),
(36289,	3,	391,	1,	1),
(36290,	3,	391,	2,	1),
(36291,	3,	391,	3,	1),
(36292,	3,	391,	1,	2),
(36293,	3,	391,	2,	2),
(36294,	3,	391,	3,	2),
(36295,	3,	392,	1,	1),
(36296,	3,	392,	2,	1),
(36297,	3,	392,	3,	1),
(36298,	3,	392,	1,	2),
(36299,	3,	392,	2,	2),
(36300,	3,	392,	3,	2),
(36301,	3,	393,	1,	1),
(36302,	3,	393,	2,	1),
(36303,	3,	393,	3,	1),
(36304,	3,	393,	1,	2),
(36305,	3,	393,	2,	2),
(36306,	3,	393,	3,	2),
(36307,	3,	394,	1,	1),
(36308,	3,	394,	2,	1),
(36309,	3,	394,	3,	1),
(36310,	3,	394,	1,	2),
(36311,	3,	394,	2,	2),
(36312,	3,	394,	3,	2),
(36313,	3,	395,	1,	1),
(36314,	3,	395,	2,	1),
(36315,	3,	395,	3,	1),
(36316,	3,	395,	1,	2),
(36317,	3,	395,	2,	2),
(36318,	3,	395,	3,	2),
(36319,	3,	396,	1,	1),
(36320,	3,	396,	2,	1),
(36321,	3,	396,	3,	1),
(36322,	3,	396,	6,	1),
(36323,	3,	396,	24,	1),
(36324,	3,	396,	5,	1),
(36325,	3,	396,	1,	2),
(36326,	3,	396,	2,	2),
(36327,	3,	396,	3,	2),
(36328,	3,	396,	6,	2),
(36329,	3,	396,	24,	2),
(36330,	3,	396,	5,	2),
(36331,	3,	397,	1,	1),
(36332,	3,	397,	2,	1),
(36333,	3,	397,	3,	1),
(36334,	3,	397,	6,	1),
(36335,	3,	397,	24,	1),
(36336,	3,	397,	5,	1),
(36337,	3,	397,	1,	2),
(36338,	3,	397,	2,	2),
(36339,	3,	397,	3,	2),
(36340,	3,	397,	6,	2),
(36341,	3,	397,	24,	2),
(36342,	3,	397,	5,	2),
(36343,	3,	398,	1,	1),
(36344,	3,	398,	2,	1),
(36345,	3,	398,	3,	1),
(36346,	3,	398,	6,	1),
(36347,	3,	398,	24,	1),
(36348,	3,	398,	25,	1),
(36349,	3,	398,	4,	1),
(36350,	3,	398,	1,	3),
(36351,	3,	398,	2,	3),
(36352,	3,	398,	3,	3),
(36353,	3,	398,	6,	3),
(36354,	3,	398,	24,	3),
(36355,	3,	398,	25,	3),
(36356,	3,	398,	4,	3),
(36357,	3,	399,	1,	1),
(36358,	3,	399,	2,	1),
(36359,	3,	399,	3,	1),
(36360,	3,	399,	6,	1),
(36361,	3,	399,	24,	1),
(36362,	3,	399,	25,	1),
(36363,	3,	399,	4,	1),
(36364,	3,	399,	5,	1),
(36365,	3,	399,	1,	3),
(36366,	3,	399,	2,	3),
(36367,	3,	399,	3,	3),
(36368,	3,	399,	6,	3),
(36369,	3,	399,	24,	3),
(36370,	3,	399,	25,	3),
(36371,	3,	399,	4,	3),
(36372,	3,	399,	5,	3),
(36373,	3,	400,	1,	1),
(36374,	3,	400,	2,	1),
(36375,	3,	400,	3,	1),
(36376,	3,	400,	1,	3),
(36377,	3,	400,	2,	3),
(36378,	3,	400,	3,	3),
(36379,	3,	400,	1,	2),
(36380,	3,	400,	2,	2),
(36381,	3,	400,	3,	2),
(36382,	3,	401,	1,	1),
(36383,	3,	401,	2,	1),
(36384,	3,	401,	3,	1),
(36385,	3,	401,	6,	1),
(36386,	3,	401,	24,	1),
(36387,	3,	401,	25,	1),
(36388,	3,	401,	4,	1),
(36389,	3,	401,	5,	1),
(36390,	3,	401,	1,	3),
(36391,	3,	401,	2,	3),
(36392,	3,	401,	3,	3),
(36393,	3,	401,	6,	3),
(36394,	3,	401,	24,	3),
(36395,	3,	401,	25,	3),
(36396,	3,	401,	4,	3),
(36397,	3,	401,	5,	3),
(36398,	3,	402,	1,	1),
(36399,	3,	402,	2,	1),
(36400,	3,	402,	3,	1),
(36401,	3,	402,	6,	1),
(36402,	3,	402,	24,	1),
(36403,	3,	402,	25,	1),
(36404,	3,	402,	4,	1),
(36405,	3,	402,	5,	1),
(36406,	3,	402,	1,	3),
(36407,	3,	402,	2,	3),
(36408,	3,	402,	3,	3),
(36409,	3,	402,	6,	3),
(36410,	3,	402,	24,	3),
(36411,	3,	402,	25,	3),
(36412,	3,	402,	4,	3),
(36413,	3,	402,	5,	3),
(36414,	3,	403,	1,	1),
(36415,	3,	403,	2,	1),
(36416,	3,	403,	3,	1),
(36417,	3,	403,	6,	1),
(36418,	3,	403,	24,	1),
(36419,	3,	403,	5,	1),
(36420,	3,	403,	1,	2),
(36421,	3,	403,	2,	2),
(36422,	3,	403,	3,	2),
(36423,	3,	403,	6,	2),
(36424,	3,	403,	24,	2),
(36425,	3,	403,	5,	2),
(36426,	3,	404,	1,	1),
(36427,	3,	404,	2,	1),
(36428,	3,	404,	3,	1),
(36429,	3,	404,	1,	2),
(36430,	3,	404,	2,	2),
(36431,	3,	404,	3,	2),
(36432,	3,	405,	1,	1),
(36433,	3,	405,	2,	1),
(36434,	3,	405,	3,	1),
(36435,	3,	405,	1,	2),
(36436,	3,	405,	2,	2),
(36437,	3,	405,	3,	2),
(36438,	3,	406,	1,	1),
(36439,	3,	406,	2,	1),
(36440,	3,	406,	3,	1),
(36441,	3,	406,	1,	2),
(36442,	3,	406,	2,	2),
(36443,	3,	406,	3,	2),
(36444,	3,	407,	1,	1),
(36445,	3,	407,	2,	1),
(36446,	3,	407,	3,	1),
(36447,	3,	407,	1,	2),
(36448,	3,	407,	2,	2),
(36449,	3,	407,	3,	2),
(36450,	3,	408,	1,	1),
(36451,	3,	408,	2,	1),
(36452,	3,	408,	3,	1),
(36453,	3,	409,	1,	1),
(36454,	3,	409,	2,	1),
(36455,	3,	409,	3,	1),
(36456,	3,	409,	1,	3),
(36457,	3,	409,	2,	3),
(36458,	3,	409,	3,	3),
(36459,	3,	410,	1,	1),
(36460,	3,	410,	2,	1),
(36461,	3,	410,	3,	1),
(36462,	3,	410,	1,	2),
(36463,	3,	410,	2,	2),
(36464,	3,	410,	3,	2),
(36465,	3,	411,	1,	1),
(36466,	3,	411,	2,	1),
(36467,	3,	411,	3,	1),
(36468,	3,	411,	1,	2),
(36469,	3,	411,	2,	2),
(36470,	3,	411,	3,	2),
(36471,	3,	412,	1,	1),
(36472,	3,	412,	2,	1),
(36473,	3,	412,	3,	1),
(36474,	3,	413,	1,	1),
(36475,	3,	413,	2,	1),
(36476,	3,	413,	3,	1),
(36477,	3,	413,	1,	2),
(36478,	3,	413,	2,	2),
(36479,	3,	413,	3,	2),
(36480,	3,	414,	1,	1),
(36481,	3,	414,	2,	1),
(36482,	3,	414,	3,	1),
(36483,	3,	414,	1,	2),
(36484,	3,	414,	2,	2),
(36485,	3,	414,	3,	2),
(36486,	3,	415,	1,	1),
(36487,	3,	415,	2,	1),
(36488,	3,	415,	3,	1),
(36489,	3,	415,	1,	2),
(36490,	3,	415,	2,	2),
(36491,	3,	415,	3,	2),
(36492,	3,	416,	1,	1),
(36493,	3,	416,	2,	1),
(36494,	3,	416,	3,	1),
(36495,	3,	416,	1,	2),
(36496,	3,	416,	2,	2),
(36497,	3,	416,	3,	2),
(36498,	3,	417,	1,	1),
(36499,	3,	417,	2,	1),
(36500,	3,	417,	3,	1),
(36501,	3,	418,	1,	1),
(36502,	3,	418,	2,	1),
(36503,	3,	418,	3,	1),
(36504,	3,	418,	1,	2),
(36505,	3,	418,	2,	2),
(36506,	3,	418,	3,	2),
(36507,	3,	419,	1,	1),
(36508,	3,	419,	2,	1),
(36509,	3,	419,	3,	1),
(36510,	3,	419,	1,	2),
(36511,	3,	419,	2,	2),
(36512,	3,	419,	3,	2),
(36513,	3,	420,	1,	1),
(36514,	3,	420,	2,	1),
(36515,	3,	420,	3,	1),
(36516,	3,	420,	1,	2),
(36517,	3,	420,	2,	2),
(36518,	3,	420,	3,	2),
(36519,	3,	421,	1,	1),
(36520,	3,	421,	2,	1),
(36521,	3,	421,	3,	1),
(36522,	3,	421,	1,	2),
(36523,	3,	421,	2,	2),
(36524,	3,	421,	3,	2),
(36525,	3,	422,	1,	1),
(36526,	3,	422,	2,	1),
(36527,	3,	422,	3,	1),
(36528,	3,	422,	1,	3),
(36529,	3,	422,	2,	3),
(36530,	3,	422,	3,	3),
(36531,	3,	423,	1,	1),
(36532,	3,	423,	2,	1),
(36533,	3,	423,	3,	1),
(36534,	3,	423,	1,	2),
(36535,	3,	423,	2,	2),
(36536,	3,	423,	3,	2),
(36537,	3,	424,	1,	1),
(36538,	3,	424,	2,	1),
(36539,	3,	424,	3,	1),
(36540,	3,	424,	1,	2),
(36541,	3,	424,	2,	2),
(36542,	3,	424,	3,	2),
(36543,	3,	425,	1,	1),
(36544,	3,	425,	2,	1),
(36545,	3,	425,	3,	1),
(36546,	3,	425,	1,	2),
(36547,	3,	425,	2,	2),
(36548,	3,	425,	3,	2),
(36549,	3,	426,	1,	1),
(36550,	3,	426,	2,	1),
(36551,	3,	426,	3,	1),
(36552,	3,	426,	1,	2),
(36553,	3,	426,	2,	2),
(36554,	3,	426,	3,	2),
(36555,	3,	427,	1,	1),
(36556,	3,	427,	2,	1),
(36557,	3,	427,	3,	1),
(36558,	3,	428,	1,	1),
(36559,	3,	428,	2,	1),
(36560,	3,	428,	3,	1),
(36561,	3,	428,	1,	3),
(36562,	3,	428,	2,	3),
(36563,	3,	428,	3,	3),
(36564,	3,	429,	1,	1),
(36565,	3,	429,	2,	1),
(36566,	3,	429,	3,	1),
(36567,	3,	429,	1,	3),
(36568,	3,	429,	2,	3),
(36569,	3,	429,	3,	3),
(36570,	3,	430,	1,	1),
(36571,	3,	430,	2,	1),
(36572,	3,	430,	3,	1),
(36573,	3,	430,	1,	3),
(36574,	3,	430,	2,	3),
(36575,	3,	430,	3,	3),
(36576,	3,	430,	1,	2),
(36577,	3,	430,	2,	2),
(36578,	3,	430,	3,	2),
(36579,	3,	431,	1,	1),
(36580,	3,	431,	2,	1),
(36581,	3,	431,	3,	1),
(36582,	3,	431,	1,	3),
(36583,	3,	431,	2,	3),
(36584,	3,	431,	3,	3),
(36585,	3,	431,	1,	2),
(36586,	3,	431,	2,	2),
(36587,	3,	431,	3,	2),
(36588,	3,	432,	1,	1),
(36589,	3,	432,	2,	1),
(36590,	3,	432,	3,	1),
(36591,	3,	432,	1,	3),
(36592,	3,	432,	2,	3),
(36593,	3,	432,	3,	3),
(36594,	3,	432,	1,	2),
(36595,	3,	432,	2,	2),
(36596,	3,	432,	3,	2),
(36597,	3,	433,	1,	1),
(36598,	3,	433,	2,	1),
(36599,	3,	433,	3,	1),
(36600,	3,	433,	1,	2),
(36601,	3,	433,	2,	2),
(36602,	3,	433,	3,	2),
(36603,	3,	434,	1,	1),
(36604,	3,	434,	2,	1),
(36605,	3,	434,	3,	1),
(36606,	3,	434,	1,	2),
(36607,	3,	434,	2,	2),
(36608,	3,	434,	3,	2),
(36609,	3,	435,	1,	1),
(36610,	3,	435,	2,	1),
(36611,	3,	435,	3,	1),
(36612,	3,	435,	1,	2),
(36613,	3,	435,	2,	2),
(36614,	3,	435,	3,	2),
(36615,	3,	436,	1,	1),
(36616,	3,	436,	2,	1),
(36617,	3,	436,	3,	1),
(36618,	3,	436,	1,	2),
(36619,	3,	436,	2,	2),
(36620,	3,	436,	3,	2),
(36621,	3,	437,	1,	1),
(36622,	3,	437,	2,	1),
(36623,	3,	437,	3,	1),
(36624,	3,	437,	1,	2),
(36625,	3,	437,	2,	2),
(36626,	3,	437,	3,	2),
(36627,	3,	438,	1,	1),
(36628,	3,	438,	2,	1),
(36629,	3,	438,	3,	1),
(36630,	3,	438,	1,	2),
(36631,	3,	438,	2,	2),
(36632,	3,	438,	3,	2),
(36633,	3,	439,	1,	1),
(36634,	3,	439,	2,	1),
(36635,	3,	439,	3,	1),
(36636,	3,	439,	1,	2),
(36637,	3,	439,	2,	2),
(36638,	3,	439,	3,	2),
(36639,	3,	440,	1,	1),
(36640,	3,	440,	2,	1),
(36641,	3,	440,	3,	1),
(36642,	3,	440,	1,	3),
(36643,	3,	440,	2,	3),
(36644,	3,	440,	3,	3),
(36645,	3,	441,	1,	1),
(36646,	3,	441,	2,	1),
(36647,	3,	441,	3,	1),
(36648,	3,	441,	1,	3),
(36649,	3,	441,	2,	3),
(36650,	3,	441,	3,	3),
(36651,	3,	442,	1,	1),
(36652,	3,	442,	2,	1),
(36653,	3,	442,	3,	1),
(36654,	3,	442,	1,	3),
(36655,	3,	442,	2,	3),
(36656,	3,	442,	3,	3),
(36657,	3,	443,	1,	1),
(36658,	3,	443,	2,	1),
(36659,	3,	443,	3,	1),
(36660,	3,	443,	1,	2),
(36661,	3,	443,	2,	2),
(36662,	3,	443,	3,	2),
(36663,	3,	444,	1,	1),
(36664,	3,	444,	2,	1),
(36665,	3,	444,	3,	1),
(36666,	3,	444,	1,	3),
(36667,	3,	444,	2,	3),
(36668,	3,	444,	3,	3),
(36669,	3,	445,	1,	1),
(36670,	3,	445,	2,	1),
(36671,	3,	445,	3,	1),
(36672,	3,	445,	1,	3),
(36673,	3,	445,	2,	3),
(36674,	3,	445,	3,	3),
(36675,	3,	446,	1,	1),
(36676,	3,	446,	2,	1),
(36677,	3,	446,	3,	1),
(36678,	3,	446,	1,	2),
(36679,	3,	446,	2,	2),
(36680,	3,	446,	3,	2),
(36681,	3,	447,	1,	1),
(36682,	3,	447,	2,	1),
(36683,	3,	447,	3,	1),
(36684,	3,	447,	1,	3),
(36685,	3,	447,	2,	3),
(36686,	3,	447,	3,	3),
(36687,	3,	448,	1,	1),
(36688,	3,	448,	2,	1),
(36689,	3,	448,	3,	1),
(36690,	3,	448,	1,	2),
(36691,	3,	448,	2,	2),
(36692,	3,	448,	3,	2),
(36693,	3,	449,	1,	1),
(36694,	3,	449,	2,	1),
(36695,	3,	449,	3,	1),
(36696,	3,	449,	1,	2),
(36697,	3,	449,	2,	2),
(36698,	3,	449,	3,	2),
(36699,	3,	450,	1,	1),
(36700,	3,	450,	2,	1),
(36701,	3,	450,	3,	1),
(36702,	3,	450,	1,	3),
(36703,	3,	450,	2,	3),
(36704,	3,	450,	3,	3),
(36705,	3,	451,	1,	1),
(36706,	3,	451,	2,	1),
(36707,	3,	451,	3,	1),
(36708,	3,	451,	1,	2),
(36709,	3,	451,	2,	2),
(36710,	3,	451,	3,	2),
(36711,	3,	452,	1,	1),
(36712,	3,	452,	2,	1),
(36713,	3,	452,	3,	1),
(36714,	3,	452,	1,	2),
(36715,	3,	452,	2,	2),
(36716,	3,	452,	3,	2),
(36717,	3,	453,	1,	1),
(36718,	3,	453,	2,	1),
(36719,	3,	453,	3,	1),
(36720,	3,	453,	1,	3),
(36721,	3,	453,	2,	3),
(36722,	3,	453,	3,	3),
(36723,	3,	454,	1,	1),
(36724,	3,	454,	2,	1),
(36725,	3,	454,	3,	1),
(36726,	3,	454,	1,	2),
(36727,	3,	454,	2,	2),
(36728,	3,	454,	3,	2),
(36729,	3,	455,	1,	1),
(36730,	3,	455,	2,	1),
(36731,	3,	455,	3,	1),
(36732,	3,	456,	1,	1),
(36733,	3,	456,	2,	1),
(36734,	3,	456,	3,	1),
(36735,	3,	456,	1,	2),
(36736,	3,	456,	2,	2),
(36737,	3,	456,	3,	2),
(36738,	3,	457,	1,	1),
(36739,	3,	457,	2,	1),
(36740,	3,	457,	3,	1),
(36741,	3,	457,	1,	2),
(36742,	3,	457,	2,	2),
(36743,	3,	457,	3,	2),
(36744,	3,	458,	1,	1),
(36745,	3,	458,	2,	1),
(36746,	3,	458,	3,	1),
(36747,	3,	458,	1,	3),
(36748,	3,	458,	2,	3),
(36749,	3,	458,	3,	3),
(36750,	3,	459,	1,	1),
(36751,	3,	459,	2,	1),
(36752,	3,	459,	3,	1),
(36753,	3,	460,	1,	1),
(36754,	3,	460,	2,	1),
(36755,	3,	460,	3,	1),
(36756,	3,	460,	1,	2),
(36757,	3,	460,	2,	2),
(36758,	3,	460,	3,	2),
(36759,	3,	461,	1,	1),
(36760,	3,	461,	2,	1),
(36761,	3,	461,	3,	1),
(36762,	3,	461,	1,	2),
(36763,	3,	461,	2,	2),
(36764,	3,	461,	3,	2),
(36765,	3,	462,	1,	1),
(36766,	3,	462,	2,	1),
(36767,	3,	462,	3,	1),
(36768,	3,	462,	1,	2),
(36769,	3,	462,	2,	2),
(36770,	3,	462,	3,	2),
(36771,	3,	463,	1,	1),
(36772,	3,	463,	2,	1),
(36773,	3,	463,	3,	1),
(36774,	3,	463,	1,	2),
(36775,	3,	463,	2,	2),
(36776,	3,	463,	3,	2),
(36777,	3,	464,	1,	1),
(36778,	3,	464,	2,	1),
(36779,	3,	464,	3,	1),
(36780,	3,	464,	1,	2),
(36781,	3,	464,	2,	2),
(36782,	3,	464,	3,	2),
(36783,	3,	465,	1,	1),
(36784,	3,	465,	2,	1),
(36785,	3,	465,	3,	1),
(36786,	3,	465,	1,	2),
(36787,	3,	465,	2,	2),
(36788,	3,	465,	3,	2),
(36789,	3,	466,	1,	1),
(36790,	3,	466,	2,	1),
(36791,	3,	466,	3,	1),
(36792,	3,	466,	1,	2),
(36793,	3,	466,	2,	2),
(36794,	3,	466,	3,	2),
(36795,	3,	467,	1,	1),
(36796,	3,	467,	2,	1),
(36797,	3,	467,	3,	1),
(36798,	3,	467,	1,	2),
(36799,	3,	467,	2,	2),
(36800,	3,	467,	3,	2),
(36801,	3,	468,	1,	1),
(36802,	3,	468,	2,	1),
(36803,	3,	468,	3,	1),
(36804,	3,	468,	1,	2),
(36805,	3,	468,	2,	2),
(36806,	3,	468,	3,	2),
(36807,	3,	469,	1,	1),
(36808,	3,	469,	2,	1),
(36809,	3,	469,	3,	1),
(36810,	3,	469,	1,	2),
(36811,	3,	469,	2,	2),
(36812,	3,	469,	3,	2),
(36813,	3,	470,	1,	1),
(36814,	3,	470,	2,	1),
(36815,	3,	470,	3,	1),
(36816,	3,	471,	1,	1),
(36817,	3,	471,	2,	1),
(36818,	3,	471,	3,	1),
(36819,	3,	472,	1,	1),
(36820,	3,	472,	2,	1),
(36821,	3,	472,	3,	1),
(36822,	3,	473,	1,	1),
(36823,	3,	473,	2,	1),
(36824,	3,	473,	3,	1),
(36825,	3,	474,	1,	1),
(36826,	3,	474,	2,	1),
(36827,	3,	474,	3,	1),
(36828,	3,	474,	1,	3),
(36829,	3,	474,	2,	3),
(36830,	3,	474,	3,	3),
(36831,	3,	475,	1,	1),
(36832,	3,	475,	2,	1),
(36833,	3,	475,	3,	1),
(36834,	3,	476,	1,	1),
(36835,	3,	476,	2,	1),
(36836,	3,	476,	3,	1),
(36837,	3,	476,	1,	2),
(36838,	3,	476,	2,	2),
(36839,	3,	476,	3,	2),
(36840,	3,	477,	1,	1),
(36841,	3,	477,	2,	1),
(36842,	3,	477,	3,	1),
(36843,	3,	477,	1,	2),
(36844,	3,	477,	2,	2),
(36845,	3,	477,	3,	2),
(36846,	3,	478,	1,	1),
(36847,	3,	478,	2,	1),
(36848,	3,	478,	3,	1),
(36849,	3,	478,	1,	2),
(36850,	3,	478,	2,	2),
(36851,	3,	478,	3,	2),
(36852,	3,	479,	1,	1),
(36853,	3,	479,	2,	1),
(36854,	3,	479,	3,	1),
(36855,	3,	480,	1,	1),
(36856,	3,	480,	2,	1),
(36857,	3,	480,	3,	1),
(36858,	3,	481,	1,	1),
(36859,	3,	481,	2,	1),
(36860,	3,	481,	3,	1),
(36861,	3,	482,	1,	1),
(36862,	3,	482,	2,	1),
(36863,	3,	482,	3,	1),
(36864,	3,	483,	1,	1),
(36865,	3,	483,	2,	1),
(36866,	3,	483,	3,	1),
(36867,	3,	484,	1,	1),
(36868,	3,	484,	2,	1),
(36869,	3,	484,	3,	1),
(36870,	3,	485,	1,	1),
(36871,	3,	485,	2,	1),
(36872,	3,	485,	3,	1),
(36873,	3,	486,	1,	1),
(36874,	3,	486,	2,	1),
(36875,	3,	486,	3,	1),
(36876,	3,	486,	1,	2),
(36877,	3,	486,	2,	2),
(36878,	3,	486,	3,	2),
(36879,	3,	487,	1,	1),
(36880,	3,	487,	2,	1),
(36881,	3,	487,	3,	1),
(36882,	3,	487,	1,	2),
(36883,	3,	487,	2,	2),
(36884,	3,	487,	3,	2),
(36885,	3,	488,	1,	1),
(36886,	3,	488,	2,	1),
(36887,	3,	488,	3,	1),
(36888,	3,	488,	1,	2),
(36889,	3,	488,	2,	2),
(36890,	3,	488,	3,	2),
(36891,	3,	489,	1,	1),
(36892,	3,	489,	2,	1),
(36893,	3,	489,	3,	1),
(36894,	3,	489,	1,	2),
(36895,	3,	489,	2,	2),
(36896,	3,	489,	3,	2),
(36897,	3,	490,	1,	1),
(36898,	3,	490,	2,	1),
(36899,	3,	490,	3,	1),
(36900,	3,	491,	1,	1),
(36901,	3,	491,	2,	1),
(36902,	3,	491,	3,	1),
(36903,	3,	492,	1,	1),
(36904,	3,	492,	2,	1),
(36905,	3,	492,	3,	1),
(36906,	3,	493,	1,	1),
(36907,	3,	493,	2,	1),
(36908,	3,	493,	3,	1),
(36909,	3,	493,	1,	2),
(36910,	3,	493,	2,	2),
(36911,	3,	493,	3,	2),
(36912,	3,	494,	1,	1),
(36913,	3,	494,	2,	1),
(36914,	3,	494,	3,	1),
(36915,	3,	494,	1,	2),
(36916,	3,	494,	2,	2),
(36917,	3,	494,	3,	2),
(36918,	3,	495,	1,	1),
(36919,	3,	495,	2,	1),
(36920,	3,	495,	3,	1),
(36921,	3,	495,	1,	2),
(36922,	3,	495,	2,	2),
(36923,	3,	495,	3,	2),
(36924,	3,	496,	1,	1),
(36925,	3,	496,	2,	1),
(36926,	3,	496,	3,	1),
(36927,	3,	496,	1,	2),
(36928,	3,	496,	2,	2),
(36929,	3,	496,	3,	2),
(36930,	3,	497,	1,	1),
(36931,	3,	497,	2,	1),
(36932,	3,	497,	3,	1),
(36933,	3,	497,	1,	2),
(36934,	3,	497,	2,	2),
(36935,	3,	497,	3,	2),
(36936,	3,	498,	1,	1),
(36937,	3,	498,	2,	1),
(36938,	3,	498,	3,	1),
(36939,	3,	498,	1,	2),
(36940,	3,	498,	2,	2),
(36941,	3,	498,	3,	2),
(36942,	3,	499,	1,	1),
(36943,	3,	499,	2,	1),
(36944,	3,	499,	3,	1),
(36945,	3,	499,	1,	2),
(36946,	3,	499,	2,	2),
(36947,	3,	499,	3,	2),
(36948,	3,	500,	1,	1),
(36949,	3,	500,	2,	1),
(36950,	3,	500,	3,	1),
(36951,	3,	500,	1,	2),
(36952,	3,	500,	2,	2),
(36953,	3,	500,	3,	2),
(36954,	3,	501,	1,	1),
(36955,	3,	501,	2,	1),
(36956,	3,	501,	3,	1),
(36957,	3,	501,	1,	2),
(36958,	3,	501,	2,	2),
(36959,	3,	501,	3,	2),
(36960,	3,	502,	1,	1),
(36961,	3,	502,	2,	1),
(36962,	3,	502,	3,	1),
(36963,	3,	502,	1,	2),
(36964,	3,	502,	2,	2),
(36965,	3,	502,	3,	2),
(36966,	3,	503,	1,	1),
(36967,	3,	503,	2,	1),
(36968,	3,	503,	3,	1),
(36969,	3,	503,	1,	2),
(36970,	3,	503,	2,	2),
(36971,	3,	503,	3,	2),
(36972,	3,	504,	1,	1),
(36973,	3,	504,	2,	1),
(36974,	3,	504,	3,	1),
(36975,	3,	504,	1,	2),
(36976,	3,	504,	2,	2),
(36977,	3,	504,	3,	2),
(36978,	3,	505,	1,	1),
(36979,	3,	505,	2,	1),
(36980,	3,	505,	3,	1),
(36981,	3,	505,	1,	2),
(36982,	3,	505,	2,	2),
(36983,	3,	505,	3,	2),
(36984,	3,	506,	1,	1),
(36985,	3,	506,	2,	1),
(36986,	3,	506,	3,	1),
(36987,	3,	506,	1,	2),
(36988,	3,	506,	2,	2),
(36989,	3,	506,	3,	2),
(36990,	3,	507,	1,	1),
(36991,	3,	507,	2,	1),
(36992,	3,	507,	3,	1),
(36993,	3,	507,	1,	2),
(36994,	3,	507,	2,	2),
(36995,	3,	507,	3,	2),
(36996,	3,	508,	1,	1),
(36997,	3,	508,	2,	1),
(36998,	3,	508,	3,	1),
(36999,	3,	508,	1,	2),
(37000,	3,	508,	2,	2),
(37001,	3,	508,	3,	2),
(37002,	3,	509,	1,	1),
(37003,	3,	509,	2,	1),
(37004,	3,	509,	3,	1),
(37005,	3,	509,	1,	2),
(37006,	3,	509,	2,	2),
(37007,	3,	509,	3,	2),
(37008,	3,	510,	1,	1),
(37009,	3,	510,	2,	1),
(37010,	3,	510,	3,	1),
(37011,	3,	510,	1,	2),
(37012,	3,	510,	2,	2),
(37013,	3,	510,	3,	2),
(37014,	3,	511,	1,	1),
(37015,	3,	511,	2,	1),
(37016,	3,	511,	3,	1),
(37017,	3,	511,	1,	2),
(37018,	3,	511,	2,	2),
(37019,	3,	511,	3,	2),
(37020,	3,	512,	1,	1),
(37021,	3,	512,	2,	1),
(37022,	3,	512,	3,	1),
(37023,	3,	512,	1,	2),
(37024,	3,	512,	2,	2),
(37025,	3,	512,	3,	2),
(37026,	3,	513,	1,	1),
(37027,	3,	513,	2,	1),
(37028,	3,	513,	3,	1),
(37029,	3,	513,	1,	2),
(37030,	3,	513,	2,	2),
(37031,	3,	513,	3,	2),
(37032,	3,	514,	1,	1),
(37033,	3,	514,	2,	1),
(37034,	3,	514,	3,	1),
(37035,	3,	514,	23,	1),
(37036,	3,	514,	1,	3),
(37037,	3,	514,	2,	3),
(37038,	3,	514,	3,	3),
(37039,	3,	514,	23,	3),
(37040,	3,	515,	1,	1),
(37041,	3,	515,	2,	1),
(37042,	3,	515,	3,	1),
(37043,	3,	515,	23,	1),
(37044,	3,	515,	1,	3),
(37045,	3,	515,	2,	3),
(37046,	3,	515,	3,	3),
(37047,	3,	515,	23,	3),
(37048,	3,	516,	1,	1),
(37049,	3,	516,	2,	1),
(37050,	3,	516,	3,	1),
(37051,	3,	516,	1,	3),
(37052,	3,	516,	2,	3),
(37053,	3,	516,	3,	3),
(37054,	3,	517,	1,	1),
(37055,	3,	517,	2,	1),
(37056,	3,	517,	3,	1),
(37057,	3,	517,	23,	1),
(37058,	3,	517,	1,	3),
(37059,	3,	517,	2,	3),
(37060,	3,	517,	3,	3),
(37061,	3,	517,	23,	3),
(37062,	3,	518,	1,	1),
(37063,	3,	518,	2,	1),
(37064,	3,	518,	3,	1),
(37065,	3,	518,	23,	1),
(37066,	3,	518,	1,	3),
(37067,	3,	518,	2,	3),
(37068,	3,	518,	3,	3),
(37069,	3,	518,	23,	3),
(37070,	3,	519,	1,	1),
(37071,	3,	519,	2,	1),
(37072,	3,	519,	3,	1),
(37073,	3,	519,	1,	3),
(37074,	3,	519,	2,	3),
(37075,	3,	519,	3,	3),
(37076,	3,	519,	1,	2),
(37077,	3,	519,	2,	2),
(37078,	3,	519,	3,	2),
(37079,	3,	520,	1,	1),
(37080,	3,	520,	2,	1),
(37081,	3,	520,	3,	1),
(37082,	3,	520,	1,	3),
(37083,	3,	520,	2,	3),
(37084,	3,	520,	3,	3),
(37085,	3,	521,	1,	1),
(37086,	3,	521,	2,	1),
(37087,	3,	521,	3,	1),
(37088,	3,	521,	1,	3),
(37089,	3,	521,	2,	3),
(37090,	3,	521,	3,	3),
(37091,	3,	521,	1,	2),
(37092,	3,	521,	2,	2),
(37093,	3,	521,	3,	2),
(37094,	3,	522,	1,	1),
(37095,	3,	522,	2,	1),
(37096,	3,	522,	3,	1),
(37097,	3,	522,	1,	2),
(37098,	3,	522,	2,	2),
(37099,	3,	522,	3,	2),
(37100,	3,	523,	1,	1),
(37101,	3,	523,	2,	1),
(37102,	3,	523,	3,	1),
(37103,	3,	523,	1,	3),
(37104,	3,	523,	2,	3),
(37105,	3,	523,	3,	3),
(37106,	3,	524,	1,	1),
(37107,	3,	524,	2,	1),
(37108,	3,	524,	3,	1),
(37109,	3,	524,	1,	2),
(37110,	3,	524,	2,	2),
(37111,	3,	524,	3,	2),
(37112,	3,	525,	1,	1),
(37113,	3,	525,	2,	1),
(37114,	3,	525,	3,	1),
(37115,	3,	525,	1,	3),
(37116,	3,	525,	2,	3),
(37117,	3,	525,	3,	3),
(37118,	3,	526,	1,	1),
(37119,	3,	526,	2,	1),
(37120,	3,	526,	3,	1),
(37121,	3,	526,	1,	2),
(37122,	3,	526,	2,	2),
(37123,	3,	526,	3,	2),
(37124,	3,	527,	1,	1),
(37125,	3,	527,	2,	1),
(37126,	3,	527,	3,	1),
(37127,	3,	527,	1,	2),
(37128,	3,	527,	2,	2),
(37129,	3,	527,	3,	2),
(37130,	3,	528,	1,	1),
(37131,	3,	528,	2,	1),
(37132,	3,	528,	3,	1),
(37133,	3,	528,	6,	1),
(37134,	3,	528,	1,	2),
(37135,	3,	528,	2,	2),
(37136,	3,	528,	3,	2),
(37137,	3,	528,	6,	2),
(37138,	3,	529,	1,	1),
(37139,	3,	529,	2,	1),
(37140,	3,	529,	3,	1),
(37141,	3,	529,	6,	1),
(37142,	3,	529,	1,	2),
(37143,	3,	529,	2,	2),
(37144,	3,	529,	3,	2),
(37145,	3,	529,	6,	2),
(37146,	3,	530,	1,	1),
(37147,	3,	530,	2,	1),
(37148,	3,	530,	3,	1),
(37149,	3,	530,	6,	1),
(37150,	3,	530,	1,	2),
(37151,	3,	530,	2,	2),
(37152,	3,	530,	3,	2),
(37153,	3,	530,	6,	2),
(37154,	3,	531,	1,	1),
(37155,	3,	531,	2,	1),
(37156,	3,	531,	3,	1),
(37157,	3,	531,	1,	2),
(37158,	3,	531,	2,	2),
(37159,	3,	531,	3,	2),
(37160,	3,	532,	1,	1),
(37161,	3,	532,	2,	1),
(37162,	3,	532,	3,	1),
(37163,	3,	532,	6,	1),
(37164,	3,	532,	1,	2),
(37165,	3,	532,	2,	2),
(37166,	3,	532,	3,	2),
(37167,	3,	532,	6,	2),
(37168,	3,	533,	1,	1),
(37169,	3,	533,	2,	1),
(37170,	3,	533,	3,	1),
(37171,	3,	533,	6,	1),
(37172,	3,	533,	1,	2),
(37173,	3,	533,	2,	2),
(37174,	3,	533,	3,	2),
(37175,	3,	533,	6,	2),
(37176,	3,	534,	1,	1),
(37177,	3,	534,	2,	1),
(37178,	3,	534,	3,	1),
(37179,	3,	534,	1,	3),
(37180,	3,	534,	2,	3),
(37181,	3,	534,	3,	3),
(37182,	3,	535,	1,	1),
(37183,	3,	535,	2,	1),
(37184,	3,	535,	3,	1),
(37185,	3,	535,	1,	3),
(37186,	3,	535,	2,	3),
(37187,	3,	535,	3,	3),
(37188,	3,	536,	1,	1),
(37189,	3,	536,	2,	1),
(37190,	3,	536,	3,	1),
(37191,	3,	536,	1,	3),
(37192,	3,	536,	2,	3),
(37193,	3,	536,	3,	3),
(37194,	3,	537,	1,	1),
(37195,	3,	537,	2,	1),
(37196,	3,	537,	3,	1),
(37197,	3,	537,	1,	3),
(37198,	3,	537,	2,	3),
(37199,	3,	537,	3,	3),
(37200,	3,	538,	1,	1),
(37201,	3,	538,	2,	1),
(37202,	3,	538,	3,	1),
(37203,	3,	538,	1,	3),
(37204,	3,	538,	2,	3),
(37205,	3,	538,	3,	3),
(37206,	3,	539,	1,	1),
(37207,	3,	539,	2,	1),
(37208,	3,	539,	3,	1),
(37209,	3,	540,	1,	1),
(37210,	3,	540,	2,	1),
(37211,	3,	540,	3,	1),
(37212,	3,	541,	1,	1),
(37213,	3,	541,	2,	1),
(37214,	3,	541,	3,	1),
(37215,	3,	541,	4,	1),
(37216,	3,	542,	1,	1),
(37217,	3,	542,	2,	1),
(37218,	3,	542,	3,	1),
(37219,	3,	543,	1,	1),
(37220,	3,	543,	2,	1),
(37221,	3,	543,	3,	1),
(37222,	3,	543,	31,	1),
(37223,	3,	543,	32,	1),
(37224,	3,	543,	33,	1),
(37225,	3,	543,	34,	1),
(37226,	3,	544,	1,	1),
(37227,	3,	544,	2,	1),
(37228,	3,	544,	3,	1),
(37229,	3,	545,	1,	1),
(37230,	3,	545,	2,	1),
(37231,	3,	545,	3,	1),
(37232,	3,	546,	1,	1),
(37233,	3,	546,	2,	1),
(37234,	3,	546,	3,	1),
(37235,	3,	547,	1,	1),
(37236,	3,	547,	2,	1),
(37237,	3,	547,	3,	1),
(37238,	3,	547,	1,	2),
(37239,	3,	547,	2,	2),
(37240,	3,	547,	3,	2),
(37241,	3,	548,	1,	1),
(37242,	3,	548,	2,	1),
(37243,	3,	548,	3,	1),
(37244,	3,	549,	1,	1),
(37245,	3,	549,	2,	1),
(37246,	3,	549,	3,	1),
(37247,	3,	549,	1,	2),
(37248,	3,	549,	2,	2),
(37249,	3,	549,	3,	2),
(37250,	3,	550,	1,	1),
(37251,	3,	550,	2,	1),
(37252,	3,	550,	3,	1),
(37253,	3,	551,	1,	1),
(37254,	3,	551,	2,	1),
(37255,	3,	551,	3,	1),
(37256,	3,	551,	6,	1),
(37257,	3,	552,	1,	1),
(37258,	3,	552,	2,	1),
(37259,	3,	552,	3,	1),
(37260,	3,	552,	6,	1),
(37261,	3,	552,	1,	2),
(37262,	3,	552,	2,	2),
(37263,	3,	552,	3,	2),
(37264,	3,	552,	6,	2),
(37265,	3,	553,	1,	1),
(37266,	3,	553,	2,	1),
(37267,	3,	553,	3,	1),
(37268,	3,	554,	1,	1),
(37269,	3,	554,	2,	1),
(37270,	3,	554,	3,	1),
(37271,	3,	555,	1,	1),
(37272,	3,	555,	2,	1),
(37273,	3,	555,	3,	1),
(37274,	3,	556,	1,	1),
(37275,	3,	556,	2,	1),
(37276,	3,	556,	3,	1),
(37277,	3,	556,	1,	2),
(37278,	3,	556,	2,	2),
(37279,	3,	556,	3,	2),
(37280,	3,	557,	1,	1),
(37281,	3,	557,	2,	1),
(37282,	3,	557,	3,	1),
(37283,	3,	557,	1,	2),
(37284,	3,	557,	2,	2),
(37285,	3,	557,	3,	2),
(37286,	3,	558,	2,	1),
(37287,	3,	558,	3,	1),
(37288,	3,	558,	35,	1),
(37289,	3,	558,	36,	1),
(37290,	3,	559,	2,	1),
(37291,	3,	559,	3,	1),
(37292,	3,	559,	26,	1),
(37293,	3,	559,	37,	1),
(37294,	3,	559,	36,	1),
(37295,	3,	559,	35,	1),
(37296,	3,	559,	38,	1),
(37297,	3,	559,	28,	1),
(37298,	3,	559,	39,	1),
(37299,	3,	559,	40,	1),
(37300,	3,	559,	2,	3),
(37301,	3,	559,	3,	3),
(37302,	3,	559,	26,	3),
(37303,	3,	559,	37,	3),
(37304,	3,	559,	36,	3),
(37305,	3,	559,	35,	3),
(37306,	3,	559,	38,	3),
(37307,	3,	559,	28,	3),
(37308,	3,	559,	39,	3),
(37309,	3,	559,	40,	3),
(37310,	3,	559,	2,	4),
(37311,	3,	559,	3,	4),
(37312,	3,	559,	26,	4),
(37313,	3,	559,	37,	4),
(37314,	3,	559,	36,	4),
(37315,	3,	559,	35,	4),
(37316,	3,	559,	38,	4),
(37317,	3,	559,	28,	4),
(37318,	3,	559,	39,	4),
(37319,	3,	559,	40,	4),
(37320,	3,	560,	2,	1),
(37321,	3,	560,	3,	1),
(37322,	3,	560,	35,	1),
(37323,	3,	560,	36,	1),
(37324,	3,	561,	2,	1),
(37325,	3,	561,	3,	1),
(37326,	3,	561,	35,	1),
(37327,	3,	561,	41,	1),
(37328,	3,	561,	42,	1),
(37329,	3,	561,	43,	1),
(37330,	3,	561,	44,	1),
(37331,	3,	561,	39,	1),
(37332,	3,	561,	45,	1),
(37333,	3,	561,	46,	1),
(37334,	3,	562,	2,	1),
(37335,	3,	562,	35,	1),
(37336,	3,	563,	2,	1),
(37337,	3,	563,	35,	1),
(37338,	3,	564,	2,	1),
(37339,	3,	565,	2,	1),
(37340,	3,	565,	35,	1),
(37341,	3,	566,	2,	1),
(37342,	3,	566,	35,	1),
(37343,	3,	567,	2,	1),
(37344,	3,	567,	35,	1),
(37345,	3,	568,	2,	1),
(37346,	3,	568,	35,	1),
(37347,	3,	569,	2,	1),
(37348,	3,	569,	35,	1),
(37349,	3,	570,	2,	1),
(37350,	3,	570,	35,	1),
(37351,	3,	571,	1,	1),
(37352,	3,	571,	2,	1),
(37353,	3,	571,	3,	1),
(37354,	3,	571,	1,	2),
(37355,	3,	571,	2,	2),
(37356,	3,	571,	3,	2),
(37357,	3,	572,	1,	1),
(37358,	3,	572,	2,	1),
(37359,	3,	572,	3,	1),
(37360,	3,	572,	1,	2),
(37361,	3,	572,	2,	2),
(37362,	3,	572,	3,	2),
(37363,	3,	573,	1,	1),
(37364,	3,	573,	2,	1),
(37365,	3,	573,	3,	1),
(37366,	3,	573,	1,	2),
(37367,	3,	573,	2,	2),
(37368,	3,	573,	3,	2),
(37369,	3,	574,	1,	1),
(37370,	3,	574,	2,	1),
(37371,	3,	574,	3,	1),
(37372,	3,	574,	1,	2),
(37373,	3,	574,	2,	2),
(37374,	3,	574,	3,	2),
(37375,	3,	575,	2,	1),
(37376,	3,	575,	35,	1),
(37377,	3,	576,	2,	1),
(37378,	3,	576,	35,	1),
(37379,	3,	576,	26,	1),
(37380,	3,	576,	37,	1),
(37381,	3,	576,	36,	1),
(37382,	3,	576,	38,	1),
(37383,	3,	576,	39,	1),
(37384,	3,	576,	40,	1),
(37385,	3,	577,	2,	1),
(37386,	3,	577,	35,	1),
(37387,	3,	577,	45,	1),
(37388,	3,	578,	2,	1),
(37389,	3,	578,	3,	1),
(37390,	3,	578,	41,	1),
(37391,	3,	578,	42,	1),
(37392,	3,	578,	45,	1),
(37393,	3,	578,	46,	1),
(37394,	3,	578,	46,	1),
(37395,	3,	579,	2,	1),
(37396,	3,	579,	35,	1),
(37397,	3,	580,	2,	1),
(37398,	3,	580,	35,	1),
(37399,	3,	581,	2,	1),
(37400,	3,	582,	2,	1),
(37401,	3,	582,	35,	1),
(37402,	3,	583,	2,	1),
(37403,	3,	583,	35,	1),
(37404,	3,	584,	2,	1),
(37405,	3,	584,	35,	1),
(37406,	3,	585,	2,	1),
(37407,	3,	585,	35,	1),
(37408,	3,	585,	41,	1),
(37409,	3,	585,	42,	1),
(37410,	3,	585,	45,	1),
(37411,	3,	585,	46,	1),
(37412,	3,	586,	2,	1),
(37413,	3,	586,	35,	1),
(37414,	3,	587,	2,	1),
(37415,	3,	587,	35,	1),
(37416,	3,	588,	2,	1),
(37417,	3,	588,	35,	1),
(37418,	3,	589,	2,	1),
(37419,	3,	589,	35,	1),
(37420,	3,	590,	1,	1),
(37421,	3,	590,	2,	1),
(37422,	3,	590,	3,	1),
(37423,	3,	591,	1,	1),
(37424,	3,	591,	2,	1),
(37425,	3,	591,	3,	1),
(37426,	3,	591,	23,	1),
(37427,	3,	592,	1,	1),
(37428,	3,	592,	2,	1),
(37429,	3,	592,	3,	1),
(37430,	3,	593,	1,	1),
(37431,	3,	593,	2,	1),
(37432,	3,	593,	3,	1),
(37433,	3,	594,	1,	1),
(37434,	3,	594,	2,	1),
(37435,	3,	594,	3,	1),
(37436,	3,	595,	1,	1),
(37437,	3,	595,	2,	1),
(37438,	3,	595,	3,	1),
(37439,	3,	596,	1,	1),
(37440,	3,	596,	2,	1),
(37441,	3,	596,	3,	1),
(37442,	3,	597,	1,	1),
(37443,	3,	597,	2,	1),
(37444,	3,	597,	3,	1),
(37445,	3,	598,	1,	1),
(37446,	3,	598,	2,	1),
(37447,	3,	598,	3,	1),
(37448,	3,	598,	1,	2),
(37449,	3,	598,	2,	2),
(37450,	3,	598,	3,	2),
(37451,	3,	599,	1,	1),
(37452,	3,	599,	2,	1),
(37453,	3,	599,	3,	1),
(37454,	3,	600,	1,	1),
(37455,	3,	600,	2,	1),
(37456,	3,	600,	3,	1),
(37457,	3,	601,	1,	1),
(37458,	3,	601,	2,	1),
(37459,	3,	601,	3,	1),
(37460,	3,	602,	1,	1),
(37461,	3,	602,	2,	1),
(37462,	3,	602,	3,	1),
(37463,	3,	603,	1,	1),
(37464,	3,	603,	2,	1),
(37465,	3,	603,	3,	1),
(37466,	3,	603,	1,	2),
(37467,	3,	603,	2,	2),
(37468,	3,	603,	3,	2),
(37469,	3,	604,	1,	1),
(37470,	3,	604,	2,	1),
(37471,	3,	604,	3,	1),
(37472,	3,	605,	1,	1),
(37473,	3,	605,	2,	1),
(37474,	3,	605,	3,	1),
(37475,	3,	605,	1,	2),
(37476,	3,	605,	2,	2),
(37477,	3,	605,	3,	2),
(37478,	3,	606,	1,	1),
(37479,	3,	606,	2,	1),
(37480,	3,	606,	3,	1),
(37481,	3,	606,	1,	2),
(37482,	3,	606,	2,	2),
(37483,	3,	606,	3,	2),
(37484,	3,	607,	1,	1),
(37485,	3,	607,	2,	1),
(37486,	3,	607,	3,	1),
(37487,	3,	608,	1,	1),
(37488,	3,	608,	2,	1),
(37489,	3,	608,	3,	1),
(37490,	3,	609,	1,	1),
(37491,	3,	609,	2,	1),
(37492,	3,	609,	3,	1),
(37493,	3,	610,	1,	1),
(37494,	3,	610,	2,	1),
(37495,	3,	610,	3,	1),
(37496,	3,	611,	1,	1),
(37497,	3,	611,	2,	1),
(37498,	3,	611,	3,	1),
(37499,	3,	612,	1,	1),
(37500,	3,	612,	2,	1),
(37501,	3,	612,	3,	1),
(37502,	3,	613,	1,	1),
(37503,	3,	613,	2,	1),
(37504,	3,	613,	3,	1),
(37505,	3,	614,	1,	1),
(37506,	3,	614,	2,	1),
(37507,	3,	614,	3,	1),
(37508,	3,	614,	1,	2),
(37509,	3,	614,	2,	2),
(37510,	3,	614,	3,	2),
(37511,	3,	615,	1,	1),
(37512,	3,	615,	2,	1),
(37513,	3,	615,	3,	1),
(37514,	3,	615,	1,	2),
(37515,	3,	615,	2,	2),
(37516,	3,	615,	3,	2),
(37517,	3,	616,	1,	1),
(37518,	3,	616,	2,	1),
(37519,	3,	616,	3,	1),
(37520,	3,	616,	1,	2),
(37521,	3,	616,	2,	2),
(37522,	3,	616,	3,	2),
(37523,	3,	617,	1,	1),
(37524,	3,	617,	2,	1),
(37525,	3,	617,	3,	1),
(37526,	3,	617,	1,	2),
(37527,	3,	617,	2,	2),
(37528,	3,	617,	3,	2),
(37529,	3,	618,	1,	1),
(37530,	3,	618,	2,	1),
(37531,	3,	618,	3,	1),
(37532,	3,	618,	1,	2),
(37533,	3,	618,	2,	2),
(37534,	3,	618,	3,	2),
(37535,	3,	619,	1,	1),
(37536,	3,	619,	2,	1),
(37537,	3,	619,	3,	1),
(37538,	3,	620,	1,	1),
(37539,	3,	620,	2,	1),
(37540,	3,	620,	3,	1),
(37541,	3,	620,	1,	2),
(37542,	3,	620,	2,	2),
(37543,	3,	620,	3,	2),
(37544,	3,	621,	1,	1),
(37545,	3,	621,	2,	1),
(37546,	3,	621,	3,	1),
(37547,	3,	621,	1,	2),
(37548,	3,	621,	2,	2),
(37549,	3,	621,	3,	2),
(37550,	3,	622,	1,	1),
(37551,	3,	622,	2,	1),
(37552,	3,	622,	3,	1),
(37553,	3,	622,	1,	2),
(37554,	3,	622,	2,	2),
(37555,	3,	622,	3,	2),
(37556,	3,	623,	1,	1),
(37557,	3,	623,	2,	1),
(37558,	3,	623,	3,	1),
(37559,	3,	623,	1,	2),
(37560,	3,	623,	2,	2),
(37561,	3,	623,	3,	2),
(37562,	3,	624,	1,	1),
(37563,	3,	624,	2,	1),
(37564,	3,	624,	3,	1),
(37565,	3,	624,	1,	2),
(37566,	3,	624,	2,	2),
(37567,	3,	624,	3,	2),
(37568,	3,	625,	1,	1),
(37569,	3,	625,	2,	1),
(37570,	3,	625,	3,	1),
(37571,	3,	625,	1,	2),
(37572,	3,	625,	2,	2),
(37573,	3,	625,	3,	2),
(37574,	3,	626,	1,	1),
(37575,	3,	626,	2,	1),
(37576,	3,	626,	3,	1),
(37577,	3,	627,	1,	1),
(37578,	3,	627,	2,	1),
(37579,	3,	627,	3,	1),
(37580,	3,	627,	1,	2),
(37581,	3,	627,	2,	2),
(37582,	3,	627,	3,	2),
(37583,	3,	628,	1,	1),
(37584,	3,	628,	2,	1),
(37585,	3,	628,	3,	1),
(37586,	3,	628,	1,	2),
(37587,	3,	628,	2,	2),
(37588,	3,	628,	3,	2),
(37589,	3,	629,	1,	1),
(37590,	3,	629,	2,	1),
(37591,	3,	629,	3,	1),
(37592,	3,	629,	1,	2),
(37593,	3,	629,	2,	2),
(37594,	3,	629,	3,	2),
(37595,	3,	630,	1,	1),
(37596,	3,	630,	2,	1),
(37597,	3,	630,	3,	1),
(37598,	3,	630,	1,	2),
(37599,	3,	630,	2,	2),
(37600,	3,	630,	3,	2),
(37601,	3,	631,	1,	1),
(37602,	3,	631,	2,	1),
(37603,	3,	631,	3,	1),
(37604,	3,	631,	1,	2),
(37605,	3,	631,	2,	2),
(37606,	3,	631,	3,	2),
(37607,	3,	632,	1,	1),
(37608,	3,	632,	2,	1),
(37609,	3,	632,	3,	1),
(37610,	3,	632,	24,	1),
(37611,	3,	632,	4,	1),
(37612,	3,	632,	32,	1),
(37613,	3,	632,	47,	1),
(37614,	3,	632,	48,	1),
(37615,	3,	633,	1,	1),
(37616,	3,	633,	2,	1),
(37617,	3,	633,	3,	1),
(37618,	3,	634,	1,	1),
(37619,	3,	634,	2,	1),
(37620,	3,	634,	3,	1),
(37621,	3,	634,	5,	1),
(37622,	3,	634,	29,	1),
(37623,	3,	635,	1,	1),
(37624,	3,	635,	2,	1),
(37625,	3,	635,	3,	1),
(37626,	3,	635,	23,	1),
(37627,	3,	636,	1,	1),
(37628,	3,	636,	2,	1),
(37629,	3,	636,	3,	1),
(37630,	3,	636,	1,	2),
(37631,	3,	636,	2,	2),
(37632,	3,	636,	3,	2),
(37633,	3,	637,	1,	1),
(37634,	3,	637,	2,	1),
(37635,	3,	637,	3,	1),
(37636,	3,	637,	23,	1),
(37637,	3,	637,	1,	2),
(37638,	3,	637,	2,	2),
(37639,	3,	637,	3,	2),
(37640,	3,	637,	23,	2),
(37641,	3,	638,	1,	1),
(37642,	3,	638,	2,	1),
(37643,	3,	638,	3,	1),
(37644,	3,	638,	23,	1),
(37645,	3,	638,	1,	2),
(37646,	3,	638,	2,	2),
(37647,	3,	638,	3,	2),
(37648,	3,	638,	23,	2),
(37649,	3,	639,	1,	1),
(37650,	3,	639,	2,	1),
(37651,	3,	639,	3,	1),
(37652,	3,	640,	1,	1),
(37653,	3,	640,	2,	1),
(37654,	3,	640,	3,	1),
(37655,	3,	641,	1,	1),
(37656,	3,	641,	2,	1),
(37657,	3,	641,	3,	1),
(37658,	3,	641,	1,	2),
(37659,	3,	641,	2,	2),
(37660,	3,	641,	3,	2),
(37661,	3,	642,	1,	1),
(37662,	3,	642,	2,	1),
(37663,	3,	642,	3,	1),
(37664,	3,	642,	1,	2),
(37665,	3,	642,	2,	2),
(37666,	3,	642,	3,	2),
(37667,	3,	643,	1,	1),
(37668,	3,	643,	2,	1),
(37669,	3,	643,	3,	1),
(37670,	3,	644,	1,	1),
(37671,	3,	644,	2,	1),
(37672,	3,	644,	3,	1),
(37673,	3,	645,	1,	1),
(37674,	3,	645,	2,	1),
(37675,	3,	645,	3,	1),
(37676,	3,	646,	1,	1),
(37677,	3,	646,	2,	1),
(37678,	3,	646,	3,	1),
(37679,	3,	646,	1,	2),
(37680,	3,	646,	2,	2),
(37681,	3,	646,	3,	2),
(37682,	3,	647,	1,	1),
(37683,	3,	647,	2,	1),
(37684,	3,	647,	3,	1),
(37685,	3,	647,	1,	2),
(37686,	3,	647,	2,	2),
(37687,	3,	647,	3,	2),
(37688,	3,	648,	1,	1),
(37689,	3,	648,	2,	1),
(37690,	3,	648,	3,	1),
(37691,	3,	648,	1,	2),
(37692,	3,	648,	2,	2),
(37693,	3,	648,	3,	2),
(37694,	3,	649,	1,	1),
(37695,	3,	649,	2,	1),
(37696,	3,	649,	3,	1),
(37697,	3,	649,	1,	2),
(37698,	3,	649,	2,	2),
(37699,	3,	649,	3,	2),
(37700,	3,	650,	1,	1),
(37701,	3,	650,	2,	1),
(37702,	3,	650,	3,	1),
(37703,	3,	651,	1,	1),
(37704,	3,	651,	2,	1),
(37705,	3,	651,	3,	1),
(37706,	3,	651,	1,	2),
(37707,	3,	651,	2,	2),
(37708,	3,	651,	3,	2),
(37709,	3,	652,	1,	1),
(37710,	3,	652,	2,	1),
(37711,	3,	652,	3,	1),
(37712,	3,	653,	1,	1),
(37713,	3,	653,	2,	1),
(37714,	3,	653,	3,	1),
(37715,	3,	654,	1,	1),
(37716,	3,	654,	2,	1),
(37717,	3,	654,	3,	1),
(37718,	3,	655,	1,	1),
(37719,	3,	655,	2,	1),
(37720,	3,	655,	3,	1),
(37721,	3,	656,	1,	1),
(37722,	3,	656,	2,	1),
(37723,	3,	656,	3,	1),
(37724,	3,	657,	1,	1),
(37725,	3,	657,	2,	1),
(37726,	3,	657,	3,	1),
(37727,	3,	658,	1,	1),
(37728,	3,	658,	2,	1),
(37729,	3,	658,	3,	1),
(37730,	3,	658,	23,	1),
(37731,	3,	659,	1,	1),
(37732,	3,	659,	2,	1),
(37733,	3,	659,	3,	1),
(37734,	3,	660,	1,	1),
(37735,	3,	660,	2,	1),
(37736,	3,	660,	3,	1),
(37737,	3,	661,	1,	1),
(37738,	3,	661,	2,	1),
(37739,	3,	661,	3,	1),
(37740,	3,	662,	1,	1),
(37741,	3,	662,	2,	1),
(37742,	3,	662,	3,	1),
(37743,	3,	663,	1,	1),
(37744,	3,	663,	2,	1),
(37745,	3,	663,	3,	1),
(37746,	3,	664,	1,	1),
(37747,	3,	664,	2,	1),
(37748,	3,	664,	3,	1),
(37749,	3,	665,	1,	1),
(37750,	3,	665,	2,	1),
(37751,	3,	665,	3,	1),
(37752,	3,	666,	1,	1),
(37753,	3,	666,	2,	1),
(37754,	3,	666,	3,	1),
(37755,	3,	667,	1,	1),
(37756,	3,	667,	2,	1),
(37757,	3,	667,	3,	1),
(37758,	3,	667,	23,	1),
(37759,	3,	667,	1,	2),
(37760,	3,	667,	2,	2),
(37761,	3,	667,	3,	2),
(37762,	3,	667,	23,	2),
(37763,	3,	668,	1,	1),
(37764,	3,	668,	2,	1),
(37765,	3,	668,	3,	1),
(37766,	3,	668,	23,	1),
(37767,	3,	669,	1,	1),
(37768,	3,	669,	2,	1),
(37769,	3,	669,	3,	1),
(37770,	3,	669,	23,	1),
(37771,	3,	670,	1,	1),
(37772,	3,	670,	2,	1),
(37773,	3,	670,	3,	1),
(37774,	3,	670,	23,	1),
(37775,	3,	671,	1,	1),
(37776,	3,	671,	2,	1),
(37777,	3,	671,	3,	1),
(37778,	3,	671,	23,	1),
(37779,	3,	671,	6,	1),
(37780,	3,	671,	24,	1),
(37781,	3,	671,	25,	1),
(37782,	3,	671,	4,	1),
(37783,	3,	671,	5,	1),
(37784,	3,	671,	26,	1),
(37785,	3,	671,	1,	3),
(37786,	3,	671,	2,	3),
(37787,	3,	671,	3,	3),
(37788,	3,	671,	23,	3),
(37789,	3,	671,	6,	3),
(37790,	3,	671,	24,	3),
(37791,	3,	671,	25,	3),
(37792,	3,	671,	4,	3),
(37793,	3,	671,	5,	3),
(37794,	3,	671,	26,	3),
(37795,	3,	672,	1,	1),
(37796,	3,	672,	2,	1),
(37797,	3,	672,	3,	1),
(37798,	3,	673,	1,	1),
(37799,	3,	673,	2,	1),
(37800,	3,	673,	3,	1),
(37801,	3,	673,	23,	1),
(37802,	3,	673,	6,	1),
(37803,	3,	673,	24,	1),
(37804,	3,	673,	25,	1),
(37805,	3,	673,	4,	1),
(37806,	3,	673,	5,	1),
(37807,	3,	673,	26,	1),
(37808,	3,	673,	1,	3),
(37809,	3,	673,	2,	3),
(37810,	3,	673,	3,	3),
(37811,	3,	673,	23,	3),
(37812,	3,	673,	6,	3),
(37813,	3,	673,	24,	3),
(37814,	3,	673,	25,	3),
(37815,	3,	673,	4,	3),
(37816,	3,	673,	5,	3),
(37817,	3,	673,	26,	3),
(37818,	3,	674,	1,	1),
(37819,	3,	674,	2,	1),
(37820,	3,	674,	3,	1),
(37821,	3,	674,	23,	1),
(37822,	3,	674,	6,	1),
(37823,	3,	674,	24,	1),
(37824,	3,	674,	25,	1),
(37825,	3,	674,	4,	1),
(37826,	3,	674,	5,	1),
(37827,	3,	674,	26,	1),
(37828,	3,	674,	1,	3),
(37829,	3,	674,	2,	3),
(37830,	3,	674,	3,	3),
(37831,	3,	674,	23,	3),
(37832,	3,	674,	6,	3),
(37833,	3,	674,	24,	3),
(37834,	3,	674,	25,	3),
(37835,	3,	674,	4,	3),
(37836,	3,	674,	5,	3),
(37837,	3,	674,	26,	3),
(37838,	3,	675,	1,	1),
(37839,	3,	675,	2,	1),
(37840,	3,	675,	3,	1),
(37841,	3,	676,	1,	1),
(37842,	3,	676,	2,	1),
(37843,	3,	676,	3,	1),
(37844,	3,	676,	23,	1),
(37845,	3,	676,	1,	3),
(37846,	3,	676,	2,	3),
(37847,	3,	676,	3,	3),
(37848,	3,	676,	23,	3),
(37849,	3,	677,	1,	1),
(37850,	3,	677,	2,	1),
(37851,	3,	677,	3,	1),
(37852,	3,	678,	1,	1),
(37853,	3,	678,	2,	1),
(37854,	3,	678,	3,	1),
(37855,	3,	679,	1,	1),
(37856,	3,	679,	2,	1),
(37857,	3,	679,	3,	1),
(37858,	3,	680,	1,	1),
(37859,	3,	680,	2,	1),
(37860,	3,	680,	3,	1),
(37861,	3,	680,	6,	1),
(37862,	3,	680,	24,	1),
(37863,	3,	680,	25,	1),
(37864,	3,	680,	4,	1),
(37865,	3,	680,	5,	1),
(37866,	3,	680,	26,	1),
(37867,	3,	680,	1,	3),
(37868,	3,	680,	2,	3),
(37869,	3,	680,	3,	3),
(37870,	3,	680,	6,	3),
(37871,	3,	680,	24,	3),
(37872,	3,	680,	25,	3),
(37873,	3,	680,	4,	3),
(37874,	3,	680,	5,	3),
(37875,	3,	680,	26,	3),
(37876,	3,	681,	1,	1),
(37877,	3,	681,	2,	1),
(37878,	3,	681,	3,	1),
(37879,	3,	681,	23,	1),
(37880,	3,	681,	6,	1),
(37881,	3,	681,	24,	1),
(37882,	3,	681,	25,	1),
(37883,	3,	681,	4,	1),
(37884,	3,	681,	5,	1),
(37885,	3,	681,	26,	1),
(37886,	3,	681,	28,	1),
(37887,	3,	682,	1,	1),
(37888,	3,	682,	2,	1),
(37889,	3,	682,	3,	1),
(37890,	3,	682,	23,	1),
(37891,	3,	682,	6,	1),
(37892,	3,	682,	24,	1),
(37893,	3,	682,	25,	1),
(37894,	3,	682,	4,	1),
(37895,	3,	682,	5,	1),
(37896,	3,	682,	26,	1),
(37897,	3,	682,	1,	3),
(37898,	3,	682,	2,	3),
(37899,	3,	682,	3,	3),
(37900,	3,	682,	23,	3),
(37901,	3,	682,	6,	3),
(37902,	3,	682,	24,	3),
(37903,	3,	682,	25,	3),
(37904,	3,	682,	4,	3),
(37905,	3,	682,	5,	3),
(37906,	3,	682,	26,	3),
(37907,	3,	683,	1,	1),
(37908,	3,	683,	2,	1),
(37909,	3,	683,	3,	1),
(37910,	3,	683,	23,	1),
(37911,	3,	684,	1,	1),
(37912,	3,	684,	2,	1),
(37913,	3,	684,	3,	1),
(37914,	3,	684,	23,	1),
(37915,	3,	684,	6,	1),
(37916,	3,	684,	24,	1),
(37917,	3,	684,	25,	1),
(37918,	3,	684,	4,	1),
(37919,	3,	684,	5,	1),
(37920,	3,	684,	26,	1),
(37921,	3,	684,	1,	3),
(37922,	3,	684,	2,	3),
(37923,	3,	684,	3,	3),
(37924,	3,	684,	23,	3),
(37925,	3,	684,	6,	3),
(37926,	3,	684,	24,	3),
(37927,	3,	684,	25,	3),
(37928,	3,	684,	4,	3),
(37929,	3,	684,	5,	3),
(37930,	3,	684,	26,	3),
(37931,	3,	685,	1,	1),
(37932,	3,	685,	2,	1),
(37933,	3,	685,	3,	1),
(37934,	3,	685,	23,	1),
(37935,	3,	685,	6,	1),
(37936,	3,	685,	24,	1),
(37937,	3,	685,	25,	1),
(37938,	3,	685,	4,	1),
(37939,	3,	685,	5,	1),
(37940,	3,	685,	26,	1),
(37941,	3,	685,	1,	3),
(37942,	3,	685,	2,	3),
(37943,	3,	685,	3,	3),
(37944,	3,	685,	23,	3),
(37945,	3,	685,	6,	3),
(37946,	3,	685,	24,	3),
(37947,	3,	685,	25,	3),
(37948,	3,	685,	4,	3),
(37949,	3,	685,	5,	3),
(37950,	3,	685,	26,	3),
(37951,	3,	686,	1,	1),
(37952,	3,	686,	2,	1),
(37953,	3,	686,	3,	1),
(37954,	3,	687,	1,	1),
(37955,	3,	687,	2,	1),
(37956,	3,	687,	3,	1),
(37957,	3,	687,	23,	1),
(37958,	3,	687,	6,	1),
(37959,	3,	687,	24,	1),
(37960,	3,	687,	25,	1),
(37961,	3,	687,	4,	1),
(37962,	3,	687,	5,	1),
(37963,	3,	687,	26,	1),
(37964,	3,	687,	1,	3),
(37965,	3,	687,	2,	3),
(37966,	3,	687,	3,	3),
(37967,	3,	687,	23,	3),
(37968,	3,	687,	6,	3),
(37969,	3,	687,	24,	3),
(37970,	3,	687,	25,	3),
(37971,	3,	687,	4,	3),
(37972,	3,	687,	5,	3),
(37973,	3,	687,	26,	3),
(37974,	3,	688,	1,	1),
(37975,	3,	688,	2,	1),
(37976,	3,	688,	3,	1),
(37977,	3,	688,	23,	1),
(37978,	3,	688,	6,	1),
(37979,	3,	688,	24,	1),
(37980,	3,	688,	25,	1),
(37981,	3,	688,	4,	1),
(37982,	3,	688,	5,	1),
(37983,	3,	688,	26,	1),
(37984,	3,	688,	1,	3),
(37985,	3,	688,	2,	3),
(37986,	3,	688,	3,	3),
(37987,	3,	688,	23,	3),
(37988,	3,	688,	6,	3),
(37989,	3,	688,	24,	3),
(37990,	3,	688,	25,	3),
(37991,	3,	688,	4,	3),
(37992,	3,	688,	5,	3),
(37993,	3,	688,	26,	3),
(37994,	3,	689,	1,	1),
(37995,	3,	689,	2,	1),
(37996,	3,	689,	3,	1),
(37997,	3,	689,	1,	3),
(37998,	3,	689,	2,	3),
(37999,	3,	689,	3,	3),
(38000,	3,	690,	1,	1),
(38001,	3,	690,	2,	1),
(38002,	3,	690,	3,	1),
(38003,	3,	690,	23,	1),
(38004,	3,	690,	6,	1),
(38005,	3,	690,	24,	1),
(38006,	3,	690,	25,	1),
(38007,	3,	690,	4,	1),
(38008,	3,	690,	5,	1),
(38009,	3,	690,	26,	1),
(38010,	3,	690,	1,	3),
(38011,	3,	690,	2,	3),
(38012,	3,	690,	3,	3),
(38013,	3,	690,	23,	3),
(38014,	3,	690,	6,	3),
(38015,	3,	690,	24,	3),
(38016,	3,	690,	25,	3),
(38017,	3,	690,	4,	3),
(38018,	3,	690,	5,	3),
(38019,	3,	690,	26,	3),
(38020,	3,	691,	1,	1),
(38021,	3,	691,	2,	1),
(38022,	3,	691,	3,	1),
(38023,	3,	692,	1,	1),
(38024,	3,	692,	2,	1),
(38025,	3,	692,	3,	1),
(38026,	3,	692,	23,	1),
(38027,	3,	692,	6,	1),
(38028,	3,	692,	24,	1),
(38029,	3,	692,	25,	1),
(38030,	3,	692,	4,	1),
(38031,	3,	692,	5,	1),
(38032,	3,	692,	26,	1),
(38033,	3,	692,	1,	3),
(38034,	3,	692,	2,	3),
(38035,	3,	692,	3,	3),
(38036,	3,	692,	23,	3),
(38037,	3,	692,	6,	3),
(38038,	3,	692,	24,	3),
(38039,	3,	692,	25,	3),
(38040,	3,	692,	4,	3),
(38041,	3,	692,	5,	3),
(38042,	3,	692,	26,	3),
(38043,	3,	693,	1,	1),
(38044,	3,	693,	2,	1),
(38045,	3,	693,	3,	1),
(38046,	3,	693,	1,	3),
(38047,	3,	693,	2,	3),
(38048,	3,	693,	3,	3),
(38049,	3,	694,	1,	1),
(38050,	3,	694,	2,	1),
(38051,	3,	694,	3,	1),
(38052,	3,	694,	23,	1),
(38053,	3,	694,	6,	1),
(38054,	3,	694,	24,	1),
(38055,	3,	694,	25,	1),
(38056,	3,	694,	4,	1),
(38057,	3,	694,	5,	1),
(38058,	3,	694,	26,	1),
(38059,	3,	694,	1,	3),
(38060,	3,	694,	2,	3),
(38061,	3,	694,	3,	3),
(38062,	3,	694,	23,	3),
(38063,	3,	694,	6,	3),
(38064,	3,	694,	24,	3),
(38065,	3,	694,	25,	3),
(38066,	3,	694,	4,	3),
(38067,	3,	694,	5,	3),
(38068,	3,	694,	26,	3),
(38069,	3,	695,	1,	1),
(38070,	3,	695,	2,	1),
(38071,	3,	695,	3,	1),
(38072,	3,	695,	1,	2),
(38073,	3,	695,	2,	2),
(38074,	3,	695,	3,	2),
(38075,	3,	696,	1,	1),
(38076,	3,	696,	2,	1),
(38077,	3,	696,	3,	1),
(38078,	3,	696,	23,	1),
(38079,	3,	696,	6,	1),
(38080,	3,	696,	24,	1),
(38081,	3,	696,	25,	1),
(38082,	3,	696,	4,	1),
(38083,	3,	696,	5,	1),
(38084,	3,	696,	26,	1),
(38085,	3,	696,	1,	3),
(38086,	3,	696,	2,	3),
(38087,	3,	696,	3,	3),
(38088,	3,	696,	23,	3),
(38089,	3,	696,	6,	3),
(38090,	3,	696,	24,	3),
(38091,	3,	696,	25,	3),
(38092,	3,	696,	4,	3),
(38093,	3,	696,	5,	3),
(38094,	3,	696,	26,	3),
(38095,	3,	697,	1,	1),
(38096,	3,	697,	2,	1),
(38097,	3,	697,	3,	1),
(38098,	3,	697,	23,	1),
(38099,	3,	697,	6,	1),
(38100,	3,	697,	24,	1),
(38101,	3,	697,	25,	1),
(38102,	3,	697,	4,	1),
(38103,	3,	697,	5,	1),
(38104,	3,	697,	26,	1),
(38105,	3,	697,	1,	3),
(38106,	3,	697,	2,	3),
(38107,	3,	697,	3,	3),
(38108,	3,	697,	23,	3),
(38109,	3,	697,	6,	3),
(38110,	3,	697,	24,	3),
(38111,	3,	697,	25,	3),
(38112,	3,	697,	4,	3),
(38113,	3,	697,	5,	3),
(38114,	3,	697,	26,	3),
(38115,	3,	698,	1,	1),
(38116,	3,	698,	2,	1),
(38117,	3,	698,	3,	1),
(38118,	3,	698,	23,	1),
(38119,	3,	698,	6,	1),
(38120,	3,	698,	24,	1),
(38121,	3,	698,	25,	1),
(38122,	3,	698,	4,	1),
(38123,	3,	698,	5,	1),
(38124,	3,	698,	26,	1),
(38125,	3,	698,	1,	3),
(38126,	3,	698,	2,	3),
(38127,	3,	698,	3,	3),
(38128,	3,	698,	23,	3),
(38129,	3,	698,	6,	3),
(38130,	3,	698,	24,	3),
(38131,	3,	698,	25,	3),
(38132,	3,	698,	4,	3),
(38133,	3,	698,	5,	3),
(38134,	3,	698,	26,	3),
(38135,	3,	699,	1,	1),
(38136,	3,	699,	2,	1),
(38137,	3,	699,	3,	1),
(38138,	3,	700,	1,	1),
(38139,	3,	700,	2,	1),
(38140,	3,	700,	3,	1),
(38141,	3,	701,	1,	1),
(38142,	3,	701,	2,	1),
(38143,	3,	701,	3,	1),
(38144,	3,	702,	1,	1),
(38145,	3,	702,	2,	1),
(38146,	3,	702,	3,	1),
(38147,	3,	703,	1,	1),
(38148,	3,	703,	2,	1),
(38149,	3,	703,	3,	1),
(38150,	3,	703,	23,	1),
(38151,	3,	703,	6,	1),
(38152,	3,	703,	24,	1),
(38153,	3,	703,	25,	1),
(38154,	3,	703,	4,	1),
(38155,	3,	703,	5,	1),
(38156,	3,	703,	26,	1),
(38157,	3,	703,	1,	3),
(38158,	3,	703,	2,	3),
(38159,	3,	703,	3,	3),
(38160,	3,	703,	23,	3),
(38161,	3,	703,	6,	3),
(38162,	3,	703,	24,	3),
(38163,	3,	703,	25,	3),
(38164,	3,	703,	4,	3),
(38165,	3,	703,	5,	3),
(38166,	3,	703,	26,	3),
(38167,	3,	704,	1,	1),
(38168,	3,	704,	2,	1),
(38169,	3,	704,	3,	1),
(38170,	3,	704,	23,	1),
(38171,	3,	704,	6,	1),
(38172,	3,	704,	24,	1),
(38173,	3,	704,	25,	1),
(38174,	3,	704,	4,	1),
(38175,	3,	704,	5,	1),
(38176,	3,	704,	26,	1),
(38177,	3,	705,	1,	1),
(38178,	3,	705,	2,	1),
(38179,	3,	705,	3,	1),
(38180,	3,	706,	1,	1),
(38181,	3,	706,	2,	1),
(38182,	3,	706,	3,	1),
(38183,	3,	707,	1,	1),
(38184,	3,	707,	2,	1),
(38185,	3,	707,	3,	1),
(38186,	3,	708,	1,	1),
(38187,	3,	708,	2,	1),
(38188,	3,	708,	3,	1),
(38189,	3,	709,	1,	1),
(38190,	3,	709,	2,	1),
(38191,	3,	709,	3,	1),
(38192,	3,	709,	23,	1),
(38193,	3,	709,	6,	1),
(38194,	3,	709,	24,	1),
(38195,	3,	709,	25,	1),
(38196,	3,	709,	4,	1),
(38197,	3,	709,	5,	1),
(38198,	3,	709,	26,	1),
(38199,	3,	709,	1,	3),
(38200,	3,	709,	2,	3),
(38201,	3,	709,	3,	3),
(38202,	3,	709,	23,	3),
(38203,	3,	709,	6,	3),
(38204,	3,	709,	24,	3),
(38205,	3,	709,	25,	3),
(38206,	3,	709,	4,	3),
(38207,	3,	709,	5,	3),
(38208,	3,	709,	26,	3),
(38209,	3,	710,	1,	1),
(38210,	3,	710,	2,	1),
(38211,	3,	710,	3,	1),
(38212,	3,	711,	1,	1),
(38213,	3,	711,	2,	1),
(38214,	3,	711,	3,	1),
(38215,	3,	711,	23,	1),
(38216,	3,	711,	6,	1),
(38217,	3,	711,	24,	1),
(38218,	3,	711,	25,	1),
(38219,	3,	711,	4,	1),
(38220,	3,	711,	5,	1),
(38221,	3,	711,	26,	1),
(38222,	3,	711,	1,	3),
(38223,	3,	711,	2,	3),
(38224,	3,	711,	3,	3),
(38225,	3,	711,	23,	3),
(38226,	3,	711,	6,	3),
(38227,	3,	711,	24,	3),
(38228,	3,	711,	25,	3),
(38229,	3,	711,	4,	3),
(38230,	3,	711,	5,	3),
(38231,	3,	711,	26,	3),
(38232,	3,	712,	1,	1),
(38233,	3,	712,	2,	1),
(38234,	3,	712,	3,	1),
(38235,	3,	713,	1,	1),
(38236,	3,	713,	2,	1),
(38237,	3,	713,	3,	1),
(38238,	3,	713,	1,	2),
(38239,	3,	713,	2,	2),
(38240,	3,	713,	3,	2),
(38241,	3,	714,	1,	1),
(38242,	3,	714,	2,	1),
(38243,	3,	714,	3,	1),
(38244,	3,	715,	1,	1),
(38245,	3,	715,	2,	1),
(38246,	3,	715,	3,	1),
(38247,	3,	716,	1,	1),
(38248,	3,	716,	2,	1),
(38249,	3,	716,	3,	1),
(38250,	3,	716,	23,	1),
(38251,	3,	716,	1,	3),
(38252,	3,	716,	2,	3),
(38253,	3,	716,	3,	3),
(38254,	3,	716,	23,	3),
(38255,	3,	717,	1,	1),
(38256,	3,	717,	2,	1),
(38257,	3,	717,	3,	1),
(38258,	3,	717,	23,	1),
(38259,	3,	717,	6,	1),
(38260,	3,	717,	24,	1),
(38261,	3,	717,	25,	1),
(38262,	3,	717,	4,	1),
(38263,	3,	717,	5,	1),
(38264,	3,	717,	26,	1),
(38265,	3,	717,	1,	3),
(38266,	3,	717,	2,	3),
(38267,	3,	717,	3,	3),
(38268,	3,	717,	23,	3),
(38269,	3,	717,	6,	3),
(38270,	3,	717,	24,	3),
(38271,	3,	717,	25,	3),
(38272,	3,	717,	4,	3),
(38273,	3,	717,	5,	3),
(38274,	3,	717,	26,	3),
(38275,	3,	718,	1,	1),
(38276,	3,	718,	2,	1),
(38277,	3,	718,	3,	1),
(38278,	3,	718,	23,	1),
(38279,	3,	719,	1,	1),
(38280,	3,	719,	2,	1),
(38281,	3,	719,	3,	1),
(38282,	3,	719,	23,	1),
(38283,	3,	719,	6,	1),
(38284,	3,	719,	24,	1),
(38285,	3,	719,	25,	1),
(38286,	3,	719,	4,	1),
(38287,	3,	719,	5,	1),
(38288,	3,	719,	26,	1),
(38289,	3,	719,	1,	3),
(38290,	3,	719,	2,	3),
(38291,	3,	719,	3,	3),
(38292,	3,	719,	23,	3),
(38293,	3,	719,	6,	3),
(38294,	3,	719,	24,	3),
(38295,	3,	719,	25,	3),
(38296,	3,	719,	4,	3),
(38297,	3,	719,	5,	3),
(38298,	3,	719,	26,	3),
(38299,	3,	720,	1,	1),
(38300,	3,	720,	2,	1),
(38301,	3,	720,	3,	1),
(38302,	3,	721,	1,	1),
(38303,	3,	721,	2,	1),
(38304,	3,	721,	3,	1),
(38305,	3,	721,	23,	1),
(38306,	3,	721,	1,	3),
(38307,	3,	721,	2,	3),
(38308,	3,	721,	3,	3),
(38309,	3,	721,	23,	3),
(38310,	3,	722,	1,	1),
(38311,	3,	722,	2,	1),
(38312,	3,	722,	3,	1),
(38313,	3,	722,	23,	1),
(38314,	3,	722,	6,	1),
(38315,	3,	722,	24,	1),
(38316,	3,	722,	25,	1),
(38317,	3,	722,	4,	1),
(38318,	3,	722,	5,	1),
(38319,	3,	722,	26,	1),
(38320,	3,	722,	1,	3),
(38321,	3,	722,	2,	3),
(38322,	3,	722,	3,	3),
(38323,	3,	722,	23,	3),
(38324,	3,	722,	6,	3),
(38325,	3,	722,	24,	3),
(38326,	3,	722,	25,	3),
(38327,	3,	722,	4,	3),
(38328,	3,	722,	5,	3),
(38329,	3,	722,	26,	3),
(38330,	3,	723,	1,	1),
(38331,	3,	723,	2,	1),
(38332,	3,	723,	3,	1),
(38333,	3,	723,	23,	1),
(38334,	3,	724,	1,	1),
(38335,	3,	724,	2,	1),
(38336,	3,	724,	3,	1),
(38337,	3,	724,	23,	1),
(38338,	3,	724,	6,	1),
(38339,	3,	724,	24,	1),
(38340,	3,	724,	25,	1),
(38341,	3,	724,	4,	1),
(38342,	3,	724,	5,	1),
(38343,	3,	724,	26,	1),
(38344,	3,	724,	1,	3),
(38345,	3,	724,	2,	3),
(38346,	3,	724,	3,	3),
(38347,	3,	724,	23,	3),
(38348,	3,	724,	6,	3),
(38349,	3,	724,	24,	3),
(38350,	3,	724,	25,	3),
(38351,	3,	724,	4,	3),
(38352,	3,	724,	5,	3),
(38353,	3,	724,	26,	3),
(38354,	3,	725,	1,	1),
(38355,	3,	725,	2,	1),
(38356,	3,	725,	3,	1),
(38357,	3,	726,	1,	1),
(38358,	3,	726,	2,	1),
(38359,	3,	726,	3,	1),
(38360,	3,	727,	1,	1),
(38361,	3,	727,	2,	1),
(38362,	3,	727,	3,	1),
(38363,	3,	728,	1,	1),
(38364,	3,	728,	2,	1),
(38365,	3,	728,	3,	1),
(38366,	3,	729,	1,	1),
(38367,	3,	729,	2,	1),
(38368,	3,	729,	3,	1),
(38369,	3,	730,	1,	1),
(38370,	3,	730,	2,	1),
(38371,	3,	730,	3,	1),
(38372,	3,	730,	23,	1),
(38373,	3,	730,	6,	1),
(38374,	3,	730,	24,	1),
(38375,	3,	730,	25,	1),
(38376,	3,	730,	4,	1),
(38377,	3,	730,	5,	1),
(38378,	3,	730,	26,	1),
(38379,	3,	730,	1,	3),
(38380,	3,	730,	2,	3),
(38381,	3,	730,	3,	3),
(38382,	3,	730,	23,	3),
(38383,	3,	730,	6,	3),
(38384,	3,	730,	24,	3),
(38385,	3,	730,	25,	3),
(38386,	3,	730,	4,	3),
(38387,	3,	730,	5,	3),
(38388,	3,	730,	26,	3),
(38389,	3,	731,	1,	1),
(38390,	3,	731,	2,	1),
(38391,	3,	731,	3,	1),
(38392,	3,	731,	23,	1),
(38393,	3,	731,	6,	1),
(38394,	3,	731,	24,	1),
(38395,	3,	731,	25,	1),
(38396,	3,	731,	4,	1),
(38397,	3,	731,	5,	1),
(38398,	3,	731,	26,	1),
(38399,	3,	731,	1,	3),
(38400,	3,	731,	2,	3),
(38401,	3,	731,	3,	3),
(38402,	3,	731,	23,	3),
(38403,	3,	731,	6,	3),
(38404,	3,	731,	24,	3),
(38405,	3,	731,	25,	3),
(38406,	3,	731,	4,	3),
(38407,	3,	731,	5,	3),
(38408,	3,	731,	26,	3),
(38409,	3,	732,	1,	1),
(38410,	3,	732,	2,	1),
(38411,	3,	732,	3,	1),
(38412,	3,	732,	23,	1),
(38413,	3,	733,	1,	1),
(38414,	3,	733,	2,	1),
(38415,	3,	733,	3,	1),
(38416,	3,	733,	23,	1),
(38417,	3,	733,	6,	1),
(38418,	3,	733,	24,	1),
(38419,	3,	733,	25,	1),
(38420,	3,	733,	4,	1),
(38421,	3,	733,	5,	1),
(38422,	3,	733,	26,	1),
(38423,	3,	733,	1,	3),
(38424,	3,	733,	2,	3),
(38425,	3,	733,	3,	3),
(38426,	3,	733,	23,	3),
(38427,	3,	733,	6,	3),
(38428,	3,	733,	24,	3),
(38429,	3,	733,	25,	3),
(38430,	3,	733,	4,	3),
(38431,	3,	733,	5,	3),
(38432,	3,	733,	26,	3),
(38433,	3,	734,	1,	1),
(38434,	3,	734,	2,	1),
(38435,	3,	734,	3,	1),
(38436,	3,	734,	23,	1),
(38437,	3,	734,	6,	1),
(38438,	3,	734,	24,	1),
(38439,	3,	734,	25,	1),
(38440,	3,	734,	4,	1),
(38441,	3,	734,	5,	1),
(38442,	3,	734,	26,	1),
(38443,	3,	734,	1,	3),
(38444,	3,	734,	2,	3),
(38445,	3,	734,	3,	3),
(38446,	3,	734,	23,	3),
(38447,	3,	734,	6,	3),
(38448,	3,	734,	24,	3),
(38449,	3,	734,	25,	3),
(38450,	3,	734,	4,	3),
(38451,	3,	734,	5,	3),
(38452,	3,	734,	26,	3),
(38453,	3,	735,	1,	1),
(38454,	3,	735,	2,	1),
(38455,	3,	735,	3,	1),
(38456,	3,	735,	23,	1),
(38457,	3,	736,	1,	1),
(38458,	3,	736,	2,	1),
(38459,	3,	736,	3,	1),
(38460,	3,	736,	23,	1),
(38461,	3,	736,	6,	1),
(38462,	3,	736,	24,	1),
(38463,	3,	736,	25,	1),
(38464,	3,	736,	4,	1),
(38465,	3,	736,	5,	1),
(38466,	3,	736,	26,	1),
(38467,	3,	736,	1,	3),
(38468,	3,	736,	2,	3),
(38469,	3,	736,	3,	3),
(38470,	3,	736,	23,	3),
(38471,	3,	736,	6,	3),
(38472,	3,	736,	24,	3),
(38473,	3,	736,	25,	3),
(38474,	3,	736,	4,	3),
(38475,	3,	736,	5,	3),
(38476,	3,	736,	26,	3),
(38477,	3,	737,	1,	1),
(38478,	3,	737,	2,	1),
(38479,	3,	737,	3,	1),
(38480,	3,	738,	1,	1),
(38481,	3,	738,	2,	1),
(38482,	3,	738,	3,	1),
(38483,	3,	739,	1,	1),
(38484,	3,	739,	2,	1),
(38485,	3,	739,	3,	1),
(38486,	3,	740,	1,	1),
(38487,	3,	740,	2,	1),
(38488,	3,	740,	3,	1),
(38489,	3,	740,	23,	1),
(38490,	3,	740,	6,	1),
(38491,	3,	740,	24,	1),
(38492,	3,	740,	25,	1),
(38493,	3,	740,	4,	1),
(38494,	3,	740,	5,	1),
(38495,	3,	740,	26,	1),
(38496,	3,	740,	1,	3),
(38497,	3,	740,	2,	3),
(38498,	3,	740,	3,	3),
(38499,	3,	740,	23,	3),
(38500,	3,	740,	6,	3),
(38501,	3,	740,	24,	3),
(38502,	3,	740,	25,	3),
(38503,	3,	740,	4,	3),
(38504,	3,	740,	5,	3),
(38505,	3,	740,	26,	3),
(38506,	3,	741,	1,	1),
(38507,	3,	741,	2,	1),
(38508,	3,	741,	3,	1),
(38509,	3,	741,	23,	1),
(38510,	3,	741,	6,	1),
(38511,	3,	741,	24,	1),
(38512,	3,	741,	25,	1),
(38513,	3,	741,	4,	1),
(38514,	3,	741,	5,	1),
(38515,	3,	741,	26,	1),
(38516,	3,	742,	1,	1),
(38517,	3,	742,	2,	1),
(38518,	3,	742,	3,	1),
(38519,	3,	743,	1,	1),
(38520,	3,	743,	2,	1),
(38521,	3,	743,	3,	1),
(38522,	3,	743,	23,	1),
(38523,	3,	743,	6,	1),
(38524,	3,	743,	24,	1),
(38525,	3,	743,	25,	1),
(38526,	3,	743,	4,	1),
(38527,	3,	743,	5,	1),
(38528,	3,	743,	26,	1),
(38529,	3,	743,	1,	3),
(38530,	3,	743,	2,	3),
(38531,	3,	743,	3,	3),
(38532,	3,	743,	23,	3),
(38533,	3,	743,	6,	3),
(38534,	3,	743,	24,	3),
(38535,	3,	743,	25,	3),
(38536,	3,	743,	4,	3),
(38537,	3,	743,	5,	3),
(38538,	3,	743,	26,	3),
(38539,	3,	744,	1,	1),
(38540,	3,	744,	2,	1),
(38541,	3,	744,	3,	1),
(38542,	3,	744,	23,	1),
(38543,	3,	744,	6,	1),
(38544,	3,	744,	24,	1),
(38545,	3,	744,	25,	1),
(38546,	3,	744,	4,	1),
(38547,	3,	744,	5,	1),
(38548,	3,	744,	26,	1),
(38549,	3,	744,	1,	3),
(38550,	3,	744,	2,	3),
(38551,	3,	744,	3,	3),
(38552,	3,	744,	23,	3),
(38553,	3,	744,	6,	3),
(38554,	3,	744,	24,	3),
(38555,	3,	744,	25,	3),
(38556,	3,	744,	4,	3),
(38557,	3,	744,	5,	3),
(38558,	3,	744,	26,	3),
(38559,	3,	745,	1,	1),
(38560,	3,	745,	2,	1),
(38561,	3,	745,	3,	1),
(38562,	3,	745,	23,	1),
(38563,	3,	745,	6,	1),
(38564,	3,	745,	5,	1),
(38565,	3,	746,	1,	1),
(38566,	3,	746,	2,	1),
(38567,	3,	746,	3,	1),
(38568,	3,	747,	1,	1),
(38569,	3,	747,	2,	1),
(38570,	3,	747,	3,	1),
(38571,	3,	747,	23,	1),
(38572,	3,	747,	6,	1),
(38573,	3,	747,	24,	1),
(38574,	3,	747,	25,	1),
(38575,	3,	747,	4,	1),
(38576,	3,	747,	5,	1),
(38577,	3,	747,	26,	1),
(38578,	3,	747,	1,	3),
(38579,	3,	747,	2,	3),
(38580,	3,	747,	3,	3),
(38581,	3,	747,	23,	3),
(38582,	3,	747,	6,	3),
(38583,	3,	747,	24,	3),
(38584,	3,	747,	25,	3),
(38585,	3,	747,	4,	3),
(38586,	3,	747,	5,	3),
(38587,	3,	747,	26,	3),
(38588,	3,	748,	1,	1),
(38589,	3,	748,	2,	1),
(38590,	3,	748,	3,	1),
(38591,	3,	748,	23,	1),
(38592,	3,	748,	6,	1),
(38593,	3,	748,	24,	1),
(38594,	3,	748,	25,	1),
(38595,	3,	748,	4,	1),
(38596,	3,	748,	5,	1),
(38597,	3,	748,	26,	1),
(38598,	3,	748,	1,	3),
(38599,	3,	748,	2,	3),
(38600,	3,	748,	3,	3),
(38601,	3,	748,	23,	3),
(38602,	3,	748,	6,	3),
(38603,	3,	748,	24,	3),
(38604,	3,	748,	25,	3),
(38605,	3,	748,	4,	3),
(38606,	3,	748,	5,	3),
(38607,	3,	748,	26,	3),
(38608,	3,	749,	1,	1),
(38609,	3,	749,	2,	1),
(38610,	3,	749,	3,	1),
(38611,	3,	750,	1,	1),
(38612,	3,	750,	2,	1),
(38613,	3,	750,	3,	1),
(38614,	3,	750,	23,	1),
(38615,	3,	750,	6,	1),
(38616,	3,	750,	24,	1),
(38617,	3,	750,	25,	1),
(38618,	3,	750,	4,	1),
(38619,	3,	750,	5,	1),
(38620,	3,	750,	26,	1),
(38621,	3,	750,	1,	3),
(38622,	3,	750,	2,	3),
(38623,	3,	750,	3,	3),
(38624,	3,	750,	23,	3),
(38625,	3,	750,	6,	3),
(38626,	3,	750,	24,	3),
(38627,	3,	750,	25,	3),
(38628,	3,	750,	4,	3),
(38629,	3,	750,	5,	3),
(38630,	3,	750,	26,	3),
(38631,	3,	751,	1,	1),
(38632,	3,	751,	2,	1),
(38633,	3,	751,	3,	1),
(38634,	3,	752,	1,	1),
(38635,	3,	752,	2,	1),
(38636,	3,	752,	3,	1),
(38637,	3,	752,	6,	1),
(38638,	3,	752,	24,	1),
(38639,	3,	752,	25,	1),
(38640,	3,	752,	4,	1),
(38641,	3,	752,	5,	1),
(38642,	3,	752,	26,	1),
(38643,	3,	752,	1,	3),
(38644,	3,	752,	2,	3),
(38645,	3,	752,	3,	3),
(38646,	3,	752,	6,	3),
(38647,	3,	752,	24,	3),
(38648,	3,	752,	25,	3),
(38649,	3,	752,	4,	3),
(38650,	3,	752,	5,	3),
(38651,	3,	752,	26,	3),
(38652,	3,	753,	1,	1),
(38653,	3,	753,	2,	1),
(38654,	3,	753,	3,	1),
(38655,	3,	753,	23,	1),
(38656,	3,	754,	1,	1),
(38657,	3,	754,	2,	1),
(38658,	3,	754,	3,	1),
(38659,	3,	754,	23,	1),
(38660,	3,	754,	6,	1),
(38661,	3,	754,	24,	1),
(38662,	3,	754,	25,	1),
(38663,	3,	754,	4,	1),
(38664,	3,	754,	5,	1),
(38665,	3,	754,	26,	1),
(38666,	3,	754,	1,	3),
(38667,	3,	754,	2,	3),
(38668,	3,	754,	3,	3),
(38669,	3,	754,	23,	3),
(38670,	3,	754,	6,	3),
(38671,	3,	754,	24,	3),
(38672,	3,	754,	25,	3),
(38673,	3,	754,	4,	3),
(38674,	3,	754,	5,	3),
(38675,	3,	754,	26,	3),
(38676,	3,	755,	1,	1),
(38677,	3,	755,	2,	1),
(38678,	3,	755,	3,	1),
(38679,	3,	756,	1,	1),
(38680,	3,	756,	2,	1),
(38681,	3,	756,	3,	1),
(38682,	3,	757,	1,	1),
(38683,	3,	757,	2,	1),
(38684,	3,	757,	3,	1),
(38685,	3,	757,	1,	3),
(38686,	3,	757,	2,	3),
(38687,	3,	757,	3,	3),
(38688,	3,	758,	1,	1),
(38689,	3,	758,	2,	1),
(38690,	3,	758,	3,	1),
(38691,	3,	758,	23,	1),
(38692,	3,	758,	1,	2),
(38693,	3,	758,	2,	2),
(38694,	3,	758,	3,	2),
(38695,	3,	758,	23,	2),
(38696,	3,	759,	1,	1),
(38697,	3,	759,	2,	1),
(38698,	3,	759,	3,	1),
(38699,	3,	759,	1,	3),
(38700,	3,	759,	2,	3),
(38701,	3,	759,	3,	3),
(38702,	3,	760,	1,	1),
(38703,	3,	760,	2,	1),
(38704,	3,	760,	3,	1),
(38705,	3,	760,	23,	1),
(38706,	3,	760,	1,	3),
(38707,	3,	760,	2,	3),
(38708,	3,	760,	3,	3),
(38709,	3,	760,	23,	3),
(38710,	3,	760,	1,	2),
(38711,	3,	760,	2,	2),
(38712,	3,	760,	3,	2),
(38713,	3,	760,	23,	2),
(38714,	3,	761,	1,	1),
(38715,	3,	761,	2,	1),
(38716,	3,	761,	3,	1),
(38717,	3,	761,	1,	2),
(38718,	3,	761,	2,	2),
(38719,	3,	761,	3,	2),
(38720,	3,	762,	1,	1),
(38721,	3,	762,	2,	1),
(38722,	3,	762,	3,	1),
(38723,	3,	762,	1,	2),
(38724,	3,	762,	2,	2),
(38725,	3,	762,	3,	2),
(38726,	3,	763,	1,	1),
(38727,	3,	763,	2,	1),
(38728,	3,	763,	3,	1),
(38729,	3,	763,	1,	2),
(38730,	3,	763,	2,	2),
(38731,	3,	763,	3,	2),
(38732,	3,	764,	1,	1),
(38733,	3,	764,	2,	1),
(38734,	3,	764,	3,	1),
(38735,	3,	764,	1,	2),
(38736,	3,	764,	2,	2),
(38737,	3,	764,	3,	2),
(38738,	3,	765,	1,	1),
(38739,	3,	765,	2,	1),
(38740,	3,	765,	3,	1),
(38741,	3,	765,	1,	2),
(38742,	3,	765,	2,	2),
(38743,	3,	765,	3,	2),
(38744,	3,	766,	1,	1),
(38745,	3,	766,	2,	1),
(38746,	3,	766,	3,	1),
(38747,	3,	767,	1,	1),
(38748,	3,	767,	2,	1),
(38749,	3,	767,	3,	1),
(38750,	3,	767,	6,	1),
(38751,	3,	767,	1,	2),
(38752,	3,	767,	2,	2),
(38753,	3,	767,	3,	2),
(38754,	3,	767,	6,	2),
(38755,	3,	768,	1,	1),
(38756,	3,	768,	2,	1),
(38757,	3,	768,	3,	1),
(38758,	3,	768,	1,	2),
(38759,	3,	768,	2,	2),
(38760,	3,	768,	3,	2),
(38761,	3,	769,	1,	1),
(38762,	3,	769,	2,	1),
(38763,	3,	769,	3,	1),
(38764,	3,	769,	1,	3),
(38765,	3,	769,	2,	3),
(38766,	3,	769,	3,	3),
(38767,	3,	770,	1,	1),
(38768,	3,	770,	2,	1),
(38769,	3,	770,	3,	1),
(38770,	3,	771,	1,	1),
(38771,	3,	771,	2,	1),
(38772,	3,	771,	3,	1),
(38773,	3,	772,	1,	1),
(38774,	3,	772,	2,	1),
(38775,	3,	772,	3,	1),
(38776,	3,	772,	6,	1),
(38777,	3,	772,	1,	2),
(38778,	3,	772,	2,	2),
(38779,	3,	772,	3,	2),
(38780,	3,	772,	6,	2),
(38781,	3,	773,	1,	1),
(38782,	3,	773,	2,	1),
(38783,	3,	773,	3,	1),
(38784,	3,	773,	6,	1),
(38785,	3,	773,	1,	2),
(38786,	3,	773,	2,	2),
(38787,	3,	773,	3,	2),
(38788,	3,	773,	6,	2),
(38789,	3,	774,	1,	1),
(38790,	3,	774,	2,	1),
(38791,	3,	774,	3,	1),
(38792,	3,	775,	1,	1),
(38793,	3,	775,	2,	1),
(38794,	3,	775,	3,	1),
(38795,	3,	775,	1,	2),
(38796,	3,	775,	2,	2),
(38797,	3,	775,	3,	2),
(38798,	3,	776,	1,	1),
(38799,	3,	776,	2,	1),
(38800,	3,	776,	3,	1),
(38801,	3,	776,	1,	2),
(38802,	3,	776,	2,	2),
(38803,	3,	776,	3,	2),
(38804,	3,	777,	1,	1),
(38805,	3,	777,	2,	1),
(38806,	3,	777,	3,	1),
(38807,	3,	778,	1,	1),
(38808,	3,	778,	2,	1),
(38809,	3,	778,	3,	1),
(38810,	3,	778,	1,	2),
(38811,	3,	778,	2,	2),
(38812,	3,	778,	3,	2),
(38813,	3,	779,	1,	1),
(38814,	3,	779,	2,	1),
(38815,	3,	779,	3,	1),
(38816,	3,	779,	1,	2),
(38817,	3,	779,	2,	2),
(38818,	3,	779,	3,	2),
(38819,	3,	780,	1,	1),
(38820,	3,	780,	2,	1),
(38821,	3,	780,	3,	1),
(38822,	3,	780,	1,	2),
(38823,	3,	780,	2,	2),
(38824,	3,	780,	3,	2),
(38825,	3,	781,	1,	1),
(38826,	3,	781,	2,	1),
(38827,	3,	781,	3,	1),
(38828,	3,	781,	1,	3),
(38829,	3,	781,	2,	3),
(38830,	3,	781,	3,	3),
(38831,	3,	782,	1,	1),
(38832,	3,	782,	2,	1),
(38833,	3,	782,	3,	1),
(38834,	3,	782,	1,	3),
(38835,	3,	782,	2,	3),
(38836,	3,	782,	3,	3),
(38837,	3,	783,	1,	1),
(38838,	3,	783,	2,	1),
(38839,	3,	783,	3,	1),
(38840,	3,	783,	1,	3),
(38841,	3,	783,	2,	3),
(38842,	3,	783,	3,	3),
(38843,	3,	784,	1,	1),
(38844,	3,	784,	2,	1),
(38845,	3,	784,	3,	1),
(38846,	3,	784,	1,	3),
(38847,	3,	784,	2,	3),
(38848,	3,	784,	3,	3),
(38849,	3,	785,	1,	1),
(38850,	3,	785,	2,	1),
(38851,	3,	785,	3,	1),
(38852,	3,	786,	1,	1),
(38853,	3,	786,	2,	1),
(38854,	3,	786,	3,	1),
(38855,	3,	787,	1,	1),
(38856,	3,	787,	2,	1),
(38857,	3,	787,	3,	1),
(38858,	3,	787,	1,	3),
(38859,	3,	787,	2,	3),
(38860,	3,	787,	3,	3),
(38861,	3,	788,	1,	1),
(38862,	3,	788,	2,	1),
(38863,	3,	788,	3,	1),
(38864,	3,	788,	1,	2),
(38865,	3,	788,	2,	2),
(38866,	3,	788,	3,	2),
(38867,	3,	789,	1,	1),
(38868,	3,	789,	2,	1),
(38869,	3,	789,	3,	1),
(38870,	3,	789,	1,	2),
(38871,	3,	789,	2,	2),
(38872,	3,	789,	3,	2),
(38873,	3,	790,	1,	1),
(38874,	3,	790,	2,	1),
(38875,	3,	790,	3,	1),
(38876,	3,	790,	1,	2),
(38877,	3,	790,	2,	2),
(38878,	3,	790,	3,	2),
(38879,	3,	791,	1,	1),
(38880,	3,	791,	2,	1),
(38881,	3,	791,	3,	1),
(38882,	3,	791,	1,	3),
(38883,	3,	791,	2,	3),
(38884,	3,	791,	3,	3),
(38885,	3,	792,	1,	1),
(38886,	3,	792,	2,	1),
(38887,	3,	792,	3,	1),
(38888,	3,	792,	1,	2),
(38889,	3,	792,	2,	2),
(38890,	3,	792,	3,	2),
(38891,	3,	793,	1,	1),
(38892,	3,	793,	2,	1),
(38893,	3,	793,	3,	1),
(38894,	3,	793,	1,	2),
(38895,	3,	793,	2,	2),
(38896,	3,	793,	3,	2),
(38897,	3,	794,	1,	1),
(38898,	3,	794,	2,	1),
(38899,	3,	794,	3,	1),
(38900,	3,	794,	1,	2),
(38901,	3,	794,	2,	2),
(38902,	3,	794,	3,	2),
(38903,	3,	795,	1,	1),
(38904,	3,	795,	2,	1),
(38905,	3,	795,	3,	1),
(38906,	3,	795,	1,	2),
(38907,	3,	795,	2,	2),
(38908,	3,	795,	3,	2),
(38909,	3,	796,	1,	1),
(38910,	3,	796,	2,	1),
(38911,	3,	796,	3,	1),
(38912,	3,	796,	1,	2),
(38913,	3,	796,	2,	2),
(38914,	3,	796,	3,	2),
(38915,	3,	797,	1,	1),
(38916,	3,	797,	2,	1),
(38917,	3,	797,	3,	1),
(38918,	3,	797,	1,	3),
(38919,	3,	797,	2,	3),
(38920,	3,	797,	3,	3),
(38921,	3,	798,	1,	1),
(38922,	3,	798,	2,	1),
(38923,	3,	798,	3,	1),
(38924,	3,	798,	1,	2),
(38925,	3,	798,	2,	2),
(38926,	3,	798,	3,	2),
(38927,	3,	799,	1,	1),
(38928,	3,	799,	2,	1),
(38929,	3,	799,	3,	1),
(38930,	3,	799,	1,	2),
(38931,	3,	799,	2,	2),
(38932,	3,	799,	3,	2),
(38933,	3,	800,	1,	1),
(38934,	3,	800,	2,	1),
(38935,	3,	800,	3,	1),
(38936,	3,	800,	1,	2),
(38937,	3,	800,	2,	2),
(38938,	3,	800,	3,	2),
(38939,	3,	801,	1,	1),
(38940,	3,	801,	2,	1),
(38941,	3,	801,	3,	1),
(38942,	3,	801,	1,	2),
(38943,	3,	801,	2,	2),
(38944,	3,	801,	3,	2),
(38945,	3,	802,	1,	1),
(38946,	3,	802,	2,	1),
(38947,	3,	802,	3,	1),
(38948,	3,	802,	1,	2),
(38949,	3,	802,	2,	2),
(38950,	3,	802,	3,	2),
(38951,	3,	803,	1,	1),
(38952,	3,	803,	2,	1),
(38953,	3,	803,	3,	1),
(38954,	3,	803,	1,	2),
(38955,	3,	803,	2,	2),
(38956,	3,	803,	3,	2),
(38957,	3,	804,	1,	1),
(38958,	3,	804,	2,	1),
(38959,	3,	804,	3,	1),
(38960,	3,	804,	1,	2),
(38961,	3,	804,	2,	2),
(38962,	3,	804,	3,	2),
(38963,	3,	805,	1,	1),
(38964,	3,	805,	2,	1),
(38965,	3,	805,	3,	1),
(38966,	3,	805,	6,	1),
(38967,	3,	805,	24,	1),
(38968,	3,	805,	23,	1),
(38969,	3,	806,	1,	1),
(38970,	3,	806,	2,	1),
(38971,	3,	806,	3,	1),
(38972,	3,	806,	6,	1),
(38973,	3,	806,	24,	1),
(38974,	3,	807,	1,	1),
(38975,	3,	807,	2,	1),
(38976,	3,	807,	3,	1),
(38977,	3,	807,	6,	1),
(38978,	3,	807,	24,	1),
(38979,	3,	808,	1,	1),
(38980,	3,	808,	2,	1),
(38981,	3,	808,	3,	1),
(38982,	3,	808,	1,	2),
(38983,	3,	808,	2,	2),
(38984,	3,	808,	3,	2),
(38985,	3,	809,	1,	1),
(38986,	3,	809,	2,	1),
(38987,	3,	809,	3,	1),
(38988,	3,	809,	1,	2),
(38989,	3,	809,	2,	2),
(38990,	3,	809,	3,	2),
(38991,	3,	810,	1,	1),
(38992,	3,	810,	2,	1),
(38993,	3,	810,	3,	1),
(38994,	3,	810,	6,	1),
(38995,	3,	810,	24,	1),
(38996,	3,	811,	1,	1),
(38997,	3,	811,	2,	1),
(38998,	3,	811,	3,	1),
(38999,	3,	811,	1,	2),
(39000,	3,	811,	2,	2),
(39001,	3,	811,	3,	2),
(39002,	3,	812,	1,	1),
(39003,	3,	812,	2,	1),
(39004,	3,	812,	3,	1),
(39005,	3,	813,	1,	1),
(39006,	3,	813,	2,	1),
(39007,	3,	813,	3,	1),
(39008,	3,	813,	1,	2),
(39009,	3,	813,	2,	2),
(39010,	3,	813,	3,	2),
(39011,	3,	814,	1,	1),
(39012,	3,	814,	2,	1),
(39013,	3,	814,	3,	1),
(39014,	3,	814,	23,	1),
(39015,	3,	814,	49,	1),
(39016,	3,	814,	5,	1),
(39017,	3,	814,	26,	1),
(39018,	3,	815,	1,	1),
(39019,	3,	815,	2,	1),
(39020,	3,	815,	3,	1),
(39021,	3,	816,	1,	1),
(39022,	3,	816,	2,	1),
(39023,	3,	816,	3,	1),
(39024,	3,	816,	25,	1),
(39025,	3,	816,	24,	1),
(39026,	3,	816,	49,	1),
(39027,	3,	816,	50,	1),
(39028,	3,	816,	23,	1),
(39029,	3,	816,	51,	1),
(39030,	3,	816,	48,	1),
(39031,	3,	816,	52,	1),
(39032,	3,	816,	53,	1),
(39033,	3,	817,	1,	1),
(39034,	3,	817,	2,	1),
(39035,	3,	817,	3,	1),
(39036,	3,	817,	23,	1),
(39037,	3,	817,	49,	1),
(39038,	3,	817,	5,	1),
(39039,	3,	817,	26,	1),
(39040,	3,	818,	1,	1),
(39041,	3,	818,	2,	1),
(39042,	3,	818,	3,	1),
(39043,	3,	818,	49,	1),
(39044,	3,	819,	1,	1),
(39045,	3,	819,	2,	1),
(39046,	3,	819,	3,	1),
(39047,	3,	819,	49,	1),
(39048,	3,	820,	1,	1),
(39049,	3,	820,	2,	1),
(39050,	3,	820,	3,	1),
(39051,	3,	820,	49,	1),
(39052,	3,	821,	1,	1),
(39053,	3,	821,	2,	1),
(39054,	3,	821,	3,	1),
(39055,	3,	822,	1,	1),
(39056,	3,	822,	2,	1),
(39057,	3,	822,	3,	1),
(39058,	3,	823,	1,	1),
(39059,	3,	823,	2,	1),
(39060,	3,	823,	3,	1),
(39061,	3,	823,	1,	2),
(39062,	3,	823,	2,	2),
(39063,	3,	823,	3,	2),
(39064,	3,	824,	1,	1),
(39065,	3,	824,	2,	1),
(39066,	3,	824,	3,	1),
(39067,	3,	824,	1,	2),
(39068,	3,	824,	2,	2),
(39069,	3,	824,	3,	2),
(39070,	3,	825,	1,	1),
(39071,	3,	825,	2,	1),
(39072,	3,	825,	3,	1),
(39073,	3,	826,	1,	1),
(39074,	3,	826,	2,	1),
(39075,	3,	826,	3,	1),
(39076,	3,	827,	1,	1),
(39077,	3,	827,	2,	1),
(39078,	3,	827,	3,	1),
(39079,	3,	827,	1,	2),
(39080,	3,	827,	2,	2),
(39081,	3,	827,	3,	2),
(39082,	3,	828,	1,	1),
(39083,	3,	828,	2,	1),
(39084,	3,	828,	3,	1),
(39085,	3,	828,	1,	2),
(39086,	3,	828,	2,	2),
(39087,	3,	828,	3,	2),
(39088,	3,	829,	1,	1),
(39089,	3,	829,	2,	1),
(39090,	3,	829,	3,	1),
(39091,	3,	829,	4,	1),
(39092,	3,	829,	23,	1),
(39093,	3,	829,	1,	3),
(39094,	3,	829,	2,	3),
(39095,	3,	829,	3,	3),
(39096,	3,	829,	4,	3),
(39097,	3,	829,	23,	3),
(39098,	3,	829,	1,	2),
(39099,	3,	829,	2,	2),
(39100,	3,	829,	3,	2),
(39101,	3,	829,	4,	2),
(39102,	3,	829,	23,	2),
(39103,	3,	830,	1,	1),
(39104,	3,	830,	2,	1),
(39105,	3,	830,	3,	1),
(39106,	3,	830,	1,	2),
(39107,	3,	830,	2,	2),
(39108,	3,	830,	3,	2),
(39109,	3,	831,	1,	1),
(39110,	3,	831,	2,	1),
(39111,	3,	831,	3,	1),
(39112,	3,	832,	1,	1),
(39113,	3,	832,	2,	1),
(39114,	3,	832,	3,	1),
(39115,	3,	832,	1,	3),
(39116,	3,	832,	2,	3),
(39117,	3,	832,	3,	3),
(39118,	3,	833,	1,	1),
(39119,	3,	833,	2,	1),
(39120,	3,	833,	3,	1),
(39121,	3,	834,	1,	1),
(39122,	3,	834,	2,	1),
(39123,	3,	834,	3,	1),
(39124,	3,	834,	1,	2),
(39125,	3,	834,	2,	2),
(39126,	3,	834,	3,	2),
(39127,	3,	835,	1,	1),
(39128,	3,	835,	2,	1),
(39129,	3,	835,	3,	1),
(39130,	3,	835,	1,	2),
(39131,	3,	835,	2,	2),
(39132,	3,	835,	3,	2),
(39133,	3,	836,	1,	1),
(39134,	3,	836,	2,	1),
(39135,	3,	836,	3,	1),
(39136,	3,	837,	1,	1),
(39137,	3,	837,	2,	1),
(39138,	3,	837,	3,	1),
(39139,	3,	837,	1,	2),
(39140,	3,	837,	2,	2),
(39141,	3,	837,	3,	2),
(39142,	3,	838,	1,	1),
(39143,	3,	838,	2,	1),
(39144,	3,	838,	3,	1),
(39145,	3,	838,	1,	2),
(39146,	3,	838,	2,	2),
(39147,	3,	838,	3,	2),
(39148,	3,	839,	1,	1),
(39149,	3,	839,	2,	1),
(39150,	3,	839,	3,	1),
(39151,	3,	839,	1,	2),
(39152,	3,	839,	2,	2),
(39153,	3,	839,	3,	2),
(39154,	3,	840,	1,	1),
(39155,	3,	840,	2,	1),
(39156,	3,	840,	3,	1),
(39157,	3,	840,	1,	2),
(39158,	3,	840,	2,	2),
(39159,	3,	840,	3,	2),
(39160,	3,	841,	1,	1),
(39161,	3,	841,	2,	1),
(39162,	3,	841,	3,	1),
(39163,	3,	841,	1,	3),
(39164,	3,	841,	2,	3),
(39165,	3,	841,	3,	3),
(39166,	3,	842,	1,	1),
(39167,	3,	842,	2,	1),
(39168,	3,	842,	3,	1),
(39169,	3,	842,	1,	2),
(39170,	3,	842,	2,	2),
(39171,	3,	842,	3,	2),
(39172,	3,	843,	1,	1),
(39173,	3,	843,	2,	1),
(39174,	3,	843,	3,	1),
(39175,	3,	843,	1,	2),
(39176,	3,	843,	2,	2),
(39177,	3,	843,	3,	2),
(39178,	3,	844,	1,	1),
(39179,	3,	844,	2,	1),
(39180,	3,	844,	3,	1),
(39181,	3,	845,	1,	1),
(39182,	3,	845,	2,	1),
(39183,	3,	845,	3,	1),
(39184,	3,	845,	1,	2),
(39185,	3,	845,	2,	2),
(39186,	3,	845,	3,	2),
(39187,	3,	846,	1,	1),
(39188,	3,	846,	2,	1),
(39189,	3,	846,	3,	1),
(39190,	3,	847,	1,	1),
(39191,	3,	847,	2,	1),
(39192,	3,	847,	3,	1),
(39193,	3,	847,	1,	3),
(39194,	3,	847,	2,	3),
(39195,	3,	847,	3,	3),
(39196,	3,	848,	1,	1),
(39197,	3,	848,	2,	1),
(39198,	3,	848,	3,	1),
(39199,	3,	849,	1,	1),
(39200,	3,	849,	2,	1),
(39201,	3,	849,	3,	1),
(39202,	3,	849,	1,	3),
(39203,	3,	849,	2,	3),
(39204,	3,	849,	3,	3),
(39205,	3,	850,	1,	1),
(39206,	3,	850,	2,	1),
(39207,	3,	850,	3,	1),
(39208,	3,	850,	1,	3),
(39209,	3,	850,	2,	3),
(39210,	3,	850,	3,	3),
(39211,	3,	851,	1,	1),
(39212,	3,	851,	2,	1),
(39213,	3,	851,	3,	1),
(39214,	3,	851,	1,	2),
(39215,	3,	851,	2,	2),
(39216,	3,	851,	3,	2),
(39217,	3,	852,	1,	1),
(39218,	3,	852,	2,	1),
(39219,	3,	852,	3,	1),
(39220,	3,	852,	1,	2),
(39221,	3,	852,	2,	2),
(39222,	3,	852,	3,	2),
(39223,	3,	853,	1,	1),
(39224,	3,	853,	2,	1),
(39225,	3,	853,	3,	1),
(39226,	3,	853,	1,	2),
(39227,	3,	853,	2,	2),
(39228,	3,	853,	3,	2),
(39229,	3,	854,	1,	1),
(39230,	3,	854,	2,	1),
(39231,	3,	854,	3,	1),
(39232,	3,	854,	1,	3),
(39233,	3,	854,	2,	3),
(39234,	3,	854,	3,	3),
(39235,	3,	855,	1,	1),
(39236,	3,	855,	2,	1),
(39237,	3,	855,	3,	1),
(39238,	3,	855,	1,	3),
(39239,	3,	855,	2,	3),
(39240,	3,	855,	3,	3),
(39241,	3,	856,	1,	1),
(39242,	3,	856,	2,	1),
(39243,	3,	856,	3,	1),
(39244,	3,	856,	1,	3),
(39245,	3,	856,	2,	3),
(39246,	3,	856,	3,	3),
(39247,	3,	857,	1,	1),
(39248,	3,	857,	2,	1),
(39249,	3,	857,	3,	1),
(39250,	3,	857,	1,	3),
(39251,	3,	857,	2,	3),
(39252,	3,	857,	3,	3),
(39253,	3,	858,	1,	1),
(39254,	3,	858,	2,	1),
(39255,	3,	858,	3,	1),
(39256,	3,	858,	1,	3),
(39257,	3,	858,	2,	3),
(39258,	3,	858,	3,	3),
(39259,	3,	859,	1,	1),
(39260,	3,	859,	2,	1),
(39261,	3,	859,	3,	1),
(39262,	3,	859,	1,	2),
(39263,	3,	859,	2,	2),
(39264,	3,	859,	3,	2),
(39265,	3,	860,	1,	1),
(39266,	3,	860,	2,	1),
(39267,	3,	860,	3,	1),
(39268,	3,	860,	1,	3),
(39269,	3,	860,	2,	3),
(39270,	3,	860,	3,	3),
(39271,	3,	861,	1,	1),
(39272,	3,	861,	2,	1),
(39273,	3,	861,	3,	1),
(39274,	3,	861,	1,	2),
(39275,	3,	861,	2,	2),
(39276,	3,	861,	3,	2),
(39277,	3,	862,	1,	1),
(39278,	3,	862,	2,	1),
(39279,	3,	862,	3,	1),
(39280,	3,	862,	1,	2),
(39281,	3,	862,	2,	2),
(39282,	3,	862,	3,	2),
(39283,	3,	863,	1,	1),
(39284,	3,	863,	2,	1),
(39285,	3,	863,	3,	1),
(39286,	3,	863,	1,	2),
(39287,	3,	863,	2,	2),
(39288,	3,	863,	3,	2),
(39289,	3,	864,	1,	1),
(39290,	3,	864,	2,	1),
(39291,	3,	864,	3,	1),
(39292,	3,	864,	1,	2),
(39293,	3,	864,	2,	2),
(39294,	3,	864,	3,	2),
(39295,	3,	865,	1,	1),
(39296,	3,	865,	2,	1),
(39297,	3,	865,	3,	1),
(39298,	3,	865,	1,	2),
(39299,	3,	865,	2,	2),
(39300,	3,	865,	3,	2),
(39301,	3,	866,	1,	1),
(39302,	3,	866,	2,	1),
(39303,	3,	866,	3,	1),
(39304,	3,	866,	1,	2),
(39305,	3,	866,	2,	2),
(39306,	3,	866,	3,	2),
(39307,	3,	867,	1,	1),
(39308,	3,	867,	2,	1),
(39309,	3,	867,	3,	1),
(39310,	3,	867,	1,	2),
(39311,	3,	867,	2,	2),
(39312,	3,	867,	3,	2),
(39313,	3,	868,	1,	1),
(39314,	3,	868,	2,	1),
(39315,	3,	868,	3,	1),
(39316,	3,	868,	1,	3),
(39317,	3,	868,	2,	3),
(39318,	3,	868,	3,	3),
(39319,	3,	869,	1,	1),
(39320,	3,	869,	2,	1),
(39321,	3,	869,	3,	1),
(39322,	3,	869,	1,	2),
(39323,	3,	869,	2,	2),
(39324,	3,	869,	3,	2),
(39325,	3,	870,	1,	1),
(39326,	3,	870,	2,	1),
(39327,	3,	870,	3,	1),
(39328,	3,	870,	1,	2),
(39329,	3,	870,	2,	2),
(39330,	3,	870,	3,	2),
(39331,	3,	871,	1,	1),
(39332,	3,	871,	2,	1),
(39333,	3,	871,	3,	1),
(39334,	3,	871,	1,	2),
(39335,	3,	871,	2,	2),
(39336,	3,	871,	3,	2),
(39337,	3,	872,	1,	1),
(39338,	3,	872,	2,	1),
(39339,	3,	872,	3,	1),
(39340,	3,	872,	1,	3),
(39341,	3,	872,	2,	3),
(39342,	3,	872,	3,	3),
(39343,	3,	873,	1,	1),
(39344,	3,	873,	2,	1),
(39345,	3,	873,	3,	1),
(39346,	3,	873,	1,	2),
(39347,	3,	873,	2,	2),
(39348,	3,	873,	3,	2),
(39349,	3,	874,	1,	1),
(39350,	3,	874,	2,	1),
(39351,	3,	874,	3,	1),
(39352,	3,	874,	1,	2),
(39353,	3,	874,	2,	2),
(39354,	3,	874,	3,	2),
(39355,	3,	875,	1,	1),
(39356,	3,	875,	2,	1),
(39357,	3,	875,	3,	1),
(39358,	3,	875,	1,	2),
(39359,	3,	875,	2,	2),
(39360,	3,	875,	3,	2),
(39361,	3,	876,	1,	1),
(39362,	3,	876,	2,	1),
(39363,	3,	876,	3,	1),
(39364,	3,	876,	1,	2),
(39365,	3,	876,	2,	2),
(39366,	3,	876,	3,	2),
(39367,	3,	877,	1,	1),
(39368,	3,	877,	2,	1),
(39369,	3,	877,	3,	1),
(39370,	3,	877,	1,	3),
(39371,	3,	877,	2,	3),
(39372,	3,	877,	3,	3),
(39373,	3,	878,	1,	1),
(39374,	3,	878,	2,	1),
(39375,	3,	878,	3,	1),
(39376,	3,	878,	1,	2),
(39377,	3,	878,	2,	2),
(39378,	3,	878,	3,	2),
(39379,	3,	879,	1,	1),
(39380,	3,	879,	2,	1),
(39381,	3,	879,	3,	1),
(39382,	3,	879,	1,	2),
(39383,	3,	879,	2,	2),
(39384,	3,	879,	3,	2),
(39385,	3,	880,	1,	1),
(39386,	3,	880,	2,	1),
(39387,	3,	880,	3,	1),
(39388,	3,	880,	1,	2),
(39389,	3,	880,	2,	2),
(39390,	3,	880,	3,	2),
(39391,	3,	881,	1,	1),
(39392,	3,	881,	2,	1),
(39393,	3,	881,	3,	1),
(39394,	3,	881,	1,	2),
(39395,	3,	881,	2,	2),
(39396,	3,	881,	3,	2),
(39397,	3,	882,	1,	1),
(39398,	3,	882,	2,	1),
(39399,	3,	882,	3,	1),
(39400,	3,	882,	1,	3),
(39401,	3,	882,	2,	3),
(39402,	3,	882,	3,	3),
(39403,	3,	883,	1,	1),
(39404,	3,	883,	2,	1),
(39405,	3,	883,	3,	1),
(39406,	3,	883,	1,	2),
(39407,	3,	883,	2,	2),
(39408,	3,	883,	3,	2),
(39409,	3,	884,	1,	1),
(39410,	3,	884,	2,	1),
(39411,	3,	884,	3,	1),
(39412,	3,	884,	1,	2),
(39413,	3,	884,	2,	2),
(39414,	3,	884,	3,	2),
(39415,	3,	885,	1,	1),
(39416,	3,	885,	2,	1),
(39417,	3,	885,	3,	1),
(39418,	3,	885,	1,	3),
(39419,	3,	885,	2,	3),
(39420,	3,	885,	3,	3),
(39421,	3,	886,	1,	1),
(39422,	3,	886,	2,	1),
(39423,	3,	886,	3,	1),
(39424,	3,	886,	1,	3),
(39425,	3,	886,	2,	3),
(39426,	3,	886,	3,	3),
(39427,	3,	887,	1,	1),
(39428,	3,	887,	2,	1),
(39429,	3,	887,	3,	1),
(39430,	3,	887,	1,	3),
(39431,	3,	887,	2,	3),
(39432,	3,	887,	3,	3),
(39433,	3,	888,	1,	1),
(39434,	3,	888,	2,	1),
(39435,	3,	888,	3,	1),
(39436,	3,	888,	1,	3),
(39437,	3,	888,	2,	3),
(39438,	3,	888,	3,	3),
(39439,	3,	889,	1,	1),
(39440,	3,	889,	2,	1),
(39441,	3,	889,	3,	1),
(39442,	3,	889,	1,	3),
(39443,	3,	889,	2,	3),
(39444,	3,	889,	3,	3),
(39445,	3,	890,	1,	1),
(39446,	3,	890,	2,	1),
(39447,	3,	890,	3,	1),
(39448,	3,	890,	1,	3),
(39449,	3,	890,	2,	3),
(39450,	3,	890,	3,	3),
(39451,	3,	891,	1,	1),
(39452,	3,	891,	2,	1),
(39453,	3,	891,	3,	1),
(39454,	3,	891,	1,	2),
(39455,	3,	891,	2,	2),
(39456,	3,	891,	3,	2),
(39457,	3,	892,	1,	1),
(39458,	3,	892,	2,	1),
(39459,	3,	892,	3,	1),
(39460,	3,	892,	1,	2),
(39461,	3,	892,	2,	2),
(39462,	3,	892,	3,	2),
(39463,	3,	893,	1,	1),
(39464,	3,	893,	2,	1),
(39465,	3,	893,	3,	1),
(39466,	3,	894,	1,	1),
(39467,	3,	894,	2,	1),
(39468,	3,	894,	3,	1),
(39469,	3,	895,	1,	1),
(39470,	3,	895,	2,	1),
(39471,	3,	895,	3,	1),
(39472,	3,	896,	1,	1),
(39473,	3,	896,	2,	1),
(39474,	3,	896,	3,	1),
(39475,	3,	896,	1,	2),
(39476,	3,	896,	2,	2),
(39477,	3,	896,	3,	2),
(39478,	3,	897,	1,	1),
(39479,	3,	897,	2,	1),
(39480,	3,	897,	3,	1),
(39481,	3,	898,	1,	1),
(39482,	3,	898,	2,	1),
(39483,	3,	898,	3,	1),
(39484,	3,	898,	1,	2),
(39485,	3,	898,	2,	2),
(39486,	3,	898,	3,	2),
(39487,	3,	899,	1,	1),
(39488,	3,	899,	2,	1),
(39489,	3,	899,	3,	1),
(39490,	3,	899,	1,	2),
(39491,	3,	899,	2,	2),
(39492,	3,	899,	3,	2),
(39493,	3,	900,	1,	1),
(39494,	3,	900,	2,	1),
(39495,	3,	900,	3,	1),
(39496,	3,	900,	1,	2),
(39497,	3,	900,	2,	2),
(39498,	3,	900,	3,	2),
(39499,	3,	901,	1,	1),
(39500,	3,	901,	2,	1),
(39501,	3,	901,	3,	1),
(39502,	3,	901,	1,	2),
(39503,	3,	901,	2,	2),
(39504,	3,	901,	3,	2),
(39505,	3,	902,	1,	1),
(39506,	3,	902,	2,	1),
(39507,	3,	902,	3,	1),
(39508,	3,	902,	1,	3),
(39509,	3,	902,	2,	3),
(39510,	3,	902,	3,	3),
(39511,	3,	903,	1,	1),
(39512,	3,	903,	2,	1),
(39513,	3,	903,	3,	1),
(39514,	3,	903,	1,	2),
(39515,	3,	903,	2,	2),
(39516,	3,	903,	3,	2),
(39517,	3,	904,	1,	1),
(39518,	3,	904,	2,	1),
(39519,	3,	904,	3,	1),
(39520,	3,	904,	1,	2),
(39521,	3,	904,	2,	2),
(39522,	3,	904,	3,	2),
(39523,	3,	905,	1,	1),
(39524,	3,	905,	2,	1),
(39525,	3,	905,	3,	1),
(39526,	3,	905,	1,	3),
(39527,	3,	905,	2,	3),
(39528,	3,	905,	3,	3),
(39529,	3,	906,	1,	1),
(39530,	3,	906,	2,	1),
(39531,	3,	906,	3,	1),
(39532,	3,	906,	1,	2),
(39533,	3,	906,	2,	2),
(39534,	3,	906,	3,	2),
(39535,	3,	907,	1,	1),
(39536,	3,	907,	2,	1),
(39537,	3,	907,	3,	1),
(39538,	3,	907,	1,	2),
(39539,	3,	907,	2,	2),
(39540,	3,	907,	3,	2),
(39541,	3,	908,	1,	1),
(39542,	3,	908,	2,	1),
(39543,	3,	908,	3,	1),
(39544,	3,	908,	1,	2),
(39545,	3,	908,	2,	2),
(39546,	3,	908,	3,	2),
(39547,	3,	909,	1,	1),
(39548,	3,	909,	2,	1),
(39549,	3,	909,	3,	1),
(39550,	3,	909,	1,	2),
(39551,	3,	909,	2,	2),
(39552,	3,	909,	3,	2),
(39553,	3,	910,	1,	1),
(39554,	3,	910,	2,	1),
(39555,	3,	910,	3,	1),
(39556,	3,	910,	1,	3),
(39557,	3,	910,	2,	3),
(39558,	3,	910,	3,	3),
(39559,	3,	911,	1,	1),
(39560,	3,	911,	2,	1),
(39561,	3,	911,	3,	1),
(39562,	3,	911,	1,	2),
(39563,	3,	911,	2,	2),
(39564,	3,	911,	3,	2),
(39565,	3,	912,	1,	1),
(39566,	3,	912,	2,	1),
(39567,	3,	912,	3,	1),
(39568,	3,	912,	1,	2),
(39569,	3,	912,	2,	2),
(39570,	3,	912,	3,	2),
(39571,	3,	913,	1,	1),
(39572,	3,	913,	2,	1),
(39573,	3,	913,	3,	1),
(39574,	3,	913,	1,	2),
(39575,	3,	913,	2,	2),
(39576,	3,	913,	3,	2),
(39577,	3,	914,	1,	1),
(39578,	3,	914,	2,	1),
(39579,	3,	914,	3,	1),
(39580,	3,	914,	1,	2),
(39581,	3,	914,	2,	2),
(39582,	3,	914,	3,	2),
(39583,	3,	915,	1,	1),
(39584,	3,	915,	2,	1),
(39585,	3,	915,	3,	1),
(39586,	3,	915,	1,	3),
(39587,	3,	915,	2,	3),
(39588,	3,	915,	3,	3),
(39589,	3,	916,	1,	1),
(39590,	3,	916,	2,	1),
(39591,	3,	916,	3,	1),
(39592,	3,	916,	1,	2),
(39593,	3,	916,	2,	2),
(39594,	3,	916,	3,	2),
(39595,	3,	917,	1,	1),
(39596,	3,	917,	2,	1),
(39597,	3,	917,	3,	1),
(39598,	3,	917,	1,	2),
(39599,	3,	917,	2,	2),
(39600,	3,	917,	3,	2),
(39601,	3,	918,	1,	1),
(39602,	3,	918,	2,	1),
(39603,	3,	918,	3,	1),
(39604,	3,	918,	1,	2),
(39605,	3,	918,	2,	2),
(39606,	3,	918,	3,	2),
(39607,	3,	919,	1,	1),
(39608,	3,	919,	2,	1),
(39609,	3,	919,	3,	1),
(39610,	3,	919,	1,	2),
(39611,	3,	919,	2,	2),
(39612,	3,	919,	3,	2),
(39613,	3,	920,	1,	1),
(39614,	3,	920,	2,	1),
(39615,	3,	920,	3,	1),
(39616,	3,	920,	1,	2),
(39617,	3,	920,	2,	2),
(39618,	3,	920,	3,	2),
(39619,	3,	921,	1,	1),
(39620,	3,	921,	2,	1),
(39621,	3,	921,	3,	1),
(39622,	3,	921,	1,	3),
(39623,	3,	921,	2,	3),
(39624,	3,	921,	3,	3),
(39625,	3,	922,	1,	1),
(39626,	3,	922,	2,	1),
(39627,	3,	922,	3,	1),
(39628,	3,	922,	1,	2),
(39629,	3,	922,	2,	2),
(39630,	3,	922,	3,	2),
(39631,	3,	923,	1,	1),
(39632,	3,	923,	2,	1),
(39633,	3,	923,	3,	1),
(39634,	3,	923,	1,	2),
(39635,	3,	923,	2,	2),
(39636,	3,	923,	3,	2),
(39637,	3,	924,	1,	1),
(39638,	3,	924,	2,	1),
(39639,	3,	924,	3,	1),
(39640,	3,	924,	1,	2),
(39641,	3,	924,	2,	2),
(39642,	3,	924,	3,	2),
(39643,	3,	925,	1,	1),
(39644,	3,	925,	2,	1),
(39645,	3,	925,	3,	1),
(39646,	3,	925,	1,	2),
(39647,	3,	925,	2,	2),
(39648,	3,	925,	3,	2),
(39649,	3,	926,	1,	1),
(39650,	3,	926,	2,	1),
(39651,	3,	926,	3,	1),
(39652,	3,	926,	1,	3),
(39653,	3,	926,	2,	3),
(39654,	3,	926,	3,	3),
(39655,	3,	927,	1,	1),
(39656,	3,	927,	2,	1),
(39657,	3,	927,	3,	1),
(39658,	3,	927,	1,	2),
(39659,	3,	927,	2,	2),
(39660,	3,	927,	3,	2),
(39661,	3,	928,	1,	1),
(39662,	3,	928,	2,	1),
(39663,	3,	928,	3,	1),
(39664,	3,	928,	1,	2),
(39665,	3,	928,	2,	2),
(39666,	3,	928,	3,	2),
(39667,	3,	929,	1,	1),
(39668,	3,	929,	2,	1),
(39669,	3,	929,	3,	1),
(39670,	3,	929,	1,	2),
(39671,	3,	929,	2,	2),
(39672,	3,	929,	3,	2),
(39673,	3,	930,	1,	1),
(39674,	3,	930,	2,	1),
(39675,	3,	930,	3,	1),
(39676,	3,	930,	1,	2),
(39677,	3,	930,	2,	2),
(39678,	3,	930,	3,	2),
(39679,	3,	931,	1,	1),
(39680,	3,	931,	2,	1),
(39681,	3,	931,	3,	1),
(39682,	3,	931,	1,	3),
(39683,	3,	931,	2,	3),
(39684,	3,	931,	3,	3),
(39685,	3,	932,	1,	1),
(39686,	3,	932,	2,	1),
(39687,	3,	932,	3,	1),
(39688,	3,	932,	1,	2),
(39689,	3,	932,	2,	2),
(39690,	3,	932,	3,	2),
(39691,	3,	933,	1,	1),
(39692,	3,	933,	2,	1),
(39693,	3,	933,	3,	1),
(39694,	3,	933,	1,	2),
(39695,	3,	933,	2,	2),
(39696,	3,	933,	3,	2),
(39697,	3,	934,	1,	1),
(39698,	3,	934,	2,	1),
(39699,	3,	934,	3,	1),
(39700,	3,	934,	1,	2),
(39701,	3,	934,	2,	2),
(39702,	3,	934,	3,	2),
(39703,	3,	935,	1,	1),
(39704,	3,	935,	2,	1),
(39705,	3,	935,	3,	1),
(39706,	3,	935,	1,	2),
(39707,	3,	935,	2,	2),
(39708,	3,	935,	3,	2),
(39709,	3,	936,	1,	1),
(39710,	3,	936,	2,	1),
(39711,	3,	936,	3,	1),
(39712,	3,	936,	1,	3),
(39713,	3,	936,	2,	3),
(39714,	3,	936,	3,	3),
(39715,	3,	937,	1,	1),
(39716,	3,	937,	2,	1),
(39717,	3,	937,	3,	1),
(39718,	3,	937,	1,	2),
(39719,	3,	937,	2,	2),
(39720,	3,	937,	3,	2),
(39721,	3,	938,	1,	1),
(39722,	3,	938,	2,	1),
(39723,	3,	938,	3,	1),
(39724,	3,	938,	1,	2),
(39725,	3,	938,	2,	2),
(39726,	3,	938,	3,	2),
(39727,	3,	939,	1,	1),
(39728,	3,	939,	2,	1),
(39729,	3,	939,	3,	1),
(39730,	3,	940,	1,	1),
(39731,	3,	940,	2,	1),
(39732,	3,	940,	3,	1),
(39733,	3,	941,	1,	1),
(39734,	3,	941,	2,	1),
(39735,	3,	941,	3,	1),
(39736,	3,	942,	1,	1),
(39737,	3,	942,	2,	1),
(39738,	3,	942,	3,	1),
(39739,	3,	943,	1,	1),
(39740,	3,	943,	2,	1),
(39741,	3,	943,	3,	1),
(39742,	3,	943,	1,	2),
(39743,	3,	943,	2,	2),
(39744,	3,	943,	3,	2),
(39745,	3,	944,	1,	1),
(39746,	3,	944,	2,	1),
(39747,	3,	944,	3,	1),
(39748,	3,	944,	1,	2),
(39749,	3,	944,	2,	2),
(39750,	3,	944,	3,	2),
(39751,	3,	945,	1,	1),
(39752,	3,	945,	2,	1),
(39753,	3,	945,	3,	1),
(39754,	3,	945,	1,	2),
(39755,	3,	945,	2,	2),
(39756,	3,	945,	3,	2),
(39757,	3,	946,	1,	1),
(39758,	3,	946,	2,	1),
(39759,	3,	946,	3,	1),
(39760,	3,	946,	1,	3),
(39761,	3,	946,	2,	3),
(39762,	3,	946,	3,	3),
(39763,	3,	947,	1,	1),
(39764,	3,	947,	2,	1),
(39765,	3,	947,	3,	1),
(39766,	3,	947,	1,	3),
(39767,	3,	947,	2,	3),
(39768,	3,	947,	3,	3),
(39769,	3,	948,	1,	1),
(39770,	3,	948,	2,	1),
(39771,	3,	948,	3,	1),
(39772,	3,	949,	1,	1),
(39773,	3,	949,	2,	1),
(39774,	3,	949,	3,	1),
(39775,	3,	949,	23,	1),
(39776,	3,	950,	1,	1),
(39777,	3,	950,	2,	1),
(39778,	3,	950,	3,	1),
(39779,	3,	950,	1,	3),
(39780,	3,	950,	2,	3),
(39781,	3,	950,	3,	3),
(39782,	3,	951,	1,	1),
(39783,	3,	951,	2,	1),
(39784,	3,	951,	3,	1),
(39785,	3,	951,	1,	3),
(39786,	3,	951,	2,	3),
(39787,	3,	951,	3,	3),
(39788,	3,	952,	1,	1),
(39789,	3,	952,	2,	1),
(39790,	3,	952,	3,	1),
(39791,	3,	952,	6,	1),
(39792,	3,	953,	1,	1),
(39793,	3,	953,	2,	1),
(39794,	3,	953,	3,	1),
(39795,	3,	954,	1,	1),
(39796,	3,	954,	2,	1),
(39797,	3,	954,	3,	1),
(39798,	3,	954,	6,	1),
(39799,	3,	954,	23,	1),
(39800,	3,	955,	1,	1),
(39801,	3,	955,	2,	1),
(39802,	3,	955,	3,	1),
(39803,	3,	956,	1,	1),
(39804,	3,	956,	2,	1),
(39805,	3,	956,	3,	1),
(39806,	3,	956,	1,	2),
(39807,	3,	956,	2,	2),
(39808,	3,	956,	3,	2),
(39809,	3,	957,	1,	1),
(39810,	3,	957,	2,	1),
(39811,	3,	957,	3,	1),
(39812,	3,	957,	6,	1),
(39813,	3,	957,	23,	1),
(39814,	3,	957,	1,	2),
(39815,	3,	957,	2,	2),
(39816,	3,	957,	3,	2),
(39817,	3,	957,	6,	2),
(39818,	3,	957,	23,	2),
(39819,	3,	958,	1,	1),
(39820,	3,	958,	2,	1),
(39821,	3,	958,	3,	1),
(39822,	3,	958,	1,	2),
(39823,	3,	958,	2,	2),
(39824,	3,	958,	3,	2),
(39825,	3,	959,	1,	1),
(39826,	3,	959,	2,	1),
(39827,	3,	959,	3,	1),
(39828,	3,	959,	1,	2),
(39829,	3,	959,	2,	2),
(39830,	3,	959,	3,	2),
(39831,	3,	960,	1,	1),
(39832,	3,	960,	2,	1),
(39833,	3,	960,	3,	1),
(39834,	3,	960,	1,	2),
(39835,	3,	960,	2,	2),
(39836,	3,	960,	3,	2),
(39837,	3,	961,	1,	1),
(39838,	3,	961,	2,	1),
(39839,	3,	961,	3,	1),
(39840,	3,	961,	1,	2),
(39841,	3,	961,	2,	2),
(39842,	3,	961,	3,	2),
(39843,	3,	962,	1,	1),
(39844,	3,	962,	2,	1),
(39845,	3,	962,	3,	1),
(39846,	3,	963,	1,	1),
(39847,	3,	963,	2,	1),
(39848,	3,	963,	3,	1),
(39849,	3,	964,	1,	1),
(39850,	3,	964,	2,	1),
(39851,	3,	964,	3,	1),
(39852,	3,	964,	1,	2),
(39853,	3,	964,	2,	2),
(39854,	3,	964,	3,	2),
(39855,	3,	965,	1,	1),
(39856,	3,	965,	2,	1),
(39857,	3,	965,	3,	1),
(39858,	3,	965,	1,	2),
(39859,	3,	965,	2,	2),
(39860,	3,	965,	3,	2),
(39861,	3,	966,	1,	1),
(39862,	3,	966,	2,	1),
(39863,	3,	966,	3,	1),
(39864,	3,	967,	1,	1),
(39865,	3,	967,	2,	1),
(39866,	3,	967,	3,	1),
(39867,	3,	968,	1,	1),
(39868,	3,	968,	2,	1),
(39869,	3,	968,	3,	1),
(39870,	3,	969,	1,	1),
(39871,	3,	969,	2,	1),
(39872,	3,	969,	3,	1),
(39873,	3,	969,	23,	1),
(39874,	3,	969,	1,	3),
(39875,	3,	969,	2,	3),
(39876,	3,	969,	3,	3),
(39877,	3,	969,	23,	3),
(39878,	3,	970,	1,	1),
(39879,	3,	970,	2,	1),
(39880,	3,	970,	3,	1),
(39881,	3,	970,	6,	1),
(39882,	3,	970,	23,	1),
(39883,	3,	970,	1,	3),
(39884,	3,	970,	2,	3),
(39885,	3,	970,	3,	3),
(39886,	3,	970,	6,	3),
(39887,	3,	970,	23,	3),
(39888,	3,	971,	1,	1),
(39889,	3,	971,	2,	1),
(39890,	3,	971,	3,	1),
(39891,	3,	972,	1,	1),
(39892,	3,	972,	2,	1),
(39893,	3,	972,	3,	1),
(39894,	3,	972,	1,	3),
(39895,	3,	972,	2,	3),
(39896,	3,	972,	3,	3),
(39897,	3,	973,	1,	1),
(39898,	3,	973,	2,	1),
(39899,	3,	973,	3,	1),
(39900,	3,	973,	6,	1),
(39901,	3,	973,	1,	3),
(39902,	3,	973,	2,	3),
(39903,	3,	973,	3,	3),
(39904,	3,	973,	6,	3),
(39905,	3,	974,	1,	1),
(39906,	3,	974,	2,	1),
(39907,	3,	974,	3,	1),
(39908,	3,	974,	6,	1),
(39909,	3,	974,	1,	3),
(39910,	3,	974,	2,	3),
(39911,	3,	974,	3,	3),
(39912,	3,	974,	6,	3),
(39913,	3,	975,	1,	1),
(39914,	3,	975,	2,	1),
(39915,	3,	975,	3,	1),
(39916,	3,	976,	1,	1),
(39917,	3,	976,	2,	1),
(39918,	3,	976,	3,	1),
(39919,	3,	977,	1,	1),
(39920,	3,	977,	2,	1),
(39921,	3,	977,	3,	1),
(39922,	3,	978,	1,	1),
(39923,	3,	978,	2,	1),
(39924,	3,	978,	3,	1),
(39925,	3,	978,	6,	1),
(39926,	3,	978,	1,	3),
(39927,	3,	978,	2,	3),
(39928,	3,	978,	3,	3),
(39929,	3,	978,	6,	3),
(39930,	3,	979,	1,	1),
(39931,	3,	979,	2,	1),
(39932,	3,	979,	3,	1),
(39933,	3,	979,	6,	1),
(39934,	3,	979,	1,	3),
(39935,	3,	979,	2,	3),
(39936,	3,	979,	3,	3),
(39937,	3,	979,	6,	3),
(39938,	3,	980,	1,	1),
(39939,	3,	980,	2,	1),
(39940,	3,	980,	3,	1),
(39941,	3,	981,	1,	1),
(39942,	3,	981,	2,	1),
(39943,	3,	981,	3,	1),
(39944,	3,	982,	1,	1),
(39945,	3,	982,	2,	1),
(39946,	3,	982,	3,	1),
(39947,	3,	982,	1,	3),
(39948,	3,	982,	2,	3),
(39949,	3,	982,	3,	3),
(39950,	3,	983,	1,	1),
(39951,	3,	983,	2,	1),
(39952,	3,	983,	3,	1),
(39953,	3,	983,	6,	1),
(39954,	3,	983,	1,	3),
(39955,	3,	983,	2,	3),
(39956,	3,	983,	3,	3),
(39957,	3,	983,	6,	3),
(39958,	3,	984,	1,	1),
(39959,	3,	984,	2,	1),
(39960,	3,	984,	3,	1),
(39961,	3,	984,	6,	1),
(39962,	3,	984,	1,	3),
(39963,	3,	984,	2,	3),
(39964,	3,	984,	3,	3),
(39965,	3,	984,	6,	3),
(39966,	3,	985,	1,	1),
(39967,	3,	985,	2,	1),
(39968,	3,	985,	3,	1),
(39969,	3,	986,	1,	1),
(39970,	3,	986,	2,	1),
(39971,	3,	986,	3,	1),
(39972,	3,	987,	1,	1),
(39973,	3,	987,	2,	1),
(39974,	3,	987,	3,	1),
(39975,	3,	988,	1,	1),
(39976,	3,	988,	2,	1),
(39977,	3,	988,	3,	1),
(39978,	3,	989,	1,	1),
(39979,	3,	989,	2,	1),
(39980,	3,	989,	3,	1),
(39981,	3,	989,	6,	1),
(39982,	3,	989,	23,	1),
(39983,	3,	990,	1,	1),
(39984,	3,	990,	2,	1),
(39985,	3,	990,	3,	1),
(39986,	3,	990,	1,	2),
(39987,	3,	990,	2,	2),
(39988,	3,	990,	3,	2),
(39989,	3,	991,	1,	1),
(39990,	3,	991,	2,	1),
(39991,	3,	991,	3,	1),
(39992,	3,	991,	1,	2),
(39993,	3,	991,	2,	2),
(39994,	3,	991,	3,	2),
(39995,	3,	992,	1,	1),
(39996,	3,	992,	2,	1),
(39997,	3,	992,	3,	1),
(39998,	3,	993,	1,	1),
(39999,	3,	993,	2,	1),
(40000,	3,	993,	3,	1),
(40001,	3,	993,	6,	1),
(40002,	3,	994,	1,	1),
(40003,	3,	994,	2,	1),
(40004,	3,	994,	3,	1),
(40005,	3,	995,	1,	1),
(40006,	3,	995,	2,	1),
(40007,	3,	995,	3,	1),
(40008,	3,	996,	1,	1),
(40009,	3,	996,	2,	1),
(40010,	3,	996,	3,	1),
(40011,	3,	996,	1,	2),
(40012,	3,	996,	2,	2),
(40013,	3,	996,	3,	2),
(40014,	3,	997,	1,	1),
(40015,	3,	997,	2,	1),
(40016,	3,	997,	3,	1),
(40017,	3,	998,	1,	1),
(40018,	3,	998,	2,	1),
(40019,	3,	998,	3,	1),
(40020,	3,	998,	1,	2),
(40021,	3,	998,	2,	2),
(40022,	3,	998,	3,	2),
(40023,	3,	999,	1,	1),
(40024,	3,	999,	2,	1),
(40025,	3,	999,	3,	1),
(40026,	3,	999,	1,	2),
(40027,	3,	999,	2,	2),
(40028,	3,	999,	3,	2),
(40029,	3,	1000,	1,	1),
(40030,	3,	1000,	2,	1),
(40031,	3,	1000,	3,	1),
(40032,	3,	1001,	1,	1),
(40033,	3,	1001,	2,	1),
(40034,	3,	1001,	3,	1),
(40035,	3,	1001,	1,	2),
(40036,	3,	1001,	2,	2),
(40037,	3,	1001,	3,	2),
(40038,	3,	1002,	1,	1),
(40039,	3,	1002,	2,	1),
(40040,	3,	1002,	3,	1),
(40041,	3,	1003,	1,	1),
(40042,	3,	1003,	2,	1),
(40043,	3,	1003,	3,	1),
(40044,	3,	1004,	1,	1),
(40045,	3,	1004,	2,	1),
(40046,	3,	1004,	3,	1),
(40047,	3,	1004,	1,	2),
(40048,	3,	1004,	2,	2),
(40049,	3,	1004,	3,	2),
(40050,	3,	1005,	1,	1),
(40051,	3,	1005,	2,	1),
(40052,	3,	1005,	3,	1),
(40053,	3,	1006,	1,	1),
(40054,	3,	1006,	2,	1),
(40055,	3,	1006,	3,	1),
(40056,	3,	1007,	1,	1),
(40057,	3,	1007,	2,	1),
(40058,	3,	1007,	3,	1),
(40059,	3,	1008,	1,	1),
(40060,	3,	1008,	2,	1),
(40061,	3,	1008,	3,	1),
(40062,	3,	1009,	1,	1),
(40063,	3,	1009,	2,	1),
(40064,	3,	1009,	3,	1),
(40065,	3,	1010,	1,	1),
(40066,	3,	1010,	2,	1),
(40067,	3,	1010,	3,	1),
(40068,	3,	1011,	1,	1),
(40069,	3,	1011,	2,	1),
(40070,	3,	1011,	3,	1),
(40071,	3,	1012,	1,	1),
(40072,	3,	1012,	2,	1),
(40073,	3,	1012,	3,	1),
(40074,	3,	1012,	1,	2),
(40075,	3,	1012,	2,	2),
(40076,	3,	1012,	3,	2),
(40077,	3,	1013,	1,	1),
(40078,	3,	1013,	2,	1),
(40079,	3,	1013,	3,	1),
(40080,	3,	1014,	1,	1),
(40081,	3,	1014,	2,	1),
(40082,	3,	1014,	3,	1),
(40083,	3,	1014,	6,	1),
(40084,	3,	1015,	1,	1),
(40085,	3,	1015,	2,	1),
(40086,	3,	1015,	3,	1),
(40087,	3,	1015,	1,	2),
(40088,	3,	1015,	2,	2),
(40089,	3,	1015,	3,	2),
(40090,	3,	1016,	1,	1),
(40091,	3,	1016,	2,	1),
(40092,	3,	1016,	3,	1),
(40093,	3,	1017,	1,	1),
(40094,	3,	1017,	2,	1),
(40095,	3,	1017,	3,	1),
(40096,	3,	1017,	1,	2),
(40097,	3,	1017,	2,	2),
(40098,	3,	1017,	3,	2),
(40099,	3,	1018,	1,	1),
(40100,	3,	1018,	2,	1),
(40101,	3,	1018,	3,	1),
(40102,	3,	1019,	1,	1),
(40103,	3,	1019,	2,	1),
(40104,	3,	1019,	3,	1),
(40105,	3,	1020,	1,	1),
(40106,	3,	1020,	2,	1),
(40107,	3,	1020,	3,	1),
(40108,	3,	1021,	1,	1),
(40109,	3,	1021,	2,	1),
(40110,	3,	1021,	3,	1),
(40111,	3,	1022,	1,	1),
(40112,	3,	1022,	2,	1),
(40113,	3,	1022,	3,	1),
(40114,	3,	1023,	1,	1),
(40115,	3,	1023,	2,	1),
(40116,	3,	1023,	3,	1),
(40117,	3,	1024,	1,	1),
(40118,	3,	1024,	2,	1),
(40119,	3,	1024,	3,	1),
(40120,	3,	1025,	1,	1),
(40121,	3,	1025,	2,	1),
(40122,	3,	1025,	3,	1),
(40123,	3,	1026,	1,	1),
(40124,	3,	1026,	2,	1),
(40125,	3,	1026,	3,	1),
(40126,	3,	1027,	1,	1),
(40127,	3,	1027,	2,	1),
(40128,	3,	1027,	3,	1),
(40129,	3,	1028,	1,	1),
(40130,	3,	1028,	2,	1),
(40131,	3,	1028,	3,	1),
(40132,	3,	1029,	1,	1),
(40133,	3,	1029,	2,	1),
(40134,	3,	1029,	3,	1),
(40135,	3,	1030,	1,	1),
(40136,	3,	1030,	2,	1),
(40137,	3,	1030,	3,	1),
(40138,	3,	1030,	1,	2),
(40139,	3,	1030,	2,	2),
(40140,	3,	1030,	3,	2),
(40141,	3,	1031,	1,	1),
(40142,	3,	1031,	2,	1),
(40143,	3,	1031,	3,	1),
(40144,	3,	1031,	1,	2),
(40145,	3,	1031,	2,	2),
(40146,	3,	1031,	3,	2),
(40147,	3,	1032,	1,	1),
(40148,	3,	1032,	2,	1),
(40149,	3,	1032,	3,	1),
(40150,	3,	1032,	1,	2),
(40151,	3,	1032,	2,	2),
(40152,	3,	1032,	3,	2),
(40153,	3,	1033,	1,	1),
(40154,	3,	1033,	2,	1),
(40155,	3,	1033,	3,	1),
(40156,	3,	1034,	1,	1),
(40157,	3,	1034,	2,	1),
(40158,	3,	1034,	3,	1),
(40159,	3,	1034,	1,	2),
(40160,	3,	1034,	2,	2),
(40161,	3,	1034,	3,	2),
(40162,	3,	1035,	1,	1),
(40163,	3,	1035,	2,	1),
(40164,	3,	1035,	3,	1),
(40165,	3,	1036,	1,	1),
(40166,	3,	1036,	2,	1),
(40167,	3,	1036,	3,	1),
(40168,	3,	1037,	1,	1),
(40169,	3,	1037,	2,	1),
(40170,	3,	1037,	3,	1),
(40171,	3,	1037,	1,	2),
(40172,	3,	1037,	2,	2),
(40173,	3,	1037,	3,	2),
(40174,	3,	1038,	1,	1),
(40175,	3,	1038,	2,	1),
(40176,	3,	1038,	3,	1),
(40177,	3,	1038,	1,	2),
(40178,	3,	1038,	2,	2),
(40179,	3,	1038,	3,	2),
(40180,	3,	1039,	1,	1),
(40181,	3,	1039,	2,	1),
(40182,	3,	1039,	3,	1),
(40183,	3,	1039,	1,	2),
(40184,	3,	1039,	2,	2),
(40185,	3,	1039,	3,	2),
(40186,	3,	1040,	1,	1),
(40187,	3,	1040,	2,	1),
(40188,	3,	1040,	3,	1),
(40189,	3,	1040,	1,	2),
(40190,	3,	1040,	2,	2),
(40191,	3,	1040,	3,	2),
(40192,	3,	1041,	1,	1),
(40193,	3,	1041,	2,	1),
(40194,	3,	1041,	3,	1),
(40195,	3,	1042,	1,	1),
(40196,	3,	1042,	2,	1),
(40197,	3,	1042,	3,	1),
(40198,	3,	1042,	1,	2),
(40199,	3,	1042,	2,	2),
(40200,	3,	1042,	3,	2),
(40201,	3,	1043,	1,	1),
(40202,	3,	1043,	2,	1),
(40203,	3,	1043,	3,	1),
(40204,	3,	1044,	1,	1),
(40205,	3,	1044,	2,	1),
(40206,	3,	1044,	3,	1),
(40207,	3,	1045,	1,	1),
(40208,	3,	1045,	2,	1),
(40209,	3,	1045,	3,	1),
(40210,	3,	1046,	1,	1),
(40211,	3,	1046,	2,	1),
(40212,	3,	1046,	3,	1),
(40213,	3,	1047,	1,	1),
(40214,	3,	1047,	2,	1),
(40215,	3,	1047,	3,	1),
(40216,	3,	1047,	1,	2),
(40217,	3,	1047,	2,	2),
(40218,	3,	1047,	3,	2),
(40219,	3,	1048,	1,	1),
(40220,	3,	1048,	2,	1),
(40221,	3,	1048,	3,	1),
(40222,	3,	1049,	1,	1),
(40223,	3,	1049,	2,	1),
(40224,	3,	1049,	3,	1),
(40225,	3,	1050,	1,	1),
(40226,	3,	1050,	2,	1),
(40227,	3,	1050,	3,	1),
(40228,	3,	1050,	1,	2),
(40229,	3,	1050,	2,	2),
(40230,	3,	1050,	3,	2),
(40231,	3,	1051,	1,	1),
(40232,	3,	1051,	2,	1),
(40233,	3,	1051,	3,	1),
(40234,	3,	1052,	1,	1),
(40235,	3,	1052,	2,	1),
(40236,	3,	1052,	3,	1),
(40237,	3,	1053,	1,	1),
(40238,	3,	1053,	2,	1),
(40239,	3,	1053,	3,	1),
(40240,	3,	1054,	1,	1),
(40241,	3,	1054,	2,	1),
(40242,	3,	1054,	3,	1),
(40243,	3,	1055,	1,	1),
(40244,	3,	1055,	2,	1),
(40245,	3,	1055,	3,	1),
(40246,	3,	1056,	1,	1),
(40247,	3,	1056,	2,	1),
(40248,	3,	1056,	3,	1),
(40249,	3,	1057,	1,	1),
(40250,	3,	1057,	2,	1),
(40251,	3,	1057,	3,	1),
(40252,	3,	1058,	1,	1),
(40253,	3,	1058,	2,	1),
(40254,	3,	1058,	3,	1),
(40255,	3,	1059,	1,	1),
(40256,	3,	1059,	2,	1),
(40257,	3,	1059,	3,	1),
(40258,	3,	1060,	1,	1),
(40259,	3,	1060,	2,	1),
(40260,	3,	1060,	3,	1),
(40261,	3,	1061,	1,	1),
(40262,	3,	1061,	2,	1),
(40263,	3,	1061,	3,	1),
(40264,	3,	1061,	1,	2),
(40265,	3,	1061,	2,	2),
(40266,	3,	1061,	3,	2),
(40267,	3,	1062,	1,	1),
(40268,	3,	1062,	2,	1),
(40269,	3,	1062,	3,	1),
(40270,	3,	1063,	1,	1),
(40271,	3,	1063,	2,	1),
(40272,	3,	1063,	3,	1),
(40273,	3,	1064,	1,	1),
(40274,	3,	1064,	2,	1),
(40275,	3,	1064,	3,	1),
(40276,	3,	1064,	1,	2),
(40277,	3,	1064,	2,	2),
(40278,	3,	1064,	3,	2),
(40279,	3,	1065,	1,	1),
(40280,	3,	1065,	2,	1),
(40281,	3,	1065,	3,	1),
(40282,	3,	1065,	1,	2),
(40283,	3,	1065,	2,	2),
(40284,	3,	1065,	3,	2),
(40285,	3,	1066,	1,	1),
(40286,	3,	1066,	2,	1),
(40287,	3,	1066,	3,	1),
(40288,	3,	1066,	1,	2),
(40289,	3,	1066,	2,	2),
(40290,	3,	1066,	3,	2),
(40291,	3,	1067,	1,	1),
(40292,	3,	1067,	2,	1),
(40293,	3,	1067,	3,	1),
(40294,	3,	1067,	1,	2),
(40295,	3,	1067,	2,	2),
(40296,	3,	1067,	3,	2),
(40297,	3,	1068,	1,	1),
(40298,	3,	1068,	2,	1),
(40299,	3,	1068,	3,	1),
(40300,	3,	1068,	1,	2),
(40301,	3,	1068,	2,	2),
(40302,	3,	1068,	3,	2),
(40303,	3,	1069,	1,	1),
(40304,	3,	1069,	2,	1),
(40305,	3,	1069,	3,	1),
(40306,	3,	1069,	1,	2),
(40307,	3,	1069,	2,	2),
(40308,	3,	1069,	3,	2),
(40309,	3,	1070,	1,	1),
(40310,	3,	1070,	2,	1),
(40311,	3,	1070,	3,	1),
(40312,	3,	1070,	1,	2),
(40313,	3,	1070,	2,	2),
(40314,	3,	1070,	3,	2),
(40315,	3,	1071,	1,	1),
(40316,	3,	1071,	2,	1),
(40317,	3,	1071,	3,	1),
(40318,	3,	1072,	1,	1),
(40319,	3,	1072,	2,	1),
(40320,	3,	1072,	3,	1),
(40321,	3,	1072,	28,	1),
(40322,	3,	1072,	1,	3),
(40323,	3,	1072,	2,	3),
(40324,	3,	1072,	3,	3),
(40325,	3,	1072,	28,	3),
(40326,	3,	1073,	1,	1),
(40327,	3,	1073,	2,	1),
(40328,	3,	1073,	3,	1),
(40329,	3,	1073,	1,	3),
(40330,	3,	1073,	2,	3),
(40331,	3,	1073,	3,	3),
(40332,	3,	1074,	1,	1),
(40333,	3,	1074,	2,	1),
(40334,	3,	1074,	3,	1),
(40335,	3,	1074,	1,	3),
(40336,	3,	1074,	2,	3),
(40337,	3,	1074,	3,	3),
(40338,	3,	1075,	1,	1),
(40339,	3,	1075,	2,	1),
(40340,	3,	1075,	3,	1),
(40341,	3,	1075,	1,	3),
(40342,	3,	1075,	2,	3),
(40343,	3,	1075,	3,	3),
(40344,	3,	1076,	1,	1),
(40345,	3,	1076,	2,	1),
(40346,	3,	1076,	3,	1),
(40347,	3,	1076,	1,	3),
(40348,	3,	1076,	2,	3),
(40349,	3,	1076,	3,	3),
(40350,	3,	1077,	1,	1),
(40351,	3,	1077,	2,	1),
(40352,	3,	1077,	3,	1),
(40353,	3,	1077,	1,	3),
(40354,	3,	1077,	2,	3),
(40355,	3,	1077,	3,	3),
(40356,	3,	1078,	1,	1),
(40357,	3,	1078,	2,	1),
(40358,	3,	1078,	3,	1),
(40359,	3,	1078,	1,	2),
(40360,	3,	1078,	2,	2),
(40361,	3,	1078,	3,	2),
(40362,	3,	1079,	1,	1),
(40363,	3,	1079,	2,	1),
(40364,	3,	1079,	3,	1),
(40365,	3,	1079,	1,	2),
(40366,	3,	1079,	2,	2),
(40367,	3,	1079,	3,	2),
(40368,	3,	1080,	1,	1),
(40369,	3,	1080,	2,	1),
(40370,	3,	1080,	3,	1),
(40371,	3,	1081,	1,	1),
(40372,	3,	1081,	2,	1),
(40373,	3,	1081,	3,	1),
(40374,	3,	1081,	1,	2),
(40375,	3,	1081,	2,	2),
(40376,	3,	1081,	3,	2),
(40377,	3,	1082,	1,	1),
(40378,	3,	1082,	2,	1),
(40379,	3,	1082,	3,	1),
(40380,	3,	1082,	1,	2),
(40381,	3,	1082,	2,	2),
(40382,	3,	1082,	3,	2),
(40383,	3,	1083,	1,	1),
(40384,	3,	1083,	2,	1),
(40385,	3,	1083,	3,	1),
(40386,	3,	1083,	1,	2),
(40387,	3,	1083,	2,	2),
(40388,	3,	1083,	3,	2),
(40389,	3,	1084,	1,	1),
(40390,	3,	1084,	2,	1),
(40391,	3,	1084,	3,	1),
(40392,	3,	1084,	1,	2),
(40393,	3,	1084,	2,	2),
(40394,	3,	1084,	3,	2),
(40395,	3,	1085,	1,	1),
(40396,	3,	1085,	2,	1),
(40397,	3,	1085,	3,	1),
(40398,	3,	1086,	1,	1),
(40399,	3,	1086,	2,	1),
(40400,	3,	1086,	3,	1),
(40401,	3,	1086,	1,	2),
(40402,	3,	1086,	2,	2),
(40403,	3,	1086,	3,	2),
(40404,	3,	1087,	1,	1),
(40405,	3,	1087,	2,	1),
(40406,	3,	1087,	3,	1),
(40407,	3,	1087,	1,	2),
(40408,	3,	1087,	2,	2),
(40409,	3,	1087,	3,	2),
(40410,	3,	1088,	1,	1),
(40411,	3,	1088,	2,	1),
(40412,	3,	1088,	3,	1),
(40413,	3,	1088,	1,	2),
(40414,	3,	1088,	2,	2),
(40415,	3,	1088,	3,	2),
(40416,	3,	1089,	1,	1),
(40417,	3,	1089,	2,	1),
(40418,	3,	1089,	3,	1),
(40419,	3,	1090,	1,	1),
(40420,	3,	1090,	2,	1),
(40421,	3,	1090,	3,	1),
(40422,	3,	1090,	1,	2),
(40423,	3,	1090,	2,	2),
(40424,	3,	1090,	3,	2),
(40425,	3,	1091,	1,	1),
(40426,	3,	1091,	2,	1),
(40427,	3,	1091,	3,	1),
(40428,	3,	1091,	1,	2),
(40429,	3,	1091,	2,	2),
(40430,	3,	1091,	3,	2),
(40431,	3,	1092,	1,	1),
(40432,	3,	1092,	2,	1),
(40433,	3,	1092,	3,	1),
(40434,	3,	1093,	1,	1),
(40435,	3,	1093,	2,	1),
(40436,	3,	1093,	3,	1),
(40437,	3,	1093,	1,	2),
(40438,	3,	1093,	2,	2),
(40439,	3,	1093,	3,	2),
(40440,	3,	1094,	1,	1),
(40441,	3,	1094,	2,	1),
(40442,	3,	1094,	3,	1),
(40443,	3,	1094,	1,	2),
(40444,	3,	1094,	2,	2),
(40445,	3,	1094,	3,	2),
(40446,	3,	1095,	1,	1),
(40447,	3,	1095,	2,	1),
(40448,	3,	1095,	3,	1),
(40449,	3,	1095,	1,	2),
(40450,	3,	1095,	2,	2),
(40451,	3,	1095,	3,	2),
(40452,	3,	1096,	1,	1),
(40453,	3,	1096,	2,	1),
(40454,	3,	1096,	3,	1),
(40455,	3,	1097,	1,	1),
(40456,	3,	1097,	2,	1),
(40457,	3,	1097,	3,	1),
(40458,	3,	1097,	1,	2),
(40459,	3,	1097,	2,	2),
(40460,	3,	1097,	3,	2),
(40461,	3,	1098,	1,	1),
(40462,	3,	1098,	2,	1),
(40463,	3,	1098,	3,	1),
(40464,	3,	1098,	1,	2),
(40465,	3,	1098,	2,	2),
(40466,	3,	1098,	3,	2),
(40467,	3,	1099,	1,	1),
(40468,	3,	1099,	2,	1),
(40469,	3,	1099,	3,	1),
(40470,	3,	1099,	1,	2),
(40471,	3,	1099,	2,	2),
(40472,	3,	1099,	3,	2),
(40473,	3,	1100,	1,	1),
(40474,	3,	1100,	2,	1),
(40475,	3,	1100,	3,	1),
(40476,	3,	1100,	1,	2),
(40477,	3,	1100,	2,	2),
(40478,	3,	1100,	3,	2),
(40479,	3,	1101,	1,	1),
(40480,	3,	1101,	2,	1),
(40481,	3,	1101,	3,	1),
(40482,	3,	1102,	1,	1),
(40483,	3,	1102,	2,	1),
(40484,	3,	1102,	3,	1),
(40485,	3,	1102,	1,	2),
(40486,	3,	1102,	2,	2),
(40487,	3,	1102,	3,	2),
(40488,	3,	1103,	1,	1),
(40489,	3,	1103,	2,	1),
(40490,	3,	1103,	3,	1),
(40491,	3,	1103,	1,	2),
(40492,	3,	1103,	2,	2),
(40493,	3,	1103,	3,	2),
(40494,	3,	1104,	1,	1),
(40495,	3,	1104,	2,	1),
(40496,	3,	1104,	3,	1),
(40497,	3,	1104,	1,	2),
(40498,	3,	1104,	2,	2),
(40499,	3,	1104,	3,	2),
(40500,	3,	1105,	1,	1),
(40501,	3,	1105,	2,	1),
(40502,	3,	1105,	3,	1),
(40503,	3,	1105,	1,	2),
(40504,	3,	1105,	2,	2),
(40505,	3,	1105,	3,	2),
(40506,	3,	1106,	1,	1),
(40507,	3,	1106,	2,	1),
(40508,	3,	1106,	3,	1),
(40509,	3,	1106,	1,	2),
(40510,	3,	1106,	2,	2),
(40511,	3,	1106,	3,	2),
(40512,	3,	1107,	1,	1),
(40513,	3,	1107,	2,	1),
(40514,	3,	1107,	3,	1),
(40515,	3,	1108,	1,	1),
(40516,	3,	1108,	2,	1),
(40517,	3,	1108,	3,	1),
(40518,	3,	1108,	1,	2),
(40519,	3,	1108,	2,	2),
(40520,	3,	1108,	3,	2),
(40521,	3,	1109,	1,	1),
(40522,	3,	1109,	2,	1),
(40523,	3,	1109,	3,	1),
(40524,	3,	1109,	1,	2),
(40525,	3,	1109,	2,	2),
(40526,	3,	1109,	3,	2),
(40527,	3,	1110,	1,	1),
(40528,	3,	1110,	2,	1),
(40529,	3,	1110,	3,	1),
(40530,	3,	1110,	1,	2),
(40531,	3,	1110,	2,	2),
(40532,	3,	1110,	3,	2),
(40533,	3,	1111,	1,	1),
(40534,	3,	1111,	2,	1),
(40535,	3,	1111,	3,	1),
(40536,	3,	1111,	1,	2),
(40537,	3,	1111,	2,	2),
(40538,	3,	1111,	3,	2),
(40539,	3,	1112,	1,	1),
(40540,	3,	1112,	2,	1),
(40541,	3,	1112,	3,	1),
(40542,	3,	1113,	1,	1),
(40543,	3,	1113,	2,	1),
(40544,	3,	1113,	3,	1),
(40545,	3,	1113,	1,	2),
(40546,	3,	1113,	2,	2),
(40547,	3,	1113,	3,	2),
(40548,	3,	1114,	1,	1),
(40549,	3,	1114,	2,	1),
(40550,	3,	1114,	3,	1),
(40551,	3,	1114,	1,	2),
(40552,	3,	1114,	2,	2),
(40553,	3,	1114,	3,	2),
(40554,	3,	1115,	1,	1),
(40555,	3,	1115,	2,	1),
(40556,	3,	1115,	3,	1),
(40557,	3,	1115,	1,	2),
(40558,	3,	1115,	2,	2),
(40559,	3,	1115,	3,	2),
(40560,	3,	1116,	1,	1),
(40561,	3,	1116,	2,	1),
(40562,	3,	1116,	3,	1),
(40563,	3,	1116,	1,	2),
(40564,	3,	1116,	2,	2),
(40565,	3,	1116,	3,	2),
(40566,	3,	1117,	1,	1),
(40567,	3,	1117,	2,	1),
(40568,	3,	1117,	3,	1),
(40569,	3,	1117,	1,	2),
(40570,	3,	1117,	2,	2),
(40571,	3,	1117,	3,	2),
(40572,	3,	1118,	1,	1),
(40573,	3,	1118,	2,	1),
(40574,	3,	1118,	3,	1),
(40575,	3,	1118,	1,	2),
(40576,	3,	1118,	2,	2),
(40577,	3,	1118,	3,	2),
(40578,	3,	1119,	1,	1),
(40579,	3,	1119,	2,	1),
(40580,	3,	1119,	3,	1),
(40581,	3,	1120,	1,	1),
(40582,	3,	1120,	2,	1),
(40583,	3,	1120,	3,	1),
(40584,	3,	1120,	1,	2),
(40585,	3,	1120,	2,	2),
(40586,	3,	1120,	3,	2),
(40587,	3,	1121,	1,	1),
(40588,	3,	1121,	2,	1),
(40589,	3,	1121,	3,	1),
(40590,	3,	1121,	1,	2),
(40591,	3,	1121,	2,	2),
(40592,	3,	1121,	3,	2),
(40593,	3,	1122,	1,	1),
(40594,	3,	1122,	2,	1),
(40595,	3,	1122,	3,	1),
(40596,	3,	1122,	1,	2),
(40597,	3,	1122,	2,	2),
(40598,	3,	1122,	3,	2),
(40599,	3,	1123,	1,	1),
(40600,	3,	1123,	2,	1),
(40601,	3,	1123,	3,	1),
(40602,	3,	1123,	1,	2),
(40603,	3,	1123,	2,	2),
(40604,	3,	1123,	3,	2),
(40605,	3,	1124,	1,	1),
(40606,	3,	1124,	2,	1),
(40607,	3,	1124,	3,	1),
(40608,	3,	1125,	1,	1),
(40609,	3,	1125,	2,	1),
(40610,	3,	1125,	3,	1),
(40611,	3,	1125,	1,	2),
(40612,	3,	1125,	2,	2),
(40613,	3,	1125,	3,	2),
(40614,	3,	1126,	1,	1),
(40615,	3,	1126,	2,	1),
(40616,	3,	1126,	3,	1),
(40617,	3,	1126,	1,	2),
(40618,	3,	1126,	2,	2),
(40619,	3,	1126,	3,	2),
(40620,	3,	1127,	1,	1),
(40621,	3,	1127,	2,	1),
(40622,	3,	1127,	3,	1),
(40623,	3,	1128,	1,	1),
(40624,	3,	1128,	2,	1),
(40625,	3,	1128,	3,	1),
(40626,	3,	1128,	1,	2),
(40627,	3,	1128,	2,	2),
(40628,	3,	1128,	3,	2),
(40629,	3,	1129,	1,	1),
(40630,	3,	1129,	2,	1),
(40631,	3,	1129,	3,	1),
(40632,	3,	1129,	1,	3),
(40633,	3,	1129,	2,	3),
(40634,	3,	1129,	3,	3),
(40635,	3,	1130,	1,	1),
(40636,	3,	1130,	2,	1),
(40637,	3,	1130,	3,	1),
(40638,	3,	1130,	1,	3),
(40639,	3,	1130,	2,	3),
(40640,	3,	1130,	3,	3),
(40641,	3,	1131,	1,	1),
(40642,	3,	1131,	2,	1),
(40643,	3,	1131,	3,	1),
(40644,	3,	1131,	23,	1),
(40645,	3,	1131,	4,	1),
(40646,	3,	1131,	25,	1),
(40647,	3,	1131,	24,	1),
(40648,	3,	1131,	6,	1),
(40649,	3,	1131,	1,	3),
(40650,	3,	1131,	2,	3),
(40651,	3,	1131,	3,	3),
(40652,	3,	1131,	23,	3),
(40653,	3,	1131,	4,	3),
(40654,	3,	1131,	25,	3),
(40655,	3,	1131,	24,	3),
(40656,	3,	1131,	6,	3),
(40657,	3,	1132,	1,	1),
(40658,	3,	1132,	2,	1),
(40659,	3,	1132,	3,	1),
(40660,	3,	1132,	23,	1),
(40661,	3,	1132,	4,	1),
(40662,	3,	1132,	25,	1),
(40663,	3,	1132,	24,	1),
(40664,	3,	1132,	6,	1),
(40665,	3,	1132,	1,	3),
(40666,	3,	1132,	2,	3),
(40667,	3,	1132,	3,	3),
(40668,	3,	1132,	23,	3),
(40669,	3,	1132,	4,	3),
(40670,	3,	1132,	25,	3),
(40671,	3,	1132,	24,	3),
(40672,	3,	1132,	6,	3),
(40673,	3,	1133,	1,	1),
(40674,	3,	1133,	2,	1),
(40675,	3,	1133,	3,	1),
(40676,	3,	1133,	23,	1),
(40677,	3,	1133,	4,	1),
(40678,	3,	1133,	25,	1),
(40679,	3,	1133,	24,	1),
(40680,	3,	1133,	6,	1),
(40681,	3,	1133,	1,	3),
(40682,	3,	1133,	2,	3),
(40683,	3,	1133,	3,	3),
(40684,	3,	1133,	23,	3),
(40685,	3,	1133,	4,	3),
(40686,	3,	1133,	25,	3),
(40687,	3,	1133,	24,	3),
(40688,	3,	1133,	6,	3),
(40689,	3,	1134,	1,	1),
(40690,	3,	1134,	2,	1),
(40691,	3,	1134,	3,	1),
(40692,	3,	1134,	23,	1),
(40693,	3,	1134,	4,	1),
(40694,	3,	1134,	25,	1),
(40695,	3,	1134,	24,	1),
(40696,	3,	1134,	6,	1),
(40697,	3,	1134,	1,	3),
(40698,	3,	1134,	2,	3),
(40699,	3,	1134,	3,	3),
(40700,	3,	1134,	23,	3),
(40701,	3,	1134,	4,	3),
(40702,	3,	1134,	25,	3),
(40703,	3,	1134,	24,	3),
(40704,	3,	1134,	6,	3),
(40705,	3,	1135,	1,	1),
(40706,	3,	1135,	2,	1),
(40707,	3,	1135,	3,	1),
(40708,	3,	1135,	23,	1),
(40709,	3,	1135,	4,	1),
(40710,	3,	1135,	25,	1),
(40711,	3,	1135,	24,	1),
(40712,	3,	1135,	6,	1),
(40713,	3,	1135,	1,	3),
(40714,	3,	1135,	2,	3),
(40715,	3,	1135,	3,	3),
(40716,	3,	1135,	23,	3),
(40717,	3,	1135,	4,	3),
(40718,	3,	1135,	25,	3),
(40719,	3,	1135,	24,	3),
(40720,	3,	1135,	6,	3),
(40721,	3,	1136,	1,	1),
(40722,	3,	1136,	2,	1),
(40723,	3,	1136,	3,	1),
(40724,	3,	1136,	23,	1),
(40725,	3,	1136,	4,	1),
(40726,	3,	1136,	25,	1),
(40727,	3,	1136,	24,	1),
(40728,	3,	1136,	6,	1),
(40729,	3,	1136,	1,	3),
(40730,	3,	1136,	2,	3),
(40731,	3,	1136,	3,	3),
(40732,	3,	1136,	23,	3),
(40733,	3,	1136,	4,	3),
(40734,	3,	1136,	25,	3),
(40735,	3,	1136,	24,	3),
(40736,	3,	1136,	6,	3),
(40737,	3,	1137,	1,	1),
(40738,	3,	1137,	2,	1),
(40739,	3,	1137,	3,	1),
(40740,	3,	1137,	1,	2),
(40741,	3,	1137,	2,	2),
(40742,	3,	1137,	3,	2),
(40743,	3,	1138,	1,	1),
(40744,	3,	1138,	2,	1),
(40745,	3,	1138,	3,	1),
(40746,	3,	1138,	23,	1),
(40747,	3,	1138,	4,	1),
(40748,	3,	1138,	25,	1),
(40749,	3,	1138,	24,	1),
(40750,	3,	1138,	6,	1),
(40751,	3,	1138,	1,	3),
(40752,	3,	1138,	2,	3),
(40753,	3,	1138,	3,	3),
(40754,	3,	1138,	23,	3),
(40755,	3,	1138,	4,	3),
(40756,	3,	1138,	25,	3),
(40757,	3,	1138,	24,	3),
(40758,	3,	1138,	6,	3),
(40759,	3,	1139,	1,	1),
(40760,	3,	1139,	2,	1),
(40761,	3,	1139,	3,	1),
(40762,	3,	1139,	23,	1),
(40763,	3,	1139,	4,	1),
(40764,	3,	1139,	25,	1),
(40765,	3,	1139,	24,	1),
(40766,	3,	1139,	6,	1),
(40767,	3,	1139,	1,	3),
(40768,	3,	1139,	2,	3),
(40769,	3,	1139,	3,	3),
(40770,	3,	1139,	23,	3),
(40771,	3,	1139,	4,	3),
(40772,	3,	1139,	25,	3),
(40773,	3,	1139,	24,	3),
(40774,	3,	1139,	6,	3),
(40775,	3,	1140,	1,	1),
(40776,	3,	1140,	2,	1),
(40777,	3,	1140,	3,	1),
(40778,	3,	1140,	23,	1),
(40779,	3,	1140,	4,	1),
(40780,	3,	1140,	25,	1),
(40781,	3,	1140,	24,	1),
(40782,	3,	1140,	6,	1),
(40783,	3,	1140,	1,	3),
(40784,	3,	1140,	2,	3),
(40785,	3,	1140,	3,	3),
(40786,	3,	1140,	23,	3),
(40787,	3,	1140,	4,	3),
(40788,	3,	1140,	25,	3),
(40789,	3,	1140,	24,	3),
(40790,	3,	1140,	6,	3),
(40791,	3,	1141,	1,	1),
(40792,	3,	1141,	2,	1),
(40793,	3,	1141,	3,	1),
(40794,	3,	1142,	1,	1),
(40795,	3,	1142,	2,	1),
(40796,	3,	1142,	3,	1),
(40797,	3,	1142,	1,	3),
(40798,	3,	1142,	2,	3),
(40799,	3,	1142,	3,	3),
(40800,	3,	1143,	1,	1),
(40801,	3,	1143,	2,	1),
(40802,	3,	1143,	3,	1),
(40803,	3,	1143,	23,	1),
(40804,	3,	1143,	4,	1),
(40805,	3,	1143,	25,	1),
(40806,	3,	1143,	24,	1),
(40807,	3,	1143,	6,	1),
(40808,	3,	1143,	1,	3),
(40809,	3,	1143,	2,	3),
(40810,	3,	1143,	3,	3),
(40811,	3,	1143,	23,	3),
(40812,	3,	1143,	4,	3),
(40813,	3,	1143,	25,	3),
(40814,	3,	1143,	24,	3),
(40815,	3,	1143,	6,	3),
(40816,	3,	1144,	1,	1),
(40817,	3,	1144,	2,	1),
(40818,	3,	1144,	3,	1),
(40819,	3,	1145,	1,	1),
(40820,	3,	1145,	2,	1),
(40821,	3,	1145,	3,	1),
(40822,	3,	1145,	23,	1),
(40823,	3,	1145,	4,	1),
(40824,	3,	1145,	25,	1),
(40825,	3,	1145,	24,	1),
(40826,	3,	1145,	6,	1),
(40827,	3,	1145,	1,	3),
(40828,	3,	1145,	2,	3),
(40829,	3,	1145,	3,	3),
(40830,	3,	1145,	23,	3),
(40831,	3,	1145,	4,	3),
(40832,	3,	1145,	25,	3),
(40833,	3,	1145,	24,	3),
(40834,	3,	1145,	6,	3),
(40835,	3,	1146,	1,	1),
(40836,	3,	1146,	2,	1),
(40837,	3,	1146,	3,	1),
(40838,	3,	1146,	1,	2),
(40839,	3,	1146,	2,	2),
(40840,	3,	1146,	3,	2),
(40841,	3,	1147,	1,	1),
(40842,	3,	1147,	2,	1),
(40843,	3,	1147,	3,	1),
(40844,	3,	1148,	1,	1),
(40845,	3,	1148,	2,	1),
(40846,	3,	1148,	3,	1),
(40847,	3,	1148,	23,	1),
(40848,	3,	1148,	4,	1),
(40849,	3,	1148,	25,	1),
(40850,	3,	1148,	24,	1),
(40851,	3,	1148,	6,	1),
(40852,	3,	1148,	1,	3),
(40853,	3,	1148,	2,	3),
(40854,	3,	1148,	3,	3),
(40855,	3,	1148,	23,	3),
(40856,	3,	1148,	4,	3),
(40857,	3,	1148,	25,	3),
(40858,	3,	1148,	24,	3),
(40859,	3,	1148,	6,	3),
(40860,	3,	1149,	1,	1),
(40861,	3,	1149,	2,	1),
(40862,	3,	1149,	3,	1),
(40863,	3,	1149,	1,	2),
(40864,	3,	1149,	2,	2),
(40865,	3,	1149,	3,	2),
(40866,	3,	1150,	1,	1),
(40867,	3,	1150,	2,	1),
(40868,	3,	1150,	3,	1),
(40869,	3,	1151,	1,	1),
(40870,	3,	1151,	2,	1),
(40871,	3,	1151,	3,	1),
(40872,	3,	1151,	23,	1),
(40873,	3,	1151,	4,	1),
(40874,	3,	1151,	25,	1),
(40875,	3,	1151,	24,	1),
(40876,	3,	1151,	6,	1),
(40877,	3,	1151,	1,	3),
(40878,	3,	1151,	2,	3),
(40879,	3,	1151,	3,	3),
(40880,	3,	1151,	23,	3),
(40881,	3,	1151,	4,	3),
(40882,	3,	1151,	25,	3),
(40883,	3,	1151,	24,	3),
(40884,	3,	1151,	6,	3),
(40885,	3,	1152,	1,	1),
(40886,	3,	1152,	2,	1),
(40887,	3,	1152,	3,	1),
(40888,	3,	1152,	1,	2),
(40889,	3,	1152,	2,	2),
(40890,	3,	1152,	3,	2),
(40891,	3,	1153,	1,	1),
(40892,	3,	1153,	2,	1),
(40893,	3,	1153,	3,	1),
(40894,	3,	1154,	1,	1),
(40895,	3,	1154,	2,	1),
(40896,	3,	1154,	3,	1),
(40897,	3,	1155,	1,	1),
(40898,	3,	1155,	2,	1),
(40899,	3,	1155,	3,	1),
(40900,	3,	1156,	1,	1),
(40901,	3,	1156,	2,	1),
(40902,	3,	1156,	3,	1),
(40903,	3,	1157,	1,	1),
(40904,	3,	1157,	2,	1),
(40905,	3,	1157,	3,	1),
(40906,	3,	1158,	1,	1),
(40907,	3,	1158,	2,	1),
(40908,	3,	1158,	3,	1),
(40909,	3,	1159,	1,	1),
(40910,	3,	1159,	2,	1),
(40911,	3,	1159,	3,	1),
(40912,	3,	1160,	1,	1),
(40913,	3,	1160,	2,	1),
(40914,	3,	1160,	3,	1),
(40915,	3,	1161,	1,	1),
(40916,	3,	1161,	2,	1),
(40917,	3,	1161,	3,	1),
(40918,	3,	1161,	1,	2),
(40919,	3,	1161,	2,	2),
(40920,	3,	1161,	3,	2),
(40921,	3,	1162,	1,	1),
(40922,	3,	1162,	2,	1),
(40923,	3,	1162,	3,	1),
(40924,	3,	1163,	1,	1),
(40925,	3,	1163,	2,	1),
(40926,	3,	1163,	3,	1),
(40927,	3,	1163,	1,	2),
(40928,	3,	1163,	2,	2),
(40929,	3,	1163,	3,	2),
(40930,	3,	1164,	1,	1),
(40931,	3,	1164,	2,	1),
(40932,	3,	1164,	3,	1),
(40933,	3,	1164,	35,	1),
(40934,	3,	1164,	45,	1),
(40935,	3,	1164,	46,	1),
(40936,	3,	1164,	54,	1),
(40937,	3,	1164,	51,	1),
(40938,	3,	1164,	55,	1),
(40939,	3,	1164,	56,	1),
(40940,	3,	1164,	57,	1),
(40941,	3,	1164,	58,	1),
(40942,	3,	1164,	59,	1),
(40943,	3,	1164,	60,	1),
(40944,	3,	1164,	49,	1),
(40945,	3,	1164,	61,	1),
(40946,	3,	1164,	53,	1),
(40947,	3,	1164,	62,	1),
(40948,	3,	1164,	52,	1),
(40949,	3,	1164,	63,	1),
(40950,	3,	1164,	64,	1),
(40951,	3,	1165,	1,	1),
(40952,	3,	1165,	2,	1),
(40953,	3,	1165,	3,	1),
(40954,	3,	1165,	35,	1),
(40955,	3,	1165,	45,	1),
(40956,	3,	1165,	46,	1),
(40957,	3,	1165,	54,	1),
(40958,	3,	1165,	51,	1),
(40959,	3,	1165,	55,	1),
(40960,	3,	1165,	56,	1),
(40961,	3,	1165,	57,	1),
(40962,	3,	1165,	58,	1),
(40963,	3,	1165,	59,	1),
(40964,	3,	1165,	60,	1),
(40965,	3,	1165,	49,	1),
(40966,	3,	1165,	61,	1),
(40967,	3,	1165,	53,	1),
(40968,	3,	1165,	62,	1),
(40969,	3,	1165,	52,	1),
(40970,	3,	1165,	63,	1),
(40971,	3,	1165,	64,	1),
(40972,	3,	1166,	1,	1),
(40973,	3,	1166,	2,	1),
(40974,	3,	1166,	3,	1),
(40975,	3,	1166,	35,	1),
(40976,	3,	1166,	45,	1),
(40977,	3,	1166,	46,	1),
(40978,	3,	1166,	54,	1),
(40979,	3,	1166,	51,	1),
(40980,	3,	1166,	55,	1),
(40981,	3,	1166,	56,	1),
(40982,	3,	1166,	57,	1),
(40983,	3,	1166,	58,	1),
(40984,	3,	1166,	59,	1),
(40985,	3,	1166,	60,	1),
(40986,	3,	1166,	49,	1),
(40987,	3,	1166,	61,	1),
(40988,	3,	1166,	53,	1),
(40989,	3,	1166,	62,	1),
(40990,	3,	1166,	52,	1),
(40991,	3,	1166,	63,	1),
(40992,	3,	1166,	64,	1),
(40993,	3,	1166,	1,	3),
(40994,	3,	1166,	2,	3),
(40995,	3,	1166,	3,	3),
(40996,	3,	1166,	35,	3),
(40997,	3,	1166,	45,	3),
(40998,	3,	1166,	46,	3),
(40999,	3,	1166,	54,	3),
(41000,	3,	1166,	51,	3),
(41001,	3,	1166,	55,	3),
(41002,	3,	1166,	56,	3),
(41003,	3,	1166,	57,	3),
(41004,	3,	1166,	58,	3),
(41005,	3,	1166,	59,	3),
(41006,	3,	1166,	60,	3),
(41007,	3,	1166,	49,	3),
(41008,	3,	1166,	61,	3),
(41009,	3,	1166,	53,	3),
(41010,	3,	1166,	62,	3),
(41011,	3,	1166,	52,	3),
(41012,	3,	1166,	63,	3),
(41013,	3,	1166,	64,	3),
(41014,	3,	1167,	1,	1),
(41015,	3,	1167,	2,	1),
(41016,	3,	1167,	3,	1),
(41017,	3,	1167,	35,	1),
(41018,	3,	1167,	45,	1),
(41019,	3,	1167,	46,	1),
(41020,	3,	1167,	54,	1),
(41021,	3,	1167,	51,	1),
(41022,	3,	1167,	55,	1),
(41023,	3,	1167,	56,	1),
(41024,	3,	1167,	57,	1),
(41025,	3,	1167,	58,	1),
(41026,	3,	1167,	59,	1),
(41027,	3,	1167,	60,	1),
(41028,	3,	1167,	49,	1),
(41029,	3,	1167,	61,	1),
(41030,	3,	1167,	53,	1),
(41031,	3,	1167,	62,	1),
(41032,	3,	1167,	52,	1),
(41033,	3,	1167,	63,	1),
(41034,	3,	1167,	64,	1),
(41035,	3,	1167,	1,	3),
(41036,	3,	1167,	2,	3),
(41037,	3,	1167,	3,	3),
(41038,	3,	1167,	35,	3),
(41039,	3,	1167,	45,	3),
(41040,	3,	1167,	46,	3),
(41041,	3,	1167,	54,	3),
(41042,	3,	1167,	51,	3),
(41043,	3,	1167,	55,	3),
(41044,	3,	1167,	56,	3),
(41045,	3,	1167,	57,	3),
(41046,	3,	1167,	58,	3),
(41047,	3,	1167,	59,	3),
(41048,	3,	1167,	60,	3),
(41049,	3,	1167,	49,	3),
(41050,	3,	1167,	61,	3),
(41051,	3,	1167,	53,	3),
(41052,	3,	1167,	62,	3),
(41053,	3,	1167,	52,	3),
(41054,	3,	1167,	63,	3),
(41055,	3,	1167,	64,	3),
(41056,	3,	1168,	1,	1),
(41057,	3,	1168,	2,	1),
(41058,	3,	1168,	3,	1),
(41059,	3,	1168,	35,	1),
(41060,	3,	1168,	45,	1),
(41061,	3,	1168,	46,	1),
(41062,	3,	1168,	54,	1),
(41063,	3,	1168,	51,	1),
(41064,	3,	1168,	55,	1),
(41065,	3,	1168,	56,	1),
(41066,	3,	1168,	57,	1),
(41067,	3,	1168,	58,	1),
(41068,	3,	1168,	59,	1),
(41069,	3,	1168,	60,	1),
(41070,	3,	1168,	49,	1),
(41071,	3,	1168,	61,	1),
(41072,	3,	1168,	53,	1),
(41073,	3,	1168,	62,	1),
(41074,	3,	1168,	52,	1),
(41075,	3,	1168,	63,	1),
(41076,	3,	1168,	64,	1),
(41077,	3,	1169,	1,	1),
(41078,	3,	1169,	2,	1),
(41079,	3,	1169,	3,	1),
(41080,	3,	1169,	35,	1),
(41081,	3,	1169,	45,	1),
(41082,	3,	1169,	46,	1),
(41083,	3,	1169,	54,	1),
(41084,	3,	1169,	51,	1),
(41085,	3,	1169,	55,	1),
(41086,	3,	1169,	56,	1),
(41087,	3,	1169,	57,	1),
(41088,	3,	1169,	58,	1),
(41089,	3,	1169,	59,	1),
(41090,	3,	1169,	60,	1),
(41091,	3,	1169,	49,	1),
(41092,	3,	1169,	61,	1),
(41093,	3,	1169,	53,	1),
(41094,	3,	1169,	62,	1),
(41095,	3,	1169,	52,	1),
(41096,	3,	1169,	63,	1),
(41097,	3,	1169,	64,	1),
(41098,	3,	1170,	1,	1),
(41099,	3,	1170,	2,	1),
(41100,	3,	1170,	3,	1),
(41101,	3,	1170,	1,	2),
(41102,	3,	1170,	2,	2),
(41103,	3,	1170,	3,	2),
(41104,	3,	1171,	1,	1),
(41105,	3,	1171,	2,	1),
(41106,	3,	1171,	3,	1),
(41107,	3,	1171,	35,	1),
(41108,	3,	1171,	45,	1),
(41109,	3,	1171,	46,	1),
(41110,	3,	1171,	54,	1),
(41111,	3,	1171,	51,	1),
(41112,	3,	1171,	55,	1),
(41113,	3,	1171,	56,	1),
(41114,	3,	1171,	57,	1),
(41115,	3,	1171,	58,	1),
(41116,	3,	1171,	59,	1),
(41117,	3,	1171,	60,	1),
(41118,	3,	1171,	49,	1),
(41119,	3,	1171,	61,	1),
(41120,	3,	1171,	53,	1),
(41121,	3,	1171,	62,	1),
(41122,	3,	1171,	52,	1),
(41123,	3,	1171,	63,	1),
(41124,	3,	1171,	64,	1),
(41125,	3,	1172,	1,	1),
(41126,	3,	1172,	2,	1),
(41127,	3,	1172,	3,	1),
(41128,	3,	1172,	35,	1),
(41129,	3,	1172,	45,	1),
(41130,	3,	1172,	46,	1),
(41131,	3,	1172,	54,	1),
(41132,	3,	1172,	51,	1),
(41133,	3,	1172,	55,	1),
(41134,	3,	1172,	56,	1),
(41135,	3,	1172,	57,	1),
(41136,	3,	1172,	58,	1),
(41137,	3,	1172,	59,	1),
(41138,	3,	1172,	60,	1),
(41139,	3,	1172,	49,	1),
(41140,	3,	1172,	61,	1),
(41141,	3,	1172,	53,	1),
(41142,	3,	1172,	62,	1),
(41143,	3,	1172,	52,	1),
(41144,	3,	1172,	63,	1),
(41145,	3,	1172,	64,	1),
(41146,	3,	1172,	1,	3),
(41147,	3,	1172,	2,	3),
(41148,	3,	1172,	3,	3),
(41149,	3,	1172,	35,	3),
(41150,	3,	1172,	45,	3),
(41151,	3,	1172,	46,	3),
(41152,	3,	1172,	54,	3),
(41153,	3,	1172,	51,	3),
(41154,	3,	1172,	55,	3),
(41155,	3,	1172,	56,	3),
(41156,	3,	1172,	57,	3),
(41157,	3,	1172,	58,	3),
(41158,	3,	1172,	59,	3),
(41159,	3,	1172,	60,	3),
(41160,	3,	1172,	49,	3),
(41161,	3,	1172,	61,	3),
(41162,	3,	1172,	53,	3),
(41163,	3,	1172,	62,	3),
(41164,	3,	1172,	52,	3),
(41165,	3,	1172,	63,	3),
(41166,	3,	1172,	64,	3),
(41167,	3,	1173,	1,	1),
(41168,	3,	1173,	2,	1),
(41169,	3,	1173,	3,	1),
(41170,	3,	1173,	35,	1),
(41171,	3,	1173,	45,	1),
(41172,	3,	1173,	46,	1),
(41173,	3,	1173,	54,	1),
(41174,	3,	1173,	51,	1),
(41175,	3,	1173,	55,	1),
(41176,	3,	1173,	56,	1),
(41177,	3,	1173,	57,	1),
(41178,	3,	1173,	58,	1),
(41179,	3,	1173,	59,	1),
(41180,	3,	1173,	60,	1),
(41181,	3,	1173,	49,	1),
(41182,	3,	1173,	61,	1),
(41183,	3,	1173,	53,	1),
(41184,	3,	1173,	62,	1),
(41185,	3,	1173,	52,	1),
(41186,	3,	1173,	63,	1),
(41187,	3,	1173,	64,	1),
(41188,	3,	1173,	1,	3),
(41189,	3,	1173,	2,	3),
(41190,	3,	1173,	3,	3),
(41191,	3,	1173,	35,	3),
(41192,	3,	1173,	45,	3),
(41193,	3,	1173,	46,	3),
(41194,	3,	1173,	54,	3),
(41195,	3,	1173,	51,	3),
(41196,	3,	1173,	55,	3),
(41197,	3,	1173,	56,	3),
(41198,	3,	1173,	57,	3),
(41199,	3,	1173,	58,	3),
(41200,	3,	1173,	59,	3),
(41201,	3,	1173,	60,	3),
(41202,	3,	1173,	49,	3),
(41203,	3,	1173,	61,	3),
(41204,	3,	1173,	53,	3),
(41205,	3,	1173,	62,	3),
(41206,	3,	1173,	52,	3),
(41207,	3,	1173,	63,	3),
(41208,	3,	1173,	64,	3),
(41209,	3,	1174,	1,	1),
(41210,	3,	1174,	2,	1),
(41211,	3,	1174,	3,	1),
(41212,	3,	1175,	1,	1),
(41213,	3,	1175,	2,	1),
(41214,	3,	1175,	3,	1),
(41215,	3,	1176,	1,	1),
(41216,	3,	1176,	2,	1),
(41217,	3,	1176,	3,	1),
(41218,	3,	1176,	1,	2),
(41219,	3,	1176,	2,	2),
(41220,	3,	1176,	3,	2),
(41221,	3,	1177,	1,	1),
(41222,	3,	1177,	2,	1),
(41223,	3,	1177,	3,	1),
(41224,	3,	1177,	1,	2),
(41225,	3,	1177,	2,	2),
(41226,	3,	1177,	3,	2),
(41227,	3,	1178,	1,	1),
(41228,	3,	1178,	2,	1),
(41229,	3,	1178,	3,	1),
(41230,	3,	1179,	1,	1),
(41231,	3,	1179,	2,	1),
(41232,	3,	1179,	3,	1),
(41233,	3,	1179,	1,	2),
(41234,	3,	1179,	2,	2),
(41235,	3,	1179,	3,	2),
(41236,	3,	1180,	1,	1),
(41237,	3,	1180,	2,	1),
(41238,	3,	1180,	3,	1),
(41239,	3,	1181,	1,	1),
(41240,	3,	1181,	2,	1),
(41241,	3,	1181,	3,	1),
(41242,	3,	1182,	1,	1),
(41243,	3,	1182,	2,	1),
(41244,	3,	1182,	3,	1),
(41245,	3,	1183,	1,	1),
(41246,	3,	1183,	2,	1),
(41247,	3,	1183,	3,	1),
(41248,	3,	1183,	1,	2),
(41249,	3,	1183,	2,	2),
(41250,	3,	1183,	3,	2),
(41251,	3,	1184,	1,	1),
(41252,	3,	1184,	2,	1),
(41253,	3,	1184,	3,	1),
(41254,	3,	1185,	1,	1),
(41255,	3,	1185,	2,	1),
(41256,	3,	1185,	3,	1),
(41257,	3,	1186,	1,	1),
(41258,	3,	1186,	2,	1),
(41259,	3,	1186,	3,	1),
(41260,	3,	1186,	1,	2),
(41261,	3,	1186,	2,	2),
(41262,	3,	1186,	3,	2),
(41263,	3,	1187,	1,	1),
(41264,	3,	1187,	2,	1),
(41265,	3,	1187,	3,	1),
(41266,	3,	1188,	1,	1),
(41267,	3,	1188,	2,	1),
(41268,	3,	1188,	3,	1),
(41269,	3,	1189,	1,	1),
(41270,	3,	1189,	2,	1),
(41271,	3,	1189,	3,	1),
(41272,	3,	1190,	1,	1),
(41273,	3,	1190,	2,	1),
(41274,	3,	1190,	3,	1),
(41275,	3,	1191,	1,	1),
(41276,	3,	1191,	2,	1),
(41277,	3,	1191,	3,	1),
(41278,	3,	1192,	1,	1),
(41279,	3,	1192,	2,	1),
(41280,	3,	1192,	3,	1),
(41281,	3,	1192,	1,	2),
(41282,	3,	1192,	2,	2),
(41283,	3,	1192,	3,	2),
(41284,	3,	1193,	1,	1),
(41285,	3,	1193,	2,	1),
(41286,	3,	1193,	3,	1),
(41287,	3,	1194,	1,	1),
(41288,	3,	1194,	2,	1),
(41289,	3,	1194,	3,	1),
(41290,	3,	1195,	1,	1),
(41291,	3,	1195,	2,	1),
(41292,	3,	1195,	3,	1),
(41293,	3,	1195,	65,	1),
(41294,	3,	1195,	66,	1),
(41295,	3,	1195,	7,	1),
(41296,	3,	1195,	8,	1),
(41297,	3,	1195,	67,	1),
(41298,	3,	1195,	68,	1),
(41299,	3,	1195,	15,	1),
(41300,	3,	1195,	1,	3),
(41301,	3,	1195,	2,	3),
(41302,	3,	1195,	3,	3),
(41303,	3,	1195,	65,	3),
(41304,	3,	1195,	66,	3),
(41305,	3,	1195,	7,	3),
(41306,	3,	1195,	8,	3),
(41307,	3,	1195,	67,	3),
(41308,	3,	1195,	68,	3),
(41309,	3,	1195,	15,	3),
(41310,	3,	1196,	1,	1),
(41311,	3,	1196,	2,	1),
(41312,	3,	1196,	3,	1),
(41313,	3,	1196,	65,	1),
(41314,	3,	1196,	66,	1),
(41315,	3,	1196,	7,	1),
(41316,	3,	1196,	8,	1),
(41317,	3,	1196,	67,	1),
(41318,	3,	1196,	68,	1),
(41319,	3,	1196,	15,	1),
(41320,	3,	1196,	1,	3),
(41321,	3,	1196,	2,	3),
(41322,	3,	1196,	3,	3),
(41323,	3,	1196,	65,	3),
(41324,	3,	1196,	66,	3),
(41325,	3,	1196,	7,	3),
(41326,	3,	1196,	8,	3),
(41327,	3,	1196,	67,	3),
(41328,	3,	1196,	68,	3),
(41329,	3,	1196,	15,	3),
(41330,	3,	1197,	1,	1),
(41331,	3,	1197,	2,	1),
(41332,	3,	1197,	3,	1),
(41333,	3,	1197,	1,	3),
(41334,	3,	1197,	2,	3),
(41335,	3,	1197,	3,	3),
(41336,	3,	1198,	1,	1),
(41337,	3,	1198,	2,	1),
(41338,	3,	1198,	3,	1),
(41339,	3,	1198,	1,	3),
(41340,	3,	1198,	2,	3),
(41341,	3,	1198,	3,	3),
(41342,	3,	1199,	1,	1),
(41343,	3,	1199,	2,	1),
(41344,	3,	1199,	3,	1),
(41345,	3,	1199,	65,	1),
(41346,	3,	1199,	66,	1),
(41347,	3,	1199,	7,	1),
(41348,	3,	1199,	8,	1),
(41349,	3,	1199,	67,	1),
(41350,	3,	1199,	68,	1),
(41351,	3,	1199,	15,	1),
(41352,	3,	1199,	1,	3),
(41353,	3,	1199,	2,	3),
(41354,	3,	1199,	3,	3),
(41355,	3,	1199,	65,	3),
(41356,	3,	1199,	66,	3),
(41357,	3,	1199,	7,	3),
(41358,	3,	1199,	8,	3),
(41359,	3,	1199,	67,	3),
(41360,	3,	1199,	68,	3),
(41361,	3,	1199,	15,	3),
(41362,	3,	1200,	1,	1),
(41363,	3,	1200,	2,	1),
(41364,	3,	1200,	3,	1),
(41365,	3,	1200,	65,	1),
(41366,	3,	1200,	66,	1),
(41367,	3,	1200,	7,	1),
(41368,	3,	1200,	8,	1),
(41369,	3,	1200,	67,	1),
(41370,	3,	1200,	68,	1),
(41371,	3,	1200,	15,	1),
(41372,	3,	1200,	1,	3),
(41373,	3,	1200,	2,	3),
(41374,	3,	1200,	3,	3),
(41375,	3,	1200,	65,	3),
(41376,	3,	1200,	66,	3),
(41377,	3,	1200,	7,	3),
(41378,	3,	1200,	8,	3),
(41379,	3,	1200,	67,	3),
(41380,	3,	1200,	68,	3),
(41381,	3,	1200,	15,	3),
(41382,	3,	1201,	1,	1),
(41383,	3,	1201,	2,	1),
(41384,	3,	1201,	3,	1),
(41385,	3,	1201,	65,	1),
(41386,	3,	1201,	66,	1),
(41387,	3,	1201,	7,	1),
(41388,	3,	1201,	8,	1),
(41389,	3,	1201,	67,	1),
(41390,	3,	1201,	68,	1),
(41391,	3,	1201,	15,	1),
(41392,	3,	1201,	1,	3),
(41393,	3,	1201,	2,	3),
(41394,	3,	1201,	3,	3),
(41395,	3,	1201,	65,	3),
(41396,	3,	1201,	66,	3),
(41397,	3,	1201,	7,	3),
(41398,	3,	1201,	8,	3),
(41399,	3,	1201,	67,	3),
(41400,	3,	1201,	68,	3),
(41401,	3,	1201,	15,	3),
(41402,	3,	1202,	1,	1),
(41403,	3,	1202,	2,	1),
(41404,	3,	1202,	3,	1),
(41405,	3,	1202,	65,	1),
(41406,	3,	1202,	66,	1),
(41407,	3,	1202,	7,	1),
(41408,	3,	1202,	8,	1),
(41409,	3,	1202,	67,	1),
(41410,	3,	1202,	68,	1),
(41411,	3,	1202,	15,	1),
(41412,	3,	1202,	1,	3),
(41413,	3,	1202,	2,	3),
(41414,	3,	1202,	3,	3),
(41415,	3,	1202,	65,	3),
(41416,	3,	1202,	66,	3),
(41417,	3,	1202,	7,	3),
(41418,	3,	1202,	8,	3),
(41419,	3,	1202,	67,	3),
(41420,	3,	1202,	68,	3),
(41421,	3,	1202,	15,	3),
(41422,	3,	1203,	1,	1),
(41423,	3,	1203,	2,	1),
(41424,	3,	1203,	3,	1),
(41425,	3,	1203,	69,	1),
(41426,	3,	1203,	70,	1),
(41427,	3,	1203,	71,	1),
(41428,	3,	1203,	72,	1),
(41429,	3,	1203,	65,	1),
(41430,	3,	1203,	66,	1),
(41431,	3,	1203,	7,	1),
(41432,	3,	1203,	8,	1),
(41433,	3,	1203,	73,	1),
(41434,	3,	1203,	67,	1),
(41435,	3,	1203,	10,	1),
(41436,	3,	1203,	68,	1),
(41437,	3,	1203,	1,	3),
(41438,	3,	1203,	2,	3),
(41439,	3,	1203,	3,	3),
(41440,	3,	1203,	69,	3),
(41441,	3,	1203,	70,	3),
(41442,	3,	1203,	71,	3),
(41443,	3,	1203,	72,	3),
(41444,	3,	1203,	65,	3),
(41445,	3,	1203,	66,	3),
(41446,	3,	1203,	7,	3),
(41447,	3,	1203,	8,	3),
(41448,	3,	1203,	73,	3),
(41449,	3,	1203,	67,	3),
(41450,	3,	1203,	10,	3),
(41451,	3,	1203,	68,	3),
(41452,	3,	1204,	1,	1),
(41453,	3,	1204,	2,	1),
(41454,	3,	1204,	3,	1),
(41455,	3,	1204,	1,	3),
(41456,	3,	1204,	2,	3),
(41457,	3,	1204,	3,	3),
(41458,	3,	1205,	1,	1),
(41459,	3,	1205,	2,	1),
(41460,	3,	1205,	3,	1),
(41461,	3,	1205,	69,	1),
(41462,	3,	1205,	70,	1),
(41463,	3,	1205,	71,	1),
(41464,	3,	1205,	72,	1),
(41465,	3,	1205,	65,	1),
(41466,	3,	1205,	66,	1),
(41467,	3,	1205,	7,	1),
(41468,	3,	1205,	8,	1),
(41469,	3,	1205,	73,	1),
(41470,	3,	1205,	67,	1),
(41471,	3,	1205,	10,	1),
(41472,	3,	1205,	68,	1),
(41473,	3,	1205,	1,	3),
(41474,	3,	1205,	2,	3),
(41475,	3,	1205,	3,	3),
(41476,	3,	1205,	69,	3),
(41477,	3,	1205,	70,	3),
(41478,	3,	1205,	71,	3),
(41479,	3,	1205,	72,	3),
(41480,	3,	1205,	65,	3),
(41481,	3,	1205,	66,	3),
(41482,	3,	1205,	7,	3),
(41483,	3,	1205,	8,	3),
(41484,	3,	1205,	73,	3),
(41485,	3,	1205,	67,	3),
(41486,	3,	1205,	10,	3),
(41487,	3,	1205,	68,	3),
(41488,	3,	1206,	1,	1),
(41489,	3,	1206,	2,	1),
(41490,	3,	1206,	3,	1),
(41491,	3,	1206,	66,	1),
(41492,	3,	1206,	7,	1),
(41493,	3,	1206,	8,	1),
(41494,	3,	1206,	67,	1),
(41495,	3,	1206,	68,	1),
(41496,	3,	1206,	1,	3),
(41497,	3,	1206,	2,	3),
(41498,	3,	1206,	3,	3),
(41499,	3,	1206,	66,	3),
(41500,	3,	1206,	7,	3),
(41501,	3,	1206,	8,	3),
(41502,	3,	1206,	67,	3),
(41503,	3,	1206,	68,	3),
(41504,	3,	1207,	1,	1),
(41505,	3,	1207,	2,	1),
(41506,	3,	1207,	3,	1),
(41507,	3,	1207,	69,	1),
(41508,	3,	1207,	70,	1),
(41509,	3,	1207,	71,	1),
(41510,	3,	1207,	72,	1),
(41511,	3,	1207,	65,	1),
(41512,	3,	1207,	66,	1),
(41513,	3,	1207,	7,	1),
(41514,	3,	1207,	8,	1),
(41515,	3,	1207,	73,	1),
(41516,	3,	1207,	67,	1),
(41517,	3,	1207,	10,	1),
(41518,	3,	1207,	68,	1),
(41519,	3,	1207,	74,	1),
(41520,	3,	1207,	1,	3),
(41521,	3,	1207,	2,	3),
(41522,	3,	1207,	3,	3),
(41523,	3,	1207,	69,	3),
(41524,	3,	1207,	70,	3),
(41525,	3,	1207,	71,	3),
(41526,	3,	1207,	72,	3),
(41527,	3,	1207,	65,	3),
(41528,	3,	1207,	66,	3),
(41529,	3,	1207,	7,	3),
(41530,	3,	1207,	8,	3),
(41531,	3,	1207,	73,	3),
(41532,	3,	1207,	67,	3),
(41533,	3,	1207,	10,	3),
(41534,	3,	1207,	68,	3),
(41535,	3,	1207,	74,	3),
(41536,	3,	1208,	1,	1),
(41537,	3,	1208,	2,	1),
(41538,	3,	1208,	3,	1),
(41539,	3,	1208,	66,	1),
(41540,	3,	1208,	7,	1),
(41541,	3,	1208,	8,	1),
(41542,	3,	1208,	67,	1),
(41543,	3,	1208,	68,	1),
(41544,	3,	1208,	1,	3),
(41545,	3,	1208,	2,	3),
(41546,	3,	1208,	3,	3),
(41547,	3,	1208,	66,	3),
(41548,	3,	1208,	7,	3),
(41549,	3,	1208,	8,	3),
(41550,	3,	1208,	67,	3),
(41551,	3,	1208,	68,	3),
(41552,	3,	1209,	1,	1),
(41553,	3,	1209,	2,	1),
(41554,	3,	1209,	3,	1),
(41555,	3,	1209,	69,	1),
(41556,	3,	1209,	70,	1),
(41557,	3,	1209,	71,	1),
(41558,	3,	1209,	72,	1),
(41559,	3,	1209,	65,	1),
(41560,	3,	1209,	66,	1),
(41561,	3,	1209,	7,	1),
(41562,	3,	1209,	8,	1),
(41563,	3,	1209,	73,	1),
(41564,	3,	1209,	67,	1),
(41565,	3,	1209,	10,	1),
(41566,	3,	1209,	68,	1),
(41567,	3,	1209,	74,	1),
(41568,	3,	1209,	1,	3),
(41569,	3,	1209,	2,	3),
(41570,	3,	1209,	3,	3),
(41571,	3,	1209,	69,	3),
(41572,	3,	1209,	70,	3),
(41573,	3,	1209,	71,	3),
(41574,	3,	1209,	72,	3),
(41575,	3,	1209,	65,	3),
(41576,	3,	1209,	66,	3),
(41577,	3,	1209,	7,	3),
(41578,	3,	1209,	8,	3),
(41579,	3,	1209,	73,	3),
(41580,	3,	1209,	67,	3),
(41581,	3,	1209,	10,	3),
(41582,	3,	1209,	68,	3),
(41583,	3,	1209,	74,	3),
(41584,	3,	1210,	1,	1),
(41585,	3,	1210,	2,	1),
(41586,	3,	1210,	3,	1),
(41587,	3,	1210,	66,	1),
(41588,	3,	1210,	7,	1),
(41589,	3,	1210,	8,	1),
(41590,	3,	1210,	67,	1),
(41591,	3,	1210,	68,	1),
(41592,	3,	1210,	1,	3),
(41593,	3,	1210,	2,	3),
(41594,	3,	1210,	3,	3),
(41595,	3,	1210,	66,	3),
(41596,	3,	1210,	7,	3),
(41597,	3,	1210,	8,	3),
(41598,	3,	1210,	67,	3),
(41599,	3,	1210,	68,	3),
(41600,	3,	1211,	1,	1),
(41601,	3,	1211,	2,	1),
(41602,	3,	1211,	3,	1),
(41603,	3,	1211,	69,	1),
(41604,	3,	1211,	70,	1),
(41605,	3,	1211,	71,	1),
(41606,	3,	1211,	72,	1),
(41607,	3,	1211,	65,	1),
(41608,	3,	1211,	66,	1),
(41609,	3,	1211,	7,	1),
(41610,	3,	1211,	8,	1),
(41611,	3,	1211,	73,	1),
(41612,	3,	1211,	67,	1),
(41613,	3,	1211,	10,	1),
(41614,	3,	1211,	68,	1),
(41615,	3,	1211,	74,	1),
(41616,	3,	1211,	1,	3),
(41617,	3,	1211,	2,	3),
(41618,	3,	1211,	3,	3),
(41619,	3,	1211,	69,	3),
(41620,	3,	1211,	70,	3),
(41621,	3,	1211,	71,	3),
(41622,	3,	1211,	72,	3),
(41623,	3,	1211,	65,	3),
(41624,	3,	1211,	66,	3),
(41625,	3,	1211,	7,	3),
(41626,	3,	1211,	8,	3),
(41627,	3,	1211,	73,	3),
(41628,	3,	1211,	67,	3),
(41629,	3,	1211,	10,	3),
(41630,	3,	1211,	68,	3),
(41631,	3,	1211,	74,	3),
(41632,	3,	1212,	1,	1),
(41633,	3,	1212,	2,	1),
(41634,	3,	1212,	3,	1),
(41635,	3,	1212,	69,	1),
(41636,	3,	1212,	70,	1),
(41637,	3,	1212,	71,	1),
(41638,	3,	1212,	72,	1),
(41639,	3,	1212,	65,	1),
(41640,	3,	1212,	66,	1),
(41641,	3,	1212,	7,	1),
(41642,	3,	1212,	8,	1),
(41643,	3,	1212,	73,	1),
(41644,	3,	1212,	67,	1),
(41645,	3,	1212,	10,	1),
(41646,	3,	1212,	68,	1),
(41647,	3,	1212,	74,	1),
(41648,	3,	1212,	1,	3),
(41649,	3,	1212,	2,	3),
(41650,	3,	1212,	3,	3),
(41651,	3,	1212,	69,	3),
(41652,	3,	1212,	70,	3),
(41653,	3,	1212,	71,	3),
(41654,	3,	1212,	72,	3),
(41655,	3,	1212,	65,	3),
(41656,	3,	1212,	66,	3),
(41657,	3,	1212,	7,	3),
(41658,	3,	1212,	8,	3),
(41659,	3,	1212,	73,	3),
(41660,	3,	1212,	67,	3),
(41661,	3,	1212,	10,	3),
(41662,	3,	1212,	68,	3),
(41663,	3,	1212,	74,	3),
(41664,	3,	1213,	1,	1),
(41665,	3,	1213,	2,	1),
(41666,	3,	1213,	3,	1),
(41667,	3,	1213,	69,	1),
(41668,	3,	1213,	70,	1),
(41669,	3,	1213,	71,	1),
(41670,	3,	1213,	72,	1),
(41671,	3,	1213,	65,	1),
(41672,	3,	1213,	66,	1),
(41673,	3,	1213,	7,	1),
(41674,	3,	1213,	8,	1),
(41675,	3,	1213,	73,	1),
(41676,	3,	1213,	67,	1),
(41677,	3,	1213,	10,	1),
(41678,	3,	1213,	68,	1),
(41679,	3,	1213,	74,	1),
(41680,	3,	1213,	1,	3),
(41681,	3,	1213,	2,	3),
(41682,	3,	1213,	3,	3),
(41683,	3,	1213,	69,	3),
(41684,	3,	1213,	70,	3),
(41685,	3,	1213,	71,	3),
(41686,	3,	1213,	72,	3),
(41687,	3,	1213,	65,	3),
(41688,	3,	1213,	66,	3),
(41689,	3,	1213,	7,	3),
(41690,	3,	1213,	8,	3),
(41691,	3,	1213,	73,	3),
(41692,	3,	1213,	67,	3),
(41693,	3,	1213,	10,	3),
(41694,	3,	1213,	68,	3),
(41695,	3,	1213,	74,	3),
(41696,	3,	1214,	1,	1),
(41697,	3,	1214,	2,	1),
(41698,	3,	1214,	3,	1),
(41699,	3,	1214,	69,	1),
(41700,	3,	1214,	70,	1),
(41701,	3,	1214,	71,	1),
(41702,	3,	1214,	72,	1),
(41703,	3,	1214,	65,	1),
(41704,	3,	1214,	66,	1),
(41705,	3,	1214,	7,	1),
(41706,	3,	1214,	8,	1),
(41707,	3,	1214,	73,	1),
(41708,	3,	1214,	67,	1),
(41709,	3,	1214,	10,	1),
(41710,	3,	1214,	68,	1),
(41711,	3,	1214,	74,	1),
(41712,	3,	1214,	1,	3),
(41713,	3,	1214,	2,	3),
(41714,	3,	1214,	3,	3),
(41715,	3,	1214,	69,	3),
(41716,	3,	1214,	70,	3),
(41717,	3,	1214,	71,	3),
(41718,	3,	1214,	72,	3),
(41719,	3,	1214,	65,	3),
(41720,	3,	1214,	66,	3),
(41721,	3,	1214,	7,	3),
(41722,	3,	1214,	8,	3),
(41723,	3,	1214,	73,	3),
(41724,	3,	1214,	67,	3),
(41725,	3,	1214,	10,	3),
(41726,	3,	1214,	68,	3),
(41727,	3,	1214,	74,	3),
(41728,	3,	1215,	1,	1),
(41729,	3,	1215,	2,	1),
(41730,	3,	1215,	3,	1),
(41731,	3,	1215,	66,	1),
(41732,	3,	1215,	7,	1),
(41733,	3,	1215,	8,	1),
(41734,	3,	1215,	67,	1),
(41735,	3,	1215,	68,	1),
(41736,	3,	1215,	1,	3),
(41737,	3,	1215,	2,	3),
(41738,	3,	1215,	3,	3),
(41739,	3,	1215,	66,	3),
(41740,	3,	1215,	7,	3),
(41741,	3,	1215,	8,	3),
(41742,	3,	1215,	67,	3),
(41743,	3,	1215,	68,	3),
(41744,	3,	1216,	1,	1),
(41745,	3,	1216,	2,	1),
(41746,	3,	1216,	3,	1),
(41747,	3,	1216,	66,	1),
(41748,	3,	1216,	7,	1),
(41749,	3,	1216,	8,	1),
(41750,	3,	1216,	67,	1),
(41751,	3,	1216,	68,	1),
(41752,	3,	1216,	1,	3),
(41753,	3,	1216,	2,	3),
(41754,	3,	1216,	3,	3),
(41755,	3,	1216,	66,	3),
(41756,	3,	1216,	7,	3),
(41757,	3,	1216,	8,	3),
(41758,	3,	1216,	67,	3),
(41759,	3,	1216,	68,	3),
(41760,	3,	1217,	1,	1),
(41761,	3,	1217,	2,	1),
(41762,	3,	1217,	3,	1),
(41763,	3,	1217,	23,	1),
(41764,	3,	1217,	1,	3),
(41765,	3,	1217,	2,	3),
(41766,	3,	1217,	3,	3),
(41767,	3,	1217,	23,	3),
(41768,	3,	1218,	1,	1),
(41769,	3,	1218,	2,	1),
(41770,	3,	1218,	3,	1),
(41771,	3,	1218,	66,	1),
(41772,	3,	1218,	7,	1),
(41773,	3,	1218,	8,	1),
(41774,	3,	1218,	67,	1),
(41775,	3,	1218,	68,	1),
(41776,	3,	1218,	1,	3),
(41777,	3,	1218,	2,	3),
(41778,	3,	1218,	3,	3),
(41779,	3,	1218,	66,	3),
(41780,	3,	1218,	7,	3),
(41781,	3,	1218,	8,	3),
(41782,	3,	1218,	67,	3),
(41783,	3,	1218,	68,	3),
(41784,	3,	1219,	1,	1),
(41785,	3,	1219,	2,	1),
(41786,	3,	1219,	3,	1),
(41787,	3,	1219,	66,	1),
(41788,	3,	1219,	7,	1),
(41789,	3,	1219,	8,	1),
(41790,	3,	1219,	67,	1),
(41791,	3,	1219,	68,	1),
(41792,	3,	1219,	1,	3),
(41793,	3,	1219,	2,	3),
(41794,	3,	1219,	3,	3),
(41795,	3,	1219,	66,	3),
(41796,	3,	1219,	7,	3),
(41797,	3,	1219,	8,	3),
(41798,	3,	1219,	67,	3),
(41799,	3,	1219,	68,	3),
(41800,	3,	1220,	1,	1),
(41801,	3,	1220,	2,	1),
(41802,	3,	1220,	3,	1),
(41803,	3,	1220,	66,	1),
(41804,	3,	1220,	7,	1),
(41805,	3,	1220,	8,	1),
(41806,	3,	1220,	67,	1),
(41807,	3,	1220,	68,	1),
(41808,	3,	1220,	1,	3),
(41809,	3,	1220,	2,	3),
(41810,	3,	1220,	3,	3),
(41811,	3,	1220,	66,	3),
(41812,	3,	1220,	7,	3),
(41813,	3,	1220,	8,	3),
(41814,	3,	1220,	67,	3),
(41815,	3,	1220,	68,	3),
(41816,	3,	1221,	1,	1),
(41817,	3,	1221,	2,	1),
(41818,	3,	1221,	3,	1),
(41819,	3,	1221,	66,	1),
(41820,	3,	1221,	7,	1),
(41821,	3,	1221,	8,	1),
(41822,	3,	1221,	67,	1),
(41823,	3,	1221,	68,	1),
(41824,	3,	1221,	1,	3),
(41825,	3,	1221,	2,	3),
(41826,	3,	1221,	3,	3),
(41827,	3,	1221,	66,	3),
(41828,	3,	1221,	7,	3),
(41829,	3,	1221,	8,	3),
(41830,	3,	1221,	67,	3),
(41831,	3,	1221,	68,	3),
(41832,	3,	1222,	1,	1),
(41833,	3,	1222,	2,	1),
(41834,	3,	1222,	3,	1),
(41835,	3,	1222,	69,	1),
(41836,	3,	1222,	70,	1),
(41837,	3,	1222,	71,	1),
(41838,	3,	1222,	72,	1),
(41839,	3,	1222,	65,	1),
(41840,	3,	1222,	66,	1),
(41841,	3,	1222,	7,	1),
(41842,	3,	1222,	8,	1),
(41843,	3,	1222,	73,	1),
(41844,	3,	1222,	67,	1),
(41845,	3,	1222,	10,	1),
(41846,	3,	1222,	68,	1),
(41847,	3,	1222,	74,	1),
(41848,	3,	1222,	1,	3),
(41849,	3,	1222,	2,	3),
(41850,	3,	1222,	3,	3),
(41851,	3,	1222,	69,	3),
(41852,	3,	1222,	70,	3),
(41853,	3,	1222,	71,	3),
(41854,	3,	1222,	72,	3),
(41855,	3,	1222,	65,	3),
(41856,	3,	1222,	66,	3),
(41857,	3,	1222,	7,	3),
(41858,	3,	1222,	8,	3),
(41859,	3,	1222,	73,	3),
(41860,	3,	1222,	67,	3),
(41861,	3,	1222,	10,	3),
(41862,	3,	1222,	68,	3),
(41863,	3,	1222,	74,	3),
(41864,	3,	1223,	1,	1),
(41865,	3,	1223,	2,	1),
(41866,	3,	1223,	3,	1),
(41867,	3,	1223,	69,	1),
(41868,	3,	1223,	70,	1),
(41869,	3,	1223,	71,	1),
(41870,	3,	1223,	72,	1),
(41871,	3,	1223,	65,	1),
(41872,	3,	1223,	66,	1),
(41873,	3,	1223,	7,	1),
(41874,	3,	1223,	8,	1),
(41875,	3,	1223,	73,	1),
(41876,	3,	1223,	67,	1),
(41877,	3,	1223,	10,	1),
(41878,	3,	1223,	68,	1),
(41879,	3,	1223,	74,	1),
(41880,	3,	1223,	1,	3),
(41881,	3,	1223,	2,	3),
(41882,	3,	1223,	3,	3),
(41883,	3,	1223,	69,	3),
(41884,	3,	1223,	70,	3),
(41885,	3,	1223,	71,	3),
(41886,	3,	1223,	72,	3),
(41887,	3,	1223,	65,	3),
(41888,	3,	1223,	66,	3),
(41889,	3,	1223,	7,	3),
(41890,	3,	1223,	8,	3),
(41891,	3,	1223,	73,	3),
(41892,	3,	1223,	67,	3),
(41893,	3,	1223,	10,	3),
(41894,	3,	1223,	68,	3),
(41895,	3,	1223,	74,	3),
(41896,	3,	1224,	1,	1),
(41897,	3,	1224,	2,	1),
(41898,	3,	1224,	3,	1),
(41899,	3,	1224,	66,	1),
(41900,	3,	1224,	7,	1),
(41901,	3,	1224,	8,	1),
(41902,	3,	1224,	67,	1),
(41903,	3,	1224,	68,	1),
(41904,	3,	1224,	1,	3),
(41905,	3,	1224,	2,	3),
(41906,	3,	1224,	3,	3),
(41907,	3,	1224,	66,	3),
(41908,	3,	1224,	7,	3),
(41909,	3,	1224,	8,	3),
(41910,	3,	1224,	67,	3),
(41911,	3,	1224,	68,	3),
(41912,	3,	1225,	1,	1),
(41913,	3,	1225,	2,	1),
(41914,	3,	1225,	3,	1),
(41915,	3,	1225,	66,	1),
(41916,	3,	1225,	7,	1),
(41917,	3,	1225,	8,	1),
(41918,	3,	1225,	67,	1),
(41919,	3,	1225,	68,	1),
(41920,	3,	1225,	1,	3),
(41921,	3,	1225,	2,	3),
(41922,	3,	1225,	3,	3),
(41923,	3,	1225,	66,	3),
(41924,	3,	1225,	7,	3),
(41925,	3,	1225,	8,	3),
(41926,	3,	1225,	67,	3),
(41927,	3,	1225,	68,	3),
(41928,	3,	1226,	1,	1),
(41929,	3,	1226,	2,	1),
(41930,	3,	1226,	3,	1),
(41931,	3,	1226,	69,	1),
(41932,	3,	1226,	70,	1),
(41933,	3,	1226,	71,	1),
(41934,	3,	1226,	72,	1),
(41935,	3,	1226,	65,	1),
(41936,	3,	1226,	66,	1),
(41937,	3,	1226,	7,	1),
(41938,	3,	1226,	8,	1),
(41939,	3,	1226,	73,	1),
(41940,	3,	1226,	67,	1),
(41941,	3,	1226,	10,	1),
(41942,	3,	1226,	68,	1),
(41943,	3,	1226,	74,	1),
(41944,	3,	1226,	1,	3),
(41945,	3,	1226,	2,	3),
(41946,	3,	1226,	3,	3),
(41947,	3,	1226,	69,	3),
(41948,	3,	1226,	70,	3),
(41949,	3,	1226,	71,	3),
(41950,	3,	1226,	72,	3),
(41951,	3,	1226,	65,	3),
(41952,	3,	1226,	66,	3),
(41953,	3,	1226,	7,	3),
(41954,	3,	1226,	8,	3),
(41955,	3,	1226,	73,	3),
(41956,	3,	1226,	67,	3),
(41957,	3,	1226,	10,	3),
(41958,	3,	1226,	68,	3),
(41959,	3,	1226,	74,	3),
(41960,	3,	1227,	1,	1),
(41961,	3,	1227,	2,	1),
(41962,	3,	1227,	3,	1),
(41963,	3,	1227,	66,	1),
(41964,	3,	1227,	7,	1),
(41965,	3,	1227,	8,	1),
(41966,	3,	1227,	67,	1),
(41967,	3,	1227,	68,	1),
(41968,	3,	1227,	1,	3),
(41969,	3,	1227,	2,	3),
(41970,	3,	1227,	3,	3),
(41971,	3,	1227,	66,	3),
(41972,	3,	1227,	7,	3),
(41973,	3,	1227,	8,	3),
(41974,	3,	1227,	67,	3),
(41975,	3,	1227,	68,	3),
(41976,	3,	1228,	1,	1),
(41977,	3,	1228,	2,	1),
(41978,	3,	1228,	3,	1),
(41979,	3,	1228,	1,	2),
(41980,	3,	1228,	2,	2),
(41981,	3,	1228,	3,	2),
(41982,	3,	1229,	1,	1),
(41983,	3,	1229,	2,	1),
(41984,	3,	1229,	3,	1),
(41985,	3,	1229,	1,	2),
(41986,	3,	1229,	2,	2),
(41987,	3,	1229,	3,	2),
(41988,	3,	1230,	1,	1),
(41989,	3,	1230,	2,	1),
(41990,	3,	1230,	3,	1),
(41991,	3,	1230,	1,	2),
(41992,	3,	1230,	2,	2),
(41993,	3,	1230,	3,	2),
(41994,	3,	1231,	1,	1),
(41995,	3,	1231,	2,	1),
(41996,	3,	1231,	3,	1),
(41997,	3,	1231,	1,	2),
(41998,	3,	1231,	2,	2),
(41999,	3,	1231,	3,	2),
(42000,	3,	1232,	1,	1),
(42001,	3,	1232,	2,	1),
(42002,	3,	1232,	3,	1),
(42003,	3,	1232,	1,	2),
(42004,	3,	1232,	2,	2),
(42005,	3,	1232,	3,	2),
(42006,	3,	1233,	1,	1),
(42007,	3,	1233,	2,	1),
(42008,	3,	1233,	3,	1),
(42009,	3,	1234,	1,	1),
(42010,	3,	1234,	2,	1),
(42011,	3,	1234,	3,	1),
(42012,	3,	1234,	1,	2),
(42013,	3,	1234,	2,	2),
(42014,	3,	1234,	3,	2),
(42015,	3,	1235,	1,	1),
(42016,	3,	1235,	2,	1),
(42017,	3,	1235,	3,	1),
(42018,	3,	1236,	1,	1),
(42019,	3,	1236,	2,	1),
(42020,	3,	1236,	3,	1),
(42021,	3,	1236,	1,	2),
(42022,	3,	1236,	2,	2),
(42023,	3,	1236,	3,	2),
(42024,	3,	1237,	1,	1),
(42025,	3,	1237,	2,	1),
(42026,	3,	1237,	3,	1),
(42027,	3,	1237,	1,	2),
(42028,	3,	1237,	2,	2),
(42029,	3,	1237,	3,	2),
(42030,	3,	1238,	1,	1),
(42031,	3,	1238,	2,	1),
(42032,	3,	1238,	3,	1),
(42033,	3,	1238,	1,	2),
(42034,	3,	1238,	2,	2),
(42035,	3,	1238,	3,	2),
(42036,	3,	1239,	1,	1),
(42037,	3,	1239,	2,	1),
(42038,	3,	1239,	3,	1),
(42039,	3,	1240,	1,	1),
(42040,	3,	1240,	2,	1),
(42041,	3,	1240,	3,	1),
(42042,	3,	1240,	1,	2),
(42043,	3,	1240,	2,	2),
(42044,	3,	1240,	3,	2),
(42045,	3,	1241,	1,	1),
(42046,	3,	1241,	2,	1),
(42047,	3,	1241,	3,	1),
(42048,	3,	1241,	1,	2),
(42049,	3,	1241,	2,	2),
(42050,	3,	1241,	3,	2),
(42051,	3,	1242,	1,	1),
(42052,	3,	1242,	2,	1),
(42053,	3,	1242,	3,	1),
(42054,	3,	1242,	1,	2),
(42055,	3,	1242,	2,	2),
(42056,	3,	1242,	3,	2),
(42057,	3,	1243,	1,	1),
(42058,	3,	1243,	2,	1),
(42059,	3,	1243,	3,	1),
(42060,	3,	1244,	1,	1),
(42061,	3,	1244,	2,	1),
(42062,	3,	1244,	3,	1),
(42063,	3,	1244,	1,	3),
(42064,	3,	1244,	2,	3),
(42065,	3,	1244,	3,	3),
(42066,	3,	1245,	1,	1),
(42067,	3,	1245,	2,	1),
(42068,	3,	1245,	3,	1),
(42069,	3,	1246,	1,	1),
(42070,	3,	1246,	2,	1),
(42071,	3,	1246,	3,	1),
(42072,	3,	1246,	1,	2),
(42073,	3,	1246,	2,	2),
(42074,	3,	1246,	3,	2),
(42075,	3,	1247,	1,	1),
(42076,	3,	1247,	2,	1),
(42077,	3,	1247,	3,	1),
(42078,	3,	1247,	1,	3),
(42079,	3,	1247,	2,	3),
(42080,	3,	1247,	3,	3),
(42081,	3,	1248,	1,	1),
(42082,	3,	1248,	2,	1),
(42083,	3,	1248,	3,	1),
(42084,	3,	1248,	1,	2),
(42085,	3,	1248,	2,	2),
(42086,	3,	1248,	3,	2),
(42087,	3,	1249,	1,	1),
(42088,	3,	1249,	2,	1),
(42089,	3,	1249,	3,	1),
(42090,	3,	1249,	1,	2),
(42091,	3,	1249,	2,	2),
(42092,	3,	1249,	3,	2),
(42093,	3,	1250,	1,	1),
(42094,	3,	1250,	2,	1),
(42095,	3,	1250,	3,	1),
(42096,	3,	1250,	1,	2),
(42097,	3,	1250,	2,	2),
(42098,	3,	1250,	3,	2),
(42099,	3,	1251,	1,	1),
(42100,	3,	1251,	2,	1),
(42101,	3,	1251,	3,	1),
(42102,	3,	1251,	1,	2),
(42103,	3,	1251,	2,	2),
(42104,	3,	1251,	3,	2),
(42105,	3,	1252,	1,	1),
(42106,	3,	1252,	2,	1),
(42107,	3,	1252,	3,	1),
(42108,	3,	1252,	1,	2),
(42109,	3,	1252,	2,	2),
(42110,	3,	1252,	3,	2),
(42111,	3,	1253,	1,	1),
(42112,	3,	1253,	2,	1),
(42113,	3,	1253,	3,	1),
(42114,	3,	1253,	1,	2),
(42115,	3,	1253,	2,	2),
(42116,	3,	1253,	3,	2),
(42117,	3,	1254,	1,	1),
(42118,	3,	1254,	2,	1),
(42119,	3,	1254,	3,	1),
(42120,	3,	1254,	1,	2),
(42121,	3,	1254,	2,	2),
(42122,	3,	1254,	3,	2),
(42123,	3,	1255,	1,	1),
(42124,	3,	1255,	2,	1),
(42125,	3,	1255,	3,	1),
(42126,	3,	1255,	1,	2),
(42127,	3,	1255,	2,	2),
(42128,	3,	1255,	3,	2),
(42129,	3,	1256,	1,	1),
(42130,	3,	1256,	2,	1),
(42131,	3,	1256,	3,	1),
(42132,	3,	1256,	1,	2),
(42133,	3,	1256,	2,	2),
(42134,	3,	1256,	3,	2),
(42135,	3,	1257,	1,	1),
(42136,	3,	1258,	3,	1),
(42137,	3,	1259,	1,	1),
(42138,	3,	1260,	1,	1),
(42139,	3,	1260,	2,	1),
(42140,	3,	1260,	3,	1),
(42141,	3,	1260,	1,	2),
(42142,	3,	1260,	2,	2),
(42143,	3,	1260,	3,	2),
(42144,	3,	1261,	1,	1),
(42145,	3,	1261,	2,	1),
(42146,	3,	1261,	3,	1),
(42147,	3,	1261,	1,	2),
(42148,	3,	1261,	2,	2),
(42149,	3,	1261,	3,	2),
(42150,	3,	1262,	1,	1),
(42151,	3,	1262,	2,	1),
(42152,	3,	1262,	3,	1),
(42153,	3,	1262,	1,	2),
(42154,	3,	1262,	2,	2),
(42155,	3,	1262,	3,	2),
(42156,	3,	1263,	1,	1),
(42157,	3,	1263,	2,	1),
(42158,	3,	1263,	3,	1),
(42159,	3,	1264,	1,	1),
(42160,	3,	1264,	2,	1),
(42161,	3,	1264,	3,	1),
(42162,	3,	1264,	1,	2),
(42163,	3,	1264,	2,	2),
(42164,	3,	1264,	3,	2),
(42165,	3,	1265,	1,	1),
(42166,	3,	1265,	2,	1),
(42167,	3,	1265,	3,	1),
(42168,	3,	1265,	1,	2),
(42169,	3,	1265,	2,	2),
(42170,	3,	1265,	3,	2),
(42171,	3,	1266,	1,	1),
(42172,	3,	1266,	2,	1),
(42173,	3,	1266,	3,	1),
(42174,	3,	1267,	1,	1),
(42175,	3,	1267,	2,	1),
(42176,	3,	1267,	3,	1),
(42177,	3,	1267,	1,	2),
(42178,	3,	1267,	2,	2),
(42179,	3,	1267,	3,	2),
(42180,	3,	1268,	1,	1),
(42181,	3,	1268,	2,	1),
(42182,	3,	1268,	3,	1),
(42183,	3,	1269,	1,	1),
(42184,	3,	1269,	2,	1),
(42185,	3,	1269,	3,	1),
(42186,	3,	1270,	1,	1),
(42187,	3,	1270,	2,	1),
(42188,	3,	1270,	3,	1),
(42189,	3,	1270,	1,	2),
(42190,	3,	1270,	2,	2),
(42191,	3,	1270,	3,	2),
(42192,	3,	1271,	1,	1),
(42193,	3,	1271,	2,	1),
(42194,	3,	1271,	3,	1),
(42195,	3,	1271,	1,	2),
(42196,	3,	1271,	2,	2),
(42197,	3,	1271,	3,	2),
(42198,	3,	1272,	1,	1),
(42199,	3,	1272,	2,	1),
(42200,	3,	1272,	3,	1),
(42201,	3,	1273,	1,	1),
(42202,	3,	1273,	2,	1),
(42203,	3,	1273,	3,	1),
(42204,	3,	1274,	1,	1),
(42205,	3,	1274,	2,	1),
(42206,	3,	1274,	3,	1),
(42207,	3,	1275,	1,	1),
(42208,	3,	1275,	2,	1),
(42209,	3,	1275,	3,	1),
(42210,	3,	1275,	1,	2),
(42211,	3,	1275,	2,	2),
(42212,	3,	1275,	3,	2),
(42213,	3,	1276,	1,	1),
(42214,	3,	1276,	2,	1),
(42215,	3,	1276,	3,	1),
(42216,	3,	1276,	1,	2),
(42217,	3,	1276,	2,	2),
(42218,	3,	1276,	3,	2),
(42219,	3,	1277,	1,	1),
(42220,	3,	1277,	2,	1),
(42221,	3,	1277,	3,	1),
(42222,	3,	1277,	1,	2),
(42223,	3,	1277,	2,	2),
(42224,	3,	1277,	3,	2),
(42225,	3,	1278,	1,	1),
(42226,	3,	1278,	2,	1),
(42227,	3,	1278,	3,	1),
(42228,	3,	1278,	1,	2),
(42229,	3,	1278,	2,	2),
(42230,	3,	1278,	3,	2),
(42231,	3,	1279,	1,	1),
(42232,	3,	1279,	2,	1),
(42233,	3,	1279,	3,	1),
(42234,	3,	1279,	1,	2),
(42235,	3,	1279,	2,	2),
(42236,	3,	1279,	3,	2),
(42237,	3,	1280,	1,	1),
(42238,	3,	1280,	2,	1),
(42239,	3,	1280,	3,	1),
(42240,	3,	1280,	1,	2),
(42241,	3,	1280,	2,	2),
(42242,	3,	1280,	3,	2),
(42243,	3,	1281,	1,	1),
(42244,	3,	1281,	2,	1),
(42245,	3,	1281,	3,	1),
(42246,	3,	1281,	1,	2),
(42247,	3,	1281,	2,	2),
(42248,	3,	1281,	3,	2),
(42249,	3,	1282,	1,	1),
(42250,	3,	1282,	2,	1),
(42251,	3,	1282,	3,	1),
(42252,	3,	1282,	1,	2),
(42253,	3,	1282,	2,	2),
(42254,	3,	1282,	3,	2),
(42255,	3,	1283,	1,	1),
(42256,	3,	1283,	2,	1),
(42257,	3,	1283,	3,	1),
(42258,	3,	1283,	1,	2),
(42259,	3,	1283,	2,	2),
(42260,	3,	1283,	3,	2),
(42261,	3,	1284,	1,	1),
(42262,	3,	1284,	2,	1),
(42263,	3,	1284,	3,	1),
(42264,	3,	1284,	1,	2),
(42265,	3,	1284,	2,	2),
(42266,	3,	1284,	3,	2),
(42267,	3,	1285,	1,	1),
(42268,	3,	1285,	2,	1),
(42269,	3,	1285,	3,	1),
(42270,	3,	1285,	1,	2),
(42271,	3,	1285,	2,	2),
(42272,	3,	1285,	3,	2),
(42273,	3,	1286,	1,	1),
(42274,	3,	1286,	2,	1),
(42275,	3,	1286,	3,	1),
(42276,	3,	1286,	1,	2),
(42277,	3,	1286,	2,	2),
(42278,	3,	1286,	3,	2),
(42279,	3,	1287,	1,	1),
(42280,	3,	1287,	2,	1),
(42281,	3,	1287,	3,	1),
(42282,	3,	1287,	6,	1),
(42283,	3,	1287,	24,	1),
(42284,	3,	1287,	25,	1),
(42285,	3,	1287,	4,	1),
(42286,	3,	1287,	23,	1),
(42287,	3,	1288,	1,	1),
(42288,	3,	1288,	2,	1),
(42289,	3,	1288,	3,	1),
(42290,	3,	1288,	6,	1),
(42291,	3,	1288,	24,	1),
(42292,	3,	1288,	25,	1),
(42293,	3,	1288,	4,	1),
(42294,	3,	1288,	23,	1),
(42295,	3,	1289,	1,	1),
(42296,	3,	1289,	2,	1),
(42297,	3,	1289,	3,	1),
(42298,	3,	1289,	6,	1),
(42299,	3,	1289,	24,	1),
(42300,	3,	1289,	25,	1),
(42301,	3,	1289,	4,	1),
(42302,	3,	1289,	23,	1),
(42303,	3,	1290,	1,	1),
(42304,	3,	1290,	2,	1),
(42305,	3,	1290,	3,	1),
(42306,	3,	1290,	6,	1),
(42307,	3,	1290,	24,	1),
(42308,	3,	1290,	25,	1),
(42309,	3,	1290,	4,	1),
(42310,	3,	1290,	23,	1),
(42311,	3,	1291,	1,	1),
(42312,	3,	1291,	2,	1),
(42313,	3,	1291,	3,	1),
(42314,	3,	1291,	6,	1),
(42315,	3,	1291,	24,	1),
(42316,	3,	1291,	25,	1),
(42317,	3,	1291,	4,	1),
(42318,	3,	1291,	23,	1),
(42319,	3,	1292,	1,	1),
(42320,	3,	1292,	2,	1),
(42321,	3,	1292,	3,	1),
(42322,	3,	1292,	6,	1),
(42323,	3,	1292,	24,	1),
(42324,	3,	1292,	25,	1),
(42325,	3,	1292,	4,	1),
(42326,	3,	1292,	23,	1),
(42327,	3,	1293,	1,	1),
(42328,	3,	1293,	2,	1),
(42329,	3,	1293,	3,	1),
(42330,	3,	1293,	6,	1),
(42331,	3,	1293,	24,	1),
(42332,	3,	1293,	25,	1),
(42333,	3,	1293,	4,	1),
(42334,	3,	1293,	23,	1),
(42335,	3,	1294,	1,	1),
(42336,	3,	1294,	2,	1),
(42337,	3,	1294,	3,	1),
(42338,	3,	1294,	6,	1),
(42339,	3,	1294,	24,	1),
(42340,	3,	1294,	25,	1),
(42341,	3,	1294,	4,	1),
(42342,	3,	1294,	23,	1),
(42343,	3,	1295,	1,	1),
(42344,	3,	1295,	2,	1),
(42345,	3,	1295,	3,	1),
(42346,	3,	1295,	6,	1),
(42347,	3,	1295,	24,	1),
(42348,	3,	1295,	25,	1),
(42349,	3,	1295,	4,	1),
(42350,	3,	1295,	23,	1),
(42351,	3,	1296,	1,	1),
(42352,	3,	1296,	2,	1),
(42353,	3,	1296,	3,	1),
(42354,	3,	1296,	6,	1),
(42355,	3,	1296,	24,	1),
(42356,	3,	1296,	25,	1),
(42357,	3,	1296,	4,	1),
(42358,	3,	1296,	23,	1),
(42359,	3,	1297,	1,	1),
(42360,	3,	1297,	2,	1),
(42361,	3,	1297,	3,	1),
(42362,	3,	1297,	6,	1),
(42363,	3,	1297,	24,	1),
(42364,	3,	1297,	25,	1),
(42365,	3,	1297,	4,	1),
(42366,	3,	1297,	23,	1),
(42367,	3,	1297,	26,	1),
(42368,	3,	1298,	1,	1),
(42369,	3,	1298,	2,	1),
(42370,	3,	1298,	3,	1),
(42371,	3,	1299,	1,	1),
(42372,	3,	1299,	2,	1),
(42373,	3,	1299,	3,	1),
(42374,	3,	1299,	6,	1),
(42375,	3,	1299,	24,	1),
(42376,	3,	1299,	25,	1),
(42377,	3,	1299,	4,	1),
(42378,	3,	1299,	23,	1),
(42379,	3,	1300,	1,	1),
(42380,	3,	1300,	2,	1),
(42381,	3,	1300,	3,	1),
(42382,	3,	1300,	6,	1),
(42383,	3,	1300,	24,	1),
(42384,	3,	1300,	25,	1),
(42385,	3,	1300,	4,	1),
(42386,	3,	1300,	23,	1),
(42387,	3,	1301,	1,	1),
(42388,	3,	1301,	2,	1),
(42389,	3,	1301,	3,	1),
(42390,	3,	1302,	1,	1),
(42391,	3,	1302,	2,	1),
(42392,	3,	1302,	3,	1),
(42393,	3,	1302,	6,	1),
(42394,	3,	1302,	24,	1),
(42395,	3,	1302,	25,	1),
(42396,	3,	1302,	4,	1),
(42397,	3,	1302,	23,	1),
(42398,	3,	1303,	1,	1),
(42399,	3,	1303,	2,	1),
(42400,	3,	1303,	3,	1),
(42401,	3,	1303,	6,	1),
(42402,	3,	1303,	24,	1),
(42403,	3,	1303,	25,	1),
(42404,	3,	1303,	4,	1),
(42405,	3,	1303,	23,	1),
(42406,	3,	1304,	1,	1),
(42407,	3,	1304,	2,	1),
(42408,	3,	1304,	3,	1),
(42409,	3,	1305,	1,	1),
(42410,	3,	1305,	2,	1),
(42411,	3,	1305,	3,	1),
(42412,	3,	1305,	6,	1),
(42413,	3,	1305,	24,	1),
(42414,	3,	1305,	25,	1),
(42415,	3,	1305,	4,	1),
(42416,	3,	1305,	23,	1),
(42417,	3,	1306,	1,	1),
(42418,	3,	1306,	2,	1),
(42419,	3,	1306,	3,	1),
(42420,	3,	1306,	1,	2),
(42421,	3,	1306,	2,	2),
(42422,	3,	1306,	3,	2),
(42423,	3,	1307,	1,	1),
(42424,	3,	1307,	2,	1),
(42425,	3,	1307,	3,	1),
(42426,	3,	1307,	1,	2),
(42427,	3,	1307,	2,	2),
(42428,	3,	1307,	3,	2),
(42429,	3,	1308,	1,	1),
(42430,	3,	1308,	2,	1),
(42431,	3,	1308,	3,	1),
(42432,	3,	1308,	6,	1),
(42433,	3,	1308,	24,	1),
(42434,	3,	1308,	25,	1),
(42435,	3,	1308,	4,	1),
(42436,	3,	1308,	23,	1),
(42437,	3,	1309,	1,	1),
(42438,	3,	1309,	2,	1),
(42439,	3,	1309,	3,	1),
(42440,	3,	1309,	23,	1),
(42441,	3,	1309,	6,	1),
(42442,	3,	1309,	24,	1),
(42443,	3,	1309,	25,	1),
(42444,	3,	1309,	4,	1),
(42445,	3,	1309,	26,	1),
(42446,	3,	1310,	1,	1),
(42447,	3,	1310,	2,	1),
(42448,	3,	1310,	3,	1),
(42449,	3,	1311,	1,	1),
(42450,	3,	1311,	2,	1),
(42451,	3,	1311,	3,	1),
(42452,	3,	1311,	23,	1),
(42453,	3,	1311,	6,	1),
(42454,	3,	1311,	24,	1),
(42455,	3,	1311,	25,	1),
(42456,	3,	1311,	4,	1),
(42457,	3,	1311,	26,	1),
(42458,	3,	1312,	1,	1),
(42459,	3,	1312,	2,	1),
(42460,	3,	1312,	3,	1),
(42461,	3,	1312,	23,	1),
(42462,	3,	1312,	6,	1),
(42463,	3,	1312,	24,	1),
(42464,	3,	1312,	25,	1),
(42465,	3,	1312,	4,	1),
(42466,	3,	1312,	26,	1),
(42467,	3,	1313,	1,	1),
(42468,	3,	1313,	2,	1),
(42469,	3,	1313,	3,	1),
(42470,	3,	1314,	1,	1),
(42471,	3,	1314,	2,	1),
(42472,	3,	1314,	3,	1),
(42473,	3,	1314,	23,	1),
(42474,	3,	1314,	6,	1),
(42475,	3,	1314,	24,	1),
(42476,	3,	1314,	25,	1),
(42477,	3,	1314,	4,	1),
(42478,	3,	1314,	26,	1),
(42479,	3,	1315,	1,	1),
(42480,	3,	1315,	2,	1),
(42481,	3,	1315,	3,	1),
(42482,	3,	1315,	23,	1),
(42483,	3,	1315,	6,	1),
(42484,	3,	1315,	24,	1),
(42485,	3,	1315,	25,	1),
(42486,	3,	1315,	4,	1),
(42487,	3,	1315,	26,	1),
(42488,	3,	1316,	1,	1),
(42489,	3,	1316,	2,	1),
(42490,	3,	1316,	3,	1),
(42491,	3,	1317,	1,	1),
(42492,	3,	1317,	2,	1),
(42493,	3,	1317,	3,	1),
(42494,	3,	1317,	23,	1),
(42495,	3,	1317,	6,	1),
(42496,	3,	1317,	24,	1),
(42497,	3,	1317,	25,	1),
(42498,	3,	1317,	4,	1),
(42499,	3,	1317,	26,	1),
(42500,	3,	1318,	1,	1),
(42501,	3,	1318,	2,	1),
(42502,	3,	1318,	3,	1),
(42503,	3,	1318,	1,	2),
(42504,	3,	1318,	2,	2),
(42505,	3,	1318,	3,	2),
(42506,	3,	1319,	1,	1),
(42507,	3,	1319,	2,	1),
(42508,	3,	1319,	3,	1),
(42509,	3,	1319,	1,	2),
(42510,	3,	1319,	2,	2),
(42511,	3,	1319,	3,	2),
(42512,	3,	1320,	1,	1),
(42513,	3,	1320,	2,	1),
(42514,	3,	1320,	3,	1),
(42515,	3,	1320,	1,	2),
(42516,	3,	1320,	2,	2),
(42517,	3,	1320,	3,	2),
(42518,	3,	1321,	1,	1),
(42519,	3,	1321,	2,	1),
(42520,	3,	1321,	3,	1),
(42521,	3,	1322,	1,	1),
(42522,	3,	1322,	2,	1),
(42523,	3,	1322,	3,	1),
(42524,	3,	1323,	1,	1),
(42525,	3,	1323,	2,	1),
(42526,	3,	1323,	3,	1),
(42527,	3,	1324,	1,	1),
(42528,	3,	1324,	2,	1),
(42529,	3,	1324,	3,	1),
(42530,	3,	1325,	1,	1),
(42531,	3,	1325,	2,	1),
(42532,	3,	1325,	3,	1),
(42533,	3,	1326,	1,	1),
(42534,	3,	1326,	2,	1),
(42535,	3,	1326,	3,	1),
(42536,	3,	1327,	1,	1),
(42537,	3,	1327,	2,	1),
(42538,	3,	1327,	3,	1),
(42539,	3,	1328,	1,	1),
(42540,	3,	1328,	2,	1),
(42541,	3,	1328,	3,	1),
(42542,	3,	1329,	1,	1),
(42543,	3,	1329,	2,	1),
(42544,	3,	1329,	3,	1),
(42545,	3,	1330,	1,	1),
(42546,	3,	1330,	2,	1),
(42547,	3,	1330,	3,	1),
(42548,	3,	1331,	1,	1),
(42549,	3,	1331,	2,	1),
(42550,	3,	1331,	3,	1),
(42551,	3,	1332,	1,	1),
(42552,	3,	1332,	2,	1),
(42553,	3,	1332,	3,	1),
(42554,	3,	1333,	1,	1),
(42555,	3,	1333,	2,	1),
(42556,	3,	1333,	3,	1),
(42557,	3,	1334,	1,	1),
(42558,	3,	1334,	2,	1),
(42559,	3,	1334,	3,	1),
(42560,	3,	1335,	1,	1),
(42561,	3,	1335,	2,	1),
(42562,	3,	1335,	3,	1),
(42563,	3,	1336,	1,	1),
(42564,	3,	1336,	2,	1),
(42565,	3,	1336,	3,	1),
(42566,	3,	1337,	1,	1),
(42567,	3,	1337,	2,	1),
(42568,	3,	1337,	3,	1),
(42569,	3,	1338,	1,	1),
(42570,	3,	1338,	2,	1),
(42571,	3,	1338,	3,	1),
(42572,	3,	1339,	1,	1),
(42573,	3,	1339,	2,	1),
(42574,	3,	1339,	3,	1),
(42575,	3,	1340,	1,	1),
(42576,	3,	1340,	2,	1),
(42577,	3,	1340,	3,	1),
(42578,	3,	1341,	1,	1),
(42579,	3,	1341,	2,	1),
(42580,	3,	1341,	3,	1),
(42581,	3,	1342,	1,	1),
(42582,	3,	1342,	2,	1),
(42583,	3,	1342,	3,	1),
(42584,	3,	1343,	1,	1),
(42585,	3,	1343,	2,	1),
(42586,	3,	1343,	3,	1),
(42587,	3,	1343,	24,	1),
(42588,	3,	1344,	1,	1),
(42589,	3,	1344,	2,	1),
(42590,	3,	1344,	3,	1),
(42591,	3,	1344,	24,	1),
(42592,	3,	1345,	1,	1),
(42593,	3,	1345,	2,	1),
(42594,	3,	1345,	3,	1),
(42595,	3,	1345,	24,	1),
(42596,	3,	1346,	1,	1),
(42597,	3,	1346,	2,	1),
(42598,	3,	1346,	3,	1),
(42599,	3,	1346,	24,	1),
(42600,	3,	1347,	1,	1),
(42601,	3,	1347,	2,	1),
(42602,	3,	1347,	3,	1),
(42603,	3,	1347,	24,	1),
(42604,	3,	1348,	1,	1),
(42605,	3,	1348,	2,	1),
(42606,	3,	1348,	3,	1),
(42607,	3,	1348,	24,	1),
(42608,	3,	1349,	1,	1),
(42609,	3,	1349,	2,	1),
(42610,	3,	1349,	3,	1),
(42611,	3,	1350,	1,	1),
(42612,	3,	1350,	2,	1),
(42613,	3,	1350,	3,	1),
(42614,	3,	1350,	23,	1),
(42615,	3,	1350,	6,	1),
(42616,	3,	1350,	24,	1),
(42617,	3,	1350,	25,	1),
(42618,	3,	1350,	4,	1),
(42619,	3,	1350,	5,	1),
(42620,	3,	1351,	1,	1),
(42621,	3,	1351,	2,	1),
(42622,	3,	1351,	3,	1),
(42623,	3,	1352,	1,	1),
(42624,	3,	1352,	2,	1),
(42625,	3,	1352,	3,	1),
(42626,	3,	1352,	23,	1),
(42627,	3,	1352,	6,	1),
(42628,	3,	1352,	24,	1),
(42629,	3,	1352,	25,	1),
(42630,	3,	1352,	4,	1),
(42631,	3,	1352,	5,	1),
(42632,	3,	1353,	1,	1),
(42633,	3,	1353,	2,	1),
(42634,	3,	1353,	3,	1),
(42635,	3,	1354,	1,	1),
(42636,	3,	1354,	2,	1),
(42637,	3,	1354,	3,	1),
(42638,	3,	1354,	23,	1),
(42639,	3,	1354,	6,	1),
(42640,	3,	1354,	24,	1),
(42641,	3,	1354,	25,	1),
(42642,	3,	1354,	4,	1),
(42643,	3,	1354,	5,	1),
(42644,	3,	1355,	1,	1),
(42645,	3,	1355,	2,	1),
(42646,	3,	1355,	3,	1),
(42647,	3,	1356,	1,	1),
(42648,	3,	1356,	2,	1),
(42649,	3,	1356,	3,	1),
(42650,	3,	1357,	1,	1),
(42651,	3,	1357,	2,	1),
(42652,	3,	1357,	3,	1),
(42653,	3,	1357,	23,	1),
(42654,	3,	1357,	6,	1),
(42655,	3,	1357,	24,	1),
(42656,	3,	1357,	25,	1),
(42657,	3,	1357,	4,	1),
(42658,	3,	1357,	5,	1),
(42659,	3,	1358,	1,	1),
(42660,	3,	1358,	2,	1),
(42661,	3,	1358,	3,	1),
(42662,	3,	1359,	1,	1),
(42663,	3,	1359,	2,	1),
(42664,	3,	1359,	3,	1),
(42665,	3,	1359,	23,	1),
(42666,	3,	1359,	6,	1),
(42667,	3,	1359,	24,	1),
(42668,	3,	1359,	25,	1),
(42669,	3,	1359,	4,	1),
(42670,	3,	1359,	5,	1),
(42671,	3,	1360,	1,	1),
(42672,	3,	1360,	2,	1),
(42673,	3,	1360,	3,	1),
(42674,	3,	1360,	23,	1),
(42675,	3,	1360,	6,	1),
(42676,	3,	1360,	24,	1),
(42677,	3,	1360,	25,	1),
(42678,	3,	1360,	4,	1),
(42679,	3,	1360,	5,	1),
(42680,	3,	1361,	1,	1),
(42681,	3,	1361,	2,	1),
(42682,	3,	1361,	3,	1),
(42683,	3,	1361,	23,	1),
(42684,	3,	1361,	6,	1),
(42685,	3,	1361,	24,	1),
(42686,	3,	1361,	25,	1),
(42687,	3,	1361,	4,	1),
(42688,	3,	1361,	5,	1),
(42689,	3,	1362,	1,	1),
(42690,	3,	1362,	2,	1),
(42691,	3,	1362,	3,	1),
(42692,	3,	1363,	1,	1),
(42693,	3,	1363,	2,	1),
(42694,	3,	1363,	3,	1),
(42695,	3,	1363,	23,	1),
(42696,	3,	1363,	6,	1),
(42697,	3,	1363,	24,	1),
(42698,	3,	1363,	25,	1),
(42699,	3,	1363,	4,	1),
(42700,	3,	1363,	5,	1),
(42701,	3,	1364,	1,	1),
(42702,	3,	1364,	2,	1),
(42703,	3,	1364,	3,	1),
(42704,	3,	1365,	1,	1),
(42705,	3,	1365,	2,	1),
(42706,	3,	1365,	3,	1),
(42707,	3,	1366,	1,	1),
(42708,	3,	1366,	2,	1),
(42709,	3,	1366,	3,	1),
(42710,	3,	1367,	1,	1),
(42711,	3,	1367,	2,	1),
(42712,	3,	1367,	3,	1),
(42713,	3,	1368,	1,	1),
(42714,	3,	1368,	2,	1),
(42715,	3,	1368,	3,	1),
(42716,	3,	1369,	1,	1),
(42717,	3,	1369,	2,	1),
(42718,	3,	1369,	3,	1),
(42719,	3,	1370,	1,	1),
(42720,	3,	1370,	2,	1),
(42721,	3,	1370,	3,	1),
(42722,	3,	1371,	1,	1),
(42723,	3,	1371,	2,	1),
(42724,	3,	1371,	3,	1),
(42725,	3,	1372,	1,	1),
(42726,	3,	1372,	2,	1),
(42727,	3,	1372,	3,	1),
(42728,	3,	1372,	23,	1),
(42729,	3,	1372,	6,	1),
(42730,	3,	1372,	24,	1),
(42731,	3,	1372,	25,	1),
(42732,	3,	1372,	4,	1),
(42733,	3,	1372,	5,	1),
(42734,	3,	1373,	1,	1),
(42735,	3,	1373,	2,	1),
(42736,	3,	1373,	3,	1),
(42737,	3,	1373,	23,	1),
(42738,	3,	1373,	6,	1),
(42739,	3,	1373,	24,	1),
(42740,	3,	1373,	25,	1),
(42741,	3,	1373,	4,	1),
(42742,	3,	1373,	5,	1),
(42743,	3,	1374,	1,	1),
(42744,	3,	1374,	2,	1),
(42745,	3,	1374,	3,	1),
(42746,	3,	1375,	1,	1),
(42747,	3,	1375,	2,	1),
(42748,	3,	1375,	3,	1),
(42749,	3,	1375,	23,	1),
(42750,	3,	1375,	6,	1),
(42751,	3,	1375,	24,	1),
(42752,	3,	1375,	25,	1),
(42753,	3,	1375,	4,	1),
(42754,	3,	1375,	5,	1),
(42755,	3,	1376,	1,	1),
(42756,	3,	1376,	2,	1),
(42757,	3,	1376,	3,	1),
(42758,	3,	1376,	23,	1),
(42759,	3,	1376,	6,	1),
(42760,	3,	1376,	24,	1),
(42761,	3,	1376,	25,	1),
(42762,	3,	1376,	4,	1),
(42763,	3,	1376,	5,	1),
(42764,	3,	1377,	1,	1),
(42765,	3,	1377,	2,	1),
(42766,	3,	1377,	3,	1),
(42767,	3,	1377,	23,	1),
(42768,	3,	1377,	6,	1),
(42769,	3,	1377,	24,	1),
(42770,	3,	1377,	25,	1),
(42771,	3,	1377,	4,	1),
(42772,	3,	1377,	5,	1),
(42773,	3,	1378,	1,	1),
(42774,	3,	1378,	2,	1),
(42775,	3,	1378,	3,	1),
(42776,	3,	1379,	1,	1),
(42777,	3,	1379,	2,	1),
(42778,	3,	1379,	3,	1),
(42779,	3,	1380,	1,	1),
(42780,	3,	1380,	2,	1),
(42781,	3,	1380,	3,	1),
(42782,	3,	1381,	1,	1),
(42783,	3,	1381,	2,	1),
(42784,	3,	1381,	3,	1),
(42785,	3,	1382,	1,	1),
(42786,	3,	1382,	2,	1),
(42787,	3,	1382,	3,	1),
(42788,	3,	1383,	1,	1),
(42789,	3,	1383,	2,	1),
(42790,	3,	1383,	3,	1),
(42791,	3,	1384,	1,	1),
(42792,	3,	1384,	2,	1),
(42793,	3,	1384,	3,	1),
(42794,	3,	1385,	1,	1),
(42795,	3,	1385,	2,	1),
(42796,	3,	1385,	3,	1),
(42797,	3,	1386,	1,	1),
(42798,	3,	1386,	2,	1),
(42799,	3,	1386,	3,	1),
(42800,	3,	1387,	1,	1),
(42801,	3,	1387,	2,	1),
(42802,	3,	1387,	3,	1),
(42803,	3,	1387,	23,	1),
(42804,	3,	1387,	6,	1),
(42805,	3,	1387,	24,	1),
(42806,	3,	1387,	25,	1),
(42807,	3,	1387,	4,	1),
(42808,	3,	1388,	1,	1),
(42809,	3,	1388,	2,	1),
(42810,	3,	1388,	3,	1),
(42811,	3,	1388,	23,	1),
(42812,	3,	1388,	6,	1),
(42813,	3,	1388,	24,	1),
(42814,	3,	1388,	25,	1),
(42815,	3,	1388,	4,	1),
(42816,	3,	1389,	1,	1),
(42817,	3,	1389,	2,	1),
(42818,	3,	1389,	3,	1),
(42819,	3,	1389,	23,	1),
(42820,	3,	1389,	6,	1),
(42821,	3,	1389,	24,	1),
(42822,	3,	1389,	25,	1),
(42823,	3,	1389,	4,	1),
(42824,	3,	1390,	1,	1),
(42825,	3,	1390,	2,	1),
(42826,	3,	1390,	3,	1),
(42827,	3,	1391,	1,	1),
(42828,	3,	1391,	2,	1),
(42829,	3,	1391,	3,	1),
(42830,	3,	1391,	23,	1),
(42831,	3,	1391,	6,	1),
(42832,	3,	1391,	24,	1),
(42833,	3,	1391,	25,	1),
(42834,	3,	1391,	4,	1),
(42835,	3,	1392,	1,	1),
(42836,	3,	1392,	2,	1),
(42837,	3,	1392,	3,	1),
(42838,	3,	1393,	1,	1),
(42839,	3,	1393,	2,	1),
(42840,	3,	1393,	3,	1),
(42841,	3,	1393,	23,	1),
(42842,	3,	1393,	6,	1),
(42843,	3,	1393,	24,	1),
(42844,	3,	1393,	25,	1),
(42845,	3,	1393,	4,	1),
(42846,	3,	1394,	1,	1),
(42847,	3,	1394,	2,	1),
(42848,	3,	1394,	3,	1),
(42849,	3,	1395,	1,	1),
(42850,	3,	1395,	2,	1),
(42851,	3,	1395,	3,	1),
(42852,	3,	1396,	1,	1),
(42853,	3,	1396,	2,	1),
(42854,	3,	1396,	3,	1),
(42855,	3,	1397,	1,	1),
(42856,	3,	1397,	2,	1),
(42857,	3,	1397,	3,	1),
(42858,	3,	1398,	1,	1),
(42859,	3,	1398,	2,	1),
(42860,	3,	1398,	3,	1),
(42861,	3,	1399,	1,	1),
(42862,	3,	1399,	2,	1),
(42863,	3,	1399,	3,	1),
(42864,	3,	1400,	1,	1),
(42865,	3,	1400,	2,	1),
(42866,	3,	1400,	3,	1),
(42867,	3,	1401,	1,	1),
(42868,	3,	1401,	2,	1),
(42869,	3,	1401,	3,	1),
(42870,	3,	1401,	1,	2),
(42871,	3,	1401,	2,	2),
(42872,	3,	1401,	3,	2),
(42873,	3,	1402,	1,	1),
(42874,	3,	1402,	2,	1),
(42875,	3,	1402,	3,	1),
(42876,	3,	1402,	1,	2),
(42877,	3,	1402,	2,	2),
(42878,	3,	1402,	3,	2),
(42879,	3,	1403,	1,	1),
(42880,	3,	1403,	2,	1),
(42881,	3,	1403,	3,	1),
(42882,	3,	1403,	1,	2),
(42883,	3,	1403,	2,	2),
(42884,	3,	1403,	3,	2),
(42885,	3,	1404,	1,	1),
(42886,	3,	1404,	2,	1),
(42887,	3,	1404,	3,	1),
(42888,	3,	1404,	1,	2),
(42889,	3,	1404,	2,	2),
(42890,	3,	1404,	3,	2),
(42891,	3,	1405,	1,	1),
(42892,	3,	1405,	2,	1),
(42893,	3,	1405,	3,	1),
(42894,	3,	1405,	1,	2),
(42895,	3,	1405,	2,	2),
(42896,	3,	1405,	3,	2),
(42897,	3,	1406,	1,	1),
(42898,	3,	1406,	2,	1),
(42899,	3,	1406,	3,	1),
(42900,	3,	1406,	1,	2),
(42901,	3,	1406,	2,	2),
(42902,	3,	1406,	3,	2),
(42903,	3,	1407,	1,	1),
(42904,	3,	1407,	2,	1),
(42905,	3,	1407,	3,	1),
(42906,	3,	1407,	1,	2),
(42907,	3,	1407,	2,	2),
(42908,	3,	1407,	3,	2),
(42909,	3,	1408,	1,	1),
(42910,	3,	1408,	2,	1),
(42911,	3,	1408,	3,	1),
(42912,	3,	1408,	1,	2),
(42913,	3,	1408,	2,	2),
(42914,	3,	1408,	3,	2),
(42915,	3,	1409,	1,	1),
(42916,	3,	1409,	2,	1),
(42917,	3,	1409,	3,	1),
(42918,	3,	1410,	1,	1),
(42919,	3,	1410,	2,	1),
(42920,	3,	1410,	3,	1),
(42921,	3,	1410,	1,	2),
(42922,	3,	1410,	2,	2),
(42923,	3,	1410,	3,	2),
(42924,	3,	1411,	1,	1),
(42925,	3,	1411,	2,	1),
(42926,	3,	1411,	3,	1),
(42927,	3,	1411,	1,	2),
(42928,	3,	1411,	2,	2),
(42929,	3,	1411,	3,	2),
(42930,	3,	1412,	1,	1),
(42931,	3,	1412,	2,	1),
(42932,	3,	1412,	3,	1),
(42933,	3,	1412,	1,	2),
(42934,	3,	1412,	2,	2),
(42935,	3,	1412,	3,	2),
(42936,	3,	1413,	1,	1),
(42937,	3,	1413,	2,	1),
(42938,	3,	1413,	3,	1),
(42939,	3,	1413,	1,	2),
(42940,	3,	1413,	2,	2),
(42941,	3,	1413,	3,	2),
(42942,	3,	1414,	1,	1),
(42943,	3,	1414,	2,	1),
(42944,	3,	1414,	3,	1),
(42945,	3,	1415,	1,	1),
(42946,	3,	1415,	2,	1),
(42947,	3,	1415,	3,	1),
(42948,	3,	1416,	1,	1),
(42949,	3,	1416,	2,	1),
(42950,	3,	1416,	3,	1),
(42951,	3,	1416,	1,	2),
(42952,	3,	1416,	2,	2),
(42953,	3,	1416,	3,	2),
(42954,	3,	1417,	1,	1),
(42955,	3,	1417,	2,	1),
(42956,	3,	1417,	3,	1),
(42957,	3,	1418,	1,	1),
(42958,	3,	1418,	2,	1),
(42959,	3,	1418,	3,	1),
(42960,	3,	1419,	1,	1),
(42961,	3,	1419,	2,	1),
(42962,	3,	1419,	3,	1),
(42963,	3,	1419,	1,	2),
(42964,	3,	1419,	2,	2),
(42965,	3,	1419,	3,	2),
(42966,	3,	1420,	1,	1),
(42967,	3,	1420,	2,	1),
(42968,	3,	1420,	3,	1),
(42969,	3,	1421,	1,	1),
(42970,	3,	1421,	2,	1),
(42971,	3,	1421,	3,	1),
(42972,	3,	1422,	1,	1),
(42973,	3,	1422,	2,	1),
(42974,	3,	1422,	3,	1),
(42975,	3,	1422,	23,	1),
(42976,	3,	1422,	6,	1),
(42977,	3,	1422,	24,	1),
(42978,	3,	1422,	25,	1),
(42979,	3,	1422,	4,	1),
(42980,	3,	1422,	5,	1),
(42981,	3,	1423,	1,	1),
(42982,	3,	1423,	2,	1),
(42983,	3,	1423,	3,	1),
(42984,	3,	1423,	23,	1),
(42985,	3,	1423,	6,	1),
(42986,	3,	1423,	24,	1),
(42987,	3,	1423,	25,	1),
(42988,	3,	1423,	4,	1),
(42989,	3,	1423,	5,	1),
(42990,	3,	1424,	1,	1),
(42991,	3,	1424,	2,	1),
(42992,	3,	1424,	3,	1),
(42993,	3,	1425,	1,	1),
(42994,	3,	1425,	2,	1),
(42995,	3,	1425,	3,	1),
(42996,	3,	1425,	23,	1),
(42997,	3,	1425,	6,	1),
(42998,	3,	1425,	24,	1),
(42999,	3,	1425,	25,	1),
(43000,	3,	1425,	4,	1),
(43001,	3,	1425,	5,	1),
(43002,	3,	1426,	1,	1),
(43003,	3,	1426,	2,	1),
(43004,	3,	1426,	3,	1),
(43005,	3,	1426,	23,	1),
(43006,	3,	1426,	6,	1),
(43007,	3,	1426,	24,	1),
(43008,	3,	1426,	25,	1),
(43009,	3,	1426,	4,	1),
(43010,	3,	1426,	5,	1),
(43011,	3,	1427,	1,	1),
(43012,	3,	1427,	2,	1),
(43013,	3,	1427,	3,	1),
(43014,	3,	1428,	1,	1),
(43015,	3,	1428,	2,	1),
(43016,	3,	1428,	3,	1),
(43017,	3,	1428,	23,	1),
(43018,	3,	1428,	6,	1),
(43019,	3,	1428,	24,	1),
(43020,	3,	1428,	25,	1),
(43021,	3,	1428,	4,	1),
(43022,	3,	1428,	5,	1),
(43023,	3,	1429,	1,	1),
(43024,	3,	1429,	2,	1),
(43025,	3,	1429,	3,	1),
(43026,	3,	1430,	1,	1),
(43027,	3,	1430,	2,	1),
(43028,	3,	1430,	3,	1),
(43029,	3,	1431,	1,	1),
(43030,	3,	1431,	2,	1),
(43031,	3,	1431,	3,	1),
(43032,	3,	1431,	23,	1),
(43033,	3,	1431,	6,	1),
(43034,	3,	1431,	24,	1),
(43035,	3,	1431,	25,	1),
(43036,	3,	1431,	4,	1),
(43037,	3,	1431,	5,	1),
(43038,	3,	1432,	1,	1),
(43039,	3,	1432,	2,	1),
(43040,	3,	1432,	3,	1),
(43041,	3,	1432,	1,	2),
(43042,	3,	1432,	2,	2),
(43043,	3,	1432,	3,	2),
(43044,	3,	1433,	1,	1),
(43045,	3,	1433,	2,	1),
(43046,	3,	1433,	3,	1),
(43047,	3,	1434,	1,	1),
(43048,	3,	1434,	2,	1),
(43049,	3,	1434,	3,	1),
(43050,	3,	1435,	1,	1),
(43051,	3,	1435,	2,	1),
(43052,	3,	1435,	3,	1),
(43053,	3,	1436,	1,	1),
(43054,	3,	1436,	2,	1),
(43055,	3,	1436,	3,	1),
(43056,	3,	1436,	23,	1),
(43057,	3,	1436,	6,	1),
(43058,	3,	1436,	24,	1),
(43059,	3,	1436,	25,	1),
(43060,	3,	1436,	4,	1),
(43061,	3,	1436,	5,	1),
(43062,	3,	1437,	1,	1),
(43063,	3,	1437,	2,	1),
(43064,	3,	1437,	3,	1),
(43065,	3,	1437,	23,	1),
(43066,	3,	1437,	6,	1),
(43067,	3,	1437,	24,	1),
(43068,	3,	1437,	25,	1),
(43069,	3,	1437,	4,	1),
(43070,	3,	1437,	5,	1),
(43071,	3,	1438,	1,	1),
(43072,	3,	1438,	2,	1),
(43073,	3,	1438,	3,	1),
(43074,	3,	1439,	1,	1),
(43075,	3,	1439,	2,	1),
(43076,	3,	1439,	3,	1),
(43077,	3,	1439,	23,	1),
(43078,	3,	1439,	6,	1),
(43079,	3,	1439,	24,	1),
(43080,	3,	1439,	25,	1),
(43081,	3,	1439,	4,	1),
(43082,	3,	1439,	5,	1),
(43083,	3,	1440,	1,	1),
(43084,	3,	1440,	2,	1),
(43085,	3,	1440,	3,	1),
(43086,	3,	1440,	23,	1),
(43087,	3,	1440,	6,	1),
(43088,	3,	1440,	24,	1),
(43089,	3,	1440,	25,	1),
(43090,	3,	1440,	4,	1),
(43091,	3,	1440,	5,	1),
(43092,	3,	1441,	1,	1),
(43093,	3,	1441,	2,	1),
(43094,	3,	1441,	3,	1),
(43095,	3,	1442,	1,	1),
(43096,	3,	1442,	2,	1),
(43097,	3,	1442,	3,	1),
(43098,	3,	1442,	23,	1),
(43099,	3,	1442,	6,	1),
(43100,	3,	1442,	24,	1),
(43101,	3,	1442,	25,	1),
(43102,	3,	1442,	4,	1),
(43103,	3,	1442,	5,	1),
(43104,	3,	1443,	1,	1),
(43105,	3,	1443,	2,	1),
(43106,	3,	1443,	3,	1),
(43107,	3,	1443,	23,	1),
(43108,	3,	1443,	6,	1),
(43109,	3,	1443,	24,	1),
(43110,	3,	1443,	25,	1),
(43111,	3,	1443,	4,	1),
(43112,	3,	1443,	5,	1),
(43113,	3,	1444,	1,	1),
(43114,	3,	1444,	2,	1),
(43115,	3,	1444,	3,	1),
(43116,	3,	1445,	1,	1),
(43117,	3,	1445,	2,	1),
(43118,	3,	1445,	3,	1),
(43119,	3,	1445,	23,	1),
(43120,	3,	1445,	6,	1),
(43121,	3,	1445,	24,	1),
(43122,	3,	1445,	25,	1),
(43123,	3,	1445,	4,	1),
(43124,	3,	1445,	5,	1),
(43125,	3,	1446,	1,	1),
(43126,	3,	1446,	2,	1),
(43127,	3,	1446,	3,	1),
(43128,	3,	1446,	1,	2),
(43129,	3,	1446,	2,	2),
(43130,	3,	1446,	3,	2),
(43131,	3,	1447,	1,	1),
(43132,	3,	1447,	2,	1),
(43133,	3,	1447,	3,	1),
(43134,	3,	1447,	1,	2),
(43135,	3,	1447,	2,	2),
(43136,	3,	1447,	3,	2),
(43137,	3,	1448,	1,	1),
(43138,	3,	1448,	2,	1),
(43139,	3,	1448,	3,	1),
(43140,	3,	1449,	1,	1),
(43141,	3,	1449,	2,	1),
(43142,	3,	1449,	3,	1),
(43143,	3,	1450,	1,	1),
(43144,	3,	1450,	2,	1),
(43145,	3,	1450,	3,	1),
(43146,	3,	1451,	1,	1),
(43147,	3,	1451,	2,	1),
(43148,	3,	1451,	3,	1),
(43149,	3,	1452,	1,	1),
(43150,	3,	1452,	2,	1),
(43151,	3,	1452,	3,	1),
(43152,	3,	1452,	23,	1),
(43153,	3,	1452,	6,	1),
(43154,	3,	1452,	24,	1),
(43155,	3,	1452,	25,	1),
(43156,	3,	1452,	4,	1),
(43157,	3,	1452,	5,	1),
(43158,	3,	1453,	1,	1),
(43159,	3,	1453,	2,	1),
(43160,	3,	1453,	3,	1),
(43161,	3,	1453,	23,	1),
(43162,	3,	1453,	6,	1),
(43163,	3,	1453,	24,	1),
(43164,	3,	1453,	25,	1),
(43165,	3,	1453,	4,	1),
(43166,	3,	1453,	5,	1),
(43167,	3,	1454,	1,	1),
(43168,	3,	1454,	2,	1),
(43169,	3,	1454,	3,	1),
(43170,	3,	1455,	1,	1),
(43171,	3,	1455,	2,	1),
(43172,	3,	1455,	3,	1),
(43173,	3,	1455,	23,	1),
(43174,	3,	1455,	6,	1),
(43175,	3,	1455,	24,	1),
(43176,	3,	1455,	25,	1),
(43177,	3,	1455,	4,	1),
(43178,	3,	1455,	5,	1),
(43179,	3,	1456,	1,	1),
(43180,	3,	1456,	2,	1),
(43181,	3,	1456,	3,	1),
(43182,	3,	1456,	23,	1),
(43183,	3,	1456,	6,	1),
(43184,	3,	1456,	24,	1),
(43185,	3,	1456,	25,	1),
(43186,	3,	1456,	4,	1),
(43187,	3,	1456,	5,	1),
(43188,	3,	1457,	1,	1),
(43189,	3,	1457,	2,	1),
(43190,	3,	1457,	3,	1),
(43191,	3,	1458,	1,	1),
(43192,	3,	1458,	2,	1),
(43193,	3,	1458,	3,	1),
(43194,	3,	1458,	23,	1),
(43195,	3,	1458,	6,	1),
(43196,	3,	1458,	24,	1),
(43197,	3,	1458,	25,	1),
(43198,	3,	1458,	4,	1),
(43199,	3,	1458,	5,	1),
(43200,	3,	1459,	1,	1),
(43201,	3,	1459,	2,	1),
(43202,	3,	1459,	3,	1),
(43203,	3,	1459,	1,	2),
(43204,	3,	1459,	2,	2),
(43205,	3,	1459,	3,	2),
(43206,	3,	1460,	1,	1),
(43207,	3,	1460,	2,	1),
(43208,	3,	1460,	3,	1),
(43209,	3,	1461,	1,	1),
(43210,	3,	1461,	2,	1),
(43211,	3,	1461,	3,	1),
(43212,	3,	1462,	1,	1),
(43213,	3,	1462,	2,	1),
(43214,	3,	1462,	3,	1),
(43215,	3,	1462,	1,	2),
(43216,	3,	1462,	2,	2),
(43217,	3,	1462,	3,	2),
(43218,	3,	1463,	1,	1),
(43219,	3,	1463,	2,	1),
(43220,	3,	1463,	3,	1),
(43221,	3,	1463,	1,	2),
(43222,	3,	1463,	2,	2),
(43223,	3,	1463,	3,	2),
(43224,	3,	1464,	1,	1),
(43225,	3,	1464,	2,	1),
(43226,	3,	1464,	3,	1),
(43227,	3,	1465,	1,	1),
(43228,	3,	1465,	2,	1),
(43229,	3,	1465,	3,	1),
(43230,	3,	1465,	23,	1),
(43231,	3,	1466,	1,	1),
(43232,	3,	1466,	2,	1),
(43233,	3,	1466,	3,	1),
(43234,	3,	1466,	23,	1),
(43235,	3,	1467,	1,	1),
(43236,	3,	1467,	2,	1),
(43237,	3,	1467,	3,	1),
(43238,	3,	1467,	23,	1),
(43239,	3,	1468,	1,	1),
(43240,	3,	1468,	2,	1),
(43241,	3,	1468,	3,	1),
(43242,	3,	1468,	23,	1),
(43243,	3,	1469,	1,	1),
(43244,	3,	1469,	2,	1),
(43245,	3,	1469,	3,	1),
(43246,	3,	1469,	1,	2),
(43247,	3,	1469,	2,	2),
(43248,	3,	1469,	3,	2),
(43249,	3,	1470,	1,	1),
(43250,	3,	1470,	2,	1),
(43251,	3,	1470,	3,	1),
(43252,	3,	1471,	1,	1),
(43253,	3,	1471,	2,	1),
(43254,	3,	1471,	3,	1),
(43255,	3,	1472,	1,	1),
(43256,	3,	1472,	2,	1),
(43257,	3,	1472,	3,	1),
(43258,	3,	1473,	1,	1),
(43259,	3,	1473,	2,	1),
(43260,	3,	1473,	3,	1),
(43261,	3,	1473,	23,	1),
(43262,	3,	1474,	1,	1),
(43263,	3,	1474,	2,	1),
(43264,	3,	1474,	3,	1),
(43265,	3,	1475,	1,	1),
(43266,	3,	1475,	2,	1),
(43267,	3,	1475,	3,	1),
(43268,	3,	1476,	1,	1),
(43269,	3,	1476,	2,	1),
(43270,	3,	1476,	3,	1),
(43271,	3,	1476,	23,	1),
(43272,	3,	1477,	1,	1),
(43273,	3,	1477,	2,	1),
(43274,	3,	1477,	3,	1),
(43275,	3,	1478,	1,	1),
(43276,	3,	1478,	2,	1),
(43277,	3,	1478,	3,	1),
(43278,	3,	1479,	1,	1),
(43279,	3,	1479,	2,	1),
(43280,	3,	1479,	3,	1),
(43281,	3,	1480,	1,	1),
(43282,	3,	1480,	2,	1),
(43283,	3,	1480,	3,	1),
(43284,	3,	1481,	1,	1),
(43285,	3,	1481,	2,	1),
(43286,	3,	1481,	3,	1),
(43287,	3,	1481,	1,	2),
(43288,	3,	1481,	2,	2),
(43289,	3,	1481,	3,	2),
(43290,	3,	1482,	1,	1),
(43291,	3,	1482,	2,	1),
(43292,	3,	1482,	3,	1),
(43293,	3,	1483,	1,	1),
(43294,	3,	1483,	2,	1),
(43295,	3,	1483,	3,	1),
(43296,	3,	1484,	1,	1),
(43297,	3,	1484,	2,	1),
(43298,	3,	1484,	3,	1),
(43299,	3,	1485,	1,	1),
(43300,	3,	1485,	2,	1),
(43301,	3,	1485,	3,	1),
(43302,	3,	1486,	1,	1),
(43303,	3,	1486,	2,	1),
(43304,	3,	1486,	3,	1),
(43305,	3,	1487,	1,	1),
(43306,	3,	1487,	2,	1),
(43307,	3,	1487,	3,	1),
(43308,	3,	1488,	1,	1),
(43309,	3,	1488,	2,	1),
(43310,	3,	1488,	3,	1),
(43311,	3,	1489,	1,	1),
(43312,	3,	1489,	2,	1),
(43313,	3,	1489,	3,	1),
(43314,	3,	1490,	1,	1),
(43315,	3,	1490,	2,	1),
(43316,	3,	1490,	3,	1),
(43317,	3,	1491,	1,	1),
(43318,	3,	1491,	2,	1),
(43319,	3,	1491,	3,	1),
(43320,	3,	1492,	1,	1),
(43321,	3,	1492,	2,	1),
(43322,	3,	1492,	3,	1),
(43323,	3,	1493,	1,	1),
(43324,	3,	1493,	2,	1),
(43325,	3,	1493,	3,	1),
(43326,	3,	1494,	1,	1),
(43327,	3,	1494,	2,	1),
(43328,	3,	1494,	3,	1),
(43329,	3,	1495,	1,	1),
(43330,	3,	1495,	2,	1),
(43331,	3,	1495,	3,	1),
(43332,	3,	1496,	1,	1),
(43333,	3,	1496,	2,	1),
(43334,	3,	1496,	3,	1),
(43335,	3,	1496,	75,	1),
(43336,	3,	1496,	76,	1),
(43337,	3,	1496,	77,	1),
(43338,	3,	1496,	78,	1),
(43339,	3,	1496,	79,	1),
(43340,	3,	1496,	45,	1),
(43341,	3,	1496,	46,	1),
(43342,	3,	1496,	54,	1),
(43343,	3,	1496,	28,	1),
(43344,	3,	1496,	61,	1),
(43345,	3,	1496,	80,	1),
(43346,	3,	1496,	59,	1),
(43347,	3,	1497,	1,	1),
(43348,	3,	1497,	2,	1),
(43349,	3,	1497,	3,	1),
(43350,	3,	1498,	1,	1),
(43351,	3,	1498,	2,	1),
(43352,	3,	1498,	3,	1),
(43353,	3,	1499,	1,	1),
(43354,	3,	1499,	2,	1),
(43355,	3,	1499,	3,	1),
(43356,	3,	1499,	75,	1),
(43357,	3,	1499,	76,	1),
(43358,	3,	1499,	77,	1),
(43359,	3,	1499,	78,	1),
(43360,	3,	1499,	79,	1),
(43361,	3,	1499,	45,	1),
(43362,	3,	1499,	46,	1),
(43363,	3,	1499,	54,	1),
(43364,	3,	1499,	28,	1),
(43365,	3,	1499,	61,	1),
(43366,	3,	1499,	80,	1),
(43367,	3,	1499,	59,	1),
(43368,	3,	1500,	1,	1),
(43369,	3,	1500,	2,	1),
(43370,	3,	1500,	3,	1),
(43371,	3,	1500,	75,	1),
(43372,	3,	1500,	76,	1),
(43373,	3,	1500,	77,	1),
(43374,	3,	1500,	78,	1),
(43375,	3,	1500,	79,	1),
(43376,	3,	1500,	45,	1),
(43377,	3,	1500,	46,	1),
(43378,	3,	1500,	54,	1),
(43379,	3,	1500,	28,	1),
(43380,	3,	1500,	61,	1),
(43381,	3,	1500,	80,	1),
(43382,	3,	1500,	59,	1),
(43383,	3,	1501,	1,	1),
(43384,	3,	1501,	2,	1),
(43385,	3,	1501,	3,	1),
(43386,	3,	1501,	75,	1),
(43387,	3,	1501,	76,	1),
(43388,	3,	1501,	77,	1),
(43389,	3,	1501,	78,	1),
(43390,	3,	1501,	79,	1),
(43391,	3,	1501,	45,	1),
(43392,	3,	1501,	46,	1),
(43393,	3,	1501,	54,	1),
(43394,	3,	1501,	28,	1),
(43395,	3,	1501,	61,	1),
(43396,	3,	1501,	80,	1),
(43397,	3,	1501,	59,	1),
(43398,	3,	1502,	1,	1),
(43399,	3,	1502,	2,	1),
(43400,	3,	1502,	3,	1),
(43401,	3,	1502,	75,	1),
(43402,	3,	1502,	76,	1),
(43403,	3,	1502,	77,	1),
(43404,	3,	1502,	78,	1),
(43405,	3,	1502,	79,	1),
(43406,	3,	1502,	45,	1),
(43407,	3,	1502,	46,	1),
(43408,	3,	1502,	54,	1),
(43409,	3,	1502,	28,	1),
(43410,	3,	1502,	61,	1),
(43411,	3,	1502,	80,	1),
(43412,	3,	1502,	59,	1),
(43413,	3,	1503,	1,	1),
(43414,	3,	1503,	2,	1),
(43415,	3,	1503,	3,	1),
(43416,	3,	1503,	75,	1),
(43417,	3,	1503,	76,	1),
(43418,	3,	1503,	77,	1),
(43419,	3,	1503,	78,	1),
(43420,	3,	1503,	79,	1),
(43421,	3,	1503,	45,	1),
(43422,	3,	1503,	46,	1),
(43423,	3,	1503,	54,	1),
(43424,	3,	1503,	28,	1),
(43425,	3,	1503,	61,	1),
(43426,	3,	1503,	80,	1),
(43427,	3,	1503,	59,	1),
(43428,	3,	1504,	1,	1),
(43429,	3,	1504,	2,	1),
(43430,	3,	1504,	3,	1),
(43431,	3,	1504,	1,	2),
(43432,	3,	1504,	2,	2),
(43433,	3,	1504,	3,	2),
(43434,	3,	1505,	1,	1),
(43435,	3,	1505,	2,	1),
(43436,	3,	1505,	3,	1),
(43437,	3,	1505,	1,	2),
(43438,	3,	1505,	2,	2),
(43439,	3,	1505,	3,	2),
(43440,	3,	1506,	1,	1),
(43441,	3,	1506,	2,	1),
(43442,	3,	1506,	3,	1),
(43443,	3,	1507,	1,	1),
(43444,	3,	1507,	2,	1),
(43445,	3,	1507,	3,	1),
(43446,	3,	1508,	1,	1),
(43447,	3,	1508,	2,	1),
(43448,	3,	1508,	3,	1),
(43449,	3,	1509,	1,	1),
(43450,	3,	1509,	2,	1),
(43451,	3,	1509,	3,	1),
(43452,	3,	1510,	1,	1),
(43453,	3,	1510,	2,	1),
(43454,	3,	1510,	3,	1),
(43455,	3,	1510,	75,	1),
(43456,	3,	1510,	76,	1),
(43457,	3,	1510,	77,	1),
(43458,	3,	1510,	78,	1),
(43459,	3,	1510,	79,	1),
(43460,	3,	1510,	45,	1),
(43461,	3,	1510,	46,	1),
(43462,	3,	1510,	54,	1),
(43463,	3,	1510,	28,	1),
(43464,	3,	1510,	61,	1),
(43465,	3,	1510,	80,	1),
(43466,	3,	1510,	59,	1),
(43467,	3,	1511,	1,	1),
(43468,	3,	1511,	2,	1),
(43469,	3,	1511,	3,	1),
(43470,	3,	1511,	75,	1),
(43471,	3,	1511,	76,	1),
(43472,	3,	1511,	77,	1),
(43473,	3,	1511,	78,	1),
(43474,	3,	1511,	79,	1),
(43475,	3,	1511,	45,	1),
(43476,	3,	1511,	46,	1),
(43477,	3,	1511,	54,	1),
(43478,	3,	1511,	28,	1),
(43479,	3,	1511,	61,	1),
(43480,	3,	1511,	80,	1),
(43481,	3,	1511,	59,	1),
(43482,	3,	1512,	1,	1),
(43483,	3,	1512,	2,	1),
(43484,	3,	1512,	3,	1),
(43485,	3,	1513,	1,	1),
(43486,	3,	1513,	2,	1),
(43487,	3,	1513,	3,	1),
(43488,	3,	1514,	1,	1),
(43489,	3,	1514,	2,	1),
(43490,	3,	1514,	3,	1),
(43491,	3,	1514,	1,	2),
(43492,	3,	1514,	2,	2),
(43493,	3,	1514,	3,	2),
(43494,	3,	1515,	1,	1),
(43495,	3,	1515,	2,	1),
(43496,	3,	1515,	3,	1),
(43497,	3,	1516,	1,	1),
(43498,	3,	1516,	2,	1),
(43499,	3,	1516,	3,	1),
(43500,	3,	1517,	1,	1),
(43501,	3,	1517,	2,	1),
(43502,	3,	1517,	3,	1),
(43503,	3,	1517,	1,	2),
(43504,	3,	1517,	2,	2),
(43505,	3,	1517,	3,	2),
(43506,	3,	1518,	1,	1),
(43507,	3,	1518,	2,	1),
(43508,	3,	1518,	3,	1),
(43509,	3,	1518,	1,	2),
(43510,	3,	1518,	2,	2),
(43511,	3,	1518,	3,	2),
(43512,	3,	1519,	1,	1),
(43513,	3,	1519,	2,	1),
(43514,	3,	1519,	3,	1),
(43515,	3,	1520,	1,	1),
(43516,	3,	1520,	2,	1),
(43517,	3,	1520,	3,	1),
(43518,	3,	1520,	1,	2),
(43519,	3,	1520,	2,	2),
(43520,	3,	1520,	3,	2),
(43521,	3,	1521,	1,	1),
(43522,	3,	1521,	2,	1),
(43523,	3,	1521,	3,	1),
(43524,	3,	1522,	1,	1),
(43525,	3,	1522,	2,	1),
(43526,	3,	1522,	3,	1),
(43527,	3,	1523,	1,	1),
(43528,	3,	1523,	2,	1),
(43529,	3,	1523,	3,	1),
(43530,	3,	1523,	75,	1),
(43531,	3,	1523,	76,	1),
(43532,	3,	1523,	77,	1),
(43533,	3,	1523,	78,	1),
(43534,	3,	1523,	79,	1),
(43535,	3,	1523,	45,	1),
(43536,	3,	1523,	46,	1),
(43537,	3,	1523,	54,	1),
(43538,	3,	1523,	28,	1),
(43539,	3,	1523,	61,	1),
(43540,	3,	1523,	80,	1),
(43541,	3,	1524,	1,	1),
(43542,	3,	1524,	2,	1),
(43543,	3,	1524,	3,	1),
(43544,	3,	1524,	1,	2),
(43545,	3,	1524,	2,	2),
(43546,	3,	1524,	3,	2),
(43547,	3,	1525,	1,	1),
(43548,	3,	1525,	2,	1),
(43549,	3,	1525,	3,	1),
(43550,	3,	1526,	1,	1),
(43551,	3,	1526,	2,	1),
(43552,	3,	1526,	3,	1),
(43553,	3,	1526,	1,	2),
(43554,	3,	1526,	2,	2),
(43555,	3,	1526,	3,	2),
(43556,	3,	1527,	1,	1),
(43557,	3,	1527,	2,	1),
(43558,	3,	1527,	3,	1),
(43559,	3,	1527,	1,	2),
(43560,	3,	1527,	2,	2),
(43561,	3,	1527,	3,	2),
(43562,	3,	1528,	1,	1),
(43563,	3,	1528,	2,	1),
(43564,	3,	1528,	3,	1),
(43565,	3,	1528,	1,	2),
(43566,	3,	1528,	2,	2),
(43567,	3,	1528,	3,	2),
(43568,	3,	1529,	1,	1),
(43569,	3,	1529,	2,	1),
(43570,	3,	1529,	3,	1),
(43571,	3,	1530,	1,	1),
(43572,	3,	1530,	2,	1),
(43573,	3,	1530,	3,	1),
(43574,	3,	1530,	1,	2),
(43575,	3,	1530,	2,	2),
(43576,	3,	1530,	3,	2),
(43577,	3,	1531,	1,	1),
(43578,	3,	1531,	2,	1),
(43579,	3,	1531,	3,	1),
(43580,	3,	1532,	1,	1),
(43581,	3,	1532,	2,	1),
(43582,	3,	1532,	3,	1),
(43583,	3,	1533,	1,	1),
(43584,	3,	1533,	2,	1),
(43585,	3,	1533,	3,	1),
(43586,	3,	1534,	1,	1),
(43587,	3,	1534,	2,	1),
(43588,	3,	1534,	3,	1),
(43589,	3,	1535,	1,	1),
(43590,	3,	1535,	2,	1),
(43591,	3,	1535,	3,	1),
(43592,	3,	1535,	1,	2),
(43593,	3,	1535,	2,	2),
(43594,	3,	1535,	3,	2),
(43595,	3,	1536,	1,	1),
(43596,	3,	1536,	2,	1),
(43597,	3,	1536,	3,	1),
(43598,	3,	1536,	1,	2),
(43599,	3,	1536,	2,	2),
(43600,	3,	1536,	3,	2),
(43601,	3,	1537,	1,	1),
(43602,	3,	1537,	2,	1),
(43603,	3,	1537,	3,	1),
(43604,	3,	1538,	1,	1),
(43605,	3,	1538,	2,	1),
(43606,	3,	1538,	3,	1),
(43607,	3,	1539,	1,	1),
(43608,	3,	1539,	2,	1),
(43609,	3,	1539,	3,	1),
(43610,	3,	1539,	1,	2),
(43611,	3,	1539,	2,	2),
(43612,	3,	1539,	3,	2),
(43613,	3,	1540,	1,	1),
(43614,	3,	1540,	2,	1),
(43615,	3,	1540,	3,	1),
(43616,	3,	1541,	1,	1),
(43617,	3,	1541,	2,	1),
(43618,	3,	1541,	3,	1),
(43619,	3,	1541,	1,	2),
(43620,	3,	1541,	2,	2),
(43621,	3,	1541,	3,	2),
(43622,	3,	1542,	1,	1),
(43623,	3,	1542,	2,	1),
(43624,	3,	1542,	3,	1),
(43625,	3,	1542,	1,	2),
(43626,	3,	1542,	2,	2),
(43627,	3,	1542,	3,	2),
(43628,	3,	1543,	1,	1),
(43629,	3,	1543,	2,	1),
(43630,	3,	1543,	3,	1),
(43631,	3,	1543,	1,	2),
(43632,	3,	1543,	2,	2),
(43633,	3,	1543,	3,	2),
(43634,	3,	1544,	1,	1),
(43635,	3,	1544,	2,	1),
(43636,	3,	1544,	3,	1),
(43637,	3,	1545,	1,	1),
(43638,	3,	1545,	2,	1),
(43639,	3,	1545,	3,	1),
(43640,	3,	1545,	1,	3),
(43641,	3,	1545,	2,	3),
(43642,	3,	1545,	3,	3),
(43643,	3,	1546,	1,	1),
(43644,	3,	1546,	2,	1),
(43645,	3,	1546,	3,	1),
(43646,	3,	1546,	1,	2),
(43647,	3,	1546,	2,	2),
(43648,	3,	1546,	3,	2),
(43649,	3,	1547,	1,	1),
(43650,	3,	1547,	2,	1),
(43651,	3,	1547,	3,	1),
(43652,	3,	1548,	1,	1),
(43653,	3,	1548,	2,	1),
(43654,	3,	1548,	3,	1),
(43655,	3,	1548,	1,	2),
(43656,	3,	1548,	2,	2),
(43657,	3,	1548,	3,	2),
(43658,	3,	1549,	1,	1),
(43659,	3,	1549,	2,	1),
(43660,	3,	1549,	3,	1),
(43661,	3,	1550,	1,	1),
(43662,	3,	1550,	2,	1),
(43663,	3,	1550,	3,	1),
(43664,	3,	1551,	1,	1),
(43665,	3,	1551,	2,	1),
(43666,	3,	1551,	3,	1),
(43667,	3,	1552,	1,	1),
(43668,	3,	1552,	2,	1),
(43669,	3,	1552,	3,	1),
(43670,	3,	1552,	1,	2),
(43671,	3,	1552,	2,	2),
(43672,	3,	1552,	3,	2),
(43673,	3,	1553,	1,	1),
(43674,	3,	1553,	2,	1),
(43675,	3,	1553,	3,	1),
(43676,	3,	1554,	1,	1),
(43677,	3,	1554,	2,	1),
(43678,	3,	1554,	3,	1),
(43679,	3,	1555,	1,	1),
(43680,	3,	1555,	2,	1),
(43681,	3,	1555,	3,	1),
(43682,	3,	1555,	1,	3),
(43683,	3,	1555,	2,	3),
(43684,	3,	1555,	3,	3),
(43685,	3,	1556,	1,	1),
(43686,	3,	1556,	2,	1),
(43687,	3,	1556,	3,	1),
(43688,	3,	1556,	1,	2),
(43689,	3,	1556,	2,	2),
(43690,	3,	1556,	3,	2),
(43691,	3,	1557,	1,	1),
(43692,	3,	1557,	2,	1),
(43693,	3,	1557,	3,	1),
(43694,	3,	1557,	1,	2),
(43695,	3,	1557,	2,	2),
(43696,	3,	1557,	3,	2),
(43697,	3,	1558,	1,	1),
(43698,	3,	1558,	2,	1),
(43699,	3,	1558,	3,	1),
(43700,	3,	1558,	1,	2),
(43701,	3,	1558,	2,	2),
(43702,	3,	1558,	3,	2),
(43703,	3,	1559,	1,	1),
(43704,	3,	1559,	2,	1),
(43705,	3,	1559,	3,	1),
(43706,	3,	1559,	1,	2),
(43707,	3,	1559,	2,	2),
(43708,	3,	1559,	3,	2),
(43709,	3,	1560,	1,	1),
(43710,	3,	1560,	2,	1),
(43711,	3,	1560,	3,	1),
(43712,	3,	1560,	1,	2),
(43713,	3,	1560,	2,	2),
(43714,	3,	1560,	3,	2),
(43715,	3,	1561,	1,	1),
(43716,	3,	1561,	2,	1),
(43717,	3,	1561,	3,	1),
(43718,	3,	1561,	1,	2),
(43719,	3,	1561,	2,	2),
(43720,	3,	1561,	3,	2),
(43721,	3,	1562,	1,	1),
(43722,	3,	1562,	2,	1),
(43723,	3,	1562,	3,	1),
(43724,	3,	1562,	1,	2),
(43725,	3,	1562,	2,	2),
(43726,	3,	1562,	3,	2),
(43727,	3,	1563,	1,	1),
(43728,	3,	1563,	2,	1),
(43729,	3,	1563,	3,	1),
(43730,	3,	1563,	1,	2),
(43731,	3,	1563,	2,	2),
(43732,	3,	1563,	3,	2),
(43733,	3,	1564,	1,	1),
(43734,	3,	1564,	2,	1),
(43735,	3,	1564,	3,	1),
(43736,	3,	1564,	1,	2),
(43737,	3,	1564,	2,	2),
(43738,	3,	1564,	3,	2),
(43739,	3,	1565,	1,	1),
(43740,	3,	1565,	2,	1),
(43741,	3,	1565,	3,	1),
(43742,	3,	1565,	1,	2),
(43743,	3,	1565,	2,	2),
(43744,	3,	1565,	3,	2),
(43745,	3,	1566,	1,	1),
(43746,	3,	1566,	2,	1),
(43747,	3,	1566,	3,	1),
(43748,	3,	1566,	1,	2),
(43749,	3,	1566,	2,	2),
(43750,	3,	1566,	3,	2),
(43751,	3,	1567,	1,	1),
(43752,	3,	1567,	2,	1),
(43753,	3,	1567,	3,	1),
(43754,	3,	1567,	1,	2),
(43755,	3,	1567,	2,	2),
(43756,	3,	1567,	3,	2),
(43757,	3,	1568,	1,	1),
(43758,	3,	1568,	2,	1),
(43759,	3,	1568,	3,	1),
(43760,	3,	1568,	1,	2),
(43761,	3,	1568,	2,	2),
(43762,	3,	1568,	3,	2),
(43763,	3,	1569,	1,	1),
(43764,	3,	1569,	2,	1),
(43765,	3,	1569,	3,	1),
(43766,	3,	1569,	1,	2),
(43767,	3,	1569,	2,	2),
(43768,	3,	1569,	3,	2),
(43769,	3,	1570,	1,	1),
(43770,	3,	1570,	2,	1),
(43771,	3,	1570,	3,	1),
(43772,	3,	1570,	1,	2),
(43773,	3,	1570,	2,	2),
(43774,	3,	1570,	3,	2),
(43775,	3,	1571,	1,	1),
(43776,	3,	1571,	2,	1),
(43777,	3,	1571,	3,	1),
(43778,	3,	1572,	1,	1),
(43779,	3,	1572,	2,	1),
(43780,	3,	1572,	3,	1),
(43781,	3,	1572,	1,	2),
(43782,	3,	1572,	2,	2),
(43783,	3,	1572,	3,	2),
(43784,	3,	1573,	1,	1),
(43785,	3,	1573,	2,	1),
(43786,	3,	1573,	3,	1),
(43787,	3,	1573,	1,	2),
(43788,	3,	1573,	2,	2),
(43789,	3,	1573,	3,	2),
(43790,	3,	1574,	1,	1),
(43791,	3,	1574,	2,	1),
(43792,	3,	1574,	3,	1),
(43793,	3,	1574,	1,	2),
(43794,	3,	1574,	2,	2),
(43795,	3,	1574,	3,	2),
(43796,	3,	1575,	1,	1),
(43797,	3,	1575,	2,	1),
(43798,	3,	1575,	3,	1),
(43799,	3,	1576,	1,	1),
(43800,	3,	1576,	2,	1),
(43801,	3,	1576,	3,	1),
(43802,	3,	1577,	1,	1),
(43803,	3,	1577,	2,	1),
(43804,	3,	1577,	3,	1),
(43805,	3,	1578,	1,	1),
(43806,	3,	1578,	2,	1),
(43807,	3,	1578,	3,	1),
(43808,	3,	1579,	1,	1),
(43809,	3,	1579,	2,	1),
(43810,	3,	1579,	3,	1),
(43811,	3,	1580,	1,	1),
(43812,	3,	1580,	2,	1),
(43813,	3,	1580,	3,	1),
(43814,	3,	1581,	1,	1),
(43815,	3,	1581,	2,	1),
(43816,	3,	1581,	3,	1),
(43817,	3,	1581,	1,	2),
(43818,	3,	1581,	2,	2),
(43819,	3,	1581,	3,	2),
(43820,	3,	1582,	1,	1),
(43821,	3,	1582,	2,	1),
(43822,	3,	1582,	3,	1),
(43823,	3,	1582,	1,	2),
(43824,	3,	1582,	2,	2),
(43825,	3,	1582,	3,	2),
(43826,	3,	1583,	1,	1),
(43827,	3,	1583,	2,	1),
(43828,	3,	1583,	3,	1),
(43829,	3,	1584,	1,	1),
(43830,	3,	1584,	2,	1),
(43831,	3,	1584,	3,	1),
(43832,	3,	1584,	1,	2),
(43833,	3,	1584,	2,	2),
(43834,	3,	1584,	3,	2),
(43835,	3,	1585,	1,	1),
(43836,	3,	1585,	2,	1),
(43837,	3,	1585,	3,	1),
(43838,	3,	1585,	1,	2),
(43839,	3,	1585,	2,	2),
(43840,	3,	1585,	3,	2),
(43841,	3,	1586,	1,	1),
(43842,	3,	1586,	2,	1),
(43843,	3,	1586,	3,	1),
(43844,	3,	1586,	1,	2),
(43845,	3,	1586,	2,	2),
(43846,	3,	1586,	3,	2),
(43847,	3,	1587,	1,	1),
(43848,	3,	1587,	2,	1),
(43849,	3,	1587,	3,	1),
(43850,	3,	1588,	1,	1),
(43851,	3,	1588,	2,	1),
(43852,	3,	1588,	3,	1),
(43853,	3,	1588,	1,	2),
(43854,	3,	1588,	2,	2),
(43855,	3,	1588,	3,	2),
(43856,	3,	1589,	1,	1),
(43857,	3,	1589,	2,	1),
(43858,	3,	1589,	3,	1),
(43859,	3,	1589,	1,	2),
(43860,	3,	1589,	2,	2),
(43861,	3,	1589,	3,	2),
(43862,	3,	1590,	1,	1),
(43863,	3,	1590,	2,	1),
(43864,	3,	1590,	3,	1),
(43865,	3,	1590,	1,	2),
(43866,	3,	1590,	2,	2),
(43867,	3,	1590,	3,	2),
(43868,	3,	1591,	1,	1),
(43869,	3,	1591,	2,	1),
(43870,	3,	1591,	3,	1),
(43871,	3,	1591,	1,	2),
(43872,	3,	1591,	2,	2),
(43873,	3,	1591,	3,	2),
(43874,	3,	1592,	1,	1),
(43875,	3,	1592,	2,	1),
(43876,	3,	1592,	3,	1),
(43877,	3,	1592,	1,	2),
(43878,	3,	1592,	2,	2),
(43879,	3,	1592,	3,	2),
(43880,	3,	1593,	1,	1),
(43881,	3,	1593,	2,	1),
(43882,	3,	1593,	3,	1),
(43883,	3,	1593,	1,	2),
(43884,	3,	1593,	2,	2),
(43885,	3,	1593,	3,	2),
(43886,	3,	1594,	1,	1),
(43887,	3,	1594,	2,	1),
(43888,	3,	1594,	3,	1),
(43889,	3,	1594,	1,	2),
(43890,	3,	1594,	2,	2),
(43891,	3,	1594,	3,	2),
(43892,	3,	1595,	1,	1),
(43893,	3,	1595,	2,	1),
(43894,	3,	1595,	3,	1),
(43895,	3,	1595,	1,	2),
(43896,	3,	1595,	2,	2),
(43897,	3,	1595,	3,	2),
(43898,	3,	1596,	1,	1),
(43899,	3,	1596,	2,	1),
(43900,	3,	1596,	3,	1),
(43901,	3,	1596,	1,	2),
(43902,	3,	1596,	2,	2),
(43903,	3,	1596,	3,	2),
(43904,	3,	1597,	1,	1),
(43905,	3,	1597,	2,	1),
(43906,	3,	1597,	3,	1),
(43907,	3,	1597,	1,	2),
(43908,	3,	1597,	2,	2),
(43909,	3,	1597,	3,	2),
(43910,	3,	1598,	1,	1),
(43911,	3,	1598,	2,	1),
(43912,	3,	1598,	3,	1),
(43913,	3,	1598,	1,	2),
(43914,	3,	1598,	2,	2),
(43915,	3,	1598,	3,	2),
(43916,	3,	1599,	1,	1),
(43917,	3,	1599,	2,	1),
(43918,	3,	1599,	3,	1),
(43919,	3,	1599,	1,	2),
(43920,	3,	1599,	2,	2),
(43921,	3,	1599,	3,	2),
(43922,	3,	1600,	1,	1),
(43923,	3,	1600,	2,	1),
(43924,	3,	1600,	3,	1),
(43925,	3,	1600,	1,	2),
(43926,	3,	1600,	2,	2),
(43927,	3,	1600,	3,	2),
(43928,	3,	1601,	1,	1),
(43929,	3,	1601,	2,	1),
(43930,	3,	1601,	3,	1),
(43931,	3,	1601,	1,	2),
(43932,	3,	1601,	2,	2),
(43933,	3,	1601,	3,	2),
(43934,	3,	1602,	1,	1),
(43935,	3,	1602,	2,	1),
(43936,	3,	1602,	3,	1),
(43937,	3,	1602,	1,	3),
(43938,	3,	1602,	2,	3),
(43939,	3,	1602,	3,	3),
(43940,	3,	1603,	1,	1),
(43941,	3,	1603,	2,	1),
(43942,	3,	1603,	3,	1),
(43943,	3,	1603,	1,	2),
(43944,	3,	1603,	2,	2),
(43945,	3,	1603,	3,	2),
(43946,	3,	1604,	1,	1),
(43947,	3,	1604,	2,	1),
(43948,	3,	1604,	3,	1),
(43949,	3,	1604,	1,	2),
(43950,	3,	1604,	2,	2),
(43951,	3,	1604,	3,	2),
(43952,	3,	1605,	1,	1),
(43953,	3,	1605,	2,	1),
(43954,	3,	1605,	3,	1),
(43955,	3,	1605,	1,	2),
(43956,	3,	1605,	2,	2),
(43957,	3,	1605,	3,	2),
(43958,	3,	1606,	1,	1),
(43959,	3,	1606,	2,	1),
(43960,	3,	1606,	3,	1),
(43961,	3,	1606,	1,	2),
(43962,	3,	1606,	2,	2),
(43963,	3,	1606,	3,	2),
(43964,	3,	1607,	1,	1),
(43965,	3,	1607,	2,	1),
(43966,	3,	1607,	3,	1),
(43967,	3,	1607,	1,	2),
(43968,	3,	1607,	2,	2),
(43969,	3,	1607,	3,	2),
(43970,	3,	1608,	1,	1),
(43971,	3,	1608,	2,	1),
(43972,	3,	1608,	3,	1),
(43973,	3,	1608,	1,	2),
(43974,	3,	1608,	2,	2),
(43975,	3,	1608,	3,	2),
(43976,	3,	1609,	1,	1),
(43977,	3,	1609,	2,	1),
(43978,	3,	1609,	3,	1),
(43979,	3,	1609,	1,	2),
(43980,	3,	1609,	2,	2),
(43981,	3,	1609,	3,	2),
(43982,	3,	1610,	1,	1),
(43983,	3,	1610,	2,	1),
(43984,	3,	1610,	3,	1),
(43985,	3,	1610,	1,	2),
(43986,	3,	1610,	2,	2),
(43987,	3,	1610,	3,	2),
(43988,	3,	1611,	1,	1),
(43989,	3,	1611,	2,	1),
(43990,	3,	1611,	3,	1),
(43991,	3,	1611,	1,	2),
(43992,	3,	1611,	2,	2),
(43993,	3,	1611,	3,	2),
(43994,	3,	1612,	1,	1),
(43995,	3,	1612,	2,	1),
(43996,	3,	1612,	3,	1),
(43997,	3,	1612,	1,	2),
(43998,	3,	1612,	2,	2),
(43999,	3,	1612,	3,	2),
(44000,	3,	1613,	1,	1),
(44001,	3,	1613,	2,	1),
(44002,	3,	1613,	3,	1),
(44003,	3,	1613,	1,	2),
(44004,	3,	1613,	2,	2),
(44005,	3,	1613,	3,	2),
(44006,	3,	1614,	1,	1),
(44007,	3,	1614,	2,	1),
(44008,	3,	1614,	3,	1),
(44009,	3,	1614,	1,	2),
(44010,	3,	1614,	2,	2),
(44011,	3,	1614,	3,	2),
(44012,	3,	1615,	1,	1),
(44013,	3,	1615,	2,	1),
(44014,	3,	1615,	3,	1),
(44015,	3,	1615,	1,	2),
(44016,	3,	1615,	2,	2),
(44017,	3,	1615,	3,	2),
(44018,	3,	1616,	1,	1),
(44019,	3,	1616,	2,	1),
(44020,	3,	1616,	3,	1),
(44021,	3,	1616,	1,	2),
(44022,	3,	1616,	2,	2),
(44023,	3,	1616,	3,	2),
(44024,	3,	1617,	1,	1),
(44025,	3,	1617,	2,	1),
(44026,	3,	1617,	3,	1),
(44027,	3,	1617,	1,	2),
(44028,	3,	1617,	2,	2),
(44029,	3,	1617,	3,	2),
(44030,	3,	1618,	1,	1),
(44031,	3,	1618,	2,	1),
(44032,	3,	1618,	3,	1),
(44033,	3,	1618,	1,	2),
(44034,	3,	1618,	2,	2),
(44035,	3,	1618,	3,	2),
(44036,	3,	1619,	1,	1),
(44037,	3,	1619,	2,	1),
(44038,	3,	1619,	3,	1),
(44039,	3,	1619,	1,	2),
(44040,	3,	1619,	2,	2),
(44041,	3,	1619,	3,	2),
(44042,	3,	1620,	1,	1),
(44043,	3,	1620,	2,	1),
(44044,	3,	1620,	3,	1),
(44045,	3,	1620,	1,	2),
(44046,	3,	1620,	2,	2),
(44047,	3,	1620,	3,	2),
(44048,	3,	1621,	1,	1),
(44049,	3,	1621,	2,	1),
(44050,	3,	1621,	3,	1),
(44051,	3,	1621,	1,	2),
(44052,	3,	1621,	2,	2),
(44053,	3,	1621,	3,	2),
(44054,	3,	1622,	1,	1),
(44055,	3,	1622,	2,	1),
(44056,	3,	1622,	3,	1),
(44057,	3,	1622,	1,	2),
(44058,	3,	1622,	2,	2),
(44059,	3,	1622,	3,	2),
(44060,	3,	1623,	1,	1),
(44061,	3,	1623,	2,	1),
(44062,	3,	1623,	3,	1),
(44063,	3,	1623,	1,	2),
(44064,	3,	1623,	2,	2),
(44065,	3,	1623,	3,	2),
(44066,	3,	1624,	1,	1),
(44067,	3,	1624,	2,	1),
(44068,	3,	1624,	3,	1),
(44069,	3,	1625,	1,	1),
(44070,	3,	1625,	2,	1),
(44071,	3,	1625,	3,	1),
(44072,	3,	1626,	1,	1),
(44073,	3,	1626,	2,	1),
(44074,	3,	1626,	3,	1),
(44075,	3,	1627,	1,	1),
(44076,	3,	1627,	2,	1),
(44077,	3,	1627,	3,	1),
(44078,	3,	1627,	1,	2),
(44079,	3,	1627,	2,	2),
(44080,	3,	1627,	3,	2),
(44081,	3,	1628,	1,	1),
(44082,	3,	1628,	2,	1),
(44083,	3,	1628,	3,	1),
(44084,	3,	1628,	1,	2),
(44085,	3,	1628,	2,	2),
(44086,	3,	1628,	3,	2),
(44087,	3,	1629,	1,	1),
(44088,	3,	1629,	2,	1),
(44089,	3,	1629,	3,	1),
(44090,	3,	1629,	1,	2),
(44091,	3,	1629,	2,	2),
(44092,	3,	1629,	3,	2),
(44093,	3,	1630,	1,	1),
(44094,	3,	1630,	2,	1),
(44095,	3,	1630,	3,	1),
(44096,	3,	1630,	1,	2),
(44097,	3,	1630,	2,	2),
(44098,	3,	1630,	3,	2),
(44099,	3,	1631,	1,	1),
(44100,	3,	1631,	2,	1),
(44101,	3,	1631,	3,	1),
(44102,	3,	1631,	81,	1),
(44103,	3,	1631,	1,	2),
(44104,	3,	1631,	2,	2),
(44105,	3,	1631,	3,	2),
(44106,	3,	1631,	81,	2),
(44107,	3,	1632,	1,	1),
(44108,	3,	1632,	2,	1),
(44109,	3,	1632,	3,	1),
(44110,	3,	1632,	4,	1),
(44111,	3,	1632,	5,	1),
(44112,	3,	1633,	1,	1),
(44113,	3,	1633,	2,	1),
(44114,	3,	1633,	3,	1),
(44115,	3,	1633,	1,	2),
(44116,	3,	1633,	2,	2),
(44117,	3,	1633,	3,	2),
(44118,	3,	1634,	1,	1),
(44119,	3,	1634,	2,	1),
(44120,	3,	1634,	3,	1),
(44121,	3,	1634,	26,	1),
(44122,	3,	1634,	4,	1),
(44123,	3,	1634,	1,	2),
(44124,	3,	1634,	2,	2),
(44125,	3,	1634,	3,	2),
(44126,	3,	1634,	26,	2),
(44127,	3,	1634,	4,	2),
(44128,	3,	1635,	1,	1),
(44129,	3,	1635,	2,	1),
(44130,	3,	1635,	3,	1),
(44131,	3,	1635,	4,	1),
(44132,	3,	1635,	5,	1),
(44133,	3,	1635,	82,	1),
(44134,	3,	1636,	1,	1),
(44135,	3,	1636,	2,	1),
(44136,	3,	1636,	3,	1),
(44137,	3,	1636,	4,	1),
(44138,	3,	1636,	5,	1),
(44139,	3,	1636,	82,	1),
(44140,	3,	1637,	1,	1),
(44141,	3,	1637,	2,	1),
(44142,	3,	1637,	3,	1),
(44143,	3,	1637,	1,	2),
(44144,	3,	1637,	2,	2),
(44145,	3,	1637,	3,	2),
(44146,	3,	1638,	1,	1),
(44147,	3,	1638,	2,	1),
(44148,	3,	1638,	3,	1),
(44149,	3,	1638,	81,	1),
(44150,	3,	1638,	4,	1),
(44151,	3,	1638,	26,	1),
(44152,	3,	1638,	1,	2),
(44153,	3,	1638,	2,	2),
(44154,	3,	1638,	3,	2),
(44155,	3,	1638,	81,	2),
(44156,	3,	1638,	4,	2),
(44157,	3,	1638,	26,	2),
(44158,	3,	1639,	1,	1),
(44159,	3,	1639,	2,	1),
(44160,	3,	1639,	3,	1),
(44161,	3,	1639,	1,	2),
(44162,	3,	1639,	2,	2),
(44163,	3,	1639,	3,	2),
(44164,	3,	1640,	1,	1),
(44165,	3,	1640,	2,	1),
(44166,	3,	1640,	3,	1),
(44167,	3,	1641,	1,	1),
(44168,	3,	1641,	2,	1),
(44169,	3,	1641,	3,	1),
(44170,	3,	1641,	1,	2),
(44171,	3,	1641,	2,	2),
(44172,	3,	1641,	3,	2),
(44173,	3,	1642,	1,	1),
(44174,	3,	1642,	2,	1),
(44175,	3,	1642,	3,	1),
(44176,	3,	1642,	1,	2),
(44177,	3,	1642,	2,	2),
(44178,	3,	1642,	3,	2),
(44179,	3,	1643,	1,	1),
(44180,	3,	1643,	2,	1),
(44181,	3,	1643,	3,	1),
(44182,	3,	1644,	1,	1),
(44183,	3,	1644,	2,	1),
(44184,	3,	1644,	3,	1),
(44185,	3,	1645,	1,	1),
(44186,	3,	1645,	2,	1),
(44187,	3,	1645,	3,	1),
(44188,	3,	1646,	1,	1),
(44189,	3,	1646,	2,	1),
(44190,	3,	1646,	3,	1),
(44191,	3,	1647,	1,	1),
(44192,	3,	1647,	2,	1),
(44193,	3,	1647,	3,	1),
(44194,	3,	1647,	1,	3),
(44195,	3,	1647,	2,	3),
(44196,	3,	1647,	3,	3),
(44197,	3,	1648,	1,	1),
(44198,	3,	1648,	2,	1),
(44199,	3,	1648,	3,	1),
(44200,	3,	1649,	1,	1),
(44201,	3,	1649,	2,	1),
(44202,	3,	1649,	3,	1),
(44203,	3,	1650,	1,	1),
(44204,	3,	1650,	2,	1),
(44205,	3,	1650,	3,	1),
(44206,	3,	1651,	1,	1),
(44207,	3,	1651,	2,	1),
(44208,	3,	1651,	3,	1),
(44209,	3,	1651,	1,	2),
(44210,	3,	1651,	2,	2),
(44211,	3,	1651,	3,	2),
(44212,	3,	1652,	1,	1),
(44213,	3,	1652,	2,	1),
(44214,	3,	1652,	3,	1),
(44215,	3,	1653,	1,	1),
(44216,	3,	1653,	2,	1),
(44217,	3,	1653,	3,	1),
(44218,	3,	1653,	1,	2),
(44219,	3,	1653,	2,	2),
(44220,	3,	1653,	3,	2),
(44221,	3,	1654,	1,	1),
(44222,	3,	1654,	2,	1),
(44223,	3,	1654,	3,	1),
(44224,	3,	1654,	1,	2),
(44225,	3,	1654,	2,	2),
(44226,	3,	1654,	3,	2),
(44227,	3,	1655,	1,	1),
(44228,	3,	1655,	2,	1),
(44229,	3,	1655,	3,	1),
(44230,	3,	1655,	1,	2),
(44231,	3,	1655,	2,	2),
(44232,	3,	1655,	3,	2),
(44233,	3,	1656,	1,	1),
(44234,	3,	1656,	2,	1),
(44235,	3,	1656,	3,	1),
(44236,	3,	1657,	1,	1),
(44237,	3,	1657,	2,	1),
(44238,	3,	1657,	3,	1),
(44239,	3,	1658,	1,	1),
(44240,	3,	1658,	2,	1),
(44241,	3,	1658,	3,	1),
(44242,	3,	1658,	1,	2),
(44243,	3,	1658,	2,	2),
(44244,	3,	1658,	3,	2),
(44245,	3,	1659,	1,	1),
(44246,	3,	1659,	2,	1),
(44247,	3,	1659,	3,	1),
(44248,	3,	1659,	1,	2),
(44249,	3,	1659,	2,	2),
(44250,	3,	1659,	3,	2),
(44251,	3,	1660,	1,	1),
(44252,	3,	1660,	2,	1),
(44253,	3,	1660,	3,	1),
(44254,	3,	1661,	1,	1),
(44255,	3,	1661,	2,	1),
(44256,	3,	1661,	3,	1),
(44257,	3,	1661,	1,	2),
(44258,	3,	1661,	2,	2),
(44259,	3,	1661,	3,	2),
(44260,	3,	1662,	1,	1),
(44261,	3,	1662,	2,	1),
(44262,	3,	1662,	3,	1),
(44263,	3,	1662,	1,	2),
(44264,	3,	1662,	2,	2),
(44265,	3,	1662,	3,	2),
(44266,	3,	1663,	1,	1),
(44267,	3,	1663,	2,	1),
(44268,	3,	1663,	3,	1),
(44269,	3,	1664,	1,	1),
(44270,	3,	1664,	2,	1),
(44271,	3,	1664,	3,	1),
(44272,	3,	1664,	1,	2),
(44273,	3,	1664,	2,	2),
(44274,	3,	1664,	3,	2),
(44275,	3,	1665,	1,	1),
(44276,	3,	1665,	2,	1),
(44277,	3,	1665,	3,	1),
(44278,	3,	1665,	1,	2),
(44279,	3,	1665,	2,	2),
(44280,	3,	1665,	3,	2),
(44281,	3,	1666,	1,	1),
(44282,	3,	1666,	2,	1),
(44283,	3,	1666,	3,	1),
(44284,	3,	1667,	1,	1),
(44285,	3,	1667,	2,	1),
(44286,	3,	1667,	3,	1),
(44287,	3,	1667,	1,	2),
(44288,	3,	1667,	2,	2),
(44289,	3,	1667,	3,	2),
(44290,	3,	1668,	1,	1),
(44291,	3,	1668,	2,	1),
(44292,	3,	1668,	3,	1),
(44293,	3,	1668,	1,	2),
(44294,	3,	1668,	2,	2),
(44295,	3,	1668,	3,	2),
(44296,	3,	1669,	1,	1),
(44297,	3,	1669,	2,	1),
(44298,	3,	1669,	3,	1),
(44299,	3,	1669,	1,	2),
(44300,	3,	1669,	2,	2),
(44301,	3,	1669,	3,	2),
(44302,	3,	1670,	1,	1),
(44303,	3,	1670,	2,	1),
(44304,	3,	1670,	3,	1),
(44305,	3,	1670,	1,	2),
(44306,	3,	1670,	2,	2),
(44307,	3,	1670,	3,	2),
(44308,	3,	1671,	1,	1),
(44309,	3,	1671,	2,	1),
(44310,	3,	1671,	3,	1),
(44311,	3,	1671,	1,	2),
(44312,	3,	1671,	2,	2),
(44313,	3,	1671,	3,	2),
(44314,	3,	1672,	1,	1),
(44315,	3,	1672,	2,	1),
(44316,	3,	1672,	3,	1),
(44317,	3,	1672,	1,	2),
(44318,	3,	1672,	2,	2),
(44319,	3,	1672,	3,	2),
(44320,	3,	1673,	1,	1),
(44321,	3,	1673,	2,	1),
(44322,	3,	1673,	3,	1),
(44323,	3,	1673,	1,	2),
(44324,	3,	1673,	2,	2),
(44325,	3,	1673,	3,	2),
(44326,	3,	1674,	1,	1),
(44327,	3,	1674,	2,	1),
(44328,	3,	1674,	3,	1),
(44329,	3,	1674,	1,	2),
(44330,	3,	1674,	2,	2),
(44331,	3,	1674,	3,	2),
(44332,	3,	1675,	1,	1),
(44333,	3,	1675,	2,	1),
(44334,	3,	1675,	3,	1),
(44335,	3,	1675,	1,	2),
(44336,	3,	1675,	2,	2),
(44337,	3,	1675,	3,	2),
(44338,	3,	1676,	1,	1),
(44339,	3,	1676,	2,	1),
(44340,	3,	1676,	3,	1),
(44341,	3,	1677,	1,	1),
(44342,	3,	1677,	2,	1),
(44343,	3,	1677,	3,	1),
(44344,	3,	1677,	1,	2),
(44345,	3,	1677,	2,	2),
(44346,	3,	1677,	3,	2),
(44347,	3,	1678,	1,	1),
(44348,	3,	1678,	2,	1),
(44349,	3,	1678,	3,	1),
(44350,	3,	1678,	1,	2),
(44351,	3,	1678,	2,	2),
(44352,	3,	1678,	3,	2),
(44353,	3,	1679,	1,	1),
(44354,	3,	1679,	2,	1),
(44355,	3,	1679,	3,	1),
(44356,	3,	1679,	1,	2),
(44357,	3,	1679,	2,	2),
(44358,	3,	1679,	3,	2),
(44359,	3,	1680,	1,	1),
(44360,	3,	1680,	2,	1),
(44361,	3,	1680,	3,	1),
(44362,	3,	1680,	1,	2),
(44363,	3,	1680,	2,	2),
(44364,	3,	1680,	3,	2),
(44365,	3,	1681,	1,	1),
(44366,	3,	1681,	2,	1),
(44367,	3,	1681,	3,	1),
(44368,	3,	1681,	1,	2),
(44369,	3,	1681,	2,	2),
(44370,	3,	1681,	3,	2),
(44371,	3,	1682,	1,	1),
(44372,	3,	1682,	2,	1),
(44373,	3,	1682,	3,	1),
(44374,	3,	1682,	1,	2),
(44375,	3,	1682,	2,	2),
(44376,	3,	1682,	3,	2),
(44377,	3,	1683,	1,	1),
(44378,	3,	1683,	2,	1),
(44379,	3,	1683,	3,	1),
(44380,	3,	1683,	1,	2),
(44381,	3,	1683,	2,	2),
(44382,	3,	1683,	3,	2),
(44383,	3,	1684,	1,	1),
(44384,	3,	1684,	2,	1),
(44385,	3,	1684,	3,	1),
(44386,	3,	1684,	1,	2),
(44387,	3,	1684,	2,	2),
(44388,	3,	1684,	3,	2),
(44389,	3,	1685,	1,	1),
(44390,	3,	1685,	2,	1),
(44391,	3,	1685,	3,	1),
(44392,	3,	1685,	1,	2),
(44393,	3,	1685,	2,	2),
(44394,	3,	1685,	3,	2),
(44395,	3,	1686,	1,	1),
(44396,	3,	1686,	2,	1),
(44397,	3,	1686,	3,	1),
(44398,	3,	1686,	1,	3),
(44399,	3,	1686,	2,	3),
(44400,	3,	1686,	3,	3),
(44401,	3,	1687,	1,	1),
(44402,	3,	1687,	2,	1),
(44403,	3,	1687,	3,	1),
(44404,	3,	1687,	1,	2),
(44405,	3,	1687,	2,	2),
(44406,	3,	1687,	3,	2),
(44407,	3,	1688,	1,	1),
(44408,	3,	1688,	2,	1),
(44409,	3,	1688,	3,	1),
(44410,	3,	1688,	1,	2),
(44411,	3,	1688,	2,	2),
(44412,	3,	1688,	3,	2),
(44413,	3,	1689,	1,	1),
(44414,	3,	1689,	2,	1),
(44415,	3,	1689,	3,	1),
(44416,	3,	1689,	1,	2),
(44417,	3,	1689,	2,	2),
(44418,	3,	1689,	3,	2),
(44419,	3,	1690,	1,	1),
(44420,	3,	1690,	2,	1),
(44421,	3,	1690,	3,	1),
(44422,	3,	1690,	1,	2),
(44423,	3,	1690,	2,	2),
(44424,	3,	1690,	3,	2),
(44425,	3,	1691,	1,	1),
(44426,	3,	1691,	2,	1),
(44427,	3,	1691,	3,	1),
(44428,	3,	1691,	1,	2),
(44429,	3,	1691,	2,	2),
(44430,	3,	1691,	3,	2),
(44431,	3,	1692,	1,	1),
(44432,	3,	1692,	2,	1),
(44433,	3,	1692,	3,	1),
(44434,	3,	1692,	1,	3),
(44435,	3,	1692,	2,	3),
(44436,	3,	1692,	3,	3),
(44437,	3,	1693,	1,	1),
(44438,	3,	1693,	2,	1),
(44439,	3,	1693,	3,	1),
(44440,	3,	1693,	1,	2),
(44441,	3,	1693,	2,	2),
(44442,	3,	1693,	3,	2),
(44443,	3,	1694,	1,	1),
(44444,	3,	1694,	2,	1),
(44445,	3,	1694,	3,	1),
(44446,	3,	1694,	1,	2),
(44447,	3,	1694,	2,	2),
(44448,	3,	1694,	3,	2),
(44449,	3,	1695,	1,	1),
(44450,	3,	1695,	2,	1),
(44451,	3,	1695,	3,	1),
(44452,	3,	1695,	1,	3),
(44453,	3,	1695,	2,	3),
(44454,	3,	1695,	3,	3),
(44455,	3,	1696,	1,	1),
(44456,	3,	1696,	2,	1),
(44457,	3,	1696,	3,	1),
(44458,	3,	1696,	1,	3),
(44459,	3,	1696,	2,	3),
(44460,	3,	1696,	3,	3),
(44461,	3,	1696,	1,	2),
(44462,	3,	1696,	2,	2),
(44463,	3,	1696,	3,	2),
(44464,	3,	1697,	1,	1),
(44465,	3,	1697,	2,	1),
(44466,	3,	1697,	3,	1),
(44467,	3,	1697,	1,	3),
(44468,	3,	1697,	2,	3),
(44469,	3,	1697,	3,	3),
(44470,	3,	1698,	1,	1),
(44471,	3,	1698,	2,	1),
(44472,	3,	1698,	3,	1),
(44473,	3,	1698,	1,	2),
(44474,	3,	1698,	2,	2),
(44475,	3,	1698,	3,	2),
(44476,	3,	1699,	1,	1),
(44477,	3,	1699,	2,	1),
(44478,	3,	1699,	3,	1),
(44479,	3,	1699,	1,	2),
(44480,	3,	1699,	2,	2),
(44481,	3,	1699,	3,	2),
(44482,	3,	1700,	1,	1),
(44483,	3,	1700,	2,	1),
(44484,	3,	1700,	3,	1),
(44485,	3,	1700,	1,	2),
(44486,	3,	1700,	2,	2),
(44487,	3,	1700,	3,	2),
(44488,	3,	1701,	1,	1),
(44489,	3,	1701,	2,	1),
(44490,	3,	1701,	3,	1),
(44491,	3,	1701,	1,	2),
(44492,	3,	1701,	2,	2),
(44493,	3,	1701,	3,	2),
(44494,	3,	1702,	1,	1),
(44495,	3,	1702,	2,	1),
(44496,	3,	1702,	3,	1),
(44497,	3,	1702,	1,	2),
(44498,	3,	1702,	2,	2),
(44499,	3,	1702,	3,	2),
(44500,	3,	1703,	1,	1),
(44501,	3,	1703,	2,	1),
(44502,	3,	1703,	3,	1),
(44503,	3,	1703,	1,	3),
(44504,	3,	1703,	2,	3),
(44505,	3,	1703,	3,	3),
(44506,	3,	1704,	1,	1),
(44507,	3,	1704,	2,	1),
(44508,	3,	1704,	3,	1),
(44509,	3,	1704,	1,	2),
(44510,	3,	1704,	2,	2),
(44511,	3,	1704,	3,	2),
(44512,	3,	1705,	1,	1),
(44513,	3,	1705,	2,	1),
(44514,	3,	1705,	3,	1),
(44515,	3,	1705,	1,	2),
(44516,	3,	1705,	2,	2),
(44517,	3,	1705,	3,	2),
(44518,	3,	1706,	1,	1),
(44519,	3,	1706,	2,	1),
(44520,	3,	1706,	3,	1),
(44521,	3,	1706,	1,	3),
(44522,	3,	1706,	2,	3),
(44523,	3,	1706,	3,	3),
(44524,	3,	1707,	1,	1),
(44525,	3,	1707,	2,	1),
(44526,	3,	1707,	3,	1),
(44527,	3,	1707,	1,	2),
(44528,	3,	1707,	2,	2),
(44529,	3,	1707,	3,	2),
(44530,	3,	1708,	1,	1),
(44531,	3,	1708,	2,	1),
(44532,	3,	1708,	3,	1),
(44533,	3,	1708,	1,	3),
(44534,	3,	1708,	2,	3),
(44535,	3,	1708,	3,	3),
(44536,	3,	1709,	1,	1),
(44537,	3,	1709,	2,	1),
(44538,	3,	1709,	3,	1),
(44539,	3,	1709,	1,	2),
(44540,	3,	1709,	2,	2),
(44541,	3,	1709,	3,	2),
(44542,	3,	1710,	1,	1),
(44543,	3,	1710,	2,	1),
(44544,	3,	1710,	3,	1),
(44545,	3,	1710,	1,	3),
(44546,	3,	1710,	2,	3),
(44547,	3,	1710,	3,	3),
(44548,	3,	1711,	1,	1),
(44549,	3,	1711,	2,	1),
(44550,	3,	1711,	3,	1),
(44551,	3,	1711,	1,	2),
(44552,	3,	1711,	2,	2),
(44553,	3,	1711,	3,	2),
(44554,	3,	1712,	1,	1),
(44555,	3,	1712,	2,	1),
(44556,	3,	1712,	3,	1),
(44557,	3,	1712,	1,	2),
(44558,	3,	1712,	2,	2),
(44559,	3,	1712,	3,	2),
(44560,	3,	1713,	1,	1),
(44561,	3,	1713,	2,	1),
(44562,	3,	1713,	3,	1),
(44563,	3,	1713,	1,	3),
(44564,	3,	1713,	2,	3),
(44565,	3,	1713,	3,	3),
(44566,	3,	1714,	1,	1),
(44567,	3,	1714,	2,	1),
(44568,	3,	1714,	3,	1),
(44569,	3,	1714,	83,	1),
(44570,	3,	1714,	1,	2),
(44571,	3,	1714,	2,	2),
(44572,	3,	1714,	3,	2),
(44573,	3,	1714,	83,	2),
(44574,	3,	1715,	1,	1),
(44575,	3,	1715,	2,	1),
(44576,	3,	1715,	3,	1),
(44577,	3,	1715,	1,	3),
(44578,	3,	1715,	2,	3),
(44579,	3,	1715,	3,	3),
(44580,	3,	1716,	1,	1),
(44581,	3,	1716,	2,	1),
(44582,	3,	1716,	3,	1),
(44583,	3,	1716,	1,	2),
(44584,	3,	1716,	2,	2),
(44585,	3,	1716,	3,	2),
(44586,	3,	1717,	1,	1),
(44587,	3,	1717,	2,	1),
(44588,	3,	1717,	3,	1),
(44589,	3,	1717,	1,	3),
(44590,	3,	1717,	2,	3),
(44591,	3,	1717,	3,	3),
(44592,	3,	1718,	1,	1),
(44593,	3,	1718,	2,	1),
(44594,	3,	1718,	3,	1),
(44595,	3,	1718,	1,	2),
(44596,	3,	1718,	2,	2),
(44597,	3,	1718,	3,	2),
(44598,	3,	1719,	1,	1),
(44599,	3,	1719,	2,	1),
(44600,	3,	1719,	3,	1),
(44601,	3,	1719,	1,	2),
(44602,	3,	1719,	2,	2),
(44603,	3,	1719,	3,	2),
(44604,	3,	1720,	1,	1),
(44605,	3,	1720,	2,	1),
(44606,	3,	1720,	3,	1),
(44607,	3,	1720,	1,	2),
(44608,	3,	1720,	2,	2),
(44609,	3,	1720,	3,	2),
(44610,	3,	1721,	1,	1),
(44611,	3,	1721,	2,	1),
(44612,	3,	1721,	3,	1),
(44613,	3,	1721,	1,	3),
(44614,	3,	1721,	2,	3),
(44615,	3,	1721,	3,	3),
(44616,	3,	1722,	1,	1),
(44617,	3,	1722,	2,	1),
(44618,	3,	1722,	3,	1),
(44619,	3,	1722,	1,	2),
(44620,	3,	1722,	2,	2),
(44621,	3,	1722,	3,	2),
(44622,	3,	1723,	1,	1),
(44623,	3,	1723,	2,	1),
(44624,	3,	1723,	3,	1),
(44625,	3,	1723,	1,	2),
(44626,	3,	1723,	2,	2),
(44627,	3,	1723,	3,	2),
(44628,	3,	1724,	1,	1),
(44629,	3,	1724,	2,	1),
(44630,	3,	1724,	3,	1),
(44631,	3,	1724,	1,	2),
(44632,	3,	1724,	2,	2),
(44633,	3,	1724,	3,	2),
(44634,	3,	1725,	1,	1),
(44635,	3,	1725,	2,	1),
(44636,	3,	1725,	3,	1),
(44637,	3,	1725,	1,	2),
(44638,	3,	1725,	2,	2),
(44639,	3,	1725,	3,	2),
(44640,	3,	1726,	1,	1),
(44641,	3,	1726,	2,	1),
(44642,	3,	1726,	3,	1),
(44643,	3,	1726,	1,	2),
(44644,	3,	1726,	2,	2),
(44645,	3,	1726,	3,	2),
(44646,	3,	1727,	1,	1),
(44647,	3,	1727,	2,	1),
(44648,	3,	1727,	3,	1),
(44649,	3,	1727,	1,	2),
(44650,	3,	1727,	2,	2),
(44651,	3,	1727,	3,	2),
(44652,	3,	1728,	1,	1),
(44653,	3,	1728,	2,	1),
(44654,	3,	1728,	3,	1),
(44655,	3,	1728,	1,	2),
(44656,	3,	1728,	2,	2),
(44657,	3,	1728,	3,	2),
(44658,	3,	1729,	1,	1),
(44659,	3,	1729,	2,	1),
(44660,	3,	1729,	3,	1),
(44661,	3,	1729,	1,	2),
(44662,	3,	1729,	2,	2),
(44663,	3,	1729,	3,	2),
(44664,	3,	1730,	1,	1),
(44665,	3,	1730,	2,	1),
(44666,	3,	1730,	3,	1),
(44667,	3,	1730,	1,	2),
(44668,	3,	1730,	2,	2),
(44669,	3,	1730,	3,	2),
(44670,	3,	1731,	1,	1),
(44671,	3,	1731,	2,	1),
(44672,	3,	1731,	3,	1),
(44673,	3,	1731,	1,	2),
(44674,	3,	1731,	2,	2),
(44675,	3,	1731,	3,	2),
(44676,	3,	1732,	1,	1),
(44677,	3,	1732,	2,	1),
(44678,	3,	1732,	3,	1),
(44679,	3,	1732,	1,	2),
(44680,	3,	1732,	2,	2),
(44681,	3,	1732,	3,	2),
(44682,	3,	1733,	1,	1),
(44683,	3,	1733,	2,	1),
(44684,	3,	1733,	3,	1),
(44685,	3,	1733,	1,	2),
(44686,	3,	1733,	2,	2),
(44687,	3,	1733,	3,	2),
(44688,	3,	1734,	1,	1),
(44689,	3,	1734,	2,	1),
(44690,	3,	1734,	3,	1),
(44691,	3,	1734,	1,	2),
(44692,	3,	1734,	2,	2),
(44693,	3,	1734,	3,	2),
(44694,	3,	1735,	1,	1),
(44695,	3,	1735,	2,	1),
(44696,	3,	1735,	3,	1),
(44697,	3,	1735,	1,	2),
(44698,	3,	1735,	2,	2),
(44699,	3,	1735,	3,	2),
(44700,	3,	1736,	1,	1),
(44701,	3,	1736,	2,	1),
(44702,	3,	1736,	3,	1),
(44703,	3,	1736,	1,	3),
(44704,	3,	1736,	2,	3),
(44705,	3,	1736,	3,	3),
(44706,	3,	1737,	1,	1),
(44707,	3,	1737,	2,	1),
(44708,	3,	1737,	3,	1),
(44709,	3,	1737,	1,	2),
(44710,	3,	1737,	2,	2),
(44711,	3,	1737,	3,	2),
(44712,	3,	1738,	1,	1),
(44713,	3,	1738,	2,	1),
(44714,	3,	1738,	3,	1),
(44715,	3,	1738,	23,	1),
(44716,	3,	1738,	1,	3),
(44717,	3,	1738,	2,	3),
(44718,	3,	1738,	3,	3),
(44719,	3,	1738,	23,	3),
(44720,	3,	1739,	1,	1),
(44721,	3,	1739,	2,	1),
(44722,	3,	1739,	3,	1),
(44723,	3,	1740,	1,	1),
(44724,	3,	1740,	2,	1),
(44725,	3,	1740,	3,	1),
(44726,	3,	1741,	1,	1),
(44727,	3,	1741,	2,	1),
(44728,	3,	1741,	3,	1),
(44729,	3,	1741,	84,	1),
(44730,	3,	1741,	1,	3),
(44731,	3,	1741,	2,	3),
(44732,	3,	1741,	3,	3),
(44733,	3,	1741,	84,	3),
(44734,	3,	1742,	1,	1),
(44735,	3,	1742,	2,	1),
(44736,	3,	1742,	3,	1),
(44737,	3,	1742,	1,	3),
(44738,	3,	1742,	2,	3),
(44739,	3,	1742,	3,	3),
(44740,	3,	1743,	1,	1),
(44741,	3,	1743,	2,	1),
(44742,	3,	1743,	3,	1),
(44743,	3,	1744,	1,	1),
(44744,	3,	1744,	2,	1),
(44745,	3,	1744,	3,	1),
(44746,	3,	1744,	84,	1),
(44747,	3,	1744,	1,	3),
(44748,	3,	1744,	2,	3),
(44749,	3,	1744,	3,	3),
(44750,	3,	1744,	84,	3),
(44751,	3,	1745,	1,	1),
(44752,	3,	1745,	2,	1),
(44753,	3,	1745,	3,	1),
(44754,	3,	1745,	1,	3),
(44755,	3,	1745,	2,	3),
(44756,	3,	1745,	3,	3),
(44757,	3,	1746,	1,	1),
(44758,	3,	1746,	2,	1),
(44759,	3,	1746,	3,	1),
(44760,	3,	1746,	1,	3),
(44761,	3,	1746,	2,	3),
(44762,	3,	1746,	3,	3),
(44763,	3,	1747,	1,	1),
(44764,	3,	1747,	2,	1),
(44765,	3,	1747,	3,	1),
(44766,	3,	1747,	1,	3),
(44767,	3,	1747,	2,	3),
(44768,	3,	1747,	3,	3),
(44769,	3,	1748,	1,	1),
(44770,	3,	1748,	2,	1),
(44771,	3,	1748,	3,	1),
(44772,	3,	1748,	1,	3),
(44773,	3,	1748,	2,	3),
(44774,	3,	1748,	3,	3),
(44775,	3,	1749,	1,	1),
(44776,	3,	1749,	2,	1),
(44777,	3,	1749,	3,	1),
(44778,	3,	1749,	1,	2),
(44779,	3,	1749,	2,	2),
(44780,	3,	1749,	3,	2),
(44781,	3,	1750,	1,	1),
(44782,	3,	1750,	2,	1),
(44783,	3,	1750,	3,	1),
(44784,	3,	1750,	1,	2),
(44785,	3,	1750,	2,	2),
(44786,	3,	1750,	3,	2),
(44787,	3,	1751,	1,	1),
(44788,	3,	1751,	2,	1),
(44789,	3,	1751,	3,	1),
(44790,	3,	1751,	1,	2),
(44791,	3,	1751,	2,	2),
(44792,	3,	1751,	3,	2),
(44793,	3,	1752,	1,	1),
(44794,	3,	1752,	2,	1),
(44795,	3,	1752,	3,	1),
(44796,	3,	1752,	1,	2),
(44797,	3,	1752,	2,	2),
(44798,	3,	1752,	3,	2),
(44799,	3,	1753,	1,	1),
(44800,	3,	1753,	2,	1),
(44801,	3,	1753,	3,	1),
(44802,	3,	1753,	1,	3),
(44803,	3,	1753,	2,	3),
(44804,	3,	1753,	3,	3),
(44805,	3,	1754,	1,	1),
(44806,	3,	1754,	2,	1),
(44807,	3,	1754,	3,	1),
(44808,	3,	1754,	1,	2),
(44809,	3,	1754,	2,	2),
(44810,	3,	1754,	3,	2),
(44811,	3,	1755,	1,	1),
(44812,	3,	1755,	2,	1),
(44813,	3,	1755,	3,	1),
(44814,	3,	1755,	1,	2),
(44815,	3,	1755,	2,	2),
(44816,	3,	1755,	3,	2),
(44817,	3,	1756,	1,	1),
(44818,	3,	1756,	2,	1),
(44819,	3,	1756,	3,	1),
(44820,	3,	1756,	1,	2),
(44821,	3,	1756,	2,	2),
(44822,	3,	1756,	3,	2),
(44823,	3,	1757,	1,	1),
(44824,	3,	1757,	2,	1),
(44825,	3,	1757,	3,	1),
(44826,	3,	1757,	1,	2),
(44827,	3,	1757,	2,	2),
(44828,	3,	1757,	3,	2),
(44829,	3,	1758,	1,	1),
(44830,	3,	1758,	2,	1),
(44831,	3,	1758,	3,	1),
(44832,	3,	1758,	1,	2),
(44833,	3,	1758,	2,	2),
(44834,	3,	1758,	3,	2),
(44835,	3,	1759,	1,	1),
(44836,	3,	1759,	2,	1),
(44837,	3,	1759,	3,	1),
(44838,	3,	1760,	1,	1),
(44839,	3,	1760,	2,	1),
(44840,	3,	1760,	3,	1),
(44841,	3,	1761,	1,	1),
(44842,	3,	1761,	2,	1),
(44843,	3,	1761,	3,	1),
(44844,	3,	1762,	1,	1),
(44845,	3,	1762,	2,	1),
(44846,	3,	1762,	3,	1),
(44847,	3,	1763,	1,	1),
(44848,	3,	1763,	2,	1),
(44849,	3,	1763,	3,	1),
(44850,	3,	1764,	1,	1),
(44851,	3,	1764,	2,	1),
(44852,	3,	1764,	3,	1),
(44853,	3,	1765,	1,	1),
(44854,	3,	1765,	2,	1),
(44855,	3,	1765,	3,	1),
(44856,	3,	1766,	1,	1),
(44857,	3,	1766,	2,	1),
(44858,	3,	1766,	3,	1),
(44859,	3,	1767,	1,	1),
(44860,	3,	1767,	2,	1),
(44861,	3,	1767,	3,	1),
(44862,	3,	1767,	1,	2),
(44863,	3,	1767,	2,	2),
(44864,	3,	1767,	3,	2),
(44865,	3,	1768,	1,	1),
(44866,	3,	1768,	2,	1),
(44867,	3,	1768,	3,	1),
(44868,	3,	1768,	1,	2),
(44869,	3,	1768,	2,	2),
(44870,	3,	1768,	3,	2),
(44871,	3,	1769,	1,	1),
(44872,	3,	1769,	2,	1),
(44873,	3,	1769,	3,	1),
(44874,	3,	1770,	1,	1),
(44875,	3,	1770,	2,	1),
(44876,	3,	1770,	3,	1),
(44877,	3,	1771,	1,	1),
(44878,	3,	1771,	2,	1),
(44879,	3,	1771,	3,	1),
(44880,	3,	1772,	1,	1),
(44881,	3,	1772,	2,	1),
(44882,	3,	1772,	3,	1),
(44883,	3,	1773,	1,	1),
(44884,	3,	1773,	2,	1),
(44885,	3,	1773,	3,	1),
(44886,	3,	1774,	1,	1),
(44887,	3,	1774,	2,	1),
(44888,	3,	1774,	3,	1),
(44889,	3,	1775,	1,	1),
(44890,	3,	1775,	2,	1),
(44891,	3,	1775,	3,	1),
(44892,	3,	1775,	1,	2),
(44893,	3,	1775,	2,	2),
(44894,	3,	1775,	3,	2),
(44895,	3,	1776,	1,	1),
(44896,	3,	1776,	2,	1),
(44897,	3,	1776,	3,	1),
(44898,	3,	1776,	1,	2),
(44899,	3,	1776,	2,	2),
(44900,	3,	1776,	3,	2),
(44901,	3,	1777,	1,	1),
(44902,	3,	1777,	2,	1),
(44903,	3,	1777,	3,	1),
(44904,	3,	1777,	1,	2),
(44905,	3,	1777,	2,	2),
(44906,	3,	1777,	3,	2),
(44907,	3,	1778,	1,	1),
(44908,	3,	1778,	2,	1),
(44909,	3,	1778,	3,	1),
(44910,	3,	1779,	1,	1),
(44911,	3,	1779,	2,	1),
(44912,	3,	1779,	3,	1),
(44913,	3,	1779,	1,	2),
(44914,	3,	1779,	2,	2),
(44915,	3,	1779,	3,	2),
(44916,	3,	1780,	1,	1),
(44917,	3,	1780,	2,	1),
(44918,	3,	1780,	3,	1),
(44919,	3,	1780,	1,	2),
(44920,	3,	1780,	2,	2),
(44921,	3,	1780,	3,	2),
(44922,	3,	1781,	1,	1),
(44923,	3,	1781,	2,	1),
(44924,	3,	1781,	3,	1),
(44925,	3,	1781,	1,	2),
(44926,	3,	1781,	2,	2),
(44927,	3,	1781,	3,	2),
(44928,	3,	1782,	1,	1),
(44929,	3,	1782,	2,	1),
(44930,	3,	1782,	3,	1),
(44931,	3,	1783,	1,	1),
(44932,	3,	1783,	2,	1),
(44933,	3,	1783,	3,	1),
(44934,	3,	1783,	1,	2),
(44935,	3,	1783,	2,	2),
(44936,	3,	1783,	3,	2),
(44937,	3,	1784,	1,	1),
(44938,	3,	1784,	2,	1),
(44939,	3,	1784,	3,	1),
(44940,	3,	1784,	1,	2),
(44941,	3,	1784,	2,	2),
(44942,	3,	1784,	3,	2),
(44943,	3,	1785,	1,	1),
(44944,	3,	1785,	2,	1),
(44945,	3,	1785,	3,	1),
(44946,	3,	1785,	1,	2),
(44947,	3,	1785,	2,	2),
(44948,	3,	1785,	3,	2),
(44949,	3,	1786,	1,	1),
(44950,	3,	1786,	2,	1),
(44951,	3,	1786,	3,	1),
(44952,	3,	1787,	1,	1),
(44953,	3,	1787,	2,	1),
(44954,	3,	1787,	3,	1),
(44955,	3,	1787,	1,	2),
(44956,	3,	1787,	2,	2),
(44957,	3,	1787,	3,	2),
(44958,	3,	1788,	1,	1),
(44959,	3,	1788,	2,	1),
(44960,	3,	1788,	3,	1),
(44961,	3,	1788,	1,	2),
(44962,	3,	1788,	2,	2),
(44963,	3,	1788,	3,	2),
(44964,	3,	1789,	1,	1),
(44965,	3,	1789,	2,	1),
(44966,	3,	1789,	3,	1),
(44967,	3,	1789,	1,	2),
(44968,	3,	1789,	2,	2),
(44969,	3,	1789,	3,	2),
(44970,	3,	1790,	1,	1),
(44971,	3,	1790,	2,	1),
(44972,	3,	1790,	3,	1),
(44973,	3,	1790,	1,	2),
(44974,	3,	1790,	2,	2),
(44975,	3,	1790,	3,	2),
(44976,	3,	1791,	1,	1),
(44977,	3,	1791,	2,	1),
(44978,	3,	1791,	3,	1),
(44979,	3,	1791,	1,	2),
(44980,	3,	1791,	2,	2),
(44981,	3,	1791,	3,	2),
(44982,	3,	1792,	1,	1),
(44983,	3,	1792,	2,	1),
(44984,	3,	1792,	3,	1),
(44985,	3,	1793,	1,	1),
(44986,	3,	1793,	2,	1),
(44987,	3,	1793,	3,	1),
(44988,	3,	1793,	1,	2),
(44989,	3,	1793,	2,	2),
(44990,	3,	1793,	3,	2),
(44991,	3,	1794,	1,	1),
(44992,	3,	1794,	2,	1),
(44993,	3,	1794,	3,	1),
(44994,	3,	1794,	1,	2),
(44995,	3,	1794,	2,	2),
(44996,	3,	1794,	3,	2),
(44997,	3,	1795,	1,	1),
(44998,	3,	1795,	2,	1),
(44999,	3,	1795,	3,	1),
(45000,	3,	1795,	1,	3),
(45001,	3,	1795,	2,	3),
(45002,	3,	1795,	3,	3),
(45003,	3,	1795,	1,	2),
(45004,	3,	1795,	2,	2),
(45005,	3,	1795,	3,	2),
(45006,	3,	1796,	1,	1),
(45007,	3,	1796,	2,	1),
(45008,	3,	1796,	3,	1),
(45009,	3,	1796,	1,	3),
(45010,	3,	1796,	2,	3),
(45011,	3,	1796,	3,	3),
(45012,	3,	1796,	1,	2),
(45013,	3,	1796,	2,	2),
(45014,	3,	1796,	3,	2),
(45015,	3,	1797,	1,	1),
(45016,	3,	1797,	2,	1),
(45017,	3,	1797,	3,	1),
(45018,	3,	1797,	1,	2),
(45019,	3,	1797,	2,	2),
(45020,	3,	1797,	3,	2),
(45021,	3,	1798,	1,	1),
(45022,	3,	1798,	2,	1),
(45023,	3,	1798,	3,	1),
(45024,	3,	1798,	1,	2),
(45025,	3,	1798,	2,	2),
(45026,	3,	1798,	3,	2),
(45027,	3,	1799,	1,	1),
(45028,	3,	1799,	2,	1),
(45029,	3,	1799,	3,	1),
(45030,	3,	1799,	1,	2),
(45031,	3,	1799,	2,	2),
(45032,	3,	1799,	3,	2),
(45033,	3,	1800,	1,	1),
(45034,	3,	1800,	2,	1),
(45035,	3,	1800,	3,	1),
(45036,	3,	1800,	1,	2),
(45037,	3,	1800,	2,	2),
(45038,	3,	1800,	3,	2),
(45039,	3,	1801,	1,	1),
(45040,	3,	1801,	2,	1),
(45041,	3,	1801,	3,	1),
(45042,	3,	1801,	1,	2),
(45043,	3,	1801,	2,	2),
(45044,	3,	1801,	3,	2),
(45045,	3,	1802,	1,	1),
(45046,	3,	1802,	2,	1),
(45047,	3,	1802,	3,	1),
(45048,	3,	1802,	1,	2),
(45049,	3,	1802,	2,	2),
(45050,	3,	1802,	3,	2),
(45051,	3,	1803,	1,	1),
(45052,	3,	1803,	2,	1),
(45053,	3,	1803,	3,	1),
(45054,	3,	1803,	1,	3),
(45055,	3,	1803,	2,	3),
(45056,	3,	1803,	3,	3),
(45057,	3,	1803,	1,	2),
(45058,	3,	1803,	2,	2),
(45059,	3,	1803,	3,	2),
(45060,	3,	1804,	1,	1),
(45061,	3,	1804,	2,	1),
(45062,	3,	1804,	3,	1),
(45063,	3,	1804,	1,	2),
(45064,	3,	1804,	2,	2),
(45065,	3,	1804,	3,	2),
(45066,	3,	1805,	1,	1),
(45067,	3,	1805,	2,	1),
(45068,	3,	1805,	3,	1),
(45069,	3,	1805,	1,	2),
(45070,	3,	1805,	2,	2),
(45071,	3,	1805,	3,	2),
(45072,	3,	1203,	85,	1),
(45073,	3,	1807,	24,	1),
(45074,	3,	1811,	82,	1),
(45075,	3,	1832,	2,	2),
(45076,	3,	1832,	2,	1),
(45077,	3,	1833,	2,	2),
(45078,	3,	1833,	2,	1),
(45079,	3,	1834,	2,	1),
(45080,	3,	1811,	88,	1),
(45081,	3,	1811,	89,	1),
(45082,	3,	1811,	90,	1),
(45083,	3,	1811,	91,	1),
(49153,	4,	1,	1,	1),
(49154,	4,	1,	2,	1),
(49155,	4,	1,	3,	1),
(49156,	4,	1,	4,	1),
(49157,	4,	1,	1,	2),
(49158,	4,	1,	2,	2),
(49159,	4,	1,	3,	2),
(49160,	4,	1,	4,	2),
(49161,	4,	2,	1,	1),
(49162,	4,	2,	2,	1),
(49163,	4,	2,	3,	1),
(49164,	4,	2,	1,	2),
(49165,	4,	2,	2,	2),
(49166,	4,	2,	3,	2),
(49167,	4,	3,	1,	1),
(49168,	4,	3,	2,	1),
(49169,	4,	3,	3,	1),
(49170,	4,	3,	4,	1),
(49171,	4,	3,	5,	1),
(49172,	4,	3,	1,	2),
(49173,	4,	3,	2,	2),
(49174,	4,	3,	3,	2),
(49175,	4,	3,	4,	2),
(49176,	4,	3,	5,	2),
(49177,	4,	4,	1,	1),
(49178,	4,	4,	2,	1),
(49179,	4,	4,	3,	1),
(49180,	4,	4,	4,	1),
(49181,	4,	4,	5,	1),
(49182,	4,	4,	1,	2),
(49183,	4,	4,	2,	2),
(49184,	4,	4,	3,	2),
(49185,	4,	4,	4,	2),
(49186,	4,	4,	5,	2),
(49187,	4,	5,	1,	1),
(49188,	4,	5,	2,	1),
(49189,	4,	5,	3,	1),
(49190,	4,	5,	6,	1),
(49191,	4,	6,	1,	1),
(49193,	4,	6,	3,	1),
(49194,	4,	6,	6,	1),
(49195,	4,	7,	1,	1),
(49196,	4,	7,	2,	1),
(49197,	4,	7,	3,	1),
(49198,	4,	7,	1,	2),
(49199,	4,	7,	2,	2),
(49200,	4,	7,	3,	2),
(49201,	4,	8,	1,	1),
(49202,	4,	8,	2,	1),
(49203,	4,	8,	3,	1),
(49204,	4,	8,	7,	1),
(49205,	4,	8,	8,	1),
(49206,	4,	8,	9,	1),
(49207,	4,	8,	10,	1),
(49208,	4,	8,	11,	1),
(49209,	4,	8,	12,	1),
(49210,	4,	8,	13,	1),
(49211,	4,	8,	14,	1),
(49212,	4,	8,	15,	1),
(49213,	4,	8,	16,	1),
(49214,	4,	8,	17,	1),
(49215,	4,	8,	18,	1),
(49216,	4,	8,	19,	1),
(49217,	4,	8,	20,	1),
(49218,	4,	8,	21,	1),
(49219,	4,	8,	22,	1),
(49220,	4,	9,	1,	1),
(49221,	4,	9,	2,	1),
(49222,	4,	9,	3,	1),
(49223,	4,	9,	7,	1),
(49224,	4,	9,	8,	1),
(49225,	4,	9,	9,	1),
(49226,	4,	9,	10,	1),
(49227,	4,	9,	11,	1),
(49228,	4,	9,	12,	1),
(49229,	4,	9,	13,	1),
(49230,	4,	9,	14,	1),
(49231,	4,	9,	15,	1),
(49232,	4,	9,	16,	1),
(49233,	4,	9,	17,	1),
(49234,	4,	9,	18,	1),
(49235,	4,	9,	19,	1),
(49236,	4,	9,	20,	1),
(49237,	4,	9,	21,	1),
(49238,	4,	9,	22,	1),
(49239,	4,	10,	1,	1),
(49240,	4,	10,	2,	1),
(49241,	4,	10,	3,	1),
(49242,	4,	10,	7,	1),
(49243,	4,	10,	8,	1),
(49244,	4,	10,	9,	1),
(49245,	4,	10,	10,	1),
(49246,	4,	10,	11,	1),
(49247,	4,	10,	12,	1),
(49248,	4,	10,	13,	1),
(49249,	4,	10,	14,	1),
(49250,	4,	10,	15,	1),
(49251,	4,	10,	16,	1),
(49252,	4,	10,	17,	1),
(49253,	4,	10,	18,	1),
(49254,	4,	10,	19,	1),
(49255,	4,	10,	20,	1),
(49256,	4,	10,	21,	1),
(49257,	4,	10,	22,	1),
(49258,	4,	11,	1,	1),
(49259,	4,	11,	2,	1),
(49260,	4,	11,	3,	1),
(49261,	4,	11,	7,	1),
(49262,	4,	11,	8,	1),
(49263,	4,	11,	9,	1),
(49264,	4,	11,	10,	1),
(49265,	4,	11,	11,	1),
(49266,	4,	11,	12,	1),
(49267,	4,	11,	13,	1),
(49268,	4,	11,	14,	1),
(49269,	4,	11,	15,	1),
(49270,	4,	11,	16,	1),
(49271,	4,	11,	17,	1),
(49272,	4,	11,	18,	1),
(49273,	4,	11,	19,	1),
(49274,	4,	11,	20,	1),
(49275,	4,	11,	21,	1),
(49276,	4,	11,	22,	1),
(49277,	4,	12,	1,	1),
(49278,	4,	12,	2,	1),
(49279,	4,	12,	3,	1),
(49280,	4,	12,	7,	1),
(49281,	4,	12,	8,	1),
(49282,	4,	12,	9,	1),
(49283,	4,	12,	10,	1),
(49284,	4,	12,	11,	1),
(49285,	4,	12,	12,	1),
(49286,	4,	12,	13,	1),
(49287,	4,	12,	14,	1),
(49288,	4,	12,	15,	1),
(49289,	4,	12,	16,	1),
(49290,	4,	12,	17,	1),
(49291,	4,	12,	18,	1),
(49292,	4,	12,	19,	1),
(49293,	4,	12,	20,	1),
(49294,	4,	12,	21,	1),
(49295,	4,	12,	22,	1),
(49296,	4,	13,	1,	1),
(49297,	4,	13,	2,	1),
(49298,	4,	13,	3,	1),
(49299,	4,	13,	7,	1),
(49300,	4,	13,	8,	1),
(49301,	4,	13,	9,	1),
(49302,	4,	13,	10,	1),
(49303,	4,	13,	11,	1),
(49304,	4,	13,	12,	1),
(49305,	4,	13,	13,	1),
(49306,	4,	13,	14,	1),
(49307,	4,	13,	15,	1),
(49308,	4,	13,	16,	1),
(49309,	4,	13,	17,	1),
(49310,	4,	13,	18,	1),
(49311,	4,	13,	19,	1),
(49312,	4,	13,	20,	1),
(49313,	4,	13,	21,	1),
(49314,	4,	13,	22,	1),
(49315,	4,	14,	1,	1),
(49316,	4,	14,	2,	1),
(49317,	4,	14,	3,	1),
(49318,	4,	14,	7,	1),
(49319,	4,	14,	8,	1),
(49320,	4,	14,	9,	1),
(49321,	4,	14,	10,	1),
(49322,	4,	14,	11,	1),
(49323,	4,	14,	12,	1),
(49324,	4,	14,	13,	1),
(49325,	4,	14,	14,	1),
(49326,	4,	14,	15,	1),
(49327,	4,	14,	16,	1),
(49328,	4,	14,	17,	1),
(49329,	4,	14,	18,	1),
(49330,	4,	14,	19,	1),
(49331,	4,	14,	20,	1),
(49332,	4,	14,	21,	1),
(49333,	4,	14,	22,	1),
(49334,	4,	15,	1,	1),
(49335,	4,	15,	2,	1),
(49336,	4,	15,	3,	1),
(49337,	4,	15,	7,	1),
(49338,	4,	15,	8,	1),
(49339,	4,	15,	9,	1),
(49340,	4,	15,	10,	1),
(49341,	4,	15,	11,	1),
(49342,	4,	15,	12,	1),
(49343,	4,	15,	13,	1),
(49344,	4,	15,	14,	1),
(49345,	4,	15,	15,	1),
(49346,	4,	15,	16,	1),
(49347,	4,	15,	17,	1),
(49348,	4,	15,	18,	1),
(49349,	4,	15,	19,	1),
(49350,	4,	15,	20,	1),
(49351,	4,	15,	21,	1),
(49352,	4,	15,	22,	1),
(49353,	4,	16,	1,	1),
(49354,	4,	16,	2,	1),
(49355,	4,	16,	3,	1),
(49356,	4,	16,	7,	1),
(49357,	4,	16,	8,	1),
(49358,	4,	16,	9,	1),
(49359,	4,	16,	10,	1),
(49360,	4,	16,	11,	1),
(49361,	4,	16,	12,	1),
(49362,	4,	16,	13,	1),
(49363,	4,	16,	14,	1),
(49364,	4,	16,	15,	1),
(49365,	4,	16,	16,	1),
(49366,	4,	16,	17,	1),
(49367,	4,	16,	18,	1),
(49368,	4,	16,	19,	1),
(49369,	4,	16,	20,	1),
(49370,	4,	16,	21,	1),
(49371,	4,	16,	22,	1),
(49372,	4,	17,	1,	1),
(49373,	4,	17,	2,	1),
(49374,	4,	17,	3,	1),
(49375,	4,	17,	7,	1),
(49376,	4,	17,	8,	1),
(49377,	4,	17,	9,	1),
(49378,	4,	17,	10,	1),
(49379,	4,	17,	11,	1),
(49380,	4,	17,	12,	1),
(49381,	4,	17,	13,	1),
(49382,	4,	17,	14,	1),
(49383,	4,	17,	15,	1),
(49384,	4,	17,	16,	1),
(49385,	4,	17,	17,	1),
(49386,	4,	17,	18,	1),
(49387,	4,	17,	19,	1),
(49388,	4,	17,	20,	1),
(49389,	4,	17,	21,	1),
(49390,	4,	17,	22,	1),
(49391,	4,	18,	1,	1),
(49392,	4,	18,	2,	1),
(49393,	4,	18,	3,	1),
(49394,	4,	18,	7,	1),
(49395,	4,	18,	8,	1),
(49396,	4,	18,	9,	1),
(49397,	4,	18,	10,	1),
(49398,	4,	18,	11,	1),
(49399,	4,	18,	12,	1),
(49400,	4,	18,	13,	1),
(49401,	4,	18,	14,	1),
(49402,	4,	18,	15,	1),
(49403,	4,	18,	16,	1),
(49404,	4,	18,	17,	1),
(49405,	4,	18,	18,	1),
(49406,	4,	18,	19,	1),
(49407,	4,	18,	20,	1),
(49408,	4,	18,	21,	1),
(49409,	4,	18,	22,	1),
(49410,	4,	19,	1,	1),
(49411,	4,	19,	2,	1),
(49412,	4,	19,	3,	1),
(49413,	4,	19,	7,	1),
(49414,	4,	19,	8,	1),
(49415,	4,	19,	9,	1),
(49416,	4,	19,	10,	1),
(49417,	4,	19,	11,	1),
(49418,	4,	19,	12,	1),
(49419,	4,	19,	13,	1),
(49420,	4,	19,	14,	1),
(49421,	4,	19,	15,	1),
(49422,	4,	19,	16,	1),
(49423,	4,	19,	17,	1),
(49424,	4,	19,	18,	1),
(49425,	4,	19,	19,	1),
(49426,	4,	19,	20,	1),
(49427,	4,	19,	21,	1),
(49428,	4,	19,	22,	1),
(49429,	4,	20,	1,	1),
(49430,	4,	20,	2,	1),
(49431,	4,	20,	3,	1),
(49432,	4,	20,	7,	1),
(49433,	4,	20,	8,	1),
(49434,	4,	20,	9,	1),
(49435,	4,	20,	10,	1),
(49436,	4,	20,	11,	1),
(49437,	4,	20,	12,	1),
(49438,	4,	20,	13,	1),
(49439,	4,	20,	14,	1),
(49440,	4,	20,	15,	1),
(49441,	4,	20,	16,	1),
(49442,	4,	20,	17,	1),
(49443,	4,	20,	18,	1),
(49444,	4,	20,	19,	1),
(49445,	4,	20,	20,	1),
(49446,	4,	20,	21,	1),
(49447,	4,	20,	22,	1),
(49448,	4,	21,	1,	1),
(49449,	4,	21,	2,	1),
(49450,	4,	21,	3,	1),
(49451,	4,	21,	7,	1),
(49452,	4,	21,	8,	1),
(49453,	4,	21,	9,	1),
(49454,	4,	21,	10,	1),
(49455,	4,	21,	11,	1),
(49456,	4,	21,	12,	1),
(49457,	4,	21,	13,	1),
(49458,	4,	21,	14,	1),
(49459,	4,	21,	15,	1),
(49460,	4,	21,	16,	1),
(49461,	4,	21,	17,	1),
(49462,	4,	21,	18,	1),
(49463,	4,	21,	19,	1),
(49464,	4,	21,	20,	1),
(49465,	4,	21,	21,	1),
(49466,	4,	21,	22,	1),
(49467,	4,	22,	1,	1),
(49468,	4,	22,	2,	1),
(49469,	4,	22,	3,	1),
(49470,	4,	22,	7,	1),
(49471,	4,	22,	8,	1),
(49472,	4,	22,	9,	1),
(49473,	4,	22,	10,	1),
(49474,	4,	22,	11,	1),
(49475,	4,	22,	12,	1),
(49476,	4,	22,	13,	1),
(49477,	4,	22,	14,	1),
(49478,	4,	22,	15,	1),
(49479,	4,	22,	16,	1),
(49480,	4,	22,	17,	1),
(49481,	4,	22,	18,	1),
(49482,	4,	22,	19,	1),
(49483,	4,	22,	20,	1),
(49484,	4,	22,	21,	1),
(49485,	4,	22,	22,	1),
(49486,	4,	23,	1,	1),
(49487,	4,	23,	2,	1),
(49488,	4,	23,	3,	1),
(49489,	4,	23,	7,	1),
(49490,	4,	23,	8,	1),
(49491,	4,	23,	9,	1),
(49492,	4,	23,	10,	1),
(49493,	4,	23,	11,	1),
(49494,	4,	23,	12,	1),
(49495,	4,	23,	13,	1),
(49496,	4,	23,	14,	1),
(49497,	4,	23,	15,	1),
(49498,	4,	23,	16,	1),
(49499,	4,	23,	17,	1),
(49500,	4,	23,	18,	1),
(49501,	4,	23,	19,	1),
(49502,	4,	23,	20,	1),
(49503,	4,	23,	21,	1),
(49504,	4,	23,	22,	1),
(49505,	4,	24,	1,	1),
(49506,	4,	24,	2,	1),
(49507,	4,	24,	3,	1),
(49508,	4,	24,	7,	1),
(49509,	4,	24,	8,	1),
(49510,	4,	24,	9,	1),
(49511,	4,	24,	10,	1),
(49512,	4,	24,	11,	1),
(49513,	4,	24,	12,	1),
(49514,	4,	24,	13,	1),
(49515,	4,	24,	14,	1),
(49516,	4,	24,	15,	1),
(49517,	4,	24,	16,	1),
(49518,	4,	24,	17,	1),
(49519,	4,	24,	18,	1),
(49520,	4,	24,	19,	1),
(49521,	4,	24,	20,	1),
(49522,	4,	24,	21,	1),
(49523,	4,	24,	22,	1),
(49524,	4,	25,	1,	1),
(49525,	4,	25,	2,	1),
(49526,	4,	25,	3,	1),
(49527,	4,	25,	7,	1),
(49528,	4,	25,	8,	1),
(49529,	4,	25,	9,	1),
(49530,	4,	25,	10,	1),
(49531,	4,	25,	11,	1),
(49532,	4,	25,	12,	1),
(49533,	4,	25,	13,	1),
(49534,	4,	25,	14,	1),
(49535,	4,	25,	15,	1),
(49536,	4,	25,	16,	1),
(49537,	4,	25,	17,	1),
(49538,	4,	25,	18,	1),
(49539,	4,	25,	19,	1),
(49540,	4,	25,	20,	1),
(49541,	4,	25,	21,	1),
(49542,	4,	25,	22,	1),
(49543,	4,	26,	1,	1),
(49544,	4,	26,	2,	1),
(49545,	4,	26,	3,	1),
(49546,	4,	26,	7,	1),
(49547,	4,	26,	8,	1),
(49548,	4,	26,	9,	1),
(49549,	4,	26,	10,	1),
(49550,	4,	26,	11,	1),
(49551,	4,	26,	12,	1),
(49552,	4,	26,	13,	1),
(49553,	4,	26,	14,	1),
(49554,	4,	26,	15,	1),
(49555,	4,	26,	16,	1),
(49556,	4,	26,	17,	1),
(49557,	4,	26,	18,	1),
(49558,	4,	26,	19,	1),
(49559,	4,	26,	20,	1),
(49560,	4,	26,	21,	1),
(49561,	4,	26,	22,	1),
(49562,	4,	27,	1,	1),
(49563,	4,	27,	2,	1),
(49564,	4,	27,	3,	1),
(49565,	4,	27,	7,	1),
(49566,	4,	27,	8,	1),
(49567,	4,	27,	9,	1),
(49568,	4,	27,	10,	1),
(49569,	4,	27,	11,	1),
(49570,	4,	27,	12,	1),
(49571,	4,	27,	13,	1),
(49572,	4,	27,	14,	1),
(49573,	4,	27,	15,	1),
(49574,	4,	27,	16,	1),
(49575,	4,	27,	17,	1),
(49576,	4,	27,	18,	1),
(49577,	4,	27,	19,	1),
(49578,	4,	27,	20,	1),
(49579,	4,	27,	21,	1),
(49580,	4,	27,	22,	1),
(49581,	4,	28,	1,	1),
(49582,	4,	28,	2,	1),
(49583,	4,	28,	3,	1),
(49584,	4,	28,	7,	1),
(49585,	4,	28,	8,	1),
(49586,	4,	28,	9,	1),
(49587,	4,	28,	10,	1),
(49588,	4,	28,	11,	1),
(49589,	4,	28,	12,	1),
(49590,	4,	28,	13,	1),
(49591,	4,	28,	14,	1),
(49592,	4,	28,	15,	1),
(49593,	4,	28,	16,	1),
(49594,	4,	28,	17,	1),
(49595,	4,	28,	18,	1),
(49596,	4,	28,	19,	1),
(49597,	4,	28,	20,	1),
(49598,	4,	28,	21,	1),
(49599,	4,	28,	22,	1),
(49600,	4,	29,	1,	1),
(49601,	4,	29,	2,	1),
(49602,	4,	29,	3,	1),
(49603,	4,	29,	7,	1),
(49604,	4,	29,	8,	1),
(49605,	4,	29,	9,	1),
(49606,	4,	29,	10,	1),
(49607,	4,	29,	11,	1),
(49608,	4,	29,	12,	1),
(49609,	4,	29,	13,	1),
(49610,	4,	29,	14,	1),
(49611,	4,	29,	15,	1),
(49612,	4,	29,	16,	1),
(49613,	4,	29,	17,	1),
(49614,	4,	29,	18,	1),
(49615,	4,	29,	19,	1),
(49616,	4,	29,	20,	1),
(49617,	4,	29,	21,	1),
(49618,	4,	29,	22,	1),
(49619,	4,	30,	1,	1),
(49620,	4,	30,	2,	1),
(49621,	4,	30,	3,	1),
(49622,	4,	30,	7,	1),
(49623,	4,	30,	8,	1),
(49624,	4,	30,	9,	1),
(49625,	4,	30,	10,	1),
(49626,	4,	30,	11,	1),
(49627,	4,	30,	12,	1),
(49628,	4,	30,	13,	1),
(49629,	4,	30,	14,	1),
(49630,	4,	30,	15,	1),
(49631,	4,	30,	16,	1),
(49632,	4,	30,	17,	1),
(49633,	4,	30,	18,	1),
(49634,	4,	30,	19,	1),
(49635,	4,	30,	20,	1),
(49636,	4,	30,	21,	1),
(49637,	4,	30,	22,	1),
(49638,	4,	31,	1,	1),
(49639,	4,	31,	2,	1),
(49640,	4,	31,	3,	1),
(49641,	4,	31,	7,	1),
(49642,	4,	31,	8,	1),
(49643,	4,	31,	9,	1),
(49644,	4,	31,	10,	1),
(49645,	4,	31,	11,	1),
(49646,	4,	31,	12,	1),
(49647,	4,	31,	13,	1),
(49648,	4,	31,	14,	1),
(49649,	4,	31,	15,	1),
(49650,	4,	31,	16,	1),
(49651,	4,	31,	17,	1),
(49652,	4,	31,	18,	1),
(49653,	4,	31,	19,	1),
(49654,	4,	31,	20,	1),
(49655,	4,	31,	21,	1),
(49656,	4,	31,	22,	1),
(49657,	4,	32,	1,	1),
(49658,	4,	32,	2,	1),
(49659,	4,	32,	3,	1),
(49660,	4,	32,	7,	1),
(49661,	4,	32,	8,	1),
(49662,	4,	32,	9,	1),
(49663,	4,	32,	10,	1),
(49664,	4,	32,	11,	1),
(49665,	4,	32,	12,	1),
(49666,	4,	32,	13,	1),
(49667,	4,	32,	14,	1),
(49668,	4,	32,	15,	1),
(49669,	4,	32,	16,	1),
(49670,	4,	32,	17,	1),
(49671,	4,	32,	18,	1),
(49672,	4,	32,	19,	1),
(49673,	4,	32,	20,	1),
(49674,	4,	32,	21,	1),
(49675,	4,	32,	22,	1),
(49676,	4,	33,	1,	1),
(49677,	4,	33,	2,	1),
(49678,	4,	33,	3,	1),
(49679,	4,	33,	7,	1),
(49680,	4,	33,	8,	1),
(49681,	4,	33,	9,	1),
(49682,	4,	33,	10,	1),
(49683,	4,	33,	11,	1),
(49684,	4,	33,	12,	1),
(49685,	4,	33,	13,	1),
(49686,	4,	33,	14,	1),
(49687,	4,	33,	15,	1),
(49688,	4,	33,	16,	1),
(49689,	4,	33,	17,	1),
(49690,	4,	33,	18,	1),
(49691,	4,	33,	19,	1),
(49692,	4,	33,	20,	1),
(49693,	4,	33,	21,	1),
(49694,	4,	33,	22,	1),
(49695,	4,	34,	1,	1),
(49696,	4,	34,	2,	1),
(49697,	4,	34,	3,	1),
(49698,	4,	34,	7,	1),
(49699,	4,	34,	8,	1),
(49700,	4,	34,	9,	1),
(49701,	4,	34,	10,	1),
(49702,	4,	34,	11,	1),
(49703,	4,	34,	12,	1),
(49704,	4,	34,	13,	1),
(49705,	4,	34,	14,	1),
(49706,	4,	34,	15,	1),
(49707,	4,	34,	16,	1),
(49708,	4,	34,	17,	1),
(49709,	4,	34,	18,	1),
(49710,	4,	34,	19,	1),
(49711,	4,	34,	20,	1),
(49712,	4,	34,	21,	1),
(49713,	4,	34,	22,	1),
(49714,	4,	34,	23,	1),
(49715,	4,	35,	1,	1),
(49716,	4,	35,	2,	1),
(49717,	4,	35,	3,	1),
(49718,	4,	35,	7,	1),
(49719,	4,	35,	8,	1),
(49720,	4,	35,	9,	1),
(49721,	4,	35,	10,	1),
(49722,	4,	35,	11,	1),
(49723,	4,	35,	12,	1),
(49724,	4,	35,	13,	1),
(49725,	4,	35,	14,	1),
(49726,	4,	35,	15,	1),
(49727,	4,	35,	16,	1),
(49728,	4,	35,	17,	1),
(49729,	4,	35,	18,	1),
(49730,	4,	35,	19,	1),
(49731,	4,	35,	20,	1),
(49732,	4,	35,	21,	1),
(49733,	4,	35,	22,	1),
(49734,	4,	36,	1,	1),
(49735,	4,	36,	2,	1),
(49736,	4,	36,	3,	1),
(49737,	4,	36,	7,	1),
(49738,	4,	36,	8,	1),
(49739,	4,	36,	9,	1),
(49740,	4,	36,	10,	1),
(49741,	4,	36,	11,	1),
(49742,	4,	36,	12,	1),
(49743,	4,	36,	13,	1),
(49744,	4,	36,	14,	1),
(49745,	4,	36,	15,	1),
(49746,	4,	36,	16,	1),
(49747,	4,	36,	17,	1),
(49748,	4,	36,	18,	1),
(49749,	4,	36,	19,	1),
(49750,	4,	36,	20,	1),
(49751,	4,	36,	21,	1),
(49752,	4,	36,	22,	1),
(49753,	4,	37,	1,	1),
(49754,	4,	37,	2,	1),
(49755,	4,	37,	3,	1),
(49756,	4,	37,	7,	1),
(49757,	4,	37,	8,	1),
(49758,	4,	37,	9,	1),
(49759,	4,	37,	10,	1),
(49760,	4,	37,	11,	1),
(49761,	4,	37,	12,	1),
(49762,	4,	37,	13,	1),
(49763,	4,	37,	14,	1),
(49764,	4,	37,	15,	1),
(49765,	4,	37,	16,	1),
(49766,	4,	37,	17,	1),
(49767,	4,	37,	18,	1),
(49768,	4,	37,	19,	1),
(49769,	4,	37,	20,	1),
(49770,	4,	37,	21,	1),
(49771,	4,	37,	22,	1),
(49772,	4,	38,	1,	1),
(49773,	4,	38,	2,	1),
(49774,	4,	38,	3,	1),
(49775,	4,	38,	7,	1),
(49776,	4,	38,	8,	1),
(49777,	4,	38,	9,	1),
(49778,	4,	38,	10,	1),
(49779,	4,	38,	11,	1),
(49780,	4,	38,	12,	1),
(49781,	4,	38,	13,	1),
(49782,	4,	38,	14,	1),
(49783,	4,	38,	15,	1),
(49784,	4,	38,	16,	1),
(49785,	4,	38,	17,	1),
(49786,	4,	38,	18,	1),
(49787,	4,	38,	19,	1),
(49788,	4,	38,	20,	1),
(49789,	4,	38,	21,	1),
(49790,	4,	38,	22,	1),
(49791,	4,	39,	1,	1),
(49792,	4,	39,	2,	1),
(49793,	4,	39,	3,	1),
(49794,	4,	39,	7,	1),
(49795,	4,	39,	8,	1),
(49796,	4,	39,	9,	1),
(49797,	4,	39,	10,	1),
(49798,	4,	39,	11,	1),
(49799,	4,	39,	12,	1),
(49800,	4,	39,	13,	1),
(49801,	4,	39,	14,	1),
(49802,	4,	39,	15,	1),
(49803,	4,	39,	16,	1),
(49804,	4,	39,	17,	1),
(49805,	4,	39,	18,	1),
(49806,	4,	39,	19,	1),
(49807,	4,	39,	20,	1),
(49808,	4,	39,	21,	1),
(49809,	4,	39,	22,	1),
(49810,	4,	40,	1,	1),
(49811,	4,	40,	2,	1),
(49812,	4,	40,	3,	1),
(49813,	4,	40,	7,	1),
(49814,	4,	40,	8,	1),
(49815,	4,	40,	9,	1),
(49816,	4,	40,	10,	1),
(49817,	4,	40,	11,	1),
(49818,	4,	40,	12,	1),
(49819,	4,	40,	13,	1),
(49820,	4,	40,	14,	1),
(49821,	4,	40,	15,	1),
(49822,	4,	40,	16,	1),
(49823,	4,	40,	17,	1),
(49824,	4,	40,	18,	1),
(49825,	4,	40,	19,	1),
(49826,	4,	40,	20,	1),
(49827,	4,	40,	21,	1),
(49828,	4,	40,	22,	1),
(49829,	4,	41,	1,	1),
(49830,	4,	41,	2,	1),
(49831,	4,	41,	3,	1),
(49832,	4,	41,	7,	1),
(49833,	4,	41,	8,	1),
(49834,	4,	41,	9,	1),
(49835,	4,	41,	10,	1),
(49836,	4,	41,	11,	1),
(49837,	4,	41,	12,	1),
(49838,	4,	41,	13,	1),
(49839,	4,	41,	14,	1),
(49840,	4,	41,	15,	1),
(49841,	4,	41,	16,	1),
(49842,	4,	41,	17,	1),
(49843,	4,	41,	18,	1),
(49844,	4,	41,	19,	1),
(49845,	4,	41,	20,	1),
(49846,	4,	41,	21,	1),
(49847,	4,	41,	22,	1),
(49848,	4,	42,	1,	1),
(49849,	4,	42,	2,	1),
(49850,	4,	42,	3,	1),
(49851,	4,	42,	7,	1),
(49852,	4,	42,	8,	1),
(49853,	4,	42,	9,	1),
(49854,	4,	42,	10,	1),
(49855,	4,	42,	11,	1),
(49856,	4,	42,	12,	1),
(49857,	4,	42,	13,	1),
(49858,	4,	42,	14,	1),
(49859,	4,	42,	15,	1),
(49860,	4,	42,	16,	1),
(49861,	4,	42,	17,	1),
(49862,	4,	42,	18,	1),
(49863,	4,	42,	19,	1),
(49864,	4,	42,	20,	1),
(49865,	4,	42,	21,	1),
(49866,	4,	42,	22,	1),
(49867,	4,	43,	1,	1),
(49868,	4,	43,	2,	1),
(49869,	4,	43,	3,	1),
(49870,	4,	43,	7,	1),
(49871,	4,	43,	8,	1),
(49872,	4,	43,	9,	1),
(49873,	4,	43,	10,	1),
(49874,	4,	43,	11,	1),
(49875,	4,	43,	12,	1),
(49876,	4,	43,	13,	1),
(49877,	4,	43,	14,	1),
(49878,	4,	43,	15,	1),
(49879,	4,	43,	16,	1),
(49880,	4,	43,	17,	1),
(49881,	4,	43,	18,	1),
(49882,	4,	43,	19,	1),
(49883,	4,	43,	20,	1),
(49884,	4,	43,	21,	1),
(49885,	4,	43,	22,	1),
(49886,	4,	44,	1,	1),
(49887,	4,	44,	2,	1),
(49888,	4,	44,	3,	1),
(49889,	4,	44,	7,	1),
(49890,	4,	44,	8,	1),
(49891,	4,	44,	9,	1),
(49892,	4,	44,	10,	1),
(49893,	4,	44,	11,	1),
(49894,	4,	44,	12,	1),
(49895,	4,	44,	13,	1),
(49896,	4,	44,	14,	1),
(49897,	4,	44,	15,	1),
(49898,	4,	44,	16,	1),
(49899,	4,	44,	17,	1),
(49900,	4,	44,	18,	1),
(49901,	4,	44,	19,	1),
(49902,	4,	44,	20,	1),
(49903,	4,	44,	21,	1),
(49904,	4,	44,	22,	1),
(49905,	4,	44,	23,	1),
(49906,	4,	45,	1,	1),
(49907,	4,	45,	2,	1),
(49908,	4,	45,	3,	1),
(49909,	4,	45,	7,	1),
(49910,	4,	45,	8,	1),
(49911,	4,	45,	9,	1),
(49912,	4,	45,	10,	1),
(49913,	4,	45,	11,	1),
(49914,	4,	45,	12,	1),
(49915,	4,	45,	13,	1),
(49916,	4,	45,	14,	1),
(49917,	4,	45,	15,	1),
(49918,	4,	45,	16,	1),
(49919,	4,	45,	17,	1),
(49920,	4,	45,	18,	1),
(49921,	4,	45,	19,	1),
(49922,	4,	45,	20,	1),
(49923,	4,	45,	21,	1),
(49924,	4,	45,	22,	1),
(49925,	4,	46,	1,	1),
(49926,	4,	46,	2,	1),
(49927,	4,	46,	3,	1),
(49928,	4,	46,	7,	1),
(49929,	4,	46,	8,	1),
(49930,	4,	46,	9,	1),
(49931,	4,	46,	10,	1),
(49932,	4,	46,	11,	1),
(49933,	4,	46,	12,	1),
(49934,	4,	46,	13,	1),
(49935,	4,	46,	14,	1),
(49936,	4,	46,	15,	1),
(49937,	4,	46,	16,	1),
(49938,	4,	46,	17,	1),
(49939,	4,	46,	18,	1),
(49940,	4,	46,	19,	1),
(49941,	4,	46,	20,	1),
(49942,	4,	46,	21,	1),
(49943,	4,	46,	22,	1),
(49944,	4,	46,	23,	1),
(49945,	4,	47,	1,	1),
(49946,	4,	47,	2,	1),
(49947,	4,	47,	3,	1),
(49948,	4,	47,	7,	1),
(49949,	4,	47,	8,	1),
(49950,	4,	47,	9,	1),
(49951,	4,	47,	10,	1),
(49952,	4,	47,	11,	1),
(49953,	4,	47,	12,	1),
(49954,	4,	47,	13,	1),
(49955,	4,	47,	14,	1),
(49956,	4,	47,	15,	1),
(49957,	4,	47,	16,	1),
(49958,	4,	47,	17,	1),
(49959,	4,	47,	18,	1),
(49960,	4,	47,	19,	1),
(49961,	4,	47,	20,	1),
(49962,	4,	47,	21,	1),
(49963,	4,	47,	22,	1),
(49964,	4,	48,	1,	1),
(49965,	4,	48,	2,	1),
(49966,	4,	48,	3,	1),
(49967,	4,	48,	7,	1),
(49968,	4,	48,	8,	1),
(49969,	4,	48,	9,	1),
(49970,	4,	48,	10,	1),
(49971,	4,	48,	11,	1),
(49972,	4,	48,	12,	1),
(49973,	4,	48,	13,	1),
(49974,	4,	48,	14,	1),
(49975,	4,	48,	15,	1),
(49976,	4,	48,	16,	1),
(49977,	4,	48,	17,	1),
(49978,	4,	48,	18,	1),
(49979,	4,	48,	19,	1),
(49980,	4,	48,	20,	1),
(49981,	4,	48,	21,	1),
(49982,	4,	48,	22,	1),
(49983,	4,	49,	1,	1),
(49984,	4,	49,	2,	1),
(49985,	4,	49,	3,	1),
(49986,	4,	49,	7,	1),
(49987,	4,	49,	8,	1),
(49988,	4,	49,	9,	1),
(49989,	4,	49,	10,	1),
(49990,	4,	49,	11,	1),
(49991,	4,	49,	12,	1),
(49992,	4,	49,	13,	1),
(49993,	4,	49,	14,	1),
(49994,	4,	49,	15,	1),
(49995,	4,	49,	16,	1),
(49996,	4,	49,	17,	1),
(49997,	4,	49,	18,	1),
(49998,	4,	49,	19,	1),
(49999,	4,	49,	20,	1),
(50000,	4,	49,	21,	1),
(50001,	4,	49,	22,	1),
(50002,	4,	50,	1,	1),
(50003,	4,	50,	2,	1),
(50004,	4,	50,	3,	1),
(50005,	4,	50,	7,	1),
(50006,	4,	50,	8,	1),
(50007,	4,	50,	9,	1),
(50008,	4,	50,	10,	1),
(50009,	4,	50,	11,	1),
(50010,	4,	50,	12,	1),
(50011,	4,	50,	13,	1),
(50012,	4,	50,	14,	1),
(50013,	4,	50,	15,	1),
(50014,	4,	50,	16,	1),
(50015,	4,	50,	17,	1),
(50016,	4,	50,	18,	1),
(50017,	4,	50,	19,	1),
(50018,	4,	50,	20,	1),
(50019,	4,	50,	21,	1),
(50020,	4,	50,	22,	1),
(50021,	4,	51,	1,	1),
(50022,	4,	51,	2,	1),
(50023,	4,	51,	3,	1),
(50024,	4,	51,	7,	1),
(50025,	4,	51,	8,	1),
(50026,	4,	51,	9,	1),
(50027,	4,	51,	10,	1),
(50028,	4,	51,	11,	1),
(50029,	4,	51,	12,	1),
(50030,	4,	51,	13,	1),
(50031,	4,	51,	14,	1),
(50032,	4,	51,	15,	1),
(50033,	4,	51,	16,	1),
(50034,	4,	51,	17,	1),
(50035,	4,	51,	18,	1),
(50036,	4,	51,	19,	1),
(50037,	4,	51,	20,	1),
(50038,	4,	51,	21,	1),
(50039,	4,	51,	22,	1),
(50040,	4,	52,	1,	1),
(50041,	4,	52,	2,	1),
(50042,	4,	52,	3,	1),
(50043,	4,	52,	7,	1),
(50044,	4,	52,	8,	1),
(50045,	4,	52,	9,	1),
(50046,	4,	52,	10,	1),
(50047,	4,	52,	11,	1),
(50048,	4,	52,	12,	1),
(50049,	4,	52,	13,	1),
(50050,	4,	52,	14,	1),
(50051,	4,	52,	15,	1),
(50052,	4,	52,	16,	1),
(50053,	4,	52,	17,	1),
(50054,	4,	52,	18,	1),
(50055,	4,	52,	19,	1),
(50056,	4,	52,	20,	1),
(50057,	4,	52,	21,	1),
(50058,	4,	52,	22,	1),
(50059,	4,	53,	1,	1),
(50060,	4,	53,	2,	1),
(50061,	4,	53,	3,	1),
(50062,	4,	53,	7,	1),
(50063,	4,	53,	8,	1),
(50064,	4,	53,	9,	1),
(50065,	4,	53,	10,	1),
(50066,	4,	53,	11,	1),
(50067,	4,	53,	12,	1),
(50068,	4,	53,	13,	1),
(50069,	4,	53,	14,	1),
(50070,	4,	53,	15,	1),
(50071,	4,	53,	16,	1),
(50072,	4,	53,	17,	1),
(50073,	4,	53,	18,	1),
(50074,	4,	53,	19,	1),
(50075,	4,	53,	20,	1),
(50076,	4,	53,	21,	1),
(50077,	4,	53,	22,	1),
(50078,	4,	54,	1,	1),
(50079,	4,	54,	2,	1),
(50080,	4,	54,	3,	1),
(50081,	4,	54,	7,	1),
(50082,	4,	54,	8,	1),
(50083,	4,	54,	9,	1),
(50084,	4,	54,	10,	1),
(50085,	4,	54,	11,	1),
(50086,	4,	54,	12,	1),
(50087,	4,	54,	13,	1),
(50088,	4,	54,	14,	1),
(50089,	4,	54,	15,	1),
(50090,	4,	54,	16,	1),
(50091,	4,	54,	17,	1),
(50092,	4,	54,	18,	1),
(50093,	4,	54,	19,	1),
(50094,	4,	54,	20,	1),
(50095,	4,	54,	21,	1),
(50096,	4,	54,	22,	1),
(50097,	4,	55,	1,	1),
(50098,	4,	55,	2,	1),
(50099,	4,	55,	3,	1),
(50100,	4,	55,	7,	1),
(50101,	4,	55,	8,	1),
(50102,	4,	55,	9,	1),
(50103,	4,	55,	10,	1),
(50104,	4,	55,	11,	1),
(50105,	4,	55,	12,	1),
(50106,	4,	55,	13,	1),
(50107,	4,	55,	14,	1),
(50108,	4,	55,	15,	1),
(50109,	4,	55,	16,	1),
(50110,	4,	55,	17,	1),
(50111,	4,	55,	18,	1),
(50112,	4,	55,	19,	1),
(50113,	4,	55,	20,	1),
(50114,	4,	55,	21,	1),
(50115,	4,	55,	22,	1),
(50116,	4,	56,	1,	1),
(50117,	4,	56,	2,	1),
(50118,	4,	56,	3,	1),
(50119,	4,	56,	7,	1),
(50120,	4,	56,	8,	1),
(50121,	4,	56,	9,	1),
(50122,	4,	56,	10,	1),
(50123,	4,	56,	11,	1),
(50124,	4,	56,	12,	1),
(50125,	4,	56,	13,	1),
(50126,	4,	56,	14,	1),
(50127,	4,	56,	15,	1),
(50128,	4,	56,	16,	1),
(50129,	4,	56,	17,	1),
(50130,	4,	56,	18,	1),
(50131,	4,	56,	19,	1),
(50132,	4,	56,	20,	1),
(50133,	4,	56,	21,	1),
(50134,	4,	56,	22,	1),
(50135,	4,	57,	1,	1),
(50136,	4,	57,	2,	1),
(50137,	4,	57,	3,	1),
(50138,	4,	57,	7,	1),
(50139,	4,	57,	8,	1),
(50140,	4,	57,	9,	1),
(50141,	4,	57,	10,	1),
(50142,	4,	57,	11,	1),
(50143,	4,	57,	12,	1),
(50144,	4,	57,	13,	1),
(50145,	4,	57,	14,	1),
(50146,	4,	57,	15,	1),
(50147,	4,	57,	16,	1),
(50148,	4,	57,	17,	1),
(50149,	4,	57,	18,	1),
(50150,	4,	57,	19,	1),
(50151,	4,	57,	20,	1),
(50152,	4,	57,	21,	1),
(50153,	4,	57,	22,	1),
(50154,	4,	58,	1,	1),
(50155,	4,	58,	2,	1),
(50156,	4,	58,	3,	1),
(50157,	4,	58,	7,	1),
(50158,	4,	58,	8,	1),
(50159,	4,	58,	9,	1),
(50160,	4,	58,	10,	1),
(50161,	4,	58,	11,	1),
(50162,	4,	58,	12,	1),
(50163,	4,	58,	13,	1),
(50164,	4,	58,	14,	1),
(50165,	4,	58,	15,	1),
(50166,	4,	58,	16,	1),
(50167,	4,	58,	17,	1),
(50168,	4,	58,	18,	1),
(50169,	4,	58,	19,	1),
(50170,	4,	58,	20,	1),
(50171,	4,	58,	21,	1),
(50172,	4,	58,	22,	1),
(50173,	4,	59,	1,	1),
(50174,	4,	59,	2,	1),
(50175,	4,	59,	3,	1),
(50176,	4,	59,	7,	1),
(50177,	4,	59,	8,	1),
(50178,	4,	59,	9,	1),
(50179,	4,	59,	10,	1),
(50180,	4,	59,	11,	1),
(50181,	4,	59,	12,	1),
(50182,	4,	59,	13,	1),
(50183,	4,	59,	14,	1),
(50184,	4,	59,	15,	1),
(50185,	4,	59,	16,	1),
(50186,	4,	59,	17,	1),
(50187,	4,	59,	18,	1),
(50188,	4,	59,	19,	1),
(50189,	4,	59,	20,	1),
(50190,	4,	59,	21,	1),
(50191,	4,	59,	22,	1),
(50192,	4,	60,	1,	1),
(50193,	4,	60,	2,	1),
(50194,	4,	60,	3,	1),
(50195,	4,	60,	7,	1),
(50196,	4,	60,	8,	1),
(50197,	4,	60,	9,	1),
(50198,	4,	60,	10,	1),
(50199,	4,	60,	11,	1),
(50200,	4,	60,	12,	1),
(50201,	4,	60,	13,	1),
(50202,	4,	60,	14,	1),
(50203,	4,	60,	15,	1),
(50204,	4,	60,	16,	1),
(50205,	4,	60,	17,	1),
(50206,	4,	60,	18,	1),
(50207,	4,	60,	19,	1),
(50208,	4,	60,	20,	1),
(50209,	4,	60,	21,	1),
(50210,	4,	60,	22,	1),
(50211,	4,	61,	1,	1),
(50212,	4,	61,	2,	1),
(50213,	4,	61,	3,	1),
(50214,	4,	61,	7,	1),
(50215,	4,	61,	8,	1),
(50216,	4,	61,	9,	1),
(50217,	4,	61,	10,	1),
(50218,	4,	61,	11,	1),
(50219,	4,	61,	12,	1),
(50220,	4,	61,	13,	1),
(50221,	4,	61,	14,	1),
(50222,	4,	61,	15,	1),
(50223,	4,	61,	16,	1),
(50224,	4,	61,	17,	1),
(50225,	4,	61,	18,	1),
(50226,	4,	61,	19,	1),
(50227,	4,	61,	20,	1),
(50228,	4,	61,	21,	1),
(50229,	4,	61,	22,	1),
(50230,	4,	62,	1,	1),
(50231,	4,	62,	2,	1),
(50232,	4,	62,	3,	1),
(50233,	4,	62,	7,	1),
(50234,	4,	62,	8,	1),
(50235,	4,	62,	9,	1),
(50236,	4,	62,	10,	1),
(50237,	4,	62,	11,	1),
(50238,	4,	62,	12,	1),
(50239,	4,	62,	13,	1),
(50240,	4,	62,	14,	1),
(50241,	4,	62,	15,	1),
(50242,	4,	62,	16,	1),
(50243,	4,	62,	17,	1),
(50244,	4,	62,	18,	1),
(50245,	4,	62,	19,	1),
(50246,	4,	62,	20,	1),
(50247,	4,	62,	21,	1),
(50248,	4,	62,	22,	1),
(50249,	4,	63,	1,	1),
(50250,	4,	63,	2,	1),
(50251,	4,	63,	3,	1),
(50252,	4,	63,	7,	1),
(50253,	4,	63,	8,	1),
(50254,	4,	63,	9,	1),
(50255,	4,	63,	10,	1),
(50256,	4,	63,	11,	1),
(50257,	4,	63,	12,	1),
(50258,	4,	63,	13,	1),
(50259,	4,	63,	14,	1),
(50260,	4,	63,	15,	1),
(50261,	4,	63,	16,	1),
(50262,	4,	63,	17,	1),
(50263,	4,	63,	18,	1),
(50264,	4,	63,	19,	1),
(50265,	4,	63,	20,	1),
(50266,	4,	63,	21,	1),
(50267,	4,	63,	22,	1),
(50268,	4,	64,	1,	1),
(50269,	4,	64,	2,	1),
(50270,	4,	64,	3,	1),
(50271,	4,	64,	7,	1),
(50272,	4,	64,	8,	1),
(50273,	4,	64,	9,	1),
(50274,	4,	64,	10,	1),
(50275,	4,	64,	11,	1),
(50276,	4,	64,	12,	1),
(50277,	4,	64,	13,	1),
(50278,	4,	64,	14,	1),
(50279,	4,	64,	15,	1),
(50280,	4,	64,	16,	1),
(50281,	4,	64,	17,	1),
(50282,	4,	64,	18,	1),
(50283,	4,	64,	19,	1),
(50284,	4,	64,	20,	1),
(50285,	4,	64,	21,	1),
(50286,	4,	64,	22,	1),
(50287,	4,	65,	1,	1),
(50288,	4,	65,	2,	1),
(50289,	4,	65,	3,	1),
(50290,	4,	65,	7,	1),
(50291,	4,	65,	8,	1),
(50292,	4,	65,	9,	1),
(50293,	4,	65,	10,	1),
(50294,	4,	65,	11,	1),
(50295,	4,	65,	12,	1),
(50296,	4,	65,	13,	1),
(50297,	4,	65,	14,	1),
(50298,	4,	65,	15,	1),
(50299,	4,	65,	16,	1),
(50300,	4,	65,	17,	1),
(50301,	4,	65,	18,	1),
(50302,	4,	65,	19,	1),
(50303,	4,	65,	20,	1),
(50304,	4,	65,	21,	1),
(50305,	4,	65,	22,	1),
(50306,	4,	66,	1,	1),
(50307,	4,	66,	2,	1),
(50308,	4,	66,	3,	1),
(50309,	4,	66,	7,	1),
(50310,	4,	66,	8,	1),
(50311,	4,	66,	9,	1),
(50312,	4,	66,	10,	1),
(50313,	4,	66,	11,	1),
(50314,	4,	66,	12,	1),
(50315,	4,	66,	13,	1),
(50316,	4,	66,	14,	1),
(50317,	4,	66,	15,	1),
(50318,	4,	66,	16,	1),
(50319,	4,	66,	17,	1),
(50320,	4,	66,	18,	1),
(50321,	4,	66,	19,	1),
(50322,	4,	66,	20,	1),
(50323,	4,	66,	21,	1),
(50324,	4,	66,	22,	1),
(50325,	4,	67,	1,	1),
(50326,	4,	67,	2,	1),
(50327,	4,	67,	3,	1),
(50328,	4,	67,	7,	1),
(50329,	4,	67,	8,	1),
(50330,	4,	67,	9,	1),
(50331,	4,	67,	10,	1),
(50332,	4,	67,	11,	1),
(50333,	4,	67,	12,	1),
(50334,	4,	67,	13,	1),
(50335,	4,	67,	14,	1),
(50336,	4,	67,	15,	1),
(50337,	4,	67,	16,	1),
(50338,	4,	67,	17,	1),
(50339,	4,	67,	18,	1),
(50340,	4,	67,	19,	1),
(50341,	4,	67,	20,	1),
(50342,	4,	67,	21,	1),
(50343,	4,	67,	22,	1),
(50344,	4,	68,	1,	1),
(50345,	4,	68,	2,	1),
(50346,	4,	68,	3,	1),
(50347,	4,	68,	7,	1),
(50348,	4,	68,	8,	1),
(50349,	4,	68,	9,	1),
(50350,	4,	68,	10,	1),
(50351,	4,	68,	11,	1),
(50352,	4,	68,	12,	1),
(50353,	4,	68,	13,	1),
(50354,	4,	68,	14,	1),
(50355,	4,	68,	15,	1),
(50356,	4,	68,	16,	1),
(50357,	4,	68,	17,	1),
(50358,	4,	68,	18,	1),
(50359,	4,	68,	19,	1),
(50360,	4,	68,	20,	1),
(50361,	4,	68,	21,	1),
(50362,	4,	68,	22,	1),
(50363,	4,	69,	1,	1),
(50364,	4,	69,	2,	1),
(50365,	4,	69,	3,	1),
(50366,	4,	69,	7,	1),
(50367,	4,	69,	8,	1),
(50368,	4,	69,	9,	1),
(50369,	4,	69,	10,	1),
(50370,	4,	69,	11,	1),
(50371,	4,	69,	12,	1),
(50372,	4,	69,	13,	1),
(50373,	4,	69,	14,	1),
(50374,	4,	69,	15,	1),
(50375,	4,	69,	16,	1),
(50376,	4,	69,	17,	1),
(50377,	4,	69,	18,	1),
(50378,	4,	69,	19,	1),
(50379,	4,	69,	20,	1),
(50380,	4,	69,	21,	1),
(50381,	4,	69,	22,	1),
(50382,	4,	70,	1,	1),
(50383,	4,	70,	2,	1),
(50384,	4,	70,	3,	1),
(50385,	4,	70,	7,	1),
(50386,	4,	70,	8,	1),
(50387,	4,	70,	9,	1),
(50388,	4,	70,	10,	1),
(50389,	4,	70,	11,	1),
(50390,	4,	70,	12,	1),
(50391,	4,	70,	13,	1),
(50392,	4,	70,	14,	1),
(50393,	4,	70,	15,	1),
(50394,	4,	70,	16,	1),
(50395,	4,	70,	17,	1),
(50396,	4,	70,	18,	1),
(50397,	4,	70,	19,	1),
(50398,	4,	70,	20,	1),
(50399,	4,	70,	21,	1),
(50400,	4,	70,	22,	1),
(50401,	4,	71,	1,	1),
(50402,	4,	71,	2,	1),
(50403,	4,	71,	3,	1),
(50404,	4,	71,	7,	1),
(50405,	4,	71,	8,	1),
(50406,	4,	71,	9,	1),
(50407,	4,	71,	10,	1),
(50408,	4,	71,	11,	1),
(50409,	4,	71,	12,	1),
(50410,	4,	71,	13,	1),
(50411,	4,	71,	14,	1),
(50412,	4,	71,	15,	1),
(50413,	4,	71,	16,	1),
(50414,	4,	71,	17,	1),
(50415,	4,	71,	18,	1),
(50416,	4,	71,	19,	1),
(50417,	4,	71,	20,	1),
(50418,	4,	71,	21,	1),
(50419,	4,	71,	22,	1),
(50420,	4,	72,	1,	1),
(50421,	4,	72,	2,	1),
(50422,	4,	72,	3,	1),
(50423,	4,	72,	7,	1),
(50424,	4,	72,	8,	1),
(50425,	4,	72,	9,	1),
(50426,	4,	72,	10,	1),
(50427,	4,	72,	11,	1),
(50428,	4,	72,	12,	1),
(50429,	4,	72,	13,	1),
(50430,	4,	72,	14,	1),
(50431,	4,	72,	15,	1),
(50432,	4,	72,	16,	1),
(50433,	4,	72,	17,	1),
(50434,	4,	72,	18,	1),
(50435,	4,	72,	19,	1),
(50436,	4,	72,	20,	1),
(50437,	4,	72,	21,	1),
(50438,	4,	72,	22,	1),
(50439,	4,	73,	1,	1),
(50440,	4,	73,	2,	1),
(50441,	4,	73,	3,	1),
(50442,	4,	73,	7,	1),
(50443,	4,	73,	8,	1),
(50444,	4,	73,	9,	1),
(50445,	4,	73,	10,	1),
(50446,	4,	73,	11,	1),
(50447,	4,	73,	12,	1),
(50448,	4,	73,	13,	1),
(50449,	4,	73,	14,	1),
(50450,	4,	73,	15,	1),
(50451,	4,	73,	16,	1),
(50452,	4,	73,	17,	1),
(50453,	4,	73,	18,	1),
(50454,	4,	73,	19,	1),
(50455,	4,	73,	20,	1),
(50456,	4,	73,	21,	1),
(50457,	4,	73,	22,	1),
(50458,	4,	73,	23,	1),
(50459,	4,	74,	1,	1),
(50460,	4,	74,	2,	1),
(50461,	4,	74,	3,	1),
(50462,	4,	74,	7,	1),
(50463,	4,	74,	8,	1),
(50464,	4,	74,	9,	1),
(50465,	4,	74,	10,	1),
(50466,	4,	74,	11,	1),
(50467,	4,	74,	12,	1),
(50468,	4,	74,	13,	1),
(50469,	4,	74,	14,	1),
(50470,	4,	74,	15,	1),
(50471,	4,	74,	16,	1),
(50472,	4,	74,	17,	1),
(50473,	4,	74,	18,	1),
(50474,	4,	74,	19,	1),
(50475,	4,	74,	20,	1),
(50476,	4,	74,	21,	1),
(50477,	4,	74,	22,	1),
(50478,	4,	75,	1,	1),
(50479,	4,	75,	2,	1),
(50480,	4,	75,	3,	1),
(50481,	4,	75,	7,	1),
(50482,	4,	75,	8,	1),
(50483,	4,	75,	9,	1),
(50484,	4,	75,	10,	1),
(50485,	4,	75,	11,	1),
(50486,	4,	75,	12,	1),
(50487,	4,	75,	13,	1),
(50488,	4,	75,	14,	1),
(50489,	4,	75,	15,	1),
(50490,	4,	75,	16,	1),
(50491,	4,	75,	17,	1),
(50492,	4,	75,	18,	1),
(50493,	4,	75,	19,	1),
(50494,	4,	75,	20,	1),
(50495,	4,	75,	21,	1),
(50496,	4,	75,	22,	1),
(50497,	4,	76,	1,	1),
(50498,	4,	76,	2,	1),
(50499,	4,	76,	3,	1),
(50500,	4,	76,	7,	1),
(50501,	4,	76,	8,	1),
(50502,	4,	76,	9,	1),
(50503,	4,	76,	10,	1),
(50504,	4,	76,	11,	1),
(50505,	4,	76,	12,	1),
(50506,	4,	76,	13,	1),
(50507,	4,	76,	14,	1),
(50508,	4,	76,	15,	1),
(50509,	4,	76,	16,	1),
(50510,	4,	76,	17,	1),
(50511,	4,	76,	18,	1),
(50512,	4,	76,	19,	1),
(50513,	4,	76,	20,	1),
(50514,	4,	76,	21,	1),
(50515,	4,	76,	22,	1),
(50516,	4,	76,	23,	1),
(50517,	4,	77,	1,	1),
(50518,	4,	77,	2,	1),
(50519,	4,	77,	3,	1),
(50520,	4,	77,	7,	1),
(50521,	4,	77,	8,	1),
(50522,	4,	77,	9,	1),
(50523,	4,	77,	10,	1),
(50524,	4,	77,	11,	1),
(50525,	4,	77,	12,	1),
(50526,	4,	77,	13,	1),
(50527,	4,	77,	14,	1),
(50528,	4,	77,	15,	1),
(50529,	4,	77,	16,	1),
(50530,	4,	77,	17,	1),
(50531,	4,	77,	18,	1),
(50532,	4,	77,	19,	1),
(50533,	4,	77,	20,	1),
(50534,	4,	77,	21,	1),
(50535,	4,	77,	22,	1),
(50536,	4,	78,	1,	1),
(50537,	4,	78,	2,	1),
(50538,	4,	78,	3,	1),
(50539,	4,	78,	7,	1),
(50540,	4,	78,	8,	1),
(50541,	4,	78,	9,	1),
(50542,	4,	78,	10,	1),
(50543,	4,	78,	11,	1),
(50544,	4,	78,	12,	1),
(50545,	4,	78,	13,	1),
(50546,	4,	78,	14,	1),
(50547,	4,	78,	15,	1),
(50548,	4,	78,	16,	1),
(50549,	4,	78,	17,	1),
(50550,	4,	78,	18,	1),
(50551,	4,	78,	19,	1),
(50552,	4,	78,	20,	1),
(50553,	4,	78,	21,	1),
(50554,	4,	78,	22,	1),
(50555,	4,	79,	1,	1),
(50556,	4,	79,	2,	1),
(50557,	4,	79,	3,	1),
(50558,	4,	79,	7,	1),
(50559,	4,	79,	8,	1),
(50560,	4,	79,	9,	1),
(50561,	4,	79,	10,	1),
(50562,	4,	79,	11,	1),
(50563,	4,	79,	12,	1),
(50564,	4,	79,	13,	1),
(50565,	4,	79,	14,	1),
(50566,	4,	79,	15,	1),
(50567,	4,	79,	16,	1),
(50568,	4,	79,	17,	1),
(50569,	4,	79,	18,	1),
(50570,	4,	79,	19,	1),
(50571,	4,	79,	20,	1),
(50572,	4,	79,	21,	1),
(50573,	4,	79,	22,	1),
(50574,	4,	80,	1,	1),
(50575,	4,	80,	2,	1),
(50576,	4,	80,	3,	1),
(50577,	4,	80,	7,	1),
(50578,	4,	80,	8,	1),
(50579,	4,	80,	9,	1),
(50580,	4,	80,	10,	1),
(50581,	4,	80,	11,	1),
(50582,	4,	80,	12,	1),
(50583,	4,	80,	13,	1),
(50584,	4,	80,	14,	1),
(50585,	4,	80,	15,	1),
(50586,	4,	80,	16,	1),
(50587,	4,	80,	17,	1),
(50588,	4,	80,	18,	1),
(50589,	4,	80,	19,	1),
(50590,	4,	80,	20,	1),
(50591,	4,	80,	21,	1),
(50592,	4,	80,	22,	1),
(50593,	4,	81,	1,	1),
(50594,	4,	81,	2,	1),
(50595,	4,	81,	3,	1),
(50596,	4,	81,	7,	1),
(50597,	4,	81,	8,	1),
(50598,	4,	81,	9,	1),
(50599,	4,	81,	10,	1),
(50600,	4,	81,	11,	1),
(50601,	4,	81,	12,	1),
(50602,	4,	81,	13,	1),
(50603,	4,	81,	14,	1),
(50604,	4,	81,	15,	1),
(50605,	4,	81,	16,	1),
(50606,	4,	81,	17,	1),
(50607,	4,	81,	18,	1),
(50608,	4,	81,	19,	1),
(50609,	4,	81,	20,	1),
(50610,	4,	81,	21,	1),
(50611,	4,	81,	22,	1),
(50612,	4,	82,	1,	1),
(50613,	4,	82,	2,	1),
(50614,	4,	82,	3,	1),
(50615,	4,	82,	7,	1),
(50616,	4,	82,	8,	1),
(50617,	4,	82,	9,	1),
(50618,	4,	82,	10,	1),
(50619,	4,	82,	11,	1),
(50620,	4,	82,	12,	1),
(50621,	4,	82,	13,	1),
(50622,	4,	82,	14,	1),
(50623,	4,	82,	15,	1),
(50624,	4,	82,	16,	1),
(50625,	4,	82,	17,	1),
(50626,	4,	82,	18,	1),
(50627,	4,	82,	19,	1),
(50628,	4,	82,	20,	1),
(50629,	4,	82,	21,	1),
(50630,	4,	82,	22,	1),
(50631,	4,	83,	1,	1),
(50632,	4,	83,	2,	1),
(50633,	4,	83,	3,	1),
(50634,	4,	83,	7,	1),
(50635,	4,	83,	8,	1),
(50636,	4,	83,	9,	1),
(50637,	4,	83,	10,	1),
(50638,	4,	83,	11,	1),
(50639,	4,	83,	12,	1),
(50640,	4,	83,	13,	1),
(50641,	4,	83,	14,	1),
(50642,	4,	83,	15,	1),
(50643,	4,	83,	16,	1),
(50644,	4,	83,	17,	1),
(50645,	4,	83,	18,	1),
(50646,	4,	83,	19,	1),
(50647,	4,	83,	20,	1),
(50648,	4,	83,	21,	1),
(50649,	4,	83,	22,	1),
(50650,	4,	84,	1,	1),
(50651,	4,	84,	2,	1),
(50652,	4,	84,	3,	1),
(50653,	4,	84,	7,	1),
(50654,	4,	84,	8,	1),
(50655,	4,	84,	9,	1),
(50656,	4,	84,	10,	1),
(50657,	4,	84,	11,	1),
(50658,	4,	84,	12,	1),
(50659,	4,	84,	13,	1),
(50660,	4,	84,	14,	1),
(50661,	4,	84,	15,	1),
(50662,	4,	84,	16,	1),
(50663,	4,	84,	17,	1),
(50664,	4,	84,	18,	1),
(50665,	4,	84,	19,	1),
(50666,	4,	84,	20,	1),
(50667,	4,	84,	21,	1),
(50668,	4,	84,	22,	1),
(50669,	4,	85,	1,	1),
(50670,	4,	85,	2,	1),
(50671,	4,	85,	3,	1),
(50672,	4,	85,	7,	1),
(50673,	4,	85,	8,	1),
(50674,	4,	85,	9,	1),
(50675,	4,	85,	10,	1),
(50676,	4,	85,	11,	1),
(50677,	4,	85,	12,	1),
(50678,	4,	85,	13,	1),
(50679,	4,	85,	14,	1),
(50680,	4,	85,	15,	1),
(50681,	4,	85,	16,	1),
(50682,	4,	85,	17,	1),
(50683,	4,	85,	18,	1),
(50684,	4,	85,	19,	1),
(50685,	4,	85,	20,	1),
(50686,	4,	85,	21,	1),
(50687,	4,	85,	22,	1),
(50688,	4,	86,	1,	1),
(50689,	4,	86,	2,	1),
(50690,	4,	86,	3,	1),
(50691,	4,	86,	7,	1),
(50692,	4,	86,	8,	1),
(50693,	4,	86,	9,	1),
(50694,	4,	86,	10,	1),
(50695,	4,	86,	11,	1),
(50696,	4,	86,	12,	1),
(50697,	4,	86,	13,	1),
(50698,	4,	86,	14,	1),
(50699,	4,	86,	15,	1),
(50700,	4,	86,	16,	1),
(50701,	4,	86,	17,	1),
(50702,	4,	86,	18,	1),
(50703,	4,	86,	19,	1),
(50704,	4,	86,	20,	1),
(50705,	4,	86,	21,	1),
(50706,	4,	86,	22,	1),
(50707,	4,	87,	1,	1),
(50708,	4,	87,	2,	1),
(50709,	4,	87,	3,	1),
(50710,	4,	87,	7,	1),
(50711,	4,	87,	8,	1),
(50712,	4,	87,	9,	1),
(50713,	4,	87,	10,	1),
(50714,	4,	87,	11,	1),
(50715,	4,	87,	12,	1),
(50716,	4,	87,	13,	1),
(50717,	4,	87,	14,	1),
(50718,	4,	87,	15,	1),
(50719,	4,	87,	16,	1),
(50720,	4,	87,	17,	1),
(50721,	4,	87,	18,	1),
(50722,	4,	87,	19,	1),
(50723,	4,	87,	20,	1),
(50724,	4,	87,	21,	1),
(50725,	4,	87,	22,	1),
(50726,	4,	88,	1,	1),
(50727,	4,	88,	2,	1),
(50728,	4,	88,	3,	1),
(50729,	4,	88,	7,	1),
(50730,	4,	88,	8,	1),
(50731,	4,	88,	9,	1),
(50732,	4,	88,	10,	1),
(50733,	4,	88,	11,	1),
(50734,	4,	88,	12,	1),
(50735,	4,	88,	13,	1),
(50736,	4,	88,	14,	1),
(50737,	4,	88,	15,	1),
(50738,	4,	88,	16,	1),
(50739,	4,	88,	17,	1),
(50740,	4,	88,	18,	1),
(50741,	4,	88,	19,	1),
(50742,	4,	88,	20,	1),
(50743,	4,	88,	21,	1),
(50744,	4,	88,	22,	1),
(50745,	4,	89,	1,	1),
(50746,	4,	89,	2,	1),
(50747,	4,	89,	3,	1),
(50748,	4,	89,	7,	1),
(50749,	4,	89,	8,	1),
(50750,	4,	89,	9,	1),
(50751,	4,	89,	10,	1),
(50752,	4,	89,	11,	1),
(50753,	4,	89,	12,	1),
(50754,	4,	89,	13,	1),
(50755,	4,	89,	14,	1),
(50756,	4,	89,	15,	1),
(50757,	4,	89,	16,	1),
(50758,	4,	89,	17,	1),
(50759,	4,	89,	18,	1),
(50760,	4,	89,	19,	1),
(50761,	4,	89,	20,	1),
(50762,	4,	89,	21,	1),
(50763,	4,	89,	22,	1),
(50764,	4,	89,	23,	1),
(50765,	4,	90,	1,	1),
(50766,	4,	90,	2,	1),
(50767,	4,	90,	3,	1),
(50768,	4,	90,	7,	1),
(50769,	4,	90,	8,	1),
(50770,	4,	90,	9,	1),
(50771,	4,	90,	10,	1),
(50772,	4,	90,	11,	1),
(50773,	4,	90,	12,	1),
(50774,	4,	90,	13,	1),
(50775,	4,	90,	14,	1),
(50776,	4,	90,	15,	1),
(50777,	4,	90,	16,	1),
(50778,	4,	90,	17,	1),
(50779,	4,	90,	18,	1),
(50780,	4,	90,	19,	1),
(50781,	4,	90,	20,	1),
(50782,	4,	90,	21,	1),
(50783,	4,	90,	22,	1),
(50784,	4,	91,	1,	1),
(50785,	4,	91,	2,	1),
(50786,	4,	91,	3,	1),
(50787,	4,	91,	7,	1),
(50788,	4,	91,	8,	1),
(50789,	4,	91,	9,	1),
(50790,	4,	91,	10,	1),
(50791,	4,	91,	11,	1),
(50792,	4,	91,	12,	1),
(50793,	4,	91,	13,	1),
(50794,	4,	91,	14,	1),
(50795,	4,	91,	15,	1),
(50796,	4,	91,	16,	1),
(50797,	4,	91,	17,	1),
(50798,	4,	91,	18,	1),
(50799,	4,	91,	19,	1),
(50800,	4,	91,	20,	1),
(50801,	4,	91,	21,	1),
(50802,	4,	91,	22,	1),
(50803,	4,	92,	1,	1),
(50804,	4,	92,	2,	1),
(50805,	4,	92,	3,	1),
(50806,	4,	92,	7,	1),
(50807,	4,	92,	8,	1),
(50808,	4,	92,	9,	1),
(50809,	4,	92,	10,	1),
(50810,	4,	92,	11,	1),
(50811,	4,	92,	12,	1),
(50812,	4,	92,	13,	1),
(50813,	4,	92,	14,	1),
(50814,	4,	92,	15,	1),
(50815,	4,	92,	16,	1),
(50816,	4,	92,	17,	1),
(50817,	4,	92,	18,	1),
(50818,	4,	92,	19,	1),
(50819,	4,	92,	20,	1),
(50820,	4,	92,	21,	1),
(50821,	4,	92,	22,	1),
(50822,	4,	93,	1,	1),
(50823,	4,	93,	2,	1),
(50824,	4,	93,	3,	1),
(50825,	4,	93,	7,	1),
(50826,	4,	93,	8,	1),
(50827,	4,	93,	9,	1),
(50828,	4,	93,	10,	1),
(50829,	4,	93,	11,	1),
(50830,	4,	93,	12,	1),
(50831,	4,	93,	13,	1),
(50832,	4,	93,	14,	1),
(50833,	4,	93,	15,	1),
(50834,	4,	93,	16,	1),
(50835,	4,	93,	17,	1),
(50836,	4,	93,	18,	1),
(50837,	4,	93,	19,	1),
(50838,	4,	93,	20,	1),
(50839,	4,	93,	21,	1),
(50840,	4,	93,	22,	1),
(50841,	4,	94,	1,	1),
(50842,	4,	94,	2,	1),
(50843,	4,	94,	3,	1),
(50844,	4,	94,	7,	1),
(50845,	4,	94,	8,	1),
(50846,	4,	94,	9,	1),
(50847,	4,	94,	10,	1),
(50848,	4,	94,	11,	1),
(50849,	4,	94,	12,	1),
(50850,	4,	94,	13,	1),
(50851,	4,	94,	14,	1),
(50852,	4,	94,	15,	1),
(50853,	4,	94,	16,	1),
(50854,	4,	94,	17,	1),
(50855,	4,	94,	18,	1),
(50856,	4,	94,	19,	1),
(50857,	4,	94,	20,	1),
(50858,	4,	94,	21,	1),
(50859,	4,	94,	22,	1),
(50860,	4,	95,	1,	1),
(50861,	4,	95,	2,	1),
(50862,	4,	95,	3,	1),
(50863,	4,	95,	7,	1),
(50864,	4,	95,	8,	1),
(50865,	4,	95,	9,	1),
(50866,	4,	95,	10,	1),
(50867,	4,	95,	11,	1),
(50868,	4,	95,	12,	1),
(50869,	4,	95,	13,	1),
(50870,	4,	95,	14,	1),
(50871,	4,	95,	15,	1),
(50872,	4,	95,	16,	1),
(50873,	4,	95,	17,	1),
(50874,	4,	95,	18,	1),
(50875,	4,	95,	19,	1),
(50876,	4,	95,	20,	1),
(50877,	4,	95,	21,	1),
(50878,	4,	95,	22,	1),
(50879,	4,	96,	1,	1),
(50880,	4,	96,	2,	1),
(50881,	4,	96,	3,	1),
(50882,	4,	96,	7,	1),
(50883,	4,	96,	8,	1),
(50884,	4,	96,	9,	1),
(50885,	4,	96,	10,	1),
(50886,	4,	96,	11,	1),
(50887,	4,	96,	12,	1),
(50888,	4,	96,	13,	1),
(50889,	4,	96,	14,	1),
(50890,	4,	96,	15,	1),
(50891,	4,	96,	16,	1),
(50892,	4,	96,	17,	1),
(50893,	4,	96,	18,	1),
(50894,	4,	96,	19,	1),
(50895,	4,	96,	20,	1),
(50896,	4,	96,	21,	1),
(50897,	4,	96,	22,	1),
(50898,	4,	96,	23,	1),
(50899,	4,	97,	1,	1),
(50900,	4,	97,	2,	1),
(50901,	4,	97,	3,	1),
(50902,	4,	97,	7,	1),
(50903,	4,	97,	8,	1),
(50904,	4,	97,	9,	1),
(50905,	4,	97,	10,	1),
(50906,	4,	97,	11,	1),
(50907,	4,	97,	12,	1),
(50908,	4,	97,	13,	1),
(50909,	4,	97,	14,	1),
(50910,	4,	97,	15,	1),
(50911,	4,	97,	16,	1),
(50912,	4,	97,	17,	1),
(50913,	4,	97,	18,	1),
(50914,	4,	97,	19,	1),
(50915,	4,	97,	20,	1),
(50916,	4,	97,	21,	1),
(50917,	4,	97,	22,	1),
(50918,	4,	98,	1,	1),
(50919,	4,	98,	2,	1),
(50920,	4,	98,	3,	1),
(50921,	4,	98,	7,	1),
(50922,	4,	98,	8,	1),
(50923,	4,	98,	9,	1),
(50924,	4,	98,	10,	1),
(50925,	4,	98,	11,	1),
(50926,	4,	98,	12,	1),
(50927,	4,	98,	13,	1),
(50928,	4,	98,	14,	1),
(50929,	4,	98,	15,	1),
(50930,	4,	98,	16,	1),
(50931,	4,	98,	17,	1),
(50932,	4,	98,	18,	1),
(50933,	4,	98,	19,	1),
(50934,	4,	98,	20,	1),
(50935,	4,	98,	21,	1),
(50936,	4,	98,	22,	1),
(50937,	4,	99,	1,	1),
(50938,	4,	99,	2,	1),
(50939,	4,	99,	3,	1),
(50940,	4,	99,	7,	1),
(50941,	4,	99,	8,	1),
(50942,	4,	99,	9,	1),
(50943,	4,	99,	10,	1),
(50944,	4,	99,	11,	1),
(50945,	4,	99,	12,	1),
(50946,	4,	99,	13,	1),
(50947,	4,	99,	14,	1),
(50948,	4,	99,	15,	1),
(50949,	4,	99,	16,	1),
(50950,	4,	99,	17,	1),
(50951,	4,	99,	18,	1),
(50952,	4,	99,	19,	1),
(50953,	4,	99,	20,	1),
(50954,	4,	99,	21,	1),
(50955,	4,	99,	22,	1),
(50956,	4,	100,	1,	1),
(50957,	4,	100,	2,	1),
(50958,	4,	100,	3,	1),
(50959,	4,	100,	7,	1),
(50960,	4,	100,	8,	1),
(50961,	4,	100,	9,	1),
(50962,	4,	100,	10,	1),
(50963,	4,	100,	11,	1),
(50964,	4,	100,	12,	1),
(50965,	4,	100,	13,	1),
(50966,	4,	100,	14,	1),
(50967,	4,	100,	15,	1),
(50968,	4,	100,	16,	1),
(50969,	4,	100,	17,	1),
(50970,	4,	100,	18,	1),
(50971,	4,	100,	19,	1),
(50972,	4,	100,	20,	1),
(50973,	4,	100,	21,	1),
(50974,	4,	100,	22,	1),
(50975,	4,	101,	1,	1),
(50976,	4,	101,	2,	1),
(50977,	4,	101,	3,	1),
(50978,	4,	101,	5,	1),
(50979,	4,	101,	1,	3),
(50980,	4,	101,	2,	3),
(50981,	4,	101,	3,	3),
(50982,	4,	101,	5,	3),
(50983,	4,	101,	1,	2),
(50984,	4,	101,	2,	2),
(50985,	4,	101,	3,	2),
(50986,	4,	101,	5,	2),
(50987,	4,	102,	1,	1),
(50988,	4,	102,	2,	1),
(50989,	4,	102,	3,	1),
(50990,	4,	103,	1,	1),
(50991,	4,	103,	2,	1),
(50992,	4,	103,	3,	1),
(50993,	4,	103,	6,	1),
(50994,	4,	103,	24,	1),
(50995,	4,	103,	4,	1),
(50996,	4,	103,	25,	1),
(50997,	4,	103,	5,	1),
(50998,	4,	103,	26,	1),
(50999,	4,	104,	1,	1),
(51000,	4,	104,	2,	1),
(51001,	4,	104,	3,	1),
(51002,	4,	104,	24,	1),
(51003,	4,	104,	6,	1),
(51004,	4,	104,	4,	1),
(51005,	4,	104,	25,	1),
(51006,	4,	104,	5,	1),
(51007,	4,	104,	1,	3),
(51008,	4,	104,	2,	3),
(51009,	4,	104,	3,	3),
(51010,	4,	104,	24,	3),
(51011,	4,	104,	6,	3),
(51012,	4,	104,	4,	3),
(51013,	4,	104,	25,	3),
(51014,	4,	104,	5,	3),
(51015,	4,	105,	1,	1),
(51016,	4,	105,	2,	1),
(51017,	4,	105,	3,	1),
(51018,	4,	105,	24,	1),
(51019,	4,	105,	6,	1),
(51020,	4,	105,	4,	1),
(51021,	4,	105,	25,	1),
(51022,	4,	105,	5,	1),
(51023,	4,	105,	1,	3),
(51024,	4,	105,	2,	3),
(51025,	4,	105,	3,	3),
(51026,	4,	105,	24,	3),
(51027,	4,	105,	6,	3),
(51028,	4,	105,	4,	3),
(51029,	4,	105,	25,	3),
(51030,	4,	105,	5,	3),
(51031,	4,	106,	1,	1),
(51032,	4,	106,	2,	1),
(51033,	4,	106,	3,	1),
(51034,	4,	106,	24,	1),
(51035,	4,	106,	6,	1),
(51036,	4,	106,	4,	1),
(51037,	4,	106,	25,	1),
(51038,	4,	106,	5,	1),
(51039,	4,	106,	1,	3),
(51040,	4,	106,	2,	3),
(51041,	4,	106,	3,	3),
(51042,	4,	106,	24,	3),
(51043,	4,	106,	6,	3),
(51044,	4,	106,	4,	3),
(51045,	4,	106,	25,	3),
(51046,	4,	106,	5,	3),
(51047,	4,	107,	1,	1),
(51048,	4,	107,	2,	1),
(51049,	4,	107,	3,	1),
(51050,	4,	107,	24,	1),
(51051,	4,	107,	6,	1),
(51052,	4,	107,	4,	1),
(51053,	4,	107,	25,	1),
(51054,	4,	107,	5,	1),
(51055,	4,	107,	1,	3),
(51056,	4,	107,	2,	3),
(51057,	4,	107,	3,	3),
(51058,	4,	107,	24,	3),
(51059,	4,	107,	6,	3),
(51060,	4,	107,	4,	3),
(51061,	4,	107,	25,	3),
(51062,	4,	107,	5,	3),
(51063,	4,	108,	1,	1),
(51064,	4,	108,	2,	1),
(51065,	4,	108,	3,	1),
(51066,	4,	108,	24,	1),
(51067,	4,	108,	25,	1),
(51068,	4,	108,	4,	1),
(51069,	4,	108,	1,	3),
(51070,	4,	108,	2,	3),
(51071,	4,	108,	3,	3),
(51072,	4,	108,	24,	3),
(51073,	4,	108,	25,	3),
(51074,	4,	108,	4,	3),
(51075,	4,	109,	1,	1),
(51076,	4,	109,	2,	1),
(51077,	4,	109,	3,	1),
(51078,	4,	109,	24,	1),
(51079,	4,	109,	6,	1),
(51080,	4,	109,	4,	1),
(51081,	4,	109,	25,	1),
(51082,	4,	109,	5,	1),
(51083,	4,	109,	1,	3),
(51084,	4,	109,	2,	3),
(51085,	4,	109,	3,	3),
(51086,	4,	109,	24,	3),
(51087,	4,	109,	6,	3),
(51088,	4,	109,	4,	3),
(51089,	4,	109,	25,	3),
(51090,	4,	109,	5,	3),
(51091,	4,	110,	1,	1),
(51092,	4,	110,	2,	1),
(51093,	4,	110,	3,	1),
(51094,	4,	110,	24,	1),
(51095,	4,	110,	6,	1),
(51096,	4,	110,	4,	1),
(51097,	4,	110,	25,	1),
(51098,	4,	110,	5,	1),
(51099,	4,	110,	1,	3),
(51100,	4,	110,	2,	3),
(51101,	4,	110,	3,	3),
(51102,	4,	110,	24,	3),
(51103,	4,	110,	6,	3),
(51104,	4,	110,	4,	3),
(51105,	4,	110,	25,	3),
(51106,	4,	110,	5,	3),
(51107,	4,	111,	1,	1),
(51108,	4,	111,	2,	1),
(51109,	4,	111,	3,	1),
(51110,	4,	111,	24,	1),
(51111,	4,	111,	6,	1),
(51112,	4,	111,	4,	1),
(51113,	4,	111,	25,	1),
(51114,	4,	111,	5,	1),
(51115,	4,	111,	1,	2),
(51116,	4,	111,	2,	2),
(51117,	4,	111,	3,	2),
(51118,	4,	111,	24,	2),
(51119,	4,	111,	6,	2),
(51120,	4,	111,	4,	2),
(51121,	4,	111,	25,	2),
(51122,	4,	111,	5,	2),
(51123,	4,	112,	1,	1),
(51124,	4,	112,	2,	1),
(51125,	4,	112,	3,	1),
(51126,	4,	112,	24,	1),
(51127,	4,	112,	6,	1),
(51128,	4,	112,	4,	1),
(51129,	4,	112,	25,	1),
(51130,	4,	112,	5,	1),
(51131,	4,	112,	1,	3),
(51132,	4,	112,	2,	3),
(51133,	4,	112,	3,	3),
(51134,	4,	112,	24,	3),
(51135,	4,	112,	6,	3),
(51136,	4,	112,	4,	3),
(51137,	4,	112,	25,	3),
(51138,	4,	112,	5,	3),
(51139,	4,	113,	1,	1),
(51140,	4,	113,	2,	1),
(51141,	4,	113,	3,	1),
(51142,	4,	113,	5,	1),
(51143,	4,	113,	1,	3),
(51144,	4,	113,	2,	3),
(51145,	4,	113,	3,	3),
(51146,	4,	113,	5,	3),
(51147,	4,	113,	1,	2),
(51148,	4,	113,	2,	2),
(51149,	4,	113,	3,	2),
(51150,	4,	113,	5,	2),
(51151,	4,	114,	1,	1),
(51152,	4,	114,	2,	1),
(51153,	4,	114,	3,	1),
(51154,	4,	114,	5,	1),
(51155,	4,	114,	1,	3),
(51156,	4,	114,	2,	3),
(51157,	4,	114,	3,	3),
(51158,	4,	114,	5,	3),
(51159,	4,	114,	1,	2),
(51160,	4,	114,	2,	2),
(51161,	4,	114,	3,	2),
(51162,	4,	114,	5,	2),
(51163,	4,	115,	1,	1),
(51164,	4,	115,	2,	1),
(51165,	4,	115,	3,	1),
(51166,	4,	115,	1,	2),
(51167,	4,	115,	2,	2),
(51168,	4,	115,	3,	2),
(51169,	4,	116,	1,	1),
(51170,	4,	116,	2,	1),
(51171,	4,	116,	3,	1),
(51172,	4,	116,	1,	2),
(51173,	4,	116,	2,	2),
(51174,	4,	116,	3,	2),
(51175,	4,	117,	1,	1),
(51176,	4,	117,	2,	1),
(51177,	4,	117,	3,	1),
(51178,	4,	117,	1,	2),
(51179,	4,	117,	2,	2),
(51180,	4,	117,	3,	2),
(51181,	4,	118,	1,	1),
(51182,	4,	118,	2,	1),
(51183,	4,	118,	3,	1),
(51184,	4,	118,	23,	1),
(51185,	4,	118,	1,	3),
(51186,	4,	118,	2,	3),
(51187,	4,	118,	3,	3),
(51188,	4,	118,	23,	3),
(51189,	4,	119,	1,	1),
(51190,	4,	119,	2,	1),
(51191,	4,	119,	3,	1),
(51192,	4,	119,	1,	2),
(51193,	4,	119,	2,	2),
(51194,	4,	119,	3,	2),
(51195,	4,	120,	1,	1),
(51196,	4,	120,	2,	1),
(51197,	4,	120,	3,	1),
(51198,	4,	120,	1,	2),
(51199,	4,	120,	2,	2),
(51200,	4,	120,	3,	2),
(51201,	4,	121,	1,	1),
(51202,	4,	121,	2,	1),
(51203,	4,	121,	3,	1),
(51204,	4,	121,	1,	2),
(51205,	4,	121,	2,	2),
(51206,	4,	121,	3,	2),
(51207,	4,	122,	1,	1),
(51208,	4,	122,	2,	1),
(51209,	4,	122,	3,	1),
(51210,	4,	122,	1,	2),
(51211,	4,	122,	2,	2),
(51212,	4,	122,	3,	2),
(51213,	4,	123,	1,	1),
(51214,	4,	123,	2,	1),
(51215,	4,	123,	3,	1),
(51216,	4,	123,	1,	2),
(51217,	4,	123,	2,	2),
(51218,	4,	123,	3,	2),
(51219,	4,	124,	1,	1),
(51220,	4,	124,	2,	1),
(51221,	4,	124,	3,	1),
(51222,	4,	125,	1,	1),
(51223,	4,	125,	2,	1),
(51224,	4,	125,	3,	1),
(51225,	4,	126,	1,	1),
(51226,	4,	126,	2,	1),
(51227,	4,	126,	3,	1),
(51228,	4,	127,	1,	1),
(51229,	4,	127,	2,	1),
(51230,	4,	127,	3,	1),
(51231,	4,	127,	1,	2),
(51232,	4,	127,	2,	2),
(51233,	4,	127,	3,	2),
(51234,	4,	128,	1,	1),
(51235,	4,	128,	2,	1),
(51236,	4,	128,	3,	1),
(51237,	4,	128,	1,	2),
(51238,	4,	128,	2,	2),
(51239,	4,	128,	3,	2),
(51240,	4,	129,	1,	1),
(51241,	4,	129,	2,	1),
(51242,	4,	129,	3,	1),
(51243,	4,	129,	1,	2),
(51244,	4,	129,	2,	2),
(51245,	4,	129,	3,	2),
(51246,	4,	130,	1,	1),
(51247,	4,	130,	2,	1),
(51248,	4,	130,	3,	1),
(51249,	4,	130,	1,	2),
(51250,	4,	130,	2,	2),
(51251,	4,	130,	3,	2),
(51252,	4,	131,	1,	1),
(51253,	4,	131,	2,	1),
(51254,	4,	131,	3,	1),
(51255,	4,	131,	1,	2),
(51256,	4,	131,	2,	2),
(51257,	4,	131,	3,	2),
(51258,	4,	132,	1,	1),
(51259,	4,	132,	2,	1),
(51260,	4,	132,	3,	1),
(51261,	4,	132,	1,	2),
(51262,	4,	132,	2,	2),
(51263,	4,	132,	3,	2),
(51264,	4,	133,	1,	1),
(51265,	4,	133,	2,	1),
(51266,	4,	133,	3,	1),
(51267,	4,	133,	1,	2),
(51268,	4,	133,	2,	2),
(51269,	4,	133,	3,	2),
(51270,	4,	134,	1,	1),
(51271,	4,	134,	2,	1),
(51272,	4,	134,	3,	1),
(51273,	4,	135,	1,	1),
(51274,	4,	135,	2,	1),
(51275,	4,	135,	3,	1),
(51276,	4,	136,	1,	1),
(51277,	4,	136,	2,	1),
(51278,	4,	136,	3,	1),
(51279,	4,	136,	23,	1),
(51280,	4,	136,	1,	2),
(51281,	4,	136,	2,	2),
(51282,	4,	136,	3,	2),
(51283,	4,	136,	23,	2),
(51284,	4,	137,	1,	1),
(51285,	4,	137,	2,	1),
(51286,	4,	137,	3,	1),
(51287,	4,	137,	1,	2),
(51288,	4,	137,	2,	2),
(51289,	4,	137,	3,	2),
(51290,	4,	138,	1,	1),
(51291,	4,	138,	2,	1),
(51292,	4,	138,	3,	1),
(51293,	4,	138,	1,	2),
(51294,	4,	138,	2,	2),
(51295,	4,	138,	3,	2),
(51296,	4,	139,	1,	1),
(51297,	4,	139,	2,	1),
(51298,	4,	139,	3,	1),
(51299,	4,	140,	1,	1),
(51300,	4,	140,	2,	1),
(51301,	4,	140,	3,	1),
(51302,	4,	140,	23,	1),
(51303,	4,	140,	6,	1),
(51304,	4,	141,	1,	1),
(51305,	4,	141,	2,	1),
(51306,	4,	141,	3,	1),
(51307,	4,	141,	1,	2),
(51308,	4,	141,	2,	2),
(51309,	4,	141,	3,	2),
(51310,	4,	142,	1,	1),
(51311,	4,	142,	2,	1),
(51312,	4,	142,	3,	1),
(51313,	4,	142,	1,	2),
(51314,	4,	142,	2,	2),
(51315,	4,	142,	3,	2),
(51316,	4,	143,	1,	1),
(51317,	4,	143,	2,	1),
(51318,	4,	143,	3,	1),
(51319,	4,	143,	1,	2),
(51320,	4,	143,	2,	2),
(51321,	4,	143,	3,	2),
(51322,	4,	144,	1,	1),
(51323,	4,	144,	2,	1),
(51324,	4,	144,	3,	1),
(51325,	4,	144,	1,	2),
(51326,	4,	144,	2,	2),
(51327,	4,	144,	3,	2),
(51328,	4,	145,	1,	1),
(51329,	4,	145,	2,	1),
(51330,	4,	145,	3,	1),
(51331,	4,	145,	1,	2),
(51332,	4,	145,	2,	2),
(51333,	4,	145,	3,	2),
(51334,	4,	146,	1,	1),
(51335,	4,	146,	2,	1),
(51336,	4,	146,	3,	1),
(51337,	4,	146,	1,	2),
(51338,	4,	146,	2,	2),
(51339,	4,	146,	3,	2),
(51340,	4,	147,	1,	1),
(51341,	4,	147,	2,	1),
(51342,	4,	147,	3,	1),
(51343,	4,	147,	1,	2),
(51344,	4,	147,	2,	2),
(51345,	4,	147,	3,	2),
(51346,	4,	148,	1,	1),
(51347,	4,	148,	2,	1),
(51348,	4,	148,	3,	1),
(51349,	4,	149,	1,	1),
(51350,	4,	149,	2,	1),
(51351,	4,	149,	3,	1),
(51352,	4,	149,	1,	2),
(51353,	4,	149,	2,	2),
(51354,	4,	149,	3,	2),
(51355,	4,	150,	1,	1),
(51356,	4,	150,	2,	1),
(51357,	4,	150,	3,	1),
(51358,	4,	151,	1,	1),
(51359,	4,	151,	2,	1),
(51360,	4,	151,	3,	1),
(51361,	4,	152,	1,	1),
(51362,	4,	152,	2,	1),
(51363,	4,	152,	3,	1),
(51364,	4,	153,	1,	1),
(51365,	4,	153,	2,	1),
(51366,	4,	153,	3,	1),
(51367,	4,	154,	1,	1),
(51368,	4,	154,	2,	1),
(51369,	4,	154,	3,	1),
(51370,	4,	154,	1,	2),
(51371,	4,	154,	2,	2),
(51373,	4,	156,	1,	1),
(51374,	4,	156,	2,	1),
(51375,	4,	156,	3,	1),
(51376,	4,	157,	1,	1),
(51377,	4,	157,	2,	1),
(51378,	4,	157,	3,	1),
(51379,	4,	158,	1,	1),
(51380,	4,	158,	2,	1),
(51381,	4,	158,	3,	1),
(51382,	4,	158,	1,	2),
(51383,	4,	158,	2,	2),
(51384,	4,	158,	3,	2),
(51385,	4,	159,	1,	1),
(51386,	4,	159,	2,	1),
(51387,	4,	159,	3,	1),
(51388,	4,	160,	1,	1),
(51389,	4,	160,	2,	1),
(51390,	4,	160,	3,	1),
(51391,	4,	160,	1,	2),
(51392,	4,	160,	2,	2),
(51393,	4,	160,	3,	2),
(51394,	4,	161,	1,	1),
(51395,	4,	161,	2,	1),
(51396,	4,	161,	3,	1),
(51397,	4,	162,	1,	1),
(51398,	4,	162,	2,	1),
(51399,	4,	162,	3,	1),
(51400,	4,	163,	1,	1),
(51401,	4,	163,	2,	1),
(51402,	4,	163,	3,	1),
(51403,	4,	164,	1,	1),
(51404,	4,	164,	2,	1),
(51405,	4,	164,	3,	1),
(51406,	4,	164,	1,	2),
(51407,	4,	164,	2,	2),
(51408,	4,	164,	3,	2),
(51409,	4,	165,	1,	1),
(51410,	4,	165,	2,	1),
(51411,	4,	165,	3,	1),
(51412,	4,	166,	1,	1),
(51413,	4,	166,	2,	1),
(51414,	4,	166,	3,	1),
(51415,	4,	167,	1,	1),
(51416,	4,	167,	2,	1),
(51417,	4,	167,	3,	1),
(51418,	4,	167,	1,	2),
(51419,	4,	167,	2,	2),
(51420,	4,	167,	3,	2),
(51421,	4,	168,	1,	1),
(51422,	4,	168,	2,	1),
(51423,	4,	168,	3,	1),
(51424,	4,	168,	1,	2),
(51425,	4,	168,	2,	2),
(51426,	4,	168,	3,	2),
(51427,	4,	169,	1,	1),
(51428,	4,	169,	2,	1),
(51429,	4,	169,	3,	1),
(51430,	4,	170,	1,	1),
(51431,	4,	170,	2,	1),
(51432,	4,	170,	3,	1),
(51433,	4,	170,	1,	2),
(51434,	4,	170,	2,	2),
(51435,	4,	170,	3,	2),
(51436,	4,	171,	1,	1),
(51437,	4,	171,	2,	1),
(51438,	4,	171,	3,	1),
(51439,	4,	171,	1,	2),
(51440,	4,	171,	2,	2),
(51441,	4,	171,	3,	2),
(51442,	4,	172,	1,	1),
(51443,	4,	172,	2,	1),
(51444,	4,	172,	3,	1),
(51445,	4,	172,	1,	2),
(51446,	4,	172,	2,	2),
(51447,	4,	172,	3,	2),
(51448,	4,	173,	1,	1),
(51449,	4,	173,	2,	1),
(51450,	4,	173,	3,	1),
(51451,	4,	173,	1,	2),
(51452,	4,	173,	2,	2),
(51453,	4,	173,	3,	2),
(51454,	4,	174,	1,	1),
(51455,	4,	174,	2,	1),
(51456,	4,	174,	3,	1),
(51457,	4,	174,	1,	2),
(51458,	4,	174,	2,	2),
(51459,	4,	174,	3,	2),
(51460,	4,	175,	1,	1),
(51461,	4,	175,	2,	1),
(51462,	4,	175,	3,	1),
(51463,	4,	176,	1,	1),
(51464,	4,	176,	2,	1),
(51465,	4,	176,	3,	1),
(51466,	4,	177,	1,	1),
(51467,	4,	177,	2,	1),
(51468,	4,	177,	3,	1),
(51469,	4,	178,	1,	1),
(51470,	4,	178,	2,	1),
(51471,	4,	178,	3,	1),
(51472,	4,	179,	1,	1),
(51473,	4,	179,	2,	1),
(51474,	4,	179,	3,	1),
(51475,	4,	180,	1,	1),
(51476,	4,	180,	2,	1),
(51477,	4,	180,	3,	1),
(51478,	4,	180,	1,	2),
(51479,	4,	180,	2,	2),
(51480,	4,	180,	3,	2),
(51481,	4,	181,	1,	1),
(51482,	4,	181,	2,	1),
(51483,	4,	181,	3,	1),
(51484,	4,	181,	1,	2),
(51485,	4,	181,	2,	2),
(51486,	4,	181,	3,	2),
(51487,	4,	182,	1,	1),
(51488,	4,	182,	2,	1),
(51489,	4,	182,	3,	1),
(51490,	4,	183,	1,	1),
(51491,	4,	183,	2,	1),
(51492,	4,	183,	3,	1),
(51493,	4,	184,	1,	1),
(51494,	4,	184,	2,	1),
(51495,	4,	184,	3,	1),
(51496,	4,	185,	1,	1),
(51497,	4,	185,	2,	1),
(51498,	4,	185,	3,	1),
(51499,	4,	185,	1,	2),
(51500,	4,	185,	2,	2),
(51501,	4,	185,	3,	2),
(51502,	4,	186,	1,	1),
(51503,	4,	186,	2,	1),
(51504,	4,	186,	3,	1),
(51505,	4,	186,	1,	2),
(51506,	4,	186,	2,	2),
(51507,	4,	186,	3,	2),
(51508,	4,	187,	1,	1),
(51509,	4,	187,	2,	1),
(51510,	4,	187,	3,	1),
(51511,	4,	187,	1,	2),
(51512,	4,	187,	2,	2),
(51513,	4,	187,	3,	2),
(51514,	4,	188,	1,	1),
(51515,	4,	188,	2,	1),
(51516,	4,	188,	3,	1),
(51517,	4,	188,	1,	2),
(51518,	4,	188,	2,	2),
(51519,	4,	188,	3,	2),
(51520,	4,	189,	1,	1),
(51521,	4,	189,	2,	1),
(51522,	4,	189,	3,	1),
(51523,	4,	190,	1,	1),
(51524,	4,	190,	2,	1),
(51525,	4,	190,	3,	1),
(51526,	4,	190,	1,	2),
(51527,	4,	190,	2,	2),
(51528,	4,	190,	3,	2),
(51529,	4,	191,	1,	1),
(51530,	4,	191,	2,	1),
(51531,	4,	191,	3,	1),
(51532,	4,	191,	23,	1),
(51533,	4,	191,	27,	1),
(51534,	4,	192,	1,	1),
(51535,	4,	192,	2,	1),
(51536,	4,	192,	3,	1),
(51537,	4,	192,	23,	1),
(51538,	4,	193,	1,	1),
(51539,	4,	193,	2,	1),
(51540,	4,	193,	3,	1),
(51541,	4,	194,	1,	1),
(51542,	4,	194,	2,	1),
(51543,	4,	194,	3,	1),
(51544,	4,	194,	23,	1),
(51545,	4,	195,	1,	1),
(51546,	4,	195,	2,	1),
(51547,	4,	195,	3,	1),
(51548,	4,	196,	1,	1),
(51549,	4,	196,	2,	1),
(51550,	4,	196,	3,	1),
(51551,	4,	197,	1,	1),
(51552,	4,	197,	2,	1),
(51553,	4,	197,	3,	1),
(51554,	4,	197,	1,	2),
(51555,	4,	197,	2,	2),
(51556,	4,	197,	3,	2),
(51557,	4,	198,	1,	1),
(51558,	4,	198,	2,	1),
(51559,	4,	198,	3,	1),
(51560,	4,	198,	23,	1),
(51561,	4,	199,	1,	1),
(51562,	4,	199,	2,	1),
(51563,	4,	199,	3,	1),
(51564,	4,	200,	1,	1),
(51565,	4,	200,	2,	1),
(51566,	4,	200,	3,	1),
(51567,	4,	200,	23,	1),
(51568,	4,	201,	1,	1),
(51569,	4,	201,	2,	1),
(51570,	4,	201,	3,	1),
(51571,	4,	202,	1,	1),
(51572,	4,	202,	2,	1),
(51573,	4,	202,	3,	1),
(51574,	4,	202,	1,	2),
(51575,	4,	202,	2,	2),
(51576,	4,	202,	3,	2),
(51577,	4,	203,	1,	1),
(51578,	4,	203,	2,	1),
(51579,	4,	203,	3,	1),
(51580,	4,	203,	1,	2),
(51581,	4,	203,	2,	2),
(51582,	4,	203,	3,	2),
(51583,	4,	204,	1,	1),
(51584,	4,	204,	2,	1),
(51585,	4,	204,	3,	1),
(51586,	4,	204,	1,	2),
(51587,	4,	204,	2,	2),
(51588,	4,	204,	3,	2),
(51589,	4,	205,	1,	1),
(51590,	4,	205,	2,	1),
(51591,	4,	205,	3,	1),
(51592,	4,	205,	1,	2),
(51593,	4,	205,	2,	2),
(51594,	4,	205,	3,	2),
(51595,	4,	206,	1,	1),
(51596,	4,	206,	2,	1),
(51597,	4,	206,	3,	1),
(51598,	4,	206,	1,	2),
(51599,	4,	206,	2,	2),
(51600,	4,	206,	3,	2),
(51601,	4,	207,	1,	1),
(51602,	4,	207,	2,	1),
(51603,	4,	207,	3,	1),
(51604,	4,	208,	1,	1),
(51605,	4,	208,	2,	1),
(51606,	4,	208,	3,	1),
(51607,	4,	208,	1,	2),
(51608,	4,	208,	2,	2),
(51609,	4,	208,	3,	2),
(51610,	4,	209,	1,	1),
(51611,	4,	209,	2,	1),
(51612,	4,	209,	3,	1),
(51613,	4,	209,	1,	2),
(51614,	4,	209,	2,	2),
(51615,	4,	209,	3,	2),
(51616,	4,	210,	1,	1),
(51617,	4,	210,	2,	1),
(51618,	4,	210,	3,	1),
(51619,	4,	211,	1,	1),
(51620,	4,	211,	2,	1),
(51621,	4,	211,	3,	1),
(51622,	4,	211,	1,	2),
(51623,	4,	211,	2,	2),
(51624,	4,	211,	3,	2),
(51625,	4,	212,	1,	1),
(51626,	4,	212,	2,	1),
(51627,	4,	212,	3,	1),
(51628,	4,	212,	1,	2),
(51629,	4,	212,	2,	2),
(51630,	4,	212,	3,	2),
(51631,	4,	213,	1,	1),
(51632,	4,	213,	2,	1),
(51633,	4,	213,	3,	1),
(51634,	4,	213,	1,	2),
(51635,	4,	213,	2,	2),
(51636,	4,	213,	3,	2),
(51637,	4,	214,	1,	1),
(51638,	4,	214,	2,	1),
(51639,	4,	214,	3,	1),
(51640,	4,	214,	1,	2),
(51641,	4,	214,	2,	2),
(51642,	4,	214,	3,	2),
(51643,	4,	215,	1,	1),
(51644,	4,	215,	2,	1),
(51645,	4,	215,	3,	1),
(51646,	4,	216,	1,	1),
(51647,	4,	216,	2,	1),
(51648,	4,	216,	3,	1),
(51649,	4,	216,	1,	2),
(51650,	4,	216,	2,	2),
(51651,	4,	216,	3,	2),
(51652,	4,	217,	1,	1),
(51653,	4,	217,	2,	1),
(51654,	4,	217,	3,	1),
(51655,	4,	217,	1,	2),
(51656,	4,	217,	2,	2),
(51657,	4,	217,	3,	2),
(51658,	4,	218,	1,	1),
(51659,	4,	218,	2,	1),
(51660,	4,	218,	3,	1),
(51661,	4,	218,	1,	2),
(51662,	4,	218,	2,	2),
(51663,	4,	218,	3,	2),
(51664,	4,	219,	1,	1),
(51665,	4,	219,	2,	1),
(51666,	4,	219,	3,	1),
(51667,	4,	220,	1,	1),
(51668,	4,	220,	2,	1),
(51669,	4,	220,	3,	1),
(51670,	4,	220,	1,	2),
(51671,	4,	220,	2,	2),
(51672,	4,	220,	3,	2),
(51673,	4,	221,	1,	1),
(51674,	4,	221,	2,	1),
(51675,	4,	221,	3,	1),
(51676,	4,	221,	1,	2),
(51677,	4,	221,	2,	2),
(51678,	4,	221,	3,	2),
(51679,	4,	222,	1,	1),
(51680,	4,	222,	2,	1),
(51681,	4,	222,	3,	1),
(51682,	4,	222,	1,	2),
(51683,	4,	222,	2,	2),
(51684,	4,	222,	3,	2),
(51685,	4,	223,	1,	1),
(51686,	4,	223,	2,	1),
(51687,	4,	223,	3,	1),
(51688,	4,	223,	1,	2),
(51689,	4,	223,	2,	2),
(51690,	4,	223,	3,	2),
(51691,	4,	224,	1,	1),
(51692,	4,	224,	2,	1),
(51693,	4,	224,	3,	1),
(51694,	4,	224,	1,	2),
(51695,	4,	224,	2,	2),
(51696,	4,	224,	3,	2),
(51697,	4,	225,	1,	1),
(51698,	4,	225,	2,	1),
(51699,	4,	225,	3,	1),
(51700,	4,	225,	23,	1),
(51701,	4,	225,	1,	3),
(51702,	4,	225,	2,	3),
(51703,	4,	225,	3,	3),
(51704,	4,	225,	23,	3),
(51705,	4,	225,	1,	2),
(51706,	4,	225,	2,	2),
(51707,	4,	225,	3,	2),
(51708,	4,	225,	23,	2),
(51709,	4,	226,	1,	1),
(51710,	4,	226,	2,	1),
(51711,	4,	226,	3,	1),
(51712,	4,	226,	23,	1),
(51713,	4,	226,	1,	3),
(51714,	4,	226,	2,	3),
(51715,	4,	226,	3,	3),
(51716,	4,	226,	23,	3),
(51717,	4,	227,	1,	1),
(51718,	4,	227,	2,	1),
(51719,	4,	227,	3,	1),
(51720,	4,	227,	23,	1),
(51721,	4,	227,	1,	3),
(51722,	4,	227,	2,	3),
(51723,	4,	227,	3,	3),
(51724,	4,	227,	23,	3),
(51725,	4,	228,	1,	1),
(51726,	4,	228,	2,	1),
(51727,	4,	228,	3,	1),
(51728,	4,	228,	23,	1),
(51729,	4,	228,	1,	3),
(51730,	4,	228,	2,	3),
(51731,	4,	228,	3,	3),
(51732,	4,	228,	23,	3),
(51733,	4,	229,	1,	1),
(51734,	4,	229,	2,	1),
(51735,	4,	229,	3,	1),
(51736,	4,	229,	23,	1),
(51737,	4,	229,	1,	3),
(51738,	4,	229,	2,	3),
(51739,	4,	229,	3,	3),
(51740,	4,	229,	23,	3),
(51741,	4,	230,	1,	1),
(51742,	4,	230,	2,	1),
(51743,	4,	230,	3,	1),
(51744,	4,	231,	1,	1),
(51745,	4,	231,	2,	1),
(51746,	4,	231,	3,	1),
(51747,	4,	231,	1,	3),
(51748,	4,	231,	2,	3),
(51749,	4,	231,	3,	3),
(51750,	4,	232,	1,	1),
(51751,	4,	232,	2,	1),
(51752,	4,	232,	3,	1),
(51753,	4,	232,	1,	3),
(51754,	4,	232,	2,	3),
(51755,	4,	232,	3,	3),
(51756,	4,	233,	1,	1),
(51757,	4,	233,	2,	1),
(51758,	4,	233,	3,	1),
(51759,	4,	233,	1,	3),
(51760,	4,	233,	2,	3),
(51761,	4,	233,	3,	3),
(51762,	4,	234,	1,	1),
(51763,	4,	234,	2,	1),
(51764,	4,	234,	3,	1),
(51765,	4,	234,	1,	3),
(51766,	4,	234,	2,	3),
(51767,	4,	234,	3,	3),
(51768,	4,	235,	1,	1),
(51769,	4,	235,	2,	1),
(51770,	4,	235,	3,	1),
(51771,	4,	235,	1,	3),
(51772,	4,	235,	2,	3),
(51773,	4,	235,	3,	3),
(51774,	4,	236,	1,	1),
(51775,	4,	236,	2,	1),
(51776,	4,	236,	3,	1),
(51777,	4,	237,	1,	1),
(51778,	4,	237,	2,	1),
(51779,	4,	237,	3,	1),
(51780,	4,	237,	1,	3),
(51781,	4,	237,	2,	3),
(51782,	4,	237,	3,	3),
(51783,	4,	238,	1,	1),
(51784,	4,	238,	2,	1),
(51785,	4,	238,	3,	1),
(51786,	4,	239,	1,	1),
(51787,	4,	239,	2,	1),
(51788,	4,	239,	3,	1),
(51789,	4,	240,	1,	1),
(51790,	4,	240,	2,	1),
(51791,	4,	240,	3,	1),
(51792,	4,	241,	1,	1),
(51793,	4,	241,	2,	1),
(51794,	4,	241,	3,	1),
(51795,	4,	242,	1,	1),
(51796,	4,	242,	2,	1),
(51797,	4,	242,	3,	1),
(51798,	4,	242,	1,	2),
(51799,	4,	242,	2,	2),
(51800,	4,	242,	3,	2),
(51801,	4,	243,	1,	1),
(51802,	4,	243,	2,	1),
(51803,	4,	243,	3,	1),
(51804,	4,	243,	1,	2),
(51805,	4,	243,	2,	2),
(51806,	4,	243,	3,	2),
(51807,	4,	244,	1,	1),
(51808,	4,	244,	2,	1),
(51809,	4,	244,	3,	1),
(51810,	4,	244,	1,	2),
(51811,	4,	244,	2,	2),
(51812,	4,	244,	3,	2),
(51813,	4,	245,	1,	1),
(51814,	4,	245,	2,	1),
(51815,	4,	245,	3,	1),
(51816,	4,	245,	1,	2),
(51817,	4,	245,	2,	2),
(51818,	4,	245,	3,	2),
(51819,	4,	246,	1,	1),
(51820,	4,	246,	2,	1),
(51821,	4,	246,	3,	1),
(51822,	4,	246,	1,	2),
(51823,	4,	246,	2,	2),
(51824,	4,	246,	3,	2),
(51825,	4,	247,	1,	1),
(51826,	4,	247,	2,	1),
(51827,	4,	247,	3,	1),
(51828,	4,	247,	1,	2),
(51829,	4,	247,	2,	2),
(51830,	4,	247,	3,	2),
(51831,	4,	248,	1,	1),
(51832,	4,	248,	2,	1),
(51833,	4,	248,	3,	1),
(51834,	4,	248,	1,	2),
(51835,	4,	248,	2,	2),
(51836,	4,	248,	3,	2),
(51837,	4,	249,	1,	1),
(51838,	4,	249,	2,	1),
(51839,	4,	249,	3,	1),
(51840,	4,	249,	1,	3),
(51841,	4,	249,	2,	3),
(51842,	4,	249,	3,	3),
(51843,	4,	250,	1,	1),
(51844,	4,	250,	2,	1),
(51845,	4,	250,	3,	1),
(51846,	4,	250,	1,	2),
(51847,	4,	250,	2,	2),
(51848,	4,	250,	3,	2),
(51849,	4,	251,	1,	1),
(51850,	4,	251,	2,	1),
(51851,	4,	251,	3,	1),
(51852,	4,	251,	1,	2),
(51853,	4,	251,	2,	2),
(51854,	4,	251,	3,	2),
(51855,	4,	252,	1,	1),
(51856,	4,	252,	2,	1),
(51857,	4,	252,	3,	1),
(51858,	4,	253,	1,	1),
(51859,	4,	253,	2,	1),
(51860,	4,	253,	3,	1),
(51861,	4,	253,	1,	3),
(51862,	4,	253,	2,	3),
(51863,	4,	253,	3,	3),
(51864,	4,	254,	1,	1),
(51865,	4,	254,	2,	1),
(51866,	4,	254,	3,	1),
(51867,	4,	254,	1,	2),
(51868,	4,	254,	2,	2),
(51869,	4,	254,	3,	2),
(51870,	4,	255,	1,	1),
(51871,	4,	255,	2,	1),
(51872,	4,	255,	3,	1),
(51873,	4,	255,	1,	2),
(51874,	4,	255,	2,	2),
(51875,	4,	255,	3,	2),
(51876,	4,	256,	1,	1),
(51877,	4,	256,	2,	1),
(51878,	4,	256,	3,	1),
(51879,	4,	256,	1,	2),
(51880,	4,	256,	2,	2),
(51881,	4,	256,	3,	2),
(51882,	4,	257,	1,	1),
(51883,	4,	257,	2,	1),
(51884,	4,	257,	3,	1),
(51885,	4,	257,	1,	2),
(51886,	4,	257,	2,	2),
(51887,	4,	257,	3,	2),
(51888,	4,	258,	1,	1),
(51889,	4,	258,	2,	1),
(51890,	4,	258,	3,	1),
(51891,	4,	258,	1,	3),
(51892,	4,	258,	2,	3),
(51893,	4,	258,	3,	3),
(51894,	4,	259,	1,	1),
(51895,	4,	259,	2,	1),
(51896,	4,	259,	3,	1),
(51897,	4,	259,	1,	2),
(51898,	4,	259,	2,	2),
(51899,	4,	259,	3,	2),
(51900,	4,	260,	1,	1),
(51901,	4,	260,	2,	1),
(51902,	4,	260,	3,	1),
(51903,	4,	260,	1,	2),
(51904,	4,	260,	2,	2),
(51905,	4,	260,	3,	2),
(51906,	4,	261,	1,	1),
(51907,	4,	261,	2,	1),
(51908,	4,	261,	3,	1),
(51909,	4,	261,	1,	2),
(51910,	4,	261,	2,	2),
(51911,	4,	261,	3,	2),
(51912,	4,	262,	1,	1),
(51913,	4,	262,	2,	1),
(51914,	4,	262,	3,	1),
(51915,	4,	262,	1,	2),
(51916,	4,	262,	2,	2),
(51917,	4,	262,	3,	2),
(51918,	4,	263,	1,	1),
(51919,	4,	263,	2,	1),
(51920,	4,	263,	3,	1),
(51921,	4,	263,	1,	2),
(51922,	4,	263,	2,	2),
(51923,	4,	263,	3,	2),
(51924,	4,	264,	1,	1),
(51925,	4,	264,	2,	1),
(51926,	4,	264,	3,	1),
(51927,	4,	264,	1,	2),
(51928,	4,	264,	2,	2),
(51929,	4,	264,	3,	2),
(51930,	4,	265,	1,	1),
(51931,	4,	265,	2,	1),
(51932,	4,	265,	3,	1),
(51933,	4,	265,	1,	3),
(51934,	4,	265,	2,	3),
(51935,	4,	265,	3,	3),
(51936,	4,	266,	1,	1),
(51937,	4,	266,	2,	1),
(51938,	4,	266,	3,	1),
(51939,	4,	266,	1,	2),
(51940,	4,	266,	2,	2),
(51941,	4,	266,	3,	2),
(51942,	4,	267,	1,	1),
(51943,	4,	267,	2,	1),
(51944,	4,	267,	3,	1),
(51945,	4,	267,	1,	2),
(51946,	4,	267,	2,	2),
(51947,	4,	267,	3,	2),
(51948,	4,	268,	1,	1),
(51949,	4,	268,	2,	1),
(51950,	4,	268,	3,	1),
(51951,	4,	269,	1,	1),
(51952,	4,	269,	2,	1),
(51953,	4,	269,	3,	1),
(51954,	4,	269,	1,	2),
(51955,	4,	269,	2,	2),
(51956,	4,	269,	3,	2),
(51957,	4,	270,	1,	1),
(51958,	4,	270,	2,	1),
(51959,	4,	270,	3,	1),
(51960,	4,	270,	1,	3),
(51961,	4,	270,	2,	3),
(51962,	4,	270,	3,	3),
(51963,	4,	271,	1,	1),
(51964,	4,	271,	2,	1),
(51965,	4,	271,	3,	1),
(51966,	4,	271,	1,	3),
(51967,	4,	271,	2,	3),
(51968,	4,	271,	3,	3),
(51969,	4,	272,	1,	1),
(51970,	4,	272,	2,	1),
(51971,	4,	272,	3,	1),
(51972,	4,	272,	1,	3),
(51973,	4,	272,	2,	3),
(51974,	4,	272,	3,	3),
(51975,	4,	273,	1,	1),
(51976,	4,	273,	2,	1),
(51977,	4,	273,	3,	1),
(51978,	4,	274,	1,	1),
(51979,	4,	274,	2,	1),
(51980,	4,	274,	3,	1),
(51981,	4,	274,	23,	1),
(51982,	4,	274,	1,	3),
(51983,	4,	274,	2,	3),
(51984,	4,	274,	3,	3),
(51985,	4,	274,	23,	3),
(51986,	4,	275,	1,	1),
(51987,	4,	275,	2,	1),
(51988,	4,	275,	3,	1),
(51989,	4,	275,	23,	1),
(51990,	4,	275,	1,	3),
(51991,	4,	275,	2,	3),
(51992,	4,	275,	3,	3),
(51993,	4,	275,	23,	3),
(51994,	4,	276,	1,	1),
(51995,	4,	276,	2,	1),
(51996,	4,	276,	3,	1),
(51997,	4,	276,	23,	1),
(51998,	4,	276,	1,	3),
(51999,	4,	276,	2,	3),
(52000,	4,	276,	3,	3),
(52001,	4,	276,	23,	3),
(52002,	4,	277,	1,	1),
(52003,	4,	277,	2,	1),
(52004,	4,	277,	3,	1),
(52005,	4,	277,	1,	2),
(52006,	4,	277,	2,	2),
(52007,	4,	277,	3,	2),
(52008,	4,	278,	1,	1),
(52009,	4,	278,	2,	1),
(52010,	4,	278,	3,	1),
(52011,	4,	279,	1,	1),
(52012,	4,	279,	2,	1),
(52013,	4,	279,	3,	1),
(52014,	4,	279,	1,	2),
(52015,	4,	279,	2,	2),
(52016,	4,	279,	3,	2),
(52017,	4,	280,	1,	1),
(52018,	4,	280,	2,	1),
(52019,	4,	280,	3,	1),
(52020,	4,	280,	1,	3),
(52021,	4,	280,	2,	3),
(52022,	4,	280,	3,	3),
(52023,	4,	281,	1,	1),
(52024,	4,	281,	2,	1),
(52025,	4,	281,	3,	1),
(52026,	4,	281,	23,	1),
(52027,	4,	281,	1,	3),
(52028,	4,	281,	2,	3),
(52029,	4,	281,	3,	3),
(52030,	4,	281,	23,	3),
(52031,	4,	282,	1,	1),
(52032,	4,	282,	2,	1),
(52033,	4,	282,	3,	1),
(52034,	4,	282,	23,	1),
(52035,	4,	282,	1,	3),
(52036,	4,	282,	2,	3),
(52037,	4,	282,	3,	3),
(52038,	4,	282,	23,	3),
(52039,	4,	283,	1,	1),
(52040,	4,	283,	2,	1),
(52041,	4,	283,	3,	1),
(52042,	4,	283,	23,	1),
(52043,	4,	283,	1,	3),
(52044,	4,	283,	2,	3),
(52045,	4,	283,	3,	3),
(52046,	4,	283,	23,	3),
(52047,	4,	284,	1,	1),
(52048,	4,	284,	2,	1),
(52049,	4,	284,	3,	1),
(52050,	4,	284,	23,	1),
(52051,	4,	284,	1,	3),
(52052,	4,	284,	2,	3),
(52053,	4,	284,	3,	3),
(52054,	4,	284,	23,	3),
(52055,	4,	285,	1,	1),
(52056,	4,	285,	2,	1),
(52057,	4,	285,	3,	1),
(52058,	4,	285,	23,	1),
(52059,	4,	285,	1,	2),
(52060,	4,	285,	2,	2),
(52061,	4,	285,	3,	2),
(52062,	4,	285,	23,	2),
(52063,	4,	286,	1,	1),
(52064,	4,	286,	2,	1),
(52065,	4,	286,	3,	1),
(52066,	4,	286,	23,	1),
(52067,	4,	287,	1,	1),
(52068,	4,	287,	2,	1),
(52069,	4,	287,	3,	1),
(52070,	4,	287,	23,	1),
(52071,	4,	287,	1,	2),
(52072,	4,	287,	2,	2),
(52073,	4,	287,	3,	2),
(52074,	4,	287,	23,	2),
(52075,	4,	288,	1,	1),
(52076,	4,	288,	2,	1),
(52077,	4,	288,	3,	1),
(52078,	4,	288,	23,	1),
(52079,	4,	288,	1,	2),
(52080,	4,	288,	2,	2),
(52081,	4,	288,	3,	2),
(52082,	4,	288,	23,	2),
(52083,	4,	289,	1,	1),
(52084,	4,	289,	2,	1),
(52085,	4,	289,	3,	1),
(52086,	4,	290,	1,	1),
(52087,	4,	290,	2,	1),
(52088,	4,	290,	3,	1),
(52089,	4,	291,	1,	1),
(52090,	4,	291,	2,	1),
(52091,	4,	291,	3,	1),
(52092,	4,	291,	1,	3),
(52093,	4,	291,	2,	3),
(52094,	4,	291,	3,	3),
(52095,	4,	292,	1,	1),
(52096,	4,	292,	2,	1),
(52097,	4,	292,	3,	1),
(52098,	4,	292,	1,	2),
(52099,	4,	292,	2,	2),
(52100,	4,	292,	3,	2),
(52101,	4,	293,	1,	1),
(52102,	4,	293,	2,	1),
(52103,	4,	293,	3,	1),
(52104,	4,	294,	1,	1),
(52105,	4,	294,	2,	1),
(52106,	4,	294,	3,	1),
(52107,	4,	294,	1,	2),
(52108,	4,	294,	2,	2),
(52109,	4,	294,	3,	2),
(52110,	4,	295,	1,	1),
(52111,	4,	295,	2,	1),
(52112,	4,	295,	3,	1),
(52113,	4,	295,	1,	3),
(52114,	4,	295,	2,	3),
(52115,	4,	295,	3,	3),
(52116,	4,	296,	1,	1),
(52117,	4,	296,	2,	1),
(52118,	4,	296,	3,	1),
(52119,	4,	296,	1,	3),
(52120,	4,	296,	2,	3),
(52121,	4,	296,	3,	3),
(52122,	4,	297,	1,	1),
(52123,	4,	297,	2,	1),
(52124,	4,	297,	3,	1),
(52125,	4,	297,	1,	3),
(52126,	4,	297,	2,	3),
(52127,	4,	297,	3,	3),
(52128,	4,	298,	1,	1),
(52129,	4,	298,	2,	1),
(52130,	4,	298,	3,	1),
(52131,	4,	298,	1,	3),
(52132,	4,	298,	2,	3),
(52133,	4,	298,	3,	3),
(52134,	4,	299,	1,	1),
(52135,	4,	299,	2,	1),
(52136,	4,	299,	3,	1),
(52137,	4,	299,	1,	2),
(52138,	4,	299,	2,	2),
(52139,	4,	299,	3,	2),
(52140,	4,	300,	1,	1),
(52141,	4,	300,	2,	1),
(52142,	4,	300,	3,	1),
(52143,	4,	300,	1,	2),
(52144,	4,	300,	2,	2),
(52145,	4,	300,	3,	2),
(52146,	4,	301,	1,	1),
(52147,	4,	301,	2,	1),
(52148,	4,	301,	3,	1),
(52149,	4,	301,	1,	2),
(52150,	4,	301,	2,	2),
(52151,	4,	301,	3,	2),
(52152,	4,	302,	1,	1),
(52153,	4,	302,	2,	1),
(52154,	4,	302,	3,	1),
(52155,	4,	302,	1,	2),
(52156,	4,	302,	2,	2),
(52157,	4,	302,	3,	2),
(52158,	4,	303,	1,	1),
(52159,	4,	303,	2,	1),
(52160,	4,	303,	3,	1),
(52161,	4,	303,	1,	2),
(52162,	4,	303,	2,	2),
(52163,	4,	303,	3,	2),
(52164,	4,	304,	1,	1),
(52165,	4,	304,	2,	1),
(52166,	4,	304,	3,	1),
(52167,	4,	304,	1,	2),
(52168,	4,	304,	2,	2),
(52169,	4,	304,	3,	2),
(52170,	4,	305,	1,	1),
(52171,	4,	305,	2,	1),
(52172,	4,	305,	3,	1),
(52173,	4,	305,	1,	2),
(52174,	4,	305,	2,	2),
(52175,	4,	305,	3,	2),
(52176,	4,	306,	1,	1),
(52177,	4,	306,	2,	1),
(52178,	4,	306,	3,	1),
(52179,	4,	306,	1,	3),
(52180,	4,	306,	2,	3),
(52181,	4,	306,	3,	3),
(52182,	4,	307,	1,	1),
(52183,	4,	307,	2,	1),
(52184,	4,	307,	3,	1),
(52185,	4,	307,	1,	2),
(52186,	4,	307,	2,	2),
(52187,	4,	307,	3,	2),
(52188,	4,	308,	1,	1),
(52189,	4,	308,	2,	1),
(52190,	4,	308,	3,	1),
(52191,	4,	308,	1,	2),
(52192,	4,	308,	2,	2),
(52193,	4,	308,	3,	2),
(52194,	4,	309,	1,	1),
(52195,	4,	309,	2,	1),
(52196,	4,	309,	3,	1),
(52197,	4,	309,	23,	1),
(52198,	4,	309,	1,	3),
(52199,	4,	309,	2,	3),
(52200,	4,	309,	3,	3),
(52201,	4,	309,	23,	3),
(52202,	4,	310,	1,	1),
(52203,	4,	310,	2,	1),
(52204,	4,	310,	3,	1),
(52205,	4,	310,	28,	1),
(52206,	4,	310,	23,	1),
(52207,	4,	310,	1,	3),
(52208,	4,	310,	2,	3),
(52209,	4,	310,	3,	3),
(52210,	4,	310,	28,	3),
(52211,	4,	310,	23,	3),
(52212,	4,	311,	1,	1),
(52213,	4,	311,	2,	1),
(52214,	4,	311,	3,	1),
(52215,	4,	311,	1,	3),
(52216,	4,	311,	2,	3),
(52217,	4,	311,	3,	3),
(52218,	4,	312,	1,	1),
(52219,	4,	312,	2,	1),
(52220,	4,	312,	3,	1),
(52221,	4,	312,	1,	3),
(52222,	4,	312,	2,	3),
(52223,	4,	312,	3,	3),
(52224,	4,	313,	1,	1),
(52225,	4,	313,	2,	1),
(52226,	4,	313,	3,	1),
(52227,	4,	313,	1,	3),
(52228,	4,	313,	2,	3),
(52229,	4,	313,	3,	3),
(52230,	4,	314,	1,	1),
(52231,	4,	314,	2,	1),
(52232,	4,	314,	3,	1),
(52233,	4,	314,	1,	3),
(52234,	4,	314,	2,	3),
(52235,	4,	314,	3,	3),
(52236,	4,	315,	1,	1),
(52237,	4,	315,	2,	1),
(52238,	4,	315,	3,	1),
(52239,	4,	315,	1,	2),
(52240,	4,	315,	2,	2),
(52241,	4,	315,	3,	2),
(52242,	4,	316,	1,	1),
(52243,	4,	316,	2,	1),
(52244,	4,	316,	3,	1),
(52245,	4,	317,	1,	1),
(52246,	4,	317,	2,	1),
(52247,	4,	317,	3,	1),
(52248,	4,	317,	1,	2),
(52249,	4,	317,	2,	2),
(52250,	4,	317,	3,	2),
(52251,	4,	318,	1,	1),
(52252,	4,	318,	2,	1),
(52253,	4,	318,	3,	1),
(52254,	4,	318,	1,	2),
(52255,	4,	318,	2,	2),
(52256,	4,	318,	3,	2),
(52257,	4,	319,	1,	1),
(52258,	4,	319,	2,	1),
(52259,	4,	319,	3,	1),
(52260,	4,	319,	1,	3),
(52261,	4,	319,	2,	3),
(52262,	4,	319,	3,	3),
(52263,	4,	320,	1,	1),
(52264,	4,	320,	2,	1),
(52265,	4,	320,	3,	1),
(52266,	4,	321,	1,	1),
(52267,	4,	321,	2,	1),
(52268,	4,	321,	3,	1),
(52269,	4,	321,	1,	3),
(52270,	4,	321,	2,	3),
(52271,	4,	321,	3,	3),
(52272,	4,	322,	1,	1),
(52273,	4,	322,	2,	1),
(52274,	4,	322,	3,	1),
(52275,	4,	322,	1,	2),
(52276,	4,	322,	2,	2),
(52277,	4,	322,	3,	2),
(52278,	4,	323,	1,	1),
(52279,	4,	323,	2,	1),
(52280,	4,	323,	3,	1),
(52281,	4,	323,	1,	2),
(52282,	4,	323,	2,	2),
(52283,	4,	323,	3,	2),
(52284,	4,	324,	1,	1),
(52285,	4,	324,	2,	1),
(52286,	4,	324,	3,	1),
(52287,	4,	324,	1,	3),
(52288,	4,	324,	2,	3),
(52289,	4,	324,	3,	3),
(52290,	4,	325,	1,	1),
(52291,	4,	325,	2,	1),
(52292,	4,	325,	3,	1),
(52293,	4,	325,	1,	3),
(52294,	4,	325,	2,	3),
(52295,	4,	325,	3,	3),
(52296,	4,	326,	1,	1),
(52297,	4,	326,	2,	1),
(52298,	4,	326,	3,	1),
(52299,	4,	326,	1,	3),
(52300,	4,	326,	2,	3),
(52301,	4,	326,	3,	3),
(52302,	4,	327,	1,	1),
(52303,	4,	327,	2,	1),
(52304,	4,	327,	3,	1),
(52305,	4,	328,	1,	1),
(52306,	4,	328,	2,	1),
(52307,	4,	328,	3,	1),
(52308,	4,	328,	1,	3),
(52309,	4,	328,	2,	3),
(52310,	4,	328,	3,	3),
(52311,	4,	329,	1,	1),
(52312,	4,	329,	2,	1),
(52313,	4,	329,	3,	1),
(52314,	4,	329,	1,	3),
(52315,	4,	329,	2,	3),
(52316,	4,	329,	3,	3),
(52317,	4,	330,	1,	1),
(52318,	4,	330,	2,	1),
(52319,	4,	330,	3,	1),
(52320,	4,	330,	1,	3),
(52321,	4,	330,	2,	3),
(52322,	4,	330,	3,	3),
(52323,	4,	331,	1,	1),
(52324,	4,	331,	2,	1),
(52325,	4,	331,	3,	1),
(52326,	4,	331,	1,	2),
(52327,	4,	331,	2,	2),
(52328,	4,	331,	3,	2),
(52329,	4,	332,	1,	1),
(52330,	4,	332,	2,	1),
(52331,	4,	332,	3,	1),
(52332,	4,	333,	1,	1),
(52333,	4,	333,	2,	1),
(52334,	4,	333,	3,	1),
(52335,	4,	333,	1,	3),
(52336,	4,	333,	2,	3),
(52337,	4,	333,	3,	3),
(52338,	4,	334,	1,	1),
(52339,	4,	334,	2,	1),
(52340,	4,	334,	3,	1),
(52341,	4,	334,	1,	3),
(52342,	4,	334,	2,	3),
(52343,	4,	334,	3,	3),
(52344,	4,	335,	1,	1),
(52345,	4,	335,	2,	1),
(52346,	4,	335,	3,	1),
(52347,	4,	335,	1,	3),
(52348,	4,	335,	2,	3),
(52349,	4,	335,	3,	3),
(52350,	4,	336,	1,	1),
(52351,	4,	336,	2,	1),
(52352,	4,	336,	3,	1),
(52353,	4,	336,	1,	3),
(52354,	4,	336,	2,	3),
(52355,	4,	336,	3,	3),
(52356,	4,	337,	1,	1),
(52357,	4,	337,	2,	1),
(52358,	4,	337,	3,	1),
(52359,	4,	337,	1,	3),
(52360,	4,	337,	2,	3),
(52361,	4,	337,	3,	3),
(52362,	4,	337,	1,	2),
(52363,	4,	337,	2,	2),
(52364,	4,	337,	3,	2),
(52365,	4,	338,	1,	1),
(52366,	4,	338,	2,	1),
(52367,	4,	338,	3,	1),
(52368,	4,	338,	1,	2),
(52369,	4,	338,	2,	2),
(52370,	4,	338,	3,	2),
(52371,	4,	339,	1,	1),
(52372,	4,	339,	2,	1),
(52373,	4,	339,	3,	1),
(52374,	4,	339,	1,	3),
(52375,	4,	339,	2,	3),
(52376,	4,	339,	3,	3),
(52377,	4,	340,	1,	1),
(52378,	4,	340,	2,	1),
(52379,	4,	340,	3,	1),
(52380,	4,	340,	1,	3),
(52381,	4,	340,	2,	3),
(52382,	4,	340,	3,	3),
(52383,	4,	341,	1,	1),
(52384,	4,	341,	2,	1),
(52385,	4,	341,	3,	1),
(52386,	4,	341,	1,	3),
(52387,	4,	341,	2,	3),
(52388,	4,	341,	3,	3),
(52389,	4,	342,	1,	1),
(52390,	4,	342,	2,	1),
(52391,	4,	342,	3,	1),
(52392,	4,	342,	1,	2),
(52393,	4,	342,	2,	2),
(52394,	4,	342,	3,	2),
(52395,	4,	343,	1,	1),
(52396,	4,	343,	2,	1),
(52397,	4,	343,	3,	1),
(52398,	4,	343,	1,	3),
(52399,	4,	343,	2,	3),
(52400,	4,	343,	3,	3),
(52401,	4,	344,	1,	1),
(52402,	4,	344,	2,	1),
(52403,	4,	344,	3,	1),
(52404,	4,	344,	1,	3),
(52405,	4,	344,	2,	3),
(52406,	4,	344,	3,	3),
(52407,	4,	345,	1,	1),
(52408,	4,	345,	2,	1),
(52409,	4,	345,	3,	1),
(52410,	4,	345,	1,	3),
(52411,	4,	345,	2,	3),
(52412,	4,	345,	3,	3),
(52413,	4,	346,	1,	1),
(52414,	4,	346,	2,	1),
(52415,	4,	346,	3,	1),
(52416,	4,	346,	1,	3),
(52417,	4,	346,	2,	3),
(52418,	4,	346,	3,	3),
(52419,	4,	346,	1,	2),
(52420,	4,	346,	2,	2),
(52421,	4,	346,	3,	2),
(52422,	4,	347,	1,	1),
(52423,	4,	347,	2,	1),
(52424,	4,	347,	3,	1),
(52425,	4,	347,	1,	3),
(52426,	4,	347,	2,	3),
(52427,	4,	347,	3,	3),
(52428,	4,	347,	1,	2),
(52429,	4,	347,	2,	2),
(52430,	4,	347,	3,	2),
(52431,	4,	348,	1,	1),
(52432,	4,	348,	2,	1),
(52433,	4,	348,	3,	1),
(52434,	4,	348,	1,	3),
(52435,	4,	348,	2,	3),
(52436,	4,	348,	3,	3),
(52437,	4,	349,	1,	1),
(52438,	4,	349,	2,	1),
(52439,	4,	349,	3,	1),
(52440,	4,	349,	1,	3),
(52441,	4,	349,	2,	3),
(52442,	4,	349,	3,	3),
(52443,	4,	350,	1,	1),
(52444,	4,	350,	2,	1),
(52445,	4,	350,	3,	1),
(52446,	4,	350,	1,	3),
(52447,	4,	350,	2,	3),
(52448,	4,	350,	3,	3),
(52449,	4,	351,	1,	1),
(52450,	4,	351,	2,	1),
(52451,	4,	351,	3,	1),
(52452,	4,	351,	1,	2),
(52453,	4,	351,	2,	2),
(52454,	4,	351,	3,	2),
(52455,	4,	352,	1,	1),
(52456,	4,	352,	2,	1),
(52457,	4,	352,	3,	1),
(52458,	4,	352,	1,	3),
(52459,	4,	352,	2,	3),
(52460,	4,	352,	3,	3),
(52461,	4,	353,	1,	1),
(52462,	4,	353,	2,	1),
(52463,	4,	353,	3,	1),
(52464,	4,	353,	1,	3),
(52465,	4,	353,	2,	3),
(52466,	4,	353,	3,	3),
(52467,	4,	354,	1,	1),
(52468,	4,	354,	2,	1),
(52469,	4,	354,	3,	1),
(52470,	4,	354,	1,	3),
(52471,	4,	354,	2,	3),
(52472,	4,	354,	3,	3),
(52473,	4,	355,	1,	1),
(52474,	4,	355,	2,	1),
(52475,	4,	355,	3,	1),
(52476,	4,	355,	29,	1),
(52477,	4,	356,	1,	1),
(52478,	4,	356,	2,	1),
(52479,	4,	356,	3,	1),
(52480,	4,	356,	1,	2),
(52481,	4,	356,	2,	2),
(52482,	4,	356,	3,	2),
(52483,	4,	357,	1,	1),
(52484,	4,	357,	2,	1),
(52485,	4,	357,	3,	1),
(52486,	4,	357,	1,	2),
(52487,	4,	357,	2,	2),
(52488,	4,	357,	3,	2),
(52489,	4,	358,	1,	1),
(52490,	4,	358,	2,	1),
(52491,	4,	358,	3,	1),
(52492,	4,	358,	1,	2),
(52493,	4,	358,	2,	2),
(52494,	4,	358,	3,	2),
(52495,	4,	359,	1,	1),
(52496,	4,	359,	2,	1),
(52497,	4,	359,	3,	1),
(52498,	4,	360,	1,	1),
(52499,	4,	360,	2,	1),
(52500,	4,	360,	3,	1),
(52501,	4,	361,	1,	1),
(52502,	4,	361,	2,	1),
(52503,	4,	361,	3,	1),
(52504,	4,	361,	1,	2),
(52505,	4,	361,	2,	2),
(52506,	4,	361,	3,	2),
(52507,	4,	362,	1,	1),
(52508,	4,	362,	2,	1),
(52509,	4,	362,	3,	1),
(52510,	4,	362,	1,	3),
(52511,	4,	362,	2,	3),
(52512,	4,	362,	3,	3),
(52513,	4,	363,	1,	1),
(52514,	4,	363,	2,	1),
(52515,	4,	363,	3,	1),
(52516,	4,	363,	1,	3),
(52517,	4,	363,	2,	3),
(52518,	4,	363,	3,	3),
(52519,	4,	364,	1,	1),
(52520,	4,	364,	2,	1),
(52521,	4,	364,	3,	1),
(52522,	4,	364,	1,	3),
(52523,	4,	364,	2,	3),
(52524,	4,	364,	3,	3),
(52525,	4,	365,	1,	1),
(52526,	4,	365,	2,	1),
(52527,	4,	365,	3,	1),
(52528,	4,	365,	1,	2),
(52529,	4,	365,	2,	2),
(52530,	4,	365,	3,	2),
(52531,	4,	366,	1,	1),
(52532,	4,	366,	2,	1),
(52533,	4,	366,	3,	1),
(52534,	4,	367,	1,	1),
(52535,	4,	367,	2,	1),
(52536,	4,	367,	3,	1),
(52537,	4,	367,	1,	3),
(52538,	4,	367,	2,	3),
(52539,	4,	367,	3,	3),
(52540,	4,	368,	1,	1),
(52541,	4,	368,	2,	1),
(52542,	4,	368,	3,	1),
(52543,	4,	368,	1,	3),
(52544,	4,	368,	2,	3),
(52545,	4,	368,	3,	3),
(52546,	4,	369,	1,	1),
(52547,	4,	369,	2,	1),
(52548,	4,	369,	3,	1),
(52549,	4,	369,	29,	1),
(52550,	4,	369,	30,	1),
(52551,	4,	370,	1,	1),
(52552,	4,	370,	2,	1),
(52553,	4,	370,	3,	1),
(52554,	4,	370,	29,	1),
(52555,	4,	370,	30,	1),
(52556,	4,	371,	1,	1),
(52557,	4,	371,	2,	1),
(52558,	4,	371,	3,	1),
(52559,	4,	372,	1,	1),
(52560,	4,	372,	2,	1),
(52561,	4,	372,	3,	1),
(52562,	4,	372,	1,	2),
(52563,	4,	372,	2,	2),
(52564,	4,	372,	3,	2),
(52565,	4,	373,	1,	1),
(52566,	4,	373,	2,	1),
(52567,	4,	373,	3,	1),
(52568,	4,	373,	23,	1),
(52569,	4,	374,	1,	1),
(52570,	4,	374,	2,	1),
(52571,	4,	374,	3,	1),
(52572,	4,	374,	28,	1),
(52573,	4,	374,	1,	3),
(52574,	4,	374,	2,	3),
(52575,	4,	374,	3,	3),
(52576,	4,	374,	28,	3),
(52577,	4,	375,	1,	1),
(52578,	4,	375,	2,	1),
(52579,	4,	375,	3,	1),
(52580,	4,	375,	23,	1),
(52581,	4,	375,	28,	1),
(52582,	4,	375,	1,	3),
(52583,	4,	375,	2,	3),
(52584,	4,	375,	3,	3),
(52585,	4,	375,	23,	3),
(52586,	4,	375,	28,	3),
(52587,	4,	376,	1,	1),
(52588,	4,	376,	2,	1),
(52589,	4,	376,	3,	1),
(52590,	4,	376,	1,	2),
(52591,	4,	376,	2,	2),
(52592,	4,	376,	3,	2),
(52593,	4,	377,	1,	1),
(52594,	4,	377,	2,	1),
(52595,	4,	377,	3,	1),
(52596,	4,	377,	1,	3),
(52597,	4,	377,	2,	3),
(52598,	4,	377,	3,	3),
(52599,	4,	378,	1,	1),
(52600,	4,	378,	2,	1),
(52601,	4,	378,	3,	1),
(52602,	4,	378,	23,	1),
(52603,	4,	378,	28,	1),
(52604,	4,	378,	1,	3),
(52605,	4,	378,	2,	3),
(52606,	4,	378,	3,	3),
(52607,	4,	378,	23,	3),
(52608,	4,	378,	28,	3),
(52609,	4,	379,	1,	1),
(52610,	4,	379,	2,	1),
(52611,	4,	379,	3,	1),
(52612,	4,	380,	1,	1),
(52613,	4,	380,	2,	1),
(52614,	4,	380,	3,	1),
(52615,	4,	381,	1,	1),
(52616,	4,	381,	2,	1),
(52617,	4,	381,	3,	1),
(52618,	4,	381,	1,	2),
(52619,	4,	381,	2,	2),
(52620,	4,	381,	3,	2),
(52621,	4,	382,	1,	1),
(52622,	4,	382,	2,	1),
(52623,	4,	382,	3,	1),
(52624,	4,	382,	23,	1),
(52625,	4,	383,	1,	1),
(52626,	4,	383,	2,	1),
(52627,	4,	383,	3,	1),
(52628,	4,	383,	1,	2),
(52629,	4,	383,	2,	2),
(52630,	4,	383,	3,	2),
(52631,	4,	384,	1,	1),
(52632,	4,	384,	2,	1),
(52633,	4,	384,	3,	1),
(52634,	4,	384,	23,	1),
(52635,	4,	384,	1,	3),
(52636,	4,	384,	2,	3),
(52637,	4,	384,	3,	3),
(52638,	4,	384,	23,	3),
(52639,	4,	385,	1,	1),
(52640,	4,	385,	2,	1),
(52641,	4,	385,	3,	1),
(52642,	4,	385,	1,	3),
(52643,	4,	385,	2,	3),
(52644,	4,	385,	3,	3),
(52645,	4,	386,	1,	1),
(52646,	4,	386,	2,	1),
(52647,	4,	386,	3,	1),
(52648,	4,	386,	1,	2),
(52649,	4,	386,	2,	2),
(52650,	4,	386,	3,	2),
(52651,	4,	387,	1,	1),
(52652,	4,	387,	2,	1),
(52653,	4,	387,	3,	1),
(52654,	4,	387,	1,	2),
(52655,	4,	387,	2,	2),
(52656,	4,	387,	3,	2),
(52657,	4,	388,	1,	1),
(52658,	4,	388,	2,	1),
(52659,	4,	388,	3,	1),
(52660,	4,	388,	1,	2),
(52661,	4,	388,	2,	2),
(52662,	4,	388,	3,	2),
(52663,	4,	389,	1,	1),
(52664,	4,	389,	2,	1),
(52665,	4,	389,	3,	1),
(52666,	4,	389,	1,	2),
(52667,	4,	389,	2,	2),
(52668,	4,	389,	3,	2),
(52669,	4,	390,	1,	1),
(52670,	4,	390,	2,	1),
(52671,	4,	390,	3,	1),
(52672,	4,	391,	1,	1),
(52673,	4,	391,	2,	1),
(52674,	4,	391,	3,	1),
(52675,	4,	391,	1,	2),
(52676,	4,	391,	2,	2),
(52677,	4,	391,	3,	2),
(52678,	4,	392,	1,	1),
(52679,	4,	392,	2,	1),
(52680,	4,	392,	3,	1),
(52681,	4,	392,	1,	2),
(52682,	4,	392,	2,	2),
(52683,	4,	392,	3,	2),
(52684,	4,	393,	1,	1),
(52685,	4,	393,	2,	1),
(52686,	4,	393,	3,	1),
(52687,	4,	393,	1,	2),
(52688,	4,	393,	2,	2),
(52689,	4,	393,	3,	2),
(52690,	4,	394,	1,	1),
(52691,	4,	394,	2,	1),
(52692,	4,	394,	3,	1),
(52693,	4,	394,	1,	2),
(52694,	4,	394,	2,	2),
(52695,	4,	394,	3,	2),
(52696,	4,	395,	1,	1),
(52697,	4,	395,	2,	1),
(52698,	4,	395,	3,	1),
(52699,	4,	395,	1,	2),
(52700,	4,	395,	2,	2),
(52701,	4,	395,	3,	2),
(52702,	4,	396,	1,	1),
(52703,	4,	396,	2,	1),
(52704,	4,	396,	3,	1),
(52705,	4,	396,	6,	1),
(52706,	4,	396,	24,	1),
(52707,	4,	396,	5,	1),
(52708,	4,	396,	1,	2),
(52709,	4,	396,	2,	2),
(52710,	4,	396,	3,	2),
(52711,	4,	396,	6,	2),
(52712,	4,	396,	24,	2),
(52713,	4,	396,	5,	2),
(52714,	4,	397,	1,	1),
(52715,	4,	397,	2,	1),
(52716,	4,	397,	3,	1),
(52717,	4,	397,	6,	1),
(52718,	4,	397,	24,	1),
(52719,	4,	397,	5,	1),
(52720,	4,	397,	1,	2),
(52721,	4,	397,	2,	2),
(52722,	4,	397,	3,	2),
(52723,	4,	397,	6,	2),
(52724,	4,	397,	24,	2),
(52725,	4,	397,	5,	2),
(52726,	4,	398,	1,	1),
(52727,	4,	398,	2,	1),
(52728,	4,	398,	3,	1),
(52729,	4,	398,	6,	1),
(52730,	4,	398,	24,	1),
(52731,	4,	398,	25,	1),
(52732,	4,	398,	4,	1),
(52733,	4,	398,	1,	3),
(52734,	4,	398,	2,	3),
(52735,	4,	398,	3,	3),
(52736,	4,	398,	6,	3),
(52737,	4,	398,	24,	3),
(52738,	4,	398,	25,	3),
(52739,	4,	398,	4,	3),
(52740,	4,	399,	1,	1),
(52741,	4,	399,	2,	1),
(52742,	4,	399,	3,	1),
(52743,	4,	399,	6,	1),
(52744,	4,	399,	24,	1),
(52745,	4,	399,	25,	1),
(52746,	4,	399,	4,	1),
(52747,	4,	399,	5,	1),
(52748,	4,	399,	1,	3),
(52749,	4,	399,	2,	3),
(52750,	4,	399,	3,	3),
(52751,	4,	399,	6,	3),
(52752,	4,	399,	24,	3),
(52753,	4,	399,	25,	3),
(52754,	4,	399,	4,	3),
(52755,	4,	399,	5,	3),
(52756,	4,	400,	1,	1),
(52757,	4,	400,	2,	1),
(52758,	4,	400,	3,	1),
(52759,	4,	400,	1,	3),
(52760,	4,	400,	2,	3),
(52761,	4,	400,	3,	3),
(52762,	4,	400,	1,	2),
(52763,	4,	400,	2,	2),
(52764,	4,	400,	3,	2),
(52765,	4,	401,	1,	1),
(52766,	4,	401,	2,	1),
(52767,	4,	401,	3,	1),
(52768,	4,	401,	6,	1),
(52769,	4,	401,	24,	1),
(52770,	4,	401,	25,	1),
(52771,	4,	401,	4,	1),
(52772,	4,	401,	5,	1),
(52773,	4,	401,	1,	3),
(52774,	4,	401,	2,	3),
(52775,	4,	401,	3,	3),
(52776,	4,	401,	6,	3),
(52777,	4,	401,	24,	3),
(52778,	4,	401,	25,	3),
(52779,	4,	401,	4,	3),
(52780,	4,	401,	5,	3),
(52781,	4,	402,	1,	1),
(52782,	4,	402,	2,	1),
(52783,	4,	402,	3,	1),
(52784,	4,	402,	6,	1),
(52785,	4,	402,	24,	1),
(52786,	4,	402,	25,	1),
(52787,	4,	402,	4,	1),
(52788,	4,	402,	5,	1),
(52789,	4,	402,	1,	3),
(52790,	4,	402,	2,	3),
(52791,	4,	402,	3,	3),
(52792,	4,	402,	6,	3),
(52793,	4,	402,	24,	3),
(52794,	4,	402,	25,	3),
(52795,	4,	402,	4,	3),
(52796,	4,	402,	5,	3),
(52797,	4,	403,	1,	1),
(52798,	4,	403,	2,	1),
(52799,	4,	403,	3,	1),
(52800,	4,	403,	6,	1),
(52801,	4,	403,	24,	1),
(52802,	4,	403,	5,	1),
(52803,	4,	403,	1,	2),
(52804,	4,	403,	2,	2),
(52805,	4,	403,	3,	2),
(52806,	4,	403,	6,	2),
(52807,	4,	403,	24,	2),
(52808,	4,	403,	5,	2),
(52809,	4,	404,	1,	1),
(52810,	4,	404,	2,	1),
(52811,	4,	404,	3,	1),
(52812,	4,	404,	1,	2),
(52813,	4,	404,	2,	2),
(52814,	4,	404,	3,	2),
(52815,	4,	405,	1,	1),
(52816,	4,	405,	2,	1),
(52817,	4,	405,	3,	1),
(52818,	4,	405,	1,	2),
(52819,	4,	405,	2,	2),
(52820,	4,	405,	3,	2),
(52821,	4,	406,	1,	1),
(52822,	4,	406,	2,	1),
(52823,	4,	406,	3,	1),
(52824,	4,	406,	1,	2),
(52825,	4,	406,	2,	2),
(52826,	4,	406,	3,	2),
(52827,	4,	407,	1,	1),
(52828,	4,	407,	2,	1),
(52829,	4,	407,	3,	1),
(52830,	4,	407,	1,	2),
(52831,	4,	407,	2,	2),
(52832,	4,	407,	3,	2),
(52833,	4,	408,	1,	1),
(52834,	4,	408,	2,	1),
(52835,	4,	408,	3,	1),
(52836,	4,	409,	1,	1),
(52837,	4,	409,	2,	1),
(52838,	4,	409,	3,	1),
(52839,	4,	409,	1,	3),
(52840,	4,	409,	2,	3),
(52841,	4,	409,	3,	3),
(52842,	4,	410,	1,	1),
(52843,	4,	410,	2,	1),
(52844,	4,	410,	3,	1),
(52845,	4,	410,	1,	2),
(52846,	4,	410,	2,	2),
(52847,	4,	410,	3,	2),
(52848,	4,	411,	1,	1),
(52849,	4,	411,	2,	1),
(52850,	4,	411,	3,	1),
(52851,	4,	411,	1,	2),
(52852,	4,	411,	2,	2),
(52853,	4,	411,	3,	2),
(52854,	4,	412,	1,	1),
(52855,	4,	412,	2,	1),
(52856,	4,	412,	3,	1),
(52857,	4,	413,	1,	1),
(52858,	4,	413,	2,	1),
(52859,	4,	413,	3,	1),
(52860,	4,	413,	1,	2),
(52861,	4,	413,	2,	2),
(52862,	4,	413,	3,	2),
(52863,	4,	414,	1,	1),
(52864,	4,	414,	2,	1),
(52865,	4,	414,	3,	1),
(52866,	4,	414,	1,	2),
(52867,	4,	414,	2,	2),
(52868,	4,	414,	3,	2),
(52869,	4,	415,	1,	1),
(52870,	4,	415,	2,	1),
(52871,	4,	415,	3,	1),
(52872,	4,	415,	1,	2),
(52873,	4,	415,	2,	2),
(52874,	4,	415,	3,	2),
(52875,	4,	416,	1,	1),
(52876,	4,	416,	2,	1),
(52877,	4,	416,	3,	1),
(52878,	4,	416,	1,	2),
(52879,	4,	416,	2,	2),
(52880,	4,	416,	3,	2),
(52881,	4,	417,	1,	1),
(52882,	4,	417,	2,	1),
(52883,	4,	417,	3,	1),
(52884,	4,	418,	1,	1),
(52885,	4,	418,	2,	1),
(52886,	4,	418,	3,	1),
(52887,	4,	418,	1,	2),
(52888,	4,	418,	2,	2),
(52889,	4,	418,	3,	2),
(52890,	4,	419,	1,	1),
(52891,	4,	419,	2,	1),
(52892,	4,	419,	3,	1),
(52893,	4,	419,	1,	2),
(52894,	4,	419,	2,	2),
(52895,	4,	419,	3,	2),
(52896,	4,	420,	1,	1),
(52897,	4,	420,	2,	1),
(52898,	4,	420,	3,	1),
(52899,	4,	420,	1,	2),
(52900,	4,	420,	2,	2),
(52901,	4,	420,	3,	2),
(52902,	4,	421,	1,	1),
(52903,	4,	421,	2,	1),
(52904,	4,	421,	3,	1),
(52905,	4,	421,	1,	2),
(52906,	4,	421,	2,	2),
(52907,	4,	421,	3,	2),
(52908,	4,	422,	1,	1),
(52909,	4,	422,	2,	1),
(52910,	4,	422,	3,	1),
(52911,	4,	422,	1,	3),
(52912,	4,	422,	2,	3),
(52913,	4,	422,	3,	3),
(52914,	4,	423,	1,	1),
(52915,	4,	423,	2,	1),
(52916,	4,	423,	3,	1),
(52917,	4,	423,	1,	2),
(52918,	4,	423,	2,	2),
(52919,	4,	423,	3,	2),
(52920,	4,	424,	1,	1),
(52921,	4,	424,	2,	1),
(52922,	4,	424,	3,	1),
(52923,	4,	424,	1,	2),
(52924,	4,	424,	2,	2),
(52925,	4,	424,	3,	2),
(52926,	4,	425,	1,	1),
(52927,	4,	425,	2,	1),
(52928,	4,	425,	3,	1),
(52929,	4,	425,	1,	2),
(52930,	4,	425,	2,	2),
(52931,	4,	425,	3,	2),
(52932,	4,	426,	1,	1),
(52933,	4,	426,	2,	1),
(52934,	4,	426,	3,	1),
(52935,	4,	426,	1,	2),
(52936,	4,	426,	2,	2),
(52937,	4,	426,	3,	2),
(52938,	4,	427,	1,	1),
(52939,	4,	427,	2,	1),
(52940,	4,	427,	3,	1),
(52941,	4,	428,	1,	1),
(52942,	4,	428,	2,	1),
(52943,	4,	428,	3,	1),
(52944,	4,	428,	1,	3),
(52945,	4,	428,	2,	3),
(52946,	4,	428,	3,	3),
(52947,	4,	429,	1,	1),
(52948,	4,	429,	2,	1),
(52949,	4,	429,	3,	1),
(52950,	4,	429,	1,	3),
(52951,	4,	429,	2,	3),
(52952,	4,	429,	3,	3),
(52953,	4,	430,	1,	1),
(52954,	4,	430,	2,	1),
(52955,	4,	430,	3,	1),
(52956,	4,	430,	1,	3),
(52957,	4,	430,	2,	3),
(52958,	4,	430,	3,	3),
(52959,	4,	430,	1,	2),
(52960,	4,	430,	2,	2),
(52961,	4,	430,	3,	2),
(52962,	4,	431,	1,	1),
(52963,	4,	431,	2,	1),
(52964,	4,	431,	3,	1),
(52965,	4,	431,	1,	3),
(52966,	4,	431,	2,	3),
(52967,	4,	431,	3,	3),
(52968,	4,	431,	1,	2),
(52969,	4,	431,	2,	2),
(52970,	4,	431,	3,	2),
(52971,	4,	432,	1,	1),
(52972,	4,	432,	2,	1),
(52973,	4,	432,	3,	1),
(52974,	4,	432,	1,	3),
(52975,	4,	432,	2,	3),
(52976,	4,	432,	3,	3),
(52977,	4,	432,	1,	2),
(52978,	4,	432,	2,	2),
(52979,	4,	432,	3,	2),
(52980,	4,	433,	1,	1),
(52981,	4,	433,	2,	1),
(52982,	4,	433,	3,	1),
(52983,	4,	433,	1,	2),
(52984,	4,	433,	2,	2),
(52985,	4,	433,	3,	2),
(52986,	4,	434,	1,	1),
(52987,	4,	434,	2,	1),
(52988,	4,	434,	3,	1),
(52989,	4,	434,	1,	2),
(52990,	4,	434,	2,	2),
(52991,	4,	434,	3,	2),
(52992,	4,	435,	1,	1),
(52993,	4,	435,	2,	1),
(52994,	4,	435,	3,	1),
(52995,	4,	435,	1,	2),
(52996,	4,	435,	2,	2),
(52997,	4,	435,	3,	2),
(52998,	4,	436,	1,	1),
(52999,	4,	436,	2,	1),
(53000,	4,	436,	3,	1),
(53001,	4,	436,	1,	2),
(53002,	4,	436,	2,	2),
(53003,	4,	436,	3,	2),
(53004,	4,	437,	1,	1),
(53005,	4,	437,	2,	1),
(53006,	4,	437,	3,	1),
(53007,	4,	437,	1,	2),
(53008,	4,	437,	2,	2),
(53009,	4,	437,	3,	2),
(53010,	4,	438,	1,	1),
(53011,	4,	438,	2,	1),
(53012,	4,	438,	3,	1),
(53013,	4,	438,	1,	2),
(53014,	4,	438,	2,	2),
(53015,	4,	438,	3,	2),
(53016,	4,	439,	1,	1),
(53017,	4,	439,	2,	1),
(53018,	4,	439,	3,	1),
(53019,	4,	439,	1,	2),
(53020,	4,	439,	2,	2),
(53021,	4,	439,	3,	2),
(53022,	4,	440,	1,	1),
(53023,	4,	440,	2,	1),
(53024,	4,	440,	3,	1),
(53025,	4,	440,	1,	3),
(53026,	4,	440,	2,	3),
(53027,	4,	440,	3,	3),
(53028,	4,	441,	1,	1),
(53029,	4,	441,	2,	1),
(53030,	4,	441,	3,	1),
(53031,	4,	441,	1,	3),
(53032,	4,	441,	2,	3),
(53033,	4,	441,	3,	3),
(53034,	4,	442,	1,	1),
(53035,	4,	442,	2,	1),
(53036,	4,	442,	3,	1),
(53037,	4,	442,	1,	3),
(53038,	4,	442,	2,	3),
(53039,	4,	442,	3,	3),
(53040,	4,	443,	1,	1),
(53041,	4,	443,	2,	1),
(53042,	4,	443,	3,	1),
(53043,	4,	443,	1,	2),
(53044,	4,	443,	2,	2),
(53045,	4,	443,	3,	2),
(53046,	4,	444,	1,	1),
(53047,	4,	444,	2,	1),
(53048,	4,	444,	3,	1),
(53049,	4,	444,	1,	3),
(53050,	4,	444,	2,	3),
(53051,	4,	444,	3,	3),
(53052,	4,	445,	1,	1),
(53053,	4,	445,	2,	1),
(53054,	4,	445,	3,	1),
(53055,	4,	445,	1,	3),
(53056,	4,	445,	2,	3),
(53057,	4,	445,	3,	3),
(53058,	4,	446,	1,	1),
(53059,	4,	446,	2,	1),
(53060,	4,	446,	3,	1),
(53061,	4,	446,	1,	2),
(53062,	4,	446,	2,	2),
(53063,	4,	446,	3,	2),
(53064,	4,	447,	1,	1),
(53065,	4,	447,	2,	1),
(53066,	4,	447,	3,	1),
(53067,	4,	447,	1,	3),
(53068,	4,	447,	2,	3),
(53069,	4,	447,	3,	3),
(53070,	4,	448,	1,	1),
(53071,	4,	448,	2,	1),
(53072,	4,	448,	3,	1),
(53073,	4,	448,	1,	2),
(53074,	4,	448,	2,	2),
(53075,	4,	448,	3,	2),
(53076,	4,	449,	1,	1),
(53077,	4,	449,	2,	1),
(53078,	4,	449,	3,	1),
(53079,	4,	449,	1,	2),
(53080,	4,	449,	2,	2),
(53081,	4,	449,	3,	2),
(53082,	4,	450,	1,	1),
(53083,	4,	450,	2,	1),
(53084,	4,	450,	3,	1),
(53085,	4,	450,	1,	3),
(53086,	4,	450,	2,	3),
(53087,	4,	450,	3,	3),
(53088,	4,	451,	1,	1),
(53089,	4,	451,	2,	1),
(53090,	4,	451,	3,	1),
(53091,	4,	451,	1,	2),
(53092,	4,	451,	2,	2),
(53093,	4,	451,	3,	2),
(53094,	4,	452,	1,	1),
(53095,	4,	452,	2,	1),
(53096,	4,	452,	3,	1),
(53097,	4,	452,	1,	2),
(53098,	4,	452,	2,	2),
(53099,	4,	452,	3,	2),
(53100,	4,	453,	1,	1),
(53101,	4,	453,	2,	1),
(53102,	4,	453,	3,	1),
(53103,	4,	453,	1,	3),
(53104,	4,	453,	2,	3),
(53105,	4,	453,	3,	3),
(53106,	4,	454,	1,	1),
(53107,	4,	454,	2,	1),
(53108,	4,	454,	3,	1),
(53109,	4,	454,	1,	2),
(53110,	4,	454,	2,	2),
(53111,	4,	454,	3,	2),
(53112,	4,	455,	1,	1),
(53113,	4,	455,	2,	1),
(53114,	4,	455,	3,	1),
(53115,	4,	456,	1,	1),
(53116,	4,	456,	2,	1),
(53117,	4,	456,	3,	1),
(53118,	4,	456,	1,	2),
(53119,	4,	456,	2,	2),
(53120,	4,	456,	3,	2),
(53121,	4,	457,	1,	1),
(53122,	4,	457,	2,	1),
(53123,	4,	457,	3,	1),
(53124,	4,	457,	1,	2),
(53125,	4,	457,	2,	2),
(53126,	4,	457,	3,	2),
(53127,	4,	458,	1,	1),
(53128,	4,	458,	2,	1),
(53129,	4,	458,	3,	1),
(53130,	4,	458,	1,	3),
(53131,	4,	458,	2,	3),
(53132,	4,	458,	3,	3),
(53133,	4,	459,	1,	1),
(53134,	4,	459,	2,	1),
(53135,	4,	459,	3,	1),
(53136,	4,	460,	1,	1),
(53137,	4,	460,	2,	1),
(53138,	4,	460,	3,	1),
(53139,	4,	460,	1,	2),
(53140,	4,	460,	2,	2),
(53141,	4,	460,	3,	2),
(53142,	4,	461,	1,	1),
(53143,	4,	461,	2,	1),
(53144,	4,	461,	3,	1),
(53145,	4,	461,	1,	2),
(53146,	4,	461,	2,	2),
(53147,	4,	461,	3,	2),
(53148,	4,	462,	1,	1),
(53149,	4,	462,	2,	1),
(53150,	4,	462,	3,	1),
(53151,	4,	462,	1,	2),
(53152,	4,	462,	2,	2),
(53153,	4,	462,	3,	2),
(53154,	4,	463,	1,	1),
(53155,	4,	463,	2,	1),
(53156,	4,	463,	3,	1),
(53157,	4,	463,	1,	2),
(53158,	4,	463,	2,	2),
(53159,	4,	463,	3,	2),
(53160,	4,	464,	1,	1),
(53161,	4,	464,	2,	1),
(53162,	4,	464,	3,	1),
(53163,	4,	464,	1,	2),
(53164,	4,	464,	2,	2),
(53165,	4,	464,	3,	2),
(53166,	4,	465,	1,	1),
(53167,	4,	465,	2,	1),
(53168,	4,	465,	3,	1),
(53169,	4,	465,	1,	2),
(53170,	4,	465,	2,	2),
(53171,	4,	465,	3,	2),
(53172,	4,	466,	1,	1),
(53173,	4,	466,	2,	1),
(53174,	4,	466,	3,	1),
(53175,	4,	466,	1,	2),
(53176,	4,	466,	2,	2),
(53177,	4,	466,	3,	2),
(53178,	4,	467,	1,	1),
(53179,	4,	467,	2,	1),
(53180,	4,	467,	3,	1),
(53181,	4,	467,	1,	2),
(53182,	4,	467,	2,	2),
(53183,	4,	467,	3,	2),
(53184,	4,	468,	1,	1),
(53185,	4,	468,	2,	1),
(53186,	4,	468,	3,	1),
(53187,	4,	468,	1,	2),
(53188,	4,	468,	2,	2),
(53189,	4,	468,	3,	2),
(53190,	4,	469,	1,	1),
(53191,	4,	469,	2,	1),
(53192,	4,	469,	3,	1),
(53193,	4,	469,	1,	2),
(53194,	4,	469,	2,	2),
(53195,	4,	469,	3,	2),
(53196,	4,	470,	1,	1),
(53197,	4,	470,	2,	1),
(53198,	4,	470,	3,	1),
(53199,	4,	471,	1,	1),
(53200,	4,	471,	2,	1),
(53201,	4,	471,	3,	1),
(53202,	4,	472,	1,	1),
(53203,	4,	472,	2,	1),
(53204,	4,	472,	3,	1),
(53205,	4,	473,	1,	1),
(53206,	4,	473,	2,	1),
(53207,	4,	473,	3,	1),
(53208,	4,	474,	1,	1),
(53209,	4,	474,	2,	1),
(53210,	4,	474,	3,	1),
(53211,	4,	474,	1,	3),
(53212,	4,	474,	2,	3),
(53213,	4,	474,	3,	3),
(53214,	4,	475,	1,	1),
(53215,	4,	475,	2,	1),
(53216,	4,	475,	3,	1),
(53217,	4,	476,	1,	1),
(53218,	4,	476,	2,	1),
(53219,	4,	476,	3,	1),
(53220,	4,	476,	1,	2),
(53221,	4,	476,	2,	2),
(53222,	4,	476,	3,	2),
(53223,	4,	477,	1,	1),
(53224,	4,	477,	2,	1),
(53225,	4,	477,	3,	1),
(53226,	4,	477,	1,	2),
(53227,	4,	477,	2,	2),
(53228,	4,	477,	3,	2),
(53229,	4,	478,	1,	1),
(53230,	4,	478,	2,	1),
(53231,	4,	478,	3,	1),
(53232,	4,	478,	1,	2),
(53233,	4,	478,	2,	2),
(53234,	4,	478,	3,	2),
(53235,	4,	479,	1,	1),
(53236,	4,	479,	2,	1),
(53237,	4,	479,	3,	1),
(53238,	4,	480,	1,	1),
(53239,	4,	480,	2,	1),
(53240,	4,	480,	3,	1),
(53241,	4,	481,	1,	1),
(53242,	4,	481,	2,	1),
(53243,	4,	481,	3,	1),
(53244,	4,	482,	1,	1),
(53245,	4,	482,	2,	1),
(53246,	4,	482,	3,	1),
(53247,	4,	483,	1,	1),
(53248,	4,	483,	2,	1),
(53249,	4,	483,	3,	1),
(53250,	4,	484,	1,	1),
(53251,	4,	484,	2,	1),
(53252,	4,	484,	3,	1),
(53253,	4,	485,	1,	1),
(53254,	4,	485,	2,	1),
(53255,	4,	485,	3,	1),
(53256,	4,	486,	1,	1),
(53257,	4,	486,	2,	1),
(53258,	4,	486,	3,	1),
(53259,	4,	486,	1,	2),
(53260,	4,	486,	2,	2),
(53261,	4,	486,	3,	2),
(53262,	4,	487,	1,	1),
(53263,	4,	487,	2,	1),
(53264,	4,	487,	3,	1),
(53265,	4,	487,	1,	2),
(53266,	4,	487,	2,	2),
(53267,	4,	487,	3,	2),
(53268,	4,	488,	1,	1),
(53269,	4,	488,	2,	1),
(53270,	4,	488,	3,	1),
(53271,	4,	488,	1,	2),
(53272,	4,	488,	2,	2),
(53273,	4,	488,	3,	2),
(53274,	4,	489,	1,	1),
(53275,	4,	489,	2,	1),
(53276,	4,	489,	3,	1),
(53277,	4,	489,	1,	2),
(53278,	4,	489,	2,	2),
(53279,	4,	489,	3,	2),
(53280,	4,	490,	1,	1),
(53281,	4,	490,	2,	1),
(53282,	4,	490,	3,	1),
(53283,	4,	491,	1,	1),
(53284,	4,	491,	2,	1),
(53285,	4,	491,	3,	1),
(53286,	4,	492,	1,	1),
(53287,	4,	492,	2,	1),
(53288,	4,	492,	3,	1),
(53289,	4,	493,	1,	1),
(53290,	4,	493,	2,	1),
(53291,	4,	493,	3,	1),
(53292,	4,	493,	1,	2),
(53293,	4,	493,	2,	2),
(53294,	4,	493,	3,	2),
(53295,	4,	494,	1,	1),
(53296,	4,	494,	2,	1),
(53297,	4,	494,	3,	1),
(53298,	4,	494,	1,	2),
(53299,	4,	494,	2,	2),
(53300,	4,	494,	3,	2),
(53301,	4,	495,	1,	1),
(53302,	4,	495,	2,	1),
(53303,	4,	495,	3,	1),
(53304,	4,	495,	1,	2),
(53305,	4,	495,	2,	2),
(53306,	4,	495,	3,	2),
(53307,	4,	496,	1,	1),
(53308,	4,	496,	2,	1),
(53309,	4,	496,	3,	1),
(53310,	4,	496,	1,	2),
(53311,	4,	496,	2,	2),
(53312,	4,	496,	3,	2),
(53313,	4,	497,	1,	1),
(53314,	4,	497,	2,	1),
(53315,	4,	497,	3,	1),
(53316,	4,	497,	1,	2),
(53317,	4,	497,	2,	2),
(53318,	4,	497,	3,	2),
(53319,	4,	498,	1,	1),
(53320,	4,	498,	2,	1),
(53321,	4,	498,	3,	1),
(53322,	4,	498,	1,	2),
(53323,	4,	498,	2,	2),
(53324,	4,	498,	3,	2),
(53325,	4,	499,	1,	1),
(53326,	4,	499,	2,	1),
(53327,	4,	499,	3,	1),
(53328,	4,	499,	1,	2),
(53329,	4,	499,	2,	2),
(53330,	4,	499,	3,	2),
(53331,	4,	500,	1,	1),
(53332,	4,	500,	2,	1),
(53333,	4,	500,	3,	1),
(53334,	4,	500,	1,	2),
(53335,	4,	500,	2,	2),
(53336,	4,	500,	3,	2),
(53337,	4,	501,	1,	1),
(53338,	4,	501,	2,	1),
(53339,	4,	501,	3,	1),
(53340,	4,	501,	1,	2),
(53341,	4,	501,	2,	2),
(53342,	4,	501,	3,	2),
(53343,	4,	502,	1,	1),
(53344,	4,	502,	2,	1),
(53345,	4,	502,	3,	1),
(53346,	4,	502,	1,	2),
(53347,	4,	502,	2,	2),
(53348,	4,	502,	3,	2),
(53349,	4,	503,	1,	1),
(53350,	4,	503,	2,	1),
(53351,	4,	503,	3,	1),
(53352,	4,	503,	1,	2),
(53353,	4,	503,	2,	2),
(53354,	4,	503,	3,	2),
(53355,	4,	504,	1,	1),
(53356,	4,	504,	2,	1),
(53357,	4,	504,	3,	1),
(53358,	4,	504,	1,	2),
(53359,	4,	504,	2,	2),
(53360,	4,	504,	3,	2),
(53361,	4,	505,	1,	1),
(53362,	4,	505,	2,	1),
(53363,	4,	505,	3,	1),
(53364,	4,	505,	1,	2),
(53365,	4,	505,	2,	2),
(53366,	4,	505,	3,	2),
(53367,	4,	506,	1,	1),
(53368,	4,	506,	2,	1),
(53369,	4,	506,	3,	1),
(53370,	4,	506,	1,	2),
(53371,	4,	506,	2,	2),
(53372,	4,	506,	3,	2),
(53373,	4,	507,	1,	1),
(53374,	4,	507,	2,	1),
(53375,	4,	507,	3,	1),
(53376,	4,	507,	1,	2),
(53377,	4,	507,	2,	2),
(53378,	4,	507,	3,	2),
(53379,	4,	508,	1,	1),
(53380,	4,	508,	2,	1),
(53381,	4,	508,	3,	1),
(53382,	4,	508,	1,	2),
(53383,	4,	508,	2,	2),
(53384,	4,	508,	3,	2),
(53385,	4,	509,	1,	1),
(53386,	4,	509,	2,	1),
(53387,	4,	509,	3,	1),
(53388,	4,	509,	1,	2),
(53389,	4,	509,	2,	2),
(53390,	4,	509,	3,	2),
(53391,	4,	510,	1,	1),
(53392,	4,	510,	2,	1),
(53393,	4,	510,	3,	1),
(53394,	4,	510,	1,	2),
(53395,	4,	510,	2,	2),
(53396,	4,	510,	3,	2),
(53397,	4,	511,	1,	1),
(53398,	4,	511,	2,	1),
(53399,	4,	511,	3,	1),
(53400,	4,	511,	1,	2),
(53401,	4,	511,	2,	2),
(53402,	4,	511,	3,	2),
(53403,	4,	512,	1,	1),
(53404,	4,	512,	2,	1),
(53405,	4,	512,	3,	1),
(53406,	4,	512,	1,	2),
(53407,	4,	512,	2,	2),
(53408,	4,	512,	3,	2),
(53409,	4,	513,	1,	1),
(53410,	4,	513,	2,	1),
(53411,	4,	513,	3,	1),
(53412,	4,	513,	1,	2),
(53413,	4,	513,	2,	2),
(53414,	4,	513,	3,	2),
(53415,	4,	514,	1,	1),
(53416,	4,	514,	2,	1),
(53417,	4,	514,	3,	1),
(53418,	4,	514,	23,	1),
(53419,	4,	514,	1,	3),
(53420,	4,	514,	2,	3),
(53421,	4,	514,	3,	3),
(53422,	4,	514,	23,	3),
(53423,	4,	515,	1,	1),
(53424,	4,	515,	2,	1),
(53425,	4,	515,	3,	1),
(53426,	4,	515,	23,	1),
(53427,	4,	515,	1,	3),
(53428,	4,	515,	2,	3),
(53429,	4,	515,	3,	3),
(53430,	4,	515,	23,	3),
(53431,	4,	516,	1,	1),
(53432,	4,	516,	2,	1),
(53433,	4,	516,	3,	1),
(53434,	4,	516,	1,	3),
(53435,	4,	516,	2,	3),
(53436,	4,	516,	3,	3),
(53437,	4,	517,	1,	1),
(53438,	4,	517,	2,	1),
(53439,	4,	517,	3,	1),
(53440,	4,	517,	23,	1),
(53441,	4,	517,	1,	3),
(53442,	4,	517,	2,	3),
(53443,	4,	517,	3,	3),
(53444,	4,	517,	23,	3),
(53445,	4,	518,	1,	1),
(53446,	4,	518,	2,	1),
(53447,	4,	518,	3,	1),
(53448,	4,	518,	23,	1),
(53449,	4,	518,	1,	3),
(53450,	4,	518,	2,	3),
(53451,	4,	518,	3,	3),
(53452,	4,	518,	23,	3),
(53453,	4,	519,	1,	1),
(53454,	4,	519,	2,	1),
(53455,	4,	519,	3,	1),
(53456,	4,	519,	1,	3),
(53457,	4,	519,	2,	3),
(53458,	4,	519,	3,	3),
(53459,	4,	519,	1,	2),
(53460,	4,	519,	2,	2),
(53461,	4,	519,	3,	2),
(53462,	4,	520,	1,	1),
(53463,	4,	520,	2,	1),
(53464,	4,	520,	3,	1),
(53465,	4,	520,	1,	3),
(53466,	4,	520,	2,	3),
(53467,	4,	520,	3,	3),
(53468,	4,	521,	1,	1),
(53469,	4,	521,	2,	1),
(53470,	4,	521,	3,	1),
(53471,	4,	521,	1,	3),
(53472,	4,	521,	2,	3),
(53473,	4,	521,	3,	3),
(53474,	4,	521,	1,	2),
(53475,	4,	521,	2,	2),
(53476,	4,	521,	3,	2),
(53477,	4,	522,	1,	1),
(53478,	4,	522,	2,	1),
(53479,	4,	522,	3,	1),
(53480,	4,	522,	1,	2),
(53481,	4,	522,	2,	2),
(53482,	4,	522,	3,	2),
(53483,	4,	523,	1,	1),
(53484,	4,	523,	2,	1),
(53485,	4,	523,	3,	1),
(53486,	4,	523,	1,	3),
(53487,	4,	523,	2,	3),
(53488,	4,	523,	3,	3),
(53489,	4,	524,	1,	1),
(53490,	4,	524,	2,	1),
(53491,	4,	524,	3,	1),
(53492,	4,	524,	1,	2),
(53493,	4,	524,	2,	2),
(53494,	4,	524,	3,	2),
(53495,	4,	525,	1,	1),
(53496,	4,	525,	2,	1),
(53497,	4,	525,	3,	1),
(53498,	4,	525,	1,	3),
(53499,	4,	525,	2,	3),
(53500,	4,	525,	3,	3),
(53501,	4,	526,	1,	1),
(53502,	4,	526,	2,	1),
(53503,	4,	526,	3,	1),
(53504,	4,	526,	1,	2),
(53505,	4,	526,	2,	2),
(53506,	4,	526,	3,	2),
(53507,	4,	527,	1,	1),
(53508,	4,	527,	2,	1),
(53509,	4,	527,	3,	1),
(53510,	4,	527,	1,	2),
(53511,	4,	527,	2,	2),
(53512,	4,	527,	3,	2),
(53513,	4,	528,	1,	1),
(53514,	4,	528,	2,	1),
(53515,	4,	528,	3,	1),
(53516,	4,	528,	6,	1),
(53517,	4,	528,	1,	2),
(53518,	4,	528,	2,	2),
(53519,	4,	528,	3,	2),
(53520,	4,	528,	6,	2),
(53521,	4,	529,	1,	1),
(53522,	4,	529,	2,	1),
(53523,	4,	529,	3,	1),
(53524,	4,	529,	6,	1),
(53525,	4,	529,	1,	2),
(53526,	4,	529,	2,	2),
(53527,	4,	529,	3,	2),
(53528,	4,	529,	6,	2),
(53529,	4,	530,	1,	1),
(53530,	4,	530,	2,	1),
(53531,	4,	530,	3,	1),
(53532,	4,	530,	6,	1),
(53533,	4,	530,	1,	2),
(53534,	4,	530,	2,	2),
(53535,	4,	530,	3,	2),
(53536,	4,	530,	6,	2),
(53537,	4,	531,	1,	1),
(53538,	4,	531,	2,	1),
(53539,	4,	531,	3,	1),
(53540,	4,	531,	1,	2),
(53541,	4,	531,	2,	2),
(53542,	4,	531,	3,	2),
(53543,	4,	532,	1,	1),
(53544,	4,	532,	2,	1),
(53545,	4,	532,	3,	1),
(53546,	4,	532,	6,	1),
(53547,	4,	532,	1,	2),
(53548,	4,	532,	2,	2),
(53549,	4,	532,	3,	2),
(53550,	4,	532,	6,	2),
(53551,	4,	533,	1,	1),
(53552,	4,	533,	2,	1),
(53553,	4,	533,	3,	1),
(53554,	4,	533,	6,	1),
(53555,	4,	533,	1,	2),
(53556,	4,	533,	2,	2),
(53557,	4,	533,	3,	2),
(53558,	4,	533,	6,	2),
(53559,	4,	534,	1,	1),
(53560,	4,	534,	2,	1),
(53561,	4,	534,	3,	1),
(53562,	4,	534,	1,	3),
(53563,	4,	534,	2,	3),
(53564,	4,	534,	3,	3),
(53565,	4,	535,	1,	1),
(53566,	4,	535,	2,	1),
(53567,	4,	535,	3,	1),
(53568,	4,	535,	1,	3),
(53569,	4,	535,	2,	3),
(53570,	4,	535,	3,	3),
(53571,	4,	536,	1,	1),
(53572,	4,	536,	2,	1),
(53573,	4,	536,	3,	1),
(53574,	4,	536,	1,	3),
(53575,	4,	536,	2,	3),
(53576,	4,	536,	3,	3),
(53577,	4,	537,	1,	1),
(53578,	4,	537,	2,	1),
(53579,	4,	537,	3,	1),
(53580,	4,	537,	1,	3),
(53581,	4,	537,	2,	3),
(53582,	4,	537,	3,	3),
(53583,	4,	538,	1,	1),
(53584,	4,	538,	2,	1),
(53585,	4,	538,	3,	1),
(53586,	4,	538,	1,	3),
(53587,	4,	538,	2,	3),
(53588,	4,	538,	3,	3),
(53589,	4,	539,	1,	1),
(53590,	4,	539,	2,	1),
(53591,	4,	539,	3,	1),
(53592,	4,	540,	1,	1),
(53593,	4,	540,	2,	1),
(53594,	4,	540,	3,	1),
(53595,	4,	541,	1,	1),
(53596,	4,	541,	2,	1),
(53597,	4,	541,	3,	1),
(53598,	4,	541,	4,	1),
(53599,	4,	542,	1,	1),
(53600,	4,	542,	2,	1),
(53601,	4,	542,	3,	1),
(53602,	4,	543,	1,	1),
(53603,	4,	543,	2,	1),
(53604,	4,	543,	3,	1),
(53605,	4,	543,	31,	1),
(53606,	4,	543,	32,	1),
(53607,	4,	543,	33,	1),
(53608,	4,	543,	34,	1),
(53609,	4,	544,	1,	1),
(53610,	4,	544,	2,	1),
(53611,	4,	544,	3,	1),
(53612,	4,	545,	1,	1),
(53613,	4,	545,	2,	1),
(53614,	4,	545,	3,	1),
(53615,	4,	546,	1,	1),
(53616,	4,	546,	2,	1),
(53617,	4,	546,	3,	1),
(53618,	4,	547,	1,	1),
(53619,	4,	547,	2,	1),
(53620,	4,	547,	3,	1),
(53621,	4,	547,	1,	2),
(53622,	4,	547,	2,	2),
(53623,	4,	547,	3,	2),
(53624,	4,	548,	1,	1),
(53625,	4,	548,	2,	1),
(53626,	4,	548,	3,	1),
(53627,	4,	549,	1,	1),
(53628,	4,	549,	2,	1),
(53629,	4,	549,	3,	1),
(53630,	4,	549,	1,	2),
(53631,	4,	549,	2,	2),
(53632,	4,	549,	3,	2),
(53633,	4,	550,	1,	1),
(53634,	4,	550,	2,	1),
(53635,	4,	550,	3,	1),
(53636,	4,	551,	1,	1),
(53637,	4,	551,	2,	1),
(53638,	4,	551,	3,	1),
(53639,	4,	551,	6,	1),
(53640,	4,	552,	1,	1),
(53641,	4,	552,	2,	1),
(53642,	4,	552,	3,	1),
(53643,	4,	552,	6,	1),
(53644,	4,	552,	1,	2),
(53645,	4,	552,	2,	2),
(53646,	4,	552,	3,	2),
(53647,	4,	552,	6,	2),
(53648,	4,	553,	1,	1),
(53649,	4,	553,	2,	1),
(53650,	4,	553,	3,	1),
(53651,	4,	554,	1,	1),
(53652,	4,	554,	2,	1),
(53653,	4,	554,	3,	1),
(53654,	4,	555,	1,	1),
(53655,	4,	555,	2,	1),
(53656,	4,	555,	3,	1),
(53657,	4,	556,	1,	1),
(53658,	4,	556,	2,	1),
(53659,	4,	556,	3,	1),
(53660,	4,	556,	1,	2),
(53661,	4,	556,	2,	2),
(53662,	4,	556,	3,	2),
(53663,	4,	557,	1,	1),
(53664,	4,	557,	2,	1),
(53665,	4,	557,	3,	1),
(53666,	4,	557,	1,	2),
(53667,	4,	557,	2,	2),
(53668,	4,	557,	3,	2),
(53669,	4,	558,	2,	1),
(53670,	4,	558,	3,	1),
(53671,	4,	558,	35,	1),
(53672,	4,	558,	36,	1),
(53673,	4,	559,	2,	1),
(53674,	4,	559,	3,	1),
(53675,	4,	559,	26,	1),
(53676,	4,	559,	37,	1),
(53677,	4,	559,	36,	1),
(53678,	4,	559,	35,	1),
(53679,	4,	559,	38,	1),
(53680,	4,	559,	28,	1),
(53681,	4,	559,	39,	1),
(53682,	4,	559,	40,	1),
(53683,	4,	559,	2,	3),
(53684,	4,	559,	3,	3),
(53685,	4,	559,	26,	3),
(53686,	4,	559,	37,	3),
(53687,	4,	559,	36,	3),
(53688,	4,	559,	35,	3),
(53689,	4,	559,	38,	3),
(53690,	4,	559,	28,	3),
(53691,	4,	559,	39,	3),
(53692,	4,	559,	40,	3),
(53693,	4,	559,	2,	4),
(53694,	4,	559,	3,	4),
(53695,	4,	559,	26,	4),
(53696,	4,	559,	37,	4),
(53697,	4,	559,	36,	4),
(53698,	4,	559,	35,	4),
(53699,	4,	559,	38,	4),
(53700,	4,	559,	28,	4),
(53701,	4,	559,	39,	4),
(53702,	4,	559,	40,	4),
(53703,	4,	560,	2,	1),
(53704,	4,	560,	3,	1),
(53705,	4,	560,	35,	1),
(53706,	4,	560,	36,	1),
(53707,	4,	561,	2,	1),
(53708,	4,	561,	3,	1),
(53709,	4,	561,	35,	1),
(53710,	4,	561,	41,	1),
(53711,	4,	561,	42,	1),
(53712,	4,	561,	43,	1),
(53713,	4,	561,	44,	1),
(53714,	4,	561,	39,	1),
(53715,	4,	561,	45,	1),
(53716,	4,	561,	46,	1),
(53717,	4,	562,	2,	1),
(53718,	4,	562,	35,	1),
(53719,	4,	563,	2,	1),
(53720,	4,	563,	35,	1),
(53721,	4,	564,	2,	1),
(53722,	4,	565,	2,	1),
(53723,	4,	565,	35,	1),
(53724,	4,	566,	2,	1),
(53725,	4,	566,	35,	1),
(53726,	4,	567,	2,	1),
(53727,	4,	567,	35,	1),
(53728,	4,	568,	2,	1),
(53729,	4,	568,	35,	1),
(53730,	4,	569,	2,	1),
(53731,	4,	569,	35,	1),
(53732,	4,	570,	2,	1),
(53733,	4,	570,	35,	1),
(53734,	4,	571,	1,	1),
(53735,	4,	571,	2,	1),
(53736,	4,	571,	3,	1),
(53737,	4,	571,	1,	2),
(53738,	4,	571,	2,	2),
(53739,	4,	571,	3,	2),
(53740,	4,	572,	1,	1),
(53741,	4,	572,	2,	1),
(53742,	4,	572,	3,	1),
(53743,	4,	572,	1,	2),
(53744,	4,	572,	2,	2),
(53745,	4,	572,	3,	2),
(53746,	4,	573,	1,	1),
(53747,	4,	573,	2,	1),
(53748,	4,	573,	3,	1),
(53749,	4,	573,	1,	2),
(53750,	4,	573,	2,	2),
(53751,	4,	573,	3,	2),
(53752,	4,	574,	1,	1),
(53753,	4,	574,	2,	1),
(53754,	4,	574,	3,	1),
(53755,	4,	574,	1,	2),
(53756,	4,	574,	2,	2),
(53757,	4,	574,	3,	2),
(53758,	4,	575,	2,	1),
(53759,	4,	575,	35,	1),
(53760,	4,	576,	2,	1),
(53761,	4,	576,	35,	1),
(53762,	4,	576,	26,	1),
(53763,	4,	576,	37,	1),
(53764,	4,	576,	36,	1),
(53765,	4,	576,	38,	1),
(53766,	4,	576,	39,	1),
(53767,	4,	576,	40,	1),
(53768,	4,	577,	2,	1),
(53769,	4,	577,	35,	1),
(53770,	4,	577,	45,	1),
(53771,	4,	578,	2,	1),
(53772,	4,	578,	3,	1),
(53773,	4,	578,	41,	1),
(53774,	4,	578,	42,	1),
(53775,	4,	578,	45,	1),
(53776,	4,	578,	46,	1),
(53777,	4,	578,	46,	1),
(53778,	4,	579,	2,	1),
(53779,	4,	579,	35,	1),
(53780,	4,	580,	2,	1),
(53781,	4,	580,	35,	1),
(53782,	4,	581,	2,	1),
(53783,	4,	582,	2,	1),
(53784,	4,	582,	35,	1),
(53785,	4,	583,	2,	1),
(53786,	4,	583,	35,	1),
(53787,	4,	584,	2,	1),
(53788,	4,	584,	35,	1),
(53789,	4,	585,	2,	1),
(53790,	4,	585,	35,	1),
(53791,	4,	585,	41,	1),
(53792,	4,	585,	42,	1),
(53793,	4,	585,	45,	1),
(53794,	4,	585,	46,	1),
(53795,	4,	586,	2,	1),
(53796,	4,	586,	35,	1),
(53797,	4,	587,	2,	1),
(53798,	4,	587,	35,	1),
(53799,	4,	588,	2,	1),
(53800,	4,	588,	35,	1),
(53801,	4,	589,	2,	1),
(53802,	4,	589,	35,	1),
(53803,	4,	590,	1,	1),
(53804,	4,	590,	2,	1),
(53805,	4,	590,	3,	1),
(53806,	4,	591,	1,	1),
(53807,	4,	591,	2,	1),
(53808,	4,	591,	3,	1),
(53809,	4,	591,	23,	1),
(53810,	4,	592,	1,	1),
(53811,	4,	592,	2,	1),
(53812,	4,	592,	3,	1),
(53813,	4,	593,	1,	1),
(53814,	4,	593,	2,	1),
(53815,	4,	593,	3,	1),
(53816,	4,	594,	1,	1),
(53817,	4,	594,	2,	1),
(53818,	4,	594,	3,	1),
(53819,	4,	595,	1,	1),
(53820,	4,	595,	2,	1),
(53821,	4,	595,	3,	1),
(53822,	4,	596,	1,	1),
(53823,	4,	596,	2,	1),
(53824,	4,	596,	3,	1),
(53825,	4,	597,	1,	1),
(53826,	4,	597,	2,	1),
(53827,	4,	597,	3,	1),
(53828,	4,	598,	1,	1),
(53829,	4,	598,	2,	1),
(53830,	4,	598,	3,	1),
(53831,	4,	598,	1,	2),
(53832,	4,	598,	2,	2),
(53833,	4,	598,	3,	2),
(53834,	4,	599,	1,	1),
(53835,	4,	599,	2,	1),
(53836,	4,	599,	3,	1),
(53837,	4,	600,	1,	1),
(53838,	4,	600,	2,	1),
(53839,	4,	600,	3,	1),
(53840,	4,	601,	1,	1),
(53841,	4,	601,	2,	1),
(53842,	4,	601,	3,	1),
(53843,	4,	602,	1,	1),
(53844,	4,	602,	2,	1),
(53845,	4,	602,	3,	1),
(53846,	4,	603,	1,	1),
(53847,	4,	603,	2,	1),
(53848,	4,	603,	3,	1),
(53849,	4,	603,	1,	2),
(53850,	4,	603,	2,	2),
(53851,	4,	603,	3,	2),
(53852,	4,	604,	1,	1),
(53853,	4,	604,	2,	1),
(53854,	4,	604,	3,	1),
(53855,	4,	605,	1,	1),
(53856,	4,	605,	2,	1),
(53857,	4,	605,	3,	1),
(53858,	4,	605,	1,	2),
(53859,	4,	605,	2,	2),
(53860,	4,	605,	3,	2),
(53861,	4,	606,	1,	1),
(53862,	4,	606,	2,	1),
(53863,	4,	606,	3,	1),
(53864,	4,	606,	1,	2),
(53865,	4,	606,	2,	2),
(53866,	4,	606,	3,	2),
(53867,	4,	607,	1,	1),
(53868,	4,	607,	2,	1),
(53869,	4,	607,	3,	1),
(53870,	4,	608,	1,	1),
(53871,	4,	608,	2,	1),
(53872,	4,	608,	3,	1),
(53873,	4,	609,	1,	1),
(53874,	4,	609,	2,	1),
(53875,	4,	609,	3,	1),
(53876,	4,	610,	1,	1),
(53877,	4,	610,	2,	1),
(53878,	4,	610,	3,	1),
(53879,	4,	611,	1,	1),
(53880,	4,	611,	2,	1),
(53881,	4,	611,	3,	1),
(53882,	4,	612,	1,	1),
(53883,	4,	612,	2,	1),
(53884,	4,	612,	3,	1),
(53885,	4,	613,	1,	1),
(53886,	4,	613,	2,	1),
(53887,	4,	613,	3,	1),
(53888,	4,	614,	1,	1),
(53889,	4,	614,	2,	1),
(53890,	4,	614,	3,	1),
(53891,	4,	614,	1,	2),
(53892,	4,	614,	2,	2),
(53893,	4,	614,	3,	2),
(53894,	4,	615,	1,	1),
(53895,	4,	615,	2,	1),
(53896,	4,	615,	3,	1),
(53897,	4,	615,	1,	2),
(53898,	4,	615,	2,	2),
(53899,	4,	615,	3,	2),
(53900,	4,	616,	1,	1),
(53901,	4,	616,	2,	1),
(53902,	4,	616,	3,	1),
(53903,	4,	616,	1,	2),
(53904,	4,	616,	2,	2),
(53905,	4,	616,	3,	2),
(53906,	4,	617,	1,	1),
(53907,	4,	617,	2,	1),
(53908,	4,	617,	3,	1),
(53909,	4,	617,	1,	2),
(53910,	4,	617,	2,	2),
(53911,	4,	617,	3,	2),
(53912,	4,	618,	1,	1),
(53913,	4,	618,	2,	1),
(53914,	4,	618,	3,	1),
(53915,	4,	618,	1,	2),
(53916,	4,	618,	2,	2),
(53917,	4,	618,	3,	2),
(53918,	4,	619,	1,	1),
(53919,	4,	619,	2,	1),
(53920,	4,	619,	3,	1),
(53921,	4,	620,	1,	1),
(53922,	4,	620,	2,	1),
(53923,	4,	620,	3,	1),
(53924,	4,	620,	1,	2),
(53925,	4,	620,	2,	2),
(53926,	4,	620,	3,	2),
(53927,	4,	621,	1,	1),
(53928,	4,	621,	2,	1),
(53929,	4,	621,	3,	1),
(53930,	4,	621,	1,	2),
(53931,	4,	621,	2,	2),
(53932,	4,	621,	3,	2),
(53933,	4,	622,	1,	1),
(53934,	4,	622,	2,	1),
(53935,	4,	622,	3,	1),
(53936,	4,	622,	1,	2),
(53937,	4,	622,	2,	2),
(53938,	4,	622,	3,	2),
(53939,	4,	623,	1,	1),
(53940,	4,	623,	2,	1),
(53941,	4,	623,	3,	1),
(53942,	4,	623,	1,	2),
(53943,	4,	623,	2,	2),
(53944,	4,	623,	3,	2),
(53945,	4,	624,	1,	1),
(53946,	4,	624,	2,	1),
(53947,	4,	624,	3,	1),
(53948,	4,	624,	1,	2),
(53949,	4,	624,	2,	2),
(53950,	4,	624,	3,	2),
(53951,	4,	625,	1,	1),
(53952,	4,	625,	2,	1),
(53953,	4,	625,	3,	1),
(53954,	4,	625,	1,	2),
(53955,	4,	625,	2,	2),
(53956,	4,	625,	3,	2),
(53957,	4,	626,	1,	1),
(53958,	4,	626,	2,	1),
(53959,	4,	626,	3,	1),
(53960,	4,	627,	1,	1),
(53961,	4,	627,	2,	1),
(53962,	4,	627,	3,	1),
(53963,	4,	627,	1,	2),
(53964,	4,	627,	2,	2),
(53965,	4,	627,	3,	2),
(53966,	4,	628,	1,	1),
(53967,	4,	628,	2,	1),
(53968,	4,	628,	3,	1),
(53969,	4,	628,	1,	2),
(53970,	4,	628,	2,	2),
(53971,	4,	628,	3,	2),
(53972,	4,	629,	1,	1),
(53973,	4,	629,	2,	1),
(53974,	4,	629,	3,	1),
(53975,	4,	629,	1,	2),
(53976,	4,	629,	2,	2),
(53977,	4,	629,	3,	2),
(53978,	4,	630,	1,	1),
(53979,	4,	630,	2,	1),
(53980,	4,	630,	3,	1),
(53981,	4,	630,	1,	2),
(53982,	4,	630,	2,	2),
(53983,	4,	630,	3,	2),
(53984,	4,	631,	1,	1),
(53985,	4,	631,	2,	1),
(53986,	4,	631,	3,	1),
(53987,	4,	631,	1,	2),
(53988,	4,	631,	2,	2),
(53989,	4,	631,	3,	2),
(53990,	4,	632,	1,	1),
(53991,	4,	632,	2,	1),
(53992,	4,	632,	3,	1),
(53993,	4,	632,	24,	1),
(53994,	4,	632,	4,	1),
(53995,	4,	632,	32,	1),
(53996,	4,	632,	47,	1),
(53997,	4,	632,	48,	1),
(53998,	4,	633,	1,	1),
(53999,	4,	633,	2,	1),
(54000,	4,	633,	3,	1),
(54001,	4,	634,	1,	1),
(54002,	4,	634,	2,	1),
(54003,	4,	634,	3,	1),
(54004,	4,	634,	5,	1),
(54005,	4,	634,	29,	1),
(54006,	4,	635,	1,	1),
(54007,	4,	635,	2,	1),
(54008,	4,	635,	3,	1),
(54009,	4,	635,	23,	1),
(54010,	4,	636,	1,	1),
(54011,	4,	636,	2,	1),
(54012,	4,	636,	3,	1),
(54013,	4,	636,	1,	2),
(54014,	4,	636,	2,	2),
(54015,	4,	636,	3,	2),
(54016,	4,	637,	1,	1),
(54017,	4,	637,	2,	1),
(54018,	4,	637,	3,	1),
(54019,	4,	637,	23,	1),
(54020,	4,	637,	1,	2),
(54021,	4,	637,	2,	2),
(54022,	4,	637,	3,	2),
(54023,	4,	637,	23,	2),
(54024,	4,	638,	1,	1),
(54025,	4,	638,	2,	1),
(54026,	4,	638,	3,	1),
(54027,	4,	638,	23,	1),
(54028,	4,	638,	1,	2),
(54029,	4,	638,	2,	2),
(54030,	4,	638,	3,	2),
(54031,	4,	638,	23,	2),
(54032,	4,	639,	1,	1),
(54033,	4,	639,	2,	1),
(54034,	4,	639,	3,	1),
(54035,	4,	640,	1,	1),
(54036,	4,	640,	2,	1),
(54037,	4,	640,	3,	1),
(54038,	4,	641,	1,	1),
(54039,	4,	641,	2,	1),
(54040,	4,	641,	3,	1),
(54041,	4,	641,	1,	2),
(54042,	4,	641,	2,	2),
(54043,	4,	641,	3,	2),
(54044,	4,	642,	1,	1),
(54045,	4,	642,	2,	1),
(54046,	4,	642,	3,	1),
(54047,	4,	642,	1,	2),
(54048,	4,	642,	2,	2),
(54049,	4,	642,	3,	2),
(54050,	4,	643,	1,	1),
(54051,	4,	643,	2,	1),
(54052,	4,	643,	3,	1),
(54053,	4,	644,	1,	1),
(54054,	4,	644,	2,	1),
(54055,	4,	644,	3,	1),
(54056,	4,	645,	1,	1),
(54057,	4,	645,	2,	1),
(54058,	4,	645,	3,	1),
(54059,	4,	646,	1,	1),
(54060,	4,	646,	2,	1),
(54061,	4,	646,	3,	1),
(54062,	4,	646,	1,	2),
(54063,	4,	646,	2,	2),
(54064,	4,	646,	3,	2),
(54065,	4,	647,	1,	1),
(54066,	4,	647,	2,	1),
(54067,	4,	647,	3,	1),
(54068,	4,	647,	1,	2),
(54069,	4,	647,	2,	2),
(54070,	4,	647,	3,	2),
(54071,	4,	648,	1,	1),
(54072,	4,	648,	2,	1),
(54073,	4,	648,	3,	1),
(54074,	4,	648,	1,	2),
(54075,	4,	648,	2,	2),
(54076,	4,	648,	3,	2),
(54077,	4,	649,	1,	1),
(54078,	4,	649,	2,	1),
(54079,	4,	649,	3,	1),
(54080,	4,	649,	1,	2),
(54081,	4,	649,	2,	2),
(54082,	4,	649,	3,	2),
(54083,	4,	650,	1,	1),
(54084,	4,	650,	2,	1),
(54085,	4,	650,	3,	1),
(54086,	4,	651,	1,	1),
(54087,	4,	651,	2,	1),
(54088,	4,	651,	3,	1),
(54089,	4,	651,	1,	2),
(54090,	4,	651,	2,	2),
(54091,	4,	651,	3,	2),
(54092,	4,	652,	1,	1),
(54093,	4,	652,	2,	1),
(54094,	4,	652,	3,	1),
(54095,	4,	653,	1,	1),
(54096,	4,	653,	2,	1),
(54097,	4,	653,	3,	1),
(54098,	4,	654,	1,	1),
(54099,	4,	654,	2,	1),
(54100,	4,	654,	3,	1),
(54101,	4,	655,	1,	1),
(54102,	4,	655,	2,	1),
(54103,	4,	655,	3,	1),
(54104,	4,	656,	1,	1),
(54105,	4,	656,	2,	1),
(54106,	4,	656,	3,	1),
(54107,	4,	657,	1,	1),
(54108,	4,	657,	2,	1),
(54109,	4,	657,	3,	1),
(54110,	4,	658,	1,	1),
(54111,	4,	658,	2,	1),
(54112,	4,	658,	3,	1),
(54113,	4,	658,	23,	1),
(54114,	4,	659,	1,	1),
(54115,	4,	659,	2,	1),
(54116,	4,	659,	3,	1),
(54117,	4,	660,	1,	1),
(54118,	4,	660,	2,	1),
(54119,	4,	660,	3,	1),
(54120,	4,	661,	1,	1),
(54121,	4,	661,	2,	1),
(54122,	4,	661,	3,	1),
(54123,	4,	662,	1,	1),
(54124,	4,	662,	2,	1),
(54125,	4,	662,	3,	1),
(54126,	4,	663,	1,	1),
(54127,	4,	663,	2,	1),
(54128,	4,	663,	3,	1),
(54129,	4,	664,	1,	1),
(54130,	4,	664,	2,	1),
(54131,	4,	664,	3,	1),
(54132,	4,	665,	1,	1),
(54133,	4,	665,	2,	1),
(54134,	4,	665,	3,	1),
(54135,	4,	666,	1,	1),
(54136,	4,	666,	2,	1),
(54137,	4,	666,	3,	1),
(54138,	4,	667,	1,	1),
(54139,	4,	667,	2,	1),
(54140,	4,	667,	3,	1),
(54141,	4,	667,	23,	1),
(54142,	4,	667,	1,	2),
(54143,	4,	667,	2,	2),
(54144,	4,	667,	3,	2),
(54145,	4,	667,	23,	2),
(54146,	4,	668,	1,	1),
(54147,	4,	668,	2,	1),
(54148,	4,	668,	3,	1),
(54149,	4,	668,	23,	1),
(54150,	4,	669,	1,	1),
(54151,	4,	669,	2,	1),
(54152,	4,	669,	3,	1),
(54153,	4,	669,	23,	1),
(54154,	4,	670,	1,	1),
(54155,	4,	670,	2,	1),
(54156,	4,	670,	3,	1),
(54157,	4,	670,	23,	1),
(54158,	4,	671,	1,	1),
(54159,	4,	671,	2,	1),
(54160,	4,	671,	3,	1),
(54161,	4,	671,	23,	1),
(54162,	4,	671,	6,	1),
(54163,	4,	671,	24,	1),
(54164,	4,	671,	25,	1),
(54165,	4,	671,	4,	1),
(54166,	4,	671,	5,	1),
(54167,	4,	671,	26,	1),
(54168,	4,	671,	1,	3),
(54169,	4,	671,	2,	3),
(54170,	4,	671,	3,	3),
(54171,	4,	671,	23,	3),
(54172,	4,	671,	6,	3),
(54173,	4,	671,	24,	3),
(54174,	4,	671,	25,	3),
(54175,	4,	671,	4,	3),
(54176,	4,	671,	5,	3),
(54177,	4,	671,	26,	3),
(54178,	4,	672,	1,	1),
(54179,	4,	672,	2,	1),
(54180,	4,	672,	3,	1),
(54181,	4,	673,	1,	1),
(54182,	4,	673,	2,	1),
(54183,	4,	673,	3,	1),
(54184,	4,	673,	23,	1),
(54185,	4,	673,	6,	1),
(54186,	4,	673,	24,	1),
(54187,	4,	673,	25,	1),
(54188,	4,	673,	4,	1),
(54189,	4,	673,	5,	1),
(54190,	4,	673,	26,	1),
(54191,	4,	673,	1,	3),
(54192,	4,	673,	2,	3),
(54193,	4,	673,	3,	3),
(54194,	4,	673,	23,	3),
(54195,	4,	673,	6,	3),
(54196,	4,	673,	24,	3),
(54197,	4,	673,	25,	3),
(54198,	4,	673,	4,	3),
(54199,	4,	673,	5,	3),
(54200,	4,	673,	26,	3),
(54201,	4,	674,	1,	1),
(54202,	4,	674,	2,	1),
(54203,	4,	674,	3,	1),
(54204,	4,	674,	23,	1),
(54205,	4,	674,	6,	1),
(54206,	4,	674,	24,	1),
(54207,	4,	674,	25,	1),
(54208,	4,	674,	4,	1),
(54209,	4,	674,	5,	1),
(54210,	4,	674,	26,	1),
(54211,	4,	674,	1,	3),
(54212,	4,	674,	2,	3),
(54213,	4,	674,	3,	3),
(54214,	4,	674,	23,	3),
(54215,	4,	674,	6,	3),
(54216,	4,	674,	24,	3),
(54217,	4,	674,	25,	3),
(54218,	4,	674,	4,	3),
(54219,	4,	674,	5,	3),
(54220,	4,	674,	26,	3),
(54221,	4,	675,	1,	1),
(54222,	4,	675,	2,	1),
(54223,	4,	675,	3,	1),
(54224,	4,	676,	1,	1),
(54225,	4,	676,	2,	1),
(54226,	4,	676,	3,	1),
(54227,	4,	676,	23,	1),
(54228,	4,	676,	1,	3),
(54229,	4,	676,	2,	3),
(54230,	4,	676,	3,	3),
(54231,	4,	676,	23,	3),
(54232,	4,	677,	1,	1),
(54233,	4,	677,	2,	1),
(54234,	4,	677,	3,	1),
(54235,	4,	678,	1,	1),
(54236,	4,	678,	2,	1),
(54237,	4,	678,	3,	1),
(54238,	4,	679,	1,	1),
(54239,	4,	679,	2,	1),
(54240,	4,	679,	3,	1),
(54241,	4,	680,	1,	1),
(54242,	4,	680,	2,	1),
(54243,	4,	680,	3,	1),
(54244,	4,	680,	6,	1),
(54245,	4,	680,	24,	1),
(54246,	4,	680,	25,	1),
(54247,	4,	680,	4,	1),
(54248,	4,	680,	5,	1),
(54249,	4,	680,	26,	1),
(54250,	4,	680,	1,	3),
(54251,	4,	680,	2,	3),
(54252,	4,	680,	3,	3),
(54253,	4,	680,	6,	3),
(54254,	4,	680,	24,	3),
(54255,	4,	680,	25,	3),
(54256,	4,	680,	4,	3),
(54257,	4,	680,	5,	3),
(54258,	4,	680,	26,	3),
(54259,	4,	681,	1,	1),
(54260,	4,	681,	2,	1),
(54261,	4,	681,	3,	1),
(54262,	4,	681,	23,	1),
(54263,	4,	681,	6,	1),
(54264,	4,	681,	24,	1),
(54265,	4,	681,	25,	1),
(54266,	4,	681,	4,	1),
(54267,	4,	681,	5,	1),
(54268,	4,	681,	26,	1),
(54269,	4,	681,	28,	1),
(54270,	4,	682,	1,	1),
(54271,	4,	682,	2,	1),
(54272,	4,	682,	3,	1),
(54273,	4,	682,	23,	1),
(54274,	4,	682,	6,	1),
(54275,	4,	682,	24,	1),
(54276,	4,	682,	25,	1),
(54277,	4,	682,	4,	1),
(54278,	4,	682,	5,	1),
(54279,	4,	682,	26,	1),
(54280,	4,	682,	1,	3),
(54281,	4,	682,	2,	3),
(54282,	4,	682,	3,	3),
(54283,	4,	682,	23,	3),
(54284,	4,	682,	6,	3),
(54285,	4,	682,	24,	3),
(54286,	4,	682,	25,	3),
(54287,	4,	682,	4,	3),
(54288,	4,	682,	5,	3),
(54289,	4,	682,	26,	3),
(54290,	4,	683,	1,	1),
(54291,	4,	683,	2,	1),
(54292,	4,	683,	3,	1),
(54293,	4,	683,	23,	1),
(54294,	4,	684,	1,	1),
(54295,	4,	684,	2,	1),
(54296,	4,	684,	3,	1),
(54297,	4,	684,	23,	1),
(54298,	4,	684,	6,	1),
(54299,	4,	684,	24,	1),
(54300,	4,	684,	25,	1),
(54301,	4,	684,	4,	1),
(54302,	4,	684,	5,	1),
(54303,	4,	684,	26,	1),
(54304,	4,	684,	1,	3),
(54305,	4,	684,	2,	3),
(54306,	4,	684,	3,	3),
(54307,	4,	684,	23,	3),
(54308,	4,	684,	6,	3),
(54309,	4,	684,	24,	3),
(54310,	4,	684,	25,	3),
(54311,	4,	684,	4,	3),
(54312,	4,	684,	5,	3),
(54313,	4,	684,	26,	3),
(54314,	4,	685,	1,	1),
(54315,	4,	685,	2,	1),
(54316,	4,	685,	3,	1),
(54317,	4,	685,	23,	1),
(54318,	4,	685,	6,	1),
(54319,	4,	685,	24,	1),
(54320,	4,	685,	25,	1),
(54321,	4,	685,	4,	1),
(54322,	4,	685,	5,	1),
(54323,	4,	685,	26,	1),
(54324,	4,	685,	1,	3),
(54325,	4,	685,	2,	3),
(54326,	4,	685,	3,	3),
(54327,	4,	685,	23,	3),
(54328,	4,	685,	6,	3),
(54329,	4,	685,	24,	3),
(54330,	4,	685,	25,	3),
(54331,	4,	685,	4,	3),
(54332,	4,	685,	5,	3),
(54333,	4,	685,	26,	3),
(54334,	4,	686,	1,	1),
(54335,	4,	686,	2,	1),
(54336,	4,	686,	3,	1),
(54337,	4,	687,	1,	1),
(54338,	4,	687,	2,	1),
(54339,	4,	687,	3,	1),
(54340,	4,	687,	23,	1),
(54341,	4,	687,	6,	1),
(54342,	4,	687,	24,	1),
(54343,	4,	687,	25,	1),
(54344,	4,	687,	4,	1),
(54345,	4,	687,	5,	1),
(54346,	4,	687,	26,	1),
(54347,	4,	687,	1,	3),
(54348,	4,	687,	2,	3),
(54349,	4,	687,	3,	3),
(54350,	4,	687,	23,	3),
(54351,	4,	687,	6,	3),
(54352,	4,	687,	24,	3),
(54353,	4,	687,	25,	3),
(54354,	4,	687,	4,	3),
(54355,	4,	687,	5,	3),
(54356,	4,	687,	26,	3),
(54357,	4,	688,	1,	1),
(54358,	4,	688,	2,	1),
(54359,	4,	688,	3,	1),
(54360,	4,	688,	23,	1),
(54361,	4,	688,	6,	1),
(54362,	4,	688,	24,	1),
(54363,	4,	688,	25,	1),
(54364,	4,	688,	4,	1),
(54365,	4,	688,	5,	1),
(54366,	4,	688,	26,	1),
(54367,	4,	688,	1,	3),
(54368,	4,	688,	2,	3),
(54369,	4,	688,	3,	3),
(54370,	4,	688,	23,	3),
(54371,	4,	688,	6,	3),
(54372,	4,	688,	24,	3),
(54373,	4,	688,	25,	3),
(54374,	4,	688,	4,	3),
(54375,	4,	688,	5,	3),
(54376,	4,	688,	26,	3),
(54377,	4,	689,	1,	1),
(54378,	4,	689,	2,	1),
(54379,	4,	689,	3,	1),
(54380,	4,	689,	1,	3),
(54381,	4,	689,	2,	3),
(54382,	4,	689,	3,	3),
(54383,	4,	690,	1,	1),
(54384,	4,	690,	2,	1),
(54385,	4,	690,	3,	1),
(54386,	4,	690,	23,	1),
(54387,	4,	690,	6,	1),
(54388,	4,	690,	24,	1),
(54389,	4,	690,	25,	1),
(54390,	4,	690,	4,	1),
(54391,	4,	690,	5,	1),
(54392,	4,	690,	26,	1),
(54393,	4,	690,	1,	3),
(54394,	4,	690,	2,	3),
(54395,	4,	690,	3,	3),
(54396,	4,	690,	23,	3),
(54397,	4,	690,	6,	3),
(54398,	4,	690,	24,	3),
(54399,	4,	690,	25,	3),
(54400,	4,	690,	4,	3),
(54401,	4,	690,	5,	3),
(54402,	4,	690,	26,	3),
(54403,	4,	691,	1,	1),
(54404,	4,	691,	2,	1),
(54405,	4,	691,	3,	1),
(54406,	4,	692,	1,	1),
(54407,	4,	692,	2,	1),
(54408,	4,	692,	3,	1),
(54409,	4,	692,	23,	1),
(54410,	4,	692,	6,	1),
(54411,	4,	692,	24,	1),
(54412,	4,	692,	25,	1),
(54413,	4,	692,	4,	1),
(54414,	4,	692,	5,	1),
(54415,	4,	692,	26,	1),
(54416,	4,	692,	1,	3),
(54417,	4,	692,	2,	3),
(54418,	4,	692,	3,	3),
(54419,	4,	692,	23,	3),
(54420,	4,	692,	6,	3),
(54421,	4,	692,	24,	3),
(54422,	4,	692,	25,	3),
(54423,	4,	692,	4,	3),
(54424,	4,	692,	5,	3),
(54425,	4,	692,	26,	3),
(54426,	4,	693,	1,	1),
(54427,	4,	693,	2,	1),
(54428,	4,	693,	3,	1),
(54429,	4,	693,	1,	3),
(54430,	4,	693,	2,	3),
(54431,	4,	693,	3,	3),
(54432,	4,	694,	1,	1),
(54433,	4,	694,	2,	1),
(54434,	4,	694,	3,	1),
(54435,	4,	694,	23,	1),
(54436,	4,	694,	6,	1),
(54437,	4,	694,	24,	1),
(54438,	4,	694,	25,	1),
(54439,	4,	694,	4,	1),
(54440,	4,	694,	5,	1),
(54441,	4,	694,	26,	1),
(54442,	4,	694,	1,	3),
(54443,	4,	694,	2,	3),
(54444,	4,	694,	3,	3),
(54445,	4,	694,	23,	3),
(54446,	4,	694,	6,	3),
(54447,	4,	694,	24,	3),
(54448,	4,	694,	25,	3),
(54449,	4,	694,	4,	3),
(54450,	4,	694,	5,	3),
(54451,	4,	694,	26,	3),
(54452,	4,	695,	1,	1),
(54453,	4,	695,	2,	1),
(54454,	4,	695,	3,	1),
(54455,	4,	695,	1,	2),
(54456,	4,	695,	2,	2),
(54457,	4,	695,	3,	2),
(54458,	4,	696,	1,	1),
(54459,	4,	696,	2,	1),
(54460,	4,	696,	3,	1),
(54461,	4,	696,	23,	1),
(54462,	4,	696,	6,	1),
(54463,	4,	696,	24,	1),
(54464,	4,	696,	25,	1),
(54465,	4,	696,	4,	1),
(54466,	4,	696,	5,	1),
(54467,	4,	696,	26,	1),
(54468,	4,	696,	1,	3),
(54469,	4,	696,	2,	3),
(54470,	4,	696,	3,	3),
(54471,	4,	696,	23,	3),
(54472,	4,	696,	6,	3),
(54473,	4,	696,	24,	3),
(54474,	4,	696,	25,	3),
(54475,	4,	696,	4,	3),
(54476,	4,	696,	5,	3),
(54477,	4,	696,	26,	3),
(54478,	4,	697,	1,	1),
(54479,	4,	697,	2,	1),
(54480,	4,	697,	3,	1),
(54481,	4,	697,	23,	1),
(54482,	4,	697,	6,	1),
(54483,	4,	697,	24,	1),
(54484,	4,	697,	25,	1),
(54485,	4,	697,	4,	1),
(54486,	4,	697,	5,	1),
(54487,	4,	697,	26,	1),
(54488,	4,	697,	1,	3),
(54489,	4,	697,	2,	3),
(54490,	4,	697,	3,	3),
(54491,	4,	697,	23,	3),
(54492,	4,	697,	6,	3),
(54493,	4,	697,	24,	3),
(54494,	4,	697,	25,	3),
(54495,	4,	697,	4,	3),
(54496,	4,	697,	5,	3),
(54497,	4,	697,	26,	3),
(54498,	4,	698,	1,	1),
(54499,	4,	698,	2,	1),
(54500,	4,	698,	3,	1),
(54501,	4,	698,	23,	1),
(54502,	4,	698,	6,	1),
(54503,	4,	698,	24,	1),
(54504,	4,	698,	25,	1),
(54505,	4,	698,	4,	1),
(54506,	4,	698,	5,	1),
(54507,	4,	698,	26,	1),
(54508,	4,	698,	1,	3),
(54509,	4,	698,	2,	3),
(54510,	4,	698,	3,	3),
(54511,	4,	698,	23,	3),
(54512,	4,	698,	6,	3),
(54513,	4,	698,	24,	3),
(54514,	4,	698,	25,	3),
(54515,	4,	698,	4,	3),
(54516,	4,	698,	5,	3),
(54517,	4,	698,	26,	3),
(54518,	4,	699,	1,	1),
(54519,	4,	699,	2,	1),
(54520,	4,	699,	3,	1),
(54521,	4,	700,	1,	1),
(54522,	4,	700,	2,	1),
(54523,	4,	700,	3,	1),
(54524,	4,	701,	1,	1),
(54525,	4,	701,	2,	1),
(54526,	4,	701,	3,	1),
(54527,	4,	702,	1,	1),
(54528,	4,	702,	2,	1),
(54529,	4,	702,	3,	1),
(54530,	4,	703,	1,	1),
(54531,	4,	703,	2,	1),
(54532,	4,	703,	3,	1),
(54533,	4,	703,	23,	1),
(54534,	4,	703,	6,	1),
(54535,	4,	703,	24,	1),
(54536,	4,	703,	25,	1),
(54537,	4,	703,	4,	1),
(54538,	4,	703,	5,	1),
(54539,	4,	703,	26,	1),
(54540,	4,	703,	1,	3),
(54541,	4,	703,	2,	3),
(54542,	4,	703,	3,	3),
(54543,	4,	703,	23,	3),
(54544,	4,	703,	6,	3),
(54545,	4,	703,	24,	3),
(54546,	4,	703,	25,	3),
(54547,	4,	703,	4,	3),
(54548,	4,	703,	5,	3),
(54549,	4,	703,	26,	3),
(54550,	4,	704,	1,	1),
(54551,	4,	704,	2,	1),
(54552,	4,	704,	3,	1),
(54553,	4,	704,	23,	1),
(54554,	4,	704,	6,	1),
(54555,	4,	704,	24,	1),
(54556,	4,	704,	25,	1),
(54557,	4,	704,	4,	1),
(54558,	4,	704,	5,	1),
(54559,	4,	704,	26,	1),
(54560,	4,	705,	1,	1),
(54561,	4,	705,	2,	1),
(54562,	4,	705,	3,	1),
(54563,	4,	706,	1,	1),
(54564,	4,	706,	2,	1),
(54565,	4,	706,	3,	1),
(54566,	4,	707,	1,	1),
(54567,	4,	707,	2,	1),
(54568,	4,	707,	3,	1),
(54569,	4,	708,	1,	1),
(54570,	4,	708,	2,	1),
(54571,	4,	708,	3,	1),
(54572,	4,	709,	1,	1),
(54573,	4,	709,	2,	1),
(54574,	4,	709,	3,	1),
(54575,	4,	709,	23,	1),
(54576,	4,	709,	6,	1),
(54577,	4,	709,	24,	1),
(54578,	4,	709,	25,	1),
(54579,	4,	709,	4,	1),
(54580,	4,	709,	5,	1),
(54581,	4,	709,	26,	1),
(54582,	4,	709,	1,	3),
(54583,	4,	709,	2,	3),
(54584,	4,	709,	3,	3),
(54585,	4,	709,	23,	3),
(54586,	4,	709,	6,	3),
(54587,	4,	709,	24,	3),
(54588,	4,	709,	25,	3),
(54589,	4,	709,	4,	3),
(54590,	4,	709,	5,	3),
(54591,	4,	709,	26,	3),
(54592,	4,	710,	1,	1),
(54593,	4,	710,	2,	1),
(54594,	4,	710,	3,	1),
(54595,	4,	711,	1,	1),
(54596,	4,	711,	2,	1),
(54597,	4,	711,	3,	1),
(54598,	4,	711,	23,	1),
(54599,	4,	711,	6,	1),
(54600,	4,	711,	24,	1),
(54601,	4,	711,	25,	1),
(54602,	4,	711,	4,	1),
(54603,	4,	711,	5,	1),
(54604,	4,	711,	26,	1),
(54605,	4,	711,	1,	3),
(54606,	4,	711,	2,	3),
(54607,	4,	711,	3,	3),
(54608,	4,	711,	23,	3),
(54609,	4,	711,	6,	3),
(54610,	4,	711,	24,	3),
(54611,	4,	711,	25,	3),
(54612,	4,	711,	4,	3),
(54613,	4,	711,	5,	3),
(54614,	4,	711,	26,	3),
(54615,	4,	712,	1,	1),
(54616,	4,	712,	2,	1),
(54617,	4,	712,	3,	1),
(54618,	4,	713,	1,	1),
(54619,	4,	713,	2,	1),
(54620,	4,	713,	3,	1),
(54621,	4,	713,	1,	2),
(54622,	4,	713,	2,	2),
(54623,	4,	713,	3,	2),
(54624,	4,	714,	1,	1),
(54625,	4,	714,	2,	1),
(54626,	4,	714,	3,	1),
(54627,	4,	715,	1,	1),
(54628,	4,	715,	2,	1),
(54629,	4,	715,	3,	1),
(54630,	4,	716,	1,	1),
(54631,	4,	716,	2,	1),
(54632,	4,	716,	3,	1),
(54633,	4,	716,	23,	1),
(54634,	4,	716,	1,	3),
(54635,	4,	716,	2,	3),
(54636,	4,	716,	3,	3),
(54637,	4,	716,	23,	3),
(54638,	4,	717,	1,	1),
(54639,	4,	717,	2,	1),
(54640,	4,	717,	3,	1),
(54641,	4,	717,	23,	1),
(54642,	4,	717,	6,	1),
(54643,	4,	717,	24,	1),
(54644,	4,	717,	25,	1),
(54645,	4,	717,	4,	1),
(54646,	4,	717,	5,	1),
(54647,	4,	717,	26,	1),
(54648,	4,	717,	1,	3),
(54649,	4,	717,	2,	3),
(54650,	4,	717,	3,	3),
(54651,	4,	717,	23,	3),
(54652,	4,	717,	6,	3),
(54653,	4,	717,	24,	3),
(54654,	4,	717,	25,	3),
(54655,	4,	717,	4,	3),
(54656,	4,	717,	5,	3),
(54657,	4,	717,	26,	3),
(54658,	4,	718,	1,	1),
(54659,	4,	718,	2,	1),
(54660,	4,	718,	3,	1),
(54661,	4,	718,	23,	1),
(54662,	4,	719,	1,	1),
(54663,	4,	719,	2,	1),
(54664,	4,	719,	3,	1),
(54665,	4,	719,	23,	1),
(54666,	4,	719,	6,	1),
(54667,	4,	719,	24,	1),
(54668,	4,	719,	25,	1),
(54669,	4,	719,	4,	1),
(54670,	4,	719,	5,	1),
(54671,	4,	719,	26,	1),
(54672,	4,	719,	1,	3),
(54673,	4,	719,	2,	3),
(54674,	4,	719,	3,	3),
(54675,	4,	719,	23,	3),
(54676,	4,	719,	6,	3),
(54677,	4,	719,	24,	3),
(54678,	4,	719,	25,	3),
(54679,	4,	719,	4,	3),
(54680,	4,	719,	5,	3),
(54681,	4,	719,	26,	3),
(54682,	4,	720,	1,	1),
(54683,	4,	720,	2,	1),
(54684,	4,	720,	3,	1),
(54685,	4,	721,	1,	1),
(54686,	4,	721,	2,	1),
(54687,	4,	721,	3,	1),
(54688,	4,	721,	23,	1),
(54689,	4,	721,	1,	3),
(54690,	4,	721,	2,	3),
(54691,	4,	721,	3,	3),
(54692,	4,	721,	23,	3),
(54693,	4,	722,	1,	1),
(54694,	4,	722,	2,	1),
(54695,	4,	722,	3,	1),
(54696,	4,	722,	23,	1),
(54697,	4,	722,	6,	1),
(54698,	4,	722,	24,	1),
(54699,	4,	722,	25,	1),
(54700,	4,	722,	4,	1),
(54701,	4,	722,	5,	1),
(54702,	4,	722,	26,	1),
(54703,	4,	722,	1,	3),
(54704,	4,	722,	2,	3),
(54705,	4,	722,	3,	3),
(54706,	4,	722,	23,	3),
(54707,	4,	722,	6,	3),
(54708,	4,	722,	24,	3),
(54709,	4,	722,	25,	3),
(54710,	4,	722,	4,	3),
(54711,	4,	722,	5,	3),
(54712,	4,	722,	26,	3),
(54713,	4,	723,	1,	1),
(54714,	4,	723,	2,	1),
(54715,	4,	723,	3,	1),
(54716,	4,	723,	23,	1),
(54717,	4,	724,	1,	1),
(54718,	4,	724,	2,	1),
(54719,	4,	724,	3,	1),
(54720,	4,	724,	23,	1),
(54721,	4,	724,	6,	1),
(54722,	4,	724,	24,	1),
(54723,	4,	724,	25,	1),
(54724,	4,	724,	4,	1),
(54725,	4,	724,	5,	1),
(54726,	4,	724,	26,	1),
(54727,	4,	724,	1,	3),
(54728,	4,	724,	2,	3),
(54729,	4,	724,	3,	3),
(54730,	4,	724,	23,	3),
(54731,	4,	724,	6,	3),
(54732,	4,	724,	24,	3),
(54733,	4,	724,	25,	3),
(54734,	4,	724,	4,	3),
(54735,	4,	724,	5,	3),
(54736,	4,	724,	26,	3),
(54737,	4,	725,	1,	1),
(54738,	4,	725,	2,	1),
(54739,	4,	725,	3,	1),
(54740,	4,	726,	1,	1),
(54741,	4,	726,	2,	1),
(54742,	4,	726,	3,	1),
(54743,	4,	727,	1,	1),
(54744,	4,	727,	2,	1),
(54745,	4,	727,	3,	1),
(54746,	4,	728,	1,	1),
(54747,	4,	728,	2,	1),
(54748,	4,	728,	3,	1),
(54749,	4,	729,	1,	1),
(54750,	4,	729,	2,	1),
(54751,	4,	729,	3,	1),
(54752,	4,	730,	1,	1),
(54753,	4,	730,	2,	1),
(54754,	4,	730,	3,	1),
(54755,	4,	730,	23,	1),
(54756,	4,	730,	6,	1),
(54757,	4,	730,	24,	1),
(54758,	4,	730,	25,	1),
(54759,	4,	730,	4,	1),
(54760,	4,	730,	5,	1),
(54761,	4,	730,	26,	1),
(54762,	4,	730,	1,	3),
(54763,	4,	730,	2,	3),
(54764,	4,	730,	3,	3),
(54765,	4,	730,	23,	3),
(54766,	4,	730,	6,	3),
(54767,	4,	730,	24,	3),
(54768,	4,	730,	25,	3),
(54769,	4,	730,	4,	3),
(54770,	4,	730,	5,	3),
(54771,	4,	730,	26,	3),
(54772,	4,	731,	1,	1),
(54773,	4,	731,	2,	1),
(54774,	4,	731,	3,	1),
(54775,	4,	731,	23,	1),
(54776,	4,	731,	6,	1),
(54777,	4,	731,	24,	1),
(54778,	4,	731,	25,	1),
(54779,	4,	731,	4,	1),
(54780,	4,	731,	5,	1),
(54781,	4,	731,	26,	1),
(54782,	4,	731,	1,	3),
(54783,	4,	731,	2,	3),
(54784,	4,	731,	3,	3),
(54785,	4,	731,	23,	3),
(54786,	4,	731,	6,	3),
(54787,	4,	731,	24,	3),
(54788,	4,	731,	25,	3),
(54789,	4,	731,	4,	3),
(54790,	4,	731,	5,	3),
(54791,	4,	731,	26,	3),
(54792,	4,	732,	1,	1),
(54793,	4,	732,	2,	1),
(54794,	4,	732,	3,	1),
(54795,	4,	732,	23,	1),
(54796,	4,	733,	1,	1),
(54797,	4,	733,	2,	1),
(54798,	4,	733,	3,	1),
(54799,	4,	733,	23,	1),
(54800,	4,	733,	6,	1),
(54801,	4,	733,	24,	1),
(54802,	4,	733,	25,	1),
(54803,	4,	733,	4,	1),
(54804,	4,	733,	5,	1),
(54805,	4,	733,	26,	1),
(54806,	4,	733,	1,	3),
(54807,	4,	733,	2,	3),
(54808,	4,	733,	3,	3),
(54809,	4,	733,	23,	3),
(54810,	4,	733,	6,	3),
(54811,	4,	733,	24,	3),
(54812,	4,	733,	25,	3),
(54813,	4,	733,	4,	3),
(54814,	4,	733,	5,	3),
(54815,	4,	733,	26,	3),
(54816,	4,	734,	1,	1),
(54817,	4,	734,	2,	1),
(54818,	4,	734,	3,	1),
(54819,	4,	734,	23,	1),
(54820,	4,	734,	6,	1),
(54821,	4,	734,	24,	1),
(54822,	4,	734,	25,	1),
(54823,	4,	734,	4,	1),
(54824,	4,	734,	5,	1),
(54825,	4,	734,	26,	1),
(54826,	4,	734,	1,	3),
(54827,	4,	734,	2,	3),
(54828,	4,	734,	3,	3),
(54829,	4,	734,	23,	3),
(54830,	4,	734,	6,	3),
(54831,	4,	734,	24,	3),
(54832,	4,	734,	25,	3),
(54833,	4,	734,	4,	3),
(54834,	4,	734,	5,	3),
(54835,	4,	734,	26,	3),
(54836,	4,	735,	1,	1),
(54837,	4,	735,	2,	1),
(54838,	4,	735,	3,	1),
(54839,	4,	735,	23,	1),
(54840,	4,	736,	1,	1),
(54841,	4,	736,	2,	1),
(54842,	4,	736,	3,	1),
(54843,	4,	736,	23,	1),
(54844,	4,	736,	6,	1),
(54845,	4,	736,	24,	1),
(54846,	4,	736,	25,	1),
(54847,	4,	736,	4,	1),
(54848,	4,	736,	5,	1),
(54849,	4,	736,	26,	1),
(54850,	4,	736,	1,	3),
(54851,	4,	736,	2,	3),
(54852,	4,	736,	3,	3),
(54853,	4,	736,	23,	3),
(54854,	4,	736,	6,	3),
(54855,	4,	736,	24,	3),
(54856,	4,	736,	25,	3),
(54857,	4,	736,	4,	3),
(54858,	4,	736,	5,	3),
(54859,	4,	736,	26,	3),
(54860,	4,	737,	1,	1),
(54861,	4,	737,	2,	1),
(54862,	4,	737,	3,	1),
(54863,	4,	738,	1,	1),
(54864,	4,	738,	2,	1),
(54865,	4,	738,	3,	1),
(54866,	4,	739,	1,	1),
(54867,	4,	739,	2,	1),
(54868,	4,	739,	3,	1),
(54869,	4,	740,	1,	1),
(54870,	4,	740,	2,	1),
(54871,	4,	740,	3,	1),
(54872,	4,	740,	23,	1),
(54873,	4,	740,	6,	1),
(54874,	4,	740,	24,	1),
(54875,	4,	740,	25,	1),
(54876,	4,	740,	4,	1),
(54877,	4,	740,	5,	1),
(54878,	4,	740,	26,	1),
(54879,	4,	740,	1,	3),
(54880,	4,	740,	2,	3),
(54881,	4,	740,	3,	3),
(54882,	4,	740,	23,	3),
(54883,	4,	740,	6,	3),
(54884,	4,	740,	24,	3),
(54885,	4,	740,	25,	3),
(54886,	4,	740,	4,	3),
(54887,	4,	740,	5,	3),
(54888,	4,	740,	26,	3),
(54889,	4,	741,	1,	1),
(54890,	4,	741,	2,	1),
(54891,	4,	741,	3,	1),
(54892,	4,	741,	23,	1),
(54893,	4,	741,	6,	1),
(54894,	4,	741,	24,	1),
(54895,	4,	741,	25,	1),
(54896,	4,	741,	4,	1),
(54897,	4,	741,	5,	1),
(54898,	4,	741,	26,	1),
(54899,	4,	742,	1,	1),
(54900,	4,	742,	2,	1),
(54901,	4,	742,	3,	1),
(54902,	4,	743,	1,	1),
(54903,	4,	743,	2,	1),
(54904,	4,	743,	3,	1),
(54905,	4,	743,	23,	1),
(54906,	4,	743,	6,	1),
(54907,	4,	743,	24,	1),
(54908,	4,	743,	25,	1),
(54909,	4,	743,	4,	1),
(54910,	4,	743,	5,	1),
(54911,	4,	743,	26,	1),
(54912,	4,	743,	1,	3),
(54913,	4,	743,	2,	3),
(54914,	4,	743,	3,	3),
(54915,	4,	743,	23,	3),
(54916,	4,	743,	6,	3),
(54917,	4,	743,	24,	3),
(54918,	4,	743,	25,	3),
(54919,	4,	743,	4,	3),
(54920,	4,	743,	5,	3),
(54921,	4,	743,	26,	3),
(54922,	4,	744,	1,	1),
(54923,	4,	744,	2,	1),
(54924,	4,	744,	3,	1),
(54925,	4,	744,	23,	1),
(54926,	4,	744,	6,	1),
(54927,	4,	744,	24,	1),
(54928,	4,	744,	25,	1),
(54929,	4,	744,	4,	1),
(54930,	4,	744,	5,	1),
(54931,	4,	744,	26,	1),
(54932,	4,	744,	1,	3),
(54933,	4,	744,	2,	3),
(54934,	4,	744,	3,	3),
(54935,	4,	744,	23,	3),
(54936,	4,	744,	6,	3),
(54937,	4,	744,	24,	3),
(54938,	4,	744,	25,	3),
(54939,	4,	744,	4,	3),
(54940,	4,	744,	5,	3),
(54941,	4,	744,	26,	3),
(54942,	4,	745,	1,	1),
(54943,	4,	745,	2,	1),
(54944,	4,	745,	3,	1),
(54945,	4,	745,	23,	1),
(54946,	4,	745,	6,	1),
(54947,	4,	745,	5,	1),
(54948,	4,	746,	1,	1),
(54949,	4,	746,	2,	1),
(54950,	4,	746,	3,	1),
(54951,	4,	747,	1,	1),
(54952,	4,	747,	2,	1),
(54953,	4,	747,	3,	1),
(54954,	4,	747,	23,	1),
(54955,	4,	747,	6,	1),
(54956,	4,	747,	24,	1),
(54957,	4,	747,	25,	1),
(54958,	4,	747,	4,	1),
(54959,	4,	747,	5,	1),
(54960,	4,	747,	26,	1),
(54961,	4,	747,	1,	3),
(54962,	4,	747,	2,	3),
(54963,	4,	747,	3,	3),
(54964,	4,	747,	23,	3),
(54965,	4,	747,	6,	3),
(54966,	4,	747,	24,	3),
(54967,	4,	747,	25,	3),
(54968,	4,	747,	4,	3),
(54969,	4,	747,	5,	3),
(54970,	4,	747,	26,	3),
(54971,	4,	748,	1,	1),
(54972,	4,	748,	2,	1),
(54973,	4,	748,	3,	1),
(54974,	4,	748,	23,	1),
(54975,	4,	748,	6,	1),
(54976,	4,	748,	24,	1),
(54977,	4,	748,	25,	1),
(54978,	4,	748,	4,	1),
(54979,	4,	748,	5,	1),
(54980,	4,	748,	26,	1),
(54981,	4,	748,	1,	3),
(54982,	4,	748,	2,	3),
(54983,	4,	748,	3,	3),
(54984,	4,	748,	23,	3),
(54985,	4,	748,	6,	3),
(54986,	4,	748,	24,	3),
(54987,	4,	748,	25,	3),
(54988,	4,	748,	4,	3),
(54989,	4,	748,	5,	3),
(54990,	4,	748,	26,	3),
(54991,	4,	749,	1,	1),
(54992,	4,	749,	2,	1),
(54993,	4,	749,	3,	1),
(54994,	4,	750,	1,	1),
(54995,	4,	750,	2,	1),
(54996,	4,	750,	3,	1),
(54997,	4,	750,	23,	1),
(54998,	4,	750,	6,	1),
(54999,	4,	750,	24,	1),
(55000,	4,	750,	25,	1),
(55001,	4,	750,	4,	1),
(55002,	4,	750,	5,	1),
(55003,	4,	750,	26,	1),
(55004,	4,	750,	1,	3),
(55005,	4,	750,	2,	3),
(55006,	4,	750,	3,	3),
(55007,	4,	750,	23,	3),
(55008,	4,	750,	6,	3),
(55009,	4,	750,	24,	3),
(55010,	4,	750,	25,	3),
(55011,	4,	750,	4,	3),
(55012,	4,	750,	5,	3),
(55013,	4,	750,	26,	3),
(55014,	4,	751,	1,	1),
(55015,	4,	751,	2,	1),
(55016,	4,	751,	3,	1),
(55017,	4,	752,	1,	1),
(55018,	4,	752,	2,	1),
(55019,	4,	752,	3,	1),
(55020,	4,	752,	6,	1),
(55021,	4,	752,	24,	1),
(55022,	4,	752,	25,	1),
(55023,	4,	752,	4,	1),
(55024,	4,	752,	5,	1),
(55025,	4,	752,	26,	1),
(55026,	4,	752,	1,	3),
(55027,	4,	752,	2,	3),
(55028,	4,	752,	3,	3),
(55029,	4,	752,	6,	3),
(55030,	4,	752,	24,	3),
(55031,	4,	752,	25,	3),
(55032,	4,	752,	4,	3),
(55033,	4,	752,	5,	3),
(55034,	4,	752,	26,	3),
(55035,	4,	753,	1,	1),
(55036,	4,	753,	2,	1),
(55037,	4,	753,	3,	1),
(55038,	4,	753,	23,	1),
(55039,	4,	754,	1,	1),
(55040,	4,	754,	2,	1),
(55041,	4,	754,	3,	1),
(55042,	4,	754,	23,	1),
(55043,	4,	754,	6,	1),
(55044,	4,	754,	24,	1),
(55045,	4,	754,	25,	1),
(55046,	4,	754,	4,	1),
(55047,	4,	754,	5,	1),
(55048,	4,	754,	26,	1),
(55049,	4,	754,	1,	3),
(55050,	4,	754,	2,	3),
(55051,	4,	754,	3,	3),
(55052,	4,	754,	23,	3),
(55053,	4,	754,	6,	3),
(55054,	4,	754,	24,	3),
(55055,	4,	754,	25,	3),
(55056,	4,	754,	4,	3),
(55057,	4,	754,	5,	3),
(55058,	4,	754,	26,	3),
(55059,	4,	755,	1,	1),
(55060,	4,	755,	2,	1),
(55061,	4,	755,	3,	1),
(55062,	4,	756,	1,	1),
(55063,	4,	756,	2,	1),
(55064,	4,	756,	3,	1),
(55065,	4,	757,	1,	1),
(55066,	4,	757,	2,	1),
(55067,	4,	757,	3,	1),
(55068,	4,	757,	1,	3),
(55069,	4,	757,	2,	3),
(55070,	4,	757,	3,	3),
(55071,	4,	758,	1,	1),
(55072,	4,	758,	2,	1),
(55073,	4,	758,	3,	1),
(55074,	4,	758,	23,	1),
(55075,	4,	758,	1,	2),
(55076,	4,	758,	2,	2),
(55077,	4,	758,	3,	2),
(55078,	4,	758,	23,	2),
(55079,	4,	759,	1,	1),
(55080,	4,	759,	2,	1),
(55081,	4,	759,	3,	1),
(55082,	4,	759,	1,	3),
(55083,	4,	759,	2,	3),
(55084,	4,	759,	3,	3),
(55085,	4,	760,	1,	1),
(55086,	4,	760,	2,	1),
(55087,	4,	760,	3,	1),
(55088,	4,	760,	23,	1),
(55089,	4,	760,	1,	3),
(55090,	4,	760,	2,	3),
(55091,	4,	760,	3,	3),
(55092,	4,	760,	23,	3),
(55093,	4,	760,	1,	2),
(55094,	4,	760,	2,	2),
(55095,	4,	760,	3,	2),
(55096,	4,	760,	23,	2),
(55097,	4,	761,	1,	1),
(55098,	4,	761,	2,	1),
(55099,	4,	761,	3,	1),
(55100,	4,	761,	1,	2),
(55101,	4,	761,	2,	2),
(55102,	4,	761,	3,	2),
(55103,	4,	762,	1,	1),
(55104,	4,	762,	2,	1),
(55105,	4,	762,	3,	1),
(55106,	4,	762,	1,	2),
(55107,	4,	762,	2,	2),
(55108,	4,	762,	3,	2),
(55109,	4,	763,	1,	1),
(55110,	4,	763,	2,	1),
(55111,	4,	763,	3,	1),
(55112,	4,	763,	1,	2),
(55113,	4,	763,	2,	2),
(55114,	4,	763,	3,	2),
(55115,	4,	764,	1,	1),
(55116,	4,	764,	2,	1),
(55117,	4,	764,	3,	1),
(55118,	4,	764,	1,	2),
(55119,	4,	764,	2,	2),
(55120,	4,	764,	3,	2),
(55121,	4,	765,	1,	1),
(55122,	4,	765,	2,	1),
(55123,	4,	765,	3,	1),
(55124,	4,	765,	1,	2),
(55125,	4,	765,	2,	2),
(55126,	4,	765,	3,	2),
(55127,	4,	766,	1,	1),
(55128,	4,	766,	2,	1),
(55129,	4,	766,	3,	1),
(55130,	4,	767,	1,	1),
(55131,	4,	767,	2,	1),
(55132,	4,	767,	3,	1),
(55133,	4,	767,	6,	1),
(55134,	4,	767,	1,	2),
(55135,	4,	767,	2,	2),
(55136,	4,	767,	3,	2),
(55137,	4,	767,	6,	2),
(55138,	4,	768,	1,	1),
(55139,	4,	768,	2,	1),
(55140,	4,	768,	3,	1),
(55141,	4,	768,	1,	2),
(55142,	4,	768,	2,	2),
(55143,	4,	768,	3,	2),
(55144,	4,	769,	1,	1),
(55145,	4,	769,	2,	1),
(55146,	4,	769,	3,	1),
(55147,	4,	769,	1,	3),
(55148,	4,	769,	2,	3),
(55149,	4,	769,	3,	3),
(55150,	4,	770,	1,	1),
(55151,	4,	770,	2,	1),
(55152,	4,	770,	3,	1),
(55153,	4,	771,	1,	1),
(55154,	4,	771,	2,	1),
(55155,	4,	771,	3,	1),
(55156,	4,	772,	1,	1),
(55157,	4,	772,	2,	1),
(55158,	4,	772,	3,	1),
(55159,	4,	772,	6,	1),
(55160,	4,	772,	1,	2),
(55161,	4,	772,	2,	2),
(55162,	4,	772,	3,	2),
(55163,	4,	772,	6,	2),
(55164,	4,	773,	1,	1),
(55165,	4,	773,	2,	1),
(55166,	4,	773,	3,	1),
(55167,	4,	773,	6,	1),
(55168,	4,	773,	1,	2),
(55169,	4,	773,	2,	2),
(55170,	4,	773,	3,	2),
(55171,	4,	773,	6,	2),
(55172,	4,	774,	1,	1),
(55173,	4,	774,	2,	1),
(55174,	4,	774,	3,	1),
(55175,	4,	775,	1,	1),
(55176,	4,	775,	2,	1),
(55177,	4,	775,	3,	1),
(55178,	4,	775,	1,	2),
(55179,	4,	775,	2,	2),
(55180,	4,	775,	3,	2),
(55181,	4,	776,	1,	1),
(55182,	4,	776,	2,	1),
(55183,	4,	776,	3,	1),
(55184,	4,	776,	1,	2),
(55185,	4,	776,	2,	2),
(55186,	4,	776,	3,	2),
(55187,	4,	777,	1,	1),
(55188,	4,	777,	2,	1),
(55189,	4,	777,	3,	1),
(55190,	4,	778,	1,	1),
(55191,	4,	778,	2,	1),
(55192,	4,	778,	3,	1),
(55193,	4,	778,	1,	2),
(55194,	4,	778,	2,	2),
(55195,	4,	778,	3,	2),
(55196,	4,	779,	1,	1),
(55197,	4,	779,	2,	1),
(55198,	4,	779,	3,	1),
(55199,	4,	779,	1,	2),
(55200,	4,	779,	2,	2),
(55201,	4,	779,	3,	2),
(55202,	4,	780,	1,	1),
(55203,	4,	780,	2,	1),
(55204,	4,	780,	3,	1),
(55205,	4,	780,	1,	2),
(55206,	4,	780,	2,	2),
(55207,	4,	780,	3,	2),
(55208,	4,	781,	1,	1),
(55209,	4,	781,	2,	1),
(55210,	4,	781,	3,	1),
(55211,	4,	781,	1,	3),
(55212,	4,	781,	2,	3),
(55213,	4,	781,	3,	3),
(55214,	4,	782,	1,	1),
(55215,	4,	782,	2,	1),
(55216,	4,	782,	3,	1),
(55217,	4,	782,	1,	3),
(55218,	4,	782,	2,	3),
(55219,	4,	782,	3,	3),
(55220,	4,	783,	1,	1),
(55221,	4,	783,	2,	1),
(55222,	4,	783,	3,	1),
(55223,	4,	783,	1,	3),
(55224,	4,	783,	2,	3),
(55225,	4,	783,	3,	3),
(55226,	4,	784,	1,	1),
(55227,	4,	784,	2,	1),
(55228,	4,	784,	3,	1),
(55229,	4,	784,	1,	3),
(55230,	4,	784,	2,	3),
(55231,	4,	784,	3,	3),
(55232,	4,	785,	1,	1),
(55233,	4,	785,	2,	1),
(55234,	4,	785,	3,	1),
(55235,	4,	786,	1,	1),
(55236,	4,	786,	2,	1),
(55237,	4,	786,	3,	1),
(55238,	4,	787,	1,	1),
(55239,	4,	787,	2,	1),
(55240,	4,	787,	3,	1),
(55241,	4,	787,	1,	3),
(55242,	4,	787,	2,	3),
(55243,	4,	787,	3,	3),
(55244,	4,	788,	1,	1),
(55245,	4,	788,	2,	1),
(55246,	4,	788,	3,	1),
(55247,	4,	788,	1,	2),
(55248,	4,	788,	2,	2),
(55249,	4,	788,	3,	2),
(55250,	4,	789,	1,	1),
(55251,	4,	789,	2,	1),
(55252,	4,	789,	3,	1),
(55253,	4,	789,	1,	2),
(55254,	4,	789,	2,	2),
(55255,	4,	789,	3,	2),
(55256,	4,	790,	1,	1),
(55257,	4,	790,	2,	1),
(55258,	4,	790,	3,	1),
(55259,	4,	790,	1,	2),
(55260,	4,	790,	2,	2),
(55261,	4,	790,	3,	2),
(55262,	4,	791,	1,	1),
(55263,	4,	791,	2,	1),
(55264,	4,	791,	3,	1),
(55265,	4,	791,	1,	3),
(55266,	4,	791,	2,	3),
(55267,	4,	791,	3,	3),
(55268,	4,	792,	1,	1),
(55269,	4,	792,	2,	1),
(55270,	4,	792,	3,	1),
(55271,	4,	792,	1,	2),
(55272,	4,	792,	2,	2),
(55273,	4,	792,	3,	2),
(55274,	4,	793,	1,	1),
(55275,	4,	793,	2,	1),
(55276,	4,	793,	3,	1),
(55277,	4,	793,	1,	2),
(55278,	4,	793,	2,	2),
(55279,	4,	793,	3,	2),
(55280,	4,	794,	1,	1),
(55281,	4,	794,	2,	1),
(55282,	4,	794,	3,	1),
(55283,	4,	794,	1,	2),
(55284,	4,	794,	2,	2),
(55285,	4,	794,	3,	2),
(55286,	4,	795,	1,	1),
(55287,	4,	795,	2,	1),
(55288,	4,	795,	3,	1),
(55289,	4,	795,	1,	2),
(55290,	4,	795,	2,	2),
(55291,	4,	795,	3,	2),
(55292,	4,	796,	1,	1),
(55293,	4,	796,	2,	1),
(55294,	4,	796,	3,	1),
(55295,	4,	796,	1,	2),
(55296,	4,	796,	2,	2),
(55297,	4,	796,	3,	2),
(55298,	4,	797,	1,	1),
(55299,	4,	797,	2,	1),
(55300,	4,	797,	3,	1),
(55301,	4,	797,	1,	3),
(55302,	4,	797,	2,	3),
(55303,	4,	797,	3,	3),
(55304,	4,	798,	1,	1),
(55305,	4,	798,	2,	1),
(55306,	4,	798,	3,	1),
(55307,	4,	798,	1,	2),
(55308,	4,	798,	2,	2),
(55309,	4,	798,	3,	2),
(55310,	4,	799,	1,	1),
(55311,	4,	799,	2,	1),
(55312,	4,	799,	3,	1),
(55313,	4,	799,	1,	2),
(55314,	4,	799,	2,	2),
(55315,	4,	799,	3,	2),
(55316,	4,	800,	1,	1),
(55317,	4,	800,	2,	1),
(55318,	4,	800,	3,	1),
(55319,	4,	800,	1,	2),
(55320,	4,	800,	2,	2),
(55321,	4,	800,	3,	2),
(55322,	4,	801,	1,	1),
(55323,	4,	801,	2,	1),
(55324,	4,	801,	3,	1),
(55325,	4,	801,	1,	2),
(55326,	4,	801,	2,	2),
(55327,	4,	801,	3,	2),
(55328,	4,	802,	1,	1),
(55329,	4,	802,	2,	1),
(55330,	4,	802,	3,	1),
(55331,	4,	802,	1,	2),
(55332,	4,	802,	2,	2),
(55333,	4,	802,	3,	2),
(55334,	4,	803,	1,	1),
(55335,	4,	803,	2,	1),
(55336,	4,	803,	3,	1),
(55337,	4,	803,	1,	2),
(55338,	4,	803,	2,	2),
(55339,	4,	803,	3,	2),
(55340,	4,	804,	1,	1),
(55341,	4,	804,	2,	1),
(55342,	4,	804,	3,	1),
(55343,	4,	804,	1,	2),
(55344,	4,	804,	2,	2),
(55345,	4,	804,	3,	2),
(55346,	4,	805,	1,	1),
(55347,	4,	805,	2,	1),
(55348,	4,	805,	3,	1),
(55349,	4,	805,	6,	1),
(55350,	4,	805,	24,	1),
(55351,	4,	805,	23,	1),
(55352,	4,	806,	1,	1),
(55353,	4,	806,	2,	1),
(55354,	4,	806,	3,	1),
(55355,	4,	806,	6,	1),
(55356,	4,	806,	24,	1),
(55357,	4,	807,	1,	1),
(55358,	4,	807,	2,	1),
(55359,	4,	807,	3,	1),
(55360,	4,	807,	6,	1),
(55361,	4,	807,	24,	1),
(55362,	4,	808,	1,	1),
(55363,	4,	808,	2,	1),
(55364,	4,	808,	3,	1),
(55365,	4,	808,	1,	2),
(55366,	4,	808,	2,	2),
(55367,	4,	808,	3,	2),
(55368,	4,	809,	1,	1),
(55369,	4,	809,	2,	1),
(55370,	4,	809,	3,	1),
(55371,	4,	809,	1,	2),
(55372,	4,	809,	2,	2),
(55373,	4,	809,	3,	2),
(55374,	4,	810,	1,	1),
(55375,	4,	810,	2,	1),
(55376,	4,	810,	3,	1),
(55377,	4,	810,	6,	1),
(55378,	4,	810,	24,	1),
(55379,	4,	811,	1,	1),
(55380,	4,	811,	2,	1),
(55381,	4,	811,	3,	1),
(55382,	4,	811,	1,	2),
(55383,	4,	811,	2,	2),
(55384,	4,	811,	3,	2),
(55385,	4,	812,	1,	1),
(55386,	4,	812,	2,	1),
(55387,	4,	812,	3,	1),
(55388,	4,	813,	1,	1),
(55389,	4,	813,	2,	1),
(55390,	4,	813,	3,	1),
(55391,	4,	813,	1,	2),
(55392,	4,	813,	2,	2),
(55393,	4,	813,	3,	2),
(55394,	4,	814,	1,	1),
(55395,	4,	814,	2,	1),
(55396,	4,	814,	3,	1),
(55397,	4,	814,	23,	1),
(55398,	4,	814,	49,	1),
(55399,	4,	814,	5,	1),
(55400,	4,	814,	26,	1),
(55401,	4,	815,	1,	1),
(55402,	4,	815,	2,	1),
(55403,	4,	815,	3,	1),
(55404,	4,	816,	1,	1),
(55405,	4,	816,	2,	1),
(55406,	4,	816,	3,	1),
(55409,	4,	816,	49,	1),
(55410,	4,	816,	50,	1),
(55411,	4,	816,	23,	1),
(55412,	4,	816,	51,	1),
(55413,	4,	816,	48,	1),
(55414,	4,	816,	52,	1),
(55415,	4,	816,	53,	1),
(55416,	4,	817,	1,	1),
(55417,	4,	817,	2,	1),
(55418,	4,	817,	3,	1),
(55419,	4,	817,	23,	1),
(55420,	4,	817,	49,	1),
(55421,	4,	817,	5,	1),
(55422,	4,	817,	26,	1),
(55423,	4,	818,	1,	1),
(55424,	4,	818,	2,	1),
(55425,	4,	818,	3,	1),
(55426,	4,	818,	49,	1),
(55427,	4,	819,	1,	1),
(55428,	4,	819,	2,	1),
(55429,	4,	819,	3,	1),
(55430,	4,	819,	49,	1),
(55431,	4,	820,	1,	1),
(55432,	4,	820,	2,	1),
(55433,	4,	820,	3,	1),
(55434,	4,	820,	49,	1),
(55435,	4,	821,	1,	1),
(55436,	4,	821,	2,	1),
(55437,	4,	821,	3,	1),
(55438,	4,	822,	1,	1),
(55439,	4,	822,	2,	1),
(55440,	4,	822,	3,	1),
(55441,	4,	823,	1,	1),
(55442,	4,	823,	2,	1),
(55443,	4,	823,	3,	1),
(55444,	4,	823,	1,	2),
(55445,	4,	823,	2,	2),
(55446,	4,	823,	3,	2),
(55447,	4,	824,	1,	1),
(55448,	4,	824,	2,	1),
(55449,	4,	824,	3,	1),
(55450,	4,	824,	1,	2),
(55451,	4,	824,	2,	2),
(55452,	4,	824,	3,	2),
(55453,	4,	825,	1,	1),
(55454,	4,	825,	2,	1),
(55455,	4,	825,	3,	1),
(55456,	4,	826,	1,	1),
(55457,	4,	826,	2,	1),
(55458,	4,	826,	3,	1),
(55459,	4,	827,	1,	1),
(55460,	4,	827,	2,	1),
(55461,	4,	827,	3,	1),
(55462,	4,	827,	1,	2),
(55463,	4,	827,	2,	2),
(55464,	4,	827,	3,	2),
(55465,	4,	828,	1,	1),
(55466,	4,	828,	2,	1),
(55467,	4,	828,	3,	1),
(55468,	4,	828,	1,	2),
(55469,	4,	828,	2,	2),
(55470,	4,	828,	3,	2),
(55471,	4,	829,	1,	1),
(55472,	4,	829,	2,	1),
(55473,	4,	829,	3,	1),
(55474,	4,	829,	4,	1),
(55475,	4,	829,	23,	1),
(55476,	4,	829,	1,	3),
(55477,	4,	829,	2,	3),
(55478,	4,	829,	3,	3),
(55479,	4,	829,	4,	3),
(55480,	4,	829,	23,	3),
(55481,	4,	829,	1,	2),
(55482,	4,	829,	2,	2),
(55483,	4,	829,	3,	2),
(55484,	4,	829,	4,	2),
(55485,	4,	829,	23,	2),
(55486,	4,	830,	1,	1),
(55487,	4,	830,	2,	1),
(55488,	4,	830,	3,	1),
(55489,	4,	830,	1,	2),
(55490,	4,	830,	2,	2),
(55491,	4,	830,	3,	2),
(55492,	4,	831,	1,	1),
(55493,	4,	831,	2,	1),
(55494,	4,	831,	3,	1),
(55495,	4,	832,	1,	1),
(55496,	4,	832,	2,	1),
(55497,	4,	832,	3,	1),
(55498,	4,	832,	1,	3),
(55499,	4,	832,	2,	3),
(55500,	4,	832,	3,	3),
(55501,	4,	833,	1,	1),
(55502,	4,	833,	2,	1),
(55503,	4,	833,	3,	1),
(55504,	4,	834,	1,	1),
(55505,	4,	834,	2,	1),
(55506,	4,	834,	3,	1),
(55507,	4,	834,	1,	2),
(55508,	4,	834,	2,	2),
(55509,	4,	834,	3,	2),
(55510,	4,	835,	1,	1),
(55511,	4,	835,	2,	1),
(55512,	4,	835,	3,	1),
(55513,	4,	835,	1,	2),
(55514,	4,	835,	2,	2),
(55515,	4,	835,	3,	2),
(55516,	4,	836,	1,	1),
(55517,	4,	836,	2,	1),
(55518,	4,	836,	3,	1),
(55519,	4,	837,	1,	1),
(55520,	4,	837,	2,	1),
(55521,	4,	837,	3,	1),
(55522,	4,	837,	1,	2),
(55523,	4,	837,	2,	2),
(55524,	4,	837,	3,	2),
(55525,	4,	838,	1,	1),
(55526,	4,	838,	2,	1),
(55527,	4,	838,	3,	1),
(55528,	4,	838,	1,	2),
(55529,	4,	838,	2,	2),
(55530,	4,	838,	3,	2),
(55531,	4,	839,	1,	1),
(55532,	4,	839,	2,	1),
(55533,	4,	839,	3,	1),
(55534,	4,	839,	1,	2),
(55535,	4,	839,	2,	2),
(55536,	4,	839,	3,	2),
(55537,	4,	840,	1,	1),
(55538,	4,	840,	2,	1),
(55539,	4,	840,	3,	1),
(55540,	4,	840,	1,	2),
(55541,	4,	840,	2,	2),
(55542,	4,	840,	3,	2),
(55543,	4,	841,	1,	1),
(55544,	4,	841,	2,	1),
(55545,	4,	841,	3,	1),
(55546,	4,	841,	1,	3),
(55547,	4,	841,	2,	3),
(55548,	4,	841,	3,	3),
(55549,	4,	842,	1,	1),
(55550,	4,	842,	2,	1),
(55551,	4,	842,	3,	1),
(55552,	4,	842,	1,	2),
(55553,	4,	842,	2,	2),
(55554,	4,	842,	3,	2),
(55555,	4,	843,	1,	1),
(55556,	4,	843,	2,	1),
(55557,	4,	843,	3,	1),
(55558,	4,	843,	1,	2),
(55559,	4,	843,	2,	2),
(55560,	4,	843,	3,	2),
(55561,	4,	844,	1,	1),
(55562,	4,	844,	2,	1),
(55563,	4,	844,	3,	1),
(55564,	4,	845,	1,	1),
(55565,	4,	845,	2,	1),
(55566,	4,	845,	3,	1),
(55567,	4,	845,	1,	2),
(55568,	4,	845,	2,	2),
(55569,	4,	845,	3,	2),
(55570,	4,	846,	1,	1),
(55571,	4,	846,	2,	1),
(55572,	4,	846,	3,	1),
(55573,	4,	847,	1,	1),
(55574,	4,	847,	2,	1),
(55575,	4,	847,	3,	1),
(55576,	4,	847,	1,	3),
(55577,	4,	847,	2,	3),
(55578,	4,	847,	3,	3),
(55579,	4,	848,	1,	1),
(55580,	4,	848,	2,	1),
(55581,	4,	848,	3,	1),
(55582,	4,	849,	1,	1),
(55583,	4,	849,	2,	1),
(55584,	4,	849,	3,	1),
(55585,	4,	849,	1,	3),
(55586,	4,	849,	2,	3),
(55587,	4,	849,	3,	3),
(55588,	4,	850,	1,	1),
(55589,	4,	850,	2,	1),
(55590,	4,	850,	3,	1),
(55591,	4,	850,	1,	3),
(55592,	4,	850,	2,	3),
(55593,	4,	850,	3,	3),
(55594,	4,	851,	1,	1),
(55595,	4,	851,	2,	1),
(55596,	4,	851,	3,	1),
(55597,	4,	851,	1,	2),
(55598,	4,	851,	2,	2),
(55599,	4,	851,	3,	2),
(55600,	4,	852,	1,	1),
(55601,	4,	852,	2,	1),
(55602,	4,	852,	3,	1),
(55603,	4,	852,	1,	2),
(55604,	4,	852,	2,	2),
(55605,	4,	852,	3,	2),
(55606,	4,	853,	1,	1),
(55607,	4,	853,	2,	1),
(55608,	4,	853,	3,	1),
(55609,	4,	853,	1,	2),
(55610,	4,	853,	2,	2),
(55611,	4,	853,	3,	2),
(55612,	4,	854,	1,	1),
(55613,	4,	854,	2,	1),
(55614,	4,	854,	3,	1),
(55615,	4,	854,	1,	3),
(55616,	4,	854,	2,	3),
(55617,	4,	854,	3,	3),
(55618,	4,	855,	1,	1),
(55619,	4,	855,	2,	1),
(55620,	4,	855,	3,	1),
(55621,	4,	855,	1,	3),
(55622,	4,	855,	2,	3),
(55623,	4,	855,	3,	3),
(55624,	4,	856,	1,	1),
(55625,	4,	856,	2,	1),
(55626,	4,	856,	3,	1),
(55627,	4,	856,	1,	3),
(55628,	4,	856,	2,	3),
(55629,	4,	856,	3,	3),
(55630,	4,	857,	1,	1),
(55631,	4,	857,	2,	1),
(55632,	4,	857,	3,	1),
(55633,	4,	857,	1,	3),
(55634,	4,	857,	2,	3),
(55635,	4,	857,	3,	3),
(55636,	4,	858,	1,	1),
(55637,	4,	858,	2,	1),
(55638,	4,	858,	3,	1),
(55639,	4,	858,	1,	3),
(55640,	4,	858,	2,	3),
(55641,	4,	858,	3,	3),
(55642,	4,	859,	1,	1),
(55643,	4,	859,	2,	1),
(55644,	4,	859,	3,	1),
(55645,	4,	859,	1,	2),
(55646,	4,	859,	2,	2),
(55647,	4,	859,	3,	2),
(55648,	4,	860,	1,	1),
(55649,	4,	860,	2,	1),
(55650,	4,	860,	3,	1),
(55651,	4,	860,	1,	3),
(55652,	4,	860,	2,	3),
(55653,	4,	860,	3,	3),
(55654,	4,	861,	1,	1),
(55655,	4,	861,	2,	1),
(55656,	4,	861,	3,	1),
(55657,	4,	861,	1,	2),
(55658,	4,	861,	2,	2),
(55659,	4,	861,	3,	2),
(55660,	4,	862,	1,	1),
(55661,	4,	862,	2,	1),
(55662,	4,	862,	3,	1),
(55663,	4,	862,	1,	2),
(55664,	4,	862,	2,	2),
(55665,	4,	862,	3,	2),
(55666,	4,	863,	1,	1),
(55667,	4,	863,	2,	1),
(55668,	4,	863,	3,	1),
(55669,	4,	863,	1,	2),
(55670,	4,	863,	2,	2),
(55671,	4,	863,	3,	2),
(55672,	4,	864,	1,	1),
(55673,	4,	864,	2,	1),
(55674,	4,	864,	3,	1),
(55675,	4,	864,	1,	2),
(55676,	4,	864,	2,	2),
(55677,	4,	864,	3,	2),
(55678,	4,	865,	1,	1),
(55679,	4,	865,	2,	1),
(55680,	4,	865,	3,	1),
(55681,	4,	865,	1,	2),
(55682,	4,	865,	2,	2),
(55683,	4,	865,	3,	2),
(55684,	4,	866,	1,	1),
(55685,	4,	866,	2,	1),
(55686,	4,	866,	3,	1),
(55687,	4,	866,	1,	2),
(55688,	4,	866,	2,	2),
(55689,	4,	866,	3,	2),
(55690,	4,	867,	1,	1),
(55691,	4,	867,	2,	1),
(55692,	4,	867,	3,	1),
(55693,	4,	867,	1,	2),
(55694,	4,	867,	2,	2),
(55695,	4,	867,	3,	2),
(55696,	4,	868,	1,	1),
(55697,	4,	868,	2,	1),
(55698,	4,	868,	3,	1),
(55699,	4,	868,	1,	3),
(55700,	4,	868,	2,	3),
(55701,	4,	868,	3,	3),
(55702,	4,	869,	1,	1),
(55703,	4,	869,	2,	1),
(55704,	4,	869,	3,	1),
(55705,	4,	869,	1,	2),
(55706,	4,	869,	2,	2),
(55707,	4,	869,	3,	2),
(55708,	4,	870,	1,	1),
(55709,	4,	870,	2,	1),
(55710,	4,	870,	3,	1),
(55711,	4,	870,	1,	2),
(55712,	4,	870,	2,	2),
(55713,	4,	870,	3,	2),
(55714,	4,	871,	1,	1),
(55715,	4,	871,	2,	1),
(55716,	4,	871,	3,	1),
(55717,	4,	871,	1,	2),
(55718,	4,	871,	2,	2),
(55719,	4,	871,	3,	2),
(55720,	4,	872,	1,	1),
(55721,	4,	872,	2,	1),
(55722,	4,	872,	3,	1),
(55723,	4,	872,	1,	3),
(55724,	4,	872,	2,	3),
(55725,	4,	872,	3,	3),
(55726,	4,	873,	1,	1),
(55727,	4,	873,	2,	1),
(55728,	4,	873,	3,	1),
(55729,	4,	873,	1,	2),
(55730,	4,	873,	2,	2),
(55731,	4,	873,	3,	2),
(55732,	4,	874,	1,	1),
(55733,	4,	874,	2,	1),
(55734,	4,	874,	3,	1),
(55735,	4,	874,	1,	2),
(55736,	4,	874,	2,	2),
(55737,	4,	874,	3,	2),
(55738,	4,	875,	1,	1),
(55739,	4,	875,	2,	1),
(55740,	4,	875,	3,	1),
(55741,	4,	875,	1,	2),
(55742,	4,	875,	2,	2),
(55743,	4,	875,	3,	2),
(55744,	4,	876,	1,	1),
(55745,	4,	876,	2,	1),
(55746,	4,	876,	3,	1),
(55747,	4,	876,	1,	2),
(55748,	4,	876,	2,	2),
(55749,	4,	876,	3,	2),
(55750,	4,	877,	1,	1),
(55751,	4,	877,	2,	1),
(55752,	4,	877,	3,	1),
(55753,	4,	877,	1,	3),
(55754,	4,	877,	2,	3),
(55755,	4,	877,	3,	3),
(55756,	4,	878,	1,	1),
(55757,	4,	878,	2,	1),
(55758,	4,	878,	3,	1),
(55759,	4,	878,	1,	2),
(55760,	4,	878,	2,	2),
(55761,	4,	878,	3,	2),
(55762,	4,	879,	1,	1),
(55763,	4,	879,	2,	1),
(55764,	4,	879,	3,	1),
(55765,	4,	879,	1,	2),
(55766,	4,	879,	2,	2),
(55767,	4,	879,	3,	2),
(55768,	4,	880,	1,	1),
(55769,	4,	880,	2,	1),
(55770,	4,	880,	3,	1),
(55771,	4,	880,	1,	2),
(55772,	4,	880,	2,	2),
(55773,	4,	880,	3,	2),
(55774,	4,	881,	1,	1),
(55775,	4,	881,	2,	1),
(55776,	4,	881,	3,	1),
(55777,	4,	881,	1,	2),
(55778,	4,	881,	2,	2),
(55779,	4,	881,	3,	2),
(55780,	4,	882,	1,	1),
(55781,	4,	882,	2,	1),
(55782,	4,	882,	3,	1),
(55783,	4,	882,	1,	3),
(55784,	4,	882,	2,	3),
(55785,	4,	882,	3,	3),
(55786,	4,	883,	1,	1),
(55787,	4,	883,	2,	1),
(55788,	4,	883,	3,	1),
(55789,	4,	883,	1,	2),
(55790,	4,	883,	2,	2),
(55791,	4,	883,	3,	2),
(55792,	4,	884,	1,	1),
(55793,	4,	884,	2,	1),
(55794,	4,	884,	3,	1),
(55795,	4,	884,	1,	2),
(55796,	4,	884,	2,	2),
(55797,	4,	884,	3,	2),
(55798,	4,	885,	1,	1),
(55799,	4,	885,	2,	1),
(55800,	4,	885,	3,	1),
(55801,	4,	885,	1,	3),
(55802,	4,	885,	2,	3),
(55803,	4,	885,	3,	3),
(55804,	4,	886,	1,	1),
(55805,	4,	886,	2,	1),
(55806,	4,	886,	3,	1),
(55807,	4,	886,	1,	3),
(55808,	4,	886,	2,	3),
(55809,	4,	886,	3,	3),
(55810,	4,	887,	1,	1),
(55811,	4,	887,	2,	1),
(55812,	4,	887,	3,	1),
(55813,	4,	887,	1,	3),
(55814,	4,	887,	2,	3),
(55815,	4,	887,	3,	3),
(55816,	4,	888,	1,	1),
(55817,	4,	888,	2,	1),
(55818,	4,	888,	3,	1),
(55819,	4,	888,	1,	3),
(55820,	4,	888,	2,	3),
(55821,	4,	888,	3,	3),
(55822,	4,	889,	1,	1),
(55823,	4,	889,	2,	1),
(55824,	4,	889,	3,	1),
(55825,	4,	889,	1,	3),
(55826,	4,	889,	2,	3),
(55827,	4,	889,	3,	3),
(55828,	4,	890,	1,	1),
(55829,	4,	890,	2,	1),
(55830,	4,	890,	3,	1),
(55831,	4,	890,	1,	3),
(55832,	4,	890,	2,	3),
(55833,	4,	890,	3,	3),
(55834,	4,	891,	1,	1),
(55835,	4,	891,	2,	1),
(55836,	4,	891,	3,	1),
(55837,	4,	891,	1,	2),
(55838,	4,	891,	2,	2),
(55839,	4,	891,	3,	2),
(55840,	4,	892,	1,	1),
(55841,	4,	892,	2,	1),
(55842,	4,	892,	3,	1),
(55843,	4,	892,	1,	2),
(55844,	4,	892,	2,	2),
(55845,	4,	892,	3,	2),
(55846,	4,	893,	1,	1),
(55847,	4,	893,	2,	1),
(55848,	4,	893,	3,	1),
(55849,	4,	894,	1,	1),
(55850,	4,	894,	2,	1),
(55851,	4,	894,	3,	1),
(55852,	4,	895,	1,	1),
(55853,	4,	895,	2,	1),
(55854,	4,	895,	3,	1),
(55855,	4,	896,	1,	1),
(55856,	4,	896,	2,	1),
(55857,	4,	896,	3,	1),
(55858,	4,	896,	1,	2),
(55859,	4,	896,	2,	2),
(55860,	4,	896,	3,	2),
(55861,	4,	897,	1,	1),
(55862,	4,	897,	2,	1),
(55863,	4,	897,	3,	1),
(55864,	4,	898,	1,	1),
(55865,	4,	898,	2,	1),
(55866,	4,	898,	3,	1),
(55867,	4,	898,	1,	2),
(55868,	4,	898,	2,	2),
(55869,	4,	898,	3,	2),
(55870,	4,	899,	1,	1),
(55871,	4,	899,	2,	1),
(55872,	4,	899,	3,	1),
(55873,	4,	899,	1,	2),
(55874,	4,	899,	2,	2),
(55875,	4,	899,	3,	2),
(55876,	4,	900,	1,	1),
(55877,	4,	900,	2,	1),
(55878,	4,	900,	3,	1),
(55879,	4,	900,	1,	2),
(55880,	4,	900,	2,	2),
(55881,	4,	900,	3,	2),
(55882,	4,	901,	1,	1),
(55883,	4,	901,	2,	1),
(55884,	4,	901,	3,	1),
(55885,	4,	901,	1,	2),
(55886,	4,	901,	2,	2),
(55887,	4,	901,	3,	2),
(55888,	4,	902,	1,	1),
(55889,	4,	902,	2,	1),
(55890,	4,	902,	3,	1),
(55891,	4,	902,	1,	3),
(55892,	4,	902,	2,	3),
(55893,	4,	902,	3,	3),
(55894,	4,	903,	1,	1),
(55895,	4,	903,	2,	1),
(55896,	4,	903,	3,	1),
(55897,	4,	903,	1,	2),
(55898,	4,	903,	2,	2),
(55899,	4,	903,	3,	2),
(55900,	4,	904,	1,	1),
(55901,	4,	904,	2,	1),
(55902,	4,	904,	3,	1),
(55903,	4,	904,	1,	2),
(55904,	4,	904,	2,	2),
(55905,	4,	904,	3,	2),
(55906,	4,	905,	1,	1),
(55907,	4,	905,	2,	1),
(55908,	4,	905,	3,	1),
(55909,	4,	905,	1,	3),
(55910,	4,	905,	2,	3),
(55911,	4,	905,	3,	3),
(55912,	4,	906,	1,	1),
(55913,	4,	906,	2,	1),
(55914,	4,	906,	3,	1),
(55915,	4,	906,	1,	2),
(55916,	4,	906,	2,	2),
(55917,	4,	906,	3,	2),
(55918,	4,	907,	1,	1),
(55919,	4,	907,	2,	1),
(55920,	4,	907,	3,	1),
(55921,	4,	907,	1,	2),
(55922,	4,	907,	2,	2),
(55923,	4,	907,	3,	2),
(55924,	4,	908,	1,	1),
(55925,	4,	908,	2,	1),
(55926,	4,	908,	3,	1),
(55927,	4,	908,	1,	2),
(55928,	4,	908,	2,	2),
(55929,	4,	908,	3,	2),
(55930,	4,	909,	1,	1),
(55931,	4,	909,	2,	1),
(55932,	4,	909,	3,	1),
(55933,	4,	909,	1,	2),
(55934,	4,	909,	2,	2),
(55935,	4,	909,	3,	2),
(55936,	4,	910,	1,	1),
(55937,	4,	910,	2,	1),
(55938,	4,	910,	3,	1),
(55939,	4,	910,	1,	3),
(55940,	4,	910,	2,	3),
(55941,	4,	910,	3,	3),
(55942,	4,	911,	1,	1),
(55943,	4,	911,	2,	1),
(55944,	4,	911,	3,	1),
(55945,	4,	911,	1,	2),
(55946,	4,	911,	2,	2),
(55947,	4,	911,	3,	2),
(55948,	4,	912,	1,	1),
(55949,	4,	912,	2,	1),
(55950,	4,	912,	3,	1),
(55951,	4,	912,	1,	2),
(55952,	4,	912,	2,	2),
(55953,	4,	912,	3,	2),
(55954,	4,	913,	1,	1),
(55955,	4,	913,	2,	1),
(55956,	4,	913,	3,	1),
(55957,	4,	913,	1,	2),
(55958,	4,	913,	2,	2),
(55959,	4,	913,	3,	2),
(55960,	4,	914,	1,	1),
(55961,	4,	914,	2,	1),
(55962,	4,	914,	3,	1),
(55963,	4,	914,	1,	2),
(55964,	4,	914,	2,	2),
(55965,	4,	914,	3,	2),
(55966,	4,	915,	1,	1),
(55967,	4,	915,	2,	1),
(55968,	4,	915,	3,	1),
(55969,	4,	915,	1,	3),
(55970,	4,	915,	2,	3),
(55971,	4,	915,	3,	3),
(55972,	4,	916,	1,	1),
(55973,	4,	916,	2,	1),
(55974,	4,	916,	3,	1),
(55975,	4,	916,	1,	2),
(55976,	4,	916,	2,	2),
(55977,	4,	916,	3,	2),
(55978,	4,	917,	1,	1),
(55979,	4,	917,	2,	1),
(55980,	4,	917,	3,	1),
(55981,	4,	917,	1,	2),
(55982,	4,	917,	2,	2),
(55983,	4,	917,	3,	2),
(55984,	4,	918,	1,	1),
(55985,	4,	918,	2,	1),
(55986,	4,	918,	3,	1),
(55987,	4,	918,	1,	2),
(55988,	4,	918,	2,	2),
(55989,	4,	918,	3,	2),
(55990,	4,	919,	1,	1),
(55991,	4,	919,	2,	1),
(55992,	4,	919,	3,	1),
(55993,	4,	919,	1,	2),
(55994,	4,	919,	2,	2),
(55995,	4,	919,	3,	2),
(55996,	4,	920,	1,	1),
(55997,	4,	920,	2,	1),
(55998,	4,	920,	3,	1),
(55999,	4,	920,	1,	2),
(56000,	4,	920,	2,	2),
(56001,	4,	920,	3,	2),
(56002,	4,	921,	1,	1),
(56003,	4,	921,	2,	1),
(56004,	4,	921,	3,	1),
(56005,	4,	921,	1,	3),
(56006,	4,	921,	2,	3),
(56007,	4,	921,	3,	3),
(56008,	4,	922,	1,	1),
(56009,	4,	922,	2,	1),
(56010,	4,	922,	3,	1),
(56011,	4,	922,	1,	2),
(56012,	4,	922,	2,	2),
(56013,	4,	922,	3,	2),
(56014,	4,	923,	1,	1),
(56015,	4,	923,	2,	1),
(56016,	4,	923,	3,	1),
(56017,	4,	923,	1,	2),
(56018,	4,	923,	2,	2),
(56019,	4,	923,	3,	2),
(56020,	4,	924,	1,	1),
(56021,	4,	924,	2,	1),
(56022,	4,	924,	3,	1),
(56023,	4,	924,	1,	2),
(56024,	4,	924,	2,	2),
(56025,	4,	924,	3,	2),
(56026,	4,	925,	1,	1),
(56027,	4,	925,	2,	1),
(56028,	4,	925,	3,	1),
(56029,	4,	925,	1,	2),
(56030,	4,	925,	2,	2),
(56031,	4,	925,	3,	2),
(56032,	4,	926,	1,	1),
(56033,	4,	926,	2,	1),
(56034,	4,	926,	3,	1),
(56035,	4,	926,	1,	3),
(56036,	4,	926,	2,	3),
(56037,	4,	926,	3,	3),
(56038,	4,	927,	1,	1),
(56039,	4,	927,	2,	1),
(56040,	4,	927,	3,	1),
(56041,	4,	927,	1,	2),
(56042,	4,	927,	2,	2),
(56043,	4,	927,	3,	2),
(56044,	4,	928,	1,	1),
(56045,	4,	928,	2,	1),
(56046,	4,	928,	3,	1),
(56047,	4,	928,	1,	2),
(56048,	4,	928,	2,	2),
(56049,	4,	928,	3,	2),
(56050,	4,	929,	1,	1),
(56051,	4,	929,	2,	1),
(56052,	4,	929,	3,	1),
(56053,	4,	929,	1,	2),
(56054,	4,	929,	2,	2),
(56055,	4,	929,	3,	2),
(56056,	4,	930,	1,	1),
(56057,	4,	930,	2,	1),
(56058,	4,	930,	3,	1),
(56059,	4,	930,	1,	2),
(56060,	4,	930,	2,	2),
(56061,	4,	930,	3,	2),
(56062,	4,	931,	1,	1),
(56063,	4,	931,	2,	1),
(56064,	4,	931,	3,	1),
(56065,	4,	931,	1,	3),
(56066,	4,	931,	2,	3),
(56067,	4,	931,	3,	3),
(56068,	4,	932,	1,	1),
(56069,	4,	932,	2,	1),
(56070,	4,	932,	3,	1),
(56071,	4,	932,	1,	2),
(56072,	4,	932,	2,	2),
(56073,	4,	932,	3,	2),
(56074,	4,	933,	1,	1),
(56075,	4,	933,	2,	1),
(56076,	4,	933,	3,	1),
(56077,	4,	933,	1,	2),
(56078,	4,	933,	2,	2),
(56079,	4,	933,	3,	2),
(56080,	4,	934,	1,	1),
(56081,	4,	934,	2,	1),
(56082,	4,	934,	3,	1),
(56083,	4,	934,	1,	2),
(56084,	4,	934,	2,	2),
(56085,	4,	934,	3,	2),
(56086,	4,	935,	1,	1),
(56087,	4,	935,	2,	1),
(56088,	4,	935,	3,	1),
(56089,	4,	935,	1,	2),
(56090,	4,	935,	2,	2),
(56091,	4,	935,	3,	2),
(56092,	4,	936,	1,	1),
(56093,	4,	936,	2,	1),
(56094,	4,	936,	3,	1),
(56095,	4,	936,	1,	3),
(56096,	4,	936,	2,	3),
(56097,	4,	936,	3,	3),
(56098,	4,	937,	1,	1),
(56099,	4,	937,	2,	1),
(56100,	4,	937,	3,	1),
(56101,	4,	937,	1,	2),
(56102,	4,	937,	2,	2),
(56103,	4,	937,	3,	2),
(56104,	4,	938,	1,	1),
(56105,	4,	938,	2,	1),
(56106,	4,	938,	3,	1),
(56107,	4,	938,	1,	2),
(56108,	4,	938,	2,	2),
(56109,	4,	938,	3,	2),
(56110,	4,	939,	1,	1),
(56111,	4,	939,	2,	1),
(56112,	4,	939,	3,	1),
(56113,	4,	940,	1,	1),
(56114,	4,	940,	2,	1),
(56115,	4,	940,	3,	1),
(56116,	4,	941,	1,	1),
(56117,	4,	941,	2,	1),
(56118,	4,	941,	3,	1),
(56119,	4,	942,	1,	1),
(56120,	4,	942,	2,	1),
(56121,	4,	942,	3,	1),
(56122,	4,	943,	1,	1),
(56123,	4,	943,	2,	1),
(56124,	4,	943,	3,	1),
(56125,	4,	943,	1,	2),
(56126,	4,	943,	2,	2),
(56127,	4,	943,	3,	2),
(56128,	4,	944,	1,	1),
(56129,	4,	944,	2,	1),
(56130,	4,	944,	3,	1),
(56131,	4,	944,	1,	2),
(56132,	4,	944,	2,	2),
(56133,	4,	944,	3,	2),
(56134,	4,	945,	1,	1),
(56135,	4,	945,	2,	1),
(56136,	4,	945,	3,	1),
(56137,	4,	945,	1,	2),
(56138,	4,	945,	2,	2),
(56139,	4,	945,	3,	2),
(56140,	4,	946,	1,	1),
(56141,	4,	946,	2,	1),
(56142,	4,	946,	3,	1),
(56143,	4,	946,	1,	3),
(56144,	4,	946,	2,	3),
(56145,	4,	946,	3,	3),
(56146,	4,	947,	1,	1),
(56147,	4,	947,	2,	1),
(56148,	4,	947,	3,	1),
(56149,	4,	947,	1,	3),
(56150,	4,	947,	2,	3),
(56151,	4,	947,	3,	3),
(56152,	4,	948,	1,	1),
(56153,	4,	948,	2,	1),
(56154,	4,	948,	3,	1),
(56155,	4,	949,	1,	1),
(56156,	4,	949,	2,	1),
(56157,	4,	949,	3,	1),
(56158,	4,	949,	23,	1),
(56159,	4,	950,	1,	1),
(56160,	4,	950,	2,	1),
(56161,	4,	950,	3,	1),
(56162,	4,	950,	1,	3),
(56163,	4,	950,	2,	3),
(56164,	4,	950,	3,	3),
(56165,	4,	951,	1,	1),
(56166,	4,	951,	2,	1),
(56167,	4,	951,	3,	1),
(56168,	4,	951,	1,	3),
(56169,	4,	951,	2,	3),
(56170,	4,	951,	3,	3),
(56171,	4,	952,	1,	1),
(56172,	4,	952,	2,	1),
(56173,	4,	952,	3,	1),
(56174,	4,	952,	6,	1),
(56175,	4,	953,	1,	1),
(56176,	4,	953,	2,	1),
(56177,	4,	953,	3,	1),
(56178,	4,	954,	1,	1),
(56179,	4,	954,	2,	1),
(56180,	4,	954,	3,	1),
(56181,	4,	954,	6,	1),
(56182,	4,	954,	23,	1),
(56183,	4,	955,	1,	1),
(56184,	4,	955,	2,	1),
(56185,	4,	955,	3,	1),
(56186,	4,	956,	1,	1),
(56187,	4,	956,	2,	1),
(56188,	4,	956,	3,	1),
(56189,	4,	956,	1,	2),
(56190,	4,	956,	2,	2),
(56191,	4,	956,	3,	2),
(56192,	4,	957,	1,	1),
(56193,	4,	957,	2,	1),
(56194,	4,	957,	3,	1),
(56195,	4,	957,	6,	1),
(56196,	4,	957,	23,	1),
(56197,	4,	957,	1,	2),
(56198,	4,	957,	2,	2),
(56199,	4,	957,	3,	2),
(56200,	4,	957,	6,	2),
(56201,	4,	957,	23,	2),
(56202,	4,	958,	1,	1),
(56203,	4,	958,	2,	1),
(56204,	4,	958,	3,	1),
(56205,	4,	958,	1,	2),
(56206,	4,	958,	2,	2),
(56207,	4,	958,	3,	2),
(56208,	4,	959,	1,	1),
(56209,	4,	959,	2,	1),
(56210,	4,	959,	3,	1),
(56211,	4,	959,	1,	2),
(56212,	4,	959,	2,	2),
(56213,	4,	959,	3,	2),
(56214,	4,	960,	1,	1),
(56215,	4,	960,	2,	1),
(56216,	4,	960,	3,	1),
(56217,	4,	960,	1,	2),
(56218,	4,	960,	2,	2),
(56219,	4,	960,	3,	2),
(56220,	4,	961,	1,	1),
(56221,	4,	961,	2,	1),
(56222,	4,	961,	3,	1),
(56223,	4,	961,	1,	2),
(56224,	4,	961,	2,	2),
(56225,	4,	961,	3,	2),
(56226,	4,	962,	1,	1),
(56227,	4,	962,	2,	1),
(56228,	4,	962,	3,	1),
(56229,	4,	963,	1,	1),
(56230,	4,	963,	2,	1),
(56231,	4,	963,	3,	1),
(56232,	4,	964,	1,	1),
(56233,	4,	964,	2,	1),
(56234,	4,	964,	3,	1),
(56235,	4,	964,	1,	2),
(56236,	4,	964,	2,	2),
(56237,	4,	964,	3,	2),
(56238,	4,	965,	1,	1),
(56239,	4,	965,	2,	1),
(56240,	4,	965,	3,	1),
(56241,	4,	965,	1,	2),
(56242,	4,	965,	2,	2),
(56243,	4,	965,	3,	2),
(56244,	4,	966,	1,	1),
(56245,	4,	966,	2,	1),
(56246,	4,	966,	3,	1),
(56247,	4,	967,	1,	1),
(56248,	4,	967,	2,	1),
(56249,	4,	967,	3,	1),
(56250,	4,	968,	1,	1),
(56251,	4,	968,	2,	1),
(56252,	4,	968,	3,	1),
(56253,	4,	969,	1,	1),
(56254,	4,	969,	2,	1),
(56255,	4,	969,	3,	1),
(56256,	4,	969,	23,	1),
(56257,	4,	969,	1,	3),
(56258,	4,	969,	2,	3),
(56259,	4,	969,	3,	3),
(56260,	4,	969,	23,	3),
(56261,	4,	970,	1,	1),
(56262,	4,	970,	2,	1),
(56263,	4,	970,	3,	1),
(56264,	4,	970,	6,	1),
(56265,	4,	970,	23,	1),
(56266,	4,	970,	1,	3),
(56267,	4,	970,	2,	3),
(56268,	4,	970,	3,	3),
(56269,	4,	970,	6,	3),
(56270,	4,	970,	23,	3),
(56271,	4,	971,	1,	1),
(56272,	4,	971,	2,	1),
(56273,	4,	971,	3,	1),
(56274,	4,	972,	1,	1),
(56275,	4,	972,	2,	1),
(56276,	4,	972,	3,	1),
(56277,	4,	972,	1,	3),
(56278,	4,	972,	2,	3),
(56279,	4,	972,	3,	3),
(56280,	4,	973,	1,	1),
(56281,	4,	973,	2,	1),
(56282,	4,	973,	3,	1),
(56283,	4,	973,	6,	1),
(56284,	4,	973,	1,	3),
(56285,	4,	973,	2,	3),
(56286,	4,	973,	3,	3),
(56287,	4,	973,	6,	3),
(56288,	4,	974,	1,	1),
(56289,	4,	974,	2,	1),
(56290,	4,	974,	3,	1),
(56291,	4,	974,	6,	1),
(56292,	4,	974,	1,	3),
(56293,	4,	974,	2,	3),
(56294,	4,	974,	3,	3),
(56295,	4,	974,	6,	3),
(56296,	4,	975,	1,	1),
(56297,	4,	975,	2,	1),
(56298,	4,	975,	3,	1),
(56299,	4,	976,	1,	1),
(56300,	4,	976,	2,	1),
(56301,	4,	976,	3,	1),
(56302,	4,	977,	1,	1),
(56303,	4,	977,	2,	1),
(56304,	4,	977,	3,	1),
(56305,	4,	978,	1,	1),
(56306,	4,	978,	2,	1),
(56307,	4,	978,	3,	1),
(56308,	4,	978,	6,	1),
(56309,	4,	978,	1,	3),
(56310,	4,	978,	2,	3),
(56311,	4,	978,	3,	3),
(56312,	4,	978,	6,	3),
(56313,	4,	979,	1,	1),
(56314,	4,	979,	2,	1),
(56315,	4,	979,	3,	1),
(56316,	4,	979,	6,	1),
(56317,	4,	979,	1,	3),
(56318,	4,	979,	2,	3),
(56319,	4,	979,	3,	3),
(56320,	4,	979,	6,	3),
(56321,	4,	980,	1,	1),
(56322,	4,	980,	2,	1),
(56323,	4,	980,	3,	1),
(56324,	4,	981,	1,	1),
(56325,	4,	981,	2,	1),
(56326,	4,	981,	3,	1),
(56327,	4,	982,	1,	1),
(56328,	4,	982,	2,	1),
(56329,	4,	982,	3,	1),
(56330,	4,	982,	1,	3),
(56331,	4,	982,	2,	3),
(56332,	4,	982,	3,	3),
(56333,	4,	983,	1,	1),
(56334,	4,	983,	2,	1),
(56335,	4,	983,	3,	1),
(56336,	4,	983,	6,	1),
(56337,	4,	983,	1,	3),
(56338,	4,	983,	2,	3),
(56339,	4,	983,	3,	3),
(56340,	4,	983,	6,	3),
(56341,	4,	984,	1,	1),
(56342,	4,	984,	2,	1),
(56343,	4,	984,	3,	1),
(56344,	4,	984,	6,	1),
(56345,	4,	984,	1,	3),
(56346,	4,	984,	2,	3),
(56347,	4,	984,	3,	3),
(56348,	4,	984,	6,	3),
(56349,	4,	985,	1,	1),
(56350,	4,	985,	2,	1),
(56351,	4,	985,	3,	1),
(56352,	4,	986,	1,	1),
(56353,	4,	986,	2,	1),
(56354,	4,	986,	3,	1),
(56355,	4,	987,	1,	1),
(56356,	4,	987,	2,	1),
(56357,	4,	987,	3,	1),
(56358,	4,	988,	1,	1),
(56359,	4,	988,	2,	1),
(56360,	4,	988,	3,	1),
(56361,	4,	989,	1,	1),
(56362,	4,	989,	2,	1),
(56363,	4,	989,	3,	1),
(56364,	4,	989,	6,	1),
(56365,	4,	989,	23,	1),
(56366,	4,	990,	1,	1),
(56367,	4,	990,	2,	1),
(56368,	4,	990,	3,	1),
(56369,	4,	990,	1,	2),
(56370,	4,	990,	2,	2),
(56371,	4,	990,	3,	2),
(56372,	4,	991,	1,	1),
(56373,	4,	991,	2,	1),
(56374,	4,	991,	3,	1),
(56375,	4,	991,	1,	2),
(56376,	4,	991,	2,	2),
(56377,	4,	991,	3,	2),
(56378,	4,	992,	1,	1),
(56379,	4,	992,	2,	1),
(56380,	4,	992,	3,	1),
(56381,	4,	993,	1,	1),
(56382,	4,	993,	2,	1),
(56383,	4,	993,	3,	1),
(56384,	4,	993,	6,	1),
(56385,	4,	994,	1,	1),
(56386,	4,	994,	2,	1),
(56387,	4,	994,	3,	1),
(56388,	4,	995,	1,	1),
(56389,	4,	995,	2,	1),
(56390,	4,	995,	3,	1),
(56391,	4,	996,	1,	1),
(56392,	4,	996,	2,	1),
(56393,	4,	996,	3,	1),
(56394,	4,	996,	1,	2),
(56395,	4,	996,	2,	2),
(56396,	4,	996,	3,	2),
(56397,	4,	997,	1,	1),
(56398,	4,	997,	2,	1),
(56399,	4,	997,	3,	1),
(56400,	4,	998,	1,	1),
(56401,	4,	998,	2,	1),
(56402,	4,	998,	3,	1),
(56403,	4,	998,	1,	2),
(56404,	4,	998,	2,	2),
(56405,	4,	998,	3,	2),
(56406,	4,	999,	1,	1),
(56407,	4,	999,	2,	1),
(56408,	4,	999,	3,	1),
(56409,	4,	999,	1,	2),
(56410,	4,	999,	2,	2),
(56411,	4,	999,	3,	2),
(56412,	4,	1000,	1,	1),
(56413,	4,	1000,	2,	1),
(56414,	4,	1000,	3,	1),
(56415,	4,	1001,	1,	1),
(56416,	4,	1001,	2,	1),
(56417,	4,	1001,	3,	1),
(56418,	4,	1001,	1,	2),
(56419,	4,	1001,	2,	2),
(56420,	4,	1001,	3,	2),
(56421,	4,	1002,	1,	1),
(56422,	4,	1002,	2,	1),
(56423,	4,	1002,	3,	1),
(56424,	4,	1003,	1,	1),
(56425,	4,	1003,	2,	1),
(56426,	4,	1003,	3,	1),
(56427,	4,	1004,	1,	1),
(56428,	4,	1004,	2,	1),
(56429,	4,	1004,	3,	1),
(56430,	4,	1004,	1,	2),
(56431,	4,	1004,	2,	2),
(56432,	4,	1004,	3,	2),
(56433,	4,	1005,	1,	1),
(56434,	4,	1005,	2,	1),
(56435,	4,	1005,	3,	1),
(56436,	4,	1006,	1,	1),
(56437,	4,	1006,	2,	1),
(56438,	4,	1006,	3,	1),
(56439,	4,	1007,	1,	1),
(56440,	4,	1007,	2,	1),
(56441,	4,	1007,	3,	1),
(56442,	4,	1008,	1,	1),
(56443,	4,	1008,	2,	1),
(56444,	4,	1008,	3,	1),
(56445,	4,	1009,	1,	1),
(56446,	4,	1009,	2,	1),
(56447,	4,	1009,	3,	1),
(56448,	4,	1010,	1,	1),
(56449,	4,	1010,	2,	1),
(56450,	4,	1010,	3,	1),
(56451,	4,	1011,	1,	1),
(56452,	4,	1011,	2,	1),
(56453,	4,	1011,	3,	1),
(56454,	4,	1012,	1,	1),
(56455,	4,	1012,	2,	1),
(56456,	4,	1012,	3,	1),
(56457,	4,	1012,	1,	2),
(56458,	4,	1012,	2,	2),
(56459,	4,	1012,	3,	2),
(56460,	4,	1013,	1,	1),
(56461,	4,	1013,	2,	1),
(56462,	4,	1013,	3,	1),
(56463,	4,	1014,	1,	1),
(56464,	4,	1014,	2,	1),
(56465,	4,	1014,	3,	1),
(56466,	4,	1014,	6,	1),
(56467,	4,	1015,	1,	1),
(56468,	4,	1015,	2,	1),
(56469,	4,	1015,	3,	1),
(56470,	4,	1015,	1,	2),
(56471,	4,	1015,	2,	2),
(56472,	4,	1015,	3,	2),
(56473,	4,	1016,	1,	1),
(56474,	4,	1016,	2,	1),
(56475,	4,	1016,	3,	1),
(56476,	4,	1017,	1,	1),
(56477,	4,	1017,	2,	1),
(56478,	4,	1017,	3,	1),
(56479,	4,	1017,	1,	2),
(56480,	4,	1017,	2,	2),
(56481,	4,	1017,	3,	2),
(56482,	4,	1018,	1,	1),
(56483,	4,	1018,	2,	1),
(56484,	4,	1018,	3,	1),
(56485,	4,	1019,	1,	1),
(56486,	4,	1019,	2,	1),
(56487,	4,	1019,	3,	1),
(56488,	4,	1020,	1,	1),
(56489,	4,	1020,	2,	1),
(56490,	4,	1020,	3,	1),
(56491,	4,	1021,	1,	1),
(56492,	4,	1021,	2,	1),
(56493,	4,	1021,	3,	1),
(56494,	4,	1022,	1,	1),
(56495,	4,	1022,	2,	1),
(56496,	4,	1022,	3,	1),
(56497,	4,	1023,	1,	1),
(56498,	4,	1023,	2,	1),
(56499,	4,	1023,	3,	1),
(56500,	4,	1024,	1,	1),
(56501,	4,	1024,	2,	1),
(56502,	4,	1024,	3,	1),
(56503,	4,	1025,	1,	1),
(56504,	4,	1025,	2,	1),
(56505,	4,	1025,	3,	1),
(56506,	4,	1026,	1,	1),
(56507,	4,	1026,	2,	1),
(56508,	4,	1026,	3,	1),
(56509,	4,	1027,	1,	1),
(56510,	4,	1027,	2,	1),
(56511,	4,	1027,	3,	1),
(56512,	4,	1028,	1,	1),
(56513,	4,	1028,	2,	1),
(56514,	4,	1028,	3,	1),
(56515,	4,	1029,	1,	1),
(56516,	4,	1029,	2,	1),
(56517,	4,	1029,	3,	1),
(56518,	4,	1030,	1,	1),
(56519,	4,	1030,	2,	1),
(56520,	4,	1030,	3,	1),
(56521,	4,	1030,	1,	2),
(56522,	4,	1030,	2,	2),
(56523,	4,	1030,	3,	2),
(56524,	4,	1031,	1,	1),
(56525,	4,	1031,	2,	1),
(56526,	4,	1031,	3,	1),
(56527,	4,	1031,	1,	2),
(56528,	4,	1031,	2,	2),
(56529,	4,	1031,	3,	2),
(56530,	4,	1032,	1,	1),
(56531,	4,	1032,	2,	1),
(56532,	4,	1032,	3,	1),
(56533,	4,	1032,	1,	2),
(56534,	4,	1032,	2,	2),
(56535,	4,	1032,	3,	2),
(56536,	4,	1033,	1,	1),
(56537,	4,	1033,	2,	1),
(56538,	4,	1033,	3,	1),
(56539,	4,	1034,	1,	1),
(56540,	4,	1034,	2,	1),
(56541,	4,	1034,	3,	1),
(56542,	4,	1034,	1,	2),
(56543,	4,	1034,	2,	2),
(56544,	4,	1034,	3,	2),
(56545,	4,	1035,	1,	1),
(56546,	4,	1035,	2,	1),
(56547,	4,	1035,	3,	1),
(56548,	4,	1036,	1,	1),
(56549,	4,	1036,	2,	1),
(56550,	4,	1036,	3,	1),
(56551,	4,	1037,	1,	1),
(56552,	4,	1037,	2,	1),
(56553,	4,	1037,	3,	1),
(56554,	4,	1037,	1,	2),
(56555,	4,	1037,	2,	2),
(56556,	4,	1037,	3,	2),
(56557,	4,	1038,	1,	1),
(56558,	4,	1038,	2,	1),
(56559,	4,	1038,	3,	1),
(56560,	4,	1038,	1,	2),
(56561,	4,	1038,	2,	2),
(56562,	4,	1038,	3,	2),
(56563,	4,	1039,	1,	1),
(56564,	4,	1039,	2,	1),
(56565,	4,	1039,	3,	1),
(56566,	4,	1039,	1,	2),
(56567,	4,	1039,	2,	2),
(56568,	4,	1039,	3,	2),
(56569,	4,	1040,	1,	1),
(56570,	4,	1040,	2,	1),
(56571,	4,	1040,	3,	1),
(56572,	4,	1040,	1,	2),
(56573,	4,	1040,	2,	2),
(56574,	4,	1040,	3,	2),
(56575,	4,	1041,	1,	1),
(56576,	4,	1041,	2,	1),
(56577,	4,	1041,	3,	1),
(56578,	4,	1042,	1,	1),
(56579,	4,	1042,	2,	1),
(56580,	4,	1042,	3,	1),
(56581,	4,	1042,	1,	2),
(56582,	4,	1042,	2,	2),
(56583,	4,	1042,	3,	2),
(56584,	4,	1043,	1,	1),
(56585,	4,	1043,	2,	1),
(56586,	4,	1043,	3,	1),
(56587,	4,	1044,	1,	1),
(56588,	4,	1044,	2,	1),
(56589,	4,	1044,	3,	1),
(56590,	4,	1045,	1,	1),
(56591,	4,	1045,	2,	1),
(56592,	4,	1045,	3,	1),
(56593,	4,	1046,	1,	1),
(56594,	4,	1046,	2,	1),
(56595,	4,	1046,	3,	1),
(56596,	4,	1047,	1,	1),
(56597,	4,	1047,	2,	1),
(56598,	4,	1047,	3,	1),
(56599,	4,	1047,	1,	2),
(56600,	4,	1047,	2,	2),
(56601,	4,	1047,	3,	2),
(56602,	4,	1048,	1,	1),
(56603,	4,	1048,	2,	1),
(56604,	4,	1048,	3,	1),
(56605,	4,	1049,	1,	1),
(56606,	4,	1049,	2,	1),
(56607,	4,	1049,	3,	1),
(56608,	4,	1050,	1,	1),
(56609,	4,	1050,	2,	1),
(56610,	4,	1050,	3,	1),
(56611,	4,	1050,	1,	2),
(56612,	4,	1050,	2,	2),
(56613,	4,	1050,	3,	2),
(56614,	4,	1051,	1,	1),
(56615,	4,	1051,	2,	1),
(56616,	4,	1051,	3,	1),
(56617,	4,	1052,	1,	1),
(56618,	4,	1052,	2,	1),
(56619,	4,	1052,	3,	1),
(56620,	4,	1053,	1,	1),
(56621,	4,	1053,	2,	1),
(56622,	4,	1053,	3,	1),
(56623,	4,	1054,	1,	1),
(56624,	4,	1054,	2,	1),
(56625,	4,	1054,	3,	1),
(56626,	4,	1055,	1,	1),
(56627,	4,	1055,	2,	1),
(56628,	4,	1055,	3,	1),
(56629,	4,	1056,	1,	1),
(56630,	4,	1056,	2,	1),
(56631,	4,	1056,	3,	1),
(56632,	4,	1057,	1,	1),
(56633,	4,	1057,	2,	1),
(56634,	4,	1057,	3,	1),
(56635,	4,	1058,	1,	1),
(56636,	4,	1058,	2,	1),
(56637,	4,	1058,	3,	1),
(56638,	4,	1059,	1,	1),
(56639,	4,	1059,	2,	1),
(56640,	4,	1059,	3,	1),
(56641,	4,	1060,	1,	1),
(56642,	4,	1060,	2,	1),
(56643,	4,	1060,	3,	1),
(56644,	4,	1061,	1,	1),
(56645,	4,	1061,	2,	1),
(56646,	4,	1061,	3,	1),
(56647,	4,	1061,	1,	2),
(56648,	4,	1061,	2,	2),
(56649,	4,	1061,	3,	2),
(56650,	4,	1062,	1,	1),
(56651,	4,	1062,	2,	1),
(56652,	4,	1062,	3,	1),
(56653,	4,	1063,	1,	1),
(56654,	4,	1063,	2,	1),
(56655,	4,	1063,	3,	1),
(56656,	4,	1064,	1,	1),
(56657,	4,	1064,	2,	1),
(56658,	4,	1064,	3,	1),
(56659,	4,	1064,	1,	2),
(56660,	4,	1064,	2,	2),
(56661,	4,	1064,	3,	2),
(56662,	4,	1065,	1,	1),
(56663,	4,	1065,	2,	1),
(56664,	4,	1065,	3,	1),
(56665,	4,	1065,	1,	2),
(56666,	4,	1065,	2,	2),
(56667,	4,	1065,	3,	2),
(56668,	4,	1066,	1,	1),
(56669,	4,	1066,	2,	1),
(56670,	4,	1066,	3,	1),
(56671,	4,	1066,	1,	2),
(56672,	4,	1066,	2,	2),
(56673,	4,	1066,	3,	2),
(56674,	4,	1067,	1,	1),
(56675,	4,	1067,	2,	1),
(56676,	4,	1067,	3,	1),
(56677,	4,	1067,	1,	2),
(56678,	4,	1067,	2,	2),
(56679,	4,	1067,	3,	2),
(56680,	4,	1068,	1,	1),
(56681,	4,	1068,	2,	1),
(56682,	4,	1068,	3,	1),
(56683,	4,	1068,	1,	2),
(56684,	4,	1068,	2,	2),
(56685,	4,	1068,	3,	2),
(56686,	4,	1069,	1,	1),
(56687,	4,	1069,	2,	1),
(56688,	4,	1069,	3,	1),
(56689,	4,	1069,	1,	2),
(56690,	4,	1069,	2,	2),
(56691,	4,	1069,	3,	2),
(56692,	4,	1070,	1,	1),
(56693,	4,	1070,	2,	1),
(56694,	4,	1070,	3,	1),
(56695,	4,	1070,	1,	2),
(56696,	4,	1070,	2,	2),
(56697,	4,	1070,	3,	2),
(56698,	4,	1071,	1,	1),
(56699,	4,	1071,	2,	1),
(56700,	4,	1071,	3,	1),
(56701,	4,	1072,	1,	1),
(56702,	4,	1072,	2,	1),
(56703,	4,	1072,	3,	1),
(56704,	4,	1072,	28,	1),
(56705,	4,	1072,	1,	3),
(56706,	4,	1072,	2,	3),
(56707,	4,	1072,	3,	3),
(56708,	4,	1072,	28,	3),
(56709,	4,	1073,	1,	1),
(56710,	4,	1073,	2,	1),
(56711,	4,	1073,	3,	1),
(56712,	4,	1073,	1,	3),
(56713,	4,	1073,	2,	3),
(56714,	4,	1073,	3,	3),
(56715,	4,	1074,	1,	1),
(56716,	4,	1074,	2,	1),
(56717,	4,	1074,	3,	1),
(56718,	4,	1074,	1,	3),
(56719,	4,	1074,	2,	3),
(56720,	4,	1074,	3,	3),
(56721,	4,	1075,	1,	1),
(56722,	4,	1075,	2,	1),
(56723,	4,	1075,	3,	1),
(56724,	4,	1075,	1,	3),
(56725,	4,	1075,	2,	3),
(56726,	4,	1075,	3,	3),
(56727,	4,	1076,	1,	1),
(56728,	4,	1076,	2,	1),
(56729,	4,	1076,	3,	1),
(56730,	4,	1076,	1,	3),
(56731,	4,	1076,	2,	3),
(56732,	4,	1076,	3,	3),
(56733,	4,	1077,	1,	1),
(56734,	4,	1077,	2,	1),
(56735,	4,	1077,	3,	1),
(56736,	4,	1077,	1,	3),
(56737,	4,	1077,	2,	3),
(56738,	4,	1077,	3,	3),
(56739,	4,	1078,	1,	1),
(56740,	4,	1078,	2,	1),
(56741,	4,	1078,	3,	1),
(56742,	4,	1078,	1,	2),
(56743,	4,	1078,	2,	2),
(56744,	4,	1078,	3,	2),
(56745,	4,	1079,	1,	1),
(56746,	4,	1079,	2,	1),
(56747,	4,	1079,	3,	1),
(56748,	4,	1079,	1,	2),
(56749,	4,	1079,	2,	2),
(56750,	4,	1079,	3,	2),
(56751,	4,	1080,	1,	1),
(56752,	4,	1080,	2,	1),
(56753,	4,	1080,	3,	1),
(56754,	4,	1081,	1,	1),
(56755,	4,	1081,	2,	1),
(56756,	4,	1081,	3,	1),
(56757,	4,	1081,	1,	2),
(56758,	4,	1081,	2,	2),
(56759,	4,	1081,	3,	2),
(56760,	4,	1082,	1,	1),
(56761,	4,	1082,	2,	1),
(56762,	4,	1082,	3,	1),
(56763,	4,	1082,	1,	2),
(56764,	4,	1082,	2,	2),
(56765,	4,	1082,	3,	2),
(56766,	4,	1083,	1,	1),
(56767,	4,	1083,	2,	1),
(56768,	4,	1083,	3,	1),
(56769,	4,	1083,	1,	2),
(56770,	4,	1083,	2,	2),
(56771,	4,	1083,	3,	2),
(56772,	4,	1084,	1,	1),
(56773,	4,	1084,	2,	1),
(56774,	4,	1084,	3,	1),
(56775,	4,	1084,	1,	2),
(56776,	4,	1084,	2,	2),
(56777,	4,	1084,	3,	2),
(56778,	4,	1085,	1,	1),
(56779,	4,	1085,	2,	1),
(56780,	4,	1085,	3,	1),
(56781,	4,	1086,	1,	1),
(56782,	4,	1086,	2,	1),
(56783,	4,	1086,	3,	1),
(56784,	4,	1086,	1,	2),
(56785,	4,	1086,	2,	2),
(56786,	4,	1086,	3,	2),
(56787,	4,	1087,	1,	1),
(56788,	4,	1087,	2,	1),
(56789,	4,	1087,	3,	1),
(56790,	4,	1087,	1,	2),
(56791,	4,	1087,	2,	2),
(56792,	4,	1087,	3,	2),
(56793,	4,	1088,	1,	1),
(56794,	4,	1088,	2,	1),
(56795,	4,	1088,	3,	1),
(56796,	4,	1088,	1,	2),
(56797,	4,	1088,	2,	2),
(56798,	4,	1088,	3,	2),
(56799,	4,	1089,	1,	1),
(56800,	4,	1089,	2,	1),
(56801,	4,	1089,	3,	1),
(56802,	4,	1090,	1,	1),
(56803,	4,	1090,	2,	1),
(56804,	4,	1090,	3,	1),
(56805,	4,	1090,	1,	2),
(56806,	4,	1090,	2,	2),
(56807,	4,	1090,	3,	2),
(56808,	4,	1091,	1,	1),
(56809,	4,	1091,	2,	1),
(56810,	4,	1091,	3,	1),
(56811,	4,	1091,	1,	2),
(56812,	4,	1091,	2,	2),
(56813,	4,	1091,	3,	2),
(56814,	4,	1092,	1,	1),
(56815,	4,	1092,	2,	1),
(56816,	4,	1092,	3,	1),
(56817,	4,	1093,	1,	1),
(56818,	4,	1093,	2,	1),
(56819,	4,	1093,	3,	1),
(56820,	4,	1093,	1,	2),
(56821,	4,	1093,	2,	2),
(56822,	4,	1093,	3,	2),
(56823,	4,	1094,	1,	1),
(56824,	4,	1094,	2,	1),
(56825,	4,	1094,	3,	1),
(56826,	4,	1094,	1,	2),
(56827,	4,	1094,	2,	2),
(56828,	4,	1094,	3,	2),
(56829,	4,	1095,	1,	1),
(56830,	4,	1095,	2,	1),
(56831,	4,	1095,	3,	1),
(56832,	4,	1095,	1,	2),
(56833,	4,	1095,	2,	2),
(56834,	4,	1095,	3,	2),
(56835,	4,	1096,	1,	1),
(56836,	4,	1096,	2,	1),
(56837,	4,	1096,	3,	1),
(56838,	4,	1097,	1,	1),
(56839,	4,	1097,	2,	1),
(56840,	4,	1097,	3,	1),
(56841,	4,	1097,	1,	2),
(56842,	4,	1097,	2,	2),
(56843,	4,	1097,	3,	2),
(56844,	4,	1098,	1,	1),
(56845,	4,	1098,	2,	1),
(56846,	4,	1098,	3,	1),
(56847,	4,	1098,	1,	2),
(56848,	4,	1098,	2,	2),
(56849,	4,	1098,	3,	2),
(56850,	4,	1099,	1,	1),
(56851,	4,	1099,	2,	1),
(56852,	4,	1099,	3,	1),
(56853,	4,	1099,	1,	2),
(56854,	4,	1099,	2,	2),
(56855,	4,	1099,	3,	2),
(56856,	4,	1100,	1,	1),
(56857,	4,	1100,	2,	1),
(56858,	4,	1100,	3,	1),
(56859,	4,	1100,	1,	2),
(56860,	4,	1100,	2,	2),
(56861,	4,	1100,	3,	2),
(56862,	4,	1101,	1,	1),
(56863,	4,	1101,	2,	1),
(56864,	4,	1101,	3,	1),
(56865,	4,	1102,	1,	1),
(56866,	4,	1102,	2,	1),
(56867,	4,	1102,	3,	1),
(56868,	4,	1102,	1,	2),
(56869,	4,	1102,	2,	2),
(56870,	4,	1102,	3,	2),
(56871,	4,	1103,	1,	1),
(56872,	4,	1103,	2,	1),
(56873,	4,	1103,	3,	1),
(56874,	4,	1103,	1,	2),
(56875,	4,	1103,	2,	2),
(56876,	4,	1103,	3,	2),
(56877,	4,	1104,	1,	1),
(56878,	4,	1104,	2,	1),
(56879,	4,	1104,	3,	1),
(56880,	4,	1104,	1,	2),
(56881,	4,	1104,	2,	2),
(56882,	4,	1104,	3,	2),
(56883,	4,	1105,	1,	1),
(56884,	4,	1105,	2,	1),
(56885,	4,	1105,	3,	1),
(56886,	4,	1105,	1,	2),
(56887,	4,	1105,	2,	2),
(56888,	4,	1105,	3,	2),
(56889,	4,	1106,	1,	1),
(56890,	4,	1106,	2,	1),
(56891,	4,	1106,	3,	1),
(56892,	4,	1106,	1,	2),
(56893,	4,	1106,	2,	2),
(56894,	4,	1106,	3,	2),
(56895,	4,	1107,	1,	1),
(56896,	4,	1107,	2,	1),
(56897,	4,	1107,	3,	1),
(56898,	4,	1108,	1,	1),
(56899,	4,	1108,	2,	1),
(56900,	4,	1108,	3,	1),
(56901,	4,	1108,	1,	2),
(56902,	4,	1108,	2,	2),
(56903,	4,	1108,	3,	2),
(56904,	4,	1109,	1,	1),
(56905,	4,	1109,	2,	1),
(56906,	4,	1109,	3,	1),
(56907,	4,	1109,	1,	2),
(56908,	4,	1109,	2,	2),
(56909,	4,	1109,	3,	2),
(56910,	4,	1110,	1,	1),
(56911,	4,	1110,	2,	1),
(56912,	4,	1110,	3,	1),
(56913,	4,	1110,	1,	2),
(56914,	4,	1110,	2,	2),
(56915,	4,	1110,	3,	2),
(56916,	4,	1111,	1,	1),
(56917,	4,	1111,	2,	1),
(56918,	4,	1111,	3,	1),
(56919,	4,	1111,	1,	2),
(56920,	4,	1111,	2,	2),
(56921,	4,	1111,	3,	2),
(56922,	4,	1112,	1,	1),
(56923,	4,	1112,	2,	1),
(56924,	4,	1112,	3,	1),
(56925,	4,	1113,	1,	1),
(56926,	4,	1113,	2,	1),
(56927,	4,	1113,	3,	1),
(56928,	4,	1113,	1,	2),
(56929,	4,	1113,	2,	2),
(56930,	4,	1113,	3,	2),
(56931,	4,	1114,	1,	1),
(56932,	4,	1114,	2,	1),
(56933,	4,	1114,	3,	1),
(56934,	4,	1114,	1,	2),
(56935,	4,	1114,	2,	2),
(56936,	4,	1114,	3,	2),
(56937,	4,	1115,	1,	1),
(56938,	4,	1115,	2,	1),
(56939,	4,	1115,	3,	1),
(56940,	4,	1115,	1,	2),
(56941,	4,	1115,	2,	2),
(56942,	4,	1115,	3,	2),
(56943,	4,	1116,	1,	1),
(56944,	4,	1116,	2,	1),
(56945,	4,	1116,	3,	1),
(56946,	4,	1116,	1,	2),
(56947,	4,	1116,	2,	2),
(56948,	4,	1116,	3,	2),
(56949,	4,	1117,	1,	1),
(56950,	4,	1117,	2,	1),
(56951,	4,	1117,	3,	1),
(56952,	4,	1117,	1,	2),
(56953,	4,	1117,	2,	2),
(56954,	4,	1117,	3,	2),
(56955,	4,	1118,	1,	1),
(56956,	4,	1118,	2,	1),
(56957,	4,	1118,	3,	1),
(56958,	4,	1118,	1,	2),
(56959,	4,	1118,	2,	2),
(56960,	4,	1118,	3,	2),
(56961,	4,	1119,	1,	1),
(56962,	4,	1119,	2,	1),
(56963,	4,	1119,	3,	1),
(56964,	4,	1120,	1,	1),
(56965,	4,	1120,	2,	1),
(56966,	4,	1120,	3,	1),
(56967,	4,	1120,	1,	2),
(56968,	4,	1120,	2,	2),
(56969,	4,	1120,	3,	2),
(56970,	4,	1121,	1,	1),
(56971,	4,	1121,	2,	1),
(56972,	4,	1121,	3,	1),
(56973,	4,	1121,	1,	2),
(56974,	4,	1121,	2,	2),
(56975,	4,	1121,	3,	2),
(56976,	4,	1122,	1,	1),
(56977,	4,	1122,	2,	1),
(56978,	4,	1122,	3,	1),
(56979,	4,	1122,	1,	2),
(56980,	4,	1122,	2,	2),
(56981,	4,	1122,	3,	2),
(56982,	4,	1123,	1,	1),
(56983,	4,	1123,	2,	1),
(56984,	4,	1123,	3,	1),
(56985,	4,	1123,	1,	2),
(56986,	4,	1123,	2,	2),
(56987,	4,	1123,	3,	2),
(56988,	4,	1124,	1,	1),
(56989,	4,	1124,	2,	1),
(56990,	4,	1124,	3,	1),
(56991,	4,	1125,	1,	1),
(56992,	4,	1125,	2,	1),
(56993,	4,	1125,	3,	1),
(56994,	4,	1125,	1,	2),
(56995,	4,	1125,	2,	2),
(56996,	4,	1125,	3,	2),
(56997,	4,	1126,	1,	1),
(56998,	4,	1126,	2,	1),
(56999,	4,	1126,	3,	1),
(57000,	4,	1126,	1,	2),
(57001,	4,	1126,	2,	2),
(57002,	4,	1126,	3,	2),
(57003,	4,	1127,	1,	1),
(57004,	4,	1127,	2,	1),
(57005,	4,	1127,	3,	1),
(57006,	4,	1128,	1,	1),
(57007,	4,	1128,	2,	1),
(57008,	4,	1128,	3,	1),
(57009,	4,	1128,	1,	2),
(57010,	4,	1128,	2,	2),
(57011,	4,	1128,	3,	2),
(57013,	4,	1129,	2,	1),
(57015,	4,	1129,	1,	3),
(57016,	4,	1129,	2,	3),
(57017,	4,	1129,	3,	3),
(57018,	4,	1130,	1,	1),
(57019,	4,	1130,	2,	1),
(57020,	4,	1130,	3,	1),
(57021,	4,	1130,	1,	3),
(57022,	4,	1130,	2,	3),
(57023,	4,	1130,	3,	3),
(57024,	4,	1131,	1,	1),
(57025,	4,	1131,	2,	1),
(57026,	4,	1131,	3,	1),
(57027,	4,	1131,	23,	1),
(57028,	4,	1131,	4,	1),
(57029,	4,	1131,	25,	1),
(57030,	4,	1131,	24,	1),
(57031,	4,	1131,	6,	1),
(57032,	4,	1131,	1,	3),
(57033,	4,	1131,	2,	3),
(57034,	4,	1131,	3,	3),
(57035,	4,	1131,	23,	3),
(57036,	4,	1131,	4,	3),
(57037,	4,	1131,	25,	3),
(57038,	4,	1131,	24,	3),
(57039,	4,	1131,	6,	3),
(57040,	4,	1132,	1,	1),
(57041,	4,	1132,	2,	1),
(57042,	4,	1132,	3,	1),
(57043,	4,	1132,	23,	1),
(57044,	4,	1132,	4,	1),
(57045,	4,	1132,	25,	1),
(57046,	4,	1132,	24,	1),
(57047,	4,	1132,	6,	1),
(57048,	4,	1132,	1,	3),
(57049,	4,	1132,	2,	3),
(57050,	4,	1132,	3,	3),
(57051,	4,	1132,	23,	3),
(57052,	4,	1132,	4,	3),
(57053,	4,	1132,	25,	3),
(57054,	4,	1132,	24,	3),
(57055,	4,	1132,	6,	3),
(57056,	4,	1133,	1,	1),
(57057,	4,	1133,	2,	1),
(57058,	4,	1133,	3,	1),
(57059,	4,	1133,	23,	1),
(57060,	4,	1133,	4,	1),
(57061,	4,	1133,	25,	1),
(57062,	4,	1133,	24,	1),
(57063,	4,	1133,	6,	1),
(57064,	4,	1133,	1,	3),
(57065,	4,	1133,	2,	3),
(57066,	4,	1133,	3,	3),
(57067,	4,	1133,	23,	3),
(57068,	4,	1133,	4,	3),
(57069,	4,	1133,	25,	3),
(57070,	4,	1133,	24,	3),
(57071,	4,	1133,	6,	3),
(57072,	4,	1134,	1,	1),
(57073,	4,	1134,	2,	1),
(57074,	4,	1134,	3,	1),
(57075,	4,	1134,	23,	1),
(57076,	4,	1134,	4,	1),
(57077,	4,	1134,	25,	1),
(57078,	4,	1134,	24,	1),
(57079,	4,	1134,	6,	1),
(57080,	4,	1134,	1,	3),
(57081,	4,	1134,	2,	3),
(57082,	4,	1134,	3,	3),
(57083,	4,	1134,	23,	3),
(57084,	4,	1134,	4,	3),
(57085,	4,	1134,	25,	3),
(57086,	4,	1134,	24,	3),
(57087,	4,	1134,	6,	3),
(57088,	4,	1135,	1,	1),
(57089,	4,	1135,	2,	1),
(57090,	4,	1135,	3,	1),
(57091,	4,	1135,	23,	1),
(57092,	4,	1135,	4,	1),
(57093,	4,	1135,	25,	1),
(57094,	4,	1135,	24,	1),
(57095,	4,	1135,	6,	1),
(57096,	4,	1135,	1,	3),
(57097,	4,	1135,	2,	3),
(57098,	4,	1135,	3,	3),
(57099,	4,	1135,	23,	3),
(57100,	4,	1135,	4,	3),
(57101,	4,	1135,	25,	3),
(57102,	4,	1135,	24,	3),
(57103,	4,	1135,	6,	3),
(57104,	4,	1136,	1,	1),
(57105,	4,	1136,	2,	1),
(57106,	4,	1136,	3,	1),
(57107,	4,	1136,	23,	1),
(57108,	4,	1136,	4,	1),
(57109,	4,	1136,	25,	1),
(57110,	4,	1136,	24,	1),
(57111,	4,	1136,	6,	1),
(57112,	4,	1136,	1,	3),
(57113,	4,	1136,	2,	3),
(57114,	4,	1136,	3,	3),
(57115,	4,	1136,	23,	3),
(57116,	4,	1136,	4,	3),
(57117,	4,	1136,	25,	3),
(57118,	4,	1136,	24,	3),
(57119,	4,	1136,	6,	3),
(57120,	4,	1137,	1,	1),
(57121,	4,	1137,	2,	1),
(57122,	4,	1137,	3,	1),
(57123,	4,	1137,	1,	2),
(57124,	4,	1137,	2,	2),
(57125,	4,	1137,	3,	2),
(57126,	4,	1138,	1,	1),
(57127,	4,	1138,	2,	1),
(57128,	4,	1138,	3,	1),
(57129,	4,	1138,	23,	1),
(57130,	4,	1138,	4,	1),
(57131,	4,	1138,	25,	1),
(57132,	4,	1138,	24,	1),
(57133,	4,	1138,	6,	1),
(57134,	4,	1138,	1,	3),
(57135,	4,	1138,	2,	3),
(57136,	4,	1138,	3,	3),
(57137,	4,	1138,	23,	3),
(57138,	4,	1138,	4,	3),
(57139,	4,	1138,	25,	3),
(57140,	4,	1138,	24,	3),
(57141,	4,	1138,	6,	3),
(57142,	4,	1139,	1,	1),
(57143,	4,	1139,	2,	1),
(57144,	4,	1139,	3,	1),
(57145,	4,	1139,	23,	1),
(57146,	4,	1139,	4,	1),
(57147,	4,	1139,	25,	1),
(57148,	4,	1139,	24,	1),
(57149,	4,	1139,	6,	1),
(57150,	4,	1139,	1,	3),
(57151,	4,	1139,	2,	3),
(57152,	4,	1139,	3,	3),
(57153,	4,	1139,	23,	3),
(57154,	4,	1139,	4,	3),
(57155,	4,	1139,	25,	3),
(57156,	4,	1139,	24,	3),
(57157,	4,	1139,	6,	3),
(57158,	4,	1140,	1,	1),
(57159,	4,	1140,	2,	1),
(57160,	4,	1140,	3,	1),
(57161,	4,	1140,	23,	1),
(57162,	4,	1140,	4,	1),
(57163,	4,	1140,	25,	1),
(57164,	4,	1140,	24,	1),
(57165,	4,	1140,	6,	1),
(57166,	4,	1140,	1,	3),
(57167,	4,	1140,	2,	3),
(57168,	4,	1140,	3,	3),
(57169,	4,	1140,	23,	3),
(57170,	4,	1140,	4,	3),
(57171,	4,	1140,	25,	3),
(57172,	4,	1140,	24,	3),
(57173,	4,	1140,	6,	3),
(57174,	4,	1141,	1,	1),
(57175,	4,	1141,	2,	1),
(57176,	4,	1141,	3,	1),
(57177,	4,	1142,	1,	1),
(57178,	4,	1142,	2,	1),
(57179,	4,	1142,	3,	1),
(57180,	4,	1142,	1,	3),
(57181,	4,	1142,	2,	3),
(57182,	4,	1142,	3,	3),
(57183,	4,	1143,	1,	1),
(57184,	4,	1143,	2,	1),
(57185,	4,	1143,	3,	1),
(57186,	4,	1143,	23,	1),
(57187,	4,	1143,	4,	1),
(57188,	4,	1143,	25,	1),
(57189,	4,	1143,	24,	1),
(57190,	4,	1143,	6,	1),
(57191,	4,	1143,	1,	3),
(57192,	4,	1143,	2,	3),
(57193,	4,	1143,	3,	3),
(57194,	4,	1143,	23,	3),
(57195,	4,	1143,	4,	3),
(57196,	4,	1143,	25,	3),
(57197,	4,	1143,	24,	3),
(57198,	4,	1143,	6,	3),
(57199,	4,	1144,	1,	1),
(57200,	4,	1144,	2,	1),
(57201,	4,	1144,	3,	1),
(57202,	4,	1145,	1,	1),
(57203,	4,	1145,	2,	1),
(57204,	4,	1145,	3,	1),
(57205,	4,	1145,	23,	1),
(57206,	4,	1145,	4,	1),
(57207,	4,	1145,	25,	1),
(57208,	4,	1145,	24,	1),
(57209,	4,	1145,	6,	1),
(57210,	4,	1145,	1,	3),
(57211,	4,	1145,	2,	3),
(57212,	4,	1145,	3,	3),
(57213,	4,	1145,	23,	3),
(57214,	4,	1145,	4,	3),
(57215,	4,	1145,	25,	3),
(57216,	4,	1145,	24,	3),
(57217,	4,	1145,	6,	3),
(57219,	4,	1146,	2,	1),
(57220,	4,	1146,	3,	1),
(57221,	4,	1146,	1,	2),
(57222,	4,	1146,	2,	2),
(57223,	4,	1146,	3,	2),
(57224,	4,	1147,	1,	1),
(57225,	4,	1147,	2,	1),
(57226,	4,	1147,	3,	1),
(57227,	4,	1148,	1,	1),
(57228,	4,	1148,	2,	1),
(57229,	4,	1148,	3,	1),
(57230,	4,	1148,	23,	1),
(57231,	4,	1148,	4,	1),
(57232,	4,	1148,	25,	1),
(57233,	4,	1148,	24,	1),
(57234,	4,	1148,	6,	1),
(57235,	4,	1148,	1,	3),
(57236,	4,	1148,	2,	3),
(57237,	4,	1148,	3,	3),
(57238,	4,	1148,	23,	3),
(57239,	4,	1148,	4,	3),
(57240,	4,	1148,	25,	3),
(57241,	4,	1148,	24,	3),
(57242,	4,	1148,	6,	3),
(57243,	4,	1149,	1,	1),
(57244,	4,	1149,	2,	1),
(57245,	4,	1149,	3,	1),
(57246,	4,	1149,	1,	2),
(57247,	4,	1149,	2,	2),
(57248,	4,	1149,	3,	2),
(57249,	4,	1150,	1,	1),
(57250,	4,	1150,	2,	1),
(57251,	4,	1150,	3,	1),
(57252,	4,	1151,	1,	1),
(57253,	4,	1151,	2,	1),
(57254,	4,	1151,	3,	1),
(57255,	4,	1151,	23,	1),
(57256,	4,	1151,	4,	1),
(57257,	4,	1151,	25,	1),
(57258,	4,	1151,	24,	1),
(57259,	4,	1151,	6,	1),
(57260,	4,	1151,	1,	3),
(57261,	4,	1151,	2,	3),
(57262,	4,	1151,	3,	3),
(57263,	4,	1151,	23,	3),
(57264,	4,	1151,	4,	3),
(57265,	4,	1151,	25,	3),
(57266,	4,	1151,	24,	3),
(57267,	4,	1151,	6,	3),
(57268,	4,	1152,	1,	1),
(57269,	4,	1152,	2,	1),
(57270,	4,	1152,	3,	1),
(57271,	4,	1152,	1,	2),
(57272,	4,	1152,	2,	2),
(57273,	4,	1152,	3,	2),
(57274,	4,	1153,	1,	1),
(57275,	4,	1153,	2,	1),
(57276,	4,	1153,	3,	1),
(57277,	4,	1154,	1,	1),
(57278,	4,	1154,	2,	1),
(57279,	4,	1154,	3,	1),
(57280,	4,	1155,	1,	1),
(57281,	4,	1155,	2,	1),
(57282,	4,	1155,	3,	1),
(57283,	4,	1156,	1,	1),
(57284,	4,	1156,	2,	1),
(57285,	4,	1156,	3,	1),
(57286,	4,	1157,	1,	1),
(57287,	4,	1157,	2,	1),
(57288,	4,	1157,	3,	1),
(57289,	4,	1158,	1,	1),
(57290,	4,	1158,	2,	1),
(57291,	4,	1158,	3,	1),
(57292,	4,	1159,	1,	1),
(57293,	4,	1159,	2,	1),
(57294,	4,	1159,	3,	1),
(57295,	4,	1160,	1,	1),
(57296,	4,	1160,	2,	1),
(57297,	4,	1160,	3,	1),
(57298,	4,	1161,	1,	1),
(57299,	4,	1161,	2,	1),
(57300,	4,	1161,	3,	1),
(57301,	4,	1161,	1,	2),
(57302,	4,	1161,	2,	2),
(57303,	4,	1161,	3,	2),
(57304,	4,	1162,	1,	1),
(57305,	4,	1162,	2,	1),
(57306,	4,	1162,	3,	1),
(57307,	4,	1163,	1,	1),
(57308,	4,	1163,	2,	1),
(57309,	4,	1163,	3,	1),
(57310,	4,	1163,	1,	2),
(57311,	4,	1163,	2,	2),
(57312,	4,	1163,	3,	2),
(57313,	4,	1164,	1,	1),
(57314,	4,	1164,	2,	1),
(57315,	4,	1164,	3,	1),
(57316,	4,	1164,	35,	1),
(57317,	4,	1164,	45,	1),
(57318,	4,	1164,	46,	1),
(57319,	4,	1164,	54,	1),
(57320,	4,	1164,	51,	1),
(57321,	4,	1164,	55,	1),
(57322,	4,	1164,	56,	1),
(57323,	4,	1164,	57,	1),
(57324,	4,	1164,	58,	1),
(57325,	4,	1164,	59,	1),
(57326,	4,	1164,	60,	1),
(57327,	4,	1164,	49,	1),
(57328,	4,	1164,	61,	1),
(57329,	4,	1164,	53,	1),
(57330,	4,	1164,	62,	1),
(57331,	4,	1164,	52,	1),
(57332,	4,	1164,	63,	1),
(57333,	4,	1164,	64,	1),
(57334,	4,	1165,	1,	1),
(57335,	4,	1165,	2,	1),
(57336,	4,	1165,	3,	1),
(57337,	4,	1165,	35,	1),
(57338,	4,	1165,	45,	1),
(57339,	4,	1165,	46,	1),
(57340,	4,	1165,	54,	1),
(57341,	4,	1165,	51,	1),
(57342,	4,	1165,	55,	1),
(57343,	4,	1165,	56,	1),
(57344,	4,	1165,	57,	1),
(57345,	4,	1165,	58,	1),
(57346,	4,	1165,	59,	1),
(57347,	4,	1165,	60,	1),
(57348,	4,	1165,	49,	1),
(57349,	4,	1165,	61,	1),
(57350,	4,	1165,	53,	1),
(57351,	4,	1165,	62,	1),
(57352,	4,	1165,	52,	1),
(57353,	4,	1165,	63,	1),
(57354,	4,	1165,	64,	1),
(57355,	4,	1166,	1,	1),
(57356,	4,	1166,	2,	1),
(57357,	4,	1166,	3,	1),
(57358,	4,	1166,	35,	1),
(57359,	4,	1166,	45,	1),
(57360,	4,	1166,	46,	1),
(57361,	4,	1166,	54,	1),
(57362,	4,	1166,	51,	1),
(57363,	4,	1166,	55,	1),
(57364,	4,	1166,	56,	1),
(57365,	4,	1166,	57,	1),
(57366,	4,	1166,	58,	1),
(57367,	4,	1166,	59,	1),
(57368,	4,	1166,	60,	1),
(57369,	4,	1166,	49,	1),
(57370,	4,	1166,	61,	1),
(57371,	4,	1166,	53,	1),
(57372,	4,	1166,	62,	1),
(57373,	4,	1166,	52,	1),
(57374,	4,	1166,	63,	1),
(57375,	4,	1166,	64,	1),
(57376,	4,	1166,	1,	3),
(57377,	4,	1166,	2,	3),
(57378,	4,	1166,	3,	3),
(57379,	4,	1166,	35,	3),
(57380,	4,	1166,	45,	3),
(57381,	4,	1166,	46,	3),
(57382,	4,	1166,	54,	3),
(57383,	4,	1166,	51,	3),
(57384,	4,	1166,	55,	3),
(57385,	4,	1166,	56,	3),
(57386,	4,	1166,	57,	3),
(57387,	4,	1166,	58,	3),
(57388,	4,	1166,	59,	3),
(57389,	4,	1166,	60,	3),
(57390,	4,	1166,	49,	3),
(57391,	4,	1166,	61,	3),
(57392,	4,	1166,	53,	3),
(57393,	4,	1166,	62,	3),
(57394,	4,	1166,	52,	3),
(57395,	4,	1166,	63,	3),
(57396,	4,	1166,	64,	3),
(57397,	4,	1167,	1,	1),
(57398,	4,	1167,	2,	1),
(57399,	4,	1167,	3,	1),
(57400,	4,	1167,	35,	1),
(57401,	4,	1167,	45,	1),
(57402,	4,	1167,	46,	1),
(57403,	4,	1167,	54,	1),
(57404,	4,	1167,	51,	1),
(57405,	4,	1167,	55,	1),
(57406,	4,	1167,	56,	1),
(57407,	4,	1167,	57,	1),
(57408,	4,	1167,	58,	1),
(57409,	4,	1167,	59,	1),
(57410,	4,	1167,	60,	1),
(57411,	4,	1167,	49,	1),
(57412,	4,	1167,	61,	1),
(57413,	4,	1167,	53,	1),
(57414,	4,	1167,	62,	1),
(57415,	4,	1167,	52,	1),
(57416,	4,	1167,	63,	1),
(57417,	4,	1167,	64,	1),
(57418,	4,	1167,	1,	3),
(57419,	4,	1167,	2,	3),
(57420,	4,	1167,	3,	3),
(57421,	4,	1167,	35,	3),
(57422,	4,	1167,	45,	3),
(57423,	4,	1167,	46,	3),
(57424,	4,	1167,	54,	3),
(57425,	4,	1167,	51,	3),
(57426,	4,	1167,	55,	3),
(57427,	4,	1167,	56,	3),
(57428,	4,	1167,	57,	3),
(57429,	4,	1167,	58,	3),
(57430,	4,	1167,	59,	3),
(57431,	4,	1167,	60,	3),
(57432,	4,	1167,	49,	3),
(57433,	4,	1167,	61,	3),
(57434,	4,	1167,	53,	3),
(57435,	4,	1167,	62,	3),
(57436,	4,	1167,	52,	3),
(57437,	4,	1167,	63,	3),
(57438,	4,	1167,	64,	3),
(57439,	4,	1168,	1,	1),
(57440,	4,	1168,	2,	1),
(57441,	4,	1168,	3,	1),
(57442,	4,	1168,	35,	1),
(57443,	4,	1168,	45,	1),
(57444,	4,	1168,	46,	1),
(57445,	4,	1168,	54,	1),
(57446,	4,	1168,	51,	1),
(57447,	4,	1168,	55,	1),
(57448,	4,	1168,	56,	1),
(57449,	4,	1168,	57,	1),
(57450,	4,	1168,	58,	1),
(57451,	4,	1168,	59,	1),
(57452,	4,	1168,	60,	1),
(57453,	4,	1168,	49,	1),
(57454,	4,	1168,	61,	1),
(57455,	4,	1168,	53,	1),
(57456,	4,	1168,	62,	1),
(57457,	4,	1168,	52,	1),
(57458,	4,	1168,	63,	1),
(57459,	4,	1168,	64,	1),
(57460,	4,	1169,	1,	1),
(57461,	4,	1169,	2,	1),
(57462,	4,	1169,	3,	1),
(57463,	4,	1169,	35,	1),
(57464,	4,	1169,	45,	1),
(57465,	4,	1169,	46,	1),
(57466,	4,	1169,	54,	1),
(57467,	4,	1169,	51,	1),
(57468,	4,	1169,	55,	1),
(57469,	4,	1169,	56,	1),
(57470,	4,	1169,	57,	1),
(57471,	4,	1169,	58,	1),
(57472,	4,	1169,	59,	1),
(57473,	4,	1169,	60,	1),
(57474,	4,	1169,	49,	1),
(57475,	4,	1169,	61,	1),
(57476,	4,	1169,	53,	1),
(57477,	4,	1169,	62,	1),
(57478,	4,	1169,	52,	1),
(57479,	4,	1169,	63,	1),
(57480,	4,	1169,	64,	1),
(57481,	4,	1170,	1,	1),
(57482,	4,	1170,	2,	1),
(57483,	4,	1170,	3,	1),
(57484,	4,	1170,	1,	2),
(57485,	4,	1170,	2,	2),
(57486,	4,	1170,	3,	2),
(57487,	4,	1171,	1,	1),
(57488,	4,	1171,	2,	1),
(57489,	4,	1171,	3,	1),
(57490,	4,	1171,	35,	1),
(57491,	4,	1171,	45,	1),
(57492,	4,	1171,	46,	1),
(57493,	4,	1171,	54,	1),
(57494,	4,	1171,	51,	1),
(57495,	4,	1171,	55,	1),
(57496,	4,	1171,	56,	1),
(57497,	4,	1171,	57,	1),
(57498,	4,	1171,	58,	1),
(57499,	4,	1171,	59,	1),
(57500,	4,	1171,	60,	1),
(57501,	4,	1171,	49,	1),
(57502,	4,	1171,	61,	1),
(57503,	4,	1171,	53,	1),
(57504,	4,	1171,	62,	1),
(57505,	4,	1171,	52,	1),
(57506,	4,	1171,	63,	1),
(57507,	4,	1171,	64,	1),
(57508,	4,	1172,	1,	1),
(57509,	4,	1172,	2,	1),
(57510,	4,	1172,	3,	1),
(57511,	4,	1172,	35,	1),
(57512,	4,	1172,	45,	1),
(57513,	4,	1172,	46,	1),
(57514,	4,	1172,	54,	1),
(57515,	4,	1172,	51,	1),
(57516,	4,	1172,	55,	1),
(57517,	4,	1172,	56,	1),
(57518,	4,	1172,	57,	1),
(57519,	4,	1172,	58,	1),
(57520,	4,	1172,	59,	1),
(57521,	4,	1172,	60,	1),
(57522,	4,	1172,	49,	1),
(57523,	4,	1172,	61,	1),
(57524,	4,	1172,	53,	1),
(57525,	4,	1172,	62,	1),
(57526,	4,	1172,	52,	1),
(57527,	4,	1172,	63,	1),
(57528,	4,	1172,	64,	1),
(57529,	4,	1172,	1,	3),
(57530,	4,	1172,	2,	3),
(57531,	4,	1172,	3,	3),
(57532,	4,	1172,	35,	3),
(57533,	4,	1172,	45,	3),
(57534,	4,	1172,	46,	3),
(57535,	4,	1172,	54,	3),
(57536,	4,	1172,	51,	3),
(57537,	4,	1172,	55,	3);
INSERT INTO `location_products` (`id`, `location_id`, `product_id`, `grade_id`, `standard_id`) VALUES
(57538,	4,	1172,	56,	3),
(57539,	4,	1172,	57,	3),
(57540,	4,	1172,	58,	3),
(57541,	4,	1172,	59,	3),
(57542,	4,	1172,	60,	3),
(57543,	4,	1172,	49,	3),
(57544,	4,	1172,	61,	3),
(57545,	4,	1172,	53,	3),
(57546,	4,	1172,	62,	3),
(57547,	4,	1172,	52,	3),
(57548,	4,	1172,	63,	3),
(57549,	4,	1172,	64,	3),
(57550,	4,	1173,	1,	1),
(57551,	4,	1173,	2,	1),
(57552,	4,	1173,	3,	1),
(57553,	4,	1173,	35,	1),
(57554,	4,	1173,	45,	1),
(57555,	4,	1173,	46,	1),
(57556,	4,	1173,	54,	1),
(57557,	4,	1173,	51,	1),
(57558,	4,	1173,	55,	1),
(57559,	4,	1173,	56,	1),
(57560,	4,	1173,	57,	1),
(57561,	4,	1173,	58,	1),
(57562,	4,	1173,	59,	1),
(57563,	4,	1173,	60,	1),
(57564,	4,	1173,	49,	1),
(57565,	4,	1173,	61,	1),
(57566,	4,	1173,	53,	1),
(57567,	4,	1173,	62,	1),
(57568,	4,	1173,	52,	1),
(57569,	4,	1173,	63,	1),
(57570,	4,	1173,	64,	1),
(57571,	4,	1173,	1,	3),
(57572,	4,	1173,	2,	3),
(57573,	4,	1173,	3,	3),
(57574,	4,	1173,	35,	3),
(57575,	4,	1173,	45,	3),
(57576,	4,	1173,	46,	3),
(57577,	4,	1173,	54,	3),
(57578,	4,	1173,	51,	3),
(57579,	4,	1173,	55,	3),
(57580,	4,	1173,	56,	3),
(57581,	4,	1173,	57,	3),
(57582,	4,	1173,	58,	3),
(57583,	4,	1173,	59,	3),
(57584,	4,	1173,	60,	3),
(57585,	4,	1173,	49,	3),
(57586,	4,	1173,	61,	3),
(57587,	4,	1173,	53,	3),
(57588,	4,	1173,	62,	3),
(57589,	4,	1173,	52,	3),
(57590,	4,	1173,	63,	3),
(57591,	4,	1173,	64,	3),
(57592,	4,	1174,	1,	1),
(57593,	4,	1174,	2,	1),
(57594,	4,	1174,	3,	1),
(57595,	4,	1175,	1,	1),
(57596,	4,	1175,	2,	1),
(57597,	4,	1175,	3,	1),
(57598,	4,	1176,	1,	1),
(57599,	4,	1176,	2,	1),
(57600,	4,	1176,	3,	1),
(57601,	4,	1176,	1,	2),
(57602,	4,	1176,	2,	2),
(57603,	4,	1176,	3,	2),
(57604,	4,	1177,	1,	1),
(57605,	4,	1177,	2,	1),
(57606,	4,	1177,	3,	1),
(57607,	4,	1177,	1,	2),
(57608,	4,	1177,	2,	2),
(57609,	4,	1177,	3,	2),
(57610,	4,	1178,	1,	1),
(57611,	4,	1178,	2,	1),
(57612,	4,	1178,	3,	1),
(57613,	4,	1179,	1,	1),
(57614,	4,	1179,	2,	1),
(57615,	4,	1179,	3,	1),
(57616,	4,	1179,	1,	2),
(57617,	4,	1179,	2,	2),
(57618,	4,	1179,	3,	2),
(57619,	4,	1180,	1,	1),
(57620,	4,	1180,	2,	1),
(57621,	4,	1180,	3,	1),
(57622,	4,	1181,	1,	1),
(57623,	4,	1181,	2,	1),
(57624,	4,	1181,	3,	1),
(57625,	4,	1182,	1,	1),
(57626,	4,	1182,	2,	1),
(57627,	4,	1182,	3,	1),
(57628,	4,	1183,	1,	1),
(57629,	4,	1183,	2,	1),
(57630,	4,	1183,	3,	1),
(57631,	4,	1183,	1,	2),
(57632,	4,	1183,	2,	2),
(57633,	4,	1183,	3,	2),
(57634,	4,	1184,	1,	1),
(57635,	4,	1184,	2,	1),
(57636,	4,	1184,	3,	1),
(57637,	4,	1185,	1,	1),
(57638,	4,	1185,	2,	1),
(57639,	4,	1185,	3,	1),
(57640,	4,	1186,	1,	1),
(57641,	4,	1186,	2,	1),
(57642,	4,	1186,	3,	1),
(57643,	4,	1186,	1,	2),
(57644,	4,	1186,	2,	2),
(57645,	4,	1186,	3,	2),
(57646,	4,	1187,	1,	1),
(57647,	4,	1187,	2,	1),
(57648,	4,	1187,	3,	1),
(57649,	4,	1188,	1,	1),
(57650,	4,	1188,	2,	1),
(57651,	4,	1188,	3,	1),
(57652,	4,	1189,	1,	1),
(57653,	4,	1189,	2,	1),
(57654,	4,	1189,	3,	1),
(57655,	4,	1190,	1,	1),
(57656,	4,	1190,	2,	1),
(57657,	4,	1190,	3,	1),
(57658,	4,	1191,	1,	1),
(57659,	4,	1191,	2,	1),
(57660,	4,	1191,	3,	1),
(57661,	4,	1192,	1,	1),
(57662,	4,	1192,	2,	1),
(57663,	4,	1192,	3,	1),
(57664,	4,	1192,	1,	2),
(57665,	4,	1192,	2,	2),
(57666,	4,	1192,	3,	2),
(57667,	4,	1193,	1,	1),
(57668,	4,	1193,	2,	1),
(57669,	4,	1193,	3,	1),
(57670,	4,	1194,	1,	1),
(57671,	4,	1194,	2,	1),
(57672,	4,	1194,	3,	1),
(57673,	4,	1195,	1,	1),
(57674,	4,	1195,	2,	1),
(57675,	4,	1195,	3,	1),
(57676,	4,	1195,	65,	1),
(57677,	4,	1195,	66,	1),
(57678,	4,	1195,	7,	1),
(57679,	4,	1195,	8,	1),
(57680,	4,	1195,	67,	1),
(57681,	4,	1195,	68,	1),
(57682,	4,	1195,	15,	1),
(57683,	4,	1195,	1,	3),
(57684,	4,	1195,	2,	3),
(57685,	4,	1195,	3,	3),
(57686,	4,	1195,	65,	3),
(57687,	4,	1195,	66,	3),
(57688,	4,	1195,	7,	3),
(57689,	4,	1195,	8,	3),
(57690,	4,	1195,	67,	3),
(57691,	4,	1195,	68,	3),
(57692,	4,	1195,	15,	3),
(57693,	4,	1196,	1,	1),
(57694,	4,	1196,	2,	1),
(57695,	4,	1196,	3,	1),
(57696,	4,	1196,	65,	1),
(57697,	4,	1196,	66,	1),
(57698,	4,	1196,	7,	1),
(57699,	4,	1196,	8,	1),
(57700,	4,	1196,	67,	1),
(57701,	4,	1196,	68,	1),
(57702,	4,	1196,	15,	1),
(57703,	4,	1196,	1,	3),
(57704,	4,	1196,	2,	3),
(57705,	4,	1196,	3,	3),
(57706,	4,	1196,	65,	3),
(57707,	4,	1196,	66,	3),
(57708,	4,	1196,	7,	3),
(57709,	4,	1196,	8,	3),
(57710,	4,	1196,	67,	3),
(57711,	4,	1196,	68,	3),
(57712,	4,	1196,	15,	3),
(57713,	4,	1197,	1,	1),
(57714,	4,	1197,	2,	1),
(57715,	4,	1197,	3,	1),
(57716,	4,	1197,	1,	3),
(57717,	4,	1197,	2,	3),
(57718,	4,	1197,	3,	3),
(57719,	4,	1198,	1,	1),
(57720,	4,	1198,	2,	1),
(57721,	4,	1198,	3,	1),
(57722,	4,	1198,	1,	3),
(57723,	4,	1198,	2,	3),
(57724,	4,	1198,	3,	3),
(57725,	4,	1199,	1,	1),
(57726,	4,	1199,	2,	1),
(57727,	4,	1199,	3,	1),
(57728,	4,	1199,	65,	1),
(57729,	4,	1199,	66,	1),
(57730,	4,	1199,	7,	1),
(57731,	4,	1199,	8,	1),
(57732,	4,	1199,	67,	1),
(57733,	4,	1199,	68,	1),
(57734,	4,	1199,	15,	1),
(57735,	4,	1199,	1,	3),
(57736,	4,	1199,	2,	3),
(57737,	4,	1199,	3,	3),
(57738,	4,	1199,	65,	3),
(57739,	4,	1199,	66,	3),
(57740,	4,	1199,	7,	3),
(57741,	4,	1199,	8,	3),
(57742,	4,	1199,	67,	3),
(57743,	4,	1199,	68,	3),
(57744,	4,	1199,	15,	3),
(57745,	4,	1200,	1,	1),
(57746,	4,	1200,	2,	1),
(57747,	4,	1200,	3,	1),
(57748,	4,	1200,	65,	1),
(57749,	4,	1200,	66,	1),
(57750,	4,	1200,	7,	1),
(57751,	4,	1200,	8,	1),
(57752,	4,	1200,	67,	1),
(57753,	4,	1200,	68,	1),
(57754,	4,	1200,	15,	1),
(57755,	4,	1200,	1,	3),
(57756,	4,	1200,	2,	3),
(57757,	4,	1200,	3,	3),
(57758,	4,	1200,	65,	3),
(57759,	4,	1200,	66,	3),
(57760,	4,	1200,	7,	3),
(57761,	4,	1200,	8,	3),
(57762,	4,	1200,	67,	3),
(57763,	4,	1200,	68,	3),
(57764,	4,	1200,	15,	3),
(57765,	4,	1201,	1,	1),
(57766,	4,	1201,	2,	1),
(57767,	4,	1201,	3,	1),
(57768,	4,	1201,	65,	1),
(57769,	4,	1201,	66,	1),
(57770,	4,	1201,	7,	1),
(57771,	4,	1201,	8,	1),
(57772,	4,	1201,	67,	1),
(57773,	4,	1201,	68,	1),
(57774,	4,	1201,	15,	1),
(57775,	4,	1201,	1,	3),
(57776,	4,	1201,	2,	3),
(57777,	4,	1201,	3,	3),
(57778,	4,	1201,	65,	3),
(57779,	4,	1201,	66,	3),
(57780,	4,	1201,	7,	3),
(57781,	4,	1201,	8,	3),
(57782,	4,	1201,	67,	3),
(57783,	4,	1201,	68,	3),
(57784,	4,	1201,	15,	3),
(57785,	4,	1202,	1,	1),
(57786,	4,	1202,	2,	1),
(57787,	4,	1202,	3,	1),
(57788,	4,	1202,	65,	1),
(57789,	4,	1202,	66,	1),
(57790,	4,	1202,	7,	1),
(57791,	4,	1202,	8,	1),
(57792,	4,	1202,	67,	1),
(57793,	4,	1202,	68,	1),
(57794,	4,	1202,	15,	1),
(57795,	4,	1202,	1,	3),
(57796,	4,	1202,	2,	3),
(57797,	4,	1202,	3,	3),
(57798,	4,	1202,	65,	3),
(57799,	4,	1202,	66,	3),
(57800,	4,	1202,	7,	3),
(57801,	4,	1202,	8,	3),
(57802,	4,	1202,	67,	3),
(57803,	4,	1202,	68,	3),
(57804,	4,	1202,	15,	3),
(57805,	4,	1203,	1,	1),
(57806,	4,	1203,	2,	1),
(57807,	4,	1203,	3,	1),
(57808,	4,	1203,	69,	1),
(57809,	4,	1203,	70,	1),
(57810,	4,	1203,	71,	1),
(57811,	4,	1203,	72,	1),
(57812,	4,	1203,	65,	1),
(57813,	4,	1203,	66,	1),
(57814,	4,	1203,	7,	1),
(57815,	4,	1203,	8,	1),
(57816,	4,	1203,	73,	1),
(57817,	4,	1203,	67,	1),
(57818,	4,	1203,	10,	1),
(57819,	4,	1203,	68,	1),
(57820,	4,	1203,	1,	3),
(57821,	4,	1203,	2,	3),
(57822,	4,	1203,	3,	3),
(57823,	4,	1203,	69,	3),
(57824,	4,	1203,	70,	3),
(57825,	4,	1203,	71,	3),
(57826,	4,	1203,	72,	3),
(57827,	4,	1203,	65,	3),
(57828,	4,	1203,	66,	3),
(57829,	4,	1203,	7,	3),
(57830,	4,	1203,	8,	3),
(57831,	4,	1203,	73,	3),
(57832,	4,	1203,	67,	3),
(57833,	4,	1203,	10,	3),
(57834,	4,	1203,	68,	3),
(57835,	4,	1204,	1,	1),
(57836,	4,	1204,	2,	1),
(57837,	4,	1204,	3,	1),
(57838,	4,	1204,	1,	3),
(57839,	4,	1204,	2,	3),
(57840,	4,	1204,	3,	3),
(57841,	4,	1205,	1,	1),
(57842,	4,	1205,	2,	1),
(57843,	4,	1205,	3,	1),
(57844,	4,	1205,	69,	1),
(57845,	4,	1205,	70,	1),
(57846,	4,	1205,	71,	1),
(57847,	4,	1205,	72,	1),
(57848,	4,	1205,	65,	1),
(57849,	4,	1205,	66,	1),
(57850,	4,	1205,	7,	1),
(57851,	4,	1205,	8,	1),
(57852,	4,	1205,	73,	1),
(57853,	4,	1205,	67,	1),
(57854,	4,	1205,	10,	1),
(57855,	4,	1205,	68,	1),
(57856,	4,	1205,	1,	3),
(57857,	4,	1205,	2,	3),
(57858,	4,	1205,	3,	3),
(57859,	4,	1205,	69,	3),
(57860,	4,	1205,	70,	3),
(57861,	4,	1205,	71,	3),
(57862,	4,	1205,	72,	3),
(57863,	4,	1205,	65,	3),
(57864,	4,	1205,	66,	3),
(57865,	4,	1205,	7,	3),
(57866,	4,	1205,	8,	3),
(57867,	4,	1205,	73,	3),
(57868,	4,	1205,	67,	3),
(57869,	4,	1205,	10,	3),
(57870,	4,	1205,	68,	3),
(57871,	4,	1206,	1,	1),
(57872,	4,	1206,	2,	1),
(57873,	4,	1206,	3,	1),
(57874,	4,	1206,	66,	1),
(57875,	4,	1206,	7,	1),
(57876,	4,	1206,	8,	1),
(57877,	4,	1206,	67,	1),
(57878,	4,	1206,	68,	1),
(57879,	4,	1206,	1,	3),
(57880,	4,	1206,	2,	3),
(57881,	4,	1206,	3,	3),
(57882,	4,	1206,	66,	3),
(57883,	4,	1206,	7,	3),
(57884,	4,	1206,	8,	3),
(57885,	4,	1206,	67,	3),
(57886,	4,	1206,	68,	3),
(57887,	4,	1207,	1,	1),
(57888,	4,	1207,	2,	1),
(57889,	4,	1207,	3,	1),
(57890,	4,	1207,	69,	1),
(57891,	4,	1207,	70,	1),
(57892,	4,	1207,	71,	1),
(57893,	4,	1207,	72,	1),
(57894,	4,	1207,	65,	1),
(57895,	4,	1207,	66,	1),
(57896,	4,	1207,	7,	1),
(57897,	4,	1207,	8,	1),
(57898,	4,	1207,	73,	1),
(57899,	4,	1207,	67,	1),
(57900,	4,	1207,	10,	1),
(57901,	4,	1207,	68,	1),
(57902,	4,	1207,	74,	1),
(57903,	4,	1207,	1,	3),
(57904,	4,	1207,	2,	3),
(57905,	4,	1207,	3,	3),
(57906,	4,	1207,	69,	3),
(57907,	4,	1207,	70,	3),
(57908,	4,	1207,	71,	3),
(57909,	4,	1207,	72,	3),
(57910,	4,	1207,	65,	3),
(57911,	4,	1207,	66,	3),
(57912,	4,	1207,	7,	3),
(57913,	4,	1207,	8,	3),
(57914,	4,	1207,	73,	3),
(57915,	4,	1207,	67,	3),
(57916,	4,	1207,	10,	3),
(57917,	4,	1207,	68,	3),
(57918,	4,	1207,	74,	3),
(57919,	4,	1208,	1,	1),
(57920,	4,	1208,	2,	1),
(57921,	4,	1208,	3,	1),
(57922,	4,	1208,	66,	1),
(57923,	4,	1208,	7,	1),
(57924,	4,	1208,	8,	1),
(57925,	4,	1208,	67,	1),
(57926,	4,	1208,	68,	1),
(57927,	4,	1208,	1,	3),
(57928,	4,	1208,	2,	3),
(57929,	4,	1208,	3,	3),
(57930,	4,	1208,	66,	3),
(57931,	4,	1208,	7,	3),
(57932,	4,	1208,	8,	3),
(57933,	4,	1208,	67,	3),
(57934,	4,	1208,	68,	3),
(57935,	4,	1209,	1,	1),
(57936,	4,	1209,	2,	1),
(57937,	4,	1209,	3,	1),
(57938,	4,	1209,	69,	1),
(57939,	4,	1209,	70,	1),
(57940,	4,	1209,	71,	1),
(57941,	4,	1209,	72,	1),
(57942,	4,	1209,	65,	1),
(57943,	4,	1209,	66,	1),
(57944,	4,	1209,	7,	1),
(57945,	4,	1209,	8,	1),
(57946,	4,	1209,	73,	1),
(57947,	4,	1209,	67,	1),
(57948,	4,	1209,	10,	1),
(57949,	4,	1209,	68,	1),
(57950,	4,	1209,	74,	1),
(57951,	4,	1209,	1,	3),
(57952,	4,	1209,	2,	3),
(57953,	4,	1209,	3,	3),
(57954,	4,	1209,	69,	3),
(57955,	4,	1209,	70,	3),
(57956,	4,	1209,	71,	3),
(57957,	4,	1209,	72,	3),
(57958,	4,	1209,	65,	3),
(57959,	4,	1209,	66,	3),
(57960,	4,	1209,	7,	3),
(57961,	4,	1209,	8,	3),
(57962,	4,	1209,	73,	3),
(57963,	4,	1209,	67,	3),
(57964,	4,	1209,	10,	3),
(57965,	4,	1209,	68,	3),
(57966,	4,	1209,	74,	3),
(57967,	4,	1210,	1,	1),
(57968,	4,	1210,	2,	1),
(57969,	4,	1210,	3,	1),
(57970,	4,	1210,	66,	1),
(57971,	4,	1210,	7,	1),
(57972,	4,	1210,	8,	1),
(57973,	4,	1210,	67,	1),
(57974,	4,	1210,	68,	1),
(57975,	4,	1210,	1,	3),
(57976,	4,	1210,	2,	3),
(57977,	4,	1210,	3,	3),
(57978,	4,	1210,	66,	3),
(57979,	4,	1210,	7,	3),
(57980,	4,	1210,	8,	3),
(57981,	4,	1210,	67,	3),
(57982,	4,	1210,	68,	3),
(57983,	4,	1211,	1,	1),
(57984,	4,	1211,	2,	1),
(57985,	4,	1211,	3,	1),
(57986,	4,	1211,	69,	1),
(57987,	4,	1211,	70,	1),
(57988,	4,	1211,	71,	1),
(57989,	4,	1211,	72,	1),
(57990,	4,	1211,	65,	1),
(57991,	4,	1211,	66,	1),
(57992,	4,	1211,	7,	1),
(57993,	4,	1211,	8,	1),
(57994,	4,	1211,	73,	1),
(57995,	4,	1211,	67,	1),
(57996,	4,	1211,	10,	1),
(57997,	4,	1211,	68,	1),
(57998,	4,	1211,	74,	1),
(57999,	4,	1211,	1,	3),
(58000,	4,	1211,	2,	3),
(58001,	4,	1211,	3,	3),
(58002,	4,	1211,	69,	3),
(58003,	4,	1211,	70,	3),
(58004,	4,	1211,	71,	3),
(58005,	4,	1211,	72,	3),
(58006,	4,	1211,	65,	3),
(58007,	4,	1211,	66,	3),
(58008,	4,	1211,	7,	3),
(58009,	4,	1211,	8,	3),
(58010,	4,	1211,	73,	3),
(58011,	4,	1211,	67,	3),
(58012,	4,	1211,	10,	3),
(58013,	4,	1211,	68,	3),
(58014,	4,	1211,	74,	3),
(58015,	4,	1212,	1,	1),
(58016,	4,	1212,	2,	1),
(58017,	4,	1212,	3,	1),
(58018,	4,	1212,	69,	1),
(58019,	4,	1212,	70,	1),
(58020,	4,	1212,	71,	1),
(58021,	4,	1212,	72,	1),
(58022,	4,	1212,	65,	1),
(58023,	4,	1212,	66,	1),
(58024,	4,	1212,	7,	1),
(58025,	4,	1212,	8,	1),
(58026,	4,	1212,	73,	1),
(58027,	4,	1212,	67,	1),
(58028,	4,	1212,	10,	1),
(58029,	4,	1212,	68,	1),
(58030,	4,	1212,	74,	1),
(58031,	4,	1212,	1,	3),
(58032,	4,	1212,	2,	3),
(58033,	4,	1212,	3,	3),
(58034,	4,	1212,	69,	3),
(58035,	4,	1212,	70,	3),
(58036,	4,	1212,	71,	3),
(58037,	4,	1212,	72,	3),
(58038,	4,	1212,	65,	3),
(58039,	4,	1212,	66,	3),
(58040,	4,	1212,	7,	3),
(58041,	4,	1212,	8,	3),
(58042,	4,	1212,	73,	3),
(58043,	4,	1212,	67,	3),
(58044,	4,	1212,	10,	3),
(58045,	4,	1212,	68,	3),
(58046,	4,	1212,	74,	3),
(58047,	4,	1213,	1,	1),
(58048,	4,	1213,	2,	1),
(58049,	4,	1213,	3,	1),
(58050,	4,	1213,	69,	1),
(58051,	4,	1213,	70,	1),
(58052,	4,	1213,	71,	1),
(58053,	4,	1213,	72,	1),
(58054,	4,	1213,	65,	1),
(58055,	4,	1213,	66,	1),
(58056,	4,	1213,	7,	1),
(58057,	4,	1213,	8,	1),
(58058,	4,	1213,	73,	1),
(58059,	4,	1213,	67,	1),
(58060,	4,	1213,	10,	1),
(58061,	4,	1213,	68,	1),
(58062,	4,	1213,	74,	1),
(58063,	4,	1213,	1,	3),
(58064,	4,	1213,	2,	3),
(58065,	4,	1213,	3,	3),
(58066,	4,	1213,	69,	3),
(58067,	4,	1213,	70,	3),
(58068,	4,	1213,	71,	3),
(58069,	4,	1213,	72,	3),
(58070,	4,	1213,	65,	3),
(58071,	4,	1213,	66,	3),
(58072,	4,	1213,	7,	3),
(58073,	4,	1213,	8,	3),
(58074,	4,	1213,	73,	3),
(58075,	4,	1213,	67,	3),
(58076,	4,	1213,	10,	3),
(58077,	4,	1213,	68,	3),
(58078,	4,	1213,	74,	3),
(58079,	4,	1214,	1,	1),
(58080,	4,	1214,	2,	1),
(58081,	4,	1214,	3,	1),
(58082,	4,	1214,	69,	1),
(58083,	4,	1214,	70,	1),
(58084,	4,	1214,	71,	1),
(58085,	4,	1214,	72,	1),
(58086,	4,	1214,	65,	1),
(58087,	4,	1214,	66,	1),
(58088,	4,	1214,	7,	1),
(58089,	4,	1214,	8,	1),
(58090,	4,	1214,	73,	1),
(58091,	4,	1214,	67,	1),
(58092,	4,	1214,	10,	1),
(58093,	4,	1214,	68,	1),
(58094,	4,	1214,	74,	1),
(58095,	4,	1214,	1,	3),
(58096,	4,	1214,	2,	3),
(58097,	4,	1214,	3,	3),
(58098,	4,	1214,	69,	3),
(58099,	4,	1214,	70,	3),
(58100,	4,	1214,	71,	3),
(58101,	4,	1214,	72,	3),
(58102,	4,	1214,	65,	3),
(58103,	4,	1214,	66,	3),
(58104,	4,	1214,	7,	3),
(58105,	4,	1214,	8,	3),
(58106,	4,	1214,	73,	3),
(58107,	4,	1214,	67,	3),
(58108,	4,	1214,	10,	3),
(58109,	4,	1214,	68,	3),
(58110,	4,	1214,	74,	3),
(58111,	4,	1215,	1,	1),
(58112,	4,	1215,	2,	1),
(58113,	4,	1215,	3,	1),
(58114,	4,	1215,	66,	1),
(58115,	4,	1215,	7,	1),
(58116,	4,	1215,	8,	1),
(58117,	4,	1215,	67,	1),
(58118,	4,	1215,	68,	1),
(58119,	4,	1215,	1,	3),
(58120,	4,	1215,	2,	3),
(58121,	4,	1215,	3,	3),
(58122,	4,	1215,	66,	3),
(58123,	4,	1215,	7,	3),
(58124,	4,	1215,	8,	3),
(58125,	4,	1215,	67,	3),
(58126,	4,	1215,	68,	3),
(58127,	4,	1216,	1,	1),
(58128,	4,	1216,	2,	1),
(58129,	4,	1216,	3,	1),
(58130,	4,	1216,	66,	1),
(58131,	4,	1216,	7,	1),
(58132,	4,	1216,	8,	1),
(58133,	4,	1216,	67,	1),
(58134,	4,	1216,	68,	1),
(58135,	4,	1216,	1,	3),
(58136,	4,	1216,	2,	3),
(58137,	4,	1216,	3,	3),
(58138,	4,	1216,	66,	3),
(58139,	4,	1216,	7,	3),
(58140,	4,	1216,	8,	3),
(58141,	4,	1216,	67,	3),
(58142,	4,	1216,	68,	3),
(58143,	4,	1217,	1,	1),
(58144,	4,	1217,	2,	1),
(58145,	4,	1217,	3,	1),
(58146,	4,	1217,	23,	1),
(58147,	4,	1217,	1,	3),
(58148,	4,	1217,	2,	3),
(58149,	4,	1217,	3,	3),
(58150,	4,	1217,	23,	3),
(58151,	4,	1218,	1,	1),
(58152,	4,	1218,	2,	1),
(58153,	4,	1218,	3,	1),
(58154,	4,	1218,	66,	1),
(58155,	4,	1218,	7,	1),
(58156,	4,	1218,	8,	1),
(58157,	4,	1218,	67,	1),
(58158,	4,	1218,	68,	1),
(58159,	4,	1218,	1,	3),
(58160,	4,	1218,	2,	3),
(58161,	4,	1218,	3,	3),
(58162,	4,	1218,	66,	3),
(58163,	4,	1218,	7,	3),
(58164,	4,	1218,	8,	3),
(58165,	4,	1218,	67,	3),
(58166,	4,	1218,	68,	3),
(58167,	4,	1219,	1,	1),
(58168,	4,	1219,	2,	1),
(58169,	4,	1219,	3,	1),
(58170,	4,	1219,	66,	1),
(58171,	4,	1219,	7,	1),
(58172,	4,	1219,	8,	1),
(58173,	4,	1219,	67,	1),
(58174,	4,	1219,	68,	1),
(58175,	4,	1219,	1,	3),
(58176,	4,	1219,	2,	3),
(58177,	4,	1219,	3,	3),
(58178,	4,	1219,	66,	3),
(58179,	4,	1219,	7,	3),
(58180,	4,	1219,	8,	3),
(58181,	4,	1219,	67,	3),
(58182,	4,	1219,	68,	3),
(58183,	4,	1220,	1,	1),
(58184,	4,	1220,	2,	1),
(58185,	4,	1220,	3,	1),
(58186,	4,	1220,	66,	1),
(58187,	4,	1220,	7,	1),
(58188,	4,	1220,	8,	1),
(58189,	4,	1220,	67,	1),
(58190,	4,	1220,	68,	1),
(58191,	4,	1220,	1,	3),
(58192,	4,	1220,	2,	3),
(58193,	4,	1220,	3,	3),
(58194,	4,	1220,	66,	3),
(58195,	4,	1220,	7,	3),
(58196,	4,	1220,	8,	3),
(58197,	4,	1220,	67,	3),
(58198,	4,	1220,	68,	3),
(58199,	4,	1221,	1,	1),
(58200,	4,	1221,	2,	1),
(58201,	4,	1221,	3,	1),
(58202,	4,	1221,	66,	1),
(58203,	4,	1221,	7,	1),
(58204,	4,	1221,	8,	1),
(58205,	4,	1221,	67,	1),
(58206,	4,	1221,	68,	1),
(58207,	4,	1221,	1,	3),
(58208,	4,	1221,	2,	3),
(58209,	4,	1221,	3,	3),
(58210,	4,	1221,	66,	3),
(58211,	4,	1221,	7,	3),
(58212,	4,	1221,	8,	3),
(58213,	4,	1221,	67,	3),
(58214,	4,	1221,	68,	3),
(58215,	4,	1222,	1,	1),
(58216,	4,	1222,	2,	1),
(58217,	4,	1222,	3,	1),
(58218,	4,	1222,	69,	1),
(58219,	4,	1222,	70,	1),
(58220,	4,	1222,	71,	1),
(58221,	4,	1222,	72,	1),
(58222,	4,	1222,	65,	1),
(58223,	4,	1222,	66,	1),
(58224,	4,	1222,	7,	1),
(58225,	4,	1222,	8,	1),
(58226,	4,	1222,	73,	1),
(58227,	4,	1222,	67,	1),
(58228,	4,	1222,	10,	1),
(58229,	4,	1222,	68,	1),
(58230,	4,	1222,	74,	1),
(58231,	4,	1222,	1,	3),
(58232,	4,	1222,	2,	3),
(58233,	4,	1222,	3,	3),
(58234,	4,	1222,	69,	3),
(58235,	4,	1222,	70,	3),
(58236,	4,	1222,	71,	3),
(58237,	4,	1222,	72,	3),
(58238,	4,	1222,	65,	3),
(58239,	4,	1222,	66,	3),
(58240,	4,	1222,	7,	3),
(58241,	4,	1222,	8,	3),
(58242,	4,	1222,	73,	3),
(58243,	4,	1222,	67,	3),
(58244,	4,	1222,	10,	3),
(58245,	4,	1222,	68,	3),
(58246,	4,	1222,	74,	3),
(58247,	4,	1223,	1,	1),
(58248,	4,	1223,	2,	1),
(58249,	4,	1223,	3,	1),
(58250,	4,	1223,	69,	1),
(58251,	4,	1223,	70,	1),
(58252,	4,	1223,	71,	1),
(58253,	4,	1223,	72,	1),
(58254,	4,	1223,	65,	1),
(58255,	4,	1223,	66,	1),
(58256,	4,	1223,	7,	1),
(58257,	4,	1223,	8,	1),
(58258,	4,	1223,	73,	1),
(58259,	4,	1223,	67,	1),
(58260,	4,	1223,	10,	1),
(58261,	4,	1223,	68,	1),
(58262,	4,	1223,	74,	1),
(58263,	4,	1223,	1,	3),
(58264,	4,	1223,	2,	3),
(58265,	4,	1223,	3,	3),
(58266,	4,	1223,	69,	3),
(58267,	4,	1223,	70,	3),
(58268,	4,	1223,	71,	3),
(58269,	4,	1223,	72,	3),
(58270,	4,	1223,	65,	3),
(58271,	4,	1223,	66,	3),
(58272,	4,	1223,	7,	3),
(58273,	4,	1223,	8,	3),
(58274,	4,	1223,	73,	3),
(58275,	4,	1223,	67,	3),
(58276,	4,	1223,	10,	3),
(58277,	4,	1223,	68,	3),
(58278,	4,	1223,	74,	3),
(58279,	4,	1224,	1,	1),
(58280,	4,	1224,	2,	1),
(58281,	4,	1224,	3,	1),
(58282,	4,	1224,	66,	1),
(58283,	4,	1224,	7,	1),
(58284,	4,	1224,	8,	1),
(58285,	4,	1224,	67,	1),
(58286,	4,	1224,	68,	1),
(58287,	4,	1224,	1,	3),
(58288,	4,	1224,	2,	3),
(58289,	4,	1224,	3,	3),
(58290,	4,	1224,	66,	3),
(58291,	4,	1224,	7,	3),
(58292,	4,	1224,	8,	3),
(58293,	4,	1224,	67,	3),
(58294,	4,	1224,	68,	3),
(58295,	4,	1225,	1,	1),
(58296,	4,	1225,	2,	1),
(58297,	4,	1225,	3,	1),
(58298,	4,	1225,	66,	1),
(58299,	4,	1225,	7,	1),
(58300,	4,	1225,	8,	1),
(58301,	4,	1225,	67,	1),
(58302,	4,	1225,	68,	1),
(58303,	4,	1225,	1,	3),
(58304,	4,	1225,	2,	3),
(58305,	4,	1225,	3,	3),
(58306,	4,	1225,	66,	3),
(58307,	4,	1225,	7,	3),
(58308,	4,	1225,	8,	3),
(58309,	4,	1225,	67,	3),
(58310,	4,	1225,	68,	3),
(58311,	4,	1226,	1,	1),
(58312,	4,	1226,	2,	1),
(58313,	4,	1226,	3,	1),
(58314,	4,	1226,	69,	1),
(58315,	4,	1226,	70,	1),
(58316,	4,	1226,	71,	1),
(58317,	4,	1226,	72,	1),
(58318,	4,	1226,	65,	1),
(58319,	4,	1226,	66,	1),
(58320,	4,	1226,	7,	1),
(58321,	4,	1226,	8,	1),
(58322,	4,	1226,	73,	1),
(58323,	4,	1226,	67,	1),
(58324,	4,	1226,	10,	1),
(58325,	4,	1226,	68,	1),
(58326,	4,	1226,	74,	1),
(58327,	4,	1226,	1,	3),
(58328,	4,	1226,	2,	3),
(58329,	4,	1226,	3,	3),
(58330,	4,	1226,	69,	3),
(58331,	4,	1226,	70,	3),
(58332,	4,	1226,	71,	3),
(58333,	4,	1226,	72,	3),
(58334,	4,	1226,	65,	3),
(58335,	4,	1226,	66,	3),
(58336,	4,	1226,	7,	3),
(58337,	4,	1226,	8,	3),
(58338,	4,	1226,	73,	3),
(58339,	4,	1226,	67,	3),
(58340,	4,	1226,	10,	3),
(58341,	4,	1226,	68,	3),
(58342,	4,	1226,	74,	3),
(58343,	4,	1227,	1,	1),
(58344,	4,	1227,	2,	1),
(58345,	4,	1227,	3,	1),
(58346,	4,	1227,	66,	1),
(58347,	4,	1227,	7,	1),
(58348,	4,	1227,	8,	1),
(58349,	4,	1227,	67,	1),
(58350,	4,	1227,	68,	1),
(58351,	4,	1227,	1,	3),
(58352,	4,	1227,	2,	3),
(58353,	4,	1227,	3,	3),
(58354,	4,	1227,	66,	3),
(58355,	4,	1227,	7,	3),
(58356,	4,	1227,	8,	3),
(58357,	4,	1227,	67,	3),
(58358,	4,	1227,	68,	3),
(58359,	4,	1228,	1,	1),
(58360,	4,	1228,	2,	1),
(58361,	4,	1228,	3,	1),
(58362,	4,	1228,	1,	2),
(58363,	4,	1228,	2,	2),
(58364,	4,	1228,	3,	2),
(58365,	4,	1229,	1,	1),
(58366,	4,	1229,	2,	1),
(58367,	4,	1229,	3,	1),
(58368,	4,	1229,	1,	2),
(58369,	4,	1229,	2,	2),
(58370,	4,	1229,	3,	2),
(58371,	4,	1230,	1,	1),
(58372,	4,	1230,	2,	1),
(58373,	4,	1230,	3,	1),
(58374,	4,	1230,	1,	2),
(58375,	4,	1230,	2,	2),
(58376,	4,	1230,	3,	2),
(58377,	4,	1231,	1,	1),
(58378,	4,	1231,	2,	1),
(58379,	4,	1231,	3,	1),
(58380,	4,	1231,	1,	2),
(58381,	4,	1231,	2,	2),
(58382,	4,	1231,	3,	2),
(58383,	4,	1232,	1,	1),
(58384,	4,	1232,	2,	1),
(58385,	4,	1232,	3,	1),
(58386,	4,	1232,	1,	2),
(58387,	4,	1232,	2,	2),
(58388,	4,	1232,	3,	2),
(58389,	4,	1233,	1,	1),
(58390,	4,	1233,	2,	1),
(58391,	4,	1233,	3,	1),
(58392,	4,	1234,	1,	1),
(58393,	4,	1234,	2,	1),
(58394,	4,	1234,	3,	1),
(58395,	4,	1234,	1,	2),
(58396,	4,	1234,	2,	2),
(58397,	4,	1234,	3,	2),
(58398,	4,	1235,	1,	1),
(58399,	4,	1235,	2,	1),
(58400,	4,	1235,	3,	1),
(58401,	4,	1236,	1,	1),
(58402,	4,	1236,	2,	1),
(58403,	4,	1236,	3,	1),
(58404,	4,	1236,	1,	2),
(58405,	4,	1236,	2,	2),
(58406,	4,	1236,	3,	2),
(58407,	4,	1237,	1,	1),
(58408,	4,	1237,	2,	1),
(58409,	4,	1237,	3,	1),
(58410,	4,	1237,	1,	2),
(58411,	4,	1237,	2,	2),
(58412,	4,	1237,	3,	2),
(58413,	4,	1238,	1,	1),
(58414,	4,	1238,	2,	1),
(58415,	4,	1238,	3,	1),
(58416,	4,	1238,	1,	2),
(58417,	4,	1238,	2,	2),
(58418,	4,	1238,	3,	2),
(58419,	4,	1239,	1,	1),
(58420,	4,	1239,	2,	1),
(58421,	4,	1239,	3,	1),
(58422,	4,	1240,	1,	1),
(58423,	4,	1240,	2,	1),
(58424,	4,	1240,	3,	1),
(58425,	4,	1240,	1,	2),
(58426,	4,	1240,	2,	2),
(58427,	4,	1240,	3,	2),
(58428,	4,	1241,	1,	1),
(58429,	4,	1241,	2,	1),
(58430,	4,	1241,	3,	1),
(58431,	4,	1241,	1,	2),
(58432,	4,	1241,	2,	2),
(58433,	4,	1241,	3,	2),
(58434,	4,	1242,	1,	1),
(58435,	4,	1242,	2,	1),
(58436,	4,	1242,	3,	1),
(58437,	4,	1242,	1,	2),
(58438,	4,	1242,	2,	2),
(58439,	4,	1242,	3,	2),
(58440,	4,	1243,	1,	1),
(58441,	4,	1243,	2,	1),
(58442,	4,	1243,	3,	1),
(58443,	4,	1244,	1,	1),
(58444,	4,	1244,	2,	1),
(58445,	4,	1244,	3,	1),
(58446,	4,	1244,	1,	3),
(58447,	4,	1244,	2,	3),
(58448,	4,	1244,	3,	3),
(58449,	4,	1245,	1,	1),
(58450,	4,	1245,	2,	1),
(58451,	4,	1245,	3,	1),
(58452,	4,	1246,	1,	1),
(58453,	4,	1246,	2,	1),
(58454,	4,	1246,	3,	1),
(58455,	4,	1246,	1,	2),
(58456,	4,	1246,	2,	2),
(58457,	4,	1246,	3,	2),
(58458,	4,	1247,	1,	1),
(58459,	4,	1247,	2,	1),
(58460,	4,	1247,	3,	1),
(58461,	4,	1247,	1,	3),
(58462,	4,	1247,	2,	3),
(58463,	4,	1247,	3,	3),
(58464,	4,	1248,	1,	1),
(58465,	4,	1248,	2,	1),
(58466,	4,	1248,	3,	1),
(58467,	4,	1248,	1,	2),
(58468,	4,	1248,	2,	2),
(58469,	4,	1248,	3,	2),
(58470,	4,	1249,	1,	1),
(58471,	4,	1249,	2,	1),
(58472,	4,	1249,	3,	1),
(58473,	4,	1249,	1,	2),
(58474,	4,	1249,	2,	2),
(58475,	4,	1249,	3,	2),
(58476,	4,	1250,	1,	1),
(58477,	4,	1250,	2,	1),
(58478,	4,	1250,	3,	1),
(58479,	4,	1250,	1,	2),
(58480,	4,	1250,	2,	2),
(58481,	4,	1250,	3,	2),
(58482,	4,	1251,	1,	1),
(58483,	4,	1251,	2,	1),
(58484,	4,	1251,	3,	1),
(58485,	4,	1251,	1,	2),
(58486,	4,	1251,	2,	2),
(58487,	4,	1251,	3,	2),
(58488,	4,	1252,	1,	1),
(58489,	4,	1252,	2,	1),
(58490,	4,	1252,	3,	1),
(58491,	4,	1252,	1,	2),
(58492,	4,	1252,	2,	2),
(58493,	4,	1252,	3,	2),
(58494,	4,	1253,	1,	1),
(58495,	4,	1253,	2,	1),
(58496,	4,	1253,	3,	1),
(58497,	4,	1253,	1,	2),
(58498,	4,	1253,	2,	2),
(58499,	4,	1253,	3,	2),
(58500,	4,	1254,	1,	1),
(58501,	4,	1254,	2,	1),
(58502,	4,	1254,	3,	1),
(58503,	4,	1254,	1,	2),
(58504,	4,	1254,	2,	2),
(58505,	4,	1254,	3,	2),
(58506,	4,	1255,	1,	1),
(58507,	4,	1255,	2,	1),
(58508,	4,	1255,	3,	1),
(58509,	4,	1255,	1,	2),
(58510,	4,	1255,	2,	2),
(58511,	4,	1255,	3,	2),
(58512,	4,	1256,	1,	1),
(58513,	4,	1256,	2,	1),
(58514,	4,	1256,	3,	1),
(58515,	4,	1256,	1,	2),
(58516,	4,	1256,	2,	2),
(58517,	4,	1256,	3,	2),
(58518,	4,	1257,	1,	1),
(58519,	4,	1258,	3,	1),
(58520,	4,	1259,	1,	1),
(58521,	4,	1260,	1,	1),
(58522,	4,	1260,	2,	1),
(58523,	4,	1260,	3,	1),
(58524,	4,	1260,	1,	2),
(58525,	4,	1260,	2,	2),
(58526,	4,	1260,	3,	2),
(58527,	4,	1261,	1,	1),
(58528,	4,	1261,	2,	1),
(58529,	4,	1261,	3,	1),
(58530,	4,	1261,	1,	2),
(58531,	4,	1261,	2,	2),
(58532,	4,	1261,	3,	2),
(58533,	4,	1262,	1,	1),
(58534,	4,	1262,	2,	1),
(58535,	4,	1262,	3,	1),
(58536,	4,	1262,	1,	2),
(58537,	4,	1262,	2,	2),
(58538,	4,	1262,	3,	2),
(58539,	4,	1263,	1,	1),
(58540,	4,	1263,	2,	1),
(58541,	4,	1263,	3,	1),
(58542,	4,	1264,	1,	1),
(58543,	4,	1264,	2,	1),
(58544,	4,	1264,	3,	1),
(58545,	4,	1264,	1,	2),
(58546,	4,	1264,	2,	2),
(58547,	4,	1264,	3,	2),
(58548,	4,	1265,	1,	1),
(58549,	4,	1265,	2,	1),
(58550,	4,	1265,	3,	1),
(58551,	4,	1265,	1,	2),
(58552,	4,	1265,	2,	2),
(58553,	4,	1265,	3,	2),
(58554,	4,	1266,	1,	1),
(58555,	4,	1266,	2,	1),
(58556,	4,	1266,	3,	1),
(58557,	4,	1267,	1,	1),
(58558,	4,	1267,	2,	1),
(58559,	4,	1267,	3,	1),
(58560,	4,	1267,	1,	2),
(58561,	4,	1267,	2,	2),
(58562,	4,	1267,	3,	2),
(58563,	4,	1268,	1,	1),
(58564,	4,	1268,	2,	1),
(58565,	4,	1268,	3,	1),
(58566,	4,	1269,	1,	1),
(58567,	4,	1269,	2,	1),
(58568,	4,	1269,	3,	1),
(58569,	4,	1270,	1,	1),
(58570,	4,	1270,	2,	1),
(58571,	4,	1270,	3,	1),
(58572,	4,	1270,	1,	2),
(58573,	4,	1270,	2,	2),
(58574,	4,	1270,	3,	2),
(58575,	4,	1271,	1,	1),
(58576,	4,	1271,	2,	1),
(58577,	4,	1271,	3,	1),
(58578,	4,	1271,	1,	2),
(58579,	4,	1271,	2,	2),
(58580,	4,	1271,	3,	2),
(58581,	4,	1272,	1,	1),
(58582,	4,	1272,	2,	1),
(58583,	4,	1272,	3,	1),
(58584,	4,	1273,	1,	1),
(58585,	4,	1273,	2,	1),
(58586,	4,	1273,	3,	1),
(58587,	4,	1274,	1,	1),
(58588,	4,	1274,	2,	1),
(58589,	4,	1274,	3,	1),
(58590,	4,	1275,	1,	1),
(58591,	4,	1275,	2,	1),
(58592,	4,	1275,	3,	1),
(58593,	4,	1275,	1,	2),
(58594,	4,	1275,	2,	2),
(58595,	4,	1275,	3,	2),
(58596,	4,	1276,	1,	1),
(58597,	4,	1276,	2,	1),
(58598,	4,	1276,	3,	1),
(58599,	4,	1276,	1,	2),
(58600,	4,	1276,	2,	2),
(58601,	4,	1276,	3,	2),
(58602,	4,	1277,	1,	1),
(58603,	4,	1277,	2,	1),
(58604,	4,	1277,	3,	1),
(58605,	4,	1277,	1,	2),
(58606,	4,	1277,	2,	2),
(58607,	4,	1277,	3,	2),
(58608,	4,	1278,	1,	1),
(58609,	4,	1278,	2,	1),
(58610,	4,	1278,	3,	1),
(58611,	4,	1278,	1,	2),
(58612,	4,	1278,	2,	2),
(58613,	4,	1278,	3,	2),
(58614,	4,	1279,	1,	1),
(58615,	4,	1279,	2,	1),
(58616,	4,	1279,	3,	1),
(58617,	4,	1279,	1,	2),
(58618,	4,	1279,	2,	2),
(58619,	4,	1279,	3,	2),
(58620,	4,	1280,	1,	1),
(58621,	4,	1280,	2,	1),
(58622,	4,	1280,	3,	1),
(58623,	4,	1280,	1,	2),
(58624,	4,	1280,	2,	2),
(58625,	4,	1280,	3,	2),
(58626,	4,	1281,	1,	1),
(58627,	4,	1281,	2,	1),
(58628,	4,	1281,	3,	1),
(58629,	4,	1281,	1,	2),
(58630,	4,	1281,	2,	2),
(58631,	4,	1281,	3,	2),
(58632,	4,	1282,	1,	1),
(58633,	4,	1282,	2,	1),
(58634,	4,	1282,	3,	1),
(58635,	4,	1282,	1,	2),
(58636,	4,	1282,	2,	2),
(58637,	4,	1282,	3,	2),
(58638,	4,	1283,	1,	1),
(58639,	4,	1283,	2,	1),
(58640,	4,	1283,	3,	1),
(58641,	4,	1283,	1,	2),
(58642,	4,	1283,	2,	2),
(58643,	4,	1283,	3,	2),
(58644,	4,	1284,	1,	1),
(58645,	4,	1284,	2,	1),
(58646,	4,	1284,	3,	1),
(58647,	4,	1284,	1,	2),
(58648,	4,	1284,	2,	2),
(58649,	4,	1284,	3,	2),
(58650,	4,	1285,	1,	1),
(58651,	4,	1285,	2,	1),
(58652,	4,	1285,	3,	1),
(58653,	4,	1285,	1,	2),
(58654,	4,	1285,	2,	2),
(58655,	4,	1285,	3,	2),
(58656,	4,	1286,	1,	1),
(58657,	4,	1286,	2,	1),
(58658,	4,	1286,	3,	1),
(58659,	4,	1286,	1,	2),
(58660,	4,	1286,	2,	2),
(58661,	4,	1286,	3,	2),
(58662,	4,	1287,	1,	1),
(58663,	4,	1287,	2,	1),
(58664,	4,	1287,	3,	1),
(58665,	4,	1287,	6,	1),
(58666,	4,	1287,	24,	1),
(58667,	4,	1287,	25,	1),
(58668,	4,	1287,	4,	1),
(58669,	4,	1287,	23,	1),
(58670,	4,	1288,	1,	1),
(58671,	4,	1288,	2,	1),
(58672,	4,	1288,	3,	1),
(58673,	4,	1288,	6,	1),
(58674,	4,	1288,	24,	1),
(58675,	4,	1288,	25,	1),
(58676,	4,	1288,	4,	1),
(58677,	4,	1288,	23,	1),
(58678,	4,	1289,	1,	1),
(58679,	4,	1289,	2,	1),
(58680,	4,	1289,	3,	1),
(58681,	4,	1289,	6,	1),
(58682,	4,	1289,	24,	1),
(58683,	4,	1289,	25,	1),
(58684,	4,	1289,	4,	1),
(58685,	4,	1289,	23,	1),
(58686,	4,	1290,	1,	1),
(58687,	4,	1290,	2,	1),
(58688,	4,	1290,	3,	1),
(58689,	4,	1290,	6,	1),
(58690,	4,	1290,	24,	1),
(58691,	4,	1290,	25,	1),
(58692,	4,	1290,	4,	1),
(58693,	4,	1290,	23,	1),
(58694,	4,	1291,	1,	1),
(58695,	4,	1291,	2,	1),
(58696,	4,	1291,	3,	1),
(58697,	4,	1291,	6,	1),
(58698,	4,	1291,	24,	1),
(58699,	4,	1291,	25,	1),
(58700,	4,	1291,	4,	1),
(58701,	4,	1291,	23,	1),
(58702,	4,	1292,	1,	1),
(58703,	4,	1292,	2,	1),
(58704,	4,	1292,	3,	1),
(58705,	4,	1292,	6,	1),
(58706,	4,	1292,	24,	1),
(58707,	4,	1292,	25,	1),
(58708,	4,	1292,	4,	1),
(58709,	4,	1292,	23,	1),
(58710,	4,	1293,	1,	1),
(58711,	4,	1293,	2,	1),
(58712,	4,	1293,	3,	1),
(58713,	4,	1293,	6,	1),
(58714,	4,	1293,	24,	1),
(58715,	4,	1293,	25,	1),
(58716,	4,	1293,	4,	1),
(58717,	4,	1293,	23,	1),
(58718,	4,	1294,	1,	1),
(58719,	4,	1294,	2,	1),
(58720,	4,	1294,	3,	1),
(58721,	4,	1294,	6,	1),
(58722,	4,	1294,	24,	1),
(58723,	4,	1294,	25,	1),
(58724,	4,	1294,	4,	1),
(58725,	4,	1294,	23,	1),
(58726,	4,	1295,	1,	1),
(58727,	4,	1295,	2,	1),
(58728,	4,	1295,	3,	1),
(58729,	4,	1295,	6,	1),
(58730,	4,	1295,	24,	1),
(58731,	4,	1295,	25,	1),
(58732,	4,	1295,	4,	1),
(58733,	4,	1295,	23,	1),
(58734,	4,	1296,	1,	1),
(58735,	4,	1296,	2,	1),
(58736,	4,	1296,	3,	1),
(58737,	4,	1296,	6,	1),
(58738,	4,	1296,	24,	1),
(58739,	4,	1296,	25,	1),
(58740,	4,	1296,	4,	1),
(58741,	4,	1296,	23,	1),
(58742,	4,	1297,	1,	1),
(58743,	4,	1297,	2,	1),
(58744,	4,	1297,	3,	1),
(58745,	4,	1297,	6,	1),
(58746,	4,	1297,	24,	1),
(58747,	4,	1297,	25,	1),
(58748,	4,	1297,	4,	1),
(58749,	4,	1297,	23,	1),
(58750,	4,	1297,	26,	1),
(58751,	4,	1298,	1,	1),
(58752,	4,	1298,	2,	1),
(58753,	4,	1298,	3,	1),
(58754,	4,	1299,	1,	1),
(58755,	4,	1299,	2,	1),
(58756,	4,	1299,	3,	1),
(58757,	4,	1299,	6,	1),
(58758,	4,	1299,	24,	1),
(58759,	4,	1299,	25,	1),
(58760,	4,	1299,	4,	1),
(58761,	4,	1299,	23,	1),
(58762,	4,	1300,	1,	1),
(58763,	4,	1300,	2,	1),
(58764,	4,	1300,	3,	1),
(58765,	4,	1300,	6,	1),
(58766,	4,	1300,	24,	1),
(58767,	4,	1300,	25,	1),
(58768,	4,	1300,	4,	1),
(58769,	4,	1300,	23,	1),
(58770,	4,	1301,	1,	1),
(58771,	4,	1301,	2,	1),
(58772,	4,	1301,	3,	1),
(58773,	4,	1302,	1,	1),
(58774,	4,	1302,	2,	1),
(58775,	4,	1302,	3,	1),
(58776,	4,	1302,	6,	1),
(58777,	4,	1302,	24,	1),
(58778,	4,	1302,	25,	1),
(58779,	4,	1302,	4,	1),
(58780,	4,	1302,	23,	1),
(58781,	4,	1303,	1,	1),
(58782,	4,	1303,	2,	1),
(58783,	4,	1303,	3,	1),
(58784,	4,	1303,	6,	1),
(58785,	4,	1303,	24,	1),
(58786,	4,	1303,	25,	1),
(58787,	4,	1303,	4,	1),
(58788,	4,	1303,	23,	1),
(58789,	4,	1304,	1,	1),
(58790,	4,	1304,	2,	1),
(58791,	4,	1304,	3,	1),
(58792,	4,	1305,	1,	1),
(58793,	4,	1305,	2,	1),
(58794,	4,	1305,	3,	1),
(58795,	4,	1305,	6,	1),
(58796,	4,	1305,	24,	1),
(58797,	4,	1305,	25,	1),
(58798,	4,	1305,	4,	1),
(58799,	4,	1305,	23,	1),
(58800,	4,	1306,	1,	1),
(58801,	4,	1306,	2,	1),
(58802,	4,	1306,	3,	1),
(58803,	4,	1306,	1,	2),
(58804,	4,	1306,	2,	2),
(58805,	4,	1306,	3,	2),
(58806,	4,	1307,	1,	1),
(58807,	4,	1307,	2,	1),
(58808,	4,	1307,	3,	1),
(58809,	4,	1307,	1,	2),
(58810,	4,	1307,	2,	2),
(58811,	4,	1307,	3,	2),
(58812,	4,	1308,	1,	1),
(58813,	4,	1308,	2,	1),
(58814,	4,	1308,	3,	1),
(58815,	4,	1308,	6,	1),
(58816,	4,	1308,	24,	1),
(58817,	4,	1308,	25,	1),
(58818,	4,	1308,	4,	1),
(58819,	4,	1308,	23,	1),
(58820,	4,	1309,	1,	1),
(58821,	4,	1309,	2,	1),
(58822,	4,	1309,	3,	1),
(58823,	4,	1309,	23,	1),
(58824,	4,	1309,	6,	1),
(58825,	4,	1309,	24,	1),
(58826,	4,	1309,	25,	1),
(58827,	4,	1309,	4,	1),
(58828,	4,	1309,	26,	1),
(58829,	4,	1310,	1,	1),
(58830,	4,	1310,	2,	1),
(58831,	4,	1310,	3,	1),
(58832,	4,	1311,	1,	1),
(58833,	4,	1311,	2,	1),
(58834,	4,	1311,	3,	1),
(58835,	4,	1311,	23,	1),
(58836,	4,	1311,	6,	1),
(58837,	4,	1311,	24,	1),
(58838,	4,	1311,	25,	1),
(58839,	4,	1311,	4,	1),
(58840,	4,	1311,	26,	1),
(58841,	4,	1312,	1,	1),
(58842,	4,	1312,	2,	1),
(58843,	4,	1312,	3,	1),
(58844,	4,	1312,	23,	1),
(58845,	4,	1312,	6,	1),
(58846,	4,	1312,	24,	1),
(58847,	4,	1312,	25,	1),
(58848,	4,	1312,	4,	1),
(58849,	4,	1312,	26,	1),
(58850,	4,	1313,	1,	1),
(58851,	4,	1313,	2,	1),
(58852,	4,	1313,	3,	1),
(58853,	4,	1314,	1,	1),
(58854,	4,	1314,	2,	1),
(58855,	4,	1314,	3,	1),
(58856,	4,	1314,	23,	1),
(58857,	4,	1314,	6,	1),
(58858,	4,	1314,	24,	1),
(58859,	4,	1314,	25,	1),
(58860,	4,	1314,	4,	1),
(58861,	4,	1314,	26,	1),
(58862,	4,	1315,	1,	1),
(58863,	4,	1315,	2,	1),
(58864,	4,	1315,	3,	1),
(58865,	4,	1315,	23,	1),
(58866,	4,	1315,	6,	1),
(58867,	4,	1315,	24,	1),
(58868,	4,	1315,	25,	1),
(58869,	4,	1315,	4,	1),
(58870,	4,	1315,	26,	1),
(58871,	4,	1316,	1,	1),
(58872,	4,	1316,	2,	1),
(58873,	4,	1316,	3,	1),
(58874,	4,	1317,	1,	1),
(58875,	4,	1317,	2,	1),
(58876,	4,	1317,	3,	1),
(58877,	4,	1317,	23,	1),
(58878,	4,	1317,	6,	1),
(58879,	4,	1317,	24,	1),
(58880,	4,	1317,	25,	1),
(58881,	4,	1317,	4,	1),
(58882,	4,	1317,	26,	1),
(58883,	4,	1318,	1,	1),
(58884,	4,	1318,	2,	1),
(58885,	4,	1318,	3,	1),
(58886,	4,	1318,	1,	2),
(58887,	4,	1318,	2,	2),
(58888,	4,	1318,	3,	2),
(58889,	4,	1319,	1,	1),
(58890,	4,	1319,	2,	1),
(58891,	4,	1319,	3,	1),
(58892,	4,	1319,	1,	2),
(58893,	4,	1319,	2,	2),
(58894,	4,	1319,	3,	2),
(58895,	4,	1320,	1,	1),
(58896,	4,	1320,	2,	1),
(58897,	4,	1320,	3,	1),
(58898,	4,	1320,	1,	2),
(58899,	4,	1320,	2,	2),
(58900,	4,	1320,	3,	2),
(58901,	4,	1321,	1,	1),
(58902,	4,	1321,	2,	1),
(58903,	4,	1321,	3,	1),
(58904,	4,	1322,	1,	1),
(58905,	4,	1322,	2,	1),
(58906,	4,	1322,	3,	1),
(58907,	4,	1323,	1,	1),
(58908,	4,	1323,	2,	1),
(58909,	4,	1323,	3,	1),
(58910,	4,	1324,	1,	1),
(58911,	4,	1324,	2,	1),
(58912,	4,	1324,	3,	1),
(58913,	4,	1325,	1,	1),
(58914,	4,	1325,	2,	1),
(58915,	4,	1325,	3,	1),
(58916,	4,	1326,	1,	1),
(58917,	4,	1326,	2,	1),
(58918,	4,	1326,	3,	1),
(58919,	4,	1327,	1,	1),
(58920,	4,	1327,	2,	1),
(58921,	4,	1327,	3,	1),
(58922,	4,	1328,	1,	1),
(58923,	4,	1328,	2,	1),
(58924,	4,	1328,	3,	1),
(58925,	4,	1329,	1,	1),
(58926,	4,	1329,	2,	1),
(58927,	4,	1329,	3,	1),
(58928,	4,	1330,	1,	1),
(58929,	4,	1330,	2,	1),
(58930,	4,	1330,	3,	1),
(58931,	4,	1331,	1,	1),
(58932,	4,	1331,	2,	1),
(58933,	4,	1331,	3,	1),
(58934,	4,	1332,	1,	1),
(58935,	4,	1332,	2,	1),
(58936,	4,	1332,	3,	1),
(58937,	4,	1333,	1,	1),
(58938,	4,	1333,	2,	1),
(58939,	4,	1333,	3,	1),
(58940,	4,	1334,	1,	1),
(58941,	4,	1334,	2,	1),
(58942,	4,	1334,	3,	1),
(58943,	4,	1335,	1,	1),
(58944,	4,	1335,	2,	1),
(58945,	4,	1335,	3,	1),
(58946,	4,	1336,	1,	1),
(58947,	4,	1336,	2,	1),
(58948,	4,	1336,	3,	1),
(58949,	4,	1337,	1,	1),
(58950,	4,	1337,	2,	1),
(58951,	4,	1337,	3,	1),
(58952,	4,	1338,	1,	1),
(58953,	4,	1338,	2,	1),
(58954,	4,	1338,	3,	1),
(58955,	4,	1339,	1,	1),
(58956,	4,	1339,	2,	1),
(58957,	4,	1339,	3,	1),
(58958,	4,	1340,	1,	1),
(58959,	4,	1340,	2,	1),
(58960,	4,	1340,	3,	1),
(58961,	4,	1341,	1,	1),
(58962,	4,	1341,	2,	1),
(58963,	4,	1341,	3,	1),
(58964,	4,	1342,	1,	1),
(58965,	4,	1342,	2,	1),
(58966,	4,	1342,	3,	1),
(58967,	4,	1343,	1,	1),
(58968,	4,	1343,	2,	1),
(58969,	4,	1343,	3,	1),
(58970,	4,	1343,	24,	1),
(58971,	4,	1344,	1,	1),
(58972,	4,	1344,	2,	1),
(58973,	4,	1344,	3,	1),
(58974,	4,	1344,	24,	1),
(58975,	4,	1345,	1,	1),
(58976,	4,	1345,	2,	1),
(58977,	4,	1345,	3,	1),
(58978,	4,	1345,	24,	1),
(58979,	4,	1346,	1,	1),
(58980,	4,	1346,	2,	1),
(58981,	4,	1346,	3,	1),
(58982,	4,	1346,	24,	1),
(58983,	4,	1347,	1,	1),
(58984,	4,	1347,	2,	1),
(58985,	4,	1347,	3,	1),
(58986,	4,	1347,	24,	1),
(58987,	4,	1348,	1,	1),
(58988,	4,	1348,	2,	1),
(58989,	4,	1348,	3,	1),
(58990,	4,	1348,	24,	1),
(58991,	4,	1349,	1,	1),
(58992,	4,	1349,	2,	1),
(58993,	4,	1349,	3,	1),
(58994,	4,	1350,	1,	1),
(58995,	4,	1350,	2,	1),
(58996,	4,	1350,	3,	1),
(58997,	4,	1350,	23,	1),
(58998,	4,	1350,	6,	1),
(58999,	4,	1350,	24,	1),
(59000,	4,	1350,	25,	1),
(59001,	4,	1350,	4,	1),
(59002,	4,	1350,	5,	1),
(59003,	4,	1351,	1,	1),
(59004,	4,	1351,	2,	1),
(59005,	4,	1351,	3,	1),
(59006,	4,	1352,	1,	1),
(59007,	4,	1352,	2,	1),
(59008,	4,	1352,	3,	1),
(59009,	4,	1352,	23,	1),
(59010,	4,	1352,	6,	1),
(59011,	4,	1352,	24,	1),
(59012,	4,	1352,	25,	1),
(59013,	4,	1352,	4,	1),
(59014,	4,	1352,	5,	1),
(59015,	4,	1353,	1,	1),
(59016,	4,	1353,	2,	1),
(59017,	4,	1353,	3,	1),
(59018,	4,	1354,	1,	1),
(59019,	4,	1354,	2,	1),
(59020,	4,	1354,	3,	1),
(59021,	4,	1354,	23,	1),
(59022,	4,	1354,	6,	1),
(59023,	4,	1354,	24,	1),
(59024,	4,	1354,	25,	1),
(59025,	4,	1354,	4,	1),
(59026,	4,	1354,	5,	1),
(59027,	4,	1355,	1,	1),
(59028,	4,	1355,	2,	1),
(59029,	4,	1355,	3,	1),
(59030,	4,	1356,	1,	1),
(59031,	4,	1356,	2,	1),
(59032,	4,	1356,	3,	1),
(59033,	4,	1357,	1,	1),
(59034,	4,	1357,	2,	1),
(59035,	4,	1357,	3,	1),
(59036,	4,	1357,	23,	1),
(59037,	4,	1357,	6,	1),
(59038,	4,	1357,	24,	1),
(59039,	4,	1357,	25,	1),
(59040,	4,	1357,	4,	1),
(59041,	4,	1357,	5,	1),
(59042,	4,	1358,	1,	1),
(59043,	4,	1358,	2,	1),
(59044,	4,	1358,	3,	1),
(59045,	4,	1359,	1,	1),
(59046,	4,	1359,	2,	1),
(59047,	4,	1359,	3,	1),
(59048,	4,	1359,	23,	1),
(59049,	4,	1359,	6,	1),
(59050,	4,	1359,	24,	1),
(59051,	4,	1359,	25,	1),
(59052,	4,	1359,	4,	1),
(59053,	4,	1359,	5,	1),
(59054,	4,	1360,	1,	1),
(59055,	4,	1360,	2,	1),
(59056,	4,	1360,	3,	1),
(59057,	4,	1360,	23,	1),
(59058,	4,	1360,	6,	1),
(59059,	4,	1360,	24,	1),
(59060,	4,	1360,	25,	1),
(59061,	4,	1360,	4,	1),
(59062,	4,	1360,	5,	1),
(59063,	4,	1361,	1,	1),
(59064,	4,	1361,	2,	1),
(59065,	4,	1361,	3,	1),
(59066,	4,	1361,	23,	1),
(59067,	4,	1361,	6,	1),
(59068,	4,	1361,	24,	1),
(59069,	4,	1361,	25,	1),
(59070,	4,	1361,	4,	1),
(59071,	4,	1361,	5,	1),
(59072,	4,	1362,	1,	1),
(59073,	4,	1362,	2,	1),
(59074,	4,	1362,	3,	1),
(59075,	4,	1363,	1,	1),
(59076,	4,	1363,	2,	1),
(59077,	4,	1363,	3,	1),
(59078,	4,	1363,	23,	1),
(59079,	4,	1363,	6,	1),
(59080,	4,	1363,	24,	1),
(59081,	4,	1363,	25,	1),
(59082,	4,	1363,	4,	1),
(59083,	4,	1363,	5,	1),
(59084,	4,	1364,	1,	1),
(59085,	4,	1364,	2,	1),
(59086,	4,	1364,	3,	1),
(59087,	4,	1365,	1,	1),
(59088,	4,	1365,	2,	1),
(59089,	4,	1365,	3,	1),
(59090,	4,	1366,	1,	1),
(59091,	4,	1366,	2,	1),
(59092,	4,	1366,	3,	1),
(59093,	4,	1367,	1,	1),
(59094,	4,	1367,	2,	1),
(59095,	4,	1367,	3,	1),
(59096,	4,	1368,	1,	1),
(59097,	4,	1368,	2,	1),
(59098,	4,	1368,	3,	1),
(59099,	4,	1369,	1,	1),
(59100,	4,	1369,	2,	1),
(59101,	4,	1369,	3,	1),
(59102,	4,	1370,	1,	1),
(59103,	4,	1370,	2,	1),
(59104,	4,	1370,	3,	1),
(59105,	4,	1371,	1,	1),
(59106,	4,	1371,	2,	1),
(59107,	4,	1371,	3,	1),
(59108,	4,	1372,	1,	1),
(59109,	4,	1372,	2,	1),
(59110,	4,	1372,	3,	1),
(59111,	4,	1372,	23,	1),
(59112,	4,	1372,	6,	1),
(59113,	4,	1372,	24,	1),
(59114,	4,	1372,	25,	1),
(59115,	4,	1372,	4,	1),
(59116,	4,	1372,	5,	1),
(59117,	4,	1373,	1,	1),
(59118,	4,	1373,	2,	1),
(59119,	4,	1373,	3,	1),
(59120,	4,	1373,	23,	1),
(59121,	4,	1373,	6,	1),
(59122,	4,	1373,	24,	1),
(59123,	4,	1373,	25,	1),
(59124,	4,	1373,	4,	1),
(59125,	4,	1373,	5,	1),
(59126,	4,	1374,	1,	1),
(59127,	4,	1374,	2,	1),
(59128,	4,	1374,	3,	1),
(59129,	4,	1375,	1,	1),
(59130,	4,	1375,	2,	1),
(59131,	4,	1375,	3,	1),
(59132,	4,	1375,	23,	1),
(59133,	4,	1375,	6,	1),
(59134,	4,	1375,	24,	1),
(59135,	4,	1375,	25,	1),
(59136,	4,	1375,	4,	1),
(59137,	4,	1375,	5,	1),
(59138,	4,	1376,	1,	1),
(59139,	4,	1376,	2,	1),
(59140,	4,	1376,	3,	1),
(59141,	4,	1376,	23,	1),
(59142,	4,	1376,	6,	1),
(59143,	4,	1376,	24,	1),
(59144,	4,	1376,	25,	1),
(59145,	4,	1376,	4,	1),
(59146,	4,	1376,	5,	1),
(59147,	4,	1377,	1,	1),
(59148,	4,	1377,	2,	1),
(59149,	4,	1377,	3,	1),
(59150,	4,	1377,	23,	1),
(59151,	4,	1377,	6,	1),
(59152,	4,	1377,	24,	1),
(59153,	4,	1377,	25,	1),
(59154,	4,	1377,	4,	1),
(59155,	4,	1377,	5,	1),
(59156,	4,	1378,	1,	1),
(59157,	4,	1378,	2,	1),
(59158,	4,	1378,	3,	1),
(59159,	4,	1379,	1,	1),
(59160,	4,	1379,	2,	1),
(59161,	4,	1379,	3,	1),
(59162,	4,	1380,	1,	1),
(59163,	4,	1380,	2,	1),
(59164,	4,	1380,	3,	1),
(59165,	4,	1381,	1,	1),
(59166,	4,	1381,	2,	1),
(59167,	4,	1381,	3,	1),
(59168,	4,	1382,	1,	1),
(59169,	4,	1382,	2,	1),
(59170,	4,	1382,	3,	1),
(59171,	4,	1383,	1,	1),
(59172,	4,	1383,	2,	1),
(59173,	4,	1383,	3,	1),
(59174,	4,	1384,	1,	1),
(59175,	4,	1384,	2,	1),
(59176,	4,	1384,	3,	1),
(59177,	4,	1385,	1,	1),
(59178,	4,	1385,	2,	1),
(59179,	4,	1385,	3,	1),
(59180,	4,	1386,	1,	1),
(59181,	4,	1386,	2,	1),
(59182,	4,	1386,	3,	1),
(59183,	4,	1387,	1,	1),
(59184,	4,	1387,	2,	1),
(59185,	4,	1387,	3,	1),
(59186,	4,	1387,	23,	1),
(59187,	4,	1387,	6,	1),
(59188,	4,	1387,	24,	1),
(59189,	4,	1387,	25,	1),
(59190,	4,	1387,	4,	1),
(59191,	4,	1388,	1,	1),
(59192,	4,	1388,	2,	1),
(59193,	4,	1388,	3,	1),
(59194,	4,	1388,	23,	1),
(59195,	4,	1388,	6,	1),
(59196,	4,	1388,	24,	1),
(59197,	4,	1388,	25,	1),
(59198,	4,	1388,	4,	1),
(59199,	4,	1389,	1,	1),
(59200,	4,	1389,	2,	1),
(59201,	4,	1389,	3,	1),
(59202,	4,	1389,	23,	1),
(59203,	4,	1389,	6,	1),
(59204,	4,	1389,	24,	1),
(59205,	4,	1389,	25,	1),
(59206,	4,	1389,	4,	1),
(59207,	4,	1390,	1,	1),
(59208,	4,	1390,	2,	1),
(59209,	4,	1390,	3,	1),
(59210,	4,	1391,	1,	1),
(59211,	4,	1391,	2,	1),
(59212,	4,	1391,	3,	1),
(59213,	4,	1391,	23,	1),
(59214,	4,	1391,	6,	1),
(59215,	4,	1391,	24,	1),
(59216,	4,	1391,	25,	1),
(59217,	4,	1391,	4,	1),
(59218,	4,	1392,	1,	1),
(59219,	4,	1392,	2,	1),
(59220,	4,	1392,	3,	1),
(59221,	4,	1393,	1,	1),
(59222,	4,	1393,	2,	1),
(59223,	4,	1393,	3,	1),
(59224,	4,	1393,	23,	1),
(59225,	4,	1393,	6,	1),
(59226,	4,	1393,	24,	1),
(59227,	4,	1393,	25,	1),
(59228,	4,	1393,	4,	1),
(59229,	4,	1394,	1,	1),
(59230,	4,	1394,	2,	1),
(59231,	4,	1394,	3,	1),
(59232,	4,	1395,	1,	1),
(59233,	4,	1395,	2,	1),
(59234,	4,	1395,	3,	1),
(59235,	4,	1396,	1,	1),
(59236,	4,	1396,	2,	1),
(59237,	4,	1396,	3,	1),
(59238,	4,	1397,	1,	1),
(59239,	4,	1397,	2,	1),
(59240,	4,	1397,	3,	1),
(59241,	4,	1398,	1,	1),
(59242,	4,	1398,	2,	1),
(59243,	4,	1398,	3,	1),
(59244,	4,	1399,	1,	1),
(59245,	4,	1399,	2,	1),
(59246,	4,	1399,	3,	1),
(59247,	4,	1400,	1,	1),
(59248,	4,	1400,	2,	1),
(59249,	4,	1400,	3,	1),
(59250,	4,	1401,	1,	1),
(59251,	4,	1401,	2,	1),
(59252,	4,	1401,	3,	1),
(59253,	4,	1401,	1,	2),
(59254,	4,	1401,	2,	2),
(59255,	4,	1401,	3,	2),
(59256,	4,	1402,	1,	1),
(59257,	4,	1402,	2,	1),
(59258,	4,	1402,	3,	1),
(59259,	4,	1402,	1,	2),
(59260,	4,	1402,	2,	2),
(59261,	4,	1402,	3,	2),
(59262,	4,	1403,	1,	1),
(59263,	4,	1403,	2,	1),
(59264,	4,	1403,	3,	1),
(59265,	4,	1403,	1,	2),
(59266,	4,	1403,	2,	2),
(59267,	4,	1403,	3,	2),
(59268,	4,	1404,	1,	1),
(59269,	4,	1404,	2,	1),
(59270,	4,	1404,	3,	1),
(59271,	4,	1404,	1,	2),
(59272,	4,	1404,	2,	2),
(59273,	4,	1404,	3,	2),
(59274,	4,	1405,	1,	1),
(59275,	4,	1405,	2,	1),
(59276,	4,	1405,	3,	1),
(59277,	4,	1405,	1,	2),
(59278,	4,	1405,	2,	2),
(59279,	4,	1405,	3,	2),
(59280,	4,	1406,	1,	1),
(59281,	4,	1406,	2,	1),
(59282,	4,	1406,	3,	1),
(59283,	4,	1406,	1,	2),
(59284,	4,	1406,	2,	2),
(59285,	4,	1406,	3,	2),
(59286,	4,	1407,	1,	1),
(59287,	4,	1407,	2,	1),
(59288,	4,	1407,	3,	1),
(59289,	4,	1407,	1,	2),
(59290,	4,	1407,	2,	2),
(59291,	4,	1407,	3,	2),
(59292,	4,	1408,	1,	1),
(59293,	4,	1408,	2,	1),
(59294,	4,	1408,	3,	1),
(59295,	4,	1408,	1,	2),
(59296,	4,	1408,	2,	2),
(59297,	4,	1408,	3,	2),
(59298,	4,	1409,	1,	1),
(59299,	4,	1409,	2,	1),
(59300,	4,	1409,	3,	1),
(59301,	4,	1410,	1,	1),
(59302,	4,	1410,	2,	1),
(59303,	4,	1410,	3,	1),
(59304,	4,	1410,	1,	2),
(59305,	4,	1410,	2,	2),
(59306,	4,	1410,	3,	2),
(59307,	4,	1411,	1,	1),
(59308,	4,	1411,	2,	1),
(59309,	4,	1411,	3,	1),
(59310,	4,	1411,	1,	2),
(59311,	4,	1411,	2,	2),
(59312,	4,	1411,	3,	2),
(59313,	4,	1412,	1,	1),
(59314,	4,	1412,	2,	1),
(59315,	4,	1412,	3,	1),
(59316,	4,	1412,	1,	2),
(59317,	4,	1412,	2,	2),
(59318,	4,	1412,	3,	2),
(59319,	4,	1413,	1,	1),
(59320,	4,	1413,	2,	1),
(59321,	4,	1413,	3,	1),
(59322,	4,	1413,	1,	2),
(59323,	4,	1413,	2,	2),
(59324,	4,	1413,	3,	2),
(59325,	4,	1414,	1,	1),
(59326,	4,	1414,	2,	1),
(59327,	4,	1414,	3,	1),
(59328,	4,	1415,	1,	1),
(59329,	4,	1415,	2,	1),
(59330,	4,	1415,	3,	1),
(59331,	4,	1416,	1,	1),
(59332,	4,	1416,	2,	1),
(59333,	4,	1416,	3,	1),
(59334,	4,	1416,	1,	2),
(59335,	4,	1416,	2,	2),
(59336,	4,	1416,	3,	2),
(59337,	4,	1417,	1,	1),
(59338,	4,	1417,	2,	1),
(59339,	4,	1417,	3,	1),
(59340,	4,	1418,	1,	1),
(59341,	4,	1418,	2,	1),
(59342,	4,	1418,	3,	1),
(59343,	4,	1419,	1,	1),
(59344,	4,	1419,	2,	1),
(59345,	4,	1419,	3,	1),
(59346,	4,	1419,	1,	2),
(59347,	4,	1419,	2,	2),
(59348,	4,	1419,	3,	2),
(59349,	4,	1420,	1,	1),
(59350,	4,	1420,	2,	1),
(59351,	4,	1420,	3,	1),
(59352,	4,	1421,	1,	1),
(59353,	4,	1421,	2,	1),
(59354,	4,	1421,	3,	1),
(59355,	4,	1422,	1,	1),
(59356,	4,	1422,	2,	1),
(59357,	4,	1422,	3,	1),
(59358,	4,	1422,	23,	1),
(59359,	4,	1422,	6,	1),
(59360,	4,	1422,	24,	1),
(59361,	4,	1422,	25,	1),
(59362,	4,	1422,	4,	1),
(59363,	4,	1422,	5,	1),
(59364,	4,	1423,	1,	1),
(59365,	4,	1423,	2,	1),
(59366,	4,	1423,	3,	1),
(59367,	4,	1423,	23,	1),
(59368,	4,	1423,	6,	1),
(59369,	4,	1423,	24,	1),
(59370,	4,	1423,	25,	1),
(59371,	4,	1423,	4,	1),
(59372,	4,	1423,	5,	1),
(59373,	4,	1424,	1,	1),
(59374,	4,	1424,	2,	1),
(59375,	4,	1424,	3,	1),
(59376,	4,	1425,	1,	1),
(59377,	4,	1425,	2,	1),
(59378,	4,	1425,	3,	1),
(59379,	4,	1425,	23,	1),
(59380,	4,	1425,	6,	1),
(59381,	4,	1425,	24,	1),
(59382,	4,	1425,	25,	1),
(59383,	4,	1425,	4,	1),
(59384,	4,	1425,	5,	1),
(59385,	4,	1426,	1,	1),
(59386,	4,	1426,	2,	1),
(59387,	4,	1426,	3,	1),
(59388,	4,	1426,	23,	1),
(59389,	4,	1426,	6,	1),
(59390,	4,	1426,	24,	1),
(59391,	4,	1426,	25,	1),
(59392,	4,	1426,	4,	1),
(59393,	4,	1426,	5,	1),
(59394,	4,	1427,	1,	1),
(59395,	4,	1427,	2,	1),
(59396,	4,	1427,	3,	1),
(59397,	4,	1428,	1,	1),
(59398,	4,	1428,	2,	1),
(59399,	4,	1428,	3,	1),
(59400,	4,	1428,	23,	1),
(59401,	4,	1428,	6,	1),
(59402,	4,	1428,	24,	1),
(59403,	4,	1428,	25,	1),
(59404,	4,	1428,	4,	1),
(59405,	4,	1428,	5,	1),
(59406,	4,	1429,	1,	1),
(59407,	4,	1429,	2,	1),
(59408,	4,	1429,	3,	1),
(59409,	4,	1430,	1,	1),
(59410,	4,	1430,	2,	1),
(59411,	4,	1430,	3,	1),
(59412,	4,	1431,	1,	1),
(59413,	4,	1431,	2,	1),
(59414,	4,	1431,	3,	1),
(59415,	4,	1431,	23,	1),
(59416,	4,	1431,	6,	1),
(59417,	4,	1431,	24,	1),
(59418,	4,	1431,	25,	1),
(59419,	4,	1431,	4,	1),
(59420,	4,	1431,	5,	1),
(59421,	4,	1432,	1,	1),
(59422,	4,	1432,	2,	1),
(59423,	4,	1432,	3,	1),
(59424,	4,	1432,	1,	2),
(59425,	4,	1432,	2,	2),
(59426,	4,	1432,	3,	2),
(59427,	4,	1433,	1,	1),
(59428,	4,	1433,	2,	1),
(59429,	4,	1433,	3,	1),
(59430,	4,	1434,	1,	1),
(59431,	4,	1434,	2,	1),
(59432,	4,	1434,	3,	1),
(59433,	4,	1435,	1,	1),
(59434,	4,	1435,	2,	1),
(59435,	4,	1435,	3,	1),
(59436,	4,	1436,	1,	1),
(59437,	4,	1436,	2,	1),
(59438,	4,	1436,	3,	1),
(59439,	4,	1436,	23,	1),
(59440,	4,	1436,	6,	1),
(59441,	4,	1436,	24,	1),
(59442,	4,	1436,	25,	1),
(59443,	4,	1436,	4,	1),
(59444,	4,	1436,	5,	1),
(59445,	4,	1437,	1,	1),
(59446,	4,	1437,	2,	1),
(59447,	4,	1437,	3,	1),
(59448,	4,	1437,	23,	1),
(59449,	4,	1437,	6,	1),
(59450,	4,	1437,	24,	1),
(59451,	4,	1437,	25,	1),
(59452,	4,	1437,	4,	1),
(59453,	4,	1437,	5,	1),
(59454,	4,	1438,	1,	1),
(59455,	4,	1438,	2,	1),
(59456,	4,	1438,	3,	1),
(59457,	4,	1439,	1,	1),
(59458,	4,	1439,	2,	1),
(59459,	4,	1439,	3,	1),
(59460,	4,	1439,	23,	1),
(59461,	4,	1439,	6,	1),
(59462,	4,	1439,	24,	1),
(59463,	4,	1439,	25,	1),
(59464,	4,	1439,	4,	1),
(59465,	4,	1439,	5,	1),
(59466,	4,	1440,	1,	1),
(59467,	4,	1440,	2,	1),
(59468,	4,	1440,	3,	1),
(59469,	4,	1440,	23,	1),
(59470,	4,	1440,	6,	1),
(59471,	4,	1440,	24,	1),
(59472,	4,	1440,	25,	1),
(59473,	4,	1440,	4,	1),
(59474,	4,	1440,	5,	1),
(59475,	4,	1441,	1,	1),
(59476,	4,	1441,	2,	1),
(59477,	4,	1441,	3,	1),
(59478,	4,	1442,	1,	1),
(59479,	4,	1442,	2,	1),
(59480,	4,	1442,	3,	1),
(59481,	4,	1442,	23,	1),
(59482,	4,	1442,	6,	1),
(59483,	4,	1442,	24,	1),
(59484,	4,	1442,	25,	1),
(59485,	4,	1442,	4,	1),
(59486,	4,	1442,	5,	1),
(59487,	4,	1443,	1,	1),
(59488,	4,	1443,	2,	1),
(59489,	4,	1443,	3,	1),
(59490,	4,	1443,	23,	1),
(59491,	4,	1443,	6,	1),
(59492,	4,	1443,	24,	1),
(59493,	4,	1443,	25,	1),
(59494,	4,	1443,	4,	1),
(59495,	4,	1443,	5,	1),
(59496,	4,	1444,	1,	1),
(59497,	4,	1444,	2,	1),
(59498,	4,	1444,	3,	1),
(59499,	4,	1445,	1,	1),
(59500,	4,	1445,	2,	1),
(59501,	4,	1445,	3,	1),
(59502,	4,	1445,	23,	1),
(59503,	4,	1445,	6,	1),
(59504,	4,	1445,	24,	1),
(59505,	4,	1445,	25,	1),
(59506,	4,	1445,	4,	1),
(59507,	4,	1445,	5,	1),
(59508,	4,	1446,	1,	1),
(59509,	4,	1446,	2,	1),
(59510,	4,	1446,	3,	1),
(59511,	4,	1446,	1,	2),
(59512,	4,	1446,	2,	2),
(59513,	4,	1446,	3,	2),
(59514,	4,	1447,	1,	1),
(59515,	4,	1447,	2,	1),
(59516,	4,	1447,	3,	1),
(59517,	4,	1447,	1,	2),
(59518,	4,	1447,	2,	2),
(59519,	4,	1447,	3,	2),
(59520,	4,	1448,	1,	1),
(59521,	4,	1448,	2,	1),
(59522,	4,	1448,	3,	1),
(59523,	4,	1449,	1,	1),
(59524,	4,	1449,	2,	1),
(59525,	4,	1449,	3,	1),
(59526,	4,	1450,	1,	1),
(59527,	4,	1450,	2,	1),
(59528,	4,	1450,	3,	1),
(59529,	4,	1451,	1,	1),
(59530,	4,	1451,	2,	1),
(59531,	4,	1451,	3,	1),
(59532,	4,	1452,	1,	1),
(59533,	4,	1452,	2,	1),
(59534,	4,	1452,	3,	1),
(59535,	4,	1452,	23,	1),
(59536,	4,	1452,	6,	1),
(59537,	4,	1452,	24,	1),
(59538,	4,	1452,	25,	1),
(59539,	4,	1452,	4,	1),
(59540,	4,	1452,	5,	1),
(59541,	4,	1453,	1,	1),
(59542,	4,	1453,	2,	1),
(59543,	4,	1453,	3,	1),
(59544,	4,	1453,	23,	1),
(59545,	4,	1453,	6,	1),
(59546,	4,	1453,	24,	1),
(59547,	4,	1453,	25,	1),
(59548,	4,	1453,	4,	1),
(59549,	4,	1453,	5,	1),
(59550,	4,	1454,	1,	1),
(59551,	4,	1454,	2,	1),
(59552,	4,	1454,	3,	1),
(59553,	4,	1455,	1,	1),
(59554,	4,	1455,	2,	1),
(59555,	4,	1455,	3,	1),
(59556,	4,	1455,	23,	1),
(59557,	4,	1455,	6,	1),
(59558,	4,	1455,	24,	1),
(59559,	4,	1455,	25,	1),
(59560,	4,	1455,	4,	1),
(59561,	4,	1455,	5,	1),
(59562,	4,	1456,	1,	1),
(59563,	4,	1456,	2,	1),
(59564,	4,	1456,	3,	1),
(59565,	4,	1456,	23,	1),
(59566,	4,	1456,	6,	1),
(59567,	4,	1456,	24,	1),
(59568,	4,	1456,	25,	1),
(59569,	4,	1456,	4,	1),
(59570,	4,	1456,	5,	1),
(59571,	4,	1457,	1,	1),
(59572,	4,	1457,	2,	1),
(59573,	4,	1457,	3,	1),
(59574,	4,	1458,	1,	1),
(59575,	4,	1458,	2,	1),
(59576,	4,	1458,	3,	1),
(59577,	4,	1458,	23,	1),
(59578,	4,	1458,	6,	1),
(59579,	4,	1458,	24,	1),
(59580,	4,	1458,	25,	1),
(59581,	4,	1458,	4,	1),
(59582,	4,	1458,	5,	1),
(59583,	4,	1459,	1,	1),
(59584,	4,	1459,	2,	1),
(59585,	4,	1459,	3,	1),
(59586,	4,	1459,	1,	2),
(59587,	4,	1459,	2,	2),
(59588,	4,	1459,	3,	2),
(59589,	4,	1460,	1,	1),
(59590,	4,	1460,	2,	1),
(59591,	4,	1460,	3,	1),
(59592,	4,	1461,	1,	1),
(59593,	4,	1461,	2,	1),
(59594,	4,	1461,	3,	1),
(59595,	4,	1462,	1,	1),
(59596,	4,	1462,	2,	1),
(59597,	4,	1462,	3,	1),
(59598,	4,	1462,	1,	2),
(59599,	4,	1462,	2,	2),
(59600,	4,	1462,	3,	2),
(59601,	4,	1463,	1,	1),
(59602,	4,	1463,	2,	1),
(59603,	4,	1463,	3,	1),
(59604,	4,	1463,	1,	2),
(59605,	4,	1463,	2,	2),
(59606,	4,	1463,	3,	2),
(59607,	4,	1464,	1,	1),
(59608,	4,	1464,	2,	1),
(59609,	4,	1464,	3,	1),
(59610,	4,	1465,	1,	1),
(59611,	4,	1465,	2,	1),
(59612,	4,	1465,	3,	1),
(59613,	4,	1465,	23,	1),
(59614,	4,	1466,	1,	1),
(59615,	4,	1466,	2,	1),
(59616,	4,	1466,	3,	1),
(59617,	4,	1466,	23,	1),
(59618,	4,	1467,	1,	1),
(59619,	4,	1467,	2,	1),
(59620,	4,	1467,	3,	1),
(59621,	4,	1467,	23,	1),
(59622,	4,	1468,	1,	1),
(59623,	4,	1468,	2,	1),
(59624,	4,	1468,	3,	1),
(59625,	4,	1468,	23,	1),
(59626,	4,	1469,	1,	1),
(59627,	4,	1469,	2,	1),
(59628,	4,	1469,	3,	1),
(59629,	4,	1469,	1,	2),
(59630,	4,	1469,	2,	2),
(59631,	4,	1469,	3,	2),
(59632,	4,	1470,	1,	1),
(59633,	4,	1470,	2,	1),
(59634,	4,	1470,	3,	1),
(59635,	4,	1471,	1,	1),
(59636,	4,	1471,	2,	1),
(59637,	4,	1471,	3,	1),
(59638,	4,	1472,	1,	1),
(59639,	4,	1472,	2,	1),
(59640,	4,	1472,	3,	1),
(59641,	4,	1473,	1,	1),
(59642,	4,	1473,	2,	1),
(59643,	4,	1473,	3,	1),
(59644,	4,	1473,	23,	1),
(59645,	4,	1474,	1,	1),
(59646,	4,	1474,	2,	1),
(59647,	4,	1474,	3,	1),
(59648,	4,	1475,	1,	1),
(59649,	4,	1475,	2,	1),
(59650,	4,	1475,	3,	1),
(59651,	4,	1476,	1,	1),
(59652,	4,	1476,	2,	1),
(59653,	4,	1476,	3,	1),
(59654,	4,	1476,	23,	1),
(59655,	4,	1477,	1,	1),
(59656,	4,	1477,	2,	1),
(59657,	4,	1477,	3,	1),
(59658,	4,	1478,	1,	1),
(59659,	4,	1478,	2,	1),
(59660,	4,	1478,	3,	1),
(59661,	4,	1479,	1,	1),
(59662,	4,	1479,	2,	1),
(59663,	4,	1479,	3,	1),
(59664,	4,	1480,	1,	1),
(59665,	4,	1480,	2,	1),
(59666,	4,	1480,	3,	1),
(59667,	4,	1481,	1,	1),
(59668,	4,	1481,	2,	1),
(59669,	4,	1481,	3,	1),
(59670,	4,	1481,	1,	2),
(59671,	4,	1481,	2,	2),
(59672,	4,	1481,	3,	2),
(59673,	4,	1482,	1,	1),
(59674,	4,	1482,	2,	1),
(59675,	4,	1482,	3,	1),
(59676,	4,	1483,	1,	1),
(59677,	4,	1483,	2,	1),
(59678,	4,	1483,	3,	1),
(59679,	4,	1484,	1,	1),
(59680,	4,	1484,	2,	1),
(59681,	4,	1484,	3,	1),
(59682,	4,	1485,	1,	1),
(59683,	4,	1485,	2,	1),
(59684,	4,	1485,	3,	1),
(59685,	4,	1486,	1,	1),
(59686,	4,	1486,	2,	1),
(59687,	4,	1486,	3,	1),
(59688,	4,	1487,	1,	1),
(59689,	4,	1487,	2,	1),
(59690,	4,	1487,	3,	1),
(59691,	4,	1488,	1,	1),
(59692,	4,	1488,	2,	1),
(59693,	4,	1488,	3,	1),
(59694,	4,	1489,	1,	1),
(59695,	4,	1489,	2,	1),
(59696,	4,	1489,	3,	1),
(59697,	4,	1490,	1,	1),
(59698,	4,	1490,	2,	1),
(59699,	4,	1490,	3,	1),
(59700,	4,	1491,	1,	1),
(59701,	4,	1491,	2,	1),
(59702,	4,	1491,	3,	1),
(59703,	4,	1492,	1,	1),
(59704,	4,	1492,	2,	1),
(59705,	4,	1492,	3,	1),
(59706,	4,	1493,	1,	1),
(59707,	4,	1493,	2,	1),
(59708,	4,	1493,	3,	1),
(59709,	4,	1494,	1,	1),
(59710,	4,	1494,	2,	1),
(59711,	4,	1494,	3,	1),
(59712,	4,	1495,	1,	1),
(59713,	4,	1495,	2,	1),
(59714,	4,	1495,	3,	1),
(59715,	4,	1496,	1,	1),
(59716,	4,	1496,	2,	1),
(59717,	4,	1496,	3,	1),
(59718,	4,	1496,	75,	1),
(59719,	4,	1496,	76,	1),
(59720,	4,	1496,	77,	1),
(59721,	4,	1496,	78,	1),
(59722,	4,	1496,	79,	1),
(59723,	4,	1496,	45,	1),
(59724,	4,	1496,	46,	1),
(59725,	4,	1496,	54,	1),
(59726,	4,	1496,	28,	1),
(59727,	4,	1496,	61,	1),
(59728,	4,	1496,	80,	1),
(59729,	4,	1496,	59,	1),
(59730,	4,	1497,	1,	1),
(59731,	4,	1497,	2,	1),
(59732,	4,	1497,	3,	1),
(59733,	4,	1498,	1,	1),
(59734,	4,	1498,	2,	1),
(59735,	4,	1498,	3,	1),
(59736,	4,	1499,	1,	1),
(59737,	4,	1499,	2,	1),
(59738,	4,	1499,	3,	1),
(59739,	4,	1499,	75,	1),
(59740,	4,	1499,	76,	1),
(59741,	4,	1499,	77,	1),
(59742,	4,	1499,	78,	1),
(59743,	4,	1499,	79,	1),
(59744,	4,	1499,	45,	1),
(59745,	4,	1499,	46,	1),
(59746,	4,	1499,	54,	1),
(59747,	4,	1499,	28,	1),
(59748,	4,	1499,	61,	1),
(59749,	4,	1499,	80,	1),
(59750,	4,	1499,	59,	1),
(59751,	4,	1500,	1,	1),
(59752,	4,	1500,	2,	1),
(59753,	4,	1500,	3,	1),
(59754,	4,	1500,	75,	1),
(59755,	4,	1500,	76,	1),
(59756,	4,	1500,	77,	1),
(59757,	4,	1500,	78,	1),
(59758,	4,	1500,	79,	1),
(59759,	4,	1500,	45,	1),
(59760,	4,	1500,	46,	1),
(59761,	4,	1500,	54,	1),
(59762,	4,	1500,	28,	1),
(59763,	4,	1500,	61,	1),
(59764,	4,	1500,	80,	1),
(59765,	4,	1500,	59,	1),
(59766,	4,	1501,	1,	1),
(59767,	4,	1501,	2,	1),
(59768,	4,	1501,	3,	1),
(59769,	4,	1501,	75,	1),
(59770,	4,	1501,	76,	1),
(59771,	4,	1501,	77,	1),
(59772,	4,	1501,	78,	1),
(59773,	4,	1501,	79,	1),
(59774,	4,	1501,	45,	1),
(59775,	4,	1501,	46,	1),
(59776,	4,	1501,	54,	1),
(59777,	4,	1501,	28,	1),
(59778,	4,	1501,	61,	1),
(59779,	4,	1501,	80,	1),
(59780,	4,	1501,	59,	1),
(59781,	4,	1502,	1,	1),
(59782,	4,	1502,	2,	1),
(59783,	4,	1502,	3,	1),
(59784,	4,	1502,	75,	1),
(59785,	4,	1502,	76,	1),
(59786,	4,	1502,	77,	1),
(59787,	4,	1502,	78,	1),
(59788,	4,	1502,	79,	1),
(59789,	4,	1502,	45,	1),
(59790,	4,	1502,	46,	1),
(59791,	4,	1502,	54,	1),
(59792,	4,	1502,	28,	1),
(59793,	4,	1502,	61,	1),
(59794,	4,	1502,	80,	1),
(59795,	4,	1502,	59,	1),
(59796,	4,	1503,	1,	1),
(59797,	4,	1503,	2,	1),
(59798,	4,	1503,	3,	1),
(59799,	4,	1503,	75,	1),
(59800,	4,	1503,	76,	1),
(59801,	4,	1503,	77,	1),
(59802,	4,	1503,	78,	1),
(59803,	4,	1503,	79,	1),
(59804,	4,	1503,	45,	1),
(59805,	4,	1503,	46,	1),
(59806,	4,	1503,	54,	1),
(59807,	4,	1503,	28,	1),
(59808,	4,	1503,	61,	1),
(59809,	4,	1503,	80,	1),
(59810,	4,	1503,	59,	1),
(59811,	4,	1504,	1,	1),
(59812,	4,	1504,	2,	1),
(59813,	4,	1504,	3,	1),
(59814,	4,	1504,	1,	2),
(59815,	4,	1504,	2,	2),
(59816,	4,	1504,	3,	2),
(59817,	4,	1505,	1,	1),
(59818,	4,	1505,	2,	1),
(59819,	4,	1505,	3,	1),
(59820,	4,	1505,	1,	2),
(59821,	4,	1505,	2,	2),
(59822,	4,	1505,	3,	2),
(59823,	4,	1506,	1,	1),
(59824,	4,	1506,	2,	1),
(59825,	4,	1506,	3,	1),
(59826,	4,	1507,	1,	1),
(59827,	4,	1507,	2,	1),
(59828,	4,	1507,	3,	1),
(59829,	4,	1508,	1,	1),
(59830,	4,	1508,	2,	1),
(59831,	4,	1508,	3,	1),
(59832,	4,	1509,	1,	1),
(59833,	4,	1509,	2,	1),
(59834,	4,	1509,	3,	1),
(59835,	4,	1510,	1,	1),
(59836,	4,	1510,	2,	1),
(59837,	4,	1510,	3,	1),
(59838,	4,	1510,	75,	1),
(59839,	4,	1510,	76,	1),
(59840,	4,	1510,	77,	1),
(59841,	4,	1510,	78,	1),
(59842,	4,	1510,	79,	1),
(59843,	4,	1510,	45,	1),
(59844,	4,	1510,	46,	1),
(59845,	4,	1510,	54,	1),
(59846,	4,	1510,	28,	1),
(59847,	4,	1510,	61,	1),
(59848,	4,	1510,	80,	1),
(59849,	4,	1510,	59,	1),
(59850,	4,	1511,	1,	1),
(59851,	4,	1511,	2,	1),
(59852,	4,	1511,	3,	1),
(59853,	4,	1511,	75,	1),
(59854,	4,	1511,	76,	1),
(59855,	4,	1511,	77,	1),
(59856,	4,	1511,	78,	1),
(59857,	4,	1511,	79,	1),
(59858,	4,	1511,	45,	1),
(59859,	4,	1511,	46,	1),
(59860,	4,	1511,	54,	1),
(59861,	4,	1511,	28,	1),
(59862,	4,	1511,	61,	1),
(59863,	4,	1511,	80,	1),
(59864,	4,	1511,	59,	1),
(59865,	4,	1512,	1,	1),
(59866,	4,	1512,	2,	1),
(59867,	4,	1512,	3,	1),
(59868,	4,	1513,	1,	1),
(59869,	4,	1513,	2,	1),
(59870,	4,	1513,	3,	1),
(59871,	4,	1514,	1,	1),
(59872,	4,	1514,	2,	1),
(59873,	4,	1514,	3,	1),
(59874,	4,	1514,	1,	2),
(59875,	4,	1514,	2,	2),
(59876,	4,	1514,	3,	2),
(59877,	4,	1515,	1,	1),
(59878,	4,	1515,	2,	1),
(59879,	4,	1515,	3,	1),
(59880,	4,	1516,	1,	1),
(59881,	4,	1516,	2,	1),
(59882,	4,	1516,	3,	1),
(59883,	4,	1517,	1,	1),
(59884,	4,	1517,	2,	1),
(59885,	4,	1517,	3,	1),
(59886,	4,	1517,	1,	2),
(59887,	4,	1517,	2,	2),
(59888,	4,	1517,	3,	2),
(59889,	4,	1518,	1,	1),
(59890,	4,	1518,	2,	1),
(59891,	4,	1518,	3,	1),
(59892,	4,	1518,	1,	2),
(59893,	4,	1518,	2,	2),
(59894,	4,	1518,	3,	2),
(59895,	4,	1519,	1,	1),
(59896,	4,	1519,	2,	1),
(59897,	4,	1519,	3,	1),
(59898,	4,	1520,	1,	1),
(59899,	4,	1520,	2,	1),
(59900,	4,	1520,	3,	1),
(59901,	4,	1520,	1,	2),
(59902,	4,	1520,	2,	2),
(59903,	4,	1520,	3,	2),
(59904,	4,	1521,	1,	1),
(59905,	4,	1521,	2,	1),
(59906,	4,	1521,	3,	1),
(59907,	4,	1522,	1,	1),
(59908,	4,	1522,	2,	1),
(59909,	4,	1522,	3,	1),
(59910,	4,	1523,	1,	1),
(59911,	4,	1523,	2,	1),
(59912,	4,	1523,	3,	1),
(59913,	4,	1523,	75,	1),
(59914,	4,	1523,	76,	1),
(59915,	4,	1523,	77,	1),
(59916,	4,	1523,	78,	1),
(59917,	4,	1523,	79,	1),
(59918,	4,	1523,	45,	1),
(59919,	4,	1523,	46,	1),
(59920,	4,	1523,	54,	1),
(59921,	4,	1523,	28,	1),
(59922,	4,	1523,	61,	1),
(59923,	4,	1523,	80,	1),
(59924,	4,	1524,	1,	1),
(59925,	4,	1524,	2,	1),
(59926,	4,	1524,	3,	1),
(59927,	4,	1524,	1,	2),
(59928,	4,	1524,	2,	2),
(59929,	4,	1524,	3,	2),
(59930,	4,	1525,	1,	1),
(59931,	4,	1525,	2,	1),
(59932,	4,	1525,	3,	1),
(59933,	4,	1526,	1,	1),
(59934,	4,	1526,	2,	1),
(59935,	4,	1526,	3,	1),
(59936,	4,	1526,	1,	2),
(59937,	4,	1526,	2,	2),
(59938,	4,	1526,	3,	2),
(59939,	4,	1527,	1,	1),
(59940,	4,	1527,	2,	1),
(59941,	4,	1527,	3,	1),
(59942,	4,	1527,	1,	2),
(59943,	4,	1527,	2,	2),
(59944,	4,	1527,	3,	2),
(59945,	4,	1528,	1,	1),
(59946,	4,	1528,	2,	1),
(59947,	4,	1528,	3,	1),
(59948,	4,	1528,	1,	2),
(59949,	4,	1528,	2,	2),
(59950,	4,	1528,	3,	2),
(59951,	4,	1529,	1,	1),
(59952,	4,	1529,	2,	1),
(59953,	4,	1529,	3,	1),
(59954,	4,	1530,	1,	1),
(59955,	4,	1530,	2,	1),
(59956,	4,	1530,	3,	1),
(59957,	4,	1530,	1,	2),
(59958,	4,	1530,	2,	2),
(59959,	4,	1530,	3,	2),
(59960,	4,	1531,	1,	1),
(59961,	4,	1531,	2,	1),
(59962,	4,	1531,	3,	1),
(59963,	4,	1532,	1,	1),
(59964,	4,	1532,	2,	1),
(59965,	4,	1532,	3,	1),
(59966,	4,	1533,	1,	1),
(59967,	4,	1533,	2,	1),
(59968,	4,	1533,	3,	1),
(59969,	4,	1534,	1,	1),
(59970,	4,	1534,	2,	1),
(59971,	4,	1534,	3,	1),
(59972,	4,	1535,	1,	1),
(59973,	4,	1535,	2,	1),
(59974,	4,	1535,	3,	1),
(59975,	4,	1535,	1,	2),
(59976,	4,	1535,	2,	2),
(59977,	4,	1535,	3,	2),
(59978,	4,	1536,	1,	1),
(59979,	4,	1536,	2,	1),
(59980,	4,	1536,	3,	1),
(59981,	4,	1536,	1,	2),
(59982,	4,	1536,	2,	2),
(59983,	4,	1536,	3,	2),
(59984,	4,	1537,	1,	1),
(59985,	4,	1537,	2,	1),
(59986,	4,	1537,	3,	1),
(59987,	4,	1538,	1,	1),
(59988,	4,	1538,	2,	1),
(59989,	4,	1538,	3,	1),
(59990,	4,	1539,	1,	1),
(59991,	4,	1539,	2,	1),
(59992,	4,	1539,	3,	1),
(59993,	4,	1539,	1,	2),
(59994,	4,	1539,	2,	2),
(59995,	4,	1539,	3,	2),
(59996,	4,	1540,	1,	1),
(59997,	4,	1540,	2,	1),
(59998,	4,	1540,	3,	1),
(59999,	4,	1541,	1,	1),
(60000,	4,	1541,	2,	1),
(60001,	4,	1541,	3,	1),
(60002,	4,	1541,	1,	2),
(60003,	4,	1541,	2,	2),
(60004,	4,	1541,	3,	2),
(60005,	4,	1542,	1,	1),
(60006,	4,	1542,	2,	1),
(60007,	4,	1542,	3,	1),
(60008,	4,	1542,	1,	2),
(60009,	4,	1542,	2,	2),
(60010,	4,	1542,	3,	2),
(60011,	4,	1543,	1,	1),
(60012,	4,	1543,	2,	1),
(60013,	4,	1543,	3,	1),
(60014,	4,	1543,	1,	2),
(60015,	4,	1543,	2,	2),
(60016,	4,	1543,	3,	2),
(60017,	4,	1544,	1,	1),
(60018,	4,	1544,	2,	1),
(60019,	4,	1544,	3,	1),
(60020,	4,	1545,	1,	1),
(60021,	4,	1545,	2,	1),
(60022,	4,	1545,	3,	1),
(60023,	4,	1545,	1,	3),
(60024,	4,	1545,	2,	3),
(60025,	4,	1545,	3,	3),
(60026,	4,	1546,	1,	1),
(60027,	4,	1546,	2,	1),
(60028,	4,	1546,	3,	1),
(60029,	4,	1546,	1,	2),
(60030,	4,	1546,	2,	2),
(60031,	4,	1546,	3,	2),
(60032,	4,	1547,	1,	1),
(60033,	4,	1547,	2,	1),
(60034,	4,	1547,	3,	1),
(60035,	4,	1548,	1,	1),
(60036,	4,	1548,	2,	1),
(60037,	4,	1548,	3,	1),
(60038,	4,	1548,	1,	2),
(60039,	4,	1548,	2,	2),
(60040,	4,	1548,	3,	2),
(60041,	4,	1549,	1,	1),
(60042,	4,	1549,	2,	1),
(60043,	4,	1549,	3,	1),
(60044,	4,	1550,	1,	1),
(60045,	4,	1550,	2,	1),
(60046,	4,	1550,	3,	1),
(60047,	4,	1551,	1,	1),
(60048,	4,	1551,	2,	1),
(60049,	4,	1551,	3,	1),
(60050,	4,	1552,	1,	1),
(60051,	4,	1552,	2,	1),
(60052,	4,	1552,	3,	1),
(60053,	4,	1552,	1,	2),
(60054,	4,	1552,	2,	2),
(60055,	4,	1552,	3,	2),
(60056,	4,	1553,	1,	1),
(60057,	4,	1553,	2,	1),
(60058,	4,	1553,	3,	1),
(60059,	4,	1554,	1,	1),
(60060,	4,	1554,	2,	1),
(60061,	4,	1554,	3,	1),
(60062,	4,	1555,	1,	1),
(60063,	4,	1555,	2,	1),
(60064,	4,	1555,	3,	1),
(60065,	4,	1555,	1,	3),
(60066,	4,	1555,	2,	3),
(60067,	4,	1555,	3,	3),
(60068,	4,	1556,	1,	1),
(60069,	4,	1556,	2,	1),
(60070,	4,	1556,	3,	1),
(60071,	4,	1556,	1,	2),
(60072,	4,	1556,	2,	2),
(60073,	4,	1556,	3,	2),
(60074,	4,	1557,	1,	1),
(60075,	4,	1557,	2,	1),
(60076,	4,	1557,	3,	1),
(60077,	4,	1557,	1,	2),
(60078,	4,	1557,	2,	2),
(60079,	4,	1557,	3,	2),
(60080,	4,	1558,	1,	1),
(60081,	4,	1558,	2,	1),
(60082,	4,	1558,	3,	1),
(60083,	4,	1558,	1,	2),
(60084,	4,	1558,	2,	2),
(60085,	4,	1558,	3,	2),
(60086,	4,	1559,	1,	1),
(60087,	4,	1559,	2,	1),
(60088,	4,	1559,	3,	1),
(60089,	4,	1559,	1,	2),
(60090,	4,	1559,	2,	2),
(60091,	4,	1559,	3,	2),
(60092,	4,	1560,	1,	1),
(60093,	4,	1560,	2,	1),
(60094,	4,	1560,	3,	1),
(60095,	4,	1560,	1,	2),
(60096,	4,	1560,	2,	2),
(60097,	4,	1560,	3,	2),
(60098,	4,	1561,	1,	1),
(60099,	4,	1561,	2,	1),
(60100,	4,	1561,	3,	1),
(60101,	4,	1561,	1,	2),
(60102,	4,	1561,	2,	2),
(60103,	4,	1561,	3,	2),
(60104,	4,	1562,	1,	1),
(60105,	4,	1562,	2,	1),
(60106,	4,	1562,	3,	1),
(60107,	4,	1562,	1,	2),
(60108,	4,	1562,	2,	2),
(60109,	4,	1562,	3,	2),
(60110,	4,	1563,	1,	1),
(60111,	4,	1563,	2,	1),
(60112,	4,	1563,	3,	1),
(60113,	4,	1563,	1,	2),
(60114,	4,	1563,	2,	2),
(60115,	4,	1563,	3,	2),
(60116,	4,	1564,	1,	1),
(60117,	4,	1564,	2,	1),
(60118,	4,	1564,	3,	1),
(60119,	4,	1564,	1,	2),
(60120,	4,	1564,	2,	2),
(60121,	4,	1564,	3,	2),
(60122,	4,	1565,	1,	1),
(60123,	4,	1565,	2,	1),
(60124,	4,	1565,	3,	1),
(60125,	4,	1565,	1,	2),
(60126,	4,	1565,	2,	2),
(60127,	4,	1565,	3,	2),
(60128,	4,	1566,	1,	1),
(60129,	4,	1566,	2,	1),
(60130,	4,	1566,	3,	1),
(60131,	4,	1566,	1,	2),
(60132,	4,	1566,	2,	2),
(60133,	4,	1566,	3,	2),
(60134,	4,	1567,	1,	1),
(60135,	4,	1567,	2,	1),
(60136,	4,	1567,	3,	1),
(60137,	4,	1567,	1,	2),
(60138,	4,	1567,	2,	2),
(60139,	4,	1567,	3,	2),
(60140,	4,	1568,	1,	1),
(60141,	4,	1568,	2,	1),
(60142,	4,	1568,	3,	1),
(60143,	4,	1568,	1,	2),
(60144,	4,	1568,	2,	2),
(60145,	4,	1568,	3,	2),
(60146,	4,	1569,	1,	1),
(60147,	4,	1569,	2,	1),
(60148,	4,	1569,	3,	1),
(60149,	4,	1569,	1,	2),
(60150,	4,	1569,	2,	2),
(60151,	4,	1569,	3,	2),
(60152,	4,	1570,	1,	1),
(60153,	4,	1570,	2,	1),
(60154,	4,	1570,	3,	1),
(60155,	4,	1570,	1,	2),
(60156,	4,	1570,	2,	2),
(60157,	4,	1570,	3,	2),
(60158,	4,	1571,	1,	1),
(60159,	4,	1571,	2,	1),
(60160,	4,	1571,	3,	1),
(60161,	4,	1572,	1,	1),
(60162,	4,	1572,	2,	1),
(60163,	4,	1572,	3,	1),
(60164,	4,	1572,	1,	2),
(60165,	4,	1572,	2,	2),
(60166,	4,	1572,	3,	2),
(60167,	4,	1573,	1,	1),
(60168,	4,	1573,	2,	1),
(60169,	4,	1573,	3,	1),
(60170,	4,	1573,	1,	2),
(60171,	4,	1573,	2,	2),
(60172,	4,	1573,	3,	2),
(60173,	4,	1574,	1,	1),
(60174,	4,	1574,	2,	1),
(60175,	4,	1574,	3,	1),
(60176,	4,	1574,	1,	2),
(60177,	4,	1574,	2,	2),
(60178,	4,	1574,	3,	2),
(60179,	4,	1575,	1,	1),
(60180,	4,	1575,	2,	1),
(60181,	4,	1575,	3,	1),
(60182,	4,	1576,	1,	1),
(60183,	4,	1576,	2,	1),
(60184,	4,	1576,	3,	1),
(60185,	4,	1577,	1,	1),
(60186,	4,	1577,	2,	1),
(60187,	4,	1577,	3,	1),
(60188,	4,	1578,	1,	1),
(60189,	4,	1578,	2,	1),
(60190,	4,	1578,	3,	1),
(60191,	4,	1579,	1,	1),
(60192,	4,	1579,	2,	1),
(60193,	4,	1579,	3,	1),
(60194,	4,	1580,	1,	1),
(60195,	4,	1580,	2,	1),
(60196,	4,	1580,	3,	1),
(60197,	4,	1581,	1,	1),
(60198,	4,	1581,	2,	1),
(60199,	4,	1581,	3,	1),
(60200,	4,	1581,	1,	2),
(60201,	4,	1581,	2,	2),
(60202,	4,	1581,	3,	2),
(60203,	4,	1582,	1,	1),
(60204,	4,	1582,	2,	1),
(60205,	4,	1582,	3,	1),
(60206,	4,	1582,	1,	2),
(60207,	4,	1582,	2,	2),
(60208,	4,	1582,	3,	2),
(60209,	4,	1583,	1,	1),
(60210,	4,	1583,	2,	1),
(60211,	4,	1583,	3,	1),
(60212,	4,	1584,	1,	1),
(60213,	4,	1584,	2,	1),
(60214,	4,	1584,	3,	1),
(60215,	4,	1584,	1,	2),
(60216,	4,	1584,	2,	2),
(60217,	4,	1584,	3,	2),
(60218,	4,	1585,	1,	1),
(60219,	4,	1585,	2,	1),
(60220,	4,	1585,	3,	1),
(60221,	4,	1585,	1,	2),
(60222,	4,	1585,	2,	2),
(60223,	4,	1585,	3,	2),
(60224,	4,	1586,	1,	1),
(60225,	4,	1586,	2,	1),
(60226,	4,	1586,	3,	1),
(60227,	4,	1586,	1,	2),
(60228,	4,	1586,	2,	2),
(60229,	4,	1586,	3,	2),
(60230,	4,	1587,	1,	1),
(60231,	4,	1587,	2,	1),
(60232,	4,	1587,	3,	1),
(60233,	4,	1588,	1,	1),
(60234,	4,	1588,	2,	1),
(60235,	4,	1588,	3,	1),
(60236,	4,	1588,	1,	2),
(60237,	4,	1588,	2,	2),
(60238,	4,	1588,	3,	2),
(60239,	4,	1589,	1,	1),
(60240,	4,	1589,	2,	1),
(60241,	4,	1589,	3,	1),
(60242,	4,	1589,	1,	2),
(60243,	4,	1589,	2,	2),
(60244,	4,	1589,	3,	2),
(60245,	4,	1590,	1,	1),
(60246,	4,	1590,	2,	1),
(60247,	4,	1590,	3,	1),
(60248,	4,	1590,	1,	2),
(60249,	4,	1590,	2,	2),
(60250,	4,	1590,	3,	2),
(60251,	4,	1591,	1,	1),
(60252,	4,	1591,	2,	1),
(60253,	4,	1591,	3,	1),
(60254,	4,	1591,	1,	2),
(60255,	4,	1591,	2,	2),
(60256,	4,	1591,	3,	2),
(60257,	4,	1592,	1,	1),
(60258,	4,	1592,	2,	1),
(60259,	4,	1592,	3,	1),
(60260,	4,	1592,	1,	2),
(60261,	4,	1592,	2,	2),
(60262,	4,	1592,	3,	2),
(60263,	4,	1593,	1,	1),
(60264,	4,	1593,	2,	1),
(60265,	4,	1593,	3,	1),
(60266,	4,	1593,	1,	2),
(60267,	4,	1593,	2,	2),
(60268,	4,	1593,	3,	2),
(60269,	4,	1594,	1,	1),
(60270,	4,	1594,	2,	1),
(60271,	4,	1594,	3,	1),
(60272,	4,	1594,	1,	2),
(60273,	4,	1594,	2,	2),
(60274,	4,	1594,	3,	2),
(60275,	4,	1595,	1,	1),
(60276,	4,	1595,	2,	1),
(60277,	4,	1595,	3,	1),
(60278,	4,	1595,	1,	2),
(60279,	4,	1595,	2,	2),
(60280,	4,	1595,	3,	2),
(60281,	4,	1596,	1,	1),
(60282,	4,	1596,	2,	1),
(60283,	4,	1596,	3,	1),
(60284,	4,	1596,	1,	2),
(60285,	4,	1596,	2,	2),
(60286,	4,	1596,	3,	2),
(60287,	4,	1597,	1,	1),
(60288,	4,	1597,	2,	1),
(60289,	4,	1597,	3,	1),
(60290,	4,	1597,	1,	2),
(60291,	4,	1597,	2,	2),
(60292,	4,	1597,	3,	2),
(60293,	4,	1598,	1,	1),
(60294,	4,	1598,	2,	1),
(60295,	4,	1598,	3,	1),
(60296,	4,	1598,	1,	2),
(60297,	4,	1598,	2,	2),
(60298,	4,	1598,	3,	2),
(60299,	4,	1599,	1,	1),
(60300,	4,	1599,	2,	1),
(60301,	4,	1599,	3,	1),
(60302,	4,	1599,	1,	2),
(60303,	4,	1599,	2,	2),
(60304,	4,	1599,	3,	2),
(60305,	4,	1600,	1,	1),
(60306,	4,	1600,	2,	1),
(60307,	4,	1600,	3,	1),
(60308,	4,	1600,	1,	2),
(60309,	4,	1600,	2,	2),
(60310,	4,	1600,	3,	2),
(60311,	4,	1601,	1,	1),
(60312,	4,	1601,	2,	1),
(60313,	4,	1601,	3,	1),
(60314,	4,	1601,	1,	2),
(60315,	4,	1601,	2,	2),
(60316,	4,	1601,	3,	2),
(60317,	4,	1602,	1,	1),
(60318,	4,	1602,	2,	1),
(60319,	4,	1602,	3,	1),
(60320,	4,	1602,	1,	3),
(60321,	4,	1602,	2,	3),
(60322,	4,	1602,	3,	3),
(60323,	4,	1603,	1,	1),
(60324,	4,	1603,	2,	1),
(60325,	4,	1603,	3,	1),
(60326,	4,	1603,	1,	2),
(60327,	4,	1603,	2,	2),
(60328,	4,	1603,	3,	2),
(60329,	4,	1604,	1,	1),
(60330,	4,	1604,	2,	1),
(60331,	4,	1604,	3,	1),
(60332,	4,	1604,	1,	2),
(60333,	4,	1604,	2,	2),
(60334,	4,	1604,	3,	2),
(60335,	4,	1605,	1,	1),
(60336,	4,	1605,	2,	1),
(60337,	4,	1605,	3,	1),
(60338,	4,	1605,	1,	2),
(60339,	4,	1605,	2,	2),
(60340,	4,	1605,	3,	2),
(60341,	4,	1606,	1,	1),
(60342,	4,	1606,	2,	1),
(60343,	4,	1606,	3,	1),
(60344,	4,	1606,	1,	2),
(60345,	4,	1606,	2,	2),
(60346,	4,	1606,	3,	2),
(60347,	4,	1607,	1,	1),
(60348,	4,	1607,	2,	1),
(60349,	4,	1607,	3,	1),
(60350,	4,	1607,	1,	2),
(60351,	4,	1607,	2,	2),
(60352,	4,	1607,	3,	2),
(60353,	4,	1608,	1,	1),
(60354,	4,	1608,	2,	1),
(60355,	4,	1608,	3,	1),
(60356,	4,	1608,	1,	2),
(60357,	4,	1608,	2,	2),
(60358,	4,	1608,	3,	2),
(60359,	4,	1609,	1,	1),
(60360,	4,	1609,	2,	1),
(60361,	4,	1609,	3,	1),
(60362,	4,	1609,	1,	2),
(60363,	4,	1609,	2,	2),
(60364,	4,	1609,	3,	2),
(60365,	4,	1610,	1,	1),
(60366,	4,	1610,	2,	1),
(60367,	4,	1610,	3,	1),
(60368,	4,	1610,	1,	2),
(60369,	4,	1610,	2,	2),
(60370,	4,	1610,	3,	2),
(60371,	4,	1611,	1,	1),
(60372,	4,	1611,	2,	1),
(60373,	4,	1611,	3,	1),
(60374,	4,	1611,	1,	2),
(60375,	4,	1611,	2,	2),
(60376,	4,	1611,	3,	2),
(60377,	4,	1612,	1,	1),
(60378,	4,	1612,	2,	1),
(60379,	4,	1612,	3,	1),
(60380,	4,	1612,	1,	2),
(60381,	4,	1612,	2,	2),
(60382,	4,	1612,	3,	2),
(60383,	4,	1613,	1,	1),
(60384,	4,	1613,	2,	1),
(60385,	4,	1613,	3,	1),
(60386,	4,	1613,	1,	2),
(60387,	4,	1613,	2,	2),
(60388,	4,	1613,	3,	2),
(60389,	4,	1614,	1,	1),
(60390,	4,	1614,	2,	1),
(60391,	4,	1614,	3,	1),
(60392,	4,	1614,	1,	2),
(60393,	4,	1614,	2,	2),
(60394,	4,	1614,	3,	2),
(60395,	4,	1615,	1,	1),
(60396,	4,	1615,	2,	1),
(60397,	4,	1615,	3,	1),
(60398,	4,	1615,	1,	2),
(60399,	4,	1615,	2,	2),
(60400,	4,	1615,	3,	2),
(60401,	4,	1616,	1,	1),
(60402,	4,	1616,	2,	1),
(60403,	4,	1616,	3,	1),
(60404,	4,	1616,	1,	2),
(60405,	4,	1616,	2,	2),
(60406,	4,	1616,	3,	2),
(60407,	4,	1617,	1,	1),
(60408,	4,	1617,	2,	1),
(60409,	4,	1617,	3,	1),
(60410,	4,	1617,	1,	2),
(60411,	4,	1617,	2,	2),
(60412,	4,	1617,	3,	2),
(60413,	4,	1618,	1,	1),
(60414,	4,	1618,	2,	1),
(60415,	4,	1618,	3,	1),
(60416,	4,	1618,	1,	2),
(60417,	4,	1618,	2,	2),
(60418,	4,	1618,	3,	2),
(60419,	4,	1619,	1,	1),
(60420,	4,	1619,	2,	1),
(60421,	4,	1619,	3,	1),
(60422,	4,	1619,	1,	2),
(60423,	4,	1619,	2,	2),
(60424,	4,	1619,	3,	2),
(60425,	4,	1620,	1,	1),
(60426,	4,	1620,	2,	1),
(60427,	4,	1620,	3,	1),
(60428,	4,	1620,	1,	2),
(60429,	4,	1620,	2,	2),
(60430,	4,	1620,	3,	2),
(60431,	4,	1621,	1,	1),
(60432,	4,	1621,	2,	1),
(60433,	4,	1621,	3,	1),
(60434,	4,	1621,	1,	2),
(60435,	4,	1621,	2,	2),
(60436,	4,	1621,	3,	2),
(60437,	4,	1622,	1,	1),
(60438,	4,	1622,	2,	1),
(60439,	4,	1622,	3,	1),
(60440,	4,	1622,	1,	2),
(60441,	4,	1622,	2,	2),
(60442,	4,	1622,	3,	2),
(60443,	4,	1623,	1,	1),
(60444,	4,	1623,	2,	1),
(60445,	4,	1623,	3,	1),
(60446,	4,	1623,	1,	2),
(60447,	4,	1623,	2,	2),
(60448,	4,	1623,	3,	2),
(60449,	4,	1624,	1,	1),
(60450,	4,	1624,	2,	1),
(60451,	4,	1624,	3,	1),
(60452,	4,	1625,	1,	1),
(60453,	4,	1625,	2,	1),
(60454,	4,	1625,	3,	1),
(60455,	4,	1626,	1,	1),
(60456,	4,	1626,	2,	1),
(60457,	4,	1626,	3,	1),
(60458,	4,	1627,	1,	1),
(60459,	4,	1627,	2,	1),
(60460,	4,	1627,	3,	1),
(60461,	4,	1627,	1,	2),
(60462,	4,	1627,	2,	2),
(60463,	4,	1627,	3,	2),
(60464,	4,	1628,	1,	1),
(60465,	4,	1628,	2,	1),
(60466,	4,	1628,	3,	1),
(60467,	4,	1628,	1,	2),
(60468,	4,	1628,	2,	2),
(60469,	4,	1628,	3,	2),
(60470,	4,	1629,	1,	1),
(60471,	4,	1629,	2,	1),
(60472,	4,	1629,	3,	1),
(60473,	4,	1629,	1,	2),
(60474,	4,	1629,	2,	2),
(60475,	4,	1629,	3,	2),
(60476,	4,	1630,	1,	1),
(60477,	4,	1630,	2,	1),
(60478,	4,	1630,	3,	1),
(60479,	4,	1630,	1,	2),
(60480,	4,	1630,	2,	2),
(60481,	4,	1630,	3,	2),
(60482,	4,	1631,	1,	1),
(60483,	4,	1631,	2,	1),
(60484,	4,	1631,	3,	1),
(60485,	4,	1631,	81,	1),
(60486,	4,	1631,	1,	2),
(60487,	4,	1631,	2,	2),
(60488,	4,	1631,	3,	2),
(60489,	4,	1631,	81,	2),
(60490,	4,	1632,	1,	1),
(60491,	4,	1632,	2,	1),
(60492,	4,	1632,	3,	1),
(60493,	4,	1632,	4,	1),
(60494,	4,	1632,	5,	1),
(60495,	4,	1633,	1,	1),
(60496,	4,	1633,	2,	1),
(60497,	4,	1633,	3,	1),
(60498,	4,	1633,	1,	2),
(60499,	4,	1633,	2,	2),
(60500,	4,	1633,	3,	2),
(60501,	4,	1634,	1,	1),
(60502,	4,	1634,	2,	1),
(60503,	4,	1634,	3,	1),
(60504,	4,	1634,	26,	1),
(60505,	4,	1634,	4,	1),
(60506,	4,	1634,	1,	2),
(60507,	4,	1634,	2,	2),
(60508,	4,	1634,	3,	2),
(60509,	4,	1634,	26,	2),
(60510,	4,	1634,	4,	2),
(60511,	4,	1635,	1,	1),
(60512,	4,	1635,	2,	1),
(60513,	4,	1635,	3,	1),
(60514,	4,	1635,	4,	1),
(60515,	4,	1635,	5,	1),
(60516,	4,	1635,	82,	1),
(60517,	4,	1636,	1,	1),
(60518,	4,	1636,	2,	1),
(60519,	4,	1636,	3,	1),
(60520,	4,	1636,	4,	1),
(60521,	4,	1636,	5,	1),
(60522,	4,	1636,	82,	1),
(60523,	4,	1637,	1,	1),
(60524,	4,	1637,	2,	1),
(60525,	4,	1637,	3,	1),
(60526,	4,	1637,	1,	2),
(60527,	4,	1637,	2,	2),
(60528,	4,	1637,	3,	2),
(60529,	4,	1638,	1,	1),
(60530,	4,	1638,	2,	1),
(60531,	4,	1638,	3,	1),
(60532,	4,	1638,	81,	1),
(60533,	4,	1638,	4,	1),
(60534,	4,	1638,	26,	1),
(60535,	4,	1638,	1,	2),
(60536,	4,	1638,	2,	2),
(60537,	4,	1638,	3,	2),
(60538,	4,	1638,	81,	2),
(60539,	4,	1638,	4,	2),
(60540,	4,	1638,	26,	2),
(60541,	4,	1639,	1,	1),
(60542,	4,	1639,	2,	1),
(60543,	4,	1639,	3,	1),
(60544,	4,	1639,	1,	2),
(60545,	4,	1639,	2,	2),
(60546,	4,	1639,	3,	2),
(60547,	4,	1640,	1,	1),
(60548,	4,	1640,	2,	1),
(60549,	4,	1640,	3,	1),
(60550,	4,	1641,	1,	1),
(60551,	4,	1641,	2,	1),
(60552,	4,	1641,	3,	1),
(60553,	4,	1641,	1,	2),
(60554,	4,	1641,	2,	2),
(60555,	4,	1641,	3,	2),
(60556,	4,	1642,	1,	1),
(60557,	4,	1642,	2,	1),
(60558,	4,	1642,	3,	1),
(60559,	4,	1642,	1,	2),
(60560,	4,	1642,	2,	2),
(60561,	4,	1642,	3,	2),
(60562,	4,	1643,	1,	1),
(60563,	4,	1643,	2,	1),
(60564,	4,	1643,	3,	1),
(60565,	4,	1644,	1,	1),
(60566,	4,	1644,	2,	1),
(60567,	4,	1644,	3,	1),
(60568,	4,	1645,	1,	1),
(60569,	4,	1645,	2,	1),
(60570,	4,	1645,	3,	1),
(60571,	4,	1646,	1,	1),
(60572,	4,	1646,	2,	1),
(60573,	4,	1646,	3,	1),
(60574,	4,	1647,	1,	1),
(60575,	4,	1647,	2,	1),
(60576,	4,	1647,	3,	1),
(60577,	4,	1647,	1,	3),
(60578,	4,	1647,	2,	3),
(60579,	4,	1647,	3,	3),
(60580,	4,	1648,	1,	1),
(60581,	4,	1648,	2,	1),
(60582,	4,	1648,	3,	1),
(60583,	4,	1649,	1,	1),
(60584,	4,	1649,	2,	1),
(60585,	4,	1649,	3,	1),
(60586,	4,	1650,	1,	1),
(60587,	4,	1650,	2,	1),
(60588,	4,	1650,	3,	1),
(60589,	4,	1651,	1,	1),
(60590,	4,	1651,	2,	1),
(60591,	4,	1651,	3,	1),
(60592,	4,	1651,	1,	2),
(60593,	4,	1651,	2,	2),
(60594,	4,	1651,	3,	2),
(60595,	4,	1652,	1,	1),
(60596,	4,	1652,	2,	1),
(60597,	4,	1652,	3,	1),
(60598,	4,	1653,	1,	1),
(60599,	4,	1653,	2,	1),
(60600,	4,	1653,	3,	1),
(60601,	4,	1653,	1,	2),
(60602,	4,	1653,	2,	2),
(60603,	4,	1653,	3,	2),
(60604,	4,	1654,	1,	1),
(60605,	4,	1654,	2,	1),
(60606,	4,	1654,	3,	1),
(60607,	4,	1654,	1,	2),
(60608,	4,	1654,	2,	2),
(60609,	4,	1654,	3,	2),
(60610,	4,	1655,	1,	1),
(60611,	4,	1655,	2,	1),
(60612,	4,	1655,	3,	1),
(60613,	4,	1655,	1,	2),
(60614,	4,	1655,	2,	2),
(60615,	4,	1655,	3,	2),
(60616,	4,	1656,	1,	1),
(60617,	4,	1656,	2,	1),
(60618,	4,	1656,	3,	1),
(60619,	4,	1657,	1,	1),
(60620,	4,	1657,	2,	1),
(60621,	4,	1657,	3,	1),
(60622,	4,	1658,	1,	1),
(60623,	4,	1658,	2,	1),
(60624,	4,	1658,	3,	1),
(60625,	4,	1658,	1,	2),
(60626,	4,	1658,	2,	2),
(60627,	4,	1658,	3,	2),
(60628,	4,	1659,	1,	1),
(60629,	4,	1659,	2,	1),
(60630,	4,	1659,	3,	1),
(60631,	4,	1659,	1,	2),
(60632,	4,	1659,	2,	2),
(60633,	4,	1659,	3,	2),
(60634,	4,	1660,	1,	1),
(60635,	4,	1660,	2,	1),
(60636,	4,	1660,	3,	1),
(60637,	4,	1661,	1,	1),
(60638,	4,	1661,	2,	1),
(60639,	4,	1661,	3,	1),
(60640,	4,	1661,	1,	2),
(60641,	4,	1661,	2,	2),
(60642,	4,	1661,	3,	2),
(60643,	4,	1662,	1,	1),
(60644,	4,	1662,	2,	1),
(60645,	4,	1662,	3,	1),
(60646,	4,	1662,	1,	2),
(60647,	4,	1662,	2,	2),
(60648,	4,	1662,	3,	2),
(60649,	4,	1663,	1,	1),
(60650,	4,	1663,	2,	1),
(60651,	4,	1663,	3,	1),
(60652,	4,	1664,	1,	1),
(60653,	4,	1664,	2,	1),
(60654,	4,	1664,	3,	1),
(60655,	4,	1664,	1,	2),
(60656,	4,	1664,	2,	2),
(60657,	4,	1664,	3,	2),
(60658,	4,	1665,	1,	1),
(60659,	4,	1665,	2,	1),
(60660,	4,	1665,	3,	1),
(60661,	4,	1665,	1,	2),
(60662,	4,	1665,	2,	2),
(60663,	4,	1665,	3,	2),
(60664,	4,	1666,	1,	1),
(60665,	4,	1666,	2,	1),
(60666,	4,	1666,	3,	1),
(60667,	4,	1667,	1,	1),
(60668,	4,	1667,	2,	1),
(60669,	4,	1667,	3,	1),
(60670,	4,	1667,	1,	2),
(60671,	4,	1667,	2,	2),
(60672,	4,	1667,	3,	2),
(60673,	4,	1668,	1,	1),
(60674,	4,	1668,	2,	1),
(60675,	4,	1668,	3,	1),
(60676,	4,	1668,	1,	2),
(60677,	4,	1668,	2,	2),
(60678,	4,	1668,	3,	2),
(60679,	4,	1669,	1,	1),
(60680,	4,	1669,	2,	1),
(60681,	4,	1669,	3,	1),
(60682,	4,	1669,	1,	2),
(60683,	4,	1669,	2,	2),
(60684,	4,	1669,	3,	2),
(60685,	4,	1670,	1,	1),
(60686,	4,	1670,	2,	1),
(60687,	4,	1670,	3,	1),
(60688,	4,	1670,	1,	2),
(60689,	4,	1670,	2,	2),
(60690,	4,	1670,	3,	2),
(60691,	4,	1671,	1,	1),
(60692,	4,	1671,	2,	1),
(60693,	4,	1671,	3,	1),
(60694,	4,	1671,	1,	2),
(60695,	4,	1671,	2,	2),
(60696,	4,	1671,	3,	2),
(60697,	4,	1672,	1,	1),
(60698,	4,	1672,	2,	1),
(60699,	4,	1672,	3,	1),
(60700,	4,	1672,	1,	2),
(60701,	4,	1672,	2,	2),
(60702,	4,	1672,	3,	2),
(60703,	4,	1673,	1,	1),
(60704,	4,	1673,	2,	1),
(60705,	4,	1673,	3,	1),
(60706,	4,	1673,	1,	2),
(60707,	4,	1673,	2,	2),
(60708,	4,	1673,	3,	2),
(60709,	4,	1674,	1,	1),
(60710,	4,	1674,	2,	1),
(60711,	4,	1674,	3,	1),
(60712,	4,	1674,	1,	2),
(60713,	4,	1674,	2,	2),
(60714,	4,	1674,	3,	2),
(60715,	4,	1675,	1,	1),
(60716,	4,	1675,	2,	1),
(60717,	4,	1675,	3,	1),
(60718,	4,	1675,	1,	2),
(60719,	4,	1675,	2,	2),
(60720,	4,	1675,	3,	2),
(60721,	4,	1676,	1,	1),
(60722,	4,	1676,	2,	1),
(60723,	4,	1676,	3,	1),
(60724,	4,	1677,	1,	1),
(60725,	4,	1677,	2,	1),
(60726,	4,	1677,	3,	1),
(60727,	4,	1677,	1,	2),
(60728,	4,	1677,	2,	2),
(60729,	4,	1677,	3,	2),
(60730,	4,	1678,	1,	1),
(60731,	4,	1678,	2,	1),
(60732,	4,	1678,	3,	1),
(60733,	4,	1678,	1,	2),
(60734,	4,	1678,	2,	2),
(60735,	4,	1678,	3,	2),
(60736,	4,	1679,	1,	1),
(60737,	4,	1679,	2,	1),
(60738,	4,	1679,	3,	1),
(60739,	4,	1679,	1,	2),
(60740,	4,	1679,	2,	2),
(60741,	4,	1679,	3,	2),
(60742,	4,	1680,	1,	1),
(60743,	4,	1680,	2,	1),
(60744,	4,	1680,	3,	1),
(60745,	4,	1680,	1,	2),
(60746,	4,	1680,	2,	2),
(60747,	4,	1680,	3,	2),
(60748,	4,	1681,	1,	1),
(60749,	4,	1681,	2,	1),
(60750,	4,	1681,	3,	1),
(60751,	4,	1681,	1,	2),
(60752,	4,	1681,	2,	2),
(60753,	4,	1681,	3,	2),
(60754,	4,	1682,	1,	1),
(60755,	4,	1682,	2,	1),
(60756,	4,	1682,	3,	1),
(60757,	4,	1682,	1,	2),
(60758,	4,	1682,	2,	2),
(60759,	4,	1682,	3,	2),
(60760,	4,	1683,	1,	1),
(60761,	4,	1683,	2,	1),
(60762,	4,	1683,	3,	1),
(60763,	4,	1683,	1,	2),
(60764,	4,	1683,	2,	2),
(60765,	4,	1683,	3,	2),
(60766,	4,	1684,	1,	1),
(60767,	4,	1684,	2,	1),
(60768,	4,	1684,	3,	1),
(60769,	4,	1684,	1,	2),
(60770,	4,	1684,	2,	2),
(60771,	4,	1684,	3,	2),
(60772,	4,	1685,	1,	1),
(60773,	4,	1685,	2,	1),
(60774,	4,	1685,	3,	1),
(60775,	4,	1685,	1,	2),
(60776,	4,	1685,	2,	2),
(60777,	4,	1685,	3,	2),
(60778,	4,	1686,	1,	1),
(60779,	4,	1686,	2,	1),
(60780,	4,	1686,	3,	1),
(60781,	4,	1686,	1,	3),
(60782,	4,	1686,	2,	3),
(60783,	4,	1686,	3,	3),
(60784,	4,	1687,	1,	1),
(60785,	4,	1687,	2,	1),
(60786,	4,	1687,	3,	1),
(60787,	4,	1687,	1,	2),
(60788,	4,	1687,	2,	2),
(60789,	4,	1687,	3,	2),
(60790,	4,	1688,	1,	1),
(60791,	4,	1688,	2,	1),
(60792,	4,	1688,	3,	1),
(60793,	4,	1688,	1,	2),
(60794,	4,	1688,	2,	2),
(60795,	4,	1688,	3,	2),
(60796,	4,	1689,	1,	1),
(60797,	4,	1689,	2,	1),
(60798,	4,	1689,	3,	1),
(60799,	4,	1689,	1,	2),
(60800,	4,	1689,	2,	2),
(60801,	4,	1689,	3,	2),
(60802,	4,	1690,	1,	1),
(60803,	4,	1690,	2,	1),
(60804,	4,	1690,	3,	1),
(60805,	4,	1690,	1,	2),
(60806,	4,	1690,	2,	2),
(60807,	4,	1690,	3,	2),
(60808,	4,	1691,	1,	1),
(60809,	4,	1691,	2,	1),
(60810,	4,	1691,	3,	1),
(60811,	4,	1691,	1,	2),
(60812,	4,	1691,	2,	2),
(60813,	4,	1691,	3,	2),
(60814,	4,	1692,	1,	1),
(60815,	4,	1692,	2,	1),
(60816,	4,	1692,	3,	1),
(60817,	4,	1692,	1,	3),
(60818,	4,	1692,	2,	3),
(60819,	4,	1692,	3,	3),
(60820,	4,	1693,	1,	1),
(60821,	4,	1693,	2,	1),
(60822,	4,	1693,	3,	1),
(60823,	4,	1693,	1,	2),
(60824,	4,	1693,	2,	2),
(60825,	4,	1693,	3,	2),
(60826,	4,	1694,	1,	1),
(60827,	4,	1694,	2,	1),
(60828,	4,	1694,	3,	1),
(60829,	4,	1694,	1,	2),
(60830,	4,	1694,	2,	2),
(60831,	4,	1694,	3,	2),
(60832,	4,	1695,	1,	1),
(60833,	4,	1695,	2,	1),
(60834,	4,	1695,	3,	1),
(60835,	4,	1695,	1,	3),
(60836,	4,	1695,	2,	3),
(60837,	4,	1695,	3,	3),
(60838,	4,	1696,	1,	1),
(60839,	4,	1696,	2,	1),
(60840,	4,	1696,	3,	1),
(60841,	4,	1696,	1,	3),
(60842,	4,	1696,	2,	3),
(60843,	4,	1696,	3,	3),
(60844,	4,	1696,	1,	2),
(60845,	4,	1696,	2,	2),
(60846,	4,	1696,	3,	2),
(60847,	4,	1697,	1,	1),
(60848,	4,	1697,	2,	1),
(60849,	4,	1697,	3,	1),
(60850,	4,	1697,	1,	3),
(60851,	4,	1697,	2,	3),
(60852,	4,	1697,	3,	3),
(60853,	4,	1698,	1,	1),
(60854,	4,	1698,	2,	1),
(60855,	4,	1698,	3,	1),
(60856,	4,	1698,	1,	2),
(60857,	4,	1698,	2,	2),
(60858,	4,	1698,	3,	2),
(60859,	4,	1699,	1,	1),
(60860,	4,	1699,	2,	1),
(60861,	4,	1699,	3,	1),
(60862,	4,	1699,	1,	2),
(60863,	4,	1699,	2,	2),
(60864,	4,	1699,	3,	2),
(60865,	4,	1700,	1,	1),
(60866,	4,	1700,	2,	1),
(60867,	4,	1700,	3,	1),
(60868,	4,	1700,	1,	2),
(60869,	4,	1700,	2,	2),
(60870,	4,	1700,	3,	2),
(60871,	4,	1701,	1,	1),
(60872,	4,	1701,	2,	1),
(60873,	4,	1701,	3,	1),
(60874,	4,	1701,	1,	2),
(60875,	4,	1701,	2,	2),
(60876,	4,	1701,	3,	2),
(60877,	4,	1702,	1,	1),
(60878,	4,	1702,	2,	1),
(60879,	4,	1702,	3,	1),
(60880,	4,	1702,	1,	2),
(60881,	4,	1702,	2,	2),
(60882,	4,	1702,	3,	2),
(60883,	4,	1703,	1,	1),
(60884,	4,	1703,	2,	1),
(60885,	4,	1703,	3,	1),
(60886,	4,	1703,	1,	3),
(60887,	4,	1703,	2,	3),
(60888,	4,	1703,	3,	3),
(60889,	4,	1704,	1,	1),
(60890,	4,	1704,	2,	1),
(60891,	4,	1704,	3,	1),
(60892,	4,	1704,	1,	2),
(60893,	4,	1704,	2,	2),
(60894,	4,	1704,	3,	2),
(60895,	4,	1705,	1,	1),
(60896,	4,	1705,	2,	1),
(60897,	4,	1705,	3,	1),
(60898,	4,	1705,	1,	2),
(60899,	4,	1705,	2,	2),
(60900,	4,	1705,	3,	2),
(60901,	4,	1706,	1,	1),
(60902,	4,	1706,	2,	1),
(60903,	4,	1706,	3,	1),
(60904,	4,	1706,	1,	3),
(60905,	4,	1706,	2,	3),
(60906,	4,	1706,	3,	3),
(60907,	4,	1707,	1,	1),
(60908,	4,	1707,	2,	1),
(60909,	4,	1707,	3,	1),
(60910,	4,	1707,	1,	2),
(60911,	4,	1707,	2,	2),
(60912,	4,	1707,	3,	2),
(60913,	4,	1708,	1,	1),
(60914,	4,	1708,	2,	1),
(60915,	4,	1708,	3,	1),
(60916,	4,	1708,	1,	3),
(60917,	4,	1708,	2,	3),
(60918,	4,	1708,	3,	3),
(60919,	4,	1709,	1,	1),
(60920,	4,	1709,	2,	1),
(60921,	4,	1709,	3,	1),
(60922,	4,	1709,	1,	2),
(60923,	4,	1709,	2,	2),
(60924,	4,	1709,	3,	2),
(60925,	4,	1710,	1,	1),
(60926,	4,	1710,	2,	1),
(60927,	4,	1710,	3,	1),
(60928,	4,	1710,	1,	3),
(60929,	4,	1710,	2,	3),
(60930,	4,	1710,	3,	3),
(60931,	4,	1711,	1,	1),
(60932,	4,	1711,	2,	1),
(60933,	4,	1711,	3,	1),
(60934,	4,	1711,	1,	2),
(60935,	4,	1711,	2,	2),
(60936,	4,	1711,	3,	2),
(60937,	4,	1712,	1,	1),
(60938,	4,	1712,	2,	1),
(60939,	4,	1712,	3,	1),
(60940,	4,	1712,	1,	2),
(60941,	4,	1712,	2,	2),
(60942,	4,	1712,	3,	2),
(60943,	4,	1713,	1,	1),
(60944,	4,	1713,	2,	1),
(60945,	4,	1713,	3,	1),
(60946,	4,	1713,	1,	3),
(60947,	4,	1713,	2,	3),
(60948,	4,	1713,	3,	3),
(60949,	4,	1714,	1,	1),
(60950,	4,	1714,	2,	1),
(60951,	4,	1714,	3,	1),
(60952,	4,	1714,	83,	1),
(60953,	4,	1714,	1,	2),
(60954,	4,	1714,	2,	2),
(60955,	4,	1714,	3,	2),
(60956,	4,	1714,	83,	2),
(60957,	4,	1715,	1,	1),
(60958,	4,	1715,	2,	1),
(60959,	4,	1715,	3,	1),
(60960,	4,	1715,	1,	3),
(60961,	4,	1715,	2,	3),
(60962,	4,	1715,	3,	3),
(60963,	4,	1716,	1,	1),
(60964,	4,	1716,	2,	1),
(60965,	4,	1716,	3,	1),
(60966,	4,	1716,	1,	2),
(60967,	4,	1716,	2,	2),
(60968,	4,	1716,	3,	2),
(60969,	4,	1717,	1,	1),
(60970,	4,	1717,	2,	1),
(60971,	4,	1717,	3,	1),
(60972,	4,	1717,	1,	3),
(60973,	4,	1717,	2,	3),
(60974,	4,	1717,	3,	3),
(60975,	4,	1718,	1,	1),
(60976,	4,	1718,	2,	1),
(60977,	4,	1718,	3,	1),
(60978,	4,	1718,	1,	2),
(60979,	4,	1718,	2,	2),
(60980,	4,	1718,	3,	2),
(60981,	4,	1719,	1,	1),
(60982,	4,	1719,	2,	1),
(60983,	4,	1719,	3,	1),
(60984,	4,	1719,	1,	2),
(60985,	4,	1719,	2,	2),
(60986,	4,	1719,	3,	2),
(60987,	4,	1720,	1,	1),
(60988,	4,	1720,	2,	1),
(60989,	4,	1720,	3,	1),
(60990,	4,	1720,	1,	2),
(60991,	4,	1720,	2,	2),
(60992,	4,	1720,	3,	2),
(60993,	4,	1721,	1,	1),
(60994,	4,	1721,	2,	1),
(60995,	4,	1721,	3,	1),
(60996,	4,	1721,	1,	3),
(60997,	4,	1721,	2,	3),
(60998,	4,	1721,	3,	3),
(60999,	4,	1722,	1,	1),
(61000,	4,	1722,	2,	1),
(61001,	4,	1722,	3,	1),
(61002,	4,	1722,	1,	2),
(61003,	4,	1722,	2,	2),
(61004,	4,	1722,	3,	2),
(61005,	4,	1723,	1,	1),
(61006,	4,	1723,	2,	1),
(61007,	4,	1723,	3,	1),
(61008,	4,	1723,	1,	2),
(61009,	4,	1723,	2,	2),
(61010,	4,	1723,	3,	2),
(61011,	4,	1724,	1,	1),
(61012,	4,	1724,	2,	1),
(61013,	4,	1724,	3,	1),
(61014,	4,	1724,	1,	2),
(61015,	4,	1724,	2,	2),
(61016,	4,	1724,	3,	2),
(61017,	4,	1725,	1,	1),
(61018,	4,	1725,	2,	1),
(61019,	4,	1725,	3,	1),
(61020,	4,	1725,	1,	2),
(61021,	4,	1725,	2,	2),
(61022,	4,	1725,	3,	2),
(61023,	4,	1726,	1,	1),
(61024,	4,	1726,	2,	1),
(61025,	4,	1726,	3,	1),
(61026,	4,	1726,	1,	2),
(61027,	4,	1726,	2,	2),
(61028,	4,	1726,	3,	2),
(61029,	4,	1727,	1,	1),
(61030,	4,	1727,	2,	1),
(61031,	4,	1727,	3,	1),
(61032,	4,	1727,	1,	2),
(61033,	4,	1727,	2,	2),
(61034,	4,	1727,	3,	2),
(61035,	4,	1728,	1,	1),
(61036,	4,	1728,	2,	1),
(61037,	4,	1728,	3,	1),
(61038,	4,	1728,	1,	2),
(61039,	4,	1728,	2,	2),
(61040,	4,	1728,	3,	2),
(61041,	4,	1729,	1,	1),
(61042,	4,	1729,	2,	1),
(61043,	4,	1729,	3,	1),
(61044,	4,	1729,	1,	2),
(61045,	4,	1729,	2,	2),
(61046,	4,	1729,	3,	2),
(61047,	4,	1730,	1,	1),
(61048,	4,	1730,	2,	1),
(61049,	4,	1730,	3,	1),
(61050,	4,	1730,	1,	2),
(61051,	4,	1730,	2,	2),
(61052,	4,	1730,	3,	2),
(61053,	4,	1731,	1,	1),
(61054,	4,	1731,	2,	1),
(61055,	4,	1731,	3,	1),
(61056,	4,	1731,	1,	2),
(61057,	4,	1731,	2,	2),
(61058,	4,	1731,	3,	2),
(61059,	4,	1732,	1,	1),
(61060,	4,	1732,	2,	1),
(61061,	4,	1732,	3,	1),
(61062,	4,	1732,	1,	2),
(61063,	4,	1732,	2,	2),
(61064,	4,	1732,	3,	2),
(61065,	4,	1733,	1,	1),
(61066,	4,	1733,	2,	1),
(61067,	4,	1733,	3,	1),
(61068,	4,	1733,	1,	2),
(61069,	4,	1733,	2,	2),
(61070,	4,	1733,	3,	2),
(61071,	4,	1734,	1,	1),
(61072,	4,	1734,	2,	1),
(61073,	4,	1734,	3,	1),
(61074,	4,	1734,	1,	2),
(61075,	4,	1734,	2,	2),
(61076,	4,	1734,	3,	2),
(61077,	4,	1735,	1,	1),
(61078,	4,	1735,	2,	1),
(61079,	4,	1735,	3,	1),
(61080,	4,	1735,	1,	2),
(61081,	4,	1735,	2,	2),
(61082,	4,	1735,	3,	2),
(61083,	4,	1736,	1,	1),
(61084,	4,	1736,	2,	1),
(61085,	4,	1736,	3,	1),
(61086,	4,	1736,	1,	3),
(61087,	4,	1736,	2,	3),
(61088,	4,	1736,	3,	3),
(61089,	4,	1737,	1,	1),
(61090,	4,	1737,	2,	1),
(61091,	4,	1737,	3,	1),
(61092,	4,	1737,	1,	2),
(61093,	4,	1737,	2,	2),
(61094,	4,	1737,	3,	2),
(61095,	4,	1738,	1,	1),
(61096,	4,	1738,	2,	1),
(61097,	4,	1738,	3,	1),
(61098,	4,	1738,	23,	1),
(61099,	4,	1738,	1,	3),
(61100,	4,	1738,	2,	3),
(61101,	4,	1738,	3,	3),
(61102,	4,	1738,	23,	3),
(61103,	4,	1739,	1,	1),
(61104,	4,	1739,	2,	1),
(61105,	4,	1739,	3,	1),
(61106,	4,	1740,	1,	1),
(61107,	4,	1740,	2,	1),
(61108,	4,	1740,	3,	1),
(61109,	4,	1741,	1,	1),
(61110,	4,	1741,	2,	1),
(61111,	4,	1741,	3,	1),
(61112,	4,	1741,	84,	1),
(61113,	4,	1741,	1,	3),
(61114,	4,	1741,	2,	3),
(61115,	4,	1741,	3,	3),
(61116,	4,	1741,	84,	3),
(61117,	4,	1742,	1,	1),
(61118,	4,	1742,	2,	1),
(61119,	4,	1742,	3,	1),
(61120,	4,	1742,	1,	3),
(61121,	4,	1742,	2,	3),
(61122,	4,	1742,	3,	3),
(61123,	4,	1743,	1,	1),
(61124,	4,	1743,	2,	1),
(61125,	4,	1743,	3,	1),
(61126,	4,	1744,	1,	1),
(61127,	4,	1744,	2,	1),
(61128,	4,	1744,	3,	1),
(61129,	4,	1744,	84,	1),
(61130,	4,	1744,	1,	3),
(61131,	4,	1744,	2,	3),
(61132,	4,	1744,	3,	3),
(61133,	4,	1744,	84,	3),
(61134,	4,	1745,	1,	1),
(61135,	4,	1745,	2,	1),
(61136,	4,	1745,	3,	1),
(61137,	4,	1745,	1,	3),
(61138,	4,	1745,	2,	3),
(61139,	4,	1745,	3,	3),
(61140,	4,	1746,	1,	1),
(61141,	4,	1746,	2,	1),
(61142,	4,	1746,	3,	1),
(61143,	4,	1746,	1,	3),
(61144,	4,	1746,	2,	3),
(61145,	4,	1746,	3,	3),
(61146,	4,	1747,	1,	1),
(61147,	4,	1747,	2,	1),
(61148,	4,	1747,	3,	1),
(61149,	4,	1747,	1,	3),
(61150,	4,	1747,	2,	3),
(61151,	4,	1747,	3,	3),
(61152,	4,	1748,	1,	1),
(61153,	4,	1748,	2,	1),
(61154,	4,	1748,	3,	1),
(61155,	4,	1748,	1,	3),
(61156,	4,	1748,	2,	3),
(61157,	4,	1748,	3,	3),
(61158,	4,	1749,	1,	1),
(61159,	4,	1749,	2,	1),
(61160,	4,	1749,	3,	1),
(61161,	4,	1749,	1,	2),
(61162,	4,	1749,	2,	2),
(61163,	4,	1749,	3,	2),
(61164,	4,	1750,	1,	1),
(61165,	4,	1750,	2,	1),
(61166,	4,	1750,	3,	1),
(61167,	4,	1750,	1,	2),
(61168,	4,	1750,	2,	2),
(61169,	4,	1750,	3,	2),
(61170,	4,	1751,	1,	1),
(61171,	4,	1751,	2,	1),
(61172,	4,	1751,	3,	1),
(61173,	4,	1751,	1,	2),
(61174,	4,	1751,	2,	2),
(61175,	4,	1751,	3,	2),
(61176,	4,	1752,	1,	1),
(61177,	4,	1752,	2,	1),
(61178,	4,	1752,	3,	1),
(61179,	4,	1752,	1,	2),
(61180,	4,	1752,	2,	2),
(61181,	4,	1752,	3,	2),
(61182,	4,	1753,	1,	1),
(61183,	4,	1753,	2,	1),
(61184,	4,	1753,	3,	1),
(61185,	4,	1753,	1,	3),
(61186,	4,	1753,	2,	3),
(61187,	4,	1753,	3,	3),
(61188,	4,	1754,	1,	1),
(61189,	4,	1754,	2,	1),
(61190,	4,	1754,	3,	1),
(61191,	4,	1754,	1,	2),
(61192,	4,	1754,	2,	2),
(61193,	4,	1754,	3,	2),
(61194,	4,	1755,	1,	1),
(61195,	4,	1755,	2,	1),
(61196,	4,	1755,	3,	1),
(61197,	4,	1755,	1,	2),
(61198,	4,	1755,	2,	2),
(61199,	4,	1755,	3,	2),
(61200,	4,	1756,	1,	1),
(61201,	4,	1756,	2,	1),
(61202,	4,	1756,	3,	1),
(61203,	4,	1756,	1,	2),
(61204,	4,	1756,	2,	2),
(61205,	4,	1756,	3,	2),
(61206,	4,	1757,	1,	1),
(61207,	4,	1757,	2,	1),
(61208,	4,	1757,	3,	1),
(61209,	4,	1757,	1,	2),
(61210,	4,	1757,	2,	2),
(61211,	4,	1757,	3,	2),
(61212,	4,	1758,	1,	1),
(61213,	4,	1758,	2,	1),
(61214,	4,	1758,	3,	1),
(61215,	4,	1758,	1,	2),
(61216,	4,	1758,	2,	2),
(61217,	4,	1758,	3,	2),
(61218,	4,	1759,	1,	1),
(61219,	4,	1759,	2,	1),
(61220,	4,	1759,	3,	1),
(61221,	4,	1760,	1,	1),
(61222,	4,	1760,	2,	1),
(61223,	4,	1760,	3,	1),
(61224,	4,	1761,	1,	1),
(61225,	4,	1761,	2,	1),
(61226,	4,	1761,	3,	1),
(61227,	4,	1762,	1,	1),
(61228,	4,	1762,	2,	1),
(61229,	4,	1762,	3,	1),
(61230,	4,	1763,	1,	1),
(61231,	4,	1763,	2,	1),
(61232,	4,	1763,	3,	1),
(61233,	4,	1764,	1,	1),
(61234,	4,	1764,	2,	1),
(61235,	4,	1764,	3,	1),
(61236,	4,	1765,	1,	1),
(61237,	4,	1765,	2,	1),
(61238,	4,	1765,	3,	1),
(61239,	4,	1766,	1,	1),
(61240,	4,	1766,	2,	1),
(61241,	4,	1766,	3,	1),
(61242,	4,	1767,	1,	1),
(61243,	4,	1767,	2,	1),
(61244,	4,	1767,	3,	1),
(61245,	4,	1767,	1,	2),
(61246,	4,	1767,	2,	2),
(61247,	4,	1767,	3,	2),
(61248,	4,	1768,	1,	1),
(61249,	4,	1768,	2,	1),
(61250,	4,	1768,	3,	1),
(61251,	4,	1768,	1,	2),
(61252,	4,	1768,	2,	2),
(61253,	4,	1768,	3,	2),
(61254,	4,	1769,	1,	1),
(61255,	4,	1769,	2,	1),
(61256,	4,	1769,	3,	1),
(61257,	4,	1770,	1,	1),
(61258,	4,	1770,	2,	1),
(61259,	4,	1770,	3,	1),
(61260,	4,	1771,	1,	1),
(61261,	4,	1771,	2,	1),
(61262,	4,	1771,	3,	1),
(61263,	4,	1772,	1,	1),
(61264,	4,	1772,	2,	1),
(61265,	4,	1772,	3,	1),
(61266,	4,	1773,	1,	1),
(61267,	4,	1773,	2,	1),
(61268,	4,	1773,	3,	1),
(61269,	4,	1774,	1,	1),
(61270,	4,	1774,	2,	1),
(61271,	4,	1774,	3,	1),
(61272,	4,	1775,	1,	1),
(61273,	4,	1775,	2,	1),
(61274,	4,	1775,	3,	1),
(61275,	4,	1775,	1,	2),
(61276,	4,	1775,	2,	2),
(61277,	4,	1775,	3,	2),
(61278,	4,	1776,	1,	1),
(61279,	4,	1776,	2,	1),
(61280,	4,	1776,	3,	1),
(61281,	4,	1776,	1,	2),
(61282,	4,	1776,	2,	2),
(61283,	4,	1776,	3,	2),
(61284,	4,	1777,	1,	1),
(61285,	4,	1777,	2,	1),
(61286,	4,	1777,	3,	1),
(61287,	4,	1777,	1,	2),
(61288,	4,	1777,	2,	2),
(61289,	4,	1777,	3,	2),
(61290,	4,	1778,	1,	1),
(61291,	4,	1778,	2,	1),
(61292,	4,	1778,	3,	1),
(61293,	4,	1779,	1,	1),
(61294,	4,	1779,	2,	1),
(61295,	4,	1779,	3,	1),
(61296,	4,	1779,	1,	2),
(61297,	4,	1779,	2,	2),
(61298,	4,	1779,	3,	2),
(61299,	4,	1780,	1,	1),
(61300,	4,	1780,	2,	1),
(61301,	4,	1780,	3,	1),
(61302,	4,	1780,	1,	2),
(61303,	4,	1780,	2,	2),
(61304,	4,	1780,	3,	2),
(61305,	4,	1781,	1,	1),
(61306,	4,	1781,	2,	1),
(61307,	4,	1781,	3,	1),
(61308,	4,	1781,	1,	2),
(61309,	4,	1781,	2,	2),
(61310,	4,	1781,	3,	2),
(61311,	4,	1782,	1,	1),
(61312,	4,	1782,	2,	1),
(61313,	4,	1782,	3,	1),
(61314,	4,	1783,	1,	1),
(61315,	4,	1783,	2,	1),
(61316,	4,	1783,	3,	1),
(61317,	4,	1783,	1,	2),
(61318,	4,	1783,	2,	2),
(61319,	4,	1783,	3,	2),
(61320,	4,	1784,	1,	1),
(61321,	4,	1784,	2,	1),
(61322,	4,	1784,	3,	1),
(61323,	4,	1784,	1,	2),
(61324,	4,	1784,	2,	2),
(61325,	4,	1784,	3,	2),
(61326,	4,	1785,	1,	1),
(61327,	4,	1785,	2,	1),
(61328,	4,	1785,	3,	1),
(61329,	4,	1785,	1,	2),
(61330,	4,	1785,	2,	2),
(61331,	4,	1785,	3,	2),
(61332,	4,	1786,	1,	1),
(61333,	4,	1786,	2,	1),
(61334,	4,	1786,	3,	1),
(61335,	4,	1787,	1,	1),
(61336,	4,	1787,	2,	1),
(61337,	4,	1787,	3,	1),
(61338,	4,	1787,	1,	2),
(61339,	4,	1787,	2,	2),
(61340,	4,	1787,	3,	2),
(61341,	4,	1788,	1,	1),
(61342,	4,	1788,	2,	1),
(61343,	4,	1788,	3,	1),
(61344,	4,	1788,	1,	2),
(61345,	4,	1788,	2,	2),
(61346,	4,	1788,	3,	2),
(61347,	4,	1789,	1,	1),
(61348,	4,	1789,	2,	1),
(61349,	4,	1789,	3,	1),
(61350,	4,	1789,	1,	2),
(61351,	4,	1789,	2,	2),
(61352,	4,	1789,	3,	2),
(61353,	4,	1790,	1,	1),
(61354,	4,	1790,	2,	1),
(61355,	4,	1790,	3,	1),
(61356,	4,	1790,	1,	2),
(61357,	4,	1790,	2,	2),
(61358,	4,	1790,	3,	2),
(61359,	4,	1791,	1,	1),
(61360,	4,	1791,	2,	1),
(61361,	4,	1791,	3,	1),
(61362,	4,	1791,	1,	2),
(61363,	4,	1791,	2,	2),
(61364,	4,	1791,	3,	2),
(61365,	4,	1792,	1,	1),
(61366,	4,	1792,	2,	1),
(61367,	4,	1792,	3,	1),
(61368,	4,	1793,	1,	1),
(61369,	4,	1793,	2,	1),
(61370,	4,	1793,	3,	1),
(61371,	4,	1793,	1,	2),
(61372,	4,	1793,	2,	2),
(61373,	4,	1793,	3,	2),
(61374,	4,	1794,	1,	1),
(61375,	4,	1794,	2,	1),
(61376,	4,	1794,	3,	1),
(61377,	4,	1794,	1,	2),
(61378,	4,	1794,	2,	2),
(61379,	4,	1794,	3,	2),
(61380,	4,	1795,	1,	1),
(61381,	4,	1795,	2,	1),
(61382,	4,	1795,	3,	1),
(61383,	4,	1795,	1,	3),
(61384,	4,	1795,	2,	3),
(61385,	4,	1795,	3,	3),
(61386,	4,	1795,	1,	2),
(61387,	4,	1795,	2,	2),
(61388,	4,	1795,	3,	2),
(61389,	4,	1796,	1,	1),
(61390,	4,	1796,	2,	1),
(61391,	4,	1796,	3,	1),
(61392,	4,	1796,	1,	3),
(61393,	4,	1796,	2,	3),
(61394,	4,	1796,	3,	3),
(61395,	4,	1796,	1,	2),
(61396,	4,	1796,	2,	2),
(61397,	4,	1796,	3,	2),
(61398,	4,	1797,	1,	1),
(61399,	4,	1797,	2,	1),
(61400,	4,	1797,	3,	1),
(61401,	4,	1797,	1,	2),
(61402,	4,	1797,	2,	2),
(61403,	4,	1797,	3,	2),
(61404,	4,	1798,	1,	1),
(61405,	4,	1798,	2,	1),
(61406,	4,	1798,	3,	1),
(61407,	4,	1798,	1,	2),
(61408,	4,	1798,	2,	2),
(61409,	4,	1798,	3,	2),
(61410,	4,	1799,	1,	1),
(61411,	4,	1799,	2,	1),
(61412,	4,	1799,	3,	1),
(61413,	4,	1799,	1,	2),
(61414,	4,	1799,	2,	2),
(61415,	4,	1799,	3,	2),
(61416,	4,	1800,	1,	1),
(61417,	4,	1800,	2,	1),
(61418,	4,	1800,	3,	1),
(61419,	4,	1800,	1,	2),
(61420,	4,	1800,	2,	2),
(61421,	4,	1800,	3,	2),
(61422,	4,	1801,	1,	1),
(61423,	4,	1801,	2,	1),
(61424,	4,	1801,	3,	1),
(61425,	4,	1801,	1,	2),
(61426,	4,	1801,	2,	2),
(61427,	4,	1801,	3,	2),
(61428,	4,	1802,	1,	1),
(61429,	4,	1802,	2,	1),
(61430,	4,	1802,	3,	1),
(61431,	4,	1802,	1,	2),
(61432,	4,	1802,	2,	2),
(61433,	4,	1802,	3,	2),
(61434,	4,	1803,	1,	1),
(61435,	4,	1803,	2,	1),
(61436,	4,	1803,	3,	1),
(61437,	4,	1803,	1,	3),
(61438,	4,	1803,	2,	3),
(61439,	4,	1803,	3,	3),
(61440,	4,	1803,	1,	2),
(61441,	4,	1803,	2,	2),
(61442,	4,	1803,	3,	2),
(61443,	4,	1804,	1,	1),
(61444,	4,	1804,	2,	1),
(61445,	4,	1804,	3,	1),
(61446,	4,	1804,	1,	2),
(61447,	4,	1804,	2,	2),
(61448,	4,	1804,	3,	2),
(61449,	4,	1805,	1,	1),
(61450,	4,	1805,	2,	1),
(61451,	4,	1805,	3,	1),
(61452,	4,	1805,	1,	2),
(61453,	4,	1805,	2,	2),
(61454,	4,	1805,	3,	2),
(61455,	4,	1203,	85,	1),
(61456,	4,	1807,	24,	1),
(61457,	4,	1811,	82,	1),
(61458,	4,	1832,	2,	2),
(61459,	4,	1832,	2,	1),
(61460,	4,	1833,	2,	2),
(61461,	4,	1833,	2,	1),
(61462,	4,	1834,	2,	1),
(61463,	4,	1811,	88,	1),
(61465,	4,	1811,	90,	1),
(61466,	4,	1811,	91,	1),
(65539,	1,	1819,	NULL,	NULL),
(65543,	1,	1810,	NULL,	NULL),
(65544,	1,	1816,	NULL,	NULL),
(65545,	1,	1814,	NULL,	NULL),
(65546,	1,	1812,	NULL,	NULL),
(65547,	1,	1222,	73,	1),
(65549,	1,	1222,	85,	1),
(65552,	5,	1,	1,	1),
(65553,	5,	1,	2,	1),
(65554,	5,	1,	3,	1),
(65555,	5,	1,	4,	1),
(65556,	5,	1,	1,	2),
(65557,	5,	1,	2,	2),
(65558,	5,	1,	3,	2),
(65559,	5,	1,	4,	2),
(65560,	5,	2,	1,	1),
(65561,	5,	2,	2,	1),
(65562,	5,	2,	3,	1),
(65563,	5,	2,	1,	2),
(65564,	5,	2,	2,	2),
(65565,	5,	2,	3,	2),
(65566,	5,	3,	1,	1),
(65567,	5,	3,	2,	1),
(65568,	5,	3,	3,	1),
(65569,	5,	3,	4,	1),
(65570,	5,	3,	5,	1),
(65571,	5,	3,	1,	2),
(65572,	5,	3,	2,	2),
(65573,	5,	3,	3,	2),
(65574,	5,	3,	4,	2),
(65575,	5,	3,	5,	2),
(65576,	5,	4,	1,	1),
(65577,	5,	4,	2,	1),
(65578,	5,	4,	3,	1),
(65579,	5,	4,	4,	1),
(65580,	5,	4,	5,	1),
(65581,	5,	4,	1,	2),
(65582,	5,	4,	2,	2),
(65583,	5,	4,	3,	2),
(65584,	5,	4,	4,	2),
(65585,	5,	4,	5,	2),
(65586,	5,	5,	1,	1),
(65587,	5,	5,	2,	1),
(65588,	5,	5,	3,	1),
(65589,	5,	5,	6,	1),
(65590,	5,	6,	1,	1),
(65591,	5,	6,	2,	1),
(65592,	5,	6,	3,	1),
(65593,	5,	6,	6,	1),
(65594,	5,	7,	1,	1),
(65595,	5,	7,	2,	1),
(65596,	5,	7,	3,	1),
(65597,	5,	7,	1,	2),
(65598,	5,	7,	2,	2),
(65599,	5,	7,	3,	2),
(65600,	5,	8,	1,	1),
(65601,	5,	8,	2,	1),
(65602,	5,	8,	3,	1),
(65603,	5,	8,	7,	1),
(65604,	5,	8,	8,	1),
(65605,	5,	8,	9,	1),
(65606,	5,	8,	10,	1),
(65607,	5,	8,	11,	1),
(65608,	5,	8,	12,	1),
(65609,	5,	8,	13,	1),
(65610,	5,	8,	14,	1),
(65611,	5,	8,	15,	1),
(65612,	5,	8,	16,	1),
(65613,	5,	8,	17,	1),
(65614,	5,	8,	18,	1),
(65615,	5,	8,	19,	1),
(65616,	5,	8,	20,	1),
(65617,	5,	8,	21,	1),
(65618,	5,	8,	22,	1),
(65619,	5,	9,	1,	1),
(65620,	5,	9,	2,	1),
(65621,	5,	9,	3,	1),
(65622,	5,	9,	7,	1),
(65623,	5,	9,	8,	1),
(65624,	5,	9,	9,	1),
(65625,	5,	9,	10,	1),
(65626,	5,	9,	11,	1),
(65627,	5,	9,	12,	1),
(65628,	5,	9,	13,	1),
(65629,	5,	9,	14,	1),
(65630,	5,	9,	15,	1),
(65631,	5,	9,	16,	1),
(65632,	5,	9,	17,	1),
(65633,	5,	9,	18,	1),
(65634,	5,	9,	19,	1),
(65635,	5,	9,	20,	1),
(65636,	5,	9,	21,	1),
(65637,	5,	9,	22,	1),
(65638,	5,	10,	1,	1),
(65639,	5,	10,	2,	1),
(65640,	5,	10,	3,	1),
(65641,	5,	10,	7,	1),
(65642,	5,	10,	8,	1),
(65643,	5,	10,	9,	1),
(65644,	5,	10,	10,	1),
(65645,	5,	10,	11,	1),
(65646,	5,	10,	12,	1),
(65647,	5,	10,	13,	1),
(65648,	5,	10,	14,	1),
(65649,	5,	10,	15,	1),
(65650,	5,	10,	16,	1),
(65651,	5,	10,	17,	1),
(65652,	5,	10,	18,	1),
(65653,	5,	10,	19,	1),
(65654,	5,	10,	20,	1),
(65655,	5,	10,	21,	1),
(65656,	5,	10,	22,	1),
(65657,	5,	11,	1,	1),
(65658,	5,	11,	2,	1),
(65659,	5,	11,	3,	1),
(65660,	5,	11,	7,	1),
(65661,	5,	11,	8,	1),
(65662,	5,	11,	9,	1),
(65663,	5,	11,	10,	1),
(65664,	5,	11,	11,	1),
(65665,	5,	11,	12,	1),
(65666,	5,	11,	13,	1),
(65667,	5,	11,	14,	1),
(65668,	5,	11,	15,	1),
(65669,	5,	11,	16,	1),
(65670,	5,	11,	17,	1),
(65671,	5,	11,	18,	1),
(65672,	5,	11,	19,	1),
(65673,	5,	11,	20,	1),
(65674,	5,	11,	21,	1),
(65675,	5,	11,	22,	1),
(65676,	5,	12,	1,	1),
(65677,	5,	12,	2,	1),
(65678,	5,	12,	3,	1),
(65679,	5,	12,	7,	1),
(65680,	5,	12,	8,	1),
(65681,	5,	12,	9,	1),
(65682,	5,	12,	10,	1),
(65683,	5,	12,	11,	1),
(65684,	5,	12,	12,	1),
(65685,	5,	12,	13,	1),
(65686,	5,	12,	14,	1),
(65687,	5,	12,	15,	1),
(65688,	5,	12,	16,	1),
(65689,	5,	12,	17,	1),
(65690,	5,	12,	18,	1),
(65691,	5,	12,	19,	1),
(65692,	5,	12,	20,	1),
(65693,	5,	12,	21,	1),
(65694,	5,	12,	22,	1),
(65695,	5,	13,	1,	1),
(65696,	5,	13,	2,	1),
(65697,	5,	13,	3,	1),
(65698,	5,	13,	7,	1),
(65699,	5,	13,	8,	1),
(65700,	5,	13,	9,	1),
(65701,	5,	13,	10,	1),
(65702,	5,	13,	11,	1),
(65703,	5,	13,	12,	1),
(65704,	5,	13,	13,	1),
(65705,	5,	13,	14,	1),
(65706,	5,	13,	15,	1),
(65707,	5,	13,	16,	1),
(65708,	5,	13,	17,	1),
(65709,	5,	13,	18,	1),
(65710,	5,	13,	19,	1),
(65711,	5,	13,	20,	1),
(65712,	5,	13,	21,	1),
(65713,	5,	13,	22,	1),
(65714,	5,	14,	1,	1),
(65715,	5,	14,	2,	1),
(65716,	5,	14,	3,	1),
(65717,	5,	14,	7,	1),
(65718,	5,	14,	8,	1),
(65719,	5,	14,	9,	1),
(65720,	5,	14,	10,	1),
(65721,	5,	14,	11,	1),
(65722,	5,	14,	12,	1),
(65723,	5,	14,	13,	1),
(65724,	5,	14,	14,	1),
(65725,	5,	14,	15,	1),
(65726,	5,	14,	16,	1),
(65727,	5,	14,	17,	1),
(65728,	5,	14,	18,	1),
(65729,	5,	14,	19,	1),
(65730,	5,	14,	20,	1),
(65731,	5,	14,	21,	1),
(65732,	5,	14,	22,	1),
(65733,	5,	15,	1,	1),
(65734,	5,	15,	2,	1),
(65735,	5,	15,	3,	1),
(65736,	5,	15,	7,	1),
(65737,	5,	15,	8,	1),
(65738,	5,	15,	9,	1),
(65739,	5,	15,	10,	1),
(65740,	5,	15,	11,	1),
(65741,	5,	15,	12,	1),
(65742,	5,	15,	13,	1),
(65743,	5,	15,	14,	1),
(65744,	5,	15,	15,	1),
(65745,	5,	15,	16,	1),
(65746,	5,	15,	17,	1),
(65747,	5,	15,	18,	1),
(65748,	5,	15,	19,	1),
(65749,	5,	15,	20,	1),
(65750,	5,	15,	21,	1),
(65751,	5,	15,	22,	1),
(65752,	5,	16,	1,	1),
(65753,	5,	16,	2,	1),
(65754,	5,	16,	3,	1),
(65755,	5,	16,	7,	1),
(65756,	5,	16,	8,	1),
(65757,	5,	16,	9,	1),
(65758,	5,	16,	10,	1),
(65759,	5,	16,	11,	1),
(65760,	5,	16,	12,	1),
(65761,	5,	16,	13,	1),
(65762,	5,	16,	14,	1),
(65763,	5,	16,	15,	1),
(65764,	5,	16,	16,	1),
(65765,	5,	16,	17,	1),
(65766,	5,	16,	18,	1),
(65767,	5,	16,	19,	1),
(65768,	5,	16,	20,	1),
(65769,	5,	16,	21,	1),
(65770,	5,	16,	22,	1),
(65771,	5,	17,	1,	1),
(65772,	5,	17,	2,	1),
(65773,	5,	17,	3,	1),
(65774,	5,	17,	7,	1),
(65775,	5,	17,	8,	1),
(65776,	5,	17,	9,	1),
(65777,	5,	17,	10,	1),
(65778,	5,	17,	11,	1),
(65779,	5,	17,	12,	1),
(65780,	5,	17,	13,	1),
(65781,	5,	17,	14,	1),
(65782,	5,	17,	15,	1),
(65783,	5,	17,	16,	1),
(65784,	5,	17,	17,	1),
(65785,	5,	17,	18,	1),
(65786,	5,	17,	19,	1),
(65787,	5,	17,	20,	1),
(65788,	5,	17,	21,	1),
(65789,	5,	17,	22,	1),
(65790,	5,	18,	1,	1),
(65791,	5,	18,	2,	1),
(65792,	5,	18,	3,	1),
(65793,	5,	18,	7,	1),
(65794,	5,	18,	8,	1),
(65795,	5,	18,	9,	1),
(65796,	5,	18,	10,	1),
(65797,	5,	18,	11,	1),
(65798,	5,	18,	12,	1),
(65799,	5,	18,	13,	1),
(65800,	5,	18,	14,	1),
(65801,	5,	18,	15,	1),
(65802,	5,	18,	16,	1),
(65803,	5,	18,	17,	1),
(65804,	5,	18,	18,	1),
(65805,	5,	18,	19,	1),
(65806,	5,	18,	20,	1),
(65807,	5,	18,	21,	1),
(65808,	5,	18,	22,	1),
(65809,	5,	19,	1,	1),
(65810,	5,	19,	2,	1),
(65811,	5,	19,	3,	1),
(65812,	5,	19,	7,	1),
(65813,	5,	19,	8,	1),
(65814,	5,	19,	9,	1),
(65815,	5,	19,	10,	1),
(65816,	5,	19,	11,	1),
(65817,	5,	19,	12,	1),
(65818,	5,	19,	13,	1),
(65819,	5,	19,	14,	1),
(65820,	5,	19,	15,	1),
(65821,	5,	19,	16,	1),
(65822,	5,	19,	17,	1),
(65823,	5,	19,	18,	1),
(65824,	5,	19,	19,	1),
(65825,	5,	19,	20,	1),
(65826,	5,	19,	21,	1),
(65827,	5,	19,	22,	1),
(65828,	5,	20,	1,	1),
(65829,	5,	20,	2,	1),
(65830,	5,	20,	3,	1),
(65831,	5,	20,	7,	1),
(65832,	5,	20,	8,	1),
(65833,	5,	20,	9,	1),
(65834,	5,	20,	10,	1),
(65835,	5,	20,	11,	1),
(65836,	5,	20,	12,	1),
(65837,	5,	20,	13,	1),
(65838,	5,	20,	14,	1),
(65839,	5,	20,	15,	1),
(65840,	5,	20,	16,	1),
(65841,	5,	20,	17,	1),
(65842,	5,	20,	18,	1),
(65843,	5,	20,	19,	1),
(65844,	5,	20,	20,	1),
(65845,	5,	20,	21,	1),
(65846,	5,	20,	22,	1),
(65847,	5,	21,	1,	1),
(65848,	5,	21,	2,	1),
(65849,	5,	21,	3,	1),
(65850,	5,	21,	7,	1),
(65851,	5,	21,	8,	1),
(65852,	5,	21,	9,	1),
(65853,	5,	21,	10,	1),
(65854,	5,	21,	11,	1),
(65855,	5,	21,	12,	1),
(65856,	5,	21,	13,	1),
(65857,	5,	21,	14,	1),
(65858,	5,	21,	15,	1),
(65859,	5,	21,	16,	1),
(65860,	5,	21,	17,	1),
(65861,	5,	21,	18,	1),
(65862,	5,	21,	19,	1),
(65863,	5,	21,	20,	1),
(65864,	5,	21,	21,	1),
(65865,	5,	21,	22,	1),
(65866,	5,	22,	1,	1),
(65867,	5,	22,	2,	1),
(65868,	5,	22,	3,	1),
(65869,	5,	22,	7,	1),
(65870,	5,	22,	8,	1),
(65871,	5,	22,	9,	1),
(65872,	5,	22,	10,	1),
(65873,	5,	22,	11,	1),
(65874,	5,	22,	12,	1),
(65875,	5,	22,	13,	1),
(65876,	5,	22,	14,	1),
(65877,	5,	22,	15,	1),
(65878,	5,	22,	16,	1),
(65879,	5,	22,	17,	1),
(65880,	5,	22,	18,	1),
(65881,	5,	22,	19,	1),
(65882,	5,	22,	20,	1),
(65883,	5,	22,	21,	1),
(65884,	5,	22,	22,	1),
(65885,	5,	23,	1,	1),
(65886,	5,	23,	2,	1),
(65887,	5,	23,	3,	1),
(65888,	5,	23,	7,	1),
(65889,	5,	23,	8,	1),
(65890,	5,	23,	9,	1),
(65891,	5,	23,	10,	1),
(65892,	5,	23,	11,	1),
(65893,	5,	23,	12,	1),
(65894,	5,	23,	13,	1),
(65895,	5,	23,	14,	1),
(65896,	5,	23,	15,	1),
(65897,	5,	23,	16,	1),
(65898,	5,	23,	17,	1),
(65899,	5,	23,	18,	1),
(65900,	5,	23,	19,	1),
(65901,	5,	23,	20,	1),
(65902,	5,	23,	21,	1),
(65903,	5,	23,	22,	1),
(65904,	5,	24,	1,	1),
(65905,	5,	24,	2,	1),
(65906,	5,	24,	3,	1),
(65907,	5,	24,	7,	1),
(65908,	5,	24,	8,	1),
(65909,	5,	24,	9,	1),
(65910,	5,	24,	10,	1),
(65911,	5,	24,	11,	1),
(65912,	5,	24,	12,	1),
(65913,	5,	24,	13,	1),
(65914,	5,	24,	14,	1),
(65915,	5,	24,	15,	1),
(65916,	5,	24,	16,	1),
(65917,	5,	24,	17,	1),
(65918,	5,	24,	18,	1),
(65919,	5,	24,	19,	1),
(65920,	5,	24,	20,	1),
(65921,	5,	24,	21,	1),
(65922,	5,	24,	22,	1),
(65923,	5,	25,	1,	1),
(65924,	5,	25,	2,	1),
(65925,	5,	25,	3,	1),
(65926,	5,	25,	7,	1),
(65927,	5,	25,	8,	1),
(65928,	5,	25,	9,	1),
(65929,	5,	25,	10,	1),
(65930,	5,	25,	11,	1),
(65931,	5,	25,	12,	1),
(65932,	5,	25,	13,	1),
(65933,	5,	25,	14,	1),
(65934,	5,	25,	15,	1),
(65935,	5,	25,	16,	1),
(65936,	5,	25,	17,	1),
(65937,	5,	25,	18,	1),
(65938,	5,	25,	19,	1),
(65939,	5,	25,	20,	1),
(65940,	5,	25,	21,	1),
(65941,	5,	25,	22,	1),
(65942,	5,	26,	1,	1),
(65943,	5,	26,	2,	1),
(65944,	5,	26,	3,	1),
(65945,	5,	26,	7,	1),
(65946,	5,	26,	8,	1),
(65947,	5,	26,	9,	1),
(65948,	5,	26,	10,	1),
(65949,	5,	26,	11,	1),
(65950,	5,	26,	12,	1),
(65951,	5,	26,	13,	1),
(65952,	5,	26,	14,	1),
(65953,	5,	26,	15,	1),
(65954,	5,	26,	16,	1),
(65955,	5,	26,	17,	1),
(65956,	5,	26,	18,	1),
(65957,	5,	26,	19,	1),
(65958,	5,	26,	20,	1),
(65959,	5,	26,	21,	1),
(65960,	5,	26,	22,	1),
(65961,	5,	27,	1,	1),
(65962,	5,	27,	2,	1),
(65963,	5,	27,	3,	1),
(65964,	5,	27,	7,	1),
(65965,	5,	27,	8,	1),
(65966,	5,	27,	9,	1),
(65967,	5,	27,	10,	1),
(65968,	5,	27,	11,	1),
(65969,	5,	27,	12,	1),
(65970,	5,	27,	13,	1),
(65971,	5,	27,	14,	1),
(65972,	5,	27,	15,	1),
(65973,	5,	27,	16,	1),
(65974,	5,	27,	17,	1),
(65975,	5,	27,	18,	1),
(65976,	5,	27,	19,	1),
(65977,	5,	27,	20,	1),
(65978,	5,	27,	21,	1),
(65979,	5,	27,	22,	1),
(65980,	5,	28,	1,	1),
(65981,	5,	28,	2,	1),
(65982,	5,	28,	3,	1),
(65983,	5,	28,	7,	1),
(65984,	5,	28,	8,	1),
(65985,	5,	28,	9,	1),
(65986,	5,	28,	10,	1),
(65987,	5,	28,	11,	1),
(65988,	5,	28,	12,	1),
(65989,	5,	28,	13,	1),
(65990,	5,	28,	14,	1),
(65991,	5,	28,	15,	1),
(65992,	5,	28,	16,	1),
(65993,	5,	28,	17,	1),
(65994,	5,	28,	18,	1),
(65995,	5,	28,	19,	1),
(65996,	5,	28,	20,	1),
(65997,	5,	28,	21,	1),
(65998,	5,	28,	22,	1),
(65999,	5,	29,	1,	1),
(66000,	5,	29,	2,	1),
(66001,	5,	29,	3,	1),
(66002,	5,	29,	7,	1),
(66003,	5,	29,	8,	1),
(66004,	5,	29,	9,	1),
(66005,	5,	29,	10,	1),
(66006,	5,	29,	11,	1),
(66007,	5,	29,	12,	1),
(66008,	5,	29,	13,	1),
(66009,	5,	29,	14,	1),
(66010,	5,	29,	15,	1),
(66011,	5,	29,	16,	1),
(66012,	5,	29,	17,	1),
(66013,	5,	29,	18,	1),
(66014,	5,	29,	19,	1),
(66015,	5,	29,	20,	1),
(66016,	5,	29,	21,	1),
(66017,	5,	29,	22,	1),
(66018,	5,	30,	1,	1),
(66019,	5,	30,	2,	1),
(66020,	5,	30,	3,	1),
(66021,	5,	30,	7,	1),
(66022,	5,	30,	8,	1),
(66023,	5,	30,	9,	1),
(66024,	5,	30,	10,	1),
(66025,	5,	30,	11,	1),
(66026,	5,	30,	12,	1),
(66027,	5,	30,	13,	1),
(66028,	5,	30,	14,	1),
(66029,	5,	30,	15,	1),
(66030,	5,	30,	16,	1),
(66031,	5,	30,	17,	1),
(66032,	5,	30,	18,	1),
(66033,	5,	30,	19,	1),
(66034,	5,	30,	20,	1),
(66035,	5,	30,	21,	1),
(66036,	5,	30,	22,	1),
(66037,	5,	31,	1,	1),
(66038,	5,	31,	2,	1),
(66039,	5,	31,	3,	1),
(66040,	5,	31,	7,	1),
(66041,	5,	31,	8,	1),
(66042,	5,	31,	9,	1),
(66043,	5,	31,	10,	1),
(66044,	5,	31,	11,	1),
(66045,	5,	31,	12,	1),
(66046,	5,	31,	13,	1),
(66047,	5,	31,	14,	1),
(66048,	5,	31,	15,	1),
(66049,	5,	31,	16,	1),
(66050,	5,	31,	17,	1),
(66051,	5,	31,	18,	1),
(66052,	5,	31,	19,	1),
(66053,	5,	31,	20,	1),
(66054,	5,	31,	21,	1),
(66055,	5,	31,	22,	1),
(66056,	5,	32,	1,	1),
(66057,	5,	32,	2,	1),
(66058,	5,	32,	3,	1),
(66059,	5,	32,	7,	1),
(66060,	5,	32,	8,	1),
(66061,	5,	32,	9,	1),
(66062,	5,	32,	10,	1),
(66063,	5,	32,	11,	1),
(66064,	5,	32,	12,	1),
(66065,	5,	32,	13,	1),
(66066,	5,	32,	14,	1),
(66067,	5,	32,	15,	1),
(66068,	5,	32,	16,	1),
(66069,	5,	32,	17,	1),
(66070,	5,	32,	18,	1),
(66071,	5,	32,	19,	1),
(66072,	5,	32,	20,	1),
(66073,	5,	32,	21,	1),
(66074,	5,	32,	22,	1),
(66075,	5,	33,	1,	1),
(66076,	5,	33,	2,	1),
(66077,	5,	33,	3,	1),
(66078,	5,	33,	7,	1),
(66079,	5,	33,	8,	1),
(66080,	5,	33,	9,	1),
(66081,	5,	33,	10,	1),
(66082,	5,	33,	11,	1),
(66083,	5,	33,	12,	1),
(66084,	5,	33,	13,	1),
(66085,	5,	33,	14,	1),
(66086,	5,	33,	15,	1),
(66087,	5,	33,	16,	1),
(66088,	5,	33,	17,	1),
(66089,	5,	33,	18,	1),
(66090,	5,	33,	19,	1),
(66091,	5,	33,	20,	1),
(66092,	5,	33,	21,	1),
(66093,	5,	33,	22,	1),
(66094,	5,	34,	1,	1),
(66095,	5,	34,	2,	1),
(66096,	5,	34,	3,	1),
(66097,	5,	34,	7,	1),
(66098,	5,	34,	8,	1),
(66099,	5,	34,	9,	1),
(66100,	5,	34,	10,	1),
(66101,	5,	34,	11,	1),
(66102,	5,	34,	12,	1),
(66103,	5,	34,	13,	1),
(66104,	5,	34,	14,	1),
(66105,	5,	34,	15,	1),
(66106,	5,	34,	16,	1),
(66107,	5,	34,	17,	1),
(66108,	5,	34,	18,	1),
(66109,	5,	34,	19,	1),
(66110,	5,	34,	20,	1),
(66111,	5,	34,	21,	1),
(66112,	5,	34,	22,	1),
(66113,	5,	34,	23,	1),
(66114,	5,	35,	1,	1),
(66115,	5,	35,	2,	1),
(66116,	5,	35,	3,	1),
(66117,	5,	35,	7,	1),
(66118,	5,	35,	8,	1),
(66119,	5,	35,	9,	1),
(66120,	5,	35,	10,	1),
(66121,	5,	35,	11,	1),
(66122,	5,	35,	12,	1),
(66123,	5,	35,	13,	1),
(66124,	5,	35,	14,	1),
(66125,	5,	35,	15,	1),
(66126,	5,	35,	16,	1),
(66127,	5,	35,	17,	1),
(66128,	5,	35,	18,	1),
(66129,	5,	35,	19,	1),
(66130,	5,	35,	20,	1),
(66131,	5,	35,	21,	1),
(66132,	5,	35,	22,	1),
(66133,	5,	36,	1,	1),
(66134,	5,	36,	2,	1),
(66135,	5,	36,	3,	1),
(66136,	5,	36,	7,	1),
(66137,	5,	36,	8,	1),
(66138,	5,	36,	9,	1),
(66139,	5,	36,	10,	1),
(66140,	5,	36,	11,	1),
(66141,	5,	36,	12,	1),
(66142,	5,	36,	13,	1),
(66143,	5,	36,	14,	1),
(66144,	5,	36,	15,	1),
(66145,	5,	36,	16,	1),
(66146,	5,	36,	17,	1),
(66147,	5,	36,	18,	1),
(66148,	5,	36,	19,	1),
(66149,	5,	36,	20,	1),
(66150,	5,	36,	21,	1),
(66151,	5,	36,	22,	1),
(66152,	5,	37,	1,	1),
(66153,	5,	37,	2,	1),
(66154,	5,	37,	3,	1),
(66155,	5,	37,	7,	1),
(66156,	5,	37,	8,	1),
(66157,	5,	37,	9,	1),
(66158,	5,	37,	10,	1),
(66159,	5,	37,	11,	1),
(66160,	5,	37,	12,	1),
(66161,	5,	37,	13,	1),
(66162,	5,	37,	14,	1),
(66163,	5,	37,	15,	1),
(66164,	5,	37,	16,	1),
(66165,	5,	37,	17,	1),
(66166,	5,	37,	18,	1),
(66167,	5,	37,	19,	1),
(66168,	5,	37,	20,	1),
(66169,	5,	37,	21,	1),
(66170,	5,	37,	22,	1),
(66171,	5,	38,	1,	1),
(66172,	5,	38,	2,	1),
(66173,	5,	38,	3,	1),
(66174,	5,	38,	7,	1),
(66175,	5,	38,	8,	1),
(66176,	5,	38,	9,	1),
(66177,	5,	38,	10,	1),
(66178,	5,	38,	11,	1),
(66179,	5,	38,	12,	1),
(66180,	5,	38,	13,	1),
(66181,	5,	38,	14,	1),
(66182,	5,	38,	15,	1),
(66183,	5,	38,	16,	1),
(66184,	5,	38,	17,	1),
(66185,	5,	38,	18,	1),
(66186,	5,	38,	19,	1),
(66187,	5,	38,	20,	1),
(66188,	5,	38,	21,	1),
(66189,	5,	38,	22,	1),
(66190,	5,	39,	1,	1),
(66191,	5,	39,	2,	1),
(66192,	5,	39,	3,	1),
(66193,	5,	39,	7,	1),
(66194,	5,	39,	8,	1),
(66195,	5,	39,	9,	1),
(66196,	5,	39,	10,	1),
(66197,	5,	39,	11,	1),
(66198,	5,	39,	12,	1),
(66199,	5,	39,	13,	1),
(66200,	5,	39,	14,	1),
(66201,	5,	39,	15,	1),
(66202,	5,	39,	16,	1),
(66203,	5,	39,	17,	1),
(66204,	5,	39,	18,	1),
(66205,	5,	39,	19,	1),
(66206,	5,	39,	20,	1),
(66207,	5,	39,	21,	1),
(66208,	5,	39,	22,	1),
(66209,	5,	40,	1,	1),
(66210,	5,	40,	2,	1),
(66211,	5,	40,	3,	1),
(66212,	5,	40,	7,	1),
(66213,	5,	40,	8,	1),
(66214,	5,	40,	9,	1),
(66215,	5,	40,	10,	1),
(66216,	5,	40,	11,	1),
(66217,	5,	40,	12,	1),
(66218,	5,	40,	13,	1),
(66219,	5,	40,	14,	1),
(66220,	5,	40,	15,	1),
(66221,	5,	40,	16,	1),
(66222,	5,	40,	17,	1),
(66223,	5,	40,	18,	1),
(66224,	5,	40,	19,	1),
(66225,	5,	40,	20,	1),
(66226,	5,	40,	21,	1),
(66227,	5,	40,	22,	1),
(66228,	5,	41,	1,	1),
(66229,	5,	41,	2,	1),
(66230,	5,	41,	3,	1),
(66231,	5,	41,	7,	1),
(66232,	5,	41,	8,	1),
(66233,	5,	41,	9,	1),
(66234,	5,	41,	10,	1),
(66235,	5,	41,	11,	1),
(66236,	5,	41,	12,	1),
(66237,	5,	41,	13,	1),
(66238,	5,	41,	14,	1),
(66239,	5,	41,	15,	1),
(66240,	5,	41,	16,	1),
(66241,	5,	41,	17,	1),
(66242,	5,	41,	18,	1),
(66243,	5,	41,	19,	1),
(66244,	5,	41,	20,	1),
(66245,	5,	41,	21,	1),
(66246,	5,	41,	22,	1),
(66247,	5,	42,	1,	1),
(66248,	5,	42,	2,	1),
(66249,	5,	42,	3,	1),
(66250,	5,	42,	7,	1),
(66251,	5,	42,	8,	1),
(66252,	5,	42,	9,	1),
(66253,	5,	42,	10,	1),
(66254,	5,	42,	11,	1),
(66255,	5,	42,	12,	1),
(66256,	5,	42,	13,	1),
(66257,	5,	42,	14,	1),
(66258,	5,	42,	15,	1),
(66259,	5,	42,	16,	1),
(66260,	5,	42,	17,	1),
(66261,	5,	42,	18,	1),
(66262,	5,	42,	19,	1),
(66263,	5,	42,	20,	1),
(66264,	5,	42,	21,	1),
(66265,	5,	42,	22,	1),
(66266,	5,	43,	1,	1),
(66267,	5,	43,	2,	1),
(66268,	5,	43,	3,	1),
(66269,	5,	43,	7,	1),
(66270,	5,	43,	8,	1),
(66271,	5,	43,	9,	1),
(66272,	5,	43,	10,	1),
(66273,	5,	43,	11,	1),
(66274,	5,	43,	12,	1),
(66275,	5,	43,	13,	1),
(66276,	5,	43,	14,	1),
(66277,	5,	43,	15,	1),
(66278,	5,	43,	16,	1),
(66279,	5,	43,	17,	1),
(66280,	5,	43,	18,	1),
(66281,	5,	43,	19,	1),
(66282,	5,	43,	20,	1),
(66283,	5,	43,	21,	1),
(66284,	5,	43,	22,	1),
(66285,	5,	44,	1,	1),
(66286,	5,	44,	2,	1),
(66287,	5,	44,	3,	1),
(66288,	5,	44,	7,	1),
(66289,	5,	44,	8,	1),
(66290,	5,	44,	9,	1),
(66291,	5,	44,	10,	1),
(66292,	5,	44,	11,	1),
(66293,	5,	44,	12,	1),
(66294,	5,	44,	13,	1),
(66295,	5,	44,	14,	1),
(66296,	5,	44,	15,	1),
(66297,	5,	44,	16,	1),
(66298,	5,	44,	17,	1),
(66299,	5,	44,	18,	1),
(66300,	5,	44,	19,	1),
(66301,	5,	44,	20,	1),
(66302,	5,	44,	21,	1),
(66303,	5,	44,	22,	1),
(66304,	5,	44,	23,	1),
(66305,	5,	45,	1,	1),
(66306,	5,	45,	2,	1),
(66307,	5,	45,	3,	1),
(66308,	5,	45,	7,	1),
(66309,	5,	45,	8,	1),
(66310,	5,	45,	9,	1),
(66311,	5,	45,	10,	1),
(66312,	5,	45,	11,	1),
(66313,	5,	45,	12,	1),
(66314,	5,	45,	13,	1),
(66315,	5,	45,	14,	1),
(66316,	5,	45,	15,	1),
(66317,	5,	45,	16,	1),
(66318,	5,	45,	17,	1),
(66319,	5,	45,	18,	1),
(66320,	5,	45,	19,	1),
(66321,	5,	45,	20,	1),
(66322,	5,	45,	21,	1),
(66323,	5,	45,	22,	1),
(66324,	5,	46,	1,	1),
(66325,	5,	46,	2,	1),
(66326,	5,	46,	3,	1),
(66327,	5,	46,	7,	1),
(66328,	5,	46,	8,	1),
(66329,	5,	46,	9,	1),
(66330,	5,	46,	10,	1),
(66331,	5,	46,	11,	1),
(66332,	5,	46,	12,	1),
(66333,	5,	46,	13,	1),
(66334,	5,	46,	14,	1),
(66335,	5,	46,	15,	1),
(66336,	5,	46,	16,	1),
(66337,	5,	46,	17,	1),
(66338,	5,	46,	18,	1),
(66339,	5,	46,	19,	1),
(66340,	5,	46,	20,	1),
(66341,	5,	46,	21,	1),
(66342,	5,	46,	22,	1),
(66343,	5,	46,	23,	1),
(66344,	5,	47,	1,	1),
(66345,	5,	47,	2,	1),
(66346,	5,	47,	3,	1),
(66347,	5,	47,	7,	1),
(66348,	5,	47,	8,	1),
(66349,	5,	47,	9,	1),
(66350,	5,	47,	10,	1),
(66351,	5,	47,	11,	1),
(66352,	5,	47,	12,	1),
(66353,	5,	47,	13,	1),
(66354,	5,	47,	14,	1),
(66355,	5,	47,	15,	1),
(66356,	5,	47,	16,	1),
(66357,	5,	47,	17,	1),
(66358,	5,	47,	18,	1),
(66359,	5,	47,	19,	1),
(66360,	5,	47,	20,	1),
(66361,	5,	47,	21,	1),
(66362,	5,	47,	22,	1),
(66363,	5,	48,	1,	1),
(66364,	5,	48,	2,	1),
(66365,	5,	48,	3,	1),
(66366,	5,	48,	7,	1),
(66367,	5,	48,	8,	1),
(66368,	5,	48,	9,	1),
(66369,	5,	48,	10,	1),
(66370,	5,	48,	11,	1),
(66371,	5,	48,	12,	1),
(66372,	5,	48,	13,	1),
(66373,	5,	48,	14,	1),
(66374,	5,	48,	15,	1),
(66375,	5,	48,	16,	1),
(66376,	5,	48,	17,	1),
(66377,	5,	48,	18,	1),
(66378,	5,	48,	19,	1),
(66379,	5,	48,	20,	1),
(66380,	5,	48,	21,	1),
(66381,	5,	48,	22,	1),
(66382,	5,	49,	1,	1),
(66383,	5,	49,	2,	1),
(66384,	5,	49,	3,	1),
(66385,	5,	49,	7,	1),
(66386,	5,	49,	8,	1),
(66387,	5,	49,	9,	1),
(66388,	5,	49,	10,	1),
(66389,	5,	49,	11,	1),
(66390,	5,	49,	12,	1),
(66391,	5,	49,	13,	1),
(66392,	5,	49,	14,	1),
(66393,	5,	49,	15,	1),
(66394,	5,	49,	16,	1),
(66395,	5,	49,	17,	1),
(66396,	5,	49,	18,	1),
(66397,	5,	49,	19,	1),
(66398,	5,	49,	20,	1),
(66399,	5,	49,	21,	1),
(66400,	5,	49,	22,	1),
(66401,	5,	50,	1,	1),
(66402,	5,	50,	2,	1),
(66403,	5,	50,	3,	1),
(66404,	5,	50,	7,	1),
(66405,	5,	50,	8,	1),
(66406,	5,	50,	9,	1),
(66407,	5,	50,	10,	1),
(66408,	5,	50,	11,	1),
(66409,	5,	50,	12,	1),
(66410,	5,	50,	13,	1),
(66411,	5,	50,	14,	1),
(66412,	5,	50,	15,	1),
(66413,	5,	50,	16,	1),
(66414,	5,	50,	17,	1),
(66415,	5,	50,	18,	1),
(66416,	5,	50,	19,	1),
(66417,	5,	50,	20,	1),
(66418,	5,	50,	21,	1),
(66419,	5,	50,	22,	1),
(66420,	5,	51,	1,	1),
(66421,	5,	51,	2,	1),
(66422,	5,	51,	3,	1),
(66423,	5,	51,	7,	1),
(66424,	5,	51,	8,	1),
(66425,	5,	51,	9,	1),
(66426,	5,	51,	10,	1),
(66427,	5,	51,	11,	1),
(66428,	5,	51,	12,	1),
(66429,	5,	51,	13,	1),
(66430,	5,	51,	14,	1),
(66431,	5,	51,	15,	1),
(66432,	5,	51,	16,	1),
(66433,	5,	51,	17,	1),
(66434,	5,	51,	18,	1),
(66435,	5,	51,	19,	1),
(66436,	5,	51,	20,	1),
(66437,	5,	51,	21,	1),
(66438,	5,	51,	22,	1),
(66439,	5,	52,	1,	1),
(66440,	5,	52,	2,	1),
(66441,	5,	52,	3,	1),
(66442,	5,	52,	7,	1),
(66443,	5,	52,	8,	1),
(66444,	5,	52,	9,	1),
(66445,	5,	52,	10,	1),
(66446,	5,	52,	11,	1),
(66447,	5,	52,	12,	1),
(66448,	5,	52,	13,	1),
(66449,	5,	52,	14,	1),
(66450,	5,	52,	15,	1),
(66451,	5,	52,	16,	1),
(66452,	5,	52,	17,	1),
(66453,	5,	52,	18,	1),
(66454,	5,	52,	19,	1),
(66455,	5,	52,	20,	1),
(66456,	5,	52,	21,	1),
(66457,	5,	52,	22,	1),
(66458,	5,	53,	1,	1),
(66459,	5,	53,	2,	1),
(66460,	5,	53,	3,	1),
(66461,	5,	53,	7,	1),
(66462,	5,	53,	8,	1),
(66463,	5,	53,	9,	1),
(66464,	5,	53,	10,	1),
(66465,	5,	53,	11,	1),
(66466,	5,	53,	12,	1),
(66467,	5,	53,	13,	1),
(66468,	5,	53,	14,	1),
(66469,	5,	53,	15,	1),
(66470,	5,	53,	16,	1),
(66471,	5,	53,	17,	1),
(66472,	5,	53,	18,	1),
(66473,	5,	53,	19,	1),
(66474,	5,	53,	20,	1),
(66475,	5,	53,	21,	1),
(66476,	5,	53,	22,	1),
(66477,	5,	54,	1,	1),
(66478,	5,	54,	2,	1),
(66479,	5,	54,	3,	1),
(66480,	5,	54,	7,	1),
(66481,	5,	54,	8,	1),
(66482,	5,	54,	9,	1),
(66483,	5,	54,	10,	1),
(66484,	5,	54,	11,	1),
(66485,	5,	54,	12,	1),
(66486,	5,	54,	13,	1),
(66487,	5,	54,	14,	1),
(66488,	5,	54,	15,	1),
(66489,	5,	54,	16,	1),
(66490,	5,	54,	17,	1),
(66491,	5,	54,	18,	1),
(66492,	5,	54,	19,	1),
(66493,	5,	54,	20,	1),
(66494,	5,	54,	21,	1),
(66495,	5,	54,	22,	1),
(66496,	5,	55,	1,	1),
(66497,	5,	55,	2,	1),
(66498,	5,	55,	3,	1),
(66499,	5,	55,	7,	1),
(66500,	5,	55,	8,	1),
(66501,	5,	55,	9,	1),
(66502,	5,	55,	10,	1),
(66503,	5,	55,	11,	1),
(66504,	5,	55,	12,	1),
(66505,	5,	55,	13,	1),
(66506,	5,	55,	14,	1),
(66507,	5,	55,	15,	1),
(66508,	5,	55,	16,	1),
(66509,	5,	55,	17,	1),
(66510,	5,	55,	18,	1),
(66511,	5,	55,	19,	1),
(66512,	5,	55,	20,	1),
(66513,	5,	55,	21,	1),
(66514,	5,	55,	22,	1),
(66515,	5,	56,	1,	1),
(66516,	5,	56,	2,	1),
(66517,	5,	56,	3,	1),
(66518,	5,	56,	7,	1),
(66519,	5,	56,	8,	1),
(66520,	5,	56,	9,	1),
(66521,	5,	56,	10,	1),
(66522,	5,	56,	11,	1),
(66523,	5,	56,	12,	1),
(66524,	5,	56,	13,	1),
(66525,	5,	56,	14,	1),
(66526,	5,	56,	15,	1),
(66527,	5,	56,	16,	1),
(66528,	5,	56,	17,	1),
(66529,	5,	56,	18,	1),
(66530,	5,	56,	19,	1),
(66531,	5,	56,	20,	1),
(66532,	5,	56,	21,	1),
(66533,	5,	56,	22,	1),
(66534,	5,	57,	1,	1),
(66535,	5,	57,	2,	1),
(66536,	5,	57,	3,	1),
(66537,	5,	57,	7,	1),
(66538,	5,	57,	8,	1),
(66539,	5,	57,	9,	1),
(66540,	5,	57,	10,	1),
(66541,	5,	57,	11,	1),
(66542,	5,	57,	12,	1),
(66543,	5,	57,	13,	1),
(66544,	5,	57,	14,	1),
(66545,	5,	57,	15,	1),
(66546,	5,	57,	16,	1),
(66547,	5,	57,	17,	1),
(66548,	5,	57,	18,	1),
(66549,	5,	57,	19,	1),
(66550,	5,	57,	20,	1),
(66551,	5,	57,	21,	1),
(66552,	5,	57,	22,	1),
(66553,	5,	58,	1,	1),
(66554,	5,	58,	2,	1),
(66555,	5,	58,	3,	1),
(66556,	5,	58,	7,	1),
(66557,	5,	58,	8,	1),
(66558,	5,	58,	9,	1),
(66559,	5,	58,	10,	1),
(66560,	5,	58,	11,	1),
(66561,	5,	58,	12,	1),
(66562,	5,	58,	13,	1),
(66563,	5,	58,	14,	1),
(66564,	5,	58,	15,	1),
(66565,	5,	58,	16,	1),
(66566,	5,	58,	17,	1),
(66567,	5,	58,	18,	1),
(66568,	5,	58,	19,	1),
(66569,	5,	58,	20,	1),
(66570,	5,	58,	21,	1),
(66571,	5,	58,	22,	1),
(66572,	5,	59,	1,	1),
(66573,	5,	59,	2,	1),
(66574,	5,	59,	3,	1),
(66575,	5,	59,	7,	1),
(66576,	5,	59,	8,	1),
(66577,	5,	59,	9,	1),
(66578,	5,	59,	10,	1),
(66579,	5,	59,	11,	1),
(66580,	5,	59,	12,	1),
(66581,	5,	59,	13,	1),
(66582,	5,	59,	14,	1),
(66583,	5,	59,	15,	1),
(66584,	5,	59,	16,	1),
(66585,	5,	59,	17,	1),
(66586,	5,	59,	18,	1),
(66587,	5,	59,	19,	1),
(66588,	5,	59,	20,	1),
(66589,	5,	59,	21,	1),
(66590,	5,	59,	22,	1),
(66591,	5,	60,	1,	1),
(66592,	5,	60,	2,	1),
(66593,	5,	60,	3,	1),
(66594,	5,	60,	7,	1),
(66595,	5,	60,	8,	1),
(66596,	5,	60,	9,	1),
(66597,	5,	60,	10,	1),
(66598,	5,	60,	11,	1),
(66599,	5,	60,	12,	1),
(66600,	5,	60,	13,	1),
(66601,	5,	60,	14,	1),
(66602,	5,	60,	15,	1),
(66603,	5,	60,	16,	1),
(66604,	5,	60,	17,	1),
(66605,	5,	60,	18,	1),
(66606,	5,	60,	19,	1),
(66607,	5,	60,	20,	1),
(66608,	5,	60,	21,	1),
(66609,	5,	60,	22,	1),
(66610,	5,	61,	1,	1),
(66611,	5,	61,	2,	1),
(66612,	5,	61,	3,	1),
(66613,	5,	61,	7,	1),
(66614,	5,	61,	8,	1),
(66615,	5,	61,	9,	1),
(66616,	5,	61,	10,	1),
(66617,	5,	61,	11,	1),
(66618,	5,	61,	12,	1),
(66619,	5,	61,	13,	1),
(66620,	5,	61,	14,	1),
(66621,	5,	61,	15,	1),
(66622,	5,	61,	16,	1),
(66623,	5,	61,	17,	1),
(66624,	5,	61,	18,	1),
(66625,	5,	61,	19,	1),
(66626,	5,	61,	20,	1),
(66627,	5,	61,	21,	1),
(66628,	5,	61,	22,	1),
(66629,	5,	62,	1,	1),
(66630,	5,	62,	2,	1),
(66631,	5,	62,	3,	1),
(66632,	5,	62,	7,	1),
(66633,	5,	62,	8,	1),
(66634,	5,	62,	9,	1),
(66635,	5,	62,	10,	1),
(66636,	5,	62,	11,	1),
(66637,	5,	62,	12,	1),
(66638,	5,	62,	13,	1),
(66639,	5,	62,	14,	1),
(66640,	5,	62,	15,	1),
(66641,	5,	62,	16,	1),
(66642,	5,	62,	17,	1),
(66643,	5,	62,	18,	1),
(66644,	5,	62,	19,	1),
(66645,	5,	62,	20,	1),
(66646,	5,	62,	21,	1),
(66647,	5,	62,	22,	1),
(66648,	5,	63,	1,	1),
(66649,	5,	63,	2,	1),
(66650,	5,	63,	3,	1),
(66651,	5,	63,	7,	1),
(66652,	5,	63,	8,	1),
(66653,	5,	63,	9,	1),
(66654,	5,	63,	10,	1),
(66655,	5,	63,	11,	1),
(66656,	5,	63,	12,	1),
(66657,	5,	63,	13,	1),
(66658,	5,	63,	14,	1),
(66659,	5,	63,	15,	1),
(66660,	5,	63,	16,	1),
(66661,	5,	63,	17,	1),
(66662,	5,	63,	18,	1),
(66663,	5,	63,	19,	1),
(66664,	5,	63,	20,	1),
(66665,	5,	63,	21,	1),
(66666,	5,	63,	22,	1),
(66667,	5,	64,	1,	1),
(66668,	5,	64,	2,	1),
(66669,	5,	64,	3,	1),
(66670,	5,	64,	7,	1),
(66671,	5,	64,	8,	1),
(66672,	5,	64,	9,	1),
(66673,	5,	64,	10,	1),
(66674,	5,	64,	11,	1),
(66675,	5,	64,	12,	1),
(66676,	5,	64,	13,	1),
(66677,	5,	64,	14,	1),
(66678,	5,	64,	15,	1),
(66679,	5,	64,	16,	1),
(66680,	5,	64,	17,	1),
(66681,	5,	64,	18,	1),
(66682,	5,	64,	19,	1),
(66683,	5,	64,	20,	1),
(66684,	5,	64,	21,	1),
(66685,	5,	64,	22,	1),
(66686,	5,	65,	1,	1),
(66687,	5,	65,	2,	1),
(66688,	5,	65,	3,	1),
(66689,	5,	65,	7,	1),
(66690,	5,	65,	8,	1),
(66691,	5,	65,	9,	1),
(66692,	5,	65,	10,	1),
(66693,	5,	65,	11,	1),
(66694,	5,	65,	12,	1),
(66695,	5,	65,	13,	1),
(66696,	5,	65,	14,	1),
(66697,	5,	65,	15,	1),
(66698,	5,	65,	16,	1),
(66699,	5,	65,	17,	1),
(66700,	5,	65,	18,	1),
(66701,	5,	65,	19,	1),
(66702,	5,	65,	20,	1),
(66703,	5,	65,	21,	1),
(66704,	5,	65,	22,	1),
(66705,	5,	66,	1,	1),
(66706,	5,	66,	2,	1),
(66707,	5,	66,	3,	1),
(66708,	5,	66,	7,	1),
(66709,	5,	66,	8,	1),
(66710,	5,	66,	9,	1),
(66711,	5,	66,	10,	1),
(66712,	5,	66,	11,	1),
(66713,	5,	66,	12,	1),
(66714,	5,	66,	13,	1),
(66715,	5,	66,	14,	1),
(66716,	5,	66,	15,	1),
(66717,	5,	66,	16,	1),
(66718,	5,	66,	17,	1),
(66719,	5,	66,	18,	1),
(66720,	5,	66,	19,	1),
(66721,	5,	66,	20,	1),
(66722,	5,	66,	21,	1),
(66723,	5,	66,	22,	1),
(66724,	5,	67,	1,	1),
(66725,	5,	67,	2,	1),
(66726,	5,	67,	3,	1),
(66727,	5,	67,	7,	1),
(66728,	5,	67,	8,	1),
(66729,	5,	67,	9,	1),
(66730,	5,	67,	10,	1),
(66731,	5,	67,	11,	1),
(66732,	5,	67,	12,	1),
(66733,	5,	67,	13,	1),
(66734,	5,	67,	14,	1),
(66735,	5,	67,	15,	1),
(66736,	5,	67,	16,	1),
(66737,	5,	67,	17,	1),
(66738,	5,	67,	18,	1),
(66739,	5,	67,	19,	1),
(66740,	5,	67,	20,	1),
(66741,	5,	67,	21,	1),
(66742,	5,	67,	22,	1),
(66743,	5,	68,	1,	1),
(66744,	5,	68,	2,	1),
(66745,	5,	68,	3,	1),
(66746,	5,	68,	7,	1),
(66747,	5,	68,	8,	1),
(66748,	5,	68,	9,	1),
(66749,	5,	68,	10,	1),
(66750,	5,	68,	11,	1),
(66751,	5,	68,	12,	1),
(66752,	5,	68,	13,	1),
(66753,	5,	68,	14,	1),
(66754,	5,	68,	15,	1),
(66755,	5,	68,	16,	1),
(66756,	5,	68,	17,	1),
(66757,	5,	68,	18,	1),
(66758,	5,	68,	19,	1),
(66759,	5,	68,	20,	1),
(66760,	5,	68,	21,	1),
(66761,	5,	68,	22,	1),
(66762,	5,	69,	1,	1),
(66763,	5,	69,	2,	1),
(66764,	5,	69,	3,	1),
(66765,	5,	69,	7,	1),
(66766,	5,	69,	8,	1),
(66767,	5,	69,	9,	1),
(66768,	5,	69,	10,	1),
(66769,	5,	69,	11,	1),
(66770,	5,	69,	12,	1),
(66771,	5,	69,	13,	1),
(66772,	5,	69,	14,	1),
(66773,	5,	69,	15,	1),
(66774,	5,	69,	16,	1),
(66775,	5,	69,	17,	1),
(66776,	5,	69,	18,	1),
(66777,	5,	69,	19,	1),
(66778,	5,	69,	20,	1),
(66779,	5,	69,	21,	1),
(66780,	5,	69,	22,	1),
(66781,	5,	70,	1,	1),
(66782,	5,	70,	2,	1),
(66783,	5,	70,	3,	1),
(66784,	5,	70,	7,	1),
(66785,	5,	70,	8,	1),
(66786,	5,	70,	9,	1),
(66787,	5,	70,	10,	1),
(66788,	5,	70,	11,	1),
(66789,	5,	70,	12,	1),
(66790,	5,	70,	13,	1),
(66791,	5,	70,	14,	1),
(66792,	5,	70,	15,	1),
(66793,	5,	70,	16,	1),
(66794,	5,	70,	17,	1),
(66795,	5,	70,	18,	1),
(66796,	5,	70,	19,	1),
(66797,	5,	70,	20,	1),
(66798,	5,	70,	21,	1),
(66799,	5,	70,	22,	1),
(66800,	5,	71,	1,	1),
(66801,	5,	71,	2,	1),
(66802,	5,	71,	3,	1),
(66803,	5,	71,	7,	1),
(66804,	5,	71,	8,	1),
(66805,	5,	71,	9,	1),
(66806,	5,	71,	10,	1),
(66807,	5,	71,	11,	1),
(66808,	5,	71,	12,	1),
(66809,	5,	71,	13,	1),
(66810,	5,	71,	14,	1),
(66811,	5,	71,	15,	1),
(66812,	5,	71,	16,	1),
(66813,	5,	71,	17,	1),
(66814,	5,	71,	18,	1),
(66815,	5,	71,	19,	1),
(66816,	5,	71,	20,	1),
(66817,	5,	71,	21,	1),
(66818,	5,	71,	22,	1),
(66819,	5,	72,	1,	1),
(66820,	5,	72,	2,	1),
(66821,	5,	72,	3,	1),
(66822,	5,	72,	7,	1),
(66823,	5,	72,	8,	1),
(66824,	5,	72,	9,	1),
(66825,	5,	72,	10,	1),
(66826,	5,	72,	11,	1),
(66827,	5,	72,	12,	1),
(66828,	5,	72,	13,	1),
(66829,	5,	72,	14,	1),
(66830,	5,	72,	15,	1),
(66831,	5,	72,	16,	1),
(66832,	5,	72,	17,	1),
(66833,	5,	72,	18,	1),
(66834,	5,	72,	19,	1),
(66835,	5,	72,	20,	1),
(66836,	5,	72,	21,	1),
(66837,	5,	72,	22,	1),
(66838,	5,	73,	1,	1),
(66839,	5,	73,	2,	1),
(66840,	5,	73,	3,	1),
(66841,	5,	73,	7,	1),
(66842,	5,	73,	8,	1),
(66843,	5,	73,	9,	1),
(66844,	5,	73,	10,	1),
(66845,	5,	73,	11,	1),
(66846,	5,	73,	12,	1),
(66847,	5,	73,	13,	1),
(66848,	5,	73,	14,	1),
(66849,	5,	73,	15,	1),
(66850,	5,	73,	16,	1),
(66851,	5,	73,	17,	1),
(66852,	5,	73,	18,	1),
(66853,	5,	73,	19,	1),
(66854,	5,	73,	20,	1),
(66855,	5,	73,	21,	1),
(66856,	5,	73,	22,	1),
(66857,	5,	73,	23,	1),
(66858,	5,	74,	1,	1),
(66859,	5,	74,	2,	1),
(66860,	5,	74,	3,	1),
(66861,	5,	74,	7,	1),
(66862,	5,	74,	8,	1),
(66863,	5,	74,	9,	1),
(66864,	5,	74,	10,	1),
(66865,	5,	74,	11,	1),
(66866,	5,	74,	12,	1),
(66867,	5,	74,	13,	1),
(66868,	5,	74,	14,	1),
(66869,	5,	74,	15,	1),
(66870,	5,	74,	16,	1),
(66871,	5,	74,	17,	1),
(66872,	5,	74,	18,	1),
(66873,	5,	74,	19,	1),
(66874,	5,	74,	20,	1),
(66875,	5,	74,	21,	1),
(66876,	5,	74,	22,	1),
(66877,	5,	75,	1,	1),
(66878,	5,	75,	2,	1),
(66879,	5,	75,	3,	1),
(66880,	5,	75,	7,	1),
(66881,	5,	75,	8,	1),
(66882,	5,	75,	9,	1),
(66883,	5,	75,	10,	1),
(66884,	5,	75,	11,	1),
(66885,	5,	75,	12,	1),
(66886,	5,	75,	13,	1),
(66887,	5,	75,	14,	1),
(66888,	5,	75,	15,	1),
(66889,	5,	75,	16,	1),
(66890,	5,	75,	17,	1),
(66891,	5,	75,	18,	1),
(66892,	5,	75,	19,	1),
(66893,	5,	75,	20,	1),
(66894,	5,	75,	21,	1),
(66895,	5,	75,	22,	1),
(66896,	5,	76,	1,	1),
(66897,	5,	76,	2,	1),
(66898,	5,	76,	3,	1),
(66899,	5,	76,	7,	1),
(66900,	5,	76,	8,	1),
(66901,	5,	76,	9,	1),
(66902,	5,	76,	10,	1),
(66903,	5,	76,	11,	1),
(66904,	5,	76,	12,	1),
(66905,	5,	76,	13,	1),
(66906,	5,	76,	14,	1),
(66907,	5,	76,	15,	1),
(66908,	5,	76,	16,	1),
(66909,	5,	76,	17,	1),
(66910,	5,	76,	18,	1),
(66911,	5,	76,	19,	1),
(66912,	5,	76,	20,	1),
(66913,	5,	76,	21,	1),
(66914,	5,	76,	22,	1),
(66915,	5,	76,	23,	1),
(66916,	5,	77,	1,	1),
(66917,	5,	77,	2,	1),
(66918,	5,	77,	3,	1),
(66919,	5,	77,	7,	1),
(66920,	5,	77,	8,	1),
(66921,	5,	77,	9,	1),
(66922,	5,	77,	10,	1),
(66923,	5,	77,	11,	1),
(66924,	5,	77,	12,	1),
(66925,	5,	77,	13,	1),
(66926,	5,	77,	14,	1),
(66927,	5,	77,	15,	1),
(66928,	5,	77,	16,	1),
(66929,	5,	77,	17,	1),
(66930,	5,	77,	18,	1),
(66931,	5,	77,	19,	1),
(66932,	5,	77,	20,	1),
(66933,	5,	77,	21,	1),
(66934,	5,	77,	22,	1),
(66935,	5,	78,	1,	1),
(66936,	5,	78,	2,	1),
(66937,	5,	78,	3,	1),
(66938,	5,	78,	7,	1),
(66939,	5,	78,	8,	1),
(66940,	5,	78,	9,	1),
(66941,	5,	78,	10,	1),
(66942,	5,	78,	11,	1),
(66943,	5,	78,	12,	1),
(66944,	5,	78,	13,	1),
(66945,	5,	78,	14,	1),
(66946,	5,	78,	15,	1),
(66947,	5,	78,	16,	1),
(66948,	5,	78,	17,	1),
(66949,	5,	78,	18,	1),
(66950,	5,	78,	19,	1),
(66951,	5,	78,	20,	1),
(66952,	5,	78,	21,	1),
(66953,	5,	78,	22,	1),
(66954,	5,	79,	1,	1),
(66955,	5,	79,	2,	1),
(66956,	5,	79,	3,	1),
(66957,	5,	79,	7,	1),
(66958,	5,	79,	8,	1),
(66959,	5,	79,	9,	1),
(66960,	5,	79,	10,	1),
(66961,	5,	79,	11,	1),
(66962,	5,	79,	12,	1),
(66963,	5,	79,	13,	1),
(66964,	5,	79,	14,	1),
(66965,	5,	79,	15,	1),
(66966,	5,	79,	16,	1),
(66967,	5,	79,	17,	1),
(66968,	5,	79,	18,	1),
(66969,	5,	79,	19,	1),
(66970,	5,	79,	20,	1),
(66971,	5,	79,	21,	1),
(66972,	5,	79,	22,	1),
(66973,	5,	80,	1,	1),
(66974,	5,	80,	2,	1),
(66975,	5,	80,	3,	1),
(66976,	5,	80,	7,	1),
(66977,	5,	80,	8,	1),
(66978,	5,	80,	9,	1),
(66979,	5,	80,	10,	1),
(66980,	5,	80,	11,	1),
(66981,	5,	80,	12,	1),
(66982,	5,	80,	13,	1),
(66983,	5,	80,	14,	1),
(66984,	5,	80,	15,	1),
(66985,	5,	80,	16,	1),
(66986,	5,	80,	17,	1),
(66987,	5,	80,	18,	1),
(66988,	5,	80,	19,	1),
(66989,	5,	80,	20,	1),
(66990,	5,	80,	21,	1),
(66991,	5,	80,	22,	1),
(66992,	5,	81,	1,	1),
(66993,	5,	81,	2,	1),
(66994,	5,	81,	3,	1),
(66995,	5,	81,	7,	1),
(66996,	5,	81,	8,	1),
(66997,	5,	81,	9,	1),
(66998,	5,	81,	10,	1),
(66999,	5,	81,	11,	1),
(67000,	5,	81,	12,	1),
(67001,	5,	81,	13,	1),
(67002,	5,	81,	14,	1),
(67003,	5,	81,	15,	1),
(67004,	5,	81,	16,	1),
(67005,	5,	81,	17,	1),
(67006,	5,	81,	18,	1),
(67007,	5,	81,	19,	1),
(67008,	5,	81,	20,	1),
(67009,	5,	81,	21,	1),
(67010,	5,	81,	22,	1),
(67011,	5,	82,	1,	1),
(67012,	5,	82,	2,	1),
(67013,	5,	82,	3,	1),
(67014,	5,	82,	7,	1),
(67015,	5,	82,	8,	1),
(67016,	5,	82,	9,	1),
(67017,	5,	82,	10,	1),
(67018,	5,	82,	11,	1),
(67019,	5,	82,	12,	1),
(67020,	5,	82,	13,	1),
(67021,	5,	82,	14,	1),
(67022,	5,	82,	15,	1),
(67023,	5,	82,	16,	1),
(67024,	5,	82,	17,	1),
(67025,	5,	82,	18,	1),
(67026,	5,	82,	19,	1),
(67027,	5,	82,	20,	1),
(67028,	5,	82,	21,	1),
(67029,	5,	82,	22,	1),
(67030,	5,	83,	1,	1),
(67031,	5,	83,	2,	1),
(67032,	5,	83,	3,	1),
(67033,	5,	83,	7,	1),
(67034,	5,	83,	8,	1),
(67035,	5,	83,	9,	1),
(67036,	5,	83,	10,	1),
(67037,	5,	83,	11,	1),
(67038,	5,	83,	12,	1),
(67039,	5,	83,	13,	1),
(67040,	5,	83,	14,	1),
(67041,	5,	83,	15,	1),
(67042,	5,	83,	16,	1),
(67043,	5,	83,	17,	1),
(67044,	5,	83,	18,	1),
(67045,	5,	83,	19,	1),
(67046,	5,	83,	20,	1),
(67047,	5,	83,	21,	1),
(67048,	5,	83,	22,	1),
(67049,	5,	84,	1,	1),
(67050,	5,	84,	2,	1),
(67051,	5,	84,	3,	1),
(67052,	5,	84,	7,	1),
(67053,	5,	84,	8,	1),
(67054,	5,	84,	9,	1),
(67055,	5,	84,	10,	1),
(67056,	5,	84,	11,	1),
(67057,	5,	84,	12,	1),
(67058,	5,	84,	13,	1),
(67059,	5,	84,	14,	1),
(67060,	5,	84,	15,	1),
(67061,	5,	84,	16,	1),
(67062,	5,	84,	17,	1),
(67063,	5,	84,	18,	1),
(67064,	5,	84,	19,	1),
(67065,	5,	84,	20,	1),
(67066,	5,	84,	21,	1),
(67067,	5,	84,	22,	1),
(67068,	5,	85,	1,	1),
(67069,	5,	85,	2,	1),
(67070,	5,	85,	3,	1),
(67071,	5,	85,	7,	1),
(67072,	5,	85,	8,	1),
(67073,	5,	85,	9,	1),
(67074,	5,	85,	10,	1),
(67075,	5,	85,	11,	1),
(67076,	5,	85,	12,	1),
(67077,	5,	85,	13,	1),
(67078,	5,	85,	14,	1),
(67079,	5,	85,	15,	1),
(67080,	5,	85,	16,	1),
(67081,	5,	85,	17,	1),
(67082,	5,	85,	18,	1),
(67083,	5,	85,	19,	1),
(67084,	5,	85,	20,	1),
(67085,	5,	85,	21,	1),
(67086,	5,	85,	22,	1),
(67087,	5,	86,	1,	1),
(67088,	5,	86,	2,	1),
(67089,	5,	86,	3,	1),
(67090,	5,	86,	7,	1),
(67091,	5,	86,	8,	1),
(67092,	5,	86,	9,	1),
(67093,	5,	86,	10,	1),
(67094,	5,	86,	11,	1),
(67095,	5,	86,	12,	1),
(67096,	5,	86,	13,	1),
(67097,	5,	86,	14,	1),
(67098,	5,	86,	15,	1),
(67099,	5,	86,	16,	1),
(67100,	5,	86,	17,	1),
(67101,	5,	86,	18,	1),
(67102,	5,	86,	19,	1),
(67103,	5,	86,	20,	1),
(67104,	5,	86,	21,	1),
(67105,	5,	86,	22,	1),
(67106,	5,	87,	1,	1),
(67107,	5,	87,	2,	1),
(67108,	5,	87,	3,	1),
(67109,	5,	87,	7,	1),
(67110,	5,	87,	8,	1),
(67111,	5,	87,	9,	1),
(67112,	5,	87,	10,	1),
(67113,	5,	87,	11,	1),
(67114,	5,	87,	12,	1),
(67115,	5,	87,	13,	1),
(67116,	5,	87,	14,	1),
(67117,	5,	87,	15,	1),
(67118,	5,	87,	16,	1),
(67119,	5,	87,	17,	1),
(67120,	5,	87,	18,	1),
(67121,	5,	87,	19,	1),
(67122,	5,	87,	20,	1),
(67123,	5,	87,	21,	1),
(67124,	5,	87,	22,	1),
(67125,	5,	88,	1,	1),
(67126,	5,	88,	2,	1),
(67127,	5,	88,	3,	1),
(67128,	5,	88,	7,	1),
(67129,	5,	88,	8,	1),
(67130,	5,	88,	9,	1),
(67131,	5,	88,	10,	1),
(67132,	5,	88,	11,	1),
(67133,	5,	88,	12,	1),
(67134,	5,	88,	13,	1),
(67135,	5,	88,	14,	1),
(67136,	5,	88,	15,	1),
(67137,	5,	88,	16,	1),
(67138,	5,	88,	17,	1),
(67139,	5,	88,	18,	1),
(67140,	5,	88,	19,	1),
(67141,	5,	88,	20,	1),
(67142,	5,	88,	21,	1),
(67143,	5,	88,	22,	1),
(67144,	5,	89,	1,	1),
(67145,	5,	89,	2,	1),
(67146,	5,	89,	3,	1),
(67147,	5,	89,	7,	1),
(67148,	5,	89,	8,	1),
(67149,	5,	89,	9,	1),
(67150,	5,	89,	10,	1),
(67151,	5,	89,	11,	1),
(67152,	5,	89,	12,	1),
(67153,	5,	89,	13,	1),
(67154,	5,	89,	14,	1),
(67155,	5,	89,	15,	1),
(67156,	5,	89,	16,	1),
(67157,	5,	89,	17,	1),
(67158,	5,	89,	18,	1),
(67159,	5,	89,	19,	1),
(67160,	5,	89,	20,	1),
(67161,	5,	89,	21,	1),
(67162,	5,	89,	22,	1),
(67163,	5,	89,	23,	1),
(67164,	5,	90,	1,	1),
(67165,	5,	90,	2,	1),
(67166,	5,	90,	3,	1),
(67167,	5,	90,	7,	1),
(67168,	5,	90,	8,	1),
(67169,	5,	90,	9,	1),
(67170,	5,	90,	10,	1),
(67171,	5,	90,	11,	1),
(67172,	5,	90,	12,	1),
(67173,	5,	90,	13,	1),
(67174,	5,	90,	14,	1),
(67175,	5,	90,	15,	1),
(67176,	5,	90,	16,	1),
(67177,	5,	90,	17,	1),
(67178,	5,	90,	18,	1),
(67179,	5,	90,	19,	1),
(67180,	5,	90,	20,	1),
(67181,	5,	90,	21,	1),
(67182,	5,	90,	22,	1),
(67183,	5,	91,	1,	1),
(67184,	5,	91,	2,	1),
(67185,	5,	91,	3,	1),
(67186,	5,	91,	7,	1),
(67187,	5,	91,	8,	1),
(67188,	5,	91,	9,	1),
(67189,	5,	91,	10,	1),
(67190,	5,	91,	11,	1),
(67191,	5,	91,	12,	1),
(67192,	5,	91,	13,	1),
(67193,	5,	91,	14,	1),
(67194,	5,	91,	15,	1),
(67195,	5,	91,	16,	1),
(67196,	5,	91,	17,	1),
(67197,	5,	91,	18,	1),
(67198,	5,	91,	19,	1),
(67199,	5,	91,	20,	1),
(67200,	5,	91,	21,	1),
(67201,	5,	91,	22,	1),
(67202,	5,	92,	1,	1),
(67203,	5,	92,	2,	1),
(67204,	5,	92,	3,	1),
(67205,	5,	92,	7,	1),
(67206,	5,	92,	8,	1),
(67207,	5,	92,	9,	1),
(67208,	5,	92,	10,	1),
(67209,	5,	92,	11,	1),
(67210,	5,	92,	12,	1),
(67211,	5,	92,	13,	1),
(67212,	5,	92,	14,	1),
(67213,	5,	92,	15,	1),
(67214,	5,	92,	16,	1),
(67215,	5,	92,	17,	1),
(67216,	5,	92,	18,	1),
(67217,	5,	92,	19,	1),
(67218,	5,	92,	20,	1),
(67219,	5,	92,	21,	1),
(67220,	5,	92,	22,	1),
(67221,	5,	93,	1,	1),
(67222,	5,	93,	2,	1),
(67223,	5,	93,	3,	1),
(67224,	5,	93,	7,	1),
(67225,	5,	93,	8,	1),
(67226,	5,	93,	9,	1),
(67227,	5,	93,	10,	1),
(67228,	5,	93,	11,	1),
(67229,	5,	93,	12,	1),
(67230,	5,	93,	13,	1),
(67231,	5,	93,	14,	1),
(67232,	5,	93,	15,	1),
(67233,	5,	93,	16,	1),
(67234,	5,	93,	17,	1),
(67235,	5,	93,	18,	1),
(67236,	5,	93,	19,	1),
(67237,	5,	93,	20,	1),
(67238,	5,	93,	21,	1),
(67239,	5,	93,	22,	1),
(67240,	5,	94,	1,	1),
(67241,	5,	94,	2,	1),
(67242,	5,	94,	3,	1),
(67243,	5,	94,	7,	1),
(67244,	5,	94,	8,	1),
(67245,	5,	94,	9,	1),
(67246,	5,	94,	10,	1),
(67247,	5,	94,	11,	1),
(67248,	5,	94,	12,	1),
(67249,	5,	94,	13,	1),
(67250,	5,	94,	14,	1),
(67251,	5,	94,	15,	1),
(67252,	5,	94,	16,	1),
(67253,	5,	94,	17,	1),
(67254,	5,	94,	18,	1),
(67255,	5,	94,	19,	1),
(67256,	5,	94,	20,	1),
(67257,	5,	94,	21,	1),
(67258,	5,	94,	22,	1),
(67259,	5,	95,	1,	1),
(67260,	5,	95,	2,	1),
(67261,	5,	95,	3,	1),
(67262,	5,	95,	7,	1),
(67263,	5,	95,	8,	1),
(67264,	5,	95,	9,	1),
(67265,	5,	95,	10,	1),
(67266,	5,	95,	11,	1),
(67267,	5,	95,	12,	1),
(67268,	5,	95,	13,	1),
(67269,	5,	95,	14,	1),
(67270,	5,	95,	15,	1),
(67271,	5,	95,	16,	1),
(67272,	5,	95,	17,	1),
(67273,	5,	95,	18,	1),
(67274,	5,	95,	19,	1),
(67275,	5,	95,	20,	1),
(67276,	5,	95,	21,	1),
(67277,	5,	95,	22,	1),
(67278,	5,	96,	1,	1),
(67279,	5,	96,	2,	1),
(67280,	5,	96,	3,	1),
(67281,	5,	96,	7,	1),
(67282,	5,	96,	8,	1),
(67283,	5,	96,	9,	1),
(67284,	5,	96,	10,	1),
(67285,	5,	96,	11,	1),
(67286,	5,	96,	12,	1),
(67287,	5,	96,	13,	1),
(67288,	5,	96,	14,	1),
(67289,	5,	96,	15,	1),
(67290,	5,	96,	16,	1),
(67291,	5,	96,	17,	1),
(67292,	5,	96,	18,	1),
(67293,	5,	96,	19,	1),
(67294,	5,	96,	20,	1),
(67295,	5,	96,	21,	1),
(67296,	5,	96,	22,	1),
(67297,	5,	96,	23,	1),
(67298,	5,	97,	1,	1),
(67299,	5,	97,	2,	1),
(67300,	5,	97,	3,	1),
(67301,	5,	97,	7,	1),
(67302,	5,	97,	8,	1),
(67303,	5,	97,	9,	1),
(67304,	5,	97,	10,	1),
(67305,	5,	97,	11,	1),
(67306,	5,	97,	12,	1),
(67307,	5,	97,	13,	1),
(67308,	5,	97,	14,	1),
(67309,	5,	97,	15,	1),
(67310,	5,	97,	16,	1),
(67311,	5,	97,	17,	1),
(67312,	5,	97,	18,	1),
(67313,	5,	97,	19,	1),
(67314,	5,	97,	20,	1),
(67315,	5,	97,	21,	1),
(67316,	5,	97,	22,	1),
(67317,	5,	98,	1,	1),
(67318,	5,	98,	2,	1),
(67319,	5,	98,	3,	1),
(67320,	5,	98,	7,	1),
(67321,	5,	98,	8,	1),
(67322,	5,	98,	9,	1),
(67323,	5,	98,	10,	1),
(67324,	5,	98,	11,	1),
(67325,	5,	98,	12,	1),
(67326,	5,	98,	13,	1),
(67327,	5,	98,	14,	1),
(67328,	5,	98,	15,	1),
(67329,	5,	98,	16,	1),
(67330,	5,	98,	17,	1),
(67331,	5,	98,	18,	1),
(67332,	5,	98,	19,	1),
(67333,	5,	98,	20,	1),
(67334,	5,	98,	21,	1),
(67335,	5,	98,	22,	1),
(67336,	5,	99,	1,	1),
(67337,	5,	99,	2,	1),
(67338,	5,	99,	3,	1),
(67339,	5,	99,	7,	1),
(67340,	5,	99,	8,	1),
(67341,	5,	99,	9,	1),
(67342,	5,	99,	10,	1),
(67343,	5,	99,	11,	1),
(67344,	5,	99,	12,	1),
(67345,	5,	99,	13,	1),
(67346,	5,	99,	14,	1),
(67347,	5,	99,	15,	1),
(67348,	5,	99,	16,	1),
(67349,	5,	99,	17,	1),
(67350,	5,	99,	18,	1),
(67351,	5,	99,	19,	1),
(67352,	5,	99,	20,	1),
(67353,	5,	99,	21,	1),
(67354,	5,	99,	22,	1),
(67355,	5,	100,	1,	1),
(67356,	5,	100,	2,	1),
(67357,	5,	100,	3,	1),
(67358,	5,	100,	7,	1),
(67359,	5,	100,	8,	1),
(67360,	5,	100,	9,	1),
(67361,	5,	100,	10,	1),
(67362,	5,	100,	11,	1),
(67363,	5,	100,	12,	1),
(67364,	5,	100,	13,	1),
(67365,	5,	100,	14,	1),
(67366,	5,	100,	15,	1),
(67367,	5,	100,	16,	1),
(67368,	5,	100,	17,	1),
(67369,	5,	100,	18,	1),
(67370,	5,	100,	19,	1),
(67371,	5,	100,	20,	1),
(67372,	5,	100,	21,	1),
(67373,	5,	100,	22,	1),
(67374,	5,	101,	1,	1),
(67375,	5,	101,	2,	1),
(67376,	5,	101,	3,	1),
(67377,	5,	101,	5,	1),
(67378,	5,	101,	1,	3),
(67379,	5,	101,	2,	3),
(67380,	5,	101,	3,	3),
(67381,	5,	101,	5,	3),
(67382,	5,	101,	1,	2),
(67383,	5,	101,	2,	2),
(67384,	5,	101,	3,	2),
(67385,	5,	101,	5,	2),
(67386,	5,	102,	1,	1),
(67387,	5,	102,	2,	1),
(67388,	5,	102,	3,	1),
(67389,	5,	103,	1,	1),
(67390,	5,	103,	2,	1),
(67391,	5,	103,	3,	1),
(67392,	5,	103,	6,	1),
(67393,	5,	103,	24,	1),
(67394,	5,	103,	4,	1),
(67395,	5,	103,	25,	1),
(67396,	5,	103,	5,	1),
(67397,	5,	103,	26,	1),
(67398,	5,	104,	1,	1),
(67399,	5,	104,	2,	1),
(67400,	5,	104,	3,	1),
(67401,	5,	104,	24,	1),
(67402,	5,	104,	6,	1),
(67403,	5,	104,	4,	1),
(67404,	5,	104,	25,	1),
(67405,	5,	104,	5,	1),
(67406,	5,	104,	1,	3),
(67407,	5,	104,	2,	3),
(67408,	5,	104,	3,	3),
(67409,	5,	104,	24,	3),
(67410,	5,	104,	6,	3),
(67411,	5,	104,	4,	3),
(67412,	5,	104,	25,	3),
(67413,	5,	104,	5,	3),
(67414,	5,	105,	1,	1),
(67415,	5,	105,	2,	1),
(67416,	5,	105,	3,	1),
(67417,	5,	105,	24,	1),
(67418,	5,	105,	6,	1),
(67419,	5,	105,	4,	1),
(67420,	5,	105,	25,	1),
(67421,	5,	105,	5,	1),
(67422,	5,	105,	1,	3),
(67423,	5,	105,	2,	3),
(67424,	5,	105,	3,	3),
(67425,	5,	105,	24,	3),
(67426,	5,	105,	6,	3),
(67427,	5,	105,	4,	3),
(67428,	5,	105,	25,	3),
(67429,	5,	105,	5,	3),
(67430,	5,	106,	1,	1),
(67431,	5,	106,	2,	1),
(67432,	5,	106,	3,	1),
(67433,	5,	106,	24,	1),
(67434,	5,	106,	6,	1),
(67435,	5,	106,	4,	1),
(67436,	5,	106,	25,	1),
(67437,	5,	106,	5,	1),
(67438,	5,	106,	1,	3),
(67439,	5,	106,	2,	3),
(67440,	5,	106,	3,	3),
(67441,	5,	106,	24,	3),
(67442,	5,	106,	6,	3),
(67443,	5,	106,	4,	3),
(67444,	5,	106,	25,	3),
(67445,	5,	106,	5,	3),
(67446,	5,	107,	1,	1),
(67447,	5,	107,	2,	1),
(67448,	5,	107,	3,	1),
(67449,	5,	107,	24,	1),
(67450,	5,	107,	6,	1),
(67451,	5,	107,	4,	1),
(67452,	5,	107,	25,	1),
(67453,	5,	107,	5,	1),
(67454,	5,	107,	1,	3),
(67455,	5,	107,	2,	3),
(67456,	5,	107,	3,	3),
(67457,	5,	107,	24,	3),
(67458,	5,	107,	6,	3),
(67459,	5,	107,	4,	3),
(67460,	5,	107,	25,	3),
(67461,	5,	107,	5,	3),
(67462,	5,	108,	1,	1),
(67463,	5,	108,	2,	1),
(67464,	5,	108,	3,	1),
(67465,	5,	108,	24,	1),
(67466,	5,	108,	25,	1),
(67467,	5,	108,	4,	1),
(67468,	5,	108,	1,	3),
(67469,	5,	108,	2,	3),
(67470,	5,	108,	3,	3),
(67471,	5,	108,	24,	3),
(67472,	5,	108,	25,	3),
(67473,	5,	108,	4,	3),
(67474,	5,	109,	1,	1),
(67475,	5,	109,	2,	1),
(67476,	5,	109,	3,	1),
(67477,	5,	109,	24,	1),
(67478,	5,	109,	6,	1),
(67479,	5,	109,	4,	1),
(67480,	5,	109,	25,	1),
(67481,	5,	109,	5,	1),
(67482,	5,	109,	1,	3),
(67483,	5,	109,	2,	3),
(67484,	5,	109,	3,	3),
(67485,	5,	109,	24,	3),
(67486,	5,	109,	6,	3),
(67487,	5,	109,	4,	3),
(67488,	5,	109,	25,	3),
(67489,	5,	109,	5,	3),
(67490,	5,	110,	1,	1),
(67491,	5,	110,	2,	1),
(67492,	5,	110,	3,	1),
(67493,	5,	110,	24,	1),
(67494,	5,	110,	6,	1),
(67495,	5,	110,	4,	1),
(67496,	5,	110,	25,	1),
(67497,	5,	110,	5,	1),
(67498,	5,	110,	1,	3),
(67499,	5,	110,	2,	3),
(67500,	5,	110,	3,	3),
(67501,	5,	110,	24,	3),
(67502,	5,	110,	6,	3),
(67503,	5,	110,	4,	3),
(67504,	5,	110,	25,	3),
(67505,	5,	110,	5,	3),
(67506,	5,	111,	1,	1),
(67507,	5,	111,	2,	1),
(67508,	5,	111,	3,	1),
(67509,	5,	111,	24,	1),
(67510,	5,	111,	6,	1),
(67511,	5,	111,	4,	1),
(67512,	5,	111,	25,	1),
(67513,	5,	111,	5,	1),
(67514,	5,	111,	1,	2),
(67515,	5,	111,	2,	2),
(67516,	5,	111,	3,	2),
(67517,	5,	111,	24,	2),
(67518,	5,	111,	6,	2),
(67519,	5,	111,	4,	2),
(67520,	5,	111,	25,	2),
(67521,	5,	111,	5,	2),
(67522,	5,	112,	1,	1),
(67523,	5,	112,	2,	1),
(67524,	5,	112,	3,	1),
(67525,	5,	112,	24,	1),
(67526,	5,	112,	6,	1),
(67527,	5,	112,	4,	1),
(67528,	5,	112,	25,	1),
(67529,	5,	112,	5,	1),
(67530,	5,	112,	1,	3),
(67531,	5,	112,	2,	3),
(67532,	5,	112,	3,	3),
(67533,	5,	112,	24,	3),
(67534,	5,	112,	6,	3),
(67535,	5,	112,	4,	3),
(67536,	5,	112,	25,	3),
(67537,	5,	112,	5,	3),
(67538,	5,	113,	1,	1),
(67539,	5,	113,	2,	1),
(67540,	5,	113,	3,	1),
(67541,	5,	113,	5,	1),
(67542,	5,	113,	1,	3),
(67543,	5,	113,	2,	3),
(67544,	5,	113,	3,	3),
(67545,	5,	113,	5,	3),
(67546,	5,	113,	1,	2),
(67547,	5,	113,	2,	2),
(67548,	5,	113,	3,	2),
(67549,	5,	113,	5,	2),
(67550,	5,	114,	1,	1),
(67551,	5,	114,	2,	1),
(67552,	5,	114,	3,	1),
(67553,	5,	114,	5,	1),
(67554,	5,	114,	1,	3),
(67555,	5,	114,	2,	3),
(67556,	5,	114,	3,	3),
(67557,	5,	114,	5,	3),
(67558,	5,	114,	1,	2),
(67559,	5,	114,	2,	2),
(67560,	5,	114,	3,	2),
(67561,	5,	114,	5,	2),
(67562,	5,	115,	1,	1),
(67563,	5,	115,	2,	1),
(67564,	5,	115,	3,	1),
(67565,	5,	115,	1,	2),
(67566,	5,	115,	2,	2),
(67567,	5,	115,	3,	2),
(67584,	5,	118,	1,	3),
(67585,	5,	118,	2,	3),
(67586,	5,	118,	3,	3),
(67587,	5,	118,	23,	3),
(67588,	5,	119,	1,	1),
(67589,	5,	119,	2,	1),
(67590,	5,	119,	3,	1),
(67591,	5,	119,	1,	2),
(67592,	5,	119,	2,	2),
(67593,	5,	119,	3,	2),
(67594,	5,	120,	1,	1),
(67595,	5,	120,	2,	1),
(67596,	5,	120,	3,	1),
(67597,	5,	120,	1,	2),
(67598,	5,	120,	2,	2),
(67599,	5,	120,	3,	2),
(67600,	5,	121,	1,	1),
(67601,	5,	121,	2,	1),
(67602,	5,	121,	3,	1),
(67603,	5,	121,	1,	2),
(67604,	5,	121,	2,	2),
(67605,	5,	121,	3,	2),
(67606,	5,	122,	1,	1),
(67607,	5,	122,	2,	1),
(67608,	5,	122,	3,	1),
(67609,	5,	122,	1,	2),
(67610,	5,	122,	2,	2),
(67611,	5,	122,	3,	2),
(67612,	5,	123,	1,	1),
(67613,	5,	123,	2,	1),
(67614,	5,	123,	3,	1),
(67615,	5,	123,	1,	2),
(67616,	5,	123,	2,	2),
(67617,	5,	123,	3,	2),
(67618,	5,	124,	1,	1),
(67619,	5,	124,	2,	1),
(67620,	5,	124,	3,	1),
(67621,	5,	125,	1,	1),
(67622,	5,	125,	2,	1),
(67623,	5,	125,	3,	1),
(67624,	5,	126,	1,	1),
(67625,	5,	126,	2,	1),
(67626,	5,	126,	3,	1),
(67627,	5,	127,	1,	1),
(67628,	5,	127,	2,	1),
(67629,	5,	127,	3,	1),
(67630,	5,	127,	1,	2),
(67631,	5,	127,	2,	2),
(67632,	5,	127,	3,	2),
(67633,	5,	128,	1,	1),
(67634,	5,	128,	2,	1),
(67635,	5,	128,	3,	1),
(67636,	5,	128,	1,	2),
(67637,	5,	128,	2,	2),
(67638,	5,	128,	3,	2),
(67639,	5,	129,	1,	1),
(67640,	5,	129,	2,	1),
(67641,	5,	129,	3,	1),
(67642,	5,	129,	1,	2),
(67643,	5,	129,	2,	2),
(67644,	5,	129,	3,	2),
(67645,	5,	130,	1,	1),
(67646,	5,	130,	2,	1),
(67647,	5,	130,	3,	1),
(67648,	5,	130,	1,	2),
(67649,	5,	130,	2,	2),
(67650,	5,	130,	3,	2),
(67651,	5,	131,	1,	1),
(67652,	5,	131,	2,	1),
(67653,	5,	131,	3,	1),
(67654,	5,	131,	1,	2),
(67655,	5,	131,	2,	2),
(67656,	5,	131,	3,	2),
(67657,	5,	132,	1,	1),
(67658,	5,	132,	2,	1),
(67659,	5,	132,	3,	1),
(67660,	5,	132,	1,	2),
(67661,	5,	132,	2,	2),
(67662,	5,	132,	3,	2),
(67663,	5,	133,	1,	1),
(67664,	5,	133,	2,	1),
(67665,	5,	133,	3,	1),
(67666,	5,	133,	1,	2),
(67667,	5,	133,	2,	2),
(67668,	5,	133,	3,	2),
(67669,	5,	134,	1,	1),
(67670,	5,	134,	2,	1),
(67671,	5,	134,	3,	1),
(67672,	5,	135,	1,	1),
(67673,	5,	135,	2,	1),
(67674,	5,	135,	3,	1),
(67675,	5,	136,	1,	1),
(67676,	5,	136,	2,	1),
(67677,	5,	136,	3,	1),
(67678,	5,	136,	23,	1),
(67679,	5,	136,	1,	2),
(67680,	5,	136,	2,	2),
(67681,	5,	136,	3,	2),
(67682,	5,	136,	23,	2),
(67683,	5,	137,	1,	1),
(67684,	5,	137,	2,	1),
(67685,	5,	137,	3,	1),
(67686,	5,	137,	1,	2),
(67687,	5,	137,	2,	2),
(67688,	5,	137,	3,	2),
(67689,	5,	138,	1,	1),
(67690,	5,	138,	2,	1),
(67691,	5,	138,	3,	1),
(67692,	5,	138,	1,	2),
(67693,	5,	138,	2,	2),
(67694,	5,	138,	3,	2),
(67695,	5,	139,	1,	1),
(67696,	5,	139,	2,	1),
(67697,	5,	139,	3,	1),
(67698,	5,	140,	1,	1),
(67699,	5,	140,	2,	1),
(67700,	5,	140,	3,	1),
(67701,	5,	140,	23,	1),
(67702,	5,	140,	6,	1),
(67703,	5,	141,	1,	1),
(67704,	5,	141,	2,	1),
(67705,	5,	141,	3,	1),
(67706,	5,	141,	1,	2),
(67707,	5,	141,	2,	2),
(67708,	5,	141,	3,	2),
(67709,	5,	142,	1,	1),
(67710,	5,	142,	2,	1),
(67711,	5,	142,	3,	1),
(67712,	5,	142,	1,	2),
(67713,	5,	142,	2,	2),
(67714,	5,	142,	3,	2),
(67715,	5,	143,	1,	1),
(67716,	5,	143,	2,	1),
(67717,	5,	143,	3,	1),
(67718,	5,	143,	1,	2),
(67719,	5,	143,	2,	2),
(67720,	5,	143,	3,	2),
(67721,	5,	144,	1,	1),
(67722,	5,	144,	2,	1),
(67723,	5,	144,	3,	1),
(67724,	5,	144,	1,	2),
(67725,	5,	144,	2,	2),
(67726,	5,	144,	3,	2),
(67727,	5,	145,	1,	1),
(67728,	5,	145,	2,	1),
(67729,	5,	145,	3,	1),
(67730,	5,	145,	1,	2),
(67731,	5,	145,	2,	2),
(67732,	5,	145,	3,	2),
(67733,	5,	146,	1,	1),
(67734,	5,	146,	2,	1),
(67735,	5,	146,	3,	1),
(67736,	5,	146,	1,	2),
(67737,	5,	146,	2,	2),
(67738,	5,	146,	3,	2),
(67739,	5,	147,	1,	1),
(67740,	5,	147,	2,	1),
(67741,	5,	147,	3,	1),
(67742,	5,	147,	1,	2),
(67743,	5,	147,	2,	2),
(67744,	5,	147,	3,	2),
(67745,	5,	148,	1,	1),
(67746,	5,	148,	2,	1),
(67747,	5,	148,	3,	1),
(67748,	5,	149,	1,	1),
(67749,	5,	149,	2,	1),
(67750,	5,	149,	3,	1),
(67751,	5,	149,	1,	2),
(67752,	5,	149,	2,	2),
(67753,	5,	149,	3,	2),
(67754,	5,	150,	1,	1),
(67755,	5,	150,	2,	1),
(67756,	5,	150,	3,	1),
(67757,	5,	151,	1,	1),
(67758,	5,	151,	2,	1),
(67759,	5,	151,	3,	1),
(67760,	5,	152,	1,	1),
(67761,	5,	152,	2,	1),
(67762,	5,	152,	3,	1),
(67763,	5,	153,	1,	1),
(67764,	5,	153,	2,	1),
(67765,	5,	153,	3,	1),
(67766,	5,	154,	1,	1),
(67767,	5,	154,	2,	1),
(67768,	5,	154,	3,	1),
(67769,	5,	154,	1,	2),
(67770,	5,	154,	2,	2),
(67771,	5,	154,	3,	2),
(67772,	5,	156,	1,	1),
(67773,	5,	156,	2,	1),
(67774,	5,	156,	3,	1),
(67775,	5,	157,	1,	1),
(67776,	5,	157,	2,	1),
(67777,	5,	157,	3,	1),
(67778,	5,	158,	1,	1),
(67779,	5,	158,	2,	1),
(67780,	5,	158,	3,	1),
(67781,	5,	158,	1,	2),
(67782,	5,	158,	2,	2),
(67783,	5,	158,	3,	2),
(67784,	5,	159,	1,	1),
(67785,	5,	159,	2,	1),
(67786,	5,	159,	3,	1),
(67787,	5,	160,	1,	1),
(67788,	5,	160,	2,	1),
(67789,	5,	160,	3,	1),
(67790,	5,	160,	1,	2),
(67791,	5,	160,	2,	2),
(67792,	5,	160,	3,	2),
(67793,	5,	161,	1,	1),
(67794,	5,	161,	2,	1),
(67795,	5,	161,	3,	1),
(67796,	5,	162,	1,	1),
(67797,	5,	162,	2,	1),
(67798,	5,	162,	3,	1),
(67799,	5,	163,	1,	1),
(67800,	5,	163,	2,	1),
(67801,	5,	163,	3,	1),
(67802,	5,	164,	1,	1),
(67803,	5,	164,	2,	1),
(67804,	5,	164,	3,	1),
(67805,	5,	164,	1,	2),
(67806,	5,	164,	2,	2),
(67807,	5,	164,	3,	2),
(67808,	5,	165,	1,	1),
(67809,	5,	165,	2,	1),
(67810,	5,	165,	3,	1),
(67811,	5,	166,	1,	1),
(67812,	5,	166,	2,	1),
(67813,	5,	166,	3,	1),
(67814,	5,	167,	1,	1),
(67815,	5,	167,	2,	1),
(67816,	5,	167,	3,	1),
(67817,	5,	167,	1,	2),
(67818,	5,	167,	2,	2),
(67819,	5,	167,	3,	2),
(67820,	5,	168,	1,	1),
(67821,	5,	168,	2,	1),
(67822,	5,	168,	3,	1),
(67823,	5,	168,	1,	2),
(67824,	5,	168,	2,	2),
(67825,	5,	168,	3,	2),
(67826,	5,	169,	1,	1),
(67827,	5,	169,	2,	1),
(67828,	5,	169,	3,	1),
(67829,	5,	170,	1,	1),
(67830,	5,	170,	2,	1),
(67831,	5,	170,	3,	1),
(67832,	5,	170,	1,	2),
(67833,	5,	170,	2,	2),
(67834,	5,	170,	3,	2),
(67835,	5,	171,	1,	1),
(67836,	5,	171,	2,	1),
(67837,	5,	171,	3,	1),
(67838,	5,	171,	1,	2),
(67839,	5,	171,	2,	2),
(67840,	5,	171,	3,	2),
(67841,	5,	172,	1,	1),
(67842,	5,	172,	2,	1),
(67843,	5,	172,	3,	1),
(67844,	5,	172,	1,	2),
(67845,	5,	172,	2,	2),
(67846,	5,	172,	3,	2),
(67847,	5,	173,	1,	1),
(67848,	5,	173,	2,	1),
(67849,	5,	173,	3,	1),
(67850,	5,	173,	1,	2),
(67851,	5,	173,	2,	2),
(67852,	5,	173,	3,	2),
(67853,	5,	174,	1,	1),
(67854,	5,	174,	2,	1),
(67855,	5,	174,	3,	1),
(67856,	5,	174,	1,	2),
(67857,	5,	174,	2,	2),
(67858,	5,	174,	3,	2),
(67862,	5,	176,	1,	1),
(67863,	5,	176,	2,	1),
(67864,	5,	176,	3,	1),
(67865,	5,	177,	1,	1),
(67866,	5,	177,	2,	1),
(67867,	5,	177,	3,	1),
(67868,	5,	178,	1,	1),
(67869,	5,	178,	2,	1),
(67870,	5,	178,	3,	1),
(67871,	5,	179,	1,	1),
(67872,	5,	179,	2,	1),
(67873,	5,	179,	3,	1),
(67874,	5,	180,	1,	1),
(67875,	5,	180,	2,	1),
(67876,	5,	180,	3,	1),
(67877,	5,	180,	1,	2),
(67878,	5,	180,	2,	2),
(67879,	5,	180,	3,	2),
(67880,	5,	181,	1,	1),
(67881,	5,	181,	2,	1),
(67882,	5,	181,	3,	1),
(67883,	5,	181,	1,	2),
(67884,	5,	181,	2,	2),
(67885,	5,	181,	3,	2),
(67886,	5,	182,	1,	1),
(67887,	5,	182,	2,	1),
(67888,	5,	182,	3,	1),
(67889,	5,	183,	1,	1),
(67890,	5,	183,	2,	1),
(67891,	5,	183,	3,	1),
(67892,	5,	184,	1,	1),
(67893,	5,	184,	2,	1),
(67894,	5,	184,	3,	1),
(67895,	5,	185,	1,	1),
(67896,	5,	185,	2,	1),
(67897,	5,	185,	3,	1),
(67898,	5,	185,	1,	2),
(67899,	5,	185,	2,	2),
(67900,	5,	185,	3,	2),
(67907,	5,	187,	1,	1),
(67908,	5,	187,	2,	1),
(67909,	5,	187,	3,	1),
(67910,	5,	187,	1,	2),
(67911,	5,	187,	2,	2),
(67912,	5,	187,	3,	2),
(67919,	5,	189,	1,	1),
(67920,	5,	189,	2,	1),
(67921,	5,	189,	3,	1),
(67922,	5,	190,	1,	1),
(67923,	5,	190,	2,	1),
(67924,	5,	190,	3,	1),
(67925,	5,	190,	1,	2),
(67926,	5,	190,	2,	2),
(67927,	5,	190,	3,	2),
(67928,	5,	191,	1,	1),
(67929,	5,	191,	2,	1),
(67930,	5,	191,	3,	1),
(67931,	5,	191,	23,	1),
(67932,	5,	191,	27,	1),
(67933,	5,	192,	1,	1),
(67934,	5,	192,	2,	1),
(67935,	5,	192,	3,	1),
(67936,	5,	192,	23,	1),
(67937,	5,	193,	1,	1),
(67938,	5,	193,	2,	1),
(67939,	5,	193,	3,	1),
(67940,	5,	194,	1,	1),
(67941,	5,	194,	2,	1),
(67942,	5,	194,	3,	1),
(67943,	5,	194,	23,	1),
(67944,	5,	195,	1,	1),
(67945,	5,	195,	2,	1),
(67946,	5,	195,	3,	1),
(67947,	5,	196,	1,	1),
(67948,	5,	196,	2,	1),
(67949,	5,	196,	3,	1),
(67950,	5,	197,	1,	1),
(67951,	5,	197,	2,	1),
(67952,	5,	197,	3,	1),
(67953,	5,	197,	1,	2),
(67954,	5,	197,	2,	2),
(67955,	5,	197,	3,	2),
(67956,	5,	198,	1,	1),
(67957,	5,	198,	2,	1),
(67958,	5,	198,	3,	1),
(67959,	5,	198,	23,	1),
(67960,	5,	199,	1,	1),
(67961,	5,	199,	2,	1),
(67962,	5,	199,	3,	1),
(67963,	5,	200,	1,	1),
(67964,	5,	200,	2,	1),
(67965,	5,	200,	3,	1),
(67966,	5,	200,	23,	1),
(67967,	5,	201,	1,	1),
(67968,	5,	201,	2,	1),
(67969,	5,	201,	3,	1),
(67970,	5,	202,	1,	1),
(67971,	5,	202,	2,	1),
(67972,	5,	202,	3,	1),
(67973,	5,	202,	1,	2),
(67974,	5,	202,	2,	2),
(67975,	5,	202,	3,	2),
(67976,	5,	203,	1,	1),
(67977,	5,	203,	2,	1),
(67978,	5,	203,	3,	1),
(67979,	5,	203,	1,	2),
(67980,	5,	203,	2,	2),
(67981,	5,	203,	3,	2),
(67982,	5,	204,	1,	1),
(67983,	5,	204,	2,	1),
(67984,	5,	204,	3,	1),
(67985,	5,	204,	1,	2),
(67986,	5,	204,	2,	2),
(67987,	5,	204,	3,	2),
(67988,	5,	205,	1,	1),
(67989,	5,	205,	2,	1),
(67990,	5,	205,	3,	1),
(67991,	5,	205,	1,	2),
(67992,	5,	205,	2,	2),
(67993,	5,	205,	3,	2),
(67994,	5,	206,	1,	1),
(67995,	5,	206,	2,	1),
(67996,	5,	206,	3,	1),
(67997,	5,	206,	1,	2),
(67998,	5,	206,	2,	2),
(67999,	5,	206,	3,	2),
(68000,	5,	207,	1,	1),
(68001,	5,	207,	2,	1),
(68002,	5,	207,	3,	1),
(68003,	5,	208,	1,	1),
(68004,	5,	208,	2,	1),
(68005,	5,	208,	3,	1),
(68006,	5,	208,	1,	2),
(68007,	5,	208,	2,	2),
(68008,	5,	208,	3,	2),
(68009,	5,	209,	1,	1),
(68010,	5,	209,	2,	1),
(68011,	5,	209,	3,	1),
(68012,	5,	209,	1,	2),
(68013,	5,	209,	2,	2),
(68014,	5,	209,	3,	2),
(68015,	5,	210,	1,	1),
(68016,	5,	210,	2,	1),
(68017,	5,	210,	3,	1),
(68018,	5,	211,	1,	1),
(68019,	5,	211,	2,	1),
(68020,	5,	211,	3,	1),
(68021,	5,	211,	1,	2),
(68022,	5,	211,	2,	2),
(68023,	5,	211,	3,	2),
(68024,	5,	212,	1,	1),
(68025,	5,	212,	2,	1),
(68026,	5,	212,	3,	1),
(68027,	5,	212,	1,	2),
(68028,	5,	212,	2,	2),
(68029,	5,	212,	3,	2),
(68030,	5,	213,	1,	1),
(68031,	5,	213,	2,	1),
(68032,	5,	213,	3,	1),
(68033,	5,	213,	1,	2),
(68034,	5,	213,	2,	2),
(68035,	5,	213,	3,	2),
(68036,	5,	214,	1,	1),
(68037,	5,	214,	2,	1),
(68038,	5,	214,	3,	1),
(68039,	5,	214,	1,	2),
(68040,	5,	214,	2,	2),
(68041,	5,	214,	3,	2),
(68042,	5,	215,	1,	1),
(68043,	5,	215,	2,	1),
(68044,	5,	215,	3,	1),
(68045,	5,	216,	1,	1),
(68046,	5,	216,	2,	1),
(68047,	5,	216,	3,	1),
(68048,	5,	216,	1,	2),
(68049,	5,	216,	2,	2),
(68050,	5,	216,	3,	2),
(68051,	5,	217,	1,	1),
(68052,	5,	217,	2,	1),
(68053,	5,	217,	3,	1),
(68054,	5,	217,	1,	2),
(68055,	5,	217,	2,	2),
(68056,	5,	217,	3,	2),
(68057,	5,	218,	1,	1),
(68058,	5,	218,	2,	1),
(68059,	5,	218,	3,	1),
(68060,	5,	218,	1,	2),
(68061,	5,	218,	2,	2),
(68062,	5,	218,	3,	2),
(68063,	5,	219,	1,	1),
(68064,	5,	219,	2,	1),
(68065,	5,	219,	3,	1),
(68066,	5,	220,	1,	1),
(68067,	5,	220,	2,	1),
(68068,	5,	220,	3,	1),
(68069,	5,	220,	1,	2),
(68070,	5,	220,	2,	2),
(68071,	5,	220,	3,	2),
(68072,	5,	221,	1,	1),
(68073,	5,	221,	2,	1),
(68074,	5,	221,	3,	1),
(68075,	5,	221,	1,	2),
(68076,	5,	221,	2,	2),
(68077,	5,	221,	3,	2),
(68078,	5,	222,	1,	1),
(68079,	5,	222,	2,	1),
(68080,	5,	222,	3,	1),
(68081,	5,	222,	1,	2),
(68082,	5,	222,	2,	2),
(68083,	5,	222,	3,	2),
(68084,	5,	223,	1,	1),
(68085,	5,	223,	2,	1),
(68086,	5,	223,	3,	1),
(68087,	5,	223,	1,	2),
(68088,	5,	223,	2,	2),
(68089,	5,	223,	3,	2),
(68090,	5,	224,	1,	1),
(68091,	5,	224,	2,	1),
(68092,	5,	224,	3,	1),
(68093,	5,	224,	1,	2),
(68094,	5,	224,	2,	2),
(68095,	5,	224,	3,	2),
(68096,	5,	225,	1,	1),
(68097,	5,	225,	2,	1),
(68098,	5,	225,	3,	1),
(68099,	5,	225,	23,	1),
(68100,	5,	225,	1,	3),
(68101,	5,	225,	2,	3),
(68102,	5,	225,	3,	3),
(68103,	5,	225,	23,	3),
(68104,	5,	225,	1,	2),
(68105,	5,	225,	2,	2),
(68106,	5,	225,	3,	2),
(68107,	5,	225,	23,	2),
(68108,	5,	226,	1,	1),
(68109,	5,	226,	2,	1),
(68110,	5,	226,	3,	1),
(68111,	5,	226,	23,	1),
(68112,	5,	226,	1,	3),
(68113,	5,	226,	2,	3),
(68114,	5,	226,	3,	3),
(68115,	5,	226,	23,	3),
(68116,	5,	227,	1,	1),
(68117,	5,	227,	2,	1),
(68118,	5,	227,	3,	1),
(68119,	5,	227,	23,	1),
(68120,	5,	227,	1,	3),
(68121,	5,	227,	2,	3),
(68122,	5,	227,	3,	3),
(68123,	5,	227,	23,	3),
(68124,	5,	228,	1,	1),
(68125,	5,	228,	2,	1),
(68126,	5,	228,	3,	1),
(68127,	5,	228,	23,	1),
(68128,	5,	228,	1,	3),
(68129,	5,	228,	2,	3),
(68130,	5,	228,	3,	3),
(68131,	5,	228,	23,	3),
(68132,	5,	229,	1,	1),
(68133,	5,	229,	2,	1),
(68134,	5,	229,	3,	1),
(68135,	5,	229,	23,	1),
(68136,	5,	229,	1,	3),
(68137,	5,	229,	2,	3),
(68138,	5,	229,	3,	3),
(68139,	5,	229,	23,	3),
(68140,	5,	230,	1,	1),
(68141,	5,	230,	2,	1),
(68142,	5,	230,	3,	1),
(68143,	5,	231,	1,	1),
(68144,	5,	231,	2,	1),
(68145,	5,	231,	3,	1),
(68146,	5,	231,	1,	3),
(68147,	5,	231,	2,	3),
(68148,	5,	231,	3,	3),
(68149,	5,	232,	1,	1),
(68150,	5,	232,	2,	1),
(68151,	5,	232,	3,	1),
(68152,	5,	232,	1,	3),
(68153,	5,	232,	2,	3),
(68154,	5,	232,	3,	3),
(68155,	5,	233,	1,	1),
(68156,	5,	233,	2,	1),
(68157,	5,	233,	3,	1),
(68158,	5,	233,	1,	3),
(68159,	5,	233,	2,	3),
(68160,	5,	233,	3,	3),
(68161,	5,	234,	1,	1),
(68162,	5,	234,	2,	1),
(68163,	5,	234,	3,	1),
(68164,	5,	234,	1,	3),
(68165,	5,	234,	2,	3),
(68166,	5,	234,	3,	3),
(68167,	5,	235,	1,	1),
(68168,	5,	235,	2,	1),
(68169,	5,	235,	3,	1),
(68170,	5,	235,	1,	3),
(68171,	5,	235,	2,	3),
(68172,	5,	235,	3,	3),
(68173,	5,	236,	1,	1),
(68174,	5,	236,	2,	1),
(68175,	5,	236,	3,	1),
(68176,	5,	237,	1,	1),
(68177,	5,	237,	2,	1),
(68178,	5,	237,	3,	1),
(68179,	5,	237,	1,	3),
(68180,	5,	237,	2,	3),
(68181,	5,	237,	3,	3),
(68182,	5,	238,	1,	1),
(68183,	5,	238,	2,	1),
(68184,	5,	238,	3,	1),
(68185,	5,	239,	1,	1),
(68186,	5,	239,	2,	1),
(68187,	5,	239,	3,	1),
(68188,	5,	240,	1,	1),
(68189,	5,	240,	2,	1),
(68190,	5,	240,	3,	1),
(68191,	5,	241,	1,	1),
(68192,	5,	241,	2,	1),
(68193,	5,	241,	3,	1),
(68194,	5,	242,	1,	1),
(68195,	5,	242,	2,	1),
(68196,	5,	242,	3,	1),
(68197,	5,	242,	1,	2),
(68198,	5,	242,	2,	2),
(68199,	5,	242,	3,	2),
(68200,	5,	243,	1,	1),
(68201,	5,	243,	2,	1),
(68202,	5,	243,	3,	1),
(68203,	5,	243,	1,	2),
(68204,	5,	243,	2,	2),
(68205,	5,	243,	3,	2),
(68206,	5,	244,	1,	1),
(68207,	5,	244,	2,	1),
(68208,	5,	244,	3,	1),
(68209,	5,	244,	1,	2),
(68210,	5,	244,	2,	2),
(68211,	5,	244,	3,	2),
(68212,	5,	245,	1,	1),
(68213,	5,	245,	2,	1),
(68214,	5,	245,	3,	1),
(68215,	5,	245,	1,	2),
(68216,	5,	245,	2,	2),
(68217,	5,	245,	3,	2),
(68218,	5,	246,	1,	1),
(68219,	5,	246,	2,	1),
(68220,	5,	246,	3,	1),
(68221,	5,	246,	1,	2),
(68222,	5,	246,	2,	2),
(68223,	5,	246,	3,	2),
(68224,	5,	247,	1,	1),
(68225,	5,	247,	2,	1),
(68226,	5,	247,	3,	1),
(68227,	5,	247,	1,	2),
(68228,	5,	247,	2,	2),
(68229,	5,	247,	3,	2),
(68230,	5,	248,	1,	1),
(68231,	5,	248,	2,	1),
(68232,	5,	248,	3,	1),
(68233,	5,	248,	1,	2),
(68234,	5,	248,	2,	2),
(68235,	5,	248,	3,	2),
(68236,	5,	249,	1,	1),
(68237,	5,	249,	2,	1),
(68238,	5,	249,	3,	1),
(68239,	5,	249,	1,	3),
(68240,	5,	249,	2,	3),
(68241,	5,	249,	3,	3),
(68242,	5,	250,	1,	1),
(68243,	5,	250,	2,	1),
(68244,	5,	250,	3,	1),
(68245,	5,	250,	1,	2),
(68246,	5,	250,	2,	2),
(68247,	5,	250,	3,	2),
(68248,	5,	251,	1,	1),
(68249,	5,	251,	2,	1),
(68250,	5,	251,	3,	1),
(68251,	5,	251,	1,	2),
(68252,	5,	251,	2,	2),
(68253,	5,	251,	3,	2),
(68254,	5,	252,	1,	1),
(68255,	5,	252,	2,	1),
(68256,	5,	252,	3,	1),
(68257,	5,	253,	1,	1),
(68258,	5,	253,	2,	1),
(68259,	5,	253,	3,	1),
(68260,	5,	253,	1,	3),
(68261,	5,	253,	2,	3),
(68262,	5,	253,	3,	3),
(68263,	5,	254,	1,	1),
(68264,	5,	254,	2,	1),
(68265,	5,	254,	3,	1),
(68266,	5,	254,	1,	2),
(68267,	5,	254,	2,	2),
(68268,	5,	254,	3,	2),
(68269,	5,	255,	1,	1),
(68270,	5,	255,	2,	1),
(68271,	5,	255,	3,	1),
(68272,	5,	255,	1,	2),
(68273,	5,	255,	2,	2),
(68274,	5,	255,	3,	2),
(68275,	5,	256,	1,	1),
(68276,	5,	256,	2,	1),
(68277,	5,	256,	3,	1),
(68278,	5,	256,	1,	2),
(68279,	5,	256,	2,	2),
(68280,	5,	256,	3,	2),
(68281,	5,	257,	1,	1),
(68282,	5,	257,	2,	1),
(68283,	5,	257,	3,	1),
(68284,	5,	257,	1,	2),
(68285,	5,	257,	2,	2),
(68286,	5,	257,	3,	2),
(68287,	5,	258,	1,	1),
(68288,	5,	258,	2,	1),
(68289,	5,	258,	3,	1),
(68290,	5,	258,	1,	3),
(68291,	5,	258,	2,	3),
(68292,	5,	258,	3,	3),
(68293,	5,	259,	1,	1),
(68294,	5,	259,	2,	1),
(68295,	5,	259,	3,	1),
(68296,	5,	259,	1,	2),
(68297,	5,	259,	2,	2),
(68298,	5,	259,	3,	2),
(68299,	5,	260,	1,	1),
(68300,	5,	260,	2,	1),
(68301,	5,	260,	3,	1),
(68302,	5,	260,	1,	2),
(68303,	5,	260,	2,	2),
(68304,	5,	260,	3,	2),
(68305,	5,	261,	1,	1),
(68306,	5,	261,	2,	1),
(68307,	5,	261,	3,	1),
(68308,	5,	261,	1,	2),
(68309,	5,	261,	2,	2),
(68310,	5,	261,	3,	2),
(68311,	5,	262,	1,	1),
(68312,	5,	262,	2,	1),
(68313,	5,	262,	3,	1),
(68314,	5,	262,	1,	2),
(68315,	5,	262,	2,	2),
(68316,	5,	262,	3,	2),
(68317,	5,	263,	1,	1),
(68318,	5,	263,	2,	1),
(68319,	5,	263,	3,	1),
(68320,	5,	263,	1,	2),
(68321,	5,	263,	2,	2),
(68322,	5,	263,	3,	2),
(68323,	5,	264,	1,	1),
(68324,	5,	264,	2,	1),
(68325,	5,	264,	3,	1),
(68326,	5,	264,	1,	2),
(68327,	5,	264,	2,	2),
(68328,	5,	264,	3,	2),
(68329,	5,	265,	1,	1),
(68330,	5,	265,	2,	1),
(68331,	5,	265,	3,	1),
(68332,	5,	265,	1,	3),
(68333,	5,	265,	2,	3),
(68334,	5,	265,	3,	3),
(68335,	5,	266,	1,	1),
(68336,	5,	266,	2,	1),
(68337,	5,	266,	3,	1),
(68338,	5,	266,	1,	2),
(68339,	5,	266,	2,	2),
(68340,	5,	266,	3,	2),
(68341,	5,	267,	1,	1),
(68342,	5,	267,	2,	1),
(68343,	5,	267,	3,	1),
(68344,	5,	267,	1,	2),
(68345,	5,	267,	2,	2),
(68346,	5,	267,	3,	2),
(68347,	5,	268,	1,	1),
(68348,	5,	268,	2,	1),
(68349,	5,	268,	3,	1),
(68350,	5,	269,	1,	1),
(68351,	5,	269,	2,	1),
(68352,	5,	269,	3,	1),
(68353,	5,	269,	1,	2),
(68354,	5,	269,	2,	2),
(68355,	5,	269,	3,	2),
(68356,	5,	270,	1,	1),
(68357,	5,	270,	2,	1),
(68358,	5,	270,	3,	1),
(68359,	5,	270,	1,	3),
(68360,	5,	270,	2,	3),
(68361,	5,	270,	3,	3),
(68362,	5,	271,	1,	1),
(68363,	5,	271,	2,	1),
(68364,	5,	271,	3,	1),
(68365,	5,	271,	1,	3),
(68366,	5,	271,	2,	3),
(68367,	5,	271,	3,	3),
(68368,	5,	272,	1,	1),
(68369,	5,	272,	2,	1),
(68370,	5,	272,	3,	1),
(68371,	5,	272,	1,	3),
(68372,	5,	272,	2,	3),
(68373,	5,	272,	3,	3),
(68374,	5,	273,	1,	1),
(68375,	5,	273,	2,	1),
(68376,	5,	273,	3,	1),
(68377,	5,	274,	1,	1),
(68378,	5,	274,	2,	1),
(68379,	5,	274,	3,	1),
(68380,	5,	274,	23,	1),
(68381,	5,	274,	1,	3),
(68382,	5,	274,	2,	3),
(68383,	5,	274,	3,	3),
(68384,	5,	274,	23,	3),
(68385,	5,	275,	1,	1),
(68386,	5,	275,	2,	1),
(68387,	5,	275,	3,	1),
(68388,	5,	275,	23,	1),
(68389,	5,	275,	1,	3),
(68390,	5,	275,	2,	3),
(68391,	5,	275,	3,	3),
(68392,	5,	275,	23,	3),
(68393,	5,	276,	1,	1),
(68394,	5,	276,	2,	1),
(68395,	5,	276,	3,	1),
(68396,	5,	276,	23,	1),
(68397,	5,	276,	1,	3),
(68398,	5,	276,	2,	3),
(68399,	5,	276,	3,	3),
(68400,	5,	276,	23,	3),
(68401,	5,	277,	1,	1),
(68402,	5,	277,	2,	1),
(68403,	5,	277,	3,	1),
(68404,	5,	277,	1,	2),
(68405,	5,	277,	2,	2),
(68406,	5,	277,	3,	2),
(68407,	5,	278,	1,	1),
(68408,	5,	278,	2,	1),
(68409,	5,	278,	3,	1),
(68410,	5,	279,	1,	1),
(68411,	5,	279,	2,	1),
(68412,	5,	279,	3,	1),
(68413,	5,	279,	1,	2),
(68414,	5,	279,	2,	2),
(68415,	5,	279,	3,	2),
(68416,	5,	280,	1,	1),
(68417,	5,	280,	2,	1),
(68418,	5,	280,	3,	1),
(68419,	5,	280,	1,	3),
(68420,	5,	280,	2,	3),
(68421,	5,	280,	3,	3),
(68422,	5,	281,	1,	1),
(68423,	5,	281,	2,	1),
(68424,	5,	281,	3,	1),
(68425,	5,	281,	23,	1),
(68426,	5,	281,	1,	3),
(68427,	5,	281,	2,	3),
(68428,	5,	281,	3,	3),
(68429,	5,	281,	23,	3),
(68430,	5,	282,	1,	1),
(68431,	5,	282,	2,	1),
(68432,	5,	282,	3,	1),
(68433,	5,	282,	23,	1),
(68434,	5,	282,	1,	3),
(68435,	5,	282,	2,	3),
(68436,	5,	282,	3,	3),
(68437,	5,	282,	23,	3),
(68438,	5,	283,	1,	1),
(68439,	5,	283,	2,	1),
(68440,	5,	283,	3,	1),
(68441,	5,	283,	23,	1),
(68442,	5,	283,	1,	3),
(68443,	5,	283,	2,	3),
(68444,	5,	283,	3,	3),
(68445,	5,	283,	23,	3),
(68446,	5,	284,	1,	1),
(68447,	5,	284,	2,	1),
(68448,	5,	284,	3,	1),
(68449,	5,	284,	23,	1),
(68450,	5,	284,	1,	3),
(68451,	5,	284,	2,	3),
(68452,	5,	284,	3,	3),
(68453,	5,	284,	23,	3),
(68454,	5,	285,	1,	1),
(68455,	5,	285,	2,	1),
(68456,	5,	285,	3,	1),
(68457,	5,	285,	23,	1),
(68458,	5,	285,	1,	2),
(68459,	5,	285,	2,	2),
(68460,	5,	285,	3,	2),
(68461,	5,	285,	23,	2),
(68462,	5,	286,	1,	1),
(68463,	5,	286,	2,	1),
(68464,	5,	286,	3,	1),
(68465,	5,	286,	23,	1),
(68466,	5,	287,	1,	1),
(68467,	5,	287,	2,	1),
(68468,	5,	287,	3,	1),
(68469,	5,	287,	23,	1),
(68470,	5,	287,	1,	2),
(68471,	5,	287,	2,	2),
(68472,	5,	287,	3,	2),
(68473,	5,	287,	23,	2),
(68474,	5,	288,	1,	1),
(68475,	5,	288,	2,	1),
(68476,	5,	288,	3,	1),
(68477,	5,	288,	23,	1),
(68478,	5,	288,	1,	2),
(68479,	5,	288,	2,	2),
(68480,	5,	288,	3,	2),
(68481,	5,	288,	23,	2),
(68482,	5,	289,	1,	1),
(68483,	5,	289,	2,	1),
(68484,	5,	289,	3,	1),
(68485,	5,	290,	1,	1),
(68486,	5,	290,	2,	1),
(68487,	5,	290,	3,	1),
(68488,	5,	291,	1,	1),
(68489,	5,	291,	2,	1),
(68490,	5,	291,	3,	1),
(68491,	5,	291,	1,	3),
(68492,	5,	291,	2,	3),
(68493,	5,	291,	3,	3),
(68494,	5,	292,	1,	1),
(68495,	5,	292,	2,	1),
(68496,	5,	292,	3,	1),
(68497,	5,	292,	1,	2),
(68498,	5,	292,	2,	2),
(68499,	5,	292,	3,	2),
(68500,	5,	293,	1,	1),
(68501,	5,	293,	2,	1),
(68502,	5,	293,	3,	1),
(68503,	5,	294,	1,	1),
(68504,	5,	294,	2,	1),
(68505,	5,	294,	3,	1),
(68506,	5,	294,	1,	2),
(68507,	5,	294,	2,	2),
(68508,	5,	294,	3,	2),
(68509,	5,	295,	1,	1),
(68510,	5,	295,	2,	1),
(68511,	5,	295,	3,	1),
(68512,	5,	295,	1,	3),
(68513,	5,	295,	2,	3),
(68514,	5,	295,	3,	3),
(68515,	5,	296,	1,	1),
(68516,	5,	296,	2,	1),
(68517,	5,	296,	3,	1),
(68518,	5,	296,	1,	3),
(68519,	5,	296,	2,	3),
(68520,	5,	296,	3,	3),
(68521,	5,	297,	1,	1),
(68522,	5,	297,	2,	1),
(68523,	5,	297,	3,	1),
(68524,	5,	297,	1,	3),
(68525,	5,	297,	2,	3),
(68526,	5,	297,	3,	3),
(68527,	5,	298,	1,	1),
(68528,	5,	298,	2,	1),
(68529,	5,	298,	3,	1),
(68530,	5,	298,	1,	3),
(68531,	5,	298,	2,	3),
(68532,	5,	298,	3,	3),
(68533,	5,	299,	1,	1),
(68534,	5,	299,	2,	1),
(68535,	5,	299,	3,	1),
(68536,	5,	299,	1,	2),
(68537,	5,	299,	2,	2),
(68538,	5,	299,	3,	2),
(68539,	5,	300,	1,	1),
(68540,	5,	300,	2,	1),
(68541,	5,	300,	3,	1),
(68542,	5,	300,	1,	2),
(68543,	5,	300,	2,	2),
(68544,	5,	300,	3,	2),
(68545,	5,	301,	1,	1),
(68546,	5,	301,	2,	1),
(68547,	5,	301,	3,	1),
(68548,	5,	301,	1,	2),
(68549,	5,	301,	2,	2),
(68550,	5,	301,	3,	2),
(68551,	5,	302,	1,	1),
(68552,	5,	302,	2,	1),
(68553,	5,	302,	3,	1),
(68554,	5,	302,	1,	2),
(68555,	5,	302,	2,	2),
(68556,	5,	302,	3,	2),
(68557,	5,	303,	1,	1),
(68558,	5,	303,	2,	1),
(68559,	5,	303,	3,	1),
(68560,	5,	303,	1,	2),
(68561,	5,	303,	2,	2),
(68562,	5,	303,	3,	2),
(68563,	5,	304,	1,	1),
(68564,	5,	304,	2,	1),
(68565,	5,	304,	3,	1),
(68566,	5,	304,	1,	2),
(68567,	5,	304,	2,	2),
(68568,	5,	304,	3,	2),
(68569,	5,	305,	1,	1),
(68570,	5,	305,	2,	1),
(68571,	5,	305,	3,	1),
(68572,	5,	305,	1,	2),
(68573,	5,	305,	2,	2),
(68574,	5,	305,	3,	2),
(68575,	5,	306,	1,	1),
(68576,	5,	306,	2,	1),
(68577,	5,	306,	3,	1),
(68578,	5,	306,	1,	3),
(68579,	5,	306,	2,	3),
(68580,	5,	306,	3,	3),
(68581,	5,	307,	1,	1),
(68582,	5,	307,	2,	1),
(68583,	5,	307,	3,	1),
(68584,	5,	307,	1,	2),
(68585,	5,	307,	2,	2),
(68586,	5,	307,	3,	2),
(68587,	5,	308,	1,	1),
(68588,	5,	308,	2,	1),
(68589,	5,	308,	3,	1),
(68590,	5,	308,	1,	2),
(68591,	5,	308,	2,	2),
(68592,	5,	308,	3,	2),
(68593,	5,	309,	1,	1),
(68594,	5,	309,	2,	1),
(68595,	5,	309,	3,	1),
(68596,	5,	309,	23,	1),
(68597,	5,	309,	1,	3),
(68598,	5,	309,	2,	3),
(68599,	5,	309,	3,	3),
(68600,	5,	309,	23,	3),
(68601,	5,	310,	1,	1),
(68602,	5,	310,	2,	1),
(68603,	5,	310,	3,	1),
(68604,	5,	310,	28,	1),
(68605,	5,	310,	23,	1),
(68606,	5,	310,	1,	3),
(68607,	5,	310,	2,	3),
(68608,	5,	310,	3,	3),
(68609,	5,	310,	28,	3),
(68610,	5,	310,	23,	3),
(68611,	5,	311,	1,	1),
(68612,	5,	311,	2,	1),
(68613,	5,	311,	3,	1),
(68614,	5,	311,	1,	3),
(68615,	5,	311,	2,	3),
(68616,	5,	311,	3,	3),
(68617,	5,	312,	1,	1),
(68618,	5,	312,	2,	1),
(68619,	5,	312,	3,	1),
(68620,	5,	312,	1,	3),
(68621,	5,	312,	2,	3),
(68622,	5,	312,	3,	3),
(68623,	5,	313,	1,	1),
(68624,	5,	313,	2,	1),
(68625,	5,	313,	3,	1),
(68626,	5,	313,	1,	3),
(68627,	5,	313,	2,	3),
(68628,	5,	313,	3,	3),
(68629,	5,	314,	1,	1),
(68630,	5,	314,	2,	1),
(68631,	5,	314,	3,	1),
(68632,	5,	314,	1,	3),
(68633,	5,	314,	2,	3),
(68634,	5,	314,	3,	3),
(68635,	5,	315,	1,	1),
(68636,	5,	315,	2,	1),
(68637,	5,	315,	3,	1),
(68638,	5,	315,	1,	2),
(68639,	5,	315,	2,	2),
(68640,	5,	315,	3,	2),
(68641,	5,	316,	1,	1),
(68642,	5,	316,	2,	1),
(68643,	5,	316,	3,	1),
(68644,	5,	317,	1,	1),
(68645,	5,	317,	2,	1),
(68646,	5,	317,	3,	1),
(68647,	5,	317,	1,	2),
(68648,	5,	317,	2,	2),
(68649,	5,	317,	3,	2),
(68650,	5,	318,	1,	1),
(68651,	5,	318,	2,	1),
(68652,	5,	318,	3,	1),
(68653,	5,	318,	1,	2),
(68654,	5,	318,	2,	2),
(68655,	5,	318,	3,	2),
(68656,	5,	319,	1,	1),
(68657,	5,	319,	2,	1),
(68658,	5,	319,	3,	1),
(68659,	5,	319,	1,	3),
(68660,	5,	319,	2,	3),
(68661,	5,	319,	3,	3),
(68662,	5,	320,	1,	1),
(68663,	5,	320,	2,	1),
(68664,	5,	320,	3,	1),
(68665,	5,	321,	1,	1),
(68666,	5,	321,	2,	1),
(68667,	5,	321,	3,	1),
(68668,	5,	321,	1,	3),
(68669,	5,	321,	2,	3),
(68670,	5,	321,	3,	3),
(68671,	5,	322,	1,	1),
(68672,	5,	322,	2,	1),
(68673,	5,	322,	3,	1),
(68674,	5,	322,	1,	2),
(68675,	5,	322,	2,	2),
(68676,	5,	322,	3,	2),
(68677,	5,	323,	1,	1),
(68678,	5,	323,	2,	1),
(68679,	5,	323,	3,	1),
(68680,	5,	323,	1,	2),
(68681,	5,	323,	2,	2),
(68682,	5,	323,	3,	2),
(68683,	5,	324,	1,	1),
(68684,	5,	324,	2,	1),
(68685,	5,	324,	3,	1),
(68686,	5,	324,	1,	3),
(68687,	5,	324,	2,	3),
(68688,	5,	324,	3,	3),
(68689,	5,	325,	1,	1),
(68690,	5,	325,	2,	1),
(68691,	5,	325,	3,	1),
(68692,	5,	325,	1,	3),
(68693,	5,	325,	2,	3),
(68694,	5,	325,	3,	3),
(68695,	5,	326,	1,	1),
(68696,	5,	326,	2,	1),
(68697,	5,	326,	3,	1),
(68698,	5,	326,	1,	3),
(68699,	5,	326,	2,	3),
(68700,	5,	326,	3,	3),
(68701,	5,	327,	1,	1),
(68702,	5,	327,	2,	1),
(68703,	5,	327,	3,	1),
(68704,	5,	328,	1,	1),
(68705,	5,	328,	2,	1),
(68706,	5,	328,	3,	1),
(68707,	5,	328,	1,	3),
(68708,	5,	328,	2,	3),
(68709,	5,	328,	3,	3),
(68710,	5,	329,	1,	1),
(68711,	5,	329,	2,	1),
(68712,	5,	329,	3,	1),
(68713,	5,	329,	1,	3),
(68714,	5,	329,	2,	3),
(68715,	5,	329,	3,	3),
(68716,	5,	330,	1,	1),
(68717,	5,	330,	2,	1),
(68718,	5,	330,	3,	1),
(68719,	5,	330,	1,	3),
(68720,	5,	330,	2,	3),
(68721,	5,	330,	3,	3),
(68722,	5,	331,	1,	1),
(68723,	5,	331,	2,	1),
(68724,	5,	331,	3,	1),
(68725,	5,	331,	1,	2),
(68726,	5,	331,	2,	2),
(68727,	5,	331,	3,	2),
(68728,	5,	332,	1,	1),
(68729,	5,	332,	2,	1),
(68730,	5,	332,	3,	1),
(68731,	5,	333,	1,	1),
(68732,	5,	333,	2,	1),
(68733,	5,	333,	3,	1),
(68734,	5,	333,	1,	3),
(68735,	5,	333,	2,	3),
(68736,	5,	333,	3,	3),
(68737,	5,	334,	1,	1),
(68738,	5,	334,	2,	1),
(68739,	5,	334,	3,	1),
(68740,	5,	334,	1,	3),
(68741,	5,	334,	2,	3),
(68742,	5,	334,	3,	3),
(68743,	5,	335,	1,	1),
(68744,	5,	335,	2,	1),
(68745,	5,	335,	3,	1),
(68746,	5,	335,	1,	3),
(68747,	5,	335,	2,	3),
(68748,	5,	335,	3,	3),
(68749,	5,	336,	1,	1),
(68750,	5,	336,	2,	1),
(68751,	5,	336,	3,	1),
(68752,	5,	336,	1,	3),
(68753,	5,	336,	2,	3),
(68754,	5,	336,	3,	3),
(68755,	5,	337,	1,	1),
(68756,	5,	337,	2,	1),
(68757,	5,	337,	3,	1),
(68758,	5,	337,	1,	3),
(68759,	5,	337,	2,	3),
(68760,	5,	337,	3,	3),
(68761,	5,	337,	1,	2),
(68762,	5,	337,	2,	2),
(68763,	5,	337,	3,	2),
(68764,	5,	338,	1,	1),
(68765,	5,	338,	2,	1),
(68766,	5,	338,	3,	1),
(68767,	5,	338,	1,	2),
(68768,	5,	338,	2,	2),
(68769,	5,	338,	3,	2),
(68770,	5,	339,	1,	1),
(68771,	5,	339,	2,	1),
(68772,	5,	339,	3,	1),
(68773,	5,	339,	1,	3),
(68774,	5,	339,	2,	3),
(68775,	5,	339,	3,	3),
(68776,	5,	340,	1,	1),
(68777,	5,	340,	2,	1),
(68778,	5,	340,	3,	1),
(68779,	5,	340,	1,	3),
(68780,	5,	340,	2,	3),
(68781,	5,	340,	3,	3),
(68782,	5,	341,	1,	1),
(68783,	5,	341,	2,	1),
(68784,	5,	341,	3,	1),
(68785,	5,	341,	1,	3),
(68786,	5,	341,	2,	3),
(68787,	5,	341,	3,	3),
(68788,	5,	342,	1,	1),
(68789,	5,	342,	2,	1),
(68790,	5,	342,	3,	1),
(68791,	5,	342,	1,	2),
(68792,	5,	342,	2,	2),
(68793,	5,	342,	3,	2),
(68794,	5,	343,	1,	1),
(68795,	5,	343,	2,	1),
(68796,	5,	343,	3,	1),
(68797,	5,	343,	1,	3),
(68798,	5,	343,	2,	3),
(68799,	5,	343,	3,	3),
(68800,	5,	344,	1,	1),
(68801,	5,	344,	2,	1),
(68802,	5,	344,	3,	1),
(68803,	5,	344,	1,	3),
(68804,	5,	344,	2,	3),
(68805,	5,	344,	3,	3),
(68806,	5,	345,	1,	1),
(68807,	5,	345,	2,	1),
(68808,	5,	345,	3,	1),
(68809,	5,	345,	1,	3),
(68810,	5,	345,	2,	3),
(68811,	5,	345,	3,	3),
(68812,	5,	346,	1,	1),
(68813,	5,	346,	2,	1),
(68814,	5,	346,	3,	1),
(68815,	5,	346,	1,	3),
(68816,	5,	346,	2,	3),
(68817,	5,	346,	3,	3),
(68818,	5,	346,	1,	2),
(68819,	5,	346,	2,	2),
(68820,	5,	346,	3,	2),
(68821,	5,	347,	1,	1),
(68822,	5,	347,	2,	1),
(68823,	5,	347,	3,	1),
(68824,	5,	347,	1,	3),
(68825,	5,	347,	2,	3),
(68826,	5,	347,	3,	3),
(68827,	5,	347,	1,	2),
(68828,	5,	347,	2,	2),
(68829,	5,	347,	3,	2),
(68830,	5,	348,	1,	1),
(68831,	5,	348,	2,	1),
(68832,	5,	348,	3,	1),
(68833,	5,	348,	1,	3),
(68834,	5,	348,	2,	3),
(68835,	5,	348,	3,	3),
(68836,	5,	349,	1,	1),
(68837,	5,	349,	2,	1),
(68838,	5,	349,	3,	1),
(68839,	5,	349,	1,	3),
(68840,	5,	349,	2,	3),
(68841,	5,	349,	3,	3),
(68842,	5,	350,	1,	1),
(68843,	5,	350,	2,	1),
(68844,	5,	350,	3,	1),
(68845,	5,	350,	1,	3),
(68846,	5,	350,	2,	3),
(68847,	5,	350,	3,	3),
(68848,	5,	351,	1,	1),
(68849,	5,	351,	2,	1),
(68850,	5,	351,	3,	1),
(68851,	5,	351,	1,	2),
(68852,	5,	351,	2,	2),
(68853,	5,	351,	3,	2),
(68854,	5,	352,	1,	1),
(68855,	5,	352,	2,	1),
(68856,	5,	352,	3,	1),
(68857,	5,	352,	1,	3),
(68858,	5,	352,	2,	3),
(68859,	5,	352,	3,	3),
(68860,	5,	353,	1,	1),
(68861,	5,	353,	2,	1),
(68862,	5,	353,	3,	1),
(68863,	5,	353,	1,	3),
(68864,	5,	353,	2,	3),
(68865,	5,	353,	3,	3),
(68866,	5,	354,	1,	1),
(68867,	5,	354,	2,	1),
(68868,	5,	354,	3,	1),
(68869,	5,	354,	1,	3),
(68870,	5,	354,	2,	3),
(68871,	5,	354,	3,	3),
(68872,	5,	355,	1,	1),
(68873,	5,	355,	2,	1),
(68874,	5,	355,	3,	1),
(68875,	5,	355,	29,	1),
(68876,	5,	356,	1,	1),
(68877,	5,	356,	2,	1),
(68878,	5,	356,	3,	1),
(68879,	5,	356,	1,	2),
(68880,	5,	356,	2,	2),
(68881,	5,	356,	3,	2),
(68882,	5,	357,	1,	1),
(68883,	5,	357,	2,	1),
(68884,	5,	357,	3,	1),
(68885,	5,	357,	1,	2),
(68886,	5,	357,	2,	2),
(68887,	5,	357,	3,	2),
(68888,	5,	358,	1,	1),
(68889,	5,	358,	2,	1),
(68890,	5,	358,	3,	1),
(68891,	5,	358,	1,	2),
(68892,	5,	358,	2,	2),
(68893,	5,	358,	3,	2),
(68894,	5,	359,	1,	1),
(68895,	5,	359,	2,	1),
(68896,	5,	359,	3,	1),
(68897,	5,	360,	1,	1),
(68898,	5,	360,	2,	1),
(68899,	5,	360,	3,	1),
(68900,	5,	361,	1,	1),
(68901,	5,	361,	2,	1),
(68902,	5,	361,	3,	1),
(68903,	5,	361,	1,	2),
(68904,	5,	361,	2,	2),
(68905,	5,	361,	3,	2),
(68906,	5,	362,	1,	1),
(68907,	5,	362,	2,	1),
(68908,	5,	362,	3,	1),
(68909,	5,	362,	1,	3),
(68910,	5,	362,	2,	3),
(68911,	5,	362,	3,	3),
(68912,	5,	363,	1,	1),
(68913,	5,	363,	2,	1),
(68914,	5,	363,	3,	1),
(68915,	5,	363,	1,	3),
(68916,	5,	363,	2,	3),
(68917,	5,	363,	3,	3),
(68918,	5,	364,	1,	1),
(68919,	5,	364,	2,	1),
(68920,	5,	364,	3,	1),
(68921,	5,	364,	1,	3),
(68922,	5,	364,	2,	3),
(68923,	5,	364,	3,	3),
(68924,	5,	365,	1,	1),
(68925,	5,	365,	2,	1),
(68926,	5,	365,	3,	1),
(68927,	5,	365,	1,	2),
(68928,	5,	365,	2,	2),
(68929,	5,	365,	3,	2),
(68930,	5,	366,	1,	1),
(68931,	5,	366,	2,	1),
(68932,	5,	366,	3,	1),
(68933,	5,	367,	1,	1),
(68934,	5,	367,	2,	1),
(68935,	5,	367,	3,	1),
(68936,	5,	367,	1,	3),
(68937,	5,	367,	2,	3),
(68938,	5,	367,	3,	3),
(68939,	5,	368,	1,	1),
(68940,	5,	368,	2,	1),
(68941,	5,	368,	3,	1),
(68942,	5,	368,	1,	3),
(68943,	5,	368,	2,	3),
(68944,	5,	368,	3,	3),
(68945,	5,	369,	1,	1),
(68946,	5,	369,	2,	1),
(68947,	5,	369,	3,	1),
(68948,	5,	369,	29,	1),
(68949,	5,	369,	30,	1),
(68950,	5,	370,	1,	1),
(68951,	5,	370,	2,	1),
(68952,	5,	370,	3,	1),
(68953,	5,	370,	29,	1),
(68954,	5,	370,	30,	1),
(68955,	5,	371,	1,	1),
(68956,	5,	371,	2,	1),
(68957,	5,	371,	3,	1),
(68958,	5,	372,	1,	1),
(68959,	5,	372,	2,	1),
(68960,	5,	372,	3,	1),
(68961,	5,	372,	1,	2),
(68962,	5,	372,	2,	2),
(68963,	5,	372,	3,	2),
(68964,	5,	373,	1,	1),
(68965,	5,	373,	2,	1),
(68966,	5,	373,	3,	1),
(68967,	5,	373,	23,	1),
(68968,	5,	374,	1,	1),
(68969,	5,	374,	2,	1),
(68970,	5,	374,	3,	1),
(68971,	5,	374,	28,	1),
(68972,	5,	374,	1,	3),
(68973,	5,	374,	2,	3),
(68974,	5,	374,	3,	3),
(68975,	5,	374,	28,	3),
(68976,	5,	375,	1,	1),
(68977,	5,	375,	2,	1),
(68978,	5,	375,	3,	1),
(68979,	5,	375,	23,	1),
(68980,	5,	375,	28,	1),
(68981,	5,	375,	1,	3),
(68982,	5,	375,	2,	3),
(68983,	5,	375,	3,	3),
(68984,	5,	375,	23,	3),
(68985,	5,	375,	28,	3),
(68986,	5,	376,	1,	1),
(68987,	5,	376,	2,	1),
(68988,	5,	376,	3,	1),
(68989,	5,	376,	1,	2),
(68990,	5,	376,	2,	2),
(68991,	5,	376,	3,	2),
(68992,	5,	377,	1,	1),
(68993,	5,	377,	2,	1),
(68994,	5,	377,	3,	1),
(68995,	5,	377,	1,	3),
(68996,	5,	377,	2,	3),
(68997,	5,	377,	3,	3),
(68998,	5,	378,	1,	1),
(68999,	5,	378,	2,	1),
(69000,	5,	378,	3,	1),
(69001,	5,	378,	23,	1),
(69002,	5,	378,	28,	1),
(69003,	5,	378,	1,	3),
(69004,	5,	378,	2,	3),
(69005,	5,	378,	3,	3),
(69006,	5,	378,	23,	3),
(69007,	5,	378,	28,	3),
(69008,	5,	379,	1,	1),
(69009,	5,	379,	2,	1),
(69010,	5,	379,	3,	1),
(69011,	5,	380,	1,	1),
(69012,	5,	380,	2,	1),
(69013,	5,	380,	3,	1),
(69014,	5,	381,	1,	1),
(69015,	5,	381,	2,	1),
(69016,	5,	381,	3,	1),
(69017,	5,	381,	1,	2),
(69018,	5,	381,	2,	2),
(69019,	5,	381,	3,	2),
(69020,	5,	382,	1,	1),
(69021,	5,	382,	2,	1),
(69022,	5,	382,	3,	1),
(69023,	5,	382,	23,	1),
(69024,	5,	383,	1,	1),
(69025,	5,	383,	2,	1),
(69026,	5,	383,	3,	1),
(69027,	5,	383,	1,	2),
(69028,	5,	383,	2,	2),
(69029,	5,	383,	3,	2),
(69030,	5,	384,	1,	1),
(69031,	5,	384,	2,	1),
(69032,	5,	384,	3,	1),
(69033,	5,	384,	23,	1),
(69034,	5,	384,	1,	3),
(69035,	5,	384,	2,	3),
(69036,	5,	384,	3,	3),
(69037,	5,	384,	23,	3),
(69038,	5,	385,	1,	1),
(69039,	5,	385,	2,	1),
(69040,	5,	385,	3,	1),
(69041,	5,	385,	1,	3),
(69042,	5,	385,	2,	3),
(69043,	5,	385,	3,	3),
(69044,	5,	386,	1,	1),
(69045,	5,	386,	2,	1),
(69046,	5,	386,	3,	1),
(69047,	5,	386,	1,	2),
(69048,	5,	386,	2,	2),
(69049,	5,	386,	3,	2),
(69050,	5,	387,	1,	1),
(69051,	5,	387,	2,	1),
(69052,	5,	387,	3,	1),
(69053,	5,	387,	1,	2),
(69054,	5,	387,	2,	2),
(69055,	5,	387,	3,	2),
(69056,	5,	388,	1,	1),
(69057,	5,	388,	2,	1),
(69058,	5,	388,	3,	1),
(69059,	5,	388,	1,	2),
(69060,	5,	388,	2,	2),
(69061,	5,	388,	3,	2),
(69062,	5,	389,	1,	1),
(69063,	5,	389,	2,	1),
(69064,	5,	389,	3,	1),
(69065,	5,	389,	1,	2),
(69066,	5,	389,	2,	2),
(69067,	5,	389,	3,	2),
(69068,	5,	390,	1,	1),
(69069,	5,	390,	2,	1),
(69070,	5,	390,	3,	1),
(69071,	5,	391,	1,	1),
(69072,	5,	391,	2,	1),
(69073,	5,	391,	3,	1),
(69074,	5,	391,	1,	2),
(69075,	5,	391,	2,	2),
(69076,	5,	391,	3,	2),
(69077,	5,	392,	1,	1),
(69078,	5,	392,	2,	1),
(69079,	5,	392,	3,	1),
(69080,	5,	392,	1,	2),
(69081,	5,	392,	2,	2),
(69082,	5,	392,	3,	2),
(69083,	5,	393,	1,	1),
(69084,	5,	393,	2,	1),
(69085,	5,	393,	3,	1),
(69086,	5,	393,	1,	2),
(69087,	5,	393,	2,	2),
(69088,	5,	393,	3,	2),
(69089,	5,	394,	1,	1),
(69090,	5,	394,	2,	1),
(69091,	5,	394,	3,	1),
(69092,	5,	394,	1,	2),
(69093,	5,	394,	2,	2),
(69094,	5,	394,	3,	2),
(69095,	5,	395,	1,	1),
(69096,	5,	395,	2,	1),
(69097,	5,	395,	3,	1),
(69098,	5,	395,	1,	2),
(69099,	5,	395,	2,	2),
(69100,	5,	395,	3,	2),
(69101,	5,	396,	1,	1),
(69102,	5,	396,	2,	1),
(69103,	5,	396,	3,	1),
(69104,	5,	396,	6,	1),
(69105,	5,	396,	24,	1),
(69106,	5,	396,	5,	1),
(69107,	5,	396,	1,	2),
(69108,	5,	396,	2,	2),
(69109,	5,	396,	3,	2),
(69110,	5,	396,	6,	2),
(69111,	5,	396,	24,	2),
(69112,	5,	396,	5,	2),
(69113,	5,	397,	1,	1),
(69114,	5,	397,	2,	1),
(69115,	5,	397,	3,	1),
(69116,	5,	397,	6,	1),
(69117,	5,	397,	24,	1),
(69118,	5,	397,	5,	1),
(69119,	5,	397,	1,	2),
(69120,	5,	397,	2,	2),
(69121,	5,	397,	3,	2),
(69122,	5,	397,	6,	2),
(69123,	5,	397,	24,	2),
(69124,	5,	397,	5,	2),
(69125,	5,	398,	1,	1),
(69126,	5,	398,	2,	1),
(69127,	5,	398,	3,	1),
(69128,	5,	398,	6,	1),
(69129,	5,	398,	24,	1),
(69130,	5,	398,	25,	1),
(69131,	5,	398,	4,	1),
(69132,	5,	398,	1,	3),
(69133,	5,	398,	2,	3),
(69134,	5,	398,	3,	3),
(69135,	5,	398,	6,	3),
(69136,	5,	398,	24,	3),
(69137,	5,	398,	25,	3),
(69138,	5,	398,	4,	3),
(69139,	5,	399,	1,	1),
(69140,	5,	399,	2,	1),
(69141,	5,	399,	3,	1),
(69142,	5,	399,	6,	1),
(69143,	5,	399,	24,	1),
(69144,	5,	399,	25,	1),
(69145,	5,	399,	4,	1),
(69146,	5,	399,	5,	1),
(69147,	5,	399,	1,	3),
(69148,	5,	399,	2,	3),
(69149,	5,	399,	3,	3),
(69150,	5,	399,	6,	3),
(69151,	5,	399,	24,	3),
(69152,	5,	399,	25,	3),
(69153,	5,	399,	4,	3),
(69154,	5,	399,	5,	3),
(69155,	5,	400,	1,	1),
(69156,	5,	400,	2,	1),
(69157,	5,	400,	3,	1),
(69158,	5,	400,	1,	3),
(69159,	5,	400,	2,	3),
(69160,	5,	400,	3,	3),
(69161,	5,	400,	1,	2),
(69162,	5,	400,	2,	2),
(69163,	5,	400,	3,	2),
(69164,	5,	401,	1,	1),
(69165,	5,	401,	2,	1),
(69166,	5,	401,	3,	1),
(69167,	5,	401,	6,	1),
(69168,	5,	401,	24,	1),
(69169,	5,	401,	25,	1),
(69170,	5,	401,	4,	1),
(69171,	5,	401,	5,	1),
(69172,	5,	401,	1,	3),
(69173,	5,	401,	2,	3),
(69174,	5,	401,	3,	3),
(69175,	5,	401,	6,	3),
(69176,	5,	401,	24,	3),
(69177,	5,	401,	25,	3),
(69178,	5,	401,	4,	3),
(69179,	5,	401,	5,	3),
(69180,	5,	402,	1,	1),
(69181,	5,	402,	2,	1),
(69182,	5,	402,	3,	1),
(69183,	5,	402,	6,	1),
(69184,	5,	402,	24,	1),
(69185,	5,	402,	25,	1),
(69186,	5,	402,	4,	1),
(69187,	5,	402,	5,	1),
(69188,	5,	402,	1,	3),
(69189,	5,	402,	2,	3),
(69190,	5,	402,	3,	3),
(69191,	5,	402,	6,	3),
(69192,	5,	402,	24,	3),
(69193,	5,	402,	25,	3),
(69194,	5,	402,	4,	3),
(69195,	5,	402,	5,	3),
(69196,	5,	403,	1,	1),
(69197,	5,	403,	2,	1),
(69198,	5,	403,	3,	1),
(69199,	5,	403,	6,	1),
(69200,	5,	403,	24,	1),
(69201,	5,	403,	5,	1),
(69202,	5,	403,	1,	2),
(69203,	5,	403,	2,	2),
(69204,	5,	403,	3,	2),
(69205,	5,	403,	6,	2),
(69206,	5,	403,	24,	2),
(69207,	5,	403,	5,	2),
(69208,	5,	404,	1,	1),
(69209,	5,	404,	2,	1),
(69210,	5,	404,	3,	1),
(69211,	5,	404,	1,	2),
(69212,	5,	404,	2,	2),
(69213,	5,	404,	3,	2),
(69214,	5,	405,	1,	1),
(69215,	5,	405,	2,	1),
(69216,	5,	405,	3,	1),
(69217,	5,	405,	1,	2),
(69218,	5,	405,	2,	2),
(69219,	5,	405,	3,	2),
(69220,	5,	406,	1,	1),
(69221,	5,	406,	2,	1),
(69222,	5,	406,	3,	1),
(69223,	5,	406,	1,	2),
(69224,	5,	406,	2,	2),
(69225,	5,	406,	3,	2),
(69226,	5,	407,	1,	1),
(69227,	5,	407,	2,	1),
(69228,	5,	407,	3,	1),
(69229,	5,	407,	1,	2),
(69230,	5,	407,	2,	2),
(69231,	5,	407,	3,	2),
(69232,	5,	408,	1,	1),
(69233,	5,	408,	2,	1),
(69234,	5,	408,	3,	1),
(69235,	5,	409,	1,	1),
(69236,	5,	409,	2,	1),
(69237,	5,	409,	3,	1),
(69238,	5,	409,	1,	3),
(69239,	5,	409,	2,	3),
(69240,	5,	409,	3,	3),
(69241,	5,	410,	1,	1),
(69242,	5,	410,	2,	1),
(69243,	5,	410,	3,	1),
(69244,	5,	410,	1,	2),
(69245,	5,	410,	2,	2),
(69246,	5,	410,	3,	2),
(69247,	5,	411,	1,	1),
(69248,	5,	411,	2,	1),
(69249,	5,	411,	3,	1),
(69250,	5,	411,	1,	2),
(69251,	5,	411,	2,	2),
(69252,	5,	411,	3,	2),
(69253,	5,	412,	1,	1),
(69254,	5,	412,	2,	1),
(69255,	5,	412,	3,	1),
(69256,	5,	413,	1,	1),
(69257,	5,	413,	2,	1),
(69258,	5,	413,	3,	1),
(69259,	5,	413,	1,	2),
(69260,	5,	413,	2,	2),
(69261,	5,	413,	3,	2),
(69262,	5,	414,	1,	1),
(69263,	5,	414,	2,	1),
(69264,	5,	414,	3,	1),
(69265,	5,	414,	1,	2),
(69266,	5,	414,	2,	2),
(69267,	5,	414,	3,	2),
(69268,	5,	415,	1,	1),
(69269,	5,	415,	2,	1),
(69270,	5,	415,	3,	1),
(69271,	5,	415,	1,	2),
(69272,	5,	415,	2,	2),
(69273,	5,	415,	3,	2),
(69274,	5,	416,	1,	1),
(69275,	5,	416,	2,	1),
(69276,	5,	416,	3,	1),
(69277,	5,	416,	1,	2),
(69278,	5,	416,	2,	2),
(69279,	5,	416,	3,	2),
(69280,	5,	417,	1,	1),
(69281,	5,	417,	2,	1),
(69282,	5,	417,	3,	1),
(69283,	5,	418,	1,	1),
(69284,	5,	418,	2,	1),
(69285,	5,	418,	3,	1),
(69286,	5,	418,	1,	2),
(69287,	5,	418,	2,	2),
(69288,	5,	418,	3,	2),
(69289,	5,	419,	1,	1),
(69290,	5,	419,	2,	1),
(69291,	5,	419,	3,	1),
(69292,	5,	419,	1,	2),
(69293,	5,	419,	2,	2),
(69294,	5,	419,	3,	2),
(69295,	5,	420,	1,	1),
(69296,	5,	420,	2,	1),
(69297,	5,	420,	3,	1),
(69298,	5,	420,	1,	2),
(69299,	5,	420,	2,	2),
(69300,	5,	420,	3,	2),
(69301,	5,	421,	1,	1),
(69302,	5,	421,	2,	1),
(69303,	5,	421,	3,	1),
(69304,	5,	421,	1,	2),
(69305,	5,	421,	2,	2),
(69306,	5,	421,	3,	2),
(69307,	5,	422,	1,	1),
(69308,	5,	422,	2,	1),
(69309,	5,	422,	3,	1),
(69310,	5,	422,	1,	3),
(69311,	5,	422,	2,	3),
(69312,	5,	422,	3,	3),
(69313,	5,	423,	1,	1),
(69314,	5,	423,	2,	1),
(69315,	5,	423,	3,	1),
(69316,	5,	423,	1,	2),
(69317,	5,	423,	2,	2),
(69318,	5,	423,	3,	2),
(69319,	5,	424,	1,	1),
(69320,	5,	424,	2,	1),
(69321,	5,	424,	3,	1),
(69322,	5,	424,	1,	2),
(69323,	5,	424,	2,	2),
(69324,	5,	424,	3,	2),
(69325,	5,	425,	1,	1),
(69326,	5,	425,	2,	1),
(69327,	5,	425,	3,	1),
(69328,	5,	425,	1,	2),
(69329,	5,	425,	2,	2),
(69330,	5,	425,	3,	2),
(69331,	5,	426,	1,	1),
(69332,	5,	426,	2,	1),
(69333,	5,	426,	3,	1),
(69334,	5,	426,	1,	2),
(69335,	5,	426,	2,	2),
(69336,	5,	426,	3,	2),
(69337,	5,	427,	1,	1),
(69338,	5,	427,	2,	1),
(69339,	5,	427,	3,	1),
(69340,	5,	428,	1,	1),
(69341,	5,	428,	2,	1),
(69342,	5,	428,	3,	1),
(69343,	5,	428,	1,	3),
(69344,	5,	428,	2,	3),
(69345,	5,	428,	3,	3),
(69346,	5,	429,	1,	1),
(69347,	5,	429,	2,	1),
(69348,	5,	429,	3,	1),
(69349,	5,	429,	1,	3),
(69350,	5,	429,	2,	3),
(69351,	5,	429,	3,	3),
(69352,	5,	430,	1,	1),
(69353,	5,	430,	2,	1),
(69354,	5,	430,	3,	1),
(69355,	5,	430,	1,	3),
(69356,	5,	430,	2,	3),
(69357,	5,	430,	3,	3),
(69358,	5,	430,	1,	2),
(69359,	5,	430,	2,	2),
(69360,	5,	430,	3,	2),
(69361,	5,	431,	1,	1),
(69362,	5,	431,	2,	1),
(69363,	5,	431,	3,	1),
(69364,	5,	431,	1,	3),
(69365,	5,	431,	2,	3),
(69366,	5,	431,	3,	3),
(69367,	5,	431,	1,	2),
(69368,	5,	431,	2,	2),
(69369,	5,	431,	3,	2),
(69370,	5,	432,	1,	1),
(69371,	5,	432,	2,	1),
(69372,	5,	432,	3,	1),
(69373,	5,	432,	1,	3),
(69374,	5,	432,	2,	3),
(69375,	5,	432,	3,	3),
(69376,	5,	432,	1,	2),
(69377,	5,	432,	2,	2),
(69378,	5,	432,	3,	2),
(69379,	5,	433,	1,	1),
(69380,	5,	433,	2,	1),
(69381,	5,	433,	3,	1),
(69382,	5,	433,	1,	2),
(69383,	5,	433,	2,	2),
(69384,	5,	433,	3,	2),
(69385,	5,	434,	1,	1),
(69386,	5,	434,	2,	1),
(69387,	5,	434,	3,	1),
(69388,	5,	434,	1,	2),
(69389,	5,	434,	2,	2),
(69390,	5,	434,	3,	2),
(69391,	5,	435,	1,	1),
(69392,	5,	435,	2,	1),
(69393,	5,	435,	3,	1),
(69394,	5,	435,	1,	2),
(69395,	5,	435,	2,	2),
(69396,	5,	435,	3,	2),
(69397,	5,	436,	1,	1),
(69398,	5,	436,	2,	1),
(69399,	5,	436,	3,	1),
(69400,	5,	436,	1,	2),
(69401,	5,	436,	2,	2),
(69402,	5,	436,	3,	2),
(69403,	5,	437,	1,	1),
(69404,	5,	437,	2,	1),
(69405,	5,	437,	3,	1),
(69406,	5,	437,	1,	2),
(69407,	5,	437,	2,	2),
(69408,	5,	437,	3,	2),
(69409,	5,	438,	1,	1),
(69410,	5,	438,	2,	1),
(69411,	5,	438,	3,	1),
(69412,	5,	438,	1,	2),
(69413,	5,	438,	2,	2),
(69414,	5,	438,	3,	2),
(69415,	5,	439,	1,	1),
(69416,	5,	439,	2,	1),
(69417,	5,	439,	3,	1),
(69418,	5,	439,	1,	2),
(69419,	5,	439,	2,	2),
(69420,	5,	439,	3,	2),
(69421,	5,	440,	1,	1),
(69422,	5,	440,	2,	1),
(69423,	5,	440,	3,	1),
(69424,	5,	440,	1,	3),
(69425,	5,	440,	2,	3),
(69426,	5,	440,	3,	3),
(69427,	5,	441,	1,	1),
(69428,	5,	441,	2,	1),
(69429,	5,	441,	3,	1),
(69430,	5,	441,	1,	3),
(69431,	5,	441,	2,	3),
(69432,	5,	441,	3,	3),
(69433,	5,	442,	1,	1),
(69434,	5,	442,	2,	1),
(69435,	5,	442,	3,	1),
(69436,	5,	442,	1,	3),
(69437,	5,	442,	2,	3),
(69438,	5,	442,	3,	3),
(69439,	5,	443,	1,	1),
(69440,	5,	443,	2,	1),
(69441,	5,	443,	3,	1),
(69442,	5,	443,	1,	2),
(69443,	5,	443,	2,	2),
(69444,	5,	443,	3,	2),
(69445,	5,	444,	1,	1),
(69446,	5,	444,	2,	1),
(69447,	5,	444,	3,	1),
(69448,	5,	444,	1,	3),
(69449,	5,	444,	2,	3),
(69450,	5,	444,	3,	3),
(69451,	5,	445,	1,	1),
(69452,	5,	445,	2,	1),
(69453,	5,	445,	3,	1),
(69454,	5,	445,	1,	3),
(69455,	5,	445,	2,	3),
(69456,	5,	445,	3,	3),
(69457,	5,	446,	1,	1),
(69458,	5,	446,	2,	1),
(69459,	5,	446,	3,	1),
(69460,	5,	446,	1,	2),
(69461,	5,	446,	2,	2),
(69462,	5,	446,	3,	2),
(69463,	5,	447,	1,	1),
(69464,	5,	447,	2,	1),
(69465,	5,	447,	3,	1),
(69466,	5,	447,	1,	3),
(69467,	5,	447,	2,	3),
(69468,	5,	447,	3,	3),
(69469,	5,	448,	1,	1),
(69470,	5,	448,	2,	1),
(69471,	5,	448,	3,	1),
(69472,	5,	448,	1,	2),
(69473,	5,	448,	2,	2),
(69474,	5,	448,	3,	2),
(69475,	5,	449,	1,	1),
(69476,	5,	449,	2,	1),
(69477,	5,	449,	3,	1),
(69478,	5,	449,	1,	2),
(69479,	5,	449,	2,	2),
(69480,	5,	449,	3,	2),
(69481,	5,	450,	1,	1),
(69482,	5,	450,	2,	1),
(69483,	5,	450,	3,	1),
(69484,	5,	450,	1,	3),
(69485,	5,	450,	2,	3),
(69486,	5,	450,	3,	3),
(69487,	5,	451,	1,	1),
(69488,	5,	451,	2,	1),
(69489,	5,	451,	3,	1),
(69490,	5,	451,	1,	2),
(69491,	5,	451,	2,	2),
(69492,	5,	451,	3,	2),
(69493,	5,	452,	1,	1),
(69494,	5,	452,	2,	1),
(69495,	5,	452,	3,	1),
(69496,	5,	452,	1,	2),
(69497,	5,	452,	2,	2),
(69498,	5,	452,	3,	2),
(69499,	5,	453,	1,	1),
(69500,	5,	453,	2,	1),
(69501,	5,	453,	3,	1),
(69502,	5,	453,	1,	3),
(69503,	5,	453,	2,	3),
(69504,	5,	453,	3,	3),
(69505,	5,	454,	1,	1),
(69506,	5,	454,	2,	1),
(69507,	5,	454,	3,	1),
(69508,	5,	454,	1,	2),
(69509,	5,	454,	2,	2),
(69510,	5,	454,	3,	2),
(69511,	5,	455,	1,	1),
(69512,	5,	455,	2,	1),
(69513,	5,	455,	3,	1),
(69514,	5,	456,	1,	1),
(69515,	5,	456,	2,	1),
(69516,	5,	456,	3,	1),
(69517,	5,	456,	1,	2),
(69518,	5,	456,	2,	2),
(69519,	5,	456,	3,	2),
(69520,	5,	457,	1,	1),
(69521,	5,	457,	2,	1),
(69522,	5,	457,	3,	1),
(69523,	5,	457,	1,	2),
(69524,	5,	457,	2,	2),
(69525,	5,	457,	3,	2),
(69526,	5,	458,	1,	1),
(69527,	5,	458,	2,	1),
(69528,	5,	458,	3,	1),
(69529,	5,	458,	1,	3),
(69530,	5,	458,	2,	3),
(69531,	5,	458,	3,	3),
(69532,	5,	459,	1,	1),
(69533,	5,	459,	2,	1),
(69534,	5,	459,	3,	1),
(69535,	5,	460,	1,	1),
(69536,	5,	460,	2,	1),
(69537,	5,	460,	3,	1),
(69538,	5,	460,	1,	2),
(69539,	5,	460,	2,	2),
(69540,	5,	460,	3,	2),
(69541,	5,	461,	1,	1),
(69542,	5,	461,	2,	1),
(69543,	5,	461,	3,	1),
(69544,	5,	461,	1,	2),
(69545,	5,	461,	2,	2),
(69546,	5,	461,	3,	2),
(69547,	5,	462,	1,	1),
(69548,	5,	462,	2,	1),
(69549,	5,	462,	3,	1),
(69550,	5,	462,	1,	2),
(69551,	5,	462,	2,	2),
(69552,	5,	462,	3,	2),
(69553,	5,	463,	1,	1),
(69554,	5,	463,	2,	1),
(69555,	5,	463,	3,	1),
(69556,	5,	463,	1,	2),
(69557,	5,	463,	2,	2),
(69558,	5,	463,	3,	2),
(69559,	5,	464,	1,	1),
(69560,	5,	464,	2,	1),
(69561,	5,	464,	3,	1),
(69562,	5,	464,	1,	2),
(69563,	5,	464,	2,	2),
(69564,	5,	464,	3,	2),
(69565,	5,	465,	1,	1),
(69566,	5,	465,	2,	1),
(69567,	5,	465,	3,	1),
(69568,	5,	465,	1,	2),
(69569,	5,	465,	2,	2),
(69570,	5,	465,	3,	2),
(69571,	5,	466,	1,	1),
(69572,	5,	466,	2,	1),
(69573,	5,	466,	3,	1),
(69574,	5,	466,	1,	2),
(69575,	5,	466,	2,	2),
(69576,	5,	466,	3,	2),
(69577,	5,	467,	1,	1),
(69578,	5,	467,	2,	1),
(69579,	5,	467,	3,	1),
(69580,	5,	467,	1,	2),
(69581,	5,	467,	2,	2),
(69582,	5,	467,	3,	2),
(69583,	5,	468,	1,	1),
(69584,	5,	468,	2,	1),
(69585,	5,	468,	3,	1),
(69586,	5,	468,	1,	2),
(69587,	5,	468,	2,	2),
(69588,	5,	468,	3,	2),
(69589,	5,	469,	1,	1),
(69590,	5,	469,	2,	1),
(69591,	5,	469,	3,	1),
(69592,	5,	469,	1,	2),
(69593,	5,	469,	2,	2),
(69594,	5,	469,	3,	2),
(69595,	5,	470,	1,	1),
(69596,	5,	470,	2,	1),
(69597,	5,	470,	3,	1),
(69598,	5,	471,	1,	1),
(69599,	5,	471,	2,	1),
(69600,	5,	471,	3,	1),
(69601,	5,	472,	1,	1),
(69602,	5,	472,	2,	1),
(69603,	5,	472,	3,	1),
(69604,	5,	473,	1,	1),
(69605,	5,	473,	2,	1),
(69606,	5,	473,	3,	1),
(69607,	5,	474,	1,	1),
(69608,	5,	474,	2,	1),
(69609,	5,	474,	3,	1),
(69610,	5,	474,	1,	3),
(69611,	5,	474,	2,	3),
(69612,	5,	474,	3,	3),
(69613,	5,	475,	1,	1),
(69614,	5,	475,	2,	1),
(69615,	5,	475,	3,	1),
(69616,	5,	476,	1,	1),
(69617,	5,	476,	2,	1),
(69618,	5,	476,	3,	1),
(69619,	5,	476,	1,	2),
(69620,	5,	476,	2,	2),
(69621,	5,	476,	3,	2),
(69622,	5,	477,	1,	1),
(69623,	5,	477,	2,	1),
(69624,	5,	477,	3,	1),
(69625,	5,	477,	1,	2),
(69626,	5,	477,	2,	2),
(69627,	5,	477,	3,	2),
(69628,	5,	478,	1,	1),
(69629,	5,	478,	2,	1),
(69630,	5,	478,	3,	1),
(69631,	5,	478,	1,	2),
(69632,	5,	478,	2,	2),
(69633,	5,	478,	3,	2),
(69634,	5,	479,	1,	1),
(69635,	5,	479,	2,	1),
(69636,	5,	479,	3,	1),
(69637,	5,	480,	1,	1),
(69638,	5,	480,	2,	1),
(69639,	5,	480,	3,	1),
(69640,	5,	481,	1,	1),
(69641,	5,	481,	2,	1),
(69642,	5,	481,	3,	1),
(69643,	5,	482,	1,	1),
(69644,	5,	482,	2,	1),
(69645,	5,	482,	3,	1),
(69646,	5,	483,	1,	1),
(69647,	5,	483,	2,	1),
(69648,	5,	483,	3,	1),
(69649,	5,	484,	1,	1),
(69650,	5,	484,	2,	1),
(69651,	5,	484,	3,	1),
(69652,	5,	485,	1,	1),
(69653,	5,	485,	2,	1),
(69654,	5,	485,	3,	1),
(69655,	5,	486,	1,	1),
(69656,	5,	486,	2,	1),
(69657,	5,	486,	3,	1),
(69658,	5,	486,	1,	2),
(69659,	5,	486,	2,	2),
(69660,	5,	486,	3,	2),
(69661,	5,	487,	1,	1),
(69662,	5,	487,	2,	1),
(69663,	5,	487,	3,	1),
(69664,	5,	487,	1,	2),
(69665,	5,	487,	2,	2),
(69666,	5,	487,	3,	2),
(69667,	5,	488,	1,	1),
(69668,	5,	488,	2,	1),
(69669,	5,	488,	3,	1),
(69670,	5,	488,	1,	2),
(69671,	5,	488,	2,	2),
(69672,	5,	488,	3,	2),
(69673,	5,	489,	1,	1),
(69674,	5,	489,	2,	1),
(69675,	5,	489,	3,	1),
(69676,	5,	489,	1,	2),
(69677,	5,	489,	2,	2),
(69678,	5,	489,	3,	2),
(69679,	5,	490,	1,	1),
(69680,	5,	490,	2,	1),
(69681,	5,	490,	3,	1),
(69682,	5,	491,	1,	1),
(69683,	5,	491,	2,	1),
(69684,	5,	491,	3,	1),
(69685,	5,	492,	1,	1),
(69686,	5,	492,	2,	1),
(69687,	5,	492,	3,	1),
(69688,	5,	493,	1,	1),
(69689,	5,	493,	2,	1),
(69690,	5,	493,	3,	1),
(69691,	5,	493,	1,	2),
(69692,	5,	493,	2,	2),
(69693,	5,	493,	3,	2),
(69694,	5,	494,	1,	1),
(69695,	5,	494,	2,	1),
(69696,	5,	494,	3,	1),
(69697,	5,	494,	1,	2),
(69698,	5,	494,	2,	2),
(69699,	5,	494,	3,	2),
(69700,	5,	495,	1,	1),
(69701,	5,	495,	2,	1),
(69702,	5,	495,	3,	1),
(69703,	5,	495,	1,	2),
(69704,	5,	495,	2,	2),
(69705,	5,	495,	3,	2),
(69706,	5,	496,	1,	1),
(69707,	5,	496,	2,	1),
(69708,	5,	496,	3,	1),
(69709,	5,	496,	1,	2),
(69710,	5,	496,	2,	2),
(69711,	5,	496,	3,	2),
(69712,	5,	497,	1,	1),
(69713,	5,	497,	2,	1),
(69714,	5,	497,	3,	1),
(69715,	5,	497,	1,	2),
(69716,	5,	497,	2,	2),
(69717,	5,	497,	3,	2),
(69718,	5,	498,	1,	1),
(69719,	5,	498,	2,	1),
(69720,	5,	498,	3,	1),
(69721,	5,	498,	1,	2),
(69722,	5,	498,	2,	2),
(69723,	5,	498,	3,	2),
(69724,	5,	499,	1,	1),
(69725,	5,	499,	2,	1),
(69726,	5,	499,	3,	1),
(69727,	5,	499,	1,	2),
(69728,	5,	499,	2,	2),
(69729,	5,	499,	3,	2),
(69730,	5,	500,	1,	1),
(69731,	5,	500,	2,	1),
(69732,	5,	500,	3,	1),
(69733,	5,	500,	1,	2),
(69734,	5,	500,	2,	2),
(69735,	5,	500,	3,	2),
(69736,	5,	501,	1,	1),
(69737,	5,	501,	2,	1),
(69738,	5,	501,	3,	1),
(69739,	5,	501,	1,	2),
(69740,	5,	501,	2,	2),
(69741,	5,	501,	3,	2),
(69742,	5,	502,	1,	1),
(69743,	5,	502,	2,	1),
(69744,	5,	502,	3,	1),
(69745,	5,	502,	1,	2),
(69746,	5,	502,	2,	2),
(69747,	5,	502,	3,	2),
(69748,	5,	503,	1,	1),
(69749,	5,	503,	2,	1),
(69750,	5,	503,	3,	1),
(69751,	5,	503,	1,	2),
(69752,	5,	503,	2,	2),
(69753,	5,	503,	3,	2),
(69754,	5,	504,	1,	1),
(69755,	5,	504,	2,	1),
(69756,	5,	504,	3,	1),
(69757,	5,	504,	1,	2),
(69758,	5,	504,	2,	2),
(69759,	5,	504,	3,	2),
(69760,	5,	505,	1,	1),
(69761,	5,	505,	2,	1),
(69762,	5,	505,	3,	1),
(69763,	5,	505,	1,	2),
(69764,	5,	505,	2,	2),
(69765,	5,	505,	3,	2),
(69766,	5,	506,	1,	1),
(69767,	5,	506,	2,	1),
(69768,	5,	506,	3,	1),
(69769,	5,	506,	1,	2),
(69770,	5,	506,	2,	2),
(69771,	5,	506,	3,	2),
(69772,	5,	507,	1,	1),
(69773,	5,	507,	2,	1),
(69774,	5,	507,	3,	1),
(69775,	5,	507,	1,	2),
(69776,	5,	507,	2,	2),
(69777,	5,	507,	3,	2),
(69778,	5,	508,	1,	1),
(69779,	5,	508,	2,	1),
(69780,	5,	508,	3,	1),
(69781,	5,	508,	1,	2),
(69782,	5,	508,	2,	2),
(69783,	5,	508,	3,	2),
(69784,	5,	509,	1,	1),
(69785,	5,	509,	2,	1),
(69786,	5,	509,	3,	1),
(69787,	5,	509,	1,	2),
(69788,	5,	509,	2,	2),
(69789,	5,	509,	3,	2),
(69790,	5,	510,	1,	1),
(69791,	5,	510,	2,	1),
(69792,	5,	510,	3,	1),
(69793,	5,	510,	1,	2),
(69794,	5,	510,	2,	2),
(69795,	5,	510,	3,	2),
(69796,	5,	511,	1,	1),
(69797,	5,	511,	2,	1),
(69798,	5,	511,	3,	1),
(69799,	5,	511,	1,	2),
(69800,	5,	511,	2,	2),
(69801,	5,	511,	3,	2),
(69802,	5,	512,	1,	1),
(69803,	5,	512,	2,	1),
(69804,	5,	512,	3,	1),
(69805,	5,	512,	1,	2),
(69806,	5,	512,	2,	2),
(69807,	5,	512,	3,	2),
(69808,	5,	513,	1,	1),
(69809,	5,	513,	2,	1),
(69810,	5,	513,	3,	1),
(69811,	5,	513,	1,	2),
(69812,	5,	513,	2,	2),
(69813,	5,	513,	3,	2),
(69814,	5,	514,	1,	1),
(69815,	5,	514,	2,	1),
(69816,	5,	514,	3,	1),
(69817,	5,	514,	23,	1),
(69818,	5,	514,	1,	3),
(69819,	5,	514,	2,	3),
(69820,	5,	514,	3,	3),
(69821,	5,	514,	23,	3),
(69822,	5,	515,	1,	1),
(69823,	5,	515,	2,	1),
(69824,	5,	515,	3,	1),
(69825,	5,	515,	23,	1),
(69826,	5,	515,	1,	3),
(69827,	5,	515,	2,	3),
(69828,	5,	515,	3,	3),
(69829,	5,	515,	23,	3),
(69830,	5,	516,	1,	1),
(69831,	5,	516,	2,	1),
(69832,	5,	516,	3,	1),
(69833,	5,	516,	1,	3),
(69834,	5,	516,	2,	3),
(69835,	5,	516,	3,	3),
(69836,	5,	517,	1,	1),
(69837,	5,	517,	2,	1),
(69838,	5,	517,	3,	1),
(69839,	5,	517,	23,	1),
(69840,	5,	517,	1,	3),
(69841,	5,	517,	2,	3),
(69842,	5,	517,	3,	3),
(69843,	5,	517,	23,	3),
(69844,	5,	518,	1,	1),
(69845,	5,	518,	2,	1),
(69846,	5,	518,	3,	1),
(69847,	5,	518,	23,	1),
(69848,	5,	518,	1,	3),
(69849,	5,	518,	2,	3),
(69850,	5,	518,	3,	3),
(69851,	5,	518,	23,	3),
(69852,	5,	519,	1,	1),
(69853,	5,	519,	2,	1),
(69854,	5,	519,	3,	1),
(69855,	5,	519,	1,	3),
(69856,	5,	519,	2,	3),
(69857,	5,	519,	3,	3),
(69858,	5,	519,	1,	2),
(69859,	5,	519,	2,	2),
(69860,	5,	519,	3,	2),
(69861,	5,	520,	1,	1),
(69862,	5,	520,	2,	1),
(69863,	5,	520,	3,	1),
(69864,	5,	520,	1,	3),
(69865,	5,	520,	2,	3),
(69866,	5,	520,	3,	3),
(69867,	5,	521,	1,	1),
(69868,	5,	521,	2,	1),
(69869,	5,	521,	3,	1),
(69870,	5,	521,	1,	3),
(69871,	5,	521,	2,	3),
(69872,	5,	521,	3,	3),
(69873,	5,	521,	1,	2),
(69874,	5,	521,	2,	2),
(69875,	5,	521,	3,	2),
(69876,	5,	522,	1,	1),
(69877,	5,	522,	2,	1),
(69878,	5,	522,	3,	1),
(69879,	5,	522,	1,	2),
(69880,	5,	522,	2,	2),
(69881,	5,	522,	3,	2),
(69882,	5,	523,	1,	1),
(69883,	5,	523,	2,	1),
(69884,	5,	523,	3,	1),
(69885,	5,	523,	1,	3),
(69886,	5,	523,	2,	3),
(69887,	5,	523,	3,	3),
(69888,	5,	524,	1,	1),
(69889,	5,	524,	2,	1),
(69890,	5,	524,	3,	1),
(69891,	5,	524,	1,	2),
(69892,	5,	524,	2,	2),
(69893,	5,	524,	3,	2),
(69894,	5,	525,	1,	1),
(69895,	5,	525,	2,	1),
(69896,	5,	525,	3,	1),
(69897,	5,	525,	1,	3),
(69898,	5,	525,	2,	3),
(69899,	5,	525,	3,	3),
(69900,	5,	526,	1,	1),
(69901,	5,	526,	2,	1),
(69902,	5,	526,	3,	1),
(69903,	5,	526,	1,	2),
(69904,	5,	526,	2,	2),
(69905,	5,	526,	3,	2),
(69906,	5,	527,	1,	1),
(69907,	5,	527,	2,	1),
(69908,	5,	527,	3,	1),
(69909,	5,	527,	1,	2),
(69910,	5,	527,	2,	2),
(69911,	5,	527,	3,	2),
(69912,	5,	528,	1,	1),
(69913,	5,	528,	2,	1),
(69914,	5,	528,	3,	1),
(69915,	5,	528,	6,	1),
(69916,	5,	528,	1,	2),
(69917,	5,	528,	2,	2),
(69918,	5,	528,	3,	2),
(69919,	5,	528,	6,	2),
(69920,	5,	529,	1,	1),
(69921,	5,	529,	2,	1),
(69922,	5,	529,	3,	1),
(69923,	5,	529,	6,	1),
(69924,	5,	529,	1,	2),
(69925,	5,	529,	2,	2),
(69926,	5,	529,	3,	2),
(69927,	5,	529,	6,	2),
(69928,	5,	530,	1,	1),
(69929,	5,	530,	2,	1),
(69930,	5,	530,	3,	1),
(69931,	5,	530,	6,	1),
(69932,	5,	530,	1,	2),
(69933,	5,	530,	2,	2),
(69934,	5,	530,	3,	2),
(69935,	5,	530,	6,	2),
(69936,	5,	531,	1,	1),
(69937,	5,	531,	2,	1),
(69938,	5,	531,	3,	1),
(69939,	5,	531,	1,	2),
(69940,	5,	531,	2,	2),
(69941,	5,	531,	3,	2),
(69942,	5,	532,	1,	1),
(69943,	5,	532,	2,	1),
(69944,	5,	532,	3,	1),
(69945,	5,	532,	6,	1),
(69946,	5,	532,	1,	2),
(69947,	5,	532,	2,	2),
(69948,	5,	532,	3,	2),
(69949,	5,	532,	6,	2),
(69950,	5,	533,	1,	1),
(69951,	5,	533,	2,	1),
(69952,	5,	533,	3,	1),
(69953,	5,	533,	6,	1),
(69954,	5,	533,	1,	2),
(69955,	5,	533,	2,	2),
(69956,	5,	533,	3,	2),
(69957,	5,	533,	6,	2),
(69958,	5,	534,	1,	1),
(69959,	5,	534,	2,	1),
(69960,	5,	534,	3,	1),
(69961,	5,	534,	1,	3),
(69962,	5,	534,	2,	3),
(69963,	5,	534,	3,	3),
(69964,	5,	535,	1,	1),
(69965,	5,	535,	2,	1),
(69966,	5,	535,	3,	1),
(69967,	5,	535,	1,	3),
(69968,	5,	535,	2,	3),
(69969,	5,	535,	3,	3),
(69970,	5,	536,	1,	1),
(69971,	5,	536,	2,	1),
(69972,	5,	536,	3,	1),
(69973,	5,	536,	1,	3),
(69974,	5,	536,	2,	3),
(69975,	5,	536,	3,	3),
(69976,	5,	537,	1,	1),
(69977,	5,	537,	2,	1),
(69978,	5,	537,	3,	1),
(69979,	5,	537,	1,	3),
(69980,	5,	537,	2,	3),
(69981,	5,	537,	3,	3),
(69982,	5,	538,	1,	1),
(69983,	5,	538,	2,	1),
(69984,	5,	538,	3,	1),
(69985,	5,	538,	1,	3),
(69986,	5,	538,	2,	3),
(69987,	5,	538,	3,	3),
(69988,	5,	539,	1,	1),
(69989,	5,	539,	2,	1),
(69990,	5,	539,	3,	1),
(69991,	5,	540,	1,	1),
(69992,	5,	540,	2,	1),
(69993,	5,	540,	3,	1),
(69994,	5,	541,	1,	1),
(69995,	5,	541,	2,	1),
(69996,	5,	541,	3,	1),
(69997,	5,	541,	4,	1),
(69998,	5,	542,	1,	1),
(69999,	5,	542,	2,	1),
(70000,	5,	542,	3,	1),
(70001,	5,	543,	1,	1),
(70002,	5,	543,	2,	1),
(70003,	5,	543,	3,	1),
(70004,	5,	543,	31,	1),
(70005,	5,	543,	32,	1),
(70006,	5,	543,	33,	1),
(70007,	5,	543,	34,	1),
(70008,	5,	544,	1,	1),
(70009,	5,	544,	2,	1),
(70010,	5,	544,	3,	1),
(70011,	5,	545,	1,	1),
(70012,	5,	545,	2,	1),
(70013,	5,	545,	3,	1),
(70014,	5,	546,	1,	1),
(70015,	5,	546,	2,	1),
(70016,	5,	546,	3,	1),
(70017,	5,	547,	1,	1),
(70018,	5,	547,	2,	1),
(70019,	5,	547,	3,	1),
(70020,	5,	547,	1,	2),
(70021,	5,	547,	2,	2),
(70022,	5,	547,	3,	2),
(70023,	5,	548,	1,	1),
(70024,	5,	548,	2,	1),
(70025,	5,	548,	3,	1),
(70026,	5,	549,	1,	1),
(70027,	5,	549,	2,	1),
(70028,	5,	549,	3,	1),
(70029,	5,	549,	1,	2),
(70030,	5,	549,	2,	2),
(70031,	5,	549,	3,	2),
(70032,	5,	550,	1,	1),
(70033,	5,	550,	2,	1),
(70034,	5,	550,	3,	1),
(70035,	5,	551,	1,	1),
(70036,	5,	551,	2,	1),
(70037,	5,	551,	3,	1),
(70038,	5,	551,	6,	1),
(70039,	5,	552,	1,	1),
(70040,	5,	552,	2,	1),
(70041,	5,	552,	3,	1),
(70042,	5,	552,	6,	1),
(70043,	5,	552,	1,	2),
(70044,	5,	552,	2,	2),
(70045,	5,	552,	3,	2),
(70046,	5,	552,	6,	2),
(70047,	5,	553,	1,	1),
(70048,	5,	553,	2,	1),
(70049,	5,	553,	3,	1),
(70050,	5,	554,	1,	1),
(70051,	5,	554,	2,	1),
(70052,	5,	554,	3,	1),
(70053,	5,	555,	1,	1),
(70054,	5,	555,	2,	1),
(70055,	5,	555,	3,	1),
(70056,	5,	556,	1,	1),
(70057,	5,	556,	2,	1),
(70058,	5,	556,	3,	1),
(70059,	5,	556,	1,	2),
(70060,	5,	556,	2,	2),
(70061,	5,	556,	3,	2),
(70062,	5,	557,	1,	1),
(70063,	5,	557,	2,	1),
(70064,	5,	557,	3,	1),
(70065,	5,	557,	1,	2),
(70066,	5,	557,	2,	2),
(70067,	5,	557,	3,	2),
(70068,	5,	558,	2,	1),
(70069,	5,	558,	3,	1),
(70070,	5,	558,	35,	1),
(70071,	5,	558,	36,	1),
(70072,	5,	559,	2,	1),
(70073,	5,	559,	3,	1),
(70074,	5,	559,	26,	1),
(70075,	5,	559,	37,	1),
(70076,	5,	559,	36,	1),
(70077,	5,	559,	35,	1),
(70078,	5,	559,	38,	1),
(70079,	5,	559,	28,	1),
(70080,	5,	559,	39,	1),
(70081,	5,	559,	40,	1),
(70082,	5,	559,	2,	3),
(70083,	5,	559,	3,	3),
(70084,	5,	559,	26,	3),
(70085,	5,	559,	37,	3),
(70086,	5,	559,	36,	3),
(70087,	5,	559,	35,	3),
(70088,	5,	559,	38,	3),
(70089,	5,	559,	28,	3),
(70090,	5,	559,	39,	3),
(70091,	5,	559,	40,	3),
(70092,	5,	559,	2,	4),
(70093,	5,	559,	3,	4),
(70094,	5,	559,	26,	4),
(70095,	5,	559,	37,	4),
(70096,	5,	559,	36,	4),
(70097,	5,	559,	35,	4),
(70098,	5,	559,	38,	4),
(70099,	5,	559,	28,	4),
(70100,	5,	559,	39,	4),
(70101,	5,	559,	40,	4),
(70102,	5,	560,	2,	1),
(70103,	5,	560,	3,	1),
(70104,	5,	560,	35,	1),
(70105,	5,	560,	36,	1),
(70106,	5,	561,	2,	1),
(70107,	5,	561,	3,	1),
(70108,	5,	561,	35,	1),
(70109,	5,	561,	41,	1),
(70110,	5,	561,	42,	1),
(70111,	5,	561,	43,	1),
(70112,	5,	561,	44,	1),
(70113,	5,	561,	39,	1),
(70114,	5,	561,	45,	1),
(70115,	5,	561,	46,	1),
(70116,	5,	562,	2,	1),
(70117,	5,	562,	35,	1),
(70118,	5,	563,	2,	1),
(70119,	5,	563,	35,	1),
(70120,	5,	564,	2,	1),
(70121,	5,	565,	2,	1),
(70122,	5,	565,	35,	1),
(70123,	5,	566,	2,	1),
(70124,	5,	566,	35,	1),
(70125,	5,	567,	2,	1),
(70126,	5,	567,	35,	1),
(70127,	5,	568,	2,	1),
(70128,	5,	568,	35,	1),
(70129,	5,	569,	2,	1),
(70130,	5,	569,	35,	1),
(70131,	5,	570,	2,	1),
(70132,	5,	570,	35,	1),
(70133,	5,	571,	1,	1),
(70134,	5,	571,	2,	1),
(70135,	5,	571,	3,	1),
(70136,	5,	571,	1,	2),
(70137,	5,	571,	2,	2),
(70138,	5,	571,	3,	2),
(70139,	5,	572,	1,	1),
(70140,	5,	572,	2,	1),
(70141,	5,	572,	3,	1),
(70142,	5,	572,	1,	2),
(70143,	5,	572,	2,	2),
(70144,	5,	572,	3,	2),
(70145,	5,	573,	1,	1),
(70146,	5,	573,	2,	1),
(70147,	5,	573,	3,	1),
(70148,	5,	573,	1,	2),
(70149,	5,	573,	2,	2),
(70150,	5,	573,	3,	2),
(70151,	5,	574,	1,	1),
(70152,	5,	574,	2,	1),
(70153,	5,	574,	3,	1),
(70154,	5,	574,	1,	2),
(70155,	5,	574,	2,	2),
(70156,	5,	574,	3,	2),
(70157,	5,	575,	2,	1),
(70158,	5,	575,	35,	1),
(70159,	5,	576,	2,	1),
(70160,	5,	576,	35,	1),
(70161,	5,	576,	26,	1),
(70162,	5,	576,	37,	1),
(70163,	5,	576,	36,	1),
(70164,	5,	576,	38,	1),
(70165,	5,	576,	39,	1),
(70166,	5,	576,	40,	1),
(70167,	5,	577,	2,	1),
(70168,	5,	577,	35,	1),
(70169,	5,	577,	45,	1),
(70170,	5,	578,	2,	1),
(70171,	5,	578,	3,	1),
(70172,	5,	578,	41,	1),
(70173,	5,	578,	42,	1),
(70174,	5,	578,	45,	1),
(70175,	5,	578,	46,	1),
(70176,	5,	578,	46,	1),
(70177,	5,	579,	2,	1),
(70178,	5,	579,	35,	1),
(70179,	5,	580,	2,	1),
(70180,	5,	580,	35,	1),
(70181,	5,	581,	2,	1),
(70182,	5,	582,	2,	1),
(70183,	5,	582,	35,	1),
(70184,	5,	583,	2,	1),
(70185,	5,	583,	35,	1),
(70186,	5,	584,	2,	1),
(70187,	5,	584,	35,	1),
(70188,	5,	585,	2,	1),
(70189,	5,	585,	35,	1),
(70190,	5,	585,	41,	1),
(70191,	5,	585,	42,	1),
(70192,	5,	585,	45,	1),
(70193,	5,	585,	46,	1),
(70194,	5,	586,	2,	1),
(70195,	5,	586,	35,	1),
(70196,	5,	587,	2,	1),
(70197,	5,	587,	35,	1),
(70198,	5,	588,	2,	1),
(70199,	5,	588,	35,	1),
(70200,	5,	589,	2,	1),
(70201,	5,	589,	35,	1),
(70202,	5,	590,	1,	1),
(70203,	5,	590,	2,	1),
(70204,	5,	590,	3,	1),
(70205,	5,	591,	1,	1),
(70206,	5,	591,	2,	1),
(70207,	5,	591,	3,	1),
(70208,	5,	591,	23,	1),
(70209,	5,	592,	1,	1),
(70210,	5,	592,	2,	1),
(70211,	5,	592,	3,	1),
(70212,	5,	593,	1,	1),
(70213,	5,	593,	2,	1),
(70214,	5,	593,	3,	1),
(70215,	5,	594,	1,	1),
(70216,	5,	594,	2,	1),
(70217,	5,	594,	3,	1),
(70218,	5,	595,	1,	1),
(70219,	5,	595,	2,	1),
(70220,	5,	595,	3,	1),
(70221,	5,	596,	1,	1),
(70222,	5,	596,	2,	1),
(70223,	5,	596,	3,	1),
(70224,	5,	597,	1,	1),
(70225,	5,	597,	2,	1),
(70226,	5,	597,	3,	1),
(70227,	5,	598,	1,	1),
(70228,	5,	598,	2,	1),
(70229,	5,	598,	3,	1),
(70230,	5,	598,	1,	2),
(70231,	5,	598,	2,	2),
(70232,	5,	598,	3,	2),
(70233,	5,	599,	1,	1),
(70234,	5,	599,	2,	1),
(70235,	5,	599,	3,	1),
(70236,	5,	600,	1,	1),
(70237,	5,	600,	2,	1),
(70238,	5,	600,	3,	1),
(70239,	5,	601,	1,	1),
(70240,	5,	601,	2,	1),
(70241,	5,	601,	3,	1),
(70242,	5,	602,	1,	1),
(70243,	5,	602,	2,	1),
(70244,	5,	602,	3,	1),
(70245,	5,	603,	1,	1),
(70246,	5,	603,	2,	1),
(70247,	5,	603,	3,	1),
(70248,	5,	603,	1,	2),
(70249,	5,	603,	2,	2),
(70250,	5,	603,	3,	2),
(70251,	5,	604,	1,	1),
(70252,	5,	604,	2,	1),
(70253,	5,	604,	3,	1),
(70254,	5,	605,	1,	1),
(70255,	5,	605,	2,	1),
(70256,	5,	605,	3,	1),
(70257,	5,	605,	1,	2),
(70258,	5,	605,	2,	2),
(70259,	5,	605,	3,	2),
(70260,	5,	606,	1,	1),
(70261,	5,	606,	2,	1),
(70262,	5,	606,	3,	1),
(70263,	5,	606,	1,	2),
(70264,	5,	606,	2,	2),
(70265,	5,	606,	3,	2),
(70266,	5,	607,	1,	1),
(70267,	5,	607,	2,	1),
(70268,	5,	607,	3,	1),
(70269,	5,	608,	1,	1),
(70270,	5,	608,	2,	1),
(70271,	5,	608,	3,	1),
(70272,	5,	609,	1,	1),
(70273,	5,	609,	2,	1),
(70274,	5,	609,	3,	1),
(70275,	5,	610,	1,	1),
(70276,	5,	610,	2,	1),
(70277,	5,	610,	3,	1),
(70278,	5,	611,	1,	1),
(70279,	5,	611,	2,	1),
(70280,	5,	611,	3,	1),
(70281,	5,	612,	1,	1),
(70282,	5,	612,	2,	1),
(70283,	5,	612,	3,	1),
(70284,	5,	613,	1,	1),
(70285,	5,	613,	2,	1),
(70286,	5,	613,	3,	1),
(70287,	5,	614,	1,	1),
(70288,	5,	614,	2,	1),
(70289,	5,	614,	3,	1),
(70290,	5,	614,	1,	2),
(70291,	5,	614,	2,	2),
(70292,	5,	614,	3,	2),
(70293,	5,	615,	1,	1),
(70294,	5,	615,	2,	1),
(70295,	5,	615,	3,	1),
(70296,	5,	615,	1,	2),
(70297,	5,	615,	2,	2),
(70298,	5,	615,	3,	2),
(70299,	5,	616,	1,	1),
(70300,	5,	616,	2,	1),
(70301,	5,	616,	3,	1),
(70302,	5,	616,	1,	2),
(70303,	5,	616,	2,	2),
(70304,	5,	616,	3,	2),
(70305,	5,	617,	1,	1),
(70306,	5,	617,	2,	1),
(70307,	5,	617,	3,	1),
(70308,	5,	617,	1,	2),
(70309,	5,	617,	2,	2),
(70310,	5,	617,	3,	2),
(70311,	5,	618,	1,	1),
(70312,	5,	618,	2,	1),
(70313,	5,	618,	3,	1),
(70314,	5,	618,	1,	2),
(70315,	5,	618,	2,	2),
(70316,	5,	618,	3,	2),
(70317,	5,	619,	1,	1),
(70318,	5,	619,	2,	1),
(70319,	5,	619,	3,	1),
(70320,	5,	620,	1,	1),
(70321,	5,	620,	2,	1),
(70322,	5,	620,	3,	1),
(70323,	5,	620,	1,	2),
(70324,	5,	620,	2,	2),
(70325,	5,	620,	3,	2),
(70326,	5,	621,	1,	1),
(70327,	5,	621,	2,	1),
(70328,	5,	621,	3,	1),
(70329,	5,	621,	1,	2),
(70330,	5,	621,	2,	2),
(70331,	5,	621,	3,	2),
(70332,	5,	622,	1,	1),
(70333,	5,	622,	2,	1),
(70334,	5,	622,	3,	1),
(70335,	5,	622,	1,	2),
(70336,	5,	622,	2,	2),
(70337,	5,	622,	3,	2),
(70338,	5,	623,	1,	1),
(70339,	5,	623,	2,	1),
(70340,	5,	623,	3,	1),
(70341,	5,	623,	1,	2),
(70342,	5,	623,	2,	2),
(70343,	5,	623,	3,	2),
(70344,	5,	624,	1,	1),
(70345,	5,	624,	2,	1),
(70346,	5,	624,	3,	1),
(70347,	5,	624,	1,	2),
(70348,	5,	624,	2,	2),
(70349,	5,	624,	3,	2),
(70350,	5,	625,	1,	1),
(70351,	5,	625,	2,	1),
(70352,	5,	625,	3,	1),
(70353,	5,	625,	1,	2),
(70354,	5,	625,	2,	2),
(70355,	5,	625,	3,	2),
(70356,	5,	626,	1,	1),
(70357,	5,	626,	2,	1),
(70358,	5,	626,	3,	1),
(70359,	5,	627,	1,	1),
(70360,	5,	627,	2,	1),
(70361,	5,	627,	3,	1),
(70362,	5,	627,	1,	2),
(70363,	5,	627,	2,	2),
(70364,	5,	627,	3,	2),
(70365,	5,	628,	1,	1),
(70366,	5,	628,	2,	1),
(70367,	5,	628,	3,	1),
(70368,	5,	628,	1,	2),
(70369,	5,	628,	2,	2),
(70370,	5,	628,	3,	2),
(70371,	5,	629,	1,	1),
(70372,	5,	629,	2,	1),
(70373,	5,	629,	3,	1),
(70374,	5,	629,	1,	2),
(70375,	5,	629,	2,	2),
(70376,	5,	629,	3,	2),
(70377,	5,	630,	1,	1),
(70378,	5,	630,	2,	1),
(70379,	5,	630,	3,	1),
(70380,	5,	630,	1,	2),
(70381,	5,	630,	2,	2),
(70382,	5,	630,	3,	2),
(70383,	5,	631,	1,	1),
(70384,	5,	631,	2,	1),
(70385,	5,	631,	3,	1),
(70386,	5,	631,	1,	2),
(70387,	5,	631,	2,	2),
(70388,	5,	631,	3,	2),
(70389,	5,	632,	1,	1),
(70390,	5,	632,	2,	1),
(70391,	5,	632,	3,	1),
(70392,	5,	632,	24,	1),
(70393,	5,	632,	4,	1),
(70394,	5,	632,	32,	1),
(70395,	5,	632,	47,	1),
(70396,	5,	632,	48,	1),
(70397,	5,	633,	1,	1),
(70398,	5,	633,	2,	1),
(70399,	5,	633,	3,	1),
(70400,	5,	634,	1,	1),
(70401,	5,	634,	2,	1),
(70402,	5,	634,	3,	1),
(70403,	5,	634,	5,	1),
(70404,	5,	634,	29,	1),
(70405,	5,	635,	1,	1),
(70406,	5,	635,	2,	1),
(70407,	5,	635,	3,	1),
(70408,	5,	635,	23,	1),
(70409,	5,	636,	1,	1),
(70410,	5,	636,	2,	1),
(70411,	5,	636,	3,	1),
(70412,	5,	636,	1,	2),
(70413,	5,	636,	2,	2),
(70414,	5,	636,	3,	2),
(70415,	5,	637,	1,	1),
(70416,	5,	637,	2,	1),
(70417,	5,	637,	3,	1),
(70418,	5,	637,	23,	1),
(70419,	5,	637,	1,	2),
(70420,	5,	637,	2,	2),
(70421,	5,	637,	3,	2),
(70422,	5,	637,	23,	2),
(70423,	5,	638,	1,	1),
(70424,	5,	638,	2,	1),
(70425,	5,	638,	3,	1),
(70426,	5,	638,	23,	1),
(70427,	5,	638,	1,	2),
(70428,	5,	638,	2,	2),
(70429,	5,	638,	3,	2),
(70430,	5,	638,	23,	2),
(70431,	5,	639,	1,	1),
(70432,	5,	639,	2,	1),
(70433,	5,	639,	3,	1),
(70434,	5,	640,	1,	1),
(70435,	5,	640,	2,	1),
(70436,	5,	640,	3,	1),
(70437,	5,	641,	1,	1),
(70438,	5,	641,	2,	1),
(70439,	5,	641,	3,	1),
(70440,	5,	641,	1,	2),
(70441,	5,	641,	2,	2),
(70442,	5,	641,	3,	2),
(70443,	5,	642,	1,	1),
(70444,	5,	642,	2,	1),
(70445,	5,	642,	3,	1),
(70446,	5,	642,	1,	2),
(70447,	5,	642,	2,	2),
(70448,	5,	642,	3,	2),
(70449,	5,	643,	1,	1),
(70450,	5,	643,	2,	1),
(70451,	5,	643,	3,	1),
(70452,	5,	644,	1,	1),
(70453,	5,	644,	2,	1),
(70454,	5,	644,	3,	1),
(70455,	5,	645,	1,	1),
(70456,	5,	645,	2,	1),
(70457,	5,	645,	3,	1),
(70458,	5,	646,	1,	1),
(70459,	5,	646,	2,	1),
(70460,	5,	646,	3,	1),
(70461,	5,	646,	1,	2),
(70462,	5,	646,	2,	2),
(70463,	5,	646,	3,	2),
(70464,	5,	647,	1,	1),
(70465,	5,	647,	2,	1),
(70466,	5,	647,	3,	1),
(70467,	5,	647,	1,	2),
(70468,	5,	647,	2,	2),
(70469,	5,	647,	3,	2),
(70470,	5,	648,	1,	1),
(70471,	5,	648,	2,	1),
(70472,	5,	648,	3,	1),
(70473,	5,	648,	1,	2),
(70474,	5,	648,	2,	2),
(70475,	5,	648,	3,	2),
(70476,	5,	649,	1,	1),
(70477,	5,	649,	2,	1),
(70478,	5,	649,	3,	1),
(70479,	5,	649,	1,	2),
(70480,	5,	649,	2,	2),
(70481,	5,	649,	3,	2),
(70482,	5,	650,	1,	1),
(70483,	5,	650,	2,	1),
(70484,	5,	650,	3,	1),
(70485,	5,	651,	1,	1),
(70486,	5,	651,	2,	1),
(70487,	5,	651,	3,	1),
(70488,	5,	651,	1,	2),
(70489,	5,	651,	2,	2),
(70490,	5,	651,	3,	2),
(70491,	5,	652,	1,	1),
(70492,	5,	652,	2,	1),
(70493,	5,	652,	3,	1),
(70494,	5,	653,	1,	1),
(70495,	5,	653,	2,	1),
(70496,	5,	653,	3,	1),
(70497,	5,	654,	1,	1),
(70498,	5,	654,	2,	1),
(70499,	5,	654,	3,	1),
(70500,	5,	655,	1,	1),
(70501,	5,	655,	2,	1),
(70502,	5,	655,	3,	1),
(70503,	5,	656,	1,	1),
(70504,	5,	656,	2,	1),
(70505,	5,	656,	3,	1),
(70506,	5,	657,	1,	1),
(70507,	5,	657,	2,	1),
(70508,	5,	657,	3,	1),
(70509,	5,	658,	1,	1),
(70510,	5,	658,	2,	1),
(70511,	5,	658,	3,	1),
(70512,	5,	658,	23,	1),
(70513,	5,	659,	1,	1),
(70514,	5,	659,	2,	1),
(70515,	5,	659,	3,	1),
(70516,	5,	660,	1,	1),
(70517,	5,	660,	2,	1),
(70518,	5,	660,	3,	1),
(70519,	5,	661,	1,	1),
(70520,	5,	661,	2,	1),
(70521,	5,	661,	3,	1),
(70522,	5,	662,	1,	1),
(70523,	5,	662,	2,	1),
(70524,	5,	662,	3,	1),
(70525,	5,	663,	1,	1),
(70526,	5,	663,	2,	1),
(70527,	5,	663,	3,	1),
(70528,	5,	664,	1,	1),
(70529,	5,	664,	2,	1),
(70530,	5,	664,	3,	1),
(70531,	5,	665,	1,	1),
(70532,	5,	665,	2,	1),
(70533,	5,	665,	3,	1),
(70534,	5,	666,	1,	1),
(70535,	5,	666,	2,	1),
(70536,	5,	666,	3,	1),
(70537,	5,	667,	1,	1),
(70538,	5,	667,	2,	1),
(70539,	5,	667,	3,	1),
(70540,	5,	667,	23,	1),
(70541,	5,	667,	1,	2),
(70542,	5,	667,	2,	2),
(70543,	5,	667,	3,	2),
(70544,	5,	667,	23,	2),
(70545,	5,	668,	1,	1),
(70546,	5,	668,	2,	1),
(70547,	5,	668,	3,	1),
(70548,	5,	668,	23,	1),
(70549,	5,	669,	1,	1),
(70550,	5,	669,	2,	1),
(70551,	5,	669,	3,	1),
(70552,	5,	669,	23,	1),
(70553,	5,	670,	1,	1),
(70554,	5,	670,	2,	1),
(70555,	5,	670,	3,	1),
(70556,	5,	670,	23,	1),
(70557,	5,	671,	1,	1),
(70558,	5,	671,	2,	1),
(70559,	5,	671,	3,	1),
(70560,	5,	671,	23,	1),
(70561,	5,	671,	6,	1),
(70562,	5,	671,	24,	1),
(70563,	5,	671,	25,	1),
(70564,	5,	671,	4,	1),
(70565,	5,	671,	5,	1),
(70566,	5,	671,	26,	1),
(70567,	5,	671,	1,	3),
(70568,	5,	671,	2,	3),
(70569,	5,	671,	3,	3),
(70570,	5,	671,	23,	3),
(70571,	5,	671,	6,	3),
(70572,	5,	671,	24,	3),
(70573,	5,	671,	25,	3),
(70574,	5,	671,	4,	3),
(70575,	5,	671,	5,	3),
(70576,	5,	671,	26,	3),
(70577,	5,	672,	1,	1),
(70578,	5,	672,	2,	1),
(70579,	5,	672,	3,	1),
(70580,	5,	673,	1,	1),
(70581,	5,	673,	2,	1),
(70582,	5,	673,	3,	1),
(70583,	5,	673,	23,	1),
(70584,	5,	673,	6,	1),
(70585,	5,	673,	24,	1),
(70586,	5,	673,	25,	1),
(70587,	5,	673,	4,	1),
(70588,	5,	673,	5,	1),
(70589,	5,	673,	26,	1),
(70590,	5,	673,	1,	3),
(70591,	5,	673,	2,	3),
(70592,	5,	673,	3,	3),
(70593,	5,	673,	23,	3),
(70594,	5,	673,	6,	3),
(70595,	5,	673,	24,	3),
(70596,	5,	673,	25,	3),
(70597,	5,	673,	4,	3),
(70598,	5,	673,	5,	3),
(70599,	5,	673,	26,	3),
(70600,	5,	674,	1,	1),
(70601,	5,	674,	2,	1),
(70602,	5,	674,	3,	1),
(70603,	5,	674,	23,	1),
(70604,	5,	674,	6,	1),
(70605,	5,	674,	24,	1),
(70606,	5,	674,	25,	1),
(70607,	5,	674,	4,	1),
(70608,	5,	674,	5,	1),
(70609,	5,	674,	26,	1),
(70610,	5,	674,	1,	3),
(70611,	5,	674,	2,	3),
(70612,	5,	674,	3,	3),
(70613,	5,	674,	23,	3),
(70614,	5,	674,	6,	3),
(70615,	5,	674,	24,	3),
(70616,	5,	674,	25,	3),
(70617,	5,	674,	4,	3),
(70618,	5,	674,	5,	3),
(70619,	5,	674,	26,	3),
(70620,	5,	675,	1,	1),
(70621,	5,	675,	2,	1),
(70622,	5,	675,	3,	1),
(70623,	5,	676,	1,	1),
(70624,	5,	676,	2,	1),
(70625,	5,	676,	3,	1),
(70626,	5,	676,	23,	1),
(70627,	5,	676,	1,	3),
(70628,	5,	676,	2,	3),
(70629,	5,	676,	3,	3),
(70630,	5,	676,	23,	3),
(70631,	5,	677,	1,	1),
(70632,	5,	677,	2,	1),
(70633,	5,	677,	3,	1),
(70634,	5,	678,	1,	1),
(70635,	5,	678,	2,	1),
(70636,	5,	678,	3,	1),
(70637,	5,	679,	1,	1),
(70638,	5,	679,	2,	1),
(70639,	5,	679,	3,	1),
(70640,	5,	680,	1,	1),
(70641,	5,	680,	2,	1),
(70642,	5,	680,	3,	1),
(70643,	5,	680,	6,	1),
(70644,	5,	680,	24,	1),
(70645,	5,	680,	25,	1),
(70646,	5,	680,	4,	1),
(70647,	5,	680,	5,	1),
(70648,	5,	680,	26,	1),
(70649,	5,	680,	1,	3),
(70650,	5,	680,	2,	3),
(70651,	5,	680,	3,	3),
(70652,	5,	680,	6,	3),
(70653,	5,	680,	24,	3),
(70654,	5,	680,	25,	3),
(70655,	5,	680,	4,	3),
(70656,	5,	680,	5,	3),
(70657,	5,	680,	26,	3),
(70658,	5,	681,	1,	1),
(70659,	5,	681,	2,	1),
(70660,	5,	681,	3,	1),
(70661,	5,	681,	23,	1),
(70662,	5,	681,	6,	1),
(70663,	5,	681,	24,	1),
(70664,	5,	681,	25,	1),
(70665,	5,	681,	4,	1),
(70666,	5,	681,	5,	1),
(70667,	5,	681,	26,	1),
(70668,	5,	681,	28,	1),
(70669,	5,	682,	1,	1),
(70670,	5,	682,	2,	1),
(70671,	5,	682,	3,	1),
(70672,	5,	682,	23,	1),
(70673,	5,	682,	6,	1),
(70674,	5,	682,	24,	1),
(70675,	5,	682,	25,	1),
(70676,	5,	682,	4,	1),
(70677,	5,	682,	5,	1),
(70678,	5,	682,	26,	1),
(70679,	5,	682,	1,	3),
(70680,	5,	682,	2,	3),
(70681,	5,	682,	3,	3),
(70682,	5,	682,	23,	3),
(70683,	5,	682,	6,	3),
(70684,	5,	682,	24,	3),
(70685,	5,	682,	25,	3),
(70686,	5,	682,	4,	3),
(70687,	5,	682,	5,	3),
(70688,	5,	682,	26,	3),
(70689,	5,	683,	1,	1),
(70690,	5,	683,	2,	1),
(70691,	5,	683,	3,	1),
(70692,	5,	683,	23,	1),
(70693,	5,	684,	1,	1),
(70694,	5,	684,	2,	1),
(70695,	5,	684,	3,	1),
(70696,	5,	684,	23,	1),
(70697,	5,	684,	6,	1),
(70698,	5,	684,	24,	1),
(70699,	5,	684,	25,	1),
(70700,	5,	684,	4,	1),
(70701,	5,	684,	5,	1),
(70702,	5,	684,	26,	1),
(70703,	5,	684,	1,	3),
(70704,	5,	684,	2,	3),
(70705,	5,	684,	3,	3),
(70706,	5,	684,	23,	3),
(70707,	5,	684,	6,	3),
(70708,	5,	684,	24,	3),
(70709,	5,	684,	25,	3),
(70710,	5,	684,	4,	3),
(70711,	5,	684,	5,	3),
(70712,	5,	684,	26,	3),
(70713,	5,	685,	1,	1),
(70714,	5,	685,	2,	1),
(70715,	5,	685,	3,	1),
(70716,	5,	685,	23,	1),
(70717,	5,	685,	6,	1),
(70718,	5,	685,	24,	1),
(70719,	5,	685,	25,	1),
(70720,	5,	685,	4,	1),
(70721,	5,	685,	5,	1),
(70722,	5,	685,	26,	1),
(70723,	5,	685,	1,	3),
(70724,	5,	685,	2,	3),
(70725,	5,	685,	3,	3),
(70726,	5,	685,	23,	3),
(70727,	5,	685,	6,	3),
(70728,	5,	685,	24,	3),
(70729,	5,	685,	25,	3),
(70730,	5,	685,	4,	3),
(70731,	5,	685,	5,	3),
(70732,	5,	685,	26,	3),
(70733,	5,	686,	1,	1),
(70734,	5,	686,	2,	1),
(70735,	5,	686,	3,	1),
(70736,	5,	687,	1,	1),
(70737,	5,	687,	2,	1),
(70738,	5,	687,	3,	1),
(70739,	5,	687,	23,	1),
(70740,	5,	687,	6,	1),
(70741,	5,	687,	24,	1),
(70742,	5,	687,	25,	1),
(70743,	5,	687,	4,	1),
(70744,	5,	687,	5,	1),
(70745,	5,	687,	26,	1),
(70746,	5,	687,	1,	3),
(70747,	5,	687,	2,	3),
(70748,	5,	687,	3,	3),
(70749,	5,	687,	23,	3),
(70750,	5,	687,	6,	3),
(70751,	5,	687,	24,	3),
(70752,	5,	687,	25,	3),
(70753,	5,	687,	4,	3),
(70754,	5,	687,	5,	3),
(70755,	5,	687,	26,	3),
(70756,	5,	688,	1,	1),
(70757,	5,	688,	2,	1),
(70758,	5,	688,	3,	1),
(70759,	5,	688,	23,	1),
(70760,	5,	688,	6,	1),
(70761,	5,	688,	24,	1),
(70762,	5,	688,	25,	1),
(70763,	5,	688,	4,	1),
(70764,	5,	688,	5,	1),
(70765,	5,	688,	26,	1),
(70766,	5,	688,	1,	3),
(70767,	5,	688,	2,	3),
(70768,	5,	688,	3,	3),
(70769,	5,	688,	23,	3),
(70770,	5,	688,	6,	3),
(70771,	5,	688,	24,	3),
(70772,	5,	688,	25,	3),
(70773,	5,	688,	4,	3),
(70774,	5,	688,	5,	3),
(70775,	5,	688,	26,	3),
(70776,	5,	689,	1,	1),
(70777,	5,	689,	2,	1),
(70778,	5,	689,	3,	1),
(70779,	5,	689,	1,	3),
(70780,	5,	689,	2,	3),
(70781,	5,	689,	3,	3),
(70782,	5,	690,	1,	1),
(70783,	5,	690,	2,	1),
(70784,	5,	690,	3,	1),
(70785,	5,	690,	23,	1),
(70786,	5,	690,	6,	1),
(70787,	5,	690,	24,	1),
(70788,	5,	690,	25,	1),
(70789,	5,	690,	4,	1),
(70790,	5,	690,	5,	1),
(70791,	5,	690,	26,	1),
(70792,	5,	690,	1,	3),
(70793,	5,	690,	2,	3),
(70794,	5,	690,	3,	3),
(70795,	5,	690,	23,	3),
(70796,	5,	690,	6,	3),
(70797,	5,	690,	24,	3),
(70798,	5,	690,	25,	3),
(70799,	5,	690,	4,	3),
(70800,	5,	690,	5,	3),
(70801,	5,	690,	26,	3),
(70802,	5,	691,	1,	1),
(70803,	5,	691,	2,	1),
(70804,	5,	691,	3,	1),
(70805,	5,	692,	1,	1),
(70806,	5,	692,	2,	1),
(70807,	5,	692,	3,	1),
(70808,	5,	692,	23,	1),
(70809,	5,	692,	6,	1),
(70810,	5,	692,	24,	1),
(70811,	5,	692,	25,	1),
(70812,	5,	692,	4,	1),
(70813,	5,	692,	5,	1),
(70814,	5,	692,	26,	1),
(70815,	5,	692,	1,	3),
(70816,	5,	692,	2,	3),
(70817,	5,	692,	3,	3),
(70818,	5,	692,	23,	3),
(70819,	5,	692,	6,	3),
(70820,	5,	692,	24,	3),
(70821,	5,	692,	25,	3),
(70822,	5,	692,	4,	3),
(70823,	5,	692,	5,	3),
(70824,	5,	692,	26,	3),
(70825,	5,	693,	1,	1),
(70826,	5,	693,	2,	1),
(70827,	5,	693,	3,	1),
(70828,	5,	693,	1,	3),
(70829,	5,	693,	2,	3),
(70830,	5,	693,	3,	3),
(70831,	5,	694,	1,	1),
(70832,	5,	694,	2,	1),
(70833,	5,	694,	3,	1),
(70834,	5,	694,	23,	1),
(70835,	5,	694,	6,	1),
(70836,	5,	694,	24,	1),
(70837,	5,	694,	25,	1),
(70838,	5,	694,	4,	1),
(70839,	5,	694,	5,	1),
(70840,	5,	694,	26,	1),
(70841,	5,	694,	1,	3),
(70842,	5,	694,	2,	3),
(70843,	5,	694,	3,	3),
(70844,	5,	694,	23,	3),
(70845,	5,	694,	6,	3),
(70846,	5,	694,	24,	3),
(70847,	5,	694,	25,	3),
(70848,	5,	694,	4,	3),
(70849,	5,	694,	5,	3),
(70850,	5,	694,	26,	3),
(70851,	5,	695,	1,	1),
(70852,	5,	695,	2,	1),
(70853,	5,	695,	3,	1),
(70854,	5,	695,	1,	2),
(70855,	5,	695,	2,	2),
(70856,	5,	695,	3,	2),
(70857,	5,	696,	1,	1),
(70858,	5,	696,	2,	1),
(70859,	5,	696,	3,	1),
(70860,	5,	696,	23,	1),
(70861,	5,	696,	6,	1),
(70862,	5,	696,	24,	1),
(70863,	5,	696,	25,	1),
(70864,	5,	696,	4,	1),
(70865,	5,	696,	5,	1),
(70866,	5,	696,	26,	1),
(70867,	5,	696,	1,	3),
(70868,	5,	696,	2,	3),
(70869,	5,	696,	3,	3),
(70870,	5,	696,	23,	3),
(70871,	5,	696,	6,	3),
(70872,	5,	696,	24,	3),
(70873,	5,	696,	25,	3),
(70874,	5,	696,	4,	3),
(70875,	5,	696,	5,	3),
(70876,	5,	696,	26,	3),
(70877,	5,	697,	1,	1),
(70878,	5,	697,	2,	1),
(70879,	5,	697,	3,	1),
(70880,	5,	697,	23,	1),
(70881,	5,	697,	6,	1),
(70882,	5,	697,	24,	1),
(70883,	5,	697,	25,	1),
(70884,	5,	697,	4,	1),
(70885,	5,	697,	5,	1),
(70886,	5,	697,	26,	1),
(70887,	5,	697,	1,	3),
(70888,	5,	697,	2,	3),
(70889,	5,	697,	3,	3),
(70890,	5,	697,	23,	3),
(70891,	5,	697,	6,	3),
(70892,	5,	697,	24,	3),
(70893,	5,	697,	25,	3),
(70894,	5,	697,	4,	3),
(70895,	5,	697,	5,	3),
(70896,	5,	697,	26,	3),
(70897,	5,	698,	1,	1),
(70898,	5,	698,	2,	1),
(70899,	5,	698,	3,	1),
(70900,	5,	698,	23,	1),
(70901,	5,	698,	6,	1),
(70902,	5,	698,	24,	1),
(70903,	5,	698,	25,	1),
(70904,	5,	698,	4,	1),
(70905,	5,	698,	5,	1),
(70906,	5,	698,	26,	1),
(70907,	5,	698,	1,	3),
(70908,	5,	698,	2,	3),
(70909,	5,	698,	3,	3),
(70910,	5,	698,	23,	3),
(70911,	5,	698,	6,	3),
(70912,	5,	698,	24,	3),
(70913,	5,	698,	25,	3),
(70914,	5,	698,	4,	3),
(70915,	5,	698,	5,	3),
(70916,	5,	698,	26,	3),
(70917,	5,	699,	1,	1),
(70918,	5,	699,	2,	1),
(70919,	5,	699,	3,	1),
(70920,	5,	700,	1,	1),
(70921,	5,	700,	2,	1),
(70922,	5,	700,	3,	1),
(70923,	5,	701,	1,	1),
(70924,	5,	701,	2,	1),
(70925,	5,	701,	3,	1),
(70926,	5,	702,	1,	1),
(70927,	5,	702,	2,	1),
(70928,	5,	702,	3,	1),
(70929,	5,	703,	1,	1),
(70930,	5,	703,	2,	1),
(70931,	5,	703,	3,	1),
(70932,	5,	703,	23,	1),
(70933,	5,	703,	6,	1),
(70934,	5,	703,	24,	1),
(70935,	5,	703,	25,	1),
(70936,	5,	703,	4,	1),
(70937,	5,	703,	5,	1),
(70938,	5,	703,	26,	1),
(70939,	5,	703,	1,	3),
(70940,	5,	703,	2,	3),
(70941,	5,	703,	3,	3),
(70942,	5,	703,	23,	3),
(70943,	5,	703,	6,	3),
(70944,	5,	703,	24,	3),
(70945,	5,	703,	25,	3),
(70946,	5,	703,	4,	3),
(70947,	5,	703,	5,	3),
(70948,	5,	703,	26,	3),
(70949,	5,	704,	1,	1),
(70950,	5,	704,	2,	1),
(70951,	5,	704,	3,	1),
(70952,	5,	704,	23,	1),
(70953,	5,	704,	6,	1),
(70954,	5,	704,	24,	1),
(70955,	5,	704,	25,	1),
(70956,	5,	704,	4,	1),
(70957,	5,	704,	5,	1),
(70958,	5,	704,	26,	1),
(70959,	5,	705,	1,	1),
(70960,	5,	705,	2,	1),
(70961,	5,	705,	3,	1),
(70962,	5,	706,	1,	1),
(70963,	5,	706,	2,	1),
(70964,	5,	706,	3,	1),
(70965,	5,	707,	1,	1),
(70966,	5,	707,	2,	1),
(70967,	5,	707,	3,	1),
(70968,	5,	708,	1,	1),
(70969,	5,	708,	2,	1),
(70970,	5,	708,	3,	1),
(70971,	5,	709,	1,	1),
(70972,	5,	709,	2,	1),
(70973,	5,	709,	3,	1),
(70974,	5,	709,	23,	1),
(70975,	5,	709,	6,	1),
(70976,	5,	709,	24,	1),
(70977,	5,	709,	25,	1),
(70978,	5,	709,	4,	1),
(70979,	5,	709,	5,	1),
(70980,	5,	709,	26,	1),
(70981,	5,	709,	1,	3),
(70982,	5,	709,	2,	3),
(70983,	5,	709,	3,	3),
(70984,	5,	709,	23,	3),
(70985,	5,	709,	6,	3),
(70986,	5,	709,	24,	3),
(70987,	5,	709,	25,	3),
(70988,	5,	709,	4,	3),
(70989,	5,	709,	5,	3),
(70990,	5,	709,	26,	3),
(70991,	5,	710,	1,	1),
(70992,	5,	710,	2,	1),
(70993,	5,	710,	3,	1),
(70994,	5,	711,	1,	1),
(70995,	5,	711,	2,	1),
(70996,	5,	711,	3,	1),
(70997,	5,	711,	23,	1),
(70998,	5,	711,	6,	1),
(70999,	5,	711,	24,	1),
(71000,	5,	711,	25,	1),
(71001,	5,	711,	4,	1),
(71002,	5,	711,	5,	1),
(71003,	5,	711,	26,	1),
(71004,	5,	711,	1,	3),
(71005,	5,	711,	2,	3),
(71006,	5,	711,	3,	3),
(71007,	5,	711,	23,	3),
(71008,	5,	711,	6,	3),
(71009,	5,	711,	24,	3),
(71010,	5,	711,	25,	3),
(71011,	5,	711,	4,	3),
(71012,	5,	711,	5,	3),
(71013,	5,	711,	26,	3),
(71014,	5,	712,	1,	1),
(71015,	5,	712,	2,	1),
(71016,	5,	712,	3,	1),
(71017,	5,	713,	1,	1),
(71018,	5,	713,	2,	1),
(71019,	5,	713,	3,	1),
(71020,	5,	713,	1,	2),
(71021,	5,	713,	2,	2),
(71022,	5,	713,	3,	2),
(71023,	5,	714,	1,	1),
(71024,	5,	714,	2,	1),
(71025,	5,	714,	3,	1),
(71026,	5,	715,	1,	1),
(71027,	5,	715,	2,	1),
(71028,	5,	715,	3,	1),
(71029,	5,	716,	1,	1),
(71030,	5,	716,	2,	1),
(71031,	5,	716,	3,	1),
(71032,	5,	716,	23,	1),
(71033,	5,	716,	1,	3),
(71034,	5,	716,	2,	3),
(71035,	5,	716,	3,	3),
(71036,	5,	716,	23,	3),
(71037,	5,	717,	1,	1),
(71038,	5,	717,	2,	1),
(71039,	5,	717,	3,	1),
(71040,	5,	717,	23,	1),
(71041,	5,	717,	6,	1),
(71042,	5,	717,	24,	1),
(71043,	5,	717,	25,	1),
(71044,	5,	717,	4,	1),
(71045,	5,	717,	5,	1),
(71046,	5,	717,	26,	1),
(71047,	5,	717,	1,	3),
(71048,	5,	717,	2,	3),
(71049,	5,	717,	3,	3),
(71050,	5,	717,	23,	3),
(71051,	5,	717,	6,	3),
(71052,	5,	717,	24,	3),
(71053,	5,	717,	25,	3),
(71054,	5,	717,	4,	3),
(71055,	5,	717,	5,	3),
(71056,	5,	717,	26,	3),
(71057,	5,	718,	1,	1),
(71058,	5,	718,	2,	1),
(71059,	5,	718,	3,	1),
(71060,	5,	718,	23,	1),
(71061,	5,	719,	1,	1),
(71062,	5,	719,	2,	1),
(71063,	5,	719,	3,	1),
(71064,	5,	719,	23,	1),
(71065,	5,	719,	6,	1),
(71066,	5,	719,	24,	1),
(71067,	5,	719,	25,	1),
(71068,	5,	719,	4,	1),
(71069,	5,	719,	5,	1),
(71070,	5,	719,	26,	1),
(71071,	5,	719,	1,	3),
(71072,	5,	719,	2,	3),
(71073,	5,	719,	3,	3),
(71074,	5,	719,	23,	3),
(71075,	5,	719,	6,	3),
(71076,	5,	719,	24,	3),
(71077,	5,	719,	25,	3),
(71078,	5,	719,	4,	3),
(71079,	5,	719,	5,	3),
(71080,	5,	719,	26,	3),
(71081,	5,	720,	1,	1),
(71082,	5,	720,	2,	1),
(71083,	5,	720,	3,	1),
(71084,	5,	721,	1,	1),
(71085,	5,	721,	2,	1),
(71086,	5,	721,	3,	1),
(71087,	5,	721,	23,	1),
(71088,	5,	721,	1,	3),
(71089,	5,	721,	2,	3),
(71090,	5,	721,	3,	3),
(71091,	5,	721,	23,	3),
(71092,	5,	722,	1,	1),
(71093,	5,	722,	2,	1),
(71094,	5,	722,	3,	1),
(71095,	5,	722,	23,	1),
(71096,	5,	722,	6,	1),
(71097,	5,	722,	24,	1),
(71098,	5,	722,	25,	1),
(71099,	5,	722,	4,	1),
(71100,	5,	722,	5,	1),
(71101,	5,	722,	26,	1),
(71102,	5,	722,	1,	3),
(71103,	5,	722,	2,	3),
(71104,	5,	722,	3,	3),
(71105,	5,	722,	23,	3),
(71106,	5,	722,	6,	3),
(71107,	5,	722,	24,	3),
(71108,	5,	722,	25,	3),
(71109,	5,	722,	4,	3),
(71110,	5,	722,	5,	3),
(71111,	5,	722,	26,	3),
(71112,	5,	723,	1,	1),
(71113,	5,	723,	2,	1),
(71114,	5,	723,	3,	1),
(71115,	5,	723,	23,	1),
(71116,	5,	724,	1,	1),
(71117,	5,	724,	2,	1),
(71118,	5,	724,	3,	1),
(71119,	5,	724,	23,	1),
(71120,	5,	724,	6,	1),
(71121,	5,	724,	24,	1),
(71122,	5,	724,	25,	1),
(71123,	5,	724,	4,	1),
(71124,	5,	724,	5,	1),
(71125,	5,	724,	26,	1),
(71126,	5,	724,	1,	3),
(71127,	5,	724,	2,	3),
(71128,	5,	724,	3,	3),
(71129,	5,	724,	23,	3),
(71130,	5,	724,	6,	3),
(71131,	5,	724,	24,	3),
(71132,	5,	724,	25,	3),
(71133,	5,	724,	4,	3),
(71134,	5,	724,	5,	3),
(71135,	5,	724,	26,	3),
(71136,	5,	725,	1,	1),
(71137,	5,	725,	2,	1),
(71138,	5,	725,	3,	1),
(71139,	5,	726,	1,	1),
(71140,	5,	726,	2,	1),
(71141,	5,	726,	3,	1),
(71142,	5,	727,	1,	1),
(71143,	5,	727,	2,	1),
(71144,	5,	727,	3,	1),
(71145,	5,	728,	1,	1),
(71146,	5,	728,	2,	1),
(71147,	5,	728,	3,	1),
(71148,	5,	729,	1,	1),
(71149,	5,	729,	2,	1),
(71150,	5,	729,	3,	1),
(71151,	5,	730,	1,	1),
(71152,	5,	730,	2,	1),
(71153,	5,	730,	3,	1),
(71154,	5,	730,	23,	1),
(71155,	5,	730,	6,	1),
(71156,	5,	730,	24,	1),
(71157,	5,	730,	25,	1),
(71158,	5,	730,	4,	1),
(71159,	5,	730,	5,	1),
(71160,	5,	730,	26,	1),
(71161,	5,	730,	1,	3),
(71162,	5,	730,	2,	3),
(71163,	5,	730,	3,	3),
(71164,	5,	730,	23,	3),
(71165,	5,	730,	6,	3),
(71166,	5,	730,	24,	3),
(71167,	5,	730,	25,	3),
(71168,	5,	730,	4,	3),
(71169,	5,	730,	5,	3),
(71170,	5,	730,	26,	3),
(71171,	5,	731,	1,	1),
(71172,	5,	731,	2,	1),
(71173,	5,	731,	3,	1),
(71174,	5,	731,	23,	1),
(71175,	5,	731,	6,	1),
(71176,	5,	731,	24,	1),
(71177,	5,	731,	25,	1),
(71178,	5,	731,	4,	1),
(71179,	5,	731,	5,	1),
(71180,	5,	731,	26,	1),
(71181,	5,	731,	1,	3),
(71182,	5,	731,	2,	3),
(71183,	5,	731,	3,	3),
(71184,	5,	731,	23,	3),
(71185,	5,	731,	6,	3),
(71186,	5,	731,	24,	3),
(71187,	5,	731,	25,	3),
(71188,	5,	731,	4,	3),
(71189,	5,	731,	5,	3),
(71190,	5,	731,	26,	3),
(71191,	5,	732,	1,	1),
(71192,	5,	732,	2,	1),
(71193,	5,	732,	3,	1),
(71194,	5,	732,	23,	1),
(71195,	5,	733,	1,	1),
(71196,	5,	733,	2,	1),
(71197,	5,	733,	3,	1),
(71198,	5,	733,	23,	1),
(71199,	5,	733,	6,	1),
(71200,	5,	733,	24,	1),
(71201,	5,	733,	25,	1),
(71202,	5,	733,	4,	1),
(71203,	5,	733,	5,	1),
(71204,	5,	733,	26,	1),
(71205,	5,	733,	1,	3),
(71206,	5,	733,	2,	3),
(71207,	5,	733,	3,	3),
(71208,	5,	733,	23,	3),
(71209,	5,	733,	6,	3),
(71210,	5,	733,	24,	3),
(71211,	5,	733,	25,	3),
(71212,	5,	733,	4,	3),
(71213,	5,	733,	5,	3),
(71214,	5,	733,	26,	3),
(71215,	5,	734,	1,	1),
(71216,	5,	734,	2,	1),
(71217,	5,	734,	3,	1),
(71218,	5,	734,	23,	1),
(71219,	5,	734,	6,	1),
(71220,	5,	734,	24,	1),
(71221,	5,	734,	25,	1),
(71222,	5,	734,	4,	1),
(71223,	5,	734,	5,	1),
(71224,	5,	734,	26,	1),
(71225,	5,	734,	1,	3),
(71226,	5,	734,	2,	3),
(71227,	5,	734,	3,	3),
(71228,	5,	734,	23,	3),
(71229,	5,	734,	6,	3),
(71230,	5,	734,	24,	3),
(71231,	5,	734,	25,	3),
(71232,	5,	734,	4,	3),
(71233,	5,	734,	5,	3),
(71234,	5,	734,	26,	3),
(71235,	5,	735,	1,	1),
(71236,	5,	735,	2,	1),
(71237,	5,	735,	3,	1),
(71238,	5,	735,	23,	1),
(71239,	5,	736,	1,	1),
(71240,	5,	736,	2,	1),
(71241,	5,	736,	3,	1),
(71242,	5,	736,	23,	1),
(71243,	5,	736,	6,	1),
(71244,	5,	736,	24,	1),
(71245,	5,	736,	25,	1),
(71246,	5,	736,	4,	1),
(71247,	5,	736,	5,	1),
(71248,	5,	736,	26,	1),
(71249,	5,	736,	1,	3),
(71250,	5,	736,	2,	3),
(71251,	5,	736,	3,	3),
(71252,	5,	736,	23,	3),
(71253,	5,	736,	6,	3),
(71254,	5,	736,	24,	3),
(71255,	5,	736,	25,	3),
(71256,	5,	736,	4,	3),
(71257,	5,	736,	5,	3),
(71258,	5,	736,	26,	3),
(71259,	5,	737,	1,	1),
(71260,	5,	737,	2,	1),
(71261,	5,	737,	3,	1),
(71262,	5,	738,	1,	1),
(71263,	5,	738,	2,	1),
(71264,	5,	738,	3,	1),
(71265,	5,	739,	1,	1),
(71266,	5,	739,	2,	1),
(71267,	5,	739,	3,	1),
(71268,	5,	740,	1,	1),
(71269,	5,	740,	2,	1),
(71270,	5,	740,	3,	1),
(71271,	5,	740,	23,	1),
(71272,	5,	740,	6,	1),
(71273,	5,	740,	24,	1),
(71274,	5,	740,	25,	1),
(71275,	5,	740,	4,	1),
(71276,	5,	740,	5,	1),
(71277,	5,	740,	26,	1),
(71278,	5,	740,	1,	3),
(71279,	5,	740,	2,	3),
(71280,	5,	740,	3,	3),
(71281,	5,	740,	23,	3),
(71282,	5,	740,	6,	3),
(71283,	5,	740,	24,	3),
(71284,	5,	740,	25,	3),
(71285,	5,	740,	4,	3),
(71286,	5,	740,	5,	3),
(71287,	5,	740,	26,	3),
(71288,	5,	741,	1,	1),
(71289,	5,	741,	2,	1),
(71290,	5,	741,	3,	1),
(71291,	5,	741,	23,	1),
(71292,	5,	741,	6,	1),
(71293,	5,	741,	24,	1),
(71294,	5,	741,	25,	1),
(71295,	5,	741,	4,	1),
(71296,	5,	741,	5,	1),
(71297,	5,	741,	26,	1),
(71298,	5,	742,	1,	1),
(71299,	5,	742,	2,	1),
(71300,	5,	742,	3,	1),
(71301,	5,	743,	1,	1),
(71302,	5,	743,	2,	1),
(71303,	5,	743,	3,	1),
(71304,	5,	743,	23,	1),
(71305,	5,	743,	6,	1),
(71306,	5,	743,	24,	1),
(71307,	5,	743,	25,	1),
(71308,	5,	743,	4,	1),
(71309,	5,	743,	5,	1),
(71310,	5,	743,	26,	1),
(71311,	5,	743,	1,	3),
(71312,	5,	743,	2,	3),
(71313,	5,	743,	3,	3),
(71314,	5,	743,	23,	3),
(71315,	5,	743,	6,	3),
(71316,	5,	743,	24,	3),
(71317,	5,	743,	25,	3),
(71318,	5,	743,	4,	3),
(71319,	5,	743,	5,	3),
(71320,	5,	743,	26,	3),
(71321,	5,	744,	1,	1),
(71322,	5,	744,	2,	1),
(71323,	5,	744,	3,	1),
(71324,	5,	744,	23,	1),
(71325,	5,	744,	6,	1),
(71326,	5,	744,	24,	1),
(71327,	5,	744,	25,	1),
(71328,	5,	744,	4,	1),
(71329,	5,	744,	5,	1),
(71330,	5,	744,	26,	1),
(71331,	5,	744,	1,	3),
(71332,	5,	744,	2,	3),
(71333,	5,	744,	3,	3),
(71334,	5,	744,	23,	3),
(71335,	5,	744,	6,	3),
(71336,	5,	744,	24,	3),
(71337,	5,	744,	25,	3),
(71338,	5,	744,	4,	3),
(71339,	5,	744,	5,	3),
(71340,	5,	744,	26,	3),
(71341,	5,	745,	1,	1),
(71342,	5,	745,	2,	1),
(71343,	5,	745,	3,	1),
(71344,	5,	745,	23,	1),
(71345,	5,	745,	6,	1),
(71346,	5,	745,	5,	1),
(71347,	5,	746,	1,	1),
(71348,	5,	746,	2,	1),
(71349,	5,	746,	3,	1),
(71350,	5,	747,	1,	1),
(71351,	5,	747,	2,	1),
(71352,	5,	747,	3,	1),
(71353,	5,	747,	23,	1),
(71354,	5,	747,	6,	1),
(71355,	5,	747,	24,	1),
(71356,	5,	747,	25,	1),
(71357,	5,	747,	4,	1),
(71358,	5,	747,	5,	1),
(71359,	5,	747,	26,	1),
(71360,	5,	747,	1,	3),
(71361,	5,	747,	2,	3),
(71362,	5,	747,	3,	3),
(71363,	5,	747,	23,	3),
(71364,	5,	747,	6,	3),
(71365,	5,	747,	24,	3),
(71366,	5,	747,	25,	3),
(71367,	5,	747,	4,	3),
(71368,	5,	747,	5,	3),
(71369,	5,	747,	26,	3),
(71370,	5,	748,	1,	1),
(71371,	5,	748,	2,	1),
(71372,	5,	748,	3,	1),
(71373,	5,	748,	23,	1),
(71374,	5,	748,	6,	1),
(71375,	5,	748,	24,	1),
(71376,	5,	748,	25,	1),
(71377,	5,	748,	4,	1),
(71378,	5,	748,	5,	1),
(71379,	5,	748,	26,	1),
(71380,	5,	748,	1,	3),
(71381,	5,	748,	2,	3),
(71382,	5,	748,	3,	3),
(71383,	5,	748,	23,	3),
(71384,	5,	748,	6,	3),
(71385,	5,	748,	24,	3),
(71386,	5,	748,	25,	3),
(71387,	5,	748,	4,	3),
(71388,	5,	748,	5,	3),
(71389,	5,	748,	26,	3),
(71390,	5,	749,	1,	1),
(71391,	5,	749,	2,	1),
(71392,	5,	749,	3,	1),
(71393,	5,	750,	1,	1),
(71394,	5,	750,	2,	1),
(71395,	5,	750,	3,	1),
(71396,	5,	750,	23,	1),
(71397,	5,	750,	6,	1),
(71398,	5,	750,	24,	1),
(71399,	5,	750,	25,	1),
(71400,	5,	750,	4,	1),
(71401,	5,	750,	5,	1),
(71402,	5,	750,	26,	1),
(71403,	5,	750,	1,	3),
(71404,	5,	750,	2,	3),
(71405,	5,	750,	3,	3),
(71406,	5,	750,	23,	3),
(71407,	5,	750,	6,	3),
(71408,	5,	750,	24,	3),
(71409,	5,	750,	25,	3),
(71410,	5,	750,	4,	3),
(71411,	5,	750,	5,	3),
(71412,	5,	750,	26,	3),
(71413,	5,	751,	1,	1),
(71414,	5,	751,	2,	1),
(71415,	5,	751,	3,	1),
(71416,	5,	752,	1,	1),
(71417,	5,	752,	2,	1),
(71418,	5,	752,	3,	1),
(71419,	5,	752,	6,	1),
(71420,	5,	752,	24,	1),
(71421,	5,	752,	25,	1),
(71422,	5,	752,	4,	1),
(71423,	5,	752,	5,	1),
(71424,	5,	752,	26,	1),
(71425,	5,	752,	1,	3),
(71426,	5,	752,	2,	3),
(71427,	5,	752,	3,	3),
(71428,	5,	752,	6,	3),
(71429,	5,	752,	24,	3),
(71430,	5,	752,	25,	3),
(71431,	5,	752,	4,	3),
(71432,	5,	752,	5,	3),
(71433,	5,	752,	26,	3),
(71434,	5,	753,	1,	1),
(71435,	5,	753,	2,	1),
(71436,	5,	753,	3,	1),
(71437,	5,	753,	23,	1),
(71438,	5,	754,	1,	1),
(71439,	5,	754,	2,	1),
(71440,	5,	754,	3,	1),
(71441,	5,	754,	23,	1),
(71442,	5,	754,	6,	1),
(71443,	5,	754,	24,	1),
(71444,	5,	754,	25,	1),
(71445,	5,	754,	4,	1),
(71446,	5,	754,	5,	1),
(71447,	5,	754,	26,	1),
(71448,	5,	754,	1,	3),
(71449,	5,	754,	2,	3),
(71450,	5,	754,	3,	3),
(71451,	5,	754,	23,	3),
(71452,	5,	754,	6,	3),
(71453,	5,	754,	24,	3),
(71454,	5,	754,	25,	3),
(71455,	5,	754,	4,	3),
(71456,	5,	754,	5,	3),
(71457,	5,	754,	26,	3),
(71458,	5,	755,	1,	1),
(71459,	5,	755,	2,	1),
(71460,	5,	755,	3,	1),
(71461,	5,	756,	1,	1),
(71462,	5,	756,	2,	1),
(71463,	5,	756,	3,	1),
(71464,	5,	757,	1,	1),
(71465,	5,	757,	2,	1),
(71466,	5,	757,	3,	1),
(71467,	5,	757,	1,	3),
(71468,	5,	757,	2,	3),
(71469,	5,	757,	3,	3),
(71470,	5,	758,	1,	1),
(71471,	5,	758,	2,	1),
(71472,	5,	758,	3,	1),
(71473,	5,	758,	23,	1),
(71474,	5,	758,	1,	2),
(71475,	5,	758,	2,	2),
(71476,	5,	758,	3,	2),
(71477,	5,	758,	23,	2),
(71478,	5,	759,	1,	1),
(71479,	5,	759,	2,	1),
(71480,	5,	759,	3,	1),
(71481,	5,	759,	1,	3),
(71482,	5,	759,	2,	3),
(71483,	5,	759,	3,	3),
(71484,	5,	760,	1,	1),
(71485,	5,	760,	2,	1),
(71486,	5,	760,	3,	1),
(71487,	5,	760,	23,	1),
(71488,	5,	760,	1,	3),
(71489,	5,	760,	2,	3),
(71490,	5,	760,	3,	3),
(71491,	5,	760,	23,	3),
(71492,	5,	760,	1,	2),
(71493,	5,	760,	2,	2),
(71494,	5,	760,	3,	2),
(71495,	5,	760,	23,	2),
(71496,	5,	761,	1,	1),
(71497,	5,	761,	2,	1),
(71498,	5,	761,	3,	1),
(71499,	5,	761,	1,	2),
(71500,	5,	761,	2,	2),
(71501,	5,	761,	3,	2),
(71502,	5,	762,	1,	1),
(71503,	5,	762,	2,	1),
(71504,	5,	762,	3,	1),
(71505,	5,	762,	1,	2),
(71506,	5,	762,	2,	2),
(71507,	5,	762,	3,	2),
(71508,	5,	763,	1,	1),
(71509,	5,	763,	2,	1),
(71510,	5,	763,	3,	1),
(71511,	5,	763,	1,	2),
(71512,	5,	763,	2,	2),
(71513,	5,	763,	3,	2),
(71514,	5,	764,	1,	1),
(71515,	5,	764,	2,	1),
(71516,	5,	764,	3,	1),
(71517,	5,	764,	1,	2),
(71518,	5,	764,	2,	2),
(71519,	5,	764,	3,	2),
(71520,	5,	765,	1,	1),
(71521,	5,	765,	2,	1),
(71522,	5,	765,	3,	1),
(71523,	5,	765,	1,	2),
(71524,	5,	765,	2,	2),
(71525,	5,	765,	3,	2),
(71526,	5,	766,	1,	1),
(71527,	5,	766,	2,	1),
(71528,	5,	766,	3,	1),
(71529,	5,	767,	1,	1),
(71530,	5,	767,	2,	1),
(71531,	5,	767,	3,	1),
(71532,	5,	767,	6,	1),
(71533,	5,	767,	1,	2),
(71534,	5,	767,	2,	2),
(71535,	5,	767,	3,	2),
(71536,	5,	767,	6,	2),
(71537,	5,	768,	1,	1),
(71538,	5,	768,	2,	1),
(71539,	5,	768,	3,	1),
(71540,	5,	768,	1,	2),
(71541,	5,	768,	2,	2),
(71542,	5,	768,	3,	2),
(71543,	5,	769,	1,	1),
(71544,	5,	769,	2,	1),
(71545,	5,	769,	3,	1),
(71546,	5,	769,	1,	3),
(71547,	5,	769,	2,	3),
(71548,	5,	769,	3,	3),
(71549,	5,	770,	1,	1),
(71550,	5,	770,	2,	1),
(71551,	5,	770,	3,	1),
(71552,	5,	771,	1,	1),
(71553,	5,	771,	2,	1),
(71554,	5,	771,	3,	1),
(71555,	5,	772,	1,	1),
(71556,	5,	772,	2,	1),
(71557,	5,	772,	3,	1),
(71558,	5,	772,	6,	1),
(71559,	5,	772,	1,	2),
(71560,	5,	772,	2,	2),
(71561,	5,	772,	3,	2),
(71562,	5,	772,	6,	2),
(71563,	5,	773,	1,	1),
(71564,	5,	773,	2,	1),
(71565,	5,	773,	3,	1),
(71566,	5,	773,	6,	1),
(71567,	5,	773,	1,	2),
(71568,	5,	773,	2,	2),
(71569,	5,	773,	3,	2),
(71570,	5,	773,	6,	2),
(71571,	5,	774,	1,	1),
(71572,	5,	774,	2,	1),
(71573,	5,	774,	3,	1),
(71574,	5,	775,	1,	1),
(71575,	5,	775,	2,	1),
(71576,	5,	775,	3,	1),
(71577,	5,	775,	1,	2),
(71578,	5,	775,	2,	2),
(71579,	5,	775,	3,	2),
(71580,	5,	776,	1,	1),
(71581,	5,	776,	2,	1),
(71582,	5,	776,	3,	1),
(71583,	5,	776,	1,	2),
(71584,	5,	776,	2,	2),
(71585,	5,	776,	3,	2),
(71586,	5,	777,	1,	1),
(71587,	5,	777,	2,	1),
(71588,	5,	777,	3,	1),
(71589,	5,	778,	1,	1),
(71590,	5,	778,	2,	1),
(71591,	5,	778,	3,	1),
(71592,	5,	778,	1,	2),
(71593,	5,	778,	2,	2),
(71594,	5,	778,	3,	2),
(71595,	5,	779,	1,	1),
(71596,	5,	779,	2,	1),
(71597,	5,	779,	3,	1),
(71598,	5,	779,	1,	2),
(71599,	5,	779,	2,	2),
(71600,	5,	779,	3,	2),
(71601,	5,	780,	1,	1),
(71602,	5,	780,	2,	1),
(71603,	5,	780,	3,	1),
(71604,	5,	780,	1,	2),
(71605,	5,	780,	2,	2),
(71606,	5,	780,	3,	2),
(71607,	5,	781,	1,	1),
(71608,	5,	781,	2,	1),
(71609,	5,	781,	3,	1),
(71610,	5,	781,	1,	3),
(71611,	5,	781,	2,	3),
(71612,	5,	781,	3,	3),
(71613,	5,	782,	1,	1),
(71614,	5,	782,	2,	1),
(71615,	5,	782,	3,	1),
(71616,	5,	782,	1,	3),
(71617,	5,	782,	2,	3),
(71618,	5,	782,	3,	3),
(71619,	5,	783,	1,	1),
(71620,	5,	783,	2,	1),
(71621,	5,	783,	3,	1),
(71622,	5,	783,	1,	3),
(71623,	5,	783,	2,	3),
(71624,	5,	783,	3,	3),
(71625,	5,	784,	1,	1),
(71626,	5,	784,	2,	1),
(71627,	5,	784,	3,	1),
(71628,	5,	784,	1,	3),
(71629,	5,	784,	2,	3),
(71630,	5,	784,	3,	3),
(71631,	5,	785,	1,	1),
(71632,	5,	785,	2,	1),
(71633,	5,	785,	3,	1),
(71634,	5,	786,	1,	1),
(71635,	5,	786,	2,	1),
(71636,	5,	786,	3,	1),
(71637,	5,	787,	1,	1),
(71638,	5,	787,	2,	1),
(71639,	5,	787,	3,	1),
(71640,	5,	787,	1,	3),
(71641,	5,	787,	2,	3),
(71642,	5,	787,	3,	3),
(71643,	5,	788,	1,	1),
(71644,	5,	788,	2,	1),
(71645,	5,	788,	3,	1),
(71646,	5,	788,	1,	2),
(71647,	5,	788,	2,	2),
(71648,	5,	788,	3,	2),
(71649,	5,	789,	1,	1),
(71650,	5,	789,	2,	1),
(71651,	5,	789,	3,	1),
(71652,	5,	789,	1,	2),
(71653,	5,	789,	2,	2),
(71654,	5,	789,	3,	2),
(71655,	5,	790,	1,	1),
(71656,	5,	790,	2,	1),
(71657,	5,	790,	3,	1),
(71658,	5,	790,	1,	2),
(71659,	5,	790,	2,	2),
(71660,	5,	790,	3,	2),
(71661,	5,	791,	1,	1),
(71662,	5,	791,	2,	1),
(71663,	5,	791,	3,	1),
(71664,	5,	791,	1,	3),
(71665,	5,	791,	2,	3),
(71666,	5,	791,	3,	3),
(71667,	5,	792,	1,	1),
(71668,	5,	792,	2,	1),
(71669,	5,	792,	3,	1),
(71670,	5,	792,	1,	2),
(71671,	5,	792,	2,	2),
(71672,	5,	792,	3,	2),
(71673,	5,	793,	1,	1),
(71674,	5,	793,	2,	1),
(71675,	5,	793,	3,	1),
(71676,	5,	793,	1,	2),
(71677,	5,	793,	2,	2),
(71678,	5,	793,	3,	2),
(71679,	5,	794,	1,	1),
(71680,	5,	794,	2,	1),
(71681,	5,	794,	3,	1),
(71682,	5,	794,	1,	2),
(71683,	5,	794,	2,	2),
(71684,	5,	794,	3,	2),
(71685,	5,	795,	1,	1),
(71686,	5,	795,	2,	1),
(71687,	5,	795,	3,	1),
(71688,	5,	795,	1,	2),
(71689,	5,	795,	2,	2),
(71690,	5,	795,	3,	2),
(71691,	5,	796,	1,	1),
(71692,	5,	796,	2,	1),
(71693,	5,	796,	3,	1),
(71694,	5,	796,	1,	2),
(71695,	5,	796,	2,	2),
(71696,	5,	796,	3,	2),
(71697,	5,	797,	1,	1),
(71698,	5,	797,	2,	1),
(71699,	5,	797,	3,	1),
(71700,	5,	797,	1,	3),
(71701,	5,	797,	2,	3),
(71702,	5,	797,	3,	3),
(71703,	5,	798,	1,	1),
(71704,	5,	798,	2,	1),
(71705,	5,	798,	3,	1),
(71706,	5,	798,	1,	2),
(71707,	5,	798,	2,	2),
(71708,	5,	798,	3,	2),
(71709,	5,	799,	1,	1),
(71710,	5,	799,	2,	1),
(71711,	5,	799,	3,	1),
(71712,	5,	799,	1,	2),
(71713,	5,	799,	2,	2),
(71714,	5,	799,	3,	2),
(71715,	5,	800,	1,	1),
(71716,	5,	800,	2,	1),
(71717,	5,	800,	3,	1),
(71718,	5,	800,	1,	2),
(71719,	5,	800,	2,	2),
(71720,	5,	800,	3,	2),
(71721,	5,	801,	1,	1),
(71722,	5,	801,	2,	1),
(71723,	5,	801,	3,	1),
(71724,	5,	801,	1,	2),
(71725,	5,	801,	2,	2),
(71726,	5,	801,	3,	2),
(71727,	5,	802,	1,	1),
(71728,	5,	802,	2,	1),
(71729,	5,	802,	3,	1),
(71730,	5,	802,	1,	2),
(71731,	5,	802,	2,	2),
(71732,	5,	802,	3,	2),
(71733,	5,	803,	1,	1),
(71734,	5,	803,	2,	1),
(71735,	5,	803,	3,	1),
(71736,	5,	803,	1,	2),
(71737,	5,	803,	2,	2),
(71738,	5,	803,	3,	2),
(71739,	5,	804,	1,	1),
(71740,	5,	804,	2,	1),
(71741,	5,	804,	3,	1),
(71742,	5,	804,	1,	2),
(71743,	5,	804,	2,	2),
(71744,	5,	804,	3,	2),
(71745,	5,	805,	1,	1),
(71746,	5,	805,	2,	1),
(71747,	5,	805,	3,	1),
(71748,	5,	805,	6,	1),
(71749,	5,	805,	24,	1),
(71750,	5,	805,	23,	1),
(71751,	5,	806,	1,	1),
(71752,	5,	806,	2,	1),
(71753,	5,	806,	3,	1),
(71754,	5,	806,	6,	1),
(71755,	5,	806,	24,	1),
(71756,	5,	807,	1,	1),
(71757,	5,	807,	2,	1),
(71758,	5,	807,	3,	1),
(71759,	5,	807,	6,	1),
(71760,	5,	807,	24,	1),
(71761,	5,	808,	1,	1),
(71762,	5,	808,	2,	1),
(71763,	5,	808,	3,	1),
(71764,	5,	808,	1,	2),
(71765,	5,	808,	2,	2),
(71766,	5,	808,	3,	2),
(71767,	5,	809,	1,	1),
(71768,	5,	809,	2,	1),
(71769,	5,	809,	3,	1),
(71770,	5,	809,	1,	2),
(71771,	5,	809,	2,	2),
(71772,	5,	809,	3,	2),
(71773,	5,	810,	1,	1),
(71774,	5,	810,	2,	1),
(71775,	5,	810,	3,	1),
(71776,	5,	810,	6,	1),
(71777,	5,	810,	24,	1),
(71778,	5,	811,	1,	1),
(71779,	5,	811,	2,	1),
(71780,	5,	811,	3,	1),
(71781,	5,	811,	1,	2),
(71782,	5,	811,	2,	2),
(71783,	5,	811,	3,	2),
(71784,	5,	812,	1,	1),
(71785,	5,	812,	2,	1),
(71786,	5,	812,	3,	1),
(71787,	5,	813,	1,	1),
(71788,	5,	813,	2,	1),
(71789,	5,	813,	3,	1),
(71790,	5,	813,	1,	2),
(71791,	5,	813,	2,	2),
(71792,	5,	813,	3,	2),
(71793,	5,	814,	1,	1),
(71794,	5,	814,	2,	1),
(71795,	5,	814,	3,	1),
(71796,	5,	814,	23,	1),
(71797,	5,	814,	49,	1),
(71798,	5,	814,	5,	1),
(71799,	5,	814,	26,	1),
(71800,	5,	815,	1,	1),
(71801,	5,	815,	2,	1),
(71802,	5,	815,	3,	1),
(71803,	5,	816,	1,	1),
(71804,	5,	816,	2,	1),
(71805,	5,	816,	3,	1),
(71806,	5,	816,	25,	1),
(71807,	5,	816,	24,	1),
(71808,	5,	816,	49,	1),
(71809,	5,	816,	50,	1),
(71810,	5,	816,	23,	1),
(71811,	5,	816,	51,	1),
(71812,	5,	816,	48,	1),
(71813,	5,	816,	52,	1),
(71814,	5,	816,	53,	1),
(71815,	5,	817,	1,	1),
(71816,	5,	817,	2,	1),
(71817,	5,	817,	3,	1),
(71818,	5,	817,	23,	1),
(71819,	5,	817,	49,	1),
(71820,	5,	817,	5,	1),
(71821,	5,	817,	26,	1),
(71822,	5,	818,	1,	1),
(71823,	5,	818,	2,	1),
(71824,	5,	818,	3,	1),
(71825,	5,	818,	49,	1),
(71826,	5,	819,	1,	1),
(71827,	5,	819,	2,	1),
(71828,	5,	819,	3,	1),
(71829,	5,	819,	49,	1),
(71830,	5,	820,	1,	1),
(71831,	5,	820,	2,	1),
(71832,	5,	820,	3,	1),
(71833,	5,	820,	49,	1),
(71834,	5,	821,	1,	1),
(71835,	5,	821,	2,	1),
(71836,	5,	821,	3,	1),
(71837,	5,	822,	1,	1),
(71838,	5,	822,	2,	1),
(71839,	5,	822,	3,	1),
(71840,	5,	823,	1,	1),
(71841,	5,	823,	2,	1),
(71842,	5,	823,	3,	1),
(71843,	5,	823,	1,	2),
(71844,	5,	823,	2,	2),
(71845,	5,	823,	3,	2),
(71846,	5,	824,	1,	1),
(71847,	5,	824,	2,	1),
(71848,	5,	824,	3,	1),
(71849,	5,	824,	1,	2),
(71850,	5,	824,	2,	2),
(71851,	5,	824,	3,	2),
(71852,	5,	825,	1,	1),
(71853,	5,	825,	2,	1),
(71854,	5,	825,	3,	1),
(71855,	5,	826,	1,	1),
(71856,	5,	826,	2,	1),
(71857,	5,	826,	3,	1),
(71858,	5,	827,	1,	1),
(71859,	5,	827,	2,	1),
(71860,	5,	827,	3,	1),
(71861,	5,	827,	1,	2),
(71862,	5,	827,	2,	2),
(71863,	5,	827,	3,	2),
(71864,	5,	828,	1,	1),
(71865,	5,	828,	2,	1),
(71866,	5,	828,	3,	1),
(71867,	5,	828,	1,	2),
(71868,	5,	828,	2,	2),
(71869,	5,	828,	3,	2),
(71870,	5,	829,	1,	1),
(71871,	5,	829,	2,	1),
(71872,	5,	829,	3,	1),
(71873,	5,	829,	4,	1),
(71874,	5,	829,	23,	1),
(71875,	5,	829,	1,	3),
(71876,	5,	829,	2,	3),
(71877,	5,	829,	3,	3),
(71878,	5,	829,	4,	3),
(71879,	5,	829,	23,	3),
(71880,	5,	829,	1,	2),
(71881,	5,	829,	2,	2),
(71882,	5,	829,	3,	2),
(71883,	5,	829,	4,	2),
(71884,	5,	829,	23,	2),
(71885,	5,	830,	1,	1),
(71886,	5,	830,	2,	1),
(71887,	5,	830,	3,	1),
(71888,	5,	830,	1,	2),
(71889,	5,	830,	2,	2),
(71890,	5,	830,	3,	2),
(71891,	5,	831,	1,	1),
(71892,	5,	831,	2,	1),
(71893,	5,	831,	3,	1),
(71894,	5,	832,	1,	1),
(71895,	5,	832,	2,	1),
(71896,	5,	832,	3,	1),
(71897,	5,	832,	1,	3),
(71898,	5,	832,	2,	3),
(71899,	5,	832,	3,	3),
(71900,	5,	833,	1,	1),
(71901,	5,	833,	2,	1),
(71902,	5,	833,	3,	1),
(71903,	5,	834,	1,	1),
(71904,	5,	834,	2,	1),
(71905,	5,	834,	3,	1),
(71906,	5,	834,	1,	2),
(71907,	5,	834,	2,	2),
(71908,	5,	834,	3,	2),
(71909,	5,	835,	1,	1),
(71910,	5,	835,	2,	1),
(71911,	5,	835,	3,	1),
(71912,	5,	835,	1,	2),
(71913,	5,	835,	2,	2),
(71914,	5,	835,	3,	2),
(71915,	5,	836,	1,	1),
(71916,	5,	836,	2,	1),
(71917,	5,	836,	3,	1),
(71918,	5,	837,	1,	1),
(71919,	5,	837,	2,	1),
(71920,	5,	837,	3,	1),
(71921,	5,	837,	1,	2),
(71922,	5,	837,	2,	2),
(71923,	5,	837,	3,	2),
(71924,	5,	838,	1,	1),
(71925,	5,	838,	2,	1),
(71926,	5,	838,	3,	1),
(71927,	5,	838,	1,	2),
(71928,	5,	838,	2,	2),
(71929,	5,	838,	3,	2),
(71930,	5,	839,	1,	1),
(71931,	5,	839,	2,	1),
(71932,	5,	839,	3,	1),
(71933,	5,	839,	1,	2),
(71934,	5,	839,	2,	2),
(71935,	5,	839,	3,	2),
(71936,	5,	840,	1,	1),
(71937,	5,	840,	2,	1),
(71938,	5,	840,	3,	1),
(71939,	5,	840,	1,	2),
(71940,	5,	840,	2,	2),
(71941,	5,	840,	3,	2),
(71942,	5,	841,	1,	1),
(71943,	5,	841,	2,	1),
(71944,	5,	841,	3,	1),
(71945,	5,	841,	1,	3),
(71946,	5,	841,	2,	3),
(71947,	5,	841,	3,	3),
(71948,	5,	842,	1,	1),
(71949,	5,	842,	2,	1),
(71950,	5,	842,	3,	1),
(71951,	5,	842,	1,	2),
(71952,	5,	842,	2,	2),
(71953,	5,	842,	3,	2),
(71954,	5,	843,	1,	1),
(71955,	5,	843,	2,	1),
(71956,	5,	843,	3,	1),
(71957,	5,	843,	1,	2),
(71958,	5,	843,	2,	2),
(71959,	5,	843,	3,	2),
(71960,	5,	844,	1,	1),
(71961,	5,	844,	2,	1),
(71962,	5,	844,	3,	1),
(71963,	5,	845,	1,	1),
(71964,	5,	845,	2,	1),
(71965,	5,	845,	3,	1),
(71966,	5,	845,	1,	2),
(71967,	5,	845,	2,	2),
(71968,	5,	845,	3,	2),
(71969,	5,	846,	1,	1),
(71970,	5,	846,	2,	1),
(71971,	5,	846,	3,	1),
(71972,	5,	847,	1,	1),
(71973,	5,	847,	2,	1),
(71974,	5,	847,	3,	1),
(71975,	5,	847,	1,	3),
(71976,	5,	847,	2,	3),
(71977,	5,	847,	3,	3),
(71978,	5,	848,	1,	1),
(71979,	5,	848,	2,	1),
(71980,	5,	848,	3,	1),
(71981,	5,	849,	1,	1),
(71982,	5,	849,	2,	1),
(71983,	5,	849,	3,	1),
(71984,	5,	849,	1,	3),
(71985,	5,	849,	2,	3),
(71986,	5,	849,	3,	3),
(71987,	5,	850,	1,	1),
(71988,	5,	850,	2,	1),
(71989,	5,	850,	3,	1),
(71990,	5,	850,	1,	3),
(71991,	5,	850,	2,	3),
(71992,	5,	850,	3,	3),
(71993,	5,	851,	1,	1),
(71994,	5,	851,	2,	1),
(71995,	5,	851,	3,	1),
(71996,	5,	851,	1,	2),
(71997,	5,	851,	2,	2),
(71998,	5,	851,	3,	2),
(71999,	5,	852,	1,	1),
(72000,	5,	852,	2,	1),
(72001,	5,	852,	3,	1),
(72002,	5,	852,	1,	2),
(72003,	5,	852,	2,	2),
(72004,	5,	852,	3,	2),
(72005,	5,	853,	1,	1),
(72006,	5,	853,	2,	1),
(72007,	5,	853,	3,	1),
(72008,	5,	853,	1,	2),
(72009,	5,	853,	2,	2),
(72010,	5,	853,	3,	2),
(72011,	5,	854,	1,	1),
(72012,	5,	854,	2,	1),
(72013,	5,	854,	3,	1),
(72014,	5,	854,	1,	3),
(72015,	5,	854,	2,	3),
(72016,	5,	854,	3,	3),
(72017,	5,	855,	1,	1),
(72018,	5,	855,	2,	1),
(72019,	5,	855,	3,	1),
(72020,	5,	855,	1,	3),
(72021,	5,	855,	2,	3),
(72022,	5,	855,	3,	3),
(72023,	5,	856,	1,	1),
(72024,	5,	856,	2,	1),
(72025,	5,	856,	3,	1),
(72026,	5,	856,	1,	3),
(72027,	5,	856,	2,	3),
(72028,	5,	856,	3,	3),
(72029,	5,	857,	1,	1),
(72030,	5,	857,	2,	1),
(72031,	5,	857,	3,	1),
(72032,	5,	857,	1,	3),
(72033,	5,	857,	2,	3),
(72034,	5,	857,	3,	3),
(72035,	5,	858,	1,	1),
(72036,	5,	858,	2,	1),
(72037,	5,	858,	3,	1),
(72038,	5,	858,	1,	3),
(72039,	5,	858,	2,	3),
(72040,	5,	858,	3,	3),
(72041,	5,	859,	1,	1),
(72042,	5,	859,	2,	1),
(72043,	5,	859,	3,	1),
(72044,	5,	859,	1,	2),
(72045,	5,	859,	2,	2),
(72046,	5,	859,	3,	2),
(72047,	5,	860,	1,	1),
(72048,	5,	860,	2,	1),
(72049,	5,	860,	3,	1),
(72050,	5,	860,	1,	3),
(72051,	5,	860,	2,	3),
(72052,	5,	860,	3,	3),
(72053,	5,	861,	1,	1),
(72054,	5,	861,	2,	1),
(72055,	5,	861,	3,	1),
(72056,	5,	861,	1,	2),
(72057,	5,	861,	2,	2),
(72058,	5,	861,	3,	2),
(72059,	5,	862,	1,	1),
(72060,	5,	862,	2,	1),
(72061,	5,	862,	3,	1),
(72062,	5,	862,	1,	2),
(72063,	5,	862,	2,	2),
(72064,	5,	862,	3,	2),
(72065,	5,	863,	1,	1),
(72066,	5,	863,	2,	1),
(72067,	5,	863,	3,	1),
(72068,	5,	863,	1,	2),
(72069,	5,	863,	2,	2),
(72070,	5,	863,	3,	2),
(72071,	5,	864,	1,	1),
(72072,	5,	864,	2,	1),
(72073,	5,	864,	3,	1),
(72074,	5,	864,	1,	2),
(72075,	5,	864,	2,	2),
(72076,	5,	864,	3,	2),
(72077,	5,	865,	1,	1),
(72078,	5,	865,	2,	1),
(72079,	5,	865,	3,	1),
(72080,	5,	865,	1,	2),
(72081,	5,	865,	2,	2),
(72082,	5,	865,	3,	2),
(72083,	5,	866,	1,	1),
(72084,	5,	866,	2,	1),
(72085,	5,	866,	3,	1),
(72086,	5,	866,	1,	2),
(72087,	5,	866,	2,	2),
(72088,	5,	866,	3,	2),
(72089,	5,	867,	1,	1),
(72090,	5,	867,	2,	1),
(72091,	5,	867,	3,	1),
(72092,	5,	867,	1,	2),
(72093,	5,	867,	2,	2),
(72094,	5,	867,	3,	2),
(72095,	5,	868,	1,	1),
(72096,	5,	868,	2,	1),
(72097,	5,	868,	3,	1),
(72098,	5,	868,	1,	3),
(72099,	5,	868,	2,	3),
(72100,	5,	868,	3,	3),
(72101,	5,	869,	1,	1),
(72102,	5,	869,	2,	1),
(72103,	5,	869,	3,	1),
(72104,	5,	869,	1,	2),
(72105,	5,	869,	2,	2),
(72106,	5,	869,	3,	2),
(72107,	5,	870,	1,	1),
(72108,	5,	870,	2,	1),
(72109,	5,	870,	3,	1),
(72110,	5,	870,	1,	2),
(72111,	5,	870,	2,	2),
(72112,	5,	870,	3,	2),
(72113,	5,	871,	1,	1),
(72114,	5,	871,	2,	1),
(72115,	5,	871,	3,	1),
(72116,	5,	871,	1,	2),
(72117,	5,	871,	2,	2),
(72118,	5,	871,	3,	2),
(72119,	5,	872,	1,	1),
(72120,	5,	872,	2,	1),
(72121,	5,	872,	3,	1),
(72122,	5,	872,	1,	3),
(72123,	5,	872,	2,	3),
(72124,	5,	872,	3,	3),
(72125,	5,	873,	1,	1),
(72126,	5,	873,	2,	1),
(72127,	5,	873,	3,	1),
(72128,	5,	873,	1,	2),
(72129,	5,	873,	2,	2),
(72130,	5,	873,	3,	2),
(72131,	5,	874,	1,	1),
(72132,	5,	874,	2,	1),
(72133,	5,	874,	3,	1),
(72134,	5,	874,	1,	2),
(72135,	5,	874,	2,	2),
(72136,	5,	874,	3,	2),
(72137,	5,	875,	1,	1),
(72138,	5,	875,	2,	1),
(72139,	5,	875,	3,	1),
(72140,	5,	875,	1,	2),
(72141,	5,	875,	2,	2),
(72142,	5,	875,	3,	2),
(72143,	5,	876,	1,	1),
(72144,	5,	876,	2,	1),
(72145,	5,	876,	3,	1),
(72146,	5,	876,	1,	2),
(72147,	5,	876,	2,	2),
(72148,	5,	876,	3,	2),
(72149,	5,	877,	1,	1),
(72150,	5,	877,	2,	1),
(72151,	5,	877,	3,	1),
(72152,	5,	877,	1,	3),
(72153,	5,	877,	2,	3),
(72154,	5,	877,	3,	3),
(72155,	5,	878,	1,	1),
(72156,	5,	878,	2,	1),
(72157,	5,	878,	3,	1),
(72158,	5,	878,	1,	2),
(72159,	5,	878,	2,	2),
(72160,	5,	878,	3,	2),
(72161,	5,	879,	1,	1),
(72162,	5,	879,	2,	1),
(72163,	5,	879,	3,	1),
(72164,	5,	879,	1,	2),
(72165,	5,	879,	2,	2),
(72166,	5,	879,	3,	2),
(72167,	5,	880,	1,	1),
(72168,	5,	880,	2,	1),
(72169,	5,	880,	3,	1),
(72170,	5,	880,	1,	2),
(72171,	5,	880,	2,	2),
(72172,	5,	880,	3,	2),
(72173,	5,	881,	1,	1),
(72174,	5,	881,	2,	1),
(72175,	5,	881,	3,	1),
(72176,	5,	881,	1,	2),
(72177,	5,	881,	2,	2),
(72178,	5,	881,	3,	2),
(72179,	5,	882,	1,	1),
(72180,	5,	882,	2,	1),
(72181,	5,	882,	3,	1),
(72182,	5,	882,	1,	3),
(72183,	5,	882,	2,	3),
(72184,	5,	882,	3,	3),
(72185,	5,	883,	1,	1),
(72186,	5,	883,	2,	1),
(72187,	5,	883,	3,	1),
(72188,	5,	883,	1,	2),
(72189,	5,	883,	2,	2),
(72190,	5,	883,	3,	2),
(72191,	5,	884,	1,	1),
(72192,	5,	884,	2,	1),
(72193,	5,	884,	3,	1),
(72194,	5,	884,	1,	2),
(72195,	5,	884,	2,	2),
(72196,	5,	884,	3,	2),
(72197,	5,	885,	1,	1),
(72198,	5,	885,	2,	1),
(72199,	5,	885,	3,	1),
(72200,	5,	885,	1,	3),
(72201,	5,	885,	2,	3),
(72202,	5,	885,	3,	3),
(72203,	5,	886,	1,	1),
(72204,	5,	886,	2,	1),
(72205,	5,	886,	3,	1),
(72206,	5,	886,	1,	3),
(72207,	5,	886,	2,	3),
(72208,	5,	886,	3,	3),
(72209,	5,	887,	1,	1),
(72210,	5,	887,	2,	1),
(72211,	5,	887,	3,	1),
(72212,	5,	887,	1,	3),
(72213,	5,	887,	2,	3),
(72214,	5,	887,	3,	3),
(72215,	5,	888,	1,	1),
(72216,	5,	888,	2,	1),
(72217,	5,	888,	3,	1),
(72218,	5,	888,	1,	3),
(72219,	5,	888,	2,	3),
(72220,	5,	888,	3,	3),
(72221,	5,	889,	1,	1),
(72222,	5,	889,	2,	1),
(72223,	5,	889,	3,	1),
(72224,	5,	889,	1,	3),
(72225,	5,	889,	2,	3),
(72226,	5,	889,	3,	3),
(72227,	5,	890,	1,	1),
(72228,	5,	890,	2,	1),
(72229,	5,	890,	3,	1),
(72230,	5,	890,	1,	3),
(72231,	5,	890,	2,	3),
(72232,	5,	890,	3,	3),
(72233,	5,	891,	1,	1),
(72234,	5,	891,	2,	1),
(72235,	5,	891,	3,	1),
(72236,	5,	891,	1,	2),
(72237,	5,	891,	2,	2),
(72238,	5,	891,	3,	2),
(72239,	5,	892,	1,	1),
(72240,	5,	892,	2,	1),
(72241,	5,	892,	3,	1),
(72242,	5,	892,	1,	2),
(72243,	5,	892,	2,	2),
(72244,	5,	892,	3,	2),
(72245,	5,	893,	1,	1),
(72246,	5,	893,	2,	1),
(72247,	5,	893,	3,	1),
(72248,	5,	894,	1,	1),
(72249,	5,	894,	2,	1),
(72250,	5,	894,	3,	1),
(72251,	5,	895,	1,	1),
(72252,	5,	895,	2,	1),
(72253,	5,	895,	3,	1),
(72254,	5,	896,	1,	1),
(72255,	5,	896,	2,	1),
(72256,	5,	896,	3,	1),
(72257,	5,	896,	1,	2),
(72258,	5,	896,	2,	2),
(72259,	5,	896,	3,	2),
(72260,	5,	897,	1,	1),
(72261,	5,	897,	2,	1),
(72262,	5,	897,	3,	1),
(72263,	5,	898,	1,	1),
(72264,	5,	898,	2,	1),
(72265,	5,	898,	3,	1),
(72266,	5,	898,	1,	2),
(72267,	5,	898,	2,	2),
(72268,	5,	898,	3,	2),
(72269,	5,	899,	1,	1),
(72270,	5,	899,	2,	1),
(72271,	5,	899,	3,	1),
(72272,	5,	899,	1,	2),
(72273,	5,	899,	2,	2),
(72274,	5,	899,	3,	2),
(72275,	5,	900,	1,	1),
(72276,	5,	900,	2,	1),
(72277,	5,	900,	3,	1),
(72278,	5,	900,	1,	2),
(72279,	5,	900,	2,	2),
(72280,	5,	900,	3,	2),
(72281,	5,	901,	1,	1),
(72282,	5,	901,	2,	1),
(72283,	5,	901,	3,	1),
(72284,	5,	901,	1,	2),
(72285,	5,	901,	2,	2),
(72286,	5,	901,	3,	2),
(72287,	5,	902,	1,	1),
(72288,	5,	902,	2,	1),
(72289,	5,	902,	3,	1),
(72290,	5,	902,	1,	3),
(72291,	5,	902,	2,	3),
(72292,	5,	902,	3,	3),
(72293,	5,	903,	1,	1),
(72294,	5,	903,	2,	1),
(72295,	5,	903,	3,	1),
(72296,	5,	903,	1,	2),
(72297,	5,	903,	2,	2),
(72298,	5,	903,	3,	2),
(72299,	5,	904,	1,	1),
(72300,	5,	904,	2,	1),
(72301,	5,	904,	3,	1),
(72302,	5,	904,	1,	2),
(72303,	5,	904,	2,	2),
(72304,	5,	904,	3,	2),
(72305,	5,	905,	1,	1),
(72306,	5,	905,	2,	1),
(72307,	5,	905,	3,	1),
(72308,	5,	905,	1,	3),
(72309,	5,	905,	2,	3),
(72310,	5,	905,	3,	3),
(72311,	5,	906,	1,	1),
(72312,	5,	906,	2,	1),
(72313,	5,	906,	3,	1),
(72314,	5,	906,	1,	2),
(72315,	5,	906,	2,	2),
(72316,	5,	906,	3,	2),
(72317,	5,	907,	1,	1),
(72318,	5,	907,	2,	1),
(72319,	5,	907,	3,	1),
(72320,	5,	907,	1,	2),
(72321,	5,	907,	2,	2),
(72322,	5,	907,	3,	2),
(72323,	5,	908,	1,	1),
(72324,	5,	908,	2,	1),
(72325,	5,	908,	3,	1),
(72326,	5,	908,	1,	2),
(72327,	5,	908,	2,	2),
(72328,	5,	908,	3,	2),
(72329,	5,	909,	1,	1),
(72330,	5,	909,	2,	1),
(72331,	5,	909,	3,	1),
(72332,	5,	909,	1,	2),
(72333,	5,	909,	2,	2),
(72334,	5,	909,	3,	2),
(72335,	5,	910,	1,	1),
(72336,	5,	910,	2,	1),
(72337,	5,	910,	3,	1),
(72338,	5,	910,	1,	3),
(72339,	5,	910,	2,	3),
(72340,	5,	910,	3,	3),
(72341,	5,	911,	1,	1),
(72342,	5,	911,	2,	1),
(72343,	5,	911,	3,	1),
(72344,	5,	911,	1,	2),
(72345,	5,	911,	2,	2),
(72346,	5,	911,	3,	2),
(72347,	5,	912,	1,	1),
(72348,	5,	912,	2,	1),
(72349,	5,	912,	3,	1),
(72350,	5,	912,	1,	2),
(72351,	5,	912,	2,	2),
(72352,	5,	912,	3,	2),
(72353,	5,	913,	1,	1),
(72354,	5,	913,	2,	1),
(72355,	5,	913,	3,	1),
(72356,	5,	913,	1,	2),
(72357,	5,	913,	2,	2),
(72358,	5,	913,	3,	2),
(72359,	5,	914,	1,	1),
(72360,	5,	914,	2,	1),
(72361,	5,	914,	3,	1),
(72362,	5,	914,	1,	2),
(72363,	5,	914,	2,	2),
(72364,	5,	914,	3,	2),
(72365,	5,	915,	1,	1),
(72366,	5,	915,	2,	1),
(72367,	5,	915,	3,	1),
(72368,	5,	915,	1,	3),
(72369,	5,	915,	2,	3),
(72370,	5,	915,	3,	3),
(72371,	5,	916,	1,	1),
(72372,	5,	916,	2,	1),
(72373,	5,	916,	3,	1),
(72374,	5,	916,	1,	2),
(72375,	5,	916,	2,	2),
(72376,	5,	916,	3,	2),
(72377,	5,	917,	1,	1),
(72378,	5,	917,	2,	1),
(72379,	5,	917,	3,	1),
(72380,	5,	917,	1,	2),
(72381,	5,	917,	2,	2),
(72382,	5,	917,	3,	2),
(72383,	5,	918,	1,	1),
(72384,	5,	918,	2,	1),
(72385,	5,	918,	3,	1),
(72386,	5,	918,	1,	2),
(72387,	5,	918,	2,	2),
(72388,	5,	918,	3,	2),
(72389,	5,	919,	1,	1),
(72390,	5,	919,	2,	1),
(72391,	5,	919,	3,	1),
(72392,	5,	919,	1,	2),
(72393,	5,	919,	2,	2),
(72394,	5,	919,	3,	2),
(72395,	5,	920,	1,	1),
(72396,	5,	920,	2,	1),
(72397,	5,	920,	3,	1),
(72398,	5,	920,	1,	2),
(72399,	5,	920,	2,	2),
(72400,	5,	920,	3,	2),
(72401,	5,	921,	1,	1),
(72402,	5,	921,	2,	1),
(72403,	5,	921,	3,	1),
(72404,	5,	921,	1,	3),
(72405,	5,	921,	2,	3),
(72406,	5,	921,	3,	3),
(72407,	5,	922,	1,	1),
(72408,	5,	922,	2,	1),
(72409,	5,	922,	3,	1),
(72410,	5,	922,	1,	2),
(72411,	5,	922,	2,	2),
(72412,	5,	922,	3,	2),
(72413,	5,	923,	1,	1),
(72414,	5,	923,	2,	1),
(72415,	5,	923,	3,	1),
(72416,	5,	923,	1,	2),
(72417,	5,	923,	2,	2),
(72418,	5,	923,	3,	2),
(72419,	5,	924,	1,	1),
(72420,	5,	924,	2,	1),
(72421,	5,	924,	3,	1),
(72422,	5,	924,	1,	2),
(72423,	5,	924,	2,	2),
(72424,	5,	924,	3,	2),
(72425,	5,	925,	1,	1),
(72426,	5,	925,	2,	1),
(72427,	5,	925,	3,	1),
(72428,	5,	925,	1,	2),
(72429,	5,	925,	2,	2),
(72430,	5,	925,	3,	2),
(72431,	5,	926,	1,	1),
(72432,	5,	926,	2,	1),
(72433,	5,	926,	3,	1),
(72434,	5,	926,	1,	3),
(72435,	5,	926,	2,	3),
(72436,	5,	926,	3,	3),
(72437,	5,	927,	1,	1),
(72438,	5,	927,	2,	1),
(72439,	5,	927,	3,	1),
(72440,	5,	927,	1,	2),
(72441,	5,	927,	2,	2),
(72442,	5,	927,	3,	2),
(72443,	5,	928,	1,	1),
(72444,	5,	928,	2,	1),
(72445,	5,	928,	3,	1),
(72446,	5,	928,	1,	2),
(72447,	5,	928,	2,	2),
(72448,	5,	928,	3,	2),
(72449,	5,	929,	1,	1),
(72450,	5,	929,	2,	1),
(72451,	5,	929,	3,	1),
(72452,	5,	929,	1,	2),
(72453,	5,	929,	2,	2),
(72454,	5,	929,	3,	2),
(72455,	5,	930,	1,	1),
(72456,	5,	930,	2,	1),
(72457,	5,	930,	3,	1),
(72458,	5,	930,	1,	2),
(72459,	5,	930,	2,	2),
(72460,	5,	930,	3,	2),
(72461,	5,	931,	1,	1),
(72462,	5,	931,	2,	1),
(72463,	5,	931,	3,	1),
(72464,	5,	931,	1,	3),
(72465,	5,	931,	2,	3),
(72466,	5,	931,	3,	3),
(72467,	5,	932,	1,	1),
(72468,	5,	932,	2,	1),
(72469,	5,	932,	3,	1),
(72470,	5,	932,	1,	2),
(72471,	5,	932,	2,	2),
(72472,	5,	932,	3,	2),
(72473,	5,	933,	1,	1),
(72474,	5,	933,	2,	1),
(72475,	5,	933,	3,	1),
(72476,	5,	933,	1,	2),
(72477,	5,	933,	2,	2),
(72478,	5,	933,	3,	2),
(72479,	5,	934,	1,	1),
(72480,	5,	934,	2,	1),
(72481,	5,	934,	3,	1),
(72482,	5,	934,	1,	2),
(72483,	5,	934,	2,	2),
(72484,	5,	934,	3,	2),
(72485,	5,	935,	1,	1),
(72486,	5,	935,	2,	1),
(72487,	5,	935,	3,	1),
(72488,	5,	935,	1,	2),
(72489,	5,	935,	2,	2),
(72490,	5,	935,	3,	2),
(72491,	5,	936,	1,	1),
(72492,	5,	936,	2,	1),
(72493,	5,	936,	3,	1),
(72494,	5,	936,	1,	3),
(72495,	5,	936,	2,	3),
(72496,	5,	936,	3,	3),
(72497,	5,	937,	1,	1),
(72498,	5,	937,	2,	1),
(72499,	5,	937,	3,	1),
(72500,	5,	937,	1,	2),
(72501,	5,	937,	2,	2),
(72502,	5,	937,	3,	2),
(72503,	5,	938,	1,	1),
(72504,	5,	938,	2,	1),
(72505,	5,	938,	3,	1),
(72506,	5,	938,	1,	2),
(72507,	5,	938,	2,	2),
(72508,	5,	938,	3,	2),
(72509,	5,	939,	1,	1),
(72510,	5,	939,	2,	1),
(72511,	5,	939,	3,	1),
(72512,	5,	940,	1,	1),
(72513,	5,	940,	2,	1),
(72514,	5,	940,	3,	1),
(72515,	5,	941,	1,	1),
(72516,	5,	941,	2,	1),
(72517,	5,	941,	3,	1),
(72518,	5,	942,	1,	1),
(72519,	5,	942,	2,	1),
(72520,	5,	942,	3,	1),
(72521,	5,	943,	1,	1),
(72522,	5,	943,	2,	1),
(72523,	5,	943,	3,	1),
(72524,	5,	943,	1,	2),
(72525,	5,	943,	2,	2),
(72526,	5,	943,	3,	2),
(72527,	5,	944,	1,	1),
(72528,	5,	944,	2,	1),
(72529,	5,	944,	3,	1),
(72530,	5,	944,	1,	2),
(72531,	5,	944,	2,	2),
(72532,	5,	944,	3,	2),
(72533,	5,	945,	1,	1),
(72534,	5,	945,	2,	1),
(72535,	5,	945,	3,	1),
(72536,	5,	945,	1,	2),
(72537,	5,	945,	2,	2),
(72538,	5,	945,	3,	2),
(72539,	5,	946,	1,	1),
(72540,	5,	946,	2,	1),
(72541,	5,	946,	3,	1),
(72542,	5,	946,	1,	3),
(72543,	5,	946,	2,	3),
(72544,	5,	946,	3,	3),
(72545,	5,	947,	1,	1),
(72546,	5,	947,	2,	1),
(72547,	5,	947,	3,	1),
(72548,	5,	947,	1,	3),
(72549,	5,	947,	2,	3),
(72550,	5,	947,	3,	3),
(72551,	5,	948,	1,	1),
(72552,	5,	948,	2,	1),
(72553,	5,	948,	3,	1),
(72554,	5,	949,	1,	1),
(72555,	5,	949,	2,	1),
(72556,	5,	949,	3,	1),
(72557,	5,	949,	23,	1),
(72558,	5,	950,	1,	1),
(72559,	5,	950,	2,	1),
(72560,	5,	950,	3,	1),
(72561,	5,	950,	1,	3),
(72562,	5,	950,	2,	3),
(72563,	5,	950,	3,	3),
(72564,	5,	951,	1,	1),
(72565,	5,	951,	2,	1),
(72566,	5,	951,	3,	1),
(72567,	5,	951,	1,	3),
(72568,	5,	951,	2,	3),
(72569,	5,	951,	3,	3),
(72570,	5,	952,	1,	1),
(72571,	5,	952,	2,	1),
(72572,	5,	952,	3,	1),
(72573,	5,	952,	6,	1),
(72574,	5,	953,	1,	1),
(72575,	5,	953,	2,	1),
(72576,	5,	953,	3,	1),
(72577,	5,	954,	1,	1),
(72578,	5,	954,	2,	1),
(72579,	5,	954,	3,	1),
(72580,	5,	954,	6,	1),
(72581,	5,	954,	23,	1),
(72582,	5,	955,	1,	1),
(72583,	5,	955,	2,	1),
(72584,	5,	955,	3,	1),
(72585,	5,	956,	1,	1),
(72586,	5,	956,	2,	1),
(72587,	5,	956,	3,	1),
(72588,	5,	956,	1,	2),
(72589,	5,	956,	2,	2),
(72590,	5,	956,	3,	2),
(72591,	5,	957,	1,	1),
(72592,	5,	957,	2,	1),
(72593,	5,	957,	3,	1),
(72594,	5,	957,	6,	1),
(72595,	5,	957,	23,	1),
(72596,	5,	957,	1,	2),
(72597,	5,	957,	2,	2),
(72598,	5,	957,	3,	2),
(72599,	5,	957,	6,	2),
(72600,	5,	957,	23,	2),
(72601,	5,	958,	1,	1),
(72602,	5,	958,	2,	1),
(72603,	5,	958,	3,	1),
(72604,	5,	958,	1,	2),
(72605,	5,	958,	2,	2),
(72606,	5,	958,	3,	2),
(72607,	5,	959,	1,	1),
(72608,	5,	959,	2,	1),
(72609,	5,	959,	3,	1),
(72610,	5,	959,	1,	2),
(72611,	5,	959,	2,	2),
(72612,	5,	959,	3,	2),
(72613,	5,	960,	1,	1),
(72614,	5,	960,	2,	1),
(72615,	5,	960,	3,	1),
(72616,	5,	960,	1,	2),
(72617,	5,	960,	2,	2),
(72618,	5,	960,	3,	2),
(72619,	5,	961,	1,	1),
(72620,	5,	961,	2,	1),
(72621,	5,	961,	3,	1),
(72622,	5,	961,	1,	2),
(72623,	5,	961,	2,	2),
(72624,	5,	961,	3,	2),
(72625,	5,	962,	1,	1),
(72626,	5,	962,	2,	1),
(72627,	5,	962,	3,	1),
(72628,	5,	963,	1,	1),
(72629,	5,	963,	2,	1),
(72630,	5,	963,	3,	1),
(72631,	5,	964,	1,	1),
(72632,	5,	964,	2,	1),
(72633,	5,	964,	3,	1),
(72634,	5,	964,	1,	2),
(72635,	5,	964,	2,	2),
(72636,	5,	964,	3,	2),
(72637,	5,	965,	1,	1),
(72638,	5,	965,	2,	1),
(72639,	5,	965,	3,	1),
(72640,	5,	965,	1,	2),
(72641,	5,	965,	2,	2),
(72642,	5,	965,	3,	2),
(72643,	5,	966,	1,	1),
(72644,	5,	966,	2,	1),
(72645,	5,	966,	3,	1),
(72646,	5,	967,	1,	1),
(72647,	5,	967,	2,	1),
(72648,	5,	967,	3,	1),
(72649,	5,	968,	1,	1),
(72650,	5,	968,	2,	1),
(72651,	5,	968,	3,	1),
(72652,	5,	969,	1,	1),
(72653,	5,	969,	2,	1),
(72654,	5,	969,	3,	1),
(72655,	5,	969,	23,	1),
(72656,	5,	969,	1,	3),
(72657,	5,	969,	2,	3),
(72658,	5,	969,	3,	3),
(72659,	5,	969,	23,	3),
(72660,	5,	970,	1,	1),
(72661,	5,	970,	2,	1),
(72662,	5,	970,	3,	1),
(72663,	5,	970,	6,	1),
(72664,	5,	970,	23,	1),
(72665,	5,	970,	1,	3),
(72666,	5,	970,	2,	3),
(72667,	5,	970,	3,	3),
(72668,	5,	970,	6,	3),
(72669,	5,	970,	23,	3),
(72670,	5,	971,	1,	1),
(72671,	5,	971,	2,	1),
(72672,	5,	971,	3,	1),
(72673,	5,	972,	1,	1),
(72674,	5,	972,	2,	1),
(72675,	5,	972,	3,	1),
(72676,	5,	972,	1,	3),
(72677,	5,	972,	2,	3),
(72678,	5,	972,	3,	3),
(72679,	5,	973,	1,	1),
(72680,	5,	973,	2,	1),
(72681,	5,	973,	3,	1),
(72682,	5,	973,	6,	1),
(72683,	5,	973,	1,	3),
(72684,	5,	973,	2,	3),
(72685,	5,	973,	3,	3),
(72686,	5,	973,	6,	3),
(72687,	5,	974,	1,	1),
(72688,	5,	974,	2,	1),
(72689,	5,	974,	3,	1),
(72690,	5,	974,	6,	1),
(72691,	5,	974,	1,	3),
(72692,	5,	974,	2,	3),
(72693,	5,	974,	3,	3),
(72694,	5,	974,	6,	3),
(72695,	5,	975,	1,	1),
(72696,	5,	975,	2,	1),
(72697,	5,	975,	3,	1),
(72698,	5,	976,	1,	1),
(72699,	5,	976,	2,	1),
(72700,	5,	976,	3,	1),
(72701,	5,	977,	1,	1),
(72702,	5,	977,	2,	1),
(72703,	5,	977,	3,	1),
(72704,	5,	978,	1,	1),
(72705,	5,	978,	2,	1),
(72706,	5,	978,	3,	1),
(72707,	5,	978,	6,	1),
(72708,	5,	978,	1,	3),
(72709,	5,	978,	2,	3),
(72710,	5,	978,	3,	3),
(72711,	5,	978,	6,	3),
(72712,	5,	979,	1,	1),
(72713,	5,	979,	2,	1),
(72714,	5,	979,	3,	1),
(72715,	5,	979,	6,	1),
(72716,	5,	979,	1,	3),
(72717,	5,	979,	2,	3),
(72718,	5,	979,	3,	3),
(72719,	5,	979,	6,	3),
(72720,	5,	980,	1,	1),
(72721,	5,	980,	2,	1),
(72722,	5,	980,	3,	1),
(72723,	5,	981,	1,	1),
(72724,	5,	981,	2,	1),
(72725,	5,	981,	3,	1),
(72726,	5,	982,	1,	1),
(72727,	5,	982,	2,	1),
(72728,	5,	982,	3,	1),
(72729,	5,	982,	1,	3),
(72730,	5,	982,	2,	3),
(72731,	5,	982,	3,	3),
(72732,	5,	983,	1,	1),
(72733,	5,	983,	2,	1),
(72734,	5,	983,	3,	1),
(72735,	5,	983,	6,	1),
(72736,	5,	983,	1,	3),
(72737,	5,	983,	2,	3),
(72738,	5,	983,	3,	3),
(72739,	5,	983,	6,	3),
(72740,	5,	984,	1,	1),
(72741,	5,	984,	2,	1),
(72742,	5,	984,	3,	1),
(72743,	5,	984,	6,	1),
(72744,	5,	984,	1,	3),
(72745,	5,	984,	2,	3),
(72746,	5,	984,	3,	3),
(72747,	5,	984,	6,	3),
(72748,	5,	985,	1,	1),
(72749,	5,	985,	2,	1),
(72750,	5,	985,	3,	1),
(72751,	5,	986,	1,	1),
(72752,	5,	986,	2,	1),
(72753,	5,	986,	3,	1),
(72754,	5,	987,	1,	1),
(72755,	5,	987,	2,	1),
(72756,	5,	987,	3,	1),
(72757,	5,	988,	1,	1),
(72758,	5,	988,	2,	1),
(72759,	5,	988,	3,	1),
(72760,	5,	989,	1,	1),
(72761,	5,	989,	2,	1),
(72762,	5,	989,	3,	1),
(72763,	5,	989,	6,	1),
(72764,	5,	989,	23,	1),
(72765,	5,	990,	1,	1),
(72766,	5,	990,	2,	1),
(72767,	5,	990,	3,	1),
(72768,	5,	990,	1,	2),
(72769,	5,	990,	2,	2),
(72770,	5,	990,	3,	2),
(72771,	5,	991,	1,	1),
(72772,	5,	991,	2,	1),
(72773,	5,	991,	3,	1),
(72774,	5,	991,	1,	2),
(72775,	5,	991,	2,	2),
(72776,	5,	991,	3,	2),
(72777,	5,	992,	1,	1),
(72778,	5,	992,	2,	1),
(72779,	5,	992,	3,	1),
(72780,	5,	993,	1,	1),
(72781,	5,	993,	2,	1),
(72782,	5,	993,	3,	1),
(72783,	5,	993,	6,	1),
(72784,	5,	994,	1,	1),
(72785,	5,	994,	2,	1),
(72786,	5,	994,	3,	1),
(72787,	5,	995,	1,	1),
(72788,	5,	995,	2,	1),
(72789,	5,	995,	3,	1),
(72790,	5,	996,	1,	1),
(72791,	5,	996,	2,	1),
(72792,	5,	996,	3,	1),
(72793,	5,	996,	1,	2),
(72794,	5,	996,	2,	2),
(72795,	5,	996,	3,	2),
(72796,	5,	997,	1,	1),
(72797,	5,	997,	2,	1),
(72798,	5,	997,	3,	1),
(72799,	5,	998,	1,	1),
(72800,	5,	998,	2,	1),
(72801,	5,	998,	3,	1),
(72802,	5,	998,	1,	2),
(72803,	5,	998,	2,	2),
(72804,	5,	998,	3,	2),
(72805,	5,	999,	1,	1),
(72806,	5,	999,	2,	1),
(72807,	5,	999,	3,	1),
(72808,	5,	999,	1,	2),
(72809,	5,	999,	2,	2),
(72810,	5,	999,	3,	2),
(72811,	5,	1000,	1,	1),
(72812,	5,	1000,	2,	1),
(72813,	5,	1000,	3,	1),
(72814,	5,	1001,	1,	1),
(72815,	5,	1001,	2,	1),
(72816,	5,	1001,	3,	1),
(72817,	5,	1001,	1,	2),
(72818,	5,	1001,	2,	2),
(72819,	5,	1001,	3,	2),
(72820,	5,	1002,	1,	1),
(72821,	5,	1002,	2,	1),
(72822,	5,	1002,	3,	1),
(72823,	5,	1003,	1,	1),
(72824,	5,	1003,	2,	1),
(72825,	5,	1003,	3,	1),
(72826,	5,	1004,	1,	1),
(72827,	5,	1004,	2,	1),
(72828,	5,	1004,	3,	1),
(72829,	5,	1004,	1,	2),
(72830,	5,	1004,	2,	2),
(72831,	5,	1004,	3,	2),
(72832,	5,	1005,	1,	1),
(72833,	5,	1005,	2,	1),
(72834,	5,	1005,	3,	1),
(72835,	5,	1006,	1,	1),
(72836,	5,	1006,	2,	1),
(72837,	5,	1006,	3,	1),
(72838,	5,	1007,	1,	1),
(72839,	5,	1007,	2,	1),
(72840,	5,	1007,	3,	1),
(72841,	5,	1008,	1,	1),
(72842,	5,	1008,	2,	1),
(72843,	5,	1008,	3,	1),
(72844,	5,	1009,	1,	1),
(72845,	5,	1009,	2,	1),
(72846,	5,	1009,	3,	1),
(72847,	5,	1010,	1,	1),
(72848,	5,	1010,	2,	1),
(72849,	5,	1010,	3,	1),
(72850,	5,	1011,	1,	1),
(72851,	5,	1011,	2,	1),
(72852,	5,	1011,	3,	1),
(72853,	5,	1012,	1,	1),
(72854,	5,	1012,	2,	1),
(72855,	5,	1012,	3,	1),
(72856,	5,	1012,	1,	2),
(72857,	5,	1012,	2,	2),
(72858,	5,	1012,	3,	2),
(72859,	5,	1013,	1,	1),
(72860,	5,	1013,	2,	1),
(72861,	5,	1013,	3,	1),
(72862,	5,	1014,	1,	1),
(72863,	5,	1014,	2,	1),
(72864,	5,	1014,	3,	1),
(72865,	5,	1014,	6,	1),
(72866,	5,	1015,	1,	1),
(72867,	5,	1015,	2,	1),
(72868,	5,	1015,	3,	1),
(72869,	5,	1015,	1,	2),
(72870,	5,	1015,	2,	2),
(72871,	5,	1015,	3,	2),
(72872,	5,	1016,	1,	1),
(72873,	5,	1016,	2,	1),
(72874,	5,	1016,	3,	1),
(72875,	5,	1017,	1,	1),
(72876,	5,	1017,	2,	1),
(72877,	5,	1017,	3,	1),
(72878,	5,	1017,	1,	2),
(72879,	5,	1017,	2,	2),
(72880,	5,	1017,	3,	2),
(72881,	5,	1018,	1,	1),
(72882,	5,	1018,	2,	1),
(72883,	5,	1018,	3,	1),
(72884,	5,	1019,	1,	1),
(72885,	5,	1019,	2,	1),
(72886,	5,	1019,	3,	1),
(72887,	5,	1020,	1,	1),
(72888,	5,	1020,	2,	1),
(72889,	5,	1020,	3,	1),
(72890,	5,	1021,	1,	1),
(72891,	5,	1021,	2,	1),
(72892,	5,	1021,	3,	1),
(72893,	5,	1022,	1,	1),
(72894,	5,	1022,	2,	1),
(72895,	5,	1022,	3,	1),
(72896,	5,	1023,	1,	1),
(72897,	5,	1023,	2,	1),
(72898,	5,	1023,	3,	1),
(72899,	5,	1024,	1,	1),
(72900,	5,	1024,	2,	1),
(72901,	5,	1024,	3,	1),
(72902,	5,	1025,	1,	1),
(72903,	5,	1025,	2,	1),
(72904,	5,	1025,	3,	1),
(72905,	5,	1026,	1,	1),
(72906,	5,	1026,	2,	1),
(72907,	5,	1026,	3,	1),
(72908,	5,	1027,	1,	1),
(72909,	5,	1027,	2,	1),
(72910,	5,	1027,	3,	1),
(72911,	5,	1028,	1,	1),
(72912,	5,	1028,	2,	1),
(72913,	5,	1028,	3,	1),
(72914,	5,	1029,	1,	1),
(72915,	5,	1029,	2,	1),
(72916,	5,	1029,	3,	1),
(72917,	5,	1030,	1,	1),
(72918,	5,	1030,	2,	1),
(72919,	5,	1030,	3,	1),
(72920,	5,	1030,	1,	2),
(72921,	5,	1030,	2,	2),
(72922,	5,	1030,	3,	2),
(72923,	5,	1031,	1,	1),
(72924,	5,	1031,	2,	1),
(72925,	5,	1031,	3,	1),
(72926,	5,	1031,	1,	2),
(72927,	5,	1031,	2,	2),
(72928,	5,	1031,	3,	2),
(72929,	5,	1032,	1,	1),
(72930,	5,	1032,	2,	1),
(72931,	5,	1032,	3,	1),
(72932,	5,	1032,	1,	2),
(72933,	5,	1032,	2,	2),
(72934,	5,	1032,	3,	2),
(72935,	5,	1033,	1,	1),
(72936,	5,	1033,	2,	1),
(72937,	5,	1033,	3,	1),
(72938,	5,	1034,	1,	1),
(72939,	5,	1034,	2,	1),
(72940,	5,	1034,	3,	1),
(72941,	5,	1034,	1,	2),
(72942,	5,	1034,	2,	2),
(72943,	5,	1034,	3,	2),
(72944,	5,	1035,	1,	1),
(72945,	5,	1035,	2,	1),
(72946,	5,	1035,	3,	1),
(72947,	5,	1036,	1,	1),
(72948,	5,	1036,	2,	1),
(72949,	5,	1036,	3,	1),
(72950,	5,	1037,	1,	1),
(72951,	5,	1037,	2,	1),
(72952,	5,	1037,	3,	1),
(72953,	5,	1037,	1,	2),
(72954,	5,	1037,	2,	2),
(72955,	5,	1037,	3,	2),
(72956,	5,	1038,	1,	1),
(72957,	5,	1038,	2,	1),
(72958,	5,	1038,	3,	1),
(72959,	5,	1038,	1,	2),
(72960,	5,	1038,	2,	2),
(72961,	5,	1038,	3,	2),
(72962,	5,	1039,	1,	1),
(72963,	5,	1039,	2,	1),
(72964,	5,	1039,	3,	1),
(72965,	5,	1039,	1,	2),
(72966,	5,	1039,	2,	2),
(72967,	5,	1039,	3,	2),
(72968,	5,	1040,	1,	1),
(72969,	5,	1040,	2,	1),
(72970,	5,	1040,	3,	1),
(72971,	5,	1040,	1,	2),
(72972,	5,	1040,	2,	2),
(72973,	5,	1040,	3,	2),
(72974,	5,	1041,	1,	1),
(72975,	5,	1041,	2,	1),
(72976,	5,	1041,	3,	1),
(72977,	5,	1042,	1,	1),
(72978,	5,	1042,	2,	1),
(72979,	5,	1042,	3,	1),
(72980,	5,	1042,	1,	2),
(72981,	5,	1042,	2,	2),
(72982,	5,	1042,	3,	2),
(72983,	5,	1043,	1,	1),
(72984,	5,	1043,	2,	1),
(72985,	5,	1043,	3,	1),
(72986,	5,	1044,	1,	1),
(72987,	5,	1044,	2,	1),
(72988,	5,	1044,	3,	1),
(72989,	5,	1045,	1,	1),
(72990,	5,	1045,	2,	1),
(72991,	5,	1045,	3,	1),
(72992,	5,	1046,	1,	1),
(72993,	5,	1046,	2,	1),
(72994,	5,	1046,	3,	1),
(72995,	5,	1047,	1,	1),
(72996,	5,	1047,	2,	1),
(72997,	5,	1047,	3,	1),
(72998,	5,	1047,	1,	2),
(72999,	5,	1047,	2,	2),
(73000,	5,	1047,	3,	2),
(73001,	5,	1048,	1,	1),
(73002,	5,	1048,	2,	1),
(73003,	5,	1048,	3,	1),
(73004,	5,	1049,	1,	1),
(73005,	5,	1049,	2,	1),
(73006,	5,	1049,	3,	1),
(73007,	5,	1050,	1,	1),
(73008,	5,	1050,	2,	1),
(73009,	5,	1050,	3,	1),
(73010,	5,	1050,	1,	2),
(73011,	5,	1050,	2,	2),
(73012,	5,	1050,	3,	2),
(73013,	5,	1051,	1,	1),
(73014,	5,	1051,	2,	1),
(73015,	5,	1051,	3,	1),
(73016,	5,	1052,	1,	1),
(73017,	5,	1052,	2,	1),
(73018,	5,	1052,	3,	1),
(73019,	5,	1053,	1,	1),
(73020,	5,	1053,	2,	1),
(73021,	5,	1053,	3,	1),
(73022,	5,	1054,	1,	1),
(73023,	5,	1054,	2,	1),
(73024,	5,	1054,	3,	1),
(73025,	5,	1055,	1,	1),
(73026,	5,	1055,	2,	1),
(73027,	5,	1055,	3,	1),
(73028,	5,	1056,	1,	1),
(73029,	5,	1056,	2,	1),
(73030,	5,	1056,	3,	1),
(73031,	5,	1057,	1,	1),
(73032,	5,	1057,	2,	1),
(73033,	5,	1057,	3,	1),
(73034,	5,	1058,	1,	1),
(73035,	5,	1058,	2,	1),
(73036,	5,	1058,	3,	1),
(73037,	5,	1059,	1,	1),
(73038,	5,	1059,	2,	1),
(73039,	5,	1059,	3,	1),
(73040,	5,	1060,	1,	1),
(73041,	5,	1060,	2,	1),
(73042,	5,	1060,	3,	1),
(73043,	5,	1061,	1,	1),
(73044,	5,	1061,	2,	1),
(73045,	5,	1061,	3,	1),
(73046,	5,	1061,	1,	2),
(73047,	5,	1061,	2,	2),
(73048,	5,	1061,	3,	2),
(73049,	5,	1062,	1,	1),
(73050,	5,	1062,	2,	1),
(73051,	5,	1062,	3,	1),
(73052,	5,	1063,	1,	1),
(73053,	5,	1063,	2,	1),
(73054,	5,	1063,	3,	1),
(73055,	5,	1064,	1,	1),
(73056,	5,	1064,	2,	1),
(73057,	5,	1064,	3,	1),
(73058,	5,	1064,	1,	2),
(73059,	5,	1064,	2,	2),
(73060,	5,	1064,	3,	2),
(73061,	5,	1065,	1,	1),
(73062,	5,	1065,	2,	1),
(73063,	5,	1065,	3,	1),
(73064,	5,	1065,	1,	2),
(73065,	5,	1065,	2,	2),
(73066,	5,	1065,	3,	2),
(73067,	5,	1066,	1,	1),
(73068,	5,	1066,	2,	1),
(73069,	5,	1066,	3,	1),
(73070,	5,	1066,	1,	2),
(73071,	5,	1066,	2,	2),
(73072,	5,	1066,	3,	2),
(73073,	5,	1067,	1,	1),
(73074,	5,	1067,	2,	1),
(73075,	5,	1067,	3,	1),
(73076,	5,	1067,	1,	2),
(73077,	5,	1067,	2,	2),
(73078,	5,	1067,	3,	2),
(73079,	5,	1068,	1,	1),
(73080,	5,	1068,	2,	1),
(73081,	5,	1068,	3,	1),
(73082,	5,	1068,	1,	2),
(73083,	5,	1068,	2,	2),
(73084,	5,	1068,	3,	2),
(73085,	5,	1069,	1,	1),
(73086,	5,	1069,	2,	1),
(73087,	5,	1069,	3,	1),
(73088,	5,	1069,	1,	2),
(73089,	5,	1069,	2,	2),
(73090,	5,	1069,	3,	2),
(73091,	5,	1070,	1,	1),
(73092,	5,	1070,	2,	1),
(73093,	5,	1070,	3,	1),
(73094,	5,	1070,	1,	2),
(73095,	5,	1070,	2,	2),
(73096,	5,	1070,	3,	2),
(73097,	5,	1071,	1,	1),
(73098,	5,	1071,	2,	1),
(73099,	5,	1071,	3,	1),
(73100,	5,	1072,	1,	1),
(73101,	5,	1072,	2,	1),
(73102,	5,	1072,	3,	1),
(73103,	5,	1072,	28,	1),
(73104,	5,	1072,	1,	3),
(73105,	5,	1072,	2,	3),
(73106,	5,	1072,	3,	3),
(73107,	5,	1072,	28,	3),
(73108,	5,	1073,	1,	1),
(73109,	5,	1073,	2,	1),
(73110,	5,	1073,	3,	1),
(73111,	5,	1073,	1,	3),
(73112,	5,	1073,	2,	3),
(73113,	5,	1073,	3,	3),
(73114,	5,	1074,	1,	1),
(73115,	5,	1074,	2,	1),
(73116,	5,	1074,	3,	1),
(73117,	5,	1074,	1,	3),
(73118,	5,	1074,	2,	3),
(73119,	5,	1074,	3,	3),
(73120,	5,	1075,	1,	1),
(73121,	5,	1075,	2,	1),
(73122,	5,	1075,	3,	1),
(73123,	5,	1075,	1,	3),
(73124,	5,	1075,	2,	3),
(73125,	5,	1075,	3,	3),
(73126,	5,	1076,	1,	1),
(73127,	5,	1076,	2,	1),
(73128,	5,	1076,	3,	1),
(73129,	5,	1076,	1,	3),
(73130,	5,	1076,	2,	3),
(73131,	5,	1076,	3,	3),
(73132,	5,	1077,	1,	1),
(73133,	5,	1077,	2,	1),
(73134,	5,	1077,	3,	1),
(73135,	5,	1077,	1,	3),
(73136,	5,	1077,	2,	3),
(73137,	5,	1077,	3,	3),
(73138,	5,	1078,	1,	1),
(73139,	5,	1078,	2,	1),
(73140,	5,	1078,	3,	1),
(73141,	5,	1078,	1,	2),
(73142,	5,	1078,	2,	2),
(73143,	5,	1078,	3,	2),
(73144,	5,	1079,	1,	1),
(73145,	5,	1079,	2,	1),
(73146,	5,	1079,	3,	1),
(73147,	5,	1079,	1,	2),
(73148,	5,	1079,	2,	2),
(73149,	5,	1079,	3,	2),
(73150,	5,	1080,	1,	1),
(73151,	5,	1080,	2,	1),
(73152,	5,	1080,	3,	1),
(73153,	5,	1081,	1,	1),
(73154,	5,	1081,	2,	1),
(73155,	5,	1081,	3,	1),
(73156,	5,	1081,	1,	2),
(73157,	5,	1081,	2,	2),
(73158,	5,	1081,	3,	2),
(73159,	5,	1082,	1,	1),
(73160,	5,	1082,	2,	1),
(73161,	5,	1082,	3,	1),
(73162,	5,	1082,	1,	2),
(73163,	5,	1082,	2,	2),
(73164,	5,	1082,	3,	2),
(73165,	5,	1083,	1,	1),
(73166,	5,	1083,	2,	1),
(73167,	5,	1083,	3,	1),
(73168,	5,	1083,	1,	2),
(73169,	5,	1083,	2,	2),
(73170,	5,	1083,	3,	2),
(73171,	5,	1084,	1,	1),
(73172,	5,	1084,	2,	1),
(73173,	5,	1084,	3,	1),
(73174,	5,	1084,	1,	2),
(73175,	5,	1084,	2,	2),
(73176,	5,	1084,	3,	2),
(73177,	5,	1085,	1,	1),
(73178,	5,	1085,	2,	1),
(73179,	5,	1085,	3,	1),
(73180,	5,	1086,	1,	1),
(73181,	5,	1086,	2,	1),
(73182,	5,	1086,	3,	1),
(73183,	5,	1086,	1,	2),
(73184,	5,	1086,	2,	2),
(73185,	5,	1086,	3,	2),
(73186,	5,	1087,	1,	1),
(73187,	5,	1087,	2,	1),
(73188,	5,	1087,	3,	1),
(73189,	5,	1087,	1,	2),
(73190,	5,	1087,	2,	2),
(73191,	5,	1087,	3,	2),
(73192,	5,	1088,	1,	1),
(73193,	5,	1088,	2,	1),
(73194,	5,	1088,	3,	1),
(73195,	5,	1088,	1,	2),
(73196,	5,	1088,	2,	2),
(73197,	5,	1088,	3,	2),
(73198,	5,	1089,	1,	1),
(73199,	5,	1089,	2,	1),
(73200,	5,	1089,	3,	1),
(73201,	5,	1090,	1,	1),
(73202,	5,	1090,	2,	1),
(73203,	5,	1090,	3,	1),
(73204,	5,	1090,	1,	2),
(73205,	5,	1090,	2,	2),
(73206,	5,	1090,	3,	2),
(73207,	5,	1091,	1,	1),
(73208,	5,	1091,	2,	1),
(73209,	5,	1091,	3,	1),
(73210,	5,	1091,	1,	2),
(73211,	5,	1091,	2,	2),
(73212,	5,	1091,	3,	2),
(73213,	5,	1092,	1,	1),
(73214,	5,	1092,	2,	1),
(73215,	5,	1092,	3,	1),
(73216,	5,	1093,	1,	1),
(73217,	5,	1093,	2,	1),
(73218,	5,	1093,	3,	1),
(73219,	5,	1093,	1,	2),
(73220,	5,	1093,	2,	2),
(73221,	5,	1093,	3,	2),
(73222,	5,	1094,	1,	1),
(73223,	5,	1094,	2,	1),
(73224,	5,	1094,	3,	1),
(73225,	5,	1094,	1,	2),
(73226,	5,	1094,	2,	2),
(73227,	5,	1094,	3,	2),
(73228,	5,	1095,	1,	1),
(73229,	5,	1095,	2,	1),
(73230,	5,	1095,	3,	1),
(73231,	5,	1095,	1,	2),
(73232,	5,	1095,	2,	2),
(73233,	5,	1095,	3,	2),
(73234,	5,	1096,	1,	1),
(73235,	5,	1096,	2,	1),
(73236,	5,	1096,	3,	1),
(73237,	5,	1097,	1,	1),
(73238,	5,	1097,	2,	1),
(73239,	5,	1097,	3,	1),
(73240,	5,	1097,	1,	2),
(73241,	5,	1097,	2,	2),
(73242,	5,	1097,	3,	2),
(73243,	5,	1098,	1,	1),
(73244,	5,	1098,	2,	1),
(73245,	5,	1098,	3,	1),
(73246,	5,	1098,	1,	2),
(73247,	5,	1098,	2,	2),
(73248,	5,	1098,	3,	2),
(73249,	5,	1099,	1,	1),
(73250,	5,	1099,	2,	1),
(73251,	5,	1099,	3,	1),
(73252,	5,	1099,	1,	2),
(73253,	5,	1099,	2,	2),
(73254,	5,	1099,	3,	2),
(73255,	5,	1100,	1,	1),
(73256,	5,	1100,	2,	1),
(73257,	5,	1100,	3,	1),
(73258,	5,	1100,	1,	2),
(73259,	5,	1100,	2,	2),
(73260,	5,	1100,	3,	2),
(73261,	5,	1101,	1,	1),
(73262,	5,	1101,	2,	1),
(73263,	5,	1101,	3,	1),
(73264,	5,	1102,	1,	1),
(73265,	5,	1102,	2,	1),
(73266,	5,	1102,	3,	1),
(73267,	5,	1102,	1,	2),
(73268,	5,	1102,	2,	2),
(73269,	5,	1102,	3,	2),
(73270,	5,	1103,	1,	1),
(73271,	5,	1103,	2,	1),
(73272,	5,	1103,	3,	1),
(73273,	5,	1103,	1,	2),
(73274,	5,	1103,	2,	2),
(73275,	5,	1103,	3,	2),
(73276,	5,	1104,	1,	1),
(73277,	5,	1104,	2,	1),
(73278,	5,	1104,	3,	1),
(73279,	5,	1104,	1,	2),
(73280,	5,	1104,	2,	2),
(73281,	5,	1104,	3,	2),
(73282,	5,	1105,	1,	1),
(73283,	5,	1105,	2,	1),
(73284,	5,	1105,	3,	1),
(73285,	5,	1105,	1,	2),
(73286,	5,	1105,	2,	2),
(73287,	5,	1105,	3,	2),
(73288,	5,	1106,	1,	1),
(73289,	5,	1106,	2,	1),
(73290,	5,	1106,	3,	1),
(73291,	5,	1106,	1,	2),
(73292,	5,	1106,	2,	2),
(73293,	5,	1106,	3,	2),
(73294,	5,	1107,	1,	1),
(73295,	5,	1107,	2,	1),
(73296,	5,	1107,	3,	1),
(73297,	5,	1108,	1,	1),
(73298,	5,	1108,	2,	1),
(73299,	5,	1108,	3,	1),
(73300,	5,	1108,	1,	2),
(73301,	5,	1108,	2,	2),
(73302,	5,	1108,	3,	2),
(73303,	5,	1109,	1,	1),
(73304,	5,	1109,	2,	1),
(73305,	5,	1109,	3,	1),
(73306,	5,	1109,	1,	2),
(73307,	5,	1109,	2,	2),
(73308,	5,	1109,	3,	2),
(73309,	5,	1110,	1,	1),
(73310,	5,	1110,	2,	1),
(73311,	5,	1110,	3,	1),
(73312,	5,	1110,	1,	2),
(73313,	5,	1110,	2,	2),
(73314,	5,	1110,	3,	2),
(73315,	5,	1111,	1,	1),
(73316,	5,	1111,	2,	1),
(73317,	5,	1111,	3,	1),
(73318,	5,	1111,	1,	2),
(73319,	5,	1111,	2,	2),
(73320,	5,	1111,	3,	2),
(73321,	5,	1112,	1,	1),
(73322,	5,	1112,	2,	1),
(73323,	5,	1112,	3,	1),
(73324,	5,	1113,	1,	1),
(73325,	5,	1113,	2,	1),
(73326,	5,	1113,	3,	1),
(73327,	5,	1113,	1,	2),
(73328,	5,	1113,	2,	2),
(73329,	5,	1113,	3,	2),
(73330,	5,	1114,	1,	1),
(73331,	5,	1114,	2,	1),
(73332,	5,	1114,	3,	1),
(73333,	5,	1114,	1,	2),
(73334,	5,	1114,	2,	2),
(73335,	5,	1114,	3,	2),
(73336,	5,	1115,	1,	1),
(73337,	5,	1115,	2,	1),
(73338,	5,	1115,	3,	1),
(73339,	5,	1115,	1,	2),
(73340,	5,	1115,	2,	2),
(73341,	5,	1115,	3,	2),
(73342,	5,	1116,	1,	1),
(73343,	5,	1116,	2,	1),
(73344,	5,	1116,	3,	1),
(73345,	5,	1116,	1,	2),
(73346,	5,	1116,	2,	2),
(73347,	5,	1116,	3,	2),
(73348,	5,	1117,	1,	1),
(73349,	5,	1117,	2,	1),
(73350,	5,	1117,	3,	1),
(73351,	5,	1117,	1,	2),
(73352,	5,	1117,	2,	2),
(73353,	5,	1117,	3,	2),
(73354,	5,	1118,	1,	1),
(73355,	5,	1118,	2,	1),
(73356,	5,	1118,	3,	1),
(73357,	5,	1118,	1,	2),
(73358,	5,	1118,	2,	2),
(73359,	5,	1118,	3,	2),
(73360,	5,	1119,	1,	1),
(73361,	5,	1119,	2,	1),
(73362,	5,	1119,	3,	1),
(73363,	5,	1120,	1,	1),
(73364,	5,	1120,	2,	1),
(73365,	5,	1120,	3,	1),
(73366,	5,	1120,	1,	2),
(73367,	5,	1120,	2,	2),
(73368,	5,	1120,	3,	2),
(73369,	5,	1121,	1,	1),
(73370,	5,	1121,	2,	1),
(73371,	5,	1121,	3,	1),
(73372,	5,	1121,	1,	2),
(73373,	5,	1121,	2,	2),
(73374,	5,	1121,	3,	2),
(73375,	5,	1122,	1,	1),
(73376,	5,	1122,	2,	1),
(73377,	5,	1122,	3,	1),
(73378,	5,	1122,	1,	2),
(73379,	5,	1122,	2,	2),
(73380,	5,	1122,	3,	2),
(73381,	5,	1123,	1,	1),
(73382,	5,	1123,	2,	1),
(73383,	5,	1123,	3,	1),
(73384,	5,	1123,	1,	2),
(73385,	5,	1123,	2,	2),
(73386,	5,	1123,	3,	2),
(73387,	5,	1124,	1,	1),
(73388,	5,	1124,	2,	1),
(73389,	5,	1124,	3,	1),
(73390,	5,	1125,	1,	1),
(73391,	5,	1125,	2,	1),
(73392,	5,	1125,	3,	1),
(73393,	5,	1125,	1,	2),
(73394,	5,	1125,	2,	2),
(73395,	5,	1125,	3,	2),
(73396,	5,	1126,	1,	1),
(73397,	5,	1126,	2,	1),
(73398,	5,	1126,	3,	1),
(73399,	5,	1126,	1,	2),
(73400,	5,	1126,	2,	2),
(73401,	5,	1126,	3,	2),
(73402,	5,	1127,	1,	1),
(73403,	5,	1127,	2,	1),
(73404,	5,	1127,	3,	1),
(73405,	5,	1128,	1,	1),
(73406,	5,	1128,	2,	1),
(73407,	5,	1128,	3,	1),
(73408,	5,	1128,	1,	2),
(73409,	5,	1128,	2,	2),
(73410,	5,	1128,	3,	2),
(73411,	5,	1129,	1,	1),
(73412,	5,	1129,	2,	1),
(73413,	5,	1129,	3,	1),
(73414,	5,	1129,	1,	3),
(73415,	5,	1129,	2,	3),
(73416,	5,	1129,	3,	3),
(73417,	5,	1130,	1,	1),
(73418,	5,	1130,	2,	1),
(73419,	5,	1130,	3,	1),
(73420,	5,	1130,	1,	3),
(73421,	5,	1130,	2,	3),
(73422,	5,	1130,	3,	3),
(73423,	5,	1131,	1,	1),
(73424,	5,	1131,	2,	1),
(73425,	5,	1131,	3,	1),
(73426,	5,	1131,	23,	1),
(73427,	5,	1131,	4,	1),
(73428,	5,	1131,	25,	1),
(73429,	5,	1131,	24,	1),
(73430,	5,	1131,	6,	1),
(73431,	5,	1131,	1,	3),
(73432,	5,	1131,	2,	3),
(73433,	5,	1131,	3,	3),
(73434,	5,	1131,	23,	3),
(73435,	5,	1131,	4,	3),
(73436,	5,	1131,	25,	3),
(73437,	5,	1131,	24,	3),
(73438,	5,	1131,	6,	3),
(73439,	5,	1132,	1,	1),
(73440,	5,	1132,	2,	1),
(73441,	5,	1132,	3,	1),
(73442,	5,	1132,	23,	1),
(73443,	5,	1132,	4,	1),
(73444,	5,	1132,	25,	1),
(73445,	5,	1132,	24,	1),
(73446,	5,	1132,	6,	1),
(73447,	5,	1132,	1,	3),
(73448,	5,	1132,	2,	3),
(73449,	5,	1132,	3,	3),
(73450,	5,	1132,	23,	3),
(73451,	5,	1132,	4,	3),
(73452,	5,	1132,	25,	3),
(73453,	5,	1132,	24,	3),
(73454,	5,	1132,	6,	3),
(73455,	5,	1133,	1,	1),
(73456,	5,	1133,	2,	1),
(73457,	5,	1133,	3,	1),
(73458,	5,	1133,	23,	1),
(73459,	5,	1133,	4,	1),
(73460,	5,	1133,	25,	1),
(73461,	5,	1133,	24,	1),
(73462,	5,	1133,	6,	1),
(73463,	5,	1133,	1,	3),
(73464,	5,	1133,	2,	3),
(73465,	5,	1133,	3,	3),
(73466,	5,	1133,	23,	3),
(73467,	5,	1133,	4,	3),
(73468,	5,	1133,	25,	3),
(73469,	5,	1133,	24,	3),
(73470,	5,	1133,	6,	3),
(73471,	5,	1134,	1,	1),
(73472,	5,	1134,	2,	1),
(73473,	5,	1134,	3,	1),
(73474,	5,	1134,	23,	1),
(73475,	5,	1134,	4,	1),
(73476,	5,	1134,	25,	1),
(73477,	5,	1134,	24,	1),
(73478,	5,	1134,	6,	1),
(73479,	5,	1134,	1,	3),
(73480,	5,	1134,	2,	3),
(73481,	5,	1134,	3,	3),
(73482,	5,	1134,	23,	3),
(73483,	5,	1134,	4,	3),
(73484,	5,	1134,	25,	3),
(73485,	5,	1134,	24,	3),
(73486,	5,	1134,	6,	3),
(73487,	5,	1135,	1,	1),
(73488,	5,	1135,	2,	1),
(73489,	5,	1135,	3,	1),
(73490,	5,	1135,	23,	1),
(73491,	5,	1135,	4,	1),
(73492,	5,	1135,	25,	1),
(73493,	5,	1135,	24,	1),
(73494,	5,	1135,	6,	1),
(73495,	5,	1135,	1,	3),
(73496,	5,	1135,	2,	3),
(73497,	5,	1135,	3,	3),
(73498,	5,	1135,	23,	3),
(73499,	5,	1135,	4,	3),
(73500,	5,	1135,	25,	3),
(73501,	5,	1135,	24,	3),
(73502,	5,	1135,	6,	3),
(73503,	5,	1136,	1,	1),
(73504,	5,	1136,	2,	1),
(73505,	5,	1136,	3,	1),
(73506,	5,	1136,	23,	1),
(73507,	5,	1136,	4,	1),
(73508,	5,	1136,	25,	1),
(73509,	5,	1136,	24,	1),
(73510,	5,	1136,	6,	1),
(73511,	5,	1136,	1,	3),
(73512,	5,	1136,	2,	3),
(73513,	5,	1136,	3,	3),
(73514,	5,	1136,	23,	3),
(73515,	5,	1136,	4,	3),
(73516,	5,	1136,	25,	3),
(73517,	5,	1136,	24,	3),
(73518,	5,	1136,	6,	3),
(73519,	5,	1137,	1,	1),
(73520,	5,	1137,	2,	1),
(73521,	5,	1137,	3,	1),
(73522,	5,	1137,	1,	2),
(73523,	5,	1137,	2,	2),
(73524,	5,	1137,	3,	2),
(73525,	5,	1138,	1,	1),
(73526,	5,	1138,	2,	1),
(73527,	5,	1138,	3,	1),
(73528,	5,	1138,	23,	1),
(73529,	5,	1138,	4,	1),
(73530,	5,	1138,	25,	1),
(73531,	5,	1138,	24,	1),
(73532,	5,	1138,	6,	1),
(73533,	5,	1138,	1,	3),
(73534,	5,	1138,	2,	3),
(73535,	5,	1138,	3,	3),
(73536,	5,	1138,	23,	3),
(73537,	5,	1138,	4,	3),
(73538,	5,	1138,	25,	3),
(73539,	5,	1138,	24,	3),
(73540,	5,	1138,	6,	3),
(73541,	5,	1139,	1,	1),
(73542,	5,	1139,	2,	1),
(73543,	5,	1139,	3,	1),
(73544,	5,	1139,	23,	1),
(73545,	5,	1139,	4,	1),
(73546,	5,	1139,	25,	1),
(73547,	5,	1139,	24,	1),
(73548,	5,	1139,	6,	1),
(73549,	5,	1139,	1,	3),
(73550,	5,	1139,	2,	3),
(73551,	5,	1139,	3,	3),
(73552,	5,	1139,	23,	3),
(73553,	5,	1139,	4,	3),
(73554,	5,	1139,	25,	3),
(73555,	5,	1139,	24,	3),
(73556,	5,	1139,	6,	3),
(73557,	5,	1140,	1,	1),
(73558,	5,	1140,	2,	1),
(73559,	5,	1140,	3,	1),
(73560,	5,	1140,	23,	1),
(73561,	5,	1140,	4,	1),
(73562,	5,	1140,	25,	1),
(73563,	5,	1140,	24,	1),
(73564,	5,	1140,	6,	1),
(73565,	5,	1140,	1,	3),
(73566,	5,	1140,	2,	3),
(73567,	5,	1140,	3,	3),
(73568,	5,	1140,	23,	3),
(73569,	5,	1140,	4,	3),
(73570,	5,	1140,	25,	3),
(73571,	5,	1140,	24,	3),
(73572,	5,	1140,	6,	3),
(73573,	5,	1141,	1,	1),
(73574,	5,	1141,	2,	1),
(73575,	5,	1141,	3,	1),
(73576,	5,	1142,	1,	1),
(73577,	5,	1142,	2,	1),
(73578,	5,	1142,	3,	1),
(73579,	5,	1142,	1,	3),
(73580,	5,	1142,	2,	3),
(73581,	5,	1142,	3,	3),
(73582,	5,	1143,	1,	1),
(73583,	5,	1143,	2,	1),
(73584,	5,	1143,	3,	1),
(73585,	5,	1143,	23,	1),
(73586,	5,	1143,	4,	1),
(73587,	5,	1143,	25,	1),
(73588,	5,	1143,	24,	1),
(73589,	5,	1143,	6,	1),
(73590,	5,	1143,	1,	3),
(73591,	5,	1143,	2,	3),
(73592,	5,	1143,	3,	3),
(73593,	5,	1143,	23,	3),
(73594,	5,	1143,	4,	3),
(73595,	5,	1143,	25,	3),
(73596,	5,	1143,	24,	3),
(73597,	5,	1143,	6,	3),
(73598,	5,	1144,	1,	1),
(73599,	5,	1144,	2,	1),
(73600,	5,	1144,	3,	1),
(73601,	5,	1145,	1,	1),
(73602,	5,	1145,	2,	1),
(73603,	5,	1145,	3,	1),
(73604,	5,	1145,	23,	1),
(73605,	5,	1145,	4,	1),
(73606,	5,	1145,	25,	1),
(73607,	5,	1145,	24,	1),
(73608,	5,	1145,	6,	1),
(73609,	5,	1145,	1,	3),
(73610,	5,	1145,	2,	3),
(73611,	5,	1145,	3,	3),
(73612,	5,	1145,	23,	3),
(73613,	5,	1145,	4,	3),
(73614,	5,	1145,	25,	3),
(73615,	5,	1145,	24,	3),
(73616,	5,	1145,	6,	3),
(73617,	5,	1146,	1,	1),
(73618,	5,	1146,	2,	1),
(73619,	5,	1146,	3,	1),
(73620,	5,	1146,	1,	2),
(73621,	5,	1146,	2,	2),
(73622,	5,	1146,	3,	2),
(73623,	5,	1147,	1,	1),
(73624,	5,	1147,	2,	1),
(73625,	5,	1147,	3,	1),
(73626,	5,	1148,	1,	1),
(73627,	5,	1148,	2,	1),
(73628,	5,	1148,	3,	1),
(73629,	5,	1148,	23,	1),
(73630,	5,	1148,	4,	1),
(73631,	5,	1148,	25,	1),
(73632,	5,	1148,	24,	1),
(73633,	5,	1148,	6,	1),
(73634,	5,	1148,	1,	3),
(73635,	5,	1148,	2,	3),
(73636,	5,	1148,	3,	3),
(73637,	5,	1148,	23,	3),
(73638,	5,	1148,	4,	3),
(73639,	5,	1148,	25,	3),
(73640,	5,	1148,	24,	3),
(73641,	5,	1148,	6,	3),
(73642,	5,	1149,	1,	1),
(73643,	5,	1149,	2,	1),
(73644,	5,	1149,	3,	1),
(73645,	5,	1149,	1,	2),
(73646,	5,	1149,	2,	2),
(73647,	5,	1149,	3,	2),
(73648,	5,	1150,	1,	1),
(73649,	5,	1150,	2,	1),
(73650,	5,	1150,	3,	1),
(73651,	5,	1151,	1,	1),
(73652,	5,	1151,	2,	1),
(73653,	5,	1151,	3,	1),
(73654,	5,	1151,	23,	1),
(73655,	5,	1151,	4,	1),
(73656,	5,	1151,	25,	1),
(73657,	5,	1151,	24,	1),
(73658,	5,	1151,	6,	1),
(73659,	5,	1151,	1,	3),
(73660,	5,	1151,	2,	3),
(73661,	5,	1151,	3,	3),
(73662,	5,	1151,	23,	3),
(73663,	5,	1151,	4,	3),
(73664,	5,	1151,	25,	3),
(73665,	5,	1151,	24,	3),
(73666,	5,	1151,	6,	3),
(73667,	5,	1152,	1,	1),
(73668,	5,	1152,	2,	1),
(73669,	5,	1152,	3,	1),
(73670,	5,	1152,	1,	2),
(73671,	5,	1152,	2,	2),
(73672,	5,	1152,	3,	2),
(73673,	5,	1153,	1,	1),
(73674,	5,	1153,	2,	1),
(73675,	5,	1153,	3,	1),
(73676,	5,	1154,	1,	1),
(73677,	5,	1154,	2,	1),
(73678,	5,	1154,	3,	1),
(73679,	5,	1155,	1,	1),
(73680,	5,	1155,	2,	1),
(73681,	5,	1155,	3,	1),
(73682,	5,	1156,	1,	1),
(73683,	5,	1156,	2,	1),
(73684,	5,	1156,	3,	1),
(73685,	5,	1157,	1,	1),
(73686,	5,	1157,	2,	1),
(73687,	5,	1157,	3,	1),
(73688,	5,	1158,	1,	1),
(73689,	5,	1158,	2,	1),
(73690,	5,	1158,	3,	1),
(73691,	5,	1159,	1,	1),
(73692,	5,	1159,	2,	1),
(73693,	5,	1159,	3,	1),
(73694,	5,	1160,	1,	1),
(73695,	5,	1160,	2,	1),
(73696,	5,	1160,	3,	1),
(73697,	5,	1161,	1,	1),
(73698,	5,	1161,	2,	1),
(73699,	5,	1161,	3,	1),
(73700,	5,	1161,	1,	2),
(73701,	5,	1161,	2,	2),
(73702,	5,	1161,	3,	2),
(73703,	5,	1162,	1,	1),
(73704,	5,	1162,	2,	1),
(73705,	5,	1162,	3,	1),
(73706,	5,	1163,	1,	1),
(73707,	5,	1163,	2,	1),
(73708,	5,	1163,	3,	1),
(73709,	5,	1163,	1,	2),
(73710,	5,	1163,	2,	2),
(73711,	5,	1163,	3,	2),
(73712,	5,	1164,	1,	1),
(73713,	5,	1164,	2,	1),
(73714,	5,	1164,	3,	1),
(73715,	5,	1164,	35,	1),
(73716,	5,	1164,	45,	1),
(73717,	5,	1164,	46,	1),
(73718,	5,	1164,	54,	1),
(73719,	5,	1164,	51,	1),
(73720,	5,	1164,	55,	1),
(73721,	5,	1164,	56,	1),
(73722,	5,	1164,	57,	1),
(73723,	5,	1164,	58,	1),
(73724,	5,	1164,	59,	1),
(73725,	5,	1164,	60,	1),
(73726,	5,	1164,	49,	1),
(73727,	5,	1164,	61,	1),
(73728,	5,	1164,	53,	1),
(73729,	5,	1164,	62,	1),
(73730,	5,	1164,	52,	1),
(73731,	5,	1164,	63,	1),
(73732,	5,	1164,	64,	1),
(73733,	5,	1165,	1,	1),
(73734,	5,	1165,	2,	1),
(73735,	5,	1165,	3,	1),
(73736,	5,	1165,	35,	1),
(73737,	5,	1165,	45,	1),
(73738,	5,	1165,	46,	1),
(73739,	5,	1165,	54,	1),
(73740,	5,	1165,	51,	1),
(73741,	5,	1165,	55,	1),
(73742,	5,	1165,	56,	1),
(73743,	5,	1165,	57,	1),
(73744,	5,	1165,	58,	1),
(73745,	5,	1165,	59,	1),
(73746,	5,	1165,	60,	1),
(73747,	5,	1165,	49,	1),
(73748,	5,	1165,	61,	1),
(73749,	5,	1165,	53,	1),
(73750,	5,	1165,	62,	1),
(73751,	5,	1165,	52,	1),
(73752,	5,	1165,	63,	1),
(73753,	5,	1165,	64,	1),
(73754,	5,	1166,	1,	1),
(73755,	5,	1166,	2,	1),
(73756,	5,	1166,	3,	1),
(73757,	5,	1166,	35,	1),
(73758,	5,	1166,	45,	1),
(73759,	5,	1166,	46,	1),
(73760,	5,	1166,	54,	1),
(73761,	5,	1166,	51,	1),
(73762,	5,	1166,	55,	1),
(73763,	5,	1166,	56,	1),
(73764,	5,	1166,	57,	1),
(73765,	5,	1166,	58,	1),
(73766,	5,	1166,	59,	1),
(73767,	5,	1166,	60,	1),
(73768,	5,	1166,	49,	1),
(73769,	5,	1166,	61,	1),
(73770,	5,	1166,	53,	1),
(73771,	5,	1166,	62,	1),
(73772,	5,	1166,	52,	1),
(73773,	5,	1166,	63,	1),
(73774,	5,	1166,	64,	1),
(73775,	5,	1166,	1,	3),
(73776,	5,	1166,	2,	3),
(73777,	5,	1166,	3,	3),
(73778,	5,	1166,	35,	3),
(73779,	5,	1166,	45,	3),
(73780,	5,	1166,	46,	3),
(73781,	5,	1166,	54,	3),
(73782,	5,	1166,	51,	3),
(73783,	5,	1166,	55,	3),
(73784,	5,	1166,	56,	3),
(73785,	5,	1166,	57,	3),
(73786,	5,	1166,	58,	3),
(73787,	5,	1166,	59,	3),
(73788,	5,	1166,	60,	3),
(73789,	5,	1166,	49,	3),
(73790,	5,	1166,	61,	3),
(73791,	5,	1166,	53,	3),
(73792,	5,	1166,	62,	3),
(73793,	5,	1166,	52,	3),
(73794,	5,	1166,	63,	3),
(73795,	5,	1166,	64,	3),
(73796,	5,	1167,	1,	1),
(73797,	5,	1167,	2,	1),
(73798,	5,	1167,	3,	1),
(73799,	5,	1167,	35,	1),
(73800,	5,	1167,	45,	1),
(73801,	5,	1167,	46,	1),
(73802,	5,	1167,	54,	1),
(73803,	5,	1167,	51,	1),
(73804,	5,	1167,	55,	1),
(73805,	5,	1167,	56,	1),
(73806,	5,	1167,	57,	1),
(73807,	5,	1167,	58,	1),
(73808,	5,	1167,	59,	1),
(73809,	5,	1167,	60,	1),
(73810,	5,	1167,	49,	1),
(73811,	5,	1167,	61,	1),
(73812,	5,	1167,	53,	1),
(73813,	5,	1167,	62,	1),
(73814,	5,	1167,	52,	1),
(73815,	5,	1167,	63,	1),
(73816,	5,	1167,	64,	1),
(73817,	5,	1167,	1,	3),
(73818,	5,	1167,	2,	3),
(73819,	5,	1167,	3,	3),
(73820,	5,	1167,	35,	3),
(73821,	5,	1167,	45,	3),
(73822,	5,	1167,	46,	3),
(73823,	5,	1167,	54,	3),
(73824,	5,	1167,	51,	3),
(73825,	5,	1167,	55,	3),
(73826,	5,	1167,	56,	3),
(73827,	5,	1167,	57,	3),
(73828,	5,	1167,	58,	3),
(73829,	5,	1167,	59,	3),
(73830,	5,	1167,	60,	3),
(73831,	5,	1167,	49,	3),
(73832,	5,	1167,	61,	3),
(73833,	5,	1167,	53,	3),
(73834,	5,	1167,	62,	3),
(73835,	5,	1167,	52,	3),
(73836,	5,	1167,	63,	3),
(73837,	5,	1167,	64,	3),
(73838,	5,	1168,	1,	1),
(73839,	5,	1168,	2,	1),
(73840,	5,	1168,	3,	1),
(73841,	5,	1168,	35,	1),
(73842,	5,	1168,	45,	1),
(73843,	5,	1168,	46,	1),
(73844,	5,	1168,	54,	1),
(73845,	5,	1168,	51,	1),
(73846,	5,	1168,	55,	1),
(73847,	5,	1168,	56,	1),
(73848,	5,	1168,	57,	1),
(73849,	5,	1168,	58,	1),
(73850,	5,	1168,	59,	1),
(73851,	5,	1168,	60,	1),
(73852,	5,	1168,	49,	1),
(73853,	5,	1168,	61,	1),
(73854,	5,	1168,	53,	1),
(73855,	5,	1168,	62,	1),
(73856,	5,	1168,	52,	1),
(73857,	5,	1168,	63,	1),
(73858,	5,	1168,	64,	1),
(73859,	5,	1169,	1,	1),
(73860,	5,	1169,	2,	1),
(73861,	5,	1169,	3,	1),
(73862,	5,	1169,	35,	1),
(73863,	5,	1169,	45,	1),
(73864,	5,	1169,	46,	1),
(73865,	5,	1169,	54,	1),
(73866,	5,	1169,	51,	1),
(73867,	5,	1169,	55,	1),
(73868,	5,	1169,	56,	1),
(73869,	5,	1169,	57,	1),
(73870,	5,	1169,	58,	1),
(73871,	5,	1169,	59,	1),
(73872,	5,	1169,	60,	1),
(73873,	5,	1169,	49,	1),
(73874,	5,	1169,	61,	1),
(73875,	5,	1169,	53,	1),
(73876,	5,	1169,	62,	1),
(73877,	5,	1169,	52,	1),
(73878,	5,	1169,	63,	1),
(73879,	5,	1169,	64,	1),
(73880,	5,	1170,	1,	1),
(73881,	5,	1170,	2,	1),
(73882,	5,	1170,	3,	1),
(73883,	5,	1170,	1,	2),
(73884,	5,	1170,	2,	2),
(73885,	5,	1170,	3,	2),
(73886,	5,	1171,	1,	1),
(73887,	5,	1171,	2,	1),
(73888,	5,	1171,	3,	1),
(73889,	5,	1171,	35,	1),
(73890,	5,	1171,	45,	1),
(73891,	5,	1171,	46,	1),
(73892,	5,	1171,	54,	1),
(73893,	5,	1171,	51,	1),
(73894,	5,	1171,	55,	1),
(73895,	5,	1171,	56,	1),
(73896,	5,	1171,	57,	1),
(73897,	5,	1171,	58,	1),
(73898,	5,	1171,	59,	1),
(73899,	5,	1171,	60,	1),
(73900,	5,	1171,	49,	1),
(73901,	5,	1171,	61,	1),
(73902,	5,	1171,	53,	1),
(73903,	5,	1171,	62,	1),
(73904,	5,	1171,	52,	1),
(73905,	5,	1171,	63,	1),
(73906,	5,	1171,	64,	1),
(73907,	5,	1172,	1,	1),
(73908,	5,	1172,	2,	1),
(73909,	5,	1172,	3,	1),
(73910,	5,	1172,	35,	1),
(73911,	5,	1172,	45,	1),
(73912,	5,	1172,	46,	1),
(73913,	5,	1172,	54,	1),
(73914,	5,	1172,	51,	1),
(73915,	5,	1172,	55,	1),
(73916,	5,	1172,	56,	1),
(73917,	5,	1172,	57,	1),
(73918,	5,	1172,	58,	1),
(73919,	5,	1172,	59,	1),
(73920,	5,	1172,	60,	1),
(73921,	5,	1172,	49,	1),
(73922,	5,	1172,	61,	1),
(73923,	5,	1172,	53,	1),
(73924,	5,	1172,	62,	1),
(73925,	5,	1172,	52,	1),
(73926,	5,	1172,	63,	1),
(73927,	5,	1172,	64,	1),
(73928,	5,	1172,	1,	3),
(73929,	5,	1172,	2,	3),
(73930,	5,	1172,	3,	3),
(73931,	5,	1172,	35,	3),
(73932,	5,	1172,	45,	3),
(73933,	5,	1172,	46,	3),
(73934,	5,	1172,	54,	3),
(73935,	5,	1172,	51,	3),
(73936,	5,	1172,	55,	3),
(73937,	5,	1172,	56,	3),
(73938,	5,	1172,	57,	3),
(73939,	5,	1172,	58,	3),
(73940,	5,	1172,	59,	3),
(73941,	5,	1172,	60,	3),
(73942,	5,	1172,	49,	3),
(73943,	5,	1172,	61,	3),
(73944,	5,	1172,	53,	3),
(73945,	5,	1172,	62,	3),
(73946,	5,	1172,	52,	3),
(73947,	5,	1172,	63,	3),
(73948,	5,	1172,	64,	3),
(73949,	5,	1173,	1,	1),
(73950,	5,	1173,	2,	1),
(73951,	5,	1173,	3,	1),
(73952,	5,	1173,	35,	1),
(73953,	5,	1173,	45,	1),
(73954,	5,	1173,	46,	1),
(73955,	5,	1173,	54,	1),
(73956,	5,	1173,	51,	1),
(73957,	5,	1173,	55,	1),
(73958,	5,	1173,	56,	1),
(73959,	5,	1173,	57,	1),
(73960,	5,	1173,	58,	1),
(73961,	5,	1173,	59,	1),
(73962,	5,	1173,	60,	1),
(73963,	5,	1173,	49,	1),
(73964,	5,	1173,	61,	1),
(73965,	5,	1173,	53,	1),
(73966,	5,	1173,	62,	1),
(73967,	5,	1173,	52,	1),
(73968,	5,	1173,	63,	1),
(73969,	5,	1173,	64,	1),
(73970,	5,	1173,	1,	3),
(73971,	5,	1173,	2,	3),
(73972,	5,	1173,	3,	3),
(73973,	5,	1173,	35,	3),
(73974,	5,	1173,	45,	3),
(73975,	5,	1173,	46,	3),
(73976,	5,	1173,	54,	3),
(73977,	5,	1173,	51,	3),
(73978,	5,	1173,	55,	3),
(73979,	5,	1173,	56,	3),
(73980,	5,	1173,	57,	3),
(73981,	5,	1173,	58,	3),
(73982,	5,	1173,	59,	3),
(73983,	5,	1173,	60,	3),
(73984,	5,	1173,	49,	3),
(73985,	5,	1173,	61,	3),
(73986,	5,	1173,	53,	3),
(73987,	5,	1173,	62,	3),
(73988,	5,	1173,	52,	3),
(73989,	5,	1173,	63,	3),
(73990,	5,	1173,	64,	3),
(73991,	5,	1174,	1,	1),
(73992,	5,	1174,	2,	1),
(73993,	5,	1174,	3,	1),
(73994,	5,	1175,	1,	1),
(73995,	5,	1175,	2,	1),
(73996,	5,	1175,	3,	1),
(73997,	5,	1176,	1,	1),
(73998,	5,	1176,	2,	1),
(73999,	5,	1176,	3,	1),
(74000,	5,	1176,	1,	2),
(74001,	5,	1176,	2,	2),
(74002,	5,	1176,	3,	2),
(74003,	5,	1177,	1,	1),
(74004,	5,	1177,	2,	1),
(74005,	5,	1177,	3,	1),
(74006,	5,	1177,	1,	2),
(74007,	5,	1177,	2,	2),
(74008,	5,	1177,	3,	2),
(74009,	5,	1178,	1,	1),
(74010,	5,	1178,	2,	1),
(74011,	5,	1178,	3,	1),
(74012,	5,	1179,	1,	1),
(74013,	5,	1179,	2,	1),
(74014,	5,	1179,	3,	1),
(74015,	5,	1179,	1,	2),
(74016,	5,	1179,	2,	2),
(74017,	5,	1179,	3,	2),
(74018,	5,	1180,	1,	1),
(74019,	5,	1180,	2,	1),
(74020,	5,	1180,	3,	1),
(74021,	5,	1181,	1,	1),
(74022,	5,	1181,	2,	1),
(74023,	5,	1181,	3,	1),
(74024,	5,	1182,	1,	1),
(74025,	5,	1182,	2,	1),
(74026,	5,	1182,	3,	1),
(74027,	5,	1183,	1,	1),
(74028,	5,	1183,	2,	1),
(74029,	5,	1183,	3,	1),
(74030,	5,	1183,	1,	2),
(74031,	5,	1183,	2,	2),
(74032,	5,	1183,	3,	2),
(74033,	5,	1184,	1,	1),
(74034,	5,	1184,	2,	1),
(74035,	5,	1184,	3,	1),
(74036,	5,	1185,	1,	1),
(74037,	5,	1185,	2,	1),
(74038,	5,	1185,	3,	1),
(74039,	5,	1186,	1,	1),
(74040,	5,	1186,	2,	1),
(74041,	5,	1186,	3,	1),
(74042,	5,	1186,	1,	2),
(74043,	5,	1186,	2,	2),
(74044,	5,	1186,	3,	2),
(74045,	5,	1187,	1,	1),
(74046,	5,	1187,	2,	1),
(74047,	5,	1187,	3,	1),
(74048,	5,	1188,	1,	1),
(74049,	5,	1188,	2,	1),
(74050,	5,	1188,	3,	1),
(74051,	5,	1189,	1,	1),
(74052,	5,	1189,	2,	1),
(74053,	5,	1189,	3,	1),
(74054,	5,	1190,	1,	1),
(74055,	5,	1190,	2,	1),
(74056,	5,	1190,	3,	1),
(74057,	5,	1191,	1,	1),
(74058,	5,	1191,	2,	1),
(74059,	5,	1191,	3,	1),
(74060,	5,	1192,	1,	1),
(74061,	5,	1192,	2,	1),
(74062,	5,	1192,	3,	1),
(74063,	5,	1192,	1,	2),
(74064,	5,	1192,	2,	2),
(74065,	5,	1192,	3,	2),
(74066,	5,	1193,	1,	1),
(74067,	5,	1193,	2,	1),
(74068,	5,	1193,	3,	1),
(74069,	5,	1194,	1,	1),
(74070,	5,	1194,	2,	1),
(74071,	5,	1194,	3,	1),
(74072,	5,	1195,	1,	1),
(74073,	5,	1195,	2,	1),
(74074,	5,	1195,	3,	1),
(74075,	5,	1195,	65,	1),
(74076,	5,	1195,	66,	1),
(74077,	5,	1195,	7,	1),
(74078,	5,	1195,	8,	1),
(74079,	5,	1195,	67,	1),
(74080,	5,	1195,	68,	1),
(74081,	5,	1195,	15,	1),
(74082,	5,	1195,	1,	3),
(74083,	5,	1195,	2,	3),
(74084,	5,	1195,	3,	3),
(74085,	5,	1195,	65,	3),
(74086,	5,	1195,	66,	3),
(74087,	5,	1195,	7,	3),
(74088,	5,	1195,	8,	3),
(74089,	5,	1195,	67,	3),
(74090,	5,	1195,	68,	3),
(74091,	5,	1195,	15,	3),
(74092,	5,	1196,	1,	1),
(74093,	5,	1196,	2,	1),
(74094,	5,	1196,	3,	1),
(74095,	5,	1196,	65,	1),
(74096,	5,	1196,	66,	1),
(74097,	5,	1196,	7,	1),
(74098,	5,	1196,	8,	1),
(74099,	5,	1196,	67,	1),
(74100,	5,	1196,	68,	1),
(74101,	5,	1196,	15,	1),
(74102,	5,	1196,	1,	3),
(74103,	5,	1196,	2,	3),
(74104,	5,	1196,	3,	3),
(74105,	5,	1196,	65,	3),
(74106,	5,	1196,	66,	3),
(74107,	5,	1196,	7,	3),
(74108,	5,	1196,	8,	3),
(74109,	5,	1196,	67,	3),
(74110,	5,	1196,	68,	3),
(74111,	5,	1196,	15,	3),
(74112,	5,	1197,	1,	1),
(74113,	5,	1197,	2,	1),
(74114,	5,	1197,	3,	1),
(74115,	5,	1197,	1,	3),
(74116,	5,	1197,	2,	3),
(74117,	5,	1197,	3,	3),
(74118,	5,	1198,	1,	1),
(74119,	5,	1198,	2,	1),
(74120,	5,	1198,	3,	1),
(74121,	5,	1198,	1,	3),
(74122,	5,	1198,	2,	3),
(74123,	5,	1198,	3,	3),
(74124,	5,	1199,	1,	1),
(74125,	5,	1199,	2,	1),
(74126,	5,	1199,	3,	1),
(74127,	5,	1199,	65,	1),
(74128,	5,	1199,	66,	1),
(74129,	5,	1199,	7,	1),
(74130,	5,	1199,	8,	1),
(74131,	5,	1199,	67,	1),
(74132,	5,	1199,	68,	1),
(74133,	5,	1199,	15,	1),
(74134,	5,	1199,	1,	3),
(74135,	5,	1199,	2,	3),
(74136,	5,	1199,	3,	3),
(74137,	5,	1199,	65,	3),
(74138,	5,	1199,	66,	3),
(74139,	5,	1199,	7,	3),
(74140,	5,	1199,	8,	3),
(74141,	5,	1199,	67,	3),
(74142,	5,	1199,	68,	3),
(74143,	5,	1199,	15,	3),
(74144,	5,	1200,	1,	1),
(74145,	5,	1200,	2,	1),
(74146,	5,	1200,	3,	1),
(74147,	5,	1200,	65,	1),
(74148,	5,	1200,	66,	1),
(74149,	5,	1200,	7,	1),
(74150,	5,	1200,	8,	1),
(74151,	5,	1200,	67,	1),
(74152,	5,	1200,	68,	1),
(74153,	5,	1200,	15,	1),
(74154,	5,	1200,	1,	3),
(74155,	5,	1200,	2,	3),
(74156,	5,	1200,	3,	3),
(74157,	5,	1200,	65,	3),
(74158,	5,	1200,	66,	3),
(74159,	5,	1200,	7,	3),
(74160,	5,	1200,	8,	3),
(74161,	5,	1200,	67,	3),
(74162,	5,	1200,	68,	3),
(74163,	5,	1200,	15,	3),
(74164,	5,	1201,	1,	1),
(74165,	5,	1201,	2,	1),
(74166,	5,	1201,	3,	1),
(74167,	5,	1201,	65,	1),
(74168,	5,	1201,	66,	1),
(74169,	5,	1201,	7,	1),
(74170,	5,	1201,	8,	1),
(74171,	5,	1201,	67,	1),
(74172,	5,	1201,	68,	1),
(74173,	5,	1201,	15,	1),
(74174,	5,	1201,	1,	3),
(74175,	5,	1201,	2,	3),
(74176,	5,	1201,	3,	3),
(74177,	5,	1201,	65,	3),
(74178,	5,	1201,	66,	3),
(74179,	5,	1201,	7,	3),
(74180,	5,	1201,	8,	3),
(74181,	5,	1201,	67,	3),
(74182,	5,	1201,	68,	3),
(74183,	5,	1201,	15,	3),
(74184,	5,	1202,	1,	1),
(74185,	5,	1202,	2,	1),
(74186,	5,	1202,	3,	1),
(74187,	5,	1202,	65,	1),
(74188,	5,	1202,	66,	1),
(74189,	5,	1202,	7,	1),
(74190,	5,	1202,	8,	1),
(74191,	5,	1202,	67,	1),
(74192,	5,	1202,	68,	1),
(74193,	5,	1202,	15,	1),
(74194,	5,	1202,	1,	3),
(74195,	5,	1202,	2,	3),
(74196,	5,	1202,	3,	3),
(74197,	5,	1202,	65,	3),
(74198,	5,	1202,	66,	3),
(74199,	5,	1202,	7,	3),
(74200,	5,	1202,	8,	3),
(74201,	5,	1202,	67,	3),
(74202,	5,	1202,	68,	3),
(74203,	5,	1202,	15,	3),
(74204,	5,	1203,	1,	1),
(74205,	5,	1203,	2,	1),
(74206,	5,	1203,	3,	1),
(74207,	5,	1203,	69,	1),
(74208,	5,	1203,	70,	1),
(74209,	5,	1203,	71,	1),
(74210,	5,	1203,	72,	1),
(74211,	5,	1203,	65,	1),
(74212,	5,	1203,	66,	1),
(74213,	5,	1203,	7,	1),
(74214,	5,	1203,	8,	1),
(74215,	5,	1203,	73,	1),
(74216,	5,	1203,	67,	1),
(74217,	5,	1203,	10,	1),
(74218,	5,	1203,	68,	1),
(74219,	5,	1203,	1,	3),
(74220,	5,	1203,	2,	3),
(74221,	5,	1203,	3,	3),
(74222,	5,	1203,	69,	3),
(74223,	5,	1203,	70,	3),
(74224,	5,	1203,	71,	3),
(74225,	5,	1203,	72,	3),
(74226,	5,	1203,	65,	3),
(74227,	5,	1203,	66,	3),
(74228,	5,	1203,	7,	3),
(74229,	5,	1203,	8,	3),
(74230,	5,	1203,	73,	3),
(74231,	5,	1203,	67,	3),
(74232,	5,	1203,	10,	3),
(74233,	5,	1203,	68,	3),
(74234,	5,	1204,	1,	1),
(74235,	5,	1204,	2,	1),
(74236,	5,	1204,	3,	1),
(74237,	5,	1204,	1,	3),
(74238,	5,	1204,	2,	3),
(74239,	5,	1204,	3,	3),
(74240,	5,	1205,	1,	1),
(74241,	5,	1205,	2,	1),
(74242,	5,	1205,	3,	1),
(74243,	5,	1205,	69,	1),
(74244,	5,	1205,	70,	1),
(74245,	5,	1205,	71,	1),
(74246,	5,	1205,	72,	1),
(74247,	5,	1205,	65,	1),
(74248,	5,	1205,	66,	1),
(74249,	5,	1205,	7,	1),
(74250,	5,	1205,	8,	1),
(74251,	5,	1205,	73,	1),
(74252,	5,	1205,	67,	1),
(74253,	5,	1205,	10,	1),
(74254,	5,	1205,	68,	1),
(74255,	5,	1205,	1,	3),
(74256,	5,	1205,	2,	3),
(74257,	5,	1205,	3,	3),
(74258,	5,	1205,	69,	3),
(74259,	5,	1205,	70,	3),
(74260,	5,	1205,	71,	3),
(74261,	5,	1205,	72,	3),
(74262,	5,	1205,	65,	3),
(74263,	5,	1205,	66,	3),
(74264,	5,	1205,	7,	3),
(74265,	5,	1205,	8,	3),
(74266,	5,	1205,	73,	3),
(74267,	5,	1205,	67,	3),
(74268,	5,	1205,	10,	3),
(74269,	5,	1205,	68,	3),
(74270,	5,	1206,	1,	1),
(74271,	5,	1206,	2,	1),
(74272,	5,	1206,	3,	1),
(74273,	5,	1206,	66,	1),
(74274,	5,	1206,	7,	1),
(74275,	5,	1206,	8,	1),
(74276,	5,	1206,	67,	1),
(74277,	5,	1206,	68,	1),
(74278,	5,	1206,	1,	3),
(74279,	5,	1206,	2,	3),
(74280,	5,	1206,	3,	3),
(74281,	5,	1206,	66,	3),
(74282,	5,	1206,	7,	3),
(74283,	5,	1206,	8,	3),
(74284,	5,	1206,	67,	3),
(74285,	5,	1206,	68,	3),
(74286,	5,	1207,	1,	1),
(74287,	5,	1207,	2,	1),
(74288,	5,	1207,	3,	1),
(74289,	5,	1207,	69,	1),
(74290,	5,	1207,	70,	1),
(74291,	5,	1207,	71,	1),
(74292,	5,	1207,	72,	1),
(74293,	5,	1207,	65,	1),
(74294,	5,	1207,	66,	1),
(74295,	5,	1207,	7,	1),
(74296,	5,	1207,	8,	1),
(74297,	5,	1207,	73,	1),
(74298,	5,	1207,	67,	1),
(74299,	5,	1207,	10,	1),
(74300,	5,	1207,	68,	1),
(74301,	5,	1207,	74,	1),
(74302,	5,	1207,	1,	3),
(74303,	5,	1207,	2,	3),
(74304,	5,	1207,	3,	3),
(74305,	5,	1207,	69,	3),
(74306,	5,	1207,	70,	3),
(74307,	5,	1207,	71,	3),
(74308,	5,	1207,	72,	3),
(74309,	5,	1207,	65,	3),
(74310,	5,	1207,	66,	3),
(74311,	5,	1207,	7,	3),
(74312,	5,	1207,	8,	3),
(74313,	5,	1207,	73,	3),
(74314,	5,	1207,	67,	3),
(74315,	5,	1207,	10,	3),
(74316,	5,	1207,	68,	3),
(74317,	5,	1207,	74,	3),
(74318,	5,	1208,	1,	1),
(74319,	5,	1208,	2,	1),
(74320,	5,	1208,	3,	1),
(74321,	5,	1208,	66,	1),
(74322,	5,	1208,	7,	1),
(74323,	5,	1208,	8,	1),
(74324,	5,	1208,	67,	1),
(74325,	5,	1208,	68,	1),
(74326,	5,	1208,	1,	3),
(74327,	5,	1208,	2,	3),
(74328,	5,	1208,	3,	3),
(74329,	5,	1208,	66,	3),
(74330,	5,	1208,	7,	3),
(74331,	5,	1208,	8,	3),
(74332,	5,	1208,	67,	3),
(74333,	5,	1208,	68,	3),
(74334,	5,	1209,	1,	1),
(74335,	5,	1209,	2,	1),
(74336,	5,	1209,	3,	1),
(74337,	5,	1209,	69,	1),
(74338,	5,	1209,	70,	1),
(74339,	5,	1209,	71,	1),
(74340,	5,	1209,	72,	1),
(74341,	5,	1209,	65,	1),
(74342,	5,	1209,	66,	1),
(74343,	5,	1209,	7,	1),
(74344,	5,	1209,	8,	1),
(74345,	5,	1209,	73,	1),
(74346,	5,	1209,	67,	1),
(74347,	5,	1209,	10,	1),
(74348,	5,	1209,	68,	1),
(74349,	5,	1209,	74,	1),
(74350,	5,	1209,	1,	3),
(74351,	5,	1209,	2,	3),
(74352,	5,	1209,	3,	3),
(74353,	5,	1209,	69,	3),
(74354,	5,	1209,	70,	3),
(74355,	5,	1209,	71,	3),
(74356,	5,	1209,	72,	3),
(74357,	5,	1209,	65,	3),
(74358,	5,	1209,	66,	3),
(74359,	5,	1209,	7,	3),
(74360,	5,	1209,	8,	3),
(74361,	5,	1209,	73,	3),
(74362,	5,	1209,	67,	3),
(74363,	5,	1209,	10,	3),
(74364,	5,	1209,	68,	3),
(74365,	5,	1209,	74,	3),
(74366,	5,	1210,	1,	1),
(74367,	5,	1210,	2,	1),
(74368,	5,	1210,	3,	1),
(74369,	5,	1210,	66,	1),
(74370,	5,	1210,	7,	1),
(74371,	5,	1210,	8,	1),
(74372,	5,	1210,	67,	1),
(74373,	5,	1210,	68,	1),
(74374,	5,	1210,	1,	3),
(74375,	5,	1210,	2,	3),
(74376,	5,	1210,	3,	3),
(74377,	5,	1210,	66,	3),
(74378,	5,	1210,	7,	3),
(74379,	5,	1210,	8,	3),
(74380,	5,	1210,	67,	3),
(74381,	5,	1210,	68,	3),
(74382,	5,	1211,	1,	1),
(74383,	5,	1211,	2,	1),
(74384,	5,	1211,	3,	1),
(74385,	5,	1211,	69,	1),
(74386,	5,	1211,	70,	1),
(74387,	5,	1211,	71,	1),
(74388,	5,	1211,	72,	1),
(74389,	5,	1211,	65,	1),
(74390,	5,	1211,	66,	1),
(74391,	5,	1211,	7,	1),
(74392,	5,	1211,	8,	1),
(74393,	5,	1211,	73,	1),
(74394,	5,	1211,	67,	1),
(74395,	5,	1211,	10,	1),
(74396,	5,	1211,	68,	1),
(74397,	5,	1211,	74,	1),
(74398,	5,	1211,	1,	3),
(74399,	5,	1211,	2,	3),
(74400,	5,	1211,	3,	3),
(74401,	5,	1211,	69,	3),
(74402,	5,	1211,	70,	3),
(74403,	5,	1211,	71,	3),
(74404,	5,	1211,	72,	3),
(74405,	5,	1211,	65,	3),
(74406,	5,	1211,	66,	3),
(74407,	5,	1211,	7,	3),
(74408,	5,	1211,	8,	3),
(74409,	5,	1211,	73,	3),
(74410,	5,	1211,	67,	3),
(74411,	5,	1211,	10,	3),
(74412,	5,	1211,	68,	3),
(74413,	5,	1211,	74,	3),
(74414,	5,	1212,	1,	1),
(74415,	5,	1212,	2,	1),
(74416,	5,	1212,	3,	1),
(74417,	5,	1212,	69,	1),
(74418,	5,	1212,	70,	1),
(74419,	5,	1212,	71,	1),
(74420,	5,	1212,	72,	1),
(74421,	5,	1212,	65,	1),
(74422,	5,	1212,	66,	1),
(74423,	5,	1212,	7,	1),
(74424,	5,	1212,	8,	1),
(74425,	5,	1212,	73,	1),
(74426,	5,	1212,	67,	1),
(74427,	5,	1212,	10,	1),
(74428,	5,	1212,	68,	1),
(74429,	5,	1212,	74,	1),
(74430,	5,	1212,	1,	3),
(74431,	5,	1212,	2,	3),
(74432,	5,	1212,	3,	3),
(74433,	5,	1212,	69,	3),
(74434,	5,	1212,	70,	3),
(74435,	5,	1212,	71,	3),
(74436,	5,	1212,	72,	3),
(74437,	5,	1212,	65,	3),
(74438,	5,	1212,	66,	3),
(74439,	5,	1212,	7,	3),
(74440,	5,	1212,	8,	3),
(74441,	5,	1212,	73,	3),
(74442,	5,	1212,	67,	3),
(74443,	5,	1212,	10,	3),
(74444,	5,	1212,	68,	3),
(74445,	5,	1212,	74,	3),
(74446,	5,	1213,	1,	1),
(74447,	5,	1213,	2,	1),
(74448,	5,	1213,	3,	1),
(74449,	5,	1213,	69,	1),
(74450,	5,	1213,	70,	1),
(74451,	5,	1213,	71,	1),
(74452,	5,	1213,	72,	1),
(74453,	5,	1213,	65,	1),
(74454,	5,	1213,	66,	1),
(74455,	5,	1213,	7,	1),
(74456,	5,	1213,	8,	1),
(74457,	5,	1213,	73,	1),
(74458,	5,	1213,	67,	1),
(74459,	5,	1213,	10,	1),
(74460,	5,	1213,	68,	1),
(74461,	5,	1213,	74,	1),
(74462,	5,	1213,	1,	3),
(74463,	5,	1213,	2,	3),
(74464,	5,	1213,	3,	3),
(74465,	5,	1213,	69,	3),
(74466,	5,	1213,	70,	3),
(74467,	5,	1213,	71,	3),
(74468,	5,	1213,	72,	3),
(74469,	5,	1213,	65,	3),
(74470,	5,	1213,	66,	3),
(74471,	5,	1213,	7,	3),
(74472,	5,	1213,	8,	3),
(74473,	5,	1213,	73,	3),
(74474,	5,	1213,	67,	3),
(74475,	5,	1213,	10,	3),
(74476,	5,	1213,	68,	3),
(74477,	5,	1213,	74,	3),
(74478,	5,	1214,	1,	1),
(74479,	5,	1214,	2,	1),
(74480,	5,	1214,	3,	1),
(74481,	5,	1214,	69,	1),
(74482,	5,	1214,	70,	1),
(74483,	5,	1214,	71,	1),
(74484,	5,	1214,	72,	1),
(74485,	5,	1214,	65,	1),
(74486,	5,	1214,	66,	1),
(74487,	5,	1214,	7,	1),
(74488,	5,	1214,	8,	1),
(74489,	5,	1214,	73,	1),
(74490,	5,	1214,	67,	1),
(74491,	5,	1214,	10,	1),
(74492,	5,	1214,	68,	1),
(74493,	5,	1214,	74,	1),
(74494,	5,	1214,	1,	3),
(74495,	5,	1214,	2,	3),
(74496,	5,	1214,	3,	3),
(74497,	5,	1214,	69,	3),
(74498,	5,	1214,	70,	3),
(74499,	5,	1214,	71,	3),
(74500,	5,	1214,	72,	3),
(74501,	5,	1214,	65,	3),
(74502,	5,	1214,	66,	3),
(74503,	5,	1214,	7,	3),
(74504,	5,	1214,	8,	3),
(74505,	5,	1214,	73,	3),
(74506,	5,	1214,	67,	3),
(74507,	5,	1214,	10,	3),
(74508,	5,	1214,	68,	3),
(74509,	5,	1214,	74,	3),
(74510,	5,	1215,	1,	1),
(74511,	5,	1215,	2,	1),
(74512,	5,	1215,	3,	1),
(74513,	5,	1215,	66,	1),
(74514,	5,	1215,	7,	1),
(74515,	5,	1215,	8,	1),
(74516,	5,	1215,	67,	1),
(74517,	5,	1215,	68,	1),
(74518,	5,	1215,	1,	3),
(74519,	5,	1215,	2,	3),
(74520,	5,	1215,	3,	3),
(74521,	5,	1215,	66,	3),
(74522,	5,	1215,	7,	3),
(74523,	5,	1215,	8,	3),
(74524,	5,	1215,	67,	3),
(74525,	5,	1215,	68,	3),
(74526,	5,	1216,	1,	1),
(74527,	5,	1216,	2,	1),
(74528,	5,	1216,	3,	1),
(74529,	5,	1216,	66,	1),
(74530,	5,	1216,	7,	1),
(74531,	5,	1216,	8,	1),
(74532,	5,	1216,	67,	1),
(74533,	5,	1216,	68,	1),
(74534,	5,	1216,	1,	3),
(74535,	5,	1216,	2,	3),
(74536,	5,	1216,	3,	3),
(74537,	5,	1216,	66,	3),
(74538,	5,	1216,	7,	3),
(74539,	5,	1216,	8,	3),
(74540,	5,	1216,	67,	3),
(74541,	5,	1216,	68,	3),
(74542,	5,	1217,	1,	1),
(74543,	5,	1217,	2,	1),
(74544,	5,	1217,	3,	1),
(74545,	5,	1217,	23,	1),
(74546,	5,	1217,	1,	3),
(74547,	5,	1217,	2,	3),
(74548,	5,	1217,	3,	3),
(74549,	5,	1217,	23,	3),
(74550,	5,	1218,	1,	1),
(74551,	5,	1218,	2,	1),
(74552,	5,	1218,	3,	1),
(74553,	5,	1218,	66,	1),
(74554,	5,	1218,	7,	1),
(74555,	5,	1218,	8,	1),
(74556,	5,	1218,	67,	1),
(74557,	5,	1218,	68,	1),
(74558,	5,	1218,	1,	3),
(74559,	5,	1218,	2,	3),
(74560,	5,	1218,	3,	3),
(74561,	5,	1218,	66,	3),
(74562,	5,	1218,	7,	3),
(74563,	5,	1218,	8,	3),
(74564,	5,	1218,	67,	3),
(74565,	5,	1218,	68,	3),
(74566,	5,	1219,	1,	1),
(74567,	5,	1219,	2,	1),
(74568,	5,	1219,	3,	1),
(74569,	5,	1219,	66,	1),
(74570,	5,	1219,	7,	1),
(74571,	5,	1219,	8,	1),
(74572,	5,	1219,	67,	1),
(74573,	5,	1219,	68,	1),
(74574,	5,	1219,	1,	3),
(74575,	5,	1219,	2,	3),
(74576,	5,	1219,	3,	3),
(74577,	5,	1219,	66,	3),
(74578,	5,	1219,	7,	3),
(74579,	5,	1219,	8,	3),
(74580,	5,	1219,	67,	3),
(74581,	5,	1219,	68,	3),
(74582,	5,	1220,	1,	1),
(74583,	5,	1220,	2,	1),
(74584,	5,	1220,	3,	1),
(74585,	5,	1220,	66,	1),
(74586,	5,	1220,	7,	1),
(74587,	5,	1220,	8,	1),
(74588,	5,	1220,	67,	1),
(74589,	5,	1220,	68,	1),
(74590,	5,	1220,	1,	3),
(74591,	5,	1220,	2,	3),
(74592,	5,	1220,	3,	3),
(74593,	5,	1220,	66,	3),
(74594,	5,	1220,	7,	3),
(74595,	5,	1220,	8,	3),
(74596,	5,	1220,	67,	3),
(74597,	5,	1220,	68,	3),
(74598,	5,	1221,	1,	1),
(74599,	5,	1221,	2,	1),
(74600,	5,	1221,	3,	1),
(74601,	5,	1221,	66,	1),
(74602,	5,	1221,	7,	1),
(74603,	5,	1221,	8,	1),
(74604,	5,	1221,	67,	1),
(74605,	5,	1221,	68,	1),
(74606,	5,	1221,	1,	3),
(74607,	5,	1221,	2,	3),
(74608,	5,	1221,	3,	3),
(74609,	5,	1221,	66,	3),
(74610,	5,	1221,	7,	3),
(74611,	5,	1221,	8,	3),
(74612,	5,	1221,	67,	3),
(74613,	5,	1221,	68,	3),
(74614,	5,	1222,	1,	1),
(74615,	5,	1222,	2,	1),
(74616,	5,	1222,	3,	1),
(74617,	5,	1222,	69,	1),
(74618,	5,	1222,	70,	1),
(74619,	5,	1222,	71,	1),
(74620,	5,	1222,	72,	1),
(74621,	5,	1222,	65,	1),
(74622,	5,	1222,	66,	1),
(74623,	5,	1222,	7,	1),
(74624,	5,	1222,	8,	1),
(74625,	5,	1222,	73,	1),
(74626,	5,	1222,	67,	1),
(74627,	5,	1222,	10,	1),
(74628,	5,	1222,	68,	1),
(74629,	5,	1222,	74,	1),
(74630,	5,	1222,	1,	3),
(74631,	5,	1222,	2,	3),
(74632,	5,	1222,	3,	3),
(74633,	5,	1222,	69,	3),
(74634,	5,	1222,	70,	3),
(74635,	5,	1222,	71,	3),
(74636,	5,	1222,	72,	3),
(74637,	5,	1222,	65,	3),
(74638,	5,	1222,	66,	3),
(74639,	5,	1222,	7,	3),
(74640,	5,	1222,	8,	3),
(74641,	5,	1222,	73,	3),
(74642,	5,	1222,	67,	3),
(74643,	5,	1222,	10,	3),
(74644,	5,	1222,	68,	3),
(74645,	5,	1222,	74,	3),
(74646,	5,	1223,	1,	1),
(74647,	5,	1223,	2,	1),
(74648,	5,	1223,	3,	1),
(74649,	5,	1223,	69,	1),
(74650,	5,	1223,	70,	1),
(74651,	5,	1223,	71,	1),
(74652,	5,	1223,	72,	1),
(74653,	5,	1223,	65,	1),
(74654,	5,	1223,	66,	1),
(74655,	5,	1223,	7,	1),
(74656,	5,	1223,	8,	1),
(74657,	5,	1223,	73,	1),
(74658,	5,	1223,	67,	1),
(74659,	5,	1223,	10,	1),
(74660,	5,	1223,	68,	1),
(74661,	5,	1223,	74,	1),
(74662,	5,	1223,	1,	3),
(74663,	5,	1223,	2,	3),
(74664,	5,	1223,	3,	3),
(74665,	5,	1223,	69,	3),
(74666,	5,	1223,	70,	3),
(74667,	5,	1223,	71,	3),
(74668,	5,	1223,	72,	3),
(74669,	5,	1223,	65,	3),
(74670,	5,	1223,	66,	3),
(74671,	5,	1223,	7,	3),
(74672,	5,	1223,	8,	3),
(74673,	5,	1223,	73,	3),
(74674,	5,	1223,	67,	3),
(74675,	5,	1223,	10,	3),
(74676,	5,	1223,	68,	3),
(74677,	5,	1223,	74,	3),
(74678,	5,	1224,	1,	1),
(74679,	5,	1224,	2,	1),
(74680,	5,	1224,	3,	1),
(74681,	5,	1224,	66,	1),
(74682,	5,	1224,	7,	1),
(74683,	5,	1224,	8,	1),
(74684,	5,	1224,	67,	1),
(74685,	5,	1224,	68,	1),
(74686,	5,	1224,	1,	3),
(74687,	5,	1224,	2,	3),
(74688,	5,	1224,	3,	3),
(74689,	5,	1224,	66,	3),
(74690,	5,	1224,	7,	3),
(74691,	5,	1224,	8,	3),
(74692,	5,	1224,	67,	3),
(74693,	5,	1224,	68,	3),
(74694,	5,	1225,	1,	1),
(74695,	5,	1225,	2,	1),
(74696,	5,	1225,	3,	1),
(74697,	5,	1225,	66,	1),
(74698,	5,	1225,	7,	1),
(74699,	5,	1225,	8,	1),
(74700,	5,	1225,	67,	1),
(74701,	5,	1225,	68,	1),
(74702,	5,	1225,	1,	3),
(74703,	5,	1225,	2,	3),
(74704,	5,	1225,	3,	3),
(74705,	5,	1225,	66,	3),
(74706,	5,	1225,	7,	3),
(74707,	5,	1225,	8,	3),
(74708,	5,	1225,	67,	3),
(74709,	5,	1225,	68,	3),
(74710,	5,	1226,	1,	1),
(74711,	5,	1226,	2,	1),
(74712,	5,	1226,	3,	1),
(74713,	5,	1226,	69,	1),
(74714,	5,	1226,	70,	1),
(74715,	5,	1226,	71,	1),
(74716,	5,	1226,	72,	1),
(74717,	5,	1226,	65,	1),
(74718,	5,	1226,	66,	1),
(74719,	5,	1226,	7,	1),
(74720,	5,	1226,	8,	1),
(74721,	5,	1226,	73,	1),
(74722,	5,	1226,	67,	1),
(74723,	5,	1226,	10,	1),
(74724,	5,	1226,	68,	1),
(74725,	5,	1226,	74,	1),
(74726,	5,	1226,	1,	3),
(74727,	5,	1226,	2,	3),
(74728,	5,	1226,	3,	3),
(74729,	5,	1226,	69,	3),
(74730,	5,	1226,	70,	3),
(74731,	5,	1226,	71,	3),
(74732,	5,	1226,	72,	3),
(74733,	5,	1226,	65,	3),
(74734,	5,	1226,	66,	3),
(74735,	5,	1226,	7,	3),
(74736,	5,	1226,	8,	3),
(74737,	5,	1226,	73,	3),
(74738,	5,	1226,	67,	3),
(74739,	5,	1226,	10,	3),
(74740,	5,	1226,	68,	3),
(74741,	5,	1226,	74,	3),
(74742,	5,	1227,	1,	1),
(74743,	5,	1227,	2,	1),
(74744,	5,	1227,	3,	1),
(74745,	5,	1227,	66,	1),
(74746,	5,	1227,	7,	1),
(74747,	5,	1227,	8,	1),
(74748,	5,	1227,	67,	1),
(74749,	5,	1227,	68,	1),
(74750,	5,	1227,	1,	3),
(74751,	5,	1227,	2,	3),
(74752,	5,	1227,	3,	3),
(74753,	5,	1227,	66,	3),
(74754,	5,	1227,	7,	3),
(74755,	5,	1227,	8,	3),
(74756,	5,	1227,	67,	3),
(74757,	5,	1227,	68,	3),
(74758,	5,	1228,	1,	1),
(74759,	5,	1228,	2,	1),
(74760,	5,	1228,	3,	1),
(74761,	5,	1228,	1,	2),
(74762,	5,	1228,	2,	2),
(74763,	5,	1228,	3,	2),
(74764,	5,	1229,	1,	1),
(74765,	5,	1229,	2,	1),
(74766,	5,	1229,	3,	1),
(74767,	5,	1229,	1,	2),
(74768,	5,	1229,	2,	2),
(74769,	5,	1229,	3,	2),
(74770,	5,	1230,	1,	1),
(74771,	5,	1230,	2,	1),
(74772,	5,	1230,	3,	1),
(74773,	5,	1230,	1,	2),
(74774,	5,	1230,	2,	2),
(74775,	5,	1230,	3,	2),
(74776,	5,	1231,	1,	1),
(74777,	5,	1231,	2,	1),
(74778,	5,	1231,	3,	1),
(74779,	5,	1231,	1,	2),
(74780,	5,	1231,	2,	2),
(74781,	5,	1231,	3,	2),
(74782,	5,	1232,	1,	1),
(74783,	5,	1232,	2,	1),
(74784,	5,	1232,	3,	1),
(74785,	5,	1232,	1,	2),
(74786,	5,	1232,	2,	2),
(74787,	5,	1232,	3,	2),
(74788,	5,	1233,	1,	1),
(74789,	5,	1233,	2,	1),
(74790,	5,	1233,	3,	1),
(74791,	5,	1234,	1,	1),
(74792,	5,	1234,	2,	1),
(74793,	5,	1234,	3,	1),
(74794,	5,	1234,	1,	2),
(74795,	5,	1234,	2,	2),
(74796,	5,	1234,	3,	2),
(74797,	5,	1235,	1,	1),
(74798,	5,	1235,	2,	1),
(74799,	5,	1235,	3,	1),
(74800,	5,	1236,	1,	1),
(74801,	5,	1236,	2,	1),
(74802,	5,	1236,	3,	1),
(74803,	5,	1236,	1,	2),
(74804,	5,	1236,	2,	2),
(74805,	5,	1236,	3,	2),
(74806,	5,	1237,	1,	1),
(74807,	5,	1237,	2,	1),
(74808,	5,	1237,	3,	1),
(74809,	5,	1237,	1,	2),
(74810,	5,	1237,	2,	2),
(74811,	5,	1237,	3,	2),
(74812,	5,	1238,	1,	1),
(74813,	5,	1238,	2,	1),
(74814,	5,	1238,	3,	1),
(74815,	5,	1238,	1,	2),
(74816,	5,	1238,	2,	2),
(74817,	5,	1238,	3,	2),
(74818,	5,	1239,	1,	1),
(74819,	5,	1239,	2,	1),
(74820,	5,	1239,	3,	1),
(74821,	5,	1240,	1,	1),
(74822,	5,	1240,	2,	1),
(74823,	5,	1240,	3,	1),
(74824,	5,	1240,	1,	2),
(74825,	5,	1240,	2,	2),
(74826,	5,	1240,	3,	2),
(74827,	5,	1241,	1,	1),
(74828,	5,	1241,	2,	1),
(74829,	5,	1241,	3,	1),
(74830,	5,	1241,	1,	2),
(74831,	5,	1241,	2,	2),
(74832,	5,	1241,	3,	2),
(74833,	5,	1242,	1,	1),
(74834,	5,	1242,	2,	1),
(74835,	5,	1242,	3,	1),
(74836,	5,	1242,	1,	2),
(74837,	5,	1242,	2,	2),
(74838,	5,	1242,	3,	2),
(74839,	5,	1243,	1,	1),
(74840,	5,	1243,	2,	1),
(74841,	5,	1243,	3,	1),
(74842,	5,	1244,	1,	1),
(74843,	5,	1244,	2,	1),
(74844,	5,	1244,	3,	1),
(74845,	5,	1244,	1,	3),
(74846,	5,	1244,	2,	3),
(74847,	5,	1244,	3,	3),
(74848,	5,	1245,	1,	1),
(74849,	5,	1245,	2,	1),
(74850,	5,	1245,	3,	1),
(74851,	5,	1246,	1,	1),
(74852,	5,	1246,	2,	1),
(74853,	5,	1246,	3,	1),
(74854,	5,	1246,	1,	2),
(74855,	5,	1246,	2,	2),
(74856,	5,	1246,	3,	2),
(74857,	5,	1247,	1,	1),
(74858,	5,	1247,	2,	1),
(74859,	5,	1247,	3,	1),
(74860,	5,	1247,	1,	3),
(74861,	5,	1247,	2,	3),
(74862,	5,	1247,	3,	3),
(74863,	5,	1248,	1,	1),
(74864,	5,	1248,	2,	1),
(74865,	5,	1248,	3,	1),
(74866,	5,	1248,	1,	2),
(74867,	5,	1248,	2,	2),
(74868,	5,	1248,	3,	2),
(74869,	5,	1249,	1,	1),
(74870,	5,	1249,	2,	1),
(74871,	5,	1249,	3,	1),
(74872,	5,	1249,	1,	2),
(74873,	5,	1249,	2,	2),
(74874,	5,	1249,	3,	2),
(74875,	5,	1250,	1,	1),
(74876,	5,	1250,	2,	1),
(74877,	5,	1250,	3,	1),
(74878,	5,	1250,	1,	2),
(74879,	5,	1250,	2,	2),
(74880,	5,	1250,	3,	2),
(74881,	5,	1251,	1,	1),
(74882,	5,	1251,	2,	1),
(74883,	5,	1251,	3,	1),
(74884,	5,	1251,	1,	2),
(74885,	5,	1251,	2,	2),
(74886,	5,	1251,	3,	2),
(74887,	5,	1252,	1,	1),
(74888,	5,	1252,	2,	1),
(74889,	5,	1252,	3,	1),
(74890,	5,	1252,	1,	2),
(74891,	5,	1252,	2,	2),
(74892,	5,	1252,	3,	2),
(74893,	5,	1253,	1,	1),
(74894,	5,	1253,	2,	1),
(74895,	5,	1253,	3,	1),
(74896,	5,	1253,	1,	2),
(74897,	5,	1253,	2,	2),
(74898,	5,	1253,	3,	2),
(74899,	5,	1254,	1,	1),
(74900,	5,	1254,	2,	1),
(74901,	5,	1254,	3,	1),
(74902,	5,	1254,	1,	2),
(74903,	5,	1254,	2,	2),
(74904,	5,	1254,	3,	2),
(74905,	5,	1255,	1,	1),
(74906,	5,	1255,	2,	1),
(74907,	5,	1255,	3,	1),
(74908,	5,	1255,	1,	2),
(74909,	5,	1255,	2,	2),
(74910,	5,	1255,	3,	2),
(74911,	5,	1256,	1,	1),
(74912,	5,	1256,	2,	1),
(74913,	5,	1256,	3,	1),
(74914,	5,	1256,	1,	2),
(74915,	5,	1256,	2,	2),
(74916,	5,	1256,	3,	2),
(74917,	5,	1257,	1,	1),
(74918,	5,	1258,	3,	1),
(74919,	5,	1259,	1,	1),
(74920,	5,	1260,	1,	1),
(74921,	5,	1260,	2,	1),
(74922,	5,	1260,	3,	1),
(74923,	5,	1260,	1,	2),
(74924,	5,	1260,	2,	2),
(74925,	5,	1260,	3,	2),
(74926,	5,	1261,	1,	1),
(74927,	5,	1261,	2,	1),
(74928,	5,	1261,	3,	1),
(74929,	5,	1261,	1,	2),
(74930,	5,	1261,	2,	2),
(74931,	5,	1261,	3,	2),
(74932,	5,	1262,	1,	1),
(74933,	5,	1262,	2,	1),
(74934,	5,	1262,	3,	1),
(74935,	5,	1262,	1,	2),
(74936,	5,	1262,	2,	2),
(74937,	5,	1262,	3,	2),
(74938,	5,	1263,	1,	1),
(74939,	5,	1263,	2,	1),
(74940,	5,	1263,	3,	1),
(74941,	5,	1264,	1,	1),
(74942,	5,	1264,	2,	1),
(74943,	5,	1264,	3,	1),
(74944,	5,	1264,	1,	2),
(74945,	5,	1264,	2,	2),
(74946,	5,	1264,	3,	2),
(74947,	5,	1265,	1,	1),
(74948,	5,	1265,	2,	1),
(74949,	5,	1265,	3,	1),
(74950,	5,	1265,	1,	2),
(74951,	5,	1265,	2,	2),
(74952,	5,	1265,	3,	2),
(74953,	5,	1266,	1,	1),
(74954,	5,	1266,	2,	1),
(74955,	5,	1266,	3,	1),
(74956,	5,	1267,	1,	1),
(74957,	5,	1267,	2,	1),
(74958,	5,	1267,	3,	1),
(74959,	5,	1267,	1,	2),
(74960,	5,	1267,	2,	2),
(74961,	5,	1267,	3,	2),
(74962,	5,	1268,	1,	1),
(74963,	5,	1268,	2,	1),
(74964,	5,	1268,	3,	1),
(74965,	5,	1269,	1,	1),
(74966,	5,	1269,	2,	1),
(74967,	5,	1269,	3,	1),
(74968,	5,	1270,	1,	1),
(74969,	5,	1270,	2,	1),
(74970,	5,	1270,	3,	1),
(74971,	5,	1270,	1,	2),
(74972,	5,	1270,	2,	2),
(74973,	5,	1270,	3,	2),
(74974,	5,	1271,	1,	1),
(74975,	5,	1271,	2,	1),
(74976,	5,	1271,	3,	1),
(74977,	5,	1271,	1,	2),
(74978,	5,	1271,	2,	2),
(74979,	5,	1271,	3,	2),
(74980,	5,	1272,	1,	1),
(74981,	5,	1272,	2,	1),
(74982,	5,	1272,	3,	1),
(74983,	5,	1273,	1,	1),
(74984,	5,	1273,	2,	1),
(74985,	5,	1273,	3,	1),
(74986,	5,	1274,	1,	1),
(74987,	5,	1274,	2,	1),
(74988,	5,	1274,	3,	1),
(74989,	5,	1275,	1,	1),
(74990,	5,	1275,	2,	1),
(74991,	5,	1275,	3,	1),
(74992,	5,	1275,	1,	2),
(74993,	5,	1275,	2,	2),
(74994,	5,	1275,	3,	2),
(74995,	5,	1276,	1,	1),
(74996,	5,	1276,	2,	1),
(74997,	5,	1276,	3,	1),
(74998,	5,	1276,	1,	2),
(74999,	5,	1276,	2,	2),
(75000,	5,	1276,	3,	2),
(75001,	5,	1277,	1,	1),
(75002,	5,	1277,	2,	1),
(75003,	5,	1277,	3,	1),
(75004,	5,	1277,	1,	2),
(75005,	5,	1277,	2,	2),
(75006,	5,	1277,	3,	2),
(75007,	5,	1278,	1,	1),
(75008,	5,	1278,	2,	1),
(75009,	5,	1278,	3,	1),
(75010,	5,	1278,	1,	2),
(75011,	5,	1278,	2,	2),
(75012,	5,	1278,	3,	2),
(75013,	5,	1279,	1,	1),
(75014,	5,	1279,	2,	1),
(75015,	5,	1279,	3,	1),
(75016,	5,	1279,	1,	2),
(75017,	5,	1279,	2,	2),
(75018,	5,	1279,	3,	2),
(75019,	5,	1280,	1,	1),
(75020,	5,	1280,	2,	1),
(75021,	5,	1280,	3,	1),
(75022,	5,	1280,	1,	2),
(75023,	5,	1280,	2,	2),
(75024,	5,	1280,	3,	2),
(75025,	5,	1281,	1,	1),
(75026,	5,	1281,	2,	1),
(75027,	5,	1281,	3,	1),
(75028,	5,	1281,	1,	2),
(75029,	5,	1281,	2,	2),
(75030,	5,	1281,	3,	2),
(75031,	5,	1282,	1,	1),
(75032,	5,	1282,	2,	1),
(75033,	5,	1282,	3,	1),
(75034,	5,	1282,	1,	2),
(75035,	5,	1282,	2,	2),
(75036,	5,	1282,	3,	2),
(75037,	5,	1283,	1,	1),
(75038,	5,	1283,	2,	1),
(75039,	5,	1283,	3,	1),
(75040,	5,	1283,	1,	2),
(75041,	5,	1283,	2,	2),
(75042,	5,	1283,	3,	2),
(75043,	5,	1284,	1,	1),
(75044,	5,	1284,	2,	1),
(75045,	5,	1284,	3,	1),
(75046,	5,	1284,	1,	2),
(75047,	5,	1284,	2,	2),
(75048,	5,	1284,	3,	2),
(75049,	5,	1285,	1,	1),
(75050,	5,	1285,	2,	1),
(75051,	5,	1285,	3,	1),
(75052,	5,	1285,	1,	2),
(75053,	5,	1285,	2,	2),
(75054,	5,	1285,	3,	2),
(75055,	5,	1286,	1,	1),
(75056,	5,	1286,	2,	1),
(75057,	5,	1286,	3,	1),
(75058,	5,	1286,	1,	2),
(75059,	5,	1286,	2,	2),
(75060,	5,	1286,	3,	2),
(75061,	5,	1287,	1,	1),
(75062,	5,	1287,	2,	1),
(75063,	5,	1287,	3,	1),
(75064,	5,	1287,	6,	1),
(75065,	5,	1287,	24,	1),
(75066,	5,	1287,	25,	1),
(75067,	5,	1287,	4,	1),
(75068,	5,	1287,	23,	1),
(75069,	5,	1288,	1,	1),
(75070,	5,	1288,	2,	1),
(75071,	5,	1288,	3,	1),
(75072,	5,	1288,	6,	1),
(75073,	5,	1288,	24,	1),
(75074,	5,	1288,	25,	1),
(75075,	5,	1288,	4,	1),
(75076,	5,	1288,	23,	1),
(75077,	5,	1289,	1,	1),
(75078,	5,	1289,	2,	1),
(75079,	5,	1289,	3,	1),
(75080,	5,	1289,	6,	1),
(75081,	5,	1289,	24,	1),
(75082,	5,	1289,	25,	1),
(75083,	5,	1289,	4,	1),
(75084,	5,	1289,	23,	1),
(75085,	5,	1290,	1,	1),
(75086,	5,	1290,	2,	1),
(75087,	5,	1290,	3,	1),
(75088,	5,	1290,	6,	1),
(75089,	5,	1290,	24,	1),
(75090,	5,	1290,	25,	1),
(75091,	5,	1290,	4,	1),
(75092,	5,	1290,	23,	1),
(75093,	5,	1291,	1,	1),
(75094,	5,	1291,	2,	1),
(75095,	5,	1291,	3,	1),
(75096,	5,	1291,	6,	1),
(75097,	5,	1291,	24,	1),
(75098,	5,	1291,	25,	1),
(75099,	5,	1291,	4,	1),
(75100,	5,	1291,	23,	1),
(75101,	5,	1292,	1,	1),
(75102,	5,	1292,	2,	1),
(75103,	5,	1292,	3,	1),
(75104,	5,	1292,	6,	1),
(75105,	5,	1292,	24,	1),
(75106,	5,	1292,	25,	1),
(75107,	5,	1292,	4,	1),
(75108,	5,	1292,	23,	1),
(75109,	5,	1293,	1,	1),
(75110,	5,	1293,	2,	1),
(75111,	5,	1293,	3,	1),
(75112,	5,	1293,	6,	1),
(75113,	5,	1293,	24,	1),
(75114,	5,	1293,	25,	1),
(75115,	5,	1293,	4,	1),
(75116,	5,	1293,	23,	1),
(75117,	5,	1294,	1,	1),
(75118,	5,	1294,	2,	1),
(75119,	5,	1294,	3,	1),
(75120,	5,	1294,	6,	1),
(75121,	5,	1294,	24,	1),
(75122,	5,	1294,	25,	1),
(75123,	5,	1294,	4,	1),
(75124,	5,	1294,	23,	1),
(75125,	5,	1295,	1,	1),
(75126,	5,	1295,	2,	1),
(75127,	5,	1295,	3,	1),
(75128,	5,	1295,	6,	1),
(75129,	5,	1295,	24,	1),
(75130,	5,	1295,	25,	1),
(75131,	5,	1295,	4,	1),
(75132,	5,	1295,	23,	1),
(75133,	5,	1296,	1,	1),
(75134,	5,	1296,	2,	1),
(75135,	5,	1296,	3,	1),
(75136,	5,	1296,	6,	1),
(75137,	5,	1296,	24,	1),
(75138,	5,	1296,	25,	1),
(75139,	5,	1296,	4,	1),
(75140,	5,	1296,	23,	1),
(75141,	5,	1297,	1,	1),
(75142,	5,	1297,	2,	1),
(75143,	5,	1297,	3,	1),
(75144,	5,	1297,	6,	1),
(75145,	5,	1297,	24,	1),
(75146,	5,	1297,	25,	1),
(75147,	5,	1297,	4,	1),
(75148,	5,	1297,	23,	1),
(75149,	5,	1297,	26,	1),
(75150,	5,	1298,	1,	1),
(75151,	5,	1298,	2,	1),
(75152,	5,	1298,	3,	1),
(75153,	5,	1299,	1,	1),
(75154,	5,	1299,	2,	1),
(75155,	5,	1299,	3,	1),
(75156,	5,	1299,	6,	1),
(75157,	5,	1299,	24,	1),
(75158,	5,	1299,	25,	1),
(75159,	5,	1299,	4,	1),
(75160,	5,	1299,	23,	1),
(75161,	5,	1300,	1,	1),
(75162,	5,	1300,	2,	1),
(75163,	5,	1300,	3,	1),
(75164,	5,	1300,	6,	1),
(75165,	5,	1300,	24,	1),
(75166,	5,	1300,	25,	1),
(75167,	5,	1300,	4,	1),
(75168,	5,	1300,	23,	1),
(75169,	5,	1301,	1,	1),
(75170,	5,	1301,	2,	1),
(75171,	5,	1301,	3,	1),
(75172,	5,	1302,	1,	1),
(75173,	5,	1302,	2,	1),
(75174,	5,	1302,	3,	1),
(75175,	5,	1302,	6,	1),
(75176,	5,	1302,	24,	1),
(75177,	5,	1302,	25,	1),
(75178,	5,	1302,	4,	1),
(75179,	5,	1302,	23,	1),
(75180,	5,	1303,	1,	1),
(75181,	5,	1303,	2,	1),
(75182,	5,	1303,	3,	1),
(75183,	5,	1303,	6,	1),
(75184,	5,	1303,	24,	1),
(75185,	5,	1303,	25,	1),
(75186,	5,	1303,	4,	1),
(75187,	5,	1303,	23,	1),
(75188,	5,	1304,	1,	1),
(75189,	5,	1304,	2,	1),
(75190,	5,	1304,	3,	1),
(75191,	5,	1305,	1,	1),
(75192,	5,	1305,	2,	1),
(75193,	5,	1305,	3,	1),
(75194,	5,	1305,	6,	1),
(75195,	5,	1305,	24,	1),
(75196,	5,	1305,	25,	1),
(75197,	5,	1305,	4,	1),
(75198,	5,	1305,	23,	1),
(75199,	5,	1306,	1,	1),
(75200,	5,	1306,	2,	1),
(75201,	5,	1306,	3,	1),
(75202,	5,	1306,	1,	2),
(75203,	5,	1306,	2,	2),
(75204,	5,	1306,	3,	2),
(75205,	5,	1307,	1,	1),
(75206,	5,	1307,	2,	1),
(75207,	5,	1307,	3,	1),
(75208,	5,	1307,	1,	2),
(75209,	5,	1307,	2,	2),
(75210,	5,	1307,	3,	2),
(75211,	5,	1308,	1,	1),
(75212,	5,	1308,	2,	1),
(75213,	5,	1308,	3,	1),
(75214,	5,	1308,	6,	1),
(75215,	5,	1308,	24,	1),
(75216,	5,	1308,	25,	1),
(75217,	5,	1308,	4,	1),
(75218,	5,	1308,	23,	1),
(75219,	5,	1309,	1,	1),
(75220,	5,	1309,	2,	1),
(75221,	5,	1309,	3,	1),
(75222,	5,	1309,	23,	1),
(75223,	5,	1309,	6,	1),
(75224,	5,	1309,	24,	1),
(75225,	5,	1309,	25,	1),
(75226,	5,	1309,	4,	1),
(75227,	5,	1309,	26,	1),
(75228,	5,	1310,	1,	1),
(75229,	5,	1310,	2,	1),
(75230,	5,	1310,	3,	1),
(75231,	5,	1311,	1,	1),
(75232,	5,	1311,	2,	1),
(75233,	5,	1311,	3,	1),
(75234,	5,	1311,	23,	1),
(75235,	5,	1311,	6,	1),
(75236,	5,	1311,	24,	1),
(75237,	5,	1311,	25,	1),
(75238,	5,	1311,	4,	1),
(75239,	5,	1311,	26,	1),
(75240,	5,	1312,	1,	1),
(75241,	5,	1312,	2,	1),
(75242,	5,	1312,	3,	1),
(75243,	5,	1312,	23,	1),
(75244,	5,	1312,	6,	1),
(75245,	5,	1312,	24,	1),
(75246,	5,	1312,	25,	1),
(75247,	5,	1312,	4,	1),
(75248,	5,	1312,	26,	1),
(75249,	5,	1313,	1,	1),
(75250,	5,	1313,	2,	1),
(75251,	5,	1313,	3,	1),
(75252,	5,	1314,	1,	1),
(75253,	5,	1314,	2,	1),
(75254,	5,	1314,	3,	1),
(75255,	5,	1314,	23,	1),
(75256,	5,	1314,	6,	1),
(75257,	5,	1314,	24,	1),
(75258,	5,	1314,	25,	1),
(75259,	5,	1314,	4,	1),
(75260,	5,	1314,	26,	1),
(75261,	5,	1315,	1,	1),
(75262,	5,	1315,	2,	1),
(75263,	5,	1315,	3,	1),
(75264,	5,	1315,	23,	1),
(75265,	5,	1315,	6,	1),
(75266,	5,	1315,	24,	1),
(75267,	5,	1315,	25,	1),
(75268,	5,	1315,	4,	1),
(75269,	5,	1315,	26,	1),
(75270,	5,	1316,	1,	1),
(75271,	5,	1316,	2,	1),
(75272,	5,	1316,	3,	1),
(75273,	5,	1317,	1,	1),
(75274,	5,	1317,	2,	1),
(75275,	5,	1317,	3,	1),
(75276,	5,	1317,	23,	1),
(75277,	5,	1317,	6,	1),
(75278,	5,	1317,	24,	1),
(75279,	5,	1317,	25,	1),
(75280,	5,	1317,	4,	1),
(75281,	5,	1317,	26,	1),
(75282,	5,	1318,	1,	1),
(75283,	5,	1318,	2,	1),
(75284,	5,	1318,	3,	1),
(75285,	5,	1318,	1,	2),
(75286,	5,	1318,	2,	2),
(75287,	5,	1318,	3,	2),
(75288,	5,	1319,	1,	1),
(75289,	5,	1319,	2,	1),
(75290,	5,	1319,	3,	1),
(75291,	5,	1319,	1,	2),
(75292,	5,	1319,	2,	2),
(75293,	5,	1319,	3,	2),
(75294,	5,	1320,	1,	1),
(75295,	5,	1320,	2,	1),
(75296,	5,	1320,	3,	1),
(75297,	5,	1320,	1,	2),
(75298,	5,	1320,	2,	2),
(75299,	5,	1320,	3,	2),
(75300,	5,	1321,	1,	1),
(75301,	5,	1321,	2,	1),
(75302,	5,	1321,	3,	1),
(75303,	5,	1322,	1,	1),
(75304,	5,	1322,	2,	1),
(75305,	5,	1322,	3,	1),
(75306,	5,	1323,	1,	1),
(75307,	5,	1323,	2,	1),
(75308,	5,	1323,	3,	1),
(75309,	5,	1324,	1,	1),
(75310,	5,	1324,	2,	1),
(75311,	5,	1324,	3,	1),
(75312,	5,	1325,	1,	1),
(75313,	5,	1325,	2,	1),
(75314,	5,	1325,	3,	1),
(75315,	5,	1326,	1,	1),
(75316,	5,	1326,	2,	1),
(75317,	5,	1326,	3,	1),
(75318,	5,	1327,	1,	1),
(75319,	5,	1327,	2,	1),
(75320,	5,	1327,	3,	1),
(75321,	5,	1328,	1,	1),
(75322,	5,	1328,	2,	1),
(75323,	5,	1328,	3,	1),
(75324,	5,	1329,	1,	1),
(75325,	5,	1329,	2,	1),
(75326,	5,	1329,	3,	1),
(75327,	5,	1330,	1,	1),
(75328,	5,	1330,	2,	1),
(75329,	5,	1330,	3,	1),
(75330,	5,	1331,	1,	1),
(75331,	5,	1331,	2,	1),
(75332,	5,	1331,	3,	1),
(75333,	5,	1332,	1,	1),
(75334,	5,	1332,	2,	1),
(75335,	5,	1332,	3,	1),
(75336,	5,	1333,	1,	1),
(75337,	5,	1333,	2,	1),
(75338,	5,	1333,	3,	1),
(75339,	5,	1334,	1,	1),
(75340,	5,	1334,	2,	1),
(75341,	5,	1334,	3,	1),
(75342,	5,	1335,	1,	1),
(75343,	5,	1335,	2,	1),
(75344,	5,	1335,	3,	1),
(75345,	5,	1336,	1,	1),
(75346,	5,	1336,	2,	1),
(75347,	5,	1336,	3,	1),
(75348,	5,	1337,	1,	1),
(75349,	5,	1337,	2,	1),
(75350,	5,	1337,	3,	1),
(75351,	5,	1338,	1,	1),
(75352,	5,	1338,	2,	1),
(75353,	5,	1338,	3,	1),
(75354,	5,	1339,	1,	1),
(75355,	5,	1339,	2,	1),
(75356,	5,	1339,	3,	1),
(75357,	5,	1340,	1,	1),
(75358,	5,	1340,	2,	1),
(75359,	5,	1340,	3,	1),
(75360,	5,	1341,	1,	1),
(75361,	5,	1341,	2,	1),
(75362,	5,	1341,	3,	1),
(75363,	5,	1342,	1,	1),
(75364,	5,	1342,	2,	1),
(75365,	5,	1342,	3,	1),
(75366,	5,	1343,	1,	1),
(75367,	5,	1343,	2,	1),
(75368,	5,	1343,	3,	1),
(75369,	5,	1343,	24,	1),
(75370,	5,	1344,	1,	1),
(75371,	5,	1344,	2,	1),
(75372,	5,	1344,	3,	1),
(75373,	5,	1344,	24,	1),
(75374,	5,	1345,	1,	1),
(75375,	5,	1345,	2,	1),
(75376,	5,	1345,	3,	1),
(75377,	5,	1345,	24,	1),
(75378,	5,	1346,	1,	1),
(75379,	5,	1346,	2,	1),
(75380,	5,	1346,	3,	1),
(75381,	5,	1346,	24,	1),
(75382,	5,	1347,	1,	1),
(75383,	5,	1347,	2,	1),
(75384,	5,	1347,	3,	1),
(75385,	5,	1347,	24,	1),
(75386,	5,	1348,	1,	1),
(75387,	5,	1348,	2,	1),
(75388,	5,	1348,	3,	1),
(75389,	5,	1348,	24,	1),
(75390,	5,	1349,	1,	1),
(75391,	5,	1349,	2,	1),
(75392,	5,	1349,	3,	1),
(75393,	5,	1350,	1,	1),
(75394,	5,	1350,	2,	1),
(75395,	5,	1350,	3,	1),
(75396,	5,	1350,	23,	1),
(75397,	5,	1350,	6,	1),
(75398,	5,	1350,	24,	1),
(75399,	5,	1350,	25,	1),
(75400,	5,	1350,	4,	1),
(75401,	5,	1350,	5,	1),
(75402,	5,	1351,	1,	1),
(75403,	5,	1351,	2,	1),
(75404,	5,	1351,	3,	1),
(75405,	5,	1352,	1,	1),
(75406,	5,	1352,	2,	1),
(75407,	5,	1352,	3,	1),
(75408,	5,	1352,	23,	1),
(75409,	5,	1352,	6,	1),
(75410,	5,	1352,	24,	1),
(75411,	5,	1352,	25,	1),
(75412,	5,	1352,	4,	1),
(75413,	5,	1352,	5,	1),
(75414,	5,	1353,	1,	1),
(75415,	5,	1353,	2,	1),
(75416,	5,	1353,	3,	1),
(75417,	5,	1354,	1,	1),
(75418,	5,	1354,	2,	1),
(75419,	5,	1354,	3,	1),
(75420,	5,	1354,	23,	1),
(75421,	5,	1354,	6,	1),
(75422,	5,	1354,	24,	1),
(75423,	5,	1354,	25,	1),
(75424,	5,	1354,	4,	1),
(75425,	5,	1354,	5,	1),
(75426,	5,	1355,	1,	1),
(75427,	5,	1355,	2,	1),
(75428,	5,	1355,	3,	1),
(75429,	5,	1356,	1,	1),
(75430,	5,	1356,	2,	1),
(75431,	5,	1356,	3,	1),
(75432,	5,	1357,	1,	1),
(75433,	5,	1357,	2,	1),
(75434,	5,	1357,	3,	1),
(75435,	5,	1357,	23,	1),
(75436,	5,	1357,	6,	1),
(75437,	5,	1357,	24,	1),
(75438,	5,	1357,	25,	1),
(75439,	5,	1357,	4,	1),
(75440,	5,	1357,	5,	1),
(75441,	5,	1358,	1,	1),
(75442,	5,	1358,	2,	1),
(75443,	5,	1358,	3,	1),
(75444,	5,	1359,	1,	1),
(75445,	5,	1359,	2,	1),
(75446,	5,	1359,	3,	1),
(75447,	5,	1359,	23,	1),
(75448,	5,	1359,	6,	1),
(75449,	5,	1359,	24,	1),
(75450,	5,	1359,	25,	1),
(75451,	5,	1359,	4,	1),
(75452,	5,	1359,	5,	1),
(75453,	5,	1360,	1,	1),
(75454,	5,	1360,	2,	1),
(75455,	5,	1360,	3,	1),
(75456,	5,	1360,	23,	1),
(75457,	5,	1360,	6,	1),
(75458,	5,	1360,	24,	1),
(75459,	5,	1360,	25,	1),
(75460,	5,	1360,	4,	1),
(75461,	5,	1360,	5,	1),
(75462,	5,	1361,	1,	1),
(75463,	5,	1361,	2,	1),
(75464,	5,	1361,	3,	1),
(75465,	5,	1361,	23,	1),
(75466,	5,	1361,	6,	1),
(75467,	5,	1361,	24,	1),
(75468,	5,	1361,	25,	1),
(75469,	5,	1361,	4,	1),
(75470,	5,	1361,	5,	1),
(75471,	5,	1362,	1,	1),
(75472,	5,	1362,	2,	1),
(75473,	5,	1362,	3,	1),
(75474,	5,	1363,	1,	1),
(75475,	5,	1363,	2,	1),
(75476,	5,	1363,	3,	1),
(75477,	5,	1363,	23,	1),
(75478,	5,	1363,	6,	1),
(75479,	5,	1363,	24,	1),
(75480,	5,	1363,	25,	1),
(75481,	5,	1363,	4,	1),
(75482,	5,	1363,	5,	1),
(75483,	5,	1364,	1,	1),
(75484,	5,	1364,	2,	1),
(75485,	5,	1364,	3,	1),
(75486,	5,	1365,	1,	1),
(75487,	5,	1365,	2,	1),
(75488,	5,	1365,	3,	1),
(75489,	5,	1366,	1,	1),
(75490,	5,	1366,	2,	1),
(75491,	5,	1366,	3,	1),
(75492,	5,	1367,	1,	1),
(75493,	5,	1367,	2,	1),
(75494,	5,	1367,	3,	1),
(75495,	5,	1368,	1,	1),
(75496,	5,	1368,	2,	1),
(75497,	5,	1368,	3,	1),
(75498,	5,	1369,	1,	1),
(75499,	5,	1369,	2,	1),
(75500,	5,	1369,	3,	1),
(75501,	5,	1370,	1,	1),
(75502,	5,	1370,	2,	1),
(75503,	5,	1370,	3,	1),
(75504,	5,	1371,	1,	1),
(75505,	5,	1371,	2,	1),
(75506,	5,	1371,	3,	1),
(75507,	5,	1372,	1,	1),
(75508,	5,	1372,	2,	1),
(75509,	5,	1372,	3,	1),
(75510,	5,	1372,	23,	1),
(75511,	5,	1372,	6,	1),
(75512,	5,	1372,	24,	1),
(75513,	5,	1372,	25,	1),
(75514,	5,	1372,	4,	1),
(75515,	5,	1372,	5,	1),
(75516,	5,	1373,	1,	1),
(75517,	5,	1373,	2,	1),
(75518,	5,	1373,	3,	1),
(75519,	5,	1373,	23,	1),
(75520,	5,	1373,	6,	1),
(75521,	5,	1373,	24,	1),
(75522,	5,	1373,	25,	1),
(75523,	5,	1373,	4,	1),
(75524,	5,	1373,	5,	1),
(75525,	5,	1374,	1,	1),
(75526,	5,	1374,	2,	1),
(75527,	5,	1374,	3,	1),
(75528,	5,	1375,	1,	1),
(75529,	5,	1375,	2,	1),
(75530,	5,	1375,	3,	1),
(75531,	5,	1375,	23,	1),
(75532,	5,	1375,	6,	1),
(75533,	5,	1375,	24,	1),
(75534,	5,	1375,	25,	1),
(75535,	5,	1375,	4,	1),
(75536,	5,	1375,	5,	1),
(75537,	5,	1376,	1,	1),
(75538,	5,	1376,	2,	1),
(75539,	5,	1376,	3,	1),
(75540,	5,	1376,	23,	1),
(75541,	5,	1376,	6,	1),
(75542,	5,	1376,	24,	1),
(75543,	5,	1376,	25,	1),
(75544,	5,	1376,	4,	1),
(75545,	5,	1376,	5,	1),
(75546,	5,	1377,	1,	1),
(75547,	5,	1377,	2,	1),
(75548,	5,	1377,	3,	1),
(75549,	5,	1377,	23,	1),
(75550,	5,	1377,	6,	1),
(75551,	5,	1377,	24,	1),
(75552,	5,	1377,	25,	1),
(75553,	5,	1377,	4,	1),
(75554,	5,	1377,	5,	1),
(75555,	5,	1378,	1,	1),
(75556,	5,	1378,	2,	1),
(75557,	5,	1378,	3,	1),
(75558,	5,	1379,	1,	1),
(75559,	5,	1379,	2,	1),
(75560,	5,	1379,	3,	1),
(75561,	5,	1380,	1,	1),
(75562,	5,	1380,	2,	1),
(75563,	5,	1380,	3,	1),
(75564,	5,	1381,	1,	1),
(75565,	5,	1381,	2,	1),
(75566,	5,	1381,	3,	1),
(75567,	5,	1382,	1,	1),
(75568,	5,	1382,	2,	1),
(75569,	5,	1382,	3,	1),
(75570,	5,	1383,	1,	1),
(75571,	5,	1383,	2,	1),
(75572,	5,	1383,	3,	1),
(75573,	5,	1384,	1,	1),
(75574,	5,	1384,	2,	1),
(75575,	5,	1384,	3,	1),
(75576,	5,	1385,	1,	1),
(75577,	5,	1385,	2,	1),
(75578,	5,	1385,	3,	1),
(75579,	5,	1386,	1,	1),
(75580,	5,	1386,	2,	1),
(75581,	5,	1386,	3,	1),
(75582,	5,	1387,	1,	1),
(75583,	5,	1387,	2,	1),
(75584,	5,	1387,	3,	1),
(75585,	5,	1387,	23,	1),
(75586,	5,	1387,	6,	1),
(75587,	5,	1387,	24,	1),
(75588,	5,	1387,	25,	1),
(75589,	5,	1387,	4,	1),
(75590,	5,	1388,	1,	1),
(75591,	5,	1388,	2,	1),
(75592,	5,	1388,	3,	1),
(75593,	5,	1388,	23,	1),
(75594,	5,	1388,	6,	1),
(75595,	5,	1388,	24,	1),
(75596,	5,	1388,	25,	1),
(75597,	5,	1388,	4,	1),
(75598,	5,	1389,	1,	1),
(75599,	5,	1389,	2,	1),
(75600,	5,	1389,	3,	1),
(75601,	5,	1389,	23,	1),
(75602,	5,	1389,	6,	1),
(75603,	5,	1389,	24,	1),
(75604,	5,	1389,	25,	1),
(75605,	5,	1389,	4,	1),
(75606,	5,	1390,	1,	1),
(75607,	5,	1390,	2,	1),
(75608,	5,	1390,	3,	1),
(75609,	5,	1391,	1,	1),
(75610,	5,	1391,	2,	1),
(75611,	5,	1391,	3,	1),
(75612,	5,	1391,	23,	1),
(75613,	5,	1391,	6,	1),
(75614,	5,	1391,	24,	1),
(75615,	5,	1391,	25,	1),
(75616,	5,	1391,	4,	1),
(75617,	5,	1392,	1,	1),
(75618,	5,	1392,	2,	1),
(75619,	5,	1392,	3,	1),
(75620,	5,	1393,	1,	1),
(75621,	5,	1393,	2,	1),
(75622,	5,	1393,	3,	1),
(75623,	5,	1393,	23,	1),
(75624,	5,	1393,	6,	1),
(75625,	5,	1393,	24,	1),
(75626,	5,	1393,	25,	1),
(75627,	5,	1393,	4,	1),
(75628,	5,	1394,	1,	1),
(75629,	5,	1394,	2,	1),
(75630,	5,	1394,	3,	1),
(75631,	5,	1395,	1,	1),
(75632,	5,	1395,	2,	1),
(75633,	5,	1395,	3,	1),
(75634,	5,	1396,	1,	1),
(75635,	5,	1396,	2,	1),
(75636,	5,	1396,	3,	1),
(75637,	5,	1397,	1,	1),
(75638,	5,	1397,	2,	1),
(75639,	5,	1397,	3,	1),
(75640,	5,	1398,	1,	1),
(75641,	5,	1398,	2,	1),
(75642,	5,	1398,	3,	1),
(75643,	5,	1399,	1,	1),
(75644,	5,	1399,	2,	1),
(75645,	5,	1399,	3,	1),
(75646,	5,	1400,	1,	1),
(75647,	5,	1400,	2,	1),
(75648,	5,	1400,	3,	1),
(75649,	5,	1401,	1,	1),
(75650,	5,	1401,	2,	1),
(75651,	5,	1401,	3,	1),
(75652,	5,	1401,	1,	2),
(75653,	5,	1401,	2,	2),
(75654,	5,	1401,	3,	2),
(75655,	5,	1402,	1,	1),
(75656,	5,	1402,	2,	1),
(75657,	5,	1402,	3,	1),
(75658,	5,	1402,	1,	2),
(75659,	5,	1402,	2,	2),
(75660,	5,	1402,	3,	2),
(75661,	5,	1403,	1,	1),
(75662,	5,	1403,	2,	1),
(75663,	5,	1403,	3,	1),
(75664,	5,	1403,	1,	2),
(75665,	5,	1403,	2,	2),
(75666,	5,	1403,	3,	2),
(75667,	5,	1404,	1,	1),
(75668,	5,	1404,	2,	1),
(75669,	5,	1404,	3,	1),
(75670,	5,	1404,	1,	2),
(75671,	5,	1404,	2,	2),
(75672,	5,	1404,	3,	2),
(75673,	5,	1405,	1,	1),
(75674,	5,	1405,	2,	1),
(75675,	5,	1405,	3,	1),
(75676,	5,	1405,	1,	2),
(75677,	5,	1405,	2,	2),
(75678,	5,	1405,	3,	2),
(75679,	5,	1406,	1,	1),
(75680,	5,	1406,	2,	1),
(75681,	5,	1406,	3,	1),
(75682,	5,	1406,	1,	2),
(75683,	5,	1406,	2,	2),
(75684,	5,	1406,	3,	2),
(75685,	5,	1407,	1,	1),
(75686,	5,	1407,	2,	1),
(75687,	5,	1407,	3,	1),
(75688,	5,	1407,	1,	2),
(75689,	5,	1407,	2,	2),
(75690,	5,	1407,	3,	2),
(75691,	5,	1408,	1,	1),
(75692,	5,	1408,	2,	1),
(75693,	5,	1408,	3,	1),
(75694,	5,	1408,	1,	2),
(75695,	5,	1408,	2,	2),
(75696,	5,	1408,	3,	2),
(75697,	5,	1409,	1,	1),
(75698,	5,	1409,	2,	1),
(75699,	5,	1409,	3,	1),
(75700,	5,	1410,	1,	1),
(75701,	5,	1410,	2,	1),
(75702,	5,	1410,	3,	1),
(75703,	5,	1410,	1,	2),
(75704,	5,	1410,	2,	2),
(75705,	5,	1410,	3,	2),
(75706,	5,	1411,	1,	1),
(75707,	5,	1411,	2,	1),
(75708,	5,	1411,	3,	1),
(75709,	5,	1411,	1,	2),
(75710,	5,	1411,	2,	2),
(75711,	5,	1411,	3,	2),
(75712,	5,	1412,	1,	1),
(75713,	5,	1412,	2,	1),
(75714,	5,	1412,	3,	1),
(75715,	5,	1412,	1,	2),
(75716,	5,	1412,	2,	2),
(75717,	5,	1412,	3,	2),
(75718,	5,	1413,	1,	1),
(75719,	5,	1413,	2,	1),
(75720,	5,	1413,	3,	1),
(75721,	5,	1413,	1,	2),
(75722,	5,	1413,	2,	2),
(75723,	5,	1413,	3,	2),
(75724,	5,	1414,	1,	1),
(75725,	5,	1414,	2,	1),
(75726,	5,	1414,	3,	1),
(75727,	5,	1415,	1,	1),
(75728,	5,	1415,	2,	1),
(75729,	5,	1415,	3,	1),
(75730,	5,	1416,	1,	1),
(75731,	5,	1416,	2,	1),
(75732,	5,	1416,	3,	1),
(75733,	5,	1416,	1,	2),
(75734,	5,	1416,	2,	2),
(75735,	5,	1416,	3,	2),
(75736,	5,	1417,	1,	1),
(75737,	5,	1417,	2,	1),
(75738,	5,	1417,	3,	1),
(75739,	5,	1418,	1,	1),
(75740,	5,	1418,	2,	1),
(75741,	5,	1418,	3,	1),
(75742,	5,	1419,	1,	1),
(75743,	5,	1419,	2,	1),
(75744,	5,	1419,	3,	1),
(75745,	5,	1419,	1,	2),
(75746,	5,	1419,	2,	2),
(75747,	5,	1419,	3,	2),
(75748,	5,	1420,	1,	1),
(75749,	5,	1420,	2,	1),
(75750,	5,	1420,	3,	1),
(75751,	5,	1421,	1,	1),
(75752,	5,	1421,	2,	1),
(75753,	5,	1421,	3,	1),
(75754,	5,	1422,	1,	1),
(75755,	5,	1422,	2,	1),
(75756,	5,	1422,	3,	1),
(75757,	5,	1422,	23,	1),
(75758,	5,	1422,	6,	1),
(75759,	5,	1422,	24,	1),
(75760,	5,	1422,	25,	1),
(75761,	5,	1422,	4,	1),
(75762,	5,	1422,	5,	1),
(75763,	5,	1423,	1,	1),
(75764,	5,	1423,	2,	1),
(75765,	5,	1423,	3,	1),
(75766,	5,	1423,	23,	1),
(75767,	5,	1423,	6,	1),
(75768,	5,	1423,	24,	1),
(75769,	5,	1423,	25,	1),
(75770,	5,	1423,	4,	1),
(75771,	5,	1423,	5,	1),
(75772,	5,	1424,	1,	1),
(75773,	5,	1424,	2,	1),
(75774,	5,	1424,	3,	1),
(75775,	5,	1425,	1,	1),
(75776,	5,	1425,	2,	1),
(75777,	5,	1425,	3,	1),
(75778,	5,	1425,	23,	1),
(75779,	5,	1425,	6,	1),
(75780,	5,	1425,	24,	1),
(75781,	5,	1425,	25,	1),
(75782,	5,	1425,	4,	1),
(75783,	5,	1425,	5,	1),
(75784,	5,	1426,	1,	1),
(75785,	5,	1426,	2,	1),
(75786,	5,	1426,	3,	1),
(75787,	5,	1426,	23,	1),
(75788,	5,	1426,	6,	1),
(75789,	5,	1426,	24,	1),
(75790,	5,	1426,	25,	1),
(75791,	5,	1426,	4,	1),
(75792,	5,	1426,	5,	1),
(75793,	5,	1427,	1,	1),
(75794,	5,	1427,	2,	1),
(75795,	5,	1427,	3,	1),
(75796,	5,	1428,	1,	1),
(75797,	5,	1428,	2,	1),
(75798,	5,	1428,	3,	1),
(75799,	5,	1428,	23,	1),
(75800,	5,	1428,	6,	1),
(75801,	5,	1428,	24,	1),
(75802,	5,	1428,	25,	1),
(75803,	5,	1428,	4,	1),
(75804,	5,	1428,	5,	1),
(75805,	5,	1429,	1,	1),
(75806,	5,	1429,	2,	1),
(75807,	5,	1429,	3,	1),
(75808,	5,	1430,	1,	1),
(75809,	5,	1430,	2,	1),
(75810,	5,	1430,	3,	1),
(75811,	5,	1431,	1,	1),
(75812,	5,	1431,	2,	1),
(75813,	5,	1431,	3,	1),
(75814,	5,	1431,	23,	1),
(75815,	5,	1431,	6,	1),
(75816,	5,	1431,	24,	1),
(75817,	5,	1431,	25,	1),
(75818,	5,	1431,	4,	1),
(75819,	5,	1431,	5,	1),
(75820,	5,	1432,	1,	1),
(75821,	5,	1432,	2,	1),
(75822,	5,	1432,	3,	1),
(75823,	5,	1432,	1,	2),
(75824,	5,	1432,	2,	2),
(75825,	5,	1432,	3,	2),
(75826,	5,	1433,	1,	1),
(75827,	5,	1433,	2,	1),
(75828,	5,	1433,	3,	1),
(75829,	5,	1434,	1,	1),
(75830,	5,	1434,	2,	1),
(75831,	5,	1434,	3,	1),
(75832,	5,	1435,	1,	1),
(75833,	5,	1435,	2,	1),
(75834,	5,	1435,	3,	1),
(75835,	5,	1436,	1,	1),
(75836,	5,	1436,	2,	1),
(75837,	5,	1436,	3,	1),
(75838,	5,	1436,	23,	1),
(75839,	5,	1436,	6,	1),
(75840,	5,	1436,	24,	1),
(75841,	5,	1436,	25,	1),
(75842,	5,	1436,	4,	1),
(75843,	5,	1436,	5,	1),
(75844,	5,	1437,	1,	1),
(75845,	5,	1437,	2,	1),
(75846,	5,	1437,	3,	1),
(75847,	5,	1437,	23,	1),
(75848,	5,	1437,	6,	1),
(75849,	5,	1437,	24,	1),
(75850,	5,	1437,	25,	1),
(75851,	5,	1437,	4,	1),
(75852,	5,	1437,	5,	1),
(75853,	5,	1438,	1,	1),
(75854,	5,	1438,	2,	1),
(75855,	5,	1438,	3,	1),
(75856,	5,	1439,	1,	1),
(75857,	5,	1439,	2,	1),
(75858,	5,	1439,	3,	1),
(75859,	5,	1439,	23,	1),
(75860,	5,	1439,	6,	1),
(75861,	5,	1439,	24,	1),
(75862,	5,	1439,	25,	1),
(75863,	5,	1439,	4,	1),
(75864,	5,	1439,	5,	1),
(75865,	5,	1440,	1,	1),
(75866,	5,	1440,	2,	1),
(75867,	5,	1440,	3,	1),
(75868,	5,	1440,	23,	1),
(75869,	5,	1440,	6,	1),
(75870,	5,	1440,	24,	1),
(75871,	5,	1440,	25,	1),
(75872,	5,	1440,	4,	1),
(75873,	5,	1440,	5,	1),
(75874,	5,	1441,	1,	1),
(75875,	5,	1441,	2,	1),
(75876,	5,	1441,	3,	1),
(75877,	5,	1442,	1,	1),
(75878,	5,	1442,	2,	1),
(75879,	5,	1442,	3,	1),
(75880,	5,	1442,	23,	1),
(75881,	5,	1442,	6,	1),
(75882,	5,	1442,	24,	1),
(75883,	5,	1442,	25,	1),
(75884,	5,	1442,	4,	1),
(75885,	5,	1442,	5,	1),
(75886,	5,	1443,	1,	1),
(75887,	5,	1443,	2,	1),
(75888,	5,	1443,	3,	1),
(75889,	5,	1443,	23,	1),
(75890,	5,	1443,	6,	1),
(75891,	5,	1443,	24,	1),
(75892,	5,	1443,	25,	1),
(75893,	5,	1443,	4,	1),
(75894,	5,	1443,	5,	1),
(75895,	5,	1444,	1,	1),
(75896,	5,	1444,	2,	1),
(75897,	5,	1444,	3,	1),
(75898,	5,	1445,	1,	1),
(75899,	5,	1445,	2,	1),
(75900,	5,	1445,	3,	1),
(75901,	5,	1445,	23,	1),
(75902,	5,	1445,	6,	1),
(75903,	5,	1445,	24,	1),
(75904,	5,	1445,	25,	1),
(75905,	5,	1445,	4,	1),
(75906,	5,	1445,	5,	1),
(75907,	5,	1446,	1,	1),
(75908,	5,	1446,	2,	1),
(75909,	5,	1446,	3,	1),
(75910,	5,	1446,	1,	2),
(75911,	5,	1446,	2,	2),
(75912,	5,	1446,	3,	2),
(75913,	5,	1447,	1,	1),
(75914,	5,	1447,	2,	1),
(75915,	5,	1447,	3,	1),
(75916,	5,	1447,	1,	2),
(75917,	5,	1447,	2,	2),
(75918,	5,	1447,	3,	2),
(75919,	5,	1448,	1,	1),
(75920,	5,	1448,	2,	1),
(75921,	5,	1448,	3,	1),
(75922,	5,	1449,	1,	1),
(75923,	5,	1449,	2,	1),
(75924,	5,	1449,	3,	1),
(75925,	5,	1450,	1,	1),
(75926,	5,	1450,	2,	1),
(75927,	5,	1450,	3,	1),
(75928,	5,	1451,	1,	1),
(75929,	5,	1451,	2,	1),
(75930,	5,	1451,	3,	1),
(75931,	5,	1452,	1,	1),
(75932,	5,	1452,	2,	1),
(75933,	5,	1452,	3,	1),
(75934,	5,	1452,	23,	1),
(75935,	5,	1452,	6,	1),
(75936,	5,	1452,	24,	1),
(75937,	5,	1452,	25,	1),
(75938,	5,	1452,	4,	1),
(75939,	5,	1452,	5,	1),
(75940,	5,	1453,	1,	1),
(75941,	5,	1453,	2,	1),
(75942,	5,	1453,	3,	1),
(75943,	5,	1453,	23,	1),
(75944,	5,	1453,	6,	1),
(75945,	5,	1453,	24,	1),
(75946,	5,	1453,	25,	1),
(75947,	5,	1453,	4,	1),
(75948,	5,	1453,	5,	1),
(75949,	5,	1454,	1,	1),
(75950,	5,	1454,	2,	1),
(75951,	5,	1454,	3,	1),
(75952,	5,	1455,	1,	1),
(75953,	5,	1455,	2,	1),
(75954,	5,	1455,	3,	1),
(75955,	5,	1455,	23,	1),
(75956,	5,	1455,	6,	1),
(75957,	5,	1455,	24,	1),
(75958,	5,	1455,	25,	1),
(75959,	5,	1455,	4,	1),
(75960,	5,	1455,	5,	1),
(75961,	5,	1456,	1,	1),
(75962,	5,	1456,	2,	1),
(75963,	5,	1456,	3,	1),
(75964,	5,	1456,	23,	1),
(75965,	5,	1456,	6,	1),
(75966,	5,	1456,	24,	1),
(75967,	5,	1456,	25,	1),
(75968,	5,	1456,	4,	1),
(75969,	5,	1456,	5,	1),
(75970,	5,	1457,	1,	1),
(75971,	5,	1457,	2,	1),
(75972,	5,	1457,	3,	1),
(75973,	5,	1458,	1,	1),
(75974,	5,	1458,	2,	1),
(75975,	5,	1458,	3,	1),
(75976,	5,	1458,	23,	1),
(75977,	5,	1458,	6,	1),
(75978,	5,	1458,	24,	1),
(75979,	5,	1458,	25,	1),
(75980,	5,	1458,	4,	1),
(75981,	5,	1458,	5,	1),
(75982,	5,	1459,	1,	1),
(75983,	5,	1459,	2,	1),
(75984,	5,	1459,	3,	1),
(75985,	5,	1459,	1,	2),
(75986,	5,	1459,	2,	2),
(75987,	5,	1459,	3,	2),
(75988,	5,	1460,	1,	1),
(75989,	5,	1460,	2,	1),
(75990,	5,	1460,	3,	1),
(75991,	5,	1461,	1,	1),
(75992,	5,	1461,	2,	1),
(75993,	5,	1461,	3,	1),
(75994,	5,	1462,	1,	1),
(75995,	5,	1462,	2,	1),
(75996,	5,	1462,	3,	1),
(75997,	5,	1462,	1,	2),
(75998,	5,	1462,	2,	2),
(75999,	5,	1462,	3,	2),
(76000,	5,	1463,	1,	1),
(76001,	5,	1463,	2,	1),
(76002,	5,	1463,	3,	1),
(76003,	5,	1463,	1,	2),
(76004,	5,	1463,	2,	2),
(76005,	5,	1463,	3,	2),
(76006,	5,	1464,	1,	1),
(76007,	5,	1464,	2,	1),
(76008,	5,	1464,	3,	1),
(76009,	5,	1465,	1,	1),
(76010,	5,	1465,	2,	1),
(76011,	5,	1465,	3,	1),
(76012,	5,	1465,	23,	1),
(76013,	5,	1466,	1,	1),
(76014,	5,	1466,	2,	1),
(76015,	5,	1466,	3,	1),
(76016,	5,	1466,	23,	1),
(76017,	5,	1467,	1,	1),
(76018,	5,	1467,	2,	1),
(76019,	5,	1467,	3,	1),
(76020,	5,	1467,	23,	1),
(76021,	5,	1468,	1,	1),
(76022,	5,	1468,	2,	1),
(76023,	5,	1468,	3,	1),
(76024,	5,	1468,	23,	1),
(76025,	5,	1469,	1,	1),
(76026,	5,	1469,	2,	1),
(76027,	5,	1469,	3,	1),
(76028,	5,	1469,	1,	2),
(76029,	5,	1469,	2,	2),
(76030,	5,	1469,	3,	2),
(76031,	5,	1470,	1,	1),
(76032,	5,	1470,	2,	1),
(76033,	5,	1470,	3,	1),
(76034,	5,	1471,	1,	1),
(76035,	5,	1471,	2,	1),
(76036,	5,	1471,	3,	1),
(76037,	5,	1472,	1,	1),
(76038,	5,	1472,	2,	1),
(76039,	5,	1472,	3,	1),
(76040,	5,	1473,	1,	1),
(76041,	5,	1473,	2,	1),
(76042,	5,	1473,	3,	1),
(76043,	5,	1473,	23,	1),
(76044,	5,	1474,	1,	1),
(76045,	5,	1474,	2,	1),
(76046,	5,	1474,	3,	1),
(76047,	5,	1475,	1,	1),
(76048,	5,	1475,	2,	1),
(76049,	5,	1475,	3,	1),
(76050,	5,	1476,	1,	1),
(76051,	5,	1476,	2,	1),
(76052,	5,	1476,	3,	1),
(76053,	5,	1476,	23,	1),
(76054,	5,	1477,	1,	1),
(76055,	5,	1477,	2,	1),
(76056,	5,	1477,	3,	1),
(76057,	5,	1478,	1,	1),
(76058,	5,	1478,	2,	1),
(76059,	5,	1478,	3,	1),
(76060,	5,	1479,	1,	1),
(76061,	5,	1479,	2,	1),
(76062,	5,	1479,	3,	1),
(76063,	5,	1480,	1,	1),
(76064,	5,	1480,	2,	1),
(76065,	5,	1480,	3,	1),
(76066,	5,	1481,	1,	1),
(76067,	5,	1481,	2,	1),
(76068,	5,	1481,	3,	1),
(76069,	5,	1481,	1,	2),
(76070,	5,	1481,	2,	2),
(76071,	5,	1481,	3,	2),
(76072,	5,	1482,	1,	1),
(76073,	5,	1482,	2,	1),
(76074,	5,	1482,	3,	1),
(76075,	5,	1483,	1,	1),
(76076,	5,	1483,	2,	1),
(76077,	5,	1483,	3,	1),
(76078,	5,	1484,	1,	1),
(76079,	5,	1484,	2,	1),
(76080,	5,	1484,	3,	1),
(76081,	5,	1485,	1,	1),
(76082,	5,	1485,	2,	1),
(76083,	5,	1485,	3,	1),
(76084,	5,	1486,	1,	1),
(76085,	5,	1486,	2,	1),
(76086,	5,	1486,	3,	1),
(76087,	5,	1487,	1,	1),
(76088,	5,	1487,	2,	1),
(76089,	5,	1487,	3,	1),
(76090,	5,	1488,	1,	1),
(76091,	5,	1488,	2,	1),
(76092,	5,	1488,	3,	1),
(76093,	5,	1489,	1,	1),
(76094,	5,	1489,	2,	1),
(76095,	5,	1489,	3,	1),
(76096,	5,	1490,	1,	1),
(76097,	5,	1490,	2,	1),
(76098,	5,	1490,	3,	1),
(76099,	5,	1491,	1,	1),
(76100,	5,	1491,	2,	1),
(76101,	5,	1491,	3,	1),
(76102,	5,	1492,	1,	1),
(76103,	5,	1492,	2,	1),
(76104,	5,	1492,	3,	1),
(76105,	5,	1493,	1,	1),
(76106,	5,	1493,	2,	1),
(76107,	5,	1493,	3,	1),
(76108,	5,	1494,	1,	1),
(76109,	5,	1494,	2,	1),
(76110,	5,	1494,	3,	1),
(76111,	5,	1495,	1,	1),
(76112,	5,	1495,	2,	1),
(76113,	5,	1495,	3,	1),
(76114,	5,	1496,	1,	1),
(76115,	5,	1496,	2,	1),
(76116,	5,	1496,	3,	1),
(76117,	5,	1496,	75,	1),
(76118,	5,	1496,	76,	1),
(76119,	5,	1496,	77,	1),
(76120,	5,	1496,	78,	1),
(76121,	5,	1496,	79,	1),
(76122,	5,	1496,	45,	1),
(76123,	5,	1496,	46,	1),
(76124,	5,	1496,	54,	1),
(76125,	5,	1496,	28,	1),
(76126,	5,	1496,	61,	1),
(76127,	5,	1496,	80,	1),
(76128,	5,	1496,	59,	1),
(76129,	5,	1497,	1,	1),
(76130,	5,	1497,	2,	1),
(76131,	5,	1497,	3,	1),
(76132,	5,	1498,	1,	1),
(76133,	5,	1498,	2,	1),
(76134,	5,	1498,	3,	1),
(76135,	5,	1499,	1,	1),
(76136,	5,	1499,	2,	1),
(76137,	5,	1499,	3,	1),
(76138,	5,	1499,	75,	1),
(76139,	5,	1499,	76,	1),
(76140,	5,	1499,	77,	1),
(76141,	5,	1499,	78,	1),
(76142,	5,	1499,	79,	1),
(76143,	5,	1499,	45,	1),
(76144,	5,	1499,	46,	1),
(76145,	5,	1499,	54,	1),
(76146,	5,	1499,	28,	1),
(76147,	5,	1499,	61,	1),
(76148,	5,	1499,	80,	1),
(76149,	5,	1499,	59,	1),
(76150,	5,	1500,	1,	1),
(76151,	5,	1500,	2,	1),
(76152,	5,	1500,	3,	1),
(76153,	5,	1500,	75,	1),
(76154,	5,	1500,	76,	1),
(76155,	5,	1500,	77,	1),
(76156,	5,	1500,	78,	1),
(76157,	5,	1500,	79,	1),
(76158,	5,	1500,	45,	1),
(76159,	5,	1500,	46,	1),
(76160,	5,	1500,	54,	1),
(76161,	5,	1500,	28,	1),
(76162,	5,	1500,	61,	1),
(76163,	5,	1500,	80,	1),
(76164,	5,	1500,	59,	1),
(76165,	5,	1501,	1,	1),
(76166,	5,	1501,	2,	1),
(76167,	5,	1501,	3,	1),
(76168,	5,	1501,	75,	1),
(76169,	5,	1501,	76,	1),
(76170,	5,	1501,	77,	1),
(76171,	5,	1501,	78,	1),
(76172,	5,	1501,	79,	1),
(76173,	5,	1501,	45,	1),
(76174,	5,	1501,	46,	1),
(76175,	5,	1501,	54,	1),
(76176,	5,	1501,	28,	1),
(76177,	5,	1501,	61,	1),
(76178,	5,	1501,	80,	1),
(76179,	5,	1501,	59,	1),
(76180,	5,	1502,	1,	1),
(76181,	5,	1502,	2,	1),
(76182,	5,	1502,	3,	1),
(76183,	5,	1502,	75,	1),
(76184,	5,	1502,	76,	1),
(76185,	5,	1502,	77,	1),
(76186,	5,	1502,	78,	1),
(76187,	5,	1502,	79,	1),
(76188,	5,	1502,	45,	1),
(76189,	5,	1502,	46,	1),
(76190,	5,	1502,	54,	1),
(76191,	5,	1502,	28,	1),
(76192,	5,	1502,	61,	1),
(76193,	5,	1502,	80,	1),
(76194,	5,	1502,	59,	1),
(76195,	5,	1503,	1,	1),
(76196,	5,	1503,	2,	1),
(76197,	5,	1503,	3,	1),
(76198,	5,	1503,	75,	1),
(76199,	5,	1503,	76,	1),
(76200,	5,	1503,	77,	1),
(76201,	5,	1503,	78,	1),
(76202,	5,	1503,	79,	1),
(76203,	5,	1503,	45,	1),
(76204,	5,	1503,	46,	1),
(76205,	5,	1503,	54,	1),
(76206,	5,	1503,	28,	1),
(76207,	5,	1503,	61,	1),
(76208,	5,	1503,	80,	1),
(76209,	5,	1503,	59,	1),
(76210,	5,	1504,	1,	1),
(76211,	5,	1504,	2,	1),
(76212,	5,	1504,	3,	1),
(76213,	5,	1504,	1,	2),
(76214,	5,	1504,	2,	2),
(76215,	5,	1504,	3,	2),
(76216,	5,	1505,	1,	1),
(76217,	5,	1505,	2,	1),
(76218,	5,	1505,	3,	1),
(76219,	5,	1505,	1,	2),
(76220,	5,	1505,	2,	2),
(76221,	5,	1505,	3,	2),
(76222,	5,	1506,	1,	1),
(76223,	5,	1506,	2,	1),
(76224,	5,	1506,	3,	1),
(76225,	5,	1507,	1,	1),
(76226,	5,	1507,	2,	1),
(76227,	5,	1507,	3,	1),
(76228,	5,	1508,	1,	1),
(76229,	5,	1508,	2,	1),
(76230,	5,	1508,	3,	1),
(76231,	5,	1509,	1,	1),
(76232,	5,	1509,	2,	1),
(76233,	5,	1509,	3,	1),
(76234,	5,	1510,	1,	1),
(76235,	5,	1510,	2,	1),
(76236,	5,	1510,	3,	1),
(76237,	5,	1510,	75,	1),
(76238,	5,	1510,	76,	1),
(76239,	5,	1510,	77,	1),
(76240,	5,	1510,	78,	1),
(76241,	5,	1510,	79,	1),
(76242,	5,	1510,	45,	1),
(76243,	5,	1510,	46,	1),
(76244,	5,	1510,	54,	1),
(76245,	5,	1510,	28,	1),
(76246,	5,	1510,	61,	1),
(76247,	5,	1510,	80,	1),
(76248,	5,	1510,	59,	1),
(76249,	5,	1511,	1,	1),
(76250,	5,	1511,	2,	1),
(76251,	5,	1511,	3,	1),
(76252,	5,	1511,	75,	1),
(76253,	5,	1511,	76,	1),
(76254,	5,	1511,	77,	1),
(76255,	5,	1511,	78,	1),
(76256,	5,	1511,	79,	1),
(76257,	5,	1511,	45,	1),
(76258,	5,	1511,	46,	1),
(76259,	5,	1511,	54,	1),
(76260,	5,	1511,	28,	1),
(76261,	5,	1511,	61,	1),
(76262,	5,	1511,	80,	1),
(76263,	5,	1511,	59,	1),
(76264,	5,	1512,	1,	1),
(76265,	5,	1512,	2,	1),
(76266,	5,	1512,	3,	1),
(76267,	5,	1513,	1,	1),
(76268,	5,	1513,	2,	1),
(76269,	5,	1513,	3,	1),
(76270,	5,	1514,	1,	1),
(76271,	5,	1514,	2,	1),
(76272,	5,	1514,	3,	1),
(76273,	5,	1514,	1,	2),
(76274,	5,	1514,	2,	2),
(76275,	5,	1514,	3,	2),
(76276,	5,	1515,	1,	1),
(76277,	5,	1515,	2,	1),
(76278,	5,	1515,	3,	1),
(76279,	5,	1516,	1,	1),
(76280,	5,	1516,	2,	1),
(76281,	5,	1516,	3,	1),
(76282,	5,	1517,	1,	1),
(76283,	5,	1517,	2,	1),
(76284,	5,	1517,	3,	1),
(76285,	5,	1517,	1,	2),
(76286,	5,	1517,	2,	2),
(76287,	5,	1517,	3,	2),
(76288,	5,	1518,	1,	1),
(76289,	5,	1518,	2,	1),
(76290,	5,	1518,	3,	1),
(76291,	5,	1518,	1,	2),
(76292,	5,	1518,	2,	2),
(76293,	5,	1518,	3,	2),
(76294,	5,	1519,	1,	1),
(76295,	5,	1519,	2,	1),
(76296,	5,	1519,	3,	1),
(76297,	5,	1520,	1,	1),
(76298,	5,	1520,	2,	1),
(76299,	5,	1520,	3,	1),
(76300,	5,	1520,	1,	2),
(76301,	5,	1520,	2,	2),
(76302,	5,	1520,	3,	2),
(76303,	5,	1521,	1,	1),
(76304,	5,	1521,	2,	1),
(76305,	5,	1521,	3,	1),
(76306,	5,	1522,	1,	1),
(76307,	5,	1522,	2,	1),
(76308,	5,	1522,	3,	1),
(76309,	5,	1523,	1,	1),
(76310,	5,	1523,	2,	1),
(76311,	5,	1523,	3,	1),
(76312,	5,	1523,	75,	1),
(76313,	5,	1523,	76,	1),
(76314,	5,	1523,	77,	1),
(76315,	5,	1523,	78,	1),
(76316,	5,	1523,	79,	1),
(76317,	5,	1523,	45,	1),
(76318,	5,	1523,	46,	1),
(76319,	5,	1523,	54,	1),
(76320,	5,	1523,	28,	1),
(76321,	5,	1523,	61,	1),
(76322,	5,	1523,	80,	1),
(76323,	5,	1524,	1,	1),
(76324,	5,	1524,	2,	1),
(76325,	5,	1524,	3,	1),
(76326,	5,	1524,	1,	2),
(76327,	5,	1524,	2,	2),
(76328,	5,	1524,	3,	2),
(76329,	5,	1525,	1,	1),
(76330,	5,	1525,	2,	1),
(76331,	5,	1525,	3,	1),
(76332,	5,	1526,	1,	1),
(76333,	5,	1526,	2,	1),
(76334,	5,	1526,	3,	1),
(76335,	5,	1526,	1,	2),
(76336,	5,	1526,	2,	2),
(76337,	5,	1526,	3,	2),
(76338,	5,	1527,	1,	1),
(76339,	5,	1527,	2,	1),
(76340,	5,	1527,	3,	1),
(76341,	5,	1527,	1,	2),
(76342,	5,	1527,	2,	2),
(76343,	5,	1527,	3,	2),
(76344,	5,	1528,	1,	1),
(76345,	5,	1528,	2,	1),
(76346,	5,	1528,	3,	1),
(76347,	5,	1528,	1,	2),
(76348,	5,	1528,	2,	2),
(76349,	5,	1528,	3,	2),
(76350,	5,	1529,	1,	1),
(76351,	5,	1529,	2,	1),
(76352,	5,	1529,	3,	1),
(76353,	5,	1530,	1,	1),
(76354,	5,	1530,	2,	1),
(76355,	5,	1530,	3,	1),
(76356,	5,	1530,	1,	2),
(76357,	5,	1530,	2,	2),
(76358,	5,	1530,	3,	2),
(76359,	5,	1531,	1,	1),
(76360,	5,	1531,	2,	1),
(76361,	5,	1531,	3,	1),
(76362,	5,	1532,	1,	1),
(76363,	5,	1532,	2,	1),
(76364,	5,	1532,	3,	1),
(76365,	5,	1533,	1,	1),
(76366,	5,	1533,	2,	1),
(76367,	5,	1533,	3,	1),
(76368,	5,	1534,	1,	1),
(76369,	5,	1534,	2,	1),
(76370,	5,	1534,	3,	1),
(76371,	5,	1535,	1,	1),
(76372,	5,	1535,	2,	1),
(76373,	5,	1535,	3,	1),
(76374,	5,	1535,	1,	2),
(76375,	5,	1535,	2,	2),
(76376,	5,	1535,	3,	2),
(76377,	5,	1536,	1,	1),
(76378,	5,	1536,	2,	1),
(76379,	5,	1536,	3,	1),
(76380,	5,	1536,	1,	2),
(76381,	5,	1536,	2,	2),
(76382,	5,	1536,	3,	2),
(76383,	5,	1537,	1,	1),
(76384,	5,	1537,	2,	1),
(76385,	5,	1537,	3,	1),
(76386,	5,	1538,	1,	1),
(76387,	5,	1538,	2,	1),
(76388,	5,	1538,	3,	1),
(76389,	5,	1539,	1,	1),
(76390,	5,	1539,	2,	1),
(76391,	5,	1539,	3,	1),
(76392,	5,	1539,	1,	2),
(76393,	5,	1539,	2,	2),
(76394,	5,	1539,	3,	2),
(76395,	5,	1540,	1,	1),
(76396,	5,	1540,	2,	1),
(76397,	5,	1540,	3,	1),
(76398,	5,	1541,	1,	1),
(76399,	5,	1541,	2,	1),
(76400,	5,	1541,	3,	1),
(76401,	5,	1541,	1,	2),
(76402,	5,	1541,	2,	2),
(76403,	5,	1541,	3,	2),
(76404,	5,	1542,	1,	1),
(76405,	5,	1542,	2,	1),
(76406,	5,	1542,	3,	1),
(76407,	5,	1542,	1,	2),
(76408,	5,	1542,	2,	2),
(76409,	5,	1542,	3,	2),
(76410,	5,	1543,	1,	1),
(76411,	5,	1543,	2,	1),
(76412,	5,	1543,	3,	1),
(76413,	5,	1543,	1,	2),
(76414,	5,	1543,	2,	2),
(76415,	5,	1543,	3,	2),
(76416,	5,	1544,	1,	1),
(76417,	5,	1544,	2,	1),
(76418,	5,	1544,	3,	1),
(76419,	5,	1545,	1,	1),
(76420,	5,	1545,	2,	1),
(76421,	5,	1545,	3,	1),
(76422,	5,	1545,	1,	3),
(76423,	5,	1545,	2,	3),
(76424,	5,	1545,	3,	3),
(76425,	5,	1546,	1,	1),
(76426,	5,	1546,	2,	1),
(76427,	5,	1546,	3,	1),
(76428,	5,	1546,	1,	2),
(76429,	5,	1546,	2,	2),
(76430,	5,	1546,	3,	2),
(76431,	5,	1547,	1,	1),
(76432,	5,	1547,	2,	1),
(76433,	5,	1547,	3,	1),
(76434,	5,	1548,	1,	1),
(76435,	5,	1548,	2,	1),
(76436,	5,	1548,	3,	1),
(76437,	5,	1548,	1,	2),
(76438,	5,	1548,	2,	2),
(76439,	5,	1548,	3,	2),
(76440,	5,	1549,	1,	1),
(76441,	5,	1549,	2,	1),
(76442,	5,	1549,	3,	1),
(76443,	5,	1550,	1,	1),
(76444,	5,	1550,	2,	1),
(76445,	5,	1550,	3,	1),
(76446,	5,	1551,	1,	1),
(76447,	5,	1551,	2,	1),
(76448,	5,	1551,	3,	1),
(76449,	5,	1552,	1,	1),
(76450,	5,	1552,	2,	1),
(76451,	5,	1552,	3,	1),
(76452,	5,	1552,	1,	2),
(76453,	5,	1552,	2,	2),
(76454,	5,	1552,	3,	2),
(76455,	5,	1553,	1,	1),
(76456,	5,	1553,	2,	1),
(76457,	5,	1553,	3,	1),
(76458,	5,	1554,	1,	1),
(76459,	5,	1554,	2,	1),
(76460,	5,	1554,	3,	1),
(76461,	5,	1555,	1,	1),
(76462,	5,	1555,	2,	1),
(76463,	5,	1555,	3,	1),
(76464,	5,	1555,	1,	3),
(76465,	5,	1555,	2,	3),
(76466,	5,	1555,	3,	3),
(76467,	5,	1556,	1,	1),
(76468,	5,	1556,	2,	1),
(76469,	5,	1556,	3,	1),
(76470,	5,	1556,	1,	2),
(76471,	5,	1556,	2,	2),
(76472,	5,	1556,	3,	2),
(76473,	5,	1557,	1,	1),
(76474,	5,	1557,	2,	1),
(76475,	5,	1557,	3,	1),
(76476,	5,	1557,	1,	2),
(76477,	5,	1557,	2,	2),
(76478,	5,	1557,	3,	2),
(76479,	5,	1558,	1,	1),
(76480,	5,	1558,	2,	1),
(76481,	5,	1558,	3,	1),
(76482,	5,	1558,	1,	2),
(76483,	5,	1558,	2,	2),
(76484,	5,	1558,	3,	2),
(76485,	5,	1559,	1,	1),
(76486,	5,	1559,	2,	1),
(76487,	5,	1559,	3,	1),
(76488,	5,	1559,	1,	2),
(76489,	5,	1559,	2,	2),
(76490,	5,	1559,	3,	2),
(76491,	5,	1560,	1,	1),
(76492,	5,	1560,	2,	1),
(76493,	5,	1560,	3,	1),
(76494,	5,	1560,	1,	2),
(76495,	5,	1560,	2,	2),
(76496,	5,	1560,	3,	2),
(76497,	5,	1561,	1,	1),
(76498,	5,	1561,	2,	1),
(76499,	5,	1561,	3,	1),
(76500,	5,	1561,	1,	2),
(76501,	5,	1561,	2,	2),
(76502,	5,	1561,	3,	2),
(76503,	5,	1562,	1,	1),
(76504,	5,	1562,	2,	1),
(76505,	5,	1562,	3,	1),
(76506,	5,	1562,	1,	2),
(76507,	5,	1562,	2,	2),
(76508,	5,	1562,	3,	2),
(76509,	5,	1563,	1,	1),
(76510,	5,	1563,	2,	1),
(76511,	5,	1563,	3,	1),
(76512,	5,	1563,	1,	2),
(76513,	5,	1563,	2,	2),
(76514,	5,	1563,	3,	2),
(76515,	5,	1564,	1,	1),
(76516,	5,	1564,	2,	1),
(76517,	5,	1564,	3,	1),
(76518,	5,	1564,	1,	2),
(76519,	5,	1564,	2,	2),
(76520,	5,	1564,	3,	2),
(76521,	5,	1565,	1,	1),
(76522,	5,	1565,	2,	1),
(76523,	5,	1565,	3,	1),
(76524,	5,	1565,	1,	2),
(76525,	5,	1565,	2,	2),
(76526,	5,	1565,	3,	2),
(76527,	5,	1566,	1,	1),
(76528,	5,	1566,	2,	1),
(76529,	5,	1566,	3,	1),
(76530,	5,	1566,	1,	2),
(76531,	5,	1566,	2,	2),
(76532,	5,	1566,	3,	2),
(76533,	5,	1567,	1,	1),
(76534,	5,	1567,	2,	1),
(76535,	5,	1567,	3,	1),
(76536,	5,	1567,	1,	2),
(76537,	5,	1567,	2,	2),
(76538,	5,	1567,	3,	2),
(76539,	5,	1568,	1,	1),
(76540,	5,	1568,	2,	1),
(76541,	5,	1568,	3,	1),
(76542,	5,	1568,	1,	2),
(76543,	5,	1568,	2,	2),
(76544,	5,	1568,	3,	2),
(76545,	5,	1569,	1,	1),
(76546,	5,	1569,	2,	1),
(76547,	5,	1569,	3,	1),
(76548,	5,	1569,	1,	2),
(76549,	5,	1569,	2,	2),
(76550,	5,	1569,	3,	2),
(76551,	5,	1570,	1,	1),
(76552,	5,	1570,	2,	1),
(76553,	5,	1570,	3,	1),
(76554,	5,	1570,	1,	2),
(76555,	5,	1570,	2,	2),
(76556,	5,	1570,	3,	2),
(76557,	5,	1571,	1,	1),
(76558,	5,	1571,	2,	1),
(76559,	5,	1571,	3,	1),
(76560,	5,	1572,	1,	1),
(76561,	5,	1572,	2,	1),
(76562,	5,	1572,	3,	1),
(76563,	5,	1572,	1,	2),
(76564,	5,	1572,	2,	2),
(76565,	5,	1572,	3,	2),
(76566,	5,	1573,	1,	1),
(76567,	5,	1573,	2,	1),
(76568,	5,	1573,	3,	1),
(76569,	5,	1573,	1,	2),
(76570,	5,	1573,	2,	2),
(76571,	5,	1573,	3,	2),
(76572,	5,	1574,	1,	1),
(76573,	5,	1574,	2,	1),
(76574,	5,	1574,	3,	1),
(76575,	5,	1574,	1,	2),
(76576,	5,	1574,	2,	2),
(76577,	5,	1574,	3,	2),
(76578,	5,	1575,	1,	1),
(76579,	5,	1575,	2,	1),
(76580,	5,	1575,	3,	1),
(76581,	5,	1576,	1,	1),
(76582,	5,	1576,	2,	1),
(76583,	5,	1576,	3,	1),
(76584,	5,	1577,	1,	1),
(76585,	5,	1577,	2,	1),
(76586,	5,	1577,	3,	1),
(76587,	5,	1578,	1,	1),
(76588,	5,	1578,	2,	1),
(76589,	5,	1578,	3,	1),
(76590,	5,	1579,	1,	1),
(76591,	5,	1579,	2,	1),
(76592,	5,	1579,	3,	1),
(76593,	5,	1580,	1,	1),
(76594,	5,	1580,	2,	1),
(76595,	5,	1580,	3,	1),
(76596,	5,	1581,	1,	1),
(76597,	5,	1581,	2,	1),
(76598,	5,	1581,	3,	1),
(76599,	5,	1581,	1,	2),
(76600,	5,	1581,	2,	2),
(76601,	5,	1581,	3,	2),
(76602,	5,	1582,	1,	1),
(76603,	5,	1582,	2,	1),
(76604,	5,	1582,	3,	1),
(76605,	5,	1582,	1,	2),
(76606,	5,	1582,	2,	2),
(76607,	5,	1582,	3,	2),
(76608,	5,	1583,	1,	1),
(76609,	5,	1583,	2,	1),
(76610,	5,	1583,	3,	1),
(76611,	5,	1584,	1,	1),
(76612,	5,	1584,	2,	1),
(76613,	5,	1584,	3,	1),
(76614,	5,	1584,	1,	2),
(76615,	5,	1584,	2,	2),
(76616,	5,	1584,	3,	2),
(76617,	5,	1585,	1,	1),
(76618,	5,	1585,	2,	1),
(76619,	5,	1585,	3,	1),
(76620,	5,	1585,	1,	2),
(76621,	5,	1585,	2,	2),
(76622,	5,	1585,	3,	2),
(76623,	5,	1586,	1,	1),
(76624,	5,	1586,	2,	1),
(76625,	5,	1586,	3,	1),
(76626,	5,	1586,	1,	2),
(76627,	5,	1586,	2,	2),
(76628,	5,	1586,	3,	2),
(76629,	5,	1587,	1,	1),
(76630,	5,	1587,	2,	1),
(76631,	5,	1587,	3,	1),
(76632,	5,	1588,	1,	1),
(76633,	5,	1588,	2,	1),
(76634,	5,	1588,	3,	1),
(76635,	5,	1588,	1,	2),
(76636,	5,	1588,	2,	2),
(76637,	5,	1588,	3,	2),
(76638,	5,	1589,	1,	1),
(76639,	5,	1589,	2,	1),
(76640,	5,	1589,	3,	1),
(76641,	5,	1589,	1,	2),
(76642,	5,	1589,	2,	2),
(76643,	5,	1589,	3,	2),
(76644,	5,	1590,	1,	1),
(76645,	5,	1590,	2,	1),
(76646,	5,	1590,	3,	1),
(76647,	5,	1590,	1,	2),
(76648,	5,	1590,	2,	2),
(76649,	5,	1590,	3,	2),
(76650,	5,	1591,	1,	1),
(76651,	5,	1591,	2,	1),
(76652,	5,	1591,	3,	1),
(76653,	5,	1591,	1,	2),
(76654,	5,	1591,	2,	2),
(76655,	5,	1591,	3,	2),
(76656,	5,	1592,	1,	1),
(76657,	5,	1592,	2,	1),
(76658,	5,	1592,	3,	1),
(76659,	5,	1592,	1,	2),
(76660,	5,	1592,	2,	2),
(76661,	5,	1592,	3,	2),
(76662,	5,	1593,	1,	1),
(76663,	5,	1593,	2,	1),
(76664,	5,	1593,	3,	1),
(76665,	5,	1593,	1,	2),
(76666,	5,	1593,	2,	2),
(76667,	5,	1593,	3,	2),
(76668,	5,	1594,	1,	1),
(76669,	5,	1594,	2,	1),
(76670,	5,	1594,	3,	1),
(76671,	5,	1594,	1,	2),
(76672,	5,	1594,	2,	2),
(76673,	5,	1594,	3,	2),
(76674,	5,	1595,	1,	1),
(76675,	5,	1595,	2,	1),
(76676,	5,	1595,	3,	1),
(76677,	5,	1595,	1,	2),
(76678,	5,	1595,	2,	2),
(76679,	5,	1595,	3,	2),
(76680,	5,	1596,	1,	1),
(76681,	5,	1596,	2,	1),
(76682,	5,	1596,	3,	1),
(76683,	5,	1596,	1,	2),
(76684,	5,	1596,	2,	2),
(76685,	5,	1596,	3,	2),
(76686,	5,	1597,	1,	1),
(76687,	5,	1597,	2,	1),
(76688,	5,	1597,	3,	1),
(76689,	5,	1597,	1,	2),
(76690,	5,	1597,	2,	2),
(76691,	5,	1597,	3,	2),
(76692,	5,	1598,	1,	1),
(76693,	5,	1598,	2,	1),
(76694,	5,	1598,	3,	1),
(76695,	5,	1598,	1,	2),
(76696,	5,	1598,	2,	2),
(76697,	5,	1598,	3,	2),
(76698,	5,	1599,	1,	1),
(76699,	5,	1599,	2,	1),
(76700,	5,	1599,	3,	1),
(76701,	5,	1599,	1,	2),
(76702,	5,	1599,	2,	2),
(76703,	5,	1599,	3,	2),
(76704,	5,	1600,	1,	1),
(76705,	5,	1600,	2,	1),
(76706,	5,	1600,	3,	1),
(76707,	5,	1600,	1,	2),
(76708,	5,	1600,	2,	2),
(76709,	5,	1600,	3,	2),
(76710,	5,	1601,	1,	1),
(76711,	5,	1601,	2,	1),
(76712,	5,	1601,	3,	1),
(76713,	5,	1601,	1,	2),
(76714,	5,	1601,	2,	2),
(76715,	5,	1601,	3,	2),
(76716,	5,	1602,	1,	1),
(76717,	5,	1602,	2,	1),
(76718,	5,	1602,	3,	1),
(76719,	5,	1602,	1,	3),
(76720,	5,	1602,	2,	3),
(76721,	5,	1602,	3,	3),
(76722,	5,	1603,	1,	1),
(76723,	5,	1603,	2,	1),
(76724,	5,	1603,	3,	1),
(76725,	5,	1603,	1,	2),
(76726,	5,	1603,	2,	2),
(76727,	5,	1603,	3,	2),
(76728,	5,	1604,	1,	1),
(76729,	5,	1604,	2,	1),
(76730,	5,	1604,	3,	1),
(76731,	5,	1604,	1,	2),
(76732,	5,	1604,	2,	2),
(76733,	5,	1604,	3,	2),
(76734,	5,	1605,	1,	1),
(76735,	5,	1605,	2,	1),
(76736,	5,	1605,	3,	1),
(76737,	5,	1605,	1,	2),
(76738,	5,	1605,	2,	2),
(76739,	5,	1605,	3,	2),
(76740,	5,	1606,	1,	1),
(76741,	5,	1606,	2,	1),
(76742,	5,	1606,	3,	1),
(76743,	5,	1606,	1,	2),
(76744,	5,	1606,	2,	2),
(76745,	5,	1606,	3,	2),
(76746,	5,	1607,	1,	1),
(76747,	5,	1607,	2,	1),
(76748,	5,	1607,	3,	1),
(76749,	5,	1607,	1,	2),
(76750,	5,	1607,	2,	2),
(76751,	5,	1607,	3,	2),
(76752,	5,	1608,	1,	1),
(76753,	5,	1608,	2,	1),
(76754,	5,	1608,	3,	1),
(76755,	5,	1608,	1,	2),
(76756,	5,	1608,	2,	2),
(76757,	5,	1608,	3,	2),
(76758,	5,	1609,	1,	1),
(76759,	5,	1609,	2,	1),
(76760,	5,	1609,	3,	1),
(76761,	5,	1609,	1,	2),
(76762,	5,	1609,	2,	2),
(76763,	5,	1609,	3,	2),
(76764,	5,	1610,	1,	1),
(76765,	5,	1610,	2,	1),
(76766,	5,	1610,	3,	1),
(76767,	5,	1610,	1,	2),
(76768,	5,	1610,	2,	2),
(76769,	5,	1610,	3,	2),
(76770,	5,	1611,	1,	1),
(76771,	5,	1611,	2,	1),
(76772,	5,	1611,	3,	1),
(76773,	5,	1611,	1,	2),
(76774,	5,	1611,	2,	2),
(76775,	5,	1611,	3,	2),
(76776,	5,	1612,	1,	1),
(76777,	5,	1612,	2,	1),
(76778,	5,	1612,	3,	1),
(76779,	5,	1612,	1,	2),
(76780,	5,	1612,	2,	2),
(76781,	5,	1612,	3,	2),
(76782,	5,	1613,	1,	1),
(76783,	5,	1613,	2,	1),
(76784,	5,	1613,	3,	1),
(76785,	5,	1613,	1,	2),
(76786,	5,	1613,	2,	2),
(76787,	5,	1613,	3,	2),
(76788,	5,	1614,	1,	1),
(76789,	5,	1614,	2,	1),
(76790,	5,	1614,	3,	1),
(76791,	5,	1614,	1,	2),
(76792,	5,	1614,	2,	2),
(76793,	5,	1614,	3,	2),
(76794,	5,	1615,	1,	1),
(76795,	5,	1615,	2,	1),
(76796,	5,	1615,	3,	1),
(76797,	5,	1615,	1,	2),
(76798,	5,	1615,	2,	2),
(76799,	5,	1615,	3,	2),
(76800,	5,	1616,	1,	1),
(76801,	5,	1616,	2,	1),
(76802,	5,	1616,	3,	1),
(76803,	5,	1616,	1,	2),
(76804,	5,	1616,	2,	2),
(76805,	5,	1616,	3,	2),
(76806,	5,	1617,	1,	1),
(76807,	5,	1617,	2,	1),
(76808,	5,	1617,	3,	1),
(76809,	5,	1617,	1,	2),
(76810,	5,	1617,	2,	2),
(76811,	5,	1617,	3,	2),
(76812,	5,	1618,	1,	1),
(76813,	5,	1618,	2,	1),
(76814,	5,	1618,	3,	1),
(76815,	5,	1618,	1,	2),
(76816,	5,	1618,	2,	2),
(76817,	5,	1618,	3,	2),
(76818,	5,	1619,	1,	1),
(76819,	5,	1619,	2,	1),
(76820,	5,	1619,	3,	1),
(76821,	5,	1619,	1,	2),
(76822,	5,	1619,	2,	2),
(76823,	5,	1619,	3,	2),
(76824,	5,	1620,	1,	1),
(76825,	5,	1620,	2,	1),
(76826,	5,	1620,	3,	1),
(76827,	5,	1620,	1,	2),
(76828,	5,	1620,	2,	2),
(76829,	5,	1620,	3,	2),
(76830,	5,	1621,	1,	1),
(76831,	5,	1621,	2,	1),
(76832,	5,	1621,	3,	1),
(76833,	5,	1621,	1,	2),
(76834,	5,	1621,	2,	2),
(76835,	5,	1621,	3,	2),
(76836,	5,	1622,	1,	1),
(76837,	5,	1622,	2,	1),
(76838,	5,	1622,	3,	1),
(76839,	5,	1622,	1,	2),
(76840,	5,	1622,	2,	2),
(76841,	5,	1622,	3,	2),
(76842,	5,	1623,	1,	1),
(76843,	5,	1623,	2,	1),
(76844,	5,	1623,	3,	1),
(76845,	5,	1623,	1,	2),
(76846,	5,	1623,	2,	2),
(76847,	5,	1623,	3,	2),
(76848,	5,	1624,	1,	1),
(76849,	5,	1624,	2,	1),
(76850,	5,	1624,	3,	1),
(76851,	5,	1625,	1,	1),
(76852,	5,	1625,	2,	1),
(76853,	5,	1625,	3,	1),
(76854,	5,	1626,	1,	1),
(76855,	5,	1626,	2,	1),
(76856,	5,	1626,	3,	1),
(76857,	5,	1627,	1,	1),
(76858,	5,	1627,	2,	1),
(76859,	5,	1627,	3,	1),
(76860,	5,	1627,	1,	2),
(76861,	5,	1627,	2,	2),
(76862,	5,	1627,	3,	2),
(76863,	5,	1628,	1,	1),
(76864,	5,	1628,	2,	1),
(76865,	5,	1628,	3,	1),
(76866,	5,	1628,	1,	2),
(76867,	5,	1628,	2,	2),
(76868,	5,	1628,	3,	2),
(76869,	5,	1629,	1,	1),
(76870,	5,	1629,	2,	1),
(76871,	5,	1629,	3,	1),
(76872,	5,	1629,	1,	2),
(76873,	5,	1629,	2,	2),
(76874,	5,	1629,	3,	2),
(76875,	5,	1630,	1,	1),
(76876,	5,	1630,	2,	1),
(76877,	5,	1630,	3,	1),
(76878,	5,	1630,	1,	2),
(76879,	5,	1630,	2,	2),
(76880,	5,	1630,	3,	2),
(76881,	5,	1631,	1,	1),
(76882,	5,	1631,	2,	1),
(76883,	5,	1631,	3,	1),
(76884,	5,	1631,	81,	1),
(76885,	5,	1631,	1,	2),
(76886,	5,	1631,	2,	2),
(76887,	5,	1631,	3,	2),
(76888,	5,	1631,	81,	2),
(76889,	5,	1632,	1,	1),
(76890,	5,	1632,	2,	1),
(76891,	5,	1632,	3,	1),
(76892,	5,	1632,	4,	1),
(76893,	5,	1632,	5,	1),
(76894,	5,	1633,	1,	1),
(76895,	5,	1633,	2,	1),
(76896,	5,	1633,	3,	1),
(76897,	5,	1633,	1,	2),
(76898,	5,	1633,	2,	2),
(76899,	5,	1633,	3,	2),
(76900,	5,	1634,	1,	1),
(76901,	5,	1634,	2,	1),
(76902,	5,	1634,	3,	1),
(76903,	5,	1634,	26,	1),
(76904,	5,	1634,	4,	1),
(76905,	5,	1634,	1,	2),
(76906,	5,	1634,	2,	2),
(76907,	5,	1634,	3,	2),
(76908,	5,	1634,	26,	2),
(76909,	5,	1634,	4,	2),
(76910,	5,	1635,	1,	1),
(76911,	5,	1635,	2,	1),
(76912,	5,	1635,	3,	1),
(76913,	5,	1635,	4,	1),
(76914,	5,	1635,	5,	1),
(76915,	5,	1635,	82,	1),
(76916,	5,	1636,	1,	1),
(76917,	5,	1636,	2,	1),
(76918,	5,	1636,	3,	1),
(76919,	5,	1636,	4,	1),
(76920,	5,	1636,	5,	1),
(76921,	5,	1636,	82,	1),
(76922,	5,	1637,	1,	1),
(76923,	5,	1637,	2,	1),
(76924,	5,	1637,	3,	1),
(76925,	5,	1637,	1,	2),
(76926,	5,	1637,	2,	2),
(76927,	5,	1637,	3,	2),
(76928,	5,	1638,	1,	1),
(76929,	5,	1638,	2,	1),
(76930,	5,	1638,	3,	1),
(76931,	5,	1638,	81,	1),
(76932,	5,	1638,	4,	1),
(76933,	5,	1638,	26,	1),
(76934,	5,	1638,	1,	2),
(76935,	5,	1638,	2,	2),
(76936,	5,	1638,	3,	2),
(76937,	5,	1638,	81,	2),
(76938,	5,	1638,	4,	2),
(76939,	5,	1638,	26,	2),
(76940,	5,	1639,	1,	1),
(76941,	5,	1639,	2,	1),
(76942,	5,	1639,	3,	1),
(76943,	5,	1639,	1,	2),
(76944,	5,	1639,	2,	2),
(76945,	5,	1639,	3,	2),
(76946,	5,	1640,	1,	1),
(76947,	5,	1640,	2,	1),
(76948,	5,	1640,	3,	1),
(76949,	5,	1641,	1,	1),
(76950,	5,	1641,	2,	1),
(76951,	5,	1641,	3,	1),
(76952,	5,	1641,	1,	2),
(76953,	5,	1641,	2,	2),
(76954,	5,	1641,	3,	2),
(76955,	5,	1642,	1,	1),
(76956,	5,	1642,	2,	1),
(76957,	5,	1642,	3,	1),
(76958,	5,	1642,	1,	2),
(76959,	5,	1642,	2,	2),
(76960,	5,	1642,	3,	2),
(76961,	5,	1643,	1,	1),
(76962,	5,	1643,	2,	1),
(76963,	5,	1643,	3,	1),
(76964,	5,	1644,	1,	1),
(76965,	5,	1644,	2,	1),
(76966,	5,	1644,	3,	1),
(76967,	5,	1645,	1,	1),
(76968,	5,	1645,	2,	1),
(76969,	5,	1645,	3,	1),
(76970,	5,	1646,	1,	1),
(76971,	5,	1646,	2,	1),
(76972,	5,	1646,	3,	1),
(76973,	5,	1647,	1,	1),
(76974,	5,	1647,	2,	1),
(76975,	5,	1647,	3,	1),
(76976,	5,	1647,	1,	3),
(76977,	5,	1647,	2,	3),
(76978,	5,	1647,	3,	3),
(76979,	5,	1648,	1,	1),
(76980,	5,	1648,	2,	1),
(76981,	5,	1648,	3,	1),
(76982,	5,	1649,	1,	1),
(76983,	5,	1649,	2,	1),
(76984,	5,	1649,	3,	1),
(76985,	5,	1650,	1,	1),
(76986,	5,	1650,	2,	1),
(76987,	5,	1650,	3,	1),
(76988,	5,	1651,	1,	1),
(76989,	5,	1651,	2,	1),
(76990,	5,	1651,	3,	1),
(76991,	5,	1651,	1,	2),
(76992,	5,	1651,	2,	2),
(76993,	5,	1651,	3,	2),
(76994,	5,	1652,	1,	1),
(76995,	5,	1652,	2,	1),
(76996,	5,	1652,	3,	1),
(76997,	5,	1653,	1,	1),
(76998,	5,	1653,	2,	1),
(76999,	5,	1653,	3,	1),
(77000,	5,	1653,	1,	2),
(77001,	5,	1653,	2,	2),
(77002,	5,	1653,	3,	2),
(77003,	5,	1654,	1,	1),
(77004,	5,	1654,	2,	1),
(77005,	5,	1654,	3,	1),
(77006,	5,	1654,	1,	2),
(77007,	5,	1654,	2,	2),
(77008,	5,	1654,	3,	2),
(77009,	5,	1655,	1,	1),
(77010,	5,	1655,	2,	1),
(77011,	5,	1655,	3,	1),
(77012,	5,	1655,	1,	2),
(77013,	5,	1655,	2,	2),
(77014,	5,	1655,	3,	2),
(77015,	5,	1656,	1,	1),
(77016,	5,	1656,	2,	1),
(77017,	5,	1656,	3,	1),
(77018,	5,	1657,	1,	1),
(77019,	5,	1657,	2,	1),
(77020,	5,	1657,	3,	1),
(77021,	5,	1658,	1,	1),
(77022,	5,	1658,	2,	1),
(77023,	5,	1658,	3,	1),
(77024,	5,	1658,	1,	2),
(77025,	5,	1658,	2,	2),
(77026,	5,	1658,	3,	2),
(77027,	5,	1659,	1,	1),
(77028,	5,	1659,	2,	1),
(77029,	5,	1659,	3,	1),
(77030,	5,	1659,	1,	2),
(77031,	5,	1659,	2,	2),
(77032,	5,	1659,	3,	2),
(77033,	5,	1660,	1,	1),
(77034,	5,	1660,	2,	1),
(77035,	5,	1660,	3,	1),
(77036,	5,	1661,	1,	1),
(77037,	5,	1661,	2,	1),
(77038,	5,	1661,	3,	1),
(77039,	5,	1661,	1,	2),
(77040,	5,	1661,	2,	2),
(77041,	5,	1661,	3,	2),
(77042,	5,	1662,	1,	1),
(77043,	5,	1662,	2,	1),
(77044,	5,	1662,	3,	1),
(77045,	5,	1662,	1,	2),
(77046,	5,	1662,	2,	2),
(77047,	5,	1662,	3,	2),
(77048,	5,	1663,	1,	1),
(77049,	5,	1663,	2,	1),
(77050,	5,	1663,	3,	1),
(77051,	5,	1664,	1,	1),
(77052,	5,	1664,	2,	1),
(77053,	5,	1664,	3,	1),
(77054,	5,	1664,	1,	2),
(77055,	5,	1664,	2,	2),
(77056,	5,	1664,	3,	2),
(77057,	5,	1665,	1,	1),
(77058,	5,	1665,	2,	1),
(77059,	5,	1665,	3,	1),
(77060,	5,	1665,	1,	2),
(77061,	5,	1665,	2,	2),
(77062,	5,	1665,	3,	2),
(77063,	5,	1666,	1,	1),
(77064,	5,	1666,	2,	1),
(77065,	5,	1666,	3,	1),
(77066,	5,	1667,	1,	1),
(77067,	5,	1667,	2,	1),
(77068,	5,	1667,	3,	1),
(77069,	5,	1667,	1,	2),
(77070,	5,	1667,	2,	2),
(77071,	5,	1667,	3,	2),
(77072,	5,	1668,	1,	1),
(77073,	5,	1668,	2,	1),
(77074,	5,	1668,	3,	1),
(77075,	5,	1668,	1,	2),
(77076,	5,	1668,	2,	2),
(77077,	5,	1668,	3,	2),
(77078,	5,	1669,	1,	1),
(77079,	5,	1669,	2,	1),
(77080,	5,	1669,	3,	1),
(77081,	5,	1669,	1,	2),
(77082,	5,	1669,	2,	2),
(77083,	5,	1669,	3,	2),
(77084,	5,	1670,	1,	1),
(77085,	5,	1670,	2,	1),
(77086,	5,	1670,	3,	1),
(77087,	5,	1670,	1,	2),
(77088,	5,	1670,	2,	2),
(77089,	5,	1670,	3,	2),
(77090,	5,	1671,	1,	1),
(77091,	5,	1671,	2,	1),
(77092,	5,	1671,	3,	1),
(77093,	5,	1671,	1,	2),
(77094,	5,	1671,	2,	2),
(77095,	5,	1671,	3,	2),
(77096,	5,	1672,	1,	1),
(77097,	5,	1672,	2,	1),
(77098,	5,	1672,	3,	1),
(77099,	5,	1672,	1,	2),
(77100,	5,	1672,	2,	2),
(77101,	5,	1672,	3,	2),
(77102,	5,	1673,	1,	1),
(77103,	5,	1673,	2,	1),
(77104,	5,	1673,	3,	1),
(77105,	5,	1673,	1,	2),
(77106,	5,	1673,	2,	2),
(77107,	5,	1673,	3,	2),
(77108,	5,	1674,	1,	1),
(77109,	5,	1674,	2,	1),
(77110,	5,	1674,	3,	1),
(77111,	5,	1674,	1,	2),
(77112,	5,	1674,	2,	2),
(77113,	5,	1674,	3,	2),
(77114,	5,	1675,	1,	1),
(77115,	5,	1675,	2,	1),
(77116,	5,	1675,	3,	1),
(77117,	5,	1675,	1,	2),
(77118,	5,	1675,	2,	2),
(77119,	5,	1675,	3,	2),
(77120,	5,	1676,	1,	1),
(77121,	5,	1676,	2,	1),
(77122,	5,	1676,	3,	1),
(77123,	5,	1677,	1,	1),
(77124,	5,	1677,	2,	1),
(77125,	5,	1677,	3,	1),
(77126,	5,	1677,	1,	2),
(77127,	5,	1677,	2,	2),
(77128,	5,	1677,	3,	2),
(77129,	5,	1678,	1,	1),
(77130,	5,	1678,	2,	1),
(77131,	5,	1678,	3,	1),
(77132,	5,	1678,	1,	2),
(77133,	5,	1678,	2,	2),
(77134,	5,	1678,	3,	2),
(77135,	5,	1679,	1,	1),
(77136,	5,	1679,	2,	1),
(77137,	5,	1679,	3,	1),
(77138,	5,	1679,	1,	2),
(77139,	5,	1679,	2,	2),
(77140,	5,	1679,	3,	2),
(77141,	5,	1680,	1,	1),
(77142,	5,	1680,	2,	1),
(77143,	5,	1680,	3,	1),
(77144,	5,	1680,	1,	2),
(77145,	5,	1680,	2,	2),
(77146,	5,	1680,	3,	2),
(77147,	5,	1681,	1,	1),
(77148,	5,	1681,	2,	1),
(77149,	5,	1681,	3,	1),
(77150,	5,	1681,	1,	2),
(77151,	5,	1681,	2,	2),
(77152,	5,	1681,	3,	2),
(77153,	5,	1682,	1,	1),
(77154,	5,	1682,	2,	1),
(77155,	5,	1682,	3,	1),
(77156,	5,	1682,	1,	2),
(77157,	5,	1682,	2,	2),
(77158,	5,	1682,	3,	2),
(77159,	5,	1683,	1,	1),
(77160,	5,	1683,	2,	1),
(77161,	5,	1683,	3,	1),
(77162,	5,	1683,	1,	2),
(77163,	5,	1683,	2,	2),
(77164,	5,	1683,	3,	2),
(77165,	5,	1684,	1,	1),
(77166,	5,	1684,	2,	1),
(77167,	5,	1684,	3,	1),
(77168,	5,	1684,	1,	2),
(77169,	5,	1684,	2,	2),
(77170,	5,	1684,	3,	2),
(77171,	5,	1685,	1,	1),
(77172,	5,	1685,	2,	1),
(77173,	5,	1685,	3,	1),
(77174,	5,	1685,	1,	2),
(77175,	5,	1685,	2,	2),
(77176,	5,	1685,	3,	2),
(77177,	5,	1686,	1,	1),
(77178,	5,	1686,	2,	1),
(77179,	5,	1686,	3,	1),
(77180,	5,	1686,	1,	3),
(77181,	5,	1686,	2,	3),
(77182,	5,	1686,	3,	3),
(77183,	5,	1687,	1,	1),
(77184,	5,	1687,	2,	1),
(77185,	5,	1687,	3,	1),
(77186,	5,	1687,	1,	2),
(77187,	5,	1687,	2,	2),
(77188,	5,	1687,	3,	2),
(77189,	5,	1688,	1,	1),
(77190,	5,	1688,	2,	1),
(77191,	5,	1688,	3,	1),
(77192,	5,	1688,	1,	2),
(77193,	5,	1688,	2,	2),
(77194,	5,	1688,	3,	2),
(77195,	5,	1689,	1,	1),
(77196,	5,	1689,	2,	1),
(77197,	5,	1689,	3,	1),
(77198,	5,	1689,	1,	2),
(77199,	5,	1689,	2,	2),
(77200,	5,	1689,	3,	2),
(77201,	5,	1690,	1,	1),
(77202,	5,	1690,	2,	1),
(77203,	5,	1690,	3,	1),
(77204,	5,	1690,	1,	2),
(77205,	5,	1690,	2,	2),
(77206,	5,	1690,	3,	2),
(77207,	5,	1691,	1,	1),
(77208,	5,	1691,	2,	1),
(77209,	5,	1691,	3,	1),
(77210,	5,	1691,	1,	2),
(77211,	5,	1691,	2,	2),
(77212,	5,	1691,	3,	2),
(77213,	5,	1692,	1,	1),
(77214,	5,	1692,	2,	1),
(77215,	5,	1692,	3,	1),
(77216,	5,	1692,	1,	3),
(77217,	5,	1692,	2,	3),
(77218,	5,	1692,	3,	3),
(77219,	5,	1693,	1,	1),
(77220,	5,	1693,	2,	1),
(77221,	5,	1693,	3,	1),
(77222,	5,	1693,	1,	2),
(77223,	5,	1693,	2,	2),
(77224,	5,	1693,	3,	2),
(77225,	5,	1694,	1,	1),
(77226,	5,	1694,	2,	1),
(77227,	5,	1694,	3,	1),
(77228,	5,	1694,	1,	2),
(77229,	5,	1694,	2,	2),
(77230,	5,	1694,	3,	2),
(77231,	5,	1695,	1,	1),
(77232,	5,	1695,	2,	1),
(77233,	5,	1695,	3,	1),
(77234,	5,	1695,	1,	3),
(77235,	5,	1695,	2,	3),
(77236,	5,	1695,	3,	3),
(77237,	5,	1696,	1,	1),
(77238,	5,	1696,	2,	1),
(77239,	5,	1696,	3,	1),
(77240,	5,	1696,	1,	3),
(77241,	5,	1696,	2,	3),
(77242,	5,	1696,	3,	3),
(77243,	5,	1696,	1,	2),
(77244,	5,	1696,	2,	2),
(77245,	5,	1696,	3,	2),
(77246,	5,	1697,	1,	1),
(77247,	5,	1697,	2,	1),
(77248,	5,	1697,	3,	1),
(77249,	5,	1697,	1,	3),
(77250,	5,	1697,	2,	3),
(77251,	5,	1697,	3,	3),
(77252,	5,	1698,	1,	1),
(77253,	5,	1698,	2,	1),
(77254,	5,	1698,	3,	1),
(77255,	5,	1698,	1,	2),
(77256,	5,	1698,	2,	2),
(77257,	5,	1698,	3,	2),
(77258,	5,	1699,	1,	1),
(77259,	5,	1699,	2,	1),
(77260,	5,	1699,	3,	1),
(77261,	5,	1699,	1,	2),
(77262,	5,	1699,	2,	2),
(77263,	5,	1699,	3,	2),
(77264,	5,	1700,	1,	1),
(77265,	5,	1700,	2,	1),
(77266,	5,	1700,	3,	1),
(77267,	5,	1700,	1,	2),
(77268,	5,	1700,	2,	2),
(77269,	5,	1700,	3,	2),
(77270,	5,	1701,	1,	1),
(77271,	5,	1701,	2,	1),
(77272,	5,	1701,	3,	1),
(77273,	5,	1701,	1,	2),
(77274,	5,	1701,	2,	2),
(77275,	5,	1701,	3,	2),
(77276,	5,	1702,	1,	1),
(77277,	5,	1702,	2,	1),
(77278,	5,	1702,	3,	1),
(77279,	5,	1702,	1,	2),
(77280,	5,	1702,	2,	2),
(77281,	5,	1702,	3,	2),
(77282,	5,	1703,	1,	1),
(77283,	5,	1703,	2,	1),
(77284,	5,	1703,	3,	1),
(77285,	5,	1703,	1,	3),
(77286,	5,	1703,	2,	3),
(77287,	5,	1703,	3,	3),
(77288,	5,	1704,	1,	1),
(77289,	5,	1704,	2,	1),
(77290,	5,	1704,	3,	1),
(77291,	5,	1704,	1,	2),
(77292,	5,	1704,	2,	2),
(77293,	5,	1704,	3,	2),
(77294,	5,	1705,	1,	1),
(77295,	5,	1705,	2,	1),
(77296,	5,	1705,	3,	1),
(77297,	5,	1705,	1,	2),
(77298,	5,	1705,	2,	2),
(77299,	5,	1705,	3,	2),
(77300,	5,	1706,	1,	1),
(77301,	5,	1706,	2,	1),
(77302,	5,	1706,	3,	1),
(77303,	5,	1706,	1,	3),
(77304,	5,	1706,	2,	3),
(77305,	5,	1706,	3,	3),
(77306,	5,	1707,	1,	1),
(77307,	5,	1707,	2,	1),
(77308,	5,	1707,	3,	1),
(77309,	5,	1707,	1,	2),
(77310,	5,	1707,	2,	2),
(77311,	5,	1707,	3,	2),
(77312,	5,	1708,	1,	1),
(77313,	5,	1708,	2,	1),
(77314,	5,	1708,	3,	1),
(77315,	5,	1708,	1,	3),
(77316,	5,	1708,	2,	3),
(77317,	5,	1708,	3,	3),
(77318,	5,	1709,	1,	1),
(77319,	5,	1709,	2,	1),
(77320,	5,	1709,	3,	1),
(77321,	5,	1709,	1,	2),
(77322,	5,	1709,	2,	2),
(77323,	5,	1709,	3,	2),
(77324,	5,	1710,	1,	1),
(77325,	5,	1710,	2,	1),
(77326,	5,	1710,	3,	1),
(77327,	5,	1710,	1,	3),
(77328,	5,	1710,	2,	3),
(77329,	5,	1710,	3,	3),
(77330,	5,	1711,	1,	1),
(77331,	5,	1711,	2,	1),
(77332,	5,	1711,	3,	1),
(77333,	5,	1711,	1,	2),
(77334,	5,	1711,	2,	2),
(77335,	5,	1711,	3,	2),
(77336,	5,	1712,	1,	1),
(77337,	5,	1712,	2,	1),
(77338,	5,	1712,	3,	1),
(77339,	5,	1712,	1,	2),
(77340,	5,	1712,	2,	2),
(77341,	5,	1712,	3,	2),
(77342,	5,	1713,	1,	1),
(77343,	5,	1713,	2,	1),
(77344,	5,	1713,	3,	1),
(77345,	5,	1713,	1,	3),
(77346,	5,	1713,	2,	3),
(77347,	5,	1713,	3,	3),
(77348,	5,	1714,	1,	1),
(77349,	5,	1714,	2,	1),
(77350,	5,	1714,	3,	1),
(77351,	5,	1714,	83,	1),
(77352,	5,	1714,	1,	2),
(77353,	5,	1714,	2,	2),
(77354,	5,	1714,	3,	2),
(77355,	5,	1714,	83,	2),
(77356,	5,	1715,	1,	1),
(77357,	5,	1715,	2,	1),
(77358,	5,	1715,	3,	1),
(77359,	5,	1715,	1,	3),
(77360,	5,	1715,	2,	3),
(77361,	5,	1715,	3,	3),
(77362,	5,	1716,	1,	1),
(77363,	5,	1716,	2,	1),
(77364,	5,	1716,	3,	1),
(77365,	5,	1716,	1,	2),
(77366,	5,	1716,	2,	2),
(77367,	5,	1716,	3,	2),
(77368,	5,	1717,	1,	1),
(77369,	5,	1717,	2,	1),
(77370,	5,	1717,	3,	1),
(77371,	5,	1717,	1,	3),
(77372,	5,	1717,	2,	3),
(77373,	5,	1717,	3,	3),
(77374,	5,	1718,	1,	1),
(77375,	5,	1718,	2,	1),
(77376,	5,	1718,	3,	1),
(77377,	5,	1718,	1,	2),
(77378,	5,	1718,	2,	2),
(77379,	5,	1718,	3,	2),
(77380,	5,	1719,	1,	1),
(77381,	5,	1719,	2,	1),
(77382,	5,	1719,	3,	1),
(77383,	5,	1719,	1,	2),
(77384,	5,	1719,	2,	2),
(77385,	5,	1719,	3,	2),
(77386,	5,	1720,	1,	1),
(77387,	5,	1720,	2,	1),
(77388,	5,	1720,	3,	1),
(77389,	5,	1720,	1,	2),
(77390,	5,	1720,	2,	2),
(77391,	5,	1720,	3,	2),
(77392,	5,	1721,	1,	1),
(77393,	5,	1721,	2,	1),
(77394,	5,	1721,	3,	1),
(77395,	5,	1721,	1,	3),
(77396,	5,	1721,	2,	3),
(77397,	5,	1721,	3,	3),
(77398,	5,	1722,	1,	1),
(77399,	5,	1722,	2,	1),
(77400,	5,	1722,	3,	1),
(77401,	5,	1722,	1,	2),
(77402,	5,	1722,	2,	2),
(77403,	5,	1722,	3,	2),
(77404,	5,	1723,	1,	1),
(77405,	5,	1723,	2,	1),
(77406,	5,	1723,	3,	1),
(77407,	5,	1723,	1,	2),
(77408,	5,	1723,	2,	2),
(77409,	5,	1723,	3,	2),
(77410,	5,	1724,	1,	1),
(77411,	5,	1724,	2,	1),
(77412,	5,	1724,	3,	1),
(77413,	5,	1724,	1,	2),
(77414,	5,	1724,	2,	2),
(77415,	5,	1724,	3,	2),
(77416,	5,	1725,	1,	1),
(77417,	5,	1725,	2,	1),
(77418,	5,	1725,	3,	1),
(77419,	5,	1725,	1,	2),
(77420,	5,	1725,	2,	2),
(77421,	5,	1725,	3,	2),
(77422,	5,	1726,	1,	1),
(77423,	5,	1726,	2,	1),
(77424,	5,	1726,	3,	1),
(77425,	5,	1726,	1,	2),
(77426,	5,	1726,	2,	2),
(77427,	5,	1726,	3,	2),
(77428,	5,	1727,	1,	1),
(77429,	5,	1727,	2,	1),
(77430,	5,	1727,	3,	1),
(77431,	5,	1727,	1,	2),
(77432,	5,	1727,	2,	2),
(77433,	5,	1727,	3,	2),
(77434,	5,	1728,	1,	1),
(77435,	5,	1728,	2,	1),
(77436,	5,	1728,	3,	1),
(77437,	5,	1728,	1,	2),
(77438,	5,	1728,	2,	2),
(77439,	5,	1728,	3,	2),
(77440,	5,	1729,	1,	1),
(77441,	5,	1729,	2,	1),
(77442,	5,	1729,	3,	1),
(77443,	5,	1729,	1,	2),
(77444,	5,	1729,	2,	2),
(77445,	5,	1729,	3,	2),
(77446,	5,	1730,	1,	1),
(77447,	5,	1730,	2,	1),
(77448,	5,	1730,	3,	1),
(77449,	5,	1730,	1,	2),
(77450,	5,	1730,	2,	2),
(77451,	5,	1730,	3,	2),
(77452,	5,	1731,	1,	1),
(77453,	5,	1731,	2,	1),
(77454,	5,	1731,	3,	1),
(77455,	5,	1731,	1,	2),
(77456,	5,	1731,	2,	2),
(77457,	5,	1731,	3,	2),
(77458,	5,	1732,	1,	1),
(77459,	5,	1732,	2,	1),
(77460,	5,	1732,	3,	1),
(77461,	5,	1732,	1,	2),
(77462,	5,	1732,	2,	2),
(77463,	5,	1732,	3,	2),
(77464,	5,	1733,	1,	1),
(77465,	5,	1733,	2,	1),
(77466,	5,	1733,	3,	1),
(77467,	5,	1733,	1,	2),
(77468,	5,	1733,	2,	2),
(77469,	5,	1733,	3,	2),
(77470,	5,	1734,	1,	1),
(77471,	5,	1734,	2,	1),
(77472,	5,	1734,	3,	1),
(77473,	5,	1734,	1,	2),
(77474,	5,	1734,	2,	2),
(77475,	5,	1734,	3,	2),
(77476,	5,	1735,	1,	1),
(77477,	5,	1735,	2,	1),
(77478,	5,	1735,	3,	1),
(77479,	5,	1735,	1,	2),
(77480,	5,	1735,	2,	2),
(77481,	5,	1735,	3,	2),
(77482,	5,	1736,	1,	1),
(77483,	5,	1736,	2,	1),
(77484,	5,	1736,	3,	1),
(77485,	5,	1736,	1,	3),
(77486,	5,	1736,	2,	3),
(77487,	5,	1736,	3,	3),
(77488,	5,	1737,	1,	1),
(77489,	5,	1737,	2,	1),
(77490,	5,	1737,	3,	1),
(77491,	5,	1737,	1,	2),
(77492,	5,	1737,	2,	2),
(77493,	5,	1737,	3,	2),
(77494,	5,	1738,	1,	1),
(77495,	5,	1738,	2,	1),
(77496,	5,	1738,	3,	1),
(77497,	5,	1738,	23,	1),
(77498,	5,	1738,	1,	3),
(77499,	5,	1738,	2,	3),
(77500,	5,	1738,	3,	3),
(77501,	5,	1738,	23,	3),
(77502,	5,	1739,	1,	1),
(77503,	5,	1739,	2,	1),
(77504,	5,	1739,	3,	1),
(77505,	5,	1740,	1,	1),
(77506,	5,	1740,	2,	1),
(77507,	5,	1740,	3,	1),
(77508,	5,	1741,	1,	1),
(77509,	5,	1741,	2,	1),
(77510,	5,	1741,	3,	1),
(77511,	5,	1741,	84,	1),
(77512,	5,	1741,	1,	3),
(77513,	5,	1741,	2,	3),
(77514,	5,	1741,	3,	3),
(77515,	5,	1741,	84,	3),
(77516,	5,	1742,	1,	1),
(77517,	5,	1742,	2,	1),
(77518,	5,	1742,	3,	1),
(77519,	5,	1742,	1,	3),
(77520,	5,	1742,	2,	3),
(77521,	5,	1742,	3,	3),
(77522,	5,	1743,	1,	1),
(77523,	5,	1743,	2,	1),
(77524,	5,	1743,	3,	1),
(77525,	5,	1744,	1,	1),
(77526,	5,	1744,	2,	1),
(77527,	5,	1744,	3,	1),
(77528,	5,	1744,	84,	1),
(77529,	5,	1744,	1,	3),
(77530,	5,	1744,	2,	3),
(77531,	5,	1744,	3,	3),
(77532,	5,	1744,	84,	3),
(77533,	5,	1745,	1,	1),
(77534,	5,	1745,	2,	1),
(77535,	5,	1745,	3,	1),
(77536,	5,	1745,	1,	3),
(77537,	5,	1745,	2,	3),
(77538,	5,	1745,	3,	3),
(77539,	5,	1746,	1,	1),
(77540,	5,	1746,	2,	1),
(77541,	5,	1746,	3,	1),
(77542,	5,	1746,	1,	3),
(77543,	5,	1746,	2,	3),
(77544,	5,	1746,	3,	3),
(77545,	5,	1747,	1,	1),
(77546,	5,	1747,	2,	1),
(77547,	5,	1747,	3,	1),
(77548,	5,	1747,	1,	3),
(77549,	5,	1747,	2,	3),
(77550,	5,	1747,	3,	3),
(77551,	5,	1748,	1,	1),
(77552,	5,	1748,	2,	1),
(77553,	5,	1748,	3,	1),
(77554,	5,	1748,	1,	3),
(77555,	5,	1748,	2,	3),
(77556,	5,	1748,	3,	3),
(77557,	5,	1749,	1,	1),
(77558,	5,	1749,	2,	1),
(77559,	5,	1749,	3,	1),
(77560,	5,	1749,	1,	2),
(77561,	5,	1749,	2,	2),
(77562,	5,	1749,	3,	2),
(77563,	5,	1750,	1,	1),
(77564,	5,	1750,	2,	1),
(77565,	5,	1750,	3,	1),
(77566,	5,	1750,	1,	2),
(77567,	5,	1750,	2,	2),
(77568,	5,	1750,	3,	2),
(77569,	5,	1751,	1,	1),
(77570,	5,	1751,	2,	1),
(77571,	5,	1751,	3,	1),
(77572,	5,	1751,	1,	2),
(77573,	5,	1751,	2,	2),
(77574,	5,	1751,	3,	2),
(77575,	5,	1752,	1,	1),
(77576,	5,	1752,	2,	1),
(77577,	5,	1752,	3,	1),
(77578,	5,	1752,	1,	2),
(77579,	5,	1752,	2,	2),
(77580,	5,	1752,	3,	2),
(77581,	5,	1753,	1,	1),
(77582,	5,	1753,	2,	1),
(77583,	5,	1753,	3,	1),
(77584,	5,	1753,	1,	3),
(77585,	5,	1753,	2,	3),
(77586,	5,	1753,	3,	3),
(77587,	5,	1754,	1,	1),
(77588,	5,	1754,	2,	1),
(77589,	5,	1754,	3,	1),
(77590,	5,	1754,	1,	2),
(77591,	5,	1754,	2,	2),
(77592,	5,	1754,	3,	2),
(77593,	5,	1755,	1,	1),
(77594,	5,	1755,	2,	1),
(77595,	5,	1755,	3,	1),
(77596,	5,	1755,	1,	2),
(77597,	5,	1755,	2,	2),
(77598,	5,	1755,	3,	2),
(77599,	5,	1756,	1,	1),
(77600,	5,	1756,	2,	1),
(77601,	5,	1756,	3,	1),
(77602,	5,	1756,	1,	2),
(77603,	5,	1756,	2,	2),
(77604,	5,	1756,	3,	2),
(77605,	5,	1757,	1,	1),
(77606,	5,	1757,	2,	1),
(77607,	5,	1757,	3,	1),
(77608,	5,	1757,	1,	2),
(77609,	5,	1757,	2,	2),
(77610,	5,	1757,	3,	2),
(77611,	5,	1758,	1,	1),
(77612,	5,	1758,	2,	1),
(77613,	5,	1758,	3,	1),
(77614,	5,	1758,	1,	2),
(77615,	5,	1758,	2,	2),
(77616,	5,	1758,	3,	2),
(77617,	5,	1759,	1,	1),
(77618,	5,	1759,	2,	1),
(77619,	5,	1759,	3,	1),
(77620,	5,	1760,	1,	1),
(77621,	5,	1760,	2,	1),
(77622,	5,	1760,	3,	1),
(77623,	5,	1761,	1,	1),
(77624,	5,	1761,	2,	1),
(77625,	5,	1761,	3,	1),
(77626,	5,	1762,	1,	1),
(77627,	5,	1762,	2,	1),
(77628,	5,	1762,	3,	1),
(77629,	5,	1763,	1,	1),
(77630,	5,	1763,	2,	1),
(77631,	5,	1763,	3,	1),
(77632,	5,	1764,	1,	1),
(77633,	5,	1764,	2,	1),
(77634,	5,	1764,	3,	1),
(77635,	5,	1765,	1,	1),
(77636,	5,	1765,	2,	1),
(77637,	5,	1765,	3,	1),
(77638,	5,	1766,	1,	1),
(77639,	5,	1766,	2,	1),
(77640,	5,	1766,	3,	1),
(77641,	5,	1767,	1,	1),
(77642,	5,	1767,	2,	1),
(77643,	5,	1767,	3,	1),
(77644,	5,	1767,	1,	2),
(77645,	5,	1767,	2,	2),
(77646,	5,	1767,	3,	2),
(77647,	5,	1768,	1,	1),
(77648,	5,	1768,	2,	1),
(77649,	5,	1768,	3,	1),
(77650,	5,	1768,	1,	2),
(77651,	5,	1768,	2,	2),
(77652,	5,	1768,	3,	2),
(77653,	5,	1769,	1,	1),
(77654,	5,	1769,	2,	1),
(77655,	5,	1769,	3,	1),
(77656,	5,	1770,	1,	1),
(77657,	5,	1770,	2,	1),
(77658,	5,	1770,	3,	1),
(77659,	5,	1771,	1,	1),
(77660,	5,	1771,	2,	1),
(77661,	5,	1771,	3,	1),
(77662,	5,	1772,	1,	1),
(77663,	5,	1772,	2,	1),
(77664,	5,	1772,	3,	1),
(77665,	5,	1773,	1,	1),
(77666,	5,	1773,	2,	1),
(77667,	5,	1773,	3,	1),
(77668,	5,	1774,	1,	1),
(77669,	5,	1774,	2,	1),
(77670,	5,	1774,	3,	1),
(77671,	5,	1775,	1,	1),
(77672,	5,	1775,	2,	1),
(77673,	5,	1775,	3,	1),
(77674,	5,	1775,	1,	2),
(77675,	5,	1775,	2,	2),
(77676,	5,	1775,	3,	2),
(77677,	5,	1776,	1,	1),
(77678,	5,	1776,	2,	1),
(77679,	5,	1776,	3,	1),
(77680,	5,	1776,	1,	2),
(77681,	5,	1776,	2,	2),
(77682,	5,	1776,	3,	2),
(77683,	5,	1777,	1,	1),
(77684,	5,	1777,	2,	1),
(77685,	5,	1777,	3,	1),
(77686,	5,	1777,	1,	2),
(77687,	5,	1777,	2,	2),
(77688,	5,	1777,	3,	2),
(77689,	5,	1778,	1,	1),
(77690,	5,	1778,	2,	1),
(77691,	5,	1778,	3,	1),
(77692,	5,	1779,	1,	1),
(77693,	5,	1779,	2,	1),
(77694,	5,	1779,	3,	1),
(77695,	5,	1779,	1,	2),
(77696,	5,	1779,	2,	2),
(77697,	5,	1779,	3,	2),
(77698,	5,	1780,	1,	1),
(77699,	5,	1780,	2,	1),
(77700,	5,	1780,	3,	1),
(77701,	5,	1780,	1,	2),
(77702,	5,	1780,	2,	2),
(77703,	5,	1780,	3,	2),
(77704,	5,	1781,	1,	1),
(77705,	5,	1781,	2,	1),
(77706,	5,	1781,	3,	1),
(77707,	5,	1781,	1,	2),
(77708,	5,	1781,	2,	2),
(77709,	5,	1781,	3,	2),
(77710,	5,	1782,	1,	1),
(77711,	5,	1782,	2,	1),
(77712,	5,	1782,	3,	1),
(77713,	5,	1783,	1,	1),
(77714,	5,	1783,	2,	1),
(77715,	5,	1783,	3,	1),
(77716,	5,	1783,	1,	2),
(77717,	5,	1783,	2,	2),
(77718,	5,	1783,	3,	2),
(77719,	5,	1784,	1,	1),
(77720,	5,	1784,	2,	1),
(77721,	5,	1784,	3,	1),
(77722,	5,	1784,	1,	2),
(77723,	5,	1784,	2,	2),
(77724,	5,	1784,	3,	2),
(77725,	5,	1785,	1,	1),
(77726,	5,	1785,	2,	1),
(77727,	5,	1785,	3,	1),
(77728,	5,	1785,	1,	2),
(77729,	5,	1785,	2,	2),
(77730,	5,	1785,	3,	2),
(77731,	5,	1786,	1,	1),
(77732,	5,	1786,	2,	1),
(77733,	5,	1786,	3,	1),
(77734,	5,	1787,	1,	1),
(77735,	5,	1787,	2,	1),
(77736,	5,	1787,	3,	1),
(77737,	5,	1787,	1,	2),
(77738,	5,	1787,	2,	2),
(77739,	5,	1787,	3,	2),
(77740,	5,	1788,	1,	1),
(77741,	5,	1788,	2,	1),
(77742,	5,	1788,	3,	1),
(77743,	5,	1788,	1,	2),
(77744,	5,	1788,	2,	2),
(77745,	5,	1788,	3,	2),
(77746,	5,	1789,	1,	1),
(77747,	5,	1789,	2,	1),
(77748,	5,	1789,	3,	1),
(77749,	5,	1789,	1,	2),
(77750,	5,	1789,	2,	2),
(77751,	5,	1789,	3,	2),
(77752,	5,	1790,	1,	1),
(77753,	5,	1790,	2,	1),
(77754,	5,	1790,	3,	1),
(77755,	5,	1790,	1,	2),
(77756,	5,	1790,	2,	2),
(77757,	5,	1790,	3,	2),
(77758,	5,	1791,	1,	1),
(77759,	5,	1791,	2,	1),
(77760,	5,	1791,	3,	1),
(77761,	5,	1791,	1,	2),
(77762,	5,	1791,	2,	2),
(77763,	5,	1791,	3,	2),
(77764,	5,	1792,	1,	1),
(77765,	5,	1792,	2,	1),
(77766,	5,	1792,	3,	1),
(77767,	5,	1793,	1,	1),
(77768,	5,	1793,	2,	1),
(77769,	5,	1793,	3,	1),
(77770,	5,	1793,	1,	2),
(77771,	5,	1793,	2,	2),
(77772,	5,	1793,	3,	2),
(77773,	5,	1794,	1,	1),
(77774,	5,	1794,	2,	1),
(77775,	5,	1794,	3,	1),
(77776,	5,	1794,	1,	2),
(77777,	5,	1794,	2,	2),
(77778,	5,	1794,	3,	2),
(77779,	5,	1795,	1,	1),
(77780,	5,	1795,	2,	1),
(77781,	5,	1795,	3,	1),
(77782,	5,	1795,	1,	3),
(77783,	5,	1795,	2,	3),
(77784,	5,	1795,	3,	3),
(77785,	5,	1795,	1,	2),
(77786,	5,	1795,	2,	2),
(77787,	5,	1795,	3,	2),
(77788,	5,	1796,	1,	1),
(77789,	5,	1796,	2,	1),
(77790,	5,	1796,	3,	1),
(77791,	5,	1796,	1,	3),
(77792,	5,	1796,	2,	3),
(77793,	5,	1796,	3,	3),
(77794,	5,	1796,	1,	2),
(77795,	5,	1796,	2,	2),
(77796,	5,	1796,	3,	2),
(77797,	5,	1797,	1,	1),
(77798,	5,	1797,	2,	1),
(77799,	5,	1797,	3,	1),
(77800,	5,	1797,	1,	2),
(77801,	5,	1797,	2,	2),
(77802,	5,	1797,	3,	2),
(77803,	5,	1798,	1,	1),
(77804,	5,	1798,	2,	1),
(77805,	5,	1798,	3,	1),
(77806,	5,	1798,	1,	2),
(77807,	5,	1798,	2,	2),
(77808,	5,	1798,	3,	2),
(77809,	5,	1799,	1,	1),
(77810,	5,	1799,	2,	1),
(77811,	5,	1799,	3,	1),
(77812,	5,	1799,	1,	2),
(77813,	5,	1799,	2,	2),
(77814,	5,	1799,	3,	2),
(77815,	5,	1800,	1,	1),
(77816,	5,	1800,	2,	1),
(77817,	5,	1800,	3,	1),
(77818,	5,	1800,	1,	2),
(77819,	5,	1800,	2,	2),
(77820,	5,	1800,	3,	2),
(77821,	5,	1801,	1,	1),
(77822,	5,	1801,	2,	1),
(77823,	5,	1801,	3,	1),
(77824,	5,	1801,	1,	2),
(77825,	5,	1801,	2,	2),
(77826,	5,	1801,	3,	2),
(77827,	5,	1802,	1,	1),
(77828,	5,	1802,	2,	1),
(77829,	5,	1802,	3,	1),
(77830,	5,	1802,	1,	2),
(77831,	5,	1802,	2,	2),
(77832,	5,	1802,	3,	2),
(77833,	5,	1803,	1,	1),
(77834,	5,	1803,	2,	1),
(77835,	5,	1803,	3,	1),
(77836,	5,	1803,	1,	3),
(77837,	5,	1803,	2,	3),
(77838,	5,	1803,	3,	3),
(77839,	5,	1803,	1,	2),
(77840,	5,	1803,	2,	2),
(77841,	5,	1803,	3,	2),
(77842,	5,	1804,	1,	1),
(77843,	5,	1804,	2,	1),
(77844,	5,	1804,	3,	1),
(77845,	5,	1804,	1,	2),
(77846,	5,	1804,	2,	2),
(77847,	5,	1804,	3,	2),
(77848,	5,	1805,	1,	1),
(77849,	5,	1805,	2,	1),
(77850,	5,	1805,	3,	1),
(77851,	5,	1805,	1,	2),
(77852,	5,	1805,	2,	2),
(77853,	5,	1805,	3,	2),
(77854,	5,	1203,	85,	1),
(77855,	5,	1807,	24,	1),
(77856,	5,	1811,	82,	1),
(77857,	5,	1832,	2,	2),
(77858,	5,	1832,	2,	1),
(77859,	5,	1833,	2,	2),
(77860,	5,	1833,	2,	1),
(77861,	5,	1834,	2,	1),
(77862,	5,	1811,	88,	1),
(77863,	5,	1811,	89,	1),
(77864,	5,	1811,	90,	1),
(77865,	5,	1811,	91,	1),
(81936,	1,	1166,	49,	1),
(81937,	1,	1166,	2,	3),
(81950,	6,	2,	2,	2),
(81986,	6,	8,	1,	1),
(81987,	6,	8,	2,	1),
(81988,	6,	8,	3,	1),
(81989,	6,	8,	7,	1),
(81990,	6,	8,	8,	1),
(81991,	6,	8,	9,	1),
(81992,	6,	8,	10,	1),
(81993,	6,	8,	11,	1),
(81994,	6,	8,	12,	1),
(81995,	6,	8,	13,	1),
(81996,	6,	8,	14,	1),
(81997,	6,	8,	15,	1),
(81998,	6,	8,	16,	1),
(81999,	6,	8,	17,	1),
(82000,	6,	8,	18,	1),
(82001,	6,	8,	19,	1),
(82002,	6,	8,	20,	1),
(82003,	6,	8,	21,	1),
(82004,	6,	8,	22,	1),
(82005,	6,	9,	1,	1),
(82006,	6,	9,	2,	1),
(82007,	6,	9,	3,	1),
(82008,	6,	9,	7,	1),
(82009,	6,	9,	8,	1),
(82010,	6,	9,	9,	1),
(82011,	6,	9,	10,	1),
(82012,	6,	9,	11,	1),
(82013,	6,	9,	12,	1),
(82014,	6,	9,	13,	1),
(82015,	6,	9,	14,	1),
(82016,	6,	9,	15,	1),
(82017,	6,	9,	16,	1),
(82018,	6,	9,	17,	1),
(82019,	6,	9,	18,	1),
(82020,	6,	9,	19,	1),
(82021,	6,	9,	20,	1),
(82022,	6,	9,	21,	1),
(82023,	6,	9,	22,	1),
(82024,	6,	10,	1,	1),
(82025,	6,	10,	2,	1),
(82026,	6,	10,	3,	1),
(82027,	6,	10,	7,	1),
(82028,	6,	10,	8,	1),
(82029,	6,	10,	9,	1),
(82030,	6,	10,	10,	1),
(82031,	6,	10,	11,	1),
(82032,	6,	10,	12,	1),
(82033,	6,	10,	13,	1),
(82034,	6,	10,	14,	1),
(82035,	6,	10,	15,	1),
(82036,	6,	10,	16,	1),
(82037,	6,	10,	17,	1),
(82038,	6,	10,	18,	1),
(82039,	6,	10,	19,	1),
(82040,	6,	10,	20,	1),
(82041,	6,	10,	21,	1),
(82042,	6,	10,	22,	1),
(82043,	6,	11,	1,	1),
(82044,	6,	11,	2,	1),
(82045,	6,	11,	3,	1),
(82046,	6,	11,	7,	1),
(82047,	6,	11,	8,	1),
(82048,	6,	11,	9,	1),
(82049,	6,	11,	10,	1),
(82050,	6,	11,	11,	1),
(82051,	6,	11,	12,	1),
(82052,	6,	11,	13,	1),
(82053,	6,	11,	14,	1),
(82054,	6,	11,	15,	1),
(82055,	6,	11,	16,	1),
(82056,	6,	11,	17,	1),
(82057,	6,	11,	18,	1),
(82058,	6,	11,	19,	1),
(82059,	6,	11,	20,	1),
(82060,	6,	11,	21,	1),
(82061,	6,	11,	22,	1),
(82062,	6,	12,	1,	1),
(82063,	6,	12,	2,	1),
(82064,	6,	12,	3,	1),
(82065,	6,	12,	7,	1),
(82066,	6,	12,	8,	1),
(82067,	6,	12,	9,	1),
(82068,	6,	12,	10,	1),
(82069,	6,	12,	11,	1),
(82070,	6,	12,	12,	1),
(82071,	6,	12,	13,	1),
(82072,	6,	12,	14,	1),
(82073,	6,	12,	15,	1),
(82074,	6,	12,	16,	1),
(82075,	6,	12,	17,	1),
(82076,	6,	12,	18,	1),
(82077,	6,	12,	19,	1),
(82078,	6,	12,	20,	1),
(82079,	6,	12,	21,	1),
(82080,	6,	12,	22,	1),
(82084,	6,	13,	7,	1),
(82086,	6,	13,	9,	1),
(82088,	6,	13,	11,	1),
(82089,	6,	13,	12,	1),
(82090,	6,	13,	13,	1),
(82092,	6,	13,	15,	1),
(82093,	6,	13,	16,	1),
(82097,	6,	13,	20,	1),
(82098,	6,	13,	21,	1),
(82099,	6,	13,	22,	1),
(82103,	6,	14,	7,	1),
(82105,	6,	14,	9,	1),
(82107,	6,	14,	11,	1),
(82108,	6,	14,	12,	1),
(82109,	6,	14,	13,	1),
(82111,	6,	14,	15,	1),
(82112,	6,	14,	16,	1),
(82116,	6,	14,	20,	1),
(82117,	6,	14,	21,	1),
(82118,	6,	14,	22,	1),
(82122,	6,	15,	7,	1),
(82124,	6,	15,	9,	1),
(82126,	6,	15,	11,	1),
(82127,	6,	15,	12,	1),
(82128,	6,	15,	13,	1),
(82130,	6,	15,	15,	1),
(82131,	6,	15,	16,	1),
(82135,	6,	15,	20,	1),
(82136,	6,	15,	21,	1),
(82137,	6,	15,	22,	1),
(82141,	6,	16,	7,	1),
(82143,	6,	16,	9,	1),
(82145,	6,	16,	11,	1),
(82146,	6,	16,	12,	1),
(82147,	6,	16,	13,	1),
(82149,	6,	16,	15,	1),
(82150,	6,	16,	16,	1),
(82154,	6,	16,	20,	1),
(82155,	6,	16,	21,	1),
(82156,	6,	16,	22,	1),
(82160,	6,	17,	7,	1),
(82162,	6,	17,	9,	1),
(82164,	6,	17,	11,	1),
(82165,	6,	17,	12,	1),
(82166,	6,	17,	13,	1),
(82168,	6,	17,	15,	1),
(82169,	6,	17,	16,	1),
(82173,	6,	17,	20,	1),
(82174,	6,	17,	21,	1),
(82175,	6,	17,	22,	1),
(82179,	6,	18,	7,	1),
(82181,	6,	18,	9,	1),
(82183,	6,	18,	11,	1),
(82184,	6,	18,	12,	1),
(82185,	6,	18,	13,	1),
(82187,	6,	18,	15,	1),
(82188,	6,	18,	16,	1),
(82192,	6,	18,	20,	1),
(82193,	6,	18,	21,	1),
(82194,	6,	18,	22,	1),
(82198,	6,	19,	7,	1),
(82200,	6,	19,	9,	1),
(82202,	6,	19,	11,	1),
(82203,	6,	19,	12,	1),
(82204,	6,	19,	13,	1),
(82205,	6,	19,	14,	1),
(82206,	6,	19,	15,	1),
(82207,	6,	19,	16,	1),
(82208,	6,	19,	17,	1),
(82211,	6,	19,	20,	1),
(82212,	6,	19,	21,	1),
(82213,	6,	19,	22,	1),
(82217,	6,	20,	7,	1),
(82219,	6,	20,	9,	1),
(82221,	6,	20,	11,	1),
(82222,	6,	20,	12,	1),
(82223,	6,	20,	13,	1),
(82225,	6,	20,	15,	1),
(82226,	6,	20,	16,	1),
(82230,	6,	20,	20,	1),
(82231,	6,	20,	21,	1),
(82232,	6,	20,	22,	1),
(82236,	6,	21,	7,	1),
(82238,	6,	21,	9,	1),
(82240,	6,	21,	11,	1),
(82241,	6,	21,	12,	1),
(82242,	6,	21,	13,	1),
(82244,	6,	21,	15,	1),
(82245,	6,	21,	16,	1),
(82249,	6,	21,	20,	1),
(82250,	6,	21,	21,	1),
(82251,	6,	21,	22,	1),
(82255,	6,	22,	7,	1),
(82257,	6,	22,	9,	1),
(82259,	6,	22,	11,	1),
(82260,	6,	22,	12,	1),
(82261,	6,	22,	13,	1),
(82263,	6,	22,	15,	1),
(82264,	6,	22,	16,	1),
(82268,	6,	22,	20,	1),
(82269,	6,	22,	21,	1),
(82270,	6,	22,	22,	1),
(82274,	6,	23,	7,	1),
(82276,	6,	23,	9,	1),
(82278,	6,	23,	11,	1),
(82279,	6,	23,	12,	1),
(82280,	6,	23,	13,	1),
(82282,	6,	23,	15,	1),
(82283,	6,	23,	16,	1),
(82287,	6,	23,	20,	1),
(82288,	6,	23,	21,	1),
(82289,	6,	23,	22,	1),
(82293,	6,	24,	7,	1),
(82295,	6,	24,	9,	1),
(82297,	6,	24,	11,	1),
(82298,	6,	24,	12,	1),
(82299,	6,	24,	13,	1),
(82301,	6,	24,	15,	1),
(82302,	6,	24,	16,	1),
(82306,	6,	24,	20,	1),
(82307,	6,	24,	21,	1),
(82308,	6,	24,	22,	1),
(82312,	6,	25,	7,	1),
(82314,	6,	25,	9,	1),
(82316,	6,	25,	11,	1),
(82317,	6,	25,	12,	1),
(82318,	6,	25,	13,	1),
(82320,	6,	25,	15,	1),
(82321,	6,	25,	16,	1),
(82325,	6,	25,	20,	1),
(82326,	6,	25,	21,	1),
(82327,	6,	25,	22,	1),
(82331,	6,	26,	7,	1),
(82333,	6,	26,	9,	1),
(82335,	6,	26,	11,	1),
(82336,	6,	26,	12,	1),
(82337,	6,	26,	13,	1),
(82339,	6,	26,	15,	1),
(82340,	6,	26,	16,	1),
(82344,	6,	26,	20,	1),
(82345,	6,	26,	21,	1),
(82346,	6,	26,	22,	1),
(82347,	6,	27,	1,	1),
(82348,	6,	27,	2,	1),
(82349,	6,	27,	3,	1),
(82350,	6,	27,	7,	1),
(82351,	6,	27,	8,	1),
(82352,	6,	27,	9,	1),
(82353,	6,	27,	10,	1),
(82354,	6,	27,	11,	1),
(82355,	6,	27,	12,	1),
(82356,	6,	27,	13,	1),
(82357,	6,	27,	14,	1),
(82358,	6,	27,	15,	1),
(82359,	6,	27,	16,	1),
(82360,	6,	27,	17,	1),
(82361,	6,	27,	18,	1),
(82362,	6,	27,	19,	1),
(82363,	6,	27,	20,	1),
(82364,	6,	27,	21,	1),
(82365,	6,	27,	22,	1),
(82369,	6,	28,	7,	1),
(82371,	6,	28,	9,	1),
(82373,	6,	28,	11,	1),
(82374,	6,	28,	12,	1),
(82375,	6,	28,	13,	1),
(82377,	6,	28,	15,	1),
(82378,	6,	28,	16,	1),
(82382,	6,	28,	20,	1),
(82383,	6,	28,	21,	1),
(82384,	6,	28,	22,	1),
(82388,	6,	29,	7,	1),
(82390,	6,	29,	9,	1),
(82392,	6,	29,	11,	1),
(82393,	6,	29,	12,	1),
(82394,	6,	29,	13,	1),
(82396,	6,	29,	15,	1),
(82397,	6,	29,	16,	1),
(82401,	6,	29,	20,	1),
(82402,	6,	29,	21,	1),
(82403,	6,	29,	22,	1),
(82407,	6,	30,	7,	1),
(82409,	6,	30,	9,	1),
(82411,	6,	30,	11,	1),
(82412,	6,	30,	12,	1),
(82413,	6,	30,	13,	1),
(82415,	6,	30,	15,	1),
(82416,	6,	30,	16,	1),
(82420,	6,	30,	20,	1),
(82421,	6,	30,	21,	1),
(82422,	6,	30,	22,	1),
(82426,	6,	31,	7,	1),
(82428,	6,	31,	9,	1),
(82430,	6,	31,	11,	1),
(82431,	6,	31,	12,	1),
(82432,	6,	31,	13,	1),
(82434,	6,	31,	15,	1),
(82435,	6,	31,	16,	1),
(82439,	6,	31,	20,	1),
(82440,	6,	31,	21,	1),
(82441,	6,	31,	22,	1),
(82445,	6,	32,	7,	1),
(82447,	6,	32,	9,	1),
(82449,	6,	32,	11,	1),
(82450,	6,	32,	12,	1),
(82451,	6,	32,	13,	1),
(82453,	6,	32,	15,	1),
(82454,	6,	32,	16,	1),
(82458,	6,	32,	20,	1),
(82459,	6,	32,	21,	1),
(82460,	6,	32,	22,	1),
(82461,	6,	33,	1,	1),
(82462,	6,	33,	2,	1),
(82463,	6,	33,	3,	1),
(82464,	6,	33,	7,	1),
(82465,	6,	33,	8,	1),
(82466,	6,	33,	9,	1),
(82467,	6,	33,	10,	1),
(82468,	6,	33,	11,	1),
(82469,	6,	33,	12,	1),
(82470,	6,	33,	13,	1),
(82471,	6,	33,	14,	1),
(82472,	6,	33,	15,	1),
(82473,	6,	33,	16,	1),
(82474,	6,	33,	17,	1),
(82475,	6,	33,	18,	1),
(82476,	6,	33,	19,	1),
(82477,	6,	33,	20,	1),
(82478,	6,	33,	21,	1),
(82479,	6,	33,	22,	1),
(82482,	6,	34,	3,	1),
(82483,	6,	34,	7,	1),
(82485,	6,	34,	9,	1),
(82487,	6,	34,	11,	1),
(82488,	6,	34,	12,	1),
(82489,	6,	34,	13,	1),
(82491,	6,	34,	15,	1),
(82492,	6,	34,	16,	1),
(82496,	6,	34,	20,	1),
(82497,	6,	34,	21,	1),
(82498,	6,	34,	22,	1),
(82500,	6,	35,	1,	1),
(82501,	6,	35,	2,	1),
(82502,	6,	35,	3,	1),
(82503,	6,	35,	7,	1),
(82504,	6,	35,	8,	1),
(82505,	6,	35,	9,	1),
(82506,	6,	35,	10,	1),
(82507,	6,	35,	11,	1),
(82508,	6,	35,	12,	1),
(82509,	6,	35,	13,	1),
(82510,	6,	35,	14,	1),
(82511,	6,	35,	15,	1),
(82512,	6,	35,	16,	1),
(82513,	6,	35,	17,	1),
(82514,	6,	35,	18,	1),
(82515,	6,	35,	19,	1),
(82516,	6,	35,	20,	1),
(82517,	6,	35,	21,	1),
(82518,	6,	35,	22,	1),
(82521,	6,	36,	3,	1),
(82522,	6,	36,	7,	1),
(82524,	6,	36,	9,	1),
(82526,	6,	36,	11,	1),
(82527,	6,	36,	12,	1),
(82528,	6,	36,	13,	1),
(82530,	6,	36,	15,	1),
(82531,	6,	36,	16,	1),
(82535,	6,	36,	20,	1),
(82536,	6,	36,	21,	1),
(82537,	6,	36,	22,	1),
(82541,	6,	37,	7,	1),
(82543,	6,	37,	9,	1),
(82545,	6,	37,	11,	1),
(82546,	6,	37,	12,	1),
(82547,	6,	37,	13,	1),
(82549,	6,	37,	15,	1),
(82550,	6,	37,	16,	1),
(82554,	6,	37,	20,	1),
(82555,	6,	37,	21,	1),
(82556,	6,	37,	22,	1),
(82557,	6,	38,	1,	1),
(82558,	6,	38,	2,	1),
(82559,	6,	38,	3,	1),
(82560,	6,	38,	7,	1),
(82561,	6,	38,	8,	1),
(82562,	6,	38,	9,	1),
(82563,	6,	38,	10,	1),
(82564,	6,	38,	11,	1),
(82565,	6,	38,	12,	1),
(82566,	6,	38,	13,	1),
(82567,	6,	38,	14,	1),
(82568,	6,	38,	15,	1),
(82569,	6,	38,	16,	1),
(82570,	6,	38,	17,	1),
(82571,	6,	38,	18,	1),
(82572,	6,	38,	19,	1),
(82573,	6,	38,	20,	1),
(82574,	6,	38,	21,	1),
(82575,	6,	38,	22,	1),
(82579,	6,	39,	7,	1),
(82581,	6,	39,	9,	1),
(82583,	6,	39,	11,	1),
(82584,	6,	39,	12,	1),
(82585,	6,	39,	13,	1),
(82587,	6,	39,	15,	1),
(82588,	6,	39,	16,	1),
(82592,	6,	39,	20,	1),
(82593,	6,	39,	21,	1),
(82594,	6,	39,	22,	1),
(82598,	6,	40,	7,	1),
(82600,	6,	40,	9,	1),
(82602,	6,	40,	11,	1),
(82603,	6,	40,	12,	1),
(82604,	6,	40,	13,	1),
(82606,	6,	40,	15,	1),
(82607,	6,	40,	16,	1),
(82611,	6,	40,	20,	1),
(82612,	6,	40,	21,	1),
(82613,	6,	40,	22,	1),
(82617,	6,	41,	7,	1),
(82619,	6,	41,	9,	1),
(82621,	6,	41,	11,	1),
(82622,	6,	41,	12,	1),
(82623,	6,	41,	13,	1),
(82625,	6,	41,	15,	1),
(82626,	6,	41,	16,	1),
(82630,	6,	41,	20,	1),
(82631,	6,	41,	21,	1),
(82632,	6,	41,	22,	1),
(82636,	6,	42,	7,	1),
(82638,	6,	42,	9,	1),
(82640,	6,	42,	11,	1),
(82641,	6,	42,	12,	1),
(82642,	6,	42,	13,	1),
(82644,	6,	42,	15,	1),
(82645,	6,	42,	16,	1),
(82649,	6,	42,	20,	1),
(82650,	6,	42,	21,	1),
(82651,	6,	42,	22,	1),
(82652,	6,	43,	1,	1),
(82653,	6,	43,	2,	1),
(82654,	6,	43,	3,	1),
(82655,	6,	43,	7,	1),
(82656,	6,	43,	8,	1),
(82657,	6,	43,	9,	1),
(82658,	6,	43,	10,	1),
(82659,	6,	43,	11,	1),
(82660,	6,	43,	12,	1),
(82661,	6,	43,	13,	1),
(82662,	6,	43,	14,	1),
(82663,	6,	43,	15,	1),
(82664,	6,	43,	16,	1),
(82665,	6,	43,	17,	1),
(82666,	6,	43,	18,	1),
(82667,	6,	43,	19,	1),
(82668,	6,	43,	20,	1),
(82669,	6,	43,	21,	1),
(82670,	6,	43,	22,	1),
(82674,	6,	44,	7,	1),
(82676,	6,	44,	9,	1),
(82678,	6,	44,	11,	1),
(82679,	6,	44,	12,	1),
(82680,	6,	44,	13,	1),
(82682,	6,	44,	15,	1),
(82683,	6,	44,	16,	1),
(82687,	6,	44,	20,	1),
(82688,	6,	44,	21,	1),
(82689,	6,	44,	22,	1),
(82694,	6,	45,	7,	1),
(82696,	6,	45,	9,	1),
(82698,	6,	45,	11,	1),
(82699,	6,	45,	12,	1),
(82700,	6,	45,	13,	1),
(82702,	6,	45,	15,	1),
(82703,	6,	45,	16,	1),
(82706,	6,	45,	19,	1),
(82707,	6,	45,	20,	1),
(82708,	6,	45,	21,	1),
(82709,	6,	45,	22,	1),
(82713,	6,	46,	7,	1),
(82715,	6,	46,	9,	1),
(82717,	6,	46,	11,	1),
(82718,	6,	46,	12,	1),
(82719,	6,	46,	13,	1),
(82721,	6,	46,	15,	1),
(82722,	6,	46,	16,	1),
(82726,	6,	46,	20,	1),
(82727,	6,	46,	21,	1),
(82728,	6,	46,	22,	1),
(82730,	6,	47,	1,	1),
(82731,	6,	47,	2,	1),
(82732,	6,	47,	3,	1),
(82733,	6,	47,	7,	1),
(82734,	6,	47,	8,	1),
(82735,	6,	47,	9,	1),
(82736,	6,	47,	10,	1),
(82737,	6,	47,	11,	1),
(82738,	6,	47,	12,	1),
(82739,	6,	47,	13,	1),
(82740,	6,	47,	14,	1),
(82741,	6,	47,	15,	1),
(82742,	6,	47,	16,	1),
(82743,	6,	47,	17,	1),
(82744,	6,	47,	18,	1),
(82745,	6,	47,	19,	1),
(82746,	6,	47,	20,	1),
(82747,	6,	47,	21,	1),
(82748,	6,	47,	22,	1),
(82752,	6,	48,	7,	1),
(82754,	6,	48,	9,	1),
(82756,	6,	48,	11,	1),
(82757,	6,	48,	12,	1),
(82758,	6,	48,	13,	1),
(82759,	6,	48,	14,	1),
(82760,	6,	48,	15,	1),
(82761,	6,	48,	16,	1),
(82765,	6,	48,	20,	1),
(82766,	6,	48,	21,	1),
(82767,	6,	48,	22,	1),
(82768,	6,	49,	1,	1),
(82769,	6,	49,	2,	1),
(82770,	6,	49,	3,	1),
(82771,	6,	49,	7,	1),
(82772,	6,	49,	8,	1),
(82773,	6,	49,	9,	1),
(82774,	6,	49,	10,	1),
(82775,	6,	49,	11,	1),
(82776,	6,	49,	12,	1),
(82777,	6,	49,	13,	1),
(82778,	6,	49,	14,	1),
(82779,	6,	49,	15,	1),
(82780,	6,	49,	16,	1),
(82781,	6,	49,	17,	1),
(82782,	6,	49,	18,	1),
(82783,	6,	49,	19,	1),
(82784,	6,	49,	20,	1),
(82785,	6,	49,	21,	1),
(82786,	6,	49,	22,	1),
(82790,	6,	50,	7,	1),
(82792,	6,	50,	9,	1),
(82794,	6,	50,	11,	1),
(82795,	6,	50,	12,	1),
(82796,	6,	50,	13,	1),
(82798,	6,	50,	15,	1),
(82799,	6,	50,	16,	1),
(82803,	6,	50,	20,	1),
(82804,	6,	50,	21,	1),
(82805,	6,	50,	22,	1),
(82809,	6,	51,	7,	1),
(82811,	6,	51,	9,	1),
(82813,	6,	51,	11,	1),
(82814,	6,	51,	12,	1),
(82815,	6,	51,	13,	1),
(82816,	6,	51,	14,	1),
(82817,	6,	51,	15,	1),
(82818,	6,	51,	16,	1),
(82819,	6,	51,	17,	1),
(82822,	6,	51,	20,	1),
(82823,	6,	51,	21,	1),
(82824,	6,	51,	22,	1),
(82828,	6,	52,	7,	1),
(82830,	6,	52,	9,	1),
(82832,	6,	52,	11,	1),
(82833,	6,	52,	12,	1),
(82834,	6,	52,	13,	1),
(82836,	6,	52,	15,	1),
(82837,	6,	52,	16,	1),
(82841,	6,	52,	20,	1),
(82842,	6,	52,	21,	1),
(82843,	6,	52,	22,	1),
(82847,	6,	53,	7,	1),
(82849,	6,	53,	9,	1),
(82851,	6,	53,	11,	1),
(82852,	6,	53,	12,	1),
(82853,	6,	53,	13,	1),
(82855,	6,	53,	15,	1),
(82856,	6,	53,	16,	1),
(82860,	6,	53,	20,	1),
(82861,	6,	53,	21,	1),
(82862,	6,	53,	22,	1),
(82866,	6,	54,	7,	1),
(82868,	6,	54,	9,	1),
(82870,	6,	54,	11,	1),
(82871,	6,	54,	12,	1),
(82872,	6,	54,	13,	1),
(82874,	6,	54,	15,	1),
(82875,	6,	54,	16,	1),
(82879,	6,	54,	20,	1),
(82880,	6,	54,	21,	1),
(82881,	6,	54,	22,	1),
(82882,	6,	55,	1,	1),
(82883,	6,	55,	2,	1),
(82884,	6,	55,	3,	1),
(82885,	6,	55,	7,	1),
(82886,	6,	55,	8,	1),
(82887,	6,	55,	9,	1),
(82888,	6,	55,	10,	1),
(82889,	6,	55,	11,	1),
(82890,	6,	55,	12,	1),
(82891,	6,	55,	13,	1),
(82892,	6,	55,	14,	1),
(82893,	6,	55,	15,	1),
(82894,	6,	55,	16,	1),
(82895,	6,	55,	17,	1),
(82896,	6,	55,	18,	1),
(82897,	6,	55,	19,	1),
(82898,	6,	55,	20,	1),
(82899,	6,	55,	21,	1),
(82900,	6,	55,	22,	1),
(82904,	6,	56,	7,	1),
(82906,	6,	56,	9,	1),
(82908,	6,	56,	11,	1),
(82909,	6,	56,	12,	1),
(82910,	6,	56,	13,	1),
(82912,	6,	56,	15,	1),
(82913,	6,	56,	16,	1),
(82917,	6,	56,	20,	1),
(82918,	6,	56,	21,	1),
(82919,	6,	56,	22,	1),
(82923,	6,	57,	7,	1),
(82925,	6,	57,	9,	1),
(82927,	6,	57,	11,	1),
(82928,	6,	57,	12,	1),
(82929,	6,	57,	13,	1),
(82931,	6,	57,	15,	1),
(82932,	6,	57,	16,	1),
(82936,	6,	57,	20,	1),
(82937,	6,	57,	21,	1),
(82938,	6,	57,	22,	1),
(82942,	6,	58,	7,	1),
(82944,	6,	58,	9,	1),
(82946,	6,	58,	11,	1),
(82947,	6,	58,	12,	1),
(82948,	6,	58,	13,	1),
(82950,	6,	58,	15,	1),
(82951,	6,	58,	16,	1),
(82955,	6,	58,	20,	1),
(82956,	6,	58,	21,	1),
(82957,	6,	58,	22,	1),
(82958,	6,	59,	1,	1),
(82959,	6,	59,	2,	1),
(82960,	6,	59,	3,	1),
(82961,	6,	59,	7,	1),
(82962,	6,	59,	8,	1),
(82963,	6,	59,	9,	1),
(82964,	6,	59,	10,	1),
(82965,	6,	59,	11,	1),
(82966,	6,	59,	12,	1),
(82967,	6,	59,	13,	1),
(82968,	6,	59,	14,	1),
(82969,	6,	59,	15,	1),
(82970,	6,	59,	16,	1),
(82971,	6,	59,	17,	1),
(82972,	6,	59,	18,	1),
(82973,	6,	59,	19,	1),
(82974,	6,	59,	20,	1),
(82975,	6,	59,	21,	1),
(82976,	6,	59,	22,	1),
(82980,	6,	60,	7,	1),
(82982,	6,	60,	9,	1),
(82984,	6,	60,	11,	1),
(82985,	6,	60,	12,	1),
(82986,	6,	60,	13,	1),
(82988,	6,	60,	15,	1),
(82989,	6,	60,	16,	1),
(82993,	6,	60,	20,	1),
(82994,	6,	60,	21,	1),
(82995,	6,	60,	22,	1),
(82999,	6,	61,	7,	1),
(83001,	6,	61,	9,	1),
(83003,	6,	61,	11,	1),
(83004,	6,	61,	12,	1),
(83005,	6,	61,	13,	1),
(83007,	6,	61,	15,	1),
(83008,	6,	61,	16,	1),
(83012,	6,	61,	20,	1),
(83013,	6,	61,	21,	1),
(83014,	6,	61,	22,	1),
(83018,	6,	62,	7,	1),
(83020,	6,	62,	9,	1),
(83022,	6,	62,	11,	1),
(83023,	6,	62,	12,	1),
(83024,	6,	62,	13,	1),
(83026,	6,	62,	15,	1),
(83027,	6,	62,	16,	1),
(83031,	6,	62,	20,	1),
(83032,	6,	62,	21,	1),
(83033,	6,	62,	22,	1),
(83034,	6,	63,	1,	1),
(83035,	6,	63,	2,	1),
(83036,	6,	63,	3,	1),
(83037,	6,	63,	7,	1),
(83038,	6,	63,	8,	1),
(83039,	6,	63,	9,	1),
(83040,	6,	63,	10,	1),
(83041,	6,	63,	11,	1),
(83042,	6,	63,	12,	1),
(83043,	6,	63,	13,	1),
(83044,	6,	63,	14,	1),
(83045,	6,	63,	15,	1),
(83046,	6,	63,	16,	1),
(83047,	6,	63,	17,	1),
(83048,	6,	63,	18,	1),
(83049,	6,	63,	19,	1),
(83050,	6,	63,	20,	1),
(83051,	6,	63,	21,	1),
(83052,	6,	63,	22,	1),
(83053,	6,	64,	1,	1),
(83054,	6,	64,	2,	1),
(83055,	6,	64,	3,	1),
(83056,	6,	64,	7,	1),
(83057,	6,	64,	8,	1),
(83058,	6,	64,	9,	1),
(83059,	6,	64,	10,	1),
(83060,	6,	64,	11,	1),
(83061,	6,	64,	12,	1),
(83062,	6,	64,	13,	1),
(83063,	6,	64,	14,	1),
(83064,	6,	64,	15,	1),
(83065,	6,	64,	16,	1),
(83066,	6,	64,	17,	1),
(83067,	6,	64,	18,	1),
(83068,	6,	64,	19,	1),
(83069,	6,	64,	20,	1),
(83070,	6,	64,	21,	1),
(83071,	6,	64,	22,	1),
(83072,	6,	65,	1,	1),
(83073,	6,	65,	2,	1),
(83074,	6,	65,	3,	1),
(83075,	6,	65,	7,	1),
(83076,	6,	65,	8,	1),
(83077,	6,	65,	9,	1),
(83078,	6,	65,	10,	1),
(83079,	6,	65,	11,	1),
(83080,	6,	65,	12,	1),
(83081,	6,	65,	13,	1),
(83082,	6,	65,	14,	1),
(83083,	6,	65,	15,	1),
(83084,	6,	65,	16,	1),
(83085,	6,	65,	17,	1),
(83086,	6,	65,	18,	1),
(83087,	6,	65,	19,	1),
(83088,	6,	65,	20,	1),
(83089,	6,	65,	21,	1),
(83090,	6,	65,	22,	1),
(83094,	6,	66,	7,	1),
(83096,	6,	66,	9,	1),
(83098,	6,	66,	11,	1),
(83099,	6,	66,	12,	1),
(83100,	6,	66,	13,	1),
(83102,	6,	66,	15,	1),
(83103,	6,	66,	16,	1),
(83107,	6,	66,	20,	1),
(83108,	6,	66,	21,	1),
(83109,	6,	66,	22,	1),
(83110,	6,	67,	1,	1),
(83111,	6,	67,	2,	1),
(83112,	6,	67,	3,	1),
(83113,	6,	67,	7,	1),
(83114,	6,	67,	8,	1),
(83115,	6,	67,	9,	1),
(83116,	6,	67,	10,	1),
(83117,	6,	67,	11,	1),
(83118,	6,	67,	12,	1),
(83119,	6,	67,	13,	1),
(83120,	6,	67,	14,	1),
(83121,	6,	67,	15,	1),
(83122,	6,	67,	16,	1),
(83123,	6,	67,	17,	1),
(83124,	6,	67,	18,	1),
(83125,	6,	67,	19,	1),
(83126,	6,	67,	20,	1),
(83127,	6,	67,	21,	1),
(83128,	6,	67,	22,	1),
(83132,	6,	68,	7,	1),
(83134,	6,	68,	9,	1),
(83136,	6,	68,	11,	1),
(83137,	6,	68,	12,	1),
(83138,	6,	68,	13,	1),
(83140,	6,	68,	15,	1),
(83141,	6,	68,	16,	1),
(83145,	6,	68,	20,	1),
(83146,	6,	68,	21,	1),
(83147,	6,	68,	22,	1),
(83151,	6,	69,	7,	1),
(83153,	6,	69,	9,	1),
(83155,	6,	69,	11,	1),
(83156,	6,	69,	12,	1),
(83157,	6,	69,	13,	1),
(83159,	6,	69,	15,	1),
(83160,	6,	69,	16,	1),
(83164,	6,	69,	20,	1),
(83165,	6,	69,	21,	1),
(83166,	6,	69,	22,	1),
(83170,	6,	70,	7,	1),
(83172,	6,	70,	9,	1),
(83174,	6,	70,	11,	1),
(83175,	6,	70,	12,	1),
(83176,	6,	70,	13,	1),
(83178,	6,	70,	15,	1),
(83179,	6,	70,	16,	1),
(83183,	6,	70,	20,	1),
(83184,	6,	70,	21,	1),
(83185,	6,	70,	22,	1),
(83186,	6,	71,	1,	1),
(83187,	6,	71,	2,	1),
(83188,	6,	71,	3,	1),
(83189,	6,	71,	7,	1),
(83190,	6,	71,	8,	1),
(83191,	6,	71,	9,	1),
(83192,	6,	71,	10,	1),
(83193,	6,	71,	11,	1),
(83194,	6,	71,	12,	1),
(83195,	6,	71,	13,	1),
(83196,	6,	71,	14,	1),
(83197,	6,	71,	15,	1),
(83198,	6,	71,	16,	1),
(83199,	6,	71,	17,	1),
(83200,	6,	71,	18,	1),
(83201,	6,	71,	19,	1),
(83202,	6,	71,	20,	1),
(83203,	6,	71,	21,	1),
(83204,	6,	71,	22,	1),
(83208,	6,	72,	7,	1),
(83210,	6,	72,	9,	1),
(83212,	6,	72,	11,	1),
(83213,	6,	72,	12,	1),
(83214,	6,	72,	13,	1),
(83216,	6,	72,	15,	1),
(83217,	6,	72,	16,	1),
(83221,	6,	72,	20,	1),
(83222,	6,	72,	21,	1),
(83223,	6,	72,	22,	1),
(83225,	6,	73,	2,	1),
(83226,	6,	73,	3,	1),
(83227,	6,	73,	7,	1),
(83229,	6,	73,	9,	1),
(83231,	6,	73,	11,	1),
(83232,	6,	73,	12,	1),
(83233,	6,	73,	13,	1),
(83234,	6,	73,	14,	1),
(83235,	6,	73,	15,	1),
(83236,	6,	73,	16,	1),
(83240,	6,	73,	20,	1),
(83241,	6,	73,	21,	1),
(83242,	6,	73,	22,	1),
(83243,	6,	73,	23,	1),
(83244,	6,	74,	1,	1),
(83245,	6,	74,	2,	1),
(83246,	6,	74,	3,	1),
(83247,	6,	74,	7,	1),
(83248,	6,	74,	8,	1),
(83249,	6,	74,	9,	1),
(83250,	6,	74,	10,	1),
(83251,	6,	74,	11,	1),
(83252,	6,	74,	12,	1),
(83253,	6,	74,	13,	1),
(83254,	6,	74,	14,	1),
(83255,	6,	74,	15,	1),
(83256,	6,	74,	16,	1),
(83257,	6,	74,	17,	1),
(83258,	6,	74,	18,	1),
(83259,	6,	74,	19,	1),
(83260,	6,	74,	20,	1),
(83261,	6,	74,	21,	1),
(83262,	6,	74,	22,	1),
(83266,	6,	75,	7,	1),
(83268,	6,	75,	9,	1),
(83270,	6,	75,	11,	1),
(83271,	6,	75,	12,	1),
(83272,	6,	75,	13,	1),
(83274,	6,	75,	15,	1),
(83275,	6,	75,	16,	1),
(83279,	6,	75,	20,	1),
(83280,	6,	75,	21,	1),
(83281,	6,	75,	22,	1),
(83282,	6,	76,	1,	1),
(83283,	6,	76,	2,	1),
(83284,	6,	76,	3,	1),
(83285,	6,	76,	7,	1),
(83286,	6,	76,	8,	1),
(83287,	6,	76,	9,	1),
(83288,	6,	76,	10,	1),
(83289,	6,	76,	11,	1),
(83290,	6,	76,	12,	1),
(83291,	6,	76,	13,	1),
(83292,	6,	76,	14,	1),
(83293,	6,	76,	15,	1),
(83294,	6,	76,	16,	1),
(83295,	6,	76,	17,	1),
(83296,	6,	76,	18,	1),
(83297,	6,	76,	19,	1),
(83298,	6,	76,	20,	1),
(83299,	6,	76,	21,	1),
(83300,	6,	76,	22,	1),
(83301,	6,	76,	23,	1),
(83305,	6,	77,	7,	1),
(83307,	6,	77,	9,	1),
(83309,	6,	77,	11,	1),
(83310,	6,	77,	12,	1),
(83311,	6,	77,	13,	1),
(83313,	6,	77,	15,	1),
(83314,	6,	77,	16,	1),
(83318,	6,	77,	20,	1),
(83319,	6,	77,	21,	1),
(83320,	6,	77,	22,	1),
(83324,	6,	78,	7,	1),
(83326,	6,	78,	9,	1),
(83328,	6,	78,	11,	1),
(83329,	6,	78,	12,	1),
(83330,	6,	78,	13,	1),
(83332,	6,	78,	15,	1),
(83333,	6,	78,	16,	1),
(83337,	6,	78,	20,	1),
(83338,	6,	78,	21,	1),
(83339,	6,	78,	22,	1),
(83343,	6,	79,	7,	1),
(83345,	6,	79,	9,	1),
(83347,	6,	79,	11,	1),
(83348,	6,	79,	12,	1),
(83349,	6,	79,	13,	1),
(83351,	6,	79,	15,	1),
(83352,	6,	79,	16,	1),
(83356,	6,	79,	20,	1),
(83357,	6,	79,	21,	1),
(83358,	6,	79,	22,	1),
(83362,	6,	80,	7,	1),
(83364,	6,	80,	9,	1),
(83366,	6,	80,	11,	1),
(83367,	6,	80,	12,	1),
(83368,	6,	80,	13,	1),
(83370,	6,	80,	15,	1),
(83371,	6,	80,	16,	1),
(83375,	6,	80,	20,	1),
(83376,	6,	80,	21,	1),
(83377,	6,	80,	22,	1),
(83381,	6,	81,	7,	1),
(83383,	6,	81,	9,	1),
(83384,	6,	81,	10,	1),
(83385,	6,	81,	11,	1),
(83386,	6,	81,	12,	1),
(83387,	6,	81,	13,	1),
(83388,	6,	81,	14,	1),
(83389,	6,	81,	15,	1),
(83390,	6,	81,	16,	1),
(83391,	6,	81,	17,	1),
(83392,	6,	81,	18,	1),
(83393,	6,	81,	19,	1),
(83394,	6,	81,	20,	1),
(83395,	6,	81,	21,	1),
(83396,	6,	81,	22,	1),
(83397,	6,	82,	1,	1),
(83398,	6,	82,	2,	1),
(83399,	6,	82,	3,	1),
(83400,	6,	82,	7,	1),
(83401,	6,	82,	8,	1),
(83402,	6,	82,	9,	1),
(83403,	6,	82,	10,	1),
(83404,	6,	82,	11,	1),
(83405,	6,	82,	12,	1),
(83406,	6,	82,	13,	1),
(83407,	6,	82,	14,	1),
(83408,	6,	82,	15,	1),
(83409,	6,	82,	16,	1),
(83410,	6,	82,	17,	1),
(83411,	6,	82,	18,	1),
(83412,	6,	82,	19,	1),
(83413,	6,	82,	20,	1),
(83414,	6,	82,	21,	1),
(83415,	6,	82,	22,	1),
(83416,	6,	83,	1,	1),
(83417,	6,	83,	2,	1),
(83418,	6,	83,	3,	1),
(83419,	6,	83,	7,	1),
(83420,	6,	83,	8,	1),
(83421,	6,	83,	9,	1),
(83422,	6,	83,	10,	1),
(83423,	6,	83,	11,	1),
(83424,	6,	83,	12,	1),
(83425,	6,	83,	13,	1),
(83426,	6,	83,	14,	1),
(83427,	6,	83,	15,	1),
(83428,	6,	83,	16,	1),
(83429,	6,	83,	17,	1),
(83430,	6,	83,	18,	1),
(83431,	6,	83,	19,	1),
(83432,	6,	83,	20,	1),
(83433,	6,	83,	21,	1),
(83434,	6,	83,	22,	1),
(83435,	6,	84,	1,	1),
(83436,	6,	84,	2,	1),
(83437,	6,	84,	3,	1),
(83438,	6,	84,	7,	1),
(83439,	6,	84,	8,	1),
(83440,	6,	84,	9,	1),
(83441,	6,	84,	10,	1),
(83442,	6,	84,	11,	1),
(83443,	6,	84,	12,	1),
(83444,	6,	84,	13,	1),
(83445,	6,	84,	14,	1),
(83446,	6,	84,	15,	1),
(83447,	6,	84,	16,	1),
(83448,	6,	84,	17,	1),
(83449,	6,	84,	18,	1),
(83450,	6,	84,	19,	1),
(83451,	6,	84,	20,	1),
(83452,	6,	84,	21,	1),
(83453,	6,	84,	22,	1),
(83457,	6,	85,	7,	1),
(83459,	6,	85,	9,	1),
(83461,	6,	85,	11,	1),
(83462,	6,	85,	12,	1),
(83463,	6,	85,	13,	1),
(83465,	6,	85,	15,	1),
(83466,	6,	85,	16,	1),
(83470,	6,	85,	20,	1),
(83471,	6,	85,	21,	1),
(83472,	6,	85,	22,	1),
(83476,	6,	86,	7,	1),
(83478,	6,	86,	9,	1),
(83480,	6,	86,	11,	1),
(83481,	6,	86,	12,	1),
(83482,	6,	86,	13,	1),
(83484,	6,	86,	15,	1),
(83485,	6,	86,	16,	1),
(83489,	6,	86,	20,	1),
(83490,	6,	86,	21,	1),
(83491,	6,	86,	22,	1),
(83495,	6,	87,	7,	1),
(83497,	6,	87,	9,	1),
(83499,	6,	87,	11,	1),
(83500,	6,	87,	12,	1),
(83501,	6,	87,	13,	1),
(83503,	6,	87,	15,	1),
(83504,	6,	87,	16,	1),
(83508,	6,	87,	20,	1),
(83509,	6,	87,	21,	1),
(83510,	6,	87,	22,	1),
(83514,	6,	88,	7,	1),
(83516,	6,	88,	9,	1),
(83518,	6,	88,	11,	1),
(83519,	6,	88,	12,	1),
(83520,	6,	88,	13,	1),
(83521,	6,	88,	14,	1),
(83522,	6,	88,	15,	1),
(83523,	6,	88,	16,	1),
(83524,	6,	88,	17,	1),
(83526,	6,	88,	19,	1),
(83527,	6,	88,	20,	1),
(83528,	6,	88,	21,	1),
(83529,	6,	88,	22,	1),
(83530,	6,	89,	1,	1),
(83531,	6,	89,	2,	1),
(83532,	6,	89,	3,	1),
(83533,	6,	89,	7,	1),
(83534,	6,	89,	8,	1),
(83535,	6,	89,	9,	1),
(83536,	6,	89,	10,	1),
(83537,	6,	89,	11,	1),
(83538,	6,	89,	12,	1),
(83539,	6,	89,	13,	1),
(83540,	6,	89,	14,	1),
(83541,	6,	89,	15,	1),
(83542,	6,	89,	16,	1),
(83543,	6,	89,	17,	1),
(83544,	6,	89,	18,	1),
(83545,	6,	89,	19,	1),
(83546,	6,	89,	20,	1),
(83547,	6,	89,	21,	1),
(83548,	6,	89,	22,	1),
(83549,	6,	89,	23,	1),
(83553,	6,	90,	7,	1),
(83555,	6,	90,	9,	1),
(83557,	6,	90,	11,	1),
(83558,	6,	90,	12,	1),
(83559,	6,	90,	13,	1),
(83561,	6,	90,	15,	1),
(83562,	6,	90,	16,	1),
(83566,	6,	90,	20,	1),
(83567,	6,	90,	21,	1),
(83568,	6,	90,	22,	1),
(83572,	6,	91,	7,	1),
(83574,	6,	91,	9,	1),
(83576,	6,	91,	11,	1),
(83577,	6,	91,	12,	1),
(83578,	6,	91,	13,	1),
(83580,	6,	91,	15,	1),
(83581,	6,	91,	16,	1),
(83585,	6,	91,	20,	1),
(83586,	6,	91,	21,	1),
(83587,	6,	91,	22,	1),
(83591,	6,	92,	7,	1),
(83593,	6,	92,	9,	1),
(83595,	6,	92,	11,	1),
(83596,	6,	92,	12,	1),
(83597,	6,	92,	13,	1),
(83598,	6,	92,	14,	1),
(83599,	6,	92,	15,	1),
(83600,	6,	92,	16,	1),
(83601,	6,	92,	17,	1),
(83603,	6,	92,	19,	1),
(83604,	6,	92,	20,	1),
(83605,	6,	92,	21,	1),
(83606,	6,	92,	22,	1),
(83607,	6,	93,	1,	1),
(83608,	6,	93,	2,	1),
(83609,	6,	93,	3,	1),
(83610,	6,	93,	7,	1),
(83611,	6,	93,	8,	1),
(83612,	6,	93,	9,	1),
(83613,	6,	93,	10,	1),
(83614,	6,	93,	11,	1),
(83615,	6,	93,	12,	1),
(83616,	6,	93,	13,	1),
(83617,	6,	93,	14,	1),
(83618,	6,	93,	15,	1),
(83619,	6,	93,	16,	1),
(83620,	6,	93,	17,	1),
(83621,	6,	93,	18,	1),
(83622,	6,	93,	19,	1),
(83623,	6,	93,	20,	1),
(83624,	6,	93,	21,	1),
(83625,	6,	93,	22,	1),
(83629,	6,	94,	7,	1),
(83631,	6,	94,	9,	1),
(83632,	6,	94,	10,	1),
(83633,	6,	94,	11,	1),
(83634,	6,	94,	12,	1),
(83635,	6,	94,	13,	1),
(83636,	6,	94,	14,	1),
(83637,	6,	94,	15,	1),
(83638,	6,	94,	16,	1),
(83639,	6,	94,	17,	1),
(83640,	6,	94,	18,	1),
(83641,	6,	94,	19,	1),
(83642,	6,	94,	20,	1),
(83643,	6,	94,	21,	1),
(83644,	6,	94,	22,	1),
(83648,	6,	95,	7,	1),
(83650,	6,	95,	9,	1),
(83652,	6,	95,	11,	1),
(83653,	6,	95,	12,	1),
(83654,	6,	95,	13,	1),
(83656,	6,	95,	15,	1),
(83657,	6,	95,	16,	1),
(83661,	6,	95,	20,	1),
(83662,	6,	95,	21,	1),
(83663,	6,	95,	22,	1),
(83664,	6,	96,	1,	1),
(83665,	6,	96,	2,	1),
(83666,	6,	96,	3,	1),
(83667,	6,	96,	7,	1),
(83668,	6,	96,	8,	1),
(83669,	6,	96,	9,	1),
(83670,	6,	96,	10,	1),
(83671,	6,	96,	11,	1),
(83672,	6,	96,	12,	1),
(83673,	6,	96,	13,	1),
(83674,	6,	96,	14,	1),
(83675,	6,	96,	15,	1),
(83676,	6,	96,	16,	1),
(83677,	6,	96,	17,	1),
(83678,	6,	96,	18,	1),
(83679,	6,	96,	19,	1),
(83680,	6,	96,	20,	1),
(83681,	6,	96,	21,	1),
(83682,	6,	96,	22,	1),
(83683,	6,	96,	23,	1),
(83687,	6,	97,	7,	1),
(83689,	6,	97,	9,	1),
(83690,	6,	97,	10,	1),
(83691,	6,	97,	11,	1),
(83692,	6,	97,	12,	1),
(83693,	6,	97,	13,	1),
(83694,	6,	97,	14,	1),
(83695,	6,	97,	15,	1),
(83696,	6,	97,	16,	1),
(83697,	6,	97,	17,	1),
(83698,	6,	97,	18,	1),
(83699,	6,	97,	19,	1),
(83700,	6,	97,	20,	1),
(83701,	6,	97,	21,	1),
(83702,	6,	97,	22,	1),
(83703,	6,	98,	1,	1),
(83704,	6,	98,	2,	1),
(83705,	6,	98,	3,	1),
(83706,	6,	98,	7,	1),
(83707,	6,	98,	8,	1),
(83708,	6,	98,	9,	1),
(83709,	6,	98,	10,	1),
(83710,	6,	98,	11,	1),
(83711,	6,	98,	12,	1),
(83712,	6,	98,	13,	1),
(83713,	6,	98,	14,	1),
(83714,	6,	98,	15,	1),
(83715,	6,	98,	16,	1),
(83716,	6,	98,	17,	1),
(83717,	6,	98,	18,	1),
(83718,	6,	98,	19,	1),
(83719,	6,	98,	20,	1),
(83720,	6,	98,	21,	1),
(83721,	6,	98,	22,	1),
(83725,	6,	99,	7,	1),
(83727,	6,	99,	9,	1),
(83729,	6,	99,	11,	1),
(83730,	6,	99,	12,	1),
(83731,	6,	99,	13,	1),
(83732,	6,	99,	14,	1),
(83733,	6,	99,	15,	1),
(83734,	6,	99,	16,	1),
(83735,	6,	99,	17,	1),
(83737,	6,	99,	19,	1),
(83738,	6,	99,	20,	1),
(83739,	6,	99,	21,	1),
(83740,	6,	99,	22,	1),
(83744,	6,	100,	7,	1),
(83746,	6,	100,	9,	1),
(83748,	6,	100,	11,	1),
(83749,	6,	100,	12,	1),
(83750,	6,	100,	13,	1),
(83752,	6,	100,	15,	1),
(83753,	6,	100,	16,	1),
(83757,	6,	100,	20,	1),
(83758,	6,	100,	21,	1),
(83759,	6,	100,	22,	1),
(83763,	6,	101,	5,	1),
(83764,	6,	101,	1,	3),
(83765,	6,	101,	2,	3),
(83766,	6,	101,	3,	3),
(83767,	6,	101,	5,	3),
(83770,	6,	101,	3,	2),
(83772,	6,	102,	1,	1),
(83773,	6,	102,	2,	1),
(83774,	6,	102,	3,	1),
(83792,	6,	104,	1,	3),
(83793,	6,	104,	2,	3),
(83794,	6,	104,	3,	3),
(83795,	6,	104,	24,	3),
(83796,	6,	104,	6,	3),
(83797,	6,	104,	4,	3),
(83798,	6,	104,	25,	3),
(83799,	6,	104,	5,	3),
(83808,	6,	105,	1,	3),
(83809,	6,	105,	2,	3),
(83810,	6,	105,	3,	3),
(83811,	6,	105,	24,	3),
(83812,	6,	105,	6,	3),
(83813,	6,	105,	4,	3),
(83814,	6,	105,	25,	3),
(83815,	6,	105,	5,	3),
(83824,	6,	106,	1,	3),
(83825,	6,	106,	2,	3),
(83826,	6,	106,	3,	3),
(83827,	6,	106,	24,	3),
(83828,	6,	106,	6,	3),
(83829,	6,	106,	4,	3),
(83830,	6,	106,	25,	3),
(83831,	6,	106,	5,	3),
(83840,	6,	107,	1,	3),
(83841,	6,	107,	2,	3),
(83842,	6,	107,	3,	3),
(83843,	6,	107,	24,	3),
(83844,	6,	107,	6,	3),
(83845,	6,	107,	4,	3),
(83846,	6,	107,	25,	3),
(83847,	6,	107,	5,	3),
(83848,	6,	108,	1,	1),
(83849,	6,	108,	2,	1),
(83851,	6,	108,	24,	1),
(83852,	6,	108,	25,	1),
(83853,	6,	108,	4,	1),
(83854,	6,	108,	1,	3),
(83855,	6,	108,	2,	3),
(83856,	6,	108,	3,	3),
(83857,	6,	108,	24,	3),
(83858,	6,	108,	25,	3),
(83859,	6,	108,	4,	3),
(83860,	6,	109,	1,	1),
(83861,	6,	109,	2,	1),
(83862,	6,	109,	3,	1),
(83863,	6,	109,	24,	1),
(83864,	6,	109,	6,	1),
(83865,	6,	109,	4,	1),
(83866,	6,	109,	25,	1),
(83867,	6,	109,	5,	1),
(83868,	6,	109,	1,	3),
(83869,	6,	109,	2,	3),
(83870,	6,	109,	3,	3),
(83871,	6,	109,	24,	3),
(83872,	6,	109,	6,	3),
(83873,	6,	109,	4,	3),
(83874,	6,	109,	25,	3),
(83875,	6,	109,	5,	3),
(83876,	6,	110,	1,	1),
(83877,	6,	110,	2,	1),
(83878,	6,	110,	3,	1),
(83879,	6,	110,	24,	1),
(83880,	6,	110,	6,	1),
(83881,	6,	110,	4,	1),
(83882,	6,	110,	25,	1),
(83883,	6,	110,	5,	1),
(83884,	6,	110,	1,	3),
(83885,	6,	110,	2,	3),
(83886,	6,	110,	3,	3),
(83887,	6,	110,	24,	3),
(83888,	6,	110,	6,	3),
(83889,	6,	110,	4,	3),
(83890,	6,	110,	25,	3),
(83891,	6,	110,	5,	3),
(83892,	6,	111,	1,	1),
(83893,	6,	111,	2,	1),
(83894,	6,	111,	3,	1),
(83895,	6,	111,	24,	1),
(83896,	6,	111,	6,	1),
(83897,	6,	111,	4,	1),
(83898,	6,	111,	25,	1),
(83899,	6,	111,	5,	1),
(83900,	6,	111,	1,	2),
(83901,	6,	111,	2,	2),
(83902,	6,	111,	3,	2),
(83903,	6,	111,	24,	2),
(83904,	6,	111,	6,	2),
(83905,	6,	111,	4,	2),
(83906,	6,	111,	25,	2),
(83907,	6,	111,	5,	2),
(83908,	6,	112,	1,	1),
(83909,	6,	112,	2,	1),
(83910,	6,	112,	3,	1),
(83911,	6,	112,	24,	1),
(83912,	6,	112,	6,	1),
(83913,	6,	112,	4,	1),
(83914,	6,	112,	25,	1),
(83915,	6,	112,	5,	1),
(83916,	6,	112,	1,	3),
(83917,	6,	112,	2,	3),
(83918,	6,	112,	3,	3),
(83919,	6,	112,	24,	3),
(83920,	6,	112,	6,	3),
(83921,	6,	112,	4,	3),
(83922,	6,	112,	25,	3),
(83923,	6,	112,	5,	3),
(83924,	6,	113,	1,	1),
(83925,	6,	113,	2,	1),
(83928,	6,	113,	1,	3),
(83929,	6,	113,	2,	3),
(83930,	6,	113,	3,	3),
(83931,	6,	113,	5,	3),
(83940,	6,	114,	1,	3),
(83941,	6,	114,	2,	3),
(83942,	6,	114,	3,	3),
(83943,	6,	114,	5,	3),
(83952,	6,	115,	2,	2),
(83970,	6,	118,	1,	3),
(83971,	6,	118,	2,	3),
(83972,	6,	118,	3,	3),
(83973,	6,	118,	23,	3),
(83974,	6,	119,	1,	1),
(83975,	6,	119,	2,	1),
(83976,	6,	119,	3,	1),
(83977,	6,	119,	1,	2),
(83978,	6,	119,	2,	2),
(83979,	6,	119,	3,	2),
(84004,	6,	124,	2,	1),
(84005,	6,	125,	1,	1),
(84006,	6,	125,	2,	1),
(84007,	6,	125,	3,	1),
(84008,	6,	126,	1,	1),
(84009,	6,	126,	2,	1),
(84010,	6,	126,	3,	1),
(84011,	6,	127,	1,	1),
(84012,	6,	127,	2,	1),
(84013,	6,	127,	3,	1),
(84014,	6,	127,	1,	2),
(84015,	6,	127,	2,	2),
(84016,	6,	127,	3,	2),
(84023,	6,	129,	1,	1),
(84024,	6,	129,	2,	1),
(84025,	6,	129,	3,	1),
(84026,	6,	129,	1,	2),
(84027,	6,	129,	2,	2),
(84028,	6,	129,	3,	2),
(84035,	6,	131,	1,	1),
(84036,	6,	131,	2,	1),
(84037,	6,	131,	3,	1),
(84038,	6,	131,	1,	2),
(84039,	6,	131,	2,	2),
(84040,	6,	131,	3,	2),
(84041,	6,	132,	1,	1),
(84042,	6,	132,	2,	1),
(84043,	6,	132,	3,	1),
(84044,	6,	132,	1,	2),
(84045,	6,	132,	2,	2),
(84046,	6,	132,	3,	2),
(84047,	6,	133,	1,	1),
(84048,	6,	133,	2,	1),
(84049,	6,	133,	3,	1),
(84050,	6,	133,	1,	2),
(84051,	6,	133,	2,	2),
(84052,	6,	133,	3,	2),
(84053,	6,	134,	1,	1),
(84054,	6,	134,	2,	1),
(84055,	6,	134,	3,	1),
(84056,	6,	135,	1,	1),
(84057,	6,	135,	2,	1),
(84064,	6,	136,	2,	2),
(84067,	6,	137,	1,	1),
(84068,	6,	137,	2,	1),
(84069,	6,	137,	3,	1),
(84070,	6,	137,	1,	2),
(84071,	6,	137,	2,	2),
(84072,	6,	137,	3,	2),
(84073,	6,	138,	1,	1),
(84074,	6,	138,	2,	1),
(84075,	6,	138,	3,	1),
(84076,	6,	138,	1,	2),
(84077,	6,	138,	2,	2),
(84078,	6,	138,	3,	2),
(84079,	6,	139,	1,	1),
(84080,	6,	139,	2,	1),
(84082,	6,	140,	1,	1),
(84083,	6,	140,	2,	1),
(84084,	6,	140,	3,	1),
(84085,	6,	140,	23,	1),
(84086,	6,	140,	6,	1),
(84087,	6,	141,	1,	1),
(84088,	6,	141,	2,	1),
(84089,	6,	141,	3,	1),
(84090,	6,	141,	1,	2),
(84091,	6,	141,	2,	2),
(84092,	6,	141,	3,	2),
(84093,	6,	142,	1,	1),
(84094,	6,	142,	2,	1),
(84095,	6,	142,	3,	1),
(84096,	6,	142,	1,	2),
(84097,	6,	142,	2,	2),
(84098,	6,	142,	3,	2),
(84099,	6,	143,	1,	1),
(84100,	6,	143,	2,	1),
(84101,	6,	143,	3,	1),
(84102,	6,	143,	1,	2),
(84103,	6,	143,	2,	2),
(84104,	6,	143,	3,	2),
(84105,	6,	144,	1,	1),
(84106,	6,	144,	2,	1),
(84107,	6,	144,	3,	1),
(84108,	6,	144,	1,	2),
(84111,	6,	145,	1,	1),
(84112,	6,	145,	2,	1),
(84113,	6,	145,	3,	1),
(84114,	6,	145,	1,	2),
(84115,	6,	145,	2,	2),
(84116,	6,	145,	3,	2),
(84129,	6,	148,	1,	1),
(84130,	6,	148,	2,	1),
(84131,	6,	148,	3,	1),
(84132,	6,	149,	1,	1),
(84133,	6,	149,	2,	1),
(84134,	6,	149,	3,	1),
(84135,	6,	149,	1,	2),
(84136,	6,	149,	2,	2),
(84137,	6,	149,	3,	2),
(84138,	6,	150,	1,	1),
(84139,	6,	150,	2,	1),
(84140,	6,	150,	3,	1),
(84141,	6,	151,	1,	1),
(84142,	6,	151,	2,	1),
(84143,	6,	151,	3,	1),
(84144,	6,	152,	1,	1),
(84145,	6,	152,	2,	1),
(84146,	6,	152,	3,	1),
(84147,	6,	153,	1,	1),
(84148,	6,	153,	2,	1),
(84149,	6,	153,	3,	1),
(84150,	6,	154,	1,	1),
(84151,	6,	154,	2,	1),
(84152,	6,	154,	3,	1),
(84153,	6,	154,	1,	2),
(84154,	6,	154,	2,	2),
(84155,	6,	154,	3,	2),
(84156,	6,	156,	1,	1),
(84159,	6,	157,	1,	1),
(84160,	6,	157,	2,	1),
(84161,	6,	157,	3,	1),
(84162,	6,	158,	1,	1),
(84163,	6,	158,	2,	1),
(84164,	6,	158,	3,	1),
(84165,	6,	158,	1,	2),
(84166,	6,	158,	2,	2),
(84167,	6,	158,	3,	2),
(84168,	6,	159,	1,	1),
(84169,	6,	159,	2,	1),
(84170,	6,	159,	3,	1),
(84171,	6,	160,	1,	1),
(84172,	6,	160,	2,	1),
(84173,	6,	160,	3,	1),
(84176,	6,	160,	3,	2),
(84178,	6,	161,	2,	1),
(84180,	6,	162,	1,	1),
(84181,	6,	162,	2,	1),
(84182,	6,	162,	3,	1),
(84183,	6,	163,	1,	1),
(84184,	6,	163,	2,	1),
(84185,	6,	163,	3,	1),
(84186,	6,	164,	1,	1),
(84187,	6,	164,	2,	1),
(84188,	6,	164,	3,	1),
(84189,	6,	164,	1,	2),
(84190,	6,	164,	2,	2),
(84191,	6,	164,	3,	2),
(84193,	6,	165,	2,	1),
(84195,	6,	166,	1,	1),
(84196,	6,	166,	2,	1),
(84197,	6,	166,	3,	1),
(84198,	6,	167,	1,	1),
(84199,	6,	167,	2,	1),
(84200,	6,	167,	3,	1),
(84201,	6,	167,	1,	2),
(84202,	6,	167,	2,	2),
(84203,	6,	167,	3,	2),
(84204,	6,	168,	1,	1),
(84205,	6,	168,	2,	1),
(84206,	6,	168,	3,	1),
(84207,	6,	168,	1,	2),
(84208,	6,	168,	2,	2),
(84209,	6,	168,	3,	2),
(84213,	6,	170,	1,	1),
(84214,	6,	170,	2,	1),
(84215,	6,	170,	3,	1),
(84216,	6,	170,	1,	2),
(84217,	6,	170,	2,	2),
(84218,	6,	170,	3,	2),
(84219,	6,	171,	1,	1),
(84220,	6,	171,	2,	1),
(84221,	6,	171,	3,	1),
(84222,	6,	171,	1,	2),
(84223,	6,	171,	2,	2),
(84224,	6,	171,	3,	2),
(84225,	6,	172,	1,	1),
(84226,	6,	172,	2,	1),
(84227,	6,	172,	3,	1),
(84228,	6,	172,	1,	2),
(84229,	6,	172,	2,	2),
(84230,	6,	172,	3,	2),
(84231,	6,	173,	1,	1),
(84232,	6,	173,	2,	1),
(84233,	6,	173,	3,	1),
(84234,	6,	173,	1,	2),
(84235,	6,	173,	2,	2),
(84236,	6,	173,	3,	2),
(84237,	6,	174,	1,	1),
(84238,	6,	174,	2,	1),
(84239,	6,	174,	3,	1),
(84240,	6,	174,	1,	2),
(84241,	6,	174,	2,	2),
(84242,	6,	174,	3,	2),
(84249,	6,	177,	1,	1),
(84250,	6,	177,	2,	1),
(84251,	6,	177,	3,	1),
(84252,	6,	178,	1,	1),
(84253,	6,	178,	2,	1),
(84254,	6,	178,	3,	1),
(84255,	6,	179,	1,	1),
(84256,	6,	179,	2,	1),
(84257,	6,	179,	3,	1),
(84262,	6,	180,	2,	2),
(84268,	6,	181,	2,	2),
(84271,	6,	182,	2,	1),
(84274,	6,	183,	2,	1),
(84283,	6,	185,	2,	2),
(84285,	6,	186,	1,	1),
(84286,	6,	186,	2,	1),
(84287,	6,	186,	3,	1),
(84288,	6,	186,	1,	2),
(84289,	6,	186,	2,	2),
(84290,	6,	186,	3,	2),
(84291,	6,	187,	1,	1),
(84292,	6,	187,	2,	1),
(84293,	6,	187,	3,	1),
(84294,	6,	187,	1,	2),
(84295,	6,	187,	2,	2),
(84296,	6,	187,	3,	2),
(84297,	6,	188,	1,	1),
(84298,	6,	188,	2,	1),
(84299,	6,	188,	3,	1),
(84300,	6,	188,	1,	2),
(84301,	6,	188,	2,	2),
(84302,	6,	188,	3,	2),
(84303,	6,	189,	1,	1),
(84304,	6,	189,	2,	1),
(84305,	6,	189,	3,	1),
(84310,	6,	190,	2,	2),
(84312,	6,	191,	1,	1),
(84313,	6,	191,	2,	1),
(84314,	6,	191,	3,	1),
(84315,	6,	191,	23,	1),
(84316,	6,	191,	27,	1),
(84317,	6,	192,	1,	1),
(84318,	6,	192,	2,	1),
(84319,	6,	192,	3,	1),
(84320,	6,	192,	23,	1),
(84321,	6,	193,	1,	1),
(84322,	6,	193,	2,	1),
(84323,	6,	193,	3,	1),
(84324,	6,	194,	1,	1),
(84325,	6,	194,	2,	1),
(84326,	6,	194,	3,	1),
(84327,	6,	194,	23,	1),
(84328,	6,	195,	1,	1),
(84329,	6,	195,	2,	1),
(84330,	6,	195,	3,	1),
(84331,	6,	196,	1,	1),
(84332,	6,	196,	2,	1),
(84333,	6,	196,	3,	1),
(84334,	6,	197,	1,	1),
(84335,	6,	197,	2,	1),
(84336,	6,	197,	3,	1),
(84337,	6,	197,	1,	2),
(84338,	6,	197,	2,	2),
(84339,	6,	197,	3,	2),
(84340,	6,	198,	1,	1),
(84341,	6,	198,	2,	1),
(84342,	6,	198,	3,	1),
(84343,	6,	198,	23,	1),
(84344,	6,	199,	1,	1),
(84345,	6,	199,	2,	1),
(84346,	6,	199,	3,	1),
(84347,	6,	200,	1,	1),
(84348,	6,	200,	2,	1),
(84349,	6,	200,	3,	1),
(84350,	6,	200,	23,	1),
(84351,	6,	201,	1,	1),
(84352,	6,	201,	2,	1),
(84353,	6,	201,	3,	1),
(84354,	6,	202,	1,	1),
(84355,	6,	202,	2,	1),
(84356,	6,	202,	3,	1),
(84357,	6,	202,	1,	2),
(84358,	6,	202,	2,	2),
(84359,	6,	202,	3,	2),
(84360,	6,	203,	1,	1),
(84361,	6,	203,	2,	1),
(84362,	6,	203,	3,	1),
(84363,	6,	203,	1,	2),
(84364,	6,	203,	2,	2),
(84365,	6,	203,	3,	2),
(84366,	6,	204,	1,	1),
(84367,	6,	204,	2,	1),
(84368,	6,	204,	3,	1),
(84369,	6,	204,	1,	2),
(84370,	6,	204,	2,	2),
(84371,	6,	204,	3,	2),
(84384,	6,	207,	1,	1),
(84385,	6,	207,	2,	1),
(84386,	6,	207,	3,	1),
(84400,	6,	210,	2,	1),
(84402,	6,	211,	1,	1),
(84403,	6,	211,	2,	1),
(84404,	6,	211,	3,	1),
(84405,	6,	211,	1,	2),
(84406,	6,	211,	2,	2),
(84407,	6,	211,	3,	2),
(84408,	6,	212,	1,	1),
(84409,	6,	212,	2,	1),
(84410,	6,	212,	3,	1),
(84411,	6,	212,	1,	2),
(84412,	6,	212,	2,	2),
(84413,	6,	212,	3,	2),
(84420,	6,	214,	1,	1),
(84421,	6,	214,	2,	1),
(84422,	6,	214,	3,	1),
(84423,	6,	214,	1,	2),
(84424,	6,	214,	2,	2),
(84425,	6,	214,	3,	2),
(84426,	6,	215,	1,	1),
(84427,	6,	215,	2,	1),
(84428,	6,	215,	3,	1),
(84429,	6,	216,	1,	1),
(84430,	6,	216,	2,	1),
(84431,	6,	216,	3,	1),
(84432,	6,	216,	1,	2),
(84433,	6,	216,	2,	2),
(84434,	6,	216,	3,	2),
(84439,	6,	217,	2,	2),
(84441,	6,	218,	1,	1),
(84442,	6,	218,	2,	1),
(84443,	6,	218,	3,	1),
(84444,	6,	218,	1,	2),
(84445,	6,	218,	2,	2),
(84446,	6,	218,	3,	2),
(84460,	6,	221,	2,	2),
(84466,	6,	222,	2,	2),
(84468,	6,	223,	1,	1),
(84469,	6,	223,	2,	1),
(84470,	6,	223,	3,	1),
(84471,	6,	223,	1,	2),
(84472,	6,	223,	2,	2),
(84473,	6,	223,	3,	2),
(84474,	6,	224,	1,	1),
(84475,	6,	224,	2,	1),
(84476,	6,	224,	3,	1),
(84477,	6,	224,	1,	2),
(84478,	6,	224,	2,	2),
(84479,	6,	224,	3,	2),
(84480,	6,	225,	1,	1),
(84481,	6,	225,	2,	1),
(84482,	6,	225,	3,	1),
(84483,	6,	225,	23,	1),
(84484,	6,	225,	1,	3),
(84485,	6,	225,	2,	3),
(84486,	6,	225,	3,	3),
(84487,	6,	225,	23,	3),
(84488,	6,	225,	1,	2),
(84489,	6,	225,	2,	2),
(84490,	6,	225,	3,	2),
(84491,	6,	225,	23,	2),
(84492,	6,	226,	1,	1),
(84493,	6,	226,	2,	1),
(84494,	6,	226,	3,	1),
(84495,	6,	226,	23,	1),
(84496,	6,	226,	1,	3),
(84497,	6,	226,	2,	3),
(84498,	6,	226,	3,	3),
(84499,	6,	226,	23,	3),
(84500,	6,	227,	1,	1),
(84501,	6,	227,	2,	1),
(84502,	6,	227,	3,	1),
(84503,	6,	227,	23,	1),
(84504,	6,	227,	1,	3),
(84505,	6,	227,	2,	3),
(84506,	6,	227,	3,	3),
(84507,	6,	227,	23,	3),
(84508,	6,	228,	1,	1),
(84509,	6,	228,	2,	1),
(84510,	6,	228,	3,	1),
(84511,	6,	228,	23,	1),
(84512,	6,	228,	1,	3),
(84513,	6,	228,	2,	3),
(84514,	6,	228,	3,	3),
(84515,	6,	228,	23,	3),
(84516,	6,	229,	1,	1),
(84517,	6,	229,	2,	1),
(84518,	6,	229,	3,	1),
(84519,	6,	229,	23,	1),
(84520,	6,	229,	1,	3),
(84521,	6,	229,	2,	3),
(84522,	6,	229,	3,	3),
(84523,	6,	229,	23,	3),
(84530,	6,	231,	1,	3),
(84531,	6,	231,	2,	3),
(84532,	6,	231,	3,	3),
(84536,	6,	232,	1,	3),
(84537,	6,	232,	2,	3),
(84538,	6,	232,	3,	3),
(84542,	6,	233,	1,	3),
(84543,	6,	233,	2,	3),
(84544,	6,	233,	3,	3),
(84548,	6,	234,	1,	3),
(84549,	6,	234,	2,	3),
(84550,	6,	234,	3,	3),
(84551,	6,	235,	1,	1),
(84552,	6,	235,	2,	1),
(84553,	6,	235,	3,	1),
(84554,	6,	235,	1,	3),
(84555,	6,	235,	2,	3),
(84556,	6,	235,	3,	3),
(84557,	6,	236,	1,	1),
(84558,	6,	236,	2,	1),
(84559,	6,	236,	3,	1),
(84560,	6,	237,	1,	1),
(84561,	6,	237,	2,	1),
(84562,	6,	237,	3,	1),
(84563,	6,	237,	1,	3),
(84564,	6,	237,	2,	3),
(84565,	6,	237,	3,	3),
(84567,	6,	238,	2,	1),
(84569,	6,	239,	1,	1),
(84570,	6,	239,	2,	1),
(84571,	6,	239,	3,	1),
(84572,	6,	240,	1,	1),
(84573,	6,	240,	2,	1),
(84574,	6,	240,	3,	1),
(84575,	6,	241,	1,	1),
(84576,	6,	241,	2,	1),
(84577,	6,	241,	3,	1),
(84578,	6,	242,	1,	1),
(84579,	6,	242,	2,	1),
(84580,	6,	242,	3,	1),
(84581,	6,	242,	1,	2),
(84582,	6,	242,	2,	2),
(84583,	6,	242,	3,	2),
(84588,	6,	243,	2,	2),
(84590,	6,	244,	1,	1),
(84591,	6,	244,	2,	1),
(84592,	6,	244,	3,	1),
(84593,	6,	244,	1,	2),
(84594,	6,	244,	2,	2),
(84595,	6,	244,	3,	2),
(84600,	6,	245,	2,	2),
(84601,	6,	245,	3,	2),
(84602,	6,	246,	1,	1),
(84603,	6,	246,	2,	1),
(84604,	6,	246,	3,	1),
(84605,	6,	246,	1,	2),
(84606,	6,	246,	2,	2),
(84607,	6,	246,	3,	2),
(84608,	6,	247,	1,	1),
(84609,	6,	247,	2,	1),
(84610,	6,	247,	3,	1),
(84611,	6,	247,	1,	2),
(84612,	6,	247,	2,	2),
(84613,	6,	247,	3,	2),
(84614,	6,	248,	1,	1),
(84615,	6,	248,	2,	1),
(84616,	6,	248,	3,	1),
(84617,	6,	248,	1,	2),
(84618,	6,	248,	2,	2),
(84619,	6,	248,	3,	2),
(84620,	6,	249,	1,	1),
(84621,	6,	249,	2,	1),
(84622,	6,	249,	3,	1),
(84623,	6,	249,	1,	3),
(84624,	6,	249,	2,	3),
(84625,	6,	249,	3,	3),
(84626,	6,	250,	1,	1),
(84627,	6,	250,	2,	1),
(84628,	6,	250,	3,	1),
(84629,	6,	250,	1,	2),
(84630,	6,	250,	2,	2),
(84631,	6,	250,	3,	2),
(84632,	6,	251,	1,	1),
(84633,	6,	251,	2,	1),
(84634,	6,	251,	3,	1),
(84635,	6,	251,	1,	2),
(84636,	6,	251,	2,	2),
(84637,	6,	251,	3,	2),
(84638,	6,	252,	1,	1),
(84639,	6,	252,	2,	1),
(84640,	6,	252,	3,	1),
(84641,	6,	253,	1,	1),
(84642,	6,	253,	2,	1),
(84643,	6,	253,	3,	1),
(84644,	6,	253,	1,	3),
(84645,	6,	253,	2,	3),
(84646,	6,	253,	3,	3),
(84651,	6,	254,	2,	2),
(84653,	6,	255,	1,	1),
(84654,	6,	255,	2,	1),
(84655,	6,	255,	3,	1),
(84656,	6,	255,	1,	2),
(84657,	6,	255,	2,	2),
(84658,	6,	255,	3,	2),
(84671,	6,	258,	1,	1),
(84672,	6,	258,	2,	1),
(84673,	6,	258,	3,	1),
(84674,	6,	258,	1,	3),
(84675,	6,	258,	2,	3),
(84676,	6,	258,	3,	3),
(84681,	6,	259,	2,	2),
(84683,	6,	260,	1,	1),
(84684,	6,	260,	2,	1),
(84685,	6,	260,	3,	1),
(84686,	6,	260,	1,	2),
(84687,	6,	260,	2,	2),
(84688,	6,	260,	3,	2),
(84689,	6,	261,	1,	1),
(84690,	6,	261,	2,	1),
(84691,	6,	261,	3,	1),
(84692,	6,	261,	1,	2),
(84693,	6,	261,	2,	2),
(84694,	6,	261,	3,	2),
(84695,	6,	262,	1,	1),
(84696,	6,	262,	2,	1),
(84697,	6,	262,	3,	1),
(84698,	6,	262,	1,	2),
(84699,	6,	262,	2,	2),
(84700,	6,	262,	3,	2),
(84701,	6,	263,	1,	1),
(84702,	6,	263,	2,	1),
(84703,	6,	263,	3,	1),
(84704,	6,	263,	1,	2),
(84705,	6,	263,	2,	2),
(84706,	6,	263,	3,	2),
(84711,	6,	264,	2,	2),
(84716,	6,	265,	1,	3),
(84717,	6,	265,	2,	3),
(84718,	6,	265,	3,	3),
(84719,	6,	266,	1,	1),
(84720,	6,	266,	2,	1),
(84721,	6,	266,	3,	1),
(84722,	6,	266,	1,	2),
(84723,	6,	266,	2,	2),
(84724,	6,	266,	3,	2),
(84743,	6,	270,	1,	3),
(84744,	6,	270,	2,	3),
(84745,	6,	270,	3,	3),
(84749,	6,	271,	1,	3),
(84750,	6,	271,	2,	3),
(84751,	6,	271,	3,	3),
(84755,	6,	272,	1,	3),
(84756,	6,	272,	2,	3),
(84757,	6,	272,	3,	3),
(84765,	6,	274,	1,	3),
(84766,	6,	274,	2,	3),
(84767,	6,	274,	3,	3),
(84768,	6,	274,	23,	3),
(84773,	6,	275,	1,	3),
(84774,	6,	275,	2,	3),
(84775,	6,	275,	3,	3),
(84776,	6,	275,	23,	3),
(84781,	6,	276,	1,	3),
(84782,	6,	276,	2,	3),
(84783,	6,	276,	3,	3),
(84784,	6,	276,	23,	3),
(84801,	6,	280,	2,	1),
(84803,	6,	280,	1,	3),
(84804,	6,	280,	2,	3),
(84805,	6,	280,	3,	3),
(84810,	6,	281,	1,	3),
(84811,	6,	281,	2,	3),
(84812,	6,	281,	3,	3),
(84813,	6,	281,	23,	3),
(84818,	6,	282,	1,	3),
(84819,	6,	282,	2,	3),
(84820,	6,	282,	3,	3),
(84821,	6,	282,	23,	3),
(84826,	6,	283,	1,	3),
(84827,	6,	283,	2,	3),
(84828,	6,	283,	3,	3),
(84829,	6,	283,	23,	3),
(84834,	6,	284,	1,	3),
(84835,	6,	284,	2,	3),
(84836,	6,	284,	3,	3),
(84837,	6,	284,	23,	3),
(84846,	6,	286,	1,	1),
(84847,	6,	286,	2,	1),
(84848,	6,	286,	3,	1),
(84849,	6,	286,	23,	1),
(84875,	6,	291,	1,	3),
(84876,	6,	291,	2,	3),
(84877,	6,	291,	3,	3),
(84893,	6,	295,	1,	1),
(84894,	6,	295,	2,	1),
(84895,	6,	295,	3,	1),
(84896,	6,	295,	1,	3),
(84897,	6,	295,	2,	3),
(84898,	6,	295,	3,	3),
(84902,	6,	296,	1,	3),
(84903,	6,	296,	2,	3),
(84904,	6,	296,	3,	3),
(84908,	6,	297,	1,	3),
(84909,	6,	297,	2,	3),
(84910,	6,	297,	3,	3),
(84914,	6,	298,	1,	3),
(84915,	6,	298,	2,	3),
(84916,	6,	298,	3,	3),
(84927,	6,	300,	2,	2),
(84945,	6,	303,	2,	2),
(84959,	6,	306,	1,	1),
(84960,	6,	306,	2,	1),
(84961,	6,	306,	3,	1),
(84962,	6,	306,	1,	3),
(84963,	6,	306,	2,	3),
(84964,	6,	306,	3,	3),
(84969,	6,	307,	2,	2),
(84977,	6,	309,	1,	1),
(84978,	6,	309,	2,	1),
(84979,	6,	309,	3,	1),
(84980,	6,	309,	23,	1),
(84981,	6,	309,	1,	3),
(84982,	6,	309,	2,	3),
(84983,	6,	309,	3,	3),
(84984,	6,	309,	23,	3),
(84985,	6,	310,	1,	1),
(84986,	6,	310,	2,	1),
(84987,	6,	310,	3,	1),
(84988,	6,	310,	28,	1),
(84989,	6,	310,	23,	1),
(84990,	6,	310,	1,	3),
(84991,	6,	310,	2,	3),
(84992,	6,	310,	3,	3),
(84993,	6,	310,	28,	3),
(84994,	6,	310,	23,	3),
(84998,	6,	311,	1,	3),
(84999,	6,	311,	2,	3),
(85000,	6,	311,	3,	3),
(85002,	6,	312,	2,	1),
(85004,	6,	312,	1,	3),
(85005,	6,	312,	2,	3),
(85006,	6,	312,	3,	3),
(85010,	6,	313,	1,	3),
(85011,	6,	313,	2,	3),
(85012,	6,	313,	3,	3),
(85016,	6,	314,	1,	3),
(85017,	6,	314,	2,	3),
(85018,	6,	314,	3,	3),
(85023,	6,	315,	2,	2),
(85025,	6,	316,	1,	1),
(85026,	6,	316,	2,	1),
(85027,	6,	316,	3,	1),
(85038,	6,	318,	2,	2),
(85040,	6,	319,	1,	1),
(85041,	6,	319,	2,	1),
(85042,	6,	319,	3,	1),
(85043,	6,	319,	1,	3),
(85044,	6,	319,	2,	3),
(85045,	6,	319,	3,	3),
(85049,	6,	321,	1,	1),
(85050,	6,	321,	2,	1),
(85051,	6,	321,	3,	1),
(85052,	6,	321,	1,	3),
(85053,	6,	321,	2,	3),
(85054,	6,	321,	3,	3),
(85059,	6,	322,	2,	2),
(85070,	6,	324,	1,	3),
(85071,	6,	324,	2,	3),
(85072,	6,	324,	3,	3),
(85073,	6,	325,	1,	1),
(85074,	6,	325,	2,	1),
(85075,	6,	325,	3,	1),
(85076,	6,	325,	1,	3),
(85077,	6,	325,	2,	3),
(85078,	6,	325,	3,	3),
(85082,	6,	326,	1,	3),
(85083,	6,	326,	2,	3),
(85084,	6,	326,	3,	3),
(85086,	6,	327,	2,	1),
(85088,	6,	328,	1,	1),
(85089,	6,	328,	2,	1),
(85090,	6,	328,	3,	1),
(85091,	6,	328,	1,	3),
(85092,	6,	328,	2,	3),
(85093,	6,	328,	3,	3),
(85097,	6,	329,	1,	3),
(85098,	6,	329,	2,	3),
(85099,	6,	329,	3,	3),
(85103,	6,	330,	1,	3),
(85104,	6,	330,	2,	3),
(85105,	6,	330,	3,	3),
(85110,	6,	331,	2,	2),
(85118,	6,	333,	1,	3),
(85119,	6,	333,	2,	3),
(85120,	6,	333,	3,	3),
(85124,	6,	334,	1,	3),
(85125,	6,	334,	2,	3),
(85126,	6,	334,	3,	3),
(85130,	6,	335,	1,	3),
(85131,	6,	335,	2,	3),
(85132,	6,	335,	3,	3),
(85133,	6,	336,	1,	1),
(85134,	6,	336,	2,	1),
(85135,	6,	336,	3,	1),
(85136,	6,	336,	1,	3),
(85137,	6,	336,	2,	3),
(85138,	6,	336,	3,	3),
(85142,	6,	337,	1,	3),
(85143,	6,	337,	2,	3),
(85144,	6,	337,	3,	3),
(85157,	6,	339,	1,	3),
(85158,	6,	339,	2,	3),
(85159,	6,	339,	3,	3),
(85160,	6,	340,	1,	1),
(85161,	6,	340,	2,	1),
(85162,	6,	340,	3,	1),
(85163,	6,	340,	1,	3),
(85164,	6,	340,	2,	3),
(85165,	6,	340,	3,	3),
(85169,	6,	341,	1,	3),
(85170,	6,	341,	2,	3),
(85171,	6,	341,	3,	3),
(85172,	6,	342,	1,	1),
(85173,	6,	342,	2,	1),
(85174,	6,	342,	3,	1),
(85175,	6,	342,	1,	2),
(85176,	6,	342,	2,	2),
(85177,	6,	342,	3,	2),
(85178,	6,	343,	1,	1),
(85179,	6,	343,	2,	1),
(85180,	6,	343,	3,	1),
(85181,	6,	343,	1,	3),
(85182,	6,	343,	2,	3),
(85183,	6,	343,	3,	3),
(85184,	6,	344,	1,	1),
(85185,	6,	344,	2,	1),
(85186,	6,	344,	3,	1),
(85187,	6,	344,	1,	3),
(85188,	6,	344,	2,	3),
(85189,	6,	344,	3,	3),
(85190,	6,	345,	1,	1),
(85191,	6,	345,	2,	1),
(85192,	6,	345,	3,	1),
(85193,	6,	345,	1,	3),
(85194,	6,	345,	2,	3),
(85195,	6,	345,	3,	3),
(85197,	6,	346,	2,	1),
(85199,	6,	346,	1,	3),
(85200,	6,	346,	2,	3),
(85201,	6,	346,	3,	3),
(85203,	6,	346,	2,	2),
(85208,	6,	347,	1,	3),
(85209,	6,	347,	2,	3),
(85210,	6,	347,	3,	3),
(85217,	6,	348,	1,	3),
(85218,	6,	348,	2,	3),
(85219,	6,	348,	3,	3),
(85220,	6,	349,	1,	1),
(85221,	6,	349,	2,	1),
(85222,	6,	349,	3,	1),
(85223,	6,	349,	1,	3),
(85224,	6,	349,	2,	3),
(85225,	6,	349,	3,	3),
(85229,	6,	350,	1,	3),
(85230,	6,	350,	2,	3),
(85231,	6,	350,	3,	3),
(85232,	6,	351,	1,	1),
(85233,	6,	351,	2,	1),
(85234,	6,	351,	3,	1),
(85235,	6,	351,	1,	2),
(85236,	6,	351,	2,	2),
(85237,	6,	351,	3,	2),
(85238,	6,	352,	1,	1),
(85239,	6,	352,	2,	1),
(85240,	6,	352,	3,	1),
(85241,	6,	352,	1,	3),
(85242,	6,	352,	2,	3),
(85243,	6,	352,	3,	3),
(85247,	6,	353,	1,	3),
(85248,	6,	353,	2,	3),
(85249,	6,	353,	3,	3),
(85253,	6,	354,	1,	3),
(85254,	6,	354,	2,	3),
(85255,	6,	354,	3,	3),
(85256,	6,	355,	1,	1),
(85257,	6,	355,	2,	1),
(85258,	6,	355,	3,	1),
(85259,	6,	355,	29,	1),
(85270,	6,	357,	2,	2),
(85276,	6,	358,	2,	2),
(85281,	6,	360,	1,	1),
(85282,	6,	360,	2,	1),
(85283,	6,	360,	3,	1),
(85288,	6,	361,	2,	2),
(85293,	6,	362,	1,	3),
(85294,	6,	362,	2,	3),
(85295,	6,	362,	3,	3),
(85297,	6,	363,	2,	1),
(85299,	6,	363,	1,	3),
(85300,	6,	363,	2,	3),
(85301,	6,	363,	3,	3),
(85303,	6,	364,	2,	1),
(85305,	6,	364,	1,	3),
(85306,	6,	364,	2,	3),
(85307,	6,	364,	3,	3),
(85314,	6,	366,	1,	1),
(85315,	6,	366,	2,	1),
(85316,	6,	366,	3,	1),
(85320,	6,	367,	1,	3),
(85321,	6,	367,	2,	3),
(85322,	6,	367,	3,	3),
(85326,	6,	368,	1,	3),
(85327,	6,	368,	2,	3),
(85328,	6,	368,	3,	3),
(85333,	6,	369,	30,	1),
(85338,	6,	370,	30,	1),
(85398,	6,	381,	1,	1),
(85399,	6,	381,	2,	1),
(85400,	6,	381,	3,	1),
(85401,	6,	381,	1,	2),
(85402,	6,	381,	2,	2),
(85403,	6,	381,	3,	2),
(85404,	6,	382,	1,	1),
(85405,	6,	382,	2,	1),
(85406,	6,	382,	3,	1),
(85407,	6,	382,	23,	1),
(85414,	6,	384,	1,	1),
(85415,	6,	384,	2,	1),
(85416,	6,	384,	3,	1),
(85417,	6,	384,	23,	1),
(85418,	6,	384,	1,	3),
(85419,	6,	384,	2,	3),
(85420,	6,	384,	3,	3),
(85421,	6,	384,	23,	3),
(85422,	6,	385,	1,	1),
(85423,	6,	385,	2,	1),
(85424,	6,	385,	3,	1),
(85425,	6,	385,	1,	3),
(85426,	6,	385,	2,	3),
(85427,	6,	385,	3,	3),
(85428,	6,	386,	1,	1),
(85429,	6,	386,	2,	1),
(85430,	6,	386,	3,	1),
(85431,	6,	386,	1,	2),
(85432,	6,	386,	2,	2),
(85433,	6,	386,	3,	2),
(85438,	6,	387,	2,	2),
(85446,	6,	389,	1,	1),
(85447,	6,	389,	2,	1),
(85448,	6,	389,	3,	1),
(85449,	6,	389,	1,	2),
(85450,	6,	389,	2,	2),
(85451,	6,	389,	3,	2),
(85455,	6,	391,	1,	1),
(85456,	6,	391,	2,	1),
(85457,	6,	391,	3,	1),
(85458,	6,	391,	1,	2),
(85459,	6,	391,	2,	2),
(85460,	6,	391,	3,	2),
(85461,	6,	392,	1,	1),
(85462,	6,	392,	2,	1),
(85463,	6,	392,	3,	1),
(85464,	6,	392,	1,	2),
(85465,	6,	392,	2,	2),
(85466,	6,	392,	3,	2),
(85473,	6,	394,	1,	1),
(85474,	6,	394,	2,	1),
(85475,	6,	394,	3,	1),
(85476,	6,	394,	1,	2),
(85477,	6,	394,	2,	2),
(85478,	6,	394,	3,	2),
(85479,	6,	395,	1,	1),
(85480,	6,	395,	2,	1),
(85481,	6,	395,	3,	1),
(85482,	6,	395,	1,	2),
(85483,	6,	395,	2,	2),
(85484,	6,	395,	3,	2),
(85492,	6,	396,	2,	2),
(85497,	6,	397,	1,	1),
(85498,	6,	397,	2,	1),
(85499,	6,	397,	3,	1),
(85500,	6,	397,	6,	1),
(85501,	6,	397,	24,	1),
(85502,	6,	397,	5,	1),
(85503,	6,	397,	1,	2),
(85504,	6,	397,	2,	2),
(85505,	6,	397,	3,	2),
(85506,	6,	397,	6,	2),
(85507,	6,	397,	24,	2),
(85508,	6,	397,	5,	2),
(85509,	6,	398,	1,	1),
(85510,	6,	398,	2,	1),
(85511,	6,	398,	3,	1),
(85512,	6,	398,	6,	1),
(85513,	6,	398,	24,	1),
(85514,	6,	398,	25,	1),
(85515,	6,	398,	4,	1),
(85516,	6,	398,	1,	3),
(85517,	6,	398,	2,	3),
(85518,	6,	398,	3,	3),
(85519,	6,	398,	6,	3),
(85520,	6,	398,	24,	3),
(85521,	6,	398,	25,	3),
(85522,	6,	398,	4,	3),
(85523,	6,	399,	1,	1),
(85524,	6,	399,	2,	1),
(85525,	6,	399,	3,	1),
(85526,	6,	399,	6,	1),
(85527,	6,	399,	24,	1),
(85528,	6,	399,	25,	1),
(85529,	6,	399,	4,	1),
(85530,	6,	399,	5,	1),
(85531,	6,	399,	1,	3),
(85532,	6,	399,	2,	3),
(85533,	6,	399,	3,	3),
(85534,	6,	399,	6,	3),
(85535,	6,	399,	24,	3),
(85536,	6,	399,	25,	3),
(85537,	6,	399,	4,	3),
(85538,	6,	399,	5,	3),
(85539,	6,	400,	1,	1),
(85540,	6,	400,	2,	1),
(85541,	6,	400,	3,	1),
(85542,	6,	400,	1,	3),
(85543,	6,	400,	2,	3),
(85544,	6,	400,	3,	3),
(85545,	6,	400,	1,	2),
(85546,	6,	400,	2,	2),
(85547,	6,	400,	3,	2),
(85548,	6,	401,	1,	1),
(85549,	6,	401,	2,	1),
(85550,	6,	401,	3,	1),
(85551,	6,	401,	6,	1),
(85552,	6,	401,	24,	1),
(85553,	6,	401,	25,	1),
(85554,	6,	401,	4,	1),
(85555,	6,	401,	5,	1),
(85556,	6,	401,	1,	3),
(85557,	6,	401,	2,	3),
(85558,	6,	401,	3,	3),
(85559,	6,	401,	6,	3),
(85560,	6,	401,	24,	3),
(85561,	6,	401,	25,	3),
(85562,	6,	401,	4,	3),
(85563,	6,	401,	5,	3),
(85564,	6,	402,	1,	1),
(85565,	6,	402,	2,	1),
(85566,	6,	402,	3,	1),
(85567,	6,	402,	6,	1),
(85568,	6,	402,	24,	1),
(85569,	6,	402,	25,	1),
(85570,	6,	402,	4,	1),
(85571,	6,	402,	5,	1),
(85572,	6,	402,	1,	3),
(85573,	6,	402,	2,	3),
(85574,	6,	402,	3,	3),
(85575,	6,	402,	6,	3),
(85576,	6,	402,	24,	3),
(85577,	6,	402,	25,	3),
(85578,	6,	402,	4,	3),
(85579,	6,	402,	5,	3),
(85580,	6,	403,	1,	1),
(85581,	6,	403,	2,	1),
(85582,	6,	403,	3,	1),
(85583,	6,	403,	6,	1),
(85584,	6,	403,	24,	1),
(85585,	6,	403,	5,	1),
(85586,	6,	403,	1,	2),
(85587,	6,	403,	2,	2),
(85588,	6,	403,	3,	2),
(85589,	6,	403,	6,	2),
(85590,	6,	403,	24,	2),
(85591,	6,	403,	5,	2),
(85608,	6,	406,	2,	2),
(85619,	6,	409,	1,	1),
(85620,	6,	409,	2,	1),
(85621,	6,	409,	3,	1),
(85622,	6,	409,	1,	3),
(85623,	6,	409,	2,	3),
(85624,	6,	409,	3,	3),
(85625,	6,	410,	1,	1),
(85626,	6,	410,	2,	1),
(85627,	6,	410,	3,	1),
(85628,	6,	410,	1,	2),
(85629,	6,	410,	2,	2),
(85630,	6,	410,	3,	2),
(85638,	6,	412,	2,	1),
(85646,	6,	414,	1,	1),
(85647,	6,	414,	2,	1),
(85648,	6,	414,	3,	1),
(85649,	6,	414,	1,	2),
(85650,	6,	414,	2,	2),
(85651,	6,	414,	3,	2),
(85652,	6,	415,	1,	1),
(85653,	6,	415,	2,	1),
(85654,	6,	415,	3,	1),
(85655,	6,	415,	1,	2),
(85656,	6,	415,	2,	2),
(85657,	6,	415,	3,	2),
(85662,	6,	416,	2,	2),
(85673,	6,	419,	1,	1),
(85674,	6,	419,	2,	1),
(85675,	6,	419,	3,	1),
(85676,	6,	419,	1,	2),
(85677,	6,	419,	2,	2),
(85678,	6,	419,	3,	2),
(85685,	6,	421,	1,	1),
(85686,	6,	421,	2,	1),
(85687,	6,	421,	3,	1),
(85688,	6,	421,	1,	2),
(85689,	6,	421,	2,	2),
(85690,	6,	421,	3,	2),
(85691,	6,	422,	1,	1),
(85692,	6,	422,	2,	1),
(85693,	6,	422,	3,	1),
(85694,	6,	422,	1,	3),
(85695,	6,	422,	2,	3),
(85696,	6,	422,	3,	3),
(85703,	6,	424,	1,	1),
(85704,	6,	424,	2,	1),
(85705,	6,	424,	3,	1),
(85706,	6,	424,	1,	2),
(85707,	6,	424,	2,	2),
(85708,	6,	424,	3,	2),
(85709,	6,	425,	1,	1),
(85710,	6,	425,	2,	1),
(85711,	6,	425,	3,	1),
(85712,	6,	425,	1,	2),
(85713,	6,	425,	2,	2),
(85714,	6,	425,	3,	2),
(85719,	6,	426,	2,	2),
(85721,	6,	427,	1,	1),
(85722,	6,	427,	2,	1),
(85723,	6,	427,	3,	1),
(85724,	6,	428,	1,	1),
(85725,	6,	428,	2,	1),
(85726,	6,	428,	3,	1),
(85727,	6,	428,	1,	3),
(85728,	6,	428,	2,	3),
(85729,	6,	428,	3,	3),
(85731,	6,	429,	2,	1),
(85736,	6,	430,	1,	1),
(85737,	6,	430,	2,	1),
(85738,	6,	430,	3,	1),
(85739,	6,	430,	1,	3),
(85740,	6,	430,	2,	3),
(85741,	6,	430,	3,	3),
(85742,	6,	430,	1,	2),
(85743,	6,	430,	2,	2),
(85744,	6,	430,	3,	2),
(85745,	6,	431,	1,	1),
(85746,	6,	431,	2,	1),
(85747,	6,	431,	3,	1),
(85748,	6,	431,	1,	3),
(85749,	6,	431,	2,	3),
(85750,	6,	431,	3,	3),
(85751,	6,	431,	1,	2),
(85752,	6,	431,	2,	2),
(85753,	6,	431,	3,	2),
(85757,	6,	432,	1,	3),
(85758,	6,	432,	2,	3),
(85759,	6,	432,	3,	3),
(85761,	6,	432,	2,	2),
(85763,	6,	433,	1,	1),
(85764,	6,	433,	2,	1),
(85765,	6,	433,	3,	1),
(85766,	6,	433,	1,	2),
(85767,	6,	433,	2,	2),
(85768,	6,	433,	3,	2),
(85775,	6,	435,	1,	1),
(85776,	6,	435,	2,	1),
(85777,	6,	435,	3,	1),
(85778,	6,	435,	1,	2),
(85779,	6,	435,	2,	2),
(85780,	6,	435,	3,	2),
(85799,	6,	439,	1,	1),
(85800,	6,	439,	2,	1),
(85801,	6,	439,	3,	1),
(85802,	6,	439,	1,	2),
(85803,	6,	439,	2,	2),
(85804,	6,	439,	3,	2),
(85805,	6,	440,	1,	1),
(85806,	6,	440,	2,	1),
(85807,	6,	440,	3,	1),
(85808,	6,	440,	1,	3),
(85809,	6,	440,	2,	3),
(85810,	6,	440,	3,	3),
(85811,	6,	441,	1,	1),
(85812,	6,	441,	2,	1),
(85813,	6,	441,	3,	1),
(85814,	6,	441,	1,	3),
(85815,	6,	441,	2,	3),
(85816,	6,	441,	3,	3),
(85818,	6,	442,	2,	1),
(85820,	6,	442,	1,	3),
(85821,	6,	442,	2,	3),
(85822,	6,	442,	3,	3),
(85823,	6,	443,	1,	1),
(85824,	6,	443,	2,	1),
(85825,	6,	443,	3,	1),
(85826,	6,	443,	1,	2),
(85827,	6,	443,	2,	2),
(85828,	6,	443,	3,	2),
(85829,	6,	444,	1,	1),
(85830,	6,	444,	2,	1),
(85831,	6,	444,	3,	1),
(85832,	6,	444,	1,	3),
(85833,	6,	444,	2,	3),
(85834,	6,	444,	3,	3),
(85835,	6,	445,	1,	1),
(85836,	6,	445,	2,	1),
(85837,	6,	445,	3,	1),
(85838,	6,	445,	1,	3),
(85839,	6,	445,	2,	3),
(85840,	6,	445,	3,	3),
(85841,	6,	446,	1,	1),
(85842,	6,	446,	2,	1),
(85843,	6,	446,	3,	1),
(85844,	6,	446,	1,	2),
(85845,	6,	446,	2,	2),
(85846,	6,	446,	3,	2),
(85847,	6,	447,	1,	1),
(85848,	6,	447,	2,	1),
(85849,	6,	447,	3,	1),
(85850,	6,	447,	1,	3),
(85851,	6,	447,	2,	3),
(85852,	6,	447,	3,	3),
(85859,	6,	449,	1,	1),
(85860,	6,	449,	2,	1),
(85861,	6,	449,	3,	1),
(85862,	6,	449,	1,	2),
(85863,	6,	449,	2,	2),
(85864,	6,	449,	3,	2),
(85865,	6,	450,	1,	1),
(85866,	6,	450,	2,	1),
(85867,	6,	450,	3,	1),
(85868,	6,	450,	1,	3),
(85869,	6,	450,	2,	3),
(85870,	6,	450,	3,	3),
(85871,	6,	451,	1,	1),
(85872,	6,	451,	2,	1),
(85873,	6,	451,	3,	1),
(85874,	6,	451,	1,	2),
(85875,	6,	451,	2,	2),
(85876,	6,	451,	3,	2),
(85877,	6,	452,	1,	1),
(85878,	6,	452,	2,	1),
(85879,	6,	452,	3,	1),
(85880,	6,	452,	1,	2),
(85881,	6,	452,	2,	2),
(85882,	6,	452,	3,	2),
(85883,	6,	453,	1,	1),
(85884,	6,	453,	2,	1),
(85885,	6,	453,	3,	1),
(85886,	6,	453,	1,	3),
(85887,	6,	453,	2,	3),
(85888,	6,	453,	3,	3),
(85889,	6,	454,	1,	1),
(85890,	6,	454,	2,	1),
(85891,	6,	454,	3,	1),
(85892,	6,	454,	1,	2),
(85893,	6,	454,	2,	2),
(85894,	6,	454,	3,	2),
(85896,	6,	455,	2,	1),
(85898,	6,	456,	1,	1),
(85899,	6,	456,	2,	1),
(85900,	6,	456,	3,	1),
(85901,	6,	456,	1,	2),
(85902,	6,	456,	2,	2),
(85903,	6,	456,	3,	2),
(85910,	6,	458,	1,	1),
(85911,	6,	458,	2,	1),
(85912,	6,	458,	3,	1),
(85913,	6,	458,	1,	3),
(85914,	6,	458,	2,	3),
(85915,	6,	458,	3,	3),
(85917,	6,	459,	2,	1),
(85918,	6,	459,	3,	1),
(85919,	6,	460,	1,	1),
(85920,	6,	460,	2,	1),
(85921,	6,	460,	3,	1),
(85922,	6,	460,	1,	2),
(85923,	6,	460,	2,	2),
(85924,	6,	460,	3,	2),
(85925,	6,	461,	1,	1),
(85926,	6,	461,	2,	1),
(85927,	6,	461,	3,	1),
(85928,	6,	461,	1,	2),
(85929,	6,	461,	2,	2),
(85930,	6,	461,	3,	2),
(85937,	6,	463,	1,	1),
(85938,	6,	463,	2,	1),
(85939,	6,	463,	3,	1),
(85940,	6,	463,	1,	2),
(85941,	6,	463,	2,	2),
(85942,	6,	463,	3,	2),
(85959,	6,	466,	2,	2),
(85965,	6,	467,	2,	2),
(85971,	6,	468,	2,	2),
(85979,	6,	470,	1,	1),
(85980,	6,	470,	2,	1),
(85981,	6,	470,	3,	1),
(85982,	6,	471,	1,	1),
(85983,	6,	471,	2,	1),
(85984,	6,	471,	3,	1),
(85985,	6,	472,	1,	1),
(85986,	6,	472,	2,	1),
(85987,	6,	472,	3,	1),
(85988,	6,	473,	1,	1),
(85989,	6,	473,	2,	1),
(85990,	6,	473,	3,	1),
(85991,	6,	474,	1,	1),
(85992,	6,	474,	2,	1),
(85993,	6,	474,	3,	1),
(85994,	6,	474,	1,	3),
(85995,	6,	474,	2,	3),
(85996,	6,	474,	3,	3),
(86000,	6,	476,	1,	1),
(86001,	6,	476,	2,	1),
(86002,	6,	476,	3,	1),
(86003,	6,	476,	1,	2),
(86004,	6,	476,	2,	2),
(86005,	6,	476,	3,	2),
(86006,	6,	477,	1,	1),
(86007,	6,	477,	2,	1),
(86008,	6,	477,	3,	1),
(86009,	6,	477,	1,	2),
(86010,	6,	477,	2,	2),
(86011,	6,	477,	3,	2),
(86016,	6,	478,	2,	2),
(86021,	6,	480,	1,	1),
(86022,	6,	480,	2,	1),
(86023,	6,	480,	3,	1),
(86025,	6,	481,	2,	1),
(86027,	6,	482,	1,	1),
(86028,	6,	482,	2,	1),
(86029,	6,	482,	3,	1),
(86030,	6,	483,	1,	1),
(86031,	6,	483,	2,	1),
(86032,	6,	483,	3,	1),
(86036,	6,	485,	1,	1),
(86037,	6,	485,	2,	1),
(86038,	6,	485,	3,	1),
(86039,	6,	486,	1,	1),
(86040,	6,	486,	2,	1),
(86041,	6,	486,	3,	1),
(86042,	6,	486,	1,	2),
(86043,	6,	486,	2,	2),
(86044,	6,	486,	3,	2),
(86051,	6,	488,	1,	1),
(86052,	6,	488,	2,	1),
(86053,	6,	488,	3,	1),
(86054,	6,	488,	1,	2),
(86055,	6,	488,	2,	2),
(86056,	6,	488,	3,	2),
(86063,	6,	490,	1,	1),
(86064,	6,	490,	2,	1),
(86065,	6,	490,	3,	1),
(86066,	6,	491,	1,	1),
(86067,	6,	491,	2,	1),
(86068,	6,	491,	3,	1),
(86069,	6,	492,	1,	1),
(86070,	6,	492,	2,	1),
(86071,	6,	492,	3,	1),
(86078,	6,	494,	1,	1),
(86079,	6,	494,	2,	1),
(86080,	6,	494,	3,	1),
(86081,	6,	494,	1,	2),
(86082,	6,	494,	2,	2),
(86083,	6,	494,	3,	2),
(86084,	6,	495,	1,	1),
(86085,	6,	495,	2,	1),
(86086,	6,	495,	3,	1),
(86087,	6,	495,	1,	2),
(86088,	6,	495,	2,	2),
(86089,	6,	495,	3,	2),
(86090,	6,	496,	1,	1),
(86091,	6,	496,	2,	1),
(86092,	6,	496,	3,	1),
(86093,	6,	496,	1,	2),
(86094,	6,	496,	2,	2),
(86095,	6,	496,	3,	2),
(86100,	6,	497,	2,	2),
(86142,	6,	504,	2,	2),
(86196,	6,	513,	2,	2),
(86198,	6,	514,	1,	1),
(86199,	6,	514,	2,	1),
(86200,	6,	514,	3,	1),
(86201,	6,	514,	23,	1),
(86202,	6,	514,	1,	3),
(86203,	6,	514,	2,	3),
(86204,	6,	514,	3,	3),
(86205,	6,	514,	23,	3),
(86206,	6,	515,	1,	1),
(86207,	6,	515,	2,	1),
(86208,	6,	515,	3,	1),
(86209,	6,	515,	23,	1),
(86210,	6,	515,	1,	3),
(86211,	6,	515,	2,	3),
(86212,	6,	515,	3,	3),
(86213,	6,	515,	23,	3),
(86214,	6,	516,	1,	1),
(86215,	6,	516,	2,	1),
(86216,	6,	516,	3,	1),
(86217,	6,	516,	1,	3),
(86218,	6,	516,	2,	3),
(86219,	6,	516,	3,	3),
(86220,	6,	517,	1,	1),
(86221,	6,	517,	2,	1),
(86222,	6,	517,	3,	1),
(86223,	6,	517,	23,	1),
(86224,	6,	517,	1,	3),
(86225,	6,	517,	2,	3),
(86226,	6,	517,	3,	3),
(86227,	6,	517,	23,	3),
(86228,	6,	518,	1,	1),
(86229,	6,	518,	2,	1),
(86230,	6,	518,	3,	1),
(86231,	6,	518,	23,	1),
(86232,	6,	518,	1,	3),
(86233,	6,	518,	2,	3),
(86234,	6,	518,	3,	3),
(86235,	6,	518,	23,	3),
(86236,	6,	519,	1,	1),
(86237,	6,	519,	2,	1),
(86238,	6,	519,	3,	1),
(86239,	6,	519,	1,	3),
(86240,	6,	519,	2,	3),
(86241,	6,	519,	3,	3),
(86242,	6,	519,	1,	2),
(86243,	6,	519,	2,	2),
(86244,	6,	519,	3,	2),
(86248,	6,	520,	1,	3),
(86249,	6,	520,	2,	3),
(86250,	6,	520,	3,	3),
(86251,	6,	521,	1,	1),
(86252,	6,	521,	2,	1),
(86253,	6,	521,	3,	1),
(86254,	6,	521,	1,	3),
(86255,	6,	521,	2,	3),
(86256,	6,	521,	3,	3),
(86257,	6,	521,	1,	2),
(86258,	6,	521,	2,	2),
(86259,	6,	521,	3,	2),
(86260,	6,	522,	1,	1),
(86261,	6,	522,	2,	1),
(86262,	6,	522,	3,	1),
(86263,	6,	522,	1,	2),
(86264,	6,	522,	2,	2),
(86265,	6,	522,	3,	2),
(86266,	6,	523,	1,	1),
(86267,	6,	523,	2,	1),
(86269,	6,	523,	1,	3),
(86270,	6,	523,	2,	3),
(86271,	6,	523,	3,	3),
(86279,	6,	525,	2,	1),
(86342,	6,	534,	1,	1),
(86343,	6,	534,	2,	1),
(86344,	6,	534,	3,	1),
(86345,	6,	534,	1,	3),
(86346,	6,	534,	2,	3),
(86347,	6,	534,	3,	3),
(86348,	6,	535,	1,	1),
(86349,	6,	535,	2,	1),
(86350,	6,	535,	3,	1),
(86351,	6,	535,	1,	3),
(86352,	6,	535,	2,	3),
(86353,	6,	535,	3,	3),
(86354,	6,	536,	1,	1),
(86355,	6,	536,	2,	1),
(86356,	6,	536,	3,	1),
(86357,	6,	536,	1,	3),
(86358,	6,	536,	2,	3),
(86359,	6,	536,	3,	3),
(86360,	6,	537,	1,	1),
(86361,	6,	537,	2,	1),
(86362,	6,	537,	3,	1),
(86363,	6,	537,	1,	3),
(86364,	6,	537,	2,	3),
(86365,	6,	537,	3,	3),
(86366,	6,	538,	1,	1),
(86367,	6,	538,	2,	1),
(86368,	6,	538,	3,	1),
(86369,	6,	538,	1,	3),
(86370,	6,	538,	2,	3),
(86371,	6,	538,	3,	3),
(86372,	6,	539,	1,	1),
(86373,	6,	539,	2,	1),
(86374,	6,	539,	3,	1),
(86375,	6,	540,	1,	1),
(86376,	6,	540,	2,	1),
(86377,	6,	540,	3,	1),
(86378,	6,	541,	1,	1),
(86379,	6,	541,	2,	1),
(86380,	6,	541,	3,	1),
(86381,	6,	541,	4,	1),
(86382,	6,	542,	1,	1),
(86383,	6,	542,	2,	1),
(86384,	6,	542,	3,	1),
(86386,	6,	543,	2,	1),
(86393,	6,	544,	2,	1),
(86398,	6,	546,	1,	1),
(86399,	6,	546,	2,	1),
(86400,	6,	546,	3,	1),
(86408,	6,	548,	2,	1),
(86416,	6,	550,	1,	1),
(86417,	6,	550,	2,	1),
(86418,	6,	550,	3,	1),
(86420,	6,	551,	2,	1),
(86423,	6,	552,	1,	1),
(86424,	6,	552,	2,	1),
(86425,	6,	552,	3,	1),
(86426,	6,	552,	6,	1),
(86427,	6,	552,	1,	2),
(86428,	6,	552,	2,	2),
(86429,	6,	552,	3,	2),
(86430,	6,	552,	6,	2),
(86431,	6,	553,	1,	1),
(86432,	6,	553,	2,	1),
(86433,	6,	553,	3,	1),
(86434,	6,	554,	1,	1),
(86435,	6,	554,	2,	1),
(86436,	6,	554,	3,	1),
(86437,	6,	555,	1,	1),
(86438,	6,	555,	2,	1),
(86439,	6,	555,	3,	1),
(86440,	6,	556,	1,	1),
(86441,	6,	556,	2,	1),
(86442,	6,	556,	3,	1),
(86443,	6,	556,	1,	2),
(86444,	6,	556,	2,	2),
(86445,	6,	556,	3,	2),
(86446,	6,	557,	1,	1),
(86447,	6,	557,	2,	1),
(86448,	6,	557,	3,	1),
(86449,	6,	557,	1,	2),
(86450,	6,	557,	2,	2),
(86451,	6,	557,	3,	2),
(86456,	6,	559,	2,	1),
(86457,	6,	559,	3,	1),
(86500,	6,	562,	2,	1),
(86501,	6,	562,	35,	1),
(86502,	6,	563,	2,	1),
(86503,	6,	563,	35,	1),
(86517,	6,	571,	1,	1),
(86518,	6,	571,	2,	1),
(86519,	6,	571,	3,	1),
(86520,	6,	571,	1,	2),
(86521,	6,	571,	2,	2),
(86522,	6,	571,	3,	2),
(86523,	6,	572,	1,	1),
(86524,	6,	572,	2,	1),
(86525,	6,	572,	3,	1),
(86526,	6,	572,	1,	2),
(86527,	6,	572,	2,	2),
(86528,	6,	572,	3,	2),
(86529,	6,	573,	1,	1),
(86530,	6,	573,	2,	1),
(86531,	6,	573,	3,	1),
(86532,	6,	573,	1,	2),
(86533,	6,	573,	2,	2),
(86534,	6,	573,	3,	2),
(86535,	6,	574,	1,	1),
(86536,	6,	574,	2,	1),
(86537,	6,	574,	3,	1),
(86538,	6,	574,	1,	2),
(86539,	6,	574,	2,	2),
(86540,	6,	574,	3,	2),
(86565,	6,	581,	2,	1),
(86578,	6,	586,	2,	1),
(86586,	6,	590,	1,	1),
(86587,	6,	590,	2,	1),
(86588,	6,	590,	3,	1),
(86589,	6,	591,	1,	1),
(86590,	6,	591,	2,	1),
(86591,	6,	591,	3,	1),
(86592,	6,	591,	23,	1),
(86593,	6,	592,	1,	1),
(86594,	6,	592,	2,	1),
(86595,	6,	592,	3,	1),
(86596,	6,	593,	1,	1),
(86597,	6,	593,	2,	1),
(86598,	6,	593,	3,	1),
(86599,	6,	594,	1,	1),
(86600,	6,	594,	2,	1),
(86601,	6,	594,	3,	1),
(86602,	6,	595,	1,	1),
(86603,	6,	595,	2,	1),
(86604,	6,	595,	3,	1),
(86605,	6,	596,	1,	1),
(86606,	6,	596,	2,	1),
(86607,	6,	596,	3,	1),
(86608,	6,	597,	1,	1),
(86609,	6,	597,	2,	1),
(86610,	6,	597,	3,	1),
(86611,	6,	598,	1,	1),
(86612,	6,	598,	2,	1),
(86613,	6,	598,	3,	1),
(86614,	6,	598,	1,	2),
(86615,	6,	598,	2,	2),
(86616,	6,	598,	3,	2),
(86617,	6,	599,	1,	1),
(86618,	6,	599,	2,	1),
(86620,	6,	600,	1,	1),
(86621,	6,	600,	2,	1),
(86622,	6,	600,	3,	1),
(86623,	6,	601,	1,	1),
(86624,	6,	601,	2,	1),
(86626,	6,	602,	1,	1),
(86627,	6,	602,	2,	1),
(86628,	6,	602,	3,	1),
(86629,	6,	603,	1,	1),
(86630,	6,	603,	2,	1),
(86631,	6,	603,	3,	1),
(86632,	6,	603,	1,	2),
(86633,	6,	603,	2,	2),
(86634,	6,	603,	3,	2),
(86635,	6,	604,	1,	1),
(86636,	6,	604,	2,	1),
(86637,	6,	604,	3,	1),
(86638,	6,	605,	1,	1),
(86639,	6,	605,	2,	1),
(86640,	6,	605,	3,	1),
(86641,	6,	605,	1,	2),
(86642,	6,	605,	2,	2),
(86643,	6,	605,	3,	2),
(86650,	6,	607,	1,	1),
(86651,	6,	607,	2,	1),
(86652,	6,	607,	3,	1),
(86659,	6,	610,	1,	1),
(86660,	6,	610,	2,	1),
(86661,	6,	610,	3,	1),
(86662,	6,	611,	1,	1),
(86663,	6,	611,	2,	1),
(86665,	6,	612,	1,	1),
(86666,	6,	612,	2,	1),
(86668,	6,	613,	1,	1),
(86669,	6,	613,	2,	1),
(86671,	6,	614,	1,	1),
(86672,	6,	614,	2,	1),
(86673,	6,	614,	3,	1),
(86674,	6,	614,	1,	2),
(86675,	6,	614,	2,	2),
(86676,	6,	614,	3,	2),
(86683,	6,	616,	1,	1),
(86684,	6,	616,	2,	1),
(86685,	6,	616,	3,	1),
(86686,	6,	616,	1,	2),
(86687,	6,	616,	2,	2),
(86688,	6,	616,	3,	2),
(86689,	6,	617,	1,	1),
(86690,	6,	617,	2,	1),
(86691,	6,	617,	3,	1),
(86692,	6,	617,	1,	2),
(86693,	6,	617,	2,	2),
(86694,	6,	617,	3,	2),
(86701,	6,	619,	1,	1),
(86702,	6,	619,	2,	1),
(86710,	6,	621,	1,	1),
(86711,	6,	621,	2,	1),
(86712,	6,	621,	3,	1),
(86713,	6,	621,	1,	2),
(86714,	6,	621,	2,	2),
(86715,	6,	621,	3,	2),
(86728,	6,	624,	1,	1),
(86729,	6,	624,	2,	1),
(86730,	6,	624,	3,	1),
(86731,	6,	624,	1,	2),
(86732,	6,	624,	2,	2),
(86733,	6,	624,	3,	2),
(86734,	6,	625,	1,	1),
(86735,	6,	625,	2,	1),
(86736,	6,	625,	3,	1),
(86737,	6,	625,	1,	2),
(86738,	6,	625,	2,	2),
(86739,	6,	625,	3,	2),
(86767,	6,	631,	1,	1),
(86768,	6,	631,	2,	1),
(86769,	6,	631,	3,	1),
(86770,	6,	631,	1,	2),
(86771,	6,	631,	2,	2),
(86772,	6,	631,	3,	2),
(86773,	6,	632,	1,	1),
(86774,	6,	632,	2,	1),
(86775,	6,	632,	3,	1),
(86776,	6,	632,	24,	1),
(86777,	6,	632,	4,	1),
(86778,	6,	632,	32,	1),
(86779,	6,	632,	47,	1),
(86780,	6,	632,	48,	1),
(86781,	6,	633,	1,	1),
(86782,	6,	633,	2,	1),
(86783,	6,	633,	3,	1),
(86784,	6,	634,	1,	1),
(86785,	6,	634,	2,	1),
(86786,	6,	634,	3,	1),
(86787,	6,	634,	5,	1),
(86788,	6,	634,	29,	1),
(86789,	6,	635,	1,	1),
(86790,	6,	635,	2,	1),
(86791,	6,	635,	3,	1),
(86792,	6,	635,	23,	1),
(86797,	6,	636,	2,	2),
(86799,	6,	637,	1,	1),
(86800,	6,	637,	2,	1),
(86801,	6,	637,	3,	1),
(86802,	6,	637,	23,	1),
(86803,	6,	637,	1,	2),
(86804,	6,	637,	2,	2),
(86805,	6,	637,	3,	2),
(86806,	6,	637,	23,	2),
(86807,	6,	638,	1,	1),
(86808,	6,	638,	2,	1),
(86809,	6,	638,	3,	1),
(86810,	6,	638,	23,	1),
(86811,	6,	638,	1,	2),
(86812,	6,	638,	2,	2),
(86813,	6,	638,	3,	2),
(86814,	6,	638,	23,	2),
(86816,	6,	639,	2,	1),
(86818,	6,	640,	1,	1),
(86819,	6,	640,	2,	1),
(86820,	6,	640,	3,	1),
(86821,	6,	641,	1,	1),
(86822,	6,	641,	2,	1),
(86823,	6,	641,	3,	1),
(86824,	6,	641,	1,	2),
(86825,	6,	641,	2,	2),
(86826,	6,	641,	3,	2),
(86832,	6,	642,	3,	2),
(86836,	6,	644,	1,	1),
(86837,	6,	644,	2,	1),
(86838,	6,	644,	3,	1),
(86839,	6,	645,	1,	1),
(86840,	6,	645,	2,	1),
(86841,	6,	645,	3,	1),
(86842,	6,	646,	1,	1),
(86843,	6,	646,	2,	1),
(86844,	6,	646,	3,	1),
(86845,	6,	646,	1,	2),
(86846,	6,	646,	2,	2),
(86847,	6,	646,	3,	2),
(86860,	6,	649,	1,	1),
(86861,	6,	649,	2,	1),
(86862,	6,	649,	3,	1),
(86863,	6,	649,	1,	2),
(86864,	6,	649,	2,	2),
(86865,	6,	649,	3,	2),
(86866,	6,	650,	1,	1),
(86867,	6,	650,	2,	1),
(86868,	6,	650,	3,	1),
(86869,	6,	651,	1,	1),
(86870,	6,	651,	2,	1),
(86871,	6,	651,	3,	1),
(86872,	6,	651,	1,	2),
(86873,	6,	651,	2,	2),
(86874,	6,	651,	3,	2),
(86875,	6,	652,	1,	1),
(86876,	6,	652,	2,	1),
(86877,	6,	652,	3,	1),
(86878,	6,	653,	1,	1),
(86879,	6,	653,	2,	1),
(86880,	6,	653,	3,	1),
(86881,	6,	654,	1,	1),
(86882,	6,	654,	2,	1),
(86883,	6,	654,	3,	1),
(86884,	6,	655,	1,	1),
(86885,	6,	655,	2,	1),
(86886,	6,	655,	3,	1),
(86887,	6,	656,	1,	1),
(86888,	6,	656,	2,	1),
(86889,	6,	656,	3,	1),
(86890,	6,	657,	1,	1),
(86891,	6,	657,	2,	1),
(86892,	6,	657,	3,	1),
(86893,	6,	658,	1,	1),
(86894,	6,	658,	2,	1),
(86895,	6,	658,	3,	1),
(86896,	6,	658,	23,	1),
(86897,	6,	659,	1,	1),
(86898,	6,	659,	2,	1),
(86899,	6,	659,	3,	1),
(86900,	6,	660,	1,	1),
(86901,	6,	660,	2,	1),
(86902,	6,	660,	3,	1),
(86903,	6,	661,	1,	1),
(86904,	6,	661,	2,	1),
(86905,	6,	661,	3,	1),
(86906,	6,	662,	1,	1),
(86907,	6,	662,	2,	1),
(86908,	6,	662,	3,	1),
(86909,	6,	663,	1,	1),
(86910,	6,	663,	2,	1),
(86911,	6,	663,	3,	1),
(86912,	6,	664,	1,	1),
(86913,	6,	664,	2,	1),
(86914,	6,	664,	3,	1),
(86915,	6,	665,	1,	1),
(86916,	6,	665,	2,	1),
(86917,	6,	665,	3,	1),
(86918,	6,	666,	1,	1),
(86919,	6,	666,	2,	1),
(86920,	6,	666,	3,	1),
(86937,	6,	670,	1,	1),
(86938,	6,	670,	2,	1),
(86939,	6,	670,	3,	1),
(86940,	6,	670,	23,	1),
(86951,	6,	671,	1,	3),
(86952,	6,	671,	2,	3),
(86953,	6,	671,	3,	3),
(86954,	6,	671,	23,	3),
(86955,	6,	671,	6,	3),
(86956,	6,	671,	24,	3),
(86957,	6,	671,	25,	3),
(86958,	6,	671,	4,	3),
(86959,	6,	671,	5,	3),
(86960,	6,	671,	26,	3),
(86974,	6,	673,	1,	3),
(86975,	6,	673,	2,	3),
(86976,	6,	673,	3,	3),
(86977,	6,	673,	23,	3),
(86978,	6,	673,	6,	3),
(86979,	6,	673,	24,	3),
(86980,	6,	673,	25,	3),
(86981,	6,	673,	4,	3),
(86982,	6,	673,	5,	3),
(86983,	6,	673,	26,	3),
(86984,	6,	674,	1,	1),
(86985,	6,	674,	2,	1),
(86986,	6,	674,	3,	1),
(86994,	6,	674,	1,	3),
(86995,	6,	674,	2,	3),
(86996,	6,	674,	3,	3),
(86997,	6,	674,	23,	3),
(86998,	6,	674,	6,	3),
(86999,	6,	674,	24,	3),
(87000,	6,	674,	25,	3),
(87001,	6,	674,	4,	3),
(87002,	6,	674,	5,	3),
(87003,	6,	674,	26,	3),
(87004,	6,	675,	1,	1),
(87005,	6,	675,	2,	1),
(87006,	6,	675,	3,	1),
(87011,	6,	676,	1,	3),
(87012,	6,	676,	2,	3),
(87013,	6,	676,	3,	3),
(87014,	6,	676,	23,	3),
(87024,	6,	680,	1,	1),
(87025,	6,	680,	2,	1),
(87026,	6,	680,	3,	1),
(87033,	6,	680,	1,	3),
(87034,	6,	680,	2,	3),
(87035,	6,	680,	3,	3),
(87036,	6,	680,	6,	3),
(87037,	6,	680,	24,	3),
(87038,	6,	680,	25,	3),
(87039,	6,	680,	4,	3),
(87040,	6,	680,	5,	3),
(87041,	6,	680,	26,	3),
(87042,	6,	681,	1,	1),
(87043,	6,	681,	2,	1),
(87044,	6,	681,	3,	1),
(87045,	6,	681,	23,	1),
(87052,	6,	681,	28,	1),
(87063,	6,	682,	1,	3),
(87064,	6,	682,	2,	3),
(87065,	6,	682,	3,	3),
(87066,	6,	682,	23,	3),
(87067,	6,	682,	6,	3),
(87068,	6,	682,	24,	3),
(87069,	6,	682,	25,	3),
(87070,	6,	682,	4,	3),
(87071,	6,	682,	5,	3),
(87072,	6,	682,	26,	3),
(87087,	6,	684,	1,	3),
(87088,	6,	684,	2,	3),
(87089,	6,	684,	3,	3),
(87090,	6,	684,	23,	3),
(87091,	6,	684,	6,	3),
(87092,	6,	684,	24,	3),
(87093,	6,	684,	25,	3),
(87094,	6,	684,	4,	3),
(87095,	6,	684,	5,	3),
(87096,	6,	684,	26,	3),
(87097,	6,	685,	1,	1),
(87098,	6,	685,	2,	1),
(87099,	6,	685,	3,	1),
(87107,	6,	685,	1,	3),
(87108,	6,	685,	2,	3),
(87109,	6,	685,	3,	3),
(87110,	6,	685,	23,	3),
(87111,	6,	685,	6,	3),
(87112,	6,	685,	24,	3),
(87113,	6,	685,	25,	3),
(87114,	6,	685,	4,	3),
(87115,	6,	685,	5,	3),
(87116,	6,	685,	26,	3),
(87117,	6,	686,	1,	1),
(87118,	6,	686,	2,	1),
(87119,	6,	686,	3,	1),
(87130,	6,	687,	1,	3),
(87131,	6,	687,	2,	3),
(87132,	6,	687,	3,	3),
(87133,	6,	687,	23,	3),
(87134,	6,	687,	6,	3),
(87135,	6,	687,	24,	3),
(87136,	6,	687,	25,	3),
(87137,	6,	687,	4,	3),
(87138,	6,	687,	5,	3),
(87139,	6,	687,	26,	3),
(87150,	6,	688,	1,	3),
(87151,	6,	688,	2,	3),
(87152,	6,	688,	3,	3),
(87153,	6,	688,	23,	3),
(87154,	6,	688,	6,	3),
(87155,	6,	688,	24,	3),
(87156,	6,	688,	25,	3),
(87157,	6,	688,	4,	3),
(87158,	6,	688,	5,	3),
(87159,	6,	688,	26,	3),
(87163,	6,	689,	1,	3),
(87164,	6,	689,	2,	3),
(87165,	6,	689,	3,	3),
(87176,	6,	690,	1,	3),
(87177,	6,	690,	2,	3),
(87178,	6,	690,	3,	3),
(87179,	6,	690,	23,	3),
(87180,	6,	690,	6,	3),
(87181,	6,	690,	24,	3),
(87182,	6,	690,	25,	3),
(87183,	6,	690,	4,	3),
(87184,	6,	690,	5,	3),
(87185,	6,	690,	26,	3),
(87199,	6,	692,	1,	3),
(87200,	6,	692,	2,	3),
(87201,	6,	692,	3,	3),
(87202,	6,	692,	23,	3),
(87203,	6,	692,	6,	3),
(87204,	6,	692,	24,	3),
(87205,	6,	692,	25,	3),
(87206,	6,	692,	4,	3),
(87207,	6,	692,	5,	3),
(87208,	6,	692,	26,	3),
(87212,	6,	693,	1,	3),
(87213,	6,	693,	2,	3),
(87214,	6,	693,	3,	3),
(87225,	6,	694,	1,	3),
(87226,	6,	694,	2,	3),
(87227,	6,	694,	3,	3),
(87228,	6,	694,	23,	3),
(87229,	6,	694,	6,	3),
(87230,	6,	694,	24,	3),
(87231,	6,	694,	25,	3),
(87232,	6,	694,	4,	3),
(87233,	6,	694,	5,	3),
(87234,	6,	694,	26,	3),
(87251,	6,	696,	1,	3),
(87252,	6,	696,	2,	3),
(87253,	6,	696,	3,	3),
(87254,	6,	696,	23,	3),
(87255,	6,	696,	6,	3),
(87256,	6,	696,	24,	3),
(87257,	6,	696,	25,	3),
(87258,	6,	696,	4,	3),
(87259,	6,	696,	5,	3),
(87260,	6,	696,	26,	3),
(87271,	6,	697,	1,	3),
(87272,	6,	697,	2,	3),
(87273,	6,	697,	3,	3),
(87274,	6,	697,	23,	3),
(87275,	6,	697,	6,	3),
(87276,	6,	697,	24,	3),
(87277,	6,	697,	25,	3),
(87278,	6,	697,	4,	3),
(87279,	6,	697,	5,	3),
(87280,	6,	697,	26,	3),
(87291,	6,	698,	1,	3),
(87292,	6,	698,	2,	3),
(87293,	6,	698,	3,	3),
(87294,	6,	698,	23,	3),
(87295,	6,	698,	6,	3),
(87296,	6,	698,	24,	3),
(87297,	6,	698,	25,	3),
(87298,	6,	698,	4,	3),
(87299,	6,	698,	5,	3),
(87300,	6,	698,	26,	3),
(87323,	6,	703,	1,	3),
(87324,	6,	703,	2,	3),
(87325,	6,	703,	3,	3),
(87326,	6,	703,	23,	3),
(87327,	6,	703,	6,	3),
(87328,	6,	703,	24,	3),
(87329,	6,	703,	25,	3),
(87330,	6,	703,	4,	3),
(87331,	6,	703,	5,	3),
(87332,	6,	703,	26,	3),
(87333,	6,	704,	1,	1),
(87334,	6,	704,	2,	1),
(87335,	6,	704,	3,	1),
(87336,	6,	704,	23,	1),
(87346,	6,	706,	1,	1),
(87347,	6,	706,	2,	1),
(87348,	6,	706,	3,	1),
(87357,	6,	709,	3,	1),
(87358,	6,	709,	23,	1),
(87365,	6,	709,	1,	3),
(87366,	6,	709,	2,	3),
(87367,	6,	709,	3,	3),
(87368,	6,	709,	23,	3),
(87369,	6,	709,	6,	3),
(87370,	6,	709,	24,	3),
(87371,	6,	709,	25,	3),
(87372,	6,	709,	4,	3),
(87373,	6,	709,	5,	3),
(87374,	6,	709,	26,	3),
(87375,	6,	710,	1,	1),
(87376,	6,	710,	2,	1),
(87377,	6,	710,	3,	1),
(87388,	6,	711,	1,	3),
(87389,	6,	711,	2,	3),
(87390,	6,	711,	3,	3),
(87391,	6,	711,	23,	3),
(87392,	6,	711,	6,	3),
(87393,	6,	711,	24,	3),
(87394,	6,	711,	25,	3),
(87395,	6,	711,	4,	3),
(87396,	6,	711,	5,	3),
(87397,	6,	711,	26,	3),
(87417,	6,	716,	1,	3),
(87418,	6,	716,	2,	3),
(87419,	6,	716,	3,	3),
(87420,	6,	716,	23,	3),
(87431,	6,	717,	1,	3),
(87432,	6,	717,	2,	3),
(87433,	6,	717,	3,	3),
(87434,	6,	717,	23,	3),
(87435,	6,	717,	6,	3),
(87436,	6,	717,	24,	3),
(87437,	6,	717,	25,	3),
(87438,	6,	717,	4,	3),
(87439,	6,	717,	5,	3),
(87440,	6,	717,	26,	3),
(87455,	6,	719,	1,	3),
(87456,	6,	719,	2,	3),
(87457,	6,	719,	3,	3),
(87458,	6,	719,	23,	3),
(87459,	6,	719,	6,	3),
(87460,	6,	719,	24,	3),
(87461,	6,	719,	25,	3),
(87462,	6,	719,	4,	3),
(87463,	6,	719,	5,	3),
(87464,	6,	719,	26,	3),
(87465,	6,	720,	1,	1),
(87466,	6,	720,	2,	1),
(87467,	6,	720,	3,	1),
(87472,	6,	721,	1,	3),
(87473,	6,	721,	2,	3),
(87474,	6,	721,	3,	3),
(87475,	6,	721,	23,	3),
(87486,	6,	722,	1,	3),
(87487,	6,	722,	2,	3),
(87488,	6,	722,	3,	3),
(87489,	6,	722,	23,	3),
(87490,	6,	722,	6,	3),
(87491,	6,	722,	24,	3),
(87492,	6,	722,	25,	3),
(87493,	6,	722,	4,	3),
(87494,	6,	722,	5,	3),
(87495,	6,	722,	26,	3),
(87510,	6,	724,	1,	3),
(87511,	6,	724,	2,	3),
(87512,	6,	724,	3,	3),
(87513,	6,	724,	23,	3),
(87514,	6,	724,	6,	3),
(87515,	6,	724,	24,	3),
(87516,	6,	724,	25,	3),
(87517,	6,	724,	4,	3),
(87518,	6,	724,	5,	3),
(87519,	6,	724,	26,	3),
(87523,	6,	726,	1,	1),
(87524,	6,	726,	2,	1),
(87525,	6,	726,	3,	1),
(87532,	6,	729,	1,	1),
(87533,	6,	729,	2,	1),
(87534,	6,	729,	3,	1),
(87545,	6,	730,	1,	3),
(87546,	6,	730,	2,	3),
(87547,	6,	730,	3,	3),
(87548,	6,	730,	23,	3),
(87549,	6,	730,	6,	3),
(87550,	6,	730,	24,	3),
(87551,	6,	730,	25,	3),
(87552,	6,	730,	4,	3),
(87553,	6,	730,	5,	3),
(87554,	6,	730,	26,	3),
(87565,	6,	731,	1,	3),
(87566,	6,	731,	2,	3),
(87567,	6,	731,	3,	3),
(87568,	6,	731,	23,	3),
(87569,	6,	731,	6,	3),
(87570,	6,	731,	24,	3),
(87571,	6,	731,	25,	3),
(87572,	6,	731,	4,	3),
(87573,	6,	731,	5,	3),
(87574,	6,	731,	26,	3),
(87589,	6,	733,	1,	3),
(87590,	6,	733,	2,	3),
(87591,	6,	733,	3,	3),
(87592,	6,	733,	23,	3),
(87593,	6,	733,	6,	3),
(87594,	6,	733,	24,	3),
(87595,	6,	733,	25,	3),
(87596,	6,	733,	4,	3),
(87597,	6,	733,	5,	3),
(87598,	6,	733,	26,	3),
(87609,	6,	734,	1,	3),
(87610,	6,	734,	2,	3),
(87611,	6,	734,	3,	3),
(87612,	6,	734,	23,	3),
(87613,	6,	734,	6,	3),
(87614,	6,	734,	24,	3),
(87615,	6,	734,	25,	3),
(87616,	6,	734,	4,	3),
(87617,	6,	734,	5,	3),
(87618,	6,	734,	26,	3),
(87619,	6,	735,	1,	1),
(87620,	6,	735,	2,	1),
(87621,	6,	735,	3,	1),
(87622,	6,	735,	23,	1),
(87633,	6,	736,	1,	3),
(87634,	6,	736,	2,	3),
(87635,	6,	736,	3,	3),
(87636,	6,	736,	23,	3),
(87637,	6,	736,	6,	3),
(87638,	6,	736,	24,	3),
(87639,	6,	736,	25,	3),
(87640,	6,	736,	4,	3),
(87641,	6,	736,	5,	3),
(87642,	6,	736,	26,	3),
(87662,	6,	740,	1,	3),
(87663,	6,	740,	2,	3),
(87664,	6,	740,	3,	3),
(87665,	6,	740,	23,	3),
(87666,	6,	740,	6,	3),
(87667,	6,	740,	24,	3),
(87668,	6,	740,	25,	3),
(87669,	6,	740,	4,	3),
(87670,	6,	740,	5,	3),
(87671,	6,	740,	26,	3),
(87695,	6,	743,	1,	3),
(87696,	6,	743,	2,	3),
(87697,	6,	743,	3,	3),
(87698,	6,	743,	23,	3),
(87699,	6,	743,	6,	3),
(87700,	6,	743,	24,	3),
(87701,	6,	743,	25,	3),
(87702,	6,	743,	4,	3),
(87703,	6,	743,	5,	3),
(87704,	6,	743,	26,	3),
(87715,	6,	744,	1,	3),
(87716,	6,	744,	2,	3),
(87717,	6,	744,	3,	3),
(87718,	6,	744,	23,	3),
(87719,	6,	744,	6,	3),
(87720,	6,	744,	24,	3),
(87721,	6,	744,	25,	3),
(87722,	6,	744,	4,	3),
(87723,	6,	744,	5,	3),
(87724,	6,	744,	26,	3),
(87725,	6,	745,	1,	1),
(87726,	6,	745,	2,	1),
(87727,	6,	745,	3,	1),
(87728,	6,	745,	23,	1),
(87729,	6,	745,	6,	1),
(87730,	6,	745,	5,	1),
(87731,	6,	746,	1,	1),
(87732,	6,	746,	2,	1),
(87733,	6,	746,	3,	1),
(87744,	6,	747,	1,	3),
(87745,	6,	747,	2,	3),
(87746,	6,	747,	3,	3),
(87747,	6,	747,	23,	3),
(87748,	6,	747,	6,	3),
(87749,	6,	747,	24,	3),
(87750,	6,	747,	25,	3),
(87751,	6,	747,	4,	3),
(87752,	6,	747,	5,	3),
(87753,	6,	747,	26,	3),
(87764,	6,	748,	1,	3),
(87765,	6,	748,	2,	3),
(87766,	6,	748,	3,	3),
(87767,	6,	748,	23,	3),
(87768,	6,	748,	6,	3),
(87769,	6,	748,	24,	3),
(87770,	6,	748,	25,	3),
(87771,	6,	748,	4,	3),
(87772,	6,	748,	5,	3),
(87773,	6,	748,	26,	3),
(87787,	6,	750,	1,	3),
(87788,	6,	750,	2,	3),
(87789,	6,	750,	3,	3),
(87790,	6,	750,	23,	3),
(87791,	6,	750,	6,	3),
(87792,	6,	750,	24,	3),
(87793,	6,	750,	25,	3),
(87794,	6,	750,	4,	3),
(87795,	6,	750,	5,	3),
(87796,	6,	750,	26,	3),
(87809,	6,	752,	1,	3),
(87810,	6,	752,	2,	3),
(87811,	6,	752,	3,	3),
(87812,	6,	752,	6,	3),
(87813,	6,	752,	24,	3),
(87814,	6,	752,	25,	3),
(87815,	6,	752,	4,	3),
(87816,	6,	752,	5,	3),
(87817,	6,	752,	26,	3),
(87832,	6,	754,	1,	3),
(87833,	6,	754,	2,	3),
(87834,	6,	754,	3,	3),
(87835,	6,	754,	23,	3),
(87836,	6,	754,	6,	3),
(87837,	6,	754,	24,	3),
(87838,	6,	754,	25,	3),
(87839,	6,	754,	4,	3),
(87840,	6,	754,	5,	3),
(87841,	6,	754,	26,	3),
(87846,	6,	756,	2,	1),
(87848,	6,	757,	1,	1),
(87849,	6,	757,	2,	1),
(87850,	6,	757,	3,	1),
(87851,	6,	757,	1,	3),
(87852,	6,	757,	2,	3),
(87853,	6,	757,	3,	3),
(87865,	6,	759,	1,	3),
(87866,	6,	759,	2,	3),
(87867,	6,	759,	3,	3),
(87868,	6,	760,	1,	1),
(87869,	6,	760,	2,	1),
(87870,	6,	760,	3,	1),
(87871,	6,	760,	23,	1),
(87872,	6,	760,	1,	3),
(87873,	6,	760,	2,	3),
(87874,	6,	760,	3,	3),
(87875,	6,	760,	23,	3),
(87876,	6,	760,	1,	2),
(87877,	6,	760,	2,	2),
(87878,	6,	760,	3,	2),
(87879,	6,	760,	23,	2),
(87880,	6,	761,	1,	1),
(87881,	6,	761,	2,	1),
(87882,	6,	761,	3,	1),
(87883,	6,	761,	1,	2),
(87884,	6,	761,	2,	2),
(87885,	6,	761,	3,	2),
(87886,	6,	762,	1,	1),
(87887,	6,	762,	2,	1),
(87888,	6,	762,	3,	1),
(87889,	6,	762,	1,	2),
(87890,	6,	762,	2,	2),
(87891,	6,	762,	3,	2),
(87892,	6,	763,	1,	1),
(87893,	6,	763,	2,	1),
(87894,	6,	763,	3,	1),
(87895,	6,	763,	1,	2),
(87896,	6,	763,	2,	2),
(87897,	6,	763,	3,	2),
(87898,	6,	764,	1,	1),
(87899,	6,	764,	2,	1),
(87900,	6,	764,	3,	1),
(87901,	6,	764,	1,	2),
(87902,	6,	764,	2,	2),
(87903,	6,	764,	3,	2),
(87904,	6,	765,	1,	1),
(87905,	6,	765,	2,	1),
(87906,	6,	765,	3,	1),
(87907,	6,	765,	1,	2),
(87908,	6,	765,	2,	2),
(87909,	6,	765,	3,	2),
(87910,	6,	766,	1,	1),
(87911,	6,	766,	2,	1),
(87912,	6,	766,	3,	1),
(87913,	6,	767,	1,	1),
(87914,	6,	767,	2,	1),
(87915,	6,	767,	3,	1),
(87916,	6,	767,	6,	1),
(87917,	6,	767,	1,	2),
(87918,	6,	767,	2,	2),
(87919,	6,	767,	3,	2),
(87920,	6,	767,	6,	2),
(87921,	6,	768,	1,	1),
(87922,	6,	768,	2,	1),
(87923,	6,	768,	3,	1),
(87924,	6,	768,	1,	2),
(87925,	6,	768,	2,	2),
(87926,	6,	768,	3,	2),
(87927,	6,	769,	1,	1),
(87928,	6,	769,	2,	1),
(87929,	6,	769,	3,	1),
(87930,	6,	769,	1,	3),
(87931,	6,	769,	2,	3),
(87932,	6,	769,	3,	3),
(87933,	6,	770,	1,	1),
(87934,	6,	770,	2,	1),
(87935,	6,	770,	3,	1),
(87936,	6,	771,	1,	1),
(87937,	6,	771,	2,	1),
(87938,	6,	771,	3,	1),
(87939,	6,	772,	1,	1),
(87940,	6,	772,	2,	1),
(87941,	6,	772,	3,	1),
(87942,	6,	772,	6,	1),
(87943,	6,	772,	1,	2),
(87944,	6,	772,	2,	2),
(87945,	6,	772,	3,	2),
(87946,	6,	772,	6,	2),
(87947,	6,	773,	1,	1),
(87948,	6,	773,	2,	1),
(87949,	6,	773,	3,	1),
(87950,	6,	773,	6,	1),
(87951,	6,	773,	1,	2),
(87952,	6,	773,	2,	2),
(87953,	6,	773,	3,	2),
(87954,	6,	773,	6,	2),
(87956,	6,	774,	2,	1),
(87958,	6,	775,	1,	1),
(87959,	6,	775,	2,	1),
(87960,	6,	775,	3,	1),
(87961,	6,	775,	1,	2),
(87962,	6,	775,	2,	2),
(87963,	6,	775,	3,	2),
(87973,	6,	778,	1,	1),
(87974,	6,	778,	2,	1),
(87975,	6,	778,	3,	1),
(87976,	6,	778,	1,	2),
(87977,	6,	778,	2,	2),
(87978,	6,	778,	3,	2),
(87979,	6,	779,	1,	1),
(87980,	6,	779,	2,	1),
(87981,	6,	779,	3,	1),
(87982,	6,	779,	1,	2),
(87983,	6,	779,	2,	2),
(87984,	6,	779,	3,	2),
(87991,	6,	781,	1,	1),
(87992,	6,	781,	2,	1),
(87993,	6,	781,	3,	1),
(87994,	6,	781,	1,	3),
(87995,	6,	781,	2,	3),
(87996,	6,	781,	3,	3),
(87997,	6,	782,	1,	1),
(87998,	6,	782,	2,	1),
(87999,	6,	782,	3,	1),
(88000,	6,	782,	1,	3),
(88001,	6,	782,	2,	3),
(88002,	6,	782,	3,	3),
(88003,	6,	783,	1,	1),
(88004,	6,	783,	2,	1),
(88005,	6,	783,	3,	1),
(88006,	6,	783,	1,	3),
(88007,	6,	783,	2,	3),
(88008,	6,	783,	3,	3),
(88009,	6,	784,	1,	1),
(88010,	6,	784,	2,	1),
(88011,	6,	784,	3,	1),
(88012,	6,	784,	1,	3),
(88013,	6,	784,	2,	3),
(88014,	6,	784,	3,	3),
(88015,	6,	785,	1,	1),
(88016,	6,	785,	2,	1),
(88017,	6,	785,	3,	1),
(88019,	6,	786,	2,	1),
(88021,	6,	787,	1,	1),
(88022,	6,	787,	2,	1),
(88023,	6,	787,	3,	1),
(88024,	6,	787,	1,	3),
(88025,	6,	787,	2,	3),
(88026,	6,	787,	3,	3),
(88027,	6,	788,	1,	1),
(88028,	6,	788,	2,	1),
(88029,	6,	788,	3,	1),
(88030,	6,	788,	1,	2),
(88031,	6,	788,	2,	2),
(88032,	6,	788,	3,	2),
(88033,	6,	789,	1,	1),
(88034,	6,	789,	2,	1),
(88035,	6,	789,	3,	1),
(88036,	6,	789,	1,	2),
(88037,	6,	789,	2,	2),
(88038,	6,	789,	3,	2),
(88039,	6,	790,	1,	1),
(88040,	6,	790,	2,	1),
(88041,	6,	790,	3,	1),
(88042,	6,	790,	1,	2),
(88043,	6,	790,	2,	2),
(88044,	6,	790,	3,	2),
(88045,	6,	791,	1,	1),
(88046,	6,	791,	2,	1),
(88047,	6,	791,	3,	1),
(88048,	6,	791,	1,	3),
(88049,	6,	791,	2,	3),
(88050,	6,	791,	3,	3),
(88051,	6,	792,	1,	1),
(88052,	6,	792,	2,	1),
(88053,	6,	792,	3,	1),
(88054,	6,	792,	1,	2),
(88055,	6,	792,	2,	2),
(88056,	6,	792,	3,	2),
(88067,	6,	794,	2,	2),
(88073,	6,	795,	2,	2),
(88075,	6,	796,	1,	1),
(88076,	6,	796,	2,	1),
(88077,	6,	796,	3,	1),
(88078,	6,	796,	1,	2),
(88079,	6,	796,	2,	2),
(88080,	6,	796,	3,	2),
(88081,	6,	797,	1,	1),
(88082,	6,	797,	2,	1),
(88083,	6,	797,	3,	1),
(88084,	6,	797,	1,	3),
(88085,	6,	797,	2,	3),
(88086,	6,	797,	3,	3),
(88087,	6,	798,	1,	1),
(88088,	6,	798,	2,	1),
(88089,	6,	798,	3,	1),
(88090,	6,	798,	1,	2),
(88091,	6,	798,	2,	2),
(88092,	6,	798,	3,	2),
(88093,	6,	799,	1,	1),
(88094,	6,	799,	2,	1),
(88095,	6,	799,	3,	1),
(88096,	6,	799,	1,	2),
(88097,	6,	799,	2,	2),
(88098,	6,	799,	3,	2),
(88099,	6,	800,	1,	1),
(88100,	6,	800,	2,	1),
(88101,	6,	800,	3,	1),
(88102,	6,	800,	1,	2),
(88103,	6,	800,	2,	2),
(88104,	6,	800,	3,	2),
(88105,	6,	801,	1,	1),
(88106,	6,	801,	2,	1),
(88107,	6,	801,	3,	1),
(88108,	6,	801,	1,	2),
(88109,	6,	801,	2,	2),
(88110,	6,	801,	3,	2),
(88111,	6,	802,	1,	1),
(88112,	6,	802,	2,	1),
(88113,	6,	802,	3,	1),
(88114,	6,	802,	1,	2),
(88115,	6,	802,	2,	2),
(88116,	6,	802,	3,	2),
(88169,	6,	812,	2,	1),
(88176,	6,	813,	3,	2),
(88177,	6,	814,	1,	1),
(88178,	6,	814,	2,	1),
(88179,	6,	814,	3,	1),
(88180,	6,	814,	23,	1),
(88181,	6,	814,	49,	1),
(88182,	6,	814,	5,	1),
(88183,	6,	814,	26,	1),
(88184,	6,	815,	1,	1),
(88185,	6,	815,	2,	1),
(88186,	6,	815,	3,	1),
(88193,	6,	816,	50,	1),
(88195,	6,	816,	51,	1),
(88196,	6,	816,	48,	1),
(88197,	6,	816,	52,	1),
(88198,	6,	816,	53,	1),
(88218,	6,	821,	1,	1),
(88219,	6,	821,	2,	1),
(88220,	6,	821,	3,	1),
(88221,	6,	822,	1,	1),
(88222,	6,	822,	2,	1),
(88223,	6,	822,	3,	1),
(88229,	6,	823,	3,	2),
(88230,	6,	824,	1,	1),
(88231,	6,	824,	2,	1),
(88232,	6,	824,	3,	1),
(88233,	6,	824,	1,	2),
(88234,	6,	824,	2,	2),
(88235,	6,	824,	3,	2),
(88236,	6,	825,	1,	1),
(88237,	6,	825,	2,	1),
(88238,	6,	825,	3,	1),
(88239,	6,	826,	1,	1),
(88240,	6,	826,	2,	1),
(88241,	6,	826,	3,	1),
(88242,	6,	827,	1,	1),
(88243,	6,	827,	2,	1),
(88244,	6,	827,	3,	1),
(88245,	6,	827,	1,	2),
(88246,	6,	827,	2,	2),
(88247,	6,	827,	3,	2),
(88248,	6,	828,	1,	1),
(88249,	6,	828,	2,	1),
(88250,	6,	828,	3,	1),
(88251,	6,	828,	1,	2),
(88252,	6,	828,	2,	2),
(88253,	6,	828,	3,	2),
(88254,	6,	829,	1,	1),
(88255,	6,	829,	2,	1),
(88256,	6,	829,	3,	1),
(88257,	6,	829,	4,	1),
(88258,	6,	829,	23,	1),
(88259,	6,	829,	1,	3),
(88260,	6,	829,	2,	3),
(88261,	6,	829,	3,	3),
(88262,	6,	829,	4,	3),
(88263,	6,	829,	23,	3),
(88264,	6,	829,	1,	2),
(88265,	6,	829,	2,	2),
(88266,	6,	829,	3,	2),
(88267,	6,	829,	4,	2),
(88268,	6,	829,	23,	2),
(88269,	6,	830,	1,	1),
(88270,	6,	830,	2,	1),
(88271,	6,	830,	3,	1),
(88272,	6,	830,	1,	2),
(88273,	6,	830,	2,	2),
(88274,	6,	830,	3,	2),
(88275,	6,	831,	1,	1),
(88276,	6,	831,	2,	1),
(88277,	6,	831,	3,	1),
(88278,	6,	832,	1,	1),
(88279,	6,	832,	2,	1),
(88280,	6,	832,	3,	1),
(88281,	6,	832,	1,	3),
(88282,	6,	832,	2,	3),
(88283,	6,	832,	3,	3),
(88284,	6,	833,	1,	1),
(88285,	6,	833,	2,	1),
(88286,	6,	833,	3,	1),
(88287,	6,	834,	1,	1),
(88288,	6,	834,	2,	1),
(88289,	6,	834,	3,	1),
(88290,	6,	834,	1,	2),
(88291,	6,	834,	2,	2),
(88292,	6,	834,	3,	2),
(88299,	6,	836,	1,	1),
(88300,	6,	836,	2,	1),
(88301,	6,	836,	3,	1),
(88306,	6,	837,	2,	2),
(88318,	6,	839,	2,	2),
(88320,	6,	840,	1,	1),
(88321,	6,	840,	2,	1),
(88322,	6,	840,	3,	1),
(88323,	6,	840,	1,	2),
(88324,	6,	840,	2,	2),
(88325,	6,	840,	3,	2),
(88329,	6,	841,	1,	3),
(88330,	6,	841,	2,	3),
(88331,	6,	841,	3,	3),
(88338,	6,	843,	1,	1),
(88339,	6,	843,	2,	1),
(88340,	6,	843,	3,	1),
(88341,	6,	843,	1,	2),
(88342,	6,	843,	2,	2),
(88343,	6,	843,	3,	2),
(88344,	6,	844,	1,	1),
(88345,	6,	844,	2,	1),
(88346,	6,	844,	3,	1),
(88347,	6,	845,	1,	1),
(88348,	6,	845,	2,	1),
(88349,	6,	845,	3,	1),
(88350,	6,	845,	1,	2),
(88351,	6,	845,	2,	2),
(88352,	6,	845,	3,	2),
(88353,	6,	846,	1,	1),
(88354,	6,	846,	2,	1),
(88355,	6,	846,	3,	1),
(88356,	6,	847,	1,	1),
(88357,	6,	847,	2,	1),
(88358,	6,	847,	3,	1),
(88359,	6,	847,	1,	3),
(88360,	6,	847,	2,	3),
(88361,	6,	847,	3,	3),
(88362,	6,	848,	1,	1),
(88363,	6,	848,	2,	1),
(88364,	6,	848,	3,	1),
(88365,	6,	849,	1,	1),
(88366,	6,	849,	2,	1),
(88367,	6,	849,	3,	1),
(88368,	6,	849,	1,	3),
(88369,	6,	849,	2,	3),
(88370,	6,	849,	3,	3),
(88371,	6,	850,	1,	1),
(88372,	6,	850,	2,	1),
(88373,	6,	850,	3,	1),
(88374,	6,	850,	1,	3),
(88375,	6,	850,	2,	3),
(88376,	6,	850,	3,	3),
(88395,	6,	854,	1,	1),
(88396,	6,	854,	2,	1),
(88397,	6,	854,	3,	1),
(88398,	6,	854,	1,	3),
(88399,	6,	854,	2,	3),
(88400,	6,	854,	3,	3),
(88404,	6,	855,	1,	3),
(88405,	6,	855,	2,	3),
(88406,	6,	855,	3,	3),
(88407,	6,	856,	1,	1),
(88408,	6,	856,	2,	1),
(88409,	6,	856,	3,	1),
(88410,	6,	856,	1,	3),
(88411,	6,	856,	2,	3),
(88412,	6,	856,	3,	3),
(88413,	6,	857,	1,	1),
(88414,	6,	857,	2,	1),
(88415,	6,	857,	3,	1),
(88416,	6,	857,	1,	3),
(88417,	6,	857,	2,	3),
(88418,	6,	857,	3,	3),
(88419,	6,	858,	1,	1),
(88420,	6,	858,	2,	1),
(88421,	6,	858,	3,	1),
(88422,	6,	858,	1,	3),
(88423,	6,	858,	2,	3),
(88424,	6,	858,	3,	3),
(88425,	6,	859,	1,	1),
(88426,	6,	859,	2,	1),
(88427,	6,	859,	3,	1),
(88428,	6,	859,	1,	2),
(88429,	6,	859,	2,	2),
(88430,	6,	859,	3,	2),
(88431,	6,	860,	1,	1),
(88432,	6,	860,	2,	1),
(88433,	6,	860,	3,	1),
(88434,	6,	860,	1,	3),
(88435,	6,	860,	2,	3),
(88436,	6,	860,	3,	3),
(88437,	6,	861,	1,	1),
(88438,	6,	861,	2,	1),
(88439,	6,	861,	3,	1),
(88440,	6,	861,	1,	2),
(88441,	6,	861,	2,	2),
(88442,	6,	861,	3,	2),
(88444,	6,	862,	2,	1),
(88467,	6,	866,	1,	1),
(88468,	6,	866,	2,	1),
(88469,	6,	866,	3,	1),
(88470,	6,	866,	1,	2),
(88471,	6,	866,	2,	2),
(88472,	6,	866,	3,	2),
(88473,	6,	867,	1,	1),
(88474,	6,	867,	2,	1),
(88475,	6,	867,	3,	1),
(88476,	6,	867,	1,	2),
(88477,	6,	867,	2,	2),
(88478,	6,	867,	3,	2),
(88479,	6,	868,	1,	1),
(88480,	6,	868,	2,	1),
(88481,	6,	868,	3,	1),
(88482,	6,	868,	1,	3),
(88483,	6,	868,	2,	3),
(88484,	6,	868,	3,	3),
(88485,	6,	869,	1,	1),
(88486,	6,	869,	2,	1),
(88487,	6,	869,	3,	1),
(88488,	6,	869,	1,	2),
(88489,	6,	869,	2,	2),
(88490,	6,	869,	3,	2),
(88491,	6,	870,	1,	1),
(88492,	6,	870,	2,	1),
(88493,	6,	870,	3,	1),
(88494,	6,	870,	1,	2),
(88495,	6,	870,	2,	2),
(88496,	6,	870,	3,	2),
(88497,	6,	871,	1,	1),
(88498,	6,	871,	2,	1),
(88499,	6,	871,	3,	1),
(88500,	6,	871,	1,	2),
(88501,	6,	871,	2,	2),
(88502,	6,	871,	3,	2),
(88503,	6,	872,	1,	1),
(88504,	6,	872,	2,	1),
(88506,	6,	872,	1,	3),
(88507,	6,	872,	2,	3),
(88508,	6,	872,	3,	3),
(88515,	6,	874,	1,	1),
(88516,	6,	874,	2,	1),
(88517,	6,	874,	3,	1),
(88518,	6,	874,	1,	2),
(88519,	6,	874,	2,	2),
(88520,	6,	874,	3,	2),
(88521,	6,	875,	1,	1),
(88522,	6,	875,	2,	1),
(88523,	6,	875,	3,	1),
(88524,	6,	875,	1,	2),
(88525,	6,	875,	2,	2),
(88526,	6,	875,	3,	2),
(88527,	6,	876,	1,	1),
(88528,	6,	876,	2,	1),
(88529,	6,	876,	3,	1),
(88530,	6,	876,	1,	2),
(88531,	6,	876,	2,	2),
(88532,	6,	876,	3,	2),
(88533,	6,	877,	1,	1),
(88534,	6,	877,	2,	1),
(88535,	6,	877,	3,	1),
(88536,	6,	877,	1,	3),
(88537,	6,	877,	2,	3),
(88538,	6,	877,	3,	3),
(88545,	6,	879,	1,	1),
(88546,	6,	879,	2,	1),
(88547,	6,	879,	3,	1),
(88548,	6,	879,	1,	2),
(88549,	6,	879,	2,	2),
(88550,	6,	879,	3,	2),
(88551,	6,	880,	1,	1),
(88552,	6,	880,	2,	1),
(88553,	6,	880,	3,	1),
(88554,	6,	880,	1,	2),
(88555,	6,	880,	2,	2),
(88556,	6,	880,	3,	2),
(88557,	6,	881,	1,	1),
(88558,	6,	881,	2,	1),
(88559,	6,	881,	3,	1),
(88560,	6,	881,	1,	2),
(88561,	6,	881,	2,	2),
(88562,	6,	881,	3,	2),
(88566,	6,	882,	1,	3),
(88567,	6,	882,	2,	3),
(88568,	6,	882,	3,	3),
(88575,	6,	884,	1,	1),
(88576,	6,	884,	2,	1),
(88577,	6,	884,	3,	1),
(88578,	6,	884,	1,	2),
(88579,	6,	884,	2,	2),
(88580,	6,	884,	3,	2),
(88581,	6,	885,	1,	1),
(88582,	6,	885,	2,	1),
(88583,	6,	885,	3,	1),
(88584,	6,	885,	1,	3),
(88585,	6,	885,	2,	3),
(88586,	6,	885,	3,	3),
(88587,	6,	886,	1,	1),
(88588,	6,	886,	2,	1),
(88589,	6,	886,	3,	1),
(88590,	6,	886,	1,	3),
(88591,	6,	886,	2,	3),
(88592,	6,	886,	3,	3),
(88593,	6,	887,	1,	1),
(88594,	6,	887,	2,	1),
(88595,	6,	887,	3,	1),
(88596,	6,	887,	1,	3),
(88597,	6,	887,	2,	3),
(88598,	6,	887,	3,	3),
(88605,	6,	889,	1,	1),
(88606,	6,	889,	2,	1),
(88607,	6,	889,	3,	1),
(88608,	6,	889,	1,	3),
(88609,	6,	889,	2,	3),
(88610,	6,	889,	3,	3),
(88611,	6,	890,	1,	1),
(88612,	6,	890,	2,	1),
(88613,	6,	890,	3,	1),
(88614,	6,	890,	1,	3),
(88615,	6,	890,	2,	3),
(88616,	6,	890,	3,	3),
(88617,	6,	891,	1,	1),
(88618,	6,	891,	2,	1),
(88619,	6,	891,	3,	1),
(88620,	6,	891,	1,	2),
(88621,	6,	891,	2,	2),
(88622,	6,	891,	3,	2),
(88623,	6,	892,	1,	1),
(88624,	6,	892,	2,	1),
(88625,	6,	892,	3,	1),
(88626,	6,	892,	1,	2),
(88627,	6,	892,	2,	2),
(88628,	6,	892,	3,	2),
(88629,	6,	893,	1,	1),
(88630,	6,	893,	2,	1),
(88631,	6,	893,	3,	1),
(88632,	6,	894,	1,	1),
(88633,	6,	894,	2,	1),
(88634,	6,	894,	3,	1),
(88635,	6,	895,	1,	1),
(88636,	6,	895,	2,	1),
(88637,	6,	895,	3,	1),
(88638,	6,	896,	1,	1),
(88639,	6,	896,	2,	1),
(88640,	6,	896,	3,	1),
(88641,	6,	896,	1,	2),
(88642,	6,	896,	2,	2),
(88643,	6,	896,	3,	2),
(88644,	6,	897,	1,	1),
(88645,	6,	897,	2,	1),
(88646,	6,	897,	3,	1),
(88647,	6,	898,	1,	1),
(88648,	6,	898,	2,	1),
(88649,	6,	898,	3,	1),
(88650,	6,	898,	1,	2),
(88651,	6,	898,	2,	2),
(88652,	6,	898,	3,	2),
(88653,	6,	899,	1,	1),
(88654,	6,	899,	2,	1),
(88655,	6,	899,	3,	1),
(88656,	6,	899,	1,	2),
(88657,	6,	899,	2,	2),
(88658,	6,	899,	3,	2),
(88659,	6,	900,	1,	1),
(88660,	6,	900,	2,	1),
(88661,	6,	900,	3,	1),
(88662,	6,	900,	1,	2),
(88663,	6,	900,	2,	2),
(88664,	6,	900,	3,	2),
(88666,	6,	901,	2,	1),
(88669,	6,	901,	2,	2),
(88671,	6,	902,	1,	1),
(88672,	6,	902,	2,	1),
(88674,	6,	902,	1,	3),
(88675,	6,	902,	2,	3),
(88676,	6,	902,	3,	3),
(88677,	6,	903,	1,	1),
(88678,	6,	903,	2,	1),
(88679,	6,	903,	3,	1),
(88680,	6,	903,	1,	2),
(88681,	6,	903,	2,	2),
(88682,	6,	903,	3,	2),
(88683,	6,	904,	1,	1),
(88684,	6,	904,	2,	1),
(88685,	6,	904,	3,	1),
(88686,	6,	904,	1,	2),
(88687,	6,	904,	2,	2),
(88688,	6,	904,	3,	2),
(88689,	6,	905,	1,	1),
(88690,	6,	905,	2,	1),
(88691,	6,	905,	3,	1),
(88692,	6,	905,	1,	3),
(88693,	6,	905,	2,	3),
(88694,	6,	905,	3,	3),
(88701,	6,	907,	1,	1),
(88702,	6,	907,	2,	1),
(88703,	6,	907,	3,	1),
(88704,	6,	907,	1,	2),
(88705,	6,	907,	2,	2),
(88706,	6,	907,	3,	2),
(88707,	6,	908,	1,	1),
(88708,	6,	908,	2,	1),
(88709,	6,	908,	3,	1),
(88710,	6,	908,	1,	2),
(88711,	6,	908,	2,	2),
(88712,	6,	908,	3,	2),
(88713,	6,	909,	1,	1),
(88714,	6,	909,	2,	1),
(88715,	6,	909,	3,	1),
(88716,	6,	909,	1,	2),
(88717,	6,	909,	2,	2),
(88718,	6,	909,	3,	2),
(88719,	6,	910,	1,	1),
(88720,	6,	910,	2,	1),
(88721,	6,	910,	3,	1),
(88722,	6,	910,	1,	3),
(88723,	6,	910,	2,	3),
(88724,	6,	910,	3,	3),
(88731,	6,	912,	1,	1),
(88732,	6,	912,	2,	1),
(88733,	6,	912,	3,	1),
(88734,	6,	912,	1,	2),
(88735,	6,	912,	2,	2),
(88736,	6,	912,	3,	2),
(88747,	6,	914,	2,	2),
(88750,	6,	915,	2,	1),
(88752,	6,	915,	1,	3),
(88753,	6,	915,	2,	3),
(88754,	6,	915,	3,	3),
(88759,	6,	916,	2,	2),
(88773,	6,	919,	1,	1),
(88774,	6,	919,	2,	1),
(88775,	6,	919,	3,	1),
(88776,	6,	919,	1,	2),
(88777,	6,	919,	2,	2),
(88778,	6,	919,	3,	2),
(88779,	6,	920,	1,	1),
(88780,	6,	920,	2,	1),
(88781,	6,	920,	3,	1),
(88782,	6,	920,	1,	2),
(88783,	6,	920,	2,	2),
(88784,	6,	920,	3,	2),
(88785,	6,	921,	1,	1),
(88786,	6,	921,	2,	1),
(88787,	6,	921,	3,	1),
(88788,	6,	921,	1,	3),
(88789,	6,	921,	2,	3),
(88790,	6,	921,	3,	3),
(88797,	6,	923,	1,	1),
(88798,	6,	923,	2,	1),
(88799,	6,	923,	3,	1),
(88800,	6,	923,	1,	2),
(88801,	6,	923,	2,	2),
(88802,	6,	923,	3,	2),
(88803,	6,	924,	1,	1),
(88804,	6,	924,	2,	1),
(88805,	6,	924,	3,	1),
(88806,	6,	924,	1,	2),
(88807,	6,	924,	2,	2),
(88808,	6,	924,	3,	2),
(88813,	6,	925,	2,	2),
(88815,	6,	926,	1,	1),
(88816,	6,	926,	2,	1),
(88817,	6,	926,	3,	1),
(88818,	6,	926,	1,	3),
(88819,	6,	926,	2,	3),
(88820,	6,	926,	3,	3),
(88827,	6,	928,	1,	1),
(88828,	6,	928,	2,	1),
(88829,	6,	928,	3,	1),
(88830,	6,	928,	1,	2),
(88831,	6,	928,	2,	2),
(88832,	6,	928,	3,	2),
(88833,	6,	929,	1,	1),
(88834,	6,	929,	2,	1),
(88835,	6,	929,	3,	1),
(88836,	6,	929,	1,	2),
(88837,	6,	929,	2,	2),
(88838,	6,	929,	3,	2),
(88839,	6,	930,	1,	1),
(88840,	6,	930,	2,	1),
(88841,	6,	930,	3,	1),
(88842,	6,	930,	1,	2),
(88843,	6,	930,	2,	2),
(88844,	6,	930,	3,	2),
(88845,	6,	931,	1,	1),
(88846,	6,	931,	2,	1),
(88847,	6,	931,	3,	1),
(88848,	6,	931,	1,	3),
(88849,	6,	931,	2,	3),
(88850,	6,	931,	3,	3),
(88857,	6,	933,	1,	1),
(88858,	6,	933,	2,	1),
(88859,	6,	933,	3,	1),
(88860,	6,	933,	1,	2),
(88861,	6,	933,	2,	2),
(88862,	6,	933,	3,	2),
(88863,	6,	934,	1,	1),
(88864,	6,	934,	2,	1),
(88865,	6,	934,	3,	1),
(88866,	6,	934,	1,	2),
(88867,	6,	934,	2,	2),
(88868,	6,	934,	3,	2),
(88875,	6,	936,	1,	1),
(88876,	6,	936,	2,	1),
(88877,	6,	936,	3,	1),
(88878,	6,	936,	1,	3),
(88879,	6,	936,	2,	3),
(88880,	6,	936,	3,	3),
(88887,	6,	938,	1,	1),
(88888,	6,	938,	2,	1),
(88889,	6,	938,	3,	1),
(88890,	6,	938,	1,	2),
(88891,	6,	938,	2,	2),
(88892,	6,	938,	3,	2),
(88893,	6,	939,	1,	1),
(88894,	6,	939,	2,	1),
(88895,	6,	939,	3,	1),
(88896,	6,	940,	1,	1),
(88897,	6,	940,	2,	1),
(88898,	6,	940,	3,	1),
(88899,	6,	941,	1,	1),
(88900,	6,	941,	2,	1),
(88901,	6,	941,	3,	1),
(88902,	6,	942,	1,	1),
(88903,	6,	942,	2,	1),
(88904,	6,	942,	3,	1),
(88923,	6,	946,	1,	1),
(88924,	6,	946,	2,	1),
(88925,	6,	946,	3,	1),
(88926,	6,	946,	1,	3),
(88927,	6,	946,	2,	3),
(88928,	6,	946,	3,	3),
(88929,	6,	947,	1,	1),
(88930,	6,	947,	2,	1),
(88931,	6,	947,	3,	1),
(88932,	6,	947,	1,	3),
(88933,	6,	947,	2,	3),
(88934,	6,	947,	3,	3),
(88938,	6,	949,	1,	1),
(88939,	6,	949,	2,	1),
(88940,	6,	949,	3,	1),
(88941,	6,	949,	23,	1),
(88942,	6,	950,	1,	1),
(88943,	6,	950,	2,	1),
(88944,	6,	950,	3,	1),
(88945,	6,	950,	1,	3),
(88946,	6,	950,	2,	3),
(88947,	6,	950,	3,	3),
(88948,	6,	951,	1,	1),
(88949,	6,	951,	2,	1),
(88950,	6,	951,	3,	1),
(88951,	6,	951,	1,	3),
(88952,	6,	951,	2,	3),
(88953,	6,	951,	3,	3),
(88985,	6,	958,	1,	1),
(88986,	6,	958,	2,	1),
(88987,	6,	958,	3,	1),
(88988,	6,	958,	1,	2),
(88989,	6,	958,	2,	2),
(88990,	6,	958,	3,	2),
(88991,	6,	959,	1,	1),
(88992,	6,	959,	2,	1),
(88993,	6,	959,	3,	1),
(88994,	6,	959,	1,	2),
(88995,	6,	959,	2,	2),
(88996,	6,	959,	3,	2),
(88997,	6,	960,	1,	1),
(88998,	6,	960,	2,	1),
(88999,	6,	960,	3,	1),
(89000,	6,	960,	1,	2),
(89001,	6,	960,	2,	2),
(89002,	6,	960,	3,	2),
(89003,	6,	961,	1,	1),
(89004,	6,	961,	2,	1),
(89005,	6,	961,	3,	1),
(89006,	6,	961,	1,	2),
(89007,	6,	961,	2,	2),
(89008,	6,	961,	3,	2),
(89009,	6,	962,	1,	1),
(89010,	6,	962,	2,	1),
(89011,	6,	962,	3,	1),
(89012,	6,	963,	1,	1),
(89013,	6,	963,	2,	1),
(89014,	6,	963,	3,	1),
(89021,	6,	965,	1,	1),
(89022,	6,	965,	2,	1),
(89023,	6,	965,	3,	1),
(89024,	6,	965,	1,	2),
(89025,	6,	965,	2,	2),
(89026,	6,	965,	3,	2),
(89040,	6,	969,	1,	3),
(89041,	6,	969,	2,	3),
(89042,	6,	969,	3,	3),
(89043,	6,	969,	23,	3),
(89048,	6,	970,	23,	1),
(89060,	6,	972,	1,	3),
(89061,	6,	972,	2,	3),
(89062,	6,	972,	3,	3),
(89063,	6,	973,	1,	1),
(89064,	6,	973,	2,	1),
(89067,	6,	973,	1,	3),
(89068,	6,	973,	2,	3),
(89069,	6,	973,	3,	3),
(89070,	6,	973,	6,	3),
(89071,	6,	974,	1,	1),
(89072,	6,	974,	2,	1),
(89073,	6,	974,	3,	1),
(89074,	6,	974,	6,	1),
(89075,	6,	974,	1,	3),
(89076,	6,	974,	2,	3),
(89077,	6,	974,	3,	3),
(89078,	6,	974,	6,	3),
(89082,	6,	976,	1,	1),
(89084,	6,	976,	3,	1),
(89092,	6,	978,	1,	3),
(89093,	6,	978,	2,	3),
(89094,	6,	978,	3,	3),
(89095,	6,	978,	6,	3),
(89097,	6,	979,	2,	1),
(89100,	6,	979,	1,	3),
(89101,	6,	979,	2,	3),
(89102,	6,	979,	3,	3),
(89103,	6,	979,	6,	3),
(89104,	6,	980,	1,	1),
(89105,	6,	980,	2,	1),
(89106,	6,	980,	3,	1),
(89113,	6,	982,	1,	3),
(89114,	6,	982,	2,	3),
(89115,	6,	982,	3,	3),
(89120,	6,	983,	1,	3),
(89121,	6,	983,	2,	3),
(89122,	6,	983,	3,	3),
(89123,	6,	983,	6,	3),
(89128,	6,	984,	1,	3),
(89129,	6,	984,	2,	3),
(89130,	6,	984,	3,	3),
(89131,	6,	984,	6,	3),
(89157,	6,	991,	3,	1),
(89158,	6,	991,	1,	2),
(89159,	6,	991,	2,	2),
(89160,	6,	991,	3,	2),
(89164,	6,	993,	1,	1),
(89165,	6,	993,	2,	1),
(89166,	6,	993,	3,	1),
(89167,	6,	993,	6,	1),
(89168,	6,	994,	1,	1),
(89169,	6,	994,	2,	1),
(89170,	6,	994,	3,	1),
(89178,	6,	996,	2,	2),
(89180,	6,	997,	1,	1),
(89181,	6,	997,	2,	1),
(89182,	6,	997,	3,	1),
(89189,	6,	999,	1,	1),
(89190,	6,	999,	2,	1),
(89191,	6,	999,	3,	1),
(89192,	6,	999,	1,	2),
(89193,	6,	999,	2,	2),
(89194,	6,	999,	3,	2),
(89195,	6,	1000,	1,	1),
(89196,	6,	1000,	2,	1),
(89197,	6,	1000,	3,	1),
(89198,	6,	1001,	1,	1),
(89199,	6,	1001,	2,	1),
(89200,	6,	1001,	3,	1),
(89201,	6,	1001,	1,	2),
(89202,	6,	1001,	2,	2),
(89203,	6,	1001,	3,	2),
(89210,	6,	1004,	1,	1),
(89211,	6,	1004,	2,	1),
(89212,	6,	1004,	3,	1),
(89213,	6,	1004,	1,	2),
(89214,	6,	1004,	2,	2),
(89215,	6,	1004,	3,	2),
(89228,	6,	1009,	1,	1),
(89229,	6,	1009,	2,	1),
(89230,	6,	1009,	3,	1),
(89231,	6,	1010,	1,	1),
(89232,	6,	1010,	2,	1),
(89233,	6,	1010,	3,	1),
(89234,	6,	1011,	1,	1),
(89235,	6,	1011,	2,	1),
(89236,	6,	1011,	3,	1),
(89237,	6,	1012,	1,	1),
(89238,	6,	1012,	2,	1),
(89239,	6,	1012,	3,	1),
(89240,	6,	1012,	1,	2),
(89241,	6,	1012,	2,	2),
(89242,	6,	1012,	3,	2),
(89243,	6,	1013,	1,	1),
(89244,	6,	1013,	2,	1),
(89245,	6,	1013,	3,	1),
(89250,	6,	1015,	1,	1),
(89251,	6,	1015,	2,	1),
(89252,	6,	1015,	3,	1),
(89253,	6,	1015,	1,	2),
(89254,	6,	1015,	2,	2),
(89255,	6,	1015,	3,	2),
(89256,	6,	1016,	1,	1),
(89257,	6,	1016,	2,	1),
(89258,	6,	1016,	3,	1),
(89259,	6,	1017,	1,	1),
(89260,	6,	1017,	2,	1),
(89261,	6,	1017,	3,	1),
(89262,	6,	1017,	1,	2),
(89263,	6,	1017,	2,	2),
(89264,	6,	1017,	3,	2),
(89271,	6,	1020,	1,	1),
(89272,	6,	1020,	2,	1),
(89273,	6,	1020,	3,	1),
(89274,	6,	1021,	1,	1),
(89275,	6,	1021,	2,	1),
(89276,	6,	1021,	3,	1),
(89289,	6,	1026,	1,	1),
(89290,	6,	1026,	2,	1),
(89291,	6,	1026,	3,	1),
(89292,	6,	1027,	1,	1),
(89293,	6,	1027,	2,	1),
(89294,	6,	1027,	3,	1),
(89295,	6,	1028,	1,	1),
(89296,	6,	1028,	2,	1),
(89297,	6,	1028,	3,	1),
(89298,	6,	1029,	1,	1),
(89299,	6,	1029,	2,	1),
(89300,	6,	1029,	3,	1),
(89301,	6,	1030,	1,	1),
(89302,	6,	1030,	2,	1),
(89303,	6,	1030,	3,	1),
(89304,	6,	1030,	1,	2),
(89305,	6,	1030,	2,	2),
(89306,	6,	1030,	3,	2),
(89307,	6,	1031,	1,	1),
(89308,	6,	1031,	2,	1),
(89309,	6,	1031,	3,	1),
(89310,	6,	1031,	1,	2),
(89311,	6,	1031,	2,	2),
(89312,	6,	1031,	3,	2),
(89313,	6,	1032,	1,	1),
(89314,	6,	1032,	2,	1),
(89315,	6,	1032,	3,	1),
(89316,	6,	1032,	1,	2),
(89317,	6,	1032,	2,	2),
(89318,	6,	1032,	3,	2),
(89319,	6,	1033,	1,	1),
(89320,	6,	1033,	2,	1),
(89321,	6,	1033,	3,	1),
(89322,	6,	1034,	1,	1),
(89323,	6,	1034,	2,	1),
(89324,	6,	1034,	3,	1),
(89325,	6,	1034,	1,	2),
(89326,	6,	1034,	2,	2),
(89327,	6,	1034,	3,	2),
(89334,	6,	1037,	1,	1),
(89335,	6,	1037,	2,	1),
(89336,	6,	1037,	3,	1),
(89337,	6,	1037,	1,	2),
(89338,	6,	1037,	2,	2),
(89339,	6,	1037,	3,	2),
(89340,	6,	1038,	1,	1),
(89341,	6,	1038,	2,	1),
(89342,	6,	1038,	3,	1),
(89343,	6,	1038,	1,	2),
(89344,	6,	1038,	2,	2),
(89345,	6,	1038,	3,	2),
(89346,	6,	1039,	1,	1),
(89347,	6,	1039,	2,	1),
(89348,	6,	1039,	3,	1),
(89349,	6,	1039,	1,	2),
(89350,	6,	1039,	2,	2),
(89351,	6,	1039,	3,	2),
(89352,	6,	1040,	1,	1),
(89353,	6,	1040,	2,	1),
(89354,	6,	1040,	3,	1),
(89355,	6,	1040,	1,	2),
(89356,	6,	1040,	2,	2),
(89357,	6,	1040,	3,	2),
(89358,	6,	1041,	1,	1),
(89359,	6,	1041,	2,	1),
(89360,	6,	1041,	3,	1),
(89361,	6,	1042,	1,	1),
(89362,	6,	1042,	2,	1),
(89363,	6,	1042,	3,	1),
(89364,	6,	1042,	1,	2),
(89365,	6,	1042,	2,	2),
(89366,	6,	1042,	3,	2),
(89371,	6,	1044,	2,	1),
(89373,	6,	1045,	1,	1),
(89374,	6,	1045,	2,	1),
(89375,	6,	1045,	3,	1),
(89376,	6,	1046,	1,	1),
(89377,	6,	1046,	2,	1),
(89378,	6,	1046,	3,	1),
(89379,	6,	1047,	1,	1),
(89380,	6,	1047,	2,	1),
(89381,	6,	1047,	3,	1),
(89382,	6,	1047,	1,	2),
(89383,	6,	1047,	2,	2),
(89384,	6,	1047,	3,	2),
(89388,	6,	1049,	1,	1),
(89389,	6,	1049,	2,	1),
(89390,	6,	1049,	3,	1),
(89391,	6,	1050,	1,	1),
(89392,	6,	1050,	2,	1),
(89393,	6,	1050,	3,	1),
(89394,	6,	1050,	1,	2),
(89395,	6,	1050,	2,	2),
(89396,	6,	1050,	3,	2),
(89403,	6,	1053,	1,	1),
(89404,	6,	1053,	2,	1),
(89405,	6,	1053,	3,	1),
(89406,	6,	1054,	1,	1),
(89407,	6,	1054,	2,	1),
(89408,	6,	1054,	3,	1),
(89412,	6,	1056,	1,	1),
(89413,	6,	1056,	2,	1),
(89414,	6,	1056,	3,	1),
(89415,	6,	1057,	1,	1),
(89416,	6,	1057,	2,	1),
(89417,	6,	1057,	3,	1),
(89421,	6,	1059,	1,	1),
(89422,	6,	1059,	2,	1),
(89423,	6,	1059,	3,	1),
(89427,	6,	1061,	1,	1),
(89428,	6,	1061,	2,	1),
(89429,	6,	1061,	3,	1),
(89430,	6,	1061,	1,	2),
(89431,	6,	1061,	2,	2),
(89432,	6,	1061,	3,	2),
(89433,	6,	1062,	1,	1),
(89434,	6,	1062,	2,	1),
(89435,	6,	1062,	3,	1),
(89436,	6,	1063,	1,	1),
(89437,	6,	1063,	2,	1),
(89438,	6,	1063,	3,	1),
(89451,	6,	1066,	1,	1),
(89452,	6,	1066,	2,	1),
(89453,	6,	1066,	3,	1),
(89454,	6,	1066,	1,	2),
(89455,	6,	1066,	2,	2),
(89456,	6,	1066,	3,	2),
(89458,	6,	1067,	2,	1),
(89461,	6,	1067,	2,	2),
(89485,	6,	1072,	2,	1),
(89487,	6,	1072,	28,	1),
(89516,	6,	1077,	1,	1),
(89517,	6,	1077,	2,	1),
(89518,	6,	1077,	3,	1),
(89519,	6,	1077,	1,	3),
(89520,	6,	1077,	2,	3),
(89521,	6,	1077,	3,	3),
(89522,	6,	1078,	1,	1),
(89523,	6,	1078,	2,	1),
(89524,	6,	1078,	3,	1),
(89525,	6,	1078,	1,	2),
(89526,	6,	1078,	2,	2),
(89527,	6,	1078,	3,	2),
(89528,	6,	1079,	1,	1),
(89529,	6,	1079,	2,	1),
(89530,	6,	1079,	3,	1),
(89531,	6,	1079,	1,	2),
(89532,	6,	1079,	2,	2),
(89533,	6,	1079,	3,	2),
(89535,	6,	1080,	2,	1),
(89543,	6,	1082,	1,	1),
(89544,	6,	1082,	2,	1),
(89545,	6,	1082,	3,	1),
(89546,	6,	1082,	1,	2),
(89547,	6,	1082,	2,	2),
(89548,	6,	1082,	3,	2),
(89549,	6,	1083,	1,	1),
(89550,	6,	1083,	2,	1),
(89551,	6,	1083,	3,	1),
(89552,	6,	1083,	1,	2),
(89553,	6,	1083,	2,	2),
(89554,	6,	1083,	3,	2),
(89562,	6,	1085,	2,	1),
(89570,	6,	1087,	1,	1),
(89571,	6,	1087,	2,	1),
(89572,	6,	1087,	3,	1),
(89573,	6,	1087,	1,	2),
(89574,	6,	1087,	2,	2),
(89575,	6,	1087,	3,	2),
(89582,	6,	1089,	1,	1),
(89583,	6,	1089,	2,	1),
(89584,	6,	1089,	3,	1),
(89585,	6,	1090,	1,	1),
(89586,	6,	1090,	2,	1),
(89587,	6,	1090,	3,	1),
(89588,	6,	1090,	1,	2),
(89589,	6,	1090,	2,	2),
(89590,	6,	1090,	3,	2),
(89591,	6,	1091,	1,	1),
(89592,	6,	1091,	2,	1),
(89593,	6,	1091,	3,	1),
(89594,	6,	1091,	1,	2),
(89595,	6,	1091,	2,	2),
(89596,	6,	1091,	3,	2),
(89597,	6,	1092,	1,	1),
(89598,	6,	1092,	2,	1),
(89599,	6,	1092,	3,	1),
(89606,	6,	1094,	1,	1),
(89607,	6,	1094,	2,	1),
(89608,	6,	1094,	3,	1),
(89609,	6,	1094,	1,	2),
(89610,	6,	1094,	2,	2),
(89611,	6,	1094,	3,	2),
(89618,	6,	1096,	1,	1),
(89619,	6,	1096,	2,	1),
(89620,	6,	1096,	3,	1),
(89621,	6,	1097,	1,	1),
(89622,	6,	1097,	2,	1),
(89623,	6,	1097,	3,	1),
(89624,	6,	1097,	1,	2),
(89625,	6,	1097,	2,	2),
(89626,	6,	1097,	3,	2),
(89627,	6,	1098,	1,	1),
(89628,	6,	1098,	2,	1),
(89629,	6,	1098,	3,	1),
(89630,	6,	1098,	1,	2),
(89631,	6,	1098,	2,	2),
(89632,	6,	1098,	3,	2),
(89633,	6,	1099,	1,	1),
(89634,	6,	1099,	2,	1),
(89635,	6,	1099,	3,	1),
(89636,	6,	1099,	1,	2),
(89637,	6,	1099,	2,	2),
(89638,	6,	1099,	3,	2),
(89645,	6,	1101,	1,	1),
(89646,	6,	1101,	2,	1),
(89647,	6,	1101,	3,	1),
(89654,	6,	1103,	1,	1),
(89655,	6,	1103,	2,	1),
(89656,	6,	1103,	3,	1),
(89657,	6,	1103,	1,	2),
(89658,	6,	1103,	2,	2),
(89659,	6,	1103,	3,	2),
(89660,	6,	1104,	1,	1),
(89661,	6,	1104,	2,	1),
(89662,	6,	1104,	3,	1),
(89663,	6,	1104,	1,	2),
(89664,	6,	1104,	2,	2),
(89665,	6,	1104,	3,	2),
(89666,	6,	1105,	1,	1),
(89667,	6,	1105,	2,	1),
(89668,	6,	1105,	3,	1),
(89669,	6,	1105,	1,	2),
(89670,	6,	1105,	2,	2),
(89671,	6,	1105,	3,	2),
(89672,	6,	1106,	1,	1),
(89673,	6,	1106,	2,	1),
(89674,	6,	1106,	3,	1),
(89675,	6,	1106,	1,	2),
(89676,	6,	1106,	2,	2),
(89677,	6,	1106,	3,	2),
(89678,	6,	1107,	1,	1),
(89679,	6,	1107,	2,	1),
(89680,	6,	1107,	3,	1),
(89681,	6,	1108,	1,	1),
(89682,	6,	1108,	2,	1),
(89683,	6,	1108,	3,	1),
(89684,	6,	1108,	1,	2),
(89685,	6,	1108,	2,	2),
(89686,	6,	1108,	3,	2),
(89687,	6,	1109,	1,	1),
(89688,	6,	1109,	2,	1),
(89689,	6,	1109,	3,	1),
(89690,	6,	1109,	1,	2),
(89691,	6,	1109,	2,	2),
(89692,	6,	1109,	3,	2),
(89693,	6,	1110,	1,	1),
(89694,	6,	1110,	2,	1),
(89695,	6,	1110,	3,	1),
(89696,	6,	1110,	1,	2),
(89697,	6,	1110,	2,	2),
(89698,	6,	1110,	3,	2),
(89705,	6,	1112,	1,	1),
(89706,	6,	1112,	2,	1),
(89707,	6,	1112,	3,	1),
(89714,	6,	1114,	1,	1),
(89715,	6,	1114,	2,	1),
(89716,	6,	1114,	3,	1),
(89717,	6,	1114,	1,	2),
(89718,	6,	1114,	2,	2),
(89719,	6,	1114,	3,	2),
(89720,	6,	1115,	1,	1),
(89721,	6,	1115,	2,	1),
(89722,	6,	1115,	3,	1),
(89723,	6,	1115,	1,	2),
(89724,	6,	1115,	2,	2),
(89725,	6,	1115,	3,	2),
(89726,	6,	1116,	1,	1),
(89727,	6,	1116,	2,	1),
(89728,	6,	1116,	3,	1),
(89729,	6,	1116,	1,	2),
(89730,	6,	1116,	2,	2),
(89731,	6,	1116,	3,	2),
(89732,	6,	1117,	1,	1),
(89733,	6,	1117,	2,	1),
(89734,	6,	1117,	3,	1),
(89735,	6,	1117,	1,	2),
(89736,	6,	1117,	2,	2),
(89737,	6,	1117,	3,	2),
(89744,	6,	1119,	1,	1),
(89745,	6,	1119,	2,	1),
(89746,	6,	1119,	3,	1),
(89747,	6,	1120,	1,	1),
(89748,	6,	1120,	2,	1),
(89749,	6,	1120,	3,	1),
(89750,	6,	1120,	1,	2),
(89751,	6,	1120,	2,	2),
(89752,	6,	1120,	3,	2),
(89753,	6,	1121,	1,	1),
(89754,	6,	1121,	2,	1),
(89755,	6,	1121,	3,	1),
(89756,	6,	1121,	1,	2),
(89757,	6,	1121,	2,	2),
(89758,	6,	1121,	3,	2),
(89759,	6,	1122,	1,	1),
(89760,	6,	1122,	2,	1),
(89761,	6,	1122,	3,	1),
(89762,	6,	1122,	1,	2),
(89763,	6,	1122,	2,	2),
(89764,	6,	1122,	3,	2),
(89771,	6,	1124,	1,	1),
(89772,	6,	1124,	2,	1),
(89773,	6,	1124,	3,	1),
(89780,	6,	1126,	1,	1),
(89781,	6,	1126,	2,	1),
(89782,	6,	1126,	3,	1),
(89783,	6,	1126,	1,	2),
(89784,	6,	1126,	2,	2),
(89785,	6,	1126,	3,	2),
(89787,	6,	1127,	2,	1),
(89793,	6,	1128,	2,	2),
(89798,	6,	1129,	1,	3),
(89799,	6,	1129,	2,	3),
(89800,	6,	1129,	3,	3),
(89804,	6,	1130,	1,	3),
(89805,	6,	1130,	2,	3),
(89806,	6,	1130,	3,	3),
(89815,	6,	1131,	1,	3),
(89816,	6,	1131,	2,	3),
(89817,	6,	1131,	3,	3),
(89818,	6,	1131,	23,	3),
(89819,	6,	1131,	4,	3),
(89820,	6,	1131,	25,	3),
(89821,	6,	1131,	24,	3),
(89822,	6,	1131,	6,	3),
(89831,	6,	1132,	1,	3),
(89832,	6,	1132,	2,	3),
(89833,	6,	1132,	3,	3),
(89834,	6,	1132,	23,	3),
(89835,	6,	1132,	4,	3),
(89836,	6,	1132,	25,	3),
(89837,	6,	1132,	24,	3),
(89838,	6,	1132,	6,	3),
(89847,	6,	1133,	1,	3),
(89848,	6,	1133,	2,	3),
(89849,	6,	1133,	3,	3),
(89850,	6,	1133,	23,	3),
(89851,	6,	1133,	4,	3),
(89852,	6,	1133,	25,	3),
(89853,	6,	1133,	24,	3),
(89854,	6,	1133,	6,	3),
(89863,	6,	1134,	1,	3),
(89864,	6,	1134,	2,	3),
(89865,	6,	1134,	3,	3),
(89866,	6,	1134,	23,	3),
(89867,	6,	1134,	4,	3),
(89868,	6,	1134,	25,	3),
(89869,	6,	1134,	24,	3),
(89870,	6,	1134,	6,	3),
(89879,	6,	1135,	1,	3),
(89880,	6,	1135,	2,	3),
(89881,	6,	1135,	3,	3),
(89882,	6,	1135,	23,	3),
(89883,	6,	1135,	4,	3),
(89884,	6,	1135,	25,	3),
(89885,	6,	1135,	24,	3),
(89886,	6,	1135,	6,	3),
(89895,	6,	1136,	1,	3),
(89896,	6,	1136,	2,	3),
(89897,	6,	1136,	3,	3),
(89898,	6,	1136,	23,	3),
(89899,	6,	1136,	4,	3),
(89900,	6,	1136,	25,	3),
(89901,	6,	1136,	24,	3),
(89902,	6,	1136,	6,	3),
(89917,	6,	1138,	1,	3),
(89918,	6,	1138,	2,	3),
(89919,	6,	1138,	3,	3),
(89920,	6,	1138,	23,	3),
(89921,	6,	1138,	4,	3),
(89922,	6,	1138,	25,	3),
(89923,	6,	1138,	24,	3),
(89924,	6,	1138,	6,	3),
(89933,	6,	1139,	1,	3),
(89934,	6,	1139,	2,	3),
(89935,	6,	1139,	3,	3),
(89936,	6,	1139,	23,	3),
(89937,	6,	1139,	4,	3),
(89938,	6,	1139,	25,	3),
(89939,	6,	1139,	24,	3),
(89940,	6,	1139,	6,	3),
(89949,	6,	1140,	1,	3),
(89950,	6,	1140,	2,	3),
(89951,	6,	1140,	3,	3),
(89952,	6,	1140,	23,	3),
(89953,	6,	1140,	4,	3),
(89954,	6,	1140,	25,	3),
(89955,	6,	1140,	24,	3),
(89956,	6,	1140,	6,	3),
(89963,	6,	1142,	1,	3),
(89964,	6,	1142,	2,	3),
(89965,	6,	1142,	3,	3),
(89974,	6,	1143,	1,	3),
(89975,	6,	1143,	2,	3),
(89976,	6,	1143,	3,	3),
(89977,	6,	1143,	23,	3),
(89978,	6,	1143,	4,	3),
(89979,	6,	1143,	25,	3),
(89980,	6,	1143,	24,	3),
(89981,	6,	1143,	6,	3),
(89993,	6,	1145,	1,	3),
(89994,	6,	1145,	2,	3),
(89995,	6,	1145,	3,	3),
(89996,	6,	1145,	23,	3),
(89997,	6,	1145,	4,	3),
(89998,	6,	1145,	25,	3),
(89999,	6,	1145,	24,	3),
(90000,	6,	1145,	6,	3),
(90005,	6,	1146,	2,	2),
(90007,	6,	1147,	1,	1),
(90008,	6,	1147,	2,	1),
(90009,	6,	1147,	3,	1),
(90018,	6,	1148,	1,	3),
(90019,	6,	1148,	2,	3),
(90020,	6,	1148,	3,	3),
(90021,	6,	1148,	23,	3),
(90022,	6,	1148,	4,	3),
(90023,	6,	1148,	25,	3),
(90024,	6,	1148,	24,	3),
(90025,	6,	1148,	6,	3),
(90030,	6,	1149,	2,	2),
(90032,	6,	1150,	1,	1),
(90033,	6,	1150,	2,	1),
(90034,	6,	1150,	3,	1),
(90043,	6,	1151,	1,	3),
(90044,	6,	1151,	2,	3),
(90045,	6,	1151,	3,	3),
(90046,	6,	1151,	23,	3),
(90047,	6,	1151,	4,	3),
(90048,	6,	1151,	25,	3),
(90049,	6,	1151,	24,	3),
(90050,	6,	1151,	6,	3),
(90057,	6,	1153,	1,	1),
(90058,	6,	1153,	2,	1),
(90059,	6,	1153,	3,	1),
(90060,	6,	1154,	1,	1),
(90061,	6,	1154,	2,	1),
(90062,	6,	1154,	3,	1),
(90063,	6,	1155,	1,	1),
(90064,	6,	1155,	2,	1),
(90065,	6,	1155,	3,	1),
(90066,	6,	1156,	1,	1),
(90067,	6,	1156,	2,	1),
(90068,	6,	1156,	3,	1),
(90069,	6,	1157,	1,	1),
(90070,	6,	1157,	2,	1),
(90071,	6,	1157,	3,	1),
(90072,	6,	1158,	1,	1),
(90073,	6,	1158,	2,	1),
(90074,	6,	1158,	3,	1),
(90075,	6,	1159,	1,	1),
(90076,	6,	1159,	2,	1),
(90077,	6,	1159,	3,	1),
(90078,	6,	1160,	1,	1),
(90079,	6,	1160,	2,	1),
(90080,	6,	1160,	3,	1),
(90081,	6,	1161,	1,	1),
(90082,	6,	1161,	2,	1),
(90083,	6,	1161,	3,	1),
(90084,	6,	1161,	1,	2),
(90085,	6,	1161,	2,	2),
(90086,	6,	1161,	3,	2),
(90087,	6,	1162,	1,	1),
(90088,	6,	1162,	2,	1),
(90089,	6,	1162,	3,	1),
(90090,	6,	1163,	1,	1),
(90091,	6,	1163,	2,	1),
(90092,	6,	1163,	3,	1),
(90093,	6,	1163,	1,	2),
(90094,	6,	1163,	2,	2),
(90095,	6,	1163,	3,	2),
(90340,	6,	1174,	1,	1),
(90341,	6,	1174,	2,	1),
(90342,	6,	1174,	3,	1),
(90344,	6,	1175,	2,	1),
(90352,	6,	1177,	1,	1),
(90353,	6,	1177,	2,	1),
(90354,	6,	1177,	3,	1),
(90355,	6,	1177,	1,	2),
(90356,	6,	1177,	2,	2),
(90357,	6,	1177,	3,	2),
(90358,	6,	1178,	1,	1),
(90359,	6,	1178,	2,	1),
(90360,	6,	1178,	3,	1),
(90365,	6,	1179,	2,	2),
(90367,	6,	1180,	1,	1),
(90368,	6,	1180,	2,	1),
(90369,	6,	1180,	3,	1),
(90374,	6,	1182,	2,	1),
(90376,	6,	1183,	1,	1),
(90377,	6,	1183,	2,	1),
(90378,	6,	1183,	3,	1),
(90379,	6,	1183,	1,	2),
(90380,	6,	1183,	2,	2),
(90381,	6,	1183,	3,	2),
(90382,	6,	1184,	1,	1),
(90383,	6,	1184,	2,	1),
(90384,	6,	1184,	3,	1),
(90385,	6,	1185,	1,	1),
(90386,	6,	1185,	2,	1),
(90387,	6,	1185,	3,	1),
(90394,	6,	1187,	1,	1),
(90395,	6,	1187,	2,	1),
(90396,	6,	1187,	3,	1),
(90397,	6,	1188,	1,	1),
(90398,	6,	1188,	2,	1),
(90399,	6,	1188,	3,	1),
(90400,	6,	1189,	1,	1),
(90401,	6,	1189,	2,	1),
(90402,	6,	1189,	3,	1),
(90403,	6,	1190,	1,	1),
(90404,	6,	1190,	2,	1),
(90405,	6,	1190,	3,	1),
(90406,	6,	1191,	1,	1),
(90407,	6,	1191,	2,	1),
(90408,	6,	1191,	3,	1),
(90409,	6,	1192,	1,	1),
(90410,	6,	1192,	2,	1),
(90411,	6,	1192,	3,	1),
(90412,	6,	1192,	1,	2),
(90413,	6,	1192,	2,	2),
(90414,	6,	1192,	3,	2),
(90415,	6,	1193,	1,	1),
(90416,	6,	1193,	2,	1),
(90417,	6,	1193,	3,	1),
(90418,	6,	1194,	1,	1),
(90419,	6,	1194,	2,	1),
(90420,	6,	1194,	3,	1),
(90424,	6,	1195,	65,	1),
(90425,	6,	1195,	66,	1),
(90426,	6,	1195,	7,	1),
(90430,	6,	1195,	15,	1),
(90431,	6,	1195,	1,	3),
(90432,	6,	1195,	2,	3),
(90433,	6,	1195,	3,	3),
(90434,	6,	1195,	65,	3),
(90435,	6,	1195,	66,	3),
(90436,	6,	1195,	7,	3),
(90437,	6,	1195,	8,	3),
(90438,	6,	1195,	67,	3),
(90439,	6,	1195,	68,	3),
(90440,	6,	1195,	15,	3),
(90444,	6,	1196,	65,	1),
(90445,	6,	1196,	66,	1),
(90446,	6,	1196,	7,	1),
(90450,	6,	1196,	15,	1),
(90451,	6,	1196,	1,	3),
(90452,	6,	1196,	2,	3),
(90453,	6,	1196,	3,	3),
(90454,	6,	1196,	65,	3),
(90455,	6,	1196,	66,	3),
(90456,	6,	1196,	7,	3),
(90457,	6,	1196,	8,	3),
(90458,	6,	1196,	67,	3),
(90459,	6,	1196,	68,	3),
(90460,	6,	1196,	15,	3),
(90464,	6,	1197,	1,	3),
(90465,	6,	1197,	2,	3),
(90466,	6,	1197,	3,	3),
(90470,	6,	1198,	1,	3),
(90471,	6,	1198,	2,	3),
(90472,	6,	1198,	3,	3),
(90476,	6,	1199,	65,	1),
(90477,	6,	1199,	66,	1),
(90478,	6,	1199,	7,	1),
(90482,	6,	1199,	15,	1),
(90483,	6,	1199,	1,	3),
(90484,	6,	1199,	2,	3),
(90485,	6,	1199,	3,	3),
(90486,	6,	1199,	65,	3),
(90487,	6,	1199,	66,	3),
(90488,	6,	1199,	7,	3),
(90489,	6,	1199,	8,	3),
(90490,	6,	1199,	67,	3),
(90491,	6,	1199,	68,	3),
(90492,	6,	1199,	15,	3),
(90496,	6,	1200,	65,	1),
(90497,	6,	1200,	66,	1),
(90498,	6,	1200,	7,	1),
(90502,	6,	1200,	15,	1),
(90503,	6,	1200,	1,	3),
(90504,	6,	1200,	2,	3),
(90505,	6,	1200,	3,	3),
(90506,	6,	1200,	65,	3),
(90507,	6,	1200,	66,	3),
(90508,	6,	1200,	7,	3),
(90509,	6,	1200,	8,	3),
(90510,	6,	1200,	67,	3),
(90511,	6,	1200,	68,	3),
(90512,	6,	1200,	15,	3),
(90516,	6,	1201,	65,	1),
(90517,	6,	1201,	66,	1),
(90518,	6,	1201,	7,	1),
(90522,	6,	1201,	15,	1),
(90523,	6,	1201,	1,	3),
(90524,	6,	1201,	2,	3),
(90525,	6,	1201,	3,	3),
(90526,	6,	1201,	65,	3),
(90527,	6,	1201,	66,	3),
(90528,	6,	1201,	7,	3),
(90529,	6,	1201,	8,	3),
(90530,	6,	1201,	67,	3),
(90531,	6,	1201,	68,	3),
(90532,	6,	1201,	15,	3),
(90536,	6,	1202,	65,	1),
(90537,	6,	1202,	66,	1),
(90538,	6,	1202,	7,	1),
(90542,	6,	1202,	15,	1),
(90543,	6,	1202,	1,	3),
(90544,	6,	1202,	2,	3),
(90545,	6,	1202,	3,	3),
(90546,	6,	1202,	65,	3),
(90547,	6,	1202,	66,	3),
(90548,	6,	1202,	7,	3),
(90549,	6,	1202,	8,	3),
(90550,	6,	1202,	67,	3),
(90551,	6,	1202,	68,	3),
(90552,	6,	1202,	15,	3),
(90555,	6,	1203,	3,	1),
(90556,	6,	1203,	69,	1),
(90557,	6,	1203,	70,	1),
(90558,	6,	1203,	71,	1),
(90559,	6,	1203,	72,	1),
(90560,	6,	1203,	65,	1),
(90561,	6,	1203,	66,	1),
(90562,	6,	1203,	7,	1),
(90564,	6,	1203,	73,	1),
(90568,	6,	1203,	1,	3),
(90569,	6,	1203,	2,	3),
(90570,	6,	1203,	3,	3),
(90571,	6,	1203,	69,	3),
(90572,	6,	1203,	70,	3),
(90573,	6,	1203,	71,	3),
(90574,	6,	1203,	72,	3),
(90575,	6,	1203,	65,	3),
(90576,	6,	1203,	66,	3),
(90577,	6,	1203,	7,	3),
(90578,	6,	1203,	8,	3),
(90579,	6,	1203,	73,	3),
(90580,	6,	1203,	67,	3),
(90581,	6,	1203,	10,	3),
(90582,	6,	1203,	68,	3),
(90586,	6,	1204,	1,	3),
(90587,	6,	1204,	2,	3),
(90588,	6,	1204,	3,	3),
(90592,	6,	1205,	69,	1),
(90593,	6,	1205,	70,	1),
(90594,	6,	1205,	71,	1),
(90595,	6,	1205,	72,	1),
(90596,	6,	1205,	65,	1),
(90597,	6,	1205,	66,	1),
(90598,	6,	1205,	7,	1),
(90604,	6,	1205,	1,	3),
(90605,	6,	1205,	2,	3),
(90606,	6,	1205,	3,	3),
(90607,	6,	1205,	69,	3),
(90608,	6,	1205,	70,	3),
(90609,	6,	1205,	71,	3),
(90610,	6,	1205,	72,	3),
(90611,	6,	1205,	65,	3),
(90612,	6,	1205,	66,	3),
(90613,	6,	1205,	7,	3),
(90614,	6,	1205,	8,	3),
(90615,	6,	1205,	73,	3),
(90616,	6,	1205,	67,	3),
(90617,	6,	1205,	10,	3),
(90618,	6,	1205,	68,	3),
(90638,	6,	1207,	69,	1),
(90639,	6,	1207,	70,	1),
(90640,	6,	1207,	71,	1),
(90641,	6,	1207,	72,	1),
(90642,	6,	1207,	65,	1),
(90643,	6,	1207,	66,	1),
(90644,	6,	1207,	7,	1),
(90650,	6,	1207,	74,	1),
(90651,	6,	1207,	1,	3),
(90652,	6,	1207,	2,	3),
(90653,	6,	1207,	3,	3),
(90654,	6,	1207,	69,	3),
(90655,	6,	1207,	70,	3),
(90656,	6,	1207,	71,	3),
(90657,	6,	1207,	72,	3),
(90658,	6,	1207,	65,	3),
(90659,	6,	1207,	66,	3),
(90660,	6,	1207,	7,	3),
(90661,	6,	1207,	8,	3),
(90662,	6,	1207,	73,	3),
(90663,	6,	1207,	67,	3),
(90664,	6,	1207,	10,	3),
(90665,	6,	1207,	68,	3),
(90666,	6,	1207,	74,	3),
(90667,	6,	1208,	1,	1),
(90668,	6,	1208,	2,	1),
(90669,	6,	1208,	3,	1),
(90670,	6,	1208,	66,	1),
(90671,	6,	1208,	7,	1),
(90672,	6,	1208,	8,	1),
(90673,	6,	1208,	67,	1),
(90674,	6,	1208,	68,	1),
(90675,	6,	1208,	1,	3),
(90676,	6,	1208,	2,	3),
(90677,	6,	1208,	3,	3),
(90678,	6,	1208,	66,	3),
(90679,	6,	1208,	7,	3),
(90680,	6,	1208,	8,	3),
(90681,	6,	1208,	67,	3),
(90682,	6,	1208,	68,	3),
(90686,	6,	1209,	69,	1),
(90687,	6,	1209,	70,	1),
(90688,	6,	1209,	71,	1),
(90689,	6,	1209,	72,	1),
(90690,	6,	1209,	65,	1),
(90691,	6,	1209,	66,	1),
(90692,	6,	1209,	7,	1),
(90698,	6,	1209,	74,	1),
(90699,	6,	1209,	1,	3),
(90700,	6,	1209,	2,	3),
(90701,	6,	1209,	3,	3),
(90702,	6,	1209,	69,	3),
(90703,	6,	1209,	70,	3),
(90704,	6,	1209,	71,	3),
(90705,	6,	1209,	72,	3),
(90706,	6,	1209,	65,	3),
(90707,	6,	1209,	66,	3),
(90708,	6,	1209,	7,	3),
(90709,	6,	1209,	8,	3),
(90710,	6,	1209,	73,	3),
(90711,	6,	1209,	67,	3),
(90712,	6,	1209,	10,	3),
(90713,	6,	1209,	68,	3),
(90714,	6,	1209,	74,	3),
(90718,	6,	1210,	66,	1),
(90719,	6,	1210,	7,	1),
(90723,	6,	1210,	1,	3),
(90724,	6,	1210,	2,	3),
(90725,	6,	1210,	3,	3),
(90726,	6,	1210,	66,	3),
(90727,	6,	1210,	7,	3),
(90728,	6,	1210,	8,	3),
(90729,	6,	1210,	67,	3),
(90730,	6,	1210,	68,	3),
(90734,	6,	1211,	69,	1),
(90735,	6,	1211,	70,	1),
(90736,	6,	1211,	71,	1),
(90737,	6,	1211,	72,	1),
(90738,	6,	1211,	65,	1),
(90739,	6,	1211,	66,	1),
(90740,	6,	1211,	7,	1),
(90746,	6,	1211,	74,	1),
(90747,	6,	1211,	1,	3),
(90748,	6,	1211,	2,	3),
(90749,	6,	1211,	3,	3),
(90750,	6,	1211,	69,	3),
(90751,	6,	1211,	70,	3),
(90752,	6,	1211,	71,	3),
(90753,	6,	1211,	72,	3),
(90754,	6,	1211,	65,	3),
(90755,	6,	1211,	66,	3),
(90756,	6,	1211,	7,	3),
(90757,	6,	1211,	8,	3),
(90758,	6,	1211,	73,	3),
(90759,	6,	1211,	67,	3),
(90760,	6,	1211,	10,	3),
(90761,	6,	1211,	68,	3),
(90762,	6,	1211,	74,	3),
(90766,	6,	1212,	69,	1),
(90767,	6,	1212,	70,	1),
(90768,	6,	1212,	71,	1),
(90769,	6,	1212,	72,	1),
(90770,	6,	1212,	65,	1),
(90771,	6,	1212,	66,	1),
(90772,	6,	1212,	7,	1),
(90778,	6,	1212,	74,	1),
(90779,	6,	1212,	1,	3),
(90780,	6,	1212,	2,	3),
(90781,	6,	1212,	3,	3),
(90782,	6,	1212,	69,	3),
(90783,	6,	1212,	70,	3),
(90784,	6,	1212,	71,	3),
(90785,	6,	1212,	72,	3),
(90786,	6,	1212,	65,	3),
(90787,	6,	1212,	66,	3),
(90788,	6,	1212,	7,	3),
(90789,	6,	1212,	8,	3),
(90790,	6,	1212,	73,	3),
(90791,	6,	1212,	67,	3),
(90792,	6,	1212,	10,	3),
(90793,	6,	1212,	68,	3),
(90794,	6,	1212,	74,	3),
(90798,	6,	1213,	69,	1),
(90799,	6,	1213,	70,	1),
(90800,	6,	1213,	71,	1),
(90801,	6,	1213,	72,	1),
(90802,	6,	1213,	65,	1),
(90803,	6,	1213,	66,	1),
(90804,	6,	1213,	7,	1),
(90810,	6,	1213,	74,	1),
(90811,	6,	1213,	1,	3),
(90812,	6,	1213,	2,	3),
(90813,	6,	1213,	3,	3),
(90814,	6,	1213,	69,	3),
(90815,	6,	1213,	70,	3),
(90816,	6,	1213,	71,	3),
(90817,	6,	1213,	72,	3),
(90818,	6,	1213,	65,	3),
(90819,	6,	1213,	66,	3),
(90820,	6,	1213,	7,	3),
(90821,	6,	1213,	8,	3),
(90822,	6,	1213,	73,	3),
(90823,	6,	1213,	67,	3),
(90824,	6,	1213,	10,	3),
(90825,	6,	1213,	68,	3),
(90826,	6,	1213,	74,	3),
(90827,	6,	1214,	1,	1),
(90828,	6,	1214,	2,	1),
(90829,	6,	1214,	3,	1),
(90830,	6,	1214,	69,	1),
(90831,	6,	1214,	70,	1),
(90832,	6,	1214,	71,	1),
(90833,	6,	1214,	72,	1),
(90834,	6,	1214,	65,	1),
(90835,	6,	1214,	66,	1),
(90836,	6,	1214,	7,	1),
(90837,	6,	1214,	8,	1),
(90838,	6,	1214,	73,	1),
(90839,	6,	1214,	67,	1),
(90840,	6,	1214,	10,	1),
(90841,	6,	1214,	68,	1),
(90842,	6,	1214,	74,	1),
(90843,	6,	1214,	1,	3),
(90844,	6,	1214,	2,	3),
(90845,	6,	1214,	3,	3),
(90846,	6,	1214,	69,	3),
(90847,	6,	1214,	70,	3),
(90848,	6,	1214,	71,	3),
(90849,	6,	1214,	72,	3),
(90850,	6,	1214,	65,	3),
(90851,	6,	1214,	66,	3),
(90852,	6,	1214,	7,	3),
(90853,	6,	1214,	8,	3),
(90854,	6,	1214,	73,	3),
(90855,	6,	1214,	67,	3),
(90856,	6,	1214,	10,	3),
(90857,	6,	1214,	68,	3),
(90858,	6,	1214,	74,	3),
(90862,	6,	1215,	66,	1),
(90863,	6,	1215,	7,	1),
(90867,	6,	1215,	1,	3),
(90868,	6,	1215,	2,	3),
(90869,	6,	1215,	3,	3),
(90870,	6,	1215,	66,	3),
(90871,	6,	1215,	7,	3),
(90872,	6,	1215,	8,	3),
(90873,	6,	1215,	67,	3),
(90874,	6,	1215,	68,	3),
(90878,	6,	1216,	66,	1),
(90879,	6,	1216,	7,	1),
(90883,	6,	1216,	1,	3),
(90884,	6,	1216,	2,	3),
(90885,	6,	1216,	3,	3),
(90886,	6,	1216,	66,	3),
(90887,	6,	1216,	7,	3),
(90888,	6,	1216,	8,	3),
(90889,	6,	1216,	67,	3),
(90890,	6,	1216,	68,	3),
(90895,	6,	1217,	1,	3),
(90896,	6,	1217,	2,	3),
(90897,	6,	1217,	3,	3),
(90898,	6,	1217,	23,	3),
(90902,	6,	1218,	66,	1),
(90903,	6,	1218,	7,	1),
(90907,	6,	1218,	1,	3),
(90908,	6,	1218,	2,	3),
(90909,	6,	1218,	3,	3),
(90910,	6,	1218,	66,	3),
(90911,	6,	1218,	7,	3),
(90912,	6,	1218,	8,	3),
(90913,	6,	1218,	67,	3),
(90914,	6,	1218,	68,	3),
(90918,	6,	1219,	66,	1),
(90919,	6,	1219,	7,	1),
(90923,	6,	1219,	1,	3),
(90924,	6,	1219,	2,	3),
(90925,	6,	1219,	3,	3),
(90926,	6,	1219,	66,	3),
(90927,	6,	1219,	7,	3),
(90928,	6,	1219,	8,	3),
(90929,	6,	1219,	67,	3),
(90930,	6,	1219,	68,	3),
(90934,	6,	1220,	66,	1),
(90935,	6,	1220,	7,	1),
(90939,	6,	1220,	1,	3),
(90940,	6,	1220,	2,	3),
(90941,	6,	1220,	3,	3),
(90942,	6,	1220,	66,	3),
(90943,	6,	1220,	7,	3),
(90944,	6,	1220,	8,	3),
(90945,	6,	1220,	67,	3),
(90946,	6,	1220,	68,	3),
(90950,	6,	1221,	66,	1),
(90951,	6,	1221,	7,	1),
(90955,	6,	1221,	1,	3),
(90956,	6,	1221,	2,	3),
(90957,	6,	1221,	3,	3),
(90958,	6,	1221,	66,	3),
(90959,	6,	1221,	7,	3),
(90960,	6,	1221,	8,	3),
(90961,	6,	1221,	67,	3),
(90962,	6,	1221,	68,	3),
(90963,	6,	1222,	3,	1),
(90964,	6,	1222,	8,	1),
(90965,	6,	1222,	67,	1),
(90973,	6,	1223,	69,	1),
(90974,	6,	1223,	70,	1),
(90975,	6,	1223,	71,	1),
(90976,	6,	1223,	72,	1),
(90977,	6,	1223,	65,	1),
(90978,	6,	1223,	66,	1),
(90979,	6,	1223,	7,	1),
(90985,	6,	1223,	74,	1),
(90986,	6,	1223,	1,	3),
(90987,	6,	1223,	2,	3),
(90988,	6,	1223,	3,	3),
(90989,	6,	1223,	69,	3),
(90990,	6,	1223,	70,	3),
(90991,	6,	1223,	71,	3),
(90992,	6,	1223,	72,	3),
(90993,	6,	1223,	65,	3),
(90994,	6,	1223,	66,	3),
(90995,	6,	1223,	7,	3),
(90996,	6,	1223,	8,	3),
(90997,	6,	1223,	73,	3),
(90998,	6,	1223,	67,	3),
(90999,	6,	1223,	10,	3),
(91000,	6,	1223,	68,	3),
(91001,	6,	1223,	74,	3),
(91005,	6,	1224,	66,	1),
(91006,	6,	1224,	7,	1),
(91010,	6,	1224,	1,	3),
(91011,	6,	1224,	2,	3),
(91012,	6,	1224,	3,	3),
(91013,	6,	1224,	66,	3),
(91014,	6,	1224,	7,	3),
(91015,	6,	1224,	8,	3),
(91016,	6,	1224,	67,	3),
(91017,	6,	1224,	68,	3),
(91021,	6,	1225,	66,	1),
(91022,	6,	1225,	7,	1),
(91026,	6,	1225,	1,	3),
(91027,	6,	1225,	2,	3),
(91028,	6,	1225,	3,	3),
(91029,	6,	1225,	66,	3),
(91030,	6,	1225,	7,	3),
(91031,	6,	1225,	8,	3),
(91032,	6,	1225,	67,	3),
(91033,	6,	1225,	68,	3),
(91037,	6,	1226,	69,	1),
(91038,	6,	1226,	70,	1),
(91039,	6,	1226,	71,	1),
(91040,	6,	1226,	72,	1),
(91041,	6,	1226,	65,	1),
(91042,	6,	1226,	66,	1),
(91043,	6,	1226,	7,	1),
(91049,	6,	1226,	74,	1),
(91050,	6,	1226,	1,	3),
(91051,	6,	1226,	2,	3),
(91052,	6,	1226,	3,	3),
(91053,	6,	1226,	69,	3),
(91054,	6,	1226,	70,	3),
(91055,	6,	1226,	71,	3),
(91056,	6,	1226,	72,	3),
(91057,	6,	1226,	65,	3),
(91058,	6,	1226,	66,	3),
(91059,	6,	1226,	7,	3),
(91060,	6,	1226,	8,	3),
(91061,	6,	1226,	73,	3),
(91062,	6,	1226,	67,	3),
(91063,	6,	1226,	10,	3),
(91064,	6,	1226,	68,	3),
(91065,	6,	1226,	74,	3),
(91069,	6,	1227,	66,	1),
(91070,	6,	1227,	7,	1),
(91074,	6,	1227,	1,	3),
(91075,	6,	1227,	2,	3),
(91076,	6,	1227,	3,	3),
(91077,	6,	1227,	66,	3),
(91078,	6,	1227,	7,	3),
(91079,	6,	1227,	8,	3),
(91080,	6,	1227,	67,	3),
(91081,	6,	1227,	68,	3),
(91092,	6,	1229,	2,	2),
(91121,	6,	1235,	1,	1),
(91122,	6,	1235,	2,	1),
(91123,	6,	1235,	3,	1),
(91124,	6,	1236,	1,	1),
(91125,	6,	1236,	2,	1),
(91126,	6,	1236,	3,	1),
(91127,	6,	1236,	1,	2),
(91128,	6,	1236,	2,	2),
(91129,	6,	1236,	3,	2),
(91130,	6,	1237,	1,	1),
(91131,	6,	1237,	2,	1),
(91132,	6,	1237,	3,	1),
(91133,	6,	1237,	1,	2),
(91134,	6,	1237,	2,	2),
(91135,	6,	1237,	3,	2),
(91142,	6,	1239,	1,	1),
(91143,	6,	1239,	2,	1),
(91144,	6,	1239,	3,	1),
(91161,	6,	1242,	2,	2),
(91163,	6,	1243,	1,	1),
(91164,	6,	1243,	2,	1),
(91165,	6,	1243,	3,	1),
(91166,	6,	1244,	1,	1),
(91167,	6,	1244,	2,	1),
(91168,	6,	1244,	3,	1),
(91169,	6,	1244,	1,	3),
(91170,	6,	1244,	2,	3),
(91171,	6,	1244,	3,	3),
(91172,	6,	1245,	1,	1),
(91173,	6,	1245,	2,	1),
(91174,	6,	1245,	3,	1),
(91175,	6,	1246,	1,	1),
(91176,	6,	1246,	2,	1),
(91177,	6,	1246,	3,	1),
(91178,	6,	1246,	1,	2),
(91179,	6,	1246,	2,	2),
(91180,	6,	1246,	3,	2),
(91181,	6,	1247,	1,	1),
(91182,	6,	1247,	2,	1),
(91183,	6,	1247,	3,	1),
(91184,	6,	1247,	1,	3),
(91185,	6,	1247,	2,	3),
(91186,	6,	1247,	3,	3),
(91187,	6,	1248,	1,	1),
(91188,	6,	1248,	2,	1),
(91189,	6,	1248,	3,	1),
(91190,	6,	1248,	1,	2),
(91191,	6,	1248,	2,	2),
(91192,	6,	1248,	3,	2),
(91193,	6,	1249,	1,	1),
(91194,	6,	1249,	2,	1),
(91195,	6,	1249,	3,	1),
(91196,	6,	1249,	1,	2),
(91197,	6,	1249,	2,	2),
(91198,	6,	1249,	3,	2),
(91199,	6,	1250,	1,	1),
(91200,	6,	1250,	2,	1),
(91201,	6,	1250,	3,	1),
(91202,	6,	1250,	1,	2),
(91203,	6,	1250,	2,	2),
(91204,	6,	1250,	3,	2),
(91211,	6,	1252,	1,	1),
(91212,	6,	1252,	2,	1),
(91213,	6,	1252,	3,	1),
(91214,	6,	1252,	1,	2),
(91215,	6,	1252,	2,	2),
(91216,	6,	1252,	3,	2),
(91217,	6,	1253,	1,	1),
(91218,	6,	1253,	2,	1),
(91219,	6,	1253,	3,	1),
(91220,	6,	1253,	1,	2),
(91221,	6,	1253,	2,	2),
(91222,	6,	1253,	3,	2),
(91223,	6,	1254,	1,	1),
(91224,	6,	1254,	2,	1),
(91225,	6,	1254,	3,	1),
(91226,	6,	1254,	1,	2),
(91227,	6,	1254,	2,	2),
(91228,	6,	1254,	3,	2),
(91229,	6,	1255,	1,	1),
(91230,	6,	1255,	2,	1),
(91231,	6,	1255,	3,	1),
(91232,	6,	1255,	1,	2),
(91233,	6,	1255,	2,	2),
(91234,	6,	1255,	3,	2),
(91239,	6,	1256,	2,	2),
(91241,	6,	1257,	1,	1),
(91242,	6,	1258,	3,	1),
(91260,	6,	1262,	2,	2),
(91262,	6,	1263,	1,	1),
(91263,	6,	1263,	2,	1),
(91264,	6,	1263,	3,	1),
(91277,	6,	1266,	1,	1),
(91278,	6,	1266,	2,	1),
(91279,	6,	1266,	3,	1),
(91285,	6,	1267,	3,	2),
(91287,	6,	1268,	2,	1),
(91289,	6,	1269,	1,	1),
(91290,	6,	1269,	2,	1),
(91291,	6,	1269,	3,	1),
(91292,	6,	1270,	1,	1),
(91293,	6,	1270,	2,	1),
(91294,	6,	1270,	3,	1),
(91295,	6,	1270,	1,	2),
(91296,	6,	1270,	2,	2),
(91297,	6,	1270,	3,	2),
(91298,	6,	1271,	1,	1),
(91299,	6,	1271,	2,	1),
(91300,	6,	1271,	3,	1),
(91301,	6,	1271,	1,	2),
(91302,	6,	1271,	2,	2),
(91303,	6,	1271,	3,	2),
(91304,	6,	1272,	1,	1),
(91305,	6,	1272,	2,	1),
(91306,	6,	1272,	3,	1),
(91307,	6,	1273,	1,	1),
(91308,	6,	1273,	2,	1),
(91309,	6,	1273,	3,	1),
(91313,	6,	1275,	1,	1),
(91314,	6,	1275,	2,	1),
(91315,	6,	1275,	3,	1),
(91316,	6,	1275,	1,	2),
(91317,	6,	1275,	2,	2),
(91318,	6,	1275,	3,	2),
(91319,	6,	1276,	1,	1),
(91320,	6,	1276,	2,	1),
(91321,	6,	1276,	3,	1),
(91322,	6,	1276,	1,	2),
(91323,	6,	1276,	2,	2),
(91324,	6,	1276,	3,	2),
(91325,	6,	1277,	1,	1),
(91326,	6,	1277,	2,	1),
(91327,	6,	1277,	3,	1),
(91328,	6,	1277,	1,	2),
(91329,	6,	1277,	2,	2),
(91330,	6,	1277,	3,	2),
(91331,	6,	1278,	1,	1),
(91332,	6,	1278,	2,	1),
(91333,	6,	1278,	3,	1),
(91334,	6,	1278,	1,	2),
(91335,	6,	1278,	2,	2),
(91336,	6,	1278,	3,	2),
(91337,	6,	1279,	1,	1),
(91338,	6,	1279,	2,	1),
(91339,	6,	1279,	3,	1),
(91340,	6,	1279,	1,	2),
(91341,	6,	1279,	2,	2),
(91342,	6,	1279,	3,	2),
(91347,	6,	1280,	2,	2),
(91349,	6,	1281,	1,	1),
(91350,	6,	1281,	2,	1),
(91351,	6,	1281,	3,	1),
(91352,	6,	1281,	1,	2),
(91353,	6,	1281,	2,	2),
(91354,	6,	1281,	3,	2),
(91359,	6,	1282,	2,	2),
(91361,	6,	1283,	1,	1),
(91362,	6,	1283,	2,	1),
(91363,	6,	1283,	3,	1),
(91364,	6,	1283,	1,	2),
(91365,	6,	1283,	2,	2),
(91366,	6,	1283,	3,	2),
(91371,	6,	1284,	2,	2),
(91373,	6,	1285,	1,	1),
(91374,	6,	1285,	2,	1),
(91375,	6,	1285,	3,	1),
(91376,	6,	1285,	1,	2),
(91377,	6,	1285,	2,	2),
(91378,	6,	1285,	3,	2),
(91383,	6,	1286,	2,	2),
(91393,	6,	1288,	1,	1),
(91394,	6,	1288,	2,	1),
(91395,	6,	1288,	3,	1),
(91396,	6,	1288,	6,	1),
(91397,	6,	1288,	24,	1),
(91398,	6,	1288,	25,	1),
(91399,	6,	1288,	4,	1),
(91400,	6,	1288,	23,	1),
(91533,	6,	1307,	2,	2),
(91610,	6,	1318,	2,	2),
(91613,	6,	1319,	2,	1),
(91654,	6,	1331,	1,	1),
(91655,	6,	1331,	2,	1),
(91656,	6,	1331,	3,	1),
(91726,	6,	1351,	1,	1),
(91727,	6,	1351,	2,	1),
(91728,	6,	1351,	3,	1),
(91766,	6,	1358,	2,	1),
(91828,	6,	1371,	1,	1),
(91829,	6,	1371,	2,	1),
(91830,	6,	1371,	3,	1),
(91954,	6,	1394,	3,	1),
(91955,	6,	1395,	1,	1),
(91956,	6,	1395,	2,	1),
(91957,	6,	1395,	3,	1),
(91958,	6,	1396,	1,	1),
(91959,	6,	1396,	2,	1),
(91960,	6,	1396,	3,	1),
(91961,	6,	1397,	1,	1),
(91962,	6,	1397,	2,	1),
(91963,	6,	1397,	3,	1),
(91970,	6,	1400,	1,	1),
(91971,	6,	1400,	2,	1),
(91972,	6,	1400,	3,	1),
(91977,	6,	1401,	2,	2),
(91979,	6,	1402,	1,	1),
(91980,	6,	1402,	2,	1),
(91981,	6,	1402,	3,	1),
(91982,	6,	1402,	1,	2),
(91983,	6,	1402,	2,	2),
(91984,	6,	1402,	3,	2),
(91989,	6,	1403,	2,	2),
(91991,	6,	1404,	1,	1),
(91992,	6,	1404,	2,	1),
(91993,	6,	1404,	3,	1),
(91994,	6,	1404,	1,	2),
(91995,	6,	1404,	2,	2),
(91996,	6,	1404,	3,	2),
(91997,	6,	1405,	1,	1),
(91998,	6,	1405,	2,	1),
(91999,	6,	1405,	3,	1),
(92000,	6,	1405,	1,	2),
(92001,	6,	1405,	2,	2),
(92002,	6,	1405,	3,	2),
(92003,	6,	1406,	1,	1),
(92004,	6,	1406,	2,	1),
(92005,	6,	1406,	3,	1),
(92006,	6,	1406,	1,	2),
(92007,	6,	1406,	2,	2),
(92008,	6,	1406,	3,	2),
(92013,	6,	1407,	2,	2),
(92015,	6,	1408,	1,	1),
(92016,	6,	1408,	2,	1),
(92017,	6,	1408,	3,	1),
(92018,	6,	1408,	1,	2),
(92019,	6,	1408,	2,	2),
(92020,	6,	1408,	3,	2),
(92023,	6,	1409,	3,	1),
(92024,	6,	1410,	1,	1),
(92025,	6,	1410,	2,	1),
(92026,	6,	1410,	3,	1),
(92027,	6,	1410,	1,	2),
(92028,	6,	1410,	2,	2),
(92029,	6,	1410,	3,	2),
(92046,	6,	1413,	2,	2),
(92048,	6,	1414,	1,	1),
(92049,	6,	1414,	2,	1),
(92050,	6,	1414,	3,	1),
(92058,	6,	1416,	2,	2),
(92061,	6,	1417,	2,	1),
(92063,	6,	1418,	1,	1),
(92064,	6,	1418,	2,	1),
(92065,	6,	1418,	3,	1),
(92070,	6,	1419,	2,	2),
(92117,	6,	1427,	1,	1),
(92118,	6,	1427,	2,	1),
(92119,	6,	1427,	3,	1),
(92135,	6,	1431,	1,	1),
(92136,	6,	1431,	2,	1),
(92198,	6,	1441,	1,	1),
(92199,	6,	1441,	2,	1),
(92200,	6,	1441,	3,	1),
(92274,	6,	1454,	2,	1),
(92315,	6,	1461,	1,	1),
(92316,	6,	1461,	2,	1),
(92317,	6,	1461,	3,	1),
(92330,	6,	1464,	1,	1),
(92331,	6,	1464,	2,	1),
(92332,	6,	1464,	3,	1),
(92341,	6,	1467,	1,	1),
(92342,	6,	1467,	2,	1),
(92343,	6,	1467,	3,	1),
(92344,	6,	1467,	23,	1),
(92345,	6,	1468,	1,	1),
(92346,	6,	1468,	2,	1),
(92347,	6,	1468,	3,	1),
(92348,	6,	1468,	23,	1),
(92349,	6,	1469,	1,	1),
(92350,	6,	1469,	2,	1),
(92351,	6,	1469,	3,	1),
(92352,	6,	1469,	1,	2),
(92353,	6,	1469,	2,	2),
(92354,	6,	1469,	3,	2),
(92355,	6,	1470,	1,	1),
(92356,	6,	1470,	2,	1),
(92357,	6,	1470,	3,	1),
(92358,	6,	1471,	1,	1),
(92359,	6,	1471,	2,	1),
(92360,	6,	1471,	3,	1),
(92361,	6,	1472,	1,	1),
(92362,	6,	1472,	2,	1),
(92363,	6,	1472,	3,	1),
(92364,	6,	1473,	1,	1),
(92365,	6,	1473,	2,	1),
(92366,	6,	1473,	3,	1),
(92367,	6,	1473,	23,	1),
(92371,	6,	1475,	1,	1),
(92372,	6,	1475,	2,	1),
(92373,	6,	1475,	3,	1),
(92374,	6,	1476,	1,	1),
(92375,	6,	1476,	2,	1),
(92376,	6,	1476,	3,	1),
(92377,	6,	1476,	23,	1),
(92378,	6,	1477,	1,	1),
(92379,	6,	1477,	2,	1),
(92380,	6,	1477,	3,	1),
(92381,	6,	1478,	1,	1),
(92382,	6,	1478,	2,	1),
(92383,	6,	1478,	3,	1),
(92384,	6,	1479,	1,	1),
(92385,	6,	1479,	2,	1),
(92386,	6,	1479,	3,	1),
(92387,	6,	1480,	1,	1),
(92388,	6,	1480,	2,	1),
(92389,	6,	1480,	3,	1),
(92390,	6,	1481,	1,	1),
(92391,	6,	1481,	2,	1),
(92392,	6,	1481,	3,	1),
(92393,	6,	1481,	1,	2),
(92394,	6,	1481,	2,	2),
(92395,	6,	1481,	3,	2),
(92396,	6,	1482,	1,	1),
(92397,	6,	1482,	2,	1),
(92398,	6,	1482,	3,	1),
(92399,	6,	1483,	1,	1),
(92400,	6,	1483,	2,	1),
(92401,	6,	1483,	3,	1),
(92402,	6,	1484,	1,	1),
(92403,	6,	1484,	2,	1),
(92404,	6,	1484,	3,	1),
(92405,	6,	1485,	1,	1),
(92406,	6,	1485,	2,	1),
(92407,	6,	1485,	3,	1),
(92408,	6,	1486,	1,	1),
(92409,	6,	1486,	2,	1),
(92410,	6,	1486,	3,	1),
(92411,	6,	1487,	1,	1),
(92412,	6,	1487,	2,	1),
(92413,	6,	1487,	3,	1),
(92414,	6,	1488,	1,	1),
(92415,	6,	1488,	2,	1),
(92416,	6,	1488,	3,	1),
(92417,	6,	1489,	1,	1),
(92418,	6,	1489,	2,	1),
(92419,	6,	1489,	3,	1),
(92420,	6,	1490,	1,	1),
(92421,	6,	1490,	2,	1),
(92422,	6,	1490,	3,	1),
(92426,	6,	1492,	1,	1),
(92427,	6,	1492,	2,	1),
(92428,	6,	1492,	3,	1),
(92430,	6,	1493,	2,	1),
(92432,	6,	1494,	1,	1),
(92433,	6,	1494,	2,	1),
(92434,	6,	1494,	3,	1),
(92435,	6,	1495,	1,	1),
(92436,	6,	1495,	2,	1),
(92437,	6,	1495,	3,	1),
(92438,	6,	1496,	2,	1),
(92439,	6,	1496,	75,	1),
(92440,	6,	1496,	46,	1),
(92441,	6,	1497,	1,	1),
(92442,	6,	1497,	2,	1),
(92443,	6,	1497,	3,	1),
(92444,	6,	1498,	1,	1),
(92445,	6,	1498,	2,	1),
(92446,	6,	1498,	3,	1),
(92447,	6,	1499,	1,	1),
(92448,	6,	1499,	2,	1),
(92449,	6,	1499,	3,	1),
(92450,	6,	1499,	75,	1),
(92451,	6,	1499,	76,	1),
(92452,	6,	1499,	77,	1),
(92453,	6,	1499,	78,	1),
(92454,	6,	1499,	79,	1),
(92455,	6,	1499,	45,	1),
(92456,	6,	1499,	46,	1),
(92457,	6,	1499,	54,	1),
(92458,	6,	1499,	28,	1),
(92459,	6,	1499,	61,	1),
(92460,	6,	1499,	80,	1),
(92461,	6,	1499,	59,	1),
(92462,	6,	1500,	1,	1),
(92463,	6,	1500,	2,	1),
(92464,	6,	1500,	3,	1),
(92465,	6,	1500,	75,	1),
(92466,	6,	1500,	76,	1),
(92467,	6,	1500,	77,	1),
(92468,	6,	1500,	78,	1),
(92469,	6,	1500,	79,	1),
(92470,	6,	1500,	45,	1),
(92471,	6,	1500,	46,	1),
(92472,	6,	1500,	54,	1),
(92473,	6,	1500,	28,	1),
(92474,	6,	1500,	61,	1),
(92475,	6,	1500,	80,	1),
(92476,	6,	1500,	59,	1),
(92478,	6,	1501,	2,	1),
(92480,	6,	1501,	75,	1),
(92481,	6,	1501,	76,	1),
(92483,	6,	1501,	78,	1),
(92485,	6,	1501,	45,	1),
(92487,	6,	1501,	54,	1),
(92489,	6,	1501,	61,	1),
(92490,	6,	1501,	80,	1),
(92491,	6,	1501,	59,	1),
(92492,	6,	1502,	1,	1),
(92493,	6,	1502,	2,	1),
(92494,	6,	1502,	3,	1),
(92495,	6,	1502,	75,	1),
(92496,	6,	1502,	76,	1),
(92497,	6,	1502,	77,	1),
(92498,	6,	1502,	78,	1),
(92499,	6,	1502,	79,	1),
(92500,	6,	1502,	45,	1),
(92501,	6,	1502,	46,	1),
(92502,	6,	1502,	54,	1),
(92503,	6,	1502,	28,	1),
(92504,	6,	1502,	61,	1),
(92505,	6,	1502,	80,	1),
(92506,	6,	1502,	59,	1),
(92507,	6,	1503,	1,	1),
(92508,	6,	1503,	2,	1),
(92509,	6,	1503,	3,	1),
(92510,	6,	1503,	75,	1),
(92511,	6,	1503,	76,	1),
(92512,	6,	1503,	77,	1),
(92513,	6,	1503,	78,	1),
(92514,	6,	1503,	79,	1),
(92515,	6,	1503,	45,	1),
(92516,	6,	1503,	46,	1),
(92517,	6,	1503,	54,	1),
(92518,	6,	1503,	28,	1),
(92519,	6,	1503,	61,	1),
(92520,	6,	1503,	80,	1),
(92521,	6,	1503,	59,	1),
(92528,	6,	1505,	1,	1),
(92529,	6,	1505,	2,	1),
(92530,	6,	1505,	3,	1),
(92531,	6,	1505,	1,	2),
(92532,	6,	1505,	2,	2),
(92533,	6,	1505,	3,	2),
(92534,	6,	1506,	1,	1),
(92535,	6,	1506,	2,	1),
(92536,	6,	1506,	3,	1),
(92537,	6,	1507,	1,	1),
(92538,	6,	1507,	2,	1),
(92539,	6,	1507,	3,	1),
(92540,	6,	1508,	1,	1),
(92541,	6,	1508,	2,	1),
(92542,	6,	1508,	3,	1),
(92546,	6,	1510,	1,	1),
(92547,	6,	1510,	2,	1),
(92548,	6,	1510,	3,	1),
(92549,	6,	1510,	75,	1),
(92550,	6,	1510,	76,	1),
(92551,	6,	1510,	77,	1),
(92552,	6,	1510,	78,	1),
(92553,	6,	1510,	79,	1),
(92554,	6,	1510,	45,	1),
(92555,	6,	1510,	46,	1),
(92556,	6,	1510,	54,	1),
(92557,	6,	1510,	28,	1),
(92558,	6,	1510,	61,	1),
(92559,	6,	1510,	80,	1),
(92560,	6,	1510,	59,	1),
(92561,	6,	1511,	1,	1),
(92562,	6,	1511,	2,	1),
(92563,	6,	1511,	3,	1),
(92564,	6,	1511,	75,	1),
(92565,	6,	1511,	76,	1),
(92566,	6,	1511,	77,	1),
(92567,	6,	1511,	78,	1),
(92568,	6,	1511,	79,	1),
(92569,	6,	1511,	45,	1),
(92570,	6,	1511,	46,	1),
(92571,	6,	1511,	54,	1),
(92572,	6,	1511,	28,	1),
(92573,	6,	1511,	61,	1),
(92574,	6,	1511,	80,	1),
(92575,	6,	1511,	59,	1),
(92576,	6,	1512,	1,	1),
(92577,	6,	1512,	2,	1),
(92578,	6,	1512,	3,	1),
(92579,	6,	1513,	2,	1),
(92580,	6,	1514,	1,	1),
(92581,	6,	1514,	2,	1),
(92582,	6,	1514,	3,	1),
(92583,	6,	1514,	1,	2),
(92584,	6,	1514,	2,	2),
(92585,	6,	1514,	3,	2),
(92586,	6,	1515,	1,	1),
(92587,	6,	1515,	2,	1),
(92588,	6,	1515,	3,	1),
(92590,	6,	1516,	2,	1),
(92592,	6,	1517,	1,	1),
(92593,	6,	1517,	2,	1),
(92594,	6,	1517,	3,	1),
(92595,	6,	1517,	1,	2),
(92596,	6,	1517,	2,	2),
(92597,	6,	1517,	3,	2),
(92598,	6,	1518,	1,	1),
(92599,	6,	1518,	2,	1),
(92600,	6,	1518,	3,	1),
(92601,	6,	1518,	1,	2),
(92602,	6,	1518,	2,	2),
(92603,	6,	1518,	3,	2),
(92604,	6,	1519,	1,	1),
(92605,	6,	1519,	2,	1),
(92606,	6,	1519,	3,	1),
(92607,	6,	1520,	1,	1),
(92608,	6,	1520,	2,	1),
(92609,	6,	1520,	3,	1),
(92610,	6,	1520,	1,	2),
(92611,	6,	1520,	2,	2),
(92612,	6,	1520,	3,	2),
(92613,	6,	1521,	1,	1),
(92614,	6,	1521,	2,	1),
(92615,	6,	1521,	3,	1),
(92616,	6,	1522,	1,	1),
(92617,	6,	1522,	2,	1),
(92618,	6,	1522,	3,	1),
(92619,	6,	1523,	1,	1),
(92620,	6,	1523,	2,	1),
(92621,	6,	1523,	3,	1),
(92622,	6,	1523,	75,	1),
(92623,	6,	1523,	76,	1),
(92624,	6,	1523,	77,	1),
(92625,	6,	1523,	78,	1),
(92626,	6,	1523,	79,	1),
(92627,	6,	1523,	45,	1),
(92628,	6,	1523,	46,	1),
(92629,	6,	1523,	54,	1),
(92630,	6,	1523,	28,	1),
(92631,	6,	1523,	61,	1),
(92632,	6,	1523,	80,	1),
(92633,	6,	1524,	1,	1),
(92634,	6,	1524,	2,	1),
(92635,	6,	1524,	3,	1),
(92636,	6,	1524,	1,	2),
(92637,	6,	1524,	2,	2),
(92638,	6,	1524,	3,	2),
(92639,	6,	1525,	1,	1),
(92640,	6,	1525,	2,	1),
(92641,	6,	1525,	3,	1),
(92642,	6,	1526,	1,	1),
(92643,	6,	1526,	2,	1),
(92644,	6,	1526,	3,	1),
(92645,	6,	1526,	1,	2),
(92646,	6,	1526,	2,	2),
(92647,	6,	1526,	3,	2),
(92648,	6,	1527,	1,	1),
(92649,	6,	1527,	2,	1),
(92650,	6,	1527,	3,	1),
(92651,	6,	1527,	1,	2),
(92652,	6,	1527,	2,	2),
(92653,	6,	1527,	3,	2),
(92654,	6,	1528,	1,	1),
(92655,	6,	1528,	2,	1),
(92656,	6,	1528,	3,	1),
(92657,	6,	1528,	1,	2),
(92658,	6,	1528,	2,	2),
(92659,	6,	1528,	3,	2),
(92660,	6,	1529,	1,	1),
(92661,	6,	1529,	2,	1),
(92662,	6,	1529,	3,	1),
(92663,	6,	1530,	1,	1),
(92664,	6,	1530,	2,	1),
(92665,	6,	1530,	3,	1),
(92666,	6,	1530,	1,	2),
(92667,	6,	1530,	2,	2),
(92668,	6,	1530,	3,	2),
(92669,	6,	1531,	1,	1),
(92670,	6,	1531,	2,	1),
(92671,	6,	1531,	3,	1),
(92672,	6,	1532,	1,	1),
(92673,	6,	1532,	2,	1),
(92674,	6,	1532,	3,	1),
(92675,	6,	1533,	1,	1),
(92676,	6,	1533,	2,	1),
(92677,	6,	1533,	3,	1),
(92678,	6,	1534,	1,	1),
(92679,	6,	1534,	2,	1),
(92680,	6,	1534,	3,	1),
(92681,	6,	1535,	1,	1),
(92682,	6,	1535,	2,	1),
(92683,	6,	1535,	3,	1),
(92684,	6,	1535,	1,	2),
(92685,	6,	1535,	2,	2),
(92686,	6,	1535,	3,	2),
(92687,	6,	1536,	1,	1),
(92688,	6,	1536,	2,	1),
(92689,	6,	1536,	3,	1),
(92690,	6,	1536,	1,	2),
(92691,	6,	1536,	2,	2),
(92692,	6,	1536,	3,	2),
(92693,	6,	1537,	1,	1),
(92694,	6,	1537,	2,	1),
(92695,	6,	1537,	3,	1),
(92696,	6,	1538,	1,	1),
(92697,	6,	1538,	2,	1),
(92698,	6,	1538,	3,	1),
(92699,	6,	1539,	1,	1),
(92700,	6,	1539,	2,	1),
(92701,	6,	1539,	3,	1),
(92702,	6,	1539,	1,	2),
(92703,	6,	1539,	2,	2),
(92704,	6,	1539,	3,	2),
(92705,	6,	1540,	1,	1),
(92706,	6,	1540,	2,	1),
(92707,	6,	1540,	3,	1),
(92708,	6,	1541,	1,	1),
(92709,	6,	1541,	2,	1),
(92710,	6,	1541,	3,	1),
(92711,	6,	1541,	1,	2),
(92712,	6,	1541,	2,	2),
(92713,	6,	1541,	3,	2),
(92714,	6,	1542,	1,	1),
(92715,	6,	1542,	2,	1),
(92716,	6,	1542,	3,	1),
(92717,	6,	1542,	1,	2),
(92718,	6,	1542,	2,	2),
(92719,	6,	1542,	3,	2),
(92720,	6,	1543,	1,	1),
(92721,	6,	1543,	2,	1),
(92722,	6,	1543,	3,	1),
(92723,	6,	1543,	1,	2),
(92724,	6,	1543,	2,	2),
(92725,	6,	1543,	3,	2),
(92726,	6,	1544,	1,	1),
(92727,	6,	1544,	2,	1),
(92728,	6,	1544,	3,	1),
(92729,	6,	1545,	1,	1),
(92730,	6,	1545,	2,	1),
(92731,	6,	1545,	3,	1),
(92732,	6,	1545,	1,	3),
(92733,	6,	1545,	2,	3),
(92734,	6,	1545,	3,	3),
(92735,	6,	1546,	1,	1),
(92736,	6,	1546,	2,	1),
(92737,	6,	1546,	3,	1),
(92738,	6,	1546,	1,	2),
(92739,	6,	1546,	2,	2),
(92740,	6,	1546,	3,	2),
(92742,	6,	1547,	2,	1),
(92744,	6,	1548,	1,	1),
(92745,	6,	1548,	2,	1),
(92746,	6,	1548,	3,	1),
(92747,	6,	1548,	1,	2),
(92748,	6,	1548,	2,	2),
(92749,	6,	1548,	3,	2),
(92750,	6,	1549,	1,	1),
(92751,	6,	1549,	2,	1),
(92752,	6,	1549,	3,	1),
(92753,	6,	1550,	1,	1),
(92754,	6,	1550,	2,	1),
(92755,	6,	1550,	3,	1),
(92756,	6,	1551,	1,	1),
(92757,	6,	1551,	2,	1),
(92758,	6,	1551,	3,	1),
(92759,	6,	1552,	1,	1),
(92760,	6,	1552,	2,	1),
(92761,	6,	1552,	3,	1),
(92762,	6,	1552,	1,	2),
(92763,	6,	1552,	2,	2),
(92764,	6,	1552,	3,	2),
(92765,	6,	1553,	1,	1),
(92766,	6,	1553,	2,	1),
(92767,	6,	1553,	3,	1),
(92768,	6,	1554,	1,	1),
(92769,	6,	1554,	2,	1),
(92770,	6,	1554,	3,	1),
(92771,	6,	1555,	1,	1),
(92772,	6,	1555,	2,	1),
(92773,	6,	1555,	3,	1),
(92774,	6,	1555,	1,	3),
(92775,	6,	1555,	2,	3),
(92776,	6,	1555,	3,	3),
(92777,	6,	1556,	1,	1),
(92778,	6,	1556,	2,	1),
(92779,	6,	1556,	3,	1),
(92780,	6,	1556,	1,	2),
(92781,	6,	1556,	2,	2),
(92782,	6,	1556,	3,	2),
(92783,	6,	1557,	1,	1),
(92784,	6,	1557,	2,	1),
(92785,	6,	1557,	3,	1),
(92786,	6,	1557,	1,	2),
(92787,	6,	1557,	2,	2),
(92788,	6,	1557,	3,	2),
(92789,	6,	1558,	1,	1),
(92790,	6,	1558,	2,	1),
(92791,	6,	1558,	3,	1),
(92792,	6,	1558,	1,	2),
(92793,	6,	1558,	2,	2),
(92794,	6,	1558,	3,	2),
(92795,	6,	1559,	1,	1),
(92796,	6,	1559,	2,	1),
(92797,	6,	1559,	3,	1),
(92798,	6,	1559,	1,	2),
(92799,	6,	1559,	2,	2),
(92800,	6,	1559,	3,	2),
(92805,	6,	1560,	2,	2),
(92807,	6,	1561,	1,	1),
(92808,	6,	1561,	2,	1),
(92809,	6,	1561,	3,	1),
(92810,	6,	1561,	1,	2),
(92811,	6,	1561,	2,	2),
(92812,	6,	1561,	3,	2),
(92825,	6,	1564,	1,	1),
(92826,	6,	1564,	2,	1),
(92827,	6,	1564,	3,	1),
(92828,	6,	1564,	1,	2),
(92829,	6,	1564,	2,	2),
(92830,	6,	1564,	3,	2),
(92835,	6,	1565,	2,	2),
(92841,	6,	1566,	2,	2),
(92843,	6,	1567,	1,	1),
(92844,	6,	1567,	2,	1),
(92845,	6,	1567,	3,	1),
(92846,	6,	1567,	1,	2),
(92847,	6,	1567,	2,	2),
(92848,	6,	1567,	3,	2),
(92849,	6,	1568,	1,	1),
(92850,	6,	1568,	2,	1),
(92851,	6,	1568,	3,	1),
(92852,	6,	1568,	1,	2),
(92853,	6,	1568,	2,	2),
(92854,	6,	1568,	3,	2),
(92861,	6,	1570,	1,	1),
(92862,	6,	1570,	2,	1),
(92863,	6,	1570,	3,	1),
(92864,	6,	1570,	1,	2),
(92865,	6,	1570,	2,	2),
(92866,	6,	1570,	3,	2),
(92867,	6,	1571,	1,	1),
(92868,	6,	1571,	2,	1),
(92869,	6,	1571,	3,	1),
(92870,	6,	1572,	1,	1),
(92871,	6,	1572,	2,	1),
(92872,	6,	1572,	3,	1),
(92873,	6,	1572,	1,	2),
(92874,	6,	1572,	2,	2),
(92875,	6,	1572,	3,	2),
(92876,	6,	1573,	1,	1),
(92877,	6,	1573,	2,	1),
(92878,	6,	1573,	3,	1),
(92879,	6,	1573,	1,	2),
(92880,	6,	1573,	2,	2),
(92881,	6,	1573,	3,	2),
(92882,	6,	1574,	1,	1),
(92883,	6,	1574,	2,	1),
(92884,	6,	1574,	3,	1),
(92885,	6,	1574,	1,	2),
(92886,	6,	1574,	2,	2),
(92887,	6,	1574,	3,	2),
(92888,	6,	1575,	1,	1),
(92889,	6,	1575,	2,	1),
(92890,	6,	1575,	3,	1),
(92891,	6,	1576,	1,	1),
(92892,	6,	1576,	2,	1),
(92893,	6,	1576,	3,	1),
(92894,	6,	1577,	1,	1),
(92895,	6,	1577,	2,	1),
(92896,	6,	1577,	3,	1),
(92897,	6,	1578,	1,	1),
(92898,	6,	1578,	2,	1),
(92899,	6,	1578,	3,	1),
(92900,	6,	1579,	1,	1),
(92901,	6,	1579,	2,	1),
(92902,	6,	1579,	3,	1),
(92903,	6,	1580,	1,	1),
(92904,	6,	1580,	2,	1),
(92905,	6,	1580,	3,	1),
(92906,	6,	1581,	1,	1),
(92907,	6,	1581,	2,	1),
(92908,	6,	1581,	3,	1),
(92909,	6,	1581,	1,	2),
(92910,	6,	1581,	2,	2),
(92911,	6,	1581,	3,	2),
(92916,	6,	1582,	2,	2),
(92919,	6,	1583,	2,	1),
(92939,	6,	1587,	1,	1),
(92940,	6,	1587,	2,	1),
(92941,	6,	1587,	3,	1),
(92948,	6,	1589,	1,	1),
(92949,	6,	1589,	2,	1),
(92950,	6,	1589,	3,	1),
(92951,	6,	1589,	1,	2),
(92952,	6,	1589,	2,	2),
(92953,	6,	1589,	3,	2),
(92960,	6,	1591,	1,	1),
(92961,	6,	1591,	2,	1),
(92962,	6,	1591,	3,	1),
(92963,	6,	1591,	1,	2),
(92964,	6,	1591,	2,	2),
(92965,	6,	1591,	3,	2),
(92966,	6,	1592,	1,	1),
(92967,	6,	1592,	2,	1),
(92968,	6,	1592,	3,	1),
(92969,	6,	1592,	1,	2),
(92970,	6,	1592,	2,	2),
(92971,	6,	1592,	3,	2),
(92972,	6,	1593,	1,	1),
(92973,	6,	1593,	2,	1),
(92974,	6,	1593,	3,	1),
(92975,	6,	1593,	1,	2),
(92976,	6,	1593,	2,	2),
(92977,	6,	1593,	3,	2),
(92978,	6,	1594,	1,	1),
(92979,	6,	1594,	2,	1),
(92980,	6,	1594,	3,	1),
(92981,	6,	1594,	1,	2),
(92982,	6,	1594,	2,	2),
(92983,	6,	1594,	3,	2),
(92984,	6,	1595,	1,	1),
(92985,	6,	1595,	2,	1),
(92986,	6,	1595,	3,	1),
(92987,	6,	1595,	1,	2),
(92988,	6,	1595,	2,	2),
(92989,	6,	1595,	3,	2),
(92990,	6,	1596,	1,	1),
(92991,	6,	1596,	2,	1),
(92992,	6,	1596,	3,	1),
(92993,	6,	1596,	1,	2),
(92994,	6,	1596,	2,	2),
(92995,	6,	1596,	3,	2),
(92996,	6,	1597,	1,	1),
(92997,	6,	1597,	2,	1),
(92998,	6,	1597,	3,	1),
(92999,	6,	1597,	1,	2),
(93000,	6,	1597,	2,	2),
(93001,	6,	1597,	3,	2),
(93002,	6,	1598,	1,	1),
(93003,	6,	1598,	2,	1),
(93004,	6,	1598,	3,	1),
(93005,	6,	1598,	1,	2),
(93006,	6,	1598,	2,	2),
(93007,	6,	1598,	3,	2),
(93008,	6,	1599,	1,	1),
(93009,	6,	1599,	2,	1),
(93010,	6,	1599,	3,	1),
(93011,	6,	1599,	1,	2),
(93012,	6,	1599,	2,	2),
(93013,	6,	1599,	3,	2),
(93014,	6,	1600,	1,	1),
(93015,	6,	1600,	2,	1),
(93016,	6,	1600,	3,	1),
(93017,	6,	1600,	1,	2),
(93018,	6,	1600,	2,	2),
(93019,	6,	1600,	3,	2),
(93020,	6,	1601,	1,	1),
(93021,	6,	1601,	2,	1),
(93022,	6,	1601,	3,	1),
(93023,	6,	1601,	1,	2),
(93024,	6,	1601,	2,	2),
(93025,	6,	1601,	3,	2),
(93026,	6,	1602,	1,	1),
(93027,	6,	1602,	2,	1),
(93028,	6,	1602,	3,	1),
(93029,	6,	1602,	1,	3),
(93030,	6,	1602,	2,	3),
(93031,	6,	1602,	3,	3),
(93032,	6,	1603,	1,	1),
(93033,	6,	1603,	2,	1),
(93034,	6,	1603,	3,	1),
(93035,	6,	1603,	1,	2),
(93036,	6,	1603,	2,	2),
(93037,	6,	1603,	3,	2),
(93038,	6,	1604,	1,	1),
(93039,	6,	1604,	2,	1),
(93040,	6,	1604,	3,	1),
(93041,	6,	1604,	1,	2),
(93042,	6,	1604,	2,	2),
(93043,	6,	1604,	3,	2),
(93044,	6,	1605,	1,	1),
(93045,	6,	1605,	2,	1),
(93046,	6,	1605,	3,	1),
(93047,	6,	1605,	1,	2),
(93048,	6,	1605,	2,	2),
(93049,	6,	1605,	3,	2),
(93050,	6,	1606,	1,	1),
(93051,	6,	1606,	2,	1),
(93052,	6,	1606,	3,	1),
(93053,	6,	1606,	1,	2),
(93054,	6,	1606,	2,	2),
(93055,	6,	1606,	3,	2),
(93056,	6,	1607,	1,	1),
(93057,	6,	1607,	2,	1),
(93058,	6,	1607,	3,	1),
(93059,	6,	1607,	1,	2),
(93060,	6,	1607,	2,	2),
(93061,	6,	1607,	3,	2),
(93062,	6,	1608,	1,	1),
(93063,	6,	1608,	2,	1),
(93064,	6,	1608,	3,	1),
(93065,	6,	1608,	1,	2),
(93066,	6,	1608,	2,	2),
(93067,	6,	1608,	3,	2),
(93068,	6,	1609,	1,	1),
(93069,	6,	1609,	2,	1),
(93070,	6,	1609,	3,	1),
(93071,	6,	1609,	1,	2),
(93072,	6,	1609,	2,	2),
(93073,	6,	1609,	3,	2),
(93074,	6,	1610,	1,	1),
(93075,	6,	1610,	2,	1),
(93076,	6,	1610,	3,	1),
(93077,	6,	1610,	1,	2),
(93078,	6,	1610,	2,	2),
(93079,	6,	1610,	3,	2),
(93086,	6,	1612,	1,	1),
(93087,	6,	1612,	2,	1),
(93088,	6,	1612,	3,	1),
(93089,	6,	1612,	1,	2),
(93090,	6,	1612,	2,	2),
(93091,	6,	1612,	3,	2),
(93098,	6,	1614,	1,	1),
(93099,	6,	1614,	2,	1),
(93100,	6,	1614,	3,	1),
(93101,	6,	1614,	1,	2),
(93102,	6,	1614,	2,	2),
(93103,	6,	1614,	3,	2),
(93108,	6,	1615,	2,	2),
(93116,	6,	1617,	1,	1),
(93117,	6,	1617,	2,	1),
(93118,	6,	1617,	3,	1),
(93119,	6,	1617,	1,	2),
(93120,	6,	1617,	2,	2),
(93121,	6,	1617,	3,	2),
(93122,	6,	1618,	1,	1),
(93123,	6,	1618,	2,	1),
(93124,	6,	1618,	3,	1),
(93125,	6,	1618,	1,	2),
(93126,	6,	1618,	2,	2),
(93127,	6,	1618,	3,	2),
(93128,	6,	1619,	1,	1),
(93129,	6,	1619,	2,	1),
(93130,	6,	1619,	3,	1),
(93131,	6,	1619,	1,	2),
(93132,	6,	1619,	2,	2),
(93133,	6,	1619,	3,	2),
(93134,	6,	1620,	1,	1),
(93135,	6,	1620,	2,	1),
(93136,	6,	1620,	3,	1),
(93137,	6,	1620,	1,	2),
(93138,	6,	1620,	2,	2),
(93139,	6,	1620,	3,	2),
(93140,	6,	1621,	1,	1),
(93141,	6,	1621,	2,	1),
(93142,	6,	1621,	3,	1),
(93143,	6,	1621,	1,	2),
(93144,	6,	1621,	2,	2),
(93145,	6,	1621,	3,	2),
(93146,	6,	1622,	1,	1),
(93147,	6,	1622,	2,	1),
(93148,	6,	1622,	3,	1),
(93149,	6,	1622,	1,	2),
(93150,	6,	1622,	2,	2),
(93151,	6,	1622,	3,	2),
(93152,	6,	1623,	1,	1),
(93153,	6,	1623,	2,	1),
(93154,	6,	1623,	3,	1),
(93155,	6,	1623,	1,	2),
(93156,	6,	1623,	2,	2),
(93157,	6,	1623,	3,	2),
(93159,	6,	1624,	2,	1),
(93162,	6,	1625,	2,	1),
(93165,	6,	1626,	2,	1),
(93171,	6,	1627,	2,	2),
(93173,	6,	1628,	1,	1),
(93174,	6,	1628,	2,	1),
(93175,	6,	1628,	3,	1),
(93176,	6,	1628,	1,	2),
(93177,	6,	1628,	2,	2),
(93178,	6,	1628,	3,	2),
(93179,	6,	1629,	1,	1),
(93180,	6,	1629,	2,	1),
(93181,	6,	1629,	3,	1),
(93182,	6,	1629,	1,	2),
(93183,	6,	1629,	2,	2),
(93184,	6,	1629,	3,	2),
(93185,	6,	1630,	1,	1),
(93186,	6,	1630,	2,	1),
(93187,	6,	1630,	3,	1),
(93188,	6,	1630,	1,	2),
(93189,	6,	1630,	2,	2),
(93190,	6,	1630,	3,	2),
(93191,	6,	1631,	1,	1),
(93192,	6,	1631,	2,	1),
(93193,	6,	1631,	3,	1),
(93194,	6,	1631,	81,	1),
(93195,	6,	1631,	1,	2),
(93196,	6,	1631,	2,	2),
(93197,	6,	1631,	3,	2),
(93198,	6,	1631,	81,	2),
(93203,	6,	1632,	5,	1),
(93223,	6,	1635,	4,	1),
(93224,	6,	1635,	5,	1),
(93226,	6,	1636,	1,	1),
(93227,	6,	1636,	2,	1),
(93228,	6,	1636,	3,	1),
(93229,	6,	1636,	4,	1),
(93230,	6,	1636,	5,	1),
(93231,	6,	1636,	82,	1),
(93232,	6,	1637,	1,	1),
(93233,	6,	1637,	2,	1),
(93234,	6,	1637,	3,	1),
(93235,	6,	1637,	1,	2),
(93236,	6,	1637,	2,	2),
(93237,	6,	1637,	3,	2),
(93238,	6,	1638,	1,	1),
(93239,	6,	1638,	2,	1),
(93240,	6,	1638,	3,	1),
(93241,	6,	1638,	81,	1),
(93242,	6,	1638,	4,	1),
(93243,	6,	1638,	26,	1),
(93244,	6,	1638,	1,	2),
(93245,	6,	1638,	2,	2),
(93246,	6,	1638,	3,	2),
(93247,	6,	1638,	81,	2),
(93248,	6,	1638,	4,	2),
(93249,	6,	1638,	26,	2),
(93250,	6,	1639,	1,	1),
(93251,	6,	1639,	2,	1),
(93252,	6,	1639,	3,	1),
(93253,	6,	1639,	1,	2),
(93254,	6,	1639,	2,	2),
(93255,	6,	1639,	3,	2),
(93256,	6,	1640,	1,	1),
(93257,	6,	1640,	2,	1),
(93258,	6,	1640,	3,	1),
(93260,	6,	1641,	2,	1),
(93263,	6,	1641,	2,	2),
(93265,	6,	1642,	1,	1),
(93266,	6,	1642,	2,	1),
(93267,	6,	1642,	3,	1),
(93268,	6,	1642,	1,	2),
(93269,	6,	1642,	2,	2),
(93270,	6,	1642,	3,	2),
(93272,	6,	1643,	2,	1),
(93274,	6,	1644,	1,	1),
(93275,	6,	1644,	2,	1),
(93276,	6,	1644,	3,	1),
(93283,	6,	1647,	1,	1),
(93284,	6,	1647,	2,	1),
(93285,	6,	1647,	3,	1),
(93286,	6,	1647,	1,	3),
(93287,	6,	1647,	2,	3),
(93288,	6,	1647,	3,	3),
(93289,	6,	1648,	1,	1),
(93290,	6,	1648,	2,	1),
(93291,	6,	1648,	3,	1),
(93292,	6,	1649,	1,	1),
(93293,	6,	1649,	2,	1),
(93294,	6,	1649,	3,	1),
(93295,	6,	1650,	1,	1),
(93296,	6,	1650,	2,	1),
(93297,	6,	1650,	3,	1),
(93298,	6,	1651,	1,	1),
(93299,	6,	1651,	2,	1),
(93300,	6,	1651,	3,	1),
(93301,	6,	1651,	1,	2),
(93302,	6,	1651,	2,	2),
(93303,	6,	1651,	3,	2),
(93305,	6,	1652,	2,	1),
(93307,	6,	1653,	1,	1),
(93308,	6,	1653,	2,	1),
(93309,	6,	1653,	3,	1),
(93310,	6,	1653,	1,	2),
(93311,	6,	1653,	2,	2),
(93312,	6,	1653,	3,	2),
(93314,	6,	1654,	2,	1),
(93315,	6,	1654,	3,	1),
(93319,	6,	1655,	1,	1),
(93320,	6,	1655,	2,	1),
(93321,	6,	1655,	3,	1),
(93322,	6,	1655,	1,	2),
(93323,	6,	1655,	2,	2),
(93324,	6,	1655,	3,	2),
(93325,	6,	1656,	1,	1),
(93326,	6,	1656,	2,	1),
(93327,	6,	1656,	3,	1),
(93328,	6,	1657,	1,	1),
(93329,	6,	1657,	2,	1),
(93330,	6,	1657,	3,	1),
(93331,	6,	1658,	1,	1),
(93332,	6,	1658,	2,	1),
(93333,	6,	1658,	3,	1),
(93334,	6,	1658,	1,	2),
(93335,	6,	1658,	2,	2),
(93336,	6,	1658,	3,	2),
(93337,	6,	1659,	1,	1),
(93338,	6,	1659,	2,	1),
(93339,	6,	1659,	3,	1),
(93340,	6,	1659,	1,	2),
(93341,	6,	1659,	2,	2),
(93342,	6,	1659,	3,	2),
(93343,	6,	1660,	1,	1),
(93344,	6,	1660,	2,	1),
(93345,	6,	1660,	3,	1),
(93346,	6,	1661,	1,	1),
(93347,	6,	1661,	2,	1),
(93348,	6,	1661,	3,	1),
(93349,	6,	1661,	1,	2),
(93350,	6,	1661,	2,	2),
(93351,	6,	1661,	3,	2),
(93352,	6,	1662,	1,	1),
(93353,	6,	1662,	2,	1),
(93354,	6,	1662,	3,	1),
(93355,	6,	1662,	1,	2),
(93356,	6,	1662,	2,	2),
(93357,	6,	1662,	3,	2),
(93358,	6,	1663,	1,	1),
(93359,	6,	1663,	2,	1),
(93360,	6,	1663,	3,	1),
(93361,	6,	1664,	1,	1),
(93362,	6,	1664,	2,	1),
(93363,	6,	1664,	3,	1),
(93364,	6,	1664,	1,	2),
(93365,	6,	1664,	2,	2),
(93366,	6,	1664,	3,	2),
(93367,	6,	1665,	1,	1),
(93368,	6,	1665,	2,	1),
(93369,	6,	1665,	3,	1),
(93370,	6,	1665,	1,	2),
(93371,	6,	1665,	2,	2),
(93372,	6,	1665,	3,	2),
(93373,	6,	1666,	1,	1),
(93374,	6,	1666,	2,	1),
(93375,	6,	1666,	3,	1),
(93376,	6,	1667,	1,	1),
(93377,	6,	1667,	2,	1),
(93378,	6,	1667,	3,	1),
(93379,	6,	1667,	1,	2),
(93380,	6,	1667,	2,	2),
(93381,	6,	1667,	3,	2),
(93382,	6,	1668,	1,	1),
(93383,	6,	1668,	2,	1),
(93384,	6,	1668,	3,	1),
(93385,	6,	1668,	1,	2),
(93386,	6,	1668,	2,	2),
(93387,	6,	1668,	3,	2),
(93388,	6,	1669,	1,	1),
(93389,	6,	1669,	2,	1),
(93390,	6,	1669,	3,	1),
(93391,	6,	1669,	1,	2),
(93392,	6,	1669,	2,	2),
(93393,	6,	1669,	3,	2),
(93394,	6,	1670,	1,	1),
(93395,	6,	1670,	2,	1),
(93396,	6,	1670,	3,	1),
(93397,	6,	1670,	1,	2),
(93398,	6,	1670,	2,	2),
(93399,	6,	1670,	3,	2),
(93400,	6,	1671,	1,	1),
(93401,	6,	1671,	2,	1),
(93402,	6,	1671,	3,	1),
(93403,	6,	1671,	1,	2),
(93404,	6,	1671,	2,	2),
(93405,	6,	1671,	3,	2),
(93418,	6,	1674,	1,	1),
(93419,	6,	1674,	2,	1),
(93420,	6,	1674,	3,	1),
(93421,	6,	1674,	1,	2),
(93422,	6,	1674,	2,	2),
(93423,	6,	1674,	3,	2),
(93424,	6,	1675,	1,	1),
(93425,	6,	1675,	2,	1),
(93426,	6,	1675,	3,	1),
(93427,	6,	1675,	1,	2),
(93428,	6,	1675,	2,	2),
(93429,	6,	1675,	3,	2),
(93430,	6,	1676,	1,	1),
(93431,	6,	1676,	2,	1),
(93432,	6,	1676,	3,	1),
(93433,	6,	1677,	1,	1),
(93434,	6,	1677,	2,	1),
(93435,	6,	1677,	3,	1),
(93436,	6,	1677,	1,	2),
(93437,	6,	1677,	2,	2),
(93438,	6,	1677,	3,	2),
(93439,	6,	1678,	1,	1),
(93440,	6,	1678,	2,	1),
(93441,	6,	1678,	3,	1),
(93442,	6,	1678,	1,	2),
(93443,	6,	1678,	2,	2),
(93444,	6,	1678,	3,	2),
(93445,	6,	1679,	1,	1),
(93446,	6,	1679,	2,	1),
(93447,	6,	1679,	3,	1),
(93448,	6,	1679,	1,	2),
(93449,	6,	1679,	2,	2),
(93450,	6,	1679,	3,	2),
(93451,	6,	1680,	1,	1),
(93452,	6,	1680,	2,	1),
(93453,	6,	1680,	3,	1),
(93454,	6,	1680,	1,	2),
(93455,	6,	1680,	2,	2),
(93456,	6,	1680,	3,	2),
(93457,	6,	1681,	1,	1),
(93458,	6,	1681,	2,	1),
(93459,	6,	1681,	3,	1),
(93460,	6,	1681,	1,	2),
(93461,	6,	1681,	2,	2),
(93462,	6,	1681,	3,	2),
(93473,	6,	1683,	2,	2),
(93487,	6,	1686,	1,	1),
(93488,	6,	1686,	2,	1),
(93489,	6,	1686,	3,	1),
(93490,	6,	1686,	1,	3),
(93491,	6,	1686,	2,	3),
(93492,	6,	1686,	3,	3),
(93509,	6,	1689,	2,	2),
(93517,	6,	1691,	1,	1),
(93518,	6,	1691,	2,	1),
(93519,	6,	1691,	3,	1),
(93520,	6,	1691,	1,	2),
(93521,	6,	1691,	2,	2),
(93522,	6,	1691,	3,	2),
(93526,	6,	1692,	1,	3),
(93527,	6,	1692,	2,	3),
(93528,	6,	1692,	3,	3),
(93541,	6,	1695,	1,	1),
(93542,	6,	1695,	2,	1),
(93543,	6,	1695,	3,	1),
(93544,	6,	1695,	1,	3),
(93545,	6,	1695,	2,	3),
(93546,	6,	1695,	3,	3),
(93550,	6,	1696,	1,	3),
(93551,	6,	1696,	2,	3),
(93552,	6,	1696,	3,	3),
(93559,	6,	1697,	1,	3),
(93560,	6,	1697,	2,	3),
(93561,	6,	1697,	3,	3),
(93574,	6,	1700,	1,	1),
(93575,	6,	1700,	2,	1),
(93576,	6,	1700,	3,	1),
(93577,	6,	1700,	1,	2),
(93578,	6,	1700,	2,	2),
(93579,	6,	1700,	3,	2),
(93592,	6,	1703,	1,	1),
(93593,	6,	1703,	2,	1),
(93594,	6,	1703,	3,	1),
(93595,	6,	1703,	1,	3),
(93596,	6,	1703,	2,	3),
(93597,	6,	1703,	3,	3),
(93613,	6,	1706,	1,	3),
(93614,	6,	1706,	2,	3),
(93615,	6,	1706,	3,	3),
(93617,	6,	1707,	2,	1),
(93620,	6,	1707,	2,	2),
(93622,	6,	1708,	1,	1),
(93623,	6,	1708,	2,	1),
(93624,	6,	1708,	3,	1),
(93625,	6,	1708,	1,	3),
(93626,	6,	1708,	2,	3),
(93627,	6,	1708,	3,	3),
(93628,	6,	1709,	1,	1),
(93629,	6,	1709,	2,	1),
(93630,	6,	1709,	3,	1),
(93631,	6,	1709,	1,	2),
(93632,	6,	1709,	2,	2),
(93633,	6,	1709,	3,	2),
(93634,	6,	1710,	1,	1),
(93635,	6,	1710,	2,	1),
(93636,	6,	1710,	3,	1),
(93637,	6,	1710,	1,	3),
(93638,	6,	1710,	2,	3),
(93639,	6,	1710,	3,	3),
(93640,	6,	1711,	1,	1),
(93641,	6,	1711,	2,	1),
(93642,	6,	1711,	3,	1),
(93643,	6,	1711,	1,	2),
(93644,	6,	1711,	2,	2),
(93645,	6,	1711,	3,	2),
(93652,	6,	1713,	1,	1),
(93653,	6,	1713,	2,	1),
(93654,	6,	1713,	3,	1),
(93655,	6,	1713,	1,	3),
(93656,	6,	1713,	2,	3),
(93657,	6,	1713,	3,	3),
(93658,	6,	1714,	1,	1),
(93659,	6,	1714,	2,	1),
(93660,	6,	1714,	3,	1),
(93661,	6,	1714,	83,	1),
(93662,	6,	1714,	1,	2),
(93663,	6,	1714,	2,	2),
(93664,	6,	1714,	3,	2),
(93665,	6,	1714,	83,	2),
(93666,	6,	1715,	1,	1),
(93667,	6,	1715,	2,	1),
(93668,	6,	1715,	3,	1),
(93669,	6,	1715,	1,	3),
(93670,	6,	1715,	2,	3),
(93671,	6,	1715,	3,	3),
(93672,	6,	1716,	1,	1),
(93673,	6,	1716,	2,	1),
(93674,	6,	1716,	3,	1),
(93675,	6,	1716,	1,	2),
(93676,	6,	1716,	2,	2),
(93677,	6,	1716,	3,	2),
(93678,	6,	1717,	1,	1),
(93679,	6,	1717,	2,	1),
(93680,	6,	1717,	3,	1),
(93681,	6,	1717,	1,	3),
(93682,	6,	1717,	2,	3),
(93683,	6,	1717,	3,	3),
(93702,	6,	1721,	1,	1),
(93703,	6,	1721,	2,	1),
(93704,	6,	1721,	3,	1),
(93705,	6,	1721,	1,	3),
(93706,	6,	1721,	2,	3),
(93707,	6,	1721,	3,	3),
(93736,	6,	1726,	2,	2),
(93808,	6,	1738,	1,	3),
(93809,	6,	1738,	2,	3),
(93810,	6,	1738,	3,	3),
(93811,	6,	1738,	23,	3),
(93819,	6,	1741,	2,	1),
(93826,	6,	1742,	1,	1),
(93827,	6,	1742,	2,	1),
(93828,	6,	1742,	3,	1),
(93829,	6,	1742,	1,	3),
(93830,	6,	1742,	2,	3),
(93831,	6,	1742,	3,	3),
(93832,	6,	1743,	1,	1),
(93833,	6,	1743,	2,	1),
(93834,	6,	1743,	3,	1),
(93846,	6,	1745,	1,	3),
(93847,	6,	1745,	2,	3),
(93848,	6,	1745,	3,	3),
(93852,	6,	1746,	1,	3),
(93853,	6,	1746,	2,	3),
(93854,	6,	1746,	3,	3),
(93858,	6,	1747,	1,	3),
(93859,	6,	1747,	2,	3),
(93860,	6,	1747,	3,	3),
(93861,	6,	1748,	1,	1),
(93862,	6,	1748,	2,	1),
(93863,	6,	1748,	3,	1),
(93864,	6,	1748,	1,	3),
(93865,	6,	1748,	2,	3),
(93866,	6,	1748,	3,	3),
(93867,	6,	1749,	1,	1),
(93868,	6,	1749,	2,	1),
(93869,	6,	1749,	3,	1),
(93870,	6,	1749,	1,	2),
(93871,	6,	1749,	2,	2),
(93872,	6,	1749,	3,	2),
(93891,	6,	1753,	1,	1),
(93892,	6,	1753,	2,	1),
(93893,	6,	1753,	3,	1),
(93894,	6,	1753,	1,	3),
(93895,	6,	1753,	2,	3),
(93896,	6,	1753,	3,	3),
(93903,	6,	1755,	1,	1),
(93904,	6,	1755,	2,	1),
(93905,	6,	1755,	3,	1),
(93906,	6,	1755,	1,	2),
(93907,	6,	1755,	2,	2),
(93908,	6,	1755,	3,	2),
(93919,	6,	1757,	2,	2),
(93921,	6,	1758,	1,	1),
(93922,	6,	1758,	2,	1),
(93923,	6,	1758,	3,	1),
(93924,	6,	1758,	1,	2),
(93925,	6,	1758,	2,	2),
(93926,	6,	1758,	3,	2),
(93927,	6,	1759,	1,	1),
(93928,	6,	1759,	2,	1),
(93929,	6,	1759,	3,	1),
(93930,	6,	1760,	1,	1),
(93931,	6,	1760,	2,	1),
(93932,	6,	1760,	3,	1),
(93933,	6,	1761,	1,	1),
(93934,	6,	1761,	2,	1),
(93935,	6,	1761,	3,	1),
(93936,	6,	1762,	1,	1),
(93937,	6,	1762,	2,	1),
(93938,	6,	1762,	3,	1),
(93939,	6,	1763,	1,	1),
(93940,	6,	1763,	2,	1),
(93941,	6,	1763,	3,	1),
(93942,	6,	1764,	1,	1),
(93943,	6,	1764,	2,	1),
(93944,	6,	1764,	3,	1),
(93945,	6,	1765,	1,	1),
(93946,	6,	1765,	2,	1),
(93947,	6,	1765,	3,	1),
(93948,	6,	1766,	1,	1),
(93949,	6,	1766,	2,	1),
(93950,	6,	1766,	3,	1),
(93951,	6,	1767,	1,	1),
(93952,	6,	1767,	2,	1),
(93953,	6,	1767,	3,	1),
(93954,	6,	1767,	1,	2),
(93955,	6,	1767,	2,	2),
(93956,	6,	1767,	3,	2),
(93957,	6,	1768,	1,	1),
(93958,	6,	1768,	2,	1),
(93959,	6,	1768,	3,	1),
(93960,	6,	1768,	1,	2),
(93961,	6,	1768,	2,	2),
(93962,	6,	1768,	3,	2),
(94023,	6,	1783,	1,	1),
(94024,	6,	1783,	2,	1),
(94025,	6,	1783,	3,	1),
(94026,	6,	1783,	1,	2),
(94027,	6,	1783,	2,	2),
(94028,	6,	1783,	3,	2),
(94034,	6,	1784,	3,	2),
(94035,	6,	1785,	1,	1),
(94036,	6,	1785,	2,	1),
(94037,	6,	1785,	3,	1),
(94038,	6,	1785,	1,	2),
(94039,	6,	1785,	2,	2),
(94040,	6,	1785,	3,	2),
(94041,	6,	1786,	1,	1),
(94042,	6,	1786,	2,	1),
(94043,	6,	1786,	3,	1),
(94044,	6,	1787,	1,	1),
(94045,	6,	1787,	2,	1),
(94046,	6,	1787,	3,	1),
(94047,	6,	1787,	1,	2),
(94048,	6,	1787,	2,	2),
(94049,	6,	1787,	3,	2),
(94050,	6,	1788,	1,	1),
(94051,	6,	1788,	2,	1),
(94052,	6,	1788,	3,	1),
(94053,	6,	1788,	1,	2),
(94054,	6,	1788,	2,	2),
(94055,	6,	1788,	3,	2),
(94056,	6,	1789,	1,	1),
(94057,	6,	1789,	2,	1),
(94058,	6,	1789,	3,	1),
(94059,	6,	1789,	1,	2),
(94060,	6,	1789,	2,	2),
(94061,	6,	1789,	3,	2),
(94062,	6,	1790,	1,	1),
(94063,	6,	1790,	2,	1),
(94064,	6,	1790,	3,	1),
(94065,	6,	1790,	1,	2),
(94066,	6,	1790,	2,	2),
(94067,	6,	1790,	3,	2),
(94068,	6,	1791,	1,	1),
(94069,	6,	1791,	2,	1),
(94070,	6,	1791,	3,	1),
(94071,	6,	1791,	1,	2),
(94072,	6,	1791,	2,	2),
(94073,	6,	1791,	3,	2),
(94075,	6,	1792,	2,	1),
(94081,	6,	1793,	2,	2),
(94087,	6,	1794,	2,	2),
(94089,	6,	1795,	1,	1),
(94090,	6,	1795,	2,	1),
(94091,	6,	1795,	3,	1),
(94092,	6,	1795,	1,	3),
(94093,	6,	1795,	2,	3),
(94094,	6,	1795,	3,	3),
(94095,	6,	1795,	1,	2),
(94096,	6,	1795,	2,	2),
(94097,	6,	1795,	3,	2),
(94098,	6,	1796,	1,	1),
(94099,	6,	1796,	2,	1),
(94100,	6,	1796,	3,	1),
(94101,	6,	1796,	1,	3),
(94102,	6,	1796,	2,	3),
(94103,	6,	1796,	3,	3),
(94104,	6,	1796,	1,	2),
(94105,	6,	1796,	2,	2),
(94106,	6,	1796,	3,	2),
(94107,	6,	1797,	1,	1),
(94108,	6,	1797,	2,	1),
(94109,	6,	1797,	3,	1),
(94110,	6,	1797,	1,	2),
(94111,	6,	1797,	2,	2),
(94112,	6,	1797,	3,	2),
(94113,	6,	1798,	1,	1),
(94114,	6,	1798,	2,	1),
(94115,	6,	1798,	3,	1),
(94116,	6,	1798,	1,	2),
(94117,	6,	1798,	2,	2),
(94118,	6,	1798,	3,	2),
(94119,	6,	1799,	1,	1),
(94120,	6,	1799,	2,	1),
(94121,	6,	1799,	3,	1),
(94122,	6,	1799,	1,	2),
(94123,	6,	1799,	2,	2),
(94124,	6,	1799,	3,	2),
(94125,	6,	1800,	1,	1),
(94126,	6,	1800,	2,	1),
(94127,	6,	1800,	3,	1),
(94128,	6,	1800,	1,	2),
(94129,	6,	1800,	2,	2),
(94130,	6,	1800,	3,	2),
(94135,	6,	1801,	2,	2),
(94137,	6,	1802,	1,	1),
(94138,	6,	1802,	2,	1),
(94139,	6,	1802,	3,	1),
(94140,	6,	1802,	1,	2),
(94141,	6,	1802,	2,	2),
(94142,	6,	1802,	3,	2),
(94143,	6,	1803,	1,	1),
(94144,	6,	1803,	2,	1),
(94145,	6,	1803,	3,	1),
(94146,	6,	1803,	1,	3),
(94147,	6,	1803,	2,	3),
(94148,	6,	1803,	3,	3),
(94149,	6,	1803,	1,	2),
(94150,	6,	1803,	2,	2),
(94151,	6,	1803,	3,	2),
(94152,	6,	1804,	1,	1),
(94153,	6,	1804,	2,	1),
(94154,	6,	1804,	3,	1),
(94155,	6,	1804,	1,	2),
(94156,	6,	1804,	2,	2),
(94157,	6,	1804,	3,	2),
(94158,	6,	1805,	1,	1),
(94159,	6,	1805,	2,	1),
(94160,	6,	1805,	3,	1),
(94161,	6,	1805,	1,	2),
(94162,	6,	1805,	2,	2),
(94163,	6,	1805,	3,	2),
(94164,	6,	1203,	85,	1),
(94165,	6,	1807,	24,	1),
(94166,	6,	1811,	82,	1),
(94169,	6,	1833,	2,	2),
(94170,	6,	1833,	2,	1),
(94172,	6,	1811,	88,	1),
(94173,	6,	1811,	89,	1),
(94177,	6,	1810,	NULL,	NULL),
(94178,	6,	1816,	NULL,	NULL),
(94179,	6,	1814,	NULL,	NULL),
(94180,	6,	1812,	NULL,	NULL),
(94181,	6,	1222,	73,	1),
(94182,	6,	1222,	85,	1),
(98321,	6,	793,	2,	2),
(98323,	6,	1839,	NULL,	NULL),
(98325,	6,	559,	38,	1),
(98326,	6,	559,	35,	1),
(98329,	6,	970,	2,	1),
(98331,	4,	1812,	NULL,	NULL),
(98332,	4,	1813,	NULL,	NULL),
(98333,	4,	1810,	NULL,	NULL),
(98334,	4,	1826,	NULL,	NULL),
(98335,	4,	1811,	89,	1),
(98336,	4,	1814,	NULL,	NULL),
(98337,	4,	6,	2,	1),
(98340,	4,	154,	3,	2),
(98341,	6,	1840,	2,	1),
(98345,	6,	116,	3,	1),
(98347,	6,	116,	2,	2),
(98349,	6,	116,	1,	2),
(98350,	6,	116,	3,	2),
(98351,	6,	1496,	45,	1),
(98355,	4,	1146,	1,	1),
(98356,	4,	155,	NULL,	NULL),
(98357,	6,	408,	2,	1),
(98358,	6,	586,	86,	1),
(98359,	6,	586,	87,	1),
(98360,	6,	1815,	NULL,	NULL),
(98361,	6,	1815,	3,	1),
(98362,	6,	1815,	2,	1),
(98363,	6,	1815,	1,	1),
(98364,	7,	1,	1,	1),
(98365,	7,	1,	2,	1),
(98366,	7,	1,	3,	1),
(98367,	7,	1,	4,	1),
(98368,	7,	1,	1,	2),
(98369,	7,	1,	2,	2),
(98370,	7,	1,	3,	2),
(98371,	7,	1,	4,	2),
(98372,	7,	2,	1,	1),
(98373,	7,	2,	2,	1),
(98374,	7,	2,	3,	1),
(98375,	7,	2,	1,	2),
(98376,	7,	2,	2,	2),
(98377,	7,	2,	3,	2),
(98378,	7,	3,	1,	1),
(98379,	7,	3,	2,	1),
(98380,	7,	3,	3,	1),
(98381,	7,	3,	4,	1),
(98382,	7,	3,	5,	1),
(98383,	7,	3,	1,	2),
(98384,	7,	3,	2,	2),
(98385,	7,	3,	3,	2),
(98386,	7,	3,	4,	2),
(98387,	7,	3,	5,	2),
(98388,	7,	4,	1,	1),
(98389,	7,	4,	2,	1),
(98390,	7,	4,	3,	1),
(98391,	7,	4,	4,	1),
(98392,	7,	4,	5,	1),
(98393,	7,	4,	1,	2),
(98394,	7,	4,	2,	2),
(98395,	7,	4,	3,	2),
(98396,	7,	4,	4,	2),
(98397,	7,	4,	5,	2),
(98398,	7,	5,	1,	1),
(98399,	7,	5,	2,	1),
(98400,	7,	5,	3,	1),
(98401,	7,	5,	6,	1),
(98402,	7,	6,	2,	1),
(98403,	7,	6,	3,	1),
(98404,	7,	6,	6,	1),
(98405,	7,	7,	1,	1),
(98406,	7,	7,	2,	1),
(98407,	7,	7,	3,	1),
(98408,	7,	7,	1,	2),
(98409,	7,	7,	2,	2),
(98410,	7,	7,	3,	2),
(98411,	7,	8,	1,	1),
(98412,	7,	8,	2,	1),
(98413,	7,	8,	3,	1),
(98414,	7,	8,	7,	1),
(98415,	7,	8,	8,	1),
(98416,	7,	8,	9,	1),
(98417,	7,	8,	10,	1),
(98418,	7,	8,	11,	1),
(98419,	7,	8,	12,	1),
(98420,	7,	8,	13,	1),
(98421,	7,	8,	14,	1),
(98422,	7,	8,	15,	1),
(98423,	7,	8,	16,	1),
(98424,	7,	8,	17,	1),
(98425,	7,	8,	18,	1),
(98426,	7,	8,	19,	1),
(98427,	7,	8,	20,	1),
(98428,	7,	8,	21,	1),
(98429,	7,	8,	22,	1),
(98430,	7,	9,	1,	1),
(98431,	7,	9,	2,	1),
(98432,	7,	9,	3,	1),
(98433,	7,	9,	7,	1),
(98434,	7,	9,	8,	1),
(98435,	7,	9,	9,	1),
(98436,	7,	9,	10,	1),
(98437,	7,	9,	11,	1),
(98438,	7,	9,	12,	1),
(98439,	7,	9,	13,	1),
(98440,	7,	9,	14,	1),
(98441,	7,	9,	15,	1),
(98442,	7,	9,	16,	1),
(98443,	7,	9,	17,	1),
(98444,	7,	9,	18,	1),
(98445,	7,	9,	19,	1),
(98446,	7,	9,	20,	1),
(98447,	7,	9,	21,	1),
(98448,	7,	9,	22,	1),
(98449,	7,	10,	1,	1),
(98450,	7,	10,	2,	1),
(98451,	7,	10,	3,	1),
(98452,	7,	10,	7,	1),
(98453,	7,	10,	8,	1),
(98454,	7,	10,	9,	1),
(98455,	7,	10,	10,	1),
(98456,	7,	10,	11,	1),
(98457,	7,	10,	12,	1),
(98458,	7,	10,	13,	1),
(98459,	7,	10,	14,	1),
(98460,	7,	10,	15,	1),
(98461,	7,	10,	16,	1),
(98462,	7,	10,	17,	1),
(98463,	7,	10,	18,	1),
(98464,	7,	10,	19,	1),
(98465,	7,	10,	20,	1),
(98466,	7,	10,	21,	1),
(98467,	7,	10,	22,	1),
(98468,	7,	11,	1,	1),
(98469,	7,	11,	2,	1),
(98470,	7,	11,	3,	1),
(98471,	7,	11,	7,	1),
(98472,	7,	11,	8,	1),
(98473,	7,	11,	9,	1),
(98474,	7,	11,	10,	1),
(98475,	7,	11,	11,	1),
(98476,	7,	11,	12,	1),
(98477,	7,	11,	13,	1),
(98478,	7,	11,	14,	1),
(98479,	7,	11,	15,	1),
(98480,	7,	11,	16,	1),
(98481,	7,	11,	17,	1),
(98482,	7,	11,	18,	1),
(98483,	7,	11,	19,	1),
(98484,	7,	11,	20,	1),
(98485,	7,	11,	21,	1),
(98486,	7,	11,	22,	1),
(98487,	7,	12,	1,	1),
(98488,	7,	12,	2,	1),
(98489,	7,	12,	3,	1),
(98490,	7,	12,	7,	1),
(98491,	7,	12,	8,	1),
(98492,	7,	12,	9,	1),
(98493,	7,	12,	10,	1),
(98494,	7,	12,	11,	1),
(98495,	7,	12,	12,	1),
(98496,	7,	12,	13,	1),
(98497,	7,	12,	14,	1),
(98498,	7,	12,	15,	1),
(98499,	7,	12,	16,	1),
(98500,	7,	12,	17,	1),
(98501,	7,	12,	18,	1),
(98502,	7,	12,	19,	1),
(98503,	7,	12,	20,	1),
(98504,	7,	12,	21,	1),
(98505,	7,	12,	22,	1),
(98506,	7,	13,	1,	1),
(98507,	7,	13,	2,	1),
(98508,	7,	13,	3,	1),
(98509,	7,	13,	7,	1),
(98510,	7,	13,	8,	1),
(98511,	7,	13,	9,	1),
(98512,	7,	13,	10,	1),
(98513,	7,	13,	11,	1),
(98514,	7,	13,	12,	1),
(98515,	7,	13,	13,	1),
(98516,	7,	13,	14,	1),
(98517,	7,	13,	15,	1),
(98518,	7,	13,	16,	1),
(98519,	7,	13,	17,	1),
(98520,	7,	13,	18,	1),
(98521,	7,	13,	19,	1),
(98522,	7,	13,	20,	1),
(98523,	7,	13,	21,	1),
(98524,	7,	13,	22,	1),
(98525,	7,	14,	1,	1),
(98526,	7,	14,	2,	1),
(98527,	7,	14,	3,	1),
(98528,	7,	14,	7,	1),
(98529,	7,	14,	8,	1),
(98530,	7,	14,	9,	1),
(98531,	7,	14,	10,	1),
(98532,	7,	14,	11,	1),
(98533,	7,	14,	12,	1),
(98534,	7,	14,	13,	1),
(98535,	7,	14,	14,	1),
(98536,	7,	14,	15,	1),
(98537,	7,	14,	16,	1),
(98538,	7,	14,	17,	1),
(98539,	7,	14,	18,	1),
(98540,	7,	14,	19,	1),
(98541,	7,	14,	20,	1),
(98542,	7,	14,	21,	1),
(98543,	7,	14,	22,	1),
(98544,	7,	15,	1,	1),
(98545,	7,	15,	2,	1),
(98546,	7,	15,	3,	1),
(98547,	7,	15,	7,	1),
(98548,	7,	15,	8,	1),
(98549,	7,	15,	9,	1),
(98550,	7,	15,	10,	1),
(98551,	7,	15,	11,	1),
(98552,	7,	15,	12,	1),
(98553,	7,	15,	13,	1),
(98554,	7,	15,	14,	1),
(98555,	7,	15,	15,	1),
(98556,	7,	15,	16,	1),
(98557,	7,	15,	17,	1),
(98558,	7,	15,	18,	1),
(98559,	7,	15,	19,	1),
(98560,	7,	15,	20,	1),
(98561,	7,	15,	21,	1),
(98562,	7,	15,	22,	1),
(98563,	7,	16,	1,	1),
(98564,	7,	16,	2,	1),
(98565,	7,	16,	3,	1),
(98566,	7,	16,	7,	1),
(98567,	7,	16,	8,	1),
(98568,	7,	16,	9,	1),
(98569,	7,	16,	10,	1),
(98570,	7,	16,	11,	1),
(98571,	7,	16,	12,	1),
(98572,	7,	16,	13,	1),
(98573,	7,	16,	14,	1),
(98574,	7,	16,	15,	1),
(98575,	7,	16,	16,	1),
(98576,	7,	16,	17,	1),
(98577,	7,	16,	18,	1),
(98578,	7,	16,	19,	1),
(98579,	7,	16,	20,	1),
(98580,	7,	16,	21,	1),
(98581,	7,	16,	22,	1),
(98582,	7,	17,	1,	1),
(98583,	7,	17,	2,	1),
(98584,	7,	17,	3,	1),
(98585,	7,	17,	7,	1),
(98586,	7,	17,	8,	1),
(98587,	7,	17,	9,	1),
(98588,	7,	17,	10,	1),
(98589,	7,	17,	11,	1),
(98590,	7,	17,	12,	1),
(98591,	7,	17,	13,	1),
(98592,	7,	17,	14,	1),
(98593,	7,	17,	15,	1),
(98594,	7,	17,	16,	1),
(98595,	7,	17,	17,	1),
(98596,	7,	17,	18,	1),
(98597,	7,	17,	19,	1),
(98598,	7,	17,	20,	1),
(98599,	7,	17,	21,	1),
(98600,	7,	17,	22,	1),
(98601,	7,	18,	1,	1),
(98602,	7,	18,	2,	1),
(98603,	7,	18,	3,	1),
(98604,	7,	18,	7,	1),
(98605,	7,	18,	8,	1),
(98606,	7,	18,	9,	1),
(98607,	7,	18,	10,	1),
(98608,	7,	18,	11,	1),
(98609,	7,	18,	12,	1),
(98610,	7,	18,	13,	1),
(98611,	7,	18,	14,	1),
(98612,	7,	18,	15,	1),
(98613,	7,	18,	16,	1),
(98614,	7,	18,	17,	1),
(98615,	7,	18,	18,	1),
(98616,	7,	18,	19,	1),
(98617,	7,	18,	20,	1),
(98618,	7,	18,	21,	1),
(98619,	7,	18,	22,	1),
(98620,	7,	19,	3,	1),
(98621,	7,	19,	7,	1),
(98622,	7,	19,	9,	1),
(98623,	7,	19,	10,	1),
(98624,	7,	19,	11,	1),
(98625,	7,	19,	12,	1),
(98626,	7,	19,	13,	1),
(98627,	7,	19,	14,	1),
(98628,	7,	19,	15,	1),
(98629,	7,	19,	16,	1),
(98630,	7,	19,	17,	1),
(98631,	7,	19,	18,	1),
(98632,	7,	19,	19,	1),
(98633,	7,	19,	20,	1),
(98634,	7,	19,	21,	1),
(98635,	7,	19,	22,	1),
(98636,	7,	20,	1,	1),
(98637,	7,	20,	2,	1),
(98638,	7,	20,	3,	1),
(98639,	7,	20,	7,	1),
(98640,	7,	20,	8,	1),
(98641,	7,	20,	9,	1),
(98642,	7,	20,	10,	1),
(98643,	7,	20,	11,	1),
(98644,	7,	20,	12,	1),
(98645,	7,	20,	13,	1),
(98646,	7,	20,	14,	1),
(98647,	7,	20,	15,	1),
(98648,	7,	20,	16,	1),
(98649,	7,	20,	17,	1),
(98650,	7,	20,	18,	1),
(98651,	7,	20,	19,	1),
(98652,	7,	20,	20,	1),
(98653,	7,	20,	21,	1),
(98654,	7,	20,	22,	1),
(98655,	7,	21,	1,	1),
(98656,	7,	21,	2,	1),
(98657,	7,	21,	3,	1),
(98658,	7,	21,	7,	1),
(98659,	7,	21,	8,	1),
(98660,	7,	21,	9,	1),
(98661,	7,	21,	10,	1),
(98662,	7,	21,	11,	1),
(98663,	7,	21,	12,	1),
(98664,	7,	21,	13,	1),
(98665,	7,	21,	14,	1),
(98666,	7,	21,	15,	1),
(98667,	7,	21,	16,	1),
(98668,	7,	21,	17,	1),
(98669,	7,	21,	18,	1),
(98670,	7,	21,	19,	1),
(98671,	7,	21,	20,	1),
(98672,	7,	21,	21,	1),
(98673,	7,	21,	22,	1),
(98674,	7,	22,	1,	1),
(98675,	7,	22,	2,	1),
(98676,	7,	22,	3,	1),
(98677,	7,	22,	7,	1),
(98678,	7,	22,	8,	1),
(98679,	7,	22,	9,	1),
(98680,	7,	22,	10,	1),
(98681,	7,	22,	11,	1),
(98682,	7,	22,	12,	1),
(98683,	7,	22,	13,	1),
(98684,	7,	22,	14,	1),
(98685,	7,	22,	15,	1),
(98686,	7,	22,	16,	1),
(98687,	7,	22,	17,	1),
(98688,	7,	22,	18,	1),
(98689,	7,	22,	19,	1),
(98690,	7,	22,	20,	1),
(98691,	7,	22,	21,	1),
(98692,	7,	22,	22,	1),
(98693,	7,	23,	1,	1),
(98694,	7,	23,	2,	1),
(98695,	7,	23,	3,	1),
(98696,	7,	23,	7,	1),
(98697,	7,	23,	8,	1),
(98698,	7,	23,	9,	1),
(98699,	7,	23,	10,	1),
(98700,	7,	23,	11,	1),
(98701,	7,	23,	12,	1),
(98702,	7,	23,	13,	1),
(98703,	7,	23,	14,	1),
(98704,	7,	23,	15,	1),
(98705,	7,	23,	16,	1),
(98706,	7,	23,	17,	1),
(98707,	7,	23,	18,	1),
(98708,	7,	23,	19,	1),
(98709,	7,	23,	20,	1),
(98710,	7,	23,	21,	1),
(98711,	7,	23,	22,	1),
(98712,	7,	24,	1,	1),
(98713,	7,	24,	2,	1),
(98714,	7,	24,	3,	1),
(98715,	7,	24,	7,	1),
(98716,	7,	24,	8,	1),
(98717,	7,	24,	9,	1),
(98718,	7,	24,	10,	1),
(98719,	7,	24,	11,	1),
(98720,	7,	24,	12,	1),
(98721,	7,	24,	13,	1),
(98722,	7,	24,	14,	1),
(98723,	7,	24,	15,	1),
(98724,	7,	24,	16,	1),
(98725,	7,	24,	17,	1),
(98726,	7,	24,	18,	1),
(98727,	7,	24,	19,	1),
(98728,	7,	24,	20,	1),
(98729,	7,	24,	21,	1),
(98730,	7,	24,	22,	1),
(98731,	7,	25,	1,	1),
(98732,	7,	25,	2,	1),
(98733,	7,	25,	3,	1),
(98734,	7,	25,	7,	1),
(98735,	7,	25,	8,	1),
(98736,	7,	25,	9,	1),
(98737,	7,	25,	10,	1),
(98738,	7,	25,	11,	1),
(98739,	7,	25,	12,	1),
(98740,	7,	25,	13,	1),
(98741,	7,	25,	14,	1),
(98742,	7,	25,	15,	1),
(98743,	7,	25,	16,	1),
(98744,	7,	25,	17,	1),
(98745,	7,	25,	18,	1),
(98746,	7,	25,	19,	1),
(98747,	7,	25,	20,	1),
(98748,	7,	25,	21,	1),
(98749,	7,	25,	22,	1),
(98750,	7,	26,	1,	1),
(98751,	7,	26,	2,	1),
(98752,	7,	26,	3,	1),
(98753,	7,	26,	7,	1),
(98754,	7,	26,	8,	1),
(98755,	7,	26,	9,	1),
(98756,	7,	26,	10,	1),
(98757,	7,	26,	11,	1),
(98758,	7,	26,	12,	1),
(98759,	7,	26,	13,	1),
(98760,	7,	26,	14,	1),
(98761,	7,	26,	15,	1),
(98762,	7,	26,	16,	1),
(98763,	7,	26,	17,	1),
(98764,	7,	26,	18,	1),
(98765,	7,	26,	19,	1),
(98766,	7,	26,	20,	1),
(98767,	7,	26,	21,	1),
(98768,	7,	26,	22,	1),
(98769,	7,	27,	1,	1),
(98770,	7,	27,	2,	1),
(98771,	7,	27,	3,	1),
(98772,	7,	27,	7,	1),
(98773,	7,	27,	8,	1),
(98774,	7,	27,	9,	1),
(98775,	7,	27,	10,	1),
(98776,	7,	27,	11,	1),
(98777,	7,	27,	12,	1),
(98778,	7,	27,	13,	1),
(98779,	7,	27,	14,	1),
(98780,	7,	27,	15,	1),
(98781,	7,	27,	16,	1),
(98782,	7,	27,	17,	1),
(98783,	7,	27,	18,	1),
(98784,	7,	27,	19,	1),
(98785,	7,	27,	20,	1),
(98786,	7,	27,	21,	1),
(98787,	7,	27,	22,	1),
(98788,	7,	28,	1,	1),
(98789,	7,	28,	2,	1),
(98790,	7,	28,	3,	1),
(98791,	7,	28,	7,	1),
(98792,	7,	28,	8,	1),
(98793,	7,	28,	9,	1),
(98794,	7,	28,	10,	1),
(98795,	7,	28,	11,	1),
(98796,	7,	28,	12,	1),
(98797,	7,	28,	13,	1),
(98798,	7,	28,	14,	1),
(98799,	7,	28,	15,	1),
(98800,	7,	28,	16,	1),
(98801,	7,	28,	17,	1),
(98802,	7,	28,	18,	1),
(98803,	7,	28,	19,	1),
(98804,	7,	28,	20,	1),
(98805,	7,	28,	21,	1),
(98806,	7,	28,	22,	1),
(98807,	7,	29,	7,	1),
(98808,	7,	29,	9,	1),
(98809,	7,	29,	11,	1),
(98810,	7,	29,	12,	1),
(98811,	7,	29,	13,	1),
(98812,	7,	29,	14,	1),
(98813,	7,	29,	15,	1),
(98814,	7,	29,	16,	1),
(98815,	7,	29,	17,	1),
(98816,	7,	29,	18,	1),
(98817,	7,	29,	19,	1),
(98818,	7,	29,	20,	1),
(98819,	7,	29,	21,	1),
(98820,	7,	29,	22,	1),
(98821,	7,	30,	1,	1),
(98822,	7,	30,	2,	1),
(98823,	7,	30,	3,	1),
(98824,	7,	30,	7,	1),
(98825,	7,	30,	8,	1),
(98826,	7,	30,	9,	1),
(98827,	7,	30,	10,	1),
(98828,	7,	30,	11,	1),
(98829,	7,	30,	12,	1),
(98830,	7,	30,	13,	1),
(98831,	7,	30,	14,	1),
(98832,	7,	30,	15,	1),
(98833,	7,	30,	16,	1),
(98834,	7,	30,	17,	1),
(98835,	7,	30,	18,	1),
(98836,	7,	30,	19,	1),
(98837,	7,	30,	20,	1),
(98838,	7,	30,	21,	1),
(98839,	7,	30,	22,	1),
(98840,	7,	31,	1,	1),
(98841,	7,	31,	2,	1),
(98842,	7,	31,	3,	1),
(98843,	7,	31,	7,	1),
(98844,	7,	31,	8,	1),
(98845,	7,	31,	9,	1),
(98846,	7,	31,	10,	1),
(98847,	7,	31,	11,	1),
(98848,	7,	31,	12,	1),
(98849,	7,	31,	13,	1),
(98850,	7,	31,	14,	1),
(98851,	7,	31,	15,	1),
(98852,	7,	31,	16,	1),
(98853,	7,	31,	17,	1),
(98854,	7,	31,	18,	1),
(98855,	7,	31,	19,	1),
(98856,	7,	31,	20,	1),
(98857,	7,	31,	21,	1),
(98858,	7,	31,	22,	1),
(98859,	7,	32,	1,	1),
(98860,	7,	32,	2,	1),
(98861,	7,	32,	3,	1),
(98862,	7,	32,	7,	1),
(98863,	7,	32,	8,	1),
(98864,	7,	32,	9,	1),
(98865,	7,	32,	10,	1),
(98866,	7,	32,	11,	1),
(98867,	7,	32,	12,	1),
(98868,	7,	32,	13,	1),
(98869,	7,	32,	14,	1),
(98870,	7,	32,	15,	1),
(98871,	7,	32,	16,	1),
(98872,	7,	32,	17,	1),
(98873,	7,	32,	18,	1),
(98874,	7,	32,	19,	1),
(98875,	7,	32,	20,	1),
(98876,	7,	32,	21,	1),
(98877,	7,	32,	22,	1),
(98878,	7,	33,	1,	1),
(98879,	7,	33,	2,	1),
(98880,	7,	33,	3,	1),
(98881,	7,	33,	7,	1),
(98882,	7,	33,	8,	1),
(98883,	7,	33,	9,	1),
(98884,	7,	33,	10,	1),
(98885,	7,	33,	11,	1),
(98886,	7,	33,	12,	1),
(98887,	7,	33,	13,	1),
(98888,	7,	33,	14,	1),
(98889,	7,	33,	15,	1),
(98890,	7,	33,	16,	1),
(98891,	7,	33,	17,	1),
(98892,	7,	33,	18,	1),
(98893,	7,	33,	19,	1),
(98894,	7,	33,	20,	1),
(98895,	7,	33,	21,	1),
(98896,	7,	33,	22,	1),
(98897,	7,	34,	1,	1),
(98898,	7,	34,	2,	1),
(98899,	7,	34,	3,	1),
(98900,	7,	34,	7,	1),
(98902,	7,	34,	9,	1),
(98904,	7,	34,	11,	1),
(98905,	7,	34,	12,	1),
(98906,	7,	34,	13,	1),
(98908,	7,	34,	15,	1),
(98909,	7,	34,	16,	1),
(98913,	7,	34,	20,	1),
(98914,	7,	34,	21,	1),
(98915,	7,	34,	22,	1),
(98917,	7,	35,	1,	1),
(98918,	7,	35,	2,	1),
(98919,	7,	35,	3,	1),
(98920,	7,	35,	7,	1),
(98921,	7,	35,	8,	1),
(98922,	7,	35,	9,	1),
(98923,	7,	35,	10,	1),
(98924,	7,	35,	11,	1),
(98925,	7,	35,	12,	1),
(98926,	7,	35,	13,	1),
(98927,	7,	35,	14,	1),
(98928,	7,	35,	15,	1),
(98929,	7,	35,	16,	1),
(98930,	7,	35,	17,	1),
(98931,	7,	35,	18,	1),
(98932,	7,	35,	19,	1),
(98933,	7,	35,	20,	1),
(98934,	7,	35,	21,	1),
(98935,	7,	35,	22,	1),
(98936,	7,	36,	1,	1),
(98937,	7,	36,	2,	1),
(98938,	7,	36,	3,	1),
(98939,	7,	36,	7,	1),
(98940,	7,	36,	8,	1),
(98941,	7,	36,	9,	1),
(98942,	7,	36,	10,	1),
(98943,	7,	36,	11,	1),
(98944,	7,	36,	12,	1),
(98945,	7,	36,	13,	1),
(98946,	7,	36,	14,	1),
(98947,	7,	36,	15,	1),
(98948,	7,	36,	16,	1),
(98949,	7,	36,	17,	1),
(98950,	7,	36,	18,	1),
(98951,	7,	36,	19,	1),
(98952,	7,	36,	20,	1),
(98953,	7,	36,	21,	1),
(98954,	7,	36,	22,	1),
(98955,	7,	37,	1,	1),
(98956,	7,	37,	2,	1),
(98957,	7,	37,	3,	1),
(98958,	7,	37,	7,	1),
(98959,	7,	37,	8,	1),
(98960,	7,	37,	9,	1),
(98961,	7,	37,	10,	1),
(98962,	7,	37,	11,	1),
(98963,	7,	37,	12,	1),
(98964,	7,	37,	13,	1),
(98965,	7,	37,	14,	1),
(98966,	7,	37,	15,	1),
(98967,	7,	37,	16,	1),
(98968,	7,	37,	17,	1),
(98969,	7,	37,	18,	1),
(98970,	7,	37,	19,	1),
(98971,	7,	37,	20,	1),
(98972,	7,	37,	21,	1),
(98973,	7,	37,	22,	1),
(98974,	7,	38,	1,	1),
(98975,	7,	38,	2,	1),
(98976,	7,	38,	3,	1),
(98977,	7,	38,	7,	1),
(98978,	7,	38,	8,	1),
(98979,	7,	38,	9,	1),
(98980,	7,	38,	10,	1),
(98981,	7,	38,	11,	1),
(98982,	7,	38,	12,	1),
(98983,	7,	38,	13,	1),
(98984,	7,	38,	14,	1),
(98985,	7,	38,	15,	1),
(98986,	7,	38,	16,	1),
(98987,	7,	38,	17,	1),
(98988,	7,	38,	18,	1),
(98989,	7,	38,	19,	1),
(98990,	7,	38,	20,	1),
(98991,	7,	38,	21,	1),
(98992,	7,	38,	22,	1),
(98993,	7,	39,	1,	1),
(98994,	7,	39,	2,	1),
(98995,	7,	39,	3,	1),
(98996,	7,	39,	7,	1),
(98997,	7,	39,	8,	1),
(98998,	7,	39,	9,	1),
(98999,	7,	39,	10,	1),
(99000,	7,	39,	11,	1),
(99001,	7,	39,	12,	1),
(99002,	7,	39,	13,	1),
(99003,	7,	39,	14,	1),
(99004,	7,	39,	15,	1),
(99005,	7,	39,	16,	1),
(99006,	7,	39,	17,	1),
(99007,	7,	39,	18,	1),
(99008,	7,	39,	19,	1),
(99009,	7,	39,	20,	1),
(99010,	7,	39,	21,	1),
(99011,	7,	39,	22,	1),
(99012,	7,	40,	1,	1),
(99013,	7,	40,	2,	1),
(99014,	7,	40,	3,	1),
(99015,	7,	40,	7,	1),
(99016,	7,	40,	8,	1),
(99017,	7,	40,	9,	1),
(99018,	7,	40,	10,	1),
(99019,	7,	40,	11,	1),
(99020,	7,	40,	12,	1),
(99021,	7,	40,	13,	1),
(99022,	7,	40,	14,	1),
(99023,	7,	40,	15,	1),
(99024,	7,	40,	16,	1),
(99025,	7,	40,	17,	1),
(99026,	7,	40,	18,	1),
(99027,	7,	40,	19,	1),
(99028,	7,	40,	20,	1),
(99029,	7,	40,	21,	1),
(99030,	7,	40,	22,	1),
(99031,	7,	41,	1,	1),
(99032,	7,	41,	2,	1),
(99033,	7,	41,	3,	1),
(99034,	7,	41,	7,	1),
(99035,	7,	41,	8,	1),
(99036,	7,	41,	9,	1),
(99037,	7,	41,	10,	1),
(99038,	7,	41,	11,	1),
(99039,	7,	41,	12,	1),
(99040,	7,	41,	13,	1),
(99041,	7,	41,	14,	1),
(99042,	7,	41,	15,	1),
(99043,	7,	41,	16,	1),
(99044,	7,	41,	17,	1),
(99045,	7,	41,	18,	1),
(99046,	7,	41,	19,	1),
(99047,	7,	41,	20,	1),
(99048,	7,	41,	21,	1),
(99049,	7,	41,	22,	1),
(99050,	7,	42,	1,	1),
(99051,	7,	42,	2,	1),
(99052,	7,	42,	3,	1),
(99053,	7,	42,	7,	1),
(99054,	7,	42,	8,	1),
(99055,	7,	42,	9,	1),
(99056,	7,	42,	10,	1),
(99057,	7,	42,	11,	1),
(99058,	7,	42,	12,	1),
(99059,	7,	42,	13,	1),
(99060,	7,	42,	14,	1),
(99061,	7,	42,	15,	1),
(99062,	7,	42,	16,	1),
(99063,	7,	42,	17,	1),
(99064,	7,	42,	18,	1),
(99065,	7,	42,	19,	1),
(99066,	7,	42,	20,	1),
(99067,	7,	42,	21,	1),
(99068,	7,	42,	22,	1),
(99069,	7,	43,	1,	1),
(99070,	7,	43,	2,	1),
(99071,	7,	43,	3,	1),
(99072,	7,	43,	7,	1),
(99073,	7,	43,	8,	1),
(99074,	7,	43,	9,	1),
(99075,	7,	43,	10,	1),
(99076,	7,	43,	11,	1),
(99077,	7,	43,	12,	1),
(99078,	7,	43,	13,	1),
(99079,	7,	43,	14,	1),
(99080,	7,	43,	15,	1),
(99081,	7,	43,	16,	1),
(99082,	7,	43,	17,	1),
(99083,	7,	43,	18,	1),
(99084,	7,	43,	19,	1),
(99085,	7,	43,	20,	1),
(99086,	7,	43,	21,	1),
(99087,	7,	43,	22,	1),
(99088,	7,	44,	1,	1),
(99089,	7,	44,	2,	1),
(99090,	7,	44,	3,	1),
(99091,	7,	44,	7,	1),
(99092,	7,	44,	8,	1),
(99093,	7,	44,	9,	1),
(99094,	7,	44,	10,	1),
(99095,	7,	44,	11,	1),
(99096,	7,	44,	12,	1),
(99097,	7,	44,	13,	1),
(99098,	7,	44,	14,	1),
(99099,	7,	44,	15,	1),
(99100,	7,	44,	16,	1),
(99101,	7,	44,	17,	1),
(99102,	7,	44,	18,	1),
(99103,	7,	44,	19,	1),
(99104,	7,	44,	20,	1),
(99105,	7,	44,	21,	1),
(99106,	7,	44,	22,	1),
(99107,	7,	44,	23,	1),
(99108,	7,	45,	1,	1),
(99109,	7,	45,	2,	1),
(99110,	7,	45,	3,	1),
(99111,	7,	45,	7,	1),
(99112,	7,	45,	8,	1),
(99113,	7,	45,	9,	1),
(99114,	7,	45,	10,	1),
(99115,	7,	45,	11,	1),
(99116,	7,	45,	12,	1),
(99117,	7,	45,	13,	1),
(99118,	7,	45,	14,	1),
(99119,	7,	45,	15,	1),
(99120,	7,	45,	16,	1),
(99121,	7,	45,	17,	1),
(99122,	7,	45,	18,	1),
(99123,	7,	45,	19,	1),
(99124,	7,	45,	20,	1),
(99125,	7,	45,	21,	1),
(99126,	7,	45,	22,	1),
(99127,	7,	46,	1,	1),
(99128,	7,	46,	2,	1),
(99129,	7,	46,	3,	1),
(99130,	7,	46,	7,	1),
(99131,	7,	46,	8,	1),
(99132,	7,	46,	9,	1),
(99133,	7,	46,	10,	1),
(99134,	7,	46,	11,	1),
(99135,	7,	46,	12,	1),
(99136,	7,	46,	13,	1),
(99137,	7,	46,	14,	1),
(99138,	7,	46,	15,	1),
(99139,	7,	46,	16,	1),
(99140,	7,	46,	17,	1),
(99141,	7,	46,	18,	1),
(99142,	7,	46,	19,	1),
(99143,	7,	46,	20,	1),
(99144,	7,	46,	21,	1),
(99145,	7,	46,	22,	1),
(99146,	7,	46,	23,	1),
(99147,	7,	47,	1,	1),
(99148,	7,	47,	2,	1),
(99149,	7,	47,	3,	1),
(99150,	7,	47,	7,	1),
(99151,	7,	47,	8,	1),
(99152,	7,	47,	9,	1),
(99153,	7,	47,	10,	1),
(99154,	7,	47,	11,	1),
(99155,	7,	47,	12,	1),
(99156,	7,	47,	13,	1),
(99157,	7,	47,	14,	1),
(99158,	7,	47,	15,	1),
(99159,	7,	47,	16,	1),
(99160,	7,	47,	17,	1),
(99161,	7,	47,	18,	1),
(99162,	7,	47,	19,	1),
(99163,	7,	47,	20,	1),
(99164,	7,	47,	21,	1),
(99165,	7,	47,	22,	1),
(99166,	7,	48,	7,	1),
(99167,	7,	48,	9,	1),
(99168,	7,	48,	11,	1),
(99169,	7,	48,	12,	1),
(99170,	7,	48,	13,	1),
(99171,	7,	48,	14,	1),
(99172,	7,	48,	15,	1),
(99173,	7,	48,	16,	1),
(99174,	7,	48,	20,	1),
(99175,	7,	48,	21,	1),
(99176,	7,	48,	22,	1),
(99177,	7,	49,	1,	1),
(99178,	7,	49,	2,	1),
(99179,	7,	49,	3,	1),
(99180,	7,	49,	7,	1),
(99181,	7,	49,	8,	1),
(99182,	7,	49,	9,	1),
(99183,	7,	49,	10,	1),
(99184,	7,	49,	11,	1),
(99185,	7,	49,	12,	1),
(99186,	7,	49,	13,	1),
(99187,	7,	49,	14,	1),
(99188,	7,	49,	15,	1),
(99189,	7,	49,	16,	1),
(99190,	7,	49,	17,	1),
(99191,	7,	49,	18,	1),
(99192,	7,	49,	19,	1),
(99193,	7,	49,	20,	1),
(99194,	7,	49,	21,	1),
(99195,	7,	49,	22,	1),
(99196,	7,	50,	1,	1),
(99197,	7,	50,	2,	1),
(99198,	7,	50,	3,	1),
(99199,	7,	50,	7,	1),
(99200,	7,	50,	8,	1),
(99201,	7,	50,	9,	1),
(99202,	7,	50,	10,	1),
(99203,	7,	50,	11,	1),
(99204,	7,	50,	12,	1),
(99205,	7,	50,	13,	1),
(99206,	7,	50,	14,	1),
(99207,	7,	50,	15,	1),
(99208,	7,	50,	16,	1),
(99209,	7,	50,	17,	1),
(99210,	7,	50,	18,	1),
(99211,	7,	50,	19,	1),
(99212,	7,	50,	20,	1),
(99213,	7,	50,	21,	1),
(99214,	7,	50,	22,	1),
(99215,	7,	51,	7,	1),
(99216,	7,	51,	9,	1),
(99217,	7,	51,	11,	1),
(99218,	7,	51,	12,	1),
(99219,	7,	51,	13,	1),
(99220,	7,	51,	14,	1),
(99221,	7,	51,	15,	1),
(99222,	7,	51,	16,	1),
(99223,	7,	51,	17,	1),
(99224,	7,	51,	20,	1),
(99225,	7,	51,	21,	1),
(99226,	7,	51,	22,	1),
(99227,	7,	52,	1,	1),
(99228,	7,	52,	2,	1),
(99229,	7,	52,	3,	1),
(99230,	7,	52,	7,	1),
(99231,	7,	52,	8,	1),
(99232,	7,	52,	9,	1),
(99233,	7,	52,	10,	1),
(99234,	7,	52,	11,	1),
(99235,	7,	52,	12,	1),
(99236,	7,	52,	13,	1),
(99237,	7,	52,	14,	1),
(99238,	7,	52,	15,	1),
(99239,	7,	52,	16,	1),
(99240,	7,	52,	17,	1),
(99241,	7,	52,	18,	1),
(99242,	7,	52,	19,	1),
(99243,	7,	52,	20,	1),
(99244,	7,	52,	21,	1),
(99245,	7,	52,	22,	1),
(99246,	7,	53,	1,	1),
(99247,	7,	53,	2,	1),
(99248,	7,	53,	3,	1),
(99249,	7,	53,	7,	1),
(99250,	7,	53,	8,	1),
(99251,	7,	53,	9,	1),
(99252,	7,	53,	10,	1),
(99253,	7,	53,	11,	1),
(99254,	7,	53,	12,	1),
(99255,	7,	53,	13,	1),
(99256,	7,	53,	14,	1),
(99257,	7,	53,	15,	1),
(99258,	7,	53,	16,	1),
(99259,	7,	53,	17,	1),
(99260,	7,	53,	18,	1),
(99261,	7,	53,	19,	1),
(99262,	7,	53,	20,	1),
(99263,	7,	53,	21,	1),
(99264,	7,	53,	22,	1),
(99265,	7,	54,	1,	1),
(99266,	7,	54,	2,	1),
(99267,	7,	54,	3,	1),
(99268,	7,	54,	7,	1),
(99269,	7,	54,	8,	1),
(99270,	7,	54,	9,	1),
(99271,	7,	54,	10,	1),
(99272,	7,	54,	11,	1),
(99273,	7,	54,	12,	1),
(99274,	7,	54,	13,	1),
(99275,	7,	54,	14,	1),
(99276,	7,	54,	15,	1),
(99277,	7,	54,	16,	1),
(99278,	7,	54,	17,	1),
(99279,	7,	54,	18,	1),
(99280,	7,	54,	19,	1),
(99281,	7,	54,	20,	1),
(99282,	7,	54,	21,	1),
(99283,	7,	54,	22,	1),
(99284,	7,	55,	1,	1),
(99285,	7,	55,	2,	1),
(99286,	7,	55,	3,	1),
(99287,	7,	55,	7,	1),
(99288,	7,	55,	8,	1),
(99289,	7,	55,	9,	1),
(99290,	7,	55,	10,	1),
(99291,	7,	55,	11,	1),
(99292,	7,	55,	12,	1),
(99293,	7,	55,	13,	1),
(99294,	7,	55,	14,	1),
(99295,	7,	55,	15,	1),
(99296,	7,	55,	16,	1),
(99297,	7,	55,	17,	1),
(99298,	7,	55,	18,	1),
(99299,	7,	55,	19,	1),
(99300,	7,	55,	20,	1),
(99301,	7,	55,	21,	1),
(99302,	7,	55,	22,	1),
(99303,	7,	56,	1,	1),
(99304,	7,	56,	2,	1),
(99305,	7,	56,	3,	1),
(99306,	7,	56,	7,	1),
(99307,	7,	56,	8,	1),
(99308,	7,	56,	9,	1),
(99309,	7,	56,	10,	1),
(99310,	7,	56,	11,	1),
(99311,	7,	56,	12,	1),
(99312,	7,	56,	13,	1),
(99313,	7,	56,	14,	1),
(99314,	7,	56,	15,	1),
(99315,	7,	56,	16,	1),
(99316,	7,	56,	17,	1),
(99317,	7,	56,	18,	1),
(99318,	7,	56,	19,	1),
(99319,	7,	56,	20,	1),
(99320,	7,	56,	21,	1),
(99321,	7,	56,	22,	1),
(99322,	7,	57,	1,	1),
(99323,	7,	57,	2,	1),
(99324,	7,	57,	3,	1),
(99325,	7,	57,	7,	1),
(99326,	7,	57,	8,	1),
(99327,	7,	57,	9,	1),
(99328,	7,	57,	10,	1),
(99329,	7,	57,	11,	1),
(99330,	7,	57,	12,	1),
(99331,	7,	57,	13,	1),
(99332,	7,	57,	14,	1),
(99333,	7,	57,	15,	1),
(99334,	7,	57,	16,	1),
(99335,	7,	57,	17,	1),
(99336,	7,	57,	18,	1),
(99337,	7,	57,	19,	1),
(99338,	7,	57,	20,	1),
(99339,	7,	57,	21,	1),
(99340,	7,	57,	22,	1),
(99341,	7,	58,	1,	1),
(99342,	7,	58,	2,	1),
(99343,	7,	58,	3,	1),
(99344,	7,	58,	7,	1),
(99345,	7,	58,	8,	1),
(99346,	7,	58,	9,	1),
(99347,	7,	58,	10,	1),
(99348,	7,	58,	11,	1),
(99349,	7,	58,	12,	1),
(99350,	7,	58,	13,	1),
(99351,	7,	58,	14,	1),
(99352,	7,	58,	15,	1),
(99353,	7,	58,	16,	1),
(99354,	7,	58,	17,	1),
(99355,	7,	58,	18,	1),
(99356,	7,	58,	19,	1),
(99357,	7,	58,	20,	1),
(99358,	7,	58,	21,	1),
(99359,	7,	58,	22,	1),
(99360,	7,	59,	1,	1),
(99361,	7,	59,	2,	1),
(99362,	7,	59,	3,	1),
(99363,	7,	59,	7,	1),
(99364,	7,	59,	8,	1),
(99365,	7,	59,	9,	1),
(99366,	7,	59,	10,	1),
(99367,	7,	59,	11,	1),
(99368,	7,	59,	12,	1),
(99369,	7,	59,	13,	1),
(99370,	7,	59,	14,	1),
(99371,	7,	59,	15,	1),
(99372,	7,	59,	16,	1),
(99373,	7,	59,	17,	1),
(99374,	7,	59,	18,	1),
(99375,	7,	59,	19,	1),
(99376,	7,	59,	20,	1),
(99377,	7,	59,	21,	1),
(99378,	7,	59,	22,	1),
(99379,	7,	60,	1,	1),
(99380,	7,	60,	2,	1),
(99381,	7,	60,	3,	1),
(99382,	7,	60,	7,	1),
(99383,	7,	60,	8,	1),
(99384,	7,	60,	9,	1),
(99385,	7,	60,	10,	1),
(99386,	7,	60,	11,	1),
(99387,	7,	60,	12,	1),
(99388,	7,	60,	13,	1),
(99389,	7,	60,	14,	1),
(99390,	7,	60,	15,	1),
(99391,	7,	60,	16,	1),
(99392,	7,	60,	17,	1),
(99393,	7,	60,	18,	1),
(99394,	7,	60,	19,	1),
(99395,	7,	60,	20,	1),
(99396,	7,	60,	21,	1),
(99397,	7,	60,	22,	1),
(99398,	7,	61,	1,	1),
(99399,	7,	61,	2,	1),
(99400,	7,	61,	3,	1),
(99401,	7,	61,	7,	1),
(99402,	7,	61,	8,	1),
(99403,	7,	61,	9,	1),
(99404,	7,	61,	10,	1),
(99405,	7,	61,	11,	1),
(99406,	7,	61,	12,	1),
(99407,	7,	61,	13,	1),
(99408,	7,	61,	14,	1),
(99409,	7,	61,	15,	1),
(99410,	7,	61,	16,	1),
(99411,	7,	61,	17,	1),
(99412,	7,	61,	18,	1),
(99413,	7,	61,	19,	1),
(99414,	7,	61,	20,	1),
(99415,	7,	61,	21,	1),
(99416,	7,	61,	22,	1),
(99417,	7,	62,	1,	1),
(99418,	7,	62,	2,	1),
(99419,	7,	62,	3,	1),
(99420,	7,	62,	7,	1),
(99421,	7,	62,	8,	1),
(99422,	7,	62,	9,	1),
(99423,	7,	62,	10,	1),
(99424,	7,	62,	11,	1),
(99425,	7,	62,	12,	1),
(99426,	7,	62,	13,	1),
(99427,	7,	62,	14,	1),
(99428,	7,	62,	15,	1),
(99429,	7,	62,	16,	1),
(99430,	7,	62,	17,	1),
(99431,	7,	62,	18,	1),
(99432,	7,	62,	19,	1),
(99433,	7,	62,	20,	1),
(99434,	7,	62,	21,	1),
(99435,	7,	62,	22,	1),
(99436,	7,	63,	1,	1),
(99437,	7,	63,	2,	1),
(99438,	7,	63,	3,	1),
(99439,	7,	63,	7,	1),
(99440,	7,	63,	8,	1),
(99441,	7,	63,	9,	1),
(99442,	7,	63,	10,	1),
(99443,	7,	63,	11,	1),
(99444,	7,	63,	12,	1),
(99445,	7,	63,	13,	1),
(99446,	7,	63,	14,	1),
(99447,	7,	63,	15,	1),
(99448,	7,	63,	16,	1),
(99449,	7,	63,	17,	1),
(99450,	7,	63,	18,	1),
(99451,	7,	63,	19,	1),
(99452,	7,	63,	20,	1),
(99453,	7,	63,	21,	1),
(99454,	7,	63,	22,	1),
(99455,	7,	64,	1,	1),
(99456,	7,	64,	2,	1),
(99457,	7,	64,	3,	1),
(99458,	7,	64,	7,	1),
(99459,	7,	64,	8,	1),
(99460,	7,	64,	9,	1),
(99461,	7,	64,	10,	1),
(99462,	7,	64,	11,	1),
(99463,	7,	64,	12,	1),
(99464,	7,	64,	13,	1),
(99465,	7,	64,	14,	1),
(99466,	7,	64,	15,	1),
(99467,	7,	64,	16,	1),
(99468,	7,	64,	17,	1),
(99469,	7,	64,	18,	1),
(99470,	7,	64,	19,	1),
(99471,	7,	64,	20,	1),
(99472,	7,	64,	21,	1),
(99473,	7,	64,	22,	1),
(99474,	7,	65,	1,	1),
(99475,	7,	65,	2,	1),
(99476,	7,	65,	3,	1),
(99477,	7,	65,	7,	1),
(99478,	7,	65,	8,	1),
(99479,	7,	65,	9,	1),
(99480,	7,	65,	10,	1),
(99481,	7,	65,	11,	1),
(99482,	7,	65,	12,	1),
(99483,	7,	65,	13,	1),
(99484,	7,	65,	14,	1),
(99485,	7,	65,	15,	1),
(99486,	7,	65,	16,	1),
(99487,	7,	65,	17,	1),
(99488,	7,	65,	18,	1),
(99489,	7,	65,	19,	1),
(99490,	7,	65,	20,	1),
(99491,	7,	65,	21,	1),
(99492,	7,	65,	22,	1),
(99493,	7,	66,	1,	1),
(99494,	7,	66,	2,	1),
(99495,	7,	66,	3,	1),
(99496,	7,	66,	7,	1),
(99497,	7,	66,	8,	1),
(99498,	7,	66,	9,	1),
(99499,	7,	66,	10,	1),
(99500,	7,	66,	11,	1),
(99501,	7,	66,	12,	1),
(99502,	7,	66,	13,	1),
(99503,	7,	66,	14,	1),
(99504,	7,	66,	15,	1),
(99505,	7,	66,	16,	1),
(99506,	7,	66,	17,	1),
(99507,	7,	66,	18,	1),
(99508,	7,	66,	19,	1),
(99509,	7,	66,	20,	1),
(99510,	7,	66,	21,	1),
(99511,	7,	66,	22,	1),
(99512,	7,	67,	1,	1),
(99513,	7,	67,	2,	1),
(99514,	7,	67,	3,	1),
(99515,	7,	67,	7,	1),
(99516,	7,	67,	8,	1),
(99517,	7,	67,	9,	1),
(99518,	7,	67,	10,	1),
(99519,	7,	67,	11,	1),
(99520,	7,	67,	12,	1),
(99521,	7,	67,	13,	1),
(99522,	7,	67,	14,	1),
(99523,	7,	67,	15,	1),
(99524,	7,	67,	16,	1),
(99525,	7,	67,	17,	1),
(99526,	7,	67,	18,	1),
(99527,	7,	67,	19,	1),
(99528,	7,	67,	20,	1),
(99529,	7,	67,	21,	1),
(99530,	7,	67,	22,	1),
(99531,	7,	68,	1,	1),
(99532,	7,	68,	2,	1),
(99533,	7,	68,	3,	1),
(99534,	7,	68,	7,	1),
(99535,	7,	68,	8,	1),
(99536,	7,	68,	9,	1),
(99537,	7,	68,	10,	1),
(99538,	7,	68,	11,	1),
(99539,	7,	68,	12,	1),
(99540,	7,	68,	13,	1),
(99541,	7,	68,	14,	1),
(99542,	7,	68,	15,	1),
(99543,	7,	68,	16,	1),
(99544,	7,	68,	17,	1),
(99545,	7,	68,	18,	1),
(99546,	7,	68,	19,	1),
(99547,	7,	68,	20,	1),
(99548,	7,	68,	21,	1),
(99549,	7,	68,	22,	1),
(99550,	7,	69,	1,	1),
(99551,	7,	69,	2,	1),
(99552,	7,	69,	3,	1),
(99553,	7,	69,	7,	1),
(99554,	7,	69,	8,	1),
(99555,	7,	69,	9,	1),
(99556,	7,	69,	10,	1),
(99557,	7,	69,	11,	1),
(99558,	7,	69,	12,	1),
(99559,	7,	69,	13,	1),
(99560,	7,	69,	14,	1),
(99561,	7,	69,	15,	1),
(99562,	7,	69,	16,	1),
(99563,	7,	69,	17,	1),
(99564,	7,	69,	18,	1),
(99565,	7,	69,	19,	1),
(99566,	7,	69,	20,	1),
(99567,	7,	69,	21,	1),
(99568,	7,	69,	22,	1),
(99569,	7,	70,	1,	1),
(99570,	7,	70,	2,	1),
(99571,	7,	70,	3,	1),
(99572,	7,	70,	7,	1),
(99573,	7,	70,	8,	1),
(99574,	7,	70,	9,	1),
(99575,	7,	70,	10,	1),
(99576,	7,	70,	11,	1),
(99577,	7,	70,	12,	1),
(99578,	7,	70,	13,	1),
(99579,	7,	70,	14,	1),
(99580,	7,	70,	15,	1),
(99581,	7,	70,	16,	1),
(99582,	7,	70,	17,	1),
(99583,	7,	70,	18,	1),
(99584,	7,	70,	19,	1),
(99585,	7,	70,	20,	1),
(99586,	7,	70,	21,	1),
(99587,	7,	70,	22,	1),
(99588,	7,	71,	1,	1),
(99589,	7,	71,	2,	1),
(99590,	7,	71,	3,	1),
(99591,	7,	71,	7,	1),
(99592,	7,	71,	8,	1),
(99593,	7,	71,	9,	1),
(99594,	7,	71,	10,	1),
(99595,	7,	71,	11,	1),
(99596,	7,	71,	12,	1),
(99597,	7,	71,	13,	1),
(99598,	7,	71,	14,	1),
(99599,	7,	71,	15,	1),
(99600,	7,	71,	16,	1),
(99601,	7,	71,	17,	1),
(99602,	7,	71,	18,	1),
(99603,	7,	71,	19,	1),
(99604,	7,	71,	20,	1),
(99605,	7,	71,	21,	1),
(99606,	7,	71,	22,	1),
(99607,	7,	72,	1,	1),
(99608,	7,	72,	2,	1),
(99609,	7,	72,	3,	1),
(99610,	7,	72,	7,	1),
(99611,	7,	72,	8,	1),
(99612,	7,	72,	9,	1),
(99613,	7,	72,	10,	1),
(99614,	7,	72,	11,	1),
(99615,	7,	72,	12,	1),
(99616,	7,	72,	13,	1),
(99617,	7,	72,	14,	1),
(99618,	7,	72,	15,	1),
(99619,	7,	72,	16,	1),
(99620,	7,	72,	17,	1),
(99621,	7,	72,	18,	1),
(99622,	7,	72,	19,	1),
(99623,	7,	72,	20,	1),
(99624,	7,	72,	21,	1),
(99625,	7,	72,	22,	1),
(99626,	7,	73,	2,	1),
(99627,	7,	73,	3,	1),
(99628,	7,	73,	7,	1),
(99629,	7,	73,	9,	1),
(99630,	7,	73,	10,	1),
(99631,	7,	73,	11,	1),
(99632,	7,	73,	12,	1),
(99633,	7,	73,	13,	1),
(99634,	7,	73,	14,	1),
(99635,	7,	73,	15,	1),
(99636,	7,	73,	16,	1),
(99637,	7,	73,	17,	1),
(99638,	7,	73,	18,	1),
(99639,	7,	73,	19,	1),
(99640,	7,	73,	20,	1),
(99641,	7,	73,	21,	1),
(99642,	7,	73,	22,	1),
(99643,	7,	73,	23,	1),
(99644,	7,	74,	1,	1),
(99645,	7,	74,	2,	1),
(99646,	7,	74,	3,	1),
(99647,	7,	74,	7,	1),
(99648,	7,	74,	8,	1),
(99649,	7,	74,	9,	1),
(99650,	7,	74,	10,	1),
(99651,	7,	74,	11,	1),
(99652,	7,	74,	12,	1),
(99653,	7,	74,	13,	1),
(99654,	7,	74,	14,	1),
(99655,	7,	74,	15,	1),
(99656,	7,	74,	16,	1),
(99657,	7,	74,	17,	1),
(99658,	7,	74,	18,	1),
(99659,	7,	74,	19,	1),
(99660,	7,	74,	20,	1),
(99661,	7,	74,	21,	1),
(99662,	7,	74,	22,	1),
(99663,	7,	75,	1,	1),
(99664,	7,	75,	2,	1),
(99665,	7,	75,	3,	1),
(99666,	7,	75,	7,	1),
(99667,	7,	75,	8,	1),
(99668,	7,	75,	9,	1),
(99669,	7,	75,	10,	1),
(99670,	7,	75,	11,	1),
(99671,	7,	75,	12,	1),
(99672,	7,	75,	13,	1),
(99673,	7,	75,	14,	1),
(99674,	7,	75,	15,	1),
(99675,	7,	75,	16,	1),
(99676,	7,	75,	17,	1),
(99677,	7,	75,	18,	1),
(99678,	7,	75,	19,	1),
(99679,	7,	75,	20,	1),
(99680,	7,	75,	21,	1),
(99681,	7,	75,	22,	1),
(99682,	7,	76,	1,	1),
(99683,	7,	76,	2,	1),
(99684,	7,	76,	3,	1),
(99685,	7,	76,	7,	1),
(99686,	7,	76,	8,	1),
(99687,	7,	76,	9,	1),
(99688,	7,	76,	10,	1),
(99689,	7,	76,	11,	1),
(99690,	7,	76,	12,	1),
(99691,	7,	76,	13,	1),
(99692,	7,	76,	14,	1),
(99693,	7,	76,	15,	1),
(99694,	7,	76,	16,	1),
(99695,	7,	76,	17,	1),
(99696,	7,	76,	18,	1),
(99697,	7,	76,	19,	1),
(99698,	7,	76,	20,	1),
(99699,	7,	76,	21,	1),
(99700,	7,	76,	22,	1),
(99701,	7,	76,	23,	1),
(99702,	7,	77,	1,	1),
(99703,	7,	77,	2,	1),
(99704,	7,	77,	3,	1),
(99705,	7,	77,	7,	1),
(99706,	7,	77,	8,	1),
(99707,	7,	77,	9,	1),
(99708,	7,	77,	10,	1),
(99709,	7,	77,	11,	1),
(99710,	7,	77,	12,	1),
(99711,	7,	77,	13,	1),
(99712,	7,	77,	14,	1),
(99713,	7,	77,	15,	1),
(99714,	7,	77,	16,	1),
(99715,	7,	77,	17,	1),
(99716,	7,	77,	18,	1),
(99717,	7,	77,	19,	1),
(99718,	7,	77,	20,	1),
(99719,	7,	77,	21,	1),
(99720,	7,	77,	22,	1),
(99721,	7,	78,	1,	1),
(99722,	7,	78,	2,	1),
(99723,	7,	78,	3,	1),
(99724,	7,	78,	7,	1),
(99725,	7,	78,	8,	1),
(99726,	7,	78,	9,	1),
(99727,	7,	78,	10,	1),
(99728,	7,	78,	11,	1),
(99729,	7,	78,	12,	1),
(99730,	7,	78,	13,	1),
(99731,	7,	78,	14,	1),
(99732,	7,	78,	15,	1),
(99733,	7,	78,	16,	1),
(99734,	7,	78,	17,	1),
(99735,	7,	78,	18,	1),
(99736,	7,	78,	19,	1),
(99737,	7,	78,	20,	1),
(99738,	7,	78,	21,	1),
(99739,	7,	78,	22,	1),
(99740,	7,	79,	1,	1),
(99741,	7,	79,	2,	1),
(99742,	7,	79,	3,	1),
(99743,	7,	79,	7,	1),
(99744,	7,	79,	8,	1),
(99745,	7,	79,	9,	1),
(99746,	7,	79,	10,	1),
(99747,	7,	79,	11,	1),
(99748,	7,	79,	12,	1),
(99749,	7,	79,	13,	1),
(99750,	7,	79,	14,	1),
(99751,	7,	79,	15,	1),
(99752,	7,	79,	16,	1),
(99753,	7,	79,	17,	1),
(99754,	7,	79,	18,	1),
(99755,	7,	79,	19,	1),
(99756,	7,	79,	20,	1),
(99757,	7,	79,	21,	1),
(99758,	7,	79,	22,	1),
(99759,	7,	80,	1,	1),
(99760,	7,	80,	2,	1),
(99761,	7,	80,	3,	1),
(99762,	7,	80,	7,	1),
(99763,	7,	80,	8,	1),
(99764,	7,	80,	9,	1),
(99765,	7,	80,	10,	1),
(99766,	7,	80,	11,	1),
(99767,	7,	80,	12,	1),
(99768,	7,	80,	13,	1),
(99769,	7,	80,	14,	1),
(99770,	7,	80,	15,	1),
(99771,	7,	80,	16,	1),
(99772,	7,	80,	17,	1),
(99773,	7,	80,	18,	1),
(99774,	7,	80,	19,	1),
(99775,	7,	80,	20,	1),
(99776,	7,	80,	21,	1),
(99777,	7,	80,	22,	1),
(99778,	7,	81,	7,	1),
(99779,	7,	81,	9,	1),
(99780,	7,	81,	10,	1),
(99781,	7,	81,	11,	1),
(99782,	7,	81,	12,	1),
(99783,	7,	81,	13,	1),
(99784,	7,	81,	14,	1),
(99785,	7,	81,	15,	1),
(99786,	7,	81,	16,	1),
(99787,	7,	81,	17,	1),
(99788,	7,	81,	18,	1),
(99789,	7,	81,	19,	1),
(99790,	7,	81,	20,	1),
(99791,	7,	81,	21,	1),
(99792,	7,	81,	22,	1),
(99793,	7,	82,	1,	1),
(99794,	7,	82,	2,	1),
(99795,	7,	82,	3,	1),
(99796,	7,	82,	7,	1),
(99797,	7,	82,	8,	1),
(99798,	7,	82,	9,	1),
(99799,	7,	82,	10,	1),
(99800,	7,	82,	11,	1),
(99801,	7,	82,	12,	1),
(99802,	7,	82,	13,	1),
(99803,	7,	82,	14,	1),
(99804,	7,	82,	15,	1),
(99805,	7,	82,	16,	1),
(99806,	7,	82,	17,	1),
(99807,	7,	82,	18,	1),
(99808,	7,	82,	19,	1),
(99809,	7,	82,	20,	1),
(99810,	7,	82,	21,	1),
(99811,	7,	82,	22,	1),
(99812,	7,	83,	1,	1),
(99813,	7,	83,	2,	1),
(99814,	7,	83,	3,	1),
(99815,	7,	83,	7,	1),
(99816,	7,	83,	8,	1),
(99817,	7,	83,	9,	1),
(99818,	7,	83,	10,	1),
(99819,	7,	83,	11,	1),
(99820,	7,	83,	12,	1),
(99821,	7,	83,	13,	1),
(99822,	7,	83,	14,	1),
(99823,	7,	83,	15,	1),
(99824,	7,	83,	16,	1),
(99825,	7,	83,	17,	1),
(99826,	7,	83,	18,	1),
(99827,	7,	83,	19,	1),
(99828,	7,	83,	20,	1),
(99829,	7,	83,	21,	1),
(99830,	7,	83,	22,	1),
(99831,	7,	84,	1,	1),
(99832,	7,	84,	2,	1),
(99833,	7,	84,	3,	1),
(99834,	7,	84,	7,	1),
(99835,	7,	84,	8,	1),
(99836,	7,	84,	9,	1),
(99837,	7,	84,	10,	1),
(99838,	7,	84,	11,	1),
(99839,	7,	84,	12,	1),
(99840,	7,	84,	13,	1),
(99841,	7,	84,	14,	1),
(99842,	7,	84,	15,	1),
(99843,	7,	84,	16,	1),
(99844,	7,	84,	17,	1),
(99845,	7,	84,	18,	1),
(99846,	7,	84,	19,	1),
(99847,	7,	84,	20,	1),
(99848,	7,	84,	21,	1),
(99849,	7,	84,	22,	1),
(99850,	7,	85,	1,	1),
(99851,	7,	85,	2,	1),
(99852,	7,	85,	3,	1),
(99853,	7,	85,	7,	1),
(99854,	7,	85,	8,	1),
(99855,	7,	85,	9,	1),
(99856,	7,	85,	10,	1),
(99857,	7,	85,	11,	1),
(99858,	7,	85,	12,	1),
(99859,	7,	85,	13,	1),
(99860,	7,	85,	14,	1),
(99861,	7,	85,	15,	1),
(99862,	7,	85,	16,	1),
(99863,	7,	85,	17,	1),
(99864,	7,	85,	18,	1),
(99865,	7,	85,	19,	1),
(99866,	7,	85,	20,	1),
(99867,	7,	85,	21,	1),
(99868,	7,	85,	22,	1),
(99869,	7,	86,	1,	1),
(99870,	7,	86,	2,	1),
(99871,	7,	86,	3,	1),
(99872,	7,	86,	7,	1),
(99873,	7,	86,	8,	1),
(99874,	7,	86,	9,	1),
(99875,	7,	86,	10,	1),
(99876,	7,	86,	11,	1),
(99877,	7,	86,	12,	1),
(99878,	7,	86,	13,	1),
(99879,	7,	86,	14,	1),
(99880,	7,	86,	15,	1),
(99881,	7,	86,	16,	1),
(99882,	7,	86,	17,	1),
(99883,	7,	86,	18,	1),
(99884,	7,	86,	19,	1),
(99885,	7,	86,	20,	1),
(99886,	7,	86,	21,	1),
(99887,	7,	86,	22,	1),
(99888,	7,	87,	1,	1),
(99889,	7,	87,	2,	1),
(99890,	7,	87,	3,	1),
(99891,	7,	87,	7,	1),
(99892,	7,	87,	8,	1),
(99893,	7,	87,	9,	1),
(99894,	7,	87,	10,	1),
(99895,	7,	87,	11,	1),
(99896,	7,	87,	12,	1),
(99897,	7,	87,	13,	1),
(99898,	7,	87,	14,	1),
(99899,	7,	87,	15,	1),
(99900,	7,	87,	16,	1),
(99901,	7,	87,	17,	1),
(99902,	7,	87,	18,	1),
(99903,	7,	87,	19,	1),
(99904,	7,	87,	20,	1),
(99905,	7,	87,	21,	1),
(99906,	7,	87,	22,	1),
(99907,	7,	88,	1,	1),
(99908,	7,	88,	2,	1),
(99909,	7,	88,	3,	1),
(99910,	7,	88,	7,	1),
(99911,	7,	88,	8,	1),
(99912,	7,	88,	9,	1),
(99913,	7,	88,	10,	1),
(99914,	7,	88,	11,	1),
(99915,	7,	88,	12,	1),
(99916,	7,	88,	13,	1),
(99917,	7,	88,	14,	1),
(99918,	7,	88,	15,	1),
(99919,	7,	88,	16,	1),
(99920,	7,	88,	17,	1),
(99921,	7,	88,	18,	1),
(99922,	7,	88,	19,	1),
(99923,	7,	88,	20,	1),
(99924,	7,	88,	21,	1),
(99925,	7,	88,	22,	1),
(99926,	7,	89,	1,	1),
(99927,	7,	89,	2,	1),
(99928,	7,	89,	3,	1),
(99929,	7,	89,	7,	1),
(99930,	7,	89,	8,	1),
(99931,	7,	89,	9,	1),
(99932,	7,	89,	10,	1),
(99933,	7,	89,	11,	1),
(99934,	7,	89,	12,	1),
(99935,	7,	89,	13,	1),
(99936,	7,	89,	14,	1),
(99937,	7,	89,	15,	1),
(99938,	7,	89,	16,	1),
(99939,	7,	89,	17,	1),
(99940,	7,	89,	18,	1),
(99941,	7,	89,	19,	1),
(99942,	7,	89,	20,	1),
(99943,	7,	89,	21,	1),
(99944,	7,	89,	22,	1),
(99945,	7,	89,	23,	1),
(99946,	7,	90,	1,	1),
(99947,	7,	90,	2,	1),
(99948,	7,	90,	3,	1),
(99949,	7,	90,	7,	1),
(99950,	7,	90,	8,	1),
(99951,	7,	90,	9,	1),
(99952,	7,	90,	10,	1),
(99953,	7,	90,	11,	1),
(99954,	7,	90,	12,	1),
(99955,	7,	90,	13,	1),
(99956,	7,	90,	14,	1),
(99957,	7,	90,	15,	1),
(99958,	7,	90,	16,	1),
(99959,	7,	90,	17,	1),
(99960,	7,	90,	18,	1),
(99961,	7,	90,	19,	1),
(99962,	7,	90,	20,	1),
(99963,	7,	90,	21,	1),
(99964,	7,	90,	22,	1),
(99965,	7,	91,	7,	1),
(99966,	7,	91,	9,	1),
(99967,	7,	91,	10,	1),
(99968,	7,	91,	11,	1),
(99969,	7,	91,	12,	1),
(99970,	7,	91,	13,	1),
(99971,	7,	91,	14,	1),
(99972,	7,	91,	15,	1),
(99973,	7,	91,	16,	1),
(99974,	7,	91,	17,	1),
(99975,	7,	91,	18,	1),
(99976,	7,	91,	19,	1),
(99977,	7,	91,	20,	1),
(99978,	7,	91,	21,	1),
(99979,	7,	91,	22,	1),
(99980,	7,	92,	1,	1),
(99981,	7,	92,	2,	1),
(99982,	7,	92,	3,	1),
(99983,	7,	92,	7,	1),
(99984,	7,	92,	8,	1),
(99985,	7,	92,	9,	1),
(99986,	7,	92,	10,	1),
(99987,	7,	92,	11,	1),
(99988,	7,	92,	12,	1),
(99989,	7,	92,	13,	1),
(99990,	7,	92,	14,	1),
(99991,	7,	92,	15,	1),
(99992,	7,	92,	16,	1),
(99993,	7,	92,	17,	1),
(99994,	7,	92,	18,	1),
(99995,	7,	92,	19,	1),
(99996,	7,	92,	20,	1),
(99997,	7,	92,	21,	1),
(99998,	7,	92,	22,	1),
(99999,	7,	93,	1,	1),
(100000,	7,	93,	2,	1),
(100001,	7,	93,	3,	1),
(100002,	7,	93,	7,	1),
(100003,	7,	93,	8,	1),
(100004,	7,	93,	9,	1),
(100005,	7,	93,	10,	1),
(100006,	7,	93,	11,	1),
(100007,	7,	93,	12,	1),
(100008,	7,	93,	13,	1),
(100009,	7,	93,	14,	1),
(100010,	7,	93,	15,	1),
(100011,	7,	93,	16,	1),
(100012,	7,	93,	17,	1),
(100013,	7,	93,	18,	1),
(100014,	7,	93,	19,	1),
(100015,	7,	93,	20,	1),
(100016,	7,	93,	21,	1),
(100017,	7,	93,	22,	1),
(100018,	7,	94,	7,	1),
(100019,	7,	94,	9,	1),
(100020,	7,	94,	10,	1),
(100021,	7,	94,	11,	1),
(100022,	7,	94,	12,	1),
(100023,	7,	94,	13,	1),
(100024,	7,	94,	14,	1),
(100025,	7,	94,	15,	1),
(100026,	7,	94,	16,	1),
(100027,	7,	94,	17,	1),
(100028,	7,	94,	18,	1),
(100029,	7,	94,	19,	1),
(100030,	7,	94,	20,	1),
(100031,	7,	94,	21,	1),
(100032,	7,	94,	22,	1),
(100033,	7,	95,	1,	1),
(100034,	7,	95,	2,	1),
(100035,	7,	95,	3,	1),
(100036,	7,	95,	7,	1),
(100037,	7,	95,	8,	1),
(100038,	7,	95,	9,	1),
(100039,	7,	95,	10,	1),
(100040,	7,	95,	11,	1),
(100041,	7,	95,	12,	1),
(100042,	7,	95,	13,	1),
(100043,	7,	95,	14,	1),
(100044,	7,	95,	15,	1),
(100045,	7,	95,	16,	1),
(100046,	7,	95,	17,	1),
(100047,	7,	95,	18,	1),
(100048,	7,	95,	19,	1),
(100049,	7,	95,	20,	1),
(100050,	7,	95,	21,	1),
(100051,	7,	95,	22,	1),
(100052,	7,	96,	1,	1),
(100053,	7,	96,	2,	1),
(100054,	7,	96,	3,	1),
(100055,	7,	96,	7,	1),
(100056,	7,	96,	8,	1),
(100057,	7,	96,	9,	1),
(100058,	7,	96,	10,	1),
(100059,	7,	96,	11,	1),
(100060,	7,	96,	12,	1),
(100061,	7,	96,	13,	1),
(100062,	7,	96,	14,	1),
(100063,	7,	96,	15,	1),
(100064,	7,	96,	16,	1),
(100065,	7,	96,	17,	1),
(100066,	7,	96,	18,	1),
(100067,	7,	96,	19,	1),
(100068,	7,	96,	20,	1),
(100069,	7,	96,	21,	1),
(100070,	7,	96,	22,	1),
(100071,	7,	96,	23,	1),
(100072,	7,	97,	7,	1),
(100073,	7,	97,	9,	1),
(100074,	7,	97,	10,	1),
(100075,	7,	97,	11,	1),
(100076,	7,	97,	12,	1),
(100077,	7,	97,	13,	1),
(100078,	7,	97,	14,	1),
(100079,	7,	97,	15,	1),
(100080,	7,	97,	16,	1),
(100081,	7,	97,	17,	1),
(100082,	7,	97,	18,	1),
(100083,	7,	97,	19,	1),
(100084,	7,	97,	20,	1),
(100085,	7,	97,	21,	1),
(100086,	7,	97,	22,	1),
(100087,	7,	98,	1,	1),
(100088,	7,	98,	2,	1),
(100089,	7,	98,	3,	1),
(100090,	7,	98,	7,	1),
(100091,	7,	98,	8,	1),
(100092,	7,	98,	9,	1),
(100093,	7,	98,	10,	1),
(100094,	7,	98,	11,	1),
(100095,	7,	98,	12,	1),
(100096,	7,	98,	13,	1),
(100097,	7,	98,	14,	1),
(100098,	7,	98,	15,	1),
(100099,	7,	98,	16,	1),
(100100,	7,	98,	17,	1),
(100101,	7,	98,	18,	1),
(100102,	7,	98,	19,	1),
(100103,	7,	98,	20,	1),
(100104,	7,	98,	21,	1),
(100105,	7,	98,	22,	1),
(100106,	7,	99,	1,	1),
(100107,	7,	99,	2,	1),
(100108,	7,	99,	3,	1),
(100109,	7,	99,	7,	1),
(100110,	7,	99,	8,	1),
(100111,	7,	99,	9,	1),
(100112,	7,	99,	10,	1),
(100113,	7,	99,	11,	1),
(100114,	7,	99,	12,	1),
(100115,	7,	99,	13,	1),
(100116,	7,	99,	14,	1),
(100117,	7,	99,	15,	1),
(100118,	7,	99,	16,	1),
(100119,	7,	99,	17,	1),
(100120,	7,	99,	18,	1),
(100121,	7,	99,	19,	1),
(100122,	7,	99,	20,	1),
(100123,	7,	99,	21,	1),
(100124,	7,	99,	22,	1),
(100125,	7,	100,	1,	1),
(100126,	7,	100,	2,	1),
(100127,	7,	100,	3,	1),
(100128,	7,	100,	7,	1),
(100129,	7,	100,	8,	1),
(100130,	7,	100,	9,	1),
(100131,	7,	100,	10,	1),
(100132,	7,	100,	11,	1),
(100133,	7,	100,	12,	1),
(100134,	7,	100,	13,	1),
(100135,	7,	100,	14,	1),
(100136,	7,	100,	15,	1),
(100137,	7,	100,	16,	1),
(100138,	7,	100,	17,	1),
(100139,	7,	100,	18,	1),
(100140,	7,	100,	19,	1),
(100141,	7,	100,	20,	1),
(100142,	7,	100,	21,	1),
(100143,	7,	100,	22,	1),
(100144,	7,	101,	1,	1),
(100145,	7,	101,	2,	1),
(100146,	7,	101,	3,	1),
(100147,	7,	101,	5,	1),
(100148,	7,	101,	1,	3),
(100149,	7,	101,	2,	3),
(100150,	7,	101,	3,	3),
(100151,	7,	101,	5,	3),
(100152,	7,	101,	1,	2),
(100153,	7,	101,	2,	2),
(100154,	7,	101,	3,	2),
(100155,	7,	101,	5,	2),
(100156,	7,	102,	1,	1),
(100157,	7,	102,	2,	1),
(100158,	7,	102,	3,	1),
(100159,	7,	103,	1,	1),
(100160,	7,	103,	2,	1),
(100161,	7,	103,	3,	1),
(100162,	7,	103,	6,	1),
(100163,	7,	103,	24,	1),
(100164,	7,	103,	4,	1),
(100165,	7,	103,	25,	1),
(100166,	7,	103,	5,	1),
(100167,	7,	103,	26,	1),
(100168,	7,	104,	1,	1),
(100169,	7,	104,	2,	1),
(100170,	7,	104,	3,	1),
(100171,	7,	104,	24,	1),
(100172,	7,	104,	6,	1),
(100173,	7,	104,	4,	1),
(100174,	7,	104,	25,	1),
(100175,	7,	104,	5,	1),
(100176,	7,	104,	1,	3),
(100177,	7,	104,	2,	3),
(100178,	7,	104,	3,	3),
(100179,	7,	104,	24,	3),
(100180,	7,	104,	6,	3),
(100181,	7,	104,	4,	3),
(100182,	7,	104,	25,	3),
(100183,	7,	104,	5,	3),
(100184,	7,	105,	1,	1),
(100185,	7,	105,	2,	1),
(100186,	7,	105,	3,	1),
(100187,	7,	105,	24,	1),
(100188,	7,	105,	6,	1),
(100189,	7,	105,	4,	1),
(100190,	7,	105,	25,	1),
(100191,	7,	105,	5,	1),
(100192,	7,	105,	1,	3),
(100193,	7,	105,	2,	3),
(100194,	7,	105,	3,	3),
(100195,	7,	105,	24,	3),
(100196,	7,	105,	6,	3),
(100197,	7,	105,	4,	3),
(100198,	7,	105,	25,	3),
(100199,	7,	105,	5,	3),
(100200,	7,	106,	1,	1),
(100201,	7,	106,	2,	1),
(100202,	7,	106,	3,	1),
(100203,	7,	106,	24,	1),
(100204,	7,	106,	6,	1),
(100205,	7,	106,	4,	1),
(100206,	7,	106,	25,	1),
(100207,	7,	106,	5,	1),
(100208,	7,	106,	1,	3),
(100209,	7,	106,	2,	3),
(100210,	7,	106,	3,	3),
(100211,	7,	106,	24,	3),
(100212,	7,	106,	6,	3),
(100213,	7,	106,	4,	3),
(100214,	7,	106,	25,	3),
(100215,	7,	106,	5,	3),
(100216,	7,	107,	1,	1),
(100217,	7,	107,	2,	1),
(100218,	7,	107,	3,	1),
(100219,	7,	107,	24,	1),
(100220,	7,	107,	6,	1),
(100221,	7,	107,	4,	1),
(100222,	7,	107,	25,	1),
(100223,	7,	107,	5,	1),
(100224,	7,	107,	1,	3),
(100225,	7,	107,	2,	3),
(100226,	7,	107,	3,	3),
(100227,	7,	107,	24,	3),
(100228,	7,	107,	6,	3),
(100229,	7,	107,	4,	3),
(100230,	7,	107,	25,	3),
(100231,	7,	107,	5,	3),
(100232,	7,	108,	1,	1),
(100233,	7,	108,	2,	1),
(100234,	7,	108,	3,	1),
(100235,	7,	108,	24,	1),
(100236,	7,	108,	25,	1),
(100237,	7,	108,	4,	1),
(100238,	7,	108,	1,	3),
(100239,	7,	108,	2,	3),
(100240,	7,	108,	3,	3),
(100241,	7,	108,	24,	3),
(100242,	7,	108,	25,	3),
(100243,	7,	108,	4,	3),
(100244,	7,	109,	1,	1),
(100245,	7,	109,	2,	1),
(100246,	7,	109,	3,	1),
(100247,	7,	109,	24,	1),
(100248,	7,	109,	6,	1),
(100249,	7,	109,	4,	1),
(100250,	7,	109,	25,	1),
(100251,	7,	109,	5,	1),
(100252,	7,	109,	1,	3),
(100253,	7,	109,	2,	3),
(100254,	7,	109,	3,	3),
(100255,	7,	109,	24,	3),
(100256,	7,	109,	6,	3),
(100257,	7,	109,	4,	3),
(100258,	7,	109,	25,	3),
(100259,	7,	109,	5,	3),
(100260,	7,	110,	1,	1),
(100261,	7,	110,	2,	1),
(100262,	7,	110,	3,	1),
(100263,	7,	110,	24,	1),
(100264,	7,	110,	6,	1),
(100265,	7,	110,	4,	1),
(100266,	7,	110,	25,	1),
(100267,	7,	110,	5,	1),
(100268,	7,	110,	1,	3),
(100269,	7,	110,	2,	3),
(100270,	7,	110,	3,	3),
(100271,	7,	110,	24,	3),
(100272,	7,	110,	6,	3),
(100273,	7,	110,	4,	3),
(100274,	7,	110,	25,	3),
(100275,	7,	110,	5,	3),
(100276,	7,	111,	1,	1),
(100277,	7,	111,	2,	1),
(100278,	7,	111,	3,	1),
(100279,	7,	111,	24,	1),
(100280,	7,	111,	6,	1),
(100281,	7,	111,	4,	1),
(100282,	7,	111,	25,	1),
(100283,	7,	111,	5,	1),
(100284,	7,	111,	1,	2),
(100285,	7,	111,	2,	2),
(100286,	7,	111,	3,	2),
(100287,	7,	111,	24,	2),
(100288,	7,	111,	6,	2),
(100289,	7,	111,	4,	2),
(100290,	7,	111,	25,	2),
(100291,	7,	111,	5,	2),
(100292,	7,	112,	1,	1),
(100293,	7,	112,	2,	1),
(100294,	7,	112,	3,	1),
(100295,	7,	112,	24,	1),
(100296,	7,	112,	6,	1),
(100297,	7,	112,	4,	1),
(100298,	7,	112,	25,	1),
(100299,	7,	112,	5,	1),
(100300,	7,	112,	1,	3),
(100301,	7,	112,	2,	3),
(100302,	7,	112,	3,	3),
(100303,	7,	112,	24,	3),
(100304,	7,	112,	6,	3),
(100305,	7,	112,	4,	3),
(100306,	7,	112,	25,	3),
(100307,	7,	112,	5,	3),
(100308,	7,	113,	1,	1),
(100309,	7,	113,	2,	1),
(100310,	7,	113,	3,	1),
(100311,	7,	113,	5,	1),
(100312,	7,	113,	1,	3),
(100313,	7,	113,	2,	3),
(100314,	7,	113,	3,	3),
(100315,	7,	113,	5,	3),
(100316,	7,	113,	1,	2),
(100317,	7,	113,	2,	2),
(100318,	7,	113,	3,	2),
(100319,	7,	113,	5,	2),
(100320,	7,	114,	1,	1),
(100321,	7,	114,	2,	1),
(100322,	7,	114,	3,	1),
(100323,	7,	114,	5,	1),
(100324,	7,	114,	1,	3),
(100325,	7,	114,	2,	3),
(100326,	7,	114,	3,	3),
(100327,	7,	114,	5,	3),
(100328,	7,	114,	1,	2),
(100329,	7,	114,	2,	2),
(100330,	7,	114,	3,	2),
(100331,	7,	114,	5,	2),
(100332,	7,	115,	1,	1),
(100333,	7,	115,	2,	1),
(100334,	7,	115,	3,	1),
(100335,	7,	115,	1,	2),
(100336,	7,	115,	2,	2),
(100337,	7,	115,	3,	2),
(100338,	7,	117,	1,	1),
(100339,	7,	117,	2,	1),
(100340,	7,	117,	3,	1),
(100341,	7,	117,	1,	2),
(100342,	7,	117,	2,	2),
(100343,	7,	117,	3,	2),
(100344,	7,	118,	1,	1),
(100345,	7,	118,	2,	1),
(100346,	7,	118,	3,	1),
(100347,	7,	118,	23,	1),
(100348,	7,	118,	1,	3),
(100349,	7,	118,	2,	3),
(100350,	7,	118,	3,	3),
(100351,	7,	118,	23,	3),
(100352,	7,	119,	1,	1),
(100353,	7,	119,	2,	1),
(100354,	7,	119,	3,	1),
(100355,	7,	119,	1,	2),
(100356,	7,	119,	2,	2),
(100357,	7,	119,	3,	2),
(100358,	7,	120,	1,	1),
(100359,	7,	120,	2,	1),
(100360,	7,	120,	3,	1),
(100361,	7,	120,	1,	2),
(100362,	7,	120,	2,	2),
(100363,	7,	120,	3,	2),
(100364,	7,	121,	1,	1),
(100365,	7,	121,	2,	1),
(100366,	7,	121,	3,	1),
(100367,	7,	121,	1,	2),
(100368,	7,	121,	2,	2),
(100369,	7,	121,	3,	2),
(100370,	7,	122,	1,	1),
(100371,	7,	122,	2,	1),
(100372,	7,	122,	3,	1),
(100373,	7,	122,	1,	2),
(100374,	7,	122,	2,	2),
(100375,	7,	122,	3,	2),
(100376,	7,	123,	1,	1),
(100377,	7,	123,	2,	1),
(100378,	7,	123,	3,	1),
(100379,	7,	123,	1,	2),
(100380,	7,	123,	2,	2),
(100381,	7,	123,	3,	2),
(100382,	7,	124,	2,	1),
(100383,	7,	125,	1,	1),
(100384,	7,	125,	2,	1),
(100385,	7,	125,	3,	1),
(100386,	7,	126,	1,	1),
(100387,	7,	126,	2,	1),
(100388,	7,	126,	3,	1),
(100389,	7,	127,	1,	1),
(100390,	7,	127,	2,	1),
(100391,	7,	127,	3,	1),
(100392,	7,	127,	1,	2),
(100393,	7,	127,	2,	2),
(100394,	7,	127,	3,	2),
(100395,	7,	128,	1,	1),
(100396,	7,	128,	2,	1),
(100397,	7,	128,	3,	1),
(100398,	7,	128,	1,	2),
(100399,	7,	128,	2,	2),
(100400,	7,	128,	3,	2),
(100401,	7,	129,	1,	1),
(100402,	7,	129,	2,	1),
(100403,	7,	129,	3,	1),
(100404,	7,	129,	1,	2),
(100405,	7,	129,	2,	2),
(100406,	7,	129,	3,	2),
(100407,	7,	130,	1,	1),
(100408,	7,	130,	2,	1),
(100409,	7,	130,	3,	1),
(100410,	7,	130,	1,	2),
(100411,	7,	130,	2,	2),
(100412,	7,	130,	3,	2),
(100413,	7,	131,	1,	1),
(100414,	7,	131,	2,	1),
(100415,	7,	131,	3,	1),
(100416,	7,	131,	1,	2),
(100417,	7,	131,	2,	2),
(100418,	7,	131,	3,	2),
(100419,	7,	132,	1,	1),
(100420,	7,	132,	2,	1),
(100421,	7,	132,	3,	1),
(100422,	7,	132,	1,	2),
(100423,	7,	132,	2,	2),
(100424,	7,	132,	3,	2),
(100425,	7,	133,	1,	1),
(100426,	7,	133,	2,	1),
(100427,	7,	133,	3,	1),
(100428,	7,	133,	1,	2),
(100429,	7,	133,	2,	2),
(100430,	7,	133,	3,	2),
(100431,	7,	134,	1,	1),
(100432,	7,	134,	2,	1),
(100433,	7,	134,	3,	1),
(100434,	7,	135,	1,	1),
(100435,	7,	135,	2,	1),
(100436,	7,	135,	3,	1),
(100437,	7,	136,	1,	1),
(100438,	7,	136,	2,	1),
(100439,	7,	136,	3,	1),
(100440,	7,	136,	23,	1),
(100441,	7,	136,	1,	2),
(100442,	7,	136,	2,	2),
(100443,	7,	136,	3,	2),
(100444,	7,	136,	23,	2),
(100445,	7,	137,	1,	1),
(100446,	7,	137,	2,	1),
(100447,	7,	137,	3,	1),
(100448,	7,	137,	1,	2),
(100449,	7,	137,	2,	2),
(100450,	7,	137,	3,	2),
(100451,	7,	138,	1,	1),
(100452,	7,	138,	2,	1),
(100453,	7,	138,	3,	1),
(100454,	7,	138,	1,	2),
(100455,	7,	138,	2,	2),
(100456,	7,	138,	3,	2),
(100457,	7,	139,	1,	1),
(100458,	7,	139,	2,	1),
(100459,	7,	139,	3,	1),
(100460,	7,	140,	1,	1),
(100461,	7,	140,	2,	1),
(100462,	7,	140,	3,	1),
(100463,	7,	140,	23,	1),
(100464,	7,	140,	6,	1),
(100465,	7,	141,	1,	1),
(100466,	7,	141,	2,	1),
(100467,	7,	141,	3,	1),
(100468,	7,	141,	1,	2),
(100469,	7,	141,	2,	2),
(100470,	7,	141,	3,	2),
(100471,	7,	142,	1,	1),
(100472,	7,	142,	2,	1),
(100473,	7,	142,	3,	1),
(100474,	7,	142,	1,	2),
(100475,	7,	142,	2,	2),
(100476,	7,	142,	3,	2),
(100477,	7,	143,	1,	1),
(100478,	7,	143,	2,	1),
(100479,	7,	143,	3,	1),
(100480,	7,	143,	1,	2),
(100481,	7,	143,	2,	2),
(100482,	7,	143,	3,	2),
(100483,	7,	144,	1,	1),
(100484,	7,	144,	2,	1),
(100485,	7,	144,	3,	1),
(100486,	7,	144,	1,	2),
(100487,	7,	144,	2,	2),
(100488,	7,	144,	3,	2),
(100489,	7,	145,	1,	1),
(100490,	7,	145,	2,	1),
(100491,	7,	145,	3,	1),
(100492,	7,	145,	1,	2),
(100493,	7,	145,	2,	2),
(100494,	7,	145,	3,	2),
(100495,	7,	146,	1,	1),
(100496,	7,	146,	2,	1),
(100497,	7,	146,	3,	1),
(100498,	7,	146,	1,	2),
(100499,	7,	146,	2,	2),
(100500,	7,	146,	3,	2),
(100501,	7,	147,	1,	1),
(100502,	7,	147,	2,	1),
(100503,	7,	147,	3,	1),
(100504,	7,	147,	1,	2),
(100505,	7,	147,	2,	2),
(100506,	7,	147,	3,	2),
(100507,	7,	148,	1,	1),
(100508,	7,	148,	2,	1),
(100509,	7,	148,	3,	1),
(100510,	7,	149,	1,	1),
(100511,	7,	149,	2,	1),
(100512,	7,	149,	3,	1),
(100513,	7,	149,	1,	2),
(100514,	7,	149,	2,	2),
(100515,	7,	149,	3,	2),
(100516,	7,	150,	1,	1),
(100517,	7,	150,	2,	1),
(100518,	7,	150,	3,	1),
(100519,	7,	151,	1,	1),
(100520,	7,	151,	2,	1),
(100521,	7,	151,	3,	1),
(100522,	7,	152,	1,	1),
(100523,	7,	152,	2,	1),
(100524,	7,	152,	3,	1),
(100525,	7,	153,	1,	1),
(100526,	7,	153,	2,	1),
(100527,	7,	153,	3,	1),
(100528,	7,	154,	1,	1),
(100529,	7,	154,	2,	1),
(100530,	7,	154,	3,	1),
(100531,	7,	154,	1,	2),
(100532,	7,	154,	2,	2),
(100533,	7,	154,	3,	2),
(100534,	7,	156,	1,	1),
(100535,	7,	157,	1,	1),
(100536,	7,	157,	2,	1),
(100537,	7,	157,	3,	1),
(100538,	7,	158,	1,	1),
(100539,	7,	158,	2,	1),
(100540,	7,	158,	3,	1),
(100541,	7,	158,	1,	2),
(100542,	7,	158,	2,	2),
(100543,	7,	158,	3,	2),
(100544,	7,	159,	1,	1),
(100545,	7,	159,	2,	1),
(100546,	7,	159,	3,	1),
(100547,	7,	160,	1,	1),
(100548,	7,	160,	2,	1),
(100549,	7,	160,	3,	1),
(100550,	7,	160,	1,	2),
(100551,	7,	160,	2,	2),
(100552,	7,	160,	3,	2),
(100553,	7,	161,	1,	1),
(100554,	7,	161,	2,	1),
(100555,	7,	161,	3,	1),
(100556,	7,	162,	1,	1),
(100557,	7,	162,	2,	1),
(100558,	7,	162,	3,	1),
(100559,	7,	163,	1,	1),
(100560,	7,	163,	2,	1),
(100561,	7,	163,	3,	1),
(100562,	7,	164,	1,	1),
(100563,	7,	164,	2,	1),
(100564,	7,	164,	3,	1),
(100565,	7,	164,	1,	2),
(100566,	7,	164,	2,	2),
(100567,	7,	164,	3,	2),
(100568,	7,	165,	1,	1),
(100569,	7,	165,	2,	1),
(100570,	7,	165,	3,	1),
(100571,	7,	166,	1,	1),
(100572,	7,	166,	2,	1),
(100573,	7,	166,	3,	1),
(100574,	7,	167,	1,	1),
(100575,	7,	167,	2,	1),
(100576,	7,	167,	3,	1),
(100577,	7,	167,	1,	2),
(100578,	7,	167,	2,	2),
(100579,	7,	167,	3,	2),
(100580,	7,	168,	1,	1),
(100581,	7,	168,	2,	1),
(100582,	7,	168,	3,	1),
(100583,	7,	168,	1,	2),
(100584,	7,	168,	2,	2),
(100585,	7,	168,	3,	2),
(100586,	7,	169,	1,	1),
(100587,	7,	169,	2,	1),
(100588,	7,	169,	3,	1),
(100589,	7,	170,	1,	1),
(100590,	7,	170,	2,	1),
(100591,	7,	170,	3,	1),
(100592,	7,	170,	1,	2),
(100593,	7,	170,	2,	2),
(100594,	7,	170,	3,	2),
(100595,	7,	171,	1,	1),
(100596,	7,	171,	2,	1),
(100597,	7,	171,	3,	1),
(100598,	7,	171,	1,	2),
(100599,	7,	171,	2,	2),
(100600,	7,	171,	3,	2),
(100601,	7,	172,	1,	1),
(100602,	7,	172,	2,	1),
(100603,	7,	172,	3,	1),
(100604,	7,	172,	1,	2),
(100605,	7,	172,	2,	2),
(100606,	7,	172,	3,	2),
(100607,	7,	173,	1,	1),
(100608,	7,	173,	2,	1),
(100609,	7,	173,	3,	1),
(100610,	7,	173,	1,	2),
(100611,	7,	173,	2,	2),
(100612,	7,	173,	3,	2),
(100613,	7,	174,	1,	1),
(100614,	7,	174,	2,	1),
(100615,	7,	174,	3,	1),
(100616,	7,	174,	1,	2),
(100617,	7,	174,	2,	2),
(100618,	7,	174,	3,	2),
(100619,	7,	175,	1,	1),
(100620,	7,	175,	2,	1),
(100621,	7,	175,	3,	1),
(100622,	7,	176,	1,	1),
(100623,	7,	176,	2,	1),
(100624,	7,	176,	3,	1),
(100625,	7,	177,	1,	1),
(100626,	7,	177,	2,	1),
(100627,	7,	177,	3,	1),
(100628,	7,	178,	1,	1),
(100629,	7,	178,	2,	1),
(100630,	7,	178,	3,	1),
(100631,	7,	179,	1,	1),
(100632,	7,	179,	2,	1),
(100633,	7,	179,	3,	1),
(100634,	7,	180,	1,	1),
(100635,	7,	180,	2,	1),
(100636,	7,	180,	3,	1),
(100637,	7,	180,	1,	2),
(100638,	7,	180,	2,	2),
(100639,	7,	180,	3,	2),
(100640,	7,	181,	2,	2),
(100641,	7,	182,	2,	1),
(100642,	7,	183,	2,	1),
(100643,	7,	184,	2,	1),
(100644,	7,	185,	2,	2),
(100645,	7,	186,	1,	1),
(100646,	7,	186,	2,	1),
(100647,	7,	186,	3,	1),
(100648,	7,	186,	1,	2),
(100649,	7,	186,	2,	2),
(100650,	7,	186,	3,	2),
(100651,	7,	187,	1,	1),
(100652,	7,	187,	2,	1),
(100653,	7,	187,	3,	1),
(100654,	7,	187,	1,	2),
(100655,	7,	187,	2,	2),
(100656,	7,	187,	3,	2),
(100657,	7,	188,	1,	1),
(100658,	7,	188,	2,	1),
(100659,	7,	188,	3,	1),
(100660,	7,	188,	1,	2),
(100661,	7,	188,	2,	2),
(100662,	7,	188,	3,	2),
(100663,	7,	189,	1,	1),
(100664,	7,	189,	2,	1),
(100665,	7,	189,	3,	1),
(100666,	7,	190,	1,	1),
(100667,	7,	190,	2,	1),
(100668,	7,	190,	3,	1),
(100669,	7,	190,	1,	2),
(100670,	7,	190,	2,	2),
(100671,	7,	190,	3,	2),
(100672,	7,	191,	1,	1),
(100673,	7,	191,	2,	1),
(100674,	7,	191,	3,	1),
(100675,	7,	191,	23,	1),
(100676,	7,	191,	27,	1),
(100677,	7,	192,	1,	1),
(100678,	7,	192,	2,	1),
(100679,	7,	192,	3,	1),
(100680,	7,	192,	23,	1),
(100681,	7,	193,	1,	1),
(100682,	7,	193,	2,	1),
(100683,	7,	193,	3,	1),
(100684,	7,	194,	1,	1),
(100685,	7,	194,	2,	1),
(100686,	7,	194,	3,	1),
(100687,	7,	194,	23,	1),
(100688,	7,	195,	1,	1),
(100689,	7,	195,	2,	1),
(100690,	7,	195,	3,	1),
(100691,	7,	196,	1,	1),
(100692,	7,	196,	2,	1),
(100693,	7,	196,	3,	1),
(100694,	7,	197,	1,	1),
(100695,	7,	197,	2,	1),
(100696,	7,	197,	3,	1),
(100697,	7,	197,	1,	2),
(100698,	7,	197,	2,	2),
(100699,	7,	197,	3,	2),
(100700,	7,	198,	1,	1),
(100701,	7,	198,	2,	1),
(100702,	7,	198,	3,	1),
(100703,	7,	198,	23,	1),
(100704,	7,	199,	1,	1),
(100705,	7,	199,	2,	1),
(100706,	7,	199,	3,	1),
(100707,	7,	200,	1,	1),
(100708,	7,	200,	2,	1),
(100709,	7,	200,	3,	1),
(100710,	7,	200,	23,	1),
(100711,	7,	201,	1,	1),
(100712,	7,	201,	2,	1),
(100713,	7,	201,	3,	1),
(100714,	7,	202,	1,	1),
(100715,	7,	202,	2,	1),
(100716,	7,	202,	3,	1),
(100717,	7,	202,	1,	2),
(100718,	7,	202,	2,	2),
(100719,	7,	202,	3,	2),
(100720,	7,	203,	1,	1),
(100721,	7,	203,	2,	1),
(100722,	7,	203,	3,	1),
(100723,	7,	203,	1,	2),
(100724,	7,	203,	2,	2),
(100725,	7,	203,	3,	2),
(100726,	7,	204,	1,	1),
(100727,	7,	204,	2,	1),
(100728,	7,	204,	3,	1),
(100729,	7,	204,	1,	2),
(100730,	7,	204,	2,	2),
(100731,	7,	204,	3,	2),
(100732,	7,	207,	1,	1),
(100733,	7,	207,	2,	1),
(100734,	7,	207,	3,	1),
(100735,	7,	209,	1,	1),
(100736,	7,	209,	2,	1),
(100737,	7,	209,	3,	1),
(100738,	7,	209,	1,	2),
(100739,	7,	209,	2,	2),
(100740,	7,	209,	3,	2),
(100741,	7,	210,	1,	1),
(100742,	7,	210,	2,	1),
(100743,	7,	210,	3,	1),
(100744,	7,	211,	1,	1),
(100745,	7,	211,	2,	1),
(100746,	7,	211,	3,	1),
(100747,	7,	211,	1,	2),
(100748,	7,	211,	2,	2),
(100749,	7,	211,	3,	2),
(100750,	7,	212,	1,	1),
(100751,	7,	212,	2,	1),
(100752,	7,	212,	3,	1),
(100753,	7,	212,	1,	2),
(100754,	7,	212,	2,	2),
(100755,	7,	212,	3,	2),
(100756,	7,	213,	1,	1),
(100757,	7,	213,	2,	1),
(100758,	7,	213,	3,	1),
(100759,	7,	213,	1,	2),
(100760,	7,	213,	2,	2),
(100761,	7,	213,	3,	2),
(100762,	7,	214,	1,	1),
(100763,	7,	214,	2,	1),
(100764,	7,	214,	3,	1),
(100765,	7,	214,	1,	2),
(100766,	7,	214,	2,	2),
(100767,	7,	214,	3,	2),
(100768,	7,	215,	1,	1),
(100769,	7,	215,	2,	1),
(100770,	7,	215,	3,	1),
(100771,	7,	216,	1,	1),
(100772,	7,	216,	2,	1),
(100773,	7,	216,	3,	1),
(100774,	7,	216,	1,	2),
(100775,	7,	216,	2,	2),
(100776,	7,	216,	3,	2),
(100777,	7,	217,	1,	1),
(100778,	7,	217,	2,	1),
(100779,	7,	217,	3,	1),
(100780,	7,	217,	1,	2),
(100781,	7,	217,	2,	2),
(100782,	7,	217,	3,	2),
(100783,	7,	218,	1,	1),
(100784,	7,	218,	2,	1),
(100785,	7,	218,	3,	1),
(100786,	7,	218,	1,	2),
(100787,	7,	218,	2,	2),
(100788,	7,	218,	3,	2),
(100789,	7,	219,	1,	1),
(100790,	7,	219,	2,	1),
(100791,	7,	219,	3,	1),
(100792,	7,	220,	1,	1),
(100793,	7,	220,	2,	1),
(100794,	7,	220,	3,	1),
(100795,	7,	220,	1,	2),
(100796,	7,	220,	2,	2),
(100797,	7,	220,	3,	2),
(100798,	7,	221,	1,	1),
(100799,	7,	221,	2,	1),
(100800,	7,	221,	3,	1),
(100801,	7,	221,	1,	2),
(100802,	7,	221,	2,	2),
(100803,	7,	221,	3,	2),
(100804,	7,	222,	1,	1),
(100805,	7,	222,	2,	1),
(100806,	7,	222,	3,	1),
(100807,	7,	222,	1,	2),
(100808,	7,	222,	2,	2),
(100809,	7,	222,	3,	2),
(100810,	7,	223,	1,	1),
(100811,	7,	223,	2,	1),
(100812,	7,	223,	3,	1),
(100813,	7,	223,	1,	2),
(100814,	7,	223,	2,	2),
(100815,	7,	223,	3,	2),
(100816,	7,	224,	1,	1),
(100817,	7,	224,	2,	1),
(100818,	7,	224,	3,	1),
(100819,	7,	224,	1,	2),
(100820,	7,	224,	2,	2),
(100821,	7,	224,	3,	2),
(100822,	7,	225,	1,	1),
(100823,	7,	225,	2,	1),
(100824,	7,	225,	3,	1),
(100825,	7,	225,	23,	1),
(100826,	7,	225,	1,	3),
(100827,	7,	225,	2,	3),
(100828,	7,	225,	3,	3),
(100829,	7,	225,	23,	3),
(100830,	7,	225,	1,	2),
(100831,	7,	225,	2,	2),
(100832,	7,	225,	3,	2),
(100833,	7,	225,	23,	2),
(100834,	7,	226,	1,	1),
(100835,	7,	226,	2,	1),
(100836,	7,	226,	3,	1),
(100837,	7,	226,	23,	1),
(100838,	7,	226,	1,	3),
(100839,	7,	226,	2,	3),
(100840,	7,	226,	3,	3),
(100841,	7,	226,	23,	3),
(100842,	7,	227,	1,	1),
(100843,	7,	227,	2,	1),
(100844,	7,	227,	3,	1),
(100845,	7,	227,	23,	1),
(100846,	7,	227,	1,	3),
(100847,	7,	227,	2,	3),
(100848,	7,	227,	3,	3),
(100849,	7,	227,	23,	3),
(100850,	7,	228,	1,	1),
(100851,	7,	228,	2,	1),
(100852,	7,	228,	3,	1),
(100853,	7,	228,	23,	1),
(100854,	7,	228,	1,	3),
(100855,	7,	228,	2,	3),
(100856,	7,	228,	3,	3),
(100857,	7,	228,	23,	3),
(100858,	7,	229,	1,	1),
(100859,	7,	229,	2,	1),
(100860,	7,	229,	3,	1),
(100861,	7,	229,	23,	1),
(100862,	7,	229,	1,	3),
(100863,	7,	229,	2,	3),
(100864,	7,	229,	3,	3),
(100865,	7,	229,	23,	3),
(100866,	7,	230,	1,	1),
(100867,	7,	230,	2,	1),
(100868,	7,	230,	3,	1),
(100869,	7,	231,	1,	1),
(100870,	7,	231,	2,	1),
(100871,	7,	231,	3,	1),
(100872,	7,	231,	1,	3),
(100873,	7,	231,	2,	3),
(100874,	7,	231,	3,	3),
(100875,	7,	232,	1,	1),
(100876,	7,	232,	2,	1),
(100877,	7,	232,	3,	1),
(100878,	7,	232,	1,	3),
(100879,	7,	232,	2,	3),
(100880,	7,	232,	3,	3),
(100881,	7,	233,	1,	1),
(100882,	7,	233,	2,	1),
(100883,	7,	233,	3,	1),
(100884,	7,	233,	1,	3),
(100885,	7,	233,	2,	3),
(100886,	7,	233,	3,	3),
(100887,	7,	234,	1,	1),
(100888,	7,	234,	2,	1),
(100889,	7,	234,	3,	1),
(100890,	7,	234,	1,	3),
(100891,	7,	234,	2,	3),
(100892,	7,	234,	3,	3),
(100893,	7,	235,	1,	1),
(100894,	7,	235,	2,	1),
(100895,	7,	235,	3,	1),
(100896,	7,	235,	1,	3),
(100897,	7,	235,	2,	3),
(100898,	7,	235,	3,	3),
(100899,	7,	236,	1,	1),
(100900,	7,	236,	2,	1),
(100901,	7,	236,	3,	1),
(100902,	7,	237,	1,	1),
(100903,	7,	237,	2,	1),
(100904,	7,	237,	3,	1),
(100905,	7,	237,	1,	3),
(100906,	7,	237,	2,	3),
(100907,	7,	237,	3,	3),
(100908,	7,	238,	1,	1),
(100909,	7,	238,	2,	1),
(100910,	7,	238,	3,	1),
(100911,	7,	239,	1,	1),
(100912,	7,	239,	2,	1),
(100913,	7,	239,	3,	1),
(100914,	7,	240,	1,	1),
(100915,	7,	240,	2,	1),
(100916,	7,	240,	3,	1),
(100917,	7,	241,	1,	1),
(100918,	7,	241,	2,	1),
(100919,	7,	241,	3,	1),
(100920,	7,	242,	1,	1),
(100921,	7,	242,	2,	1),
(100922,	7,	242,	3,	1),
(100923,	7,	242,	1,	2),
(100924,	7,	242,	2,	2),
(100925,	7,	242,	3,	2),
(100926,	7,	243,	1,	1),
(100927,	7,	243,	2,	1),
(100928,	7,	243,	3,	1),
(100929,	7,	243,	1,	2),
(100930,	7,	243,	2,	2),
(100931,	7,	243,	3,	2),
(100932,	7,	244,	1,	1),
(100933,	7,	244,	2,	1),
(100934,	7,	244,	3,	1),
(100935,	7,	244,	1,	2),
(100936,	7,	244,	2,	2),
(100937,	7,	244,	3,	2),
(100938,	7,	245,	1,	1),
(100939,	7,	245,	2,	1),
(100940,	7,	245,	3,	1),
(100941,	7,	245,	1,	2),
(100942,	7,	245,	2,	2),
(100943,	7,	245,	3,	2),
(100944,	7,	246,	1,	1),
(100945,	7,	246,	2,	1),
(100946,	7,	246,	3,	1),
(100947,	7,	246,	1,	2),
(100948,	7,	246,	2,	2),
(100949,	7,	246,	3,	2),
(100950,	7,	247,	1,	1),
(100951,	7,	247,	2,	1),
(100952,	7,	247,	3,	1),
(100953,	7,	247,	1,	2),
(100954,	7,	247,	2,	2),
(100955,	7,	247,	3,	2),
(100956,	7,	248,	1,	1),
(100957,	7,	248,	2,	1),
(100958,	7,	248,	3,	1),
(100959,	7,	248,	1,	2),
(100960,	7,	248,	2,	2),
(100961,	7,	248,	3,	2),
(100962,	7,	249,	1,	1),
(100963,	7,	249,	2,	1),
(100964,	7,	249,	3,	1),
(100965,	7,	249,	1,	3),
(100966,	7,	249,	2,	3),
(100967,	7,	249,	3,	3),
(100968,	7,	250,	1,	1),
(100969,	7,	250,	2,	1),
(100970,	7,	250,	3,	1),
(100971,	7,	250,	1,	2),
(100972,	7,	250,	2,	2),
(100973,	7,	250,	3,	2),
(100974,	7,	251,	1,	1),
(100975,	7,	251,	2,	1),
(100976,	7,	251,	3,	1),
(100977,	7,	251,	1,	2),
(100978,	7,	251,	2,	2),
(100979,	7,	251,	3,	2),
(100980,	7,	252,	1,	1),
(100981,	7,	252,	2,	1),
(100982,	7,	252,	3,	1),
(100983,	7,	253,	1,	1),
(100984,	7,	253,	2,	1),
(100985,	7,	253,	3,	1),
(100986,	7,	253,	1,	3),
(100987,	7,	253,	2,	3),
(100988,	7,	253,	3,	3),
(100989,	7,	254,	1,	1),
(100990,	7,	254,	2,	1),
(100991,	7,	254,	3,	1),
(100992,	7,	254,	1,	2),
(100993,	7,	254,	2,	2),
(100994,	7,	254,	3,	2),
(100995,	7,	255,	1,	1),
(100996,	7,	255,	2,	1),
(100997,	7,	255,	3,	1),
(100998,	7,	255,	1,	2),
(100999,	7,	255,	2,	2),
(101000,	7,	255,	3,	2),
(101001,	7,	256,	1,	1),
(101002,	7,	256,	2,	1),
(101003,	7,	256,	3,	1),
(101004,	7,	256,	1,	2),
(101005,	7,	256,	2,	2),
(101006,	7,	256,	3,	2),
(101007,	7,	257,	1,	1),
(101008,	7,	257,	2,	1),
(101009,	7,	257,	3,	1),
(101010,	7,	257,	1,	2),
(101011,	7,	257,	2,	2),
(101012,	7,	257,	3,	2),
(101013,	7,	258,	1,	1),
(101014,	7,	258,	2,	1),
(101015,	7,	258,	3,	1),
(101016,	7,	258,	1,	3),
(101017,	7,	258,	2,	3),
(101018,	7,	258,	3,	3),
(101019,	7,	259,	1,	1),
(101020,	7,	259,	2,	1),
(101021,	7,	259,	3,	1),
(101022,	7,	259,	1,	2),
(101023,	7,	259,	2,	2),
(101024,	7,	259,	3,	2),
(101025,	7,	260,	1,	1),
(101026,	7,	260,	2,	1),
(101027,	7,	260,	3,	1),
(101028,	7,	260,	1,	2),
(101029,	7,	260,	2,	2),
(101030,	7,	260,	3,	2),
(101031,	7,	261,	1,	1),
(101032,	7,	261,	2,	1),
(101033,	7,	261,	3,	1),
(101034,	7,	261,	1,	2),
(101035,	7,	261,	2,	2),
(101036,	7,	261,	3,	2),
(101037,	7,	262,	1,	1),
(101038,	7,	262,	2,	1),
(101039,	7,	262,	3,	1),
(101040,	7,	262,	1,	2),
(101041,	7,	262,	2,	2),
(101042,	7,	262,	3,	2),
(101043,	7,	263,	1,	1),
(101044,	7,	263,	2,	1),
(101045,	7,	263,	3,	1),
(101046,	7,	263,	1,	2),
(101047,	7,	263,	2,	2),
(101048,	7,	263,	3,	2),
(101049,	7,	264,	1,	1),
(101050,	7,	264,	2,	1),
(101051,	7,	264,	3,	1),
(101052,	7,	264,	1,	2),
(101053,	7,	264,	2,	2),
(101054,	7,	264,	3,	2),
(101055,	7,	265,	1,	1),
(101056,	7,	265,	2,	1),
(101057,	7,	265,	3,	1),
(101058,	7,	265,	1,	3),
(101059,	7,	265,	2,	3),
(101060,	7,	265,	3,	3),
(101061,	7,	266,	1,	1),
(101062,	7,	266,	2,	1),
(101063,	7,	266,	3,	1),
(101064,	7,	266,	1,	2),
(101065,	7,	266,	2,	2),
(101066,	7,	266,	3,	2),
(101067,	7,	270,	2,	1),
(101068,	7,	270,	1,	3),
(101069,	7,	270,	2,	3),
(101070,	7,	270,	3,	3),
(101071,	7,	271,	1,	3),
(101072,	7,	271,	2,	3),
(101073,	7,	271,	3,	3),
(101074,	7,	272,	1,	3),
(101075,	7,	272,	2,	3),
(101076,	7,	272,	3,	3),
(101077,	7,	273,	1,	1),
(101078,	7,	273,	2,	1),
(101079,	7,	273,	3,	1),
(101080,	7,	274,	1,	1),
(101081,	7,	274,	2,	1),
(101082,	7,	274,	3,	1),
(101083,	7,	274,	23,	1),
(101084,	7,	274,	1,	3),
(101085,	7,	274,	2,	3),
(101086,	7,	274,	3,	3),
(101087,	7,	274,	23,	3),
(101088,	7,	275,	1,	1),
(101089,	7,	275,	2,	1),
(101090,	7,	275,	3,	1),
(101091,	7,	275,	23,	1),
(101092,	7,	275,	1,	3),
(101093,	7,	275,	2,	3),
(101094,	7,	275,	3,	3),
(101095,	7,	275,	23,	3),
(101096,	7,	276,	1,	1),
(101097,	7,	276,	2,	1),
(101098,	7,	276,	3,	1),
(101099,	7,	276,	23,	1),
(101100,	7,	276,	1,	3),
(101101,	7,	276,	2,	3),
(101102,	7,	276,	3,	3),
(101103,	7,	276,	23,	3),
(101104,	7,	277,	1,	1),
(101105,	7,	277,	2,	1),
(101106,	7,	277,	3,	1),
(101107,	7,	277,	1,	2),
(101108,	7,	277,	2,	2),
(101109,	7,	277,	3,	2),
(101110,	7,	278,	1,	1),
(101111,	7,	278,	2,	1),
(101112,	7,	278,	3,	1),
(101113,	7,	279,	1,	1),
(101114,	7,	279,	2,	1),
(101115,	7,	279,	3,	1),
(101116,	7,	279,	1,	2),
(101117,	7,	279,	2,	2),
(101118,	7,	279,	3,	2),
(101119,	7,	280,	1,	1),
(101120,	7,	280,	2,	1),
(101121,	7,	280,	3,	1),
(101122,	7,	280,	1,	3),
(101123,	7,	280,	2,	3),
(101124,	7,	280,	3,	3),
(101125,	7,	281,	1,	1),
(101126,	7,	281,	2,	1),
(101127,	7,	281,	3,	1),
(101128,	7,	281,	23,	1),
(101129,	7,	281,	1,	3),
(101130,	7,	281,	2,	3),
(101131,	7,	281,	3,	3),
(101132,	7,	281,	23,	3),
(101133,	7,	282,	1,	1),
(101134,	7,	282,	2,	1),
(101135,	7,	282,	3,	1),
(101136,	7,	282,	23,	1),
(101137,	7,	282,	1,	3),
(101138,	7,	282,	2,	3),
(101139,	7,	282,	3,	3),
(101140,	7,	282,	23,	3),
(101141,	7,	283,	1,	1),
(101142,	7,	283,	2,	1),
(101143,	7,	283,	3,	1),
(101144,	7,	283,	23,	1),
(101145,	7,	283,	1,	3),
(101146,	7,	283,	2,	3),
(101147,	7,	283,	3,	3),
(101148,	7,	283,	23,	3),
(101149,	7,	284,	1,	1),
(101150,	7,	284,	2,	1),
(101151,	7,	284,	3,	1),
(101152,	7,	284,	23,	1),
(101153,	7,	284,	1,	3),
(101154,	7,	284,	2,	3),
(101155,	7,	284,	3,	3),
(101156,	7,	284,	23,	3),
(101157,	7,	285,	1,	1),
(101158,	7,	285,	2,	1),
(101159,	7,	285,	3,	1),
(101160,	7,	285,	23,	1),
(101161,	7,	285,	1,	2),
(101162,	7,	285,	2,	2),
(101163,	7,	285,	3,	2),
(101164,	7,	285,	23,	2),
(101165,	7,	286,	1,	1),
(101166,	7,	286,	2,	1),
(101167,	7,	286,	3,	1),
(101168,	7,	286,	23,	1),
(101169,	7,	287,	1,	1),
(101170,	7,	287,	2,	1),
(101171,	7,	287,	3,	1),
(101172,	7,	287,	23,	1),
(101173,	7,	287,	1,	2),
(101174,	7,	287,	2,	2),
(101175,	7,	287,	3,	2),
(101176,	7,	287,	23,	2),
(101177,	7,	288,	1,	1),
(101178,	7,	288,	2,	1),
(101179,	7,	288,	3,	1),
(101180,	7,	288,	23,	1),
(101181,	7,	288,	1,	2),
(101182,	7,	288,	2,	2),
(101183,	7,	288,	3,	2),
(101184,	7,	288,	23,	2),
(101185,	7,	290,	1,	1),
(101186,	7,	290,	2,	1),
(101187,	7,	290,	3,	1),
(101188,	7,	291,	1,	1),
(101189,	7,	291,	2,	1),
(101190,	7,	291,	3,	1),
(101191,	7,	291,	1,	3),
(101192,	7,	291,	2,	3),
(101193,	7,	291,	3,	3),
(101194,	7,	292,	1,	1),
(101195,	7,	292,	2,	1),
(101196,	7,	292,	3,	1),
(101197,	7,	292,	1,	2),
(101198,	7,	292,	2,	2),
(101199,	7,	292,	3,	2),
(101200,	7,	293,	1,	1),
(101201,	7,	293,	2,	1),
(101202,	7,	293,	3,	1),
(101203,	7,	294,	1,	1),
(101204,	7,	294,	2,	1),
(101205,	7,	294,	3,	1),
(101206,	7,	294,	1,	2),
(101207,	7,	294,	2,	2),
(101208,	7,	294,	3,	2),
(101209,	7,	295,	1,	1),
(101210,	7,	295,	2,	1),
(101211,	7,	295,	3,	1),
(101212,	7,	295,	1,	3),
(101213,	7,	295,	2,	3),
(101214,	7,	295,	3,	3),
(101215,	7,	296,	1,	1),
(101216,	7,	296,	2,	1),
(101217,	7,	296,	3,	1),
(101218,	7,	296,	1,	3),
(101219,	7,	296,	2,	3),
(101220,	7,	296,	3,	3),
(101221,	7,	297,	1,	1),
(101222,	7,	297,	2,	1),
(101223,	7,	297,	3,	1),
(101224,	7,	297,	1,	3),
(101225,	7,	297,	2,	3),
(101226,	7,	297,	3,	3),
(101227,	7,	298,	1,	1),
(101228,	7,	298,	2,	1),
(101229,	7,	298,	3,	1),
(101230,	7,	298,	1,	3),
(101231,	7,	298,	2,	3),
(101232,	7,	298,	3,	3),
(101233,	7,	299,	1,	1),
(101234,	7,	299,	2,	1),
(101235,	7,	299,	3,	1),
(101236,	7,	299,	1,	2),
(101237,	7,	299,	2,	2),
(101238,	7,	299,	3,	2),
(101239,	7,	300,	1,	1),
(101240,	7,	300,	2,	1),
(101241,	7,	300,	3,	1),
(101242,	7,	300,	1,	2),
(101243,	7,	300,	2,	2),
(101244,	7,	300,	3,	2),
(101245,	7,	301,	1,	1),
(101246,	7,	301,	2,	1),
(101247,	7,	301,	3,	1),
(101248,	7,	301,	1,	2),
(101249,	7,	301,	2,	2),
(101250,	7,	301,	3,	2),
(101251,	7,	302,	1,	1),
(101252,	7,	302,	2,	1),
(101253,	7,	302,	3,	1),
(101254,	7,	302,	1,	2),
(101255,	7,	302,	2,	2),
(101256,	7,	302,	3,	2),
(101257,	7,	303,	1,	1),
(101258,	7,	303,	2,	1),
(101259,	7,	303,	3,	1),
(101260,	7,	303,	1,	2),
(101261,	7,	303,	2,	2),
(101262,	7,	303,	3,	2),
(101263,	7,	304,	1,	1),
(101264,	7,	304,	2,	1),
(101265,	7,	304,	3,	1),
(101266,	7,	304,	1,	2),
(101267,	7,	304,	2,	2),
(101268,	7,	304,	3,	2),
(101269,	7,	305,	1,	1),
(101270,	7,	305,	2,	1),
(101271,	7,	305,	3,	1),
(101272,	7,	305,	1,	2),
(101273,	7,	305,	2,	2),
(101274,	7,	305,	3,	2),
(101275,	7,	306,	1,	1),
(101276,	7,	306,	2,	1),
(101277,	7,	306,	3,	1),
(101278,	7,	306,	1,	3),
(101279,	7,	306,	2,	3),
(101280,	7,	306,	3,	3),
(101281,	7,	307,	1,	1),
(101282,	7,	307,	2,	1),
(101283,	7,	307,	3,	1),
(101284,	7,	307,	1,	2),
(101285,	7,	307,	2,	2),
(101286,	7,	307,	3,	2),
(101287,	7,	308,	1,	1),
(101288,	7,	308,	2,	1),
(101289,	7,	308,	3,	1),
(101290,	7,	308,	1,	2),
(101291,	7,	308,	2,	2),
(101292,	7,	308,	3,	2),
(101293,	7,	309,	1,	1),
(101294,	7,	309,	2,	1),
(101295,	7,	309,	3,	1),
(101296,	7,	309,	23,	1),
(101297,	7,	309,	1,	3),
(101298,	7,	309,	2,	3),
(101299,	7,	309,	3,	3),
(101300,	7,	309,	23,	3),
(101301,	7,	310,	1,	1),
(101302,	7,	310,	2,	1),
(101303,	7,	310,	3,	1),
(101304,	7,	310,	28,	1),
(101305,	7,	310,	23,	1),
(101306,	7,	310,	1,	3),
(101307,	7,	310,	2,	3),
(101308,	7,	310,	3,	3),
(101309,	7,	310,	28,	3),
(101310,	7,	310,	23,	3),
(101311,	7,	311,	1,	1),
(101312,	7,	311,	2,	1),
(101313,	7,	311,	3,	1),
(101314,	7,	311,	1,	3),
(101315,	7,	311,	2,	3),
(101316,	7,	311,	3,	3),
(101317,	7,	312,	1,	1),
(101318,	7,	312,	2,	1),
(101319,	7,	312,	3,	1),
(101320,	7,	312,	1,	3),
(101321,	7,	312,	2,	3),
(101322,	7,	312,	3,	3),
(101323,	7,	313,	1,	1),
(101324,	7,	313,	2,	1),
(101325,	7,	313,	3,	1),
(101326,	7,	313,	1,	3),
(101327,	7,	313,	2,	3),
(101328,	7,	313,	3,	3),
(101329,	7,	314,	1,	1),
(101330,	7,	314,	2,	1),
(101331,	7,	314,	3,	1),
(101332,	7,	314,	1,	3),
(101333,	7,	314,	2,	3),
(101334,	7,	314,	3,	3),
(101335,	7,	315,	1,	1),
(101336,	7,	315,	2,	1),
(101337,	7,	315,	3,	1),
(101338,	7,	315,	1,	2),
(101339,	7,	315,	2,	2),
(101340,	7,	315,	3,	2),
(101341,	7,	316,	1,	1),
(101342,	7,	316,	2,	1),
(101343,	7,	316,	3,	1),
(101344,	7,	317,	1,	1),
(101345,	7,	317,	2,	1),
(101346,	7,	317,	3,	1),
(101347,	7,	317,	1,	2),
(101348,	7,	317,	2,	2),
(101349,	7,	317,	3,	2),
(101350,	7,	318,	1,	1),
(101351,	7,	318,	2,	1),
(101352,	7,	318,	3,	1),
(101353,	7,	318,	1,	2),
(101354,	7,	318,	2,	2),
(101355,	7,	318,	3,	2),
(101356,	7,	319,	1,	1),
(101357,	7,	319,	2,	1),
(101358,	7,	319,	3,	1),
(101359,	7,	319,	1,	3),
(101360,	7,	319,	2,	3),
(101361,	7,	319,	3,	3),
(101362,	7,	320,	1,	1),
(101363,	7,	320,	2,	1),
(101364,	7,	320,	3,	1),
(101365,	7,	321,	1,	1),
(101366,	7,	321,	2,	1),
(101367,	7,	321,	3,	1),
(101368,	7,	321,	1,	3),
(101369,	7,	321,	2,	3),
(101370,	7,	321,	3,	3),
(101371,	7,	322,	1,	1),
(101372,	7,	322,	2,	1),
(101373,	7,	322,	3,	1),
(101374,	7,	322,	1,	2),
(101375,	7,	322,	2,	2),
(101376,	7,	322,	3,	2),
(101377,	7,	323,	1,	1),
(101378,	7,	323,	2,	1),
(101379,	7,	323,	3,	1),
(101380,	7,	323,	1,	2),
(101381,	7,	323,	2,	2),
(101382,	7,	323,	3,	2),
(101383,	7,	324,	1,	1),
(101384,	7,	324,	2,	1),
(101385,	7,	324,	3,	1),
(101386,	7,	324,	1,	3),
(101387,	7,	324,	2,	3),
(101388,	7,	324,	3,	3),
(101389,	7,	325,	1,	1),
(101390,	7,	325,	2,	1),
(101391,	7,	325,	3,	1),
(101392,	7,	325,	1,	3),
(101393,	7,	325,	2,	3),
(101394,	7,	325,	3,	3),
(101395,	7,	326,	1,	1),
(101396,	7,	326,	2,	1),
(101397,	7,	326,	3,	1),
(101398,	7,	326,	1,	3),
(101399,	7,	326,	2,	3),
(101400,	7,	326,	3,	3),
(101401,	7,	327,	1,	1),
(101402,	7,	327,	2,	1),
(101403,	7,	327,	3,	1),
(101404,	7,	328,	1,	1),
(101405,	7,	328,	2,	1),
(101406,	7,	328,	3,	1),
(101407,	7,	328,	1,	3),
(101408,	7,	328,	2,	3),
(101409,	7,	328,	3,	3),
(101410,	7,	329,	1,	1),
(101411,	7,	329,	2,	1),
(101412,	7,	329,	3,	1),
(101413,	7,	329,	1,	3),
(101414,	7,	329,	2,	3),
(101415,	7,	329,	3,	3),
(101416,	7,	330,	1,	1),
(101417,	7,	330,	2,	1),
(101418,	7,	330,	3,	1),
(101419,	7,	330,	1,	3),
(101420,	7,	330,	2,	3),
(101421,	7,	330,	3,	3),
(101422,	7,	331,	1,	1),
(101423,	7,	331,	2,	1),
(101424,	7,	331,	3,	1),
(101425,	7,	331,	1,	2),
(101426,	7,	331,	2,	2),
(101427,	7,	331,	3,	2),
(101428,	7,	332,	1,	1),
(101429,	7,	332,	2,	1),
(101430,	7,	332,	3,	1),
(101431,	7,	333,	1,	1),
(101432,	7,	333,	2,	1),
(101433,	7,	333,	3,	1),
(101434,	7,	333,	1,	3),
(101435,	7,	333,	2,	3),
(101436,	7,	333,	3,	3),
(101437,	7,	334,	1,	1),
(101438,	7,	334,	2,	1),
(101439,	7,	334,	3,	1),
(101440,	7,	334,	1,	3),
(101441,	7,	334,	2,	3),
(101442,	7,	334,	3,	3),
(101443,	7,	335,	1,	1),
(101444,	7,	335,	2,	1),
(101445,	7,	335,	3,	1),
(101446,	7,	335,	1,	3),
(101447,	7,	335,	2,	3),
(101448,	7,	335,	3,	3),
(101449,	7,	336,	1,	1),
(101450,	7,	336,	2,	1),
(101451,	7,	336,	3,	1),
(101452,	7,	336,	1,	3),
(101453,	7,	336,	2,	3),
(101454,	7,	336,	3,	3),
(101455,	7,	337,	1,	1),
(101456,	7,	337,	2,	1),
(101457,	7,	337,	3,	1),
(101458,	7,	337,	1,	3),
(101459,	7,	337,	2,	3),
(101460,	7,	337,	3,	3),
(101461,	7,	337,	1,	2),
(101462,	7,	337,	2,	2),
(101463,	7,	337,	3,	2),
(101464,	7,	338,	1,	1),
(101465,	7,	338,	2,	1),
(101466,	7,	338,	3,	1),
(101467,	7,	338,	1,	2),
(101468,	7,	338,	2,	2),
(101469,	7,	338,	3,	2),
(101470,	7,	339,	1,	1),
(101471,	7,	339,	2,	1),
(101472,	7,	339,	3,	1),
(101473,	7,	339,	1,	3),
(101474,	7,	339,	2,	3),
(101475,	7,	339,	3,	3),
(101476,	7,	340,	1,	1),
(101477,	7,	340,	2,	1),
(101478,	7,	340,	3,	1),
(101479,	7,	340,	1,	3),
(101480,	7,	340,	2,	3),
(101481,	7,	340,	3,	3),
(101482,	7,	341,	1,	1),
(101483,	7,	341,	2,	1),
(101484,	7,	341,	3,	1),
(101485,	7,	341,	1,	3),
(101486,	7,	341,	2,	3),
(101487,	7,	341,	3,	3),
(101488,	7,	342,	1,	1),
(101489,	7,	342,	2,	1),
(101490,	7,	342,	3,	1),
(101491,	7,	342,	1,	2),
(101492,	7,	342,	2,	2),
(101493,	7,	342,	3,	2),
(101494,	7,	343,	1,	1),
(101495,	7,	343,	2,	1),
(101496,	7,	343,	3,	1),
(101497,	7,	343,	1,	3),
(101498,	7,	343,	2,	3),
(101499,	7,	343,	3,	3),
(101500,	7,	344,	1,	1),
(101501,	7,	344,	2,	1),
(101502,	7,	344,	3,	1),
(101503,	7,	344,	1,	3),
(101504,	7,	344,	2,	3),
(101505,	7,	344,	3,	3),
(101506,	7,	345,	1,	1),
(101507,	7,	345,	2,	1),
(101508,	7,	345,	3,	1),
(101509,	7,	345,	1,	3),
(101510,	7,	345,	2,	3),
(101511,	7,	345,	3,	3),
(101512,	7,	346,	1,	1),
(101513,	7,	346,	2,	1),
(101514,	7,	346,	3,	1),
(101515,	7,	346,	1,	3),
(101516,	7,	346,	2,	3),
(101517,	7,	346,	3,	3),
(101518,	7,	346,	1,	2),
(101519,	7,	346,	2,	2),
(101520,	7,	346,	3,	2),
(101521,	7,	347,	1,	1),
(101522,	7,	347,	2,	1),
(101523,	7,	347,	3,	1),
(101524,	7,	347,	1,	3),
(101525,	7,	347,	2,	3),
(101526,	7,	347,	3,	3),
(101527,	7,	347,	1,	2),
(101528,	7,	347,	2,	2),
(101529,	7,	347,	3,	2),
(101530,	7,	348,	1,	1),
(101531,	7,	348,	2,	1),
(101532,	7,	348,	3,	1),
(101533,	7,	348,	1,	3),
(101534,	7,	348,	2,	3),
(101535,	7,	348,	3,	3),
(101536,	7,	349,	1,	1),
(101537,	7,	349,	2,	1),
(101538,	7,	349,	3,	1),
(101539,	7,	349,	1,	3),
(101540,	7,	349,	2,	3),
(101541,	7,	349,	3,	3),
(101542,	7,	350,	1,	1),
(101543,	7,	350,	2,	1),
(101544,	7,	350,	3,	1),
(101545,	7,	350,	1,	3),
(101546,	7,	350,	2,	3),
(101547,	7,	350,	3,	3),
(101548,	7,	351,	1,	1),
(101549,	7,	351,	2,	1),
(101550,	7,	351,	3,	1),
(101551,	7,	351,	1,	2),
(101552,	7,	351,	2,	2),
(101553,	7,	351,	3,	2),
(101554,	7,	352,	1,	1),
(101555,	7,	352,	2,	1),
(101556,	7,	352,	3,	1),
(101557,	7,	352,	1,	3),
(101558,	7,	352,	2,	3),
(101559,	7,	352,	3,	3),
(101560,	7,	353,	1,	1),
(101561,	7,	353,	2,	1),
(101562,	7,	353,	3,	1),
(101563,	7,	353,	1,	3),
(101564,	7,	353,	2,	3),
(101565,	7,	353,	3,	3),
(101566,	7,	354,	1,	1),
(101567,	7,	354,	2,	1),
(101568,	7,	354,	3,	1),
(101569,	7,	354,	1,	3),
(101570,	7,	354,	2,	3),
(101571,	7,	354,	3,	3),
(101572,	7,	355,	1,	1),
(101573,	7,	355,	2,	1),
(101574,	7,	355,	3,	1),
(101575,	7,	355,	29,	1),
(101576,	7,	356,	1,	1),
(101577,	7,	356,	2,	1),
(101578,	7,	356,	3,	1),
(101579,	7,	356,	1,	2),
(101580,	7,	356,	2,	2),
(101581,	7,	356,	3,	2),
(101582,	7,	357,	1,	1),
(101583,	7,	357,	2,	1),
(101584,	7,	357,	3,	1),
(101585,	7,	357,	1,	2),
(101586,	7,	357,	2,	2),
(101587,	7,	357,	3,	2),
(101588,	7,	358,	1,	1),
(101589,	7,	358,	2,	1),
(101590,	7,	358,	3,	1),
(101591,	7,	358,	1,	2),
(101592,	7,	358,	2,	2),
(101593,	7,	358,	3,	2),
(101594,	7,	359,	1,	1),
(101595,	7,	359,	2,	1),
(101596,	7,	359,	3,	1),
(101597,	7,	360,	1,	1),
(101598,	7,	360,	2,	1),
(101599,	7,	360,	3,	1),
(101600,	7,	361,	1,	1),
(101601,	7,	361,	2,	1),
(101602,	7,	361,	3,	1),
(101603,	7,	361,	1,	2),
(101604,	7,	361,	2,	2),
(101605,	7,	361,	3,	2),
(101606,	7,	362,	1,	1),
(101607,	7,	362,	2,	1),
(101608,	7,	362,	3,	1),
(101609,	7,	362,	1,	3),
(101610,	7,	362,	2,	3),
(101611,	7,	362,	3,	3),
(101612,	7,	363,	1,	1),
(101613,	7,	363,	2,	1),
(101614,	7,	363,	3,	1),
(101615,	7,	363,	1,	3),
(101616,	7,	363,	2,	3),
(101617,	7,	363,	3,	3),
(101618,	7,	364,	1,	1),
(101619,	7,	364,	2,	1),
(101620,	7,	364,	3,	1),
(101621,	7,	364,	1,	3),
(101622,	7,	364,	2,	3),
(101623,	7,	364,	3,	3),
(101624,	7,	365,	1,	1),
(101625,	7,	365,	2,	1),
(101626,	7,	365,	3,	1),
(101627,	7,	365,	1,	2),
(101628,	7,	365,	2,	2),
(101629,	7,	365,	3,	2),
(101630,	7,	366,	1,	1),
(101631,	7,	366,	2,	1),
(101632,	7,	366,	3,	1),
(101633,	7,	367,	1,	1),
(101634,	7,	367,	2,	1),
(101635,	7,	367,	3,	1),
(101636,	7,	367,	1,	3),
(101637,	7,	367,	2,	3),
(101638,	7,	367,	3,	3),
(101639,	7,	368,	1,	1),
(101640,	7,	368,	2,	1),
(101641,	7,	368,	3,	1),
(101642,	7,	368,	1,	3),
(101643,	7,	368,	2,	3),
(101644,	7,	368,	3,	3),
(101645,	7,	369,	1,	1),
(101646,	7,	369,	2,	1),
(101647,	7,	369,	3,	1),
(101648,	7,	369,	29,	1),
(101649,	7,	369,	30,	1),
(101650,	7,	370,	1,	1),
(101651,	7,	370,	2,	1),
(101652,	7,	370,	3,	1),
(101653,	7,	370,	29,	1),
(101654,	7,	370,	30,	1),
(101655,	7,	373,	2,	1),
(101656,	7,	381,	1,	1),
(101657,	7,	381,	2,	1),
(101658,	7,	381,	3,	1),
(101659,	7,	381,	1,	2),
(101660,	7,	381,	2,	2),
(101661,	7,	381,	3,	2),
(101662,	7,	382,	1,	1),
(101663,	7,	382,	2,	1),
(101664,	7,	382,	3,	1),
(101665,	7,	382,	23,	1),
(101666,	7,	383,	1,	1),
(101667,	7,	383,	2,	1),
(101668,	7,	383,	3,	1),
(101669,	7,	383,	1,	2),
(101670,	7,	383,	2,	2),
(101671,	7,	383,	3,	2),
(101672,	7,	384,	1,	1),
(101673,	7,	384,	2,	1),
(101674,	7,	384,	3,	1),
(101675,	7,	384,	23,	1),
(101676,	7,	384,	1,	3),
(101677,	7,	384,	2,	3),
(101678,	7,	384,	3,	3),
(101679,	7,	384,	23,	3),
(101680,	7,	385,	1,	1),
(101681,	7,	385,	2,	1),
(101682,	7,	385,	3,	1),
(101683,	7,	385,	1,	3),
(101684,	7,	385,	2,	3),
(101685,	7,	385,	3,	3),
(101686,	7,	386,	1,	1),
(101687,	7,	386,	2,	1),
(101688,	7,	386,	3,	1),
(101689,	7,	386,	1,	2),
(101690,	7,	386,	2,	2),
(101691,	7,	386,	3,	2),
(101692,	7,	387,	1,	1),
(101693,	7,	387,	2,	1),
(101694,	7,	387,	3,	1),
(101695,	7,	387,	1,	2),
(101696,	7,	387,	2,	2),
(101697,	7,	387,	3,	2),
(101698,	7,	388,	1,	1),
(101699,	7,	388,	2,	1),
(101700,	7,	388,	3,	1),
(101701,	7,	388,	1,	2),
(101702,	7,	388,	2,	2),
(101703,	7,	388,	3,	2),
(101704,	7,	389,	1,	1),
(101705,	7,	389,	2,	1),
(101706,	7,	389,	3,	1),
(101707,	7,	389,	1,	2),
(101708,	7,	389,	2,	2),
(101709,	7,	389,	3,	2),
(101710,	7,	390,	1,	1),
(101711,	7,	390,	2,	1),
(101712,	7,	390,	3,	1),
(101713,	7,	391,	1,	1),
(101714,	7,	391,	2,	1),
(101715,	7,	391,	3,	1),
(101716,	7,	391,	1,	2),
(101717,	7,	391,	2,	2),
(101718,	7,	391,	3,	2),
(101719,	7,	392,	1,	1),
(101720,	7,	392,	2,	1),
(101721,	7,	392,	3,	1),
(101722,	7,	392,	1,	2),
(101723,	7,	392,	2,	2),
(101724,	7,	392,	3,	2),
(101725,	7,	393,	1,	1),
(101726,	7,	393,	2,	1),
(101727,	7,	393,	3,	1),
(101728,	7,	393,	1,	2),
(101729,	7,	393,	2,	2),
(101730,	7,	393,	3,	2),
(101731,	7,	394,	1,	1),
(101732,	7,	394,	2,	1),
(101733,	7,	394,	3,	1),
(101734,	7,	394,	1,	2),
(101735,	7,	394,	2,	2),
(101736,	7,	394,	3,	2),
(101737,	7,	395,	1,	1),
(101738,	7,	395,	2,	1),
(101739,	7,	395,	3,	1),
(101740,	7,	395,	1,	2),
(101741,	7,	395,	2,	2),
(101742,	7,	395,	3,	2),
(101743,	7,	396,	1,	1),
(101744,	7,	396,	2,	1),
(101745,	7,	396,	3,	1),
(101746,	7,	396,	6,	1),
(101747,	7,	396,	24,	1),
(101748,	7,	396,	5,	1),
(101749,	7,	396,	1,	2),
(101750,	7,	396,	2,	2),
(101751,	7,	396,	3,	2),
(101752,	7,	396,	6,	2),
(101753,	7,	396,	24,	2),
(101754,	7,	396,	5,	2),
(101755,	7,	397,	1,	1),
(101756,	7,	397,	2,	1),
(101757,	7,	397,	3,	1),
(101758,	7,	397,	6,	1),
(101759,	7,	397,	24,	1),
(101760,	7,	397,	5,	1),
(101761,	7,	397,	1,	2),
(101762,	7,	397,	2,	2),
(101763,	7,	397,	3,	2),
(101764,	7,	397,	6,	2),
(101765,	7,	397,	24,	2),
(101766,	7,	397,	5,	2),
(101767,	7,	398,	1,	1),
(101768,	7,	398,	2,	1),
(101769,	7,	398,	3,	1),
(101770,	7,	398,	6,	1),
(101771,	7,	398,	24,	1),
(101772,	7,	398,	25,	1),
(101773,	7,	398,	4,	1),
(101774,	7,	398,	1,	3),
(101775,	7,	398,	2,	3),
(101776,	7,	398,	3,	3),
(101777,	7,	398,	6,	3),
(101778,	7,	398,	24,	3),
(101779,	7,	398,	25,	3),
(101780,	7,	398,	4,	3),
(101781,	7,	399,	1,	1),
(101782,	7,	399,	2,	1),
(101783,	7,	399,	3,	1),
(101784,	7,	399,	6,	1),
(101785,	7,	399,	24,	1),
(101786,	7,	399,	25,	1),
(101787,	7,	399,	4,	1),
(101788,	7,	399,	5,	1),
(101789,	7,	399,	1,	3),
(101790,	7,	399,	2,	3),
(101791,	7,	399,	3,	3),
(101792,	7,	399,	6,	3),
(101793,	7,	399,	24,	3),
(101794,	7,	399,	25,	3),
(101795,	7,	399,	4,	3),
(101796,	7,	399,	5,	3),
(101797,	7,	400,	1,	1),
(101798,	7,	400,	2,	1),
(101799,	7,	400,	3,	1),
(101800,	7,	400,	1,	3),
(101801,	7,	400,	2,	3),
(101802,	7,	400,	3,	3),
(101803,	7,	400,	1,	2),
(101804,	7,	400,	2,	2),
(101805,	7,	400,	3,	2),
(101806,	7,	401,	1,	1),
(101807,	7,	401,	2,	1),
(101808,	7,	401,	3,	1),
(101809,	7,	401,	6,	1),
(101810,	7,	401,	24,	1),
(101811,	7,	401,	25,	1),
(101812,	7,	401,	4,	1),
(101813,	7,	401,	5,	1),
(101814,	7,	401,	1,	3),
(101815,	7,	401,	2,	3),
(101816,	7,	401,	3,	3),
(101817,	7,	401,	6,	3),
(101818,	7,	401,	24,	3),
(101819,	7,	401,	25,	3),
(101820,	7,	401,	4,	3),
(101821,	7,	401,	5,	3),
(101822,	7,	402,	1,	1),
(101823,	7,	402,	2,	1),
(101824,	7,	402,	3,	1),
(101825,	7,	402,	6,	1),
(101826,	7,	402,	24,	1),
(101827,	7,	402,	25,	1),
(101828,	7,	402,	4,	1),
(101829,	7,	402,	5,	1),
(101830,	7,	402,	1,	3),
(101831,	7,	402,	2,	3),
(101832,	7,	402,	3,	3),
(101833,	7,	402,	6,	3),
(101834,	7,	402,	24,	3),
(101835,	7,	402,	25,	3),
(101836,	7,	402,	4,	3),
(101837,	7,	402,	5,	3),
(101838,	7,	403,	1,	1),
(101839,	7,	403,	2,	1),
(101840,	7,	403,	3,	1),
(101841,	7,	403,	6,	1),
(101842,	7,	403,	24,	1),
(101843,	7,	403,	5,	1),
(101844,	7,	403,	1,	2),
(101845,	7,	403,	2,	2),
(101846,	7,	403,	3,	2),
(101847,	7,	403,	6,	2),
(101848,	7,	403,	24,	2),
(101849,	7,	403,	5,	2),
(101850,	7,	404,	1,	1),
(101851,	7,	404,	2,	1),
(101852,	7,	404,	3,	1),
(101853,	7,	404,	1,	2),
(101854,	7,	404,	2,	2),
(101855,	7,	404,	3,	2),
(101856,	7,	405,	1,	1),
(101857,	7,	405,	2,	1),
(101858,	7,	405,	3,	1),
(101859,	7,	405,	1,	2),
(101860,	7,	405,	2,	2),
(101861,	7,	405,	3,	2),
(101862,	7,	406,	1,	1),
(101863,	7,	406,	2,	1),
(101864,	7,	406,	3,	1),
(101865,	7,	406,	1,	2),
(101866,	7,	406,	2,	2),
(101867,	7,	406,	3,	2),
(101868,	7,	407,	1,	1),
(101869,	7,	407,	2,	1),
(101870,	7,	407,	3,	1),
(101871,	7,	407,	1,	2),
(101872,	7,	407,	2,	2),
(101873,	7,	407,	3,	2),
(101874,	7,	409,	1,	1),
(101875,	7,	409,	2,	1),
(101876,	7,	409,	3,	1),
(101877,	7,	409,	1,	3),
(101878,	7,	409,	2,	3),
(101879,	7,	409,	3,	3),
(101880,	7,	410,	1,	1),
(101881,	7,	410,	2,	1),
(101882,	7,	410,	3,	1),
(101883,	7,	410,	1,	2),
(101884,	7,	410,	2,	2),
(101885,	7,	410,	3,	2),
(101886,	7,	411,	1,	1),
(101887,	7,	411,	2,	1),
(101888,	7,	411,	3,	1),
(101889,	7,	411,	1,	2),
(101890,	7,	411,	2,	2),
(101891,	7,	411,	3,	2),
(101892,	7,	412,	1,	1),
(101893,	7,	412,	2,	1),
(101894,	7,	412,	3,	1),
(101895,	7,	413,	1,	1),
(101896,	7,	413,	2,	1),
(101897,	7,	413,	3,	1),
(101898,	7,	413,	1,	2),
(101899,	7,	413,	2,	2),
(101900,	7,	413,	3,	2),
(101901,	7,	414,	1,	1),
(101902,	7,	414,	2,	1),
(101903,	7,	414,	3,	1),
(101904,	7,	414,	1,	2),
(101905,	7,	414,	2,	2),
(101906,	7,	414,	3,	2),
(101907,	7,	415,	1,	1),
(101908,	7,	415,	2,	1),
(101909,	7,	415,	3,	1),
(101910,	7,	415,	1,	2),
(101911,	7,	415,	2,	2),
(101912,	7,	415,	3,	2),
(101913,	7,	416,	1,	1),
(101914,	7,	416,	2,	1),
(101915,	7,	416,	3,	1),
(101916,	7,	416,	1,	2),
(101917,	7,	416,	2,	2),
(101918,	7,	416,	3,	2),
(101919,	7,	417,	1,	1),
(101920,	7,	417,	2,	1),
(101921,	7,	417,	3,	1),
(101922,	7,	418,	1,	1),
(101923,	7,	418,	2,	1),
(101924,	7,	418,	3,	1),
(101925,	7,	418,	1,	2),
(101926,	7,	418,	2,	2),
(101927,	7,	418,	3,	2),
(101928,	7,	419,	1,	1),
(101929,	7,	419,	2,	1),
(101930,	7,	419,	3,	1),
(101931,	7,	419,	1,	2),
(101932,	7,	419,	2,	2),
(101933,	7,	419,	3,	2),
(101934,	7,	420,	1,	1),
(101935,	7,	420,	2,	1),
(101936,	7,	420,	3,	1),
(101937,	7,	420,	1,	2),
(101938,	7,	420,	2,	2),
(101939,	7,	420,	3,	2),
(101940,	7,	421,	1,	1),
(101941,	7,	421,	2,	1),
(101942,	7,	421,	3,	1),
(101943,	7,	421,	1,	2),
(101944,	7,	421,	2,	2),
(101945,	7,	421,	3,	2),
(101946,	7,	422,	1,	1),
(101947,	7,	422,	2,	1),
(101948,	7,	422,	3,	1),
(101949,	7,	422,	1,	3),
(101950,	7,	422,	2,	3),
(101951,	7,	422,	3,	3),
(101952,	7,	423,	1,	1),
(101953,	7,	423,	2,	1),
(101954,	7,	423,	3,	1),
(101955,	7,	423,	1,	2),
(101956,	7,	423,	2,	2),
(101957,	7,	423,	3,	2),
(101958,	7,	424,	1,	1),
(101959,	7,	424,	2,	1),
(101960,	7,	424,	3,	1),
(101961,	7,	424,	1,	2),
(101962,	7,	424,	2,	2),
(101963,	7,	424,	3,	2),
(101964,	7,	425,	1,	1),
(101965,	7,	425,	2,	1),
(101966,	7,	425,	3,	1),
(101967,	7,	425,	1,	2),
(101968,	7,	425,	2,	2),
(101969,	7,	425,	3,	2),
(101970,	7,	426,	1,	1),
(101971,	7,	426,	2,	1),
(101972,	7,	426,	3,	1),
(101973,	7,	426,	1,	2),
(101974,	7,	426,	2,	2),
(101975,	7,	426,	3,	2),
(101976,	7,	427,	1,	1),
(101977,	7,	427,	2,	1),
(101978,	7,	427,	3,	1),
(101979,	7,	428,	1,	1),
(101980,	7,	428,	2,	1),
(101981,	7,	428,	3,	1),
(101982,	7,	428,	1,	3),
(101983,	7,	428,	2,	3),
(101984,	7,	428,	3,	3),
(101985,	7,	429,	2,	1),
(101986,	7,	430,	1,	1),
(101987,	7,	430,	2,	1),
(101988,	7,	430,	3,	1),
(101989,	7,	430,	1,	3),
(101990,	7,	430,	2,	3),
(101991,	7,	430,	3,	3),
(101992,	7,	430,	1,	2),
(101993,	7,	430,	2,	2),
(101994,	7,	430,	3,	2),
(101995,	7,	431,	1,	1),
(101996,	7,	431,	2,	1),
(101997,	7,	431,	3,	1),
(101998,	7,	431,	1,	3),
(101999,	7,	431,	2,	3),
(102000,	7,	431,	3,	3),
(102001,	7,	431,	1,	2),
(102002,	7,	431,	2,	2),
(102003,	7,	431,	3,	2),
(102004,	7,	432,	1,	1),
(102005,	7,	432,	2,	1),
(102006,	7,	432,	3,	1),
(102007,	7,	432,	1,	3),
(102008,	7,	432,	2,	3),
(102009,	7,	432,	3,	3),
(102010,	7,	432,	1,	2),
(102011,	7,	432,	2,	2),
(102012,	7,	432,	3,	2),
(102013,	7,	433,	1,	1),
(102014,	7,	433,	2,	1),
(102015,	7,	433,	3,	1),
(102016,	7,	433,	1,	2),
(102017,	7,	433,	2,	2),
(102018,	7,	433,	3,	2),
(102019,	7,	434,	1,	1),
(102020,	7,	434,	2,	1),
(102021,	7,	434,	3,	1),
(102022,	7,	434,	1,	2),
(102023,	7,	434,	2,	2),
(102024,	7,	434,	3,	2),
(102025,	7,	435,	1,	1),
(102026,	7,	435,	2,	1),
(102027,	7,	435,	3,	1),
(102028,	7,	435,	1,	2),
(102029,	7,	435,	2,	2),
(102030,	7,	435,	3,	2),
(102031,	7,	436,	1,	1),
(102032,	7,	436,	2,	1),
(102033,	7,	436,	3,	1),
(102034,	7,	436,	1,	2),
(102035,	7,	436,	2,	2),
(102036,	7,	436,	3,	2),
(102037,	7,	437,	1,	1),
(102038,	7,	437,	2,	1),
(102039,	7,	437,	3,	1),
(102040,	7,	437,	1,	2),
(102041,	7,	437,	2,	2),
(102042,	7,	437,	3,	2),
(102043,	7,	438,	1,	1),
(102044,	7,	438,	2,	1),
(102045,	7,	438,	3,	1),
(102046,	7,	438,	1,	2),
(102047,	7,	438,	2,	2),
(102048,	7,	438,	3,	2),
(102049,	7,	439,	1,	1),
(102050,	7,	439,	2,	1),
(102051,	7,	439,	3,	1),
(102052,	7,	439,	1,	2),
(102053,	7,	439,	2,	2),
(102054,	7,	439,	3,	2),
(102055,	7,	440,	1,	1),
(102056,	7,	440,	2,	1),
(102057,	7,	440,	3,	1),
(102058,	7,	440,	1,	3),
(102059,	7,	440,	2,	3),
(102060,	7,	440,	3,	3),
(102061,	7,	441,	1,	1),
(102062,	7,	441,	2,	1),
(102063,	7,	441,	3,	1),
(102064,	7,	441,	1,	3),
(102065,	7,	441,	2,	3),
(102066,	7,	441,	3,	3),
(102067,	7,	442,	1,	1),
(102068,	7,	442,	2,	1),
(102069,	7,	442,	3,	1),
(102070,	7,	442,	1,	3),
(102071,	7,	442,	2,	3),
(102072,	7,	442,	3,	3),
(102073,	7,	443,	1,	1),
(102074,	7,	443,	2,	1),
(102075,	7,	443,	3,	1),
(102076,	7,	443,	1,	2),
(102077,	7,	443,	2,	2),
(102078,	7,	443,	3,	2),
(102079,	7,	444,	1,	1),
(102080,	7,	444,	2,	1),
(102081,	7,	444,	3,	1),
(102082,	7,	444,	1,	3),
(102083,	7,	444,	2,	3),
(102084,	7,	444,	3,	3),
(102085,	7,	445,	1,	1),
(102086,	7,	445,	2,	1),
(102087,	7,	445,	3,	1),
(102088,	7,	445,	1,	3),
(102089,	7,	445,	2,	3),
(102090,	7,	445,	3,	3),
(102091,	7,	446,	1,	1),
(102092,	7,	446,	2,	1),
(102093,	7,	446,	3,	1),
(102094,	7,	446,	1,	2),
(102095,	7,	446,	2,	2),
(102096,	7,	446,	3,	2),
(102097,	7,	447,	1,	1),
(102098,	7,	447,	2,	1),
(102099,	7,	447,	3,	1),
(102100,	7,	447,	1,	3),
(102101,	7,	447,	2,	3),
(102102,	7,	447,	3,	3),
(102103,	7,	448,	1,	1),
(102104,	7,	448,	2,	1),
(102105,	7,	448,	3,	1),
(102106,	7,	448,	1,	2),
(102107,	7,	448,	2,	2),
(102108,	7,	448,	3,	2),
(102109,	7,	449,	1,	1),
(102110,	7,	449,	2,	1),
(102111,	7,	449,	3,	1),
(102112,	7,	449,	1,	2),
(102113,	7,	449,	2,	2),
(102114,	7,	449,	3,	2),
(102115,	7,	450,	1,	1),
(102116,	7,	450,	2,	1),
(102117,	7,	450,	3,	1),
(102118,	7,	450,	1,	3),
(102119,	7,	450,	2,	3),
(102120,	7,	450,	3,	3),
(102121,	7,	451,	1,	1),
(102122,	7,	451,	2,	1),
(102123,	7,	451,	3,	1),
(102124,	7,	451,	1,	2),
(102125,	7,	451,	2,	2),
(102126,	7,	451,	3,	2),
(102127,	7,	452,	1,	1),
(102128,	7,	452,	2,	1),
(102129,	7,	452,	3,	1),
(102130,	7,	452,	1,	2),
(102131,	7,	452,	2,	2),
(102132,	7,	452,	3,	2),
(102133,	7,	453,	1,	1),
(102134,	7,	453,	2,	1),
(102135,	7,	453,	3,	1),
(102136,	7,	453,	1,	3),
(102137,	7,	453,	2,	3),
(102138,	7,	453,	3,	3),
(102139,	7,	454,	1,	1),
(102140,	7,	454,	2,	1),
(102141,	7,	454,	3,	1),
(102142,	7,	454,	1,	2),
(102143,	7,	454,	2,	2),
(102144,	7,	454,	3,	2),
(102145,	7,	455,	1,	1),
(102146,	7,	455,	2,	1),
(102147,	7,	455,	3,	1),
(102148,	7,	456,	1,	1),
(102149,	7,	456,	2,	1),
(102150,	7,	456,	3,	1),
(102151,	7,	456,	1,	2),
(102152,	7,	456,	2,	2),
(102153,	7,	456,	3,	2),
(102154,	7,	457,	1,	1),
(102155,	7,	457,	2,	1),
(102156,	7,	457,	3,	1),
(102157,	7,	457,	1,	2),
(102158,	7,	457,	2,	2),
(102159,	7,	457,	3,	2),
(102160,	7,	458,	1,	1),
(102161,	7,	458,	2,	1),
(102162,	7,	458,	3,	1),
(102163,	7,	458,	1,	3),
(102164,	7,	458,	2,	3),
(102165,	7,	458,	3,	3),
(102166,	7,	459,	1,	1),
(102167,	7,	459,	2,	1),
(102168,	7,	459,	3,	1),
(102169,	7,	460,	1,	1),
(102170,	7,	460,	2,	1),
(102171,	7,	460,	3,	1),
(102172,	7,	460,	1,	2),
(102173,	7,	460,	2,	2),
(102174,	7,	460,	3,	2),
(102175,	7,	461,	1,	1),
(102176,	7,	461,	2,	1),
(102177,	7,	461,	3,	1),
(102178,	7,	461,	1,	2),
(102179,	7,	461,	2,	2),
(102180,	7,	461,	3,	2),
(102181,	7,	462,	1,	1),
(102182,	7,	462,	2,	1),
(102183,	7,	462,	3,	1),
(102184,	7,	462,	1,	2),
(102185,	7,	462,	2,	2),
(102186,	7,	462,	3,	2),
(102187,	7,	463,	1,	1),
(102188,	7,	463,	2,	1),
(102189,	7,	463,	3,	1),
(102190,	7,	463,	1,	2),
(102191,	7,	463,	2,	2),
(102192,	7,	463,	3,	2),
(102193,	7,	464,	1,	1),
(102194,	7,	464,	2,	1),
(102195,	7,	464,	3,	1),
(102196,	7,	464,	1,	2),
(102197,	7,	464,	2,	2),
(102198,	7,	464,	3,	2),
(102199,	7,	465,	1,	1),
(102200,	7,	465,	2,	1),
(102201,	7,	465,	3,	1),
(102202,	7,	465,	1,	2),
(102203,	7,	465,	2,	2),
(102204,	7,	465,	3,	2),
(102205,	7,	466,	1,	1),
(102206,	7,	466,	2,	1),
(102207,	7,	466,	3,	1),
(102208,	7,	466,	1,	2),
(102209,	7,	466,	2,	2),
(102210,	7,	466,	3,	2),
(102211,	7,	467,	1,	1),
(102212,	7,	467,	2,	1),
(102213,	7,	467,	3,	1),
(102214,	7,	467,	1,	2),
(102215,	7,	467,	2,	2),
(102216,	7,	467,	3,	2),
(102217,	7,	468,	1,	1),
(102218,	7,	468,	2,	1),
(102219,	7,	468,	3,	1),
(102220,	7,	468,	1,	2),
(102221,	7,	468,	2,	2),
(102222,	7,	468,	3,	2),
(102223,	7,	469,	1,	1),
(102224,	7,	469,	2,	1),
(102225,	7,	469,	3,	1),
(102226,	7,	469,	1,	2),
(102227,	7,	469,	2,	2),
(102228,	7,	469,	3,	2),
(102229,	7,	470,	1,	1),
(102230,	7,	470,	2,	1),
(102231,	7,	470,	3,	1),
(102232,	7,	471,	1,	1),
(102233,	7,	471,	2,	1),
(102234,	7,	471,	3,	1),
(102235,	7,	472,	1,	1),
(102236,	7,	472,	2,	1),
(102237,	7,	472,	3,	1),
(102238,	7,	473,	1,	1),
(102239,	7,	473,	2,	1),
(102240,	7,	473,	3,	1),
(102241,	7,	474,	1,	1),
(102242,	7,	474,	2,	1),
(102243,	7,	474,	3,	1),
(102244,	7,	474,	1,	3),
(102245,	7,	474,	2,	3),
(102246,	7,	474,	3,	3),
(102247,	7,	475,	1,	1),
(102248,	7,	475,	2,	1),
(102249,	7,	475,	3,	1),
(102250,	7,	476,	1,	1),
(102251,	7,	476,	2,	1),
(102252,	7,	476,	3,	1),
(102253,	7,	476,	1,	2),
(102254,	7,	476,	2,	2),
(102255,	7,	476,	3,	2),
(102256,	7,	477,	1,	1),
(102257,	7,	477,	2,	1),
(102258,	7,	477,	3,	1),
(102259,	7,	477,	1,	2),
(102260,	7,	477,	2,	2),
(102261,	7,	477,	3,	2),
(102262,	7,	478,	1,	1),
(102263,	7,	478,	2,	1),
(102264,	7,	478,	3,	1),
(102265,	7,	478,	1,	2),
(102266,	7,	478,	2,	2),
(102267,	7,	478,	3,	2),
(102268,	7,	479,	1,	1),
(102269,	7,	479,	2,	1),
(102270,	7,	479,	3,	1),
(102271,	7,	480,	1,	1),
(102272,	7,	480,	2,	1),
(102273,	7,	480,	3,	1),
(102274,	7,	481,	2,	1),
(102275,	7,	482,	1,	1),
(102276,	7,	482,	2,	1),
(102277,	7,	482,	3,	1),
(102278,	7,	483,	1,	1),
(102279,	7,	483,	2,	1),
(102280,	7,	483,	3,	1),
(102281,	7,	484,	1,	1),
(102282,	7,	484,	2,	1),
(102283,	7,	484,	3,	1),
(102284,	7,	485,	1,	1),
(102285,	7,	485,	2,	1),
(102286,	7,	485,	3,	1),
(102287,	7,	486,	1,	1),
(102288,	7,	486,	2,	1),
(102289,	7,	486,	3,	1),
(102290,	7,	486,	1,	2),
(102291,	7,	486,	2,	2),
(102292,	7,	486,	3,	2),
(102293,	7,	487,	1,	1),
(102294,	7,	487,	2,	1),
(102295,	7,	487,	3,	1),
(102296,	7,	487,	1,	2),
(102297,	7,	487,	2,	2),
(102298,	7,	487,	3,	2),
(102299,	7,	488,	1,	1),
(102300,	7,	488,	2,	1),
(102301,	7,	488,	3,	1),
(102302,	7,	488,	1,	2),
(102303,	7,	488,	2,	2),
(102304,	7,	488,	3,	2),
(102305,	7,	489,	1,	1),
(102306,	7,	489,	2,	1),
(102307,	7,	489,	3,	1),
(102308,	7,	489,	1,	2),
(102309,	7,	489,	2,	2),
(102310,	7,	489,	3,	2),
(102311,	7,	490,	1,	1),
(102312,	7,	490,	2,	1),
(102313,	7,	490,	3,	1),
(102314,	7,	491,	1,	1),
(102315,	7,	491,	2,	1),
(102316,	7,	491,	3,	1),
(102317,	7,	492,	1,	1),
(102318,	7,	492,	2,	1),
(102319,	7,	492,	3,	1),
(102320,	7,	493,	1,	1),
(102321,	7,	493,	2,	1),
(102322,	7,	493,	3,	1),
(102323,	7,	493,	1,	2),
(102324,	7,	493,	2,	2),
(102325,	7,	493,	3,	2),
(102326,	7,	494,	1,	1),
(102327,	7,	494,	2,	1),
(102328,	7,	494,	3,	1),
(102329,	7,	494,	1,	2),
(102330,	7,	494,	2,	2),
(102331,	7,	494,	3,	2),
(102332,	7,	495,	1,	1),
(102333,	7,	495,	2,	1),
(102334,	7,	495,	3,	1),
(102335,	7,	495,	1,	2),
(102336,	7,	495,	2,	2),
(102337,	7,	495,	3,	2),
(102338,	7,	496,	1,	1),
(102339,	7,	496,	2,	1),
(102340,	7,	496,	3,	1),
(102341,	7,	496,	1,	2),
(102342,	7,	496,	2,	2),
(102343,	7,	496,	3,	2),
(102344,	7,	497,	1,	1),
(102345,	7,	497,	2,	1),
(102346,	7,	497,	3,	1),
(102347,	7,	497,	1,	2),
(102348,	7,	497,	2,	2),
(102349,	7,	497,	3,	2),
(102350,	7,	498,	1,	1),
(102351,	7,	498,	2,	1),
(102352,	7,	498,	3,	1),
(102353,	7,	498,	1,	2),
(102354,	7,	498,	2,	2),
(102355,	7,	498,	3,	2),
(102356,	7,	499,	1,	1),
(102357,	7,	499,	2,	1),
(102358,	7,	499,	3,	1),
(102359,	7,	499,	1,	2),
(102360,	7,	499,	2,	2),
(102361,	7,	499,	3,	2),
(102362,	7,	500,	1,	1),
(102363,	7,	500,	2,	1),
(102364,	7,	500,	3,	1),
(102365,	7,	500,	1,	2),
(102366,	7,	500,	2,	2),
(102367,	7,	500,	3,	2),
(102368,	7,	501,	1,	1),
(102369,	7,	501,	2,	1),
(102370,	7,	501,	3,	1),
(102371,	7,	501,	1,	2),
(102372,	7,	501,	2,	2),
(102373,	7,	501,	3,	2),
(102374,	7,	502,	1,	1),
(102375,	7,	502,	2,	1),
(102376,	7,	502,	3,	1),
(102377,	7,	502,	1,	2),
(102378,	7,	502,	2,	2),
(102379,	7,	502,	3,	2),
(102380,	7,	503,	1,	1),
(102381,	7,	503,	2,	1),
(102382,	7,	503,	3,	1),
(102383,	7,	503,	1,	2),
(102384,	7,	503,	2,	2),
(102385,	7,	503,	3,	2),
(102386,	7,	504,	1,	1),
(102387,	7,	504,	2,	1),
(102388,	7,	504,	3,	1),
(102389,	7,	504,	1,	2),
(102390,	7,	504,	2,	2),
(102391,	7,	504,	3,	2),
(102392,	7,	505,	1,	1),
(102393,	7,	505,	2,	1),
(102394,	7,	505,	3,	1),
(102395,	7,	505,	1,	2),
(102396,	7,	505,	2,	2),
(102397,	7,	505,	3,	2),
(102398,	7,	506,	1,	1),
(102399,	7,	506,	2,	1),
(102400,	7,	506,	3,	1),
(102401,	7,	506,	1,	2),
(102402,	7,	506,	2,	2),
(102403,	7,	506,	3,	2),
(102404,	7,	507,	1,	1),
(102405,	7,	507,	2,	1),
(102406,	7,	507,	3,	1),
(102407,	7,	507,	1,	2),
(102408,	7,	507,	2,	2),
(102409,	7,	507,	3,	2),
(102410,	7,	508,	1,	1),
(102411,	7,	508,	2,	1),
(102412,	7,	508,	3,	1),
(102413,	7,	508,	1,	2),
(102414,	7,	508,	2,	2),
(102415,	7,	508,	3,	2),
(102416,	7,	509,	1,	1),
(102417,	7,	509,	2,	1),
(102418,	7,	509,	3,	1),
(102419,	7,	509,	1,	2),
(102420,	7,	509,	2,	2),
(102421,	7,	509,	3,	2),
(102422,	7,	510,	1,	1),
(102423,	7,	510,	2,	1),
(102424,	7,	510,	3,	1),
(102425,	7,	510,	1,	2),
(102426,	7,	510,	2,	2),
(102427,	7,	510,	3,	2),
(102428,	7,	511,	1,	1),
(102429,	7,	511,	2,	1),
(102430,	7,	511,	3,	1),
(102431,	7,	511,	1,	2),
(102432,	7,	511,	2,	2),
(102433,	7,	511,	3,	2),
(102434,	7,	512,	1,	1),
(102435,	7,	512,	2,	1),
(102436,	7,	512,	3,	1),
(102437,	7,	512,	1,	2),
(102438,	7,	512,	2,	2),
(102439,	7,	512,	3,	2),
(102440,	7,	513,	1,	1),
(102441,	7,	513,	2,	1),
(102442,	7,	513,	3,	1),
(102443,	7,	513,	1,	2),
(102444,	7,	513,	2,	2),
(102445,	7,	513,	3,	2),
(102446,	7,	514,	1,	1),
(102447,	7,	514,	2,	1),
(102448,	7,	514,	3,	1),
(102449,	7,	514,	23,	1),
(102450,	7,	514,	1,	3),
(102451,	7,	514,	2,	3),
(102452,	7,	514,	3,	3),
(102453,	7,	514,	23,	3),
(102454,	7,	515,	1,	1),
(102455,	7,	515,	2,	1),
(102456,	7,	515,	3,	1),
(102457,	7,	515,	23,	1),
(102458,	7,	515,	1,	3),
(102459,	7,	515,	2,	3),
(102460,	7,	515,	3,	3),
(102461,	7,	515,	23,	3),
(102462,	7,	516,	1,	1),
(102463,	7,	516,	2,	1),
(102464,	7,	516,	3,	1),
(102465,	7,	516,	1,	3),
(102466,	7,	516,	2,	3),
(102467,	7,	516,	3,	3),
(102468,	7,	517,	1,	1),
(102469,	7,	517,	2,	1),
(102470,	7,	517,	3,	1),
(102471,	7,	517,	23,	1),
(102472,	7,	517,	1,	3),
(102473,	7,	517,	2,	3),
(102474,	7,	517,	3,	3),
(102475,	7,	517,	23,	3),
(102476,	7,	518,	1,	1),
(102477,	7,	518,	2,	1),
(102478,	7,	518,	3,	1),
(102479,	7,	518,	23,	1),
(102480,	7,	518,	1,	3),
(102481,	7,	518,	2,	3),
(102482,	7,	518,	3,	3),
(102483,	7,	518,	23,	3),
(102484,	7,	519,	1,	1),
(102485,	7,	519,	2,	1),
(102486,	7,	519,	3,	1),
(102487,	7,	519,	1,	3),
(102488,	7,	519,	2,	3),
(102489,	7,	519,	3,	3),
(102490,	7,	519,	1,	2),
(102491,	7,	519,	2,	2),
(102492,	7,	519,	3,	2),
(102493,	7,	520,	1,	1),
(102494,	7,	520,	2,	1),
(102495,	7,	520,	3,	1),
(102496,	7,	520,	1,	3),
(102497,	7,	520,	2,	3),
(102498,	7,	520,	3,	3),
(102499,	7,	521,	1,	1),
(102500,	7,	521,	2,	1),
(102501,	7,	521,	3,	1),
(102502,	7,	521,	1,	3),
(102503,	7,	521,	2,	3),
(102504,	7,	521,	3,	3),
(102505,	7,	521,	1,	2),
(102506,	7,	521,	2,	2),
(102507,	7,	521,	3,	2),
(102508,	7,	522,	1,	1),
(102509,	7,	522,	2,	1),
(102510,	7,	522,	3,	1),
(102511,	7,	522,	1,	2),
(102512,	7,	522,	2,	2),
(102513,	7,	522,	3,	2),
(102514,	7,	523,	1,	1),
(102515,	7,	523,	2,	1),
(102516,	7,	523,	3,	1),
(102517,	7,	523,	1,	3),
(102518,	7,	523,	2,	3),
(102519,	7,	523,	3,	3),
(102520,	7,	524,	1,	1),
(102521,	7,	524,	2,	1),
(102522,	7,	524,	3,	1),
(102523,	7,	524,	1,	2),
(102524,	7,	524,	2,	2),
(102525,	7,	524,	3,	2),
(102526,	7,	525,	2,	1),
(102527,	7,	526,	1,	1),
(102528,	7,	526,	2,	1),
(102529,	7,	526,	3,	1),
(102530,	7,	526,	1,	2),
(102531,	7,	526,	2,	2),
(102532,	7,	526,	3,	2),
(102533,	7,	527,	1,	1),
(102534,	7,	527,	2,	1),
(102535,	7,	527,	3,	1),
(102536,	7,	527,	1,	2),
(102537,	7,	527,	2,	2),
(102538,	7,	527,	3,	2),
(102539,	7,	528,	1,	1),
(102540,	7,	528,	2,	1),
(102541,	7,	528,	3,	1),
(102542,	7,	528,	6,	1),
(102543,	7,	528,	1,	2),
(102544,	7,	528,	2,	2),
(102545,	7,	528,	3,	2),
(102546,	7,	528,	6,	2),
(102547,	7,	529,	1,	1),
(102548,	7,	529,	2,	1),
(102549,	7,	529,	3,	1),
(102550,	7,	529,	6,	1),
(102551,	7,	529,	1,	2),
(102552,	7,	529,	2,	2),
(102553,	7,	529,	3,	2),
(102554,	7,	529,	6,	2),
(102555,	7,	530,	1,	1),
(102556,	7,	530,	2,	1),
(102557,	7,	530,	3,	1),
(102558,	7,	530,	6,	1),
(102559,	7,	530,	1,	2),
(102560,	7,	530,	2,	2),
(102561,	7,	530,	3,	2),
(102562,	7,	530,	6,	2),
(102563,	7,	531,	1,	1),
(102564,	7,	531,	2,	1),
(102565,	7,	531,	3,	1),
(102566,	7,	531,	1,	2),
(102567,	7,	531,	2,	2),
(102568,	7,	531,	3,	2),
(102569,	7,	532,	1,	1),
(102570,	7,	532,	2,	1),
(102571,	7,	532,	3,	1),
(102572,	7,	532,	6,	1),
(102573,	7,	532,	1,	2),
(102574,	7,	532,	2,	2),
(102575,	7,	532,	3,	2),
(102576,	7,	532,	6,	2),
(102577,	7,	533,	1,	1),
(102578,	7,	533,	2,	1),
(102579,	7,	533,	3,	1),
(102580,	7,	533,	6,	1),
(102581,	7,	533,	1,	2),
(102582,	7,	533,	2,	2),
(102583,	7,	533,	3,	2),
(102584,	7,	533,	6,	2),
(102585,	7,	534,	1,	1),
(102586,	7,	534,	2,	1),
(102587,	7,	534,	3,	1),
(102588,	7,	534,	1,	3),
(102589,	7,	534,	2,	3),
(102590,	7,	534,	3,	3),
(102591,	7,	535,	1,	1),
(102592,	7,	535,	2,	1),
(102593,	7,	535,	3,	1),
(102594,	7,	535,	1,	3),
(102595,	7,	535,	2,	3),
(102596,	7,	535,	3,	3),
(102597,	7,	536,	1,	1),
(102598,	7,	536,	2,	1),
(102599,	7,	536,	3,	1),
(102600,	7,	536,	1,	3),
(102601,	7,	536,	2,	3),
(102602,	7,	536,	3,	3),
(102603,	7,	537,	1,	1),
(102604,	7,	537,	2,	1),
(102605,	7,	537,	3,	1),
(102606,	7,	537,	1,	3),
(102607,	7,	537,	2,	3),
(102608,	7,	537,	3,	3),
(102609,	7,	538,	1,	1),
(102610,	7,	538,	2,	1),
(102611,	7,	538,	3,	1),
(102612,	7,	538,	1,	3),
(102613,	7,	538,	2,	3),
(102614,	7,	538,	3,	3),
(102615,	7,	539,	1,	1),
(102616,	7,	539,	2,	1),
(102617,	7,	539,	3,	1),
(102618,	7,	540,	1,	1),
(102619,	7,	540,	2,	1),
(102620,	7,	540,	3,	1),
(102621,	7,	541,	1,	1),
(102622,	7,	541,	2,	1),
(102623,	7,	541,	3,	1),
(102624,	7,	541,	4,	1),
(102625,	7,	542,	1,	1),
(102626,	7,	542,	2,	1),
(102627,	7,	542,	3,	1),
(102628,	7,	543,	2,	1),
(102629,	7,	544,	2,	1),
(102630,	7,	546,	1,	1),
(102631,	7,	546,	2,	1),
(102632,	7,	546,	3,	1),
(102633,	7,	547,	1,	1),
(102634,	7,	547,	2,	1),
(102635,	7,	547,	3,	1),
(102636,	7,	547,	1,	2),
(102637,	7,	547,	2,	2),
(102638,	7,	547,	3,	2),
(102639,	7,	548,	2,	1),
(102640,	7,	549,	1,	1),
(102641,	7,	549,	2,	1),
(102642,	7,	549,	3,	1),
(102643,	7,	549,	1,	2),
(102644,	7,	549,	2,	2),
(102645,	7,	549,	3,	2),
(102646,	7,	550,	1,	1),
(102647,	7,	550,	2,	1),
(102648,	7,	550,	3,	1),
(102649,	7,	551,	1,	1),
(102650,	7,	551,	2,	1),
(102651,	7,	551,	3,	1),
(102652,	7,	551,	6,	1),
(102653,	7,	552,	1,	1),
(102654,	7,	552,	2,	1),
(102655,	7,	552,	3,	1),
(102656,	7,	552,	6,	1),
(102657,	7,	552,	1,	2),
(102658,	7,	552,	2,	2),
(102659,	7,	552,	3,	2),
(102660,	7,	552,	6,	2),
(102661,	7,	553,	1,	1),
(102662,	7,	553,	2,	1),
(102663,	7,	553,	3,	1),
(102664,	7,	554,	1,	1),
(102665,	7,	554,	2,	1),
(102666,	7,	554,	3,	1),
(102667,	7,	555,	1,	1),
(102668,	7,	555,	2,	1),
(102669,	7,	555,	3,	1),
(102670,	7,	556,	1,	1),
(102671,	7,	556,	2,	1),
(102672,	7,	556,	3,	1),
(102673,	7,	556,	1,	2),
(102674,	7,	556,	2,	2),
(102675,	7,	556,	3,	2),
(102676,	7,	557,	1,	1),
(102677,	7,	557,	2,	1),
(102678,	7,	557,	3,	1),
(102679,	7,	557,	1,	2),
(102680,	7,	557,	2,	2),
(102681,	7,	557,	3,	2),
(102682,	7,	559,	2,	1),
(102684,	7,	562,	2,	1),
(102685,	7,	562,	35,	1),
(102686,	7,	563,	2,	1),
(102687,	7,	563,	35,	1),
(102688,	7,	571,	1,	1),
(102689,	7,	571,	2,	1),
(102690,	7,	571,	3,	1),
(102691,	7,	571,	1,	2),
(102692,	7,	571,	2,	2),
(102693,	7,	571,	3,	2),
(102694,	7,	572,	1,	1),
(102695,	7,	572,	2,	1),
(102696,	7,	572,	3,	1),
(102697,	7,	572,	1,	2),
(102698,	7,	572,	2,	2),
(102699,	7,	572,	3,	2),
(102700,	7,	573,	1,	1),
(102701,	7,	573,	2,	1),
(102702,	7,	573,	3,	1),
(102703,	7,	573,	1,	2),
(102704,	7,	573,	2,	2),
(102705,	7,	573,	3,	2),
(102706,	7,	574,	1,	1),
(102707,	7,	574,	2,	1),
(102708,	7,	574,	3,	1),
(102709,	7,	574,	1,	2),
(102710,	7,	574,	2,	2),
(102711,	7,	574,	3,	2),
(102712,	7,	581,	2,	1),
(102713,	7,	586,	2,	1),
(102714,	7,	590,	1,	1),
(102715,	7,	590,	2,	1),
(102716,	7,	590,	3,	1),
(102717,	7,	591,	1,	1),
(102718,	7,	591,	2,	1),
(102719,	7,	591,	3,	1),
(102720,	7,	591,	23,	1),
(102721,	7,	592,	1,	1),
(102722,	7,	592,	2,	1),
(102723,	7,	592,	3,	1),
(102724,	7,	593,	1,	1),
(102725,	7,	593,	2,	1),
(102726,	7,	593,	3,	1),
(102727,	7,	594,	1,	1),
(102728,	7,	594,	2,	1),
(102729,	7,	594,	3,	1),
(102730,	7,	595,	1,	1),
(102731,	7,	595,	2,	1),
(102732,	7,	595,	3,	1),
(102733,	7,	596,	1,	1),
(102734,	7,	596,	2,	1),
(102735,	7,	596,	3,	1),
(102736,	7,	597,	1,	1),
(102737,	7,	597,	2,	1),
(102738,	7,	597,	3,	1),
(102739,	7,	598,	1,	1),
(102740,	7,	598,	2,	1),
(102741,	7,	598,	3,	1),
(102742,	7,	598,	1,	2),
(102743,	7,	598,	2,	2),
(102744,	7,	598,	3,	2),
(102745,	7,	599,	1,	1),
(102746,	7,	599,	2,	1),
(102747,	7,	599,	3,	1),
(102748,	7,	600,	1,	1),
(102749,	7,	600,	2,	1),
(102750,	7,	600,	3,	1),
(102751,	7,	601,	1,	1),
(102752,	7,	601,	2,	1),
(102753,	7,	601,	3,	1),
(102754,	7,	602,	1,	1),
(102755,	7,	602,	2,	1),
(102756,	7,	602,	3,	1),
(102757,	7,	603,	1,	1),
(102758,	7,	603,	2,	1),
(102759,	7,	603,	3,	1),
(102760,	7,	603,	1,	2),
(102761,	7,	603,	2,	2),
(102762,	7,	603,	3,	2),
(102763,	7,	604,	1,	1),
(102764,	7,	604,	2,	1),
(102765,	7,	604,	3,	1),
(102766,	7,	605,	1,	1),
(102767,	7,	605,	2,	1),
(102768,	7,	605,	3,	1),
(102769,	7,	605,	1,	2),
(102770,	7,	605,	2,	2),
(102771,	7,	605,	3,	2),
(102772,	7,	606,	1,	1),
(102773,	7,	606,	2,	1),
(102774,	7,	606,	3,	1),
(102775,	7,	606,	1,	2),
(102776,	7,	606,	2,	2),
(102777,	7,	606,	3,	2),
(102778,	7,	607,	1,	1),
(102779,	7,	607,	2,	1),
(102780,	7,	607,	3,	1),
(102781,	7,	608,	1,	1),
(102782,	7,	608,	2,	1),
(102783,	7,	608,	3,	1),
(102784,	7,	609,	1,	1),
(102785,	7,	609,	2,	1),
(102786,	7,	609,	3,	1),
(102787,	7,	610,	1,	1),
(102788,	7,	610,	2,	1),
(102789,	7,	610,	3,	1),
(102790,	7,	611,	1,	1),
(102791,	7,	611,	2,	1),
(102792,	7,	611,	3,	1),
(102793,	7,	612,	1,	1),
(102794,	7,	612,	2,	1),
(102795,	7,	612,	3,	1),
(102796,	7,	613,	1,	1),
(102797,	7,	613,	2,	1),
(102798,	7,	613,	3,	1),
(102799,	7,	614,	1,	1),
(102800,	7,	614,	2,	1),
(102801,	7,	614,	3,	1),
(102802,	7,	614,	1,	2),
(102803,	7,	614,	2,	2),
(102804,	7,	614,	3,	2),
(102805,	7,	615,	1,	1),
(102806,	7,	615,	2,	1),
(102807,	7,	615,	3,	1),
(102808,	7,	615,	1,	2),
(102809,	7,	615,	2,	2),
(102810,	7,	615,	3,	2),
(102811,	7,	616,	1,	1),
(102812,	7,	616,	2,	1),
(102813,	7,	616,	3,	1),
(102814,	7,	616,	1,	2),
(102815,	7,	616,	2,	2),
(102816,	7,	616,	3,	2),
(102817,	7,	617,	1,	1),
(102818,	7,	617,	2,	1),
(102819,	7,	617,	3,	1),
(102820,	7,	617,	1,	2),
(102821,	7,	617,	2,	2),
(102822,	7,	617,	3,	2),
(102823,	7,	618,	1,	1),
(102824,	7,	618,	2,	1),
(102825,	7,	618,	3,	1),
(102826,	7,	618,	1,	2),
(102827,	7,	618,	2,	2),
(102828,	7,	618,	3,	2),
(102829,	7,	619,	1,	1),
(102830,	7,	619,	2,	1),
(102831,	7,	619,	3,	1),
(102832,	7,	620,	1,	1),
(102833,	7,	620,	2,	1),
(102834,	7,	620,	3,	1),
(102835,	7,	620,	1,	2),
(102836,	7,	620,	2,	2),
(102837,	7,	620,	3,	2),
(102838,	7,	621,	1,	1),
(102839,	7,	621,	2,	1),
(102840,	7,	621,	3,	1),
(102841,	7,	621,	1,	2),
(102842,	7,	621,	2,	2),
(102843,	7,	621,	3,	2),
(102844,	7,	622,	1,	1),
(102845,	7,	622,	2,	1),
(102846,	7,	622,	3,	1),
(102847,	7,	622,	1,	2),
(102848,	7,	622,	2,	2),
(102849,	7,	622,	3,	2),
(102850,	7,	623,	1,	1),
(102851,	7,	623,	2,	1),
(102852,	7,	623,	3,	1),
(102853,	7,	623,	1,	2),
(102854,	7,	623,	2,	2),
(102855,	7,	623,	3,	2),
(102856,	7,	624,	1,	1),
(102857,	7,	624,	2,	1),
(102858,	7,	624,	3,	1),
(102859,	7,	624,	1,	2),
(102860,	7,	624,	2,	2),
(102861,	7,	624,	3,	2),
(102862,	7,	625,	1,	1),
(102863,	7,	625,	2,	1),
(102864,	7,	625,	3,	1),
(102865,	7,	625,	1,	2),
(102866,	7,	625,	2,	2),
(102867,	7,	625,	3,	2),
(102868,	7,	626,	1,	1),
(102869,	7,	626,	2,	1),
(102870,	7,	626,	3,	1),
(102871,	7,	627,	1,	1),
(102872,	7,	627,	2,	1),
(102873,	7,	627,	3,	1),
(102874,	7,	627,	1,	2),
(102875,	7,	627,	2,	2),
(102876,	7,	627,	3,	2),
(102877,	7,	628,	1,	1),
(102878,	7,	628,	2,	1),
(102879,	7,	628,	3,	1),
(102880,	7,	628,	1,	2),
(102881,	7,	628,	2,	2),
(102882,	7,	628,	3,	2),
(102883,	7,	629,	1,	1),
(102884,	7,	629,	2,	1),
(102885,	7,	629,	3,	1),
(102886,	7,	629,	1,	2),
(102887,	7,	629,	2,	2),
(102888,	7,	629,	3,	2),
(102889,	7,	630,	1,	1),
(102890,	7,	630,	2,	1),
(102891,	7,	630,	3,	1),
(102892,	7,	630,	1,	2),
(102893,	7,	630,	2,	2),
(102894,	7,	630,	3,	2),
(102895,	7,	631,	1,	1),
(102896,	7,	631,	2,	1),
(102897,	7,	631,	3,	1),
(102898,	7,	631,	1,	2),
(102899,	7,	631,	2,	2),
(102900,	7,	631,	3,	2),
(102901,	7,	632,	1,	1),
(102902,	7,	632,	2,	1),
(102903,	7,	632,	3,	1),
(102904,	7,	632,	24,	1),
(102905,	7,	632,	4,	1),
(102906,	7,	632,	32,	1),
(102907,	7,	632,	47,	1),
(102908,	7,	632,	48,	1),
(102909,	7,	633,	1,	1),
(102910,	7,	633,	2,	1),
(102911,	7,	633,	3,	1),
(102912,	7,	634,	1,	1),
(102913,	7,	634,	2,	1),
(102914,	7,	634,	3,	1),
(102915,	7,	634,	5,	1),
(102916,	7,	634,	29,	1),
(102917,	7,	635,	1,	1),
(102918,	7,	635,	2,	1),
(102919,	7,	635,	3,	1),
(102920,	7,	635,	23,	1),
(102921,	7,	636,	1,	1),
(102922,	7,	636,	2,	1),
(102923,	7,	636,	3,	1),
(102924,	7,	636,	1,	2),
(102925,	7,	636,	2,	2),
(102926,	7,	636,	3,	2),
(102927,	7,	637,	1,	1),
(102928,	7,	637,	2,	1),
(102929,	7,	637,	3,	1),
(102930,	7,	637,	23,	1),
(102931,	7,	637,	1,	2),
(102932,	7,	637,	2,	2),
(102933,	7,	637,	3,	2),
(102934,	7,	637,	23,	2),
(102935,	7,	638,	1,	1),
(102936,	7,	638,	2,	1),
(102937,	7,	638,	3,	1),
(102938,	7,	638,	23,	1),
(102939,	7,	638,	1,	2),
(102940,	7,	638,	2,	2),
(102941,	7,	638,	3,	2),
(102942,	7,	638,	23,	2),
(102943,	7,	639,	2,	1),
(102944,	7,	640,	1,	1),
(102945,	7,	640,	2,	1),
(102946,	7,	640,	3,	1),
(102947,	7,	641,	1,	1),
(102948,	7,	641,	2,	1),
(102949,	7,	641,	3,	1),
(102950,	7,	641,	1,	2),
(102951,	7,	641,	2,	2),
(102952,	7,	641,	3,	2),
(102953,	7,	642,	1,	1),
(102954,	7,	642,	2,	1),
(102955,	7,	642,	3,	1),
(102956,	7,	642,	1,	2),
(102957,	7,	642,	2,	2),
(102958,	7,	642,	3,	2),
(102959,	7,	643,	1,	1),
(102960,	7,	643,	2,	1),
(102961,	7,	643,	3,	1),
(102965,	7,	645,	1,	1),
(102966,	7,	645,	2,	1),
(102967,	7,	645,	3,	1),
(102968,	7,	646,	1,	1),
(102969,	7,	646,	2,	1),
(102970,	7,	646,	3,	1),
(102971,	7,	646,	1,	2),
(102972,	7,	646,	2,	2),
(102973,	7,	646,	3,	2),
(102974,	7,	647,	1,	1),
(102975,	7,	647,	2,	1),
(102976,	7,	647,	3,	1),
(102977,	7,	647,	1,	2),
(102978,	7,	647,	2,	2),
(102979,	7,	647,	3,	2),
(102980,	7,	648,	1,	1),
(102981,	7,	648,	2,	1),
(102982,	7,	648,	3,	1),
(102983,	7,	648,	1,	2),
(102984,	7,	648,	2,	2),
(102985,	7,	648,	3,	2),
(102986,	7,	649,	1,	1),
(102987,	7,	649,	2,	1),
(102988,	7,	649,	3,	1),
(102989,	7,	649,	1,	2),
(102990,	7,	649,	2,	2),
(102991,	7,	649,	3,	2),
(102992,	7,	650,	1,	1),
(102993,	7,	650,	2,	1),
(102994,	7,	650,	3,	1),
(102995,	7,	651,	1,	1),
(102996,	7,	651,	2,	1),
(102997,	7,	651,	3,	1),
(102998,	7,	651,	1,	2),
(102999,	7,	651,	2,	2),
(103000,	7,	651,	3,	2),
(103001,	7,	652,	1,	1),
(103002,	7,	652,	2,	1),
(103003,	7,	652,	3,	1),
(103004,	7,	653,	1,	1),
(103005,	7,	653,	2,	1),
(103006,	7,	653,	3,	1),
(103007,	7,	654,	1,	1),
(103008,	7,	654,	2,	1),
(103009,	7,	654,	3,	1),
(103010,	7,	655,	1,	1),
(103011,	7,	655,	2,	1),
(103012,	7,	655,	3,	1),
(103013,	7,	656,	1,	1),
(103014,	7,	656,	2,	1),
(103015,	7,	656,	3,	1),
(103016,	7,	657,	1,	1),
(103017,	7,	657,	2,	1),
(103018,	7,	657,	3,	1),
(103019,	7,	658,	1,	1),
(103020,	7,	658,	2,	1),
(103021,	7,	658,	3,	1),
(103022,	7,	658,	23,	1),
(103023,	7,	659,	1,	1),
(103024,	7,	659,	2,	1),
(103025,	7,	659,	3,	1),
(103026,	7,	660,	1,	1),
(103027,	7,	660,	2,	1),
(103028,	7,	660,	3,	1),
(103029,	7,	661,	1,	1),
(103030,	7,	661,	2,	1),
(103031,	7,	661,	3,	1),
(103032,	7,	662,	1,	1),
(103033,	7,	662,	2,	1),
(103034,	7,	662,	3,	1),
(103035,	7,	663,	1,	1),
(103036,	7,	663,	2,	1),
(103037,	7,	663,	3,	1),
(103038,	7,	664,	1,	1),
(103039,	7,	664,	2,	1),
(103040,	7,	664,	3,	1),
(103041,	7,	665,	1,	1),
(103042,	7,	665,	2,	1),
(103043,	7,	665,	3,	1),
(103044,	7,	666,	1,	1),
(103045,	7,	666,	2,	1),
(103046,	7,	666,	3,	1),
(103047,	7,	667,	1,	1),
(103048,	7,	667,	2,	1),
(103049,	7,	667,	3,	1),
(103050,	7,	667,	23,	1),
(103051,	7,	667,	1,	2),
(103052,	7,	667,	2,	2),
(103053,	7,	667,	3,	2),
(103054,	7,	667,	23,	2),
(103055,	7,	668,	1,	1),
(103056,	7,	668,	2,	1),
(103057,	7,	668,	3,	1),
(103058,	7,	668,	23,	1),
(103059,	7,	669,	1,	1),
(103060,	7,	669,	2,	1),
(103061,	7,	669,	3,	1),
(103062,	7,	669,	23,	1),
(103063,	7,	670,	1,	1),
(103064,	7,	670,	2,	1),
(103065,	7,	670,	3,	1),
(103066,	7,	670,	23,	1),
(103067,	7,	671,	1,	1),
(103068,	7,	671,	2,	1),
(103069,	7,	671,	3,	1),
(103070,	7,	671,	23,	1),
(103071,	7,	671,	6,	1),
(103072,	7,	671,	24,	1),
(103073,	7,	671,	25,	1),
(103074,	7,	671,	4,	1),
(103075,	7,	671,	5,	1),
(103076,	7,	671,	26,	1),
(103077,	7,	671,	1,	3),
(103078,	7,	671,	2,	3),
(103079,	7,	671,	3,	3),
(103080,	7,	671,	23,	3),
(103081,	7,	671,	6,	3),
(103082,	7,	671,	24,	3),
(103083,	7,	671,	25,	3),
(103084,	7,	671,	4,	3),
(103085,	7,	671,	5,	3),
(103086,	7,	671,	26,	3),
(103087,	7,	672,	1,	1),
(103088,	7,	672,	2,	1),
(103089,	7,	672,	3,	1),
(103090,	7,	673,	1,	1),
(103091,	7,	673,	2,	1),
(103092,	7,	673,	3,	1),
(103093,	7,	673,	23,	1),
(103094,	7,	673,	6,	1),
(103095,	7,	673,	24,	1),
(103096,	7,	673,	25,	1),
(103097,	7,	673,	4,	1),
(103098,	7,	673,	5,	1),
(103099,	7,	673,	26,	1),
(103100,	7,	673,	1,	3),
(103101,	7,	673,	2,	3),
(103102,	7,	673,	3,	3),
(103103,	7,	673,	23,	3),
(103104,	7,	673,	6,	3),
(103105,	7,	673,	24,	3),
(103106,	7,	673,	25,	3),
(103107,	7,	673,	4,	3),
(103108,	7,	673,	5,	3),
(103109,	7,	673,	26,	3),
(103110,	7,	674,	1,	1),
(103111,	7,	674,	2,	1),
(103112,	7,	674,	3,	1),
(103113,	7,	674,	23,	1),
(103114,	7,	674,	6,	1),
(103115,	7,	674,	24,	1),
(103116,	7,	674,	25,	1),
(103117,	7,	674,	4,	1),
(103118,	7,	674,	5,	1),
(103119,	7,	674,	26,	1),
(103120,	7,	674,	1,	3),
(103121,	7,	674,	2,	3),
(103122,	7,	674,	3,	3),
(103123,	7,	674,	23,	3),
(103124,	7,	674,	6,	3),
(103125,	7,	674,	24,	3),
(103126,	7,	674,	25,	3),
(103127,	7,	674,	4,	3),
(103128,	7,	674,	5,	3),
(103129,	7,	674,	26,	3),
(103130,	7,	675,	1,	1),
(103131,	7,	675,	2,	1),
(103132,	7,	675,	3,	1),
(103133,	7,	676,	1,	1),
(103134,	7,	676,	2,	1),
(103135,	7,	676,	3,	1),
(103136,	7,	676,	23,	1),
(103137,	7,	676,	1,	3),
(103138,	7,	676,	2,	3),
(103139,	7,	676,	3,	3),
(103140,	7,	676,	23,	3),
(103141,	7,	677,	1,	1),
(103142,	7,	677,	2,	1),
(103143,	7,	677,	3,	1),
(103144,	7,	678,	1,	1),
(103145,	7,	678,	2,	1),
(103146,	7,	678,	3,	1),
(103147,	7,	679,	1,	1),
(103148,	7,	679,	2,	1),
(103149,	7,	679,	3,	1),
(103150,	7,	680,	1,	1),
(103151,	7,	680,	2,	1),
(103152,	7,	680,	3,	1),
(103153,	7,	680,	6,	1),
(103154,	7,	680,	24,	1),
(103155,	7,	680,	25,	1),
(103156,	7,	680,	4,	1),
(103157,	7,	680,	5,	1),
(103158,	7,	680,	26,	1),
(103159,	7,	680,	1,	3),
(103160,	7,	680,	2,	3),
(103161,	7,	680,	3,	3),
(103162,	7,	680,	6,	3),
(103163,	7,	680,	24,	3),
(103164,	7,	680,	25,	3),
(103165,	7,	680,	4,	3),
(103166,	7,	680,	5,	3),
(103167,	7,	680,	26,	3),
(103168,	7,	681,	1,	1),
(103169,	7,	681,	2,	1),
(103170,	7,	681,	3,	1),
(103171,	7,	681,	23,	1),
(103172,	7,	681,	6,	1),
(103173,	7,	681,	24,	1),
(103174,	7,	681,	25,	1),
(103175,	7,	681,	4,	1),
(103176,	7,	681,	5,	1),
(103177,	7,	681,	26,	1),
(103178,	7,	681,	28,	1),
(103179,	7,	682,	1,	1),
(103180,	7,	682,	2,	1),
(103181,	7,	682,	3,	1),
(103182,	7,	682,	23,	1),
(103183,	7,	682,	6,	1),
(103184,	7,	682,	24,	1),
(103185,	7,	682,	25,	1),
(103186,	7,	682,	4,	1),
(103187,	7,	682,	5,	1),
(103188,	7,	682,	26,	1),
(103189,	7,	682,	1,	3),
(103190,	7,	682,	2,	3),
(103191,	7,	682,	3,	3),
(103192,	7,	682,	23,	3),
(103193,	7,	682,	6,	3),
(103194,	7,	682,	24,	3),
(103195,	7,	682,	25,	3),
(103196,	7,	682,	4,	3),
(103197,	7,	682,	5,	3),
(103198,	7,	682,	26,	3),
(103199,	7,	683,	1,	1),
(103200,	7,	683,	2,	1),
(103201,	7,	683,	3,	1),
(103202,	7,	683,	23,	1),
(103203,	7,	684,	1,	1),
(103204,	7,	684,	2,	1),
(103205,	7,	684,	3,	1),
(103206,	7,	684,	23,	1),
(103207,	7,	684,	6,	1),
(103208,	7,	684,	24,	1),
(103209,	7,	684,	25,	1),
(103210,	7,	684,	4,	1),
(103211,	7,	684,	5,	1),
(103212,	7,	684,	26,	1),
(103213,	7,	684,	1,	3),
(103214,	7,	684,	2,	3),
(103215,	7,	684,	3,	3),
(103216,	7,	684,	23,	3),
(103217,	7,	684,	6,	3),
(103218,	7,	684,	24,	3),
(103219,	7,	684,	25,	3),
(103220,	7,	684,	4,	3),
(103221,	7,	684,	5,	3),
(103222,	7,	684,	26,	3),
(103223,	7,	685,	1,	1),
(103224,	7,	685,	2,	1),
(103225,	7,	685,	3,	1),
(103226,	7,	685,	23,	1),
(103227,	7,	685,	6,	1),
(103228,	7,	685,	24,	1),
(103229,	7,	685,	25,	1),
(103230,	7,	685,	4,	1),
(103231,	7,	685,	5,	1),
(103232,	7,	685,	26,	1),
(103233,	7,	685,	1,	3),
(103234,	7,	685,	2,	3),
(103235,	7,	685,	3,	3),
(103236,	7,	685,	23,	3),
(103237,	7,	685,	6,	3),
(103238,	7,	685,	24,	3),
(103239,	7,	685,	25,	3),
(103240,	7,	685,	4,	3),
(103241,	7,	685,	5,	3),
(103242,	7,	685,	26,	3),
(103243,	7,	686,	1,	1),
(103244,	7,	686,	2,	1),
(103245,	7,	686,	3,	1),
(103246,	7,	687,	1,	1),
(103247,	7,	687,	2,	1),
(103248,	7,	687,	3,	1),
(103249,	7,	687,	23,	1),
(103250,	7,	687,	6,	1),
(103251,	7,	687,	24,	1),
(103252,	7,	687,	25,	1),
(103253,	7,	687,	4,	1),
(103254,	7,	687,	5,	1),
(103255,	7,	687,	26,	1),
(103256,	7,	687,	1,	3),
(103257,	7,	687,	2,	3),
(103258,	7,	687,	3,	3),
(103259,	7,	687,	23,	3),
(103260,	7,	687,	6,	3),
(103261,	7,	687,	24,	3),
(103262,	7,	687,	25,	3),
(103263,	7,	687,	4,	3),
(103264,	7,	687,	5,	3),
(103265,	7,	687,	26,	3),
(103266,	7,	688,	1,	1),
(103267,	7,	688,	2,	1),
(103268,	7,	688,	3,	1),
(103269,	7,	688,	23,	1),
(103270,	7,	688,	6,	1),
(103271,	7,	688,	24,	1),
(103272,	7,	688,	25,	1),
(103273,	7,	688,	4,	1),
(103274,	7,	688,	5,	1),
(103275,	7,	688,	26,	1),
(103276,	7,	688,	1,	3),
(103277,	7,	688,	2,	3),
(103278,	7,	688,	3,	3),
(103279,	7,	688,	23,	3),
(103280,	7,	688,	6,	3),
(103281,	7,	688,	24,	3),
(103282,	7,	688,	25,	3),
(103283,	7,	688,	4,	3),
(103284,	7,	688,	5,	3),
(103285,	7,	688,	26,	3),
(103286,	7,	689,	1,	1),
(103287,	7,	689,	2,	1),
(103288,	7,	689,	3,	1),
(103289,	7,	689,	1,	3),
(103290,	7,	689,	2,	3),
(103291,	7,	689,	3,	3),
(103292,	7,	690,	1,	1),
(103293,	7,	690,	2,	1),
(103294,	7,	690,	3,	1),
(103295,	7,	690,	23,	1),
(103296,	7,	690,	6,	1),
(103297,	7,	690,	24,	1),
(103298,	7,	690,	25,	1),
(103299,	7,	690,	4,	1),
(103300,	7,	690,	5,	1),
(103301,	7,	690,	26,	1),
(103302,	7,	690,	1,	3),
(103303,	7,	690,	2,	3),
(103304,	7,	690,	3,	3),
(103305,	7,	690,	23,	3),
(103306,	7,	690,	6,	3),
(103307,	7,	690,	24,	3),
(103308,	7,	690,	25,	3),
(103309,	7,	690,	4,	3),
(103310,	7,	690,	5,	3),
(103311,	7,	690,	26,	3),
(103312,	7,	691,	1,	1),
(103313,	7,	691,	2,	1),
(103314,	7,	691,	3,	1),
(103315,	7,	692,	1,	1),
(103316,	7,	692,	2,	1),
(103317,	7,	692,	3,	1),
(103318,	7,	692,	23,	1),
(103319,	7,	692,	6,	1),
(103320,	7,	692,	24,	1),
(103321,	7,	692,	25,	1),
(103322,	7,	692,	4,	1),
(103323,	7,	692,	5,	1),
(103324,	7,	692,	26,	1),
(103325,	7,	692,	1,	3),
(103326,	7,	692,	2,	3),
(103327,	7,	692,	3,	3),
(103328,	7,	692,	23,	3),
(103329,	7,	692,	6,	3),
(103330,	7,	692,	24,	3),
(103331,	7,	692,	25,	3),
(103332,	7,	692,	4,	3),
(103333,	7,	692,	5,	3),
(103334,	7,	692,	26,	3),
(103335,	7,	693,	1,	1),
(103336,	7,	693,	2,	1),
(103337,	7,	693,	3,	1),
(103338,	7,	693,	1,	3),
(103339,	7,	693,	2,	3),
(103340,	7,	693,	3,	3),
(103341,	7,	694,	1,	1),
(103342,	7,	694,	2,	1),
(103343,	7,	694,	3,	1),
(103344,	7,	694,	23,	1),
(103345,	7,	694,	6,	1),
(103346,	7,	694,	24,	1),
(103347,	7,	694,	25,	1),
(103348,	7,	694,	4,	1),
(103349,	7,	694,	5,	1),
(103350,	7,	694,	26,	1),
(103351,	7,	694,	1,	3),
(103352,	7,	694,	2,	3),
(103353,	7,	694,	3,	3),
(103354,	7,	694,	23,	3),
(103355,	7,	694,	6,	3),
(103356,	7,	694,	24,	3),
(103357,	7,	694,	25,	3),
(103358,	7,	694,	4,	3),
(103359,	7,	694,	5,	3),
(103360,	7,	694,	26,	3),
(103361,	7,	695,	1,	1),
(103362,	7,	695,	2,	1),
(103363,	7,	695,	3,	1),
(103364,	7,	695,	1,	2),
(103365,	7,	695,	2,	2),
(103366,	7,	695,	3,	2),
(103367,	7,	696,	1,	1),
(103368,	7,	696,	2,	1),
(103369,	7,	696,	3,	1),
(103377,	7,	696,	1,	3),
(103378,	7,	696,	2,	3),
(103379,	7,	696,	3,	3),
(103380,	7,	696,	23,	3),
(103381,	7,	696,	6,	3),
(103382,	7,	696,	24,	3),
(103383,	7,	696,	25,	3),
(103384,	7,	696,	4,	3),
(103385,	7,	696,	5,	3),
(103386,	7,	696,	26,	3),
(103388,	7,	697,	2,	1),
(103389,	7,	697,	3,	1),
(103390,	7,	697,	23,	1),
(103391,	7,	697,	6,	1),
(103392,	7,	697,	24,	1),
(103393,	7,	697,	25,	1),
(103394,	7,	697,	4,	1),
(103397,	7,	697,	1,	3),
(103398,	7,	697,	2,	3),
(103399,	7,	697,	3,	3),
(103400,	7,	697,	23,	3),
(103401,	7,	697,	6,	3),
(103402,	7,	697,	24,	3),
(103403,	7,	697,	25,	3),
(103404,	7,	697,	4,	3),
(103405,	7,	697,	5,	3),
(103406,	7,	697,	26,	3),
(103407,	7,	698,	1,	1),
(103408,	7,	698,	2,	1),
(103409,	7,	698,	3,	1),
(103410,	7,	698,	23,	1),
(103411,	7,	698,	6,	1),
(103412,	7,	698,	24,	1),
(103413,	7,	698,	25,	1),
(103414,	7,	698,	4,	1),
(103415,	7,	698,	5,	1),
(103416,	7,	698,	26,	1),
(103417,	7,	698,	1,	3),
(103418,	7,	698,	2,	3),
(103419,	7,	698,	3,	3),
(103420,	7,	698,	23,	3),
(103421,	7,	698,	6,	3),
(103422,	7,	698,	24,	3),
(103423,	7,	698,	25,	3),
(103424,	7,	698,	4,	3),
(103425,	7,	698,	5,	3),
(103426,	7,	698,	26,	3),
(103427,	7,	699,	1,	1),
(103428,	7,	699,	2,	1),
(103429,	7,	699,	3,	1),
(103430,	7,	700,	1,	1),
(103431,	7,	700,	2,	1),
(103432,	7,	700,	3,	1),
(103433,	7,	701,	1,	1),
(103434,	7,	701,	2,	1),
(103435,	7,	701,	3,	1),
(103436,	7,	702,	1,	1),
(103437,	7,	702,	2,	1),
(103438,	7,	702,	3,	1),
(103439,	7,	703,	1,	1),
(103440,	7,	703,	2,	1),
(103441,	7,	703,	3,	1),
(103442,	7,	703,	23,	1),
(103443,	7,	703,	6,	1),
(103444,	7,	703,	24,	1),
(103445,	7,	703,	25,	1),
(103446,	7,	703,	4,	1),
(103447,	7,	703,	5,	1),
(103448,	7,	703,	26,	1),
(103449,	7,	703,	1,	3),
(103450,	7,	703,	2,	3),
(103451,	7,	703,	3,	3),
(103452,	7,	703,	23,	3),
(103453,	7,	703,	6,	3),
(103454,	7,	703,	24,	3),
(103455,	7,	703,	25,	3),
(103456,	7,	703,	4,	3),
(103457,	7,	703,	5,	3),
(103458,	7,	703,	26,	3),
(103459,	7,	704,	1,	1),
(103460,	7,	704,	2,	1),
(103461,	7,	704,	3,	1),
(103462,	7,	704,	23,	1),
(103463,	7,	704,	6,	1),
(103464,	7,	704,	24,	1),
(103465,	7,	704,	25,	1),
(103466,	7,	704,	4,	1),
(103467,	7,	704,	5,	1),
(103468,	7,	704,	26,	1),
(103469,	7,	705,	1,	1),
(103470,	7,	705,	2,	1),
(103471,	7,	705,	3,	1),
(103472,	7,	706,	1,	1),
(103473,	7,	706,	2,	1),
(103474,	7,	706,	3,	1),
(103475,	7,	707,	1,	1),
(103476,	7,	707,	2,	1),
(103477,	7,	707,	3,	1),
(103478,	7,	708,	1,	1),
(103479,	7,	708,	2,	1),
(103480,	7,	708,	3,	1),
(103481,	7,	709,	1,	1),
(103482,	7,	709,	2,	1),
(103483,	7,	709,	3,	1),
(103484,	7,	709,	23,	1),
(103485,	7,	709,	6,	1),
(103486,	7,	709,	24,	1),
(103487,	7,	709,	25,	1),
(103488,	7,	709,	4,	1),
(103489,	7,	709,	5,	1),
(103490,	7,	709,	26,	1),
(103491,	7,	709,	1,	3),
(103492,	7,	709,	2,	3),
(103493,	7,	709,	3,	3),
(103494,	7,	709,	23,	3),
(103495,	7,	709,	6,	3),
(103496,	7,	709,	24,	3),
(103497,	7,	709,	25,	3),
(103498,	7,	709,	4,	3),
(103499,	7,	709,	5,	3),
(103500,	7,	709,	26,	3),
(103501,	7,	710,	1,	1),
(103502,	7,	710,	2,	1),
(103503,	7,	710,	3,	1),
(103504,	7,	711,	1,	1),
(103505,	7,	711,	2,	1),
(103506,	7,	711,	3,	1),
(103507,	7,	711,	23,	1),
(103508,	7,	711,	6,	1),
(103509,	7,	711,	24,	1),
(103510,	7,	711,	25,	1),
(103511,	7,	711,	4,	1),
(103512,	7,	711,	5,	1),
(103513,	7,	711,	26,	1),
(103514,	7,	711,	1,	3),
(103515,	7,	711,	2,	3),
(103516,	7,	711,	3,	3),
(103517,	7,	711,	23,	3),
(103518,	7,	711,	6,	3),
(103519,	7,	711,	24,	3),
(103520,	7,	711,	25,	3),
(103521,	7,	711,	4,	3),
(103522,	7,	711,	5,	3),
(103523,	7,	711,	26,	3),
(103524,	7,	712,	1,	1),
(103525,	7,	712,	2,	1),
(103526,	7,	712,	3,	1),
(103527,	7,	713,	1,	1),
(103528,	7,	713,	2,	1),
(103529,	7,	713,	3,	1),
(103530,	7,	713,	1,	2),
(103531,	7,	713,	2,	2),
(103532,	7,	713,	3,	2),
(103533,	7,	714,	1,	1),
(103534,	7,	714,	2,	1),
(103535,	7,	714,	3,	1),
(103536,	7,	715,	1,	1),
(103537,	7,	715,	2,	1),
(103538,	7,	715,	3,	1),
(103539,	7,	716,	1,	1),
(103540,	7,	716,	2,	1),
(103541,	7,	716,	3,	1),
(103542,	7,	716,	23,	1),
(103543,	7,	716,	1,	3),
(103544,	7,	716,	2,	3),
(103545,	7,	716,	3,	3),
(103546,	7,	716,	23,	3),
(103547,	7,	717,	1,	1),
(103548,	7,	717,	2,	1),
(103549,	7,	717,	3,	1),
(103550,	7,	717,	23,	1),
(103551,	7,	717,	6,	1),
(103552,	7,	717,	24,	1),
(103553,	7,	717,	25,	1),
(103554,	7,	717,	4,	1),
(103555,	7,	717,	5,	1),
(103556,	7,	717,	26,	1),
(103557,	7,	717,	1,	3),
(103558,	7,	717,	2,	3),
(103559,	7,	717,	3,	3),
(103560,	7,	717,	23,	3),
(103561,	7,	717,	6,	3),
(103562,	7,	717,	24,	3),
(103563,	7,	717,	25,	3),
(103564,	7,	717,	4,	3),
(103565,	7,	717,	5,	3),
(103566,	7,	717,	26,	3),
(103567,	7,	718,	1,	1),
(103568,	7,	718,	2,	1),
(103569,	7,	718,	3,	1),
(103570,	7,	718,	23,	1),
(103571,	7,	719,	1,	1),
(103572,	7,	719,	2,	1),
(103573,	7,	719,	3,	1),
(103574,	7,	719,	23,	1),
(103575,	7,	719,	6,	1),
(103576,	7,	719,	24,	1),
(103577,	7,	719,	25,	1),
(103578,	7,	719,	4,	1),
(103579,	7,	719,	5,	1),
(103580,	7,	719,	26,	1),
(103581,	7,	719,	1,	3),
(103582,	7,	719,	2,	3),
(103583,	7,	719,	3,	3),
(103584,	7,	719,	23,	3),
(103585,	7,	719,	6,	3),
(103586,	7,	719,	24,	3),
(103587,	7,	719,	25,	3),
(103588,	7,	719,	4,	3),
(103589,	7,	719,	5,	3),
(103590,	7,	719,	26,	3),
(103591,	7,	720,	1,	1),
(103592,	7,	720,	2,	1),
(103593,	7,	720,	3,	1),
(103594,	7,	721,	1,	1),
(103595,	7,	721,	2,	1),
(103596,	7,	721,	3,	1),
(103597,	7,	721,	23,	1),
(103598,	7,	721,	1,	3),
(103599,	7,	721,	2,	3),
(103600,	7,	721,	3,	3),
(103601,	7,	721,	23,	3),
(103602,	7,	722,	1,	1),
(103603,	7,	722,	2,	1),
(103604,	7,	722,	3,	1),
(103605,	7,	722,	23,	1),
(103606,	7,	722,	6,	1),
(103607,	7,	722,	24,	1),
(103608,	7,	722,	25,	1),
(103609,	7,	722,	4,	1),
(103610,	7,	722,	5,	1),
(103611,	7,	722,	26,	1),
(103612,	7,	722,	1,	3),
(103613,	7,	722,	2,	3),
(103614,	7,	722,	3,	3),
(103615,	7,	722,	23,	3),
(103616,	7,	722,	6,	3),
(103617,	7,	722,	24,	3),
(103618,	7,	722,	25,	3),
(103619,	7,	722,	4,	3),
(103620,	7,	722,	5,	3),
(103621,	7,	722,	26,	3),
(103622,	7,	723,	1,	1),
(103623,	7,	723,	2,	1),
(103624,	7,	723,	3,	1),
(103625,	7,	723,	23,	1),
(103626,	7,	724,	1,	1),
(103627,	7,	724,	2,	1),
(103628,	7,	724,	3,	1),
(103629,	7,	724,	23,	1),
(103630,	7,	724,	6,	1),
(103631,	7,	724,	24,	1),
(103632,	7,	724,	25,	1),
(103633,	7,	724,	4,	1),
(103634,	7,	724,	5,	1),
(103635,	7,	724,	26,	1),
(103636,	7,	724,	1,	3),
(103637,	7,	724,	2,	3),
(103638,	7,	724,	3,	3),
(103639,	7,	724,	23,	3),
(103640,	7,	724,	6,	3),
(103641,	7,	724,	24,	3),
(103642,	7,	724,	25,	3),
(103643,	7,	724,	4,	3),
(103644,	7,	724,	5,	3),
(103645,	7,	724,	26,	3),
(103646,	7,	725,	1,	1),
(103647,	7,	725,	2,	1),
(103648,	7,	725,	3,	1),
(103649,	7,	726,	1,	1),
(103650,	7,	726,	2,	1),
(103651,	7,	726,	3,	1),
(103652,	7,	727,	1,	1),
(103653,	7,	727,	2,	1),
(103654,	7,	727,	3,	1),
(103655,	7,	728,	1,	1),
(103656,	7,	728,	2,	1),
(103657,	7,	728,	3,	1),
(103658,	7,	729,	1,	1),
(103659,	7,	729,	2,	1),
(103660,	7,	729,	3,	1),
(103661,	7,	730,	1,	1),
(103662,	7,	730,	2,	1),
(103663,	7,	730,	3,	1),
(103664,	7,	730,	23,	1),
(103665,	7,	730,	6,	1),
(103666,	7,	730,	24,	1),
(103667,	7,	730,	25,	1),
(103668,	7,	730,	4,	1),
(103669,	7,	730,	5,	1),
(103670,	7,	730,	26,	1),
(103671,	7,	730,	1,	3),
(103672,	7,	730,	2,	3),
(103673,	7,	730,	3,	3),
(103674,	7,	730,	23,	3),
(103675,	7,	730,	6,	3),
(103676,	7,	730,	24,	3),
(103677,	7,	730,	25,	3),
(103678,	7,	730,	4,	3),
(103679,	7,	730,	5,	3),
(103680,	7,	730,	26,	3),
(103681,	7,	731,	1,	1),
(103682,	7,	731,	2,	1),
(103683,	7,	731,	3,	1),
(103684,	7,	731,	23,	1),
(103685,	7,	731,	6,	1),
(103686,	7,	731,	24,	1),
(103687,	7,	731,	25,	1),
(103688,	7,	731,	4,	1),
(103689,	7,	731,	5,	1),
(103690,	7,	731,	26,	1),
(103691,	7,	731,	1,	3),
(103692,	7,	731,	2,	3),
(103693,	7,	731,	3,	3),
(103694,	7,	731,	23,	3),
(103695,	7,	731,	6,	3),
(103696,	7,	731,	24,	3),
(103697,	7,	731,	25,	3),
(103698,	7,	731,	4,	3),
(103699,	7,	731,	5,	3),
(103700,	7,	731,	26,	3),
(103701,	7,	732,	1,	1),
(103702,	7,	732,	2,	1),
(103703,	7,	732,	3,	1),
(103704,	7,	732,	23,	1),
(103705,	7,	733,	1,	1),
(103706,	7,	733,	2,	1),
(103707,	7,	733,	3,	1),
(103708,	7,	733,	23,	1),
(103709,	7,	733,	6,	1),
(103710,	7,	733,	24,	1),
(103711,	7,	733,	25,	1),
(103712,	7,	733,	4,	1),
(103713,	7,	733,	5,	1),
(103714,	7,	733,	26,	1),
(103715,	7,	733,	1,	3),
(103716,	7,	733,	2,	3),
(103717,	7,	733,	3,	3),
(103718,	7,	733,	23,	3),
(103719,	7,	733,	6,	3),
(103720,	7,	733,	24,	3),
(103721,	7,	733,	25,	3),
(103722,	7,	733,	4,	3),
(103723,	7,	733,	5,	3),
(103724,	7,	733,	26,	3),
(103725,	7,	734,	1,	1),
(103726,	7,	734,	2,	1),
(103727,	7,	734,	3,	1),
(103728,	7,	734,	23,	1),
(103729,	7,	734,	6,	1),
(103730,	7,	734,	24,	1),
(103731,	7,	734,	25,	1),
(103732,	7,	734,	4,	1),
(103733,	7,	734,	5,	1),
(103734,	7,	734,	26,	1),
(103735,	7,	734,	1,	3),
(103736,	7,	734,	2,	3),
(103737,	7,	734,	3,	3),
(103738,	7,	734,	23,	3),
(103739,	7,	734,	6,	3),
(103740,	7,	734,	24,	3),
(103741,	7,	734,	25,	3),
(103742,	7,	734,	4,	3),
(103743,	7,	734,	5,	3),
(103744,	7,	734,	26,	3),
(103745,	7,	735,	1,	1),
(103746,	7,	735,	2,	1),
(103747,	7,	735,	3,	1),
(103748,	7,	735,	23,	1),
(103749,	7,	736,	1,	1),
(103750,	7,	736,	2,	1),
(103751,	7,	736,	3,	1),
(103752,	7,	736,	23,	1),
(103753,	7,	736,	6,	1),
(103754,	7,	736,	24,	1),
(103755,	7,	736,	25,	1),
(103756,	7,	736,	4,	1),
(103757,	7,	736,	5,	1),
(103758,	7,	736,	26,	1),
(103759,	7,	736,	1,	3),
(103760,	7,	736,	2,	3),
(103761,	7,	736,	3,	3),
(103762,	7,	736,	23,	3),
(103763,	7,	736,	6,	3),
(103764,	7,	736,	24,	3),
(103765,	7,	736,	25,	3),
(103766,	7,	736,	4,	3),
(103767,	7,	736,	5,	3),
(103768,	7,	736,	26,	3),
(103769,	7,	737,	1,	1),
(103770,	7,	737,	2,	1),
(103771,	7,	737,	3,	1),
(103772,	7,	738,	1,	1),
(103773,	7,	738,	2,	1),
(103774,	7,	738,	3,	1),
(103775,	7,	739,	1,	1),
(103776,	7,	739,	2,	1),
(103777,	7,	739,	3,	1),
(103778,	7,	740,	1,	1),
(103779,	7,	740,	2,	1),
(103780,	7,	740,	3,	1),
(103781,	7,	740,	23,	1),
(103782,	7,	740,	6,	1),
(103783,	7,	740,	24,	1),
(103784,	7,	740,	25,	1),
(103785,	7,	740,	4,	1),
(103786,	7,	740,	5,	1),
(103787,	7,	740,	26,	1),
(103788,	7,	740,	1,	3),
(103789,	7,	740,	2,	3),
(103790,	7,	740,	3,	3),
(103791,	7,	740,	23,	3),
(103792,	7,	740,	6,	3),
(103793,	7,	740,	24,	3),
(103794,	7,	740,	25,	3),
(103795,	7,	740,	4,	3),
(103796,	7,	740,	5,	3),
(103797,	7,	740,	26,	3),
(103798,	7,	741,	1,	1),
(103799,	7,	741,	2,	1),
(103800,	7,	741,	3,	1),
(103801,	7,	741,	23,	1),
(103802,	7,	741,	6,	1),
(103803,	7,	741,	24,	1),
(103804,	7,	741,	25,	1),
(103805,	7,	741,	4,	1),
(103806,	7,	741,	5,	1),
(103807,	7,	741,	26,	1),
(103808,	7,	742,	1,	1),
(103809,	7,	742,	2,	1),
(103810,	7,	742,	3,	1),
(103811,	7,	743,	1,	1),
(103812,	7,	743,	2,	1),
(103813,	7,	743,	3,	1),
(103814,	7,	743,	23,	1),
(103815,	7,	743,	6,	1),
(103816,	7,	743,	24,	1),
(103817,	7,	743,	25,	1),
(103818,	7,	743,	4,	1),
(103819,	7,	743,	5,	1),
(103820,	7,	743,	26,	1),
(103821,	7,	743,	1,	3),
(103822,	7,	743,	2,	3),
(103823,	7,	743,	3,	3),
(103824,	7,	743,	23,	3),
(103825,	7,	743,	6,	3),
(103826,	7,	743,	24,	3),
(103827,	7,	743,	25,	3),
(103828,	7,	743,	4,	3),
(103829,	7,	743,	5,	3),
(103830,	7,	743,	26,	3),
(103831,	7,	744,	1,	1),
(103832,	7,	744,	2,	1),
(103833,	7,	744,	3,	1),
(103834,	7,	744,	23,	1),
(103835,	7,	744,	6,	1),
(103836,	7,	744,	24,	1),
(103837,	7,	744,	25,	1),
(103838,	7,	744,	4,	1),
(103839,	7,	744,	5,	1),
(103840,	7,	744,	26,	1),
(103841,	7,	744,	1,	3),
(103842,	7,	744,	2,	3),
(103843,	7,	744,	3,	3),
(103844,	7,	744,	23,	3),
(103845,	7,	744,	6,	3),
(103846,	7,	744,	24,	3),
(103847,	7,	744,	25,	3),
(103848,	7,	744,	4,	3),
(103849,	7,	744,	5,	3),
(103850,	7,	744,	26,	3),
(103851,	7,	745,	1,	1),
(103852,	7,	745,	2,	1),
(103853,	7,	745,	3,	1),
(103854,	7,	745,	23,	1),
(103855,	7,	745,	6,	1),
(103856,	7,	745,	5,	1),
(103857,	7,	746,	1,	1),
(103858,	7,	746,	2,	1),
(103859,	7,	746,	3,	1),
(103860,	7,	747,	1,	1),
(103861,	7,	747,	2,	1),
(103862,	7,	747,	3,	1),
(103863,	7,	747,	23,	1),
(103864,	7,	747,	6,	1),
(103865,	7,	747,	24,	1),
(103866,	7,	747,	25,	1),
(103867,	7,	747,	4,	1),
(103868,	7,	747,	5,	1),
(103869,	7,	747,	26,	1),
(103870,	7,	747,	1,	3),
(103871,	7,	747,	2,	3),
(103872,	7,	747,	3,	3),
(103873,	7,	747,	23,	3),
(103874,	7,	747,	6,	3),
(103875,	7,	747,	24,	3),
(103876,	7,	747,	25,	3),
(103877,	7,	747,	4,	3),
(103878,	7,	747,	5,	3),
(103879,	7,	747,	26,	3),
(103880,	7,	748,	1,	1),
(103881,	7,	748,	2,	1),
(103882,	7,	748,	3,	1),
(103883,	7,	748,	23,	1),
(103884,	7,	748,	6,	1),
(103885,	7,	748,	24,	1),
(103886,	7,	748,	25,	1),
(103887,	7,	748,	4,	1),
(103888,	7,	748,	5,	1),
(103889,	7,	748,	26,	1),
(103890,	7,	748,	1,	3),
(103891,	7,	748,	2,	3),
(103892,	7,	748,	3,	3),
(103893,	7,	748,	23,	3),
(103894,	7,	748,	6,	3),
(103895,	7,	748,	24,	3),
(103896,	7,	748,	25,	3),
(103897,	7,	748,	4,	3),
(103898,	7,	748,	5,	3),
(103899,	7,	748,	26,	3),
(103900,	7,	749,	1,	1),
(103901,	7,	749,	2,	1),
(103902,	7,	749,	3,	1),
(103903,	7,	750,	1,	1),
(103904,	7,	750,	2,	1),
(103905,	7,	750,	3,	1),
(103906,	7,	750,	23,	1),
(103907,	7,	750,	6,	1),
(103908,	7,	750,	24,	1),
(103909,	7,	750,	25,	1),
(103910,	7,	750,	4,	1),
(103911,	7,	750,	5,	1),
(103912,	7,	750,	26,	1),
(103913,	7,	750,	1,	3),
(103914,	7,	750,	2,	3),
(103915,	7,	750,	3,	3),
(103916,	7,	750,	23,	3),
(103917,	7,	750,	6,	3),
(103918,	7,	750,	24,	3),
(103919,	7,	750,	25,	3),
(103920,	7,	750,	4,	3),
(103921,	7,	750,	5,	3),
(103922,	7,	750,	26,	3),
(103923,	7,	751,	1,	1),
(103924,	7,	751,	2,	1),
(103925,	7,	751,	3,	1),
(103926,	7,	752,	1,	1),
(103927,	7,	752,	2,	1),
(103928,	7,	752,	3,	1),
(103929,	7,	752,	6,	1),
(103930,	7,	752,	24,	1),
(103931,	7,	752,	25,	1),
(103932,	7,	752,	4,	1),
(103933,	7,	752,	5,	1),
(103934,	7,	752,	26,	1),
(103935,	7,	752,	1,	3),
(103936,	7,	752,	2,	3),
(103937,	7,	752,	3,	3),
(103938,	7,	752,	6,	3),
(103939,	7,	752,	24,	3),
(103940,	7,	752,	25,	3),
(103941,	7,	752,	4,	3),
(103942,	7,	752,	5,	3),
(103943,	7,	752,	26,	3),
(103944,	7,	753,	1,	1),
(103945,	7,	753,	2,	1),
(103946,	7,	753,	3,	1),
(103947,	7,	753,	23,	1),
(103948,	7,	754,	1,	1),
(103949,	7,	754,	2,	1),
(103950,	7,	754,	3,	1),
(103951,	7,	754,	23,	1),
(103952,	7,	754,	6,	1),
(103953,	7,	754,	24,	1),
(103954,	7,	754,	25,	1),
(103955,	7,	754,	4,	1),
(103956,	7,	754,	5,	1),
(103957,	7,	754,	26,	1),
(103958,	7,	754,	1,	3),
(103959,	7,	754,	2,	3),
(103960,	7,	754,	3,	3),
(103961,	7,	754,	23,	3),
(103962,	7,	754,	6,	3),
(103963,	7,	754,	24,	3),
(103964,	7,	754,	25,	3),
(103965,	7,	754,	4,	3),
(103966,	7,	754,	5,	3),
(103967,	7,	754,	26,	3),
(103968,	7,	755,	1,	1),
(103969,	7,	755,	2,	1),
(103970,	7,	755,	3,	1),
(103971,	7,	756,	1,	1),
(103972,	7,	756,	2,	1),
(103973,	7,	756,	3,	1),
(103974,	7,	757,	1,	1),
(103975,	7,	757,	2,	1),
(103976,	7,	757,	3,	1),
(103977,	7,	757,	1,	3),
(103978,	7,	757,	2,	3),
(103979,	7,	757,	3,	3),
(103980,	7,	758,	1,	1),
(103981,	7,	758,	2,	1),
(103982,	7,	758,	3,	1),
(103983,	7,	758,	23,	1),
(103984,	7,	758,	1,	2),
(103985,	7,	758,	2,	2),
(103986,	7,	758,	3,	2),
(103987,	7,	758,	23,	2),
(103988,	7,	759,	1,	1),
(103989,	7,	759,	2,	1),
(103990,	7,	759,	3,	1),
(103991,	7,	759,	1,	3),
(103992,	7,	759,	2,	3),
(103993,	7,	759,	3,	3),
(103994,	7,	760,	1,	1),
(103995,	7,	760,	2,	1),
(103996,	7,	760,	3,	1),
(103997,	7,	760,	23,	1),
(103998,	7,	760,	1,	3),
(103999,	7,	760,	2,	3),
(104000,	7,	760,	3,	3),
(104001,	7,	760,	23,	3),
(104002,	7,	760,	1,	2),
(104003,	7,	760,	2,	2),
(104004,	7,	760,	3,	2),
(104005,	7,	760,	23,	2),
(104006,	7,	761,	1,	1),
(104007,	7,	761,	2,	1),
(104008,	7,	761,	3,	1),
(104009,	7,	761,	1,	2),
(104010,	7,	761,	2,	2),
(104011,	7,	761,	3,	2),
(104012,	7,	762,	1,	1),
(104013,	7,	762,	2,	1),
(104014,	7,	762,	3,	1),
(104015,	7,	762,	1,	2),
(104016,	7,	762,	2,	2),
(104017,	7,	762,	3,	2),
(104018,	7,	763,	1,	1),
(104019,	7,	763,	2,	1),
(104020,	7,	763,	3,	1),
(104021,	7,	763,	1,	2),
(104022,	7,	763,	2,	2),
(104023,	7,	763,	3,	2),
(104024,	7,	764,	1,	1),
(104025,	7,	764,	2,	1),
(104026,	7,	764,	3,	1),
(104027,	7,	764,	1,	2),
(104028,	7,	764,	2,	2),
(104029,	7,	764,	3,	2),
(104030,	7,	765,	1,	1),
(104031,	7,	765,	2,	1),
(104032,	7,	765,	3,	1),
(104033,	7,	765,	1,	2),
(104034,	7,	765,	2,	2),
(104035,	7,	765,	3,	2),
(104036,	7,	766,	1,	1),
(104037,	7,	766,	2,	1),
(104038,	7,	766,	3,	1),
(104039,	7,	767,	1,	1),
(104040,	7,	767,	2,	1),
(104041,	7,	767,	3,	1),
(104042,	7,	767,	6,	1),
(104043,	7,	767,	1,	2),
(104044,	7,	767,	2,	2),
(104045,	7,	767,	3,	2),
(104046,	7,	767,	6,	2),
(104047,	7,	768,	1,	1),
(104048,	7,	768,	2,	1),
(104049,	7,	768,	3,	1),
(104050,	7,	768,	1,	2),
(104051,	7,	768,	2,	2),
(104052,	7,	768,	3,	2),
(104053,	7,	769,	1,	1),
(104054,	7,	769,	2,	1),
(104055,	7,	769,	3,	1),
(104056,	7,	769,	1,	3),
(104057,	7,	769,	2,	3),
(104058,	7,	769,	3,	3),
(104059,	7,	770,	1,	1),
(104060,	7,	770,	2,	1),
(104061,	7,	770,	3,	1),
(104062,	7,	771,	1,	1),
(104063,	7,	771,	2,	1),
(104064,	7,	771,	3,	1),
(104065,	7,	772,	1,	1),
(104066,	7,	772,	2,	1),
(104067,	7,	772,	3,	1),
(104068,	7,	772,	6,	1),
(104069,	7,	772,	1,	2),
(104070,	7,	772,	2,	2),
(104071,	7,	772,	3,	2),
(104072,	7,	772,	6,	2),
(104073,	7,	773,	1,	1),
(104074,	7,	773,	2,	1),
(104075,	7,	773,	3,	1),
(104076,	7,	773,	6,	1),
(104077,	7,	773,	1,	2),
(104078,	7,	773,	2,	2),
(104079,	7,	773,	3,	2),
(104080,	7,	773,	6,	2),
(104081,	7,	774,	2,	1),
(104082,	7,	775,	1,	1),
(104083,	7,	775,	2,	1),
(104084,	7,	775,	3,	1),
(104085,	7,	775,	1,	2),
(104086,	7,	775,	2,	2),
(104087,	7,	775,	3,	2),
(104088,	7,	776,	1,	1),
(104089,	7,	776,	2,	1),
(104090,	7,	776,	3,	1),
(104091,	7,	776,	1,	2),
(104092,	7,	776,	2,	2),
(104093,	7,	776,	3,	2),
(104094,	7,	777,	1,	1),
(104095,	7,	777,	2,	1),
(104096,	7,	777,	3,	1),
(104097,	7,	778,	1,	1),
(104098,	7,	778,	2,	1),
(104099,	7,	778,	3,	1),
(104100,	7,	778,	1,	2),
(104101,	7,	778,	2,	2),
(104102,	7,	778,	3,	2),
(104103,	7,	779,	1,	1),
(104104,	7,	779,	2,	1),
(104105,	7,	779,	3,	1),
(104106,	7,	779,	1,	2),
(104107,	7,	779,	2,	2),
(104108,	7,	779,	3,	2),
(104109,	7,	780,	1,	1),
(104110,	7,	780,	2,	1),
(104111,	7,	780,	3,	1),
(104112,	7,	780,	1,	2),
(104113,	7,	780,	2,	2),
(104114,	7,	780,	3,	2),
(104115,	7,	781,	1,	1),
(104116,	7,	781,	2,	1),
(104117,	7,	781,	3,	1),
(104118,	7,	781,	1,	3),
(104119,	7,	781,	2,	3),
(104120,	7,	781,	3,	3),
(104121,	7,	782,	1,	1),
(104122,	7,	782,	2,	1),
(104123,	7,	782,	3,	1),
(104124,	7,	782,	1,	3),
(104125,	7,	782,	2,	3),
(104126,	7,	782,	3,	3),
(104127,	7,	783,	1,	1),
(104128,	7,	783,	2,	1),
(104129,	7,	783,	3,	1),
(104130,	7,	783,	1,	3),
(104131,	7,	783,	2,	3),
(104132,	7,	783,	3,	3),
(104133,	7,	784,	1,	1),
(104134,	7,	784,	2,	1),
(104135,	7,	784,	3,	1),
(104136,	7,	784,	1,	3),
(104137,	7,	784,	2,	3),
(104138,	7,	784,	3,	3),
(104139,	7,	785,	1,	1),
(104140,	7,	785,	2,	1),
(104141,	7,	785,	3,	1),
(104142,	7,	786,	1,	1),
(104143,	7,	786,	2,	1),
(104144,	7,	786,	3,	1),
(104145,	7,	787,	1,	1),
(104146,	7,	787,	2,	1),
(104147,	7,	787,	3,	1),
(104148,	7,	787,	1,	3),
(104149,	7,	787,	2,	3),
(104150,	7,	787,	3,	3),
(104151,	7,	788,	1,	1),
(104152,	7,	788,	2,	1),
(104153,	7,	788,	3,	1),
(104154,	7,	788,	1,	2),
(104155,	7,	788,	2,	2),
(104156,	7,	788,	3,	2),
(104157,	7,	789,	1,	1),
(104158,	7,	789,	2,	1),
(104159,	7,	789,	3,	1),
(104160,	7,	789,	1,	2),
(104161,	7,	789,	2,	2),
(104162,	7,	789,	3,	2),
(104163,	7,	790,	1,	1),
(104164,	7,	790,	2,	1),
(104165,	7,	790,	3,	1),
(104166,	7,	790,	1,	2),
(104167,	7,	790,	2,	2),
(104168,	7,	790,	3,	2),
(104169,	7,	791,	1,	1),
(104170,	7,	791,	2,	1),
(104171,	7,	791,	3,	1),
(104172,	7,	791,	1,	3),
(104173,	7,	791,	2,	3),
(104174,	7,	791,	3,	3),
(104175,	7,	792,	1,	1),
(104176,	7,	792,	2,	1),
(104177,	7,	792,	3,	1),
(104178,	7,	792,	1,	2),
(104179,	7,	792,	2,	2),
(104180,	7,	792,	3,	2),
(104181,	7,	794,	2,	2),
(104182,	7,	795,	2,	2),
(104183,	7,	796,	1,	1),
(104184,	7,	796,	2,	1),
(104185,	7,	796,	3,	1),
(104186,	7,	796,	1,	2),
(104187,	7,	796,	2,	2),
(104188,	7,	796,	3,	2),
(104189,	7,	797,	1,	1),
(104190,	7,	797,	2,	1),
(104191,	7,	797,	3,	1),
(104192,	7,	797,	1,	3),
(104193,	7,	797,	2,	3),
(104194,	7,	797,	3,	3),
(104195,	7,	798,	1,	1),
(104196,	7,	798,	2,	1),
(104197,	7,	798,	3,	1),
(104198,	7,	798,	1,	2),
(104199,	7,	798,	2,	2),
(104200,	7,	798,	3,	2),
(104201,	7,	799,	1,	1),
(104202,	7,	799,	2,	1),
(104203,	7,	799,	3,	1),
(104204,	7,	799,	1,	2),
(104205,	7,	799,	2,	2),
(104206,	7,	799,	3,	2),
(104207,	7,	800,	1,	1),
(104208,	7,	800,	2,	1),
(104209,	7,	800,	3,	1),
(104210,	7,	800,	1,	2),
(104211,	7,	800,	2,	2),
(104212,	7,	800,	3,	2),
(104213,	7,	801,	1,	1),
(104214,	7,	801,	2,	1),
(104215,	7,	801,	3,	1),
(104216,	7,	801,	1,	2),
(104217,	7,	801,	2,	2),
(104218,	7,	801,	3,	2),
(104219,	7,	802,	1,	1),
(104220,	7,	802,	2,	1),
(104221,	7,	802,	3,	1),
(104222,	7,	802,	1,	2),
(104223,	7,	802,	2,	2),
(104224,	7,	802,	3,	2),
(104225,	7,	803,	1,	1),
(104226,	7,	803,	2,	1),
(104227,	7,	803,	3,	1),
(104228,	7,	803,	1,	2),
(104229,	7,	803,	2,	2),
(104230,	7,	803,	3,	2),
(104231,	7,	804,	1,	1),
(104232,	7,	804,	2,	1),
(104233,	7,	804,	3,	1),
(104234,	7,	804,	1,	2),
(104235,	7,	804,	2,	2),
(104236,	7,	804,	3,	2),
(104237,	7,	805,	1,	1),
(104238,	7,	805,	2,	1),
(104239,	7,	805,	3,	1),
(104240,	7,	805,	6,	1),
(104241,	7,	805,	24,	1),
(104242,	7,	805,	23,	1),
(104243,	7,	806,	1,	1),
(104244,	7,	806,	2,	1),
(104245,	7,	806,	3,	1),
(104246,	7,	806,	6,	1),
(104247,	7,	806,	24,	1),
(104248,	7,	807,	1,	1),
(104249,	7,	807,	2,	1),
(104250,	7,	807,	3,	1),
(104251,	7,	807,	6,	1),
(104252,	7,	807,	24,	1),
(104253,	7,	808,	1,	1),
(104254,	7,	808,	2,	1),
(104255,	7,	808,	3,	1),
(104256,	7,	808,	1,	2),
(104257,	7,	808,	2,	2),
(104258,	7,	808,	3,	2),
(104259,	7,	809,	1,	1),
(104260,	7,	809,	2,	1),
(104261,	7,	809,	3,	1),
(104262,	7,	809,	1,	2),
(104263,	7,	809,	2,	2),
(104264,	7,	809,	3,	2),
(104265,	7,	810,	1,	1),
(104266,	7,	810,	2,	1),
(104267,	7,	810,	3,	1),
(104268,	7,	810,	6,	1),
(104269,	7,	810,	24,	1),
(104270,	7,	811,	1,	1),
(104271,	7,	811,	2,	1),
(104272,	7,	811,	3,	1),
(104273,	7,	811,	1,	2),
(104274,	7,	811,	2,	2),
(104275,	7,	811,	3,	2),
(104276,	7,	812,	2,	1),
(104277,	7,	813,	1,	1),
(104278,	7,	813,	2,	1),
(104279,	7,	813,	3,	1),
(104280,	7,	813,	1,	2),
(104281,	7,	813,	2,	2),
(104282,	7,	813,	3,	2),
(104283,	7,	814,	1,	1),
(104284,	7,	814,	2,	1),
(104285,	7,	814,	3,	1),
(104286,	7,	814,	23,	1),
(104287,	7,	814,	49,	1),
(104288,	7,	814,	5,	1),
(104289,	7,	814,	26,	1),
(104290,	7,	815,	1,	1),
(104291,	7,	815,	2,	1),
(104292,	7,	815,	3,	1),
(104293,	7,	816,	1,	1),
(104294,	7,	816,	2,	1),
(104295,	7,	816,	3,	1),
(104296,	7,	816,	25,	1),
(104297,	7,	816,	24,	1),
(104298,	7,	816,	49,	1),
(104299,	7,	816,	50,	1),
(104300,	7,	816,	23,	1),
(104301,	7,	816,	51,	1),
(104302,	7,	816,	48,	1),
(104303,	7,	816,	52,	1),
(104304,	7,	816,	53,	1),
(104305,	7,	817,	1,	1),
(104306,	7,	817,	2,	1),
(104307,	7,	817,	3,	1),
(104308,	7,	817,	23,	1),
(104309,	7,	817,	49,	1),
(104310,	7,	817,	5,	1),
(104311,	7,	817,	26,	1),
(104312,	7,	818,	1,	1),
(104313,	7,	818,	2,	1),
(104314,	7,	818,	3,	1),
(104315,	7,	818,	49,	1),
(104316,	7,	819,	1,	1),
(104317,	7,	819,	2,	1),
(104318,	7,	819,	3,	1),
(104319,	7,	819,	49,	1),
(104320,	7,	820,	1,	1),
(104321,	7,	820,	2,	1),
(104322,	7,	820,	3,	1),
(104323,	7,	820,	49,	1),
(104324,	7,	821,	1,	1),
(104325,	7,	821,	2,	1),
(104326,	7,	821,	3,	1),
(104327,	7,	822,	1,	1),
(104328,	7,	822,	2,	1),
(104329,	7,	822,	3,	1),
(104330,	7,	823,	1,	1),
(104331,	7,	823,	2,	1),
(104332,	7,	823,	3,	1),
(104333,	7,	823,	1,	2),
(104334,	7,	823,	2,	2),
(104335,	7,	823,	3,	2),
(104336,	7,	824,	1,	1),
(104337,	7,	824,	2,	1),
(104338,	7,	824,	3,	1),
(104339,	7,	824,	1,	2),
(104340,	7,	824,	2,	2),
(104341,	7,	824,	3,	2),
(104342,	7,	825,	1,	1),
(104343,	7,	825,	2,	1),
(104344,	7,	825,	3,	1),
(104345,	7,	826,	1,	1),
(104346,	7,	826,	2,	1),
(104347,	7,	826,	3,	1),
(104348,	7,	827,	1,	1),
(104349,	7,	827,	2,	1),
(104350,	7,	827,	3,	1),
(104351,	7,	827,	1,	2),
(104352,	7,	827,	2,	2),
(104353,	7,	827,	3,	2),
(104354,	7,	828,	1,	1),
(104355,	7,	828,	2,	1),
(104356,	7,	828,	3,	1),
(104357,	7,	828,	1,	2),
(104358,	7,	828,	2,	2),
(104359,	7,	828,	3,	2),
(104360,	7,	829,	1,	1),
(104361,	7,	829,	2,	1),
(104362,	7,	829,	3,	1),
(104363,	7,	829,	4,	1),
(104364,	7,	829,	23,	1),
(104365,	7,	829,	1,	3),
(104366,	7,	829,	2,	3),
(104367,	7,	829,	3,	3),
(104368,	7,	829,	4,	3),
(104369,	7,	829,	23,	3),
(104370,	7,	829,	1,	2),
(104371,	7,	829,	2,	2),
(104372,	7,	829,	3,	2),
(104373,	7,	829,	4,	2),
(104374,	7,	829,	23,	2),
(104375,	7,	830,	1,	1),
(104376,	7,	830,	2,	1),
(104377,	7,	830,	3,	1),
(104378,	7,	830,	1,	2),
(104379,	7,	830,	2,	2),
(104380,	7,	830,	3,	2),
(104381,	7,	831,	1,	1),
(104382,	7,	831,	2,	1),
(104383,	7,	831,	3,	1),
(104384,	7,	832,	1,	1),
(104385,	7,	832,	2,	1),
(104386,	7,	832,	3,	1),
(104387,	7,	832,	1,	3),
(104388,	7,	832,	2,	3),
(104389,	7,	832,	3,	3),
(104390,	7,	833,	1,	1),
(104391,	7,	833,	2,	1),
(104392,	7,	833,	3,	1),
(104393,	7,	834,	1,	1),
(104394,	7,	834,	2,	1),
(104395,	7,	834,	3,	1),
(104396,	7,	834,	1,	2),
(104397,	7,	834,	2,	2),
(104398,	7,	834,	3,	2),
(104399,	7,	835,	1,	1),
(104400,	7,	835,	2,	1),
(104401,	7,	835,	3,	1),
(104402,	7,	835,	1,	2),
(104403,	7,	835,	2,	2),
(104404,	7,	835,	3,	2),
(104405,	7,	836,	1,	1),
(104406,	7,	836,	2,	1),
(104407,	7,	836,	3,	1),
(104408,	7,	837,	1,	1),
(104409,	7,	837,	2,	1),
(104410,	7,	837,	3,	1),
(104411,	7,	837,	1,	2),
(104412,	7,	837,	2,	2),
(104413,	7,	837,	3,	2),
(104414,	7,	838,	1,	1),
(104415,	7,	838,	2,	1),
(104416,	7,	838,	3,	1),
(104417,	7,	838,	1,	2),
(104418,	7,	838,	2,	2),
(104419,	7,	838,	3,	2),
(104420,	7,	839,	1,	1),
(104421,	7,	839,	2,	1),
(104422,	7,	839,	3,	1),
(104423,	7,	839,	1,	2),
(104424,	7,	839,	2,	2),
(104425,	7,	839,	3,	2),
(104426,	7,	840,	1,	1),
(104427,	7,	840,	2,	1),
(104428,	7,	840,	3,	1),
(104429,	7,	840,	1,	2),
(104430,	7,	840,	2,	2),
(104431,	7,	840,	3,	2),
(104432,	7,	841,	1,	1),
(104433,	7,	841,	2,	1),
(104434,	7,	841,	3,	1),
(104435,	7,	841,	1,	3),
(104436,	7,	841,	2,	3),
(104437,	7,	841,	3,	3),
(104438,	7,	842,	1,	1),
(104439,	7,	842,	2,	1),
(104440,	7,	842,	3,	1),
(104441,	7,	842,	1,	2),
(104442,	7,	842,	2,	2),
(104443,	7,	842,	3,	2),
(104444,	7,	843,	1,	1),
(104445,	7,	843,	2,	1),
(104446,	7,	843,	3,	1),
(104447,	7,	843,	1,	2),
(104448,	7,	843,	2,	2),
(104449,	7,	843,	3,	2),
(104450,	7,	844,	1,	1),
(104451,	7,	844,	2,	1),
(104452,	7,	844,	3,	1),
(104453,	7,	845,	1,	1),
(104454,	7,	845,	2,	1),
(104455,	7,	845,	3,	1),
(104456,	7,	845,	1,	2),
(104457,	7,	845,	2,	2),
(104458,	7,	845,	3,	2),
(104459,	7,	846,	1,	1),
(104460,	7,	846,	2,	1),
(104461,	7,	846,	3,	1),
(104462,	7,	847,	1,	1),
(104463,	7,	847,	2,	1),
(104464,	7,	847,	3,	1),
(104465,	7,	847,	1,	3),
(104466,	7,	847,	2,	3),
(104467,	7,	847,	3,	3),
(104468,	7,	848,	1,	1),
(104469,	7,	848,	2,	1),
(104470,	7,	848,	3,	1),
(104471,	7,	849,	1,	1),
(104472,	7,	849,	2,	1),
(104473,	7,	849,	3,	1),
(104474,	7,	849,	1,	3),
(104475,	7,	849,	2,	3),
(104476,	7,	849,	3,	3),
(104477,	7,	850,	1,	1),
(104478,	7,	850,	2,	1),
(104479,	7,	850,	3,	1),
(104480,	7,	850,	1,	3),
(104481,	7,	850,	2,	3),
(104482,	7,	850,	3,	3),
(104483,	7,	851,	1,	1),
(104484,	7,	851,	2,	1),
(104485,	7,	851,	3,	1),
(104486,	7,	851,	1,	2),
(104487,	7,	851,	2,	2),
(104488,	7,	851,	3,	2),
(104489,	7,	852,	1,	1),
(104490,	7,	852,	2,	1),
(104491,	7,	852,	3,	1),
(104492,	7,	852,	1,	2),
(104493,	7,	852,	2,	2),
(104494,	7,	852,	3,	2),
(104495,	7,	853,	1,	1),
(104496,	7,	853,	2,	1),
(104497,	7,	853,	3,	1),
(104498,	7,	853,	1,	2),
(104499,	7,	853,	2,	2),
(104500,	7,	853,	3,	2),
(104501,	7,	854,	1,	1),
(104502,	7,	854,	2,	1),
(104503,	7,	854,	3,	1),
(104504,	7,	854,	1,	3),
(104505,	7,	854,	2,	3),
(104506,	7,	854,	3,	3),
(104507,	7,	855,	1,	1),
(104508,	7,	855,	2,	1),
(104509,	7,	855,	3,	1),
(104510,	7,	855,	1,	3),
(104511,	7,	855,	2,	3),
(104512,	7,	855,	3,	3),
(104513,	7,	856,	1,	1),
(104514,	7,	856,	2,	1),
(104515,	7,	856,	3,	1),
(104516,	7,	856,	1,	3),
(104517,	7,	856,	2,	3),
(104518,	7,	856,	3,	3),
(104519,	7,	857,	1,	1),
(104520,	7,	857,	2,	1),
(104521,	7,	857,	3,	1),
(104522,	7,	857,	1,	3),
(104523,	7,	857,	2,	3),
(104524,	7,	857,	3,	3),
(104525,	7,	858,	1,	1),
(104526,	7,	858,	2,	1),
(104527,	7,	858,	3,	1),
(104528,	7,	858,	1,	3),
(104529,	7,	858,	2,	3),
(104530,	7,	858,	3,	3),
(104531,	7,	859,	1,	1),
(104532,	7,	859,	2,	1),
(104533,	7,	859,	3,	1),
(104534,	7,	859,	1,	2),
(104535,	7,	859,	2,	2),
(104536,	7,	859,	3,	2),
(104537,	7,	860,	1,	1),
(104538,	7,	860,	2,	1),
(104539,	7,	860,	3,	1),
(104540,	7,	860,	1,	3),
(104541,	7,	860,	2,	3),
(104542,	7,	860,	3,	3),
(104543,	7,	861,	1,	1),
(104544,	7,	861,	2,	1),
(104545,	7,	861,	3,	1),
(104546,	7,	861,	1,	2),
(104547,	7,	861,	2,	2),
(104548,	7,	861,	3,	2),
(104549,	7,	862,	1,	1),
(104550,	7,	862,	2,	1),
(104551,	7,	862,	3,	1),
(104552,	7,	862,	1,	2),
(104553,	7,	862,	2,	2),
(104554,	7,	862,	3,	2),
(104555,	7,	863,	1,	1),
(104556,	7,	863,	2,	1),
(104557,	7,	863,	3,	1),
(104558,	7,	863,	1,	2),
(104559,	7,	863,	2,	2),
(104560,	7,	863,	3,	2),
(104561,	7,	864,	1,	1),
(104562,	7,	864,	2,	1),
(104563,	7,	864,	3,	1),
(104564,	7,	864,	1,	2),
(104565,	7,	864,	2,	2),
(104566,	7,	864,	3,	2),
(104567,	7,	865,	1,	1),
(104568,	7,	865,	2,	1),
(104569,	7,	865,	3,	1),
(104570,	7,	865,	1,	2),
(104571,	7,	865,	2,	2),
(104572,	7,	865,	3,	2),
(104573,	7,	866,	1,	1),
(104574,	7,	866,	2,	1),
(104575,	7,	866,	3,	1),
(104576,	7,	866,	1,	2),
(104577,	7,	866,	2,	2),
(104578,	7,	866,	3,	2),
(104579,	7,	867,	1,	1),
(104580,	7,	867,	2,	1),
(104581,	7,	867,	3,	1),
(104582,	7,	867,	1,	2),
(104583,	7,	867,	2,	2),
(104584,	7,	867,	3,	2),
(104585,	7,	868,	1,	1),
(104586,	7,	868,	2,	1),
(104587,	7,	868,	3,	1),
(104588,	7,	868,	1,	3),
(104589,	7,	868,	2,	3),
(104590,	7,	868,	3,	3),
(104591,	7,	869,	1,	1),
(104592,	7,	869,	2,	1),
(104593,	7,	869,	3,	1),
(104594,	7,	869,	1,	2),
(104595,	7,	869,	2,	2),
(104596,	7,	869,	3,	2),
(104597,	7,	870,	1,	1),
(104598,	7,	870,	2,	1),
(104599,	7,	870,	3,	1),
(104600,	7,	870,	1,	2),
(104601,	7,	870,	2,	2),
(104602,	7,	870,	3,	2),
(104603,	7,	871,	1,	1),
(104604,	7,	871,	2,	1),
(104605,	7,	871,	3,	1),
(104606,	7,	871,	1,	2),
(104607,	7,	871,	2,	2),
(104608,	7,	871,	3,	2),
(104609,	7,	872,	1,	1),
(104610,	7,	872,	2,	1),
(104611,	7,	872,	3,	1),
(104612,	7,	872,	1,	3),
(104613,	7,	872,	2,	3),
(104614,	7,	872,	3,	3),
(104615,	7,	873,	1,	1),
(104616,	7,	873,	2,	1),
(104617,	7,	873,	3,	1),
(104618,	7,	873,	1,	2),
(104619,	7,	873,	2,	2),
(104620,	7,	873,	3,	2),
(104621,	7,	874,	1,	1),
(104622,	7,	874,	2,	1),
(104623,	7,	874,	3,	1),
(104624,	7,	874,	1,	2),
(104625,	7,	874,	2,	2),
(104626,	7,	874,	3,	2),
(104627,	7,	875,	1,	1),
(104628,	7,	875,	2,	1),
(104629,	7,	875,	3,	1),
(104630,	7,	875,	1,	2),
(104631,	7,	875,	2,	2),
(104632,	7,	875,	3,	2),
(104633,	7,	876,	1,	1),
(104634,	7,	876,	2,	1),
(104635,	7,	876,	3,	1),
(104636,	7,	876,	1,	2),
(104637,	7,	876,	2,	2),
(104638,	7,	876,	3,	2),
(104639,	7,	877,	1,	1),
(104640,	7,	877,	2,	1),
(104641,	7,	877,	3,	1),
(104642,	7,	877,	1,	3),
(104643,	7,	877,	2,	3),
(104644,	7,	877,	3,	3),
(104645,	7,	878,	1,	1),
(104646,	7,	878,	2,	1),
(104647,	7,	878,	3,	1),
(104648,	7,	878,	1,	2),
(104649,	7,	878,	2,	2),
(104650,	7,	878,	3,	2),
(104651,	7,	879,	1,	1),
(104652,	7,	879,	2,	1),
(104653,	7,	879,	3,	1),
(104654,	7,	879,	1,	2),
(104655,	7,	879,	2,	2),
(104656,	7,	879,	3,	2),
(104657,	7,	880,	1,	1),
(104658,	7,	880,	2,	1),
(104659,	7,	880,	3,	1),
(104660,	7,	880,	1,	2),
(104661,	7,	880,	2,	2),
(104662,	7,	880,	3,	2),
(104663,	7,	881,	1,	1),
(104664,	7,	881,	2,	1),
(104665,	7,	881,	3,	1),
(104666,	7,	881,	1,	2),
(104667,	7,	881,	2,	2),
(104668,	7,	881,	3,	2),
(104669,	7,	882,	1,	1),
(104670,	7,	882,	2,	1),
(104671,	7,	882,	3,	1),
(104672,	7,	882,	1,	3),
(104673,	7,	882,	2,	3),
(104674,	7,	882,	3,	3),
(104675,	7,	883,	1,	1),
(104676,	7,	883,	2,	1),
(104677,	7,	883,	3,	1),
(104678,	7,	883,	1,	2),
(104679,	7,	883,	2,	2),
(104680,	7,	883,	3,	2),
(104681,	7,	884,	1,	1),
(104682,	7,	884,	2,	1),
(104683,	7,	884,	3,	1),
(104684,	7,	884,	1,	2),
(104685,	7,	884,	2,	2),
(104686,	7,	884,	3,	2),
(104687,	7,	885,	1,	1),
(104688,	7,	885,	2,	1),
(104689,	7,	885,	3,	1),
(104690,	7,	885,	1,	3),
(104691,	7,	885,	2,	3),
(104692,	7,	885,	3,	3),
(104693,	7,	886,	1,	1),
(104694,	7,	886,	2,	1),
(104695,	7,	886,	3,	1),
(104696,	7,	886,	1,	3),
(104697,	7,	886,	2,	3),
(104698,	7,	886,	3,	3),
(104699,	7,	887,	1,	1),
(104700,	7,	887,	2,	1),
(104701,	7,	887,	3,	1),
(104702,	7,	887,	1,	3),
(104703,	7,	887,	2,	3),
(104704,	7,	887,	3,	3),
(104705,	7,	889,	1,	1),
(104706,	7,	889,	2,	1),
(104707,	7,	889,	3,	1),
(104708,	7,	889,	1,	3),
(104709,	7,	889,	2,	3),
(104710,	7,	889,	3,	3),
(104711,	7,	890,	1,	1),
(104712,	7,	890,	2,	1),
(104713,	7,	890,	3,	1),
(104714,	7,	890,	1,	3),
(104715,	7,	890,	2,	3),
(104716,	7,	890,	3,	3),
(104717,	7,	891,	1,	1),
(104718,	7,	891,	2,	1),
(104719,	7,	891,	3,	1),
(104720,	7,	891,	1,	2),
(104721,	7,	891,	2,	2),
(104722,	7,	891,	3,	2),
(104723,	7,	892,	1,	1),
(104724,	7,	892,	2,	1),
(104725,	7,	892,	3,	1),
(104726,	7,	892,	1,	2),
(104727,	7,	892,	2,	2),
(104728,	7,	892,	3,	2),
(104729,	7,	893,	1,	1),
(104730,	7,	893,	2,	1),
(104731,	7,	893,	3,	1),
(104732,	7,	894,	1,	1),
(104733,	7,	894,	2,	1),
(104734,	7,	894,	3,	1),
(104735,	7,	895,	1,	1),
(104736,	7,	895,	2,	1),
(104737,	7,	895,	3,	1),
(104738,	7,	896,	1,	1),
(104739,	7,	896,	2,	1),
(104740,	7,	896,	3,	1),
(104741,	7,	896,	1,	2),
(104742,	7,	896,	2,	2),
(104743,	7,	896,	3,	2),
(104744,	7,	897,	1,	1),
(104745,	7,	897,	2,	1),
(104746,	7,	897,	3,	1),
(104747,	7,	898,	1,	1),
(104748,	7,	898,	2,	1),
(104749,	7,	898,	3,	1),
(104750,	7,	898,	1,	2),
(104751,	7,	898,	2,	2),
(104752,	7,	898,	3,	2),
(104753,	7,	899,	1,	1),
(104754,	7,	899,	2,	1),
(104755,	7,	899,	3,	1),
(104756,	7,	899,	1,	2),
(104757,	7,	899,	2,	2),
(104758,	7,	899,	3,	2),
(104759,	7,	900,	1,	1),
(104760,	7,	900,	2,	1),
(104761,	7,	900,	3,	1),
(104762,	7,	900,	1,	2),
(104763,	7,	900,	2,	2),
(104764,	7,	900,	3,	2),
(104765,	7,	901,	1,	1),
(104766,	7,	901,	2,	1),
(104767,	7,	901,	3,	1),
(104768,	7,	901,	1,	2),
(104769,	7,	901,	2,	2),
(104770,	7,	901,	3,	2),
(104771,	7,	902,	1,	1),
(104772,	7,	902,	2,	1),
(104773,	7,	902,	3,	1),
(104774,	7,	902,	1,	3),
(104775,	7,	902,	2,	3),
(104776,	7,	902,	3,	3),
(104777,	7,	903,	1,	1),
(104778,	7,	903,	2,	1),
(104779,	7,	903,	3,	1),
(104780,	7,	903,	1,	2),
(104781,	7,	903,	2,	2),
(104782,	7,	903,	3,	2),
(104783,	7,	904,	1,	1),
(104784,	7,	904,	2,	1),
(104785,	7,	904,	3,	1),
(104786,	7,	904,	1,	2),
(104787,	7,	904,	2,	2),
(104788,	7,	904,	3,	2),
(104789,	7,	905,	1,	1),
(104790,	7,	905,	2,	1),
(104791,	7,	905,	3,	1),
(104792,	7,	905,	1,	3),
(104793,	7,	905,	2,	3),
(104794,	7,	905,	3,	3),
(104795,	7,	906,	1,	1),
(104796,	7,	906,	2,	1),
(104797,	7,	906,	3,	1),
(104798,	7,	906,	1,	2),
(104799,	7,	906,	2,	2),
(104800,	7,	906,	3,	2),
(104801,	7,	907,	1,	1),
(104802,	7,	907,	2,	1),
(104803,	7,	907,	3,	1),
(104804,	7,	907,	1,	2),
(104805,	7,	907,	2,	2),
(104806,	7,	907,	3,	2),
(104807,	7,	908,	1,	1),
(104808,	7,	908,	2,	1),
(104809,	7,	908,	3,	1),
(104810,	7,	908,	1,	2),
(104811,	7,	908,	2,	2),
(104812,	7,	908,	3,	2),
(104813,	7,	909,	1,	1),
(104814,	7,	909,	2,	1),
(104815,	7,	909,	3,	1),
(104816,	7,	909,	1,	2),
(104817,	7,	909,	2,	2),
(104818,	7,	909,	3,	2),
(104819,	7,	910,	1,	1),
(104820,	7,	910,	2,	1),
(104821,	7,	910,	3,	1),
(104822,	7,	910,	1,	3),
(104823,	7,	910,	2,	3),
(104824,	7,	910,	3,	3),
(104825,	7,	911,	1,	1),
(104826,	7,	911,	2,	1),
(104827,	7,	911,	3,	1),
(104828,	7,	911,	1,	2),
(104829,	7,	911,	2,	2),
(104830,	7,	911,	3,	2),
(104831,	7,	912,	1,	1),
(104832,	7,	912,	2,	1),
(104833,	7,	912,	3,	1),
(104834,	7,	912,	1,	2),
(104835,	7,	912,	2,	2),
(104836,	7,	912,	3,	2),
(104837,	7,	913,	1,	1),
(104838,	7,	913,	2,	1),
(104839,	7,	913,	3,	1),
(104840,	7,	913,	1,	2),
(104841,	7,	913,	2,	2),
(104842,	7,	913,	3,	2),
(104843,	7,	914,	1,	1),
(104844,	7,	914,	2,	1),
(104845,	7,	914,	3,	1),
(104846,	7,	914,	1,	2),
(104847,	7,	914,	2,	2),
(104848,	7,	914,	3,	2),
(104849,	7,	915,	1,	1),
(104850,	7,	915,	2,	1),
(104851,	7,	915,	3,	1),
(104852,	7,	915,	1,	3),
(104853,	7,	915,	2,	3),
(104854,	7,	915,	3,	3),
(104855,	7,	916,	1,	1),
(104856,	7,	916,	2,	1),
(104857,	7,	916,	3,	1),
(104858,	7,	916,	1,	2),
(104859,	7,	916,	2,	2),
(104860,	7,	916,	3,	2),
(104861,	7,	917,	1,	1),
(104862,	7,	917,	2,	1),
(104863,	7,	917,	3,	1),
(104864,	7,	917,	1,	2),
(104865,	7,	917,	2,	2),
(104866,	7,	917,	3,	2),
(104867,	7,	918,	1,	1),
(104868,	7,	918,	2,	1),
(104869,	7,	918,	3,	1),
(104870,	7,	918,	1,	2),
(104871,	7,	918,	2,	2),
(104872,	7,	918,	3,	2),
(104873,	7,	919,	1,	1),
(104874,	7,	919,	2,	1),
(104875,	7,	919,	3,	1),
(104876,	7,	919,	1,	2),
(104877,	7,	919,	2,	2),
(104878,	7,	919,	3,	2),
(104879,	7,	920,	1,	1),
(104880,	7,	920,	2,	1),
(104881,	7,	920,	3,	1),
(104882,	7,	920,	1,	2),
(104883,	7,	920,	2,	2),
(104884,	7,	920,	3,	2),
(104885,	7,	921,	1,	1),
(104886,	7,	921,	2,	1),
(104887,	7,	921,	3,	1),
(104888,	7,	921,	1,	3),
(104889,	7,	921,	2,	3),
(104890,	7,	921,	3,	3),
(104891,	7,	922,	1,	1),
(104892,	7,	922,	2,	1),
(104893,	7,	922,	3,	1),
(104894,	7,	922,	1,	2),
(104895,	7,	922,	2,	2),
(104896,	7,	922,	3,	2),
(104897,	7,	923,	1,	1),
(104898,	7,	923,	2,	1),
(104899,	7,	923,	3,	1),
(104900,	7,	923,	1,	2),
(104901,	7,	923,	2,	2),
(104902,	7,	923,	3,	2),
(104903,	7,	924,	1,	1),
(104904,	7,	924,	2,	1),
(104905,	7,	924,	3,	1),
(104906,	7,	924,	1,	2),
(104907,	7,	924,	2,	2),
(104908,	7,	924,	3,	2),
(104909,	7,	925,	1,	1),
(104910,	7,	925,	2,	1),
(104911,	7,	925,	3,	1),
(104912,	7,	925,	1,	2),
(104913,	7,	925,	2,	2),
(104914,	7,	925,	3,	2),
(104915,	7,	926,	1,	1),
(104916,	7,	926,	2,	1),
(104917,	7,	926,	3,	1),
(104918,	7,	926,	1,	3),
(104919,	7,	926,	2,	3),
(104920,	7,	926,	3,	3),
(104921,	7,	927,	1,	1),
(104922,	7,	927,	2,	1),
(104923,	7,	927,	3,	1),
(104924,	7,	927,	1,	2),
(104925,	7,	927,	2,	2),
(104926,	7,	927,	3,	2),
(104927,	7,	928,	1,	1),
(104928,	7,	928,	2,	1),
(104929,	7,	928,	3,	1),
(104930,	7,	928,	1,	2),
(104931,	7,	928,	2,	2),
(104932,	7,	928,	3,	2),
(104933,	7,	929,	1,	1),
(104934,	7,	929,	2,	1),
(104935,	7,	929,	3,	1),
(104936,	7,	929,	1,	2),
(104937,	7,	929,	2,	2),
(104938,	7,	929,	3,	2),
(104939,	7,	930,	1,	1),
(104940,	7,	930,	2,	1),
(104941,	7,	930,	3,	1),
(104942,	7,	930,	1,	2),
(104943,	7,	930,	2,	2),
(104944,	7,	930,	3,	2),
(104945,	7,	931,	1,	1),
(104946,	7,	931,	2,	1),
(104947,	7,	931,	3,	1),
(104948,	7,	931,	1,	3),
(104949,	7,	931,	2,	3),
(104950,	7,	931,	3,	3),
(104951,	7,	932,	1,	1),
(104952,	7,	932,	2,	1),
(104953,	7,	932,	3,	1),
(104954,	7,	932,	1,	2),
(104955,	7,	932,	2,	2),
(104956,	7,	932,	3,	2),
(104957,	7,	933,	1,	1),
(104958,	7,	933,	2,	1),
(104959,	7,	933,	3,	1),
(104960,	7,	933,	1,	2),
(104961,	7,	933,	2,	2),
(104962,	7,	933,	3,	2),
(104963,	7,	934,	1,	1),
(104964,	7,	934,	2,	1),
(104965,	7,	934,	3,	1),
(104966,	7,	934,	1,	2),
(104967,	7,	934,	2,	2),
(104968,	7,	934,	3,	2),
(104969,	7,	935,	1,	1),
(104970,	7,	935,	2,	1),
(104971,	7,	935,	3,	1),
(104972,	7,	935,	1,	2),
(104973,	7,	935,	2,	2),
(104974,	7,	935,	3,	2),
(104975,	7,	936,	1,	1),
(104976,	7,	936,	2,	1),
(104977,	7,	936,	3,	1),
(104978,	7,	936,	1,	3),
(104979,	7,	936,	2,	3),
(104980,	7,	936,	3,	3),
(104981,	7,	937,	1,	1),
(104982,	7,	937,	2,	1),
(104983,	7,	937,	3,	1),
(104984,	7,	937,	1,	2),
(104985,	7,	937,	2,	2),
(104986,	7,	937,	3,	2),
(104987,	7,	938,	1,	1),
(104988,	7,	938,	2,	1),
(104989,	7,	938,	3,	1),
(104990,	7,	938,	1,	2),
(104991,	7,	938,	2,	2),
(104992,	7,	938,	3,	2),
(104993,	7,	939,	1,	1),
(104994,	7,	939,	2,	1),
(104995,	7,	939,	3,	1),
(104996,	7,	940,	1,	1),
(104997,	7,	940,	2,	1),
(104998,	7,	940,	3,	1),
(104999,	7,	941,	1,	1),
(105000,	7,	941,	2,	1),
(105001,	7,	941,	3,	1),
(105002,	7,	942,	1,	1),
(105003,	7,	942,	2,	1),
(105004,	7,	942,	3,	1),
(105005,	7,	943,	1,	1),
(105006,	7,	943,	2,	1),
(105007,	7,	943,	3,	1),
(105008,	7,	943,	1,	2),
(105009,	7,	943,	2,	2),
(105010,	7,	943,	3,	2),
(105011,	7,	944,	1,	1),
(105012,	7,	944,	2,	1),
(105013,	7,	944,	3,	1),
(105014,	7,	944,	1,	2),
(105015,	7,	944,	2,	2),
(105016,	7,	944,	3,	2),
(105017,	7,	945,	1,	1),
(105018,	7,	945,	2,	1),
(105019,	7,	945,	3,	1),
(105020,	7,	945,	1,	2),
(105021,	7,	945,	2,	2),
(105022,	7,	945,	3,	2),
(105023,	7,	946,	1,	1),
(105024,	7,	946,	2,	1),
(105025,	7,	946,	3,	1),
(105026,	7,	946,	1,	3),
(105027,	7,	946,	2,	3),
(105028,	7,	946,	3,	3),
(105029,	7,	947,	1,	1),
(105030,	7,	947,	2,	1),
(105031,	7,	947,	3,	1),
(105032,	7,	947,	1,	3),
(105033,	7,	947,	2,	3),
(105034,	7,	947,	3,	3),
(105035,	7,	948,	1,	1),
(105036,	7,	948,	2,	1),
(105037,	7,	948,	3,	1),
(105038,	7,	949,	1,	1),
(105039,	7,	949,	2,	1),
(105040,	7,	949,	3,	1),
(105041,	7,	949,	23,	1),
(105042,	7,	950,	1,	1),
(105043,	7,	950,	2,	1),
(105044,	7,	950,	3,	1),
(105045,	7,	950,	1,	3),
(105046,	7,	950,	2,	3),
(105047,	7,	950,	3,	3),
(105048,	7,	951,	1,	1),
(105049,	7,	951,	2,	1),
(105050,	7,	951,	3,	1),
(105051,	7,	951,	1,	3),
(105052,	7,	951,	2,	3),
(105053,	7,	951,	3,	3),
(105054,	7,	952,	1,	1),
(105055,	7,	952,	2,	1),
(105056,	7,	952,	3,	1),
(105057,	7,	952,	6,	1),
(105058,	7,	953,	1,	1),
(105059,	7,	953,	2,	1),
(105060,	7,	953,	3,	1),
(105061,	7,	954,	1,	1),
(105062,	7,	954,	2,	1),
(105063,	7,	954,	3,	1),
(105064,	7,	954,	6,	1),
(105065,	7,	954,	23,	1),
(105066,	7,	955,	1,	1),
(105067,	7,	955,	2,	1),
(105068,	7,	955,	3,	1),
(105069,	7,	956,	1,	1),
(105070,	7,	956,	2,	1),
(105071,	7,	956,	3,	1),
(105072,	7,	956,	1,	2),
(105073,	7,	956,	2,	2),
(105074,	7,	956,	3,	2),
(105075,	7,	957,	1,	1),
(105076,	7,	957,	2,	1),
(105077,	7,	957,	3,	1),
(105078,	7,	957,	6,	1),
(105079,	7,	957,	23,	1),
(105080,	7,	957,	1,	2),
(105081,	7,	957,	2,	2),
(105082,	7,	957,	3,	2),
(105083,	7,	957,	6,	2),
(105084,	7,	957,	23,	2),
(105085,	7,	958,	1,	1),
(105086,	7,	958,	2,	1),
(105087,	7,	958,	3,	1),
(105088,	7,	958,	1,	2),
(105089,	7,	958,	2,	2),
(105090,	7,	958,	3,	2),
(105091,	7,	959,	1,	1),
(105092,	7,	959,	2,	1),
(105093,	7,	959,	3,	1),
(105094,	7,	959,	1,	2),
(105095,	7,	959,	2,	2),
(105096,	7,	959,	3,	2),
(105097,	7,	960,	1,	1),
(105098,	7,	960,	2,	1),
(105099,	7,	960,	3,	1),
(105100,	7,	960,	1,	2),
(105101,	7,	960,	2,	2),
(105102,	7,	960,	3,	2),
(105103,	7,	961,	1,	1),
(105104,	7,	961,	2,	1),
(105105,	7,	961,	3,	1),
(105106,	7,	961,	1,	2),
(105107,	7,	961,	2,	2),
(105108,	7,	961,	3,	2),
(105109,	7,	962,	1,	1),
(105110,	7,	962,	2,	1),
(105111,	7,	962,	3,	1),
(105112,	7,	963,	1,	1),
(105113,	7,	963,	2,	1),
(105114,	7,	963,	3,	1),
(105115,	7,	964,	1,	1),
(105116,	7,	964,	2,	1),
(105117,	7,	964,	3,	1),
(105118,	7,	964,	1,	2),
(105119,	7,	964,	2,	2),
(105120,	7,	964,	3,	2),
(105121,	7,	965,	1,	1),
(105122,	7,	965,	2,	1),
(105123,	7,	965,	3,	1),
(105124,	7,	965,	1,	2),
(105125,	7,	965,	2,	2),
(105126,	7,	965,	3,	2),
(105127,	7,	966,	1,	1),
(105128,	7,	966,	2,	1),
(105129,	7,	966,	3,	1),
(105130,	7,	967,	1,	1),
(105131,	7,	967,	2,	1),
(105132,	7,	967,	3,	1),
(105133,	7,	968,	1,	1),
(105134,	7,	968,	2,	1),
(105135,	7,	968,	3,	1),
(105136,	7,	969,	1,	1),
(105137,	7,	969,	2,	1),
(105138,	7,	969,	3,	1),
(105139,	7,	969,	23,	1),
(105140,	7,	969,	1,	3),
(105141,	7,	969,	2,	3),
(105142,	7,	969,	3,	3),
(105143,	7,	969,	23,	3),
(105144,	7,	970,	1,	1),
(105145,	7,	970,	3,	1),
(105146,	7,	970,	23,	1),
(105147,	7,	971,	1,	1),
(105148,	7,	971,	2,	1),
(105149,	7,	971,	3,	1),
(105150,	7,	972,	1,	1),
(105151,	7,	972,	2,	1),
(105152,	7,	972,	3,	1),
(105153,	7,	972,	1,	3),
(105154,	7,	972,	2,	3),
(105155,	7,	972,	3,	3),
(105156,	7,	973,	1,	1),
(105157,	7,	973,	2,	1),
(105158,	7,	973,	3,	1),
(105159,	7,	973,	6,	1),
(105160,	7,	973,	1,	3),
(105161,	7,	973,	2,	3),
(105162,	7,	973,	3,	3),
(105163,	7,	973,	6,	3),
(105164,	7,	974,	1,	1),
(105165,	7,	974,	2,	1),
(105166,	7,	974,	3,	1),
(105167,	7,	974,	6,	1),
(105168,	7,	974,	1,	3),
(105169,	7,	974,	2,	3),
(105170,	7,	974,	3,	3),
(105171,	7,	974,	6,	3),
(105172,	7,	975,	1,	1),
(105173,	7,	975,	2,	1),
(105174,	7,	975,	3,	1),
(105175,	7,	976,	1,	1),
(105176,	7,	976,	2,	1),
(105177,	7,	976,	3,	1),
(105178,	7,	977,	1,	1),
(105179,	7,	978,	1,	1),
(105180,	7,	978,	2,	1),
(105181,	7,	978,	3,	1),
(105182,	7,	978,	6,	1),
(105183,	7,	978,	1,	3),
(105184,	7,	978,	2,	3),
(105185,	7,	978,	3,	3),
(105186,	7,	978,	6,	3),
(105187,	7,	979,	1,	1),
(105188,	7,	979,	2,	1),
(105189,	7,	979,	3,	1),
(105190,	7,	979,	6,	1),
(105191,	7,	979,	1,	3),
(105192,	7,	979,	2,	3),
(105193,	7,	979,	3,	3),
(105194,	7,	979,	6,	3),
(105195,	7,	980,	1,	1),
(105196,	7,	980,	2,	1),
(105197,	7,	980,	3,	1),
(105198,	7,	981,	1,	1),
(105199,	7,	981,	2,	1),
(105200,	7,	981,	3,	1),
(105201,	7,	982,	1,	1),
(105202,	7,	982,	2,	1),
(105203,	7,	982,	3,	1),
(105204,	7,	982,	1,	3),
(105205,	7,	982,	2,	3),
(105206,	7,	982,	3,	3),
(105207,	7,	983,	1,	1),
(105208,	7,	983,	2,	1),
(105209,	7,	983,	3,	1),
(105210,	7,	983,	6,	1),
(105211,	7,	983,	1,	3),
(105212,	7,	983,	2,	3),
(105213,	7,	983,	3,	3),
(105214,	7,	983,	6,	3),
(105215,	7,	984,	1,	1),
(105216,	7,	984,	2,	1),
(105217,	7,	984,	3,	1),
(105218,	7,	984,	6,	1),
(105219,	7,	984,	1,	3),
(105220,	7,	984,	2,	3),
(105221,	7,	984,	3,	3),
(105222,	7,	984,	6,	3),
(105223,	7,	985,	1,	1),
(105224,	7,	985,	2,	1),
(105225,	7,	985,	3,	1),
(105226,	7,	986,	1,	1),
(105227,	7,	986,	2,	1),
(105228,	7,	986,	3,	1),
(105229,	7,	987,	1,	1),
(105230,	7,	987,	2,	1),
(105231,	7,	987,	3,	1),
(105232,	7,	988,	1,	1),
(105233,	7,	988,	2,	1),
(105234,	7,	988,	3,	1),
(105235,	7,	989,	1,	1),
(105236,	7,	989,	2,	1),
(105237,	7,	989,	3,	1),
(105238,	7,	989,	6,	1),
(105239,	7,	989,	23,	1),
(105240,	7,	990,	1,	1),
(105241,	7,	990,	2,	1),
(105242,	7,	990,	3,	1),
(105243,	7,	990,	1,	2),
(105244,	7,	990,	2,	2),
(105245,	7,	990,	3,	2),
(105246,	7,	991,	1,	1),
(105247,	7,	991,	2,	1),
(105248,	7,	991,	3,	1),
(105249,	7,	991,	1,	2),
(105250,	7,	991,	2,	2),
(105251,	7,	991,	3,	2),
(105252,	7,	992,	1,	1),
(105253,	7,	992,	2,	1),
(105254,	7,	992,	3,	1),
(105255,	7,	993,	1,	1),
(105256,	7,	993,	2,	1),
(105257,	7,	993,	3,	1),
(105258,	7,	993,	6,	1),
(105259,	7,	994,	1,	1),
(105260,	7,	994,	2,	1),
(105261,	7,	994,	3,	1),
(105262,	7,	995,	1,	1),
(105263,	7,	995,	2,	1),
(105264,	7,	995,	3,	1),
(105265,	7,	996,	1,	1),
(105266,	7,	996,	2,	1),
(105267,	7,	996,	3,	1),
(105268,	7,	996,	1,	2),
(105269,	7,	996,	2,	2),
(105270,	7,	996,	3,	2),
(105271,	7,	997,	1,	1),
(105272,	7,	997,	2,	1),
(105273,	7,	997,	3,	1),
(105274,	7,	998,	1,	1),
(105275,	7,	998,	2,	1),
(105276,	7,	998,	3,	1),
(105277,	7,	998,	1,	2),
(105278,	7,	998,	2,	2),
(105279,	7,	998,	3,	2),
(105280,	7,	999,	1,	1),
(105281,	7,	999,	2,	1),
(105282,	7,	999,	3,	1),
(105283,	7,	999,	1,	2),
(105284,	7,	999,	2,	2),
(105285,	7,	999,	3,	2),
(105286,	7,	1000,	1,	1),
(105287,	7,	1000,	2,	1),
(105288,	7,	1000,	3,	1),
(105289,	7,	1001,	1,	1),
(105290,	7,	1001,	2,	1),
(105291,	7,	1001,	3,	1),
(105292,	7,	1001,	1,	2),
(105293,	7,	1001,	2,	2),
(105294,	7,	1001,	3,	2),
(105295,	7,	1002,	1,	1),
(105296,	7,	1002,	2,	1),
(105297,	7,	1002,	3,	1),
(105298,	7,	1003,	1,	1),
(105299,	7,	1003,	2,	1),
(105300,	7,	1003,	3,	1),
(105301,	7,	1004,	1,	1),
(105302,	7,	1004,	2,	1),
(105303,	7,	1004,	3,	1),
(105304,	7,	1004,	1,	2),
(105305,	7,	1004,	2,	2),
(105306,	7,	1004,	3,	2),
(105307,	7,	1005,	1,	1),
(105308,	7,	1005,	2,	1),
(105309,	7,	1005,	3,	1),
(105310,	7,	1006,	1,	1),
(105311,	7,	1006,	2,	1),
(105312,	7,	1006,	3,	1),
(105313,	7,	1007,	1,	1),
(105314,	7,	1007,	2,	1),
(105315,	7,	1007,	3,	1),
(105316,	7,	1008,	1,	1),
(105317,	7,	1008,	2,	1),
(105318,	7,	1008,	3,	1),
(105319,	7,	1009,	1,	1),
(105320,	7,	1009,	2,	1),
(105321,	7,	1009,	3,	1),
(105322,	7,	1010,	1,	1),
(105323,	7,	1010,	2,	1),
(105324,	7,	1010,	3,	1),
(105325,	7,	1011,	1,	1),
(105326,	7,	1011,	2,	1),
(105327,	7,	1011,	3,	1),
(105328,	7,	1012,	1,	1),
(105329,	7,	1012,	2,	1),
(105330,	7,	1012,	3,	1),
(105331,	7,	1012,	1,	2),
(105332,	7,	1012,	2,	2),
(105333,	7,	1012,	3,	2),
(105334,	7,	1013,	1,	1),
(105335,	7,	1013,	2,	1),
(105336,	7,	1013,	3,	1),
(105337,	7,	1014,	1,	1),
(105338,	7,	1014,	2,	1),
(105339,	7,	1014,	3,	1),
(105340,	7,	1014,	6,	1),
(105341,	7,	1015,	1,	1),
(105342,	7,	1015,	2,	1),
(105343,	7,	1015,	3,	1),
(105344,	7,	1015,	1,	2),
(105345,	7,	1015,	2,	2),
(105346,	7,	1015,	3,	2),
(105347,	7,	1016,	1,	1),
(105348,	7,	1016,	2,	1),
(105349,	7,	1016,	3,	1),
(105350,	7,	1017,	1,	1),
(105351,	7,	1017,	2,	1),
(105352,	7,	1017,	3,	1),
(105353,	7,	1017,	1,	2),
(105354,	7,	1017,	2,	2),
(105355,	7,	1017,	3,	2),
(105356,	7,	1018,	1,	1),
(105357,	7,	1018,	2,	1),
(105358,	7,	1018,	3,	1),
(105359,	7,	1019,	1,	1),
(105360,	7,	1019,	2,	1),
(105361,	7,	1019,	3,	1),
(105362,	7,	1020,	1,	1),
(105363,	7,	1020,	2,	1),
(105364,	7,	1020,	3,	1),
(105365,	7,	1021,	1,	1),
(105366,	7,	1021,	2,	1),
(105367,	7,	1021,	3,	1),
(105368,	7,	1022,	1,	1),
(105369,	7,	1022,	2,	1),
(105370,	7,	1022,	3,	1),
(105371,	7,	1023,	1,	1),
(105372,	7,	1023,	2,	1),
(105373,	7,	1023,	3,	1),
(105374,	7,	1024,	1,	1),
(105375,	7,	1024,	2,	1),
(105376,	7,	1024,	3,	1),
(105377,	7,	1025,	1,	1),
(105378,	7,	1025,	2,	1),
(105379,	7,	1025,	3,	1),
(105380,	7,	1026,	1,	1),
(105381,	7,	1026,	2,	1),
(105382,	7,	1026,	3,	1),
(105383,	7,	1027,	1,	1),
(105384,	7,	1027,	2,	1),
(105385,	7,	1027,	3,	1),
(105386,	7,	1028,	1,	1),
(105387,	7,	1028,	2,	1),
(105388,	7,	1028,	3,	1),
(105389,	7,	1029,	1,	1),
(105390,	7,	1029,	2,	1),
(105391,	7,	1029,	3,	1),
(105392,	7,	1030,	1,	1),
(105393,	7,	1030,	2,	1),
(105394,	7,	1030,	3,	1),
(105395,	7,	1030,	1,	2),
(105396,	7,	1030,	2,	2),
(105397,	7,	1030,	3,	2),
(105398,	7,	1031,	1,	1),
(105399,	7,	1031,	2,	1),
(105400,	7,	1031,	3,	1),
(105401,	7,	1031,	1,	2),
(105402,	7,	1031,	2,	2),
(105403,	7,	1031,	3,	2),
(105404,	7,	1032,	1,	1),
(105405,	7,	1032,	2,	1),
(105406,	7,	1032,	3,	1),
(105407,	7,	1032,	1,	2),
(105408,	7,	1032,	2,	2),
(105409,	7,	1032,	3,	2),
(105410,	7,	1033,	1,	1),
(105411,	7,	1033,	2,	1),
(105412,	7,	1033,	3,	1),
(105413,	7,	1034,	1,	1),
(105414,	7,	1034,	2,	1),
(105415,	7,	1034,	3,	1),
(105416,	7,	1034,	1,	2),
(105417,	7,	1034,	2,	2),
(105418,	7,	1034,	3,	2),
(105419,	7,	1035,	1,	1),
(105420,	7,	1035,	2,	1),
(105421,	7,	1035,	3,	1),
(105422,	7,	1036,	1,	1),
(105423,	7,	1036,	2,	1),
(105424,	7,	1036,	3,	1),
(105425,	7,	1037,	1,	1),
(105426,	7,	1037,	2,	1),
(105427,	7,	1037,	3,	1),
(105428,	7,	1037,	1,	2),
(105429,	7,	1037,	2,	2),
(105430,	7,	1037,	3,	2),
(105431,	7,	1038,	1,	1),
(105432,	7,	1038,	2,	1),
(105433,	7,	1038,	3,	1),
(105434,	7,	1038,	1,	2),
(105435,	7,	1038,	2,	2),
(105436,	7,	1038,	3,	2),
(105437,	7,	1039,	1,	1),
(105438,	7,	1039,	2,	1),
(105439,	7,	1039,	3,	1),
(105440,	7,	1039,	1,	2),
(105441,	7,	1039,	2,	2),
(105442,	7,	1039,	3,	2),
(105443,	7,	1040,	1,	1),
(105444,	7,	1040,	2,	1),
(105445,	7,	1040,	3,	1),
(105446,	7,	1040,	1,	2),
(105447,	7,	1040,	2,	2),
(105448,	7,	1040,	3,	2),
(105449,	7,	1041,	1,	1),
(105450,	7,	1041,	2,	1),
(105451,	7,	1041,	3,	1),
(105452,	7,	1042,	1,	1),
(105453,	7,	1042,	2,	1),
(105454,	7,	1042,	3,	1),
(105455,	7,	1042,	1,	2),
(105456,	7,	1042,	2,	2),
(105457,	7,	1042,	3,	2),
(105458,	7,	1043,	1,	1),
(105459,	7,	1043,	2,	1),
(105460,	7,	1043,	3,	1),
(105461,	7,	1044,	1,	1),
(105462,	7,	1044,	2,	1),
(105463,	7,	1044,	3,	1),
(105464,	7,	1045,	1,	1),
(105465,	7,	1045,	2,	1),
(105466,	7,	1045,	3,	1),
(105467,	7,	1046,	1,	1),
(105468,	7,	1046,	2,	1),
(105469,	7,	1046,	3,	1),
(105470,	7,	1047,	1,	1),
(105471,	7,	1047,	2,	1),
(105472,	7,	1047,	3,	1),
(105473,	7,	1047,	1,	2),
(105474,	7,	1047,	2,	2),
(105475,	7,	1047,	3,	2),
(105476,	7,	1048,	1,	1),
(105477,	7,	1048,	2,	1),
(105478,	7,	1048,	3,	1),
(105479,	7,	1049,	1,	1),
(105480,	7,	1049,	2,	1),
(105481,	7,	1049,	3,	1),
(105482,	7,	1050,	1,	1),
(105483,	7,	1050,	2,	1),
(105484,	7,	1050,	3,	1),
(105485,	7,	1050,	1,	2),
(105486,	7,	1050,	2,	2),
(105487,	7,	1050,	3,	2),
(105488,	7,	1051,	1,	1),
(105489,	7,	1051,	2,	1),
(105490,	7,	1051,	3,	1),
(105491,	7,	1052,	1,	1),
(105492,	7,	1052,	2,	1),
(105493,	7,	1052,	3,	1),
(105494,	7,	1053,	1,	1),
(105495,	7,	1053,	2,	1),
(105496,	7,	1053,	3,	1),
(105497,	7,	1054,	1,	1),
(105498,	7,	1054,	2,	1),
(105499,	7,	1054,	3,	1),
(105500,	7,	1055,	1,	1),
(105501,	7,	1055,	2,	1),
(105502,	7,	1055,	3,	1),
(105503,	7,	1056,	1,	1),
(105504,	7,	1056,	2,	1),
(105505,	7,	1056,	3,	1),
(105506,	7,	1057,	1,	1),
(105507,	7,	1057,	2,	1),
(105508,	7,	1057,	3,	1),
(105509,	7,	1058,	1,	1),
(105510,	7,	1058,	2,	1),
(105511,	7,	1058,	3,	1),
(105512,	7,	1059,	1,	1),
(105513,	7,	1059,	2,	1),
(105514,	7,	1059,	3,	1),
(105515,	7,	1060,	1,	1),
(105516,	7,	1060,	2,	1),
(105517,	7,	1060,	3,	1),
(105518,	7,	1061,	1,	1),
(105519,	7,	1061,	2,	1),
(105520,	7,	1061,	3,	1),
(105521,	7,	1061,	1,	2),
(105522,	7,	1061,	2,	2),
(105523,	7,	1061,	3,	2),
(105524,	7,	1062,	1,	1),
(105525,	7,	1062,	2,	1),
(105526,	7,	1062,	3,	1),
(105527,	7,	1063,	1,	1),
(105528,	7,	1063,	2,	1),
(105529,	7,	1063,	3,	1),
(105530,	7,	1064,	1,	1),
(105531,	7,	1064,	2,	1),
(105532,	7,	1064,	3,	1),
(105533,	7,	1064,	1,	2),
(105534,	7,	1064,	2,	2),
(105535,	7,	1064,	3,	2),
(105536,	7,	1065,	1,	1),
(105537,	7,	1065,	2,	1),
(105538,	7,	1065,	3,	1),
(105539,	7,	1065,	1,	2),
(105540,	7,	1065,	2,	2),
(105541,	7,	1065,	3,	2),
(105542,	7,	1066,	1,	1),
(105543,	7,	1066,	2,	1),
(105544,	7,	1066,	3,	1),
(105545,	7,	1066,	1,	2),
(105546,	7,	1066,	2,	2),
(105547,	7,	1066,	3,	2),
(105548,	7,	1067,	1,	1),
(105549,	7,	1067,	2,	1),
(105550,	7,	1067,	3,	1),
(105551,	7,	1067,	1,	2),
(105552,	7,	1067,	2,	2),
(105553,	7,	1067,	3,	2),
(105554,	7,	1068,	1,	1),
(105555,	7,	1068,	2,	1),
(105556,	7,	1068,	3,	1),
(105557,	7,	1068,	1,	2),
(105558,	7,	1068,	2,	2),
(105559,	7,	1068,	3,	2),
(105560,	7,	1069,	1,	1),
(105561,	7,	1069,	2,	1),
(105562,	7,	1069,	3,	1),
(105563,	7,	1069,	1,	2),
(105564,	7,	1069,	2,	2),
(105565,	7,	1069,	3,	2),
(105566,	7,	1070,	1,	1),
(105567,	7,	1070,	2,	1),
(105568,	7,	1070,	3,	1),
(105569,	7,	1070,	1,	2),
(105570,	7,	1070,	2,	2),
(105571,	7,	1070,	3,	2),
(105572,	7,	1072,	2,	1),
(105573,	7,	1072,	28,	1),
(105574,	7,	1077,	1,	1),
(105575,	7,	1077,	2,	1),
(105576,	7,	1077,	3,	1),
(105577,	7,	1077,	1,	3),
(105578,	7,	1077,	2,	3),
(105579,	7,	1077,	3,	3),
(105580,	7,	1078,	1,	1),
(105581,	7,	1078,	2,	1),
(105582,	7,	1078,	3,	1),
(105583,	7,	1078,	1,	2),
(105584,	7,	1078,	2,	2),
(105585,	7,	1078,	3,	2),
(105586,	7,	1079,	1,	1),
(105587,	7,	1079,	2,	1),
(105588,	7,	1079,	3,	1),
(105589,	7,	1079,	1,	2),
(105590,	7,	1079,	2,	2),
(105591,	7,	1079,	3,	2),
(105592,	7,	1080,	2,	1),
(105593,	7,	1081,	1,	1),
(105594,	7,	1081,	2,	1),
(105595,	7,	1081,	3,	1),
(105596,	7,	1081,	1,	2),
(105597,	7,	1081,	2,	2),
(105598,	7,	1081,	3,	2),
(105599,	7,	1082,	1,	1),
(105600,	7,	1082,	2,	1),
(105601,	7,	1082,	3,	1),
(105602,	7,	1082,	1,	2),
(105603,	7,	1082,	2,	2),
(105604,	7,	1082,	3,	2),
(105605,	7,	1083,	1,	1),
(105606,	7,	1083,	2,	1),
(105607,	7,	1083,	3,	1),
(105608,	7,	1083,	1,	2),
(105609,	7,	1083,	2,	2),
(105610,	7,	1083,	3,	2),
(105611,	7,	1084,	1,	1),
(105612,	7,	1084,	2,	1),
(105613,	7,	1084,	3,	1),
(105614,	7,	1084,	1,	2),
(105615,	7,	1084,	2,	2),
(105616,	7,	1084,	3,	2),
(105617,	7,	1085,	2,	1),
(105618,	7,	1086,	1,	1),
(105619,	7,	1086,	2,	1),
(105620,	7,	1086,	3,	1),
(105621,	7,	1086,	1,	2),
(105622,	7,	1086,	2,	2),
(105623,	7,	1086,	3,	2),
(105624,	7,	1087,	1,	1),
(105625,	7,	1087,	2,	1),
(105626,	7,	1087,	3,	1),
(105627,	7,	1087,	1,	2),
(105628,	7,	1087,	2,	2),
(105629,	7,	1087,	3,	2),
(105630,	7,	1088,	1,	1),
(105631,	7,	1088,	2,	1),
(105632,	7,	1088,	3,	1),
(105633,	7,	1088,	1,	2),
(105634,	7,	1088,	2,	2),
(105635,	7,	1088,	3,	2),
(105636,	7,	1089,	1,	1),
(105637,	7,	1089,	2,	1),
(105638,	7,	1089,	3,	1),
(105639,	7,	1090,	1,	1),
(105640,	7,	1090,	2,	1),
(105641,	7,	1090,	3,	1),
(105642,	7,	1090,	1,	2),
(105643,	7,	1090,	2,	2),
(105644,	7,	1090,	3,	2),
(105645,	7,	1091,	1,	1),
(105646,	7,	1091,	2,	1),
(105647,	7,	1091,	3,	1),
(105648,	7,	1091,	1,	2),
(105649,	7,	1091,	2,	2),
(105650,	7,	1091,	3,	2),
(105651,	7,	1092,	1,	1),
(105652,	7,	1092,	2,	1),
(105653,	7,	1092,	3,	1),
(105654,	7,	1093,	1,	1),
(105655,	7,	1093,	2,	1),
(105656,	7,	1093,	3,	1),
(105657,	7,	1093,	1,	2),
(105658,	7,	1093,	2,	2),
(105659,	7,	1093,	3,	2),
(105660,	7,	1094,	1,	1),
(105661,	7,	1094,	2,	1),
(105662,	7,	1094,	3,	1),
(105663,	7,	1094,	1,	2),
(105664,	7,	1094,	2,	2),
(105665,	7,	1094,	3,	2),
(105666,	7,	1095,	1,	1),
(105667,	7,	1095,	2,	1),
(105668,	7,	1095,	3,	1),
(105669,	7,	1095,	1,	2),
(105670,	7,	1095,	2,	2),
(105671,	7,	1095,	3,	2),
(105672,	7,	1096,	1,	1),
(105673,	7,	1096,	2,	1),
(105674,	7,	1096,	3,	1),
(105675,	7,	1097,	1,	1),
(105676,	7,	1097,	2,	1),
(105677,	7,	1097,	3,	1),
(105678,	7,	1097,	1,	2),
(105679,	7,	1097,	2,	2),
(105680,	7,	1097,	3,	2),
(105681,	7,	1098,	1,	1),
(105682,	7,	1098,	2,	1),
(105683,	7,	1098,	3,	1),
(105684,	7,	1098,	1,	2),
(105685,	7,	1098,	2,	2),
(105686,	7,	1098,	3,	2),
(105687,	7,	1099,	1,	1),
(105688,	7,	1099,	2,	1),
(105689,	7,	1099,	3,	1),
(105690,	7,	1099,	1,	2),
(105691,	7,	1099,	2,	2),
(105692,	7,	1099,	3,	2),
(105693,	7,	1100,	1,	1),
(105694,	7,	1100,	2,	1),
(105695,	7,	1100,	3,	1),
(105696,	7,	1100,	1,	2),
(105697,	7,	1100,	2,	2),
(105698,	7,	1100,	3,	2),
(105699,	7,	1101,	1,	1),
(105700,	7,	1101,	2,	1),
(105701,	7,	1101,	3,	1),
(105702,	7,	1102,	1,	1),
(105703,	7,	1102,	2,	1),
(105704,	7,	1102,	3,	1),
(105705,	7,	1102,	1,	2),
(105706,	7,	1102,	2,	2),
(105707,	7,	1102,	3,	2),
(105708,	7,	1103,	1,	1),
(105709,	7,	1103,	2,	1),
(105710,	7,	1103,	3,	1),
(105711,	7,	1103,	1,	2),
(105712,	7,	1103,	2,	2),
(105713,	7,	1103,	3,	2),
(105714,	7,	1104,	1,	1),
(105715,	7,	1104,	2,	1),
(105716,	7,	1104,	3,	1),
(105717,	7,	1104,	1,	2),
(105718,	7,	1104,	2,	2),
(105719,	7,	1104,	3,	2),
(105720,	7,	1105,	1,	1),
(105721,	7,	1105,	2,	1),
(105722,	7,	1105,	3,	1),
(105723,	7,	1105,	1,	2),
(105724,	7,	1105,	2,	2),
(105725,	7,	1105,	3,	2),
(105726,	7,	1106,	1,	1),
(105727,	7,	1106,	2,	1),
(105728,	7,	1106,	3,	1),
(105729,	7,	1106,	1,	2),
(105730,	7,	1106,	2,	2),
(105731,	7,	1106,	3,	2),
(105732,	7,	1107,	1,	1),
(105733,	7,	1107,	2,	1),
(105734,	7,	1107,	3,	1),
(105735,	7,	1108,	1,	1),
(105736,	7,	1108,	2,	1),
(105737,	7,	1108,	3,	1),
(105738,	7,	1108,	1,	2),
(105739,	7,	1108,	2,	2),
(105740,	7,	1108,	3,	2),
(105741,	7,	1109,	1,	1),
(105742,	7,	1109,	2,	1),
(105743,	7,	1109,	3,	1),
(105744,	7,	1109,	1,	2),
(105745,	7,	1109,	2,	2),
(105746,	7,	1109,	3,	2),
(105747,	7,	1110,	1,	1),
(105748,	7,	1110,	2,	1),
(105749,	7,	1110,	3,	1),
(105750,	7,	1110,	1,	2),
(105751,	7,	1110,	2,	2),
(105752,	7,	1110,	3,	2),
(105753,	7,	1111,	1,	1),
(105754,	7,	1111,	2,	1),
(105755,	7,	1111,	3,	1),
(105756,	7,	1111,	1,	2),
(105757,	7,	1111,	2,	2),
(105758,	7,	1111,	3,	2),
(105759,	7,	1112,	1,	1),
(105760,	7,	1112,	2,	1),
(105761,	7,	1112,	3,	1),
(105762,	7,	1113,	1,	1),
(105763,	7,	1113,	2,	1),
(105764,	7,	1113,	3,	1),
(105765,	7,	1113,	1,	2),
(105766,	7,	1113,	2,	2),
(105767,	7,	1113,	3,	2),
(105768,	7,	1114,	1,	1),
(105769,	7,	1114,	2,	1),
(105770,	7,	1114,	3,	1),
(105771,	7,	1114,	1,	2),
(105772,	7,	1114,	2,	2),
(105773,	7,	1114,	3,	2),
(105774,	7,	1115,	1,	1),
(105775,	7,	1115,	2,	1),
(105776,	7,	1115,	3,	1),
(105777,	7,	1115,	1,	2),
(105778,	7,	1115,	2,	2),
(105779,	7,	1115,	3,	2),
(105780,	7,	1116,	1,	1),
(105781,	7,	1116,	2,	1),
(105782,	7,	1116,	3,	1),
(105783,	7,	1116,	1,	2),
(105784,	7,	1116,	2,	2),
(105785,	7,	1116,	3,	2),
(105786,	7,	1117,	1,	1),
(105787,	7,	1117,	2,	1),
(105788,	7,	1117,	3,	1),
(105789,	7,	1117,	1,	2),
(105790,	7,	1117,	2,	2),
(105791,	7,	1117,	3,	2),
(105792,	7,	1118,	1,	1),
(105793,	7,	1118,	2,	1),
(105794,	7,	1118,	3,	1),
(105795,	7,	1118,	1,	2),
(105796,	7,	1118,	2,	2),
(105797,	7,	1118,	3,	2),
(105798,	7,	1119,	1,	1),
(105799,	7,	1119,	2,	1),
(105800,	7,	1119,	3,	1),
(105801,	7,	1120,	1,	1),
(105802,	7,	1120,	2,	1),
(105803,	7,	1120,	3,	1),
(105804,	7,	1120,	1,	2),
(105805,	7,	1120,	2,	2),
(105806,	7,	1120,	3,	2),
(105807,	7,	1121,	1,	1),
(105808,	7,	1121,	2,	1),
(105809,	7,	1121,	3,	1),
(105810,	7,	1121,	1,	2),
(105811,	7,	1121,	2,	2),
(105812,	7,	1121,	3,	2),
(105813,	7,	1122,	1,	1),
(105814,	7,	1122,	2,	1),
(105815,	7,	1122,	3,	1),
(105816,	7,	1122,	1,	2),
(105817,	7,	1122,	2,	2),
(105818,	7,	1122,	3,	2),
(105819,	7,	1123,	1,	1),
(105820,	7,	1123,	2,	1),
(105821,	7,	1123,	3,	1),
(105822,	7,	1123,	1,	2),
(105823,	7,	1123,	2,	2),
(105824,	7,	1123,	3,	2),
(105825,	7,	1124,	1,	1),
(105826,	7,	1124,	2,	1),
(105827,	7,	1124,	3,	1),
(105828,	7,	1125,	1,	1),
(105829,	7,	1125,	2,	1),
(105830,	7,	1125,	3,	1),
(105831,	7,	1125,	1,	2),
(105832,	7,	1125,	2,	2),
(105833,	7,	1125,	3,	2),
(105834,	7,	1126,	1,	1),
(105835,	7,	1126,	2,	1),
(105836,	7,	1126,	3,	1),
(105837,	7,	1126,	1,	2),
(105838,	7,	1126,	2,	2),
(105839,	7,	1126,	3,	2),
(105840,	7,	1127,	2,	1),
(105841,	7,	1128,	1,	1),
(105842,	7,	1128,	2,	1),
(105843,	7,	1128,	3,	1),
(105844,	7,	1128,	1,	2),
(105845,	7,	1128,	2,	2),
(105846,	7,	1128,	3,	2),
(105847,	7,	1129,	1,	1),
(105848,	7,	1129,	2,	1),
(105849,	7,	1129,	3,	1),
(105850,	7,	1129,	1,	3),
(105851,	7,	1129,	2,	3),
(105852,	7,	1129,	3,	3),
(105853,	7,	1130,	1,	1),
(105854,	7,	1130,	2,	1),
(105855,	7,	1130,	3,	1),
(105856,	7,	1130,	1,	3),
(105857,	7,	1130,	2,	3),
(105858,	7,	1130,	3,	3),
(105859,	7,	1131,	1,	1),
(105860,	7,	1131,	2,	1),
(105861,	7,	1131,	3,	1),
(105862,	7,	1131,	23,	1),
(105863,	7,	1131,	4,	1),
(105864,	7,	1131,	25,	1),
(105865,	7,	1131,	24,	1),
(105866,	7,	1131,	6,	1),
(105867,	7,	1131,	1,	3),
(105868,	7,	1131,	2,	3),
(105869,	7,	1131,	3,	3),
(105870,	7,	1131,	23,	3),
(105871,	7,	1131,	4,	3),
(105872,	7,	1131,	25,	3),
(105873,	7,	1131,	24,	3),
(105874,	7,	1131,	6,	3),
(105875,	7,	1132,	1,	1),
(105876,	7,	1132,	2,	1),
(105877,	7,	1132,	3,	1),
(105878,	7,	1132,	23,	1),
(105879,	7,	1132,	4,	1),
(105880,	7,	1132,	25,	1),
(105881,	7,	1132,	24,	1),
(105882,	7,	1132,	6,	1),
(105883,	7,	1132,	1,	3),
(105884,	7,	1132,	2,	3),
(105885,	7,	1132,	3,	3),
(105886,	7,	1132,	23,	3),
(105887,	7,	1132,	4,	3),
(105888,	7,	1132,	25,	3),
(105889,	7,	1132,	24,	3),
(105890,	7,	1132,	6,	3),
(105891,	7,	1133,	1,	1),
(105892,	7,	1133,	2,	1),
(105893,	7,	1133,	3,	1),
(105894,	7,	1133,	23,	1),
(105895,	7,	1133,	4,	1),
(105896,	7,	1133,	25,	1),
(105897,	7,	1133,	24,	1),
(105898,	7,	1133,	6,	1),
(105899,	7,	1133,	1,	3),
(105900,	7,	1133,	2,	3),
(105901,	7,	1133,	3,	3),
(105902,	7,	1133,	23,	3),
(105903,	7,	1133,	4,	3),
(105904,	7,	1133,	25,	3),
(105905,	7,	1133,	24,	3),
(105906,	7,	1133,	6,	3),
(105907,	7,	1134,	1,	1),
(105908,	7,	1134,	2,	1),
(105909,	7,	1134,	3,	1),
(105910,	7,	1134,	23,	1),
(105911,	7,	1134,	4,	1),
(105912,	7,	1134,	25,	1),
(105913,	7,	1134,	24,	1),
(105914,	7,	1134,	6,	1),
(105915,	7,	1134,	1,	3),
(105916,	7,	1134,	2,	3),
(105917,	7,	1134,	3,	3),
(105918,	7,	1134,	23,	3),
(105919,	7,	1134,	4,	3),
(105920,	7,	1134,	25,	3),
(105921,	7,	1134,	24,	3),
(105922,	7,	1134,	6,	3),
(105923,	7,	1135,	1,	1),
(105924,	7,	1135,	2,	1),
(105925,	7,	1135,	3,	1),
(105926,	7,	1135,	23,	1),
(105927,	7,	1135,	4,	1),
(105928,	7,	1135,	25,	1),
(105929,	7,	1135,	24,	1),
(105930,	7,	1135,	6,	1),
(105931,	7,	1135,	1,	3),
(105932,	7,	1135,	2,	3),
(105933,	7,	1135,	3,	3),
(105934,	7,	1135,	23,	3),
(105935,	7,	1135,	4,	3),
(105936,	7,	1135,	25,	3),
(105937,	7,	1135,	24,	3),
(105938,	7,	1135,	6,	3),
(105939,	7,	1136,	1,	1),
(105940,	7,	1136,	2,	1),
(105941,	7,	1136,	3,	1),
(105942,	7,	1136,	23,	1),
(105943,	7,	1136,	4,	1),
(105944,	7,	1136,	25,	1),
(105945,	7,	1136,	24,	1),
(105946,	7,	1136,	6,	1),
(105947,	7,	1136,	1,	3),
(105948,	7,	1136,	2,	3),
(105949,	7,	1136,	3,	3),
(105950,	7,	1136,	23,	3),
(105951,	7,	1136,	4,	3),
(105952,	7,	1136,	25,	3),
(105953,	7,	1136,	24,	3),
(105954,	7,	1136,	6,	3),
(105955,	7,	1137,	1,	1),
(105956,	7,	1137,	2,	1),
(105957,	7,	1137,	3,	1),
(105958,	7,	1137,	1,	2),
(105959,	7,	1137,	2,	2),
(105960,	7,	1137,	3,	2),
(105961,	7,	1138,	1,	1),
(105962,	7,	1138,	2,	1),
(105963,	7,	1138,	3,	1),
(105964,	7,	1138,	23,	1),
(105965,	7,	1138,	4,	1),
(105966,	7,	1138,	25,	1),
(105967,	7,	1138,	24,	1),
(105968,	7,	1138,	6,	1),
(105969,	7,	1138,	1,	3),
(105970,	7,	1138,	2,	3),
(105971,	7,	1138,	3,	3),
(105972,	7,	1138,	23,	3),
(105973,	7,	1138,	4,	3),
(105974,	7,	1138,	25,	3),
(105975,	7,	1138,	24,	3),
(105976,	7,	1138,	6,	3),
(105977,	7,	1139,	1,	1),
(105978,	7,	1139,	2,	1),
(105979,	7,	1139,	3,	1),
(105980,	7,	1139,	23,	1),
(105981,	7,	1139,	4,	1),
(105982,	7,	1139,	25,	1),
(105983,	7,	1139,	24,	1),
(105984,	7,	1139,	6,	1),
(105985,	7,	1139,	1,	3),
(105986,	7,	1139,	2,	3),
(105987,	7,	1139,	3,	3),
(105988,	7,	1139,	23,	3),
(105989,	7,	1139,	4,	3),
(105990,	7,	1139,	25,	3),
(105991,	7,	1139,	24,	3),
(105992,	7,	1139,	6,	3),
(105993,	7,	1140,	1,	1),
(105994,	7,	1140,	2,	1),
(105995,	7,	1140,	3,	1),
(105996,	7,	1140,	23,	1),
(105997,	7,	1140,	4,	1),
(105998,	7,	1140,	25,	1),
(105999,	7,	1140,	24,	1),
(106000,	7,	1140,	6,	1),
(106001,	7,	1140,	1,	3),
(106002,	7,	1140,	2,	3),
(106003,	7,	1140,	3,	3),
(106004,	7,	1140,	23,	3),
(106005,	7,	1140,	4,	3),
(106006,	7,	1140,	25,	3),
(106007,	7,	1140,	24,	3),
(106008,	7,	1140,	6,	3),
(106009,	7,	1141,	1,	1),
(106010,	7,	1141,	2,	1),
(106011,	7,	1141,	3,	1),
(106012,	7,	1142,	1,	1),
(106013,	7,	1142,	2,	1),
(106014,	7,	1142,	3,	1),
(106015,	7,	1142,	1,	3),
(106016,	7,	1142,	2,	3),
(106017,	7,	1142,	3,	3),
(106018,	7,	1143,	1,	1),
(106019,	7,	1143,	2,	1),
(106020,	7,	1143,	3,	1),
(106021,	7,	1143,	23,	1),
(106022,	7,	1143,	4,	1),
(106023,	7,	1143,	25,	1),
(106024,	7,	1143,	24,	1),
(106025,	7,	1143,	6,	1),
(106026,	7,	1143,	1,	3),
(106027,	7,	1143,	2,	3),
(106028,	7,	1143,	3,	3),
(106029,	7,	1143,	23,	3),
(106030,	7,	1143,	4,	3),
(106031,	7,	1143,	25,	3),
(106032,	7,	1143,	24,	3),
(106033,	7,	1143,	6,	3),
(106034,	7,	1144,	1,	1),
(106035,	7,	1144,	2,	1),
(106036,	7,	1144,	3,	1),
(106037,	7,	1145,	1,	1),
(106038,	7,	1145,	2,	1),
(106039,	7,	1145,	3,	1),
(106040,	7,	1145,	23,	1),
(106041,	7,	1145,	4,	1),
(106042,	7,	1145,	25,	1),
(106043,	7,	1145,	24,	1),
(106044,	7,	1145,	6,	1),
(106045,	7,	1145,	1,	3),
(106046,	7,	1145,	2,	3),
(106047,	7,	1145,	3,	3),
(106048,	7,	1145,	23,	3),
(106049,	7,	1145,	4,	3),
(106050,	7,	1145,	25,	3),
(106051,	7,	1145,	24,	3),
(106052,	7,	1145,	6,	3),
(106053,	7,	1146,	1,	1),
(106054,	7,	1146,	2,	1),
(106055,	7,	1146,	3,	1),
(106056,	7,	1146,	1,	2),
(106057,	7,	1146,	2,	2),
(106058,	7,	1146,	3,	2),
(106059,	7,	1147,	1,	1),
(106060,	7,	1147,	2,	1),
(106061,	7,	1147,	3,	1),
(106062,	7,	1148,	1,	1),
(106063,	7,	1148,	2,	1),
(106064,	7,	1148,	3,	1),
(106065,	7,	1148,	23,	1),
(106066,	7,	1148,	4,	1),
(106067,	7,	1148,	25,	1),
(106068,	7,	1148,	24,	1),
(106069,	7,	1148,	6,	1),
(106070,	7,	1148,	1,	3),
(106071,	7,	1148,	2,	3),
(106072,	7,	1148,	3,	3),
(106073,	7,	1148,	23,	3),
(106074,	7,	1148,	4,	3),
(106075,	7,	1148,	25,	3),
(106076,	7,	1148,	24,	3),
(106077,	7,	1148,	6,	3),
(106078,	7,	1149,	1,	1),
(106079,	7,	1149,	2,	1),
(106080,	7,	1149,	3,	1),
(106081,	7,	1149,	1,	2),
(106082,	7,	1149,	2,	2),
(106083,	7,	1149,	3,	2),
(106084,	7,	1150,	1,	1),
(106085,	7,	1150,	2,	1),
(106086,	7,	1150,	3,	1),
(106087,	7,	1151,	1,	1),
(106088,	7,	1151,	2,	1),
(106089,	7,	1151,	3,	1),
(106090,	7,	1151,	23,	1),
(106091,	7,	1151,	4,	1),
(106092,	7,	1151,	25,	1),
(106093,	7,	1151,	24,	1),
(106094,	7,	1151,	6,	1),
(106095,	7,	1151,	1,	3),
(106096,	7,	1151,	2,	3),
(106097,	7,	1151,	3,	3),
(106098,	7,	1151,	23,	3),
(106099,	7,	1151,	4,	3),
(106100,	7,	1151,	25,	3),
(106101,	7,	1151,	24,	3),
(106102,	7,	1151,	6,	3),
(106103,	7,	1152,	1,	1),
(106104,	7,	1152,	2,	1),
(106105,	7,	1152,	3,	1),
(106106,	7,	1152,	1,	2),
(106107,	7,	1152,	2,	2),
(106108,	7,	1152,	3,	2),
(106109,	7,	1153,	1,	1),
(106110,	7,	1153,	2,	1),
(106111,	7,	1153,	3,	1),
(106112,	7,	1154,	1,	1),
(106113,	7,	1154,	2,	1),
(106114,	7,	1154,	3,	1),
(106115,	7,	1155,	1,	1),
(106116,	7,	1155,	2,	1),
(106117,	7,	1155,	3,	1),
(106118,	7,	1156,	1,	1),
(106119,	7,	1156,	2,	1),
(106120,	7,	1156,	3,	1),
(106121,	7,	1157,	1,	1),
(106122,	7,	1157,	2,	1),
(106123,	7,	1157,	3,	1),
(106124,	7,	1158,	1,	1),
(106125,	7,	1158,	2,	1),
(106126,	7,	1158,	3,	1),
(106127,	7,	1159,	1,	1),
(106128,	7,	1159,	2,	1),
(106129,	7,	1159,	3,	1),
(106130,	7,	1160,	1,	1),
(106131,	7,	1160,	2,	1),
(106132,	7,	1160,	3,	1),
(106133,	7,	1161,	1,	1),
(106134,	7,	1161,	2,	1),
(106135,	7,	1161,	3,	1),
(106136,	7,	1161,	1,	2),
(106137,	7,	1161,	2,	2),
(106138,	7,	1161,	3,	2),
(106139,	7,	1162,	1,	1),
(106140,	7,	1162,	2,	1),
(106141,	7,	1162,	3,	1),
(106142,	7,	1163,	1,	1),
(106143,	7,	1163,	2,	1),
(106144,	7,	1163,	3,	1),
(106145,	7,	1163,	1,	2),
(106146,	7,	1163,	2,	2),
(106147,	7,	1163,	3,	2),
(106148,	7,	1166,	2,	1),
(106149,	7,	1166,	3,	1),
(106150,	7,	1166,	55,	1),
(106151,	7,	1166,	63,	1),
(106152,	7,	1174,	1,	1),
(106153,	7,	1174,	2,	1),
(106154,	7,	1174,	3,	1),
(106155,	7,	1175,	1,	1),
(106156,	7,	1175,	2,	1),
(106157,	7,	1175,	3,	1),
(106158,	7,	1176,	1,	1),
(106159,	7,	1176,	2,	1),
(106160,	7,	1176,	3,	1),
(106161,	7,	1176,	1,	2),
(106162,	7,	1176,	2,	2),
(106163,	7,	1176,	3,	2),
(106164,	7,	1177,	1,	1),
(106165,	7,	1177,	2,	1),
(106166,	7,	1177,	3,	1),
(106167,	7,	1177,	1,	2),
(106168,	7,	1177,	2,	2),
(106169,	7,	1177,	3,	2),
(106170,	7,	1178,	1,	1),
(106171,	7,	1178,	2,	1),
(106172,	7,	1178,	3,	1),
(106173,	7,	1179,	1,	1),
(106174,	7,	1179,	2,	1),
(106175,	7,	1179,	3,	1),
(106176,	7,	1179,	1,	2),
(106177,	7,	1179,	2,	2),
(106178,	7,	1179,	3,	2),
(106179,	7,	1180,	1,	1),
(106180,	7,	1180,	2,	1),
(106181,	7,	1180,	3,	1),
(106182,	7,	1181,	1,	1),
(106183,	7,	1181,	2,	1),
(106184,	7,	1181,	3,	1),
(106185,	7,	1182,	2,	1),
(106186,	7,	1183,	1,	1),
(106187,	7,	1183,	2,	1),
(106188,	7,	1183,	3,	1),
(106189,	7,	1183,	1,	2),
(106190,	7,	1183,	2,	2),
(106191,	7,	1183,	3,	2),
(106192,	7,	1184,	1,	1),
(106193,	7,	1184,	2,	1),
(106194,	7,	1184,	3,	1),
(106195,	7,	1185,	1,	1),
(106196,	7,	1185,	2,	1),
(106197,	7,	1185,	3,	1),
(106198,	7,	1186,	1,	1),
(106199,	7,	1186,	2,	1),
(106200,	7,	1186,	3,	1),
(106201,	7,	1186,	1,	2),
(106202,	7,	1186,	2,	2),
(106203,	7,	1186,	3,	2),
(106204,	7,	1187,	1,	1),
(106205,	7,	1187,	2,	1),
(106206,	7,	1187,	3,	1),
(106207,	7,	1188,	1,	1),
(106208,	7,	1188,	2,	1),
(106209,	7,	1188,	3,	1),
(106210,	7,	1189,	1,	1),
(106211,	7,	1189,	2,	1),
(106212,	7,	1189,	3,	1),
(106213,	7,	1190,	1,	1),
(106214,	7,	1190,	2,	1),
(106215,	7,	1190,	3,	1),
(106216,	7,	1191,	1,	1),
(106217,	7,	1191,	2,	1),
(106218,	7,	1191,	3,	1),
(106219,	7,	1192,	1,	1),
(106220,	7,	1192,	2,	1),
(106221,	7,	1192,	3,	1),
(106222,	7,	1192,	1,	2),
(106223,	7,	1192,	2,	2),
(106224,	7,	1192,	3,	2),
(106225,	7,	1193,	1,	1),
(106226,	7,	1193,	2,	1),
(106227,	7,	1193,	3,	1),
(106228,	7,	1194,	1,	1),
(106229,	7,	1194,	2,	1),
(106230,	7,	1194,	3,	1),
(106231,	7,	1195,	1,	1),
(106232,	7,	1195,	2,	1),
(106233,	7,	1195,	3,	1),
(106234,	7,	1195,	65,	1),
(106235,	7,	1195,	66,	1),
(106236,	7,	1195,	7,	1),
(106237,	7,	1195,	8,	1),
(106238,	7,	1195,	67,	1),
(106239,	7,	1195,	68,	1),
(106240,	7,	1195,	15,	1),
(106241,	7,	1195,	1,	3),
(106242,	7,	1195,	2,	3),
(106243,	7,	1195,	3,	3),
(106244,	7,	1195,	65,	3),
(106245,	7,	1195,	66,	3),
(106246,	7,	1195,	7,	3),
(106247,	7,	1195,	8,	3),
(106248,	7,	1195,	67,	3),
(106249,	7,	1195,	68,	3),
(106250,	7,	1195,	15,	3),
(106251,	7,	1196,	1,	1),
(106252,	7,	1196,	2,	1),
(106253,	7,	1196,	3,	1),
(106254,	7,	1196,	65,	1),
(106255,	7,	1196,	66,	1),
(106256,	7,	1196,	7,	1),
(106257,	7,	1196,	8,	1),
(106258,	7,	1196,	67,	1),
(106259,	7,	1196,	68,	1),
(106260,	7,	1196,	15,	1),
(106261,	7,	1196,	1,	3),
(106262,	7,	1196,	2,	3),
(106263,	7,	1196,	3,	3),
(106264,	7,	1196,	65,	3),
(106265,	7,	1196,	66,	3),
(106266,	7,	1196,	7,	3),
(106267,	7,	1196,	8,	3),
(106268,	7,	1196,	67,	3),
(106269,	7,	1196,	68,	3),
(106270,	7,	1196,	15,	3),
(106271,	7,	1197,	1,	1),
(106272,	7,	1197,	2,	1),
(106273,	7,	1197,	3,	1),
(106274,	7,	1197,	1,	3),
(106275,	7,	1197,	2,	3),
(106276,	7,	1197,	3,	3),
(106277,	7,	1198,	1,	1),
(106278,	7,	1198,	2,	1),
(106279,	7,	1198,	3,	1),
(106280,	7,	1198,	1,	3),
(106281,	7,	1198,	2,	3),
(106282,	7,	1198,	3,	3),
(106283,	7,	1199,	1,	1),
(106284,	7,	1199,	2,	1),
(106285,	7,	1199,	3,	1),
(106286,	7,	1199,	65,	1),
(106287,	7,	1199,	66,	1),
(106288,	7,	1199,	7,	1),
(106289,	7,	1199,	8,	1),
(106290,	7,	1199,	67,	1),
(106291,	7,	1199,	68,	1),
(106292,	7,	1199,	15,	1),
(106293,	7,	1199,	1,	3),
(106294,	7,	1199,	2,	3),
(106295,	7,	1199,	3,	3),
(106296,	7,	1199,	65,	3),
(106297,	7,	1199,	66,	3),
(106298,	7,	1199,	7,	3),
(106299,	7,	1199,	8,	3),
(106300,	7,	1199,	67,	3),
(106301,	7,	1199,	68,	3),
(106302,	7,	1199,	15,	3),
(106303,	7,	1200,	1,	1),
(106304,	7,	1200,	2,	1),
(106305,	7,	1200,	3,	1),
(106306,	7,	1200,	65,	1),
(106307,	7,	1200,	66,	1),
(106308,	7,	1200,	7,	1),
(106309,	7,	1200,	8,	1),
(106310,	7,	1200,	67,	1),
(106311,	7,	1200,	68,	1),
(106312,	7,	1200,	15,	1),
(106313,	7,	1200,	1,	3),
(106314,	7,	1200,	2,	3),
(106315,	7,	1200,	3,	3),
(106316,	7,	1200,	65,	3),
(106317,	7,	1200,	66,	3),
(106318,	7,	1200,	7,	3),
(106319,	7,	1200,	8,	3),
(106320,	7,	1200,	67,	3),
(106321,	7,	1200,	68,	3),
(106322,	7,	1200,	15,	3),
(106323,	7,	1201,	1,	1),
(106324,	7,	1201,	2,	1),
(106325,	7,	1201,	3,	1),
(106326,	7,	1201,	65,	1),
(106327,	7,	1201,	66,	1),
(106328,	7,	1201,	7,	1),
(106329,	7,	1201,	8,	1),
(106330,	7,	1201,	67,	1),
(106331,	7,	1201,	68,	1),
(106332,	7,	1201,	15,	1),
(106333,	7,	1201,	1,	3),
(106334,	7,	1201,	2,	3),
(106335,	7,	1201,	3,	3),
(106336,	7,	1201,	65,	3),
(106337,	7,	1201,	66,	3),
(106338,	7,	1201,	7,	3),
(106339,	7,	1201,	8,	3),
(106340,	7,	1201,	67,	3),
(106341,	7,	1201,	68,	3),
(106342,	7,	1201,	15,	3),
(106343,	7,	1202,	1,	1),
(106344,	7,	1202,	2,	1),
(106345,	7,	1202,	3,	1),
(106346,	7,	1202,	65,	1),
(106347,	7,	1202,	66,	1),
(106348,	7,	1202,	7,	1),
(106349,	7,	1202,	8,	1),
(106350,	7,	1202,	67,	1),
(106351,	7,	1202,	68,	1),
(106352,	7,	1202,	15,	1),
(106353,	7,	1202,	1,	3),
(106354,	7,	1202,	2,	3),
(106355,	7,	1202,	3,	3),
(106356,	7,	1202,	65,	3),
(106357,	7,	1202,	66,	3),
(106358,	7,	1202,	7,	3),
(106359,	7,	1202,	8,	3),
(106360,	7,	1202,	67,	3),
(106361,	7,	1202,	68,	3),
(106362,	7,	1202,	15,	3),
(106363,	7,	1203,	1,	1),
(106364,	7,	1203,	2,	1),
(106365,	7,	1203,	3,	1),
(106366,	7,	1203,	69,	1),
(106367,	7,	1203,	70,	1),
(106368,	7,	1203,	71,	1),
(106369,	7,	1203,	72,	1),
(106370,	7,	1203,	65,	1),
(106371,	7,	1203,	66,	1),
(106372,	7,	1203,	7,	1),
(106373,	7,	1203,	8,	1),
(106374,	7,	1203,	73,	1),
(106375,	7,	1203,	67,	1),
(106376,	7,	1203,	10,	1),
(106377,	7,	1203,	68,	1),
(106378,	7,	1203,	1,	3),
(106379,	7,	1203,	2,	3),
(106380,	7,	1203,	3,	3),
(106381,	7,	1203,	69,	3),
(106382,	7,	1203,	70,	3),
(106383,	7,	1203,	71,	3),
(106384,	7,	1203,	72,	3),
(106385,	7,	1203,	65,	3),
(106386,	7,	1203,	66,	3),
(106387,	7,	1203,	7,	3),
(106388,	7,	1203,	8,	3),
(106389,	7,	1203,	73,	3),
(106390,	7,	1203,	67,	3),
(106391,	7,	1203,	10,	3),
(106392,	7,	1203,	68,	3),
(106393,	7,	1204,	1,	1),
(106394,	7,	1204,	2,	1),
(106395,	7,	1204,	3,	1),
(106396,	7,	1204,	1,	3),
(106397,	7,	1204,	2,	3),
(106398,	7,	1204,	3,	3),
(106399,	7,	1205,	1,	1),
(106400,	7,	1205,	2,	1),
(106401,	7,	1205,	3,	1),
(106402,	7,	1205,	69,	1),
(106403,	7,	1205,	70,	1),
(106404,	7,	1205,	71,	1),
(106405,	7,	1205,	72,	1),
(106406,	7,	1205,	65,	1),
(106407,	7,	1205,	66,	1),
(106408,	7,	1205,	7,	1),
(106409,	7,	1205,	8,	1),
(106410,	7,	1205,	73,	1),
(106411,	7,	1205,	67,	1),
(106412,	7,	1205,	10,	1),
(106413,	7,	1205,	68,	1),
(106414,	7,	1205,	1,	3),
(106415,	7,	1205,	2,	3),
(106416,	7,	1205,	3,	3),
(106417,	7,	1205,	69,	3),
(106418,	7,	1205,	70,	3),
(106419,	7,	1205,	71,	3),
(106420,	7,	1205,	72,	3),
(106421,	7,	1205,	65,	3),
(106422,	7,	1205,	66,	3),
(106423,	7,	1205,	7,	3),
(106424,	7,	1205,	8,	3),
(106425,	7,	1205,	73,	3),
(106426,	7,	1205,	67,	3),
(106427,	7,	1205,	10,	3),
(106428,	7,	1205,	68,	3),
(106429,	7,	1206,	3,	1),
(106430,	7,	1206,	8,	1),
(106431,	7,	1206,	67,	1),
(106432,	7,	1207,	1,	1),
(106433,	7,	1207,	2,	1),
(106434,	7,	1207,	3,	1),
(106435,	7,	1207,	69,	1),
(106436,	7,	1207,	70,	1),
(106437,	7,	1207,	71,	1),
(106438,	7,	1207,	72,	1),
(106439,	7,	1207,	65,	1),
(106440,	7,	1207,	66,	1),
(106441,	7,	1207,	7,	1),
(106442,	7,	1207,	8,	1),
(106443,	7,	1207,	73,	1),
(106444,	7,	1207,	67,	1),
(106445,	7,	1207,	10,	1),
(106446,	7,	1207,	68,	1),
(106447,	7,	1207,	74,	1),
(106448,	7,	1207,	1,	3),
(106449,	7,	1207,	2,	3),
(106450,	7,	1207,	3,	3),
(106451,	7,	1207,	69,	3),
(106452,	7,	1207,	70,	3),
(106453,	7,	1207,	71,	3),
(106454,	7,	1207,	72,	3),
(106455,	7,	1207,	65,	3),
(106456,	7,	1207,	66,	3),
(106457,	7,	1207,	7,	3),
(106458,	7,	1207,	8,	3),
(106459,	7,	1207,	73,	3),
(106460,	7,	1207,	67,	3),
(106461,	7,	1207,	10,	3),
(106462,	7,	1207,	68,	3),
(106463,	7,	1207,	74,	3),
(106464,	7,	1208,	1,	1),
(106465,	7,	1208,	2,	1),
(106466,	7,	1208,	3,	1),
(106467,	7,	1208,	66,	1),
(106468,	7,	1208,	7,	1),
(106469,	7,	1208,	8,	1),
(106470,	7,	1208,	67,	1),
(106471,	7,	1208,	68,	1),
(106472,	7,	1208,	1,	3),
(106473,	7,	1208,	2,	3),
(106474,	7,	1208,	3,	3),
(106475,	7,	1208,	66,	3),
(106476,	7,	1208,	7,	3),
(106477,	7,	1208,	8,	3),
(106478,	7,	1208,	67,	3),
(106479,	7,	1208,	68,	3),
(106480,	7,	1209,	1,	1),
(106481,	7,	1209,	2,	1),
(106482,	7,	1209,	3,	1),
(106483,	7,	1209,	69,	1),
(106484,	7,	1209,	70,	1),
(106485,	7,	1209,	71,	1),
(106486,	7,	1209,	72,	1),
(106487,	7,	1209,	65,	1),
(106488,	7,	1209,	66,	1),
(106489,	7,	1209,	7,	1),
(106490,	7,	1209,	8,	1),
(106491,	7,	1209,	73,	1),
(106492,	7,	1209,	67,	1),
(106493,	7,	1209,	10,	1),
(106494,	7,	1209,	68,	1),
(106495,	7,	1209,	74,	1),
(106496,	7,	1209,	1,	3),
(106497,	7,	1209,	2,	3),
(106498,	7,	1209,	3,	3),
(106499,	7,	1209,	69,	3),
(106500,	7,	1209,	70,	3),
(106501,	7,	1209,	71,	3),
(106502,	7,	1209,	72,	3),
(106503,	7,	1209,	65,	3),
(106504,	7,	1209,	66,	3),
(106505,	7,	1209,	7,	3),
(106506,	7,	1209,	8,	3),
(106507,	7,	1209,	73,	3),
(106508,	7,	1209,	67,	3),
(106509,	7,	1209,	10,	3),
(106510,	7,	1209,	68,	3),
(106511,	7,	1209,	74,	3),
(106512,	7,	1210,	1,	1),
(106513,	7,	1210,	2,	1),
(106514,	7,	1210,	3,	1),
(106515,	7,	1210,	66,	1),
(106516,	7,	1210,	7,	1),
(106517,	7,	1210,	8,	1),
(106518,	7,	1210,	67,	1),
(106519,	7,	1210,	68,	1),
(106520,	7,	1210,	1,	3),
(106521,	7,	1210,	2,	3),
(106522,	7,	1210,	3,	3),
(106523,	7,	1210,	66,	3),
(106524,	7,	1210,	7,	3),
(106525,	7,	1210,	8,	3),
(106526,	7,	1210,	67,	3),
(106527,	7,	1210,	68,	3),
(106528,	7,	1211,	1,	1),
(106529,	7,	1211,	2,	1),
(106530,	7,	1211,	3,	1),
(106531,	7,	1211,	69,	1),
(106532,	7,	1211,	70,	1),
(106533,	7,	1211,	71,	1),
(106534,	7,	1211,	72,	1),
(106535,	7,	1211,	65,	1),
(106536,	7,	1211,	66,	1),
(106537,	7,	1211,	7,	1),
(106538,	7,	1211,	8,	1),
(106539,	7,	1211,	73,	1),
(106540,	7,	1211,	67,	1),
(106541,	7,	1211,	10,	1),
(106542,	7,	1211,	68,	1),
(106543,	7,	1211,	74,	1),
(106544,	7,	1211,	1,	3),
(106545,	7,	1211,	2,	3),
(106546,	7,	1211,	3,	3),
(106547,	7,	1211,	69,	3),
(106548,	7,	1211,	70,	3),
(106549,	7,	1211,	71,	3),
(106550,	7,	1211,	72,	3),
(106551,	7,	1211,	65,	3),
(106552,	7,	1211,	66,	3),
(106553,	7,	1211,	7,	3),
(106554,	7,	1211,	8,	3),
(106555,	7,	1211,	73,	3),
(106556,	7,	1211,	67,	3),
(106557,	7,	1211,	10,	3),
(106558,	7,	1211,	68,	3),
(106559,	7,	1211,	74,	3),
(106560,	7,	1212,	1,	1),
(106561,	7,	1212,	2,	1),
(106562,	7,	1212,	3,	1),
(106563,	7,	1212,	69,	1),
(106564,	7,	1212,	70,	1),
(106565,	7,	1212,	71,	1),
(106566,	7,	1212,	72,	1),
(106567,	7,	1212,	65,	1),
(106568,	7,	1212,	66,	1),
(106569,	7,	1212,	7,	1),
(106570,	7,	1212,	8,	1),
(106571,	7,	1212,	73,	1),
(106572,	7,	1212,	67,	1),
(106573,	7,	1212,	10,	1),
(106574,	7,	1212,	68,	1),
(106575,	7,	1212,	74,	1),
(106576,	7,	1212,	1,	3),
(106577,	7,	1212,	2,	3),
(106578,	7,	1212,	3,	3),
(106579,	7,	1212,	69,	3),
(106580,	7,	1212,	70,	3),
(106581,	7,	1212,	71,	3),
(106582,	7,	1212,	72,	3),
(106583,	7,	1212,	65,	3),
(106584,	7,	1212,	66,	3),
(106585,	7,	1212,	7,	3),
(106586,	7,	1212,	8,	3),
(106587,	7,	1212,	73,	3),
(106588,	7,	1212,	67,	3),
(106589,	7,	1212,	10,	3),
(106590,	7,	1212,	68,	3),
(106591,	7,	1212,	74,	3),
(106592,	7,	1213,	1,	1),
(106593,	7,	1213,	2,	1),
(106594,	7,	1213,	3,	1),
(106595,	7,	1213,	69,	1),
(106596,	7,	1213,	70,	1),
(106597,	7,	1213,	71,	1),
(106598,	7,	1213,	72,	1),
(106599,	7,	1213,	65,	1),
(106600,	7,	1213,	66,	1),
(106601,	7,	1213,	7,	1),
(106602,	7,	1213,	8,	1),
(106603,	7,	1213,	73,	1),
(106604,	7,	1213,	67,	1),
(106605,	7,	1213,	10,	1),
(106606,	7,	1213,	68,	1),
(106607,	7,	1213,	74,	1),
(106608,	7,	1213,	1,	3),
(106609,	7,	1213,	2,	3),
(106610,	7,	1213,	3,	3),
(106611,	7,	1213,	69,	3),
(106612,	7,	1213,	70,	3),
(106613,	7,	1213,	71,	3),
(106614,	7,	1213,	72,	3),
(106615,	7,	1213,	65,	3),
(106616,	7,	1213,	66,	3),
(106617,	7,	1213,	7,	3),
(106618,	7,	1213,	8,	3),
(106619,	7,	1213,	73,	3),
(106620,	7,	1213,	67,	3),
(106621,	7,	1213,	10,	3),
(106622,	7,	1213,	68,	3),
(106623,	7,	1213,	74,	3),
(106624,	7,	1214,	1,	1),
(106625,	7,	1214,	2,	1),
(106626,	7,	1214,	3,	1),
(106627,	7,	1214,	69,	1),
(106628,	7,	1214,	70,	1),
(106629,	7,	1214,	71,	1),
(106630,	7,	1214,	72,	1),
(106631,	7,	1214,	65,	1),
(106632,	7,	1214,	66,	1),
(106633,	7,	1214,	7,	1),
(106634,	7,	1214,	8,	1),
(106635,	7,	1214,	73,	1),
(106636,	7,	1214,	67,	1),
(106637,	7,	1214,	10,	1),
(106638,	7,	1214,	68,	1),
(106639,	7,	1214,	74,	1),
(106640,	7,	1214,	1,	3),
(106641,	7,	1214,	2,	3),
(106642,	7,	1214,	3,	3),
(106643,	7,	1214,	69,	3),
(106644,	7,	1214,	70,	3),
(106645,	7,	1214,	71,	3),
(106646,	7,	1214,	72,	3),
(106647,	7,	1214,	65,	3),
(106648,	7,	1214,	66,	3),
(106649,	7,	1214,	7,	3),
(106650,	7,	1214,	8,	3),
(106651,	7,	1214,	73,	3),
(106652,	7,	1214,	67,	3),
(106653,	7,	1214,	10,	3),
(106654,	7,	1214,	68,	3),
(106655,	7,	1214,	74,	3),
(106656,	7,	1215,	1,	1),
(106657,	7,	1215,	2,	1),
(106658,	7,	1215,	3,	1),
(106659,	7,	1215,	66,	1),
(106660,	7,	1215,	7,	1),
(106661,	7,	1215,	8,	1),
(106662,	7,	1215,	67,	1),
(106663,	7,	1215,	68,	1),
(106664,	7,	1215,	1,	3),
(106665,	7,	1215,	2,	3),
(106666,	7,	1215,	3,	3),
(106667,	7,	1215,	66,	3),
(106668,	7,	1215,	7,	3),
(106669,	7,	1215,	8,	3),
(106670,	7,	1215,	67,	3),
(106671,	7,	1215,	68,	3),
(106672,	7,	1216,	1,	1),
(106673,	7,	1216,	2,	1),
(106674,	7,	1216,	3,	1),
(106675,	7,	1216,	66,	1),
(106676,	7,	1216,	7,	1),
(106677,	7,	1216,	8,	1),
(106678,	7,	1216,	67,	1),
(106679,	7,	1216,	68,	1),
(106680,	7,	1216,	1,	3),
(106681,	7,	1216,	2,	3),
(106682,	7,	1216,	3,	3),
(106683,	7,	1216,	66,	3),
(106684,	7,	1216,	7,	3),
(106685,	7,	1216,	8,	3),
(106686,	7,	1216,	67,	3),
(106687,	7,	1216,	68,	3),
(106688,	7,	1217,	1,	1),
(106689,	7,	1217,	2,	1),
(106690,	7,	1217,	3,	1),
(106691,	7,	1217,	23,	1),
(106692,	7,	1217,	1,	3),
(106693,	7,	1217,	2,	3),
(106694,	7,	1217,	3,	3),
(106695,	7,	1217,	23,	3),
(106696,	7,	1218,	1,	1),
(106697,	7,	1218,	2,	1),
(106698,	7,	1218,	3,	1),
(106699,	7,	1218,	66,	1),
(106700,	7,	1218,	7,	1),
(106701,	7,	1218,	8,	1),
(106702,	7,	1218,	67,	1),
(106703,	7,	1218,	68,	1),
(106704,	7,	1218,	1,	3),
(106705,	7,	1218,	2,	3),
(106706,	7,	1218,	3,	3),
(106707,	7,	1218,	66,	3),
(106708,	7,	1218,	7,	3),
(106709,	7,	1218,	8,	3),
(106710,	7,	1218,	67,	3),
(106711,	7,	1218,	68,	3),
(106712,	7,	1219,	1,	1),
(106713,	7,	1219,	2,	1),
(106714,	7,	1219,	3,	1),
(106715,	7,	1219,	66,	1),
(106716,	7,	1219,	7,	1),
(106717,	7,	1219,	8,	1),
(106718,	7,	1219,	67,	1),
(106719,	7,	1219,	68,	1),
(106720,	7,	1219,	1,	3),
(106721,	7,	1219,	2,	3),
(106722,	7,	1219,	3,	3),
(106723,	7,	1219,	66,	3),
(106724,	7,	1219,	7,	3),
(106725,	7,	1219,	8,	3),
(106726,	7,	1219,	67,	3),
(106727,	7,	1219,	68,	3),
(106728,	7,	1220,	1,	1),
(106729,	7,	1220,	2,	1),
(106730,	7,	1220,	3,	1),
(106731,	7,	1220,	66,	1),
(106732,	7,	1220,	7,	1),
(106733,	7,	1220,	8,	1),
(106734,	7,	1220,	67,	1),
(106735,	7,	1220,	68,	1),
(106736,	7,	1220,	1,	3),
(106737,	7,	1220,	2,	3),
(106738,	7,	1220,	3,	3),
(106739,	7,	1220,	66,	3),
(106740,	7,	1220,	7,	3),
(106741,	7,	1220,	8,	3),
(106742,	7,	1220,	67,	3),
(106743,	7,	1220,	68,	3),
(106744,	7,	1221,	1,	1),
(106745,	7,	1221,	2,	1),
(106746,	7,	1221,	3,	1),
(106747,	7,	1221,	66,	1),
(106748,	7,	1221,	7,	1),
(106749,	7,	1221,	8,	1),
(106750,	7,	1221,	67,	1),
(106751,	7,	1221,	68,	1),
(106752,	7,	1221,	1,	3),
(106753,	7,	1221,	2,	3),
(106754,	7,	1221,	3,	3),
(106755,	7,	1221,	66,	3),
(106756,	7,	1221,	7,	3),
(106757,	7,	1221,	8,	3),
(106758,	7,	1221,	67,	3),
(106759,	7,	1221,	68,	3),
(106760,	7,	1222,	3,	1),
(106761,	7,	1222,	8,	1),
(106762,	7,	1222,	67,	1),
(106763,	7,	1223,	1,	1),
(106764,	7,	1223,	2,	1),
(106765,	7,	1223,	3,	1),
(106766,	7,	1223,	69,	1),
(106767,	7,	1223,	70,	1),
(106768,	7,	1223,	71,	1),
(106769,	7,	1223,	72,	1),
(106770,	7,	1223,	65,	1),
(106771,	7,	1223,	66,	1),
(106772,	7,	1223,	7,	1),
(106773,	7,	1223,	8,	1),
(106774,	7,	1223,	73,	1),
(106775,	7,	1223,	67,	1),
(106776,	7,	1223,	10,	1),
(106777,	7,	1223,	68,	1),
(106778,	7,	1223,	74,	1),
(106779,	7,	1223,	1,	3),
(106780,	7,	1223,	2,	3),
(106781,	7,	1223,	3,	3),
(106782,	7,	1223,	69,	3),
(106783,	7,	1223,	70,	3),
(106784,	7,	1223,	71,	3),
(106785,	7,	1223,	72,	3),
(106786,	7,	1223,	65,	3),
(106787,	7,	1223,	66,	3),
(106788,	7,	1223,	7,	3),
(106789,	7,	1223,	8,	3),
(106790,	7,	1223,	73,	3),
(106791,	7,	1223,	67,	3),
(106792,	7,	1223,	10,	3),
(106793,	7,	1223,	68,	3),
(106794,	7,	1223,	74,	3),
(106795,	7,	1224,	1,	1),
(106796,	7,	1224,	2,	1),
(106797,	7,	1224,	3,	1),
(106798,	7,	1224,	66,	1),
(106799,	7,	1224,	7,	1),
(106800,	7,	1224,	8,	1),
(106801,	7,	1224,	67,	1),
(106802,	7,	1224,	68,	1),
(106803,	7,	1224,	1,	3),
(106804,	7,	1224,	2,	3),
(106805,	7,	1224,	3,	3),
(106806,	7,	1224,	66,	3),
(106807,	7,	1224,	7,	3),
(106808,	7,	1224,	8,	3),
(106809,	7,	1224,	67,	3),
(106810,	7,	1224,	68,	3),
(106811,	7,	1225,	1,	1),
(106812,	7,	1225,	2,	1),
(106813,	7,	1225,	3,	1),
(106814,	7,	1225,	66,	1),
(106815,	7,	1225,	7,	1),
(106816,	7,	1225,	8,	1),
(106817,	7,	1225,	67,	1),
(106818,	7,	1225,	68,	1),
(106819,	7,	1225,	1,	3),
(106820,	7,	1225,	2,	3),
(106821,	7,	1225,	3,	3),
(106822,	7,	1225,	66,	3),
(106823,	7,	1225,	7,	3),
(106824,	7,	1225,	8,	3),
(106825,	7,	1225,	67,	3),
(106826,	7,	1225,	68,	3),
(106827,	7,	1226,	1,	1),
(106828,	7,	1226,	2,	1),
(106829,	7,	1226,	3,	1),
(106830,	7,	1226,	69,	1),
(106831,	7,	1226,	70,	1),
(106832,	7,	1226,	71,	1),
(106833,	7,	1226,	72,	1),
(106834,	7,	1226,	65,	1),
(106835,	7,	1226,	66,	1),
(106836,	7,	1226,	7,	1),
(106837,	7,	1226,	8,	1),
(106838,	7,	1226,	73,	1),
(106839,	7,	1226,	67,	1),
(106840,	7,	1226,	10,	1),
(106841,	7,	1226,	68,	1),
(106842,	7,	1226,	74,	1),
(106843,	7,	1226,	1,	3),
(106844,	7,	1226,	2,	3),
(106845,	7,	1226,	3,	3),
(106846,	7,	1226,	69,	3),
(106847,	7,	1226,	70,	3),
(106848,	7,	1226,	71,	3),
(106849,	7,	1226,	72,	3),
(106850,	7,	1226,	65,	3),
(106851,	7,	1226,	66,	3),
(106852,	7,	1226,	7,	3),
(106853,	7,	1226,	8,	3),
(106854,	7,	1226,	73,	3),
(106855,	7,	1226,	67,	3),
(106856,	7,	1226,	10,	3),
(106857,	7,	1226,	68,	3),
(106858,	7,	1226,	74,	3),
(106859,	7,	1227,	1,	1),
(106860,	7,	1227,	2,	1),
(106861,	7,	1227,	3,	1),
(106862,	7,	1227,	66,	1),
(106863,	7,	1227,	7,	1),
(106864,	7,	1227,	8,	1),
(106865,	7,	1227,	67,	1),
(106866,	7,	1227,	68,	1),
(106867,	7,	1227,	1,	3),
(106868,	7,	1227,	2,	3),
(106869,	7,	1227,	3,	3),
(106870,	7,	1227,	66,	3),
(106871,	7,	1227,	7,	3),
(106872,	7,	1227,	8,	3),
(106873,	7,	1227,	67,	3),
(106874,	7,	1227,	68,	3),
(106875,	7,	1228,	1,	1),
(106876,	7,	1228,	2,	1),
(106877,	7,	1228,	3,	1),
(106878,	7,	1228,	1,	2),
(106879,	7,	1228,	2,	2),
(106880,	7,	1228,	3,	2),
(106881,	7,	1229,	1,	1),
(106882,	7,	1229,	2,	1),
(106883,	7,	1229,	3,	1),
(106884,	7,	1229,	1,	2),
(106885,	7,	1229,	2,	2),
(106886,	7,	1229,	3,	2),
(106887,	7,	1230,	1,	1),
(106888,	7,	1230,	2,	1),
(106889,	7,	1230,	3,	1),
(106890,	7,	1230,	1,	2),
(106891,	7,	1230,	2,	2),
(106892,	7,	1230,	3,	2),
(106893,	7,	1231,	1,	1),
(106894,	7,	1231,	2,	1),
(106895,	7,	1231,	3,	1),
(106896,	7,	1231,	1,	2),
(106897,	7,	1231,	2,	2),
(106898,	7,	1231,	3,	2),
(106899,	7,	1232,	1,	1),
(106900,	7,	1232,	2,	1),
(106901,	7,	1232,	3,	1),
(106902,	7,	1232,	1,	2),
(106903,	7,	1232,	2,	2),
(106904,	7,	1232,	3,	2),
(106905,	7,	1233,	1,	1),
(106906,	7,	1233,	2,	1),
(106907,	7,	1233,	3,	1),
(106908,	7,	1234,	1,	1),
(106909,	7,	1234,	2,	1),
(106910,	7,	1234,	3,	1),
(106911,	7,	1234,	1,	2),
(106912,	7,	1234,	2,	2),
(106913,	7,	1234,	3,	2),
(106914,	7,	1235,	1,	1),
(106915,	7,	1235,	2,	1),
(106916,	7,	1235,	3,	1),
(106917,	7,	1236,	1,	1),
(106918,	7,	1236,	2,	1),
(106919,	7,	1236,	3,	1),
(106920,	7,	1236,	1,	2),
(106921,	7,	1236,	2,	2),
(106922,	7,	1236,	3,	2),
(106923,	7,	1237,	1,	1),
(106924,	7,	1237,	2,	1),
(106925,	7,	1237,	3,	1),
(106926,	7,	1237,	1,	2),
(106927,	7,	1237,	2,	2),
(106928,	7,	1237,	3,	2),
(106929,	7,	1238,	1,	1),
(106930,	7,	1238,	2,	1),
(106931,	7,	1238,	3,	1),
(106932,	7,	1238,	1,	2),
(106933,	7,	1238,	2,	2),
(106934,	7,	1238,	3,	2),
(106935,	7,	1239,	1,	1),
(106936,	7,	1239,	2,	1),
(106937,	7,	1239,	3,	1),
(106938,	7,	1240,	1,	1),
(106939,	7,	1240,	2,	1),
(106940,	7,	1240,	3,	1),
(106941,	7,	1240,	1,	2),
(106942,	7,	1240,	2,	2),
(106943,	7,	1240,	3,	2),
(106944,	7,	1241,	1,	1),
(106945,	7,	1241,	2,	1),
(106946,	7,	1241,	3,	1),
(106947,	7,	1241,	1,	2),
(106948,	7,	1241,	2,	2),
(106949,	7,	1241,	3,	2),
(106950,	7,	1242,	1,	1),
(106951,	7,	1242,	2,	1),
(106952,	7,	1242,	3,	1),
(106953,	7,	1242,	1,	2),
(106954,	7,	1242,	2,	2),
(106955,	7,	1242,	3,	2),
(106956,	7,	1243,	1,	1),
(106957,	7,	1243,	2,	1),
(106958,	7,	1243,	3,	1),
(106959,	7,	1244,	1,	1),
(106960,	7,	1244,	2,	1),
(106961,	7,	1244,	3,	1),
(106962,	7,	1244,	1,	3),
(106963,	7,	1244,	2,	3),
(106964,	7,	1244,	3,	3),
(106965,	7,	1245,	1,	1),
(106966,	7,	1245,	2,	1),
(106967,	7,	1245,	3,	1),
(106968,	7,	1246,	1,	1),
(106969,	7,	1246,	2,	1),
(106970,	7,	1246,	3,	1),
(106971,	7,	1246,	1,	2),
(106972,	7,	1246,	2,	2),
(106973,	7,	1246,	3,	2),
(106974,	7,	1247,	1,	1),
(106975,	7,	1247,	2,	1),
(106976,	7,	1247,	3,	1),
(106977,	7,	1247,	1,	3),
(106978,	7,	1247,	2,	3),
(106979,	7,	1247,	3,	3),
(106980,	7,	1248,	1,	1),
(106981,	7,	1248,	2,	1),
(106982,	7,	1248,	3,	1),
(106983,	7,	1248,	1,	2),
(106984,	7,	1248,	2,	2),
(106985,	7,	1248,	3,	2),
(106986,	7,	1249,	1,	1),
(106987,	7,	1249,	2,	1),
(106988,	7,	1249,	3,	1),
(106989,	7,	1249,	1,	2),
(106990,	7,	1249,	2,	2),
(106991,	7,	1249,	3,	2),
(106992,	7,	1250,	1,	1),
(106993,	7,	1250,	2,	1),
(106994,	7,	1250,	3,	1),
(106995,	7,	1250,	1,	2),
(106996,	7,	1250,	2,	2),
(106997,	7,	1250,	3,	2),
(106998,	7,	1251,	1,	1),
(106999,	7,	1251,	2,	1),
(107000,	7,	1251,	3,	1),
(107001,	7,	1251,	1,	2),
(107002,	7,	1251,	2,	2),
(107003,	7,	1251,	3,	2),
(107004,	7,	1252,	1,	1),
(107005,	7,	1252,	2,	1),
(107006,	7,	1252,	3,	1),
(107007,	7,	1252,	1,	2),
(107008,	7,	1252,	2,	2),
(107009,	7,	1252,	3,	2),
(107010,	7,	1253,	1,	1),
(107011,	7,	1253,	2,	1),
(107012,	7,	1253,	3,	1),
(107013,	7,	1253,	1,	2),
(107014,	7,	1253,	2,	2),
(107015,	7,	1253,	3,	2),
(107016,	7,	1254,	1,	1),
(107017,	7,	1254,	2,	1),
(107018,	7,	1254,	3,	1),
(107019,	7,	1254,	1,	2),
(107020,	7,	1254,	2,	2),
(107021,	7,	1254,	3,	2),
(107022,	7,	1255,	1,	1),
(107023,	7,	1255,	2,	1),
(107024,	7,	1255,	3,	1),
(107025,	7,	1255,	1,	2),
(107026,	7,	1255,	2,	2),
(107027,	7,	1255,	3,	2),
(107028,	7,	1256,	1,	1),
(107029,	7,	1256,	2,	1),
(107030,	7,	1256,	3,	1),
(107031,	7,	1256,	1,	2),
(107032,	7,	1256,	2,	2),
(107033,	7,	1256,	3,	2),
(107034,	7,	1257,	1,	1),
(107035,	7,	1258,	3,	1),
(107036,	7,	1259,	1,	1),
(107037,	7,	1260,	1,	1),
(107038,	7,	1260,	2,	1),
(107039,	7,	1260,	3,	1),
(107040,	7,	1260,	1,	2),
(107041,	7,	1260,	2,	2),
(107042,	7,	1260,	3,	2),
(107043,	7,	1261,	1,	1),
(107044,	7,	1261,	2,	1),
(107045,	7,	1261,	3,	1),
(107046,	7,	1261,	1,	2),
(107047,	7,	1261,	2,	2),
(107048,	7,	1261,	3,	2),
(107049,	7,	1262,	1,	1),
(107050,	7,	1262,	2,	1),
(107051,	7,	1262,	3,	1),
(107052,	7,	1262,	1,	2),
(107053,	7,	1262,	2,	2),
(107054,	7,	1262,	3,	2),
(107055,	7,	1263,	1,	1),
(107056,	7,	1263,	2,	1),
(107057,	7,	1263,	3,	1),
(107058,	7,	1264,	1,	1),
(107059,	7,	1264,	2,	1),
(107060,	7,	1264,	3,	1),
(107061,	7,	1264,	1,	2),
(107062,	7,	1264,	2,	2),
(107063,	7,	1264,	3,	2),
(107064,	7,	1265,	1,	1),
(107065,	7,	1265,	2,	1),
(107066,	7,	1265,	3,	1),
(107067,	7,	1265,	1,	2),
(107068,	7,	1265,	2,	2),
(107069,	7,	1265,	3,	2),
(107070,	7,	1266,	1,	1),
(107071,	7,	1266,	2,	1),
(107072,	7,	1266,	3,	1),
(107073,	7,	1267,	1,	1),
(107074,	7,	1267,	2,	1),
(107075,	7,	1267,	3,	1),
(107076,	7,	1267,	1,	2),
(107077,	7,	1267,	2,	2),
(107078,	7,	1267,	3,	2),
(107079,	7,	1268,	2,	1),
(107080,	7,	1269,	1,	1),
(107081,	7,	1269,	2,	1),
(107082,	7,	1269,	3,	1),
(107083,	7,	1270,	1,	1),
(107084,	7,	1270,	2,	1),
(107085,	7,	1270,	3,	1),
(107086,	7,	1270,	1,	2),
(107087,	7,	1270,	2,	2),
(107088,	7,	1270,	3,	2),
(107089,	7,	1271,	1,	1),
(107090,	7,	1271,	2,	1),
(107091,	7,	1271,	3,	1),
(107092,	7,	1271,	1,	2),
(107093,	7,	1271,	2,	2),
(107094,	7,	1271,	3,	2),
(107095,	7,	1272,	1,	1),
(107096,	7,	1272,	2,	1),
(107097,	7,	1272,	3,	1),
(107098,	7,	1273,	1,	1),
(107099,	7,	1273,	2,	1),
(107100,	7,	1273,	3,	1),
(107101,	7,	1274,	1,	1),
(107102,	7,	1274,	2,	1),
(107103,	7,	1274,	3,	1),
(107104,	7,	1275,	1,	1),
(107105,	7,	1275,	2,	1),
(107106,	7,	1275,	3,	1),
(107107,	7,	1275,	1,	2),
(107108,	7,	1275,	2,	2),
(107109,	7,	1275,	3,	2),
(107110,	7,	1276,	1,	1),
(107111,	7,	1276,	2,	1),
(107112,	7,	1276,	3,	1),
(107113,	7,	1276,	1,	2),
(107114,	7,	1276,	2,	2),
(107115,	7,	1276,	3,	2),
(107116,	7,	1277,	1,	1),
(107117,	7,	1277,	2,	1),
(107118,	7,	1277,	3,	1),
(107119,	7,	1277,	1,	2),
(107120,	7,	1277,	2,	2),
(107121,	7,	1277,	3,	2),
(107122,	7,	1278,	1,	1),
(107123,	7,	1278,	2,	1),
(107124,	7,	1278,	3,	1),
(107125,	7,	1278,	1,	2),
(107126,	7,	1278,	2,	2),
(107127,	7,	1278,	3,	2),
(107128,	7,	1279,	1,	1),
(107129,	7,	1279,	2,	1),
(107130,	7,	1279,	3,	1),
(107131,	7,	1279,	1,	2),
(107132,	7,	1279,	2,	2),
(107133,	7,	1279,	3,	2),
(107134,	7,	1280,	2,	2),
(107135,	7,	1281,	1,	1),
(107136,	7,	1281,	2,	1),
(107137,	7,	1281,	3,	1),
(107138,	7,	1281,	1,	2),
(107139,	7,	1281,	2,	2),
(107140,	7,	1281,	3,	2),
(107141,	7,	1282,	1,	1),
(107142,	7,	1282,	2,	1),
(107143,	7,	1282,	3,	1),
(107144,	7,	1282,	1,	2),
(107145,	7,	1282,	2,	2),
(107146,	7,	1282,	3,	2),
(107147,	7,	1283,	1,	1),
(107148,	7,	1283,	2,	1),
(107149,	7,	1283,	3,	1),
(107150,	7,	1283,	1,	2),
(107151,	7,	1283,	2,	2),
(107152,	7,	1283,	3,	2),
(107153,	7,	1284,	1,	1),
(107154,	7,	1284,	2,	1),
(107155,	7,	1284,	3,	1),
(107156,	7,	1284,	1,	2),
(107157,	7,	1284,	2,	2),
(107158,	7,	1284,	3,	2),
(107159,	7,	1285,	1,	1),
(107160,	7,	1285,	2,	1),
(107161,	7,	1285,	3,	1),
(107162,	7,	1285,	1,	2),
(107163,	7,	1285,	2,	2),
(107164,	7,	1285,	3,	2),
(107165,	7,	1286,	1,	1),
(107166,	7,	1286,	2,	1),
(107167,	7,	1286,	3,	1),
(107168,	7,	1286,	1,	2),
(107169,	7,	1286,	2,	2),
(107170,	7,	1286,	3,	2),
(107171,	7,	1287,	1,	1),
(107172,	7,	1287,	2,	1),
(107173,	7,	1287,	3,	1),
(107174,	7,	1287,	6,	1),
(107175,	7,	1287,	24,	1),
(107176,	7,	1287,	25,	1),
(107177,	7,	1287,	4,	1),
(107178,	7,	1287,	23,	1),
(107179,	7,	1288,	1,	1),
(107180,	7,	1288,	2,	1),
(107181,	7,	1288,	3,	1),
(107182,	7,	1288,	6,	1),
(107183,	7,	1288,	24,	1),
(107184,	7,	1288,	25,	1),
(107185,	7,	1288,	4,	1),
(107186,	7,	1288,	23,	1),
(107187,	7,	1289,	1,	1),
(107188,	7,	1289,	2,	1),
(107189,	7,	1289,	3,	1),
(107190,	7,	1289,	6,	1),
(107191,	7,	1289,	24,	1),
(107192,	7,	1289,	25,	1),
(107193,	7,	1289,	4,	1),
(107194,	7,	1289,	23,	1),
(107195,	7,	1290,	1,	1),
(107196,	7,	1290,	2,	1),
(107197,	7,	1290,	3,	1),
(107198,	7,	1290,	6,	1),
(107199,	7,	1290,	24,	1),
(107200,	7,	1290,	25,	1),
(107201,	7,	1290,	4,	1),
(107202,	7,	1290,	23,	1),
(107203,	7,	1291,	1,	1),
(107204,	7,	1291,	2,	1),
(107205,	7,	1291,	3,	1),
(107206,	7,	1291,	6,	1),
(107207,	7,	1291,	24,	1),
(107208,	7,	1291,	25,	1),
(107209,	7,	1291,	4,	1),
(107210,	7,	1291,	23,	1),
(107211,	7,	1292,	1,	1),
(107212,	7,	1292,	2,	1),
(107213,	7,	1292,	3,	1),
(107214,	7,	1292,	6,	1),
(107215,	7,	1292,	24,	1),
(107216,	7,	1292,	25,	1),
(107217,	7,	1292,	4,	1),
(107218,	7,	1292,	23,	1),
(107219,	7,	1293,	1,	1),
(107220,	7,	1293,	2,	1),
(107221,	7,	1293,	3,	1),
(107222,	7,	1293,	6,	1),
(107223,	7,	1293,	24,	1),
(107224,	7,	1293,	25,	1),
(107225,	7,	1293,	4,	1),
(107226,	7,	1293,	23,	1),
(107227,	7,	1294,	1,	1),
(107228,	7,	1294,	2,	1),
(107229,	7,	1294,	3,	1),
(107230,	7,	1294,	6,	1),
(107231,	7,	1294,	24,	1),
(107232,	7,	1294,	25,	1),
(107233,	7,	1294,	4,	1),
(107234,	7,	1294,	23,	1),
(107235,	7,	1295,	1,	1),
(107236,	7,	1295,	2,	1),
(107237,	7,	1295,	3,	1),
(107238,	7,	1295,	6,	1),
(107239,	7,	1295,	24,	1),
(107240,	7,	1295,	25,	1),
(107241,	7,	1295,	4,	1),
(107242,	7,	1295,	23,	1),
(107243,	7,	1296,	1,	1),
(107244,	7,	1296,	2,	1),
(107245,	7,	1296,	3,	1),
(107246,	7,	1296,	6,	1),
(107247,	7,	1296,	24,	1),
(107248,	7,	1296,	25,	1),
(107249,	7,	1296,	4,	1),
(107250,	7,	1296,	23,	1),
(107251,	7,	1297,	1,	1),
(107252,	7,	1297,	2,	1),
(107253,	7,	1297,	3,	1),
(107254,	7,	1297,	6,	1),
(107255,	7,	1297,	24,	1),
(107256,	7,	1297,	25,	1),
(107257,	7,	1297,	4,	1),
(107258,	7,	1297,	23,	1),
(107259,	7,	1297,	26,	1),
(107260,	7,	1298,	1,	1),
(107261,	7,	1298,	2,	1),
(107262,	7,	1298,	3,	1),
(107263,	7,	1299,	1,	1),
(107264,	7,	1299,	2,	1),
(107265,	7,	1299,	3,	1),
(107266,	7,	1299,	6,	1),
(107267,	7,	1299,	24,	1),
(107268,	7,	1299,	25,	1),
(107269,	7,	1299,	4,	1),
(107270,	7,	1299,	23,	1),
(107271,	7,	1300,	1,	1),
(107272,	7,	1300,	2,	1),
(107273,	7,	1300,	3,	1),
(107274,	7,	1300,	6,	1),
(107275,	7,	1300,	24,	1),
(107276,	7,	1300,	25,	1),
(107277,	7,	1300,	4,	1),
(107278,	7,	1300,	23,	1),
(107279,	7,	1301,	1,	1),
(107280,	7,	1301,	2,	1),
(107281,	7,	1301,	3,	1),
(107282,	7,	1302,	1,	1),
(107283,	7,	1302,	2,	1),
(107284,	7,	1302,	3,	1),
(107285,	7,	1302,	6,	1),
(107286,	7,	1302,	24,	1),
(107287,	7,	1302,	25,	1),
(107288,	7,	1302,	4,	1),
(107289,	7,	1302,	23,	1),
(107290,	7,	1303,	1,	1),
(107291,	7,	1303,	2,	1),
(107292,	7,	1303,	3,	1),
(107293,	7,	1303,	6,	1),
(107294,	7,	1303,	24,	1),
(107295,	7,	1303,	25,	1),
(107296,	7,	1303,	4,	1),
(107297,	7,	1303,	23,	1),
(107298,	7,	1304,	1,	1),
(107299,	7,	1304,	2,	1),
(107300,	7,	1304,	3,	1),
(107301,	7,	1305,	1,	1),
(107302,	7,	1305,	2,	1),
(107303,	7,	1305,	3,	1),
(107304,	7,	1305,	6,	1),
(107305,	7,	1305,	24,	1),
(107306,	7,	1305,	25,	1),
(107307,	7,	1305,	4,	1),
(107308,	7,	1305,	23,	1),
(107309,	7,	1306,	1,	1),
(107310,	7,	1306,	2,	1),
(107311,	7,	1306,	3,	1),
(107312,	7,	1306,	1,	2),
(107313,	7,	1306,	2,	2),
(107314,	7,	1306,	3,	2),
(107315,	7,	1307,	1,	1),
(107316,	7,	1307,	2,	1),
(107317,	7,	1307,	3,	1),
(107318,	7,	1307,	1,	2),
(107319,	7,	1307,	2,	2),
(107320,	7,	1307,	3,	2),
(107321,	7,	1308,	1,	1),
(107322,	7,	1308,	2,	1),
(107323,	7,	1308,	3,	1),
(107324,	7,	1308,	6,	1),
(107325,	7,	1308,	24,	1),
(107326,	7,	1308,	25,	1),
(107327,	7,	1308,	4,	1),
(107328,	7,	1308,	23,	1),
(107329,	7,	1309,	1,	1),
(107330,	7,	1309,	2,	1),
(107331,	7,	1309,	3,	1),
(107332,	7,	1309,	23,	1),
(107333,	7,	1309,	6,	1),
(107334,	7,	1309,	24,	1),
(107335,	7,	1309,	25,	1),
(107336,	7,	1309,	4,	1),
(107337,	7,	1309,	26,	1),
(107338,	7,	1310,	1,	1),
(107339,	7,	1310,	2,	1),
(107340,	7,	1310,	3,	1),
(107341,	7,	1311,	1,	1),
(107342,	7,	1311,	2,	1),
(107343,	7,	1311,	3,	1),
(107344,	7,	1311,	23,	1),
(107345,	7,	1311,	6,	1),
(107346,	7,	1311,	24,	1),
(107347,	7,	1311,	25,	1),
(107348,	7,	1311,	4,	1),
(107349,	7,	1311,	26,	1),
(107350,	7,	1312,	1,	1),
(107351,	7,	1312,	2,	1),
(107352,	7,	1312,	3,	1),
(107353,	7,	1312,	23,	1),
(107354,	7,	1312,	6,	1),
(107355,	7,	1312,	24,	1),
(107356,	7,	1312,	25,	1),
(107357,	7,	1312,	4,	1),
(107358,	7,	1312,	26,	1),
(107359,	7,	1313,	1,	1),
(107360,	7,	1313,	2,	1),
(107361,	7,	1313,	3,	1),
(107362,	7,	1314,	1,	1),
(107363,	7,	1314,	2,	1),
(107364,	7,	1314,	3,	1),
(107365,	7,	1314,	23,	1),
(107366,	7,	1314,	6,	1),
(107367,	7,	1314,	24,	1),
(107368,	7,	1314,	25,	1),
(107369,	7,	1314,	4,	1),
(107370,	7,	1314,	26,	1),
(107371,	7,	1315,	1,	1),
(107372,	7,	1315,	2,	1),
(107373,	7,	1315,	3,	1),
(107374,	7,	1315,	23,	1),
(107375,	7,	1315,	6,	1),
(107376,	7,	1315,	24,	1),
(107377,	7,	1315,	25,	1),
(107378,	7,	1315,	4,	1),
(107379,	7,	1315,	26,	1),
(107380,	7,	1316,	1,	1),
(107381,	7,	1316,	2,	1),
(107382,	7,	1316,	3,	1),
(107383,	7,	1317,	1,	1),
(107384,	7,	1317,	2,	1),
(107385,	7,	1317,	3,	1),
(107386,	7,	1317,	23,	1),
(107387,	7,	1317,	6,	1),
(107388,	7,	1317,	24,	1),
(107389,	7,	1317,	25,	1),
(107390,	7,	1317,	4,	1),
(107391,	7,	1317,	26,	1),
(107392,	7,	1318,	1,	1),
(107393,	7,	1318,	2,	1),
(107394,	7,	1318,	3,	1),
(107395,	7,	1318,	1,	2),
(107396,	7,	1318,	2,	2),
(107397,	7,	1318,	3,	2),
(107398,	7,	1319,	2,	1),
(107399,	7,	1321,	1,	1),
(107400,	7,	1321,	2,	1),
(107401,	7,	1321,	3,	1),
(107402,	7,	1322,	1,	1),
(107403,	7,	1322,	2,	1),
(107404,	7,	1322,	3,	1),
(107405,	7,	1323,	1,	1),
(107406,	7,	1323,	2,	1),
(107407,	7,	1323,	3,	1),
(107408,	7,	1324,	1,	1),
(107409,	7,	1324,	2,	1),
(107410,	7,	1324,	3,	1),
(107411,	7,	1325,	1,	1),
(107412,	7,	1325,	2,	1),
(107413,	7,	1325,	3,	1),
(107414,	7,	1326,	1,	1),
(107415,	7,	1326,	2,	1),
(107416,	7,	1326,	3,	1),
(107417,	7,	1327,	1,	1),
(107418,	7,	1327,	2,	1),
(107419,	7,	1327,	3,	1),
(107420,	7,	1328,	1,	1),
(107421,	7,	1328,	2,	1),
(107422,	7,	1328,	3,	1),
(107423,	7,	1329,	1,	1),
(107424,	7,	1329,	2,	1),
(107425,	7,	1329,	3,	1),
(107426,	7,	1330,	1,	1),
(107427,	7,	1330,	2,	1),
(107428,	7,	1330,	3,	1),
(107429,	7,	1331,	1,	1),
(107430,	7,	1331,	2,	1),
(107431,	7,	1331,	3,	1),
(107432,	7,	1332,	1,	1),
(107433,	7,	1332,	2,	1),
(107434,	7,	1332,	3,	1),
(107435,	7,	1333,	1,	1),
(107436,	7,	1333,	2,	1),
(107437,	7,	1333,	3,	1),
(107438,	7,	1334,	1,	1),
(107439,	7,	1334,	2,	1),
(107440,	7,	1334,	3,	1),
(107441,	7,	1335,	1,	1),
(107442,	7,	1335,	2,	1),
(107443,	7,	1335,	3,	1),
(107444,	7,	1336,	1,	1),
(107445,	7,	1336,	2,	1),
(107446,	7,	1336,	3,	1),
(107447,	7,	1337,	1,	1),
(107448,	7,	1337,	2,	1),
(107449,	7,	1337,	3,	1),
(107450,	7,	1338,	1,	1),
(107451,	7,	1338,	2,	1),
(107452,	7,	1338,	3,	1),
(107453,	7,	1339,	1,	1),
(107454,	7,	1339,	2,	1),
(107455,	7,	1339,	3,	1),
(107456,	7,	1340,	1,	1),
(107457,	7,	1340,	2,	1),
(107458,	7,	1340,	3,	1),
(107459,	7,	1341,	1,	1),
(107460,	7,	1341,	2,	1),
(107461,	7,	1341,	3,	1),
(107462,	7,	1342,	1,	1),
(107463,	7,	1342,	2,	1),
(107464,	7,	1342,	3,	1),
(107465,	7,	1343,	1,	1),
(107466,	7,	1343,	2,	1),
(107467,	7,	1343,	3,	1),
(107468,	7,	1343,	24,	1),
(107469,	7,	1344,	1,	1),
(107470,	7,	1344,	2,	1),
(107471,	7,	1344,	3,	1),
(107472,	7,	1344,	24,	1),
(107473,	7,	1345,	1,	1),
(107474,	7,	1345,	2,	1),
(107475,	7,	1345,	3,	1),
(107476,	7,	1345,	24,	1),
(107477,	7,	1346,	1,	1),
(107478,	7,	1346,	2,	1),
(107479,	7,	1346,	3,	1),
(107480,	7,	1346,	24,	1),
(107481,	7,	1347,	1,	1),
(107482,	7,	1347,	2,	1),
(107483,	7,	1347,	3,	1),
(107484,	7,	1347,	24,	1),
(107485,	7,	1348,	1,	1),
(107486,	7,	1348,	2,	1),
(107487,	7,	1348,	3,	1),
(107488,	7,	1348,	24,	1),
(107489,	7,	1349,	1,	1),
(107490,	7,	1349,	2,	1),
(107491,	7,	1349,	3,	1),
(107492,	7,	1350,	1,	1),
(107493,	7,	1350,	2,	1),
(107494,	7,	1350,	3,	1),
(107495,	7,	1350,	23,	1),
(107496,	7,	1350,	6,	1),
(107497,	7,	1350,	24,	1),
(107498,	7,	1350,	25,	1),
(107499,	7,	1350,	4,	1),
(107500,	7,	1350,	5,	1),
(107501,	7,	1351,	1,	1),
(107502,	7,	1351,	2,	1),
(107503,	7,	1351,	3,	1),
(107504,	7,	1352,	1,	1),
(107505,	7,	1352,	2,	1),
(107506,	7,	1352,	3,	1),
(107507,	7,	1352,	23,	1),
(107508,	7,	1352,	6,	1),
(107509,	7,	1352,	24,	1),
(107510,	7,	1352,	25,	1),
(107511,	7,	1352,	4,	1),
(107512,	7,	1352,	5,	1),
(107513,	7,	1353,	1,	1),
(107514,	7,	1353,	2,	1),
(107515,	7,	1353,	3,	1),
(107516,	7,	1354,	1,	1),
(107517,	7,	1354,	2,	1),
(107518,	7,	1354,	3,	1),
(107519,	7,	1354,	23,	1),
(107520,	7,	1354,	6,	1),
(107521,	7,	1354,	24,	1),
(107522,	7,	1354,	25,	1),
(107523,	7,	1354,	4,	1),
(107524,	7,	1354,	5,	1),
(107525,	7,	1355,	1,	1),
(107526,	7,	1355,	2,	1),
(107527,	7,	1355,	3,	1),
(107528,	7,	1356,	1,	1),
(107529,	7,	1356,	2,	1),
(107530,	7,	1356,	3,	1),
(107531,	7,	1357,	1,	1),
(107532,	7,	1357,	2,	1),
(107533,	7,	1357,	3,	1),
(107534,	7,	1357,	23,	1),
(107535,	7,	1357,	6,	1),
(107536,	7,	1357,	24,	1),
(107537,	7,	1357,	25,	1),
(107538,	7,	1357,	4,	1),
(107539,	7,	1357,	5,	1),
(107540,	7,	1358,	1,	1),
(107541,	7,	1358,	2,	1),
(107542,	7,	1358,	3,	1),
(107543,	7,	1359,	1,	1),
(107544,	7,	1359,	2,	1),
(107545,	7,	1359,	3,	1),
(107546,	7,	1359,	23,	1),
(107547,	7,	1359,	6,	1),
(107548,	7,	1359,	24,	1),
(107549,	7,	1359,	25,	1),
(107550,	7,	1359,	4,	1),
(107551,	7,	1359,	5,	1),
(107552,	7,	1360,	1,	1),
(107553,	7,	1360,	2,	1),
(107554,	7,	1360,	3,	1),
(107555,	7,	1360,	23,	1),
(107556,	7,	1360,	6,	1),
(107557,	7,	1360,	24,	1),
(107558,	7,	1360,	25,	1),
(107559,	7,	1360,	4,	1),
(107560,	7,	1360,	5,	1),
(107561,	7,	1361,	1,	1),
(107562,	7,	1361,	2,	1),
(107563,	7,	1361,	3,	1),
(107564,	7,	1361,	23,	1),
(107565,	7,	1361,	6,	1),
(107566,	7,	1361,	24,	1),
(107567,	7,	1361,	25,	1),
(107568,	7,	1361,	4,	1),
(107569,	7,	1361,	5,	1),
(107570,	7,	1362,	1,	1),
(107571,	7,	1362,	2,	1),
(107572,	7,	1362,	3,	1),
(107573,	7,	1363,	1,	1),
(107574,	7,	1363,	2,	1),
(107575,	7,	1363,	3,	1),
(107576,	7,	1363,	23,	1),
(107577,	7,	1363,	6,	1),
(107578,	7,	1363,	24,	1),
(107579,	7,	1363,	25,	1),
(107580,	7,	1363,	4,	1),
(107581,	7,	1363,	5,	1),
(107582,	7,	1364,	1,	1),
(107583,	7,	1364,	2,	1),
(107584,	7,	1364,	3,	1),
(107585,	7,	1365,	1,	1),
(107586,	7,	1365,	2,	1),
(107587,	7,	1365,	3,	1),
(107588,	7,	1366,	1,	1),
(107589,	7,	1366,	2,	1),
(107590,	7,	1366,	3,	1),
(107591,	7,	1367,	1,	1),
(107592,	7,	1367,	2,	1),
(107593,	7,	1367,	3,	1),
(107594,	7,	1368,	1,	1),
(107595,	7,	1368,	2,	1),
(107596,	7,	1368,	3,	1),
(107597,	7,	1369,	1,	1),
(107598,	7,	1369,	2,	1),
(107599,	7,	1369,	3,	1),
(107600,	7,	1370,	1,	1),
(107601,	7,	1370,	2,	1),
(107602,	7,	1370,	3,	1),
(107603,	7,	1371,	1,	1),
(107604,	7,	1371,	2,	1),
(107605,	7,	1371,	3,	1),
(107606,	7,	1372,	1,	1),
(107607,	7,	1372,	2,	1),
(107608,	7,	1372,	3,	1),
(107609,	7,	1372,	23,	1),
(107610,	7,	1372,	6,	1),
(107611,	7,	1372,	24,	1),
(107612,	7,	1372,	25,	1),
(107613,	7,	1372,	4,	1),
(107614,	7,	1372,	5,	1),
(107615,	7,	1373,	1,	1),
(107616,	7,	1373,	2,	1),
(107617,	7,	1373,	3,	1),
(107618,	7,	1373,	23,	1),
(107619,	7,	1373,	6,	1),
(107620,	7,	1373,	24,	1),
(107621,	7,	1373,	25,	1),
(107622,	7,	1373,	4,	1),
(107623,	7,	1373,	5,	1),
(107624,	7,	1374,	1,	1),
(107625,	7,	1374,	2,	1),
(107626,	7,	1374,	3,	1),
(107627,	7,	1375,	1,	1),
(107628,	7,	1375,	2,	1),
(107629,	7,	1375,	3,	1),
(107630,	7,	1375,	23,	1),
(107631,	7,	1375,	6,	1),
(107632,	7,	1375,	24,	1),
(107633,	7,	1375,	25,	1),
(107634,	7,	1375,	4,	1),
(107635,	7,	1375,	5,	1),
(107636,	7,	1376,	1,	1),
(107637,	7,	1376,	2,	1),
(107638,	7,	1376,	3,	1),
(107639,	7,	1376,	23,	1),
(107640,	7,	1376,	6,	1),
(107641,	7,	1376,	24,	1),
(107642,	7,	1376,	25,	1),
(107643,	7,	1376,	4,	1),
(107644,	7,	1376,	5,	1),
(107645,	7,	1377,	1,	1),
(107646,	7,	1377,	2,	1),
(107647,	7,	1377,	3,	1),
(107648,	7,	1377,	23,	1),
(107649,	7,	1377,	6,	1),
(107650,	7,	1377,	24,	1),
(107651,	7,	1377,	25,	1),
(107652,	7,	1377,	4,	1),
(107653,	7,	1377,	5,	1),
(107654,	7,	1378,	1,	1),
(107655,	7,	1378,	2,	1),
(107656,	7,	1378,	3,	1),
(107657,	7,	1379,	1,	1),
(107658,	7,	1379,	2,	1),
(107659,	7,	1379,	3,	1),
(107660,	7,	1380,	1,	1),
(107661,	7,	1380,	2,	1),
(107662,	7,	1380,	3,	1),
(107663,	7,	1381,	1,	1),
(107664,	7,	1381,	2,	1),
(107665,	7,	1381,	3,	1),
(107666,	7,	1382,	1,	1),
(107667,	7,	1382,	2,	1),
(107668,	7,	1382,	3,	1),
(107669,	7,	1383,	1,	1),
(107670,	7,	1383,	2,	1),
(107671,	7,	1383,	3,	1),
(107672,	7,	1384,	1,	1),
(107673,	7,	1384,	2,	1),
(107674,	7,	1384,	3,	1),
(107675,	7,	1385,	1,	1),
(107676,	7,	1385,	2,	1),
(107677,	7,	1385,	3,	1),
(107678,	7,	1386,	1,	1),
(107679,	7,	1386,	2,	1),
(107680,	7,	1386,	3,	1),
(107681,	7,	1387,	1,	1),
(107682,	7,	1387,	2,	1),
(107683,	7,	1387,	3,	1),
(107684,	7,	1387,	23,	1),
(107685,	7,	1387,	6,	1),
(107686,	7,	1387,	24,	1),
(107687,	7,	1387,	25,	1),
(107688,	7,	1387,	4,	1),
(107689,	7,	1388,	1,	1),
(107690,	7,	1388,	2,	1),
(107691,	7,	1388,	3,	1),
(107692,	7,	1388,	23,	1),
(107693,	7,	1388,	6,	1),
(107694,	7,	1388,	24,	1),
(107695,	7,	1388,	25,	1),
(107696,	7,	1388,	4,	1),
(107697,	7,	1389,	1,	1),
(107698,	7,	1389,	2,	1),
(107699,	7,	1389,	3,	1),
(107700,	7,	1389,	23,	1),
(107701,	7,	1389,	6,	1),
(107702,	7,	1389,	24,	1),
(107703,	7,	1389,	25,	1),
(107704,	7,	1389,	4,	1),
(107705,	7,	1390,	1,	1),
(107706,	7,	1390,	2,	1),
(107707,	7,	1390,	3,	1),
(107708,	7,	1391,	1,	1),
(107709,	7,	1391,	2,	1),
(107710,	7,	1391,	3,	1),
(107711,	7,	1391,	23,	1),
(107712,	7,	1391,	6,	1),
(107713,	7,	1391,	24,	1),
(107714,	7,	1391,	25,	1),
(107715,	7,	1391,	4,	1),
(107716,	7,	1392,	1,	1),
(107717,	7,	1392,	2,	1),
(107718,	7,	1392,	3,	1),
(107719,	7,	1393,	1,	1),
(107720,	7,	1393,	2,	1),
(107721,	7,	1393,	3,	1),
(107722,	7,	1393,	23,	1),
(107723,	7,	1393,	6,	1),
(107724,	7,	1393,	24,	1),
(107725,	7,	1393,	25,	1),
(107726,	7,	1393,	4,	1),
(107727,	7,	1394,	1,	1),
(107728,	7,	1394,	2,	1),
(107729,	7,	1394,	3,	1),
(107730,	7,	1395,	1,	1),
(107731,	7,	1395,	2,	1),
(107732,	7,	1395,	3,	1),
(107733,	7,	1396,	1,	1),
(107734,	7,	1396,	2,	1),
(107735,	7,	1396,	3,	1),
(107736,	7,	1397,	1,	1),
(107737,	7,	1397,	2,	1),
(107738,	7,	1397,	3,	1),
(107739,	7,	1398,	1,	1),
(107740,	7,	1398,	2,	1),
(107741,	7,	1398,	3,	1),
(107742,	7,	1399,	1,	1),
(107743,	7,	1399,	2,	1),
(107744,	7,	1399,	3,	1),
(107745,	7,	1400,	1,	1),
(107746,	7,	1400,	2,	1),
(107747,	7,	1400,	3,	1),
(107748,	7,	1401,	1,	1),
(107749,	7,	1401,	2,	1),
(107750,	7,	1401,	3,	1),
(107751,	7,	1401,	1,	2),
(107752,	7,	1401,	2,	2),
(107753,	7,	1401,	3,	2),
(107754,	7,	1402,	1,	1),
(107755,	7,	1402,	2,	1),
(107756,	7,	1402,	3,	1),
(107757,	7,	1402,	1,	2),
(107758,	7,	1402,	2,	2),
(107759,	7,	1402,	3,	2),
(107760,	7,	1403,	1,	1),
(107761,	7,	1403,	2,	1),
(107762,	7,	1403,	3,	1),
(107763,	7,	1403,	1,	2),
(107764,	7,	1403,	2,	2),
(107765,	7,	1403,	3,	2),
(107766,	7,	1404,	1,	1),
(107767,	7,	1404,	2,	1),
(107768,	7,	1404,	3,	1),
(107769,	7,	1404,	1,	2),
(107770,	7,	1404,	2,	2),
(107771,	7,	1404,	3,	2),
(107772,	7,	1405,	1,	1),
(107773,	7,	1405,	2,	1),
(107774,	7,	1405,	3,	1),
(107775,	7,	1405,	1,	2),
(107776,	7,	1405,	2,	2),
(107777,	7,	1405,	3,	2),
(107778,	7,	1406,	1,	1),
(107779,	7,	1406,	2,	1),
(107780,	7,	1406,	3,	1),
(107781,	7,	1406,	1,	2),
(107782,	7,	1406,	2,	2),
(107783,	7,	1406,	3,	2),
(107784,	7,	1407,	1,	1),
(107785,	7,	1407,	2,	1),
(107786,	7,	1407,	3,	1),
(107787,	7,	1407,	1,	2),
(107788,	7,	1407,	2,	2),
(107789,	7,	1407,	3,	2),
(107790,	7,	1408,	1,	1),
(107791,	7,	1408,	2,	1),
(107792,	7,	1408,	3,	1),
(107793,	7,	1408,	1,	2),
(107794,	7,	1408,	2,	2),
(107795,	7,	1408,	3,	2),
(107796,	7,	1409,	3,	1),
(107797,	7,	1410,	1,	1),
(107798,	7,	1410,	2,	1),
(107799,	7,	1410,	3,	1),
(107800,	7,	1410,	1,	2),
(107801,	7,	1410,	2,	2),
(107802,	7,	1410,	3,	2),
(107803,	7,	1411,	1,	1),
(107804,	7,	1411,	2,	1),
(107805,	7,	1411,	3,	1),
(107806,	7,	1411,	1,	2),
(107807,	7,	1411,	2,	2),
(107808,	7,	1411,	3,	2),
(107809,	7,	1412,	1,	1),
(107810,	7,	1412,	2,	1),
(107811,	7,	1412,	3,	1),
(107812,	7,	1412,	1,	2),
(107813,	7,	1412,	2,	2),
(107814,	7,	1412,	3,	2),
(107815,	7,	1413,	1,	1),
(107816,	7,	1413,	2,	1),
(107817,	7,	1413,	3,	1),
(107818,	7,	1413,	1,	2),
(107819,	7,	1413,	2,	2),
(107820,	7,	1413,	3,	2),
(107821,	7,	1414,	1,	1),
(107822,	7,	1414,	2,	1),
(107823,	7,	1414,	3,	1),
(107824,	7,	1415,	1,	1),
(107825,	7,	1415,	2,	1),
(107826,	7,	1415,	3,	1),
(107827,	7,	1416,	1,	1),
(107828,	7,	1416,	2,	1),
(107829,	7,	1416,	3,	1),
(107830,	7,	1416,	1,	2),
(107831,	7,	1416,	2,	2),
(107832,	7,	1416,	3,	2),
(107833,	7,	1417,	2,	1),
(107834,	7,	1418,	1,	1),
(107835,	7,	1418,	2,	1),
(107836,	7,	1418,	3,	1),
(107837,	7,	1419,	1,	1),
(107838,	7,	1419,	2,	1),
(107839,	7,	1419,	3,	1),
(107840,	7,	1419,	1,	2),
(107841,	7,	1419,	2,	2),
(107842,	7,	1419,	3,	2),
(107843,	7,	1420,	1,	1),
(107844,	7,	1420,	2,	1),
(107845,	7,	1420,	3,	1),
(107846,	7,	1421,	1,	1),
(107847,	7,	1421,	2,	1),
(107848,	7,	1421,	3,	1),
(107849,	7,	1422,	1,	1),
(107850,	7,	1422,	2,	1),
(107851,	7,	1422,	3,	1),
(107852,	7,	1422,	23,	1),
(107853,	7,	1422,	6,	1),
(107854,	7,	1422,	24,	1),
(107855,	7,	1422,	25,	1),
(107856,	7,	1422,	4,	1),
(107857,	7,	1422,	5,	1),
(107858,	7,	1423,	1,	1),
(107859,	7,	1423,	2,	1),
(107860,	7,	1423,	3,	1),
(107861,	7,	1423,	23,	1),
(107862,	7,	1423,	6,	1),
(107863,	7,	1423,	24,	1),
(107864,	7,	1423,	25,	1),
(107865,	7,	1423,	4,	1),
(107866,	7,	1423,	5,	1),
(107867,	7,	1424,	1,	1),
(107868,	7,	1424,	2,	1),
(107869,	7,	1424,	3,	1),
(107870,	7,	1425,	1,	1),
(107871,	7,	1425,	2,	1),
(107872,	7,	1425,	3,	1),
(107873,	7,	1425,	23,	1),
(107874,	7,	1425,	6,	1),
(107875,	7,	1425,	24,	1),
(107876,	7,	1425,	25,	1),
(107877,	7,	1425,	4,	1),
(107878,	7,	1425,	5,	1),
(107879,	7,	1426,	1,	1),
(107880,	7,	1426,	2,	1),
(107881,	7,	1426,	3,	1),
(107882,	7,	1426,	23,	1),
(107883,	7,	1426,	6,	1),
(107884,	7,	1426,	24,	1),
(107885,	7,	1426,	25,	1),
(107886,	7,	1426,	4,	1),
(107887,	7,	1426,	5,	1),
(107888,	7,	1427,	1,	1),
(107889,	7,	1427,	2,	1),
(107890,	7,	1427,	3,	1),
(107891,	7,	1428,	1,	1),
(107892,	7,	1428,	2,	1),
(107893,	7,	1428,	3,	1),
(107894,	7,	1428,	23,	1),
(107895,	7,	1428,	6,	1),
(107896,	7,	1428,	24,	1),
(107897,	7,	1428,	25,	1),
(107898,	7,	1428,	4,	1),
(107899,	7,	1428,	5,	1),
(107900,	7,	1429,	1,	1),
(107901,	7,	1429,	2,	1),
(107902,	7,	1429,	3,	1),
(107903,	7,	1430,	1,	1),
(107904,	7,	1430,	2,	1),
(107905,	7,	1430,	3,	1),
(107906,	7,	1431,	1,	1),
(107907,	7,	1431,	2,	1),
(107908,	7,	1431,	3,	1),
(107909,	7,	1431,	23,	1),
(107910,	7,	1431,	6,	1),
(107911,	7,	1431,	24,	1),
(107912,	7,	1431,	25,	1),
(107913,	7,	1431,	4,	1),
(107914,	7,	1431,	5,	1),
(107915,	7,	1432,	1,	1),
(107916,	7,	1432,	2,	1),
(107917,	7,	1432,	3,	1),
(107918,	7,	1432,	1,	2),
(107919,	7,	1432,	2,	2),
(107920,	7,	1432,	3,	2),
(107921,	7,	1433,	1,	1),
(107922,	7,	1433,	2,	1),
(107923,	7,	1433,	3,	1),
(107924,	7,	1434,	1,	1),
(107925,	7,	1434,	2,	1),
(107926,	7,	1434,	3,	1),
(107927,	7,	1435,	1,	1),
(107928,	7,	1435,	2,	1),
(107929,	7,	1435,	3,	1),
(107930,	7,	1436,	1,	1),
(107931,	7,	1436,	2,	1),
(107932,	7,	1436,	3,	1),
(107933,	7,	1436,	23,	1),
(107934,	7,	1436,	6,	1),
(107935,	7,	1436,	24,	1),
(107936,	7,	1436,	25,	1),
(107937,	7,	1436,	4,	1),
(107938,	7,	1436,	5,	1),
(107939,	7,	1437,	1,	1),
(107940,	7,	1437,	2,	1),
(107941,	7,	1437,	3,	1),
(107942,	7,	1437,	23,	1),
(107943,	7,	1437,	6,	1),
(107944,	7,	1437,	24,	1),
(107945,	7,	1437,	25,	1),
(107946,	7,	1437,	4,	1),
(107947,	7,	1437,	5,	1),
(107948,	7,	1438,	1,	1),
(107949,	7,	1438,	2,	1),
(107950,	7,	1438,	3,	1),
(107951,	7,	1439,	1,	1),
(107952,	7,	1439,	2,	1),
(107953,	7,	1439,	3,	1),
(107954,	7,	1439,	23,	1),
(107955,	7,	1439,	6,	1),
(107956,	7,	1439,	24,	1),
(107957,	7,	1439,	25,	1),
(107958,	7,	1439,	4,	1),
(107959,	7,	1439,	5,	1),
(107960,	7,	1440,	1,	1),
(107961,	7,	1440,	2,	1),
(107962,	7,	1440,	3,	1),
(107963,	7,	1440,	23,	1),
(107964,	7,	1440,	6,	1),
(107965,	7,	1440,	24,	1),
(107966,	7,	1440,	25,	1),
(107967,	7,	1440,	4,	1),
(107968,	7,	1440,	5,	1),
(107969,	7,	1441,	1,	1),
(107970,	7,	1441,	2,	1),
(107971,	7,	1441,	3,	1),
(107972,	7,	1442,	1,	1),
(107973,	7,	1442,	2,	1),
(107974,	7,	1442,	3,	1),
(107975,	7,	1442,	23,	1),
(107976,	7,	1442,	6,	1),
(107977,	7,	1442,	24,	1),
(107978,	7,	1442,	25,	1),
(107979,	7,	1442,	4,	1),
(107980,	7,	1442,	5,	1),
(107981,	7,	1443,	1,	1),
(107982,	7,	1443,	2,	1),
(107983,	7,	1443,	3,	1),
(107984,	7,	1443,	23,	1),
(107985,	7,	1443,	6,	1),
(107986,	7,	1443,	24,	1),
(107987,	7,	1443,	25,	1),
(107988,	7,	1443,	4,	1),
(107989,	7,	1443,	5,	1),
(107990,	7,	1444,	1,	1),
(107991,	7,	1444,	2,	1),
(107992,	7,	1444,	3,	1),
(107993,	7,	1445,	1,	1),
(107994,	7,	1445,	2,	1),
(107995,	7,	1445,	3,	1),
(107996,	7,	1445,	23,	1),
(107997,	7,	1445,	6,	1),
(107998,	7,	1445,	24,	1),
(107999,	7,	1445,	25,	1),
(108000,	7,	1445,	4,	1),
(108001,	7,	1445,	5,	1),
(108002,	7,	1446,	1,	1),
(108003,	7,	1446,	2,	1),
(108004,	7,	1446,	3,	1),
(108005,	7,	1446,	1,	2),
(108006,	7,	1446,	2,	2),
(108007,	7,	1446,	3,	2),
(108008,	7,	1447,	1,	1),
(108009,	7,	1447,	2,	1),
(108010,	7,	1447,	3,	1),
(108011,	7,	1447,	1,	2),
(108012,	7,	1447,	2,	2),
(108013,	7,	1447,	3,	2),
(108014,	7,	1448,	1,	1),
(108015,	7,	1448,	2,	1),
(108016,	7,	1448,	3,	1),
(108017,	7,	1449,	1,	1),
(108018,	7,	1449,	2,	1),
(108019,	7,	1449,	3,	1),
(108020,	7,	1450,	1,	1),
(108021,	7,	1450,	2,	1),
(108022,	7,	1450,	3,	1),
(108023,	7,	1451,	1,	1),
(108024,	7,	1451,	2,	1),
(108025,	7,	1451,	3,	1),
(108026,	7,	1452,	1,	1),
(108027,	7,	1452,	2,	1),
(108028,	7,	1452,	3,	1),
(108029,	7,	1452,	23,	1),
(108030,	7,	1452,	6,	1),
(108031,	7,	1452,	24,	1),
(108032,	7,	1452,	25,	1),
(108033,	7,	1452,	4,	1),
(108034,	7,	1452,	5,	1),
(108035,	7,	1453,	1,	1),
(108036,	7,	1453,	2,	1),
(108037,	7,	1453,	3,	1),
(108038,	7,	1453,	23,	1),
(108039,	7,	1453,	6,	1),
(108040,	7,	1453,	24,	1),
(108041,	7,	1453,	25,	1),
(108042,	7,	1453,	4,	1),
(108043,	7,	1453,	5,	1),
(108044,	7,	1454,	1,	1),
(108045,	7,	1454,	2,	1),
(108046,	7,	1454,	3,	1),
(108047,	7,	1455,	1,	1),
(108048,	7,	1455,	2,	1),
(108049,	7,	1455,	3,	1),
(108050,	7,	1455,	23,	1),
(108051,	7,	1455,	6,	1),
(108052,	7,	1455,	24,	1),
(108053,	7,	1455,	25,	1),
(108054,	7,	1455,	4,	1),
(108055,	7,	1455,	5,	1),
(108056,	7,	1456,	1,	1),
(108057,	7,	1456,	2,	1),
(108058,	7,	1456,	3,	1),
(108059,	7,	1456,	23,	1),
(108060,	7,	1456,	6,	1),
(108061,	7,	1456,	24,	1),
(108062,	7,	1456,	25,	1),
(108063,	7,	1456,	4,	1),
(108064,	7,	1456,	5,	1),
(108065,	7,	1457,	1,	1),
(108066,	7,	1457,	2,	1),
(108067,	7,	1457,	3,	1),
(108068,	7,	1458,	1,	1),
(108069,	7,	1458,	2,	1),
(108070,	7,	1458,	3,	1),
(108071,	7,	1458,	23,	1),
(108072,	7,	1458,	6,	1),
(108073,	7,	1458,	24,	1),
(108074,	7,	1458,	25,	1),
(108075,	7,	1458,	4,	1),
(108076,	7,	1458,	5,	1),
(108077,	7,	1459,	1,	1),
(108078,	7,	1459,	2,	1),
(108079,	7,	1459,	3,	1),
(108080,	7,	1459,	1,	2),
(108081,	7,	1459,	2,	2),
(108082,	7,	1459,	3,	2),
(108083,	7,	1461,	1,	1),
(108084,	7,	1461,	2,	1),
(108085,	7,	1461,	3,	1),
(108086,	7,	1462,	1,	1),
(108087,	7,	1462,	2,	1),
(108088,	7,	1462,	3,	1),
(108089,	7,	1462,	1,	2),
(108090,	7,	1462,	2,	2),
(108091,	7,	1462,	3,	2),
(108092,	7,	1463,	1,	1),
(108093,	7,	1463,	2,	1),
(108094,	7,	1463,	3,	1),
(108095,	7,	1463,	1,	2),
(108096,	7,	1463,	2,	2),
(108097,	7,	1463,	3,	2),
(108098,	7,	1464,	1,	1),
(108099,	7,	1464,	2,	1),
(108100,	7,	1464,	3,	1),
(108101,	7,	1465,	1,	1),
(108102,	7,	1465,	2,	1),
(108103,	7,	1465,	3,	1),
(108104,	7,	1465,	23,	1),
(108105,	7,	1466,	1,	1),
(108106,	7,	1466,	2,	1),
(108107,	7,	1466,	3,	1),
(108108,	7,	1466,	23,	1),
(108109,	7,	1467,	1,	1),
(108110,	7,	1467,	2,	1),
(108111,	7,	1467,	3,	1),
(108112,	7,	1467,	23,	1),
(108113,	7,	1468,	1,	1),
(108114,	7,	1468,	2,	1),
(108115,	7,	1468,	3,	1),
(108116,	7,	1468,	23,	1),
(108117,	7,	1469,	1,	1),
(108118,	7,	1469,	2,	1),
(108119,	7,	1469,	3,	1),
(108120,	7,	1469,	1,	2),
(108121,	7,	1469,	2,	2),
(108122,	7,	1469,	3,	2),
(108123,	7,	1470,	1,	1),
(108124,	7,	1470,	2,	1),
(108125,	7,	1470,	3,	1),
(108126,	7,	1471,	1,	1),
(108127,	7,	1471,	2,	1),
(108128,	7,	1471,	3,	1),
(108129,	7,	1472,	1,	1),
(108130,	7,	1472,	2,	1),
(108131,	7,	1472,	3,	1),
(108132,	7,	1473,	1,	1),
(108133,	7,	1473,	2,	1),
(108134,	7,	1473,	3,	1),
(108135,	7,	1473,	23,	1),
(108136,	7,	1474,	1,	1),
(108137,	7,	1474,	2,	1),
(108138,	7,	1474,	3,	1),
(108139,	7,	1475,	1,	1),
(108140,	7,	1475,	2,	1),
(108141,	7,	1475,	3,	1),
(108142,	7,	1476,	1,	1),
(108143,	7,	1476,	2,	1),
(108144,	7,	1476,	3,	1),
(108145,	7,	1476,	23,	1),
(108146,	7,	1477,	1,	1),
(108147,	7,	1477,	2,	1),
(108148,	7,	1477,	3,	1),
(108149,	7,	1478,	1,	1),
(108150,	7,	1478,	2,	1),
(108151,	7,	1478,	3,	1),
(108152,	7,	1479,	1,	1),
(108153,	7,	1479,	2,	1),
(108154,	7,	1479,	3,	1),
(108155,	7,	1480,	1,	1),
(108156,	7,	1480,	2,	1),
(108157,	7,	1480,	3,	1),
(108158,	7,	1481,	1,	1),
(108159,	7,	1481,	2,	1),
(108160,	7,	1481,	3,	1),
(108161,	7,	1481,	1,	2),
(108162,	7,	1481,	2,	2),
(108163,	7,	1481,	3,	2),
(108164,	7,	1482,	1,	1),
(108165,	7,	1482,	2,	1),
(108166,	7,	1482,	3,	1),
(108167,	7,	1483,	1,	1),
(108168,	7,	1483,	2,	1),
(108169,	7,	1483,	3,	1),
(108170,	7,	1484,	1,	1),
(108171,	7,	1484,	2,	1),
(108172,	7,	1484,	3,	1),
(108173,	7,	1485,	1,	1),
(108174,	7,	1485,	2,	1),
(108175,	7,	1485,	3,	1),
(108176,	7,	1486,	1,	1),
(108177,	7,	1486,	2,	1),
(108178,	7,	1486,	3,	1),
(108179,	7,	1487,	1,	1),
(108180,	7,	1487,	2,	1),
(108181,	7,	1487,	3,	1),
(108182,	7,	1488,	1,	1),
(108183,	7,	1488,	2,	1),
(108184,	7,	1488,	3,	1),
(108185,	7,	1489,	1,	1),
(108186,	7,	1489,	2,	1),
(108187,	7,	1489,	3,	1),
(108188,	7,	1490,	1,	1),
(108189,	7,	1490,	2,	1),
(108190,	7,	1490,	3,	1),
(108191,	7,	1491,	1,	1),
(108192,	7,	1491,	2,	1),
(108193,	7,	1491,	3,	1),
(108194,	7,	1492,	1,	1),
(108195,	7,	1492,	2,	1),
(108196,	7,	1492,	3,	1),
(108197,	7,	1493,	1,	1),
(108198,	7,	1493,	2,	1),
(108199,	7,	1493,	3,	1),
(108200,	7,	1494,	1,	1),
(108201,	7,	1494,	2,	1),
(108202,	7,	1494,	3,	1),
(108203,	7,	1495,	1,	1),
(108204,	7,	1495,	2,	1),
(108205,	7,	1495,	3,	1),
(108206,	7,	1496,	2,	1),
(108207,	7,	1496,	75,	1),
(108208,	7,	1496,	46,	1),
(108209,	7,	1497,	1,	1),
(108210,	7,	1497,	2,	1),
(108211,	7,	1497,	3,	1),
(108212,	7,	1498,	1,	1),
(108213,	7,	1498,	2,	1),
(108214,	7,	1498,	3,	1),
(108215,	7,	1499,	1,	1),
(108216,	7,	1499,	2,	1),
(108217,	7,	1499,	3,	1),
(108218,	7,	1499,	75,	1),
(108219,	7,	1499,	76,	1),
(108220,	7,	1499,	77,	1),
(108221,	7,	1499,	78,	1),
(108222,	7,	1499,	79,	1),
(108223,	7,	1499,	45,	1),
(108224,	7,	1499,	46,	1),
(108225,	7,	1499,	54,	1),
(108226,	7,	1499,	28,	1),
(108227,	7,	1499,	61,	1),
(108228,	7,	1499,	80,	1),
(108229,	7,	1499,	59,	1),
(108230,	7,	1500,	1,	1),
(108231,	7,	1500,	2,	1),
(108232,	7,	1500,	3,	1),
(108233,	7,	1500,	75,	1),
(108234,	7,	1500,	76,	1),
(108235,	7,	1500,	77,	1),
(108236,	7,	1500,	78,	1),
(108237,	7,	1500,	79,	1),
(108238,	7,	1500,	45,	1),
(108239,	7,	1500,	46,	1),
(108240,	7,	1500,	54,	1),
(108241,	7,	1500,	28,	1),
(108242,	7,	1500,	61,	1),
(108243,	7,	1500,	80,	1),
(108244,	7,	1500,	59,	1),
(108245,	7,	1501,	1,	1),
(108246,	7,	1501,	2,	1),
(108247,	7,	1501,	3,	1),
(108248,	7,	1501,	75,	1),
(108249,	7,	1501,	76,	1),
(108250,	7,	1501,	77,	1),
(108251,	7,	1501,	78,	1),
(108252,	7,	1501,	79,	1),
(108253,	7,	1501,	45,	1),
(108254,	7,	1501,	46,	1),
(108255,	7,	1501,	54,	1),
(108256,	7,	1501,	28,	1),
(108257,	7,	1501,	61,	1),
(108258,	7,	1501,	80,	1),
(108259,	7,	1501,	59,	1),
(108260,	7,	1502,	1,	1),
(108261,	7,	1502,	2,	1),
(108262,	7,	1502,	3,	1),
(108263,	7,	1502,	75,	1),
(108264,	7,	1502,	76,	1),
(108265,	7,	1502,	77,	1),
(108266,	7,	1502,	78,	1),
(108267,	7,	1502,	79,	1),
(108268,	7,	1502,	45,	1),
(108269,	7,	1502,	46,	1),
(108270,	7,	1502,	54,	1),
(108271,	7,	1502,	28,	1),
(108272,	7,	1502,	61,	1),
(108273,	7,	1502,	80,	1),
(108274,	7,	1502,	59,	1),
(108275,	7,	1503,	1,	1),
(108276,	7,	1503,	2,	1),
(108277,	7,	1503,	3,	1),
(108278,	7,	1503,	75,	1),
(108279,	7,	1503,	76,	1),
(108280,	7,	1503,	77,	1),
(108281,	7,	1503,	78,	1),
(108282,	7,	1503,	79,	1),
(108283,	7,	1503,	45,	1),
(108284,	7,	1503,	46,	1),
(108285,	7,	1503,	54,	1),
(108286,	7,	1503,	28,	1),
(108287,	7,	1503,	61,	1),
(108288,	7,	1503,	80,	1),
(108289,	7,	1503,	59,	1),
(108290,	7,	1504,	1,	1),
(108291,	7,	1504,	2,	1),
(108292,	7,	1504,	3,	1),
(108293,	7,	1504,	1,	2),
(108294,	7,	1504,	2,	2),
(108295,	7,	1504,	3,	2),
(108296,	7,	1505,	1,	1),
(108297,	7,	1505,	2,	1),
(108298,	7,	1505,	3,	1),
(108299,	7,	1505,	1,	2),
(108300,	7,	1505,	2,	2),
(108301,	7,	1505,	3,	2),
(108302,	7,	1506,	1,	1),
(108303,	7,	1506,	2,	1),
(108304,	7,	1506,	3,	1),
(108305,	7,	1507,	1,	1),
(108306,	7,	1507,	2,	1),
(108307,	7,	1507,	3,	1),
(108308,	7,	1508,	1,	1),
(108309,	7,	1508,	2,	1),
(108310,	7,	1508,	3,	1),
(108311,	7,	1509,	1,	1),
(108312,	7,	1509,	2,	1),
(108313,	7,	1509,	3,	1),
(108314,	7,	1510,	1,	1),
(108315,	7,	1510,	2,	1),
(108316,	7,	1510,	3,	1),
(108317,	7,	1510,	75,	1),
(108318,	7,	1510,	76,	1),
(108319,	7,	1510,	77,	1),
(108320,	7,	1510,	78,	1),
(108321,	7,	1510,	79,	1),
(108322,	7,	1510,	45,	1),
(108323,	7,	1510,	46,	1),
(108324,	7,	1510,	54,	1),
(108325,	7,	1510,	28,	1),
(108326,	7,	1510,	61,	1),
(108327,	7,	1510,	80,	1),
(108328,	7,	1510,	59,	1),
(108329,	7,	1511,	1,	1),
(108330,	7,	1511,	2,	1),
(108331,	7,	1511,	3,	1),
(108332,	7,	1511,	75,	1),
(108333,	7,	1511,	76,	1),
(108334,	7,	1511,	77,	1),
(108335,	7,	1511,	78,	1),
(108336,	7,	1511,	79,	1),
(108337,	7,	1511,	45,	1),
(108338,	7,	1511,	46,	1),
(108339,	7,	1511,	54,	1),
(108340,	7,	1511,	28,	1),
(108341,	7,	1511,	61,	1),
(108342,	7,	1511,	80,	1),
(108343,	7,	1511,	59,	1),
(108344,	7,	1512,	1,	1),
(108345,	7,	1512,	2,	1),
(108346,	7,	1512,	3,	1),
(108347,	7,	1513,	2,	1),
(108348,	7,	1514,	1,	1),
(108349,	7,	1514,	2,	1),
(108350,	7,	1514,	3,	1),
(108351,	7,	1514,	1,	2),
(108352,	7,	1514,	2,	2),
(108353,	7,	1514,	3,	2),
(108354,	7,	1515,	1,	1),
(108355,	7,	1515,	2,	1),
(108356,	7,	1515,	3,	1),
(108357,	7,	1516,	2,	1),
(108358,	7,	1517,	1,	1),
(108359,	7,	1517,	2,	1),
(108360,	7,	1517,	3,	1),
(108361,	7,	1517,	1,	2),
(108362,	7,	1517,	2,	2),
(108363,	7,	1517,	3,	2),
(108364,	7,	1518,	1,	1),
(108365,	7,	1518,	2,	1),
(108366,	7,	1518,	3,	1),
(108367,	7,	1518,	1,	2),
(108368,	7,	1518,	2,	2),
(108369,	7,	1518,	3,	2),
(108370,	7,	1519,	1,	1),
(108371,	7,	1519,	2,	1),
(108372,	7,	1519,	3,	1),
(108373,	7,	1520,	1,	1),
(108374,	7,	1520,	2,	1),
(108375,	7,	1520,	3,	1),
(108376,	7,	1520,	1,	2),
(108377,	7,	1520,	2,	2),
(108378,	7,	1520,	3,	2),
(108379,	7,	1521,	1,	1),
(108380,	7,	1521,	2,	1),
(108381,	7,	1521,	3,	1),
(108382,	7,	1522,	1,	1),
(108383,	7,	1522,	2,	1),
(108384,	7,	1522,	3,	1),
(108385,	7,	1523,	1,	1),
(108386,	7,	1523,	2,	1),
(108387,	7,	1523,	3,	1),
(108388,	7,	1523,	75,	1),
(108389,	7,	1523,	76,	1),
(108390,	7,	1523,	77,	1),
(108391,	7,	1523,	78,	1),
(108392,	7,	1523,	79,	1),
(108393,	7,	1523,	45,	1),
(108394,	7,	1523,	46,	1),
(108395,	7,	1523,	54,	1),
(108396,	7,	1523,	28,	1),
(108397,	7,	1523,	61,	1),
(108398,	7,	1523,	80,	1),
(108399,	7,	1524,	1,	1),
(108400,	7,	1524,	2,	1),
(108401,	7,	1524,	3,	1),
(108402,	7,	1524,	1,	2),
(108403,	7,	1524,	2,	2),
(108404,	7,	1524,	3,	2),
(108405,	7,	1525,	1,	1),
(108406,	7,	1525,	2,	1),
(108407,	7,	1525,	3,	1),
(108408,	7,	1526,	1,	1),
(108409,	7,	1526,	2,	1),
(108410,	7,	1526,	3,	1),
(108411,	7,	1526,	1,	2),
(108412,	7,	1526,	2,	2),
(108413,	7,	1526,	3,	2),
(108414,	7,	1527,	1,	1),
(108415,	7,	1527,	2,	1),
(108416,	7,	1527,	3,	1),
(108417,	7,	1527,	1,	2),
(108418,	7,	1527,	2,	2),
(108419,	7,	1527,	3,	2),
(108420,	7,	1528,	1,	1),
(108421,	7,	1528,	2,	1),
(108422,	7,	1528,	3,	1),
(108423,	7,	1528,	1,	2),
(108424,	7,	1528,	2,	2),
(108425,	7,	1528,	3,	2),
(108426,	7,	1529,	1,	1),
(108427,	7,	1529,	2,	1),
(108428,	7,	1529,	3,	1),
(108429,	7,	1530,	1,	1),
(108430,	7,	1530,	2,	1),
(108431,	7,	1530,	3,	1),
(108432,	7,	1530,	1,	2),
(108433,	7,	1530,	2,	2),
(108434,	7,	1530,	3,	2),
(108435,	7,	1531,	1,	1),
(108436,	7,	1531,	2,	1),
(108437,	7,	1531,	3,	1),
(108438,	7,	1532,	1,	1),
(108439,	7,	1532,	2,	1),
(108440,	7,	1532,	3,	1),
(108441,	7,	1533,	1,	1),
(108442,	7,	1533,	2,	1),
(108443,	7,	1533,	3,	1),
(108444,	7,	1534,	1,	1),
(108445,	7,	1534,	2,	1),
(108446,	7,	1534,	3,	1),
(108447,	7,	1535,	1,	1),
(108448,	7,	1535,	2,	1),
(108449,	7,	1535,	3,	1),
(108450,	7,	1535,	1,	2),
(108451,	7,	1535,	2,	2),
(108452,	7,	1535,	3,	2),
(108453,	7,	1536,	1,	1),
(108454,	7,	1536,	2,	1),
(108455,	7,	1536,	3,	1),
(108456,	7,	1536,	1,	2),
(108457,	7,	1536,	2,	2),
(108458,	7,	1536,	3,	2),
(108459,	7,	1537,	1,	1),
(108460,	7,	1537,	2,	1),
(108461,	7,	1537,	3,	1),
(108462,	7,	1538,	1,	1),
(108463,	7,	1538,	2,	1),
(108464,	7,	1538,	3,	1),
(108465,	7,	1539,	1,	1),
(108466,	7,	1539,	2,	1),
(108467,	7,	1539,	3,	1),
(108468,	7,	1539,	1,	2),
(108469,	7,	1539,	2,	2),
(108470,	7,	1539,	3,	2),
(108471,	7,	1540,	1,	1),
(108472,	7,	1540,	2,	1),
(108473,	7,	1540,	3,	1),
(108474,	7,	1541,	1,	1),
(108475,	7,	1541,	2,	1),
(108476,	7,	1541,	3,	1),
(108477,	7,	1541,	1,	2),
(108478,	7,	1541,	2,	2),
(108479,	7,	1541,	3,	2),
(108480,	7,	1542,	1,	1),
(108481,	7,	1542,	2,	1),
(108482,	7,	1542,	3,	1),
(108483,	7,	1542,	1,	2),
(108484,	7,	1542,	2,	2),
(108485,	7,	1542,	3,	2),
(108486,	7,	1543,	1,	1),
(108487,	7,	1543,	2,	1),
(108488,	7,	1543,	3,	1),
(108489,	7,	1543,	1,	2),
(108490,	7,	1543,	2,	2),
(108491,	7,	1543,	3,	2),
(108492,	7,	1544,	1,	1),
(108493,	7,	1544,	2,	1),
(108494,	7,	1544,	3,	1),
(108495,	7,	1545,	1,	1),
(108496,	7,	1545,	2,	1),
(108497,	7,	1545,	3,	1),
(108498,	7,	1545,	1,	3),
(108499,	7,	1545,	2,	3),
(108500,	7,	1545,	3,	3),
(108501,	7,	1546,	1,	1),
(108502,	7,	1546,	2,	1),
(108503,	7,	1546,	3,	1),
(108504,	7,	1546,	1,	2),
(108505,	7,	1546,	2,	2),
(108506,	7,	1546,	3,	2),
(108507,	7,	1547,	2,	1),
(108508,	7,	1548,	1,	1),
(108509,	7,	1548,	2,	1),
(108510,	7,	1548,	3,	1),
(108511,	7,	1548,	1,	2),
(108512,	7,	1548,	2,	2),
(108513,	7,	1548,	3,	2),
(108514,	7,	1549,	1,	1),
(108515,	7,	1549,	2,	1),
(108516,	7,	1549,	3,	1),
(108517,	7,	1550,	1,	1),
(108518,	7,	1550,	2,	1),
(108519,	7,	1550,	3,	1),
(108520,	7,	1551,	1,	1),
(108521,	7,	1551,	2,	1),
(108522,	7,	1551,	3,	1),
(108523,	7,	1552,	1,	1),
(108524,	7,	1552,	2,	1),
(108525,	7,	1552,	3,	1),
(108526,	7,	1552,	1,	2),
(108527,	7,	1552,	2,	2),
(108528,	7,	1552,	3,	2),
(108529,	7,	1553,	1,	1),
(108530,	7,	1553,	2,	1),
(108531,	7,	1553,	3,	1),
(108532,	7,	1554,	1,	1),
(108533,	7,	1554,	2,	1),
(108534,	7,	1554,	3,	1),
(108535,	7,	1555,	1,	1),
(108536,	7,	1555,	2,	1),
(108537,	7,	1555,	3,	1),
(108538,	7,	1555,	1,	3),
(108539,	7,	1555,	2,	3),
(108540,	7,	1555,	3,	3),
(108541,	7,	1556,	1,	1),
(108542,	7,	1556,	2,	1),
(108543,	7,	1556,	3,	1),
(108544,	7,	1556,	1,	2),
(108545,	7,	1556,	2,	2),
(108546,	7,	1556,	3,	2),
(108547,	7,	1557,	1,	1),
(108548,	7,	1557,	2,	1),
(108549,	7,	1557,	3,	1),
(108550,	7,	1557,	1,	2),
(108551,	7,	1557,	2,	2),
(108552,	7,	1557,	3,	2),
(108553,	7,	1558,	1,	1),
(108554,	7,	1558,	2,	1),
(108555,	7,	1558,	3,	1),
(108556,	7,	1558,	1,	2),
(108557,	7,	1558,	2,	2),
(108558,	7,	1558,	3,	2),
(108559,	7,	1559,	1,	1),
(108560,	7,	1559,	2,	1),
(108561,	7,	1559,	3,	1),
(108562,	7,	1559,	1,	2),
(108563,	7,	1559,	2,	2),
(108564,	7,	1559,	3,	2),
(108565,	7,	1560,	1,	1),
(108566,	7,	1560,	2,	1),
(108567,	7,	1560,	3,	1),
(108568,	7,	1560,	1,	2),
(108569,	7,	1560,	2,	2),
(108570,	7,	1560,	3,	2),
(108571,	7,	1561,	1,	1),
(108572,	7,	1561,	2,	1),
(108573,	7,	1561,	3,	1),
(108574,	7,	1561,	1,	2),
(108575,	7,	1561,	2,	2),
(108576,	7,	1561,	3,	2),
(108577,	7,	1564,	1,	1),
(108578,	7,	1564,	2,	1),
(108579,	7,	1564,	3,	1),
(108580,	7,	1564,	1,	2),
(108581,	7,	1564,	2,	2),
(108582,	7,	1564,	3,	2),
(108583,	7,	1565,	1,	1),
(108584,	7,	1565,	2,	1),
(108585,	7,	1565,	3,	1),
(108586,	7,	1565,	1,	2),
(108587,	7,	1565,	2,	2),
(108588,	7,	1565,	3,	2),
(108589,	7,	1566,	1,	1),
(108590,	7,	1566,	2,	1),
(108591,	7,	1566,	3,	1),
(108592,	7,	1566,	1,	2),
(108593,	7,	1566,	2,	2),
(108594,	7,	1566,	3,	2),
(108595,	7,	1567,	1,	1),
(108596,	7,	1567,	2,	1),
(108597,	7,	1567,	3,	1),
(108598,	7,	1567,	1,	2),
(108599,	7,	1567,	2,	2),
(108600,	7,	1567,	3,	2),
(108601,	7,	1568,	1,	1),
(108602,	7,	1568,	2,	1),
(108603,	7,	1568,	3,	1),
(108604,	7,	1568,	1,	2),
(108605,	7,	1568,	2,	2),
(108606,	7,	1568,	3,	2),
(108607,	7,	1569,	1,	1),
(108608,	7,	1569,	2,	1),
(108609,	7,	1569,	3,	1),
(108610,	7,	1569,	1,	2),
(108611,	7,	1569,	2,	2),
(108612,	7,	1569,	3,	2),
(108613,	7,	1570,	1,	1),
(108614,	7,	1570,	2,	1),
(108615,	7,	1570,	3,	1),
(108616,	7,	1570,	1,	2),
(108617,	7,	1570,	2,	2),
(108618,	7,	1570,	3,	2),
(108619,	7,	1571,	1,	1),
(108620,	7,	1571,	2,	1),
(108621,	7,	1571,	3,	1),
(108622,	7,	1572,	1,	1),
(108623,	7,	1572,	2,	1),
(108624,	7,	1572,	3,	1),
(108625,	7,	1572,	1,	2),
(108626,	7,	1572,	2,	2),
(108627,	7,	1572,	3,	2),
(108628,	7,	1573,	1,	1),
(108629,	7,	1573,	2,	1),
(108630,	7,	1573,	3,	1),
(108631,	7,	1573,	1,	2),
(108632,	7,	1573,	2,	2),
(108633,	7,	1573,	3,	2),
(108634,	7,	1574,	1,	1),
(108635,	7,	1574,	2,	1),
(108636,	7,	1574,	3,	1),
(108637,	7,	1574,	1,	2),
(108638,	7,	1574,	2,	2),
(108639,	7,	1574,	3,	2),
(108640,	7,	1575,	1,	1),
(108641,	7,	1575,	2,	1),
(108642,	7,	1575,	3,	1),
(108643,	7,	1576,	1,	1),
(108644,	7,	1576,	2,	1),
(108645,	7,	1576,	3,	1),
(108646,	7,	1577,	1,	1),
(108647,	7,	1577,	2,	1),
(108648,	7,	1577,	3,	1),
(108649,	7,	1578,	1,	1),
(108650,	7,	1578,	2,	1),
(108651,	7,	1578,	3,	1),
(108652,	7,	1579,	1,	1),
(108653,	7,	1579,	2,	1),
(108654,	7,	1579,	3,	1),
(108655,	7,	1580,	1,	1),
(108656,	7,	1580,	2,	1),
(108657,	7,	1580,	3,	1),
(108658,	7,	1581,	1,	1),
(108659,	7,	1581,	2,	1),
(108660,	7,	1581,	3,	1),
(108661,	7,	1581,	1,	2),
(108662,	7,	1581,	2,	2),
(108663,	7,	1581,	3,	2),
(108664,	7,	1582,	1,	1),
(108665,	7,	1582,	2,	1),
(108666,	7,	1582,	3,	1),
(108667,	7,	1582,	1,	2),
(108668,	7,	1582,	2,	2),
(108669,	7,	1582,	3,	2),
(108670,	7,	1583,	2,	1),
(108671,	7,	1584,	1,	1),
(108672,	7,	1584,	2,	1),
(108673,	7,	1584,	3,	1),
(108674,	7,	1584,	1,	2),
(108675,	7,	1584,	2,	2),
(108676,	7,	1584,	3,	2),
(108677,	7,	1585,	1,	1),
(108678,	7,	1585,	2,	1),
(108679,	7,	1585,	3,	1),
(108680,	7,	1585,	1,	2),
(108681,	7,	1585,	2,	2),
(108682,	7,	1585,	3,	2),
(108683,	7,	1586,	1,	1),
(108684,	7,	1586,	2,	1),
(108685,	7,	1586,	3,	1),
(108686,	7,	1586,	1,	2),
(108687,	7,	1586,	2,	2),
(108688,	7,	1586,	3,	2),
(108689,	7,	1587,	1,	1),
(108690,	7,	1587,	2,	1),
(108691,	7,	1587,	3,	1),
(108692,	7,	1588,	1,	1),
(108693,	7,	1588,	2,	1),
(108694,	7,	1588,	3,	1),
(108695,	7,	1588,	1,	2),
(108696,	7,	1588,	2,	2),
(108697,	7,	1588,	3,	2),
(108698,	7,	1589,	1,	1),
(108699,	7,	1589,	2,	1),
(108700,	7,	1589,	3,	1),
(108701,	7,	1589,	1,	2),
(108702,	7,	1589,	2,	2),
(108703,	7,	1589,	3,	2),
(108704,	7,	1590,	1,	1),
(108705,	7,	1590,	2,	1),
(108706,	7,	1590,	3,	1),
(108707,	7,	1590,	1,	2),
(108708,	7,	1590,	2,	2),
(108709,	7,	1590,	3,	2),
(108710,	7,	1591,	1,	1),
(108711,	7,	1591,	2,	1),
(108712,	7,	1591,	3,	1),
(108713,	7,	1591,	1,	2),
(108714,	7,	1591,	2,	2),
(108715,	7,	1591,	3,	2),
(108716,	7,	1592,	1,	1),
(108717,	7,	1592,	2,	1),
(108718,	7,	1592,	3,	1),
(108719,	7,	1592,	1,	2),
(108720,	7,	1592,	2,	2),
(108721,	7,	1592,	3,	2),
(108722,	7,	1593,	1,	1),
(108723,	7,	1593,	2,	1),
(108724,	7,	1593,	3,	1),
(108725,	7,	1593,	1,	2),
(108726,	7,	1593,	2,	2),
(108727,	7,	1593,	3,	2),
(108728,	7,	1594,	1,	1),
(108729,	7,	1594,	2,	1),
(108730,	7,	1594,	3,	1),
(108731,	7,	1594,	1,	2),
(108732,	7,	1594,	2,	2),
(108733,	7,	1594,	3,	2),
(108734,	7,	1595,	1,	1),
(108735,	7,	1595,	2,	1),
(108736,	7,	1595,	3,	1),
(108737,	7,	1595,	1,	2),
(108738,	7,	1595,	2,	2),
(108739,	7,	1595,	3,	2),
(108740,	7,	1596,	1,	1),
(108741,	7,	1596,	2,	1),
(108742,	7,	1596,	3,	1),
(108743,	7,	1596,	1,	2),
(108744,	7,	1596,	2,	2),
(108745,	7,	1596,	3,	2),
(108746,	7,	1597,	1,	1),
(108747,	7,	1597,	2,	1),
(108748,	7,	1597,	3,	1),
(108749,	7,	1597,	1,	2),
(108750,	7,	1597,	2,	2),
(108751,	7,	1597,	3,	2),
(108752,	7,	1598,	1,	1),
(108753,	7,	1598,	2,	1),
(108754,	7,	1598,	3,	1),
(108755,	7,	1598,	1,	2),
(108756,	7,	1598,	2,	2),
(108757,	7,	1598,	3,	2),
(108758,	7,	1599,	1,	1),
(108759,	7,	1599,	2,	1),
(108760,	7,	1599,	3,	1),
(108761,	7,	1599,	1,	2),
(108762,	7,	1599,	2,	2),
(108763,	7,	1599,	3,	2),
(108764,	7,	1600,	1,	1),
(108765,	7,	1600,	2,	1),
(108766,	7,	1600,	3,	1),
(108767,	7,	1600,	1,	2),
(108768,	7,	1600,	2,	2),
(108769,	7,	1600,	3,	2),
(108770,	7,	1601,	1,	1),
(108771,	7,	1601,	2,	1),
(108772,	7,	1601,	3,	1),
(108773,	7,	1601,	1,	2),
(108774,	7,	1601,	2,	2),
(108775,	7,	1601,	3,	2),
(108776,	7,	1602,	1,	1),
(108777,	7,	1602,	2,	1),
(108778,	7,	1602,	3,	1),
(108779,	7,	1602,	1,	3),
(108780,	7,	1602,	2,	3),
(108781,	7,	1602,	3,	3),
(108782,	7,	1603,	1,	1),
(108783,	7,	1603,	2,	1),
(108784,	7,	1603,	3,	1),
(108785,	7,	1603,	1,	2),
(108786,	7,	1603,	2,	2),
(108787,	7,	1603,	3,	2),
(108788,	7,	1604,	1,	1),
(108789,	7,	1604,	2,	1),
(108790,	7,	1604,	3,	1),
(108791,	7,	1604,	1,	2),
(108792,	7,	1604,	2,	2),
(108793,	7,	1604,	3,	2),
(108794,	7,	1605,	1,	1),
(108795,	7,	1605,	2,	1),
(108796,	7,	1605,	3,	1),
(108797,	7,	1605,	1,	2),
(108798,	7,	1605,	2,	2),
(108799,	7,	1605,	3,	2),
(108800,	7,	1606,	1,	1),
(108801,	7,	1606,	2,	1),
(108802,	7,	1606,	3,	1),
(108803,	7,	1606,	1,	2),
(108804,	7,	1606,	2,	2),
(108805,	7,	1606,	3,	2),
(108806,	7,	1607,	1,	1),
(108807,	7,	1607,	2,	1),
(108808,	7,	1607,	3,	1),
(108809,	7,	1607,	1,	2),
(108810,	7,	1607,	2,	2),
(108811,	7,	1607,	3,	2),
(108812,	7,	1608,	1,	1),
(108813,	7,	1608,	2,	1),
(108814,	7,	1608,	3,	1),
(108815,	7,	1608,	1,	2),
(108816,	7,	1608,	2,	2),
(108817,	7,	1608,	3,	2),
(108818,	7,	1609,	1,	1),
(108819,	7,	1609,	2,	1),
(108820,	7,	1609,	3,	1),
(108821,	7,	1609,	1,	2),
(108822,	7,	1609,	2,	2),
(108823,	7,	1609,	3,	2),
(108824,	7,	1610,	1,	1),
(108825,	7,	1610,	2,	1),
(108826,	7,	1610,	3,	1),
(108827,	7,	1610,	1,	2),
(108828,	7,	1610,	2,	2),
(108829,	7,	1610,	3,	2),
(108830,	7,	1611,	1,	1),
(108831,	7,	1611,	2,	1),
(108832,	7,	1611,	3,	1),
(108833,	7,	1611,	1,	2),
(108834,	7,	1611,	2,	2),
(108835,	7,	1611,	3,	2),
(108836,	7,	1612,	1,	1),
(108837,	7,	1612,	2,	1),
(108838,	7,	1612,	3,	1),
(108839,	7,	1612,	1,	2),
(108840,	7,	1612,	2,	2),
(108841,	7,	1612,	3,	2),
(108842,	7,	1613,	1,	1),
(108843,	7,	1613,	2,	1),
(108844,	7,	1613,	3,	1),
(108845,	7,	1613,	1,	2),
(108846,	7,	1613,	2,	2),
(108847,	7,	1613,	3,	2),
(108848,	7,	1614,	1,	1),
(108849,	7,	1614,	2,	1),
(108850,	7,	1614,	3,	1),
(108851,	7,	1614,	1,	2),
(108852,	7,	1614,	2,	2),
(108853,	7,	1614,	3,	2),
(108854,	7,	1615,	1,	1),
(108855,	7,	1615,	2,	1),
(108856,	7,	1615,	3,	1),
(108857,	7,	1615,	1,	2),
(108858,	7,	1615,	2,	2),
(108859,	7,	1615,	3,	2),
(108860,	7,	1616,	1,	1),
(108861,	7,	1616,	2,	1),
(108862,	7,	1616,	3,	1),
(108863,	7,	1616,	1,	2),
(108864,	7,	1616,	2,	2),
(108865,	7,	1616,	3,	2),
(108866,	7,	1617,	1,	1),
(108867,	7,	1617,	2,	1),
(108868,	7,	1617,	3,	1),
(108869,	7,	1617,	1,	2),
(108870,	7,	1617,	2,	2),
(108871,	7,	1617,	3,	2),
(108872,	7,	1618,	1,	1),
(108873,	7,	1618,	2,	1),
(108874,	7,	1618,	3,	1),
(108875,	7,	1618,	1,	2),
(108876,	7,	1618,	2,	2),
(108877,	7,	1618,	3,	2),
(108878,	7,	1619,	1,	1),
(108879,	7,	1619,	2,	1),
(108880,	7,	1619,	3,	1),
(108881,	7,	1619,	1,	2),
(108882,	7,	1619,	2,	2),
(108883,	7,	1619,	3,	2),
(108884,	7,	1620,	1,	1),
(108885,	7,	1620,	2,	1),
(108886,	7,	1620,	3,	1),
(108887,	7,	1620,	1,	2),
(108888,	7,	1620,	2,	2),
(108889,	7,	1620,	3,	2),
(108890,	7,	1621,	1,	1),
(108891,	7,	1621,	2,	1),
(108892,	7,	1621,	3,	1),
(108893,	7,	1621,	1,	2),
(108894,	7,	1621,	2,	2),
(108895,	7,	1621,	3,	2),
(108896,	7,	1622,	1,	1),
(108897,	7,	1622,	2,	1),
(108898,	7,	1622,	3,	1),
(108899,	7,	1622,	1,	2),
(108900,	7,	1622,	2,	2),
(108901,	7,	1622,	3,	2),
(108902,	7,	1623,	1,	1),
(108903,	7,	1623,	2,	1),
(108904,	7,	1623,	3,	1),
(108905,	7,	1623,	1,	2),
(108906,	7,	1623,	2,	2),
(108907,	7,	1623,	3,	2),
(108908,	7,	1624,	2,	1),
(108909,	7,	1625,	2,	1),
(108910,	7,	1626,	2,	1),
(108911,	7,	1627,	1,	1),
(108912,	7,	1627,	2,	1),
(108913,	7,	1627,	3,	1),
(108914,	7,	1627,	1,	2),
(108915,	7,	1627,	2,	2),
(108916,	7,	1627,	3,	2),
(108917,	7,	1628,	1,	1),
(108918,	7,	1628,	2,	1),
(108919,	7,	1628,	3,	1),
(108920,	7,	1628,	1,	2),
(108921,	7,	1628,	2,	2),
(108922,	7,	1628,	3,	2),
(108923,	7,	1629,	1,	1),
(108924,	7,	1629,	2,	1),
(108925,	7,	1629,	3,	1),
(108926,	7,	1629,	1,	2),
(108927,	7,	1629,	2,	2),
(108928,	7,	1629,	3,	2),
(108929,	7,	1630,	1,	1),
(108930,	7,	1630,	2,	1),
(108931,	7,	1630,	3,	1),
(108932,	7,	1630,	1,	2),
(108933,	7,	1630,	2,	2),
(108934,	7,	1630,	3,	2),
(108935,	7,	1631,	1,	1),
(108936,	7,	1631,	2,	1),
(108937,	7,	1631,	3,	1),
(108938,	7,	1631,	81,	1),
(108939,	7,	1631,	1,	2),
(108940,	7,	1631,	2,	2),
(108941,	7,	1631,	3,	2),
(108942,	7,	1631,	81,	2),
(108943,	7,	1632,	5,	1),
(108944,	7,	1633,	1,	1),
(108945,	7,	1633,	2,	1),
(108946,	7,	1633,	3,	1),
(108947,	7,	1633,	1,	2),
(108948,	7,	1633,	2,	2),
(108949,	7,	1633,	3,	2),
(108950,	7,	1634,	1,	1),
(108951,	7,	1634,	2,	1),
(108952,	7,	1634,	3,	1),
(108953,	7,	1634,	26,	1),
(108954,	7,	1634,	4,	1),
(108955,	7,	1634,	1,	2),
(108956,	7,	1634,	2,	2),
(108957,	7,	1634,	3,	2),
(108958,	7,	1634,	26,	2),
(108959,	7,	1634,	4,	2),
(108960,	7,	1635,	4,	1),
(108961,	7,	1635,	5,	1),
(108962,	7,	1636,	1,	1),
(108963,	7,	1636,	2,	1),
(108964,	7,	1636,	3,	1),
(108965,	7,	1636,	4,	1),
(108966,	7,	1636,	5,	1),
(108967,	7,	1636,	82,	1),
(108968,	7,	1637,	1,	1),
(108969,	7,	1637,	2,	1),
(108970,	7,	1637,	3,	1),
(108971,	7,	1637,	1,	2),
(108972,	7,	1637,	2,	2),
(108973,	7,	1637,	3,	2),
(108974,	7,	1638,	1,	1),
(108975,	7,	1638,	2,	1),
(108976,	7,	1638,	3,	1),
(108977,	7,	1638,	81,	1),
(108978,	7,	1638,	4,	1),
(108979,	7,	1638,	26,	1),
(108980,	7,	1638,	1,	2),
(108981,	7,	1638,	2,	2),
(108982,	7,	1638,	3,	2),
(108983,	7,	1638,	81,	2),
(108984,	7,	1638,	4,	2),
(108985,	7,	1638,	26,	2),
(108986,	7,	1639,	1,	1),
(108987,	7,	1639,	2,	1),
(108988,	7,	1639,	3,	1),
(108989,	7,	1639,	1,	2),
(108990,	7,	1639,	2,	2),
(108991,	7,	1639,	3,	2),
(108992,	7,	1640,	1,	1),
(108993,	7,	1640,	2,	1),
(108994,	7,	1640,	3,	1),
(108995,	7,	1641,	1,	1),
(108996,	7,	1641,	2,	1),
(108997,	7,	1641,	3,	1),
(108998,	7,	1641,	1,	2),
(108999,	7,	1641,	2,	2),
(109000,	7,	1641,	3,	2),
(109001,	7,	1642,	1,	1),
(109002,	7,	1642,	2,	1),
(109003,	7,	1642,	3,	1),
(109004,	7,	1642,	1,	2),
(109005,	7,	1642,	2,	2),
(109006,	7,	1642,	3,	2),
(109007,	7,	1643,	1,	1),
(109008,	7,	1643,	2,	1),
(109009,	7,	1643,	3,	1),
(109010,	7,	1644,	1,	1),
(109011,	7,	1644,	2,	1),
(109012,	7,	1644,	3,	1),
(109013,	7,	1645,	1,	1),
(109014,	7,	1645,	2,	1),
(109015,	7,	1645,	3,	1),
(109016,	7,	1646,	1,	1),
(109017,	7,	1646,	2,	1),
(109018,	7,	1646,	3,	1),
(109019,	7,	1647,	1,	1),
(109020,	7,	1647,	2,	1),
(109021,	7,	1647,	3,	1),
(109022,	7,	1647,	1,	3),
(109023,	7,	1647,	2,	3),
(109024,	7,	1647,	3,	3),
(109025,	7,	1648,	1,	1),
(109026,	7,	1648,	2,	1),
(109027,	7,	1648,	3,	1),
(109028,	7,	1649,	1,	1),
(109029,	7,	1649,	2,	1),
(109030,	7,	1649,	3,	1),
(109031,	7,	1650,	1,	1),
(109032,	7,	1650,	2,	1),
(109033,	7,	1650,	3,	1),
(109034,	7,	1651,	1,	1),
(109035,	7,	1651,	2,	1),
(109036,	7,	1651,	3,	1),
(109037,	7,	1651,	1,	2),
(109038,	7,	1651,	2,	2),
(109039,	7,	1651,	3,	2),
(109040,	7,	1652,	1,	1),
(109041,	7,	1652,	2,	1),
(109042,	7,	1652,	3,	1),
(109043,	7,	1653,	1,	1),
(109044,	7,	1653,	2,	1),
(109045,	7,	1653,	3,	1),
(109046,	7,	1653,	1,	2),
(109047,	7,	1653,	2,	2),
(109048,	7,	1653,	3,	2),
(109049,	7,	1654,	1,	1),
(109050,	7,	1654,	2,	1),
(109051,	7,	1654,	3,	1),
(109052,	7,	1654,	1,	2),
(109053,	7,	1654,	2,	2),
(109054,	7,	1654,	3,	2),
(109055,	7,	1655,	1,	1),
(109056,	7,	1655,	2,	1),
(109057,	7,	1655,	3,	1),
(109058,	7,	1655,	1,	2),
(109059,	7,	1655,	2,	2),
(109060,	7,	1655,	3,	2),
(109061,	7,	1656,	1,	1),
(109062,	7,	1656,	2,	1),
(109063,	7,	1656,	3,	1),
(109064,	7,	1657,	1,	1),
(109065,	7,	1657,	2,	1),
(109066,	7,	1657,	3,	1),
(109067,	7,	1658,	1,	1),
(109068,	7,	1658,	2,	1),
(109069,	7,	1658,	3,	1),
(109070,	7,	1658,	1,	2),
(109071,	7,	1658,	2,	2),
(109072,	7,	1658,	3,	2),
(109073,	7,	1659,	1,	1),
(109074,	7,	1659,	2,	1),
(109075,	7,	1659,	3,	1),
(109076,	7,	1659,	1,	2),
(109077,	7,	1659,	2,	2),
(109078,	7,	1659,	3,	2),
(109079,	7,	1660,	1,	1),
(109080,	7,	1660,	2,	1),
(109082,	7,	1661,	1,	1),
(109083,	7,	1661,	2,	1),
(109084,	7,	1661,	3,	1),
(109085,	7,	1661,	1,	2),
(109086,	7,	1661,	2,	2),
(109087,	7,	1661,	3,	2),
(109088,	7,	1662,	1,	1),
(109089,	7,	1662,	2,	1),
(109090,	7,	1662,	3,	1),
(109091,	7,	1662,	1,	2),
(109092,	7,	1662,	2,	2),
(109093,	7,	1662,	3,	2),
(109094,	7,	1663,	1,	1),
(109095,	7,	1663,	2,	1),
(109096,	7,	1663,	3,	1),
(109097,	7,	1664,	1,	1),
(109098,	7,	1664,	2,	1),
(109099,	7,	1664,	3,	1),
(109100,	7,	1664,	1,	2),
(109101,	7,	1664,	2,	2),
(109102,	7,	1664,	3,	2),
(109103,	7,	1665,	1,	1),
(109104,	7,	1665,	2,	1),
(109105,	7,	1665,	3,	1),
(109106,	7,	1665,	1,	2),
(109107,	7,	1665,	2,	2),
(109108,	7,	1665,	3,	2),
(109109,	7,	1666,	1,	1),
(109110,	7,	1666,	2,	1),
(109111,	7,	1666,	3,	1),
(109112,	7,	1667,	1,	1),
(109113,	7,	1667,	2,	1),
(109114,	7,	1667,	3,	1),
(109115,	7,	1667,	1,	2),
(109116,	7,	1667,	2,	2),
(109117,	7,	1667,	3,	2),
(109118,	7,	1668,	1,	1),
(109119,	7,	1668,	2,	1),
(109120,	7,	1668,	3,	1),
(109121,	7,	1668,	1,	2),
(109122,	7,	1668,	2,	2),
(109123,	7,	1668,	3,	2),
(109124,	7,	1669,	1,	1),
(109125,	7,	1669,	2,	1),
(109126,	7,	1669,	3,	1),
(109127,	7,	1669,	1,	2),
(109128,	7,	1669,	2,	2),
(109129,	7,	1669,	3,	2),
(109130,	7,	1670,	1,	1),
(109131,	7,	1670,	2,	1),
(109132,	7,	1670,	3,	1),
(109133,	7,	1670,	1,	2),
(109134,	7,	1670,	2,	2),
(109135,	7,	1670,	3,	2),
(109136,	7,	1671,	1,	1),
(109137,	7,	1671,	2,	1),
(109138,	7,	1671,	3,	1),
(109139,	7,	1671,	1,	2),
(109140,	7,	1671,	2,	2),
(109141,	7,	1671,	3,	2),
(109142,	7,	1672,	1,	1),
(109143,	7,	1672,	2,	1),
(109144,	7,	1672,	3,	1),
(109145,	7,	1672,	1,	2),
(109146,	7,	1672,	2,	2),
(109147,	7,	1672,	3,	2),
(109148,	7,	1673,	1,	1),
(109149,	7,	1673,	2,	1),
(109150,	7,	1673,	3,	1),
(109151,	7,	1673,	1,	2),
(109152,	7,	1673,	2,	2),
(109153,	7,	1673,	3,	2),
(109154,	7,	1674,	1,	1),
(109155,	7,	1674,	2,	1),
(109156,	7,	1674,	3,	1),
(109157,	7,	1674,	1,	2),
(109158,	7,	1674,	2,	2),
(109159,	7,	1674,	3,	2),
(109160,	7,	1675,	1,	1),
(109161,	7,	1675,	2,	1),
(109162,	7,	1675,	3,	1),
(109163,	7,	1675,	1,	2),
(109164,	7,	1675,	2,	2),
(109165,	7,	1675,	3,	2),
(109166,	7,	1676,	1,	1),
(109167,	7,	1676,	2,	1),
(109168,	7,	1676,	3,	1),
(109169,	7,	1677,	1,	1),
(109170,	7,	1677,	2,	1),
(109171,	7,	1677,	3,	1),
(109172,	7,	1677,	1,	2),
(109173,	7,	1677,	2,	2),
(109174,	7,	1677,	3,	2),
(109175,	7,	1678,	1,	1),
(109176,	7,	1678,	2,	1),
(109177,	7,	1678,	3,	1),
(109178,	7,	1678,	1,	2),
(109179,	7,	1678,	2,	2),
(109180,	7,	1678,	3,	2),
(109181,	7,	1679,	1,	1),
(109182,	7,	1679,	2,	1),
(109183,	7,	1679,	3,	1),
(109184,	7,	1679,	1,	2),
(109185,	7,	1679,	2,	2),
(109186,	7,	1679,	3,	2),
(109187,	7,	1680,	1,	1),
(109188,	7,	1680,	2,	1),
(109189,	7,	1680,	3,	1),
(109190,	7,	1680,	1,	2),
(109191,	7,	1680,	2,	2),
(109192,	7,	1680,	3,	2),
(109193,	7,	1681,	1,	1),
(109194,	7,	1681,	2,	1),
(109195,	7,	1681,	3,	1),
(109196,	7,	1681,	1,	2),
(109197,	7,	1681,	2,	2),
(109198,	7,	1681,	3,	2),
(109199,	7,	1682,	1,	1),
(109200,	7,	1682,	2,	1),
(109201,	7,	1682,	3,	1),
(109202,	7,	1682,	1,	2),
(109203,	7,	1682,	2,	2),
(109204,	7,	1682,	3,	2),
(109205,	7,	1683,	1,	1),
(109206,	7,	1683,	2,	1),
(109207,	7,	1683,	3,	1),
(109208,	7,	1683,	1,	2),
(109209,	7,	1683,	2,	2),
(109210,	7,	1683,	3,	2),
(109211,	7,	1684,	1,	1),
(109212,	7,	1684,	2,	1),
(109213,	7,	1684,	3,	1),
(109214,	7,	1684,	1,	2),
(109215,	7,	1684,	2,	2),
(109216,	7,	1684,	3,	2),
(109217,	7,	1685,	1,	1),
(109218,	7,	1685,	2,	1),
(109219,	7,	1685,	3,	1),
(109220,	7,	1685,	1,	2),
(109221,	7,	1685,	2,	2),
(109222,	7,	1685,	3,	2),
(109223,	7,	1686,	1,	1),
(109224,	7,	1686,	2,	1),
(109225,	7,	1686,	3,	1),
(109226,	7,	1686,	1,	3),
(109227,	7,	1686,	2,	3),
(109228,	7,	1686,	3,	3),
(109229,	7,	1687,	1,	1),
(109230,	7,	1687,	2,	1),
(109231,	7,	1687,	3,	1),
(109232,	7,	1687,	1,	2),
(109233,	7,	1687,	2,	2),
(109234,	7,	1687,	3,	2),
(109235,	7,	1688,	1,	1),
(109236,	7,	1688,	2,	1),
(109237,	7,	1688,	3,	1),
(109238,	7,	1688,	1,	2),
(109239,	7,	1688,	2,	2),
(109240,	7,	1688,	3,	2),
(109241,	7,	1689,	1,	1),
(109242,	7,	1689,	2,	1),
(109243,	7,	1689,	3,	1),
(109244,	7,	1689,	1,	2),
(109245,	7,	1689,	2,	2),
(109246,	7,	1689,	3,	2),
(109247,	7,	1690,	1,	1),
(109248,	7,	1690,	2,	1),
(109249,	7,	1690,	3,	1),
(109250,	7,	1690,	1,	2),
(109251,	7,	1690,	2,	2),
(109252,	7,	1690,	3,	2),
(109253,	7,	1691,	1,	1),
(109254,	7,	1691,	2,	1),
(109255,	7,	1691,	3,	1),
(109256,	7,	1691,	1,	2),
(109257,	7,	1691,	2,	2),
(109258,	7,	1691,	3,	2),
(109259,	7,	1692,	1,	1),
(109260,	7,	1692,	2,	1),
(109261,	7,	1692,	3,	1),
(109262,	7,	1692,	1,	3),
(109263,	7,	1692,	2,	3),
(109264,	7,	1692,	3,	3),
(109265,	7,	1693,	1,	1),
(109266,	7,	1693,	2,	1),
(109267,	7,	1693,	3,	1),
(109268,	7,	1693,	1,	2),
(109269,	7,	1693,	2,	2),
(109270,	7,	1693,	3,	2),
(109271,	7,	1694,	1,	1),
(109272,	7,	1694,	2,	1),
(109273,	7,	1694,	3,	1),
(109274,	7,	1694,	1,	2),
(109275,	7,	1694,	2,	2),
(109276,	7,	1694,	3,	2),
(109277,	7,	1695,	1,	1),
(109278,	7,	1695,	2,	1),
(109279,	7,	1695,	3,	1),
(109280,	7,	1695,	1,	3),
(109281,	7,	1695,	2,	3),
(109282,	7,	1695,	3,	3),
(109283,	7,	1696,	1,	1),
(109284,	7,	1696,	2,	1),
(109285,	7,	1696,	3,	1),
(109286,	7,	1696,	1,	3),
(109287,	7,	1696,	2,	3),
(109288,	7,	1696,	3,	3),
(109289,	7,	1696,	1,	2),
(109290,	7,	1696,	2,	2),
(109291,	7,	1696,	3,	2),
(109292,	7,	1697,	1,	1),
(109293,	7,	1697,	2,	1),
(109294,	7,	1697,	3,	1),
(109295,	7,	1697,	1,	3),
(109296,	7,	1697,	2,	3),
(109297,	7,	1697,	3,	3),
(109298,	7,	1698,	1,	1),
(109299,	7,	1698,	2,	1),
(109300,	7,	1698,	3,	1),
(109301,	7,	1698,	1,	2),
(109302,	7,	1698,	2,	2),
(109303,	7,	1698,	3,	2),
(109304,	7,	1699,	1,	1),
(109305,	7,	1699,	2,	1),
(109306,	7,	1699,	3,	1),
(109307,	7,	1699,	1,	2),
(109308,	7,	1699,	2,	2),
(109309,	7,	1699,	3,	2),
(109310,	7,	1700,	1,	1),
(109311,	7,	1700,	2,	1),
(109312,	7,	1700,	3,	1),
(109313,	7,	1700,	1,	2),
(109314,	7,	1700,	2,	2),
(109315,	7,	1700,	3,	2),
(109316,	7,	1701,	1,	1),
(109317,	7,	1701,	2,	1),
(109318,	7,	1701,	3,	1),
(109319,	7,	1701,	1,	2),
(109320,	7,	1701,	2,	2),
(109321,	7,	1701,	3,	2),
(109322,	7,	1702,	1,	1),
(109323,	7,	1702,	2,	1),
(109324,	7,	1702,	3,	1),
(109325,	7,	1702,	1,	2),
(109326,	7,	1702,	2,	2),
(109327,	7,	1702,	3,	2),
(109328,	7,	1703,	1,	1),
(109329,	7,	1703,	2,	1),
(109330,	7,	1703,	3,	1),
(109331,	7,	1703,	1,	3),
(109332,	7,	1703,	2,	3),
(109333,	7,	1703,	3,	3),
(109334,	7,	1704,	1,	1),
(109335,	7,	1704,	2,	1),
(109336,	7,	1704,	3,	1),
(109337,	7,	1704,	1,	2),
(109338,	7,	1704,	2,	2),
(109339,	7,	1704,	3,	2),
(109340,	7,	1705,	1,	1),
(109341,	7,	1705,	2,	1),
(109342,	7,	1705,	3,	1),
(109343,	7,	1705,	1,	2),
(109344,	7,	1705,	2,	2),
(109345,	7,	1705,	3,	2),
(109346,	7,	1706,	1,	1),
(109347,	7,	1706,	2,	1),
(109348,	7,	1706,	3,	1),
(109349,	7,	1706,	1,	3),
(109350,	7,	1706,	2,	3),
(109351,	7,	1706,	3,	3),
(109352,	7,	1707,	1,	1),
(109353,	7,	1707,	2,	1),
(109354,	7,	1707,	3,	1),
(109355,	7,	1707,	1,	2),
(109356,	7,	1707,	2,	2),
(109357,	7,	1707,	3,	2),
(109358,	7,	1708,	1,	1),
(109359,	7,	1708,	2,	1),
(109360,	7,	1708,	3,	1),
(109361,	7,	1708,	1,	3),
(109362,	7,	1708,	2,	3),
(109363,	7,	1708,	3,	3),
(109364,	7,	1709,	1,	1),
(109365,	7,	1709,	2,	1),
(109366,	7,	1709,	3,	1),
(109367,	7,	1709,	1,	2),
(109368,	7,	1709,	2,	2),
(109369,	7,	1709,	3,	2),
(109370,	7,	1710,	1,	1),
(109371,	7,	1710,	2,	1),
(109372,	7,	1710,	3,	1),
(109373,	7,	1710,	1,	3),
(109374,	7,	1710,	2,	3),
(109375,	7,	1710,	3,	3),
(109376,	7,	1711,	1,	1),
(109377,	7,	1711,	2,	1),
(109378,	7,	1711,	3,	1),
(109379,	7,	1711,	1,	2),
(109380,	7,	1711,	2,	2),
(109381,	7,	1711,	3,	2),
(109382,	7,	1712,	1,	1),
(109383,	7,	1712,	2,	1),
(109384,	7,	1712,	3,	1),
(109385,	7,	1712,	1,	2),
(109386,	7,	1712,	2,	2),
(109387,	7,	1712,	3,	2),
(109388,	7,	1713,	1,	1),
(109389,	7,	1713,	2,	1),
(109390,	7,	1713,	3,	1),
(109391,	7,	1713,	1,	3),
(109392,	7,	1713,	2,	3),
(109393,	7,	1713,	3,	3),
(109394,	7,	1714,	1,	1),
(109395,	7,	1714,	2,	1),
(109396,	7,	1714,	3,	1),
(109397,	7,	1714,	83,	1),
(109398,	7,	1714,	1,	2),
(109399,	7,	1714,	2,	2),
(109400,	7,	1714,	3,	2),
(109401,	7,	1714,	83,	2),
(109402,	7,	1715,	1,	1),
(109403,	7,	1715,	2,	1),
(109404,	7,	1715,	3,	1),
(109405,	7,	1715,	1,	3),
(109406,	7,	1715,	2,	3),
(109407,	7,	1715,	3,	3),
(109408,	7,	1716,	1,	1),
(109409,	7,	1716,	2,	1),
(109410,	7,	1716,	3,	1),
(109411,	7,	1716,	1,	2),
(109412,	7,	1716,	2,	2),
(109413,	7,	1716,	3,	2),
(109414,	7,	1717,	1,	1),
(109415,	7,	1717,	2,	1),
(109416,	7,	1717,	3,	1),
(109417,	7,	1717,	1,	3),
(109418,	7,	1717,	2,	3),
(109419,	7,	1717,	3,	3),
(109420,	7,	1718,	1,	1),
(109421,	7,	1718,	2,	1),
(109422,	7,	1718,	3,	1),
(109423,	7,	1718,	1,	2),
(109424,	7,	1718,	2,	2),
(109425,	7,	1718,	3,	2),
(109426,	7,	1719,	1,	1),
(109427,	7,	1719,	2,	1),
(109428,	7,	1719,	3,	1),
(109429,	7,	1719,	1,	2),
(109430,	7,	1719,	2,	2),
(109431,	7,	1719,	3,	2),
(109432,	7,	1720,	1,	1),
(109433,	7,	1720,	2,	1),
(109434,	7,	1720,	3,	1),
(109435,	7,	1720,	1,	2),
(109436,	7,	1720,	2,	2),
(109437,	7,	1720,	3,	2),
(109438,	7,	1721,	1,	1),
(109439,	7,	1721,	2,	1),
(109440,	7,	1721,	3,	1),
(109441,	7,	1721,	1,	3),
(109442,	7,	1721,	2,	3),
(109443,	7,	1721,	3,	3),
(109444,	7,	1722,	1,	1),
(109445,	7,	1722,	2,	1),
(109446,	7,	1722,	3,	1),
(109447,	7,	1722,	1,	2),
(109448,	7,	1722,	2,	2),
(109449,	7,	1722,	3,	2),
(109450,	7,	1723,	1,	1),
(109451,	7,	1723,	2,	1),
(109452,	7,	1723,	3,	1),
(109453,	7,	1723,	1,	2),
(109454,	7,	1723,	2,	2),
(109455,	7,	1723,	3,	2),
(109456,	7,	1724,	1,	1),
(109457,	7,	1724,	2,	1),
(109458,	7,	1724,	3,	1),
(109459,	7,	1724,	1,	2),
(109460,	7,	1724,	2,	2),
(109461,	7,	1724,	3,	2),
(109462,	7,	1725,	1,	1),
(109463,	7,	1725,	2,	1),
(109464,	7,	1725,	3,	1),
(109465,	7,	1725,	1,	2),
(109466,	7,	1725,	2,	2),
(109467,	7,	1725,	3,	2),
(109468,	7,	1726,	1,	1),
(109469,	7,	1726,	2,	1),
(109470,	7,	1726,	3,	1),
(109471,	7,	1726,	1,	2),
(109472,	7,	1726,	2,	2),
(109473,	7,	1726,	3,	2),
(109474,	7,	1727,	1,	1),
(109475,	7,	1727,	2,	1),
(109476,	7,	1727,	3,	1),
(109477,	7,	1727,	1,	2),
(109478,	7,	1727,	2,	2),
(109479,	7,	1727,	3,	2),
(109480,	7,	1728,	1,	1),
(109481,	7,	1728,	2,	1),
(109482,	7,	1728,	3,	1),
(109483,	7,	1728,	1,	2),
(109484,	7,	1728,	2,	2),
(109485,	7,	1728,	3,	2),
(109486,	7,	1729,	1,	1),
(109487,	7,	1729,	2,	1),
(109488,	7,	1729,	3,	1),
(109489,	7,	1729,	1,	2),
(109490,	7,	1729,	2,	2),
(109491,	7,	1729,	3,	2),
(109492,	7,	1730,	1,	1),
(109493,	7,	1730,	2,	1),
(109494,	7,	1730,	3,	1),
(109495,	7,	1730,	1,	2),
(109496,	7,	1730,	2,	2),
(109497,	7,	1730,	3,	2),
(109498,	7,	1731,	1,	1),
(109499,	7,	1731,	2,	1),
(109500,	7,	1731,	3,	1),
(109501,	7,	1731,	1,	2),
(109502,	7,	1731,	2,	2),
(109503,	7,	1731,	3,	2),
(109504,	7,	1732,	1,	1),
(109505,	7,	1732,	2,	1),
(109506,	7,	1732,	3,	1),
(109507,	7,	1732,	1,	2),
(109508,	7,	1732,	2,	2),
(109509,	7,	1732,	3,	2),
(109510,	7,	1733,	1,	1),
(109511,	7,	1733,	2,	1),
(109512,	7,	1733,	3,	1),
(109513,	7,	1733,	1,	2),
(109514,	7,	1733,	2,	2),
(109515,	7,	1733,	3,	2),
(109516,	7,	1734,	1,	1),
(109517,	7,	1734,	2,	1),
(109518,	7,	1734,	3,	1),
(109519,	7,	1734,	1,	2),
(109520,	7,	1734,	2,	2),
(109521,	7,	1734,	3,	2),
(109522,	7,	1735,	1,	1),
(109523,	7,	1735,	2,	1),
(109524,	7,	1735,	3,	1),
(109525,	7,	1735,	1,	2),
(109526,	7,	1735,	2,	2),
(109527,	7,	1735,	3,	2),
(109528,	7,	1737,	1,	1),
(109529,	7,	1737,	2,	1),
(109530,	7,	1737,	3,	1),
(109531,	7,	1737,	1,	2),
(109532,	7,	1737,	2,	2),
(109533,	7,	1737,	3,	2),
(109534,	7,	1738,	1,	1),
(109535,	7,	1738,	2,	1),
(109536,	7,	1738,	3,	1),
(109537,	7,	1738,	23,	1),
(109538,	7,	1738,	1,	3),
(109539,	7,	1738,	2,	3),
(109540,	7,	1738,	3,	3),
(109541,	7,	1738,	23,	3),
(109545,	7,	1740,	2,	1),
(109546,	7,	1741,	2,	1),
(109547,	7,	1742,	1,	1),
(109548,	7,	1742,	2,	1),
(109549,	7,	1742,	3,	1),
(109550,	7,	1742,	1,	3),
(109551,	7,	1742,	2,	3),
(109552,	7,	1742,	3,	3),
(109553,	7,	1743,	1,	1),
(109554,	7,	1743,	2,	1),
(109555,	7,	1743,	3,	1),
(109556,	7,	1745,	1,	1),
(109557,	7,	1745,	2,	1),
(109558,	7,	1745,	3,	1),
(109559,	7,	1745,	1,	3),
(109560,	7,	1745,	2,	3),
(109561,	7,	1745,	3,	3),
(109562,	7,	1746,	1,	1),
(109563,	7,	1746,	2,	1),
(109564,	7,	1746,	3,	1),
(109565,	7,	1746,	1,	3),
(109566,	7,	1746,	2,	3),
(109567,	7,	1746,	3,	3),
(109568,	7,	1747,	1,	1),
(109569,	7,	1747,	2,	1),
(109570,	7,	1747,	3,	1),
(109571,	7,	1747,	1,	3),
(109572,	7,	1747,	2,	3),
(109573,	7,	1747,	3,	3),
(109574,	7,	1748,	1,	1),
(109575,	7,	1748,	2,	1),
(109576,	7,	1748,	3,	1),
(109577,	7,	1748,	1,	3),
(109578,	7,	1748,	2,	3),
(109579,	7,	1748,	3,	3),
(109580,	7,	1749,	1,	1),
(109581,	7,	1749,	2,	1),
(109582,	7,	1749,	3,	1),
(109583,	7,	1749,	1,	2),
(109584,	7,	1749,	2,	2),
(109585,	7,	1749,	3,	2),
(109586,	7,	1750,	1,	1),
(109587,	7,	1750,	2,	1),
(109588,	7,	1750,	3,	1),
(109589,	7,	1750,	1,	2),
(109590,	7,	1750,	2,	2),
(109591,	7,	1750,	3,	2),
(109592,	7,	1751,	1,	1),
(109593,	7,	1751,	2,	1),
(109594,	7,	1751,	3,	1),
(109595,	7,	1751,	1,	2),
(109596,	7,	1751,	2,	2),
(109597,	7,	1751,	3,	2),
(109598,	7,	1752,	1,	1),
(109599,	7,	1752,	2,	1),
(109600,	7,	1752,	3,	1),
(109601,	7,	1752,	1,	2),
(109602,	7,	1752,	2,	2),
(109603,	7,	1752,	3,	2),
(109604,	7,	1753,	1,	1),
(109605,	7,	1753,	2,	1),
(109606,	7,	1753,	3,	1),
(109607,	7,	1753,	1,	3),
(109608,	7,	1753,	2,	3),
(109609,	7,	1753,	3,	3),
(109610,	7,	1754,	1,	1),
(109611,	7,	1754,	2,	1),
(109612,	7,	1754,	3,	1),
(109613,	7,	1754,	1,	2),
(109614,	7,	1754,	2,	2),
(109615,	7,	1754,	3,	2),
(109616,	7,	1755,	1,	1),
(109617,	7,	1755,	2,	1),
(109618,	7,	1755,	3,	1),
(109619,	7,	1755,	1,	2),
(109620,	7,	1755,	2,	2),
(109621,	7,	1755,	3,	2),
(109622,	7,	1756,	1,	1),
(109623,	7,	1756,	2,	1),
(109624,	7,	1756,	3,	1),
(109625,	7,	1756,	1,	2),
(109626,	7,	1756,	2,	2),
(109627,	7,	1756,	3,	2),
(109628,	7,	1757,	1,	1),
(109629,	7,	1757,	2,	1),
(109630,	7,	1757,	3,	1),
(109631,	7,	1757,	1,	2),
(109632,	7,	1757,	2,	2),
(109633,	7,	1757,	3,	2),
(109634,	7,	1758,	1,	1),
(109635,	7,	1758,	2,	1),
(109636,	7,	1758,	3,	1),
(109637,	7,	1758,	1,	2),
(109638,	7,	1758,	2,	2),
(109639,	7,	1758,	3,	2),
(109640,	7,	1759,	1,	1),
(109641,	7,	1759,	2,	1),
(109642,	7,	1759,	3,	1),
(109643,	7,	1760,	1,	1),
(109644,	7,	1760,	2,	1),
(109645,	7,	1760,	3,	1),
(109646,	7,	1761,	1,	1),
(109647,	7,	1761,	2,	1),
(109648,	7,	1761,	3,	1),
(109649,	7,	1762,	1,	1),
(109650,	7,	1762,	2,	1),
(109651,	7,	1762,	3,	1),
(109652,	7,	1763,	1,	1),
(109653,	7,	1763,	2,	1),
(109654,	7,	1763,	3,	1),
(109655,	7,	1764,	1,	1),
(109656,	7,	1764,	2,	1),
(109657,	7,	1764,	3,	1),
(109658,	7,	1765,	1,	1),
(109659,	7,	1765,	2,	1),
(109660,	7,	1765,	3,	1),
(109661,	7,	1766,	1,	1),
(109662,	7,	1766,	2,	1),
(109663,	7,	1766,	3,	1),
(109664,	7,	1767,	1,	1),
(109665,	7,	1767,	2,	1),
(109666,	7,	1767,	3,	1),
(109667,	7,	1767,	1,	2),
(109668,	7,	1767,	2,	2),
(109669,	7,	1767,	3,	2),
(109670,	7,	1768,	1,	1),
(109671,	7,	1768,	2,	1),
(109672,	7,	1768,	3,	1),
(109673,	7,	1768,	1,	2),
(109674,	7,	1768,	2,	2),
(109675,	7,	1768,	3,	2),
(109676,	7,	1770,	2,	1),
(109677,	7,	1783,	1,	1),
(109678,	7,	1783,	2,	1),
(109679,	7,	1783,	3,	1),
(109680,	7,	1783,	1,	2),
(109681,	7,	1783,	2,	2),
(109682,	7,	1783,	3,	2),
(109683,	7,	1784,	1,	1),
(109684,	7,	1784,	2,	1),
(109685,	7,	1784,	3,	1),
(109686,	7,	1784,	1,	2),
(109687,	7,	1784,	2,	2),
(109688,	7,	1784,	3,	2),
(109689,	7,	1785,	1,	1),
(109690,	7,	1785,	2,	1),
(109691,	7,	1785,	3,	1),
(109692,	7,	1785,	1,	2),
(109693,	7,	1785,	2,	2),
(109694,	7,	1785,	3,	2),
(109695,	7,	1786,	1,	1),
(109696,	7,	1786,	2,	1),
(109697,	7,	1786,	3,	1),
(109698,	7,	1787,	1,	1),
(109699,	7,	1787,	2,	1),
(109700,	7,	1787,	3,	1),
(109701,	7,	1787,	1,	2),
(109702,	7,	1787,	2,	2),
(109703,	7,	1787,	3,	2),
(109704,	7,	1788,	1,	1),
(109705,	7,	1788,	2,	1),
(109706,	7,	1788,	3,	1),
(109707,	7,	1788,	1,	2),
(109708,	7,	1788,	2,	2),
(109709,	7,	1788,	3,	2),
(109710,	7,	1789,	1,	1),
(109711,	7,	1789,	2,	1),
(109712,	7,	1789,	3,	1),
(109713,	7,	1789,	1,	2),
(109714,	7,	1789,	2,	2),
(109715,	7,	1789,	3,	2),
(109716,	7,	1790,	1,	1),
(109717,	7,	1790,	2,	1),
(109718,	7,	1790,	3,	1),
(109719,	7,	1790,	1,	2),
(109720,	7,	1790,	2,	2),
(109721,	7,	1790,	3,	2),
(109722,	7,	1791,	1,	1),
(109723,	7,	1791,	2,	1),
(109724,	7,	1791,	3,	1),
(109725,	7,	1791,	1,	2),
(109726,	7,	1791,	2,	2),
(109727,	7,	1791,	3,	2),
(109728,	7,	1792,	2,	1),
(109729,	7,	1793,	1,	1),
(109730,	7,	1793,	2,	1),
(109731,	7,	1793,	3,	1),
(109732,	7,	1793,	1,	2),
(109733,	7,	1793,	2,	2),
(109734,	7,	1793,	3,	2),
(109735,	7,	1794,	1,	1),
(109736,	7,	1794,	2,	1),
(109737,	7,	1794,	3,	1),
(109738,	7,	1794,	1,	2),
(109739,	7,	1794,	2,	2),
(109740,	7,	1794,	3,	2),
(109741,	7,	1795,	1,	1),
(109742,	7,	1795,	2,	1),
(109743,	7,	1795,	3,	1),
(109744,	7,	1795,	1,	3),
(109745,	7,	1795,	2,	3),
(109746,	7,	1795,	3,	3),
(109747,	7,	1795,	1,	2),
(109748,	7,	1795,	2,	2),
(109749,	7,	1795,	3,	2),
(109750,	7,	1796,	1,	1),
(109751,	7,	1796,	2,	1),
(109752,	7,	1796,	3,	1),
(109753,	7,	1796,	1,	3),
(109754,	7,	1796,	2,	3),
(109755,	7,	1796,	3,	3),
(109756,	7,	1796,	1,	2),
(109757,	7,	1796,	2,	2),
(109758,	7,	1796,	3,	2),
(109759,	7,	1797,	1,	1),
(109760,	7,	1797,	2,	1),
(109761,	7,	1797,	3,	1),
(109762,	7,	1797,	1,	2),
(109763,	7,	1797,	2,	2),
(109764,	7,	1797,	3,	2),
(109765,	7,	1798,	1,	1),
(109766,	7,	1798,	2,	1),
(109767,	7,	1798,	3,	1),
(109768,	7,	1798,	1,	2),
(109769,	7,	1798,	2,	2),
(109770,	7,	1798,	3,	2),
(109771,	7,	1799,	1,	1),
(109772,	7,	1799,	2,	1),
(109773,	7,	1799,	3,	1),
(109774,	7,	1799,	1,	2),
(109775,	7,	1799,	2,	2),
(109776,	7,	1799,	3,	2),
(109777,	7,	1800,	1,	1),
(109778,	7,	1800,	2,	1),
(109779,	7,	1800,	3,	1),
(109780,	7,	1800,	1,	2),
(109781,	7,	1800,	2,	2),
(109782,	7,	1800,	3,	2),
(109783,	7,	1801,	1,	1),
(109784,	7,	1801,	2,	1),
(109785,	7,	1801,	3,	1),
(109786,	7,	1801,	1,	2),
(109787,	7,	1801,	2,	2),
(109788,	7,	1801,	3,	2),
(109789,	7,	1802,	1,	1),
(109790,	7,	1802,	2,	1),
(109791,	7,	1802,	3,	1),
(109792,	7,	1802,	1,	2),
(109793,	7,	1802,	2,	2),
(109794,	7,	1802,	3,	2),
(109795,	7,	1803,	1,	1),
(109796,	7,	1803,	2,	1),
(109797,	7,	1803,	3,	1),
(109798,	7,	1803,	1,	3),
(109799,	7,	1803,	2,	3),
(109800,	7,	1803,	3,	3),
(109801,	7,	1803,	1,	2),
(109802,	7,	1803,	2,	2),
(109803,	7,	1803,	3,	2),
(109804,	7,	1804,	1,	1),
(109805,	7,	1804,	2,	1),
(109806,	7,	1804,	3,	1),
(109807,	7,	1804,	1,	2),
(109808,	7,	1804,	2,	2),
(109809,	7,	1804,	3,	2),
(109810,	7,	1805,	1,	1),
(109811,	7,	1805,	2,	1),
(109812,	7,	1805,	3,	1),
(109813,	7,	1805,	1,	2),
(109814,	7,	1805,	2,	2),
(109815,	7,	1805,	3,	2),
(109816,	7,	1203,	85,	1),
(109817,	7,	1807,	24,	1),
(109818,	7,	1811,	82,	1),
(109819,	7,	1832,	2,	2),
(109820,	7,	1832,	2,	1),
(109821,	7,	1833,	2,	2),
(109822,	7,	1833,	2,	1),
(109823,	7,	1834,	2,	1),
(109824,	7,	1811,	88,	1),
(109825,	7,	1811,	89,	1),
(109826,	7,	1810,	NULL,	NULL),
(109827,	7,	1816,	NULL,	NULL),
(109828,	7,	1814,	NULL,	NULL),
(109829,	7,	1812,	NULL,	NULL),
(109830,	7,	1222,	73,	1),
(109831,	7,	1222,	85,	1),
(109832,	7,	1166,	49,	1),
(109833,	7,	793,	2,	2),
(109834,	7,	1839,	NULL,	NULL),
(109836,	7,	559,	35,	1),
(109837,	7,	1819,	NULL,	NULL),
(109838,	7,	970,	2,	1),
(109839,	7,	1838,	NULL,	NULL),
(109840,	7,	1840,	2,	1),
(109841,	7,	1841,	4,	1),
(109842,	7,	116,	2,	1),
(109843,	7,	116,	3,	1),
(109844,	7,	116,	2,	2),
(109845,	7,	116,	1,	2),
(109846,	7,	116,	3,	2),
(109847,	7,	1496,	45,	1),
(109848,	7,	116,	1,	1),
(109849,	7,	408,	2,	1),
(109850,	7,	586,	86,	1),
(109851,	7,	586,	87,	1),
(109852,	7,	1815,	NULL,	NULL),
(109853,	7,	1815,	3,	1),
(109854,	7,	1815,	2,	1),
(109855,	7,	1815,	1,	1),
(114749,	7,	1842,	NULL,	NULL),
(114750,	7,	1843,	NULL,	NULL),
(114751,	7,	588,	2,	1),
(114752,	4,	816,	25,	1),
(114753,	5,	1257,	3,	1),
(114754,	4,	1129,	3,	1),
(114755,	4,	1129,	1,	1),
(114756,	4,	1129,	24,	1),
(114757,	4,	1129,	4,	1),
(114758,	8,	545,	1,	1),
(114759,	8,	545,	3,	1),
(114761,	1,	630,	1,	1),
(114762,	1,	630,	2,	1),
(114763,	1,	630,	3,	1),
(114764,	1,	630,	1,	2),
(114765,	1,	630,	2,	2),
(114766,	1,	630,	3,	2),
(114767,	8,	1,	1,	1),
(114768,	8,	1,	2,	1),
(114769,	8,	1,	3,	1),
(114770,	8,	1,	4,	1),
(114771,	8,	1,	1,	2),
(114772,	8,	1,	2,	2),
(114773,	8,	1,	3,	2),
(114774,	8,	1,	4,	2),
(114775,	8,	2,	1,	1),
(114776,	8,	2,	2,	1),
(114777,	8,	2,	3,	1),
(114778,	8,	2,	1,	2),
(114779,	8,	2,	2,	2),
(114780,	8,	2,	3,	2),
(114781,	8,	3,	1,	1),
(114782,	8,	3,	2,	1),
(114783,	8,	3,	3,	1),
(114784,	8,	3,	4,	1),
(114785,	8,	3,	5,	1),
(114786,	8,	3,	1,	2),
(114787,	8,	3,	2,	2),
(114788,	8,	3,	3,	2),
(114789,	8,	3,	4,	2),
(114790,	8,	3,	5,	2),
(114791,	8,	4,	1,	1),
(114792,	8,	4,	2,	1),
(114793,	8,	4,	3,	1),
(114794,	8,	4,	4,	1),
(114795,	8,	4,	5,	1),
(114796,	8,	4,	1,	2),
(114797,	8,	4,	2,	2),
(114798,	8,	4,	3,	2),
(114799,	8,	4,	4,	2),
(114800,	8,	4,	5,	2),
(114801,	8,	5,	1,	1),
(114802,	8,	5,	2,	1),
(114803,	8,	5,	3,	1),
(114804,	8,	5,	6,	1),
(114805,	8,	6,	2,	1),
(114806,	8,	6,	3,	1),
(114807,	8,	6,	6,	1),
(114808,	8,	7,	1,	1),
(114809,	8,	7,	2,	1),
(114810,	8,	7,	3,	1),
(114811,	8,	7,	1,	2),
(114812,	8,	7,	2,	2),
(114813,	8,	7,	3,	2),
(114814,	8,	8,	1,	1),
(114815,	8,	8,	2,	1),
(114816,	8,	8,	3,	1),
(114817,	8,	8,	7,	1),
(114818,	8,	8,	8,	1),
(114819,	8,	8,	9,	1),
(114820,	8,	8,	10,	1),
(114821,	8,	8,	11,	1),
(114822,	8,	8,	12,	1),
(114823,	8,	8,	13,	1),
(114824,	8,	8,	14,	1),
(114825,	8,	8,	15,	1),
(114826,	8,	8,	16,	1),
(114827,	8,	8,	17,	1),
(114828,	8,	8,	18,	1),
(114829,	8,	8,	19,	1),
(114830,	8,	8,	20,	1),
(114831,	8,	8,	21,	1),
(114832,	8,	8,	22,	1),
(114833,	8,	9,	1,	1),
(114834,	8,	9,	2,	1),
(114835,	8,	9,	3,	1),
(114836,	8,	9,	7,	1),
(114837,	8,	9,	8,	1),
(114838,	8,	9,	9,	1),
(114839,	8,	9,	10,	1),
(114840,	8,	9,	11,	1),
(114841,	8,	9,	12,	1),
(114842,	8,	9,	13,	1),
(114843,	8,	9,	14,	1),
(114844,	8,	9,	15,	1),
(114845,	8,	9,	16,	1),
(114846,	8,	9,	17,	1),
(114847,	8,	9,	18,	1),
(114848,	8,	9,	19,	1),
(114849,	8,	9,	20,	1),
(114850,	8,	9,	21,	1),
(114851,	8,	9,	22,	1),
(114852,	8,	10,	1,	1),
(114853,	8,	10,	2,	1),
(114854,	8,	10,	3,	1),
(114855,	8,	10,	7,	1),
(114856,	8,	10,	8,	1),
(114857,	8,	10,	9,	1),
(114858,	8,	10,	10,	1),
(114859,	8,	10,	11,	1),
(114860,	8,	10,	12,	1),
(114861,	8,	10,	13,	1),
(114862,	8,	10,	14,	1),
(114863,	8,	10,	15,	1),
(114864,	8,	10,	16,	1),
(114865,	8,	10,	17,	1),
(114866,	8,	10,	18,	1),
(114867,	8,	10,	19,	1),
(114868,	8,	10,	20,	1),
(114869,	8,	10,	21,	1),
(114870,	8,	10,	22,	1),
(114871,	8,	11,	1,	1),
(114872,	8,	11,	2,	1),
(114873,	8,	11,	3,	1),
(114874,	8,	11,	7,	1),
(114875,	8,	11,	8,	1),
(114876,	8,	11,	9,	1),
(114877,	8,	11,	10,	1),
(114878,	8,	11,	11,	1),
(114879,	8,	11,	12,	1),
(114880,	8,	11,	13,	1),
(114881,	8,	11,	14,	1),
(114882,	8,	11,	15,	1),
(114883,	8,	11,	16,	1),
(114884,	8,	11,	17,	1),
(114885,	8,	11,	18,	1),
(114886,	8,	11,	19,	1),
(114887,	8,	11,	20,	1),
(114888,	8,	11,	21,	1),
(114889,	8,	11,	22,	1),
(114890,	8,	12,	1,	1),
(114891,	8,	12,	2,	1),
(114892,	8,	12,	3,	1),
(114893,	8,	12,	7,	1),
(114894,	8,	12,	8,	1),
(114895,	8,	12,	9,	1),
(114896,	8,	12,	10,	1),
(114897,	8,	12,	11,	1),
(114898,	8,	12,	12,	1),
(114899,	8,	12,	13,	1),
(114900,	8,	12,	14,	1),
(114901,	8,	12,	15,	1),
(114902,	8,	12,	16,	1),
(114903,	8,	12,	17,	1),
(114904,	8,	12,	18,	1),
(114905,	8,	12,	19,	1),
(114906,	8,	12,	20,	1),
(114907,	8,	12,	21,	1),
(114908,	8,	12,	22,	1),
(114909,	8,	13,	1,	1),
(114910,	8,	13,	2,	1),
(114911,	8,	13,	3,	1),
(114912,	8,	13,	7,	1),
(114913,	8,	13,	8,	1),
(114914,	8,	13,	9,	1),
(114915,	8,	13,	10,	1),
(114916,	8,	13,	11,	1),
(114917,	8,	13,	12,	1),
(114918,	8,	13,	13,	1),
(114919,	8,	13,	14,	1),
(114920,	8,	13,	15,	1),
(114921,	8,	13,	16,	1),
(114922,	8,	13,	17,	1),
(114923,	8,	13,	18,	1),
(114924,	8,	13,	19,	1),
(114925,	8,	13,	20,	1),
(114926,	8,	13,	21,	1),
(114927,	8,	13,	22,	1),
(114928,	8,	14,	1,	1),
(114929,	8,	14,	2,	1),
(114930,	8,	14,	3,	1),
(114931,	8,	14,	7,	1),
(114932,	8,	14,	8,	1),
(114933,	8,	14,	9,	1),
(114934,	8,	14,	10,	1),
(114935,	8,	14,	11,	1),
(114936,	8,	14,	12,	1),
(114937,	8,	14,	13,	1),
(114938,	8,	14,	14,	1),
(114939,	8,	14,	15,	1),
(114940,	8,	14,	16,	1),
(114941,	8,	14,	17,	1),
(114942,	8,	14,	18,	1),
(114943,	8,	14,	19,	1),
(114944,	8,	14,	20,	1),
(114945,	8,	14,	21,	1),
(114946,	8,	14,	22,	1),
(114947,	8,	15,	1,	1),
(114948,	8,	15,	2,	1),
(114949,	8,	15,	3,	1),
(114950,	8,	15,	7,	1),
(114951,	8,	15,	8,	1),
(114952,	8,	15,	9,	1),
(114953,	8,	15,	10,	1),
(114954,	8,	15,	11,	1),
(114955,	8,	15,	12,	1),
(114956,	8,	15,	13,	1),
(114957,	8,	15,	14,	1),
(114958,	8,	15,	15,	1),
(114959,	8,	15,	16,	1),
(114960,	8,	15,	17,	1),
(114961,	8,	15,	18,	1),
(114962,	8,	15,	19,	1),
(114963,	8,	15,	20,	1),
(114964,	8,	15,	21,	1),
(114965,	8,	15,	22,	1),
(114966,	8,	16,	1,	1),
(114967,	8,	16,	2,	1),
(114968,	8,	16,	3,	1),
(114969,	8,	16,	7,	1),
(114970,	8,	16,	8,	1),
(114971,	8,	16,	9,	1),
(114972,	8,	16,	10,	1),
(114973,	8,	16,	11,	1),
(114974,	8,	16,	12,	1),
(114975,	8,	16,	13,	1),
(114976,	8,	16,	14,	1),
(114977,	8,	16,	15,	1),
(114978,	8,	16,	16,	1),
(114979,	8,	16,	17,	1),
(114980,	8,	16,	18,	1),
(114981,	8,	16,	19,	1),
(114982,	8,	16,	20,	1),
(114983,	8,	16,	21,	1),
(114984,	8,	16,	22,	1),
(114985,	8,	17,	1,	1),
(114986,	8,	17,	2,	1),
(114987,	8,	17,	3,	1),
(114988,	8,	17,	7,	1),
(114989,	8,	17,	8,	1),
(114990,	8,	17,	9,	1),
(114991,	8,	17,	10,	1),
(114992,	8,	17,	11,	1),
(114993,	8,	17,	12,	1),
(114994,	8,	17,	13,	1),
(114995,	8,	17,	14,	1),
(114996,	8,	17,	15,	1),
(114997,	8,	17,	16,	1),
(114998,	8,	17,	17,	1),
(114999,	8,	17,	18,	1),
(115000,	8,	17,	19,	1),
(115001,	8,	17,	20,	1),
(115002,	8,	17,	21,	1),
(115003,	8,	17,	22,	1),
(115004,	8,	18,	1,	1),
(115005,	8,	18,	2,	1),
(115006,	8,	18,	3,	1),
(115007,	8,	18,	7,	1),
(115008,	8,	18,	8,	1),
(115009,	8,	18,	9,	1),
(115010,	8,	18,	10,	1),
(115011,	8,	18,	11,	1),
(115012,	8,	18,	12,	1),
(115013,	8,	18,	13,	1),
(115014,	8,	18,	14,	1),
(115015,	8,	18,	15,	1),
(115016,	8,	18,	16,	1),
(115017,	8,	18,	17,	1),
(115018,	8,	18,	18,	1),
(115019,	8,	18,	19,	1),
(115020,	8,	18,	20,	1),
(115021,	8,	18,	21,	1),
(115022,	8,	18,	22,	1),
(115023,	8,	19,	3,	1),
(115024,	8,	19,	7,	1),
(115025,	8,	19,	9,	1),
(115026,	8,	19,	10,	1),
(115027,	8,	19,	11,	1),
(115028,	8,	19,	12,	1),
(115029,	8,	19,	13,	1),
(115030,	8,	19,	14,	1),
(115031,	8,	19,	15,	1),
(115032,	8,	19,	16,	1),
(115033,	8,	19,	17,	1),
(115034,	8,	19,	18,	1),
(115035,	8,	19,	19,	1),
(115036,	8,	19,	20,	1),
(115037,	8,	19,	21,	1),
(115038,	8,	19,	22,	1),
(115039,	8,	20,	1,	1),
(115040,	8,	20,	2,	1),
(115041,	8,	20,	3,	1),
(115042,	8,	20,	7,	1),
(115043,	8,	20,	8,	1),
(115044,	8,	20,	9,	1),
(115045,	8,	20,	10,	1),
(115046,	8,	20,	11,	1),
(115047,	8,	20,	12,	1),
(115048,	8,	20,	13,	1),
(115049,	8,	20,	14,	1),
(115050,	8,	20,	15,	1),
(115051,	8,	20,	16,	1),
(115052,	8,	20,	17,	1),
(115053,	8,	20,	18,	1),
(115054,	8,	20,	19,	1),
(115055,	8,	20,	20,	1),
(115056,	8,	20,	21,	1),
(115057,	8,	20,	22,	1),
(115058,	8,	21,	1,	1),
(115059,	8,	21,	2,	1),
(115060,	8,	21,	3,	1),
(115061,	8,	21,	7,	1),
(115062,	8,	21,	8,	1),
(115063,	8,	21,	9,	1),
(115064,	8,	21,	10,	1),
(115065,	8,	21,	11,	1),
(115066,	8,	21,	12,	1),
(115067,	8,	21,	13,	1),
(115068,	8,	21,	14,	1),
(115069,	8,	21,	15,	1),
(115070,	8,	21,	16,	1),
(115071,	8,	21,	17,	1),
(115072,	8,	21,	18,	1),
(115073,	8,	21,	19,	1),
(115074,	8,	21,	20,	1),
(115075,	8,	21,	21,	1),
(115076,	8,	21,	22,	1),
(115077,	8,	22,	1,	1),
(115078,	8,	22,	2,	1),
(115079,	8,	22,	3,	1),
(115080,	8,	22,	7,	1),
(115081,	8,	22,	8,	1),
(115082,	8,	22,	9,	1),
(115083,	8,	22,	10,	1),
(115084,	8,	22,	11,	1),
(115085,	8,	22,	12,	1),
(115086,	8,	22,	13,	1),
(115087,	8,	22,	14,	1),
(115088,	8,	22,	15,	1),
(115089,	8,	22,	16,	1),
(115090,	8,	22,	17,	1),
(115091,	8,	22,	18,	1),
(115092,	8,	22,	19,	1),
(115093,	8,	22,	20,	1),
(115094,	8,	22,	21,	1),
(115095,	8,	22,	22,	1),
(115096,	8,	23,	1,	1),
(115097,	8,	23,	2,	1),
(115098,	8,	23,	3,	1),
(115099,	8,	23,	7,	1),
(115100,	8,	23,	8,	1),
(115101,	8,	23,	9,	1),
(115102,	8,	23,	10,	1),
(115103,	8,	23,	11,	1),
(115104,	8,	23,	12,	1),
(115105,	8,	23,	13,	1),
(115106,	8,	23,	14,	1),
(115107,	8,	23,	15,	1),
(115108,	8,	23,	16,	1),
(115109,	8,	23,	17,	1),
(115110,	8,	23,	18,	1),
(115111,	8,	23,	19,	1),
(115112,	8,	23,	20,	1),
(115113,	8,	23,	21,	1),
(115114,	8,	23,	22,	1),
(115115,	8,	24,	1,	1),
(115116,	8,	24,	2,	1),
(115117,	8,	24,	3,	1),
(115118,	8,	24,	7,	1),
(115119,	8,	24,	8,	1),
(115120,	8,	24,	9,	1),
(115121,	8,	24,	10,	1),
(115122,	8,	24,	11,	1),
(115123,	8,	24,	12,	1),
(115124,	8,	24,	13,	1),
(115125,	8,	24,	14,	1),
(115126,	8,	24,	15,	1),
(115127,	8,	24,	16,	1),
(115128,	8,	24,	17,	1),
(115129,	8,	24,	18,	1),
(115130,	8,	24,	19,	1),
(115131,	8,	24,	20,	1),
(115132,	8,	24,	21,	1),
(115133,	8,	24,	22,	1),
(115134,	8,	25,	1,	1),
(115135,	8,	25,	2,	1),
(115136,	8,	25,	3,	1),
(115137,	8,	25,	7,	1),
(115138,	8,	25,	8,	1),
(115139,	8,	25,	9,	1),
(115140,	8,	25,	10,	1),
(115141,	8,	25,	11,	1),
(115142,	8,	25,	12,	1),
(115143,	8,	25,	13,	1),
(115144,	8,	25,	14,	1),
(115145,	8,	25,	15,	1),
(115146,	8,	25,	16,	1),
(115147,	8,	25,	17,	1),
(115148,	8,	25,	18,	1),
(115149,	8,	25,	19,	1),
(115150,	8,	25,	20,	1),
(115151,	8,	25,	21,	1),
(115152,	8,	25,	22,	1),
(115153,	8,	26,	1,	1),
(115154,	8,	26,	2,	1),
(115155,	8,	26,	3,	1),
(115156,	8,	26,	7,	1),
(115157,	8,	26,	8,	1),
(115158,	8,	26,	9,	1),
(115159,	8,	26,	10,	1),
(115160,	8,	26,	11,	1),
(115161,	8,	26,	12,	1),
(115162,	8,	26,	13,	1),
(115163,	8,	26,	14,	1),
(115164,	8,	26,	15,	1),
(115165,	8,	26,	16,	1),
(115166,	8,	26,	17,	1),
(115167,	8,	26,	18,	1),
(115168,	8,	26,	19,	1),
(115169,	8,	26,	20,	1),
(115170,	8,	26,	21,	1),
(115171,	8,	26,	22,	1),
(115172,	8,	27,	1,	1),
(115173,	8,	27,	2,	1),
(115174,	8,	27,	3,	1),
(115175,	8,	27,	7,	1),
(115176,	8,	27,	8,	1),
(115177,	8,	27,	9,	1),
(115178,	8,	27,	10,	1),
(115179,	8,	27,	11,	1),
(115180,	8,	27,	12,	1),
(115181,	8,	27,	13,	1),
(115182,	8,	27,	14,	1),
(115183,	8,	27,	15,	1),
(115184,	8,	27,	16,	1),
(115185,	8,	27,	17,	1),
(115186,	8,	27,	18,	1),
(115187,	8,	27,	19,	1),
(115188,	8,	27,	20,	1),
(115189,	8,	27,	21,	1),
(115190,	8,	27,	22,	1),
(115191,	8,	28,	1,	1),
(115192,	8,	28,	2,	1),
(115193,	8,	28,	3,	1),
(115194,	8,	28,	7,	1),
(115195,	8,	28,	8,	1),
(115196,	8,	28,	9,	1),
(115197,	8,	28,	10,	1),
(115198,	8,	28,	11,	1),
(115199,	8,	28,	12,	1),
(115200,	8,	28,	13,	1),
(115201,	8,	28,	14,	1),
(115202,	8,	28,	15,	1),
(115203,	8,	28,	16,	1),
(115204,	8,	28,	17,	1),
(115205,	8,	28,	18,	1),
(115206,	8,	28,	19,	1),
(115207,	8,	28,	20,	1),
(115208,	8,	28,	21,	1),
(115209,	8,	28,	22,	1),
(115210,	8,	29,	7,	1),
(115211,	8,	29,	9,	1),
(115212,	8,	29,	11,	1),
(115213,	8,	29,	12,	1),
(115214,	8,	29,	13,	1),
(115215,	8,	29,	14,	1),
(115216,	8,	29,	15,	1),
(115217,	8,	29,	16,	1),
(115218,	8,	29,	17,	1),
(115219,	8,	29,	18,	1),
(115220,	8,	29,	19,	1),
(115221,	8,	29,	20,	1),
(115222,	8,	29,	21,	1),
(115223,	8,	29,	22,	1),
(115224,	8,	30,	1,	1),
(115225,	8,	30,	2,	1),
(115226,	8,	30,	3,	1),
(115227,	8,	30,	7,	1),
(115228,	8,	30,	8,	1),
(115229,	8,	30,	9,	1),
(115230,	8,	30,	10,	1),
(115231,	8,	30,	11,	1),
(115232,	8,	30,	12,	1),
(115233,	8,	30,	13,	1),
(115234,	8,	30,	14,	1),
(115235,	8,	30,	15,	1),
(115236,	8,	30,	16,	1),
(115237,	8,	30,	17,	1),
(115238,	8,	30,	18,	1),
(115239,	8,	30,	19,	1),
(115240,	8,	30,	20,	1),
(115241,	8,	30,	21,	1),
(115242,	8,	30,	22,	1),
(115243,	8,	31,	1,	1),
(115244,	8,	31,	2,	1),
(115245,	8,	31,	3,	1),
(115246,	8,	31,	7,	1),
(115247,	8,	31,	8,	1),
(115248,	8,	31,	9,	1),
(115249,	8,	31,	10,	1),
(115250,	8,	31,	11,	1),
(115251,	8,	31,	12,	1),
(115252,	8,	31,	13,	1),
(115253,	8,	31,	14,	1),
(115254,	8,	31,	15,	1),
(115255,	8,	31,	16,	1),
(115256,	8,	31,	17,	1),
(115257,	8,	31,	18,	1),
(115258,	8,	31,	19,	1),
(115259,	8,	31,	20,	1),
(115260,	8,	31,	21,	1),
(115261,	8,	31,	22,	1),
(115262,	8,	32,	1,	1),
(115263,	8,	32,	2,	1),
(115264,	8,	32,	3,	1),
(115265,	8,	32,	7,	1),
(115266,	8,	32,	8,	1),
(115267,	8,	32,	9,	1),
(115268,	8,	32,	10,	1),
(115269,	8,	32,	11,	1),
(115270,	8,	32,	12,	1),
(115271,	8,	32,	13,	1),
(115272,	8,	32,	14,	1),
(115273,	8,	32,	15,	1),
(115274,	8,	32,	16,	1),
(115275,	8,	32,	17,	1),
(115276,	8,	32,	18,	1),
(115277,	8,	32,	19,	1),
(115278,	8,	32,	20,	1),
(115279,	8,	32,	21,	1),
(115280,	8,	32,	22,	1),
(115281,	8,	33,	1,	1),
(115282,	8,	33,	2,	1),
(115283,	8,	33,	3,	1),
(115284,	8,	33,	7,	1),
(115285,	8,	33,	8,	1),
(115286,	8,	33,	9,	1),
(115287,	8,	33,	10,	1),
(115288,	8,	33,	11,	1),
(115289,	8,	33,	12,	1),
(115290,	8,	33,	13,	1),
(115291,	8,	33,	14,	1),
(115292,	8,	33,	15,	1),
(115293,	8,	33,	16,	1),
(115294,	8,	33,	17,	1),
(115295,	8,	33,	18,	1),
(115296,	8,	33,	19,	1),
(115297,	8,	33,	20,	1),
(115298,	8,	33,	21,	1),
(115299,	8,	33,	22,	1),
(115300,	8,	34,	1,	1),
(115301,	8,	34,	2,	1),
(115302,	8,	34,	3,	1),
(115303,	8,	34,	7,	1),
(115304,	8,	34,	8,	1),
(115305,	8,	34,	9,	1),
(115306,	8,	34,	10,	1),
(115307,	8,	34,	11,	1),
(115308,	8,	34,	12,	1),
(115309,	8,	34,	13,	1),
(115310,	8,	34,	14,	1),
(115311,	8,	34,	15,	1),
(115312,	8,	34,	16,	1),
(115313,	8,	34,	17,	1),
(115314,	8,	34,	18,	1),
(115315,	8,	34,	19,	1),
(115316,	8,	34,	20,	1),
(115317,	8,	34,	21,	1),
(115318,	8,	34,	22,	1),
(115319,	8,	34,	23,	1),
(115320,	8,	35,	1,	1),
(115321,	8,	35,	2,	1),
(115322,	8,	35,	3,	1),
(115323,	8,	35,	7,	1),
(115324,	8,	35,	8,	1),
(115325,	8,	35,	9,	1),
(115326,	8,	35,	10,	1),
(115327,	8,	35,	11,	1),
(115328,	8,	35,	12,	1),
(115329,	8,	35,	13,	1),
(115330,	8,	35,	14,	1),
(115331,	8,	35,	15,	1),
(115332,	8,	35,	16,	1),
(115333,	8,	35,	17,	1),
(115334,	8,	35,	18,	1),
(115335,	8,	35,	19,	1),
(115336,	8,	35,	20,	1),
(115337,	8,	35,	21,	1),
(115338,	8,	35,	22,	1),
(115339,	8,	36,	1,	1),
(115340,	8,	36,	2,	1),
(115341,	8,	36,	3,	1),
(115342,	8,	36,	7,	1),
(115343,	8,	36,	8,	1),
(115344,	8,	36,	9,	1),
(115345,	8,	36,	10,	1),
(115346,	8,	36,	11,	1),
(115347,	8,	36,	12,	1),
(115348,	8,	36,	13,	1),
(115349,	8,	36,	14,	1),
(115350,	8,	36,	15,	1),
(115351,	8,	36,	16,	1),
(115352,	8,	36,	17,	1),
(115353,	8,	36,	18,	1),
(115354,	8,	36,	19,	1),
(115355,	8,	36,	20,	1),
(115356,	8,	36,	21,	1),
(115357,	8,	36,	22,	1),
(115358,	8,	37,	1,	1),
(115359,	8,	37,	2,	1),
(115360,	8,	37,	3,	1),
(115361,	8,	37,	7,	1),
(115362,	8,	37,	8,	1),
(115363,	8,	37,	9,	1),
(115364,	8,	37,	10,	1),
(115365,	8,	37,	11,	1),
(115366,	8,	37,	12,	1),
(115367,	8,	37,	13,	1),
(115368,	8,	37,	14,	1),
(115369,	8,	37,	15,	1),
(115370,	8,	37,	16,	1),
(115371,	8,	37,	17,	1),
(115372,	8,	37,	18,	1),
(115373,	8,	37,	19,	1),
(115374,	8,	37,	20,	1),
(115375,	8,	37,	21,	1),
(115376,	8,	37,	22,	1),
(115377,	8,	38,	1,	1),
(115378,	8,	38,	2,	1),
(115379,	8,	38,	3,	1),
(115380,	8,	38,	7,	1),
(115381,	8,	38,	8,	1),
(115382,	8,	38,	9,	1),
(115383,	8,	38,	10,	1),
(115384,	8,	38,	11,	1),
(115385,	8,	38,	12,	1),
(115386,	8,	38,	13,	1),
(115387,	8,	38,	14,	1),
(115388,	8,	38,	15,	1),
(115389,	8,	38,	16,	1),
(115390,	8,	38,	17,	1),
(115391,	8,	38,	18,	1),
(115392,	8,	38,	19,	1),
(115393,	8,	38,	20,	1),
(115394,	8,	38,	21,	1),
(115395,	8,	38,	22,	1),
(115396,	8,	39,	1,	1),
(115397,	8,	39,	2,	1),
(115398,	8,	39,	3,	1),
(115399,	8,	39,	7,	1),
(115400,	8,	39,	8,	1),
(115401,	8,	39,	9,	1),
(115402,	8,	39,	10,	1),
(115403,	8,	39,	11,	1),
(115404,	8,	39,	12,	1),
(115405,	8,	39,	13,	1),
(115406,	8,	39,	14,	1),
(115407,	8,	39,	15,	1),
(115408,	8,	39,	16,	1),
(115409,	8,	39,	17,	1),
(115410,	8,	39,	18,	1),
(115411,	8,	39,	19,	1),
(115412,	8,	39,	20,	1),
(115413,	8,	39,	21,	1),
(115414,	8,	39,	22,	1),
(115415,	8,	40,	1,	1),
(115416,	8,	40,	2,	1),
(115417,	8,	40,	3,	1),
(115418,	8,	40,	7,	1),
(115419,	8,	40,	8,	1),
(115420,	8,	40,	9,	1),
(115421,	8,	40,	10,	1),
(115422,	8,	40,	11,	1),
(115423,	8,	40,	12,	1),
(115424,	8,	40,	13,	1),
(115425,	8,	40,	14,	1),
(115426,	8,	40,	15,	1),
(115427,	8,	40,	16,	1),
(115428,	8,	40,	17,	1),
(115429,	8,	40,	18,	1),
(115430,	8,	40,	19,	1),
(115431,	8,	40,	20,	1),
(115432,	8,	40,	21,	1),
(115433,	8,	40,	22,	1),
(115434,	8,	41,	1,	1),
(115435,	8,	41,	2,	1),
(115436,	8,	41,	3,	1),
(115437,	8,	41,	7,	1),
(115438,	8,	41,	8,	1),
(115439,	8,	41,	9,	1),
(115440,	8,	41,	10,	1),
(115441,	8,	41,	11,	1),
(115442,	8,	41,	12,	1),
(115443,	8,	41,	13,	1),
(115444,	8,	41,	14,	1),
(115445,	8,	41,	15,	1),
(115446,	8,	41,	16,	1),
(115447,	8,	41,	17,	1),
(115448,	8,	41,	18,	1),
(115449,	8,	41,	19,	1),
(115450,	8,	41,	20,	1),
(115451,	8,	41,	21,	1),
(115452,	8,	41,	22,	1),
(115453,	8,	42,	1,	1),
(115454,	8,	42,	2,	1),
(115455,	8,	42,	3,	1),
(115456,	8,	42,	7,	1),
(115457,	8,	42,	8,	1),
(115458,	8,	42,	9,	1),
(115459,	8,	42,	10,	1),
(115460,	8,	42,	11,	1),
(115461,	8,	42,	12,	1),
(115462,	8,	42,	13,	1),
(115463,	8,	42,	14,	1),
(115464,	8,	42,	15,	1),
(115465,	8,	42,	16,	1),
(115466,	8,	42,	17,	1),
(115467,	8,	42,	18,	1),
(115468,	8,	42,	19,	1),
(115469,	8,	42,	20,	1),
(115470,	8,	42,	21,	1),
(115471,	8,	42,	22,	1),
(115472,	8,	43,	1,	1),
(115473,	8,	43,	2,	1),
(115474,	8,	43,	3,	1),
(115475,	8,	43,	7,	1),
(115476,	8,	43,	8,	1),
(115477,	8,	43,	9,	1),
(115478,	8,	43,	10,	1),
(115479,	8,	43,	11,	1),
(115480,	8,	43,	12,	1),
(115481,	8,	43,	13,	1),
(115482,	8,	43,	14,	1),
(115483,	8,	43,	15,	1),
(115484,	8,	43,	16,	1),
(115485,	8,	43,	17,	1),
(115486,	8,	43,	18,	1),
(115487,	8,	43,	19,	1),
(115488,	8,	43,	20,	1),
(115489,	8,	43,	21,	1),
(115490,	8,	43,	22,	1),
(115491,	8,	44,	1,	1),
(115492,	8,	44,	2,	1),
(115493,	8,	44,	3,	1),
(115494,	8,	44,	7,	1),
(115495,	8,	44,	8,	1),
(115496,	8,	44,	9,	1),
(115497,	8,	44,	10,	1),
(115498,	8,	44,	11,	1),
(115499,	8,	44,	12,	1),
(115500,	8,	44,	13,	1),
(115501,	8,	44,	14,	1),
(115502,	8,	44,	15,	1),
(115503,	8,	44,	16,	1),
(115504,	8,	44,	17,	1),
(115505,	8,	44,	18,	1),
(115506,	8,	44,	19,	1),
(115507,	8,	44,	20,	1),
(115508,	8,	44,	21,	1),
(115509,	8,	44,	22,	1),
(115510,	8,	44,	23,	1),
(115511,	8,	45,	1,	1),
(115512,	8,	45,	2,	1),
(115513,	8,	45,	3,	1),
(115514,	8,	45,	7,	1),
(115515,	8,	45,	8,	1),
(115516,	8,	45,	9,	1),
(115517,	8,	45,	10,	1),
(115518,	8,	45,	11,	1),
(115519,	8,	45,	12,	1),
(115520,	8,	45,	13,	1),
(115521,	8,	45,	14,	1),
(115522,	8,	45,	15,	1),
(115523,	8,	45,	16,	1),
(115524,	8,	45,	17,	1),
(115525,	8,	45,	18,	1),
(115526,	8,	45,	19,	1),
(115527,	8,	45,	20,	1),
(115528,	8,	45,	21,	1),
(115529,	8,	45,	22,	1),
(115530,	8,	46,	1,	1),
(115531,	8,	46,	2,	1),
(115532,	8,	46,	3,	1),
(115533,	8,	46,	7,	1),
(115534,	8,	46,	8,	1),
(115535,	8,	46,	9,	1),
(115536,	8,	46,	10,	1),
(115537,	8,	46,	11,	1),
(115538,	8,	46,	12,	1),
(115539,	8,	46,	13,	1),
(115540,	8,	46,	14,	1),
(115541,	8,	46,	15,	1),
(115542,	8,	46,	16,	1),
(115543,	8,	46,	17,	1),
(115544,	8,	46,	18,	1),
(115545,	8,	46,	19,	1),
(115546,	8,	46,	20,	1),
(115547,	8,	46,	21,	1),
(115548,	8,	46,	22,	1),
(115549,	8,	46,	23,	1),
(115550,	8,	47,	1,	1),
(115551,	8,	47,	2,	1),
(115552,	8,	47,	3,	1),
(115553,	8,	47,	7,	1),
(115554,	8,	47,	8,	1),
(115555,	8,	47,	9,	1),
(115556,	8,	47,	10,	1),
(115557,	8,	47,	11,	1),
(115558,	8,	47,	12,	1),
(115559,	8,	47,	13,	1),
(115560,	8,	47,	14,	1),
(115561,	8,	47,	15,	1),
(115562,	8,	47,	16,	1),
(115563,	8,	47,	17,	1),
(115564,	8,	47,	18,	1),
(115565,	8,	47,	19,	1),
(115566,	8,	47,	20,	1),
(115567,	8,	47,	21,	1),
(115568,	8,	47,	22,	1),
(115569,	8,	48,	7,	1),
(115570,	8,	48,	9,	1),
(115571,	8,	48,	11,	1),
(115572,	8,	48,	12,	1),
(115573,	8,	48,	13,	1),
(115574,	8,	48,	14,	1),
(115575,	8,	48,	15,	1),
(115576,	8,	48,	16,	1),
(115577,	8,	48,	20,	1),
(115578,	8,	48,	21,	1),
(115579,	8,	48,	22,	1),
(115580,	8,	49,	1,	1),
(115581,	8,	49,	2,	1),
(115582,	8,	49,	3,	1),
(115583,	8,	49,	7,	1),
(115584,	8,	49,	8,	1),
(115585,	8,	49,	9,	1),
(115586,	8,	49,	10,	1),
(115587,	8,	49,	11,	1),
(115588,	8,	49,	12,	1),
(115589,	8,	49,	13,	1),
(115590,	8,	49,	14,	1),
(115591,	8,	49,	15,	1),
(115592,	8,	49,	16,	1),
(115593,	8,	49,	17,	1),
(115594,	8,	49,	18,	1),
(115595,	8,	49,	19,	1),
(115596,	8,	49,	20,	1),
(115597,	8,	49,	21,	1),
(115598,	8,	49,	22,	1),
(115599,	8,	50,	1,	1),
(115600,	8,	50,	2,	1),
(115601,	8,	50,	3,	1),
(115602,	8,	50,	7,	1),
(115603,	8,	50,	8,	1),
(115604,	8,	50,	9,	1),
(115605,	8,	50,	10,	1),
(115606,	8,	50,	11,	1),
(115607,	8,	50,	12,	1),
(115608,	8,	50,	13,	1),
(115609,	8,	50,	14,	1),
(115610,	8,	50,	15,	1),
(115611,	8,	50,	16,	1),
(115612,	8,	50,	17,	1),
(115613,	8,	50,	18,	1),
(115614,	8,	50,	19,	1),
(115615,	8,	50,	20,	1),
(115616,	8,	50,	21,	1),
(115617,	8,	50,	22,	1),
(115618,	8,	51,	7,	1),
(115619,	8,	51,	9,	1),
(115620,	8,	51,	11,	1),
(115621,	8,	51,	12,	1),
(115622,	8,	51,	13,	1),
(115623,	8,	51,	14,	1),
(115624,	8,	51,	15,	1),
(115625,	8,	51,	16,	1),
(115626,	8,	51,	17,	1),
(115627,	8,	51,	20,	1),
(115628,	8,	51,	21,	1),
(115629,	8,	51,	22,	1),
(115630,	8,	52,	1,	1),
(115631,	8,	52,	2,	1),
(115632,	8,	52,	3,	1),
(115633,	8,	52,	7,	1),
(115634,	8,	52,	8,	1),
(115635,	8,	52,	9,	1),
(115636,	8,	52,	10,	1),
(115637,	8,	52,	11,	1),
(115638,	8,	52,	12,	1),
(115639,	8,	52,	13,	1),
(115640,	8,	52,	14,	1),
(115641,	8,	52,	15,	1),
(115642,	8,	52,	16,	1),
(115643,	8,	52,	17,	1),
(115644,	8,	52,	18,	1),
(115645,	8,	52,	19,	1),
(115646,	8,	52,	20,	1),
(115647,	8,	52,	21,	1),
(115648,	8,	52,	22,	1),
(115649,	8,	53,	1,	1),
(115650,	8,	53,	2,	1),
(115651,	8,	53,	3,	1),
(115652,	8,	53,	7,	1),
(115653,	8,	53,	8,	1),
(115654,	8,	53,	9,	1),
(115655,	8,	53,	10,	1),
(115656,	8,	53,	11,	1),
(115657,	8,	53,	12,	1),
(115658,	8,	53,	13,	1),
(115659,	8,	53,	14,	1),
(115660,	8,	53,	15,	1),
(115661,	8,	53,	16,	1),
(115662,	8,	53,	17,	1),
(115663,	8,	53,	18,	1),
(115664,	8,	53,	19,	1),
(115665,	8,	53,	20,	1),
(115666,	8,	53,	21,	1),
(115667,	8,	53,	22,	1),
(115668,	8,	54,	1,	1),
(115669,	8,	54,	2,	1),
(115670,	8,	54,	3,	1),
(115671,	8,	54,	7,	1),
(115672,	8,	54,	8,	1),
(115673,	8,	54,	9,	1),
(115674,	8,	54,	10,	1),
(115675,	8,	54,	11,	1),
(115676,	8,	54,	12,	1),
(115677,	8,	54,	13,	1),
(115678,	8,	54,	14,	1),
(115679,	8,	54,	15,	1),
(115680,	8,	54,	16,	1),
(115681,	8,	54,	17,	1),
(115682,	8,	54,	18,	1),
(115683,	8,	54,	19,	1),
(115684,	8,	54,	20,	1),
(115685,	8,	54,	21,	1),
(115686,	8,	54,	22,	1),
(115687,	8,	55,	1,	1),
(115688,	8,	55,	2,	1),
(115689,	8,	55,	3,	1),
(115690,	8,	55,	7,	1),
(115691,	8,	55,	8,	1),
(115692,	8,	55,	9,	1),
(115693,	8,	55,	10,	1),
(115694,	8,	55,	11,	1),
(115695,	8,	55,	12,	1),
(115696,	8,	55,	13,	1),
(115697,	8,	55,	14,	1),
(115698,	8,	55,	15,	1),
(115699,	8,	55,	16,	1),
(115700,	8,	55,	17,	1),
(115701,	8,	55,	18,	1),
(115702,	8,	55,	19,	1),
(115703,	8,	55,	20,	1),
(115704,	8,	55,	21,	1),
(115705,	8,	55,	22,	1),
(115706,	8,	56,	1,	1),
(115707,	8,	56,	2,	1),
(115708,	8,	56,	3,	1),
(115709,	8,	56,	7,	1),
(115710,	8,	56,	8,	1),
(115711,	8,	56,	9,	1),
(115712,	8,	56,	10,	1),
(115713,	8,	56,	11,	1),
(115714,	8,	56,	12,	1),
(115715,	8,	56,	13,	1),
(115716,	8,	56,	14,	1),
(115717,	8,	56,	15,	1),
(115718,	8,	56,	16,	1),
(115719,	8,	56,	17,	1),
(115720,	8,	56,	18,	1),
(115721,	8,	56,	19,	1),
(115722,	8,	56,	20,	1),
(115723,	8,	56,	21,	1),
(115724,	8,	56,	22,	1),
(115725,	8,	57,	1,	1),
(115726,	8,	57,	2,	1),
(115727,	8,	57,	3,	1),
(115728,	8,	57,	7,	1),
(115729,	8,	57,	8,	1),
(115730,	8,	57,	9,	1),
(115731,	8,	57,	10,	1),
(115732,	8,	57,	11,	1),
(115733,	8,	57,	12,	1),
(115734,	8,	57,	13,	1),
(115735,	8,	57,	14,	1),
(115736,	8,	57,	15,	1),
(115737,	8,	57,	16,	1),
(115738,	8,	57,	17,	1),
(115739,	8,	57,	18,	1),
(115740,	8,	57,	19,	1),
(115741,	8,	57,	20,	1),
(115742,	8,	57,	21,	1),
(115743,	8,	57,	22,	1),
(115744,	8,	58,	1,	1),
(115745,	8,	58,	2,	1),
(115746,	8,	58,	3,	1),
(115747,	8,	58,	7,	1),
(115748,	8,	58,	8,	1),
(115749,	8,	58,	9,	1),
(115750,	8,	58,	10,	1),
(115751,	8,	58,	11,	1),
(115752,	8,	58,	12,	1),
(115753,	8,	58,	13,	1),
(115754,	8,	58,	14,	1),
(115755,	8,	58,	15,	1),
(115756,	8,	58,	16,	1),
(115757,	8,	58,	17,	1),
(115758,	8,	58,	18,	1),
(115759,	8,	58,	19,	1),
(115760,	8,	58,	20,	1),
(115761,	8,	58,	21,	1),
(115762,	8,	58,	22,	1),
(115763,	8,	59,	1,	1),
(115764,	8,	59,	2,	1),
(115765,	8,	59,	3,	1),
(115766,	8,	59,	7,	1),
(115767,	8,	59,	8,	1),
(115768,	8,	59,	9,	1),
(115769,	8,	59,	10,	1),
(115770,	8,	59,	11,	1),
(115771,	8,	59,	12,	1),
(115772,	8,	59,	13,	1),
(115773,	8,	59,	14,	1),
(115774,	8,	59,	15,	1),
(115775,	8,	59,	16,	1),
(115776,	8,	59,	17,	1),
(115777,	8,	59,	18,	1),
(115778,	8,	59,	19,	1),
(115779,	8,	59,	20,	1),
(115780,	8,	59,	21,	1),
(115781,	8,	59,	22,	1),
(115782,	8,	60,	1,	1),
(115783,	8,	60,	2,	1),
(115784,	8,	60,	3,	1),
(115785,	8,	60,	7,	1),
(115786,	8,	60,	8,	1),
(115787,	8,	60,	9,	1),
(115788,	8,	60,	10,	1),
(115789,	8,	60,	11,	1),
(115790,	8,	60,	12,	1),
(115791,	8,	60,	13,	1),
(115792,	8,	60,	14,	1),
(115793,	8,	60,	15,	1),
(115794,	8,	60,	16,	1),
(115795,	8,	60,	17,	1),
(115796,	8,	60,	18,	1),
(115797,	8,	60,	19,	1),
(115798,	8,	60,	20,	1),
(115799,	8,	60,	21,	1),
(115800,	8,	60,	22,	1),
(115801,	8,	61,	1,	1),
(115802,	8,	61,	2,	1),
(115803,	8,	61,	3,	1),
(115804,	8,	61,	7,	1),
(115805,	8,	61,	8,	1),
(115806,	8,	61,	9,	1),
(115807,	8,	61,	10,	1),
(115808,	8,	61,	11,	1),
(115809,	8,	61,	12,	1),
(115810,	8,	61,	13,	1),
(115811,	8,	61,	14,	1),
(115812,	8,	61,	15,	1),
(115813,	8,	61,	16,	1),
(115814,	8,	61,	17,	1),
(115815,	8,	61,	18,	1),
(115816,	8,	61,	19,	1),
(115817,	8,	61,	20,	1),
(115818,	8,	61,	21,	1),
(115819,	8,	61,	22,	1),
(115820,	8,	62,	1,	1),
(115821,	8,	62,	2,	1),
(115822,	8,	62,	3,	1),
(115823,	8,	62,	7,	1),
(115824,	8,	62,	8,	1),
(115825,	8,	62,	9,	1),
(115826,	8,	62,	10,	1),
(115827,	8,	62,	11,	1),
(115828,	8,	62,	12,	1),
(115829,	8,	62,	13,	1),
(115830,	8,	62,	14,	1),
(115831,	8,	62,	15,	1),
(115832,	8,	62,	16,	1),
(115833,	8,	62,	17,	1),
(115834,	8,	62,	18,	1),
(115835,	8,	62,	19,	1),
(115836,	8,	62,	20,	1),
(115837,	8,	62,	21,	1),
(115838,	8,	62,	22,	1),
(115839,	8,	63,	1,	1),
(115840,	8,	63,	2,	1),
(115841,	8,	63,	3,	1),
(115842,	8,	63,	7,	1),
(115843,	8,	63,	8,	1),
(115844,	8,	63,	9,	1),
(115845,	8,	63,	10,	1),
(115846,	8,	63,	11,	1),
(115847,	8,	63,	12,	1),
(115848,	8,	63,	13,	1),
(115849,	8,	63,	14,	1),
(115850,	8,	63,	15,	1),
(115851,	8,	63,	16,	1),
(115852,	8,	63,	17,	1),
(115853,	8,	63,	18,	1),
(115854,	8,	63,	19,	1),
(115855,	8,	63,	20,	1),
(115856,	8,	63,	21,	1),
(115857,	8,	63,	22,	1),
(115858,	8,	64,	1,	1),
(115859,	8,	64,	2,	1),
(115860,	8,	64,	3,	1),
(115861,	8,	64,	7,	1),
(115862,	8,	64,	8,	1),
(115863,	8,	64,	9,	1),
(115864,	8,	64,	10,	1),
(115865,	8,	64,	11,	1),
(115866,	8,	64,	12,	1),
(115867,	8,	64,	13,	1),
(115868,	8,	64,	14,	1),
(115869,	8,	64,	15,	1),
(115870,	8,	64,	16,	1),
(115871,	8,	64,	17,	1),
(115872,	8,	64,	18,	1),
(115873,	8,	64,	19,	1),
(115874,	8,	64,	20,	1),
(115875,	8,	64,	21,	1),
(115876,	8,	64,	22,	1),
(115877,	8,	65,	1,	1),
(115878,	8,	65,	2,	1),
(115879,	8,	65,	3,	1),
(115880,	8,	65,	7,	1),
(115881,	8,	65,	8,	1),
(115882,	8,	65,	9,	1),
(115883,	8,	65,	10,	1),
(115884,	8,	65,	11,	1),
(115885,	8,	65,	12,	1),
(115886,	8,	65,	13,	1),
(115887,	8,	65,	14,	1),
(115888,	8,	65,	15,	1),
(115889,	8,	65,	16,	1),
(115890,	8,	65,	17,	1),
(115891,	8,	65,	18,	1),
(115892,	8,	65,	19,	1),
(115893,	8,	65,	20,	1),
(115894,	8,	65,	21,	1),
(115895,	8,	65,	22,	1),
(115896,	8,	66,	1,	1),
(115897,	8,	66,	2,	1),
(115898,	8,	66,	3,	1),
(115899,	8,	66,	7,	1),
(115900,	8,	66,	8,	1),
(115901,	8,	66,	9,	1),
(115902,	8,	66,	10,	1),
(115903,	8,	66,	11,	1),
(115904,	8,	66,	12,	1),
(115905,	8,	66,	13,	1),
(115906,	8,	66,	14,	1),
(115907,	8,	66,	15,	1),
(115908,	8,	66,	16,	1),
(115909,	8,	66,	17,	1),
(115910,	8,	66,	18,	1),
(115911,	8,	66,	19,	1),
(115912,	8,	66,	20,	1),
(115913,	8,	66,	21,	1),
(115914,	8,	66,	22,	1),
(115915,	8,	67,	1,	1),
(115916,	8,	67,	2,	1),
(115917,	8,	67,	3,	1),
(115918,	8,	67,	7,	1),
(115919,	8,	67,	8,	1),
(115920,	8,	67,	9,	1),
(115921,	8,	67,	10,	1),
(115922,	8,	67,	11,	1),
(115923,	8,	67,	12,	1),
(115924,	8,	67,	13,	1),
(115925,	8,	67,	14,	1),
(115926,	8,	67,	15,	1),
(115927,	8,	67,	16,	1),
(115928,	8,	67,	17,	1),
(115929,	8,	67,	18,	1),
(115930,	8,	67,	19,	1),
(115931,	8,	67,	20,	1),
(115932,	8,	67,	21,	1),
(115933,	8,	67,	22,	1),
(115934,	8,	68,	1,	1),
(115935,	8,	68,	2,	1),
(115936,	8,	68,	3,	1),
(115937,	8,	68,	7,	1),
(115938,	8,	68,	8,	1),
(115939,	8,	68,	9,	1),
(115940,	8,	68,	10,	1),
(115941,	8,	68,	11,	1),
(115942,	8,	68,	12,	1),
(115943,	8,	68,	13,	1),
(115944,	8,	68,	14,	1),
(115945,	8,	68,	15,	1),
(115946,	8,	68,	16,	1),
(115947,	8,	68,	17,	1),
(115948,	8,	68,	18,	1),
(115949,	8,	68,	19,	1),
(115950,	8,	68,	20,	1),
(115951,	8,	68,	21,	1),
(115952,	8,	68,	22,	1),
(115953,	8,	69,	1,	1),
(115954,	8,	69,	2,	1),
(115955,	8,	69,	3,	1),
(115956,	8,	69,	7,	1),
(115957,	8,	69,	8,	1),
(115958,	8,	69,	9,	1),
(115959,	8,	69,	10,	1),
(115960,	8,	69,	11,	1),
(115961,	8,	69,	12,	1),
(115962,	8,	69,	13,	1),
(115963,	8,	69,	14,	1),
(115964,	8,	69,	15,	1),
(115965,	8,	69,	16,	1),
(115966,	8,	69,	17,	1),
(115967,	8,	69,	18,	1),
(115968,	8,	69,	19,	1),
(115969,	8,	69,	20,	1),
(115970,	8,	69,	21,	1),
(115971,	8,	69,	22,	1),
(115972,	8,	70,	1,	1),
(115973,	8,	70,	2,	1),
(115974,	8,	70,	3,	1),
(115975,	8,	70,	7,	1),
(115976,	8,	70,	8,	1),
(115977,	8,	70,	9,	1),
(115978,	8,	70,	10,	1),
(115979,	8,	70,	11,	1),
(115980,	8,	70,	12,	1),
(115981,	8,	70,	13,	1),
(115982,	8,	70,	14,	1),
(115983,	8,	70,	15,	1),
(115984,	8,	70,	16,	1),
(115985,	8,	70,	17,	1),
(115986,	8,	70,	18,	1),
(115987,	8,	70,	19,	1),
(115988,	8,	70,	20,	1),
(115989,	8,	70,	21,	1),
(115990,	8,	70,	22,	1),
(115991,	8,	71,	1,	1),
(115992,	8,	71,	2,	1),
(115993,	8,	71,	3,	1),
(115994,	8,	71,	7,	1),
(115995,	8,	71,	8,	1),
(115996,	8,	71,	9,	1),
(115997,	8,	71,	10,	1),
(115998,	8,	71,	11,	1),
(115999,	8,	71,	12,	1),
(116000,	8,	71,	13,	1),
(116001,	8,	71,	14,	1),
(116002,	8,	71,	15,	1),
(116003,	8,	71,	16,	1),
(116004,	8,	71,	17,	1),
(116005,	8,	71,	18,	1),
(116006,	8,	71,	19,	1),
(116007,	8,	71,	20,	1),
(116008,	8,	71,	21,	1),
(116009,	8,	71,	22,	1),
(116010,	8,	72,	1,	1),
(116011,	8,	72,	2,	1),
(116012,	8,	72,	3,	1),
(116013,	8,	72,	7,	1),
(116014,	8,	72,	8,	1),
(116015,	8,	72,	9,	1),
(116016,	8,	72,	10,	1),
(116017,	8,	72,	11,	1),
(116018,	8,	72,	12,	1),
(116019,	8,	72,	13,	1),
(116020,	8,	72,	14,	1),
(116021,	8,	72,	15,	1),
(116022,	8,	72,	16,	1),
(116023,	8,	72,	17,	1),
(116024,	8,	72,	18,	1),
(116025,	8,	72,	19,	1),
(116026,	8,	72,	20,	1),
(116027,	8,	72,	21,	1),
(116028,	8,	72,	22,	1),
(116029,	8,	73,	2,	1),
(116030,	8,	73,	3,	1),
(116031,	8,	73,	7,	1),
(116032,	8,	73,	9,	1),
(116033,	8,	73,	10,	1),
(116034,	8,	73,	11,	1),
(116035,	8,	73,	12,	1),
(116036,	8,	73,	13,	1),
(116037,	8,	73,	14,	1),
(116038,	8,	73,	15,	1),
(116039,	8,	73,	16,	1),
(116040,	8,	73,	17,	1),
(116041,	8,	73,	18,	1),
(116042,	8,	73,	19,	1),
(116043,	8,	73,	20,	1),
(116044,	8,	73,	21,	1),
(116045,	8,	73,	22,	1),
(116046,	8,	73,	23,	1),
(116047,	8,	74,	1,	1),
(116048,	8,	74,	2,	1),
(116049,	8,	74,	3,	1),
(116050,	8,	74,	7,	1),
(116051,	8,	74,	8,	1),
(116052,	8,	74,	9,	1),
(116053,	8,	74,	10,	1),
(116054,	8,	74,	11,	1),
(116055,	8,	74,	12,	1),
(116056,	8,	74,	13,	1),
(116057,	8,	74,	14,	1),
(116058,	8,	74,	15,	1),
(116059,	8,	74,	16,	1),
(116060,	8,	74,	17,	1),
(116061,	8,	74,	18,	1),
(116062,	8,	74,	19,	1),
(116063,	8,	74,	20,	1),
(116064,	8,	74,	21,	1),
(116065,	8,	74,	22,	1),
(116066,	8,	75,	1,	1),
(116067,	8,	75,	2,	1),
(116068,	8,	75,	3,	1),
(116069,	8,	75,	7,	1),
(116070,	8,	75,	8,	1),
(116071,	8,	75,	9,	1),
(116072,	8,	75,	10,	1),
(116073,	8,	75,	11,	1),
(116074,	8,	75,	12,	1),
(116075,	8,	75,	13,	1),
(116076,	8,	75,	14,	1),
(116077,	8,	75,	15,	1),
(116078,	8,	75,	16,	1),
(116079,	8,	75,	17,	1),
(116080,	8,	75,	18,	1),
(116081,	8,	75,	19,	1),
(116082,	8,	75,	20,	1),
(116083,	8,	75,	21,	1),
(116084,	8,	75,	22,	1),
(116085,	8,	76,	1,	1),
(116086,	8,	76,	2,	1),
(116087,	8,	76,	3,	1),
(116088,	8,	76,	7,	1),
(116089,	8,	76,	8,	1),
(116090,	8,	76,	9,	1),
(116091,	8,	76,	10,	1),
(116092,	8,	76,	11,	1),
(116093,	8,	76,	12,	1),
(116094,	8,	76,	13,	1),
(116095,	8,	76,	14,	1),
(116096,	8,	76,	15,	1),
(116097,	8,	76,	16,	1),
(116098,	8,	76,	17,	1),
(116099,	8,	76,	18,	1),
(116100,	8,	76,	19,	1),
(116101,	8,	76,	20,	1),
(116102,	8,	76,	21,	1),
(116103,	8,	76,	22,	1),
(116104,	8,	76,	23,	1),
(116105,	8,	77,	1,	1),
(116106,	8,	77,	2,	1),
(116107,	8,	77,	3,	1),
(116108,	8,	77,	7,	1),
(116109,	8,	77,	8,	1),
(116110,	8,	77,	9,	1),
(116111,	8,	77,	10,	1),
(116112,	8,	77,	11,	1),
(116113,	8,	77,	12,	1),
(116114,	8,	77,	13,	1),
(116115,	8,	77,	14,	1),
(116116,	8,	77,	15,	1),
(116117,	8,	77,	16,	1),
(116118,	8,	77,	17,	1),
(116119,	8,	77,	18,	1),
(116120,	8,	77,	19,	1),
(116121,	8,	77,	20,	1),
(116122,	8,	77,	21,	1),
(116123,	8,	77,	22,	1),
(116124,	8,	78,	1,	1),
(116125,	8,	78,	2,	1),
(116126,	8,	78,	3,	1),
(116127,	8,	78,	7,	1),
(116128,	8,	78,	8,	1),
(116129,	8,	78,	9,	1),
(116130,	8,	78,	10,	1),
(116131,	8,	78,	11,	1),
(116132,	8,	78,	12,	1),
(116133,	8,	78,	13,	1),
(116134,	8,	78,	14,	1),
(116135,	8,	78,	15,	1),
(116136,	8,	78,	16,	1),
(116137,	8,	78,	17,	1),
(116138,	8,	78,	18,	1),
(116139,	8,	78,	19,	1),
(116140,	8,	78,	20,	1),
(116141,	8,	78,	21,	1),
(116142,	8,	78,	22,	1),
(116143,	8,	79,	1,	1),
(116144,	8,	79,	2,	1),
(116145,	8,	79,	3,	1),
(116146,	8,	79,	7,	1),
(116147,	8,	79,	8,	1),
(116148,	8,	79,	9,	1),
(116149,	8,	79,	10,	1),
(116150,	8,	79,	11,	1),
(116151,	8,	79,	12,	1),
(116152,	8,	79,	13,	1),
(116153,	8,	79,	14,	1),
(116154,	8,	79,	15,	1),
(116155,	8,	79,	16,	1),
(116156,	8,	79,	17,	1),
(116157,	8,	79,	18,	1),
(116158,	8,	79,	19,	1),
(116159,	8,	79,	20,	1),
(116160,	8,	79,	21,	1),
(116161,	8,	79,	22,	1),
(116162,	8,	80,	1,	1),
(116163,	8,	80,	2,	1),
(116164,	8,	80,	3,	1),
(116165,	8,	80,	7,	1),
(116166,	8,	80,	8,	1),
(116167,	8,	80,	9,	1),
(116168,	8,	80,	10,	1),
(116169,	8,	80,	11,	1),
(116170,	8,	80,	12,	1),
(116171,	8,	80,	13,	1),
(116172,	8,	80,	14,	1),
(116173,	8,	80,	15,	1),
(116174,	8,	80,	16,	1),
(116175,	8,	80,	17,	1),
(116176,	8,	80,	18,	1),
(116177,	8,	80,	19,	1),
(116178,	8,	80,	20,	1),
(116179,	8,	80,	21,	1),
(116180,	8,	80,	22,	1),
(116181,	8,	81,	7,	1),
(116182,	8,	81,	9,	1),
(116183,	8,	81,	10,	1),
(116184,	8,	81,	11,	1),
(116185,	8,	81,	12,	1),
(116186,	8,	81,	13,	1),
(116187,	8,	81,	14,	1),
(116188,	8,	81,	15,	1),
(116189,	8,	81,	16,	1),
(116190,	8,	81,	17,	1),
(116191,	8,	81,	18,	1),
(116192,	8,	81,	19,	1),
(116193,	8,	81,	20,	1),
(116194,	8,	81,	21,	1),
(116195,	8,	81,	22,	1),
(116196,	8,	82,	1,	1),
(116197,	8,	82,	2,	1),
(116198,	8,	82,	3,	1),
(116199,	8,	82,	7,	1),
(116200,	8,	82,	8,	1),
(116201,	8,	82,	9,	1),
(116202,	8,	82,	10,	1),
(116203,	8,	82,	11,	1),
(116204,	8,	82,	12,	1),
(116205,	8,	82,	13,	1),
(116206,	8,	82,	14,	1),
(116207,	8,	82,	15,	1),
(116208,	8,	82,	16,	1),
(116209,	8,	82,	17,	1),
(116210,	8,	82,	18,	1),
(116211,	8,	82,	19,	1),
(116212,	8,	82,	20,	1),
(116213,	8,	82,	21,	1),
(116214,	8,	82,	22,	1),
(116215,	8,	83,	1,	1),
(116216,	8,	83,	2,	1),
(116217,	8,	83,	3,	1),
(116218,	8,	83,	7,	1),
(116219,	8,	83,	8,	1),
(116220,	8,	83,	9,	1),
(116221,	8,	83,	10,	1),
(116222,	8,	83,	11,	1),
(116223,	8,	83,	12,	1),
(116224,	8,	83,	13,	1),
(116225,	8,	83,	14,	1),
(116226,	8,	83,	15,	1),
(116227,	8,	83,	16,	1),
(116228,	8,	83,	17,	1),
(116229,	8,	83,	18,	1),
(116230,	8,	83,	19,	1),
(116231,	8,	83,	20,	1),
(116232,	8,	83,	21,	1),
(116233,	8,	83,	22,	1),
(116234,	8,	84,	1,	1),
(116235,	8,	84,	2,	1),
(116236,	8,	84,	3,	1),
(116237,	8,	84,	7,	1),
(116238,	8,	84,	8,	1),
(116239,	8,	84,	9,	1),
(116240,	8,	84,	10,	1),
(116241,	8,	84,	11,	1),
(116242,	8,	84,	12,	1),
(116243,	8,	84,	13,	1),
(116244,	8,	84,	14,	1),
(116245,	8,	84,	15,	1),
(116246,	8,	84,	16,	1),
(116247,	8,	84,	17,	1),
(116248,	8,	84,	18,	1),
(116249,	8,	84,	19,	1),
(116250,	8,	84,	20,	1),
(116251,	8,	84,	21,	1),
(116252,	8,	84,	22,	1),
(116253,	8,	85,	1,	1),
(116254,	8,	85,	2,	1),
(116255,	8,	85,	3,	1),
(116256,	8,	85,	7,	1),
(116257,	8,	85,	8,	1),
(116258,	8,	85,	9,	1),
(116259,	8,	85,	10,	1),
(116260,	8,	85,	11,	1),
(116261,	8,	85,	12,	1),
(116262,	8,	85,	13,	1),
(116263,	8,	85,	14,	1),
(116264,	8,	85,	15,	1),
(116265,	8,	85,	16,	1),
(116266,	8,	85,	17,	1),
(116267,	8,	85,	18,	1),
(116268,	8,	85,	19,	1),
(116269,	8,	85,	20,	1),
(116270,	8,	85,	21,	1),
(116271,	8,	85,	22,	1),
(116272,	8,	86,	1,	1),
(116273,	8,	86,	2,	1),
(116274,	8,	86,	3,	1),
(116275,	8,	86,	7,	1),
(116276,	8,	86,	8,	1),
(116277,	8,	86,	9,	1),
(116278,	8,	86,	10,	1),
(116279,	8,	86,	11,	1),
(116280,	8,	86,	12,	1),
(116281,	8,	86,	13,	1),
(116282,	8,	86,	14,	1),
(116283,	8,	86,	15,	1),
(116284,	8,	86,	16,	1),
(116285,	8,	86,	17,	1),
(116286,	8,	86,	18,	1),
(116287,	8,	86,	19,	1),
(116288,	8,	86,	20,	1),
(116289,	8,	86,	21,	1),
(116290,	8,	86,	22,	1),
(116291,	8,	87,	1,	1),
(116292,	8,	87,	2,	1),
(116293,	8,	87,	3,	1),
(116294,	8,	87,	7,	1),
(116295,	8,	87,	8,	1),
(116296,	8,	87,	9,	1),
(116297,	8,	87,	10,	1),
(116298,	8,	87,	11,	1),
(116299,	8,	87,	12,	1),
(116300,	8,	87,	13,	1),
(116301,	8,	87,	14,	1),
(116302,	8,	87,	15,	1),
(116303,	8,	87,	16,	1),
(116304,	8,	87,	17,	1),
(116305,	8,	87,	18,	1),
(116306,	8,	87,	19,	1),
(116307,	8,	87,	20,	1),
(116308,	8,	87,	21,	1),
(116309,	8,	87,	22,	1),
(116310,	8,	88,	1,	1),
(116311,	8,	88,	2,	1),
(116312,	8,	88,	3,	1),
(116313,	8,	88,	7,	1),
(116314,	8,	88,	8,	1),
(116315,	8,	88,	9,	1),
(116316,	8,	88,	10,	1),
(116317,	8,	88,	11,	1),
(116318,	8,	88,	12,	1),
(116319,	8,	88,	13,	1),
(116320,	8,	88,	14,	1),
(116321,	8,	88,	15,	1),
(116322,	8,	88,	16,	1),
(116323,	8,	88,	17,	1),
(116324,	8,	88,	18,	1),
(116325,	8,	88,	19,	1),
(116326,	8,	88,	20,	1),
(116327,	8,	88,	21,	1),
(116328,	8,	88,	22,	1),
(116329,	8,	89,	1,	1),
(116330,	8,	89,	2,	1),
(116331,	8,	89,	3,	1),
(116332,	8,	89,	7,	1),
(116333,	8,	89,	8,	1),
(116334,	8,	89,	9,	1),
(116335,	8,	89,	10,	1),
(116336,	8,	89,	11,	1),
(116337,	8,	89,	12,	1),
(116338,	8,	89,	13,	1),
(116339,	8,	89,	14,	1),
(116340,	8,	89,	15,	1),
(116341,	8,	89,	16,	1),
(116342,	8,	89,	17,	1),
(116343,	8,	89,	18,	1),
(116344,	8,	89,	19,	1),
(116345,	8,	89,	20,	1),
(116346,	8,	89,	21,	1),
(116347,	8,	89,	22,	1),
(116348,	8,	89,	23,	1),
(116349,	8,	90,	1,	1),
(116350,	8,	90,	2,	1),
(116351,	8,	90,	3,	1),
(116352,	8,	90,	7,	1),
(116353,	8,	90,	8,	1),
(116354,	8,	90,	9,	1),
(116355,	8,	90,	10,	1),
(116356,	8,	90,	11,	1),
(116357,	8,	90,	12,	1),
(116358,	8,	90,	13,	1),
(116359,	8,	90,	14,	1),
(116360,	8,	90,	15,	1),
(116361,	8,	90,	16,	1),
(116362,	8,	90,	17,	1),
(116363,	8,	90,	18,	1),
(116364,	8,	90,	19,	1),
(116365,	8,	90,	20,	1),
(116366,	8,	90,	21,	1),
(116367,	8,	90,	22,	1),
(116368,	8,	91,	7,	1),
(116369,	8,	91,	9,	1),
(116370,	8,	91,	10,	1),
(116371,	8,	91,	11,	1),
(116372,	8,	91,	12,	1),
(116373,	8,	91,	13,	1),
(116374,	8,	91,	14,	1),
(116375,	8,	91,	15,	1),
(116376,	8,	91,	16,	1),
(116377,	8,	91,	17,	1),
(116378,	8,	91,	18,	1),
(116379,	8,	91,	19,	1),
(116380,	8,	91,	20,	1),
(116381,	8,	91,	21,	1),
(116382,	8,	91,	22,	1),
(116383,	8,	92,	1,	1),
(116384,	8,	92,	2,	1),
(116385,	8,	92,	3,	1),
(116386,	8,	92,	7,	1),
(116387,	8,	92,	8,	1),
(116388,	8,	92,	9,	1),
(116389,	8,	92,	10,	1),
(116390,	8,	92,	11,	1),
(116391,	8,	92,	12,	1),
(116392,	8,	92,	13,	1),
(116393,	8,	92,	14,	1),
(116394,	8,	92,	15,	1),
(116395,	8,	92,	16,	1),
(116396,	8,	92,	17,	1),
(116397,	8,	92,	18,	1),
(116398,	8,	92,	19,	1),
(116399,	8,	92,	20,	1),
(116400,	8,	92,	21,	1),
(116401,	8,	92,	22,	1),
(116402,	8,	93,	1,	1),
(116403,	8,	93,	2,	1),
(116404,	8,	93,	3,	1),
(116405,	8,	93,	7,	1),
(116406,	8,	93,	8,	1),
(116407,	8,	93,	9,	1),
(116408,	8,	93,	10,	1),
(116409,	8,	93,	11,	1),
(116410,	8,	93,	12,	1),
(116411,	8,	93,	13,	1),
(116412,	8,	93,	14,	1),
(116413,	8,	93,	15,	1),
(116414,	8,	93,	16,	1),
(116415,	8,	93,	17,	1),
(116416,	8,	93,	18,	1),
(116417,	8,	93,	19,	1),
(116418,	8,	93,	20,	1),
(116419,	8,	93,	21,	1),
(116420,	8,	93,	22,	1),
(116421,	8,	94,	7,	1),
(116422,	8,	94,	9,	1),
(116423,	8,	94,	10,	1),
(116424,	8,	94,	11,	1),
(116425,	8,	94,	12,	1),
(116426,	8,	94,	13,	1),
(116427,	8,	94,	14,	1),
(116428,	8,	94,	15,	1),
(116429,	8,	94,	16,	1),
(116430,	8,	94,	17,	1),
(116431,	8,	94,	18,	1),
(116432,	8,	94,	19,	1),
(116433,	8,	94,	20,	1),
(116434,	8,	94,	21,	1),
(116435,	8,	94,	22,	1),
(116436,	8,	95,	1,	1),
(116437,	8,	95,	2,	1),
(116438,	8,	95,	3,	1),
(116439,	8,	95,	7,	1),
(116440,	8,	95,	8,	1),
(116441,	8,	95,	9,	1),
(116442,	8,	95,	10,	1),
(116443,	8,	95,	11,	1),
(116444,	8,	95,	12,	1),
(116445,	8,	95,	13,	1),
(116446,	8,	95,	14,	1),
(116447,	8,	95,	15,	1),
(116448,	8,	95,	16,	1),
(116449,	8,	95,	17,	1),
(116450,	8,	95,	18,	1),
(116451,	8,	95,	19,	1),
(116452,	8,	95,	20,	1),
(116453,	8,	95,	21,	1),
(116454,	8,	95,	22,	1),
(116455,	8,	96,	1,	1),
(116456,	8,	96,	2,	1),
(116457,	8,	96,	3,	1),
(116458,	8,	96,	7,	1),
(116459,	8,	96,	8,	1),
(116460,	8,	96,	9,	1),
(116461,	8,	96,	10,	1),
(116462,	8,	96,	11,	1),
(116463,	8,	96,	12,	1),
(116464,	8,	96,	13,	1),
(116465,	8,	96,	14,	1),
(116466,	8,	96,	15,	1),
(116467,	8,	96,	16,	1),
(116468,	8,	96,	17,	1),
(116469,	8,	96,	18,	1),
(116470,	8,	96,	19,	1),
(116471,	8,	96,	20,	1),
(116472,	8,	96,	21,	1),
(116473,	8,	96,	22,	1),
(116474,	8,	96,	23,	1),
(116475,	8,	97,	7,	1),
(116476,	8,	97,	9,	1),
(116477,	8,	97,	10,	1),
(116478,	8,	97,	11,	1),
(116479,	8,	97,	12,	1),
(116480,	8,	97,	13,	1),
(116481,	8,	97,	14,	1),
(116482,	8,	97,	15,	1),
(116483,	8,	97,	16,	1),
(116484,	8,	97,	17,	1),
(116485,	8,	97,	18,	1),
(116486,	8,	97,	19,	1),
(116487,	8,	97,	20,	1),
(116488,	8,	97,	21,	1),
(116489,	8,	97,	22,	1),
(116490,	8,	98,	1,	1),
(116491,	8,	98,	2,	1),
(116492,	8,	98,	3,	1),
(116493,	8,	98,	7,	1),
(116494,	8,	98,	8,	1),
(116495,	8,	98,	9,	1),
(116496,	8,	98,	10,	1),
(116497,	8,	98,	11,	1),
(116498,	8,	98,	12,	1),
(116499,	8,	98,	13,	1),
(116500,	8,	98,	14,	1),
(116501,	8,	98,	15,	1),
(116502,	8,	98,	16,	1),
(116503,	8,	98,	17,	1),
(116504,	8,	98,	18,	1),
(116505,	8,	98,	19,	1),
(116506,	8,	98,	20,	1),
(116507,	8,	98,	21,	1),
(116508,	8,	98,	22,	1),
(116509,	8,	99,	1,	1),
(116510,	8,	99,	2,	1),
(116511,	8,	99,	3,	1),
(116512,	8,	99,	7,	1),
(116513,	8,	99,	8,	1),
(116514,	8,	99,	9,	1),
(116515,	8,	99,	10,	1),
(116516,	8,	99,	11,	1),
(116517,	8,	99,	12,	1),
(116518,	8,	99,	13,	1),
(116519,	8,	99,	14,	1),
(116520,	8,	99,	15,	1),
(116521,	8,	99,	16,	1),
(116522,	8,	99,	17,	1),
(116523,	8,	99,	18,	1),
(116524,	8,	99,	19,	1),
(116525,	8,	99,	20,	1),
(116526,	8,	99,	21,	1),
(116527,	8,	99,	22,	1),
(116528,	8,	100,	1,	1),
(116529,	8,	100,	2,	1),
(116530,	8,	100,	3,	1),
(116531,	8,	100,	7,	1),
(116532,	8,	100,	8,	1),
(116533,	8,	100,	9,	1),
(116534,	8,	100,	10,	1),
(116535,	8,	100,	11,	1),
(116536,	8,	100,	12,	1),
(116537,	8,	100,	13,	1),
(116538,	8,	100,	14,	1),
(116539,	8,	100,	15,	1),
(116540,	8,	100,	16,	1),
(116541,	8,	100,	17,	1),
(116542,	8,	100,	18,	1),
(116543,	8,	100,	19,	1),
(116544,	8,	100,	20,	1),
(116545,	8,	100,	21,	1),
(116546,	8,	100,	22,	1),
(116547,	8,	101,	1,	1),
(116548,	8,	101,	2,	1),
(116549,	8,	101,	3,	1),
(116550,	8,	101,	5,	1),
(116551,	8,	101,	1,	3),
(116552,	8,	101,	2,	3),
(116553,	8,	101,	3,	3),
(116554,	8,	101,	5,	3),
(116555,	8,	101,	1,	2),
(116556,	8,	101,	2,	2),
(116557,	8,	101,	3,	2),
(116558,	8,	101,	5,	2),
(116559,	8,	102,	1,	1),
(116560,	8,	102,	2,	1),
(116561,	8,	102,	3,	1),
(116562,	8,	103,	1,	1),
(116563,	8,	103,	2,	1),
(116564,	8,	103,	3,	1),
(116565,	8,	103,	6,	1),
(116566,	8,	103,	24,	1),
(116567,	8,	103,	4,	1),
(116568,	8,	103,	25,	1),
(116569,	8,	103,	5,	1),
(116570,	8,	103,	26,	1),
(116571,	8,	104,	1,	1),
(116572,	8,	104,	2,	1),
(116573,	8,	104,	3,	1),
(116574,	8,	104,	24,	1),
(116575,	8,	104,	6,	1),
(116576,	8,	104,	4,	1),
(116577,	8,	104,	25,	1),
(116578,	8,	104,	5,	1),
(116579,	8,	104,	1,	3),
(116580,	8,	104,	2,	3),
(116581,	8,	104,	3,	3),
(116582,	8,	104,	24,	3),
(116583,	8,	104,	6,	3),
(116584,	8,	104,	4,	3),
(116585,	8,	104,	25,	3),
(116586,	8,	104,	5,	3),
(116587,	8,	105,	1,	1),
(116588,	8,	105,	2,	1),
(116589,	8,	105,	3,	1),
(116590,	8,	105,	24,	1),
(116591,	8,	105,	6,	1),
(116592,	8,	105,	4,	1),
(116593,	8,	105,	25,	1),
(116594,	8,	105,	5,	1),
(116595,	8,	105,	1,	3),
(116596,	8,	105,	2,	3),
(116597,	8,	105,	3,	3),
(116598,	8,	105,	24,	3),
(116599,	8,	105,	6,	3),
(116600,	8,	105,	4,	3),
(116601,	8,	105,	25,	3),
(116602,	8,	105,	5,	3),
(116603,	8,	106,	1,	1),
(116604,	8,	106,	2,	1),
(116605,	8,	106,	3,	1),
(116606,	8,	106,	24,	1),
(116607,	8,	106,	6,	1),
(116608,	8,	106,	4,	1),
(116609,	8,	106,	25,	1),
(116610,	8,	106,	5,	1),
(116611,	8,	106,	1,	3),
(116612,	8,	106,	2,	3),
(116613,	8,	106,	3,	3),
(116614,	8,	106,	24,	3),
(116615,	8,	106,	6,	3),
(116616,	8,	106,	4,	3),
(116617,	8,	106,	25,	3),
(116618,	8,	106,	5,	3),
(116619,	8,	107,	1,	1),
(116620,	8,	107,	2,	1),
(116621,	8,	107,	3,	1),
(116622,	8,	107,	24,	1),
(116623,	8,	107,	6,	1),
(116624,	8,	107,	4,	1),
(116625,	8,	107,	25,	1),
(116626,	8,	107,	5,	1),
(116627,	8,	107,	1,	3),
(116628,	8,	107,	2,	3),
(116629,	8,	107,	3,	3),
(116630,	8,	107,	24,	3),
(116631,	8,	107,	6,	3),
(116632,	8,	107,	4,	3),
(116633,	8,	107,	25,	3),
(116634,	8,	107,	5,	3),
(116635,	8,	108,	1,	1),
(116636,	8,	108,	2,	1),
(116637,	8,	108,	3,	1),
(116638,	8,	108,	24,	1),
(116639,	8,	108,	25,	1),
(116640,	8,	108,	4,	1),
(116641,	8,	108,	1,	3),
(116642,	8,	108,	2,	3),
(116643,	8,	108,	3,	3),
(116644,	8,	108,	24,	3),
(116645,	8,	108,	25,	3),
(116646,	8,	108,	4,	3),
(116647,	8,	109,	1,	1),
(116648,	8,	109,	2,	1),
(116649,	8,	109,	3,	1),
(116650,	8,	109,	24,	1),
(116651,	8,	109,	6,	1),
(116652,	8,	109,	4,	1),
(116653,	8,	109,	25,	1),
(116654,	8,	109,	5,	1),
(116655,	8,	109,	1,	3),
(116656,	8,	109,	2,	3),
(116657,	8,	109,	3,	3),
(116658,	8,	109,	24,	3),
(116659,	8,	109,	6,	3),
(116660,	8,	109,	4,	3),
(116661,	8,	109,	25,	3),
(116662,	8,	109,	5,	3),
(116663,	8,	110,	1,	1),
(116664,	8,	110,	2,	1),
(116665,	8,	110,	3,	1),
(116666,	8,	110,	24,	1),
(116667,	8,	110,	6,	1),
(116668,	8,	110,	4,	1),
(116669,	8,	110,	25,	1),
(116670,	8,	110,	5,	1),
(116671,	8,	110,	1,	3),
(116672,	8,	110,	2,	3),
(116673,	8,	110,	3,	3),
(116674,	8,	110,	24,	3),
(116675,	8,	110,	6,	3),
(116676,	8,	110,	4,	3),
(116677,	8,	110,	25,	3),
(116678,	8,	110,	5,	3),
(116679,	8,	111,	1,	1),
(116680,	8,	111,	2,	1),
(116681,	8,	111,	3,	1),
(116682,	8,	111,	24,	1),
(116683,	8,	111,	6,	1),
(116684,	8,	111,	4,	1),
(116685,	8,	111,	25,	1),
(116686,	8,	111,	5,	1),
(116687,	8,	111,	1,	2),
(116688,	8,	111,	2,	2),
(116689,	8,	111,	3,	2),
(116690,	8,	111,	24,	2),
(116691,	8,	111,	6,	2),
(116692,	8,	111,	4,	2),
(116693,	8,	111,	25,	2),
(116694,	8,	111,	5,	2),
(116695,	8,	112,	1,	1),
(116696,	8,	112,	2,	1),
(116697,	8,	112,	3,	1),
(116698,	8,	112,	24,	1),
(116699,	8,	112,	6,	1),
(116700,	8,	112,	4,	1),
(116701,	8,	112,	25,	1),
(116702,	8,	112,	5,	1),
(116703,	8,	112,	1,	3),
(116704,	8,	112,	2,	3),
(116705,	8,	112,	3,	3),
(116706,	8,	112,	24,	3),
(116707,	8,	112,	6,	3),
(116708,	8,	112,	4,	3),
(116709,	8,	112,	25,	3),
(116710,	8,	112,	5,	3),
(116711,	8,	113,	1,	1),
(116712,	8,	113,	2,	1),
(116713,	8,	113,	3,	1),
(116714,	8,	113,	5,	1),
(116715,	8,	113,	1,	3),
(116716,	8,	113,	2,	3),
(116717,	8,	113,	3,	3),
(116718,	8,	113,	5,	3),
(116719,	8,	113,	1,	2),
(116720,	8,	113,	2,	2),
(116721,	8,	113,	3,	2),
(116722,	8,	113,	5,	2),
(116723,	8,	114,	1,	1),
(116724,	8,	114,	2,	1),
(116725,	8,	114,	3,	1),
(116726,	8,	114,	5,	1),
(116727,	8,	114,	1,	3),
(116728,	8,	114,	2,	3),
(116729,	8,	114,	3,	3),
(116730,	8,	114,	5,	3),
(116731,	8,	114,	1,	2),
(116732,	8,	114,	2,	2),
(116733,	8,	114,	3,	2),
(116734,	8,	114,	5,	2),
(116735,	8,	115,	1,	1),
(116736,	8,	115,	2,	1),
(116737,	8,	115,	3,	1),
(116738,	8,	115,	1,	2),
(116739,	8,	115,	2,	2),
(116740,	8,	115,	3,	2),
(116741,	8,	117,	1,	1),
(116742,	8,	117,	2,	1),
(116743,	8,	117,	3,	1),
(116744,	8,	117,	1,	2),
(116745,	8,	117,	2,	2),
(116746,	8,	117,	3,	2),
(116747,	8,	118,	1,	1),
(116748,	8,	118,	2,	1),
(116749,	8,	118,	3,	1),
(116750,	8,	118,	23,	1),
(116751,	8,	118,	1,	3),
(116752,	8,	118,	2,	3),
(116753,	8,	118,	3,	3),
(116754,	8,	118,	23,	3),
(116755,	8,	119,	1,	1),
(116756,	8,	119,	2,	1),
(116757,	8,	119,	3,	1),
(116758,	8,	119,	1,	2),
(116759,	8,	119,	2,	2),
(116760,	8,	119,	3,	2),
(116761,	8,	120,	1,	1),
(116762,	8,	120,	2,	1),
(116763,	8,	120,	3,	1),
(116764,	8,	120,	1,	2),
(116765,	8,	120,	2,	2),
(116766,	8,	120,	3,	2),
(116767,	8,	121,	1,	1),
(116768,	8,	121,	2,	1),
(116769,	8,	121,	3,	1),
(116770,	8,	121,	1,	2),
(116771,	8,	121,	2,	2),
(116772,	8,	121,	3,	2),
(116773,	8,	122,	1,	1),
(116774,	8,	122,	2,	1),
(116775,	8,	122,	3,	1),
(116776,	8,	122,	1,	2),
(116777,	8,	122,	2,	2),
(116778,	8,	122,	3,	2),
(116779,	8,	123,	1,	1),
(116780,	8,	123,	2,	1),
(116781,	8,	123,	3,	1),
(116782,	8,	123,	1,	2),
(116783,	8,	123,	2,	2),
(116784,	8,	123,	3,	2),
(116785,	8,	124,	2,	1),
(116786,	8,	125,	1,	1),
(116787,	8,	125,	2,	1),
(116788,	8,	125,	3,	1),
(116789,	8,	126,	1,	1),
(116790,	8,	126,	2,	1),
(116791,	8,	126,	3,	1),
(116792,	8,	127,	1,	1),
(116793,	8,	127,	2,	1),
(116794,	8,	127,	3,	1),
(116795,	8,	127,	1,	2),
(116796,	8,	127,	2,	2),
(116797,	8,	127,	3,	2),
(116798,	8,	128,	1,	1),
(116799,	8,	128,	2,	1),
(116800,	8,	128,	3,	1),
(116801,	8,	128,	1,	2),
(116802,	8,	128,	2,	2),
(116803,	8,	128,	3,	2),
(116804,	8,	129,	1,	1),
(116805,	8,	129,	2,	1),
(116806,	8,	129,	3,	1),
(116807,	8,	129,	1,	2),
(116808,	8,	129,	2,	2),
(116809,	8,	129,	3,	2),
(116810,	8,	130,	1,	1),
(116811,	8,	130,	2,	1),
(116812,	8,	130,	3,	1),
(116813,	8,	130,	1,	2),
(116814,	8,	130,	2,	2),
(116815,	8,	130,	3,	2),
(116816,	8,	131,	1,	1),
(116817,	8,	131,	2,	1),
(116818,	8,	131,	3,	1),
(116819,	8,	131,	1,	2),
(116820,	8,	131,	2,	2),
(116821,	8,	131,	3,	2),
(116822,	8,	132,	1,	1),
(116823,	8,	132,	2,	1),
(116824,	8,	132,	3,	1),
(116825,	8,	132,	1,	2),
(116826,	8,	132,	2,	2),
(116827,	8,	132,	3,	2),
(116828,	8,	133,	1,	1),
(116829,	8,	133,	2,	1),
(116830,	8,	133,	3,	1),
(116831,	8,	133,	1,	2),
(116832,	8,	133,	2,	2),
(116833,	8,	133,	3,	2),
(116834,	8,	134,	1,	1),
(116835,	8,	134,	2,	1),
(116836,	8,	134,	3,	1),
(116837,	8,	135,	1,	1),
(116838,	8,	135,	2,	1),
(116839,	8,	135,	3,	1),
(116840,	8,	136,	1,	1),
(116841,	8,	136,	2,	1),
(116842,	8,	136,	3,	1),
(116843,	8,	136,	23,	1),
(116844,	8,	136,	1,	2),
(116845,	8,	136,	2,	2),
(116846,	8,	136,	3,	2),
(116847,	8,	136,	23,	2),
(116848,	8,	137,	1,	1),
(116849,	8,	137,	2,	1),
(116850,	8,	137,	3,	1),
(116851,	8,	137,	1,	2),
(116852,	8,	137,	2,	2),
(116853,	8,	137,	3,	2),
(116854,	8,	138,	1,	1),
(116855,	8,	138,	2,	1),
(116856,	8,	138,	3,	1),
(116857,	8,	138,	1,	2),
(116858,	8,	138,	2,	2),
(116859,	8,	138,	3,	2),
(116860,	8,	139,	1,	1),
(116861,	8,	139,	2,	1),
(116862,	8,	139,	3,	1),
(116863,	8,	140,	1,	1),
(116864,	8,	140,	2,	1),
(116865,	8,	140,	3,	1),
(116866,	8,	140,	23,	1),
(116867,	8,	140,	6,	1),
(116868,	8,	141,	1,	1),
(116869,	8,	141,	2,	1),
(116870,	8,	141,	3,	1),
(116871,	8,	141,	1,	2),
(116872,	8,	141,	2,	2),
(116873,	8,	141,	3,	2),
(116874,	8,	142,	1,	1),
(116875,	8,	142,	2,	1),
(116876,	8,	142,	3,	1),
(116877,	8,	142,	1,	2),
(116878,	8,	142,	2,	2),
(116879,	8,	142,	3,	2),
(116880,	8,	143,	1,	1),
(116881,	8,	143,	2,	1),
(116882,	8,	143,	3,	1),
(116883,	8,	143,	1,	2),
(116884,	8,	143,	2,	2),
(116885,	8,	143,	3,	2),
(116886,	8,	144,	1,	1),
(116887,	8,	144,	2,	1),
(116888,	8,	144,	3,	1),
(116889,	8,	144,	1,	2),
(116890,	8,	144,	2,	2),
(116891,	8,	144,	3,	2),
(116892,	8,	145,	1,	1),
(116893,	8,	145,	2,	1),
(116894,	8,	145,	3,	1),
(116895,	8,	145,	1,	2),
(116896,	8,	145,	2,	2),
(116897,	8,	145,	3,	2),
(116898,	8,	146,	1,	1),
(116899,	8,	146,	2,	1),
(116900,	8,	146,	3,	1),
(116901,	8,	146,	1,	2),
(116902,	8,	146,	2,	2),
(116903,	8,	146,	3,	2),
(116904,	8,	147,	1,	1),
(116905,	8,	147,	2,	1),
(116906,	8,	147,	3,	1),
(116907,	8,	147,	1,	2),
(116908,	8,	147,	2,	2),
(116909,	8,	147,	3,	2),
(116910,	8,	148,	1,	1),
(116911,	8,	148,	2,	1),
(116912,	8,	148,	3,	1),
(116913,	8,	149,	1,	1),
(116914,	8,	149,	2,	1),
(116915,	8,	149,	3,	1),
(116916,	8,	149,	1,	2),
(116917,	8,	149,	2,	2),
(116918,	8,	149,	3,	2),
(116919,	8,	150,	1,	1),
(116920,	8,	150,	2,	1),
(116921,	8,	150,	3,	1),
(116922,	8,	151,	1,	1),
(116923,	8,	151,	2,	1),
(116924,	8,	151,	3,	1),
(116925,	8,	152,	1,	1),
(116926,	8,	152,	2,	1),
(116927,	8,	152,	3,	1),
(116928,	8,	153,	1,	1),
(116929,	8,	153,	2,	1),
(116930,	8,	153,	3,	1),
(116931,	8,	154,	1,	1),
(116932,	8,	154,	2,	1),
(116933,	8,	154,	3,	1),
(116934,	8,	154,	1,	2),
(116935,	8,	154,	2,	2),
(116936,	8,	154,	3,	2),
(116937,	8,	156,	1,	1),
(116938,	8,	157,	1,	1),
(116939,	8,	157,	2,	1),
(116940,	8,	157,	3,	1),
(116941,	8,	158,	1,	1),
(116942,	8,	158,	2,	1),
(116943,	8,	158,	3,	1),
(116944,	8,	158,	1,	2),
(116945,	8,	158,	2,	2),
(116946,	8,	158,	3,	2),
(116947,	8,	159,	1,	1),
(116948,	8,	159,	2,	1),
(116949,	8,	159,	3,	1),
(116950,	8,	160,	1,	1),
(116951,	8,	160,	2,	1),
(116952,	8,	160,	3,	1),
(116953,	8,	160,	1,	2),
(116954,	8,	160,	2,	2),
(116955,	8,	160,	3,	2),
(116956,	8,	161,	1,	1),
(116957,	8,	161,	2,	1),
(116958,	8,	161,	3,	1),
(116959,	8,	162,	1,	1),
(116960,	8,	162,	2,	1),
(116961,	8,	162,	3,	1),
(116962,	8,	163,	1,	1),
(116963,	8,	163,	2,	1),
(116964,	8,	163,	3,	1),
(116965,	8,	164,	1,	1),
(116966,	8,	164,	2,	1),
(116967,	8,	164,	3,	1),
(116968,	8,	164,	1,	2),
(116969,	8,	164,	2,	2),
(116970,	8,	164,	3,	2),
(116971,	8,	165,	1,	1),
(116972,	8,	165,	2,	1),
(116973,	8,	165,	3,	1),
(116974,	8,	166,	1,	1),
(116975,	8,	166,	2,	1),
(116976,	8,	166,	3,	1),
(116977,	8,	167,	1,	1),
(116978,	8,	167,	2,	1),
(116979,	8,	167,	3,	1),
(116980,	8,	167,	1,	2),
(116981,	8,	167,	2,	2),
(116982,	8,	167,	3,	2),
(116983,	8,	168,	1,	1),
(116984,	8,	168,	2,	1),
(116985,	8,	168,	3,	1),
(116986,	8,	168,	1,	2),
(116987,	8,	168,	2,	2),
(116988,	8,	168,	3,	2),
(116989,	8,	169,	1,	1),
(116990,	8,	169,	2,	1),
(116991,	8,	169,	3,	1),
(116992,	8,	170,	1,	1),
(116993,	8,	170,	2,	1),
(116994,	8,	170,	3,	1),
(116995,	8,	170,	1,	2),
(116996,	8,	170,	2,	2),
(116997,	8,	170,	3,	2),
(116998,	8,	171,	1,	1),
(116999,	8,	171,	2,	1),
(117000,	8,	171,	3,	1),
(117001,	8,	171,	1,	2),
(117002,	8,	171,	2,	2),
(117003,	8,	171,	3,	2),
(117004,	8,	172,	1,	1),
(117005,	8,	172,	2,	1),
(117006,	8,	172,	3,	1),
(117007,	8,	172,	1,	2),
(117008,	8,	172,	2,	2),
(117009,	8,	172,	3,	2),
(117010,	8,	173,	1,	1),
(117011,	8,	173,	2,	1),
(117012,	8,	173,	3,	1),
(117013,	8,	173,	1,	2),
(117014,	8,	173,	2,	2),
(117015,	8,	173,	3,	2),
(117016,	8,	174,	1,	1),
(117017,	8,	174,	2,	1),
(117018,	8,	174,	3,	1),
(117019,	8,	174,	1,	2),
(117020,	8,	174,	2,	2),
(117021,	8,	174,	3,	2),
(117022,	8,	175,	1,	1),
(117023,	8,	175,	2,	1),
(117024,	8,	175,	3,	1),
(117025,	8,	176,	1,	1),
(117026,	8,	176,	2,	1),
(117027,	8,	176,	3,	1),
(117028,	8,	177,	1,	1),
(117029,	8,	177,	2,	1),
(117030,	8,	177,	3,	1),
(117031,	8,	178,	1,	1),
(117032,	8,	178,	2,	1),
(117033,	8,	178,	3,	1),
(117034,	8,	179,	1,	1),
(117035,	8,	179,	2,	1),
(117036,	8,	179,	3,	1),
(117037,	8,	180,	1,	1),
(117038,	8,	180,	2,	1),
(117039,	8,	180,	3,	1),
(117040,	8,	180,	1,	2),
(117041,	8,	180,	2,	2),
(117042,	8,	180,	3,	2),
(117043,	8,	181,	2,	2),
(117044,	8,	182,	2,	1),
(117045,	8,	183,	2,	1),
(117046,	8,	184,	2,	1),
(117047,	8,	185,	2,	2),
(117048,	8,	186,	1,	1),
(117049,	8,	186,	2,	1),
(117050,	8,	186,	3,	1),
(117051,	8,	186,	1,	2),
(117052,	8,	186,	2,	2),
(117053,	8,	186,	3,	2),
(117054,	8,	187,	1,	1),
(117055,	8,	187,	2,	1),
(117056,	8,	187,	3,	1),
(117057,	8,	187,	1,	2),
(117058,	8,	187,	2,	2),
(117059,	8,	187,	3,	2),
(117060,	8,	188,	1,	1),
(117061,	8,	188,	2,	1),
(117062,	8,	188,	3,	1),
(117063,	8,	188,	1,	2),
(117064,	8,	188,	2,	2),
(117065,	8,	188,	3,	2),
(117066,	8,	189,	1,	1),
(117067,	8,	189,	2,	1),
(117068,	8,	189,	3,	1),
(117069,	8,	190,	1,	1),
(117070,	8,	190,	2,	1),
(117071,	8,	190,	3,	1),
(117072,	8,	190,	1,	2),
(117073,	8,	190,	2,	2),
(117074,	8,	190,	3,	2),
(117075,	8,	191,	1,	1),
(117076,	8,	191,	2,	1),
(117077,	8,	191,	3,	1),
(117078,	8,	191,	23,	1),
(117079,	8,	191,	27,	1),
(117080,	8,	192,	1,	1),
(117081,	8,	192,	2,	1),
(117082,	8,	192,	3,	1),
(117083,	8,	192,	23,	1),
(117084,	8,	193,	1,	1),
(117085,	8,	193,	2,	1),
(117086,	8,	193,	3,	1),
(117087,	8,	194,	1,	1),
(117088,	8,	194,	2,	1),
(117089,	8,	194,	3,	1),
(117090,	8,	194,	23,	1),
(117091,	8,	195,	1,	1),
(117092,	8,	195,	2,	1),
(117093,	8,	195,	3,	1),
(117094,	8,	196,	1,	1),
(117095,	8,	196,	2,	1),
(117096,	8,	196,	3,	1),
(117097,	8,	197,	1,	1),
(117098,	8,	197,	2,	1),
(117099,	8,	197,	3,	1),
(117100,	8,	197,	1,	2),
(117101,	8,	197,	2,	2),
(117102,	8,	197,	3,	2),
(117103,	8,	198,	1,	1),
(117104,	8,	198,	2,	1),
(117105,	8,	198,	3,	1),
(117106,	8,	198,	23,	1),
(117107,	8,	199,	1,	1),
(117108,	8,	199,	2,	1),
(117109,	8,	199,	3,	1),
(117110,	8,	200,	1,	1),
(117111,	8,	200,	2,	1),
(117112,	8,	200,	3,	1),
(117113,	8,	200,	23,	1),
(117114,	8,	201,	1,	1),
(117115,	8,	201,	2,	1),
(117116,	8,	201,	3,	1),
(117117,	8,	202,	1,	1),
(117118,	8,	202,	2,	1),
(117119,	8,	202,	3,	1),
(117120,	8,	202,	1,	2),
(117121,	8,	202,	2,	2),
(117122,	8,	202,	3,	2),
(117123,	8,	203,	1,	1),
(117124,	8,	203,	2,	1),
(117125,	8,	203,	3,	1),
(117126,	8,	203,	1,	2),
(117127,	8,	203,	2,	2),
(117128,	8,	203,	3,	2),
(117129,	8,	204,	1,	1),
(117130,	8,	204,	2,	1),
(117131,	8,	204,	3,	1),
(117132,	8,	204,	1,	2),
(117133,	8,	204,	2,	2),
(117134,	8,	204,	3,	2),
(117135,	8,	207,	1,	1),
(117136,	8,	207,	2,	1),
(117137,	8,	207,	3,	1),
(117138,	8,	209,	1,	1),
(117139,	8,	209,	2,	1),
(117140,	8,	209,	3,	1),
(117141,	8,	209,	1,	2),
(117142,	8,	209,	2,	2),
(117143,	8,	209,	3,	2),
(117144,	8,	210,	1,	1),
(117145,	8,	210,	2,	1),
(117146,	8,	210,	3,	1),
(117147,	8,	211,	1,	1),
(117148,	8,	211,	2,	1),
(117149,	8,	211,	3,	1),
(117150,	8,	211,	1,	2),
(117151,	8,	211,	2,	2),
(117152,	8,	211,	3,	2),
(117153,	8,	212,	1,	1),
(117154,	8,	212,	2,	1),
(117155,	8,	212,	3,	1),
(117156,	8,	212,	1,	2),
(117157,	8,	212,	2,	2),
(117158,	8,	212,	3,	2),
(117159,	8,	213,	1,	1),
(117160,	8,	213,	2,	1),
(117161,	8,	213,	3,	1),
(117162,	8,	213,	1,	2),
(117163,	8,	213,	2,	2),
(117164,	8,	213,	3,	2),
(117165,	8,	214,	1,	1),
(117166,	8,	214,	2,	1),
(117167,	8,	214,	3,	1),
(117168,	8,	214,	1,	2),
(117169,	8,	214,	2,	2),
(117170,	8,	214,	3,	2),
(117171,	8,	215,	1,	1),
(117172,	8,	215,	2,	1),
(117173,	8,	215,	3,	1),
(117174,	8,	216,	1,	1),
(117175,	8,	216,	2,	1),
(117176,	8,	216,	3,	1),
(117177,	8,	216,	1,	2),
(117178,	8,	216,	2,	2),
(117179,	8,	216,	3,	2),
(117180,	8,	217,	1,	1),
(117181,	8,	217,	2,	1),
(117182,	8,	217,	3,	1),
(117183,	8,	217,	1,	2),
(117184,	8,	217,	2,	2),
(117185,	8,	217,	3,	2),
(117186,	8,	218,	1,	1),
(117187,	8,	218,	2,	1),
(117188,	8,	218,	3,	1),
(117189,	8,	218,	1,	2),
(117190,	8,	218,	2,	2),
(117191,	8,	218,	3,	2),
(117192,	8,	219,	1,	1),
(117193,	8,	219,	2,	1),
(117194,	8,	219,	3,	1),
(117195,	8,	220,	1,	1),
(117196,	8,	220,	2,	1),
(117197,	8,	220,	3,	1),
(117198,	8,	220,	1,	2),
(117199,	8,	220,	2,	2),
(117200,	8,	220,	3,	2),
(117201,	8,	221,	1,	1),
(117202,	8,	221,	2,	1),
(117203,	8,	221,	3,	1),
(117204,	8,	221,	1,	2),
(117205,	8,	221,	2,	2),
(117206,	8,	221,	3,	2),
(117207,	8,	222,	1,	1),
(117208,	8,	222,	2,	1),
(117209,	8,	222,	3,	1),
(117210,	8,	222,	1,	2),
(117211,	8,	222,	2,	2),
(117212,	8,	222,	3,	2),
(117213,	8,	223,	1,	1),
(117214,	8,	223,	2,	1),
(117215,	8,	223,	3,	1),
(117216,	8,	223,	1,	2),
(117217,	8,	223,	2,	2),
(117218,	8,	223,	3,	2),
(117219,	8,	224,	1,	1),
(117220,	8,	224,	2,	1),
(117221,	8,	224,	3,	1),
(117222,	8,	224,	1,	2),
(117223,	8,	224,	2,	2),
(117224,	8,	224,	3,	2),
(117225,	8,	225,	1,	1),
(117226,	8,	225,	2,	1),
(117227,	8,	225,	3,	1),
(117228,	8,	225,	23,	1),
(117229,	8,	225,	1,	3),
(117230,	8,	225,	2,	3),
(117231,	8,	225,	3,	3),
(117232,	8,	225,	23,	3),
(117233,	8,	225,	1,	2),
(117234,	8,	225,	2,	2),
(117235,	8,	225,	3,	2),
(117236,	8,	225,	23,	2),
(117237,	8,	226,	1,	1),
(117238,	8,	226,	2,	1),
(117239,	8,	226,	3,	1),
(117240,	8,	226,	23,	1),
(117241,	8,	226,	1,	3),
(117242,	8,	226,	2,	3),
(117243,	8,	226,	3,	3),
(117244,	8,	226,	23,	3),
(117245,	8,	227,	1,	1),
(117246,	8,	227,	2,	1),
(117247,	8,	227,	3,	1),
(117248,	8,	227,	23,	1),
(117249,	8,	227,	1,	3),
(117250,	8,	227,	2,	3),
(117251,	8,	227,	3,	3),
(117252,	8,	227,	23,	3),
(117253,	8,	228,	1,	1),
(117254,	8,	228,	2,	1),
(117255,	8,	228,	3,	1),
(117256,	8,	228,	23,	1),
(117257,	8,	228,	1,	3),
(117258,	8,	228,	2,	3),
(117259,	8,	228,	3,	3),
(117260,	8,	228,	23,	3),
(117261,	8,	229,	1,	1),
(117262,	8,	229,	2,	1),
(117263,	8,	229,	3,	1),
(117264,	8,	229,	23,	1),
(117265,	8,	229,	1,	3),
(117266,	8,	229,	2,	3),
(117267,	8,	229,	3,	3),
(117268,	8,	229,	23,	3),
(117269,	8,	230,	1,	1),
(117270,	8,	230,	2,	1),
(117271,	8,	230,	3,	1),
(117272,	8,	231,	1,	1),
(117273,	8,	231,	2,	1),
(117274,	8,	231,	3,	1),
(117275,	8,	231,	1,	3),
(117276,	8,	231,	2,	3),
(117277,	8,	231,	3,	3),
(117278,	8,	232,	1,	1),
(117279,	8,	232,	2,	1),
(117280,	8,	232,	3,	1),
(117281,	8,	232,	1,	3),
(117282,	8,	232,	2,	3),
(117283,	8,	232,	3,	3),
(117284,	8,	233,	1,	1),
(117285,	8,	233,	2,	1),
(117286,	8,	233,	3,	1),
(117287,	8,	233,	1,	3),
(117288,	8,	233,	2,	3),
(117289,	8,	233,	3,	3),
(117290,	8,	234,	1,	1),
(117291,	8,	234,	2,	1),
(117292,	8,	234,	3,	1),
(117293,	8,	234,	1,	3),
(117294,	8,	234,	2,	3),
(117295,	8,	234,	3,	3),
(117296,	8,	235,	1,	1),
(117297,	8,	235,	2,	1),
(117298,	8,	235,	3,	1),
(117299,	8,	235,	1,	3),
(117300,	8,	235,	2,	3),
(117301,	8,	235,	3,	3),
(117302,	8,	236,	1,	1),
(117303,	8,	236,	2,	1),
(117304,	8,	236,	3,	1),
(117305,	8,	237,	1,	1),
(117306,	8,	237,	2,	1),
(117307,	8,	237,	3,	1),
(117308,	8,	237,	1,	3),
(117309,	8,	237,	2,	3),
(117310,	8,	237,	3,	3),
(117311,	8,	238,	1,	1),
(117312,	8,	238,	2,	1),
(117313,	8,	238,	3,	1),
(117314,	8,	239,	1,	1),
(117315,	8,	239,	2,	1),
(117316,	8,	239,	3,	1),
(117317,	8,	240,	1,	1),
(117318,	8,	240,	2,	1),
(117319,	8,	240,	3,	1),
(117320,	8,	241,	1,	1),
(117321,	8,	241,	2,	1),
(117322,	8,	241,	3,	1),
(117323,	8,	242,	1,	1),
(117324,	8,	242,	2,	1),
(117325,	8,	242,	3,	1),
(117326,	8,	242,	1,	2),
(117327,	8,	242,	2,	2),
(117328,	8,	242,	3,	2),
(117329,	8,	243,	1,	1),
(117330,	8,	243,	2,	1),
(117331,	8,	243,	3,	1),
(117332,	8,	243,	1,	2),
(117333,	8,	243,	2,	2),
(117334,	8,	243,	3,	2),
(117335,	8,	244,	1,	1),
(117336,	8,	244,	2,	1),
(117337,	8,	244,	3,	1),
(117338,	8,	244,	1,	2),
(117339,	8,	244,	2,	2),
(117340,	8,	244,	3,	2),
(117341,	8,	245,	1,	1),
(117342,	8,	245,	2,	1),
(117343,	8,	245,	3,	1),
(117344,	8,	245,	1,	2),
(117345,	8,	245,	2,	2),
(117346,	8,	245,	3,	2),
(117347,	8,	246,	1,	1),
(117348,	8,	246,	2,	1),
(117349,	8,	246,	3,	1),
(117350,	8,	246,	1,	2),
(117351,	8,	246,	2,	2),
(117352,	8,	246,	3,	2),
(117353,	8,	247,	1,	1),
(117354,	8,	247,	2,	1),
(117355,	8,	247,	3,	1),
(117356,	8,	247,	1,	2),
(117357,	8,	247,	2,	2),
(117358,	8,	247,	3,	2),
(117359,	8,	248,	1,	1),
(117360,	8,	248,	2,	1),
(117361,	8,	248,	3,	1),
(117362,	8,	248,	1,	2),
(117363,	8,	248,	2,	2),
(117364,	8,	248,	3,	2),
(117365,	8,	249,	1,	1),
(117366,	8,	249,	2,	1),
(117367,	8,	249,	3,	1),
(117368,	8,	249,	1,	3),
(117369,	8,	249,	2,	3),
(117370,	8,	249,	3,	3),
(117371,	8,	250,	1,	1),
(117372,	8,	250,	2,	1),
(117373,	8,	250,	3,	1),
(117374,	8,	250,	1,	2),
(117375,	8,	250,	2,	2),
(117376,	8,	250,	3,	2),
(117377,	8,	251,	1,	1),
(117378,	8,	251,	2,	1),
(117379,	8,	251,	3,	1),
(117380,	8,	251,	1,	2),
(117381,	8,	251,	2,	2),
(117382,	8,	251,	3,	2),
(117383,	8,	252,	1,	1),
(117384,	8,	252,	2,	1),
(117385,	8,	252,	3,	1),
(117386,	8,	253,	1,	1),
(117387,	8,	253,	2,	1),
(117388,	8,	253,	3,	1),
(117389,	8,	253,	1,	3),
(117390,	8,	253,	2,	3),
(117391,	8,	253,	3,	3),
(117392,	8,	254,	1,	1),
(117393,	8,	254,	2,	1),
(117394,	8,	254,	3,	1),
(117395,	8,	254,	1,	2),
(117396,	8,	254,	2,	2),
(117397,	8,	254,	3,	2),
(117398,	8,	255,	1,	1),
(117399,	8,	255,	2,	1),
(117400,	8,	255,	3,	1),
(117401,	8,	255,	1,	2),
(117402,	8,	255,	2,	2),
(117403,	8,	255,	3,	2),
(117404,	8,	256,	1,	1),
(117405,	8,	256,	2,	1),
(117406,	8,	256,	3,	1),
(117407,	8,	256,	1,	2),
(117408,	8,	256,	2,	2),
(117409,	8,	256,	3,	2),
(117410,	8,	257,	1,	1),
(117411,	8,	257,	2,	1),
(117412,	8,	257,	3,	1),
(117413,	8,	257,	1,	2),
(117414,	8,	257,	2,	2),
(117415,	8,	257,	3,	2),
(117416,	8,	258,	1,	1),
(117417,	8,	258,	2,	1),
(117418,	8,	258,	3,	1),
(117419,	8,	258,	1,	3),
(117420,	8,	258,	2,	3),
(117421,	8,	258,	3,	3),
(117422,	8,	259,	1,	1),
(117423,	8,	259,	2,	1),
(117424,	8,	259,	3,	1),
(117425,	8,	259,	1,	2),
(117426,	8,	259,	2,	2),
(117427,	8,	259,	3,	2),
(117428,	8,	260,	1,	1),
(117429,	8,	260,	2,	1),
(117430,	8,	260,	3,	1),
(117431,	8,	260,	1,	2),
(117432,	8,	260,	2,	2),
(117433,	8,	260,	3,	2),
(117434,	8,	261,	1,	1),
(117435,	8,	261,	2,	1),
(117436,	8,	261,	3,	1),
(117437,	8,	261,	1,	2),
(117438,	8,	261,	2,	2),
(117439,	8,	261,	3,	2),
(117440,	8,	262,	1,	1),
(117441,	8,	262,	2,	1),
(117442,	8,	262,	3,	1),
(117443,	8,	262,	1,	2),
(117444,	8,	262,	2,	2),
(117445,	8,	262,	3,	2),
(117446,	8,	263,	1,	1),
(117447,	8,	263,	2,	1),
(117448,	8,	263,	3,	1),
(117449,	8,	263,	1,	2),
(117450,	8,	263,	2,	2),
(117451,	8,	263,	3,	2),
(117452,	8,	264,	1,	1),
(117453,	8,	264,	2,	1),
(117454,	8,	264,	3,	1),
(117455,	8,	264,	1,	2),
(117456,	8,	264,	2,	2),
(117457,	8,	264,	3,	2),
(117458,	8,	265,	1,	1),
(117459,	8,	265,	2,	1),
(117460,	8,	265,	3,	1),
(117461,	8,	265,	1,	3),
(117462,	8,	265,	2,	3),
(117463,	8,	265,	3,	3),
(117464,	8,	266,	1,	1),
(117465,	8,	266,	2,	1),
(117466,	8,	266,	3,	1),
(117467,	8,	266,	1,	2),
(117468,	8,	266,	2,	2),
(117469,	8,	266,	3,	2),
(117470,	8,	270,	2,	1),
(117471,	8,	270,	1,	3),
(117472,	8,	270,	2,	3),
(117473,	8,	270,	3,	3),
(117474,	8,	271,	1,	3),
(117475,	8,	271,	2,	3),
(117476,	8,	271,	3,	3),
(117477,	8,	272,	1,	3),
(117478,	8,	272,	2,	3),
(117479,	8,	272,	3,	3),
(117480,	8,	273,	1,	1),
(117481,	8,	273,	2,	1),
(117482,	8,	273,	3,	1),
(117483,	8,	274,	1,	1),
(117484,	8,	274,	2,	1),
(117485,	8,	274,	3,	1),
(117486,	8,	274,	23,	1),
(117487,	8,	274,	1,	3),
(117488,	8,	274,	2,	3),
(117489,	8,	274,	3,	3),
(117490,	8,	274,	23,	3),
(117491,	8,	275,	1,	1),
(117492,	8,	275,	2,	1),
(117493,	8,	275,	3,	1),
(117494,	8,	275,	23,	1),
(117495,	8,	275,	1,	3),
(117496,	8,	275,	2,	3),
(117497,	8,	275,	3,	3),
(117498,	8,	275,	23,	3),
(117499,	8,	276,	1,	1),
(117500,	8,	276,	2,	1),
(117501,	8,	276,	3,	1),
(117502,	8,	276,	23,	1),
(117503,	8,	276,	1,	3),
(117504,	8,	276,	2,	3),
(117505,	8,	276,	3,	3),
(117506,	8,	276,	23,	3),
(117507,	8,	277,	1,	1),
(117508,	8,	277,	2,	1),
(117509,	8,	277,	3,	1),
(117510,	8,	277,	1,	2),
(117511,	8,	277,	2,	2),
(117512,	8,	277,	3,	2),
(117513,	8,	278,	1,	1),
(117514,	8,	278,	2,	1),
(117515,	8,	278,	3,	1),
(117516,	8,	279,	1,	1),
(117517,	8,	279,	2,	1),
(117518,	8,	279,	3,	1),
(117519,	8,	279,	1,	2),
(117520,	8,	279,	2,	2),
(117521,	8,	279,	3,	2),
(117522,	8,	280,	1,	1),
(117523,	8,	280,	2,	1),
(117524,	8,	280,	3,	1),
(117525,	8,	280,	1,	3),
(117526,	8,	280,	2,	3),
(117527,	8,	280,	3,	3),
(117528,	8,	281,	1,	1),
(117529,	8,	281,	2,	1),
(117530,	8,	281,	3,	1),
(117531,	8,	281,	23,	1),
(117532,	8,	281,	1,	3),
(117533,	8,	281,	2,	3),
(117534,	8,	281,	3,	3),
(117535,	8,	281,	23,	3),
(117536,	8,	282,	1,	1),
(117537,	8,	282,	2,	1),
(117538,	8,	282,	3,	1),
(117539,	8,	282,	23,	1),
(117540,	8,	282,	1,	3),
(117541,	8,	282,	2,	3),
(117542,	8,	282,	3,	3),
(117543,	8,	282,	23,	3),
(117544,	8,	283,	1,	1),
(117545,	8,	283,	2,	1),
(117546,	8,	283,	3,	1),
(117547,	8,	283,	23,	1),
(117548,	8,	283,	1,	3),
(117549,	8,	283,	2,	3),
(117550,	8,	283,	3,	3),
(117551,	8,	283,	23,	3),
(117552,	8,	284,	1,	1),
(117553,	8,	284,	2,	1),
(117554,	8,	284,	3,	1),
(117555,	8,	284,	23,	1),
(117556,	8,	284,	1,	3),
(117557,	8,	284,	2,	3),
(117558,	8,	284,	3,	3),
(117559,	8,	284,	23,	3),
(117560,	8,	285,	1,	1),
(117561,	8,	285,	2,	1),
(117562,	8,	285,	3,	1),
(117563,	8,	285,	23,	1),
(117564,	8,	285,	1,	2),
(117565,	8,	285,	2,	2),
(117566,	8,	285,	3,	2),
(117567,	8,	285,	23,	2),
(117568,	8,	286,	1,	1),
(117569,	8,	286,	2,	1),
(117570,	8,	286,	3,	1),
(117571,	8,	286,	23,	1),
(117572,	8,	287,	1,	1),
(117573,	8,	287,	2,	1),
(117574,	8,	287,	3,	1),
(117575,	8,	287,	23,	1),
(117576,	8,	287,	1,	2),
(117577,	8,	287,	2,	2),
(117578,	8,	287,	3,	2),
(117579,	8,	287,	23,	2),
(117580,	8,	288,	1,	1),
(117581,	8,	288,	2,	1),
(117582,	8,	288,	3,	1),
(117583,	8,	288,	23,	1),
(117584,	8,	288,	1,	2),
(117585,	8,	288,	2,	2),
(117586,	8,	288,	3,	2),
(117587,	8,	288,	23,	2),
(117588,	8,	290,	1,	1),
(117589,	8,	290,	2,	1),
(117590,	8,	290,	3,	1),
(117591,	8,	291,	1,	1),
(117592,	8,	291,	2,	1),
(117593,	8,	291,	3,	1),
(117594,	8,	291,	1,	3),
(117595,	8,	291,	2,	3),
(117596,	8,	291,	3,	3),
(117597,	8,	292,	1,	1),
(117598,	8,	292,	2,	1),
(117599,	8,	292,	3,	1),
(117600,	8,	292,	1,	2),
(117601,	8,	292,	2,	2),
(117602,	8,	292,	3,	2),
(117603,	8,	293,	1,	1),
(117604,	8,	293,	2,	1),
(117605,	8,	293,	3,	1),
(117606,	8,	294,	1,	1),
(117607,	8,	294,	2,	1),
(117608,	8,	294,	3,	1),
(117609,	8,	294,	1,	2),
(117610,	8,	294,	2,	2),
(117611,	8,	294,	3,	2),
(117612,	8,	295,	1,	1),
(117613,	8,	295,	2,	1),
(117614,	8,	295,	3,	1),
(117615,	8,	295,	1,	3),
(117616,	8,	295,	2,	3),
(117617,	8,	295,	3,	3),
(117618,	8,	296,	1,	1),
(117619,	8,	296,	2,	1),
(117620,	8,	296,	3,	1),
(117621,	8,	296,	1,	3),
(117622,	8,	296,	2,	3),
(117623,	8,	296,	3,	3),
(117624,	8,	297,	1,	1),
(117625,	8,	297,	2,	1),
(117626,	8,	297,	3,	1),
(117627,	8,	297,	1,	3),
(117628,	8,	297,	2,	3),
(117629,	8,	297,	3,	3),
(117630,	8,	298,	1,	1),
(117631,	8,	298,	2,	1),
(117632,	8,	298,	3,	1),
(117633,	8,	298,	1,	3),
(117634,	8,	298,	2,	3),
(117635,	8,	298,	3,	3),
(117636,	8,	299,	1,	1),
(117637,	8,	299,	2,	1),
(117638,	8,	299,	3,	1),
(117639,	8,	299,	1,	2),
(117640,	8,	299,	2,	2),
(117641,	8,	299,	3,	2),
(117642,	8,	300,	1,	1),
(117643,	8,	300,	2,	1),
(117644,	8,	300,	3,	1),
(117645,	8,	300,	1,	2),
(117646,	8,	300,	2,	2),
(117647,	8,	300,	3,	2),
(117648,	8,	301,	1,	1),
(117649,	8,	301,	2,	1),
(117650,	8,	301,	3,	1),
(117651,	8,	301,	1,	2),
(117652,	8,	301,	2,	2),
(117653,	8,	301,	3,	2),
(117654,	8,	302,	1,	1),
(117655,	8,	302,	2,	1),
(117656,	8,	302,	3,	1),
(117657,	8,	302,	1,	2),
(117658,	8,	302,	2,	2),
(117659,	8,	302,	3,	2),
(117660,	8,	303,	1,	1),
(117661,	8,	303,	2,	1),
(117662,	8,	303,	3,	1),
(117663,	8,	303,	1,	2),
(117664,	8,	303,	2,	2),
(117665,	8,	303,	3,	2),
(117666,	8,	304,	1,	1),
(117667,	8,	304,	2,	1),
(117668,	8,	304,	3,	1),
(117669,	8,	304,	1,	2),
(117670,	8,	304,	2,	2),
(117671,	8,	304,	3,	2),
(117672,	8,	305,	1,	1),
(117673,	8,	305,	2,	1),
(117674,	8,	305,	3,	1),
(117675,	8,	305,	1,	2),
(117676,	8,	305,	2,	2),
(117677,	8,	305,	3,	2),
(117678,	8,	306,	1,	1),
(117679,	8,	306,	2,	1),
(117680,	8,	306,	3,	1),
(117681,	8,	306,	1,	3),
(117682,	8,	306,	2,	3),
(117683,	8,	306,	3,	3),
(117684,	8,	307,	1,	1),
(117685,	8,	307,	2,	1),
(117686,	8,	307,	3,	1),
(117687,	8,	307,	1,	2),
(117688,	8,	307,	2,	2),
(117689,	8,	307,	3,	2),
(117690,	8,	308,	1,	1),
(117691,	8,	308,	2,	1),
(117692,	8,	308,	3,	1),
(117693,	8,	308,	1,	2),
(117694,	8,	308,	2,	2),
(117695,	8,	308,	3,	2),
(117696,	8,	309,	1,	1),
(117697,	8,	309,	2,	1),
(117698,	8,	309,	3,	1),
(117699,	8,	309,	23,	1),
(117700,	8,	309,	1,	3),
(117701,	8,	309,	2,	3),
(117702,	8,	309,	3,	3),
(117703,	8,	309,	23,	3),
(117704,	8,	310,	1,	1),
(117705,	8,	310,	2,	1),
(117706,	8,	310,	3,	1),
(117707,	8,	310,	28,	1),
(117708,	8,	310,	23,	1),
(117709,	8,	310,	1,	3),
(117710,	8,	310,	2,	3),
(117711,	8,	310,	3,	3),
(117712,	8,	310,	28,	3),
(117713,	8,	310,	23,	3),
(117714,	8,	311,	1,	1),
(117715,	8,	311,	2,	1),
(117716,	8,	311,	3,	1),
(117717,	8,	311,	1,	3),
(117718,	8,	311,	2,	3),
(117719,	8,	311,	3,	3),
(117720,	8,	312,	1,	1),
(117721,	8,	312,	2,	1),
(117722,	8,	312,	3,	1),
(117723,	8,	312,	1,	3),
(117724,	8,	312,	2,	3),
(117725,	8,	312,	3,	3),
(117726,	8,	313,	1,	1),
(117727,	8,	313,	2,	1),
(117728,	8,	313,	3,	1),
(117729,	8,	313,	1,	3),
(117730,	8,	313,	2,	3),
(117731,	8,	313,	3,	3),
(117732,	8,	314,	1,	1),
(117733,	8,	314,	2,	1),
(117734,	8,	314,	3,	1),
(117735,	8,	314,	1,	3),
(117736,	8,	314,	2,	3),
(117737,	8,	314,	3,	3),
(117738,	8,	315,	1,	1),
(117739,	8,	315,	2,	1),
(117740,	8,	315,	3,	1),
(117741,	8,	315,	1,	2),
(117742,	8,	315,	2,	2),
(117743,	8,	315,	3,	2),
(117744,	8,	316,	1,	1),
(117745,	8,	316,	2,	1),
(117746,	8,	316,	3,	1),
(117747,	8,	317,	1,	1),
(117748,	8,	317,	2,	1),
(117749,	8,	317,	3,	1),
(117750,	8,	317,	1,	2),
(117751,	8,	317,	2,	2),
(117752,	8,	317,	3,	2),
(117753,	8,	318,	1,	1),
(117754,	8,	318,	2,	1),
(117755,	8,	318,	3,	1),
(117756,	8,	318,	1,	2),
(117757,	8,	318,	2,	2),
(117758,	8,	318,	3,	2),
(117759,	8,	319,	1,	1),
(117760,	8,	319,	2,	1),
(117761,	8,	319,	3,	1),
(117762,	8,	319,	1,	3),
(117763,	8,	319,	2,	3),
(117764,	8,	319,	3,	3),
(117765,	8,	320,	1,	1),
(117766,	8,	320,	2,	1),
(117767,	8,	320,	3,	1),
(117768,	8,	321,	1,	1),
(117769,	8,	321,	2,	1),
(117770,	8,	321,	3,	1),
(117771,	8,	321,	1,	3),
(117772,	8,	321,	2,	3),
(117773,	8,	321,	3,	3),
(117774,	8,	322,	1,	1),
(117775,	8,	322,	2,	1),
(117776,	8,	322,	3,	1),
(117777,	8,	322,	1,	2),
(117778,	8,	322,	2,	2),
(117779,	8,	322,	3,	2),
(117780,	8,	323,	1,	1),
(117781,	8,	323,	2,	1),
(117782,	8,	323,	3,	1),
(117783,	8,	323,	1,	2),
(117784,	8,	323,	2,	2),
(117785,	8,	323,	3,	2),
(117786,	8,	324,	1,	1),
(117787,	8,	324,	2,	1),
(117788,	8,	324,	3,	1),
(117789,	8,	324,	1,	3),
(117790,	8,	324,	2,	3),
(117791,	8,	324,	3,	3),
(117792,	8,	325,	1,	1),
(117793,	8,	325,	2,	1),
(117794,	8,	325,	3,	1),
(117795,	8,	325,	1,	3),
(117796,	8,	325,	2,	3),
(117797,	8,	325,	3,	3),
(117798,	8,	326,	1,	1),
(117799,	8,	326,	2,	1),
(117800,	8,	326,	3,	1),
(117801,	8,	326,	1,	3),
(117802,	8,	326,	2,	3),
(117803,	8,	326,	3,	3),
(117804,	8,	327,	1,	1),
(117805,	8,	327,	2,	1),
(117806,	8,	327,	3,	1),
(117807,	8,	328,	1,	1),
(117808,	8,	328,	2,	1),
(117809,	8,	328,	3,	1),
(117810,	8,	328,	1,	3),
(117811,	8,	328,	2,	3),
(117812,	8,	328,	3,	3),
(117813,	8,	329,	1,	1),
(117814,	8,	329,	2,	1),
(117815,	8,	329,	3,	1),
(117816,	8,	329,	1,	3),
(117817,	8,	329,	2,	3),
(117818,	8,	329,	3,	3),
(117819,	8,	330,	1,	1),
(117820,	8,	330,	2,	1),
(117821,	8,	330,	3,	1),
(117822,	8,	330,	1,	3),
(117823,	8,	330,	2,	3),
(117824,	8,	330,	3,	3),
(117825,	8,	331,	1,	1),
(117826,	8,	331,	2,	1),
(117827,	8,	331,	3,	1),
(117828,	8,	331,	1,	2),
(117829,	8,	331,	2,	2),
(117830,	8,	331,	3,	2),
(117831,	8,	332,	1,	1),
(117832,	8,	332,	2,	1),
(117833,	8,	332,	3,	1),
(117834,	8,	333,	1,	1),
(117835,	8,	333,	2,	1),
(117836,	8,	333,	3,	1),
(117837,	8,	333,	1,	3),
(117838,	8,	333,	2,	3),
(117839,	8,	333,	3,	3),
(117840,	8,	334,	1,	1),
(117841,	8,	334,	2,	1),
(117842,	8,	334,	3,	1),
(117843,	8,	334,	1,	3),
(117844,	8,	334,	2,	3),
(117845,	8,	334,	3,	3),
(117846,	8,	335,	1,	1),
(117847,	8,	335,	2,	1),
(117848,	8,	335,	3,	1),
(117849,	8,	335,	1,	3),
(117850,	8,	335,	2,	3),
(117851,	8,	335,	3,	3),
(117852,	8,	336,	1,	1),
(117853,	8,	336,	2,	1),
(117854,	8,	336,	3,	1),
(117855,	8,	336,	1,	3),
(117856,	8,	336,	2,	3),
(117857,	8,	336,	3,	3),
(117858,	8,	337,	1,	1),
(117859,	8,	337,	2,	1),
(117860,	8,	337,	3,	1),
(117861,	8,	337,	1,	3),
(117862,	8,	337,	2,	3),
(117863,	8,	337,	3,	3),
(117864,	8,	337,	1,	2),
(117865,	8,	337,	2,	2),
(117866,	8,	337,	3,	2),
(117867,	8,	338,	1,	1),
(117868,	8,	338,	2,	1),
(117869,	8,	338,	3,	1),
(117870,	8,	338,	1,	2),
(117871,	8,	338,	2,	2),
(117872,	8,	338,	3,	2),
(117873,	8,	339,	1,	1),
(117874,	8,	339,	2,	1),
(117875,	8,	339,	3,	1),
(117876,	8,	339,	1,	3),
(117877,	8,	339,	2,	3),
(117878,	8,	339,	3,	3),
(117879,	8,	340,	1,	1),
(117880,	8,	340,	2,	1),
(117881,	8,	340,	3,	1),
(117882,	8,	340,	1,	3),
(117883,	8,	340,	2,	3),
(117884,	8,	340,	3,	3),
(117885,	8,	341,	1,	1),
(117886,	8,	341,	2,	1),
(117887,	8,	341,	3,	1),
(117888,	8,	341,	1,	3),
(117889,	8,	341,	2,	3),
(117890,	8,	341,	3,	3),
(117891,	8,	342,	1,	1),
(117892,	8,	342,	2,	1),
(117893,	8,	342,	3,	1),
(117894,	8,	342,	1,	2),
(117895,	8,	342,	2,	2),
(117896,	8,	342,	3,	2),
(117897,	8,	343,	1,	1),
(117898,	8,	343,	2,	1),
(117899,	8,	343,	3,	1),
(117900,	8,	343,	1,	3),
(117901,	8,	343,	2,	3),
(117902,	8,	343,	3,	3),
(117903,	8,	344,	1,	1),
(117904,	8,	344,	2,	1),
(117905,	8,	344,	3,	1),
(117906,	8,	344,	1,	3),
(117907,	8,	344,	2,	3),
(117908,	8,	344,	3,	3),
(117909,	8,	345,	1,	1),
(117910,	8,	345,	2,	1),
(117911,	8,	345,	3,	1),
(117912,	8,	345,	1,	3),
(117913,	8,	345,	2,	3),
(117914,	8,	345,	3,	3),
(117915,	8,	346,	1,	1),
(117916,	8,	346,	2,	1),
(117917,	8,	346,	3,	1),
(117918,	8,	346,	1,	3),
(117919,	8,	346,	2,	3),
(117920,	8,	346,	3,	3),
(117921,	8,	346,	1,	2),
(117922,	8,	346,	2,	2),
(117923,	8,	346,	3,	2),
(117924,	8,	347,	1,	1),
(117925,	8,	347,	2,	1),
(117926,	8,	347,	3,	1),
(117927,	8,	347,	1,	3),
(117928,	8,	347,	2,	3),
(117929,	8,	347,	3,	3),
(117930,	8,	347,	1,	2),
(117931,	8,	347,	2,	2),
(117932,	8,	347,	3,	2),
(117933,	8,	348,	1,	1),
(117934,	8,	348,	2,	1),
(117935,	8,	348,	3,	1),
(117936,	8,	348,	1,	3),
(117937,	8,	348,	2,	3),
(117938,	8,	348,	3,	3),
(117939,	8,	349,	1,	1),
(117940,	8,	349,	2,	1),
(117941,	8,	349,	3,	1),
(117942,	8,	349,	1,	3),
(117943,	8,	349,	2,	3),
(117944,	8,	349,	3,	3),
(117945,	8,	350,	1,	1),
(117946,	8,	350,	2,	1),
(117947,	8,	350,	3,	1),
(117948,	8,	350,	1,	3),
(117949,	8,	350,	2,	3),
(117950,	8,	350,	3,	3),
(117951,	8,	351,	1,	1),
(117952,	8,	351,	2,	1),
(117953,	8,	351,	3,	1),
(117954,	8,	351,	1,	2),
(117955,	8,	351,	2,	2),
(117956,	8,	351,	3,	2),
(117957,	8,	352,	1,	1),
(117958,	8,	352,	2,	1),
(117959,	8,	352,	3,	1),
(117960,	8,	352,	1,	3),
(117961,	8,	352,	2,	3),
(117962,	8,	352,	3,	3),
(117963,	8,	353,	1,	1),
(117964,	8,	353,	2,	1),
(117965,	8,	353,	3,	1),
(117966,	8,	353,	1,	3),
(117967,	8,	353,	2,	3),
(117968,	8,	353,	3,	3),
(117969,	8,	354,	1,	1),
(117970,	8,	354,	2,	1),
(117971,	8,	354,	3,	1),
(117972,	8,	354,	1,	3),
(117973,	8,	354,	2,	3),
(117974,	8,	354,	3,	3),
(117975,	8,	355,	1,	1),
(117976,	8,	355,	2,	1),
(117977,	8,	355,	3,	1),
(117978,	8,	355,	29,	1),
(117979,	8,	356,	1,	1),
(117980,	8,	356,	2,	1),
(117981,	8,	356,	3,	1),
(117982,	8,	356,	1,	2),
(117983,	8,	356,	2,	2),
(117984,	8,	356,	3,	2),
(117985,	8,	357,	1,	1),
(117986,	8,	357,	2,	1),
(117987,	8,	357,	3,	1),
(117988,	8,	357,	1,	2),
(117989,	8,	357,	2,	2),
(117990,	8,	357,	3,	2),
(117991,	8,	358,	1,	1),
(117992,	8,	358,	2,	1),
(117993,	8,	358,	3,	1),
(117994,	8,	358,	1,	2),
(117995,	8,	358,	2,	2),
(117996,	8,	358,	3,	2),
(117997,	8,	359,	1,	1),
(117998,	8,	359,	2,	1),
(117999,	8,	359,	3,	1),
(118000,	8,	360,	1,	1),
(118001,	8,	360,	2,	1),
(118002,	8,	360,	3,	1),
(118003,	8,	361,	1,	1),
(118004,	8,	361,	2,	1),
(118005,	8,	361,	3,	1),
(118006,	8,	361,	1,	2),
(118007,	8,	361,	2,	2),
(118008,	8,	361,	3,	2),
(118009,	8,	362,	1,	1),
(118010,	8,	362,	2,	1),
(118011,	8,	362,	3,	1),
(118012,	8,	362,	1,	3),
(118013,	8,	362,	2,	3),
(118014,	8,	362,	3,	3),
(118015,	8,	363,	1,	1),
(118016,	8,	363,	2,	1),
(118017,	8,	363,	3,	1),
(118018,	8,	363,	1,	3),
(118019,	8,	363,	2,	3),
(118020,	8,	363,	3,	3),
(118021,	8,	364,	1,	1),
(118022,	8,	364,	2,	1),
(118023,	8,	364,	3,	1),
(118024,	8,	364,	1,	3),
(118025,	8,	364,	2,	3),
(118026,	8,	364,	3,	3),
(118027,	8,	365,	1,	1),
(118028,	8,	365,	2,	1),
(118029,	8,	365,	3,	1),
(118030,	8,	365,	1,	2),
(118031,	8,	365,	2,	2),
(118032,	8,	365,	3,	2),
(118033,	8,	366,	1,	1),
(118034,	8,	366,	2,	1),
(118035,	8,	366,	3,	1),
(118036,	8,	367,	1,	1),
(118037,	8,	367,	2,	1),
(118038,	8,	367,	3,	1),
(118039,	8,	367,	1,	3),
(118040,	8,	367,	2,	3),
(118041,	8,	367,	3,	3),
(118042,	8,	368,	1,	1),
(118043,	8,	368,	2,	1),
(118044,	8,	368,	3,	1),
(118045,	8,	368,	1,	3),
(118046,	8,	368,	2,	3),
(118047,	8,	368,	3,	3),
(118048,	8,	369,	1,	1),
(118049,	8,	369,	2,	1),
(118050,	8,	369,	3,	1),
(118051,	8,	369,	29,	1),
(118052,	8,	369,	30,	1),
(118053,	8,	370,	1,	1),
(118054,	8,	370,	2,	1),
(118055,	8,	370,	3,	1),
(118056,	8,	370,	29,	1),
(118057,	8,	370,	30,	1),
(118058,	8,	373,	2,	1),
(118059,	8,	381,	1,	1),
(118060,	8,	381,	2,	1),
(118061,	8,	381,	3,	1),
(118062,	8,	381,	1,	2),
(118063,	8,	381,	2,	2),
(118064,	8,	381,	3,	2),
(118065,	8,	382,	1,	1),
(118066,	8,	382,	2,	1),
(118067,	8,	382,	3,	1),
(118068,	8,	382,	23,	1),
(118069,	8,	383,	1,	1),
(118070,	8,	383,	2,	1),
(118071,	8,	383,	3,	1),
(118072,	8,	383,	1,	2),
(118073,	8,	383,	2,	2),
(118074,	8,	383,	3,	2),
(118075,	8,	384,	1,	1),
(118076,	8,	384,	2,	1),
(118077,	8,	384,	3,	1),
(118078,	8,	384,	23,	1),
(118079,	8,	384,	1,	3),
(118080,	8,	384,	2,	3),
(118081,	8,	384,	3,	3),
(118082,	8,	384,	23,	3),
(118083,	8,	385,	1,	1),
(118084,	8,	385,	2,	1),
(118085,	8,	385,	3,	1),
(118086,	8,	385,	1,	3),
(118087,	8,	385,	2,	3),
(118088,	8,	385,	3,	3),
(118089,	8,	386,	1,	1),
(118090,	8,	386,	2,	1),
(118091,	8,	386,	3,	1),
(118092,	8,	386,	1,	2),
(118093,	8,	386,	2,	2),
(118094,	8,	386,	3,	2),
(118095,	8,	387,	1,	1),
(118096,	8,	387,	2,	1),
(118097,	8,	387,	3,	1),
(118098,	8,	387,	1,	2),
(118099,	8,	387,	2,	2),
(118100,	8,	387,	3,	2),
(118101,	8,	388,	1,	1),
(118102,	8,	388,	2,	1),
(118103,	8,	388,	3,	1),
(118104,	8,	388,	1,	2),
(118105,	8,	388,	2,	2),
(118106,	8,	388,	3,	2),
(118107,	8,	389,	1,	1),
(118108,	8,	389,	2,	1),
(118109,	8,	389,	3,	1),
(118110,	8,	389,	1,	2),
(118111,	8,	389,	2,	2),
(118112,	8,	389,	3,	2),
(118113,	8,	390,	1,	1),
(118114,	8,	390,	2,	1),
(118115,	8,	390,	3,	1),
(118116,	8,	391,	1,	1),
(118117,	8,	391,	2,	1),
(118118,	8,	391,	3,	1),
(118119,	8,	391,	1,	2),
(118120,	8,	391,	2,	2),
(118121,	8,	391,	3,	2),
(118122,	8,	392,	1,	1),
(118123,	8,	392,	2,	1),
(118124,	8,	392,	3,	1),
(118125,	8,	392,	1,	2),
(118126,	8,	392,	2,	2),
(118127,	8,	392,	3,	2),
(118128,	8,	393,	1,	1),
(118129,	8,	393,	2,	1),
(118130,	8,	393,	3,	1),
(118131,	8,	393,	1,	2),
(118132,	8,	393,	2,	2),
(118133,	8,	393,	3,	2),
(118134,	8,	394,	1,	1),
(118135,	8,	394,	2,	1),
(118136,	8,	394,	3,	1),
(118137,	8,	394,	1,	2),
(118138,	8,	394,	2,	2),
(118139,	8,	394,	3,	2),
(118140,	8,	395,	1,	1),
(118141,	8,	395,	2,	1),
(118142,	8,	395,	3,	1),
(118143,	8,	395,	1,	2),
(118144,	8,	395,	2,	2),
(118145,	8,	395,	3,	2),
(118146,	8,	396,	1,	1),
(118147,	8,	396,	2,	1),
(118148,	8,	396,	3,	1),
(118149,	8,	396,	6,	1),
(118150,	8,	396,	24,	1),
(118151,	8,	396,	5,	1),
(118152,	8,	396,	1,	2),
(118153,	8,	396,	2,	2),
(118154,	8,	396,	3,	2),
(118155,	8,	396,	6,	2),
(118156,	8,	396,	24,	2),
(118157,	8,	396,	5,	2),
(118158,	8,	397,	1,	1),
(118159,	8,	397,	2,	1),
(118160,	8,	397,	3,	1),
(118161,	8,	397,	6,	1),
(118162,	8,	397,	24,	1),
(118163,	8,	397,	5,	1),
(118164,	8,	397,	1,	2),
(118165,	8,	397,	2,	2),
(118166,	8,	397,	3,	2),
(118167,	8,	397,	6,	2),
(118168,	8,	397,	24,	2),
(118169,	8,	397,	5,	2),
(118170,	8,	398,	1,	1),
(118171,	8,	398,	2,	1),
(118172,	8,	398,	3,	1),
(118173,	8,	398,	6,	1),
(118174,	8,	398,	24,	1),
(118175,	8,	398,	25,	1),
(118176,	8,	398,	4,	1),
(118177,	8,	398,	1,	3),
(118178,	8,	398,	2,	3),
(118179,	8,	398,	3,	3),
(118180,	8,	398,	6,	3),
(118181,	8,	398,	24,	3),
(118182,	8,	398,	25,	3),
(118183,	8,	398,	4,	3),
(118184,	8,	399,	1,	1),
(118185,	8,	399,	2,	1),
(118186,	8,	399,	3,	1),
(118187,	8,	399,	6,	1),
(118188,	8,	399,	24,	1),
(118189,	8,	399,	25,	1),
(118190,	8,	399,	4,	1),
(118191,	8,	399,	5,	1),
(118192,	8,	399,	1,	3),
(118193,	8,	399,	2,	3),
(118194,	8,	399,	3,	3),
(118195,	8,	399,	6,	3),
(118196,	8,	399,	24,	3),
(118197,	8,	399,	25,	3),
(118198,	8,	399,	4,	3),
(118199,	8,	399,	5,	3),
(118200,	8,	400,	1,	1),
(118201,	8,	400,	2,	1),
(118202,	8,	400,	3,	1),
(118203,	8,	400,	1,	3),
(118204,	8,	400,	2,	3),
(118205,	8,	400,	3,	3),
(118206,	8,	400,	1,	2),
(118207,	8,	400,	2,	2),
(118208,	8,	400,	3,	2),
(118209,	8,	401,	1,	1),
(118210,	8,	401,	2,	1),
(118211,	8,	401,	3,	1),
(118212,	8,	401,	6,	1),
(118213,	8,	401,	24,	1),
(118214,	8,	401,	25,	1),
(118215,	8,	401,	4,	1),
(118216,	8,	401,	5,	1),
(118217,	8,	401,	1,	3),
(118218,	8,	401,	2,	3),
(118219,	8,	401,	3,	3),
(118220,	8,	401,	6,	3),
(118221,	8,	401,	24,	3),
(118222,	8,	401,	25,	3),
(118223,	8,	401,	4,	3),
(118224,	8,	401,	5,	3),
(118225,	8,	402,	1,	1),
(118226,	8,	402,	2,	1),
(118227,	8,	402,	3,	1),
(118228,	8,	402,	6,	1),
(118229,	8,	402,	24,	1),
(118230,	8,	402,	25,	1),
(118231,	8,	402,	4,	1),
(118232,	8,	402,	5,	1),
(118233,	8,	402,	1,	3),
(118234,	8,	402,	2,	3),
(118235,	8,	402,	3,	3),
(118236,	8,	402,	6,	3),
(118237,	8,	402,	24,	3),
(118238,	8,	402,	25,	3),
(118239,	8,	402,	4,	3),
(118240,	8,	402,	5,	3),
(118241,	8,	403,	1,	1),
(118242,	8,	403,	2,	1),
(118243,	8,	403,	3,	1),
(118244,	8,	403,	6,	1),
(118245,	8,	403,	24,	1),
(118246,	8,	403,	5,	1),
(118247,	8,	403,	1,	2),
(118248,	8,	403,	2,	2),
(118249,	8,	403,	3,	2),
(118250,	8,	403,	6,	2),
(118251,	8,	403,	24,	2),
(118252,	8,	403,	5,	2),
(118253,	8,	404,	1,	1),
(118254,	8,	404,	2,	1),
(118255,	8,	404,	3,	1),
(118256,	8,	404,	1,	2),
(118257,	8,	404,	2,	2),
(118258,	8,	404,	3,	2),
(118259,	8,	405,	1,	1),
(118260,	8,	405,	2,	1),
(118261,	8,	405,	3,	1),
(118262,	8,	405,	1,	2),
(118263,	8,	405,	2,	2),
(118264,	8,	405,	3,	2),
(118265,	8,	406,	1,	1),
(118266,	8,	406,	2,	1),
(118267,	8,	406,	3,	1),
(118268,	8,	406,	1,	2),
(118269,	8,	406,	2,	2),
(118270,	8,	406,	3,	2),
(118271,	8,	407,	1,	1),
(118272,	8,	407,	2,	1),
(118273,	8,	407,	3,	1),
(118274,	8,	407,	1,	2),
(118275,	8,	407,	2,	2),
(118276,	8,	407,	3,	2),
(118277,	8,	409,	1,	1),
(118278,	8,	409,	2,	1),
(118279,	8,	409,	3,	1),
(118280,	8,	409,	1,	3),
(118281,	8,	409,	2,	3),
(118282,	8,	409,	3,	3),
(118283,	8,	410,	1,	1),
(118284,	8,	410,	2,	1),
(118285,	8,	410,	3,	1),
(118286,	8,	410,	1,	2),
(118287,	8,	410,	2,	2),
(118288,	8,	410,	3,	2),
(118289,	8,	411,	1,	1),
(118290,	8,	411,	2,	1),
(118291,	8,	411,	3,	1),
(118292,	8,	411,	1,	2),
(118293,	8,	411,	2,	2),
(118294,	8,	411,	3,	2),
(118295,	8,	412,	1,	1),
(118296,	8,	412,	2,	1),
(118297,	8,	412,	3,	1),
(118298,	8,	413,	1,	1),
(118299,	8,	413,	2,	1),
(118300,	8,	413,	3,	1),
(118301,	8,	413,	1,	2),
(118302,	8,	413,	2,	2),
(118303,	8,	413,	3,	2),
(118304,	8,	414,	1,	1),
(118305,	8,	414,	2,	1),
(118306,	8,	414,	3,	1),
(118307,	8,	414,	1,	2),
(118308,	8,	414,	2,	2),
(118309,	8,	414,	3,	2),
(118310,	8,	415,	1,	1),
(118311,	8,	415,	2,	1),
(118312,	8,	415,	3,	1),
(118313,	8,	415,	1,	2),
(118314,	8,	415,	2,	2),
(118315,	8,	415,	3,	2),
(118316,	8,	416,	1,	1),
(118317,	8,	416,	2,	1),
(118318,	8,	416,	3,	1),
(118319,	8,	416,	1,	2),
(118320,	8,	416,	2,	2),
(118321,	8,	416,	3,	2),
(118322,	8,	417,	1,	1),
(118323,	8,	417,	2,	1),
(118324,	8,	417,	3,	1),
(118325,	8,	418,	1,	1),
(118326,	8,	418,	2,	1),
(118327,	8,	418,	3,	1),
(118328,	8,	418,	1,	2),
(118329,	8,	418,	2,	2),
(118330,	8,	418,	3,	2),
(118331,	8,	419,	1,	1),
(118332,	8,	419,	2,	1),
(118333,	8,	419,	3,	1),
(118334,	8,	419,	1,	2),
(118335,	8,	419,	2,	2),
(118336,	8,	419,	3,	2),
(118337,	8,	420,	1,	1),
(118338,	8,	420,	2,	1),
(118339,	8,	420,	3,	1),
(118340,	8,	420,	1,	2),
(118341,	8,	420,	2,	2),
(118342,	8,	420,	3,	2),
(118343,	8,	421,	1,	1),
(118344,	8,	421,	2,	1),
(118345,	8,	421,	3,	1),
(118346,	8,	421,	1,	2),
(118347,	8,	421,	2,	2),
(118348,	8,	421,	3,	2),
(118349,	8,	422,	1,	1),
(118350,	8,	422,	2,	1),
(118351,	8,	422,	3,	1),
(118352,	8,	422,	1,	3),
(118353,	8,	422,	2,	3),
(118354,	8,	422,	3,	3),
(118355,	8,	423,	1,	1),
(118356,	8,	423,	2,	1),
(118357,	8,	423,	3,	1),
(118358,	8,	423,	1,	2),
(118359,	8,	423,	2,	2),
(118360,	8,	423,	3,	2),
(118361,	8,	424,	1,	1),
(118362,	8,	424,	2,	1),
(118363,	8,	424,	3,	1),
(118364,	8,	424,	1,	2),
(118365,	8,	424,	2,	2),
(118366,	8,	424,	3,	2),
(118367,	8,	425,	1,	1),
(118368,	8,	425,	2,	1),
(118369,	8,	425,	3,	1),
(118370,	8,	425,	1,	2),
(118371,	8,	425,	2,	2),
(118372,	8,	425,	3,	2),
(118373,	8,	426,	1,	1),
(118374,	8,	426,	2,	1),
(118375,	8,	426,	3,	1),
(118376,	8,	426,	1,	2),
(118377,	8,	426,	2,	2),
(118378,	8,	426,	3,	2),
(118379,	8,	427,	1,	1),
(118380,	8,	427,	2,	1),
(118381,	8,	427,	3,	1),
(118382,	8,	428,	1,	1),
(118383,	8,	428,	2,	1),
(118384,	8,	428,	3,	1),
(118385,	8,	428,	1,	3),
(118386,	8,	428,	2,	3),
(118387,	8,	428,	3,	3),
(118388,	8,	429,	2,	1),
(118389,	8,	430,	1,	1),
(118390,	8,	430,	2,	1),
(118391,	8,	430,	3,	1),
(118392,	8,	430,	1,	3),
(118393,	8,	430,	2,	3),
(118394,	8,	430,	3,	3),
(118395,	8,	430,	1,	2),
(118396,	8,	430,	2,	2),
(118397,	8,	430,	3,	2),
(118398,	8,	431,	1,	1),
(118399,	8,	431,	2,	1),
(118400,	8,	431,	3,	1),
(118401,	8,	431,	1,	3),
(118402,	8,	431,	2,	3),
(118403,	8,	431,	3,	3),
(118404,	8,	431,	1,	2),
(118405,	8,	431,	2,	2),
(118406,	8,	431,	3,	2),
(118407,	8,	432,	1,	1),
(118408,	8,	432,	2,	1),
(118409,	8,	432,	3,	1),
(118410,	8,	432,	1,	3),
(118411,	8,	432,	2,	3),
(118412,	8,	432,	3,	3),
(118413,	8,	432,	1,	2),
(118414,	8,	432,	2,	2),
(118415,	8,	432,	3,	2),
(118416,	8,	433,	1,	1),
(118417,	8,	433,	2,	1),
(118418,	8,	433,	3,	1),
(118419,	8,	433,	1,	2),
(118420,	8,	433,	2,	2),
(118421,	8,	433,	3,	2),
(118422,	8,	434,	1,	1),
(118423,	8,	434,	2,	1),
(118424,	8,	434,	3,	1),
(118425,	8,	434,	1,	2),
(118426,	8,	434,	2,	2),
(118427,	8,	434,	3,	2),
(118428,	8,	435,	1,	1),
(118429,	8,	435,	2,	1),
(118430,	8,	435,	3,	1),
(118431,	8,	435,	1,	2),
(118432,	8,	435,	2,	2),
(118433,	8,	435,	3,	2),
(118434,	8,	436,	1,	1),
(118435,	8,	436,	2,	1),
(118436,	8,	436,	3,	1),
(118437,	8,	436,	1,	2),
(118438,	8,	436,	2,	2),
(118439,	8,	436,	3,	2),
(118440,	8,	437,	1,	1),
(118441,	8,	437,	2,	1),
(118442,	8,	437,	3,	1),
(118443,	8,	437,	1,	2),
(118444,	8,	437,	2,	2),
(118445,	8,	437,	3,	2),
(118446,	8,	438,	1,	1),
(118447,	8,	438,	2,	1),
(118448,	8,	438,	3,	1),
(118449,	8,	438,	1,	2),
(118450,	8,	438,	2,	2),
(118451,	8,	438,	3,	2),
(118452,	8,	439,	1,	1),
(118453,	8,	439,	2,	1),
(118454,	8,	439,	3,	1),
(118455,	8,	439,	1,	2),
(118456,	8,	439,	2,	2),
(118457,	8,	439,	3,	2),
(118458,	8,	440,	1,	1),
(118459,	8,	440,	2,	1),
(118460,	8,	440,	3,	1),
(118461,	8,	440,	1,	3),
(118462,	8,	440,	2,	3),
(118463,	8,	440,	3,	3),
(118464,	8,	441,	1,	1),
(118465,	8,	441,	2,	1),
(118466,	8,	441,	3,	1),
(118467,	8,	441,	1,	3),
(118468,	8,	441,	2,	3),
(118469,	8,	441,	3,	3),
(118470,	8,	442,	1,	1),
(118471,	8,	442,	2,	1),
(118472,	8,	442,	3,	1),
(118473,	8,	442,	1,	3),
(118474,	8,	442,	2,	3),
(118475,	8,	442,	3,	3),
(118476,	8,	443,	1,	1),
(118477,	8,	443,	2,	1),
(118478,	8,	443,	3,	1),
(118479,	8,	443,	1,	2),
(118480,	8,	443,	2,	2),
(118481,	8,	443,	3,	2),
(118482,	8,	444,	1,	1),
(118483,	8,	444,	2,	1),
(118484,	8,	444,	3,	1),
(118485,	8,	444,	1,	3),
(118486,	8,	444,	2,	3),
(118487,	8,	444,	3,	3),
(118488,	8,	445,	1,	1),
(118489,	8,	445,	2,	1),
(118490,	8,	445,	3,	1),
(118491,	8,	445,	1,	3),
(118492,	8,	445,	2,	3),
(118493,	8,	445,	3,	3),
(118494,	8,	446,	1,	1),
(118495,	8,	446,	2,	1),
(118496,	8,	446,	3,	1),
(118497,	8,	446,	1,	2),
(118498,	8,	446,	2,	2),
(118499,	8,	446,	3,	2),
(118500,	8,	447,	1,	1),
(118501,	8,	447,	2,	1),
(118502,	8,	447,	3,	1),
(118503,	8,	447,	1,	3),
(118504,	8,	447,	2,	3),
(118505,	8,	447,	3,	3),
(118506,	8,	448,	1,	1),
(118507,	8,	448,	2,	1),
(118508,	8,	448,	3,	1),
(118509,	8,	448,	1,	2),
(118510,	8,	448,	2,	2),
(118511,	8,	448,	3,	2),
(118512,	8,	449,	1,	1),
(118513,	8,	449,	2,	1),
(118514,	8,	449,	3,	1),
(118515,	8,	449,	1,	2),
(118516,	8,	449,	2,	2),
(118517,	8,	449,	3,	2),
(118518,	8,	450,	1,	1),
(118519,	8,	450,	2,	1),
(118520,	8,	450,	3,	1),
(118521,	8,	450,	1,	3),
(118522,	8,	450,	2,	3),
(118523,	8,	450,	3,	3),
(118524,	8,	451,	1,	1),
(118525,	8,	451,	2,	1),
(118526,	8,	451,	3,	1),
(118527,	8,	451,	1,	2),
(118528,	8,	451,	2,	2),
(118529,	8,	451,	3,	2),
(118530,	8,	452,	1,	1),
(118531,	8,	452,	2,	1),
(118532,	8,	452,	3,	1),
(118533,	8,	452,	1,	2),
(118534,	8,	452,	2,	2),
(118535,	8,	452,	3,	2),
(118536,	8,	453,	1,	1),
(118537,	8,	453,	2,	1),
(118538,	8,	453,	3,	1),
(118539,	8,	453,	1,	3),
(118540,	8,	453,	2,	3),
(118541,	8,	453,	3,	3),
(118542,	8,	454,	1,	1),
(118543,	8,	454,	2,	1),
(118544,	8,	454,	3,	1),
(118545,	8,	454,	1,	2),
(118546,	8,	454,	2,	2),
(118547,	8,	454,	3,	2),
(118548,	8,	455,	1,	1),
(118549,	8,	455,	2,	1),
(118550,	8,	455,	3,	1),
(118551,	8,	456,	1,	1),
(118552,	8,	456,	2,	1),
(118553,	8,	456,	3,	1),
(118554,	8,	456,	1,	2),
(118555,	8,	456,	2,	2),
(118556,	8,	456,	3,	2),
(118557,	8,	457,	1,	1),
(118558,	8,	457,	2,	1),
(118559,	8,	457,	3,	1),
(118560,	8,	457,	1,	2),
(118561,	8,	457,	2,	2),
(118562,	8,	457,	3,	2),
(118563,	8,	458,	1,	1),
(118564,	8,	458,	2,	1),
(118565,	8,	458,	3,	1),
(118566,	8,	458,	1,	3),
(118567,	8,	458,	2,	3),
(118568,	8,	458,	3,	3),
(118569,	8,	459,	1,	1),
(118570,	8,	459,	2,	1),
(118571,	8,	459,	3,	1),
(118572,	8,	460,	1,	1),
(118573,	8,	460,	2,	1),
(118574,	8,	460,	3,	1),
(118575,	8,	460,	1,	2),
(118576,	8,	460,	2,	2),
(118577,	8,	460,	3,	2),
(118578,	8,	461,	1,	1),
(118579,	8,	461,	2,	1),
(118580,	8,	461,	3,	1),
(118581,	8,	461,	1,	2),
(118582,	8,	461,	2,	2),
(118583,	8,	461,	3,	2),
(118584,	8,	462,	1,	1),
(118585,	8,	462,	2,	1),
(118586,	8,	462,	3,	1),
(118587,	8,	462,	1,	2),
(118588,	8,	462,	2,	2),
(118589,	8,	462,	3,	2),
(118590,	8,	463,	1,	1),
(118591,	8,	463,	2,	1),
(118592,	8,	463,	3,	1),
(118593,	8,	463,	1,	2),
(118594,	8,	463,	2,	2),
(118595,	8,	463,	3,	2),
(118596,	8,	464,	1,	1),
(118597,	8,	464,	2,	1),
(118598,	8,	464,	3,	1),
(118599,	8,	464,	1,	2),
(118600,	8,	464,	2,	2),
(118601,	8,	464,	3,	2),
(118602,	8,	465,	1,	1),
(118603,	8,	465,	2,	1),
(118604,	8,	465,	3,	1),
(118605,	8,	465,	1,	2),
(118606,	8,	465,	2,	2),
(118607,	8,	465,	3,	2),
(118608,	8,	466,	1,	1),
(118609,	8,	466,	2,	1),
(118610,	8,	466,	3,	1),
(118611,	8,	466,	1,	2),
(118612,	8,	466,	2,	2),
(118613,	8,	466,	3,	2),
(118614,	8,	467,	1,	1),
(118615,	8,	467,	2,	1),
(118616,	8,	467,	3,	1),
(118617,	8,	467,	1,	2),
(118618,	8,	467,	2,	2),
(118619,	8,	467,	3,	2),
(118620,	8,	468,	1,	1),
(118621,	8,	468,	2,	1),
(118622,	8,	468,	3,	1),
(118623,	8,	468,	1,	2),
(118624,	8,	468,	2,	2),
(118625,	8,	468,	3,	2),
(118626,	8,	469,	1,	1),
(118627,	8,	469,	2,	1),
(118628,	8,	469,	3,	1),
(118629,	8,	469,	1,	2),
(118630,	8,	469,	2,	2),
(118631,	8,	469,	3,	2),
(118632,	8,	470,	1,	1),
(118633,	8,	470,	2,	1),
(118634,	8,	470,	3,	1),
(118635,	8,	471,	1,	1),
(118636,	8,	471,	2,	1),
(118637,	8,	471,	3,	1),
(118638,	8,	472,	1,	1),
(118639,	8,	472,	2,	1),
(118640,	8,	472,	3,	1),
(118641,	8,	473,	1,	1),
(118642,	8,	473,	2,	1),
(118643,	8,	473,	3,	1),
(118644,	8,	474,	1,	1),
(118645,	8,	474,	2,	1),
(118646,	8,	474,	3,	1),
(118647,	8,	474,	1,	3),
(118648,	8,	474,	2,	3),
(118649,	8,	474,	3,	3),
(118650,	8,	475,	1,	1),
(118651,	8,	475,	2,	1),
(118652,	8,	475,	3,	1),
(118653,	8,	476,	1,	1),
(118654,	8,	476,	2,	1),
(118655,	8,	476,	3,	1),
(118656,	8,	476,	1,	2),
(118657,	8,	476,	2,	2),
(118658,	8,	476,	3,	2),
(118659,	8,	477,	1,	1),
(118660,	8,	477,	2,	1),
(118661,	8,	477,	3,	1),
(118662,	8,	477,	1,	2),
(118663,	8,	477,	2,	2),
(118664,	8,	477,	3,	2),
(118665,	8,	478,	1,	1),
(118666,	8,	478,	2,	1),
(118667,	8,	478,	3,	1),
(118668,	8,	478,	1,	2),
(118669,	8,	478,	2,	2),
(118670,	8,	478,	3,	2),
(118671,	8,	479,	1,	1),
(118672,	8,	479,	2,	1),
(118673,	8,	479,	3,	1),
(118674,	8,	480,	1,	1),
(118675,	8,	480,	2,	1),
(118676,	8,	480,	3,	1),
(118677,	8,	481,	2,	1),
(118678,	8,	482,	1,	1),
(118679,	8,	482,	2,	1),
(118680,	8,	482,	3,	1),
(118681,	8,	483,	1,	1),
(118682,	8,	483,	2,	1),
(118683,	8,	483,	3,	1),
(118684,	8,	484,	1,	1),
(118685,	8,	484,	2,	1),
(118686,	8,	484,	3,	1),
(118687,	8,	485,	1,	1),
(118688,	8,	485,	2,	1),
(118689,	8,	485,	3,	1),
(118690,	8,	486,	1,	1),
(118691,	8,	486,	2,	1),
(118692,	8,	486,	3,	1),
(118693,	8,	486,	1,	2),
(118694,	8,	486,	2,	2),
(118695,	8,	486,	3,	2),
(118696,	8,	487,	1,	1),
(118697,	8,	487,	2,	1),
(118698,	8,	487,	3,	1),
(118699,	8,	487,	1,	2),
(118700,	8,	487,	2,	2),
(118701,	8,	487,	3,	2),
(118702,	8,	488,	1,	1),
(118703,	8,	488,	2,	1),
(118704,	8,	488,	3,	1),
(118705,	8,	488,	1,	2),
(118706,	8,	488,	2,	2),
(118707,	8,	488,	3,	2),
(118708,	8,	489,	1,	1),
(118709,	8,	489,	2,	1),
(118710,	8,	489,	3,	1),
(118711,	8,	489,	1,	2),
(118712,	8,	489,	2,	2),
(118713,	8,	489,	3,	2),
(118714,	8,	490,	1,	1),
(118715,	8,	490,	2,	1),
(118716,	8,	490,	3,	1),
(118717,	8,	491,	1,	1),
(118718,	8,	491,	2,	1),
(118719,	8,	491,	3,	1),
(118720,	8,	492,	1,	1),
(118721,	8,	492,	2,	1),
(118722,	8,	492,	3,	1),
(118723,	8,	493,	1,	1),
(118724,	8,	493,	2,	1),
(118725,	8,	493,	3,	1),
(118726,	8,	493,	1,	2),
(118727,	8,	493,	2,	2),
(118728,	8,	493,	3,	2),
(118729,	8,	494,	1,	1),
(118730,	8,	494,	2,	1),
(118731,	8,	494,	3,	1),
(118732,	8,	494,	1,	2),
(118733,	8,	494,	2,	2),
(118734,	8,	494,	3,	2),
(118735,	8,	495,	1,	1),
(118736,	8,	495,	2,	1),
(118737,	8,	495,	3,	1),
(118738,	8,	495,	1,	2),
(118739,	8,	495,	2,	2),
(118740,	8,	495,	3,	2),
(118741,	8,	496,	1,	1),
(118742,	8,	496,	2,	1),
(118743,	8,	496,	3,	1),
(118744,	8,	496,	1,	2),
(118745,	8,	496,	2,	2),
(118746,	8,	496,	3,	2),
(118747,	8,	497,	1,	1),
(118748,	8,	497,	2,	1),
(118749,	8,	497,	3,	1),
(118750,	8,	497,	1,	2),
(118751,	8,	497,	2,	2),
(118752,	8,	497,	3,	2),
(118753,	8,	498,	1,	1),
(118754,	8,	498,	2,	1),
(118755,	8,	498,	3,	1),
(118756,	8,	498,	1,	2),
(118757,	8,	498,	2,	2),
(118758,	8,	498,	3,	2),
(118759,	8,	499,	1,	1),
(118760,	8,	499,	2,	1),
(118761,	8,	499,	3,	1),
(118762,	8,	499,	1,	2),
(118763,	8,	499,	2,	2),
(118764,	8,	499,	3,	2),
(118765,	8,	500,	1,	1),
(118766,	8,	500,	2,	1),
(118767,	8,	500,	3,	1),
(118768,	8,	500,	1,	2),
(118769,	8,	500,	2,	2),
(118770,	8,	500,	3,	2),
(118771,	8,	501,	1,	1),
(118772,	8,	501,	2,	1),
(118773,	8,	501,	3,	1),
(118774,	8,	501,	1,	2),
(118775,	8,	501,	2,	2),
(118776,	8,	501,	3,	2),
(118777,	8,	502,	1,	1),
(118778,	8,	502,	2,	1),
(118779,	8,	502,	3,	1),
(118780,	8,	502,	1,	2),
(118781,	8,	502,	2,	2),
(118782,	8,	502,	3,	2),
(118783,	8,	503,	1,	1),
(118784,	8,	503,	2,	1),
(118785,	8,	503,	3,	1),
(118786,	8,	503,	1,	2),
(118787,	8,	503,	2,	2),
(118788,	8,	503,	3,	2),
(118789,	8,	504,	1,	1),
(118790,	8,	504,	2,	1),
(118791,	8,	504,	3,	1),
(118792,	8,	504,	1,	2),
(118793,	8,	504,	2,	2),
(118794,	8,	504,	3,	2),
(118795,	8,	505,	1,	1),
(118796,	8,	505,	2,	1),
(118797,	8,	505,	3,	1),
(118798,	8,	505,	1,	2),
(118799,	8,	505,	2,	2),
(118800,	8,	505,	3,	2),
(118801,	8,	506,	1,	1),
(118802,	8,	506,	2,	1),
(118803,	8,	506,	3,	1),
(118804,	8,	506,	1,	2),
(118805,	8,	506,	2,	2),
(118806,	8,	506,	3,	2),
(118807,	8,	507,	1,	1),
(118808,	8,	507,	2,	1),
(118809,	8,	507,	3,	1),
(118810,	8,	507,	1,	2),
(118811,	8,	507,	2,	2),
(118812,	8,	507,	3,	2),
(118813,	8,	508,	1,	1),
(118814,	8,	508,	2,	1),
(118815,	8,	508,	3,	1),
(118816,	8,	508,	1,	2),
(118817,	8,	508,	2,	2),
(118818,	8,	508,	3,	2),
(118819,	8,	509,	1,	1),
(118820,	8,	509,	2,	1),
(118821,	8,	509,	3,	1),
(118822,	8,	509,	1,	2),
(118823,	8,	509,	2,	2),
(118824,	8,	509,	3,	2),
(118825,	8,	510,	1,	1),
(118826,	8,	510,	2,	1),
(118827,	8,	510,	3,	1),
(118828,	8,	510,	1,	2),
(118829,	8,	510,	2,	2),
(118830,	8,	510,	3,	2),
(118831,	8,	511,	1,	1),
(118832,	8,	511,	2,	1),
(118833,	8,	511,	3,	1),
(118834,	8,	511,	1,	2),
(118835,	8,	511,	2,	2),
(118836,	8,	511,	3,	2),
(118837,	8,	512,	1,	1),
(118838,	8,	512,	2,	1),
(118839,	8,	512,	3,	1),
(118840,	8,	512,	1,	2),
(118841,	8,	512,	2,	2),
(118842,	8,	512,	3,	2),
(118843,	8,	513,	1,	1),
(118844,	8,	513,	2,	1),
(118845,	8,	513,	3,	1),
(118846,	8,	513,	1,	2),
(118847,	8,	513,	2,	2),
(118848,	8,	513,	3,	2),
(118849,	8,	514,	1,	1),
(118850,	8,	514,	2,	1),
(118851,	8,	514,	3,	1),
(118852,	8,	514,	23,	1),
(118853,	8,	514,	1,	3),
(118854,	8,	514,	2,	3),
(118855,	8,	514,	3,	3),
(118856,	8,	514,	23,	3),
(118857,	8,	515,	1,	1),
(118858,	8,	515,	2,	1),
(118859,	8,	515,	3,	1),
(118860,	8,	515,	23,	1),
(118861,	8,	515,	1,	3),
(118862,	8,	515,	2,	3),
(118863,	8,	515,	3,	3),
(118864,	8,	515,	23,	3),
(118865,	8,	516,	1,	1),
(118866,	8,	516,	2,	1),
(118867,	8,	516,	3,	1),
(118868,	8,	516,	1,	3),
(118869,	8,	516,	2,	3),
(118870,	8,	516,	3,	3),
(118871,	8,	517,	1,	1),
(118872,	8,	517,	2,	1),
(118873,	8,	517,	3,	1),
(118874,	8,	517,	23,	1),
(118875,	8,	517,	1,	3),
(118876,	8,	517,	2,	3),
(118877,	8,	517,	3,	3),
(118878,	8,	517,	23,	3),
(118879,	8,	518,	1,	1),
(118880,	8,	518,	2,	1),
(118881,	8,	518,	3,	1),
(118882,	8,	518,	23,	1),
(118883,	8,	518,	1,	3),
(118884,	8,	518,	2,	3),
(118885,	8,	518,	3,	3),
(118886,	8,	518,	23,	3),
(118887,	8,	519,	1,	1),
(118888,	8,	519,	2,	1),
(118889,	8,	519,	3,	1),
(118890,	8,	519,	1,	3),
(118891,	8,	519,	2,	3),
(118892,	8,	519,	3,	3),
(118893,	8,	519,	1,	2),
(118894,	8,	519,	2,	2),
(118895,	8,	519,	3,	2),
(118896,	8,	520,	1,	1),
(118897,	8,	520,	2,	1),
(118898,	8,	520,	3,	1),
(118899,	8,	520,	1,	3),
(118900,	8,	520,	2,	3),
(118901,	8,	520,	3,	3),
(118902,	8,	521,	1,	1),
(118903,	8,	521,	2,	1),
(118904,	8,	521,	3,	1),
(118905,	8,	521,	1,	3),
(118906,	8,	521,	2,	3),
(118907,	8,	521,	3,	3),
(118908,	8,	521,	1,	2),
(118909,	8,	521,	2,	2),
(118910,	8,	521,	3,	2),
(118911,	8,	522,	1,	1),
(118912,	8,	522,	2,	1),
(118913,	8,	522,	3,	1),
(118914,	8,	522,	1,	2),
(118915,	8,	522,	2,	2),
(118916,	8,	522,	3,	2),
(118917,	8,	523,	1,	1),
(118918,	8,	523,	2,	1),
(118919,	8,	523,	3,	1),
(118920,	8,	523,	1,	3),
(118921,	8,	523,	2,	3),
(118922,	8,	523,	3,	3),
(118923,	8,	524,	1,	1),
(118924,	8,	524,	2,	1),
(118925,	8,	524,	3,	1),
(118926,	8,	524,	1,	2),
(118927,	8,	524,	2,	2),
(118928,	8,	524,	3,	2),
(118929,	8,	525,	2,	1),
(118930,	8,	526,	1,	1),
(118931,	8,	526,	2,	1),
(118932,	8,	526,	3,	1),
(118933,	8,	526,	1,	2),
(118934,	8,	526,	2,	2),
(118935,	8,	526,	3,	2),
(118936,	8,	527,	1,	1),
(118937,	8,	527,	2,	1),
(118938,	8,	527,	3,	1),
(118939,	8,	527,	1,	2),
(118940,	8,	527,	2,	2),
(118941,	8,	527,	3,	2),
(118942,	8,	528,	1,	1),
(118943,	8,	528,	2,	1),
(118944,	8,	528,	3,	1),
(118945,	8,	528,	6,	1),
(118946,	8,	528,	1,	2),
(118947,	8,	528,	2,	2),
(118948,	8,	528,	3,	2),
(118949,	8,	528,	6,	2),
(118950,	8,	529,	1,	1),
(118951,	8,	529,	2,	1),
(118952,	8,	529,	3,	1),
(118953,	8,	529,	6,	1),
(118954,	8,	529,	1,	2),
(118955,	8,	529,	2,	2),
(118956,	8,	529,	3,	2),
(118957,	8,	529,	6,	2),
(118958,	8,	530,	1,	1),
(118959,	8,	530,	2,	1),
(118960,	8,	530,	3,	1),
(118961,	8,	530,	6,	1),
(118962,	8,	530,	1,	2),
(118963,	8,	530,	2,	2),
(118964,	8,	530,	3,	2),
(118965,	8,	530,	6,	2),
(118966,	8,	531,	1,	1),
(118967,	8,	531,	2,	1),
(118968,	8,	531,	3,	1),
(118969,	8,	531,	1,	2),
(118970,	8,	531,	2,	2),
(118971,	8,	531,	3,	2),
(118972,	8,	532,	1,	1),
(118973,	8,	532,	2,	1),
(118974,	8,	532,	3,	1),
(118975,	8,	532,	6,	1),
(118976,	8,	532,	1,	2),
(118977,	8,	532,	2,	2),
(118978,	8,	532,	3,	2),
(118979,	8,	532,	6,	2),
(118980,	8,	533,	1,	1),
(118981,	8,	533,	2,	1),
(118982,	8,	533,	3,	1),
(118983,	8,	533,	6,	1),
(118984,	8,	533,	1,	2),
(118985,	8,	533,	2,	2),
(118986,	8,	533,	3,	2),
(118987,	8,	533,	6,	2),
(118988,	8,	534,	1,	1),
(118989,	8,	534,	2,	1),
(118990,	8,	534,	3,	1),
(118991,	8,	534,	1,	3),
(118992,	8,	534,	2,	3),
(118993,	8,	534,	3,	3),
(118994,	8,	535,	1,	1),
(118995,	8,	535,	2,	1),
(118996,	8,	535,	3,	1),
(118997,	8,	535,	1,	3),
(118998,	8,	535,	2,	3),
(118999,	8,	535,	3,	3),
(119000,	8,	536,	1,	1),
(119001,	8,	536,	2,	1),
(119002,	8,	536,	3,	1),
(119003,	8,	536,	1,	3),
(119004,	8,	536,	2,	3),
(119005,	8,	536,	3,	3),
(119006,	8,	537,	1,	1),
(119007,	8,	537,	2,	1),
(119008,	8,	537,	3,	1),
(119009,	8,	537,	1,	3),
(119010,	8,	537,	2,	3),
(119011,	8,	537,	3,	3),
(119012,	8,	538,	1,	1),
(119013,	8,	538,	2,	1),
(119014,	8,	538,	3,	1),
(119015,	8,	538,	1,	3),
(119016,	8,	538,	2,	3),
(119017,	8,	538,	3,	3),
(119018,	8,	539,	1,	1),
(119019,	8,	539,	2,	1),
(119020,	8,	539,	3,	1),
(119021,	8,	540,	1,	1),
(119022,	8,	540,	2,	1),
(119023,	8,	540,	3,	1),
(119024,	8,	541,	1,	1),
(119025,	8,	541,	2,	1),
(119026,	8,	541,	3,	1),
(119027,	8,	541,	4,	1),
(119028,	8,	542,	1,	1),
(119029,	8,	542,	2,	1),
(119030,	8,	542,	3,	1),
(119031,	8,	543,	2,	1),
(119032,	8,	544,	2,	1),
(119033,	8,	546,	1,	1),
(119034,	8,	546,	2,	1),
(119035,	8,	546,	3,	1),
(119036,	8,	547,	1,	1),
(119037,	8,	547,	2,	1),
(119038,	8,	547,	3,	1),
(119039,	8,	547,	1,	2),
(119040,	8,	547,	2,	2),
(119041,	8,	547,	3,	2),
(119042,	8,	548,	2,	1),
(119043,	8,	549,	1,	1),
(119044,	8,	549,	2,	1),
(119045,	8,	549,	3,	1),
(119046,	8,	549,	1,	2),
(119047,	8,	549,	2,	2),
(119048,	8,	549,	3,	2),
(119049,	8,	550,	1,	1),
(119050,	8,	550,	2,	1),
(119051,	8,	550,	3,	1),
(119052,	8,	551,	1,	1),
(119053,	8,	551,	2,	1),
(119054,	8,	551,	3,	1),
(119055,	8,	551,	6,	1),
(119056,	8,	552,	1,	1),
(119057,	8,	552,	2,	1),
(119058,	8,	552,	3,	1),
(119059,	8,	552,	6,	1),
(119060,	8,	552,	1,	2),
(119061,	8,	552,	2,	2),
(119062,	8,	552,	3,	2),
(119063,	8,	552,	6,	2),
(119064,	8,	553,	1,	1),
(119065,	8,	553,	2,	1),
(119066,	8,	553,	3,	1),
(119067,	8,	554,	1,	1),
(119068,	8,	554,	2,	1),
(119069,	8,	554,	3,	1),
(119070,	8,	555,	1,	1),
(119071,	8,	555,	2,	1),
(119072,	8,	555,	3,	1),
(119073,	8,	556,	1,	1),
(119074,	8,	556,	2,	1),
(119075,	8,	556,	3,	1),
(119076,	8,	556,	1,	2),
(119077,	8,	556,	2,	2),
(119078,	8,	556,	3,	2),
(119079,	8,	557,	1,	1),
(119080,	8,	557,	2,	1),
(119081,	8,	557,	3,	1),
(119082,	8,	557,	1,	2),
(119083,	8,	557,	2,	2),
(119084,	8,	557,	3,	2),
(119085,	8,	559,	2,	1),
(119086,	8,	559,	3,	1),
(119087,	8,	562,	2,	1),
(119088,	8,	562,	35,	1),
(119089,	8,	563,	2,	1),
(119090,	8,	563,	35,	1),
(119091,	8,	571,	1,	1),
(119092,	8,	571,	2,	1),
(119093,	8,	571,	3,	1),
(119094,	8,	571,	1,	2),
(119095,	8,	571,	2,	2),
(119096,	8,	571,	3,	2),
(119097,	8,	572,	1,	1),
(119098,	8,	572,	2,	1),
(119099,	8,	572,	3,	1),
(119100,	8,	572,	1,	2),
(119101,	8,	572,	2,	2),
(119102,	8,	572,	3,	2),
(119103,	8,	573,	1,	1),
(119104,	8,	573,	2,	1),
(119105,	8,	573,	3,	1),
(119106,	8,	573,	1,	2),
(119107,	8,	573,	2,	2),
(119108,	8,	573,	3,	2),
(119109,	8,	574,	1,	1),
(119110,	8,	574,	2,	1),
(119111,	8,	574,	3,	1),
(119112,	8,	574,	1,	2),
(119113,	8,	574,	2,	2),
(119114,	8,	574,	3,	2),
(119115,	8,	581,	2,	1),
(119116,	8,	586,	2,	1),
(119117,	8,	590,	1,	1),
(119118,	8,	590,	2,	1),
(119119,	8,	590,	3,	1),
(119120,	8,	591,	1,	1),
(119121,	8,	591,	2,	1),
(119122,	8,	591,	3,	1),
(119123,	8,	591,	23,	1),
(119124,	8,	592,	1,	1),
(119125,	8,	592,	2,	1),
(119126,	8,	592,	3,	1),
(119127,	8,	593,	1,	1),
(119128,	8,	593,	2,	1),
(119129,	8,	593,	3,	1),
(119130,	8,	594,	1,	1),
(119131,	8,	594,	2,	1),
(119132,	8,	594,	3,	1),
(119133,	8,	595,	1,	1),
(119134,	8,	595,	2,	1),
(119135,	8,	595,	3,	1),
(119136,	8,	596,	1,	1),
(119137,	8,	596,	2,	1),
(119138,	8,	596,	3,	1),
(119139,	8,	597,	1,	1),
(119140,	8,	597,	2,	1),
(119141,	8,	597,	3,	1),
(119142,	8,	598,	1,	1),
(119143,	8,	598,	2,	1),
(119144,	8,	598,	3,	1),
(119145,	8,	598,	1,	2),
(119146,	8,	598,	2,	2),
(119147,	8,	598,	3,	2),
(119148,	8,	599,	1,	1),
(119149,	8,	599,	2,	1),
(119150,	8,	599,	3,	1),
(119151,	8,	600,	1,	1),
(119152,	8,	600,	2,	1),
(119153,	8,	600,	3,	1),
(119154,	8,	601,	1,	1),
(119155,	8,	601,	2,	1),
(119156,	8,	601,	3,	1),
(119157,	8,	602,	1,	1),
(119158,	8,	602,	2,	1),
(119159,	8,	602,	3,	1),
(119160,	8,	603,	1,	1),
(119161,	8,	603,	2,	1),
(119162,	8,	603,	3,	1),
(119163,	8,	603,	1,	2),
(119164,	8,	603,	2,	2),
(119165,	8,	603,	3,	2),
(119166,	8,	604,	1,	1),
(119167,	8,	604,	2,	1),
(119168,	8,	604,	3,	1),
(119169,	8,	605,	1,	1),
(119170,	8,	605,	2,	1),
(119171,	8,	605,	3,	1),
(119172,	8,	605,	1,	2),
(119173,	8,	605,	2,	2),
(119174,	8,	605,	3,	2),
(119175,	8,	606,	1,	1),
(119176,	8,	606,	2,	1),
(119177,	8,	606,	3,	1),
(119178,	8,	606,	1,	2),
(119179,	8,	606,	2,	2),
(119180,	8,	606,	3,	2),
(119181,	8,	607,	1,	1),
(119182,	8,	607,	2,	1),
(119183,	8,	607,	3,	1),
(119184,	8,	608,	1,	1),
(119185,	8,	608,	2,	1),
(119186,	8,	608,	3,	1),
(119187,	8,	609,	1,	1),
(119188,	8,	609,	2,	1),
(119189,	8,	609,	3,	1),
(119190,	8,	610,	1,	1),
(119191,	8,	610,	2,	1),
(119192,	8,	610,	3,	1),
(119193,	8,	611,	1,	1),
(119194,	8,	611,	2,	1),
(119195,	8,	611,	3,	1),
(119196,	8,	612,	1,	1),
(119197,	8,	612,	2,	1),
(119198,	8,	612,	3,	1),
(119199,	8,	613,	1,	1),
(119200,	8,	613,	2,	1),
(119201,	8,	613,	3,	1),
(119202,	8,	614,	1,	1),
(119203,	8,	614,	2,	1),
(119204,	8,	614,	3,	1),
(119205,	8,	614,	1,	2),
(119206,	8,	614,	2,	2),
(119207,	8,	614,	3,	2),
(119208,	8,	615,	1,	1),
(119209,	8,	615,	2,	1),
(119210,	8,	615,	3,	1),
(119211,	8,	615,	1,	2),
(119212,	8,	615,	2,	2),
(119213,	8,	615,	3,	2),
(119214,	8,	616,	1,	1),
(119215,	8,	616,	2,	1),
(119216,	8,	616,	3,	1),
(119217,	8,	616,	1,	2),
(119218,	8,	616,	2,	2),
(119219,	8,	616,	3,	2),
(119220,	8,	617,	1,	1),
(119221,	8,	617,	2,	1),
(119222,	8,	617,	3,	1),
(119223,	8,	617,	1,	2),
(119224,	8,	617,	2,	2),
(119225,	8,	617,	3,	2),
(119226,	8,	618,	1,	1),
(119227,	8,	618,	2,	1),
(119228,	8,	618,	3,	1),
(119229,	8,	618,	1,	2),
(119230,	8,	618,	2,	2),
(119231,	8,	618,	3,	2),
(119232,	8,	619,	1,	1),
(119233,	8,	619,	2,	1),
(119234,	8,	619,	3,	1),
(119235,	8,	620,	1,	1),
(119236,	8,	620,	2,	1),
(119237,	8,	620,	3,	1),
(119238,	8,	620,	1,	2),
(119239,	8,	620,	2,	2),
(119240,	8,	620,	3,	2),
(119241,	8,	621,	1,	1),
(119242,	8,	621,	2,	1),
(119243,	8,	621,	3,	1),
(119244,	8,	621,	1,	2),
(119245,	8,	621,	2,	2),
(119246,	8,	621,	3,	2),
(119247,	8,	622,	1,	1),
(119248,	8,	622,	2,	1),
(119249,	8,	622,	3,	1),
(119250,	8,	622,	1,	2),
(119251,	8,	622,	2,	2),
(119252,	8,	622,	3,	2),
(119253,	8,	623,	1,	1),
(119254,	8,	623,	2,	1),
(119255,	8,	623,	3,	1),
(119256,	8,	623,	1,	2),
(119257,	8,	623,	2,	2),
(119258,	8,	623,	3,	2),
(119259,	8,	624,	1,	1),
(119260,	8,	624,	2,	1),
(119261,	8,	624,	3,	1),
(119262,	8,	624,	1,	2),
(119263,	8,	624,	2,	2),
(119264,	8,	624,	3,	2),
(119265,	8,	625,	1,	1),
(119266,	8,	625,	2,	1),
(119267,	8,	625,	3,	1),
(119268,	8,	625,	1,	2),
(119269,	8,	625,	2,	2),
(119270,	8,	625,	3,	2),
(119271,	8,	626,	1,	1),
(119272,	8,	626,	2,	1),
(119273,	8,	626,	3,	1),
(119274,	8,	627,	1,	1),
(119275,	8,	627,	2,	1),
(119276,	8,	627,	3,	1),
(119277,	8,	627,	1,	2),
(119278,	8,	627,	2,	2),
(119279,	8,	627,	3,	2),
(119280,	8,	628,	1,	1),
(119281,	8,	628,	2,	1),
(119282,	8,	628,	3,	1),
(119283,	8,	628,	1,	2),
(119284,	8,	628,	2,	2),
(119285,	8,	628,	3,	2),
(119286,	8,	629,	1,	1),
(119287,	8,	629,	2,	1),
(119288,	8,	629,	3,	1),
(119289,	8,	629,	1,	2),
(119290,	8,	629,	2,	2),
(119291,	8,	629,	3,	2),
(119292,	8,	630,	1,	1),
(119293,	8,	630,	2,	1),
(119294,	8,	630,	3,	1),
(119295,	8,	630,	1,	2),
(119296,	8,	630,	2,	2),
(119297,	8,	630,	3,	2),
(119298,	8,	631,	1,	1),
(119299,	8,	631,	2,	1),
(119300,	8,	631,	3,	1),
(119301,	8,	631,	1,	2),
(119302,	8,	631,	2,	2),
(119303,	8,	631,	3,	2),
(119304,	8,	632,	1,	1),
(119305,	8,	632,	2,	1),
(119306,	8,	632,	3,	1),
(119307,	8,	632,	24,	1),
(119308,	8,	632,	4,	1),
(119309,	8,	632,	32,	1),
(119310,	8,	632,	47,	1),
(119311,	8,	632,	48,	1),
(119312,	8,	633,	1,	1),
(119313,	8,	633,	2,	1),
(119314,	8,	633,	3,	1),
(119315,	8,	634,	1,	1),
(119316,	8,	634,	2,	1),
(119317,	8,	634,	3,	1),
(119318,	8,	634,	5,	1),
(119319,	8,	634,	29,	1),
(119320,	8,	635,	1,	1),
(119321,	8,	635,	2,	1),
(119322,	8,	635,	3,	1),
(119323,	8,	635,	23,	1),
(119324,	8,	636,	1,	1),
(119325,	8,	636,	2,	1),
(119326,	8,	636,	3,	1),
(119327,	8,	636,	1,	2),
(119328,	8,	636,	2,	2),
(119329,	8,	636,	3,	2),
(119330,	8,	637,	1,	1),
(119331,	8,	637,	2,	1),
(119332,	8,	637,	3,	1),
(119333,	8,	637,	23,	1),
(119334,	8,	637,	1,	2),
(119335,	8,	637,	2,	2),
(119336,	8,	637,	3,	2),
(119337,	8,	637,	23,	2),
(119338,	8,	638,	1,	1),
(119339,	8,	638,	2,	1),
(119340,	8,	638,	3,	1),
(119341,	8,	638,	23,	1),
(119342,	8,	638,	1,	2),
(119343,	8,	638,	2,	2),
(119344,	8,	638,	3,	2),
(119345,	8,	638,	23,	2),
(119346,	8,	639,	2,	1),
(119347,	8,	640,	1,	1),
(119348,	8,	640,	2,	1),
(119349,	8,	640,	3,	1),
(119350,	8,	641,	1,	1),
(119351,	8,	641,	2,	1),
(119352,	8,	641,	3,	1),
(119353,	8,	641,	1,	2),
(119354,	8,	641,	2,	2),
(119355,	8,	641,	3,	2),
(119356,	8,	642,	1,	1),
(119357,	8,	642,	2,	1),
(119358,	8,	642,	3,	1),
(119359,	8,	642,	1,	2),
(119360,	8,	642,	2,	2),
(119361,	8,	642,	3,	2),
(119362,	8,	643,	1,	1),
(119363,	8,	643,	2,	1),
(119364,	8,	643,	3,	1),
(119365,	8,	645,	1,	1),
(119366,	8,	645,	2,	1),
(119367,	8,	645,	3,	1),
(119368,	8,	646,	1,	1),
(119369,	8,	646,	2,	1),
(119370,	8,	646,	3,	1),
(119371,	8,	646,	1,	2),
(119372,	8,	646,	2,	2),
(119373,	8,	646,	3,	2),
(119374,	8,	647,	1,	1),
(119375,	8,	647,	2,	1),
(119376,	8,	647,	3,	1),
(119377,	8,	647,	1,	2),
(119378,	8,	647,	2,	2),
(119379,	8,	647,	3,	2),
(119380,	8,	648,	1,	1),
(119381,	8,	648,	2,	1),
(119382,	8,	648,	3,	1),
(119383,	8,	648,	1,	2),
(119384,	8,	648,	2,	2),
(119385,	8,	648,	3,	2),
(119386,	8,	649,	1,	1),
(119387,	8,	649,	2,	1),
(119388,	8,	649,	3,	1),
(119389,	8,	649,	1,	2),
(119390,	8,	649,	2,	2),
(119391,	8,	649,	3,	2),
(119392,	8,	650,	1,	1),
(119393,	8,	650,	2,	1),
(119394,	8,	650,	3,	1),
(119395,	8,	651,	1,	1),
(119396,	8,	651,	2,	1),
(119397,	8,	651,	3,	1),
(119398,	8,	651,	1,	2),
(119399,	8,	651,	2,	2),
(119400,	8,	651,	3,	2),
(119401,	8,	652,	1,	1),
(119402,	8,	652,	2,	1),
(119403,	8,	652,	3,	1),
(119404,	8,	653,	1,	1),
(119405,	8,	653,	2,	1),
(119406,	8,	653,	3,	1),
(119407,	8,	654,	1,	1),
(119408,	8,	654,	2,	1),
(119409,	8,	654,	3,	1),
(119410,	8,	655,	1,	1),
(119411,	8,	655,	2,	1),
(119412,	8,	655,	3,	1),
(119413,	8,	656,	1,	1),
(119414,	8,	656,	2,	1),
(119415,	8,	656,	3,	1),
(119416,	8,	657,	1,	1),
(119417,	8,	657,	2,	1),
(119418,	8,	657,	3,	1),
(119419,	8,	658,	1,	1),
(119420,	8,	658,	2,	1),
(119421,	8,	658,	3,	1),
(119422,	8,	658,	23,	1),
(119423,	8,	659,	1,	1),
(119424,	8,	659,	2,	1),
(119425,	8,	659,	3,	1),
(119426,	8,	660,	1,	1),
(119427,	8,	660,	2,	1),
(119428,	8,	660,	3,	1),
(119429,	8,	661,	1,	1),
(119430,	8,	661,	2,	1),
(119431,	8,	661,	3,	1),
(119432,	8,	662,	1,	1),
(119433,	8,	662,	2,	1),
(119434,	8,	662,	3,	1),
(119435,	8,	663,	1,	1),
(119436,	8,	663,	2,	1),
(119437,	8,	663,	3,	1),
(119438,	8,	664,	1,	1),
(119439,	8,	664,	2,	1),
(119440,	8,	664,	3,	1),
(119441,	8,	665,	1,	1),
(119442,	8,	665,	2,	1),
(119443,	8,	665,	3,	1),
(119444,	8,	666,	1,	1),
(119445,	8,	666,	2,	1),
(119446,	8,	666,	3,	1),
(119447,	8,	667,	1,	1),
(119448,	8,	667,	2,	1),
(119449,	8,	667,	3,	1),
(119450,	8,	667,	23,	1),
(119451,	8,	667,	1,	2),
(119452,	8,	667,	2,	2),
(119453,	8,	667,	3,	2),
(119454,	8,	667,	23,	2),
(119455,	8,	668,	1,	1),
(119456,	8,	668,	2,	1),
(119457,	8,	668,	3,	1),
(119458,	8,	668,	23,	1),
(119459,	8,	669,	1,	1),
(119460,	8,	669,	2,	1),
(119461,	8,	669,	3,	1),
(119462,	8,	669,	23,	1),
(119463,	8,	670,	1,	1),
(119464,	8,	670,	2,	1),
(119465,	8,	670,	3,	1),
(119466,	8,	670,	23,	1),
(119467,	8,	671,	1,	1),
(119468,	8,	671,	2,	1),
(119469,	8,	671,	3,	1),
(119470,	8,	671,	23,	1),
(119471,	8,	671,	6,	1),
(119472,	8,	671,	24,	1),
(119473,	8,	671,	25,	1),
(119474,	8,	671,	4,	1),
(119475,	8,	671,	5,	1),
(119476,	8,	671,	26,	1),
(119477,	8,	671,	1,	3),
(119478,	8,	671,	2,	3),
(119479,	8,	671,	3,	3),
(119480,	8,	671,	23,	3),
(119481,	8,	671,	6,	3),
(119482,	8,	671,	24,	3),
(119483,	8,	671,	25,	3),
(119484,	8,	671,	4,	3),
(119485,	8,	671,	5,	3),
(119486,	8,	671,	26,	3),
(119487,	8,	672,	1,	1),
(119488,	8,	672,	2,	1),
(119489,	8,	672,	3,	1),
(119490,	8,	673,	1,	1),
(119491,	8,	673,	2,	1),
(119492,	8,	673,	3,	1),
(119493,	8,	673,	23,	1),
(119494,	8,	673,	6,	1),
(119495,	8,	673,	24,	1),
(119496,	8,	673,	25,	1),
(119497,	8,	673,	4,	1),
(119498,	8,	673,	5,	1),
(119499,	8,	673,	26,	1),
(119500,	8,	673,	1,	3),
(119501,	8,	673,	2,	3),
(119502,	8,	673,	3,	3),
(119503,	8,	673,	23,	3),
(119504,	8,	673,	6,	3),
(119505,	8,	673,	24,	3),
(119506,	8,	673,	25,	3),
(119507,	8,	673,	4,	3),
(119508,	8,	673,	5,	3),
(119509,	8,	673,	26,	3),
(119510,	8,	674,	1,	1),
(119511,	8,	674,	2,	1),
(119512,	8,	674,	3,	1),
(119513,	8,	674,	23,	1),
(119514,	8,	674,	6,	1),
(119515,	8,	674,	24,	1),
(119516,	8,	674,	25,	1),
(119517,	8,	674,	4,	1),
(119518,	8,	674,	5,	1),
(119519,	8,	674,	26,	1),
(119520,	8,	674,	1,	3),
(119521,	8,	674,	2,	3),
(119522,	8,	674,	3,	3),
(119523,	8,	674,	23,	3),
(119524,	8,	674,	6,	3),
(119525,	8,	674,	24,	3),
(119526,	8,	674,	25,	3),
(119527,	8,	674,	4,	3),
(119528,	8,	674,	5,	3),
(119529,	8,	674,	26,	3),
(119530,	8,	675,	1,	1),
(119531,	8,	675,	2,	1),
(119532,	8,	675,	3,	1),
(119533,	8,	676,	1,	1),
(119534,	8,	676,	2,	1),
(119535,	8,	676,	3,	1),
(119536,	8,	676,	23,	1),
(119537,	8,	676,	1,	3),
(119538,	8,	676,	2,	3),
(119539,	8,	676,	3,	3),
(119540,	8,	676,	23,	3),
(119541,	8,	677,	1,	1),
(119542,	8,	677,	2,	1),
(119543,	8,	677,	3,	1),
(119544,	8,	678,	1,	1),
(119545,	8,	678,	2,	1),
(119546,	8,	678,	3,	1),
(119547,	8,	679,	1,	1),
(119548,	8,	679,	2,	1),
(119549,	8,	679,	3,	1),
(119550,	8,	680,	1,	1),
(119551,	8,	680,	2,	1),
(119552,	8,	680,	3,	1),
(119553,	8,	680,	6,	1),
(119554,	8,	680,	24,	1),
(119555,	8,	680,	25,	1),
(119556,	8,	680,	4,	1),
(119557,	8,	680,	5,	1),
(119558,	8,	680,	26,	1),
(119559,	8,	680,	1,	3),
(119560,	8,	680,	2,	3),
(119561,	8,	680,	3,	3),
(119562,	8,	680,	6,	3),
(119563,	8,	680,	24,	3),
(119564,	8,	680,	25,	3),
(119565,	8,	680,	4,	3),
(119566,	8,	680,	5,	3),
(119567,	8,	680,	26,	3),
(119568,	8,	681,	1,	1),
(119569,	8,	681,	2,	1),
(119570,	8,	681,	3,	1),
(119571,	8,	681,	23,	1),
(119572,	8,	681,	6,	1),
(119573,	8,	681,	24,	1),
(119574,	8,	681,	25,	1),
(119575,	8,	681,	4,	1),
(119576,	8,	681,	5,	1),
(119577,	8,	681,	26,	1),
(119578,	8,	681,	28,	1),
(119579,	8,	682,	1,	1),
(119580,	8,	682,	2,	1),
(119581,	8,	682,	3,	1),
(119582,	8,	682,	23,	1),
(119583,	8,	682,	6,	1),
(119584,	8,	682,	24,	1),
(119585,	8,	682,	25,	1),
(119586,	8,	682,	4,	1),
(119587,	8,	682,	5,	1),
(119588,	8,	682,	26,	1),
(119589,	8,	682,	1,	3),
(119590,	8,	682,	2,	3),
(119591,	8,	682,	3,	3),
(119592,	8,	682,	23,	3),
(119593,	8,	682,	6,	3),
(119594,	8,	682,	24,	3),
(119595,	8,	682,	25,	3),
(119596,	8,	682,	4,	3),
(119597,	8,	682,	5,	3),
(119598,	8,	682,	26,	3),
(119599,	8,	683,	1,	1),
(119600,	8,	683,	2,	1),
(119601,	8,	683,	3,	1),
(119602,	8,	683,	23,	1),
(119603,	8,	684,	1,	1),
(119604,	8,	684,	2,	1),
(119605,	8,	684,	3,	1),
(119606,	8,	684,	23,	1),
(119607,	8,	684,	6,	1),
(119608,	8,	684,	24,	1),
(119609,	8,	684,	25,	1),
(119610,	8,	684,	4,	1),
(119611,	8,	684,	5,	1),
(119612,	8,	684,	26,	1),
(119613,	8,	684,	1,	3),
(119614,	8,	684,	2,	3),
(119615,	8,	684,	3,	3),
(119616,	8,	684,	23,	3),
(119617,	8,	684,	6,	3),
(119618,	8,	684,	24,	3),
(119619,	8,	684,	25,	3),
(119620,	8,	684,	4,	3),
(119621,	8,	684,	5,	3),
(119622,	8,	684,	26,	3),
(119623,	8,	685,	1,	1),
(119624,	8,	685,	2,	1),
(119625,	8,	685,	3,	1),
(119626,	8,	685,	23,	1),
(119627,	8,	685,	6,	1),
(119628,	8,	685,	24,	1),
(119629,	8,	685,	25,	1),
(119630,	8,	685,	4,	1),
(119631,	8,	685,	5,	1),
(119632,	8,	685,	26,	1),
(119633,	8,	685,	1,	3),
(119634,	8,	685,	2,	3),
(119635,	8,	685,	3,	3),
(119636,	8,	685,	23,	3),
(119637,	8,	685,	6,	3),
(119638,	8,	685,	24,	3),
(119639,	8,	685,	25,	3),
(119640,	8,	685,	4,	3),
(119641,	8,	685,	5,	3),
(119642,	8,	685,	26,	3),
(119643,	8,	686,	1,	1),
(119644,	8,	686,	2,	1),
(119645,	8,	686,	3,	1),
(119646,	8,	687,	1,	1),
(119647,	8,	687,	2,	1),
(119648,	8,	687,	3,	1),
(119649,	8,	687,	23,	1),
(119650,	8,	687,	6,	1),
(119651,	8,	687,	24,	1),
(119652,	8,	687,	25,	1),
(119653,	8,	687,	4,	1),
(119654,	8,	687,	5,	1),
(119655,	8,	687,	26,	1),
(119656,	8,	687,	1,	3),
(119657,	8,	687,	2,	3),
(119658,	8,	687,	3,	3),
(119659,	8,	687,	23,	3),
(119660,	8,	687,	6,	3),
(119661,	8,	687,	24,	3),
(119662,	8,	687,	25,	3),
(119663,	8,	687,	4,	3),
(119664,	8,	687,	5,	3),
(119665,	8,	687,	26,	3),
(119666,	8,	688,	1,	1),
(119667,	8,	688,	2,	1),
(119668,	8,	688,	3,	1),
(119669,	8,	688,	23,	1),
(119670,	8,	688,	6,	1),
(119671,	8,	688,	24,	1),
(119672,	8,	688,	25,	1),
(119673,	8,	688,	4,	1),
(119674,	8,	688,	5,	1),
(119675,	8,	688,	26,	1),
(119676,	8,	688,	1,	3),
(119677,	8,	688,	2,	3),
(119678,	8,	688,	3,	3),
(119679,	8,	688,	23,	3),
(119680,	8,	688,	6,	3),
(119681,	8,	688,	24,	3),
(119682,	8,	688,	25,	3),
(119683,	8,	688,	4,	3),
(119684,	8,	688,	5,	3),
(119685,	8,	688,	26,	3),
(119686,	8,	689,	1,	1),
(119687,	8,	689,	2,	1),
(119688,	8,	689,	3,	1),
(119689,	8,	689,	1,	3),
(119690,	8,	689,	2,	3),
(119691,	8,	689,	3,	3),
(119692,	8,	690,	1,	1),
(119693,	8,	690,	2,	1),
(119694,	8,	690,	3,	1),
(119695,	8,	690,	23,	1),
(119696,	8,	690,	6,	1),
(119697,	8,	690,	24,	1),
(119698,	8,	690,	25,	1),
(119699,	8,	690,	4,	1),
(119700,	8,	690,	5,	1),
(119701,	8,	690,	26,	1),
(119702,	8,	690,	1,	3),
(119703,	8,	690,	2,	3),
(119704,	8,	690,	3,	3),
(119705,	8,	690,	23,	3),
(119706,	8,	690,	6,	3),
(119707,	8,	690,	24,	3),
(119708,	8,	690,	25,	3),
(119709,	8,	690,	4,	3),
(119710,	8,	690,	5,	3),
(119711,	8,	690,	26,	3),
(119712,	8,	691,	1,	1),
(119713,	8,	691,	2,	1),
(119714,	8,	691,	3,	1),
(119715,	8,	692,	1,	1),
(119716,	8,	692,	2,	1),
(119717,	8,	692,	3,	1),
(119718,	8,	692,	23,	1),
(119719,	8,	692,	6,	1),
(119720,	8,	692,	24,	1),
(119721,	8,	692,	25,	1),
(119722,	8,	692,	4,	1),
(119723,	8,	692,	5,	1),
(119724,	8,	692,	26,	1),
(119725,	8,	692,	1,	3),
(119726,	8,	692,	2,	3),
(119727,	8,	692,	3,	3),
(119728,	8,	692,	23,	3),
(119729,	8,	692,	6,	3),
(119730,	8,	692,	24,	3),
(119731,	8,	692,	25,	3),
(119732,	8,	692,	4,	3),
(119733,	8,	692,	5,	3),
(119734,	8,	692,	26,	3),
(119735,	8,	693,	1,	1),
(119736,	8,	693,	2,	1),
(119737,	8,	693,	3,	1),
(119738,	8,	693,	1,	3),
(119739,	8,	693,	2,	3),
(119740,	8,	693,	3,	3),
(119741,	8,	694,	1,	1),
(119742,	8,	694,	2,	1),
(119743,	8,	694,	3,	1),
(119744,	8,	694,	23,	1),
(119745,	8,	694,	6,	1),
(119746,	8,	694,	24,	1),
(119747,	8,	694,	25,	1),
(119748,	8,	694,	4,	1),
(119749,	8,	694,	5,	1),
(119750,	8,	694,	26,	1),
(119751,	8,	694,	1,	3),
(119752,	8,	694,	2,	3),
(119753,	8,	694,	3,	3),
(119754,	8,	694,	23,	3),
(119755,	8,	694,	6,	3),
(119756,	8,	694,	24,	3),
(119757,	8,	694,	25,	3),
(119758,	8,	694,	4,	3),
(119759,	8,	694,	5,	3),
(119760,	8,	694,	26,	3),
(119761,	8,	695,	1,	1),
(119762,	8,	695,	2,	1),
(119763,	8,	695,	3,	1),
(119764,	8,	695,	1,	2),
(119765,	8,	695,	2,	2),
(119766,	8,	695,	3,	2),
(119767,	8,	696,	1,	1),
(119768,	8,	696,	2,	1),
(119769,	8,	696,	3,	1),
(119770,	8,	696,	23,	1),
(119771,	8,	696,	6,	1),
(119772,	8,	696,	24,	1),
(119773,	8,	696,	25,	1),
(119774,	8,	696,	4,	1),
(119775,	8,	696,	5,	1),
(119776,	8,	696,	26,	1),
(119777,	8,	696,	1,	3),
(119778,	8,	696,	2,	3),
(119779,	8,	696,	3,	3),
(119780,	8,	696,	23,	3),
(119781,	8,	696,	6,	3),
(119782,	8,	696,	24,	3),
(119783,	8,	696,	25,	3),
(119784,	8,	696,	4,	3),
(119785,	8,	696,	5,	3),
(119786,	8,	696,	26,	3),
(119787,	8,	697,	1,	1),
(119788,	8,	697,	2,	1),
(119789,	8,	697,	3,	1),
(119790,	8,	697,	23,	1),
(119791,	8,	697,	6,	1),
(119792,	8,	697,	24,	1),
(119793,	8,	697,	25,	1),
(119794,	8,	697,	4,	1),
(119795,	8,	697,	5,	1),
(119796,	8,	697,	26,	1),
(119797,	8,	697,	1,	3),
(119798,	8,	697,	2,	3),
(119799,	8,	697,	3,	3),
(119800,	8,	697,	23,	3),
(119801,	8,	697,	6,	3),
(119802,	8,	697,	24,	3),
(119803,	8,	697,	25,	3),
(119804,	8,	697,	4,	3),
(119805,	8,	697,	5,	3),
(119806,	8,	697,	26,	3),
(119807,	8,	698,	1,	1),
(119808,	8,	698,	2,	1),
(119809,	8,	698,	3,	1),
(119810,	8,	698,	23,	1),
(119811,	8,	698,	6,	1),
(119812,	8,	698,	24,	1),
(119813,	8,	698,	25,	1),
(119814,	8,	698,	4,	1),
(119815,	8,	698,	5,	1),
(119816,	8,	698,	26,	1),
(119817,	8,	698,	1,	3),
(119818,	8,	698,	2,	3),
(119819,	8,	698,	3,	3),
(119820,	8,	698,	23,	3),
(119821,	8,	698,	6,	3),
(119822,	8,	698,	24,	3),
(119823,	8,	698,	25,	3),
(119824,	8,	698,	4,	3),
(119825,	8,	698,	5,	3),
(119826,	8,	698,	26,	3),
(119827,	8,	699,	1,	1),
(119828,	8,	699,	2,	1),
(119829,	8,	699,	3,	1),
(119830,	8,	700,	1,	1),
(119831,	8,	700,	2,	1),
(119832,	8,	700,	3,	1),
(119833,	8,	701,	1,	1),
(119834,	8,	701,	2,	1),
(119835,	8,	701,	3,	1),
(119836,	8,	702,	1,	1),
(119837,	8,	702,	2,	1),
(119838,	8,	702,	3,	1),
(119839,	8,	703,	1,	1),
(119840,	8,	703,	2,	1),
(119841,	8,	703,	3,	1),
(119842,	8,	703,	23,	1),
(119843,	8,	703,	6,	1),
(119844,	8,	703,	24,	1),
(119845,	8,	703,	25,	1),
(119846,	8,	703,	4,	1),
(119847,	8,	703,	5,	1),
(119848,	8,	703,	26,	1),
(119849,	8,	703,	1,	3),
(119850,	8,	703,	2,	3),
(119851,	8,	703,	3,	3),
(119852,	8,	703,	23,	3),
(119853,	8,	703,	6,	3),
(119854,	8,	703,	24,	3),
(119855,	8,	703,	25,	3),
(119856,	8,	703,	4,	3),
(119857,	8,	703,	5,	3),
(119858,	8,	703,	26,	3),
(119859,	8,	704,	1,	1),
(119860,	8,	704,	2,	1),
(119861,	8,	704,	3,	1),
(119862,	8,	704,	23,	1),
(119863,	8,	704,	6,	1),
(119864,	8,	704,	24,	1),
(119865,	8,	704,	25,	1),
(119866,	8,	704,	4,	1),
(119867,	8,	704,	5,	1),
(119868,	8,	704,	26,	1),
(119869,	8,	705,	1,	1),
(119870,	8,	705,	2,	1),
(119871,	8,	705,	3,	1),
(119872,	8,	706,	1,	1),
(119873,	8,	706,	2,	1),
(119874,	8,	706,	3,	1),
(119875,	8,	707,	1,	1),
(119876,	8,	707,	2,	1),
(119877,	8,	707,	3,	1),
(119878,	8,	708,	1,	1),
(119879,	8,	708,	2,	1),
(119880,	8,	708,	3,	1),
(119881,	8,	709,	1,	1),
(119882,	8,	709,	2,	1),
(119883,	8,	709,	3,	1),
(119884,	8,	709,	23,	1),
(119885,	8,	709,	6,	1),
(119886,	8,	709,	24,	1),
(119887,	8,	709,	25,	1),
(119888,	8,	709,	4,	1),
(119889,	8,	709,	5,	1),
(119890,	8,	709,	26,	1),
(119891,	8,	709,	1,	3),
(119892,	8,	709,	2,	3),
(119893,	8,	709,	3,	3),
(119894,	8,	709,	23,	3),
(119895,	8,	709,	6,	3),
(119896,	8,	709,	24,	3),
(119897,	8,	709,	25,	3),
(119898,	8,	709,	4,	3),
(119899,	8,	709,	5,	3),
(119900,	8,	709,	26,	3),
(119901,	8,	710,	1,	1),
(119902,	8,	710,	2,	1),
(119903,	8,	710,	3,	1),
(119904,	8,	711,	1,	1),
(119905,	8,	711,	2,	1),
(119906,	8,	711,	3,	1),
(119907,	8,	711,	23,	1),
(119908,	8,	711,	6,	1),
(119909,	8,	711,	24,	1),
(119910,	8,	711,	25,	1),
(119911,	8,	711,	4,	1),
(119912,	8,	711,	5,	1),
(119913,	8,	711,	26,	1),
(119914,	8,	711,	1,	3),
(119915,	8,	711,	2,	3),
(119916,	8,	711,	3,	3),
(119917,	8,	711,	23,	3),
(119918,	8,	711,	6,	3),
(119919,	8,	711,	24,	3),
(119920,	8,	711,	25,	3),
(119921,	8,	711,	4,	3),
(119922,	8,	711,	5,	3),
(119923,	8,	711,	26,	3),
(119924,	8,	712,	1,	1),
(119925,	8,	712,	2,	1),
(119926,	8,	712,	3,	1),
(119927,	8,	713,	1,	1),
(119928,	8,	713,	2,	1),
(119929,	8,	713,	3,	1),
(119930,	8,	713,	1,	2),
(119931,	8,	713,	2,	2),
(119932,	8,	713,	3,	2),
(119933,	8,	714,	1,	1),
(119934,	8,	714,	2,	1),
(119935,	8,	714,	3,	1),
(119936,	8,	715,	1,	1),
(119937,	8,	715,	2,	1),
(119938,	8,	715,	3,	1),
(119939,	8,	716,	1,	1),
(119940,	8,	716,	2,	1),
(119941,	8,	716,	3,	1),
(119942,	8,	716,	23,	1),
(119943,	8,	716,	1,	3),
(119944,	8,	716,	2,	3),
(119945,	8,	716,	3,	3),
(119946,	8,	716,	23,	3),
(119947,	8,	717,	1,	1),
(119948,	8,	717,	2,	1),
(119949,	8,	717,	3,	1),
(119950,	8,	717,	23,	1),
(119951,	8,	717,	6,	1),
(119952,	8,	717,	24,	1),
(119953,	8,	717,	25,	1),
(119954,	8,	717,	4,	1),
(119955,	8,	717,	5,	1),
(119956,	8,	717,	26,	1),
(119957,	8,	717,	1,	3),
(119958,	8,	717,	2,	3),
(119959,	8,	717,	3,	3),
(119960,	8,	717,	23,	3),
(119961,	8,	717,	6,	3),
(119962,	8,	717,	24,	3),
(119963,	8,	717,	25,	3),
(119964,	8,	717,	4,	3),
(119965,	8,	717,	5,	3),
(119966,	8,	717,	26,	3),
(119967,	8,	718,	1,	1),
(119968,	8,	718,	2,	1),
(119969,	8,	718,	3,	1),
(119970,	8,	718,	23,	1),
(119971,	8,	719,	1,	1),
(119972,	8,	719,	2,	1),
(119973,	8,	719,	3,	1),
(119974,	8,	719,	23,	1),
(119975,	8,	719,	6,	1),
(119976,	8,	719,	24,	1),
(119977,	8,	719,	25,	1),
(119978,	8,	719,	4,	1),
(119979,	8,	719,	5,	1),
(119980,	8,	719,	26,	1),
(119981,	8,	719,	1,	3),
(119982,	8,	719,	2,	3),
(119983,	8,	719,	3,	3),
(119984,	8,	719,	23,	3),
(119985,	8,	719,	6,	3),
(119986,	8,	719,	24,	3),
(119987,	8,	719,	25,	3),
(119988,	8,	719,	4,	3),
(119989,	8,	719,	5,	3),
(119990,	8,	719,	26,	3),
(119991,	8,	720,	1,	1),
(119992,	8,	720,	2,	1),
(119993,	8,	720,	3,	1),
(119994,	8,	721,	1,	1),
(119995,	8,	721,	2,	1),
(119996,	8,	721,	3,	1),
(119997,	8,	721,	23,	1),
(119998,	8,	721,	1,	3),
(119999,	8,	721,	2,	3),
(120000,	8,	721,	3,	3),
(120001,	8,	721,	23,	3),
(120002,	8,	722,	1,	1),
(120003,	8,	722,	2,	1),
(120004,	8,	722,	3,	1),
(120005,	8,	722,	23,	1),
(120006,	8,	722,	6,	1),
(120007,	8,	722,	24,	1),
(120008,	8,	722,	25,	1),
(120009,	8,	722,	4,	1),
(120010,	8,	722,	5,	1),
(120011,	8,	722,	26,	1),
(120012,	8,	722,	1,	3),
(120013,	8,	722,	2,	3),
(120014,	8,	722,	3,	3),
(120015,	8,	722,	23,	3),
(120016,	8,	722,	6,	3),
(120017,	8,	722,	24,	3),
(120018,	8,	722,	25,	3),
(120019,	8,	722,	4,	3),
(120020,	8,	722,	5,	3),
(120021,	8,	722,	26,	3),
(120022,	8,	723,	1,	1),
(120023,	8,	723,	2,	1),
(120024,	8,	723,	3,	1),
(120025,	8,	723,	23,	1),
(120026,	8,	724,	1,	1),
(120027,	8,	724,	2,	1),
(120028,	8,	724,	3,	1),
(120029,	8,	724,	23,	1),
(120030,	8,	724,	6,	1),
(120031,	8,	724,	24,	1),
(120032,	8,	724,	25,	1),
(120033,	8,	724,	4,	1),
(120034,	8,	724,	5,	1),
(120035,	8,	724,	26,	1),
(120036,	8,	724,	1,	3),
(120037,	8,	724,	2,	3),
(120038,	8,	724,	3,	3),
(120039,	8,	724,	23,	3),
(120040,	8,	724,	6,	3),
(120041,	8,	724,	24,	3),
(120042,	8,	724,	25,	3),
(120043,	8,	724,	4,	3),
(120044,	8,	724,	5,	3),
(120045,	8,	724,	26,	3),
(120046,	8,	725,	1,	1),
(120047,	8,	725,	2,	1),
(120048,	8,	725,	3,	1),
(120049,	8,	726,	1,	1),
(120050,	8,	726,	2,	1),
(120051,	8,	726,	3,	1),
(120052,	8,	727,	1,	1),
(120053,	8,	727,	2,	1),
(120054,	8,	727,	3,	1),
(120055,	8,	728,	1,	1),
(120056,	8,	728,	2,	1),
(120057,	8,	728,	3,	1),
(120058,	8,	729,	1,	1),
(120059,	8,	729,	2,	1),
(120060,	8,	729,	3,	1),
(120061,	8,	730,	1,	1),
(120062,	8,	730,	2,	1),
(120063,	8,	730,	3,	1),
(120064,	8,	730,	23,	1),
(120065,	8,	730,	6,	1),
(120066,	8,	730,	24,	1),
(120067,	8,	730,	25,	1),
(120068,	8,	730,	4,	1),
(120069,	8,	730,	5,	1),
(120070,	8,	730,	26,	1),
(120071,	8,	730,	1,	3),
(120072,	8,	730,	2,	3),
(120073,	8,	730,	3,	3),
(120074,	8,	730,	23,	3),
(120075,	8,	730,	6,	3),
(120076,	8,	730,	24,	3),
(120077,	8,	730,	25,	3),
(120078,	8,	730,	4,	3),
(120079,	8,	730,	5,	3),
(120080,	8,	730,	26,	3),
(120081,	8,	731,	1,	1),
(120082,	8,	731,	2,	1),
(120083,	8,	731,	3,	1),
(120084,	8,	731,	23,	1),
(120085,	8,	731,	6,	1),
(120086,	8,	731,	24,	1),
(120087,	8,	731,	25,	1),
(120088,	8,	731,	4,	1),
(120089,	8,	731,	5,	1),
(120090,	8,	731,	26,	1),
(120091,	8,	731,	1,	3),
(120092,	8,	731,	2,	3),
(120093,	8,	731,	3,	3),
(120094,	8,	731,	23,	3),
(120095,	8,	731,	6,	3),
(120096,	8,	731,	24,	3),
(120097,	8,	731,	25,	3),
(120098,	8,	731,	4,	3),
(120099,	8,	731,	5,	3),
(120100,	8,	731,	26,	3),
(120101,	8,	732,	1,	1),
(120102,	8,	732,	2,	1),
(120103,	8,	732,	3,	1),
(120104,	8,	732,	23,	1),
(120105,	8,	733,	1,	1),
(120106,	8,	733,	2,	1),
(120107,	8,	733,	3,	1),
(120108,	8,	733,	23,	1),
(120109,	8,	733,	6,	1),
(120110,	8,	733,	24,	1),
(120111,	8,	733,	25,	1),
(120112,	8,	733,	4,	1),
(120113,	8,	733,	5,	1),
(120114,	8,	733,	26,	1),
(120115,	8,	733,	1,	3),
(120116,	8,	733,	2,	3),
(120117,	8,	733,	3,	3),
(120118,	8,	733,	23,	3),
(120119,	8,	733,	6,	3),
(120120,	8,	733,	24,	3),
(120121,	8,	733,	25,	3),
(120122,	8,	733,	4,	3),
(120123,	8,	733,	5,	3),
(120124,	8,	733,	26,	3),
(120125,	8,	734,	1,	1),
(120126,	8,	734,	2,	1),
(120127,	8,	734,	3,	1),
(120128,	8,	734,	23,	1),
(120129,	8,	734,	6,	1),
(120130,	8,	734,	24,	1),
(120131,	8,	734,	25,	1),
(120132,	8,	734,	4,	1),
(120133,	8,	734,	5,	1),
(120134,	8,	734,	26,	1),
(120135,	8,	734,	1,	3),
(120136,	8,	734,	2,	3),
(120137,	8,	734,	3,	3),
(120138,	8,	734,	23,	3),
(120139,	8,	734,	6,	3),
(120140,	8,	734,	24,	3),
(120141,	8,	734,	25,	3),
(120142,	8,	734,	4,	3),
(120143,	8,	734,	5,	3),
(120144,	8,	734,	26,	3),
(120145,	8,	735,	1,	1),
(120146,	8,	735,	2,	1),
(120147,	8,	735,	3,	1),
(120148,	8,	735,	23,	1),
(120149,	8,	736,	1,	1),
(120150,	8,	736,	2,	1),
(120151,	8,	736,	3,	1),
(120152,	8,	736,	23,	1),
(120153,	8,	736,	6,	1),
(120154,	8,	736,	24,	1),
(120155,	8,	736,	25,	1),
(120156,	8,	736,	4,	1),
(120157,	8,	736,	5,	1),
(120158,	8,	736,	26,	1),
(120159,	8,	736,	1,	3),
(120160,	8,	736,	2,	3),
(120161,	8,	736,	3,	3),
(120162,	8,	736,	23,	3),
(120163,	8,	736,	6,	3),
(120164,	8,	736,	24,	3),
(120165,	8,	736,	25,	3),
(120166,	8,	736,	4,	3),
(120167,	8,	736,	5,	3),
(120168,	8,	736,	26,	3),
(120169,	8,	737,	1,	1),
(120170,	8,	737,	2,	1),
(120171,	8,	737,	3,	1),
(120172,	8,	738,	1,	1),
(120173,	8,	738,	2,	1),
(120174,	8,	738,	3,	1),
(120175,	8,	739,	1,	1),
(120176,	8,	739,	2,	1),
(120177,	8,	739,	3,	1),
(120178,	8,	740,	1,	1),
(120179,	8,	740,	2,	1),
(120180,	8,	740,	3,	1),
(120181,	8,	740,	23,	1),
(120182,	8,	740,	6,	1),
(120183,	8,	740,	24,	1),
(120184,	8,	740,	25,	1),
(120185,	8,	740,	4,	1),
(120186,	8,	740,	5,	1),
(120187,	8,	740,	26,	1),
(120188,	8,	740,	1,	3),
(120189,	8,	740,	2,	3),
(120190,	8,	740,	3,	3),
(120191,	8,	740,	23,	3),
(120192,	8,	740,	6,	3),
(120193,	8,	740,	24,	3),
(120194,	8,	740,	25,	3),
(120195,	8,	740,	4,	3),
(120196,	8,	740,	5,	3),
(120197,	8,	740,	26,	3),
(120198,	8,	741,	1,	1),
(120199,	8,	741,	2,	1),
(120200,	8,	741,	3,	1),
(120201,	8,	741,	23,	1),
(120202,	8,	741,	6,	1),
(120203,	8,	741,	24,	1),
(120204,	8,	741,	25,	1),
(120205,	8,	741,	4,	1),
(120206,	8,	741,	5,	1),
(120207,	8,	741,	26,	1),
(120208,	8,	742,	1,	1),
(120209,	8,	742,	2,	1),
(120210,	8,	742,	3,	1),
(120211,	8,	743,	1,	1),
(120212,	8,	743,	2,	1),
(120213,	8,	743,	3,	1),
(120214,	8,	743,	23,	1),
(120215,	8,	743,	6,	1),
(120216,	8,	743,	24,	1),
(120217,	8,	743,	25,	1),
(120218,	8,	743,	4,	1),
(120219,	8,	743,	5,	1),
(120220,	8,	743,	26,	1),
(120221,	8,	743,	1,	3),
(120222,	8,	743,	2,	3),
(120223,	8,	743,	3,	3),
(120224,	8,	743,	23,	3),
(120225,	8,	743,	6,	3),
(120226,	8,	743,	24,	3),
(120227,	8,	743,	25,	3),
(120228,	8,	743,	4,	3),
(120229,	8,	743,	5,	3),
(120230,	8,	743,	26,	3),
(120231,	8,	744,	1,	1),
(120232,	8,	744,	2,	1),
(120233,	8,	744,	3,	1),
(120234,	8,	744,	23,	1),
(120235,	8,	744,	6,	1),
(120236,	8,	744,	24,	1),
(120237,	8,	744,	25,	1),
(120238,	8,	744,	4,	1),
(120239,	8,	744,	5,	1),
(120240,	8,	744,	26,	1),
(120241,	8,	744,	1,	3),
(120242,	8,	744,	2,	3),
(120243,	8,	744,	3,	3),
(120244,	8,	744,	23,	3),
(120245,	8,	744,	6,	3),
(120246,	8,	744,	24,	3),
(120247,	8,	744,	25,	3),
(120248,	8,	744,	4,	3),
(120249,	8,	744,	5,	3),
(120250,	8,	744,	26,	3),
(120251,	8,	745,	1,	1),
(120252,	8,	745,	2,	1),
(120253,	8,	745,	3,	1),
(120254,	8,	745,	23,	1),
(120255,	8,	745,	6,	1),
(120256,	8,	745,	5,	1),
(120257,	8,	746,	1,	1),
(120258,	8,	746,	2,	1),
(120259,	8,	746,	3,	1),
(120260,	8,	747,	1,	1),
(120261,	8,	747,	2,	1),
(120262,	8,	747,	3,	1),
(120263,	8,	747,	23,	1),
(120264,	8,	747,	6,	1),
(120265,	8,	747,	24,	1),
(120266,	8,	747,	25,	1),
(120267,	8,	747,	4,	1),
(120268,	8,	747,	5,	1),
(120269,	8,	747,	26,	1),
(120270,	8,	747,	1,	3),
(120271,	8,	747,	2,	3),
(120272,	8,	747,	3,	3),
(120273,	8,	747,	23,	3),
(120274,	8,	747,	6,	3),
(120275,	8,	747,	24,	3),
(120276,	8,	747,	25,	3),
(120277,	8,	747,	4,	3),
(120278,	8,	747,	5,	3),
(120279,	8,	747,	26,	3),
(120280,	8,	748,	1,	1),
(120281,	8,	748,	2,	1),
(120282,	8,	748,	3,	1),
(120283,	8,	748,	23,	1),
(120284,	8,	748,	6,	1),
(120285,	8,	748,	24,	1),
(120286,	8,	748,	25,	1),
(120287,	8,	748,	4,	1),
(120288,	8,	748,	5,	1),
(120289,	8,	748,	26,	1),
(120290,	8,	748,	1,	3),
(120291,	8,	748,	2,	3),
(120292,	8,	748,	3,	3),
(120293,	8,	748,	23,	3),
(120294,	8,	748,	6,	3),
(120295,	8,	748,	24,	3),
(120296,	8,	748,	25,	3),
(120297,	8,	748,	4,	3),
(120298,	8,	748,	5,	3),
(120299,	8,	748,	26,	3),
(120300,	8,	749,	1,	1),
(120301,	8,	749,	2,	1),
(120302,	8,	749,	3,	1),
(120303,	8,	750,	1,	1),
(120304,	8,	750,	2,	1),
(120305,	8,	750,	3,	1),
(120306,	8,	750,	23,	1),
(120307,	8,	750,	6,	1),
(120308,	8,	750,	24,	1),
(120309,	8,	750,	25,	1),
(120310,	8,	750,	4,	1),
(120311,	8,	750,	5,	1),
(120312,	8,	750,	26,	1),
(120313,	8,	750,	1,	3),
(120314,	8,	750,	2,	3),
(120315,	8,	750,	3,	3),
(120316,	8,	750,	23,	3),
(120317,	8,	750,	6,	3),
(120318,	8,	750,	24,	3),
(120319,	8,	750,	25,	3),
(120320,	8,	750,	4,	3),
(120321,	8,	750,	5,	3),
(120322,	8,	750,	26,	3),
(120323,	8,	751,	1,	1),
(120324,	8,	751,	2,	1),
(120325,	8,	751,	3,	1),
(120326,	8,	752,	1,	1),
(120327,	8,	752,	2,	1),
(120328,	8,	752,	3,	1),
(120329,	8,	752,	6,	1),
(120330,	8,	752,	24,	1),
(120331,	8,	752,	25,	1),
(120332,	8,	752,	4,	1),
(120333,	8,	752,	5,	1),
(120334,	8,	752,	26,	1),
(120335,	8,	752,	1,	3),
(120336,	8,	752,	2,	3),
(120337,	8,	752,	3,	3),
(120338,	8,	752,	6,	3),
(120339,	8,	752,	24,	3),
(120340,	8,	752,	25,	3),
(120341,	8,	752,	4,	3),
(120342,	8,	752,	5,	3),
(120343,	8,	752,	26,	3),
(120344,	8,	753,	1,	1),
(120345,	8,	753,	2,	1),
(120346,	8,	753,	3,	1),
(120347,	8,	753,	23,	1),
(120348,	8,	754,	1,	1),
(120349,	8,	754,	2,	1),
(120350,	8,	754,	3,	1),
(120351,	8,	754,	23,	1),
(120352,	8,	754,	6,	1),
(120353,	8,	754,	24,	1),
(120354,	8,	754,	25,	1),
(120355,	8,	754,	4,	1),
(120356,	8,	754,	5,	1),
(120357,	8,	754,	26,	1),
(120358,	8,	754,	1,	3),
(120359,	8,	754,	2,	3),
(120360,	8,	754,	3,	3),
(120361,	8,	754,	23,	3),
(120362,	8,	754,	6,	3),
(120363,	8,	754,	24,	3),
(120364,	8,	754,	25,	3),
(120365,	8,	754,	4,	3),
(120366,	8,	754,	5,	3),
(120367,	8,	754,	26,	3),
(120368,	8,	755,	1,	1),
(120369,	8,	755,	2,	1),
(120370,	8,	755,	3,	1),
(120371,	8,	756,	1,	1),
(120372,	8,	756,	2,	1),
(120373,	8,	756,	3,	1),
(120374,	8,	757,	1,	1),
(120375,	8,	757,	2,	1),
(120376,	8,	757,	3,	1),
(120377,	8,	757,	1,	3),
(120378,	8,	757,	2,	3),
(120379,	8,	757,	3,	3),
(120380,	8,	758,	1,	1),
(120381,	8,	758,	2,	1),
(120382,	8,	758,	3,	1),
(120383,	8,	758,	23,	1),
(120384,	8,	758,	1,	2),
(120385,	8,	758,	2,	2),
(120386,	8,	758,	3,	2),
(120387,	8,	758,	23,	2),
(120388,	8,	759,	1,	1),
(120389,	8,	759,	2,	1),
(120390,	8,	759,	3,	1),
(120391,	8,	759,	1,	3),
(120392,	8,	759,	2,	3),
(120393,	8,	759,	3,	3),
(120394,	8,	760,	1,	1),
(120395,	8,	760,	2,	1),
(120396,	8,	760,	3,	1),
(120397,	8,	760,	23,	1),
(120398,	8,	760,	1,	3),
(120399,	8,	760,	2,	3),
(120400,	8,	760,	3,	3),
(120401,	8,	760,	23,	3),
(120402,	8,	760,	1,	2),
(120403,	8,	760,	2,	2),
(120404,	8,	760,	3,	2),
(120405,	8,	760,	23,	2),
(120406,	8,	761,	1,	1),
(120407,	8,	761,	2,	1),
(120408,	8,	761,	3,	1),
(120409,	8,	761,	1,	2),
(120410,	8,	761,	2,	2),
(120411,	8,	761,	3,	2),
(120412,	8,	762,	1,	1),
(120413,	8,	762,	2,	1),
(120414,	8,	762,	3,	1),
(120415,	8,	762,	1,	2),
(120416,	8,	762,	2,	2),
(120417,	8,	762,	3,	2),
(120418,	8,	763,	1,	1),
(120419,	8,	763,	2,	1),
(120420,	8,	763,	3,	1),
(120421,	8,	763,	1,	2),
(120422,	8,	763,	2,	2),
(120423,	8,	763,	3,	2),
(120424,	8,	764,	1,	1),
(120425,	8,	764,	2,	1),
(120426,	8,	764,	3,	1),
(120427,	8,	764,	1,	2),
(120428,	8,	764,	2,	2),
(120429,	8,	764,	3,	2),
(120430,	8,	765,	1,	1),
(120431,	8,	765,	2,	1),
(120432,	8,	765,	3,	1),
(120433,	8,	765,	1,	2),
(120434,	8,	765,	2,	2),
(120435,	8,	765,	3,	2),
(120436,	8,	766,	1,	1),
(120437,	8,	766,	2,	1),
(120438,	8,	766,	3,	1),
(120439,	8,	767,	1,	1),
(120440,	8,	767,	2,	1),
(120441,	8,	767,	3,	1),
(120442,	8,	767,	6,	1),
(120443,	8,	767,	1,	2),
(120444,	8,	767,	2,	2),
(120445,	8,	767,	3,	2),
(120446,	8,	767,	6,	2),
(120447,	8,	768,	1,	1),
(120448,	8,	768,	2,	1),
(120449,	8,	768,	3,	1),
(120450,	8,	768,	1,	2),
(120451,	8,	768,	2,	2),
(120452,	8,	768,	3,	2),
(120453,	8,	769,	1,	1),
(120454,	8,	769,	2,	1),
(120455,	8,	769,	3,	1),
(120456,	8,	769,	1,	3),
(120457,	8,	769,	2,	3),
(120458,	8,	769,	3,	3),
(120459,	8,	770,	1,	1),
(120460,	8,	770,	2,	1),
(120461,	8,	770,	3,	1),
(120462,	8,	771,	1,	1),
(120463,	8,	771,	2,	1),
(120464,	8,	771,	3,	1),
(120465,	8,	772,	1,	1),
(120466,	8,	772,	2,	1),
(120467,	8,	772,	3,	1),
(120468,	8,	772,	6,	1),
(120469,	8,	772,	1,	2),
(120470,	8,	772,	2,	2),
(120471,	8,	772,	3,	2),
(120472,	8,	772,	6,	2),
(120473,	8,	773,	1,	1),
(120474,	8,	773,	2,	1),
(120475,	8,	773,	3,	1),
(120476,	8,	773,	6,	1),
(120477,	8,	773,	1,	2),
(120478,	8,	773,	2,	2),
(120479,	8,	773,	3,	2),
(120480,	8,	773,	6,	2),
(120481,	8,	774,	2,	1),
(120482,	8,	775,	1,	1),
(120483,	8,	775,	2,	1),
(120484,	8,	775,	3,	1),
(120485,	8,	775,	1,	2),
(120486,	8,	775,	2,	2),
(120487,	8,	775,	3,	2),
(120488,	8,	776,	1,	1),
(120489,	8,	776,	2,	1),
(120490,	8,	776,	3,	1),
(120491,	8,	776,	1,	2),
(120492,	8,	776,	2,	2),
(120493,	8,	776,	3,	2),
(120494,	8,	777,	1,	1),
(120495,	8,	777,	2,	1),
(120496,	8,	777,	3,	1),
(120497,	8,	778,	1,	1),
(120498,	8,	778,	2,	1),
(120499,	8,	778,	3,	1),
(120500,	8,	778,	1,	2),
(120501,	8,	778,	2,	2),
(120502,	8,	778,	3,	2),
(120503,	8,	779,	1,	1),
(120504,	8,	779,	2,	1),
(120505,	8,	779,	3,	1),
(120506,	8,	779,	1,	2),
(120507,	8,	779,	2,	2),
(120508,	8,	779,	3,	2),
(120509,	8,	780,	1,	1),
(120510,	8,	780,	2,	1),
(120511,	8,	780,	3,	1),
(120512,	8,	780,	1,	2),
(120513,	8,	780,	2,	2),
(120514,	8,	780,	3,	2),
(120515,	8,	781,	1,	1),
(120516,	8,	781,	2,	1),
(120517,	8,	781,	3,	1),
(120518,	8,	781,	1,	3),
(120519,	8,	781,	2,	3),
(120520,	8,	781,	3,	3),
(120521,	8,	782,	1,	1),
(120522,	8,	782,	2,	1),
(120523,	8,	782,	3,	1),
(120524,	8,	782,	1,	3),
(120525,	8,	782,	2,	3),
(120526,	8,	782,	3,	3),
(120527,	8,	783,	1,	1),
(120528,	8,	783,	2,	1),
(120529,	8,	783,	3,	1),
(120530,	8,	783,	1,	3),
(120531,	8,	783,	2,	3),
(120532,	8,	783,	3,	3),
(120533,	8,	784,	1,	1),
(120534,	8,	784,	2,	1),
(120535,	8,	784,	3,	1),
(120536,	8,	784,	1,	3),
(120537,	8,	784,	2,	3),
(120538,	8,	784,	3,	3),
(120539,	8,	785,	1,	1),
(120540,	8,	785,	2,	1),
(120541,	8,	785,	3,	1),
(120542,	8,	786,	1,	1),
(120543,	8,	786,	2,	1),
(120544,	8,	786,	3,	1),
(120545,	8,	787,	1,	1),
(120546,	8,	787,	2,	1),
(120547,	8,	787,	3,	1),
(120548,	8,	787,	1,	3),
(120549,	8,	787,	2,	3),
(120550,	8,	787,	3,	3),
(120551,	8,	788,	1,	1),
(120552,	8,	788,	2,	1),
(120553,	8,	788,	3,	1),
(120554,	8,	788,	1,	2),
(120555,	8,	788,	2,	2),
(120556,	8,	788,	3,	2),
(120557,	8,	789,	1,	1),
(120558,	8,	789,	2,	1),
(120559,	8,	789,	3,	1),
(120560,	8,	789,	1,	2),
(120561,	8,	789,	2,	2),
(120562,	8,	789,	3,	2),
(120563,	8,	790,	1,	1),
(120564,	8,	790,	2,	1),
(120565,	8,	790,	3,	1),
(120566,	8,	790,	1,	2),
(120567,	8,	790,	2,	2),
(120568,	8,	790,	3,	2),
(120569,	8,	791,	1,	1),
(120570,	8,	791,	2,	1),
(120571,	8,	791,	3,	1),
(120572,	8,	791,	1,	3),
(120573,	8,	791,	2,	3),
(120574,	8,	791,	3,	3),
(120575,	8,	792,	1,	1),
(120576,	8,	792,	2,	1),
(120577,	8,	792,	3,	1),
(120578,	8,	792,	1,	2),
(120579,	8,	792,	2,	2),
(120580,	8,	792,	3,	2),
(120581,	8,	794,	2,	2),
(120582,	8,	795,	2,	2),
(120583,	8,	796,	1,	1),
(120584,	8,	796,	2,	1),
(120585,	8,	796,	3,	1),
(120586,	8,	796,	1,	2),
(120587,	8,	796,	2,	2),
(120588,	8,	796,	3,	2),
(120589,	8,	797,	1,	1),
(120590,	8,	797,	2,	1),
(120591,	8,	797,	3,	1),
(120592,	8,	797,	1,	3),
(120593,	8,	797,	2,	3),
(120594,	8,	797,	3,	3),
(120595,	8,	798,	1,	1),
(120596,	8,	798,	2,	1),
(120597,	8,	798,	3,	1),
(120598,	8,	798,	1,	2),
(120599,	8,	798,	2,	2),
(120600,	8,	798,	3,	2),
(120601,	8,	799,	1,	1),
(120602,	8,	799,	2,	1),
(120603,	8,	799,	3,	1),
(120604,	8,	799,	1,	2),
(120605,	8,	799,	2,	2),
(120606,	8,	799,	3,	2),
(120607,	8,	800,	1,	1),
(120608,	8,	800,	2,	1),
(120609,	8,	800,	3,	1),
(120610,	8,	800,	1,	2),
(120611,	8,	800,	2,	2),
(120612,	8,	800,	3,	2),
(120613,	8,	801,	1,	1),
(120614,	8,	801,	2,	1),
(120615,	8,	801,	3,	1),
(120616,	8,	801,	1,	2),
(120617,	8,	801,	2,	2),
(120618,	8,	801,	3,	2),
(120619,	8,	802,	1,	1),
(120620,	8,	802,	2,	1),
(120621,	8,	802,	3,	1),
(120622,	8,	802,	1,	2),
(120623,	8,	802,	2,	2),
(120624,	8,	802,	3,	2),
(120625,	8,	803,	1,	1),
(120626,	8,	803,	2,	1),
(120627,	8,	803,	3,	1),
(120628,	8,	803,	1,	2),
(120629,	8,	803,	2,	2),
(120630,	8,	803,	3,	2),
(120631,	8,	804,	1,	1),
(120632,	8,	804,	2,	1),
(120633,	8,	804,	3,	1),
(120634,	8,	804,	1,	2),
(120635,	8,	804,	2,	2),
(120636,	8,	804,	3,	2),
(120637,	8,	805,	1,	1),
(120638,	8,	805,	2,	1),
(120639,	8,	805,	3,	1),
(120640,	8,	805,	6,	1),
(120641,	8,	805,	24,	1),
(120642,	8,	805,	23,	1),
(120643,	8,	806,	1,	1),
(120644,	8,	806,	2,	1),
(120645,	8,	806,	3,	1),
(120646,	8,	806,	6,	1),
(120647,	8,	806,	24,	1),
(120648,	8,	807,	1,	1),
(120649,	8,	807,	2,	1),
(120650,	8,	807,	3,	1),
(120651,	8,	807,	6,	1),
(120652,	8,	807,	24,	1),
(120653,	8,	808,	1,	1),
(120654,	8,	808,	2,	1),
(120655,	8,	808,	3,	1),
(120656,	8,	808,	1,	2),
(120657,	8,	808,	2,	2),
(120658,	8,	808,	3,	2),
(120659,	8,	809,	1,	1),
(120660,	8,	809,	2,	1),
(120661,	8,	809,	3,	1),
(120662,	8,	809,	1,	2),
(120663,	8,	809,	2,	2),
(120664,	8,	809,	3,	2),
(120665,	8,	810,	1,	1),
(120666,	8,	810,	2,	1),
(120667,	8,	810,	3,	1),
(120668,	8,	810,	6,	1),
(120669,	8,	810,	24,	1),
(120670,	8,	811,	1,	1),
(120671,	8,	811,	2,	1),
(120672,	8,	811,	3,	1),
(120673,	8,	811,	1,	2),
(120674,	8,	811,	2,	2),
(120675,	8,	811,	3,	2),
(120676,	8,	812,	2,	1),
(120677,	8,	813,	1,	1),
(120678,	8,	813,	2,	1),
(120679,	8,	813,	3,	1),
(120680,	8,	813,	1,	2),
(120681,	8,	813,	2,	2),
(120682,	8,	813,	3,	2),
(120683,	8,	814,	1,	1),
(120684,	8,	814,	2,	1),
(120685,	8,	814,	3,	1),
(120686,	8,	814,	23,	1),
(120687,	8,	814,	49,	1),
(120688,	8,	814,	5,	1),
(120689,	8,	814,	26,	1),
(120690,	8,	815,	1,	1),
(120691,	8,	815,	2,	1),
(120692,	8,	815,	3,	1),
(120693,	8,	816,	1,	1),
(120694,	8,	816,	2,	1),
(120695,	8,	816,	3,	1),
(120696,	8,	816,	25,	1),
(120697,	8,	816,	24,	1),
(120698,	8,	816,	49,	1),
(120699,	8,	816,	50,	1),
(120700,	8,	816,	23,	1),
(120701,	8,	816,	51,	1),
(120702,	8,	816,	48,	1),
(120703,	8,	816,	52,	1),
(120704,	8,	816,	53,	1),
(120705,	8,	817,	1,	1),
(120706,	8,	817,	2,	1),
(120707,	8,	817,	3,	1),
(120708,	8,	817,	23,	1),
(120709,	8,	817,	49,	1),
(120710,	8,	817,	5,	1),
(120711,	8,	817,	26,	1),
(120712,	8,	818,	1,	1),
(120713,	8,	818,	2,	1),
(120714,	8,	818,	3,	1),
(120715,	8,	818,	49,	1),
(120716,	8,	819,	1,	1),
(120717,	8,	819,	2,	1),
(120718,	8,	819,	3,	1),
(120719,	8,	819,	49,	1),
(120720,	8,	820,	1,	1),
(120721,	8,	820,	2,	1),
(120722,	8,	820,	3,	1),
(120723,	8,	820,	49,	1),
(120724,	8,	821,	1,	1),
(120725,	8,	821,	2,	1),
(120726,	8,	821,	3,	1),
(120727,	8,	822,	1,	1),
(120728,	8,	822,	2,	1),
(120729,	8,	822,	3,	1),
(120730,	8,	823,	1,	1),
(120731,	8,	823,	2,	1),
(120732,	8,	823,	3,	1),
(120733,	8,	823,	1,	2),
(120734,	8,	823,	2,	2),
(120735,	8,	823,	3,	2),
(120736,	8,	824,	1,	1),
(120737,	8,	824,	2,	1),
(120738,	8,	824,	3,	1),
(120739,	8,	824,	1,	2),
(120740,	8,	824,	2,	2),
(120741,	8,	824,	3,	2),
(120742,	8,	825,	1,	1),
(120743,	8,	825,	2,	1),
(120744,	8,	825,	3,	1),
(120745,	8,	826,	1,	1),
(120746,	8,	826,	2,	1),
(120747,	8,	826,	3,	1),
(120748,	8,	827,	1,	1),
(120749,	8,	827,	2,	1),
(120750,	8,	827,	3,	1),
(120751,	8,	827,	1,	2),
(120752,	8,	827,	2,	2),
(120753,	8,	827,	3,	2),
(120754,	8,	828,	1,	1),
(120755,	8,	828,	2,	1),
(120756,	8,	828,	3,	1),
(120757,	8,	828,	1,	2),
(120758,	8,	828,	2,	2),
(120759,	8,	828,	3,	2),
(120760,	8,	829,	1,	1),
(120761,	8,	829,	2,	1),
(120762,	8,	829,	3,	1),
(120763,	8,	829,	4,	1),
(120764,	8,	829,	23,	1),
(120765,	8,	829,	1,	3),
(120766,	8,	829,	2,	3),
(120767,	8,	829,	3,	3),
(120768,	8,	829,	4,	3),
(120769,	8,	829,	23,	3),
(120770,	8,	829,	1,	2),
(120771,	8,	829,	2,	2),
(120772,	8,	829,	3,	2),
(120773,	8,	829,	4,	2),
(120774,	8,	829,	23,	2),
(120775,	8,	830,	1,	1),
(120776,	8,	830,	2,	1),
(120777,	8,	830,	3,	1),
(120778,	8,	830,	1,	2),
(120779,	8,	830,	2,	2),
(120780,	8,	830,	3,	2),
(120781,	8,	831,	1,	1),
(120782,	8,	831,	2,	1),
(120783,	8,	831,	3,	1),
(120784,	8,	832,	1,	1),
(120785,	8,	832,	2,	1),
(120786,	8,	832,	3,	1),
(120787,	8,	832,	1,	3),
(120788,	8,	832,	2,	3),
(120789,	8,	832,	3,	3),
(120790,	8,	833,	1,	1),
(120791,	8,	833,	2,	1),
(120792,	8,	833,	3,	1),
(120793,	8,	834,	1,	1),
(120794,	8,	834,	2,	1),
(120795,	8,	834,	3,	1),
(120796,	8,	834,	1,	2),
(120797,	8,	834,	2,	2),
(120798,	8,	834,	3,	2),
(120799,	8,	835,	1,	1),
(120800,	8,	835,	2,	1),
(120801,	8,	835,	3,	1),
(120802,	8,	835,	1,	2),
(120803,	8,	835,	2,	2),
(120804,	8,	835,	3,	2),
(120805,	8,	836,	1,	1),
(120806,	8,	836,	2,	1),
(120807,	8,	836,	3,	1),
(120808,	8,	837,	1,	1),
(120809,	8,	837,	2,	1),
(120810,	8,	837,	3,	1),
(120811,	8,	837,	1,	2),
(120812,	8,	837,	2,	2),
(120813,	8,	837,	3,	2),
(120814,	8,	838,	1,	1),
(120815,	8,	838,	2,	1),
(120816,	8,	838,	3,	1),
(120817,	8,	838,	1,	2),
(120818,	8,	838,	2,	2),
(120819,	8,	838,	3,	2),
(120820,	8,	839,	1,	1),
(120821,	8,	839,	2,	1),
(120822,	8,	839,	3,	1),
(120823,	8,	839,	1,	2),
(120824,	8,	839,	2,	2),
(120825,	8,	839,	3,	2),
(120826,	8,	840,	1,	1),
(120827,	8,	840,	2,	1),
(120828,	8,	840,	3,	1),
(120829,	8,	840,	1,	2),
(120830,	8,	840,	2,	2),
(120831,	8,	840,	3,	2),
(120832,	8,	841,	1,	1),
(120833,	8,	841,	2,	1),
(120834,	8,	841,	3,	1),
(120835,	8,	841,	1,	3),
(120836,	8,	841,	2,	3),
(120837,	8,	841,	3,	3),
(120838,	8,	842,	1,	1),
(120839,	8,	842,	2,	1),
(120840,	8,	842,	3,	1),
(120841,	8,	842,	1,	2),
(120842,	8,	842,	2,	2),
(120843,	8,	842,	3,	2),
(120844,	8,	843,	1,	1),
(120845,	8,	843,	2,	1),
(120846,	8,	843,	3,	1),
(120847,	8,	843,	1,	2),
(120848,	8,	843,	2,	2),
(120849,	8,	843,	3,	2),
(120850,	8,	844,	1,	1),
(120851,	8,	844,	2,	1),
(120852,	8,	844,	3,	1),
(120853,	8,	845,	1,	1),
(120854,	8,	845,	2,	1),
(120855,	8,	845,	3,	1),
(120856,	8,	845,	1,	2),
(120857,	8,	845,	2,	2),
(120858,	8,	845,	3,	2),
(120859,	8,	846,	1,	1),
(120860,	8,	846,	2,	1),
(120861,	8,	846,	3,	1),
(120862,	8,	847,	1,	1),
(120863,	8,	847,	2,	1),
(120864,	8,	847,	3,	1),
(120865,	8,	847,	1,	3),
(120866,	8,	847,	2,	3),
(120867,	8,	847,	3,	3),
(120868,	8,	848,	1,	1),
(120869,	8,	848,	2,	1),
(120870,	8,	848,	3,	1),
(120871,	8,	849,	1,	1),
(120872,	8,	849,	2,	1),
(120873,	8,	849,	3,	1),
(120874,	8,	849,	1,	3),
(120875,	8,	849,	2,	3),
(120876,	8,	849,	3,	3),
(120877,	8,	850,	1,	1),
(120878,	8,	850,	2,	1),
(120879,	8,	850,	3,	1),
(120880,	8,	850,	1,	3),
(120881,	8,	850,	2,	3),
(120882,	8,	850,	3,	3),
(120883,	8,	851,	1,	1),
(120884,	8,	851,	2,	1),
(120885,	8,	851,	3,	1),
(120886,	8,	851,	1,	2),
(120887,	8,	851,	2,	2),
(120888,	8,	851,	3,	2),
(120889,	8,	852,	1,	1),
(120890,	8,	852,	2,	1),
(120891,	8,	852,	3,	1),
(120892,	8,	852,	1,	2),
(120893,	8,	852,	2,	2),
(120894,	8,	852,	3,	2),
(120895,	8,	853,	1,	1),
(120896,	8,	853,	2,	1),
(120897,	8,	853,	3,	1),
(120898,	8,	853,	1,	2),
(120899,	8,	853,	2,	2),
(120900,	8,	853,	3,	2),
(120901,	8,	854,	1,	1),
(120902,	8,	854,	2,	1),
(120903,	8,	854,	3,	1),
(120904,	8,	854,	1,	3),
(120905,	8,	854,	2,	3),
(120906,	8,	854,	3,	3),
(120907,	8,	855,	1,	1),
(120908,	8,	855,	2,	1),
(120909,	8,	855,	3,	1),
(120910,	8,	855,	1,	3),
(120911,	8,	855,	2,	3),
(120912,	8,	855,	3,	3),
(120913,	8,	856,	1,	1),
(120914,	8,	856,	2,	1),
(120915,	8,	856,	3,	1),
(120916,	8,	856,	1,	3),
(120917,	8,	856,	2,	3),
(120918,	8,	856,	3,	3),
(120919,	8,	857,	1,	1),
(120920,	8,	857,	2,	1),
(120921,	8,	857,	3,	1),
(120922,	8,	857,	1,	3),
(120923,	8,	857,	2,	3),
(120924,	8,	857,	3,	3),
(120925,	8,	858,	1,	1),
(120926,	8,	858,	2,	1),
(120927,	8,	858,	3,	1),
(120928,	8,	858,	1,	3),
(120929,	8,	858,	2,	3),
(120930,	8,	858,	3,	3),
(120931,	8,	859,	1,	1),
(120932,	8,	859,	2,	1),
(120933,	8,	859,	3,	1),
(120934,	8,	859,	1,	2),
(120935,	8,	859,	2,	2),
(120936,	8,	859,	3,	2),
(120937,	8,	860,	1,	1),
(120938,	8,	860,	2,	1),
(120939,	8,	860,	3,	1),
(120940,	8,	860,	1,	3),
(120941,	8,	860,	2,	3),
(120942,	8,	860,	3,	3),
(120943,	8,	861,	1,	1),
(120944,	8,	861,	2,	1),
(120945,	8,	861,	3,	1),
(120946,	8,	861,	1,	2),
(120947,	8,	861,	2,	2),
(120948,	8,	861,	3,	2),
(120949,	8,	862,	1,	1),
(120950,	8,	862,	2,	1),
(120951,	8,	862,	3,	1),
(120952,	8,	862,	1,	2),
(120953,	8,	862,	2,	2),
(120954,	8,	862,	3,	2),
(120955,	8,	863,	1,	1),
(120956,	8,	863,	2,	1),
(120957,	8,	863,	3,	1),
(120958,	8,	863,	1,	2),
(120959,	8,	863,	2,	2),
(120960,	8,	863,	3,	2),
(120961,	8,	864,	1,	1),
(120962,	8,	864,	2,	1),
(120963,	8,	864,	3,	1),
(120964,	8,	864,	1,	2),
(120965,	8,	864,	2,	2),
(120966,	8,	864,	3,	2),
(120967,	8,	865,	1,	1),
(120968,	8,	865,	2,	1),
(120969,	8,	865,	3,	1),
(120970,	8,	865,	1,	2),
(120971,	8,	865,	2,	2),
(120972,	8,	865,	3,	2),
(120973,	8,	866,	1,	1),
(120974,	8,	866,	2,	1),
(120975,	8,	866,	3,	1),
(120976,	8,	866,	1,	2),
(120977,	8,	866,	2,	2),
(120978,	8,	866,	3,	2),
(120979,	8,	867,	1,	1),
(120980,	8,	867,	2,	1),
(120981,	8,	867,	3,	1),
(120982,	8,	867,	1,	2),
(120983,	8,	867,	2,	2),
(120984,	8,	867,	3,	2),
(120985,	8,	868,	1,	1),
(120986,	8,	868,	2,	1),
(120987,	8,	868,	3,	1),
(120988,	8,	868,	1,	3),
(120989,	8,	868,	2,	3),
(120990,	8,	868,	3,	3),
(120991,	8,	869,	1,	1),
(120992,	8,	869,	2,	1),
(120993,	8,	869,	3,	1),
(120994,	8,	869,	1,	2),
(120995,	8,	869,	2,	2),
(120996,	8,	869,	3,	2),
(120997,	8,	870,	1,	1),
(120998,	8,	870,	2,	1),
(120999,	8,	870,	3,	1),
(121000,	8,	870,	1,	2),
(121001,	8,	870,	2,	2),
(121002,	8,	870,	3,	2),
(121003,	8,	871,	1,	1),
(121004,	8,	871,	2,	1),
(121005,	8,	871,	3,	1),
(121006,	8,	871,	1,	2),
(121007,	8,	871,	2,	2),
(121008,	8,	871,	3,	2),
(121009,	8,	872,	1,	1),
(121010,	8,	872,	2,	1),
(121011,	8,	872,	3,	1),
(121012,	8,	872,	1,	3),
(121013,	8,	872,	2,	3),
(121014,	8,	872,	3,	3),
(121015,	8,	873,	1,	1),
(121016,	8,	873,	2,	1),
(121017,	8,	873,	3,	1),
(121018,	8,	873,	1,	2),
(121019,	8,	873,	2,	2),
(121020,	8,	873,	3,	2),
(121021,	8,	874,	1,	1),
(121022,	8,	874,	2,	1),
(121023,	8,	874,	3,	1),
(121024,	8,	874,	1,	2),
(121025,	8,	874,	2,	2),
(121026,	8,	874,	3,	2),
(121027,	8,	875,	1,	1),
(121028,	8,	875,	2,	1),
(121029,	8,	875,	3,	1),
(121030,	8,	875,	1,	2),
(121031,	8,	875,	2,	2),
(121032,	8,	875,	3,	2),
(121033,	8,	876,	1,	1),
(121034,	8,	876,	2,	1),
(121035,	8,	876,	3,	1),
(121036,	8,	876,	1,	2),
(121037,	8,	876,	2,	2),
(121038,	8,	876,	3,	2),
(121039,	8,	877,	1,	1),
(121040,	8,	877,	2,	1),
(121041,	8,	877,	3,	1),
(121042,	8,	877,	1,	3),
(121043,	8,	877,	2,	3),
(121044,	8,	877,	3,	3),
(121045,	8,	878,	1,	1),
(121046,	8,	878,	2,	1),
(121047,	8,	878,	3,	1),
(121048,	8,	878,	1,	2),
(121049,	8,	878,	2,	2),
(121050,	8,	878,	3,	2),
(121051,	8,	879,	1,	1),
(121052,	8,	879,	2,	1),
(121053,	8,	879,	3,	1),
(121054,	8,	879,	1,	2),
(121055,	8,	879,	2,	2),
(121056,	8,	879,	3,	2),
(121057,	8,	880,	1,	1),
(121058,	8,	880,	2,	1),
(121059,	8,	880,	3,	1),
(121060,	8,	880,	1,	2),
(121061,	8,	880,	2,	2),
(121062,	8,	880,	3,	2),
(121063,	8,	881,	1,	1),
(121064,	8,	881,	2,	1),
(121065,	8,	881,	3,	1),
(121066,	8,	881,	1,	2),
(121067,	8,	881,	2,	2),
(121068,	8,	881,	3,	2),
(121069,	8,	882,	1,	1),
(121070,	8,	882,	2,	1),
(121071,	8,	882,	3,	1),
(121072,	8,	882,	1,	3),
(121073,	8,	882,	2,	3),
(121074,	8,	882,	3,	3),
(121075,	8,	883,	1,	1),
(121076,	8,	883,	2,	1),
(121077,	8,	883,	3,	1),
(121078,	8,	883,	1,	2),
(121079,	8,	883,	2,	2),
(121080,	8,	883,	3,	2),
(121081,	8,	884,	1,	1),
(121082,	8,	884,	2,	1),
(121083,	8,	884,	3,	1),
(121084,	8,	884,	1,	2),
(121085,	8,	884,	2,	2),
(121086,	8,	884,	3,	2),
(121087,	8,	885,	1,	1),
(121088,	8,	885,	2,	1),
(121089,	8,	885,	3,	1),
(121090,	8,	885,	1,	3),
(121091,	8,	885,	2,	3),
(121092,	8,	885,	3,	3),
(121093,	8,	886,	1,	1),
(121094,	8,	886,	2,	1),
(121095,	8,	886,	3,	1),
(121096,	8,	886,	1,	3),
(121097,	8,	886,	2,	3),
(121098,	8,	886,	3,	3),
(121099,	8,	887,	1,	1),
(121100,	8,	887,	2,	1),
(121101,	8,	887,	3,	1),
(121102,	8,	887,	1,	3),
(121103,	8,	887,	2,	3),
(121104,	8,	887,	3,	3),
(121105,	8,	889,	1,	1),
(121106,	8,	889,	2,	1),
(121107,	8,	889,	3,	1),
(121108,	8,	889,	1,	3),
(121109,	8,	889,	2,	3),
(121110,	8,	889,	3,	3),
(121111,	8,	890,	1,	1),
(121112,	8,	890,	2,	1),
(121113,	8,	890,	3,	1),
(121114,	8,	890,	1,	3),
(121115,	8,	890,	2,	3),
(121116,	8,	890,	3,	3),
(121117,	8,	891,	1,	1),
(121118,	8,	891,	2,	1),
(121119,	8,	891,	3,	1),
(121120,	8,	891,	1,	2),
(121121,	8,	891,	2,	2),
(121122,	8,	891,	3,	2),
(121123,	8,	892,	1,	1),
(121124,	8,	892,	2,	1),
(121125,	8,	892,	3,	1),
(121126,	8,	892,	1,	2),
(121127,	8,	892,	2,	2),
(121128,	8,	892,	3,	2),
(121129,	8,	893,	1,	1),
(121130,	8,	893,	2,	1),
(121131,	8,	893,	3,	1),
(121132,	8,	894,	1,	1),
(121133,	8,	894,	2,	1),
(121134,	8,	894,	3,	1),
(121135,	8,	895,	1,	1),
(121136,	8,	895,	2,	1),
(121137,	8,	895,	3,	1),
(121138,	8,	896,	1,	1),
(121139,	8,	896,	2,	1),
(121140,	8,	896,	3,	1),
(121141,	8,	896,	1,	2),
(121142,	8,	896,	2,	2),
(121143,	8,	896,	3,	2),
(121144,	8,	897,	1,	1),
(121145,	8,	897,	2,	1),
(121146,	8,	897,	3,	1),
(121147,	8,	898,	1,	1),
(121148,	8,	898,	2,	1),
(121149,	8,	898,	3,	1),
(121150,	8,	898,	1,	2),
(121151,	8,	898,	2,	2),
(121152,	8,	898,	3,	2),
(121153,	8,	899,	1,	1),
(121154,	8,	899,	2,	1),
(121155,	8,	899,	3,	1),
(121156,	8,	899,	1,	2),
(121157,	8,	899,	2,	2),
(121158,	8,	899,	3,	2),
(121159,	8,	900,	1,	1),
(121160,	8,	900,	2,	1),
(121161,	8,	900,	3,	1),
(121162,	8,	900,	1,	2),
(121163,	8,	900,	2,	2),
(121164,	8,	900,	3,	2),
(121165,	8,	901,	1,	1),
(121166,	8,	901,	2,	1),
(121167,	8,	901,	3,	1),
(121168,	8,	901,	1,	2),
(121169,	8,	901,	2,	2),
(121170,	8,	901,	3,	2),
(121171,	8,	902,	1,	1),
(121172,	8,	902,	2,	1),
(121173,	8,	902,	3,	1),
(121174,	8,	902,	1,	3),
(121175,	8,	902,	2,	3),
(121176,	8,	902,	3,	3),
(121177,	8,	903,	1,	1),
(121178,	8,	903,	2,	1),
(121179,	8,	903,	3,	1),
(121180,	8,	903,	1,	2),
(121181,	8,	903,	2,	2),
(121182,	8,	903,	3,	2),
(121183,	8,	904,	1,	1),
(121184,	8,	904,	2,	1),
(121185,	8,	904,	3,	1),
(121186,	8,	904,	1,	2),
(121187,	8,	904,	2,	2),
(121188,	8,	904,	3,	2),
(121189,	8,	905,	1,	1),
(121190,	8,	905,	2,	1),
(121191,	8,	905,	3,	1),
(121192,	8,	905,	1,	3),
(121193,	8,	905,	2,	3),
(121194,	8,	905,	3,	3),
(121195,	8,	906,	1,	1),
(121196,	8,	906,	2,	1),
(121197,	8,	906,	3,	1),
(121198,	8,	906,	1,	2),
(121199,	8,	906,	2,	2),
(121200,	8,	906,	3,	2),
(121201,	8,	907,	1,	1),
(121202,	8,	907,	2,	1),
(121203,	8,	907,	3,	1),
(121204,	8,	907,	1,	2),
(121205,	8,	907,	2,	2),
(121206,	8,	907,	3,	2),
(121207,	8,	908,	1,	1),
(121208,	8,	908,	2,	1),
(121209,	8,	908,	3,	1),
(121210,	8,	908,	1,	2),
(121211,	8,	908,	2,	2),
(121212,	8,	908,	3,	2),
(121213,	8,	909,	1,	1),
(121214,	8,	909,	2,	1),
(121215,	8,	909,	3,	1),
(121216,	8,	909,	1,	2),
(121217,	8,	909,	2,	2),
(121218,	8,	909,	3,	2),
(121219,	8,	910,	1,	1),
(121220,	8,	910,	2,	1),
(121221,	8,	910,	3,	1),
(121222,	8,	910,	1,	3),
(121223,	8,	910,	2,	3),
(121224,	8,	910,	3,	3),
(121225,	8,	911,	1,	1),
(121226,	8,	911,	2,	1),
(121227,	8,	911,	3,	1),
(121228,	8,	911,	1,	2),
(121229,	8,	911,	2,	2),
(121230,	8,	911,	3,	2),
(121231,	8,	912,	1,	1),
(121232,	8,	912,	2,	1),
(121233,	8,	912,	3,	1),
(121234,	8,	912,	1,	2),
(121235,	8,	912,	2,	2),
(121236,	8,	912,	3,	2),
(121237,	8,	913,	1,	1),
(121238,	8,	913,	2,	1),
(121239,	8,	913,	3,	1),
(121240,	8,	913,	1,	2),
(121241,	8,	913,	2,	2),
(121242,	8,	913,	3,	2),
(121243,	8,	914,	1,	1),
(121244,	8,	914,	2,	1),
(121245,	8,	914,	3,	1),
(121246,	8,	914,	1,	2),
(121247,	8,	914,	2,	2),
(121248,	8,	914,	3,	2),
(121249,	8,	915,	1,	1),
(121250,	8,	915,	2,	1),
(121251,	8,	915,	3,	1),
(121252,	8,	915,	1,	3),
(121253,	8,	915,	2,	3),
(121254,	8,	915,	3,	3),
(121255,	8,	916,	1,	1),
(121256,	8,	916,	2,	1),
(121257,	8,	916,	3,	1),
(121258,	8,	916,	1,	2),
(121259,	8,	916,	2,	2),
(121260,	8,	916,	3,	2),
(121261,	8,	917,	1,	1),
(121262,	8,	917,	2,	1),
(121263,	8,	917,	3,	1),
(121264,	8,	917,	1,	2),
(121265,	8,	917,	2,	2),
(121266,	8,	917,	3,	2),
(121267,	8,	918,	1,	1),
(121268,	8,	918,	2,	1),
(121269,	8,	918,	3,	1),
(121270,	8,	918,	1,	2),
(121271,	8,	918,	2,	2),
(121272,	8,	918,	3,	2),
(121273,	8,	919,	1,	1),
(121274,	8,	919,	2,	1),
(121275,	8,	919,	3,	1),
(121276,	8,	919,	1,	2),
(121277,	8,	919,	2,	2),
(121278,	8,	919,	3,	2),
(121279,	8,	920,	1,	1),
(121280,	8,	920,	2,	1),
(121281,	8,	920,	3,	1),
(121282,	8,	920,	1,	2),
(121283,	8,	920,	2,	2),
(121284,	8,	920,	3,	2),
(121285,	8,	921,	1,	1),
(121286,	8,	921,	2,	1),
(121287,	8,	921,	3,	1),
(121288,	8,	921,	1,	3),
(121289,	8,	921,	2,	3),
(121290,	8,	921,	3,	3),
(121291,	8,	922,	1,	1),
(121292,	8,	922,	2,	1),
(121293,	8,	922,	3,	1),
(121294,	8,	922,	1,	2),
(121295,	8,	922,	2,	2),
(121296,	8,	922,	3,	2),
(121297,	8,	923,	1,	1),
(121298,	8,	923,	2,	1),
(121299,	8,	923,	3,	1),
(121300,	8,	923,	1,	2),
(121301,	8,	923,	2,	2),
(121302,	8,	923,	3,	2),
(121303,	8,	924,	1,	1),
(121304,	8,	924,	2,	1),
(121305,	8,	924,	3,	1),
(121306,	8,	924,	1,	2),
(121307,	8,	924,	2,	2),
(121308,	8,	924,	3,	2),
(121309,	8,	925,	1,	1),
(121310,	8,	925,	2,	1),
(121311,	8,	925,	3,	1),
(121312,	8,	925,	1,	2),
(121313,	8,	925,	2,	2),
(121314,	8,	925,	3,	2),
(121315,	8,	926,	1,	1),
(121316,	8,	926,	2,	1),
(121317,	8,	926,	3,	1),
(121318,	8,	926,	1,	3),
(121319,	8,	926,	2,	3),
(121320,	8,	926,	3,	3),
(121321,	8,	927,	1,	1),
(121322,	8,	927,	2,	1),
(121323,	8,	927,	3,	1),
(121324,	8,	927,	1,	2),
(121325,	8,	927,	2,	2),
(121326,	8,	927,	3,	2),
(121327,	8,	928,	1,	1),
(121328,	8,	928,	2,	1),
(121329,	8,	928,	3,	1),
(121330,	8,	928,	1,	2),
(121331,	8,	928,	2,	2),
(121332,	8,	928,	3,	2),
(121333,	8,	929,	1,	1),
(121334,	8,	929,	2,	1),
(121335,	8,	929,	3,	1),
(121336,	8,	929,	1,	2),
(121337,	8,	929,	2,	2),
(121338,	8,	929,	3,	2),
(121339,	8,	930,	1,	1),
(121340,	8,	930,	2,	1),
(121341,	8,	930,	3,	1),
(121342,	8,	930,	1,	2),
(121343,	8,	930,	2,	2),
(121344,	8,	930,	3,	2),
(121345,	8,	931,	1,	1),
(121346,	8,	931,	2,	1),
(121347,	8,	931,	3,	1),
(121348,	8,	931,	1,	3),
(121349,	8,	931,	2,	3),
(121350,	8,	931,	3,	3),
(121351,	8,	932,	1,	1),
(121352,	8,	932,	2,	1),
(121353,	8,	932,	3,	1),
(121354,	8,	932,	1,	2),
(121355,	8,	932,	2,	2),
(121356,	8,	932,	3,	2),
(121357,	8,	933,	1,	1),
(121358,	8,	933,	2,	1),
(121359,	8,	933,	3,	1),
(121360,	8,	933,	1,	2),
(121361,	8,	933,	2,	2),
(121362,	8,	933,	3,	2),
(121363,	8,	934,	1,	1),
(121364,	8,	934,	2,	1),
(121365,	8,	934,	3,	1),
(121366,	8,	934,	1,	2),
(121367,	8,	934,	2,	2),
(121368,	8,	934,	3,	2),
(121369,	8,	935,	1,	1),
(121370,	8,	935,	2,	1),
(121371,	8,	935,	3,	1),
(121372,	8,	935,	1,	2),
(121373,	8,	935,	2,	2),
(121374,	8,	935,	3,	2),
(121375,	8,	936,	1,	1),
(121376,	8,	936,	2,	1),
(121377,	8,	936,	3,	1),
(121378,	8,	936,	1,	3),
(121379,	8,	936,	2,	3),
(121380,	8,	936,	3,	3),
(121381,	8,	937,	1,	1),
(121382,	8,	937,	2,	1),
(121383,	8,	937,	3,	1),
(121384,	8,	937,	1,	2),
(121385,	8,	937,	2,	2),
(121386,	8,	937,	3,	2),
(121387,	8,	938,	1,	1),
(121388,	8,	938,	2,	1),
(121389,	8,	938,	3,	1),
(121390,	8,	938,	1,	2),
(121391,	8,	938,	2,	2),
(121392,	8,	938,	3,	2),
(121393,	8,	939,	1,	1),
(121394,	8,	939,	2,	1),
(121395,	8,	939,	3,	1),
(121396,	8,	940,	1,	1),
(121397,	8,	940,	2,	1),
(121398,	8,	940,	3,	1),
(121399,	8,	941,	1,	1),
(121400,	8,	941,	2,	1),
(121401,	8,	941,	3,	1),
(121402,	8,	942,	1,	1),
(121403,	8,	942,	2,	1),
(121404,	8,	942,	3,	1),
(121405,	8,	943,	1,	1),
(121406,	8,	943,	2,	1),
(121407,	8,	943,	3,	1),
(121408,	8,	943,	1,	2),
(121409,	8,	943,	2,	2),
(121410,	8,	943,	3,	2),
(121411,	8,	944,	1,	1),
(121412,	8,	944,	2,	1),
(121413,	8,	944,	3,	1),
(121414,	8,	944,	1,	2),
(121415,	8,	944,	2,	2),
(121416,	8,	944,	3,	2),
(121417,	8,	945,	1,	1),
(121418,	8,	945,	2,	1),
(121419,	8,	945,	3,	1),
(121420,	8,	945,	1,	2),
(121421,	8,	945,	2,	2),
(121422,	8,	945,	3,	2),
(121423,	8,	946,	1,	1),
(121424,	8,	946,	2,	1),
(121425,	8,	946,	3,	1),
(121426,	8,	946,	1,	3),
(121427,	8,	946,	2,	3),
(121428,	8,	946,	3,	3),
(121429,	8,	947,	1,	1),
(121430,	8,	947,	2,	1),
(121431,	8,	947,	3,	1),
(121432,	8,	947,	1,	3),
(121433,	8,	947,	2,	3),
(121434,	8,	947,	3,	3),
(121435,	8,	948,	1,	1),
(121436,	8,	948,	2,	1),
(121437,	8,	948,	3,	1),
(121438,	8,	949,	1,	1),
(121439,	8,	949,	2,	1),
(121440,	8,	949,	3,	1),
(121441,	8,	949,	23,	1),
(121442,	8,	950,	1,	1),
(121443,	8,	950,	2,	1),
(121444,	8,	950,	3,	1),
(121445,	8,	950,	1,	3),
(121446,	8,	950,	2,	3),
(121447,	8,	950,	3,	3),
(121448,	8,	951,	1,	1),
(121449,	8,	951,	2,	1),
(121450,	8,	951,	3,	1),
(121451,	8,	951,	1,	3),
(121452,	8,	951,	2,	3),
(121453,	8,	951,	3,	3),
(121454,	8,	952,	1,	1),
(121455,	8,	952,	2,	1),
(121456,	8,	952,	3,	1),
(121457,	8,	952,	6,	1),
(121458,	8,	953,	1,	1),
(121459,	8,	953,	2,	1),
(121460,	8,	953,	3,	1),
(121461,	8,	954,	1,	1),
(121462,	8,	954,	2,	1),
(121463,	8,	954,	3,	1),
(121464,	8,	954,	6,	1),
(121465,	8,	954,	23,	1),
(121466,	8,	955,	1,	1),
(121467,	8,	955,	2,	1),
(121468,	8,	955,	3,	1),
(121469,	8,	956,	1,	1),
(121470,	8,	956,	2,	1),
(121471,	8,	956,	3,	1),
(121472,	8,	956,	1,	2),
(121473,	8,	956,	2,	2),
(121474,	8,	956,	3,	2),
(121475,	8,	957,	1,	1),
(121476,	8,	957,	2,	1),
(121477,	8,	957,	3,	1),
(121478,	8,	957,	6,	1),
(121479,	8,	957,	23,	1),
(121480,	8,	957,	1,	2),
(121481,	8,	957,	2,	2),
(121482,	8,	957,	3,	2),
(121483,	8,	957,	6,	2),
(121484,	8,	957,	23,	2),
(121485,	8,	958,	1,	1),
(121486,	8,	958,	2,	1),
(121487,	8,	958,	3,	1),
(121488,	8,	958,	1,	2),
(121489,	8,	958,	2,	2),
(121490,	8,	958,	3,	2),
(121491,	8,	959,	1,	1),
(121492,	8,	959,	2,	1),
(121493,	8,	959,	3,	1),
(121494,	8,	959,	1,	2),
(121495,	8,	959,	2,	2),
(121496,	8,	959,	3,	2),
(121497,	8,	960,	1,	1),
(121498,	8,	960,	2,	1),
(121499,	8,	960,	3,	1),
(121500,	8,	960,	1,	2),
(121501,	8,	960,	2,	2),
(121502,	8,	960,	3,	2),
(121503,	8,	961,	1,	1),
(121504,	8,	961,	2,	1),
(121505,	8,	961,	3,	1),
(121506,	8,	961,	1,	2),
(121507,	8,	961,	2,	2),
(121508,	8,	961,	3,	2),
(121509,	8,	962,	1,	1),
(121510,	8,	962,	2,	1),
(121511,	8,	962,	3,	1),
(121512,	8,	963,	1,	1),
(121513,	8,	963,	2,	1),
(121514,	8,	963,	3,	1),
(121515,	8,	964,	1,	1),
(121516,	8,	964,	2,	1),
(121517,	8,	964,	3,	1),
(121518,	8,	964,	1,	2),
(121519,	8,	964,	2,	2),
(121520,	8,	964,	3,	2),
(121521,	8,	965,	1,	1),
(121522,	8,	965,	2,	1),
(121523,	8,	965,	3,	1),
(121524,	8,	965,	1,	2),
(121525,	8,	965,	2,	2),
(121526,	8,	965,	3,	2),
(121527,	8,	966,	1,	1),
(121528,	8,	966,	2,	1),
(121529,	8,	966,	3,	1),
(121530,	8,	967,	1,	1),
(121531,	8,	967,	2,	1),
(121532,	8,	967,	3,	1),
(121533,	8,	968,	1,	1),
(121534,	8,	968,	2,	1),
(121535,	8,	968,	3,	1),
(121536,	8,	969,	1,	1),
(121537,	8,	969,	2,	1),
(121538,	8,	969,	3,	1),
(121539,	8,	969,	23,	1),
(121540,	8,	969,	1,	3),
(121541,	8,	969,	2,	3),
(121542,	8,	969,	3,	3),
(121543,	8,	969,	23,	3),
(121544,	8,	970,	1,	1),
(121545,	8,	970,	3,	1),
(121546,	8,	970,	23,	1),
(121547,	8,	971,	1,	1),
(121548,	8,	971,	2,	1),
(121549,	8,	971,	3,	1),
(121550,	8,	972,	1,	1),
(121551,	8,	972,	2,	1),
(121552,	8,	972,	3,	1),
(121553,	8,	972,	1,	3),
(121554,	8,	972,	2,	3),
(121555,	8,	972,	3,	3),
(121556,	8,	973,	1,	1),
(121557,	8,	973,	2,	1),
(121558,	8,	973,	3,	1),
(121559,	8,	973,	6,	1),
(121560,	8,	973,	1,	3),
(121561,	8,	973,	2,	3),
(121562,	8,	973,	3,	3),
(121563,	8,	973,	6,	3),
(121564,	8,	974,	1,	1),
(121565,	8,	974,	2,	1),
(121566,	8,	974,	3,	1),
(121567,	8,	974,	6,	1),
(121568,	8,	974,	1,	3),
(121569,	8,	974,	2,	3),
(121570,	8,	974,	3,	3),
(121571,	8,	974,	6,	3),
(121572,	8,	975,	1,	1),
(121573,	8,	975,	2,	1),
(121574,	8,	975,	3,	1),
(121575,	8,	976,	1,	1),
(121576,	8,	976,	2,	1),
(121577,	8,	976,	3,	1),
(121578,	8,	977,	1,	1),
(121579,	8,	978,	1,	1),
(121580,	8,	978,	2,	1),
(121581,	8,	978,	3,	1),
(121582,	8,	978,	6,	1),
(121583,	8,	978,	1,	3),
(121584,	8,	978,	2,	3),
(121585,	8,	978,	3,	3),
(121586,	8,	978,	6,	3),
(121587,	8,	979,	1,	1),
(121588,	8,	979,	2,	1),
(121589,	8,	979,	3,	1),
(121590,	8,	979,	6,	1),
(121591,	8,	979,	1,	3),
(121592,	8,	979,	2,	3),
(121593,	8,	979,	3,	3),
(121594,	8,	979,	6,	3),
(121595,	8,	980,	1,	1),
(121596,	8,	980,	2,	1),
(121597,	8,	980,	3,	1),
(121598,	8,	981,	1,	1),
(121599,	8,	981,	2,	1),
(121600,	8,	981,	3,	1),
(121601,	8,	982,	1,	1),
(121602,	8,	982,	2,	1),
(121603,	8,	982,	3,	1),
(121604,	8,	982,	1,	3),
(121605,	8,	982,	2,	3),
(121606,	8,	982,	3,	3),
(121607,	8,	983,	1,	1),
(121608,	8,	983,	2,	1),
(121609,	8,	983,	3,	1),
(121610,	8,	983,	6,	1),
(121611,	8,	983,	1,	3),
(121612,	8,	983,	2,	3),
(121613,	8,	983,	3,	3),
(121614,	8,	983,	6,	3),
(121615,	8,	984,	1,	1),
(121616,	8,	984,	2,	1),
(121617,	8,	984,	3,	1),
(121618,	8,	984,	6,	1),
(121619,	8,	984,	1,	3),
(121620,	8,	984,	2,	3),
(121621,	8,	984,	3,	3),
(121622,	8,	984,	6,	3),
(121623,	8,	985,	1,	1),
(121624,	8,	985,	2,	1),
(121625,	8,	985,	3,	1),
(121626,	8,	986,	1,	1),
(121627,	8,	986,	2,	1),
(121628,	8,	986,	3,	1),
(121629,	8,	987,	1,	1),
(121630,	8,	987,	2,	1),
(121631,	8,	987,	3,	1),
(121632,	8,	988,	1,	1),
(121633,	8,	988,	2,	1),
(121634,	8,	988,	3,	1),
(121635,	8,	989,	1,	1),
(121636,	8,	989,	2,	1),
(121637,	8,	989,	3,	1),
(121638,	8,	989,	6,	1),
(121639,	8,	989,	23,	1),
(121640,	8,	990,	1,	1),
(121641,	8,	990,	2,	1),
(121642,	8,	990,	3,	1),
(121643,	8,	990,	1,	2),
(121644,	8,	990,	2,	2),
(121645,	8,	990,	3,	2),
(121646,	8,	991,	1,	1),
(121647,	8,	991,	2,	1),
(121648,	8,	991,	3,	1),
(121649,	8,	991,	1,	2),
(121650,	8,	991,	2,	2),
(121651,	8,	991,	3,	2),
(121652,	8,	992,	1,	1),
(121653,	8,	992,	2,	1),
(121654,	8,	992,	3,	1),
(121655,	8,	993,	1,	1),
(121656,	8,	993,	2,	1),
(121657,	8,	993,	3,	1),
(121658,	8,	993,	6,	1),
(121659,	8,	994,	1,	1),
(121660,	8,	994,	2,	1),
(121661,	8,	994,	3,	1),
(121662,	8,	995,	1,	1),
(121663,	8,	995,	2,	1),
(121664,	8,	995,	3,	1),
(121665,	8,	996,	1,	1),
(121666,	8,	996,	2,	1),
(121667,	8,	996,	3,	1),
(121668,	8,	996,	1,	2),
(121669,	8,	996,	2,	2),
(121670,	8,	996,	3,	2),
(121671,	8,	997,	1,	1),
(121672,	8,	997,	2,	1),
(121673,	8,	997,	3,	1),
(121674,	8,	998,	1,	1),
(121675,	8,	998,	2,	1),
(121676,	8,	998,	3,	1),
(121677,	8,	998,	1,	2),
(121678,	8,	998,	2,	2),
(121679,	8,	998,	3,	2),
(121680,	8,	999,	1,	1),
(121681,	8,	999,	2,	1),
(121682,	8,	999,	3,	1),
(121683,	8,	999,	1,	2),
(121684,	8,	999,	2,	2),
(121685,	8,	999,	3,	2),
(121686,	8,	1000,	1,	1),
(121687,	8,	1000,	2,	1),
(121688,	8,	1000,	3,	1),
(121689,	8,	1001,	1,	1),
(121690,	8,	1001,	2,	1),
(121691,	8,	1001,	3,	1),
(121692,	8,	1001,	1,	2),
(121693,	8,	1001,	2,	2),
(121694,	8,	1001,	3,	2),
(121695,	8,	1002,	1,	1),
(121696,	8,	1002,	2,	1),
(121697,	8,	1002,	3,	1),
(121698,	8,	1003,	1,	1),
(121699,	8,	1003,	2,	1),
(121700,	8,	1003,	3,	1),
(121701,	8,	1004,	1,	1),
(121702,	8,	1004,	2,	1),
(121703,	8,	1004,	3,	1),
(121704,	8,	1004,	1,	2),
(121705,	8,	1004,	2,	2),
(121706,	8,	1004,	3,	2),
(121707,	8,	1005,	1,	1),
(121708,	8,	1005,	2,	1),
(121709,	8,	1005,	3,	1),
(121710,	8,	1006,	1,	1),
(121711,	8,	1006,	2,	1),
(121712,	8,	1006,	3,	1),
(121713,	8,	1007,	1,	1),
(121714,	8,	1007,	2,	1),
(121715,	8,	1007,	3,	1),
(121716,	8,	1008,	1,	1),
(121717,	8,	1008,	2,	1),
(121718,	8,	1008,	3,	1),
(121719,	8,	1009,	1,	1),
(121720,	8,	1009,	2,	1),
(121721,	8,	1009,	3,	1),
(121722,	8,	1010,	1,	1),
(121723,	8,	1010,	2,	1),
(121724,	8,	1010,	3,	1),
(121725,	8,	1011,	1,	1),
(121726,	8,	1011,	2,	1),
(121727,	8,	1011,	3,	1),
(121728,	8,	1012,	1,	1),
(121729,	8,	1012,	2,	1),
(121730,	8,	1012,	3,	1),
(121731,	8,	1012,	1,	2),
(121732,	8,	1012,	2,	2),
(121733,	8,	1012,	3,	2),
(121734,	8,	1013,	1,	1),
(121735,	8,	1013,	2,	1),
(121736,	8,	1013,	3,	1),
(121737,	8,	1014,	1,	1),
(121738,	8,	1014,	2,	1),
(121739,	8,	1014,	3,	1),
(121740,	8,	1014,	6,	1),
(121741,	8,	1015,	1,	1),
(121742,	8,	1015,	2,	1),
(121743,	8,	1015,	3,	1),
(121744,	8,	1015,	1,	2),
(121745,	8,	1015,	2,	2),
(121746,	8,	1015,	3,	2),
(121747,	8,	1016,	1,	1),
(121748,	8,	1016,	2,	1),
(121749,	8,	1016,	3,	1),
(121750,	8,	1017,	1,	1),
(121751,	8,	1017,	2,	1),
(121752,	8,	1017,	3,	1),
(121753,	8,	1017,	1,	2),
(121754,	8,	1017,	2,	2),
(121755,	8,	1017,	3,	2),
(121756,	8,	1018,	1,	1),
(121757,	8,	1018,	2,	1),
(121758,	8,	1018,	3,	1),
(121759,	8,	1019,	1,	1),
(121760,	8,	1019,	2,	1),
(121761,	8,	1019,	3,	1),
(121762,	8,	1020,	1,	1),
(121763,	8,	1020,	2,	1),
(121764,	8,	1020,	3,	1),
(121765,	8,	1021,	1,	1),
(121766,	8,	1021,	2,	1),
(121767,	8,	1021,	3,	1),
(121768,	8,	1022,	1,	1),
(121769,	8,	1022,	2,	1),
(121770,	8,	1022,	3,	1),
(121771,	8,	1023,	1,	1),
(121772,	8,	1023,	2,	1),
(121773,	8,	1023,	3,	1),
(121774,	8,	1024,	1,	1),
(121775,	8,	1024,	2,	1),
(121776,	8,	1024,	3,	1),
(121777,	8,	1025,	1,	1),
(121778,	8,	1025,	2,	1),
(121779,	8,	1025,	3,	1),
(121780,	8,	1026,	1,	1),
(121781,	8,	1026,	2,	1),
(121782,	8,	1026,	3,	1),
(121783,	8,	1027,	1,	1),
(121784,	8,	1027,	2,	1),
(121785,	8,	1027,	3,	1),
(121786,	8,	1028,	1,	1),
(121787,	8,	1028,	2,	1),
(121788,	8,	1028,	3,	1),
(121789,	8,	1029,	1,	1),
(121790,	8,	1029,	2,	1),
(121791,	8,	1029,	3,	1),
(121792,	8,	1030,	1,	1),
(121793,	8,	1030,	2,	1),
(121794,	8,	1030,	3,	1),
(121795,	8,	1030,	1,	2),
(121796,	8,	1030,	2,	2),
(121797,	8,	1030,	3,	2),
(121798,	8,	1031,	1,	1),
(121799,	8,	1031,	2,	1),
(121800,	8,	1031,	3,	1),
(121801,	8,	1031,	1,	2),
(121802,	8,	1031,	2,	2),
(121803,	8,	1031,	3,	2),
(121804,	8,	1032,	1,	1),
(121805,	8,	1032,	2,	1),
(121806,	8,	1032,	3,	1),
(121807,	8,	1032,	1,	2),
(121808,	8,	1032,	2,	2),
(121809,	8,	1032,	3,	2),
(121810,	8,	1033,	1,	1),
(121811,	8,	1033,	2,	1),
(121812,	8,	1033,	3,	1),
(121813,	8,	1034,	1,	1),
(121814,	8,	1034,	2,	1),
(121815,	8,	1034,	3,	1),
(121816,	8,	1034,	1,	2),
(121817,	8,	1034,	2,	2),
(121818,	8,	1034,	3,	2),
(121819,	8,	1035,	1,	1),
(121820,	8,	1035,	2,	1),
(121821,	8,	1035,	3,	1),
(121822,	8,	1036,	1,	1),
(121823,	8,	1036,	2,	1),
(121824,	8,	1036,	3,	1),
(121825,	8,	1037,	1,	1),
(121826,	8,	1037,	2,	1),
(121827,	8,	1037,	3,	1),
(121828,	8,	1037,	1,	2),
(121829,	8,	1037,	2,	2),
(121830,	8,	1037,	3,	2),
(121831,	8,	1038,	1,	1),
(121832,	8,	1038,	2,	1),
(121833,	8,	1038,	3,	1),
(121834,	8,	1038,	1,	2),
(121835,	8,	1038,	2,	2),
(121836,	8,	1038,	3,	2),
(121837,	8,	1039,	1,	1),
(121838,	8,	1039,	2,	1),
(121839,	8,	1039,	3,	1),
(121840,	8,	1039,	1,	2),
(121841,	8,	1039,	2,	2),
(121842,	8,	1039,	3,	2),
(121843,	8,	1040,	1,	1),
(121844,	8,	1040,	2,	1),
(121845,	8,	1040,	3,	1),
(121846,	8,	1040,	1,	2),
(121847,	8,	1040,	2,	2),
(121848,	8,	1040,	3,	2),
(121849,	8,	1041,	1,	1),
(121850,	8,	1041,	2,	1),
(121851,	8,	1041,	3,	1),
(121852,	8,	1042,	1,	1),
(121853,	8,	1042,	2,	1),
(121854,	8,	1042,	3,	1),
(121855,	8,	1042,	1,	2),
(121856,	8,	1042,	2,	2),
(121857,	8,	1042,	3,	2),
(121858,	8,	1043,	1,	1),
(121859,	8,	1043,	2,	1),
(121860,	8,	1043,	3,	1),
(121861,	8,	1044,	1,	1),
(121862,	8,	1044,	2,	1),
(121863,	8,	1044,	3,	1),
(121864,	8,	1045,	1,	1),
(121865,	8,	1045,	2,	1),
(121866,	8,	1045,	3,	1),
(121867,	8,	1046,	1,	1),
(121868,	8,	1046,	2,	1),
(121869,	8,	1046,	3,	1),
(121870,	8,	1047,	1,	1),
(121871,	8,	1047,	2,	1),
(121872,	8,	1047,	3,	1),
(121873,	8,	1047,	1,	2),
(121874,	8,	1047,	2,	2),
(121875,	8,	1047,	3,	2),
(121876,	8,	1048,	1,	1),
(121877,	8,	1048,	2,	1),
(121878,	8,	1048,	3,	1),
(121879,	8,	1049,	1,	1),
(121880,	8,	1049,	2,	1),
(121881,	8,	1049,	3,	1),
(121882,	8,	1050,	1,	1),
(121883,	8,	1050,	2,	1),
(121884,	8,	1050,	3,	1),
(121885,	8,	1050,	1,	2),
(121886,	8,	1050,	2,	2),
(121887,	8,	1050,	3,	2),
(121888,	8,	1051,	1,	1),
(121889,	8,	1051,	2,	1),
(121890,	8,	1051,	3,	1),
(121891,	8,	1052,	1,	1),
(121892,	8,	1052,	2,	1),
(121893,	8,	1052,	3,	1),
(121894,	8,	1053,	1,	1),
(121895,	8,	1053,	2,	1),
(121896,	8,	1053,	3,	1),
(121897,	8,	1054,	1,	1),
(121898,	8,	1054,	2,	1),
(121899,	8,	1054,	3,	1),
(121900,	8,	1055,	1,	1),
(121901,	8,	1055,	2,	1),
(121902,	8,	1055,	3,	1),
(121903,	8,	1056,	1,	1),
(121904,	8,	1056,	2,	1),
(121905,	8,	1056,	3,	1),
(121906,	8,	1057,	1,	1),
(121907,	8,	1057,	2,	1),
(121908,	8,	1057,	3,	1),
(121909,	8,	1058,	1,	1),
(121910,	8,	1058,	2,	1),
(121911,	8,	1058,	3,	1),
(121912,	8,	1059,	1,	1),
(121913,	8,	1059,	2,	1),
(121914,	8,	1059,	3,	1),
(121915,	8,	1060,	1,	1),
(121916,	8,	1060,	2,	1),
(121917,	8,	1060,	3,	1),
(121918,	8,	1061,	1,	1),
(121919,	8,	1061,	2,	1),
(121920,	8,	1061,	3,	1),
(121921,	8,	1061,	1,	2),
(121922,	8,	1061,	2,	2),
(121923,	8,	1061,	3,	2),
(121924,	8,	1062,	1,	1),
(121925,	8,	1062,	2,	1),
(121926,	8,	1062,	3,	1),
(121927,	8,	1063,	1,	1),
(121928,	8,	1063,	2,	1),
(121929,	8,	1063,	3,	1),
(121930,	8,	1064,	1,	1),
(121931,	8,	1064,	2,	1),
(121932,	8,	1064,	3,	1),
(121933,	8,	1064,	1,	2),
(121934,	8,	1064,	2,	2),
(121935,	8,	1064,	3,	2),
(121936,	8,	1065,	1,	1),
(121937,	8,	1065,	2,	1),
(121938,	8,	1065,	3,	1),
(121939,	8,	1065,	1,	2),
(121940,	8,	1065,	2,	2),
(121941,	8,	1065,	3,	2),
(121942,	8,	1066,	1,	1),
(121943,	8,	1066,	2,	1),
(121944,	8,	1066,	3,	1),
(121945,	8,	1066,	1,	2),
(121946,	8,	1066,	2,	2),
(121947,	8,	1066,	3,	2),
(121948,	8,	1067,	1,	1),
(121949,	8,	1067,	2,	1),
(121950,	8,	1067,	3,	1),
(121951,	8,	1067,	1,	2),
(121952,	8,	1067,	2,	2),
(121953,	8,	1067,	3,	2),
(121954,	8,	1068,	1,	1),
(121955,	8,	1068,	2,	1),
(121956,	8,	1068,	3,	1),
(121957,	8,	1068,	1,	2),
(121958,	8,	1068,	2,	2),
(121959,	8,	1068,	3,	2),
(121960,	8,	1069,	1,	1),
(121961,	8,	1069,	2,	1),
(121962,	8,	1069,	3,	1),
(121963,	8,	1069,	1,	2),
(121964,	8,	1069,	2,	2),
(121965,	8,	1069,	3,	2),
(121966,	8,	1070,	1,	1),
(121967,	8,	1070,	2,	1),
(121968,	8,	1070,	3,	1),
(121969,	8,	1070,	1,	2),
(121970,	8,	1070,	2,	2),
(121971,	8,	1070,	3,	2),
(121972,	8,	1072,	2,	1),
(121973,	8,	1072,	28,	1),
(121974,	8,	1077,	1,	1),
(121975,	8,	1077,	2,	1),
(121976,	8,	1077,	3,	1),
(121977,	8,	1077,	1,	3),
(121978,	8,	1077,	2,	3),
(121979,	8,	1077,	3,	3),
(121980,	8,	1078,	1,	1),
(121981,	8,	1078,	2,	1),
(121982,	8,	1078,	3,	1),
(121983,	8,	1078,	1,	2),
(121984,	8,	1078,	2,	2),
(121985,	8,	1078,	3,	2),
(121986,	8,	1079,	1,	1),
(121987,	8,	1079,	2,	1),
(121988,	8,	1079,	3,	1),
(121989,	8,	1079,	1,	2),
(121990,	8,	1079,	2,	2),
(121991,	8,	1079,	3,	2),
(121992,	8,	1080,	2,	1),
(121993,	8,	1081,	1,	1),
(121994,	8,	1081,	2,	1),
(121995,	8,	1081,	3,	1),
(121996,	8,	1081,	1,	2),
(121997,	8,	1081,	2,	2),
(121998,	8,	1081,	3,	2),
(121999,	8,	1082,	1,	1),
(122000,	8,	1082,	2,	1),
(122001,	8,	1082,	3,	1),
(122002,	8,	1082,	1,	2),
(122003,	8,	1082,	2,	2),
(122004,	8,	1082,	3,	2),
(122005,	8,	1083,	1,	1),
(122006,	8,	1083,	2,	1),
(122007,	8,	1083,	3,	1),
(122008,	8,	1083,	1,	2),
(122009,	8,	1083,	2,	2),
(122010,	8,	1083,	3,	2),
(122011,	8,	1084,	1,	1),
(122012,	8,	1084,	2,	1),
(122013,	8,	1084,	3,	1),
(122014,	8,	1084,	1,	2),
(122015,	8,	1084,	2,	2),
(122016,	8,	1084,	3,	2),
(122017,	8,	1085,	2,	1),
(122018,	8,	1086,	1,	1),
(122019,	8,	1086,	2,	1),
(122020,	8,	1086,	3,	1),
(122021,	8,	1086,	1,	2),
(122022,	8,	1086,	2,	2),
(122023,	8,	1086,	3,	2),
(122024,	8,	1087,	1,	1),
(122025,	8,	1087,	2,	1),
(122026,	8,	1087,	3,	1),
(122027,	8,	1087,	1,	2),
(122028,	8,	1087,	2,	2),
(122029,	8,	1087,	3,	2),
(122030,	8,	1088,	1,	1),
(122031,	8,	1088,	2,	1),
(122032,	8,	1088,	3,	1),
(122033,	8,	1088,	1,	2),
(122034,	8,	1088,	2,	2),
(122035,	8,	1088,	3,	2),
(122036,	8,	1089,	1,	1),
(122037,	8,	1089,	2,	1),
(122038,	8,	1089,	3,	1),
(122039,	8,	1090,	1,	1),
(122040,	8,	1090,	2,	1),
(122041,	8,	1090,	3,	1),
(122042,	8,	1090,	1,	2),
(122043,	8,	1090,	2,	2),
(122044,	8,	1090,	3,	2),
(122045,	8,	1091,	1,	1),
(122046,	8,	1091,	2,	1),
(122047,	8,	1091,	3,	1),
(122048,	8,	1091,	1,	2),
(122049,	8,	1091,	2,	2),
(122050,	8,	1091,	3,	2),
(122051,	8,	1092,	1,	1),
(122052,	8,	1092,	2,	1),
(122053,	8,	1092,	3,	1),
(122054,	8,	1093,	1,	1),
(122055,	8,	1093,	2,	1),
(122056,	8,	1093,	3,	1),
(122057,	8,	1093,	1,	2),
(122058,	8,	1093,	2,	2),
(122059,	8,	1093,	3,	2),
(122060,	8,	1094,	1,	1),
(122061,	8,	1094,	2,	1),
(122062,	8,	1094,	3,	1),
(122063,	8,	1094,	1,	2),
(122064,	8,	1094,	2,	2),
(122065,	8,	1094,	3,	2),
(122066,	8,	1095,	1,	1),
(122067,	8,	1095,	2,	1),
(122068,	8,	1095,	3,	1),
(122069,	8,	1095,	1,	2),
(122070,	8,	1095,	2,	2),
(122071,	8,	1095,	3,	2),
(122072,	8,	1096,	1,	1),
(122073,	8,	1096,	2,	1),
(122074,	8,	1096,	3,	1),
(122075,	8,	1097,	1,	1),
(122076,	8,	1097,	2,	1),
(122077,	8,	1097,	3,	1),
(122078,	8,	1097,	1,	2),
(122079,	8,	1097,	2,	2),
(122080,	8,	1097,	3,	2),
(122081,	8,	1098,	1,	1),
(122082,	8,	1098,	2,	1),
(122083,	8,	1098,	3,	1),
(122084,	8,	1098,	1,	2),
(122085,	8,	1098,	2,	2),
(122086,	8,	1098,	3,	2),
(122087,	8,	1099,	1,	1),
(122088,	8,	1099,	2,	1),
(122089,	8,	1099,	3,	1),
(122090,	8,	1099,	1,	2),
(122091,	8,	1099,	2,	2),
(122092,	8,	1099,	3,	2),
(122093,	8,	1100,	1,	1),
(122094,	8,	1100,	2,	1),
(122095,	8,	1100,	3,	1),
(122096,	8,	1100,	1,	2),
(122097,	8,	1100,	2,	2),
(122098,	8,	1100,	3,	2),
(122099,	8,	1101,	1,	1),
(122100,	8,	1101,	2,	1),
(122101,	8,	1101,	3,	1),
(122102,	8,	1102,	1,	1),
(122103,	8,	1102,	2,	1),
(122104,	8,	1102,	3,	1),
(122105,	8,	1102,	1,	2),
(122106,	8,	1102,	2,	2),
(122107,	8,	1102,	3,	2),
(122108,	8,	1103,	1,	1),
(122109,	8,	1103,	2,	1),
(122110,	8,	1103,	3,	1),
(122111,	8,	1103,	1,	2),
(122112,	8,	1103,	2,	2),
(122113,	8,	1103,	3,	2),
(122114,	8,	1104,	1,	1),
(122115,	8,	1104,	2,	1),
(122116,	8,	1104,	3,	1),
(122117,	8,	1104,	1,	2),
(122118,	8,	1104,	2,	2),
(122119,	8,	1104,	3,	2),
(122120,	8,	1105,	1,	1),
(122121,	8,	1105,	2,	1),
(122122,	8,	1105,	3,	1),
(122123,	8,	1105,	1,	2),
(122124,	8,	1105,	2,	2),
(122125,	8,	1105,	3,	2),
(122126,	8,	1106,	1,	1),
(122127,	8,	1106,	2,	1),
(122128,	8,	1106,	3,	1),
(122129,	8,	1106,	1,	2),
(122130,	8,	1106,	2,	2),
(122131,	8,	1106,	3,	2),
(122132,	8,	1107,	1,	1),
(122133,	8,	1107,	2,	1),
(122134,	8,	1107,	3,	1),
(122135,	8,	1108,	1,	1),
(122136,	8,	1108,	2,	1),
(122137,	8,	1108,	3,	1),
(122138,	8,	1108,	1,	2),
(122139,	8,	1108,	2,	2),
(122140,	8,	1108,	3,	2),
(122141,	8,	1109,	1,	1),
(122142,	8,	1109,	2,	1),
(122143,	8,	1109,	3,	1),
(122144,	8,	1109,	1,	2),
(122145,	8,	1109,	2,	2),
(122146,	8,	1109,	3,	2),
(122147,	8,	1110,	1,	1),
(122148,	8,	1110,	2,	1),
(122149,	8,	1110,	3,	1),
(122150,	8,	1110,	1,	2),
(122151,	8,	1110,	2,	2),
(122152,	8,	1110,	3,	2),
(122153,	8,	1111,	1,	1),
(122154,	8,	1111,	2,	1),
(122155,	8,	1111,	3,	1),
(122156,	8,	1111,	1,	2),
(122157,	8,	1111,	2,	2),
(122158,	8,	1111,	3,	2),
(122159,	8,	1112,	1,	1),
(122160,	8,	1112,	2,	1),
(122161,	8,	1112,	3,	1),
(122162,	8,	1113,	1,	1),
(122163,	8,	1113,	2,	1),
(122164,	8,	1113,	3,	1),
(122165,	8,	1113,	1,	2),
(122166,	8,	1113,	2,	2),
(122167,	8,	1113,	3,	2),
(122168,	8,	1114,	1,	1),
(122169,	8,	1114,	2,	1),
(122170,	8,	1114,	3,	1),
(122171,	8,	1114,	1,	2),
(122172,	8,	1114,	2,	2),
(122173,	8,	1114,	3,	2),
(122174,	8,	1115,	1,	1),
(122175,	8,	1115,	2,	1),
(122176,	8,	1115,	3,	1),
(122177,	8,	1115,	1,	2),
(122178,	8,	1115,	2,	2),
(122179,	8,	1115,	3,	2),
(122180,	8,	1116,	1,	1),
(122181,	8,	1116,	2,	1),
(122182,	8,	1116,	3,	1),
(122183,	8,	1116,	1,	2),
(122184,	8,	1116,	2,	2),
(122185,	8,	1116,	3,	2),
(122186,	8,	1117,	1,	1),
(122187,	8,	1117,	2,	1),
(122188,	8,	1117,	3,	1),
(122189,	8,	1117,	1,	2),
(122190,	8,	1117,	2,	2),
(122191,	8,	1117,	3,	2),
(122192,	8,	1118,	1,	1),
(122193,	8,	1118,	2,	1),
(122194,	8,	1118,	3,	1),
(122195,	8,	1118,	1,	2),
(122196,	8,	1118,	2,	2),
(122197,	8,	1118,	3,	2),
(122198,	8,	1119,	1,	1),
(122199,	8,	1119,	2,	1),
(122200,	8,	1119,	3,	1),
(122201,	8,	1120,	1,	1),
(122202,	8,	1120,	2,	1),
(122203,	8,	1120,	3,	1),
(122204,	8,	1120,	1,	2),
(122205,	8,	1120,	2,	2),
(122206,	8,	1120,	3,	2),
(122207,	8,	1121,	1,	1),
(122208,	8,	1121,	2,	1),
(122209,	8,	1121,	3,	1),
(122210,	8,	1121,	1,	2),
(122211,	8,	1121,	2,	2),
(122212,	8,	1121,	3,	2),
(122213,	8,	1122,	1,	1),
(122214,	8,	1122,	2,	1),
(122215,	8,	1122,	3,	1),
(122216,	8,	1122,	1,	2),
(122217,	8,	1122,	2,	2),
(122218,	8,	1122,	3,	2),
(122219,	8,	1123,	1,	1),
(122220,	8,	1123,	2,	1),
(122221,	8,	1123,	3,	1),
(122222,	8,	1123,	1,	2),
(122223,	8,	1123,	2,	2),
(122224,	8,	1123,	3,	2),
(122225,	8,	1124,	1,	1),
(122226,	8,	1124,	2,	1),
(122227,	8,	1124,	3,	1),
(122228,	8,	1125,	1,	1),
(122229,	8,	1125,	2,	1),
(122230,	8,	1125,	3,	1),
(122231,	8,	1125,	1,	2),
(122232,	8,	1125,	2,	2),
(122233,	8,	1125,	3,	2),
(122234,	8,	1126,	1,	1),
(122235,	8,	1126,	2,	1),
(122236,	8,	1126,	3,	1),
(122237,	8,	1126,	1,	2),
(122238,	8,	1126,	2,	2),
(122239,	8,	1126,	3,	2),
(122240,	8,	1127,	2,	1),
(122241,	8,	1128,	1,	1),
(122242,	8,	1128,	2,	1),
(122243,	8,	1128,	3,	1),
(122244,	8,	1128,	1,	2),
(122245,	8,	1128,	2,	2),
(122246,	8,	1128,	3,	2),
(122247,	8,	1129,	1,	1),
(122248,	8,	1129,	2,	1),
(122249,	8,	1129,	3,	1),
(122250,	8,	1129,	1,	3),
(122251,	8,	1129,	2,	3),
(122252,	8,	1129,	3,	3),
(122253,	8,	1130,	1,	1),
(122254,	8,	1130,	2,	1),
(122255,	8,	1130,	3,	1),
(122256,	8,	1130,	1,	3),
(122257,	8,	1130,	2,	3),
(122258,	8,	1130,	3,	3),
(122259,	8,	1131,	1,	1),
(122260,	8,	1131,	2,	1),
(122261,	8,	1131,	3,	1),
(122262,	8,	1131,	23,	1),
(122263,	8,	1131,	4,	1),
(122264,	8,	1131,	25,	1),
(122265,	8,	1131,	24,	1),
(122266,	8,	1131,	6,	1),
(122267,	8,	1131,	1,	3),
(122268,	8,	1131,	2,	3),
(122269,	8,	1131,	3,	3),
(122270,	8,	1131,	23,	3),
(122271,	8,	1131,	4,	3),
(122272,	8,	1131,	25,	3),
(122273,	8,	1131,	24,	3),
(122274,	8,	1131,	6,	3),
(122275,	8,	1132,	1,	1),
(122276,	8,	1132,	2,	1),
(122277,	8,	1132,	3,	1),
(122278,	8,	1132,	23,	1),
(122279,	8,	1132,	4,	1),
(122280,	8,	1132,	25,	1),
(122281,	8,	1132,	24,	1),
(122282,	8,	1132,	6,	1),
(122283,	8,	1132,	1,	3),
(122284,	8,	1132,	2,	3),
(122285,	8,	1132,	3,	3),
(122286,	8,	1132,	23,	3),
(122287,	8,	1132,	4,	3),
(122288,	8,	1132,	25,	3),
(122289,	8,	1132,	24,	3),
(122290,	8,	1132,	6,	3),
(122291,	8,	1133,	1,	1),
(122292,	8,	1133,	2,	1),
(122293,	8,	1133,	3,	1),
(122294,	8,	1133,	23,	1),
(122295,	8,	1133,	4,	1),
(122296,	8,	1133,	25,	1),
(122297,	8,	1133,	24,	1),
(122298,	8,	1133,	6,	1),
(122299,	8,	1133,	1,	3),
(122300,	8,	1133,	2,	3),
(122301,	8,	1133,	3,	3),
(122302,	8,	1133,	23,	3),
(122303,	8,	1133,	4,	3),
(122304,	8,	1133,	25,	3),
(122305,	8,	1133,	24,	3),
(122306,	8,	1133,	6,	3),
(122307,	8,	1134,	1,	1),
(122308,	8,	1134,	2,	1),
(122309,	8,	1134,	3,	1),
(122310,	8,	1134,	23,	1),
(122311,	8,	1134,	4,	1),
(122312,	8,	1134,	25,	1),
(122313,	8,	1134,	24,	1),
(122314,	8,	1134,	6,	1),
(122315,	8,	1134,	1,	3),
(122316,	8,	1134,	2,	3),
(122317,	8,	1134,	3,	3),
(122318,	8,	1134,	23,	3),
(122319,	8,	1134,	4,	3),
(122320,	8,	1134,	25,	3),
(122321,	8,	1134,	24,	3),
(122322,	8,	1134,	6,	3),
(122323,	8,	1135,	1,	1),
(122324,	8,	1135,	2,	1),
(122325,	8,	1135,	3,	1),
(122326,	8,	1135,	23,	1),
(122327,	8,	1135,	4,	1),
(122328,	8,	1135,	25,	1),
(122329,	8,	1135,	24,	1),
(122330,	8,	1135,	6,	1),
(122331,	8,	1135,	1,	3),
(122332,	8,	1135,	2,	3),
(122333,	8,	1135,	3,	3),
(122334,	8,	1135,	23,	3),
(122335,	8,	1135,	4,	3),
(122336,	8,	1135,	25,	3),
(122337,	8,	1135,	24,	3),
(122338,	8,	1135,	6,	3),
(122339,	8,	1136,	1,	1),
(122340,	8,	1136,	2,	1),
(122341,	8,	1136,	3,	1),
(122342,	8,	1136,	23,	1),
(122343,	8,	1136,	4,	1),
(122344,	8,	1136,	25,	1),
(122345,	8,	1136,	24,	1),
(122346,	8,	1136,	6,	1),
(122347,	8,	1136,	1,	3),
(122348,	8,	1136,	2,	3),
(122349,	8,	1136,	3,	3),
(122350,	8,	1136,	23,	3),
(122351,	8,	1136,	4,	3),
(122352,	8,	1136,	25,	3),
(122353,	8,	1136,	24,	3),
(122354,	8,	1136,	6,	3),
(122355,	8,	1137,	1,	1),
(122356,	8,	1137,	2,	1),
(122357,	8,	1137,	3,	1),
(122358,	8,	1137,	1,	2),
(122359,	8,	1137,	2,	2),
(122360,	8,	1137,	3,	2),
(122361,	8,	1138,	1,	1),
(122362,	8,	1138,	2,	1),
(122363,	8,	1138,	3,	1),
(122364,	8,	1138,	23,	1),
(122365,	8,	1138,	4,	1),
(122366,	8,	1138,	25,	1),
(122367,	8,	1138,	24,	1),
(122368,	8,	1138,	6,	1),
(122369,	8,	1138,	1,	3),
(122370,	8,	1138,	2,	3),
(122371,	8,	1138,	3,	3),
(122372,	8,	1138,	23,	3),
(122373,	8,	1138,	4,	3),
(122374,	8,	1138,	25,	3),
(122375,	8,	1138,	24,	3),
(122376,	8,	1138,	6,	3),
(122377,	8,	1139,	1,	1),
(122378,	8,	1139,	2,	1),
(122379,	8,	1139,	3,	1),
(122380,	8,	1139,	23,	1),
(122381,	8,	1139,	4,	1),
(122382,	8,	1139,	25,	1),
(122383,	8,	1139,	24,	1),
(122384,	8,	1139,	6,	1),
(122385,	8,	1139,	1,	3),
(122386,	8,	1139,	2,	3),
(122387,	8,	1139,	3,	3),
(122388,	8,	1139,	23,	3),
(122389,	8,	1139,	4,	3),
(122390,	8,	1139,	25,	3),
(122391,	8,	1139,	24,	3),
(122392,	8,	1139,	6,	3),
(122393,	8,	1140,	1,	1),
(122394,	8,	1140,	2,	1),
(122395,	8,	1140,	3,	1),
(122396,	8,	1140,	23,	1),
(122397,	8,	1140,	4,	1),
(122398,	8,	1140,	25,	1),
(122399,	8,	1140,	24,	1),
(122400,	8,	1140,	6,	1),
(122401,	8,	1140,	1,	3),
(122402,	8,	1140,	2,	3),
(122403,	8,	1140,	3,	3),
(122404,	8,	1140,	23,	3),
(122405,	8,	1140,	4,	3),
(122406,	8,	1140,	25,	3),
(122407,	8,	1140,	24,	3),
(122408,	8,	1140,	6,	3),
(122409,	8,	1141,	1,	1),
(122410,	8,	1141,	2,	1),
(122411,	8,	1141,	3,	1),
(122412,	8,	1142,	1,	1),
(122413,	8,	1142,	2,	1),
(122414,	8,	1142,	3,	1),
(122415,	8,	1142,	1,	3),
(122416,	8,	1142,	2,	3),
(122417,	8,	1142,	3,	3),
(122418,	8,	1143,	1,	1),
(122419,	8,	1143,	2,	1),
(122420,	8,	1143,	3,	1),
(122421,	8,	1143,	23,	1),
(122422,	8,	1143,	4,	1),
(122423,	8,	1143,	25,	1),
(122424,	8,	1143,	24,	1),
(122425,	8,	1143,	6,	1),
(122426,	8,	1143,	1,	3),
(122427,	8,	1143,	2,	3),
(122428,	8,	1143,	3,	3),
(122429,	8,	1143,	23,	3),
(122430,	8,	1143,	4,	3),
(122431,	8,	1143,	25,	3),
(122432,	8,	1143,	24,	3),
(122433,	8,	1143,	6,	3),
(122434,	8,	1144,	1,	1),
(122435,	8,	1144,	2,	1),
(122436,	8,	1144,	3,	1),
(122437,	8,	1145,	1,	1),
(122438,	8,	1145,	2,	1),
(122439,	8,	1145,	3,	1),
(122440,	8,	1145,	23,	1),
(122441,	8,	1145,	4,	1),
(122442,	8,	1145,	25,	1),
(122443,	8,	1145,	24,	1),
(122444,	8,	1145,	6,	1),
(122445,	8,	1145,	1,	3),
(122446,	8,	1145,	2,	3),
(122447,	8,	1145,	3,	3),
(122448,	8,	1145,	23,	3),
(122449,	8,	1145,	4,	3),
(122450,	8,	1145,	25,	3),
(122451,	8,	1145,	24,	3),
(122452,	8,	1145,	6,	3),
(122453,	8,	1146,	1,	1),
(122454,	8,	1146,	2,	1),
(122455,	8,	1146,	3,	1),
(122456,	8,	1146,	1,	2),
(122457,	8,	1146,	2,	2),
(122458,	8,	1146,	3,	2),
(122459,	8,	1147,	1,	1),
(122460,	8,	1147,	2,	1),
(122461,	8,	1147,	3,	1),
(122462,	8,	1148,	1,	1),
(122463,	8,	1148,	2,	1),
(122464,	8,	1148,	3,	1),
(122465,	8,	1148,	23,	1),
(122466,	8,	1148,	4,	1),
(122467,	8,	1148,	25,	1),
(122468,	8,	1148,	24,	1),
(122469,	8,	1148,	6,	1),
(122470,	8,	1148,	1,	3),
(122471,	8,	1148,	2,	3),
(122472,	8,	1148,	3,	3),
(122473,	8,	1148,	23,	3),
(122474,	8,	1148,	4,	3),
(122475,	8,	1148,	25,	3),
(122476,	8,	1148,	24,	3),
(122477,	8,	1148,	6,	3),
(122478,	8,	1149,	1,	1),
(122479,	8,	1149,	2,	1),
(122480,	8,	1149,	3,	1),
(122481,	8,	1149,	1,	2),
(122482,	8,	1149,	2,	2),
(122483,	8,	1149,	3,	2),
(122484,	8,	1150,	1,	1),
(122485,	8,	1150,	2,	1),
(122486,	8,	1150,	3,	1),
(122487,	8,	1151,	1,	1),
(122488,	8,	1151,	2,	1),
(122489,	8,	1151,	3,	1),
(122490,	8,	1151,	23,	1),
(122491,	8,	1151,	4,	1),
(122492,	8,	1151,	25,	1),
(122493,	8,	1151,	24,	1),
(122494,	8,	1151,	6,	1),
(122495,	8,	1151,	1,	3),
(122496,	8,	1151,	2,	3),
(122497,	8,	1151,	3,	3),
(122498,	8,	1151,	23,	3),
(122499,	8,	1151,	4,	3),
(122500,	8,	1151,	25,	3),
(122501,	8,	1151,	24,	3),
(122502,	8,	1151,	6,	3),
(122503,	8,	1152,	1,	1),
(122504,	8,	1152,	2,	1),
(122505,	8,	1152,	3,	1),
(122506,	8,	1152,	1,	2),
(122507,	8,	1152,	2,	2),
(122508,	8,	1152,	3,	2),
(122509,	8,	1153,	1,	1),
(122510,	8,	1153,	2,	1),
(122511,	8,	1153,	3,	1),
(122512,	8,	1154,	1,	1),
(122513,	8,	1154,	2,	1),
(122514,	8,	1154,	3,	1),
(122515,	8,	1155,	1,	1),
(122516,	8,	1155,	2,	1),
(122517,	8,	1155,	3,	1),
(122518,	8,	1156,	1,	1),
(122519,	8,	1156,	2,	1),
(122520,	8,	1156,	3,	1),
(122521,	8,	1157,	1,	1),
(122522,	8,	1157,	2,	1),
(122523,	8,	1157,	3,	1),
(122524,	8,	1158,	1,	1),
(122525,	8,	1158,	2,	1),
(122526,	8,	1158,	3,	1),
(122527,	8,	1159,	1,	1),
(122528,	8,	1159,	2,	1),
(122529,	8,	1159,	3,	1),
(122530,	8,	1160,	1,	1),
(122531,	8,	1160,	2,	1),
(122532,	8,	1160,	3,	1),
(122533,	8,	1161,	1,	1),
(122534,	8,	1161,	2,	1),
(122535,	8,	1161,	3,	1),
(122536,	8,	1161,	1,	2),
(122537,	8,	1161,	2,	2),
(122538,	8,	1161,	3,	2),
(122539,	8,	1162,	1,	1),
(122540,	8,	1162,	2,	1),
(122541,	8,	1162,	3,	1),
(122542,	8,	1163,	1,	1),
(122543,	8,	1163,	2,	1),
(122544,	8,	1163,	3,	1),
(122545,	8,	1163,	1,	2),
(122546,	8,	1163,	2,	2),
(122547,	8,	1163,	3,	2),
(122548,	8,	1166,	2,	1),
(122549,	8,	1166,	3,	1),
(122550,	8,	1166,	55,	1),
(122551,	8,	1166,	63,	1),
(122552,	8,	1174,	1,	1),
(122553,	8,	1174,	2,	1),
(122554,	8,	1174,	3,	1),
(122555,	8,	1175,	1,	1),
(122556,	8,	1175,	2,	1),
(122557,	8,	1175,	3,	1),
(122558,	8,	1176,	1,	1),
(122559,	8,	1176,	2,	1),
(122560,	8,	1176,	3,	1),
(122561,	8,	1176,	1,	2),
(122562,	8,	1176,	2,	2),
(122563,	8,	1176,	3,	2),
(122564,	8,	1177,	1,	1),
(122565,	8,	1177,	2,	1),
(122566,	8,	1177,	3,	1),
(122567,	8,	1177,	1,	2),
(122568,	8,	1177,	2,	2),
(122569,	8,	1177,	3,	2),
(122570,	8,	1178,	1,	1),
(122571,	8,	1178,	2,	1),
(122572,	8,	1178,	3,	1),
(122573,	8,	1179,	1,	1),
(122574,	8,	1179,	2,	1),
(122575,	8,	1179,	3,	1),
(122576,	8,	1179,	1,	2),
(122577,	8,	1179,	2,	2),
(122578,	8,	1179,	3,	2),
(122579,	8,	1180,	1,	1),
(122580,	8,	1180,	2,	1),
(122581,	8,	1180,	3,	1),
(122582,	8,	1181,	1,	1),
(122583,	8,	1181,	2,	1),
(122584,	8,	1181,	3,	1),
(122585,	8,	1182,	2,	1),
(122586,	8,	1183,	1,	1),
(122587,	8,	1183,	2,	1),
(122588,	8,	1183,	3,	1),
(122589,	8,	1183,	1,	2),
(122590,	8,	1183,	2,	2),
(122591,	8,	1183,	3,	2),
(122592,	8,	1184,	1,	1),
(122593,	8,	1184,	2,	1),
(122594,	8,	1184,	3,	1),
(122595,	8,	1185,	1,	1),
(122596,	8,	1185,	2,	1),
(122597,	8,	1185,	3,	1),
(122598,	8,	1186,	1,	1),
(122599,	8,	1186,	2,	1),
(122600,	8,	1186,	3,	1),
(122601,	8,	1186,	1,	2),
(122602,	8,	1186,	2,	2),
(122603,	8,	1186,	3,	2),
(122604,	8,	1187,	1,	1),
(122605,	8,	1187,	2,	1),
(122606,	8,	1187,	3,	1),
(122607,	8,	1188,	1,	1),
(122608,	8,	1188,	2,	1),
(122609,	8,	1188,	3,	1),
(122610,	8,	1189,	1,	1),
(122611,	8,	1189,	2,	1),
(122612,	8,	1189,	3,	1),
(122613,	8,	1190,	1,	1),
(122614,	8,	1190,	2,	1),
(122615,	8,	1190,	3,	1),
(122616,	8,	1191,	1,	1),
(122617,	8,	1191,	2,	1),
(122618,	8,	1191,	3,	1),
(122619,	8,	1192,	1,	1),
(122620,	8,	1192,	2,	1),
(122621,	8,	1192,	3,	1),
(122622,	8,	1192,	1,	2),
(122623,	8,	1192,	2,	2),
(122624,	8,	1192,	3,	2),
(122625,	8,	1193,	1,	1),
(122626,	8,	1193,	2,	1),
(122627,	8,	1193,	3,	1),
(122628,	8,	1194,	1,	1),
(122629,	8,	1194,	2,	1),
(122630,	8,	1194,	3,	1),
(122631,	8,	1195,	1,	1),
(122632,	8,	1195,	2,	1),
(122633,	8,	1195,	3,	1),
(122634,	8,	1195,	65,	1),
(122635,	8,	1195,	66,	1),
(122636,	8,	1195,	7,	1),
(122637,	8,	1195,	8,	1),
(122638,	8,	1195,	67,	1),
(122639,	8,	1195,	68,	1),
(122640,	8,	1195,	15,	1),
(122641,	8,	1195,	1,	3),
(122642,	8,	1195,	2,	3),
(122643,	8,	1195,	3,	3),
(122644,	8,	1195,	65,	3),
(122645,	8,	1195,	66,	3),
(122646,	8,	1195,	7,	3),
(122647,	8,	1195,	8,	3),
(122648,	8,	1195,	67,	3),
(122649,	8,	1195,	68,	3),
(122650,	8,	1195,	15,	3),
(122651,	8,	1196,	1,	1),
(122652,	8,	1196,	2,	1),
(122653,	8,	1196,	3,	1),
(122654,	8,	1196,	65,	1),
(122655,	8,	1196,	66,	1),
(122656,	8,	1196,	7,	1),
(122657,	8,	1196,	8,	1),
(122658,	8,	1196,	67,	1),
(122659,	8,	1196,	68,	1),
(122660,	8,	1196,	15,	1),
(122661,	8,	1196,	1,	3),
(122662,	8,	1196,	2,	3),
(122663,	8,	1196,	3,	3),
(122664,	8,	1196,	65,	3),
(122665,	8,	1196,	66,	3),
(122666,	8,	1196,	7,	3),
(122667,	8,	1196,	8,	3),
(122668,	8,	1196,	67,	3),
(122669,	8,	1196,	68,	3),
(122670,	8,	1196,	15,	3),
(122671,	8,	1197,	1,	1),
(122672,	8,	1197,	2,	1),
(122673,	8,	1197,	3,	1),
(122674,	8,	1197,	1,	3),
(122675,	8,	1197,	2,	3),
(122676,	8,	1197,	3,	3),
(122677,	8,	1198,	1,	1),
(122678,	8,	1198,	2,	1),
(122679,	8,	1198,	3,	1),
(122680,	8,	1198,	1,	3),
(122681,	8,	1198,	2,	3),
(122682,	8,	1198,	3,	3),
(122683,	8,	1199,	1,	1),
(122684,	8,	1199,	2,	1),
(122685,	8,	1199,	3,	1),
(122686,	8,	1199,	65,	1),
(122687,	8,	1199,	66,	1),
(122688,	8,	1199,	7,	1),
(122689,	8,	1199,	8,	1),
(122690,	8,	1199,	67,	1),
(122691,	8,	1199,	68,	1),
(122692,	8,	1199,	15,	1),
(122693,	8,	1199,	1,	3),
(122694,	8,	1199,	2,	3),
(122695,	8,	1199,	3,	3),
(122696,	8,	1199,	65,	3),
(122697,	8,	1199,	66,	3),
(122698,	8,	1199,	7,	3),
(122699,	8,	1199,	8,	3),
(122700,	8,	1199,	67,	3),
(122701,	8,	1199,	68,	3),
(122702,	8,	1199,	15,	3),
(122703,	8,	1200,	1,	1),
(122704,	8,	1200,	2,	1),
(122705,	8,	1200,	3,	1),
(122706,	8,	1200,	65,	1),
(122707,	8,	1200,	66,	1),
(122708,	8,	1200,	7,	1),
(122709,	8,	1200,	8,	1),
(122710,	8,	1200,	67,	1),
(122711,	8,	1200,	68,	1),
(122712,	8,	1200,	15,	1),
(122713,	8,	1200,	1,	3),
(122714,	8,	1200,	2,	3),
(122715,	8,	1200,	3,	3),
(122716,	8,	1200,	65,	3),
(122717,	8,	1200,	66,	3),
(122718,	8,	1200,	7,	3),
(122719,	8,	1200,	8,	3),
(122720,	8,	1200,	67,	3),
(122721,	8,	1200,	68,	3),
(122722,	8,	1200,	15,	3),
(122723,	8,	1201,	1,	1),
(122724,	8,	1201,	2,	1),
(122725,	8,	1201,	3,	1),
(122726,	8,	1201,	65,	1),
(122727,	8,	1201,	66,	1),
(122728,	8,	1201,	7,	1),
(122729,	8,	1201,	8,	1),
(122730,	8,	1201,	67,	1),
(122731,	8,	1201,	68,	1),
(122732,	8,	1201,	15,	1),
(122733,	8,	1201,	1,	3),
(122734,	8,	1201,	2,	3),
(122735,	8,	1201,	3,	3),
(122736,	8,	1201,	65,	3),
(122737,	8,	1201,	66,	3),
(122738,	8,	1201,	7,	3),
(122739,	8,	1201,	8,	3),
(122740,	8,	1201,	67,	3),
(122741,	8,	1201,	68,	3),
(122742,	8,	1201,	15,	3),
(122743,	8,	1202,	1,	1),
(122744,	8,	1202,	2,	1),
(122745,	8,	1202,	3,	1),
(122746,	8,	1202,	65,	1),
(122747,	8,	1202,	66,	1),
(122748,	8,	1202,	7,	1),
(122749,	8,	1202,	8,	1),
(122750,	8,	1202,	67,	1),
(122751,	8,	1202,	68,	1),
(122752,	8,	1202,	15,	1),
(122753,	8,	1202,	1,	3),
(122754,	8,	1202,	2,	3),
(122755,	8,	1202,	3,	3),
(122756,	8,	1202,	65,	3),
(122757,	8,	1202,	66,	3),
(122758,	8,	1202,	7,	3),
(122759,	8,	1202,	8,	3),
(122760,	8,	1202,	67,	3),
(122761,	8,	1202,	68,	3),
(122762,	8,	1202,	15,	3),
(122763,	8,	1203,	1,	1),
(122764,	8,	1203,	2,	1),
(122765,	8,	1203,	3,	1),
(122766,	8,	1203,	69,	1),
(122767,	8,	1203,	70,	1),
(122768,	8,	1203,	71,	1),
(122769,	8,	1203,	72,	1),
(122770,	8,	1203,	65,	1),
(122771,	8,	1203,	66,	1),
(122772,	8,	1203,	7,	1),
(122773,	8,	1203,	8,	1),
(122774,	8,	1203,	73,	1),
(122775,	8,	1203,	67,	1),
(122776,	8,	1203,	10,	1),
(122777,	8,	1203,	68,	1),
(122778,	8,	1203,	1,	3),
(122779,	8,	1203,	2,	3),
(122780,	8,	1203,	3,	3),
(122781,	8,	1203,	69,	3),
(122782,	8,	1203,	70,	3),
(122783,	8,	1203,	71,	3),
(122784,	8,	1203,	72,	3),
(122785,	8,	1203,	65,	3),
(122786,	8,	1203,	66,	3),
(122787,	8,	1203,	7,	3),
(122788,	8,	1203,	8,	3),
(122789,	8,	1203,	73,	3),
(122790,	8,	1203,	67,	3),
(122791,	8,	1203,	10,	3),
(122792,	8,	1203,	68,	3),
(122793,	8,	1204,	1,	1),
(122794,	8,	1204,	2,	1),
(122795,	8,	1204,	3,	1),
(122796,	8,	1204,	1,	3),
(122797,	8,	1204,	2,	3),
(122798,	8,	1204,	3,	3),
(122799,	8,	1205,	1,	1),
(122800,	8,	1205,	2,	1),
(122801,	8,	1205,	3,	1),
(122802,	8,	1205,	69,	1),
(122803,	8,	1205,	70,	1),
(122804,	8,	1205,	71,	1),
(122805,	8,	1205,	72,	1),
(122806,	8,	1205,	65,	1),
(122807,	8,	1205,	66,	1),
(122808,	8,	1205,	7,	1),
(122809,	8,	1205,	8,	1),
(122810,	8,	1205,	73,	1),
(122811,	8,	1205,	67,	1),
(122812,	8,	1205,	10,	1),
(122813,	8,	1205,	68,	1),
(122814,	8,	1205,	1,	3),
(122815,	8,	1205,	2,	3),
(122816,	8,	1205,	3,	3),
(122817,	8,	1205,	69,	3),
(122818,	8,	1205,	70,	3),
(122819,	8,	1205,	71,	3),
(122820,	8,	1205,	72,	3),
(122821,	8,	1205,	65,	3),
(122822,	8,	1205,	66,	3),
(122823,	8,	1205,	7,	3),
(122824,	8,	1205,	8,	3),
(122825,	8,	1205,	73,	3),
(122826,	8,	1205,	67,	3),
(122827,	8,	1205,	10,	3),
(122828,	8,	1205,	68,	3),
(122829,	8,	1206,	3,	1),
(122830,	8,	1206,	8,	1),
(122831,	8,	1206,	67,	1),
(122832,	8,	1207,	1,	1),
(122833,	8,	1207,	2,	1),
(122834,	8,	1207,	3,	1),
(122835,	8,	1207,	69,	1),
(122836,	8,	1207,	70,	1),
(122837,	8,	1207,	71,	1),
(122838,	8,	1207,	72,	1),
(122839,	8,	1207,	65,	1),
(122840,	8,	1207,	66,	1),
(122841,	8,	1207,	7,	1),
(122842,	8,	1207,	8,	1),
(122843,	8,	1207,	73,	1),
(122844,	8,	1207,	67,	1),
(122845,	8,	1207,	10,	1),
(122846,	8,	1207,	68,	1),
(122847,	8,	1207,	74,	1),
(122848,	8,	1207,	1,	3),
(122849,	8,	1207,	2,	3),
(122850,	8,	1207,	3,	3),
(122851,	8,	1207,	69,	3),
(122852,	8,	1207,	70,	3),
(122853,	8,	1207,	71,	3),
(122854,	8,	1207,	72,	3),
(122855,	8,	1207,	65,	3),
(122856,	8,	1207,	66,	3),
(122857,	8,	1207,	7,	3),
(122858,	8,	1207,	8,	3),
(122859,	8,	1207,	73,	3),
(122860,	8,	1207,	67,	3),
(122861,	8,	1207,	10,	3),
(122862,	8,	1207,	68,	3),
(122863,	8,	1207,	74,	3),
(122864,	8,	1208,	1,	1),
(122865,	8,	1208,	2,	1),
(122866,	8,	1208,	3,	1),
(122867,	8,	1208,	66,	1),
(122868,	8,	1208,	7,	1),
(122869,	8,	1208,	8,	1),
(122870,	8,	1208,	67,	1),
(122871,	8,	1208,	68,	1),
(122872,	8,	1208,	1,	3),
(122873,	8,	1208,	2,	3),
(122874,	8,	1208,	3,	3),
(122875,	8,	1208,	66,	3),
(122876,	8,	1208,	7,	3),
(122877,	8,	1208,	8,	3),
(122878,	8,	1208,	67,	3),
(122879,	8,	1208,	68,	3),
(122880,	8,	1209,	1,	1),
(122881,	8,	1209,	2,	1),
(122882,	8,	1209,	3,	1),
(122883,	8,	1209,	69,	1),
(122884,	8,	1209,	70,	1),
(122885,	8,	1209,	71,	1),
(122886,	8,	1209,	72,	1),
(122887,	8,	1209,	65,	1),
(122888,	8,	1209,	66,	1),
(122889,	8,	1209,	7,	1),
(122890,	8,	1209,	8,	1),
(122891,	8,	1209,	73,	1),
(122892,	8,	1209,	67,	1),
(122893,	8,	1209,	10,	1),
(122894,	8,	1209,	68,	1),
(122895,	8,	1209,	74,	1),
(122896,	8,	1209,	1,	3),
(122897,	8,	1209,	2,	3),
(122898,	8,	1209,	3,	3),
(122899,	8,	1209,	69,	3),
(122900,	8,	1209,	70,	3),
(122901,	8,	1209,	71,	3),
(122902,	8,	1209,	72,	3),
(122903,	8,	1209,	65,	3),
(122904,	8,	1209,	66,	3),
(122905,	8,	1209,	7,	3),
(122906,	8,	1209,	8,	3),
(122907,	8,	1209,	73,	3),
(122908,	8,	1209,	67,	3),
(122909,	8,	1209,	10,	3),
(122910,	8,	1209,	68,	3),
(122911,	8,	1209,	74,	3),
(122912,	8,	1210,	1,	1),
(122913,	8,	1210,	2,	1),
(122914,	8,	1210,	3,	1),
(122915,	8,	1210,	66,	1),
(122916,	8,	1210,	7,	1),
(122917,	8,	1210,	8,	1),
(122918,	8,	1210,	67,	1),
(122919,	8,	1210,	68,	1),
(122920,	8,	1210,	1,	3),
(122921,	8,	1210,	2,	3),
(122922,	8,	1210,	3,	3),
(122923,	8,	1210,	66,	3),
(122924,	8,	1210,	7,	3),
(122925,	8,	1210,	8,	3),
(122926,	8,	1210,	67,	3),
(122927,	8,	1210,	68,	3),
(122928,	8,	1211,	1,	1),
(122929,	8,	1211,	2,	1),
(122930,	8,	1211,	3,	1),
(122931,	8,	1211,	69,	1),
(122932,	8,	1211,	70,	1),
(122933,	8,	1211,	71,	1),
(122934,	8,	1211,	72,	1),
(122935,	8,	1211,	65,	1),
(122936,	8,	1211,	66,	1),
(122937,	8,	1211,	7,	1),
(122938,	8,	1211,	8,	1),
(122939,	8,	1211,	73,	1),
(122940,	8,	1211,	67,	1),
(122941,	8,	1211,	10,	1),
(122942,	8,	1211,	68,	1),
(122943,	8,	1211,	74,	1),
(122944,	8,	1211,	1,	3),
(122945,	8,	1211,	2,	3),
(122946,	8,	1211,	3,	3),
(122947,	8,	1211,	69,	3),
(122948,	8,	1211,	70,	3),
(122949,	8,	1211,	71,	3),
(122950,	8,	1211,	72,	3),
(122951,	8,	1211,	65,	3),
(122952,	8,	1211,	66,	3),
(122953,	8,	1211,	7,	3),
(122954,	8,	1211,	8,	3),
(122955,	8,	1211,	73,	3),
(122956,	8,	1211,	67,	3),
(122957,	8,	1211,	10,	3),
(122958,	8,	1211,	68,	3),
(122959,	8,	1211,	74,	3),
(122960,	8,	1212,	1,	1),
(122961,	8,	1212,	2,	1),
(122962,	8,	1212,	3,	1),
(122963,	8,	1212,	69,	1),
(122964,	8,	1212,	70,	1),
(122965,	8,	1212,	71,	1),
(122966,	8,	1212,	72,	1),
(122967,	8,	1212,	65,	1),
(122968,	8,	1212,	66,	1),
(122969,	8,	1212,	7,	1),
(122970,	8,	1212,	8,	1),
(122971,	8,	1212,	73,	1),
(122972,	8,	1212,	67,	1),
(122973,	8,	1212,	10,	1),
(122974,	8,	1212,	68,	1),
(122975,	8,	1212,	74,	1),
(122976,	8,	1212,	1,	3),
(122977,	8,	1212,	2,	3),
(122978,	8,	1212,	3,	3),
(122979,	8,	1212,	69,	3),
(122980,	8,	1212,	70,	3),
(122981,	8,	1212,	71,	3),
(122982,	8,	1212,	72,	3),
(122983,	8,	1212,	65,	3),
(122984,	8,	1212,	66,	3),
(122985,	8,	1212,	7,	3),
(122986,	8,	1212,	8,	3),
(122987,	8,	1212,	73,	3),
(122988,	8,	1212,	67,	3),
(122989,	8,	1212,	10,	3),
(122990,	8,	1212,	68,	3),
(122991,	8,	1212,	74,	3),
(122992,	8,	1213,	1,	1),
(122993,	8,	1213,	2,	1),
(122994,	8,	1213,	3,	1),
(122995,	8,	1213,	69,	1),
(122996,	8,	1213,	70,	1),
(122997,	8,	1213,	71,	1),
(122998,	8,	1213,	72,	1),
(122999,	8,	1213,	65,	1),
(123000,	8,	1213,	66,	1),
(123001,	8,	1213,	7,	1),
(123002,	8,	1213,	8,	1),
(123003,	8,	1213,	73,	1),
(123004,	8,	1213,	67,	1),
(123005,	8,	1213,	10,	1),
(123006,	8,	1213,	68,	1),
(123007,	8,	1213,	74,	1),
(123008,	8,	1213,	1,	3),
(123009,	8,	1213,	2,	3),
(123010,	8,	1213,	3,	3),
(123011,	8,	1213,	69,	3),
(123012,	8,	1213,	70,	3),
(123013,	8,	1213,	71,	3),
(123014,	8,	1213,	72,	3),
(123015,	8,	1213,	65,	3),
(123016,	8,	1213,	66,	3),
(123017,	8,	1213,	7,	3),
(123018,	8,	1213,	8,	3),
(123019,	8,	1213,	73,	3),
(123020,	8,	1213,	67,	3),
(123021,	8,	1213,	10,	3),
(123022,	8,	1213,	68,	3),
(123023,	8,	1213,	74,	3),
(123024,	8,	1214,	1,	1),
(123025,	8,	1214,	2,	1),
(123026,	8,	1214,	3,	1),
(123027,	8,	1214,	69,	1),
(123028,	8,	1214,	70,	1),
(123029,	8,	1214,	71,	1),
(123030,	8,	1214,	72,	1),
(123031,	8,	1214,	65,	1),
(123032,	8,	1214,	66,	1),
(123033,	8,	1214,	7,	1),
(123034,	8,	1214,	8,	1),
(123035,	8,	1214,	73,	1),
(123036,	8,	1214,	67,	1),
(123037,	8,	1214,	10,	1),
(123038,	8,	1214,	68,	1),
(123039,	8,	1214,	74,	1),
(123040,	8,	1214,	1,	3),
(123041,	8,	1214,	2,	3),
(123042,	8,	1214,	3,	3),
(123043,	8,	1214,	69,	3),
(123044,	8,	1214,	70,	3),
(123045,	8,	1214,	71,	3),
(123046,	8,	1214,	72,	3),
(123047,	8,	1214,	65,	3),
(123048,	8,	1214,	66,	3),
(123049,	8,	1214,	7,	3),
(123050,	8,	1214,	8,	3),
(123051,	8,	1214,	73,	3),
(123052,	8,	1214,	67,	3),
(123053,	8,	1214,	10,	3),
(123054,	8,	1214,	68,	3),
(123055,	8,	1214,	74,	3),
(123056,	8,	1215,	1,	1),
(123057,	8,	1215,	2,	1),
(123058,	8,	1215,	3,	1),
(123059,	8,	1215,	66,	1),
(123060,	8,	1215,	7,	1),
(123061,	8,	1215,	8,	1),
(123062,	8,	1215,	67,	1),
(123063,	8,	1215,	68,	1),
(123064,	8,	1215,	1,	3),
(123065,	8,	1215,	2,	3),
(123066,	8,	1215,	3,	3),
(123067,	8,	1215,	66,	3),
(123068,	8,	1215,	7,	3),
(123069,	8,	1215,	8,	3),
(123070,	8,	1215,	67,	3),
(123071,	8,	1215,	68,	3),
(123072,	8,	1216,	1,	1),
(123073,	8,	1216,	2,	1),
(123074,	8,	1216,	3,	1),
(123075,	8,	1216,	66,	1),
(123076,	8,	1216,	7,	1),
(123077,	8,	1216,	8,	1),
(123078,	8,	1216,	67,	1),
(123079,	8,	1216,	68,	1),
(123080,	8,	1216,	1,	3),
(123081,	8,	1216,	2,	3),
(123082,	8,	1216,	3,	3),
(123083,	8,	1216,	66,	3),
(123084,	8,	1216,	7,	3),
(123085,	8,	1216,	8,	3),
(123086,	8,	1216,	67,	3),
(123087,	8,	1216,	68,	3),
(123088,	8,	1217,	1,	1),
(123089,	8,	1217,	2,	1),
(123090,	8,	1217,	3,	1),
(123091,	8,	1217,	23,	1),
(123092,	8,	1217,	1,	3),
(123093,	8,	1217,	2,	3),
(123094,	8,	1217,	3,	3),
(123095,	8,	1217,	23,	3),
(123096,	8,	1218,	1,	1),
(123097,	8,	1218,	2,	1),
(123098,	8,	1218,	3,	1),
(123099,	8,	1218,	66,	1),
(123100,	8,	1218,	7,	1),
(123101,	8,	1218,	8,	1),
(123102,	8,	1218,	67,	1),
(123103,	8,	1218,	68,	1),
(123104,	8,	1218,	1,	3),
(123105,	8,	1218,	2,	3),
(123106,	8,	1218,	3,	3),
(123107,	8,	1218,	66,	3),
(123108,	8,	1218,	7,	3),
(123109,	8,	1218,	8,	3),
(123110,	8,	1218,	67,	3),
(123111,	8,	1218,	68,	3),
(123112,	8,	1219,	1,	1),
(123113,	8,	1219,	2,	1),
(123114,	8,	1219,	3,	1),
(123115,	8,	1219,	66,	1),
(123116,	8,	1219,	7,	1),
(123117,	8,	1219,	8,	1),
(123118,	8,	1219,	67,	1),
(123119,	8,	1219,	68,	1),
(123120,	8,	1219,	1,	3),
(123121,	8,	1219,	2,	3),
(123122,	8,	1219,	3,	3),
(123123,	8,	1219,	66,	3),
(123124,	8,	1219,	7,	3),
(123125,	8,	1219,	8,	3),
(123126,	8,	1219,	67,	3),
(123127,	8,	1219,	68,	3),
(123128,	8,	1220,	1,	1),
(123129,	8,	1220,	2,	1),
(123130,	8,	1220,	3,	1),
(123131,	8,	1220,	66,	1),
(123132,	8,	1220,	7,	1),
(123133,	8,	1220,	8,	1),
(123134,	8,	1220,	67,	1),
(123135,	8,	1220,	68,	1),
(123136,	8,	1220,	1,	3),
(123137,	8,	1220,	2,	3),
(123138,	8,	1220,	3,	3),
(123139,	8,	1220,	66,	3),
(123140,	8,	1220,	7,	3),
(123141,	8,	1220,	8,	3),
(123142,	8,	1220,	67,	3),
(123143,	8,	1220,	68,	3),
(123144,	8,	1221,	1,	1),
(123145,	8,	1221,	2,	1),
(123146,	8,	1221,	3,	1),
(123147,	8,	1221,	66,	1),
(123148,	8,	1221,	7,	1),
(123149,	8,	1221,	8,	1),
(123150,	8,	1221,	67,	1),
(123151,	8,	1221,	68,	1),
(123152,	8,	1221,	1,	3),
(123153,	8,	1221,	2,	3),
(123154,	8,	1221,	3,	3),
(123155,	8,	1221,	66,	3),
(123156,	8,	1221,	7,	3),
(123157,	8,	1221,	8,	3),
(123158,	8,	1221,	67,	3),
(123159,	8,	1221,	68,	3),
(123160,	8,	1222,	3,	1),
(123161,	8,	1222,	8,	1),
(123162,	8,	1222,	67,	1),
(123163,	8,	1223,	1,	1),
(123164,	8,	1223,	2,	1),
(123165,	8,	1223,	3,	1),
(123166,	8,	1223,	69,	1),
(123167,	8,	1223,	70,	1),
(123168,	8,	1223,	71,	1),
(123169,	8,	1223,	72,	1),
(123170,	8,	1223,	65,	1),
(123171,	8,	1223,	66,	1),
(123172,	8,	1223,	7,	1),
(123173,	8,	1223,	8,	1),
(123174,	8,	1223,	73,	1),
(123175,	8,	1223,	67,	1),
(123176,	8,	1223,	10,	1),
(123177,	8,	1223,	68,	1),
(123178,	8,	1223,	74,	1),
(123179,	8,	1223,	1,	3),
(123180,	8,	1223,	2,	3),
(123181,	8,	1223,	3,	3),
(123182,	8,	1223,	69,	3),
(123183,	8,	1223,	70,	3),
(123184,	8,	1223,	71,	3),
(123185,	8,	1223,	72,	3),
(123186,	8,	1223,	65,	3),
(123187,	8,	1223,	66,	3),
(123188,	8,	1223,	7,	3),
(123189,	8,	1223,	8,	3),
(123190,	8,	1223,	73,	3),
(123191,	8,	1223,	67,	3),
(123192,	8,	1223,	10,	3),
(123193,	8,	1223,	68,	3),
(123194,	8,	1223,	74,	3),
(123195,	8,	1224,	1,	1),
(123196,	8,	1224,	2,	1),
(123197,	8,	1224,	3,	1),
(123198,	8,	1224,	66,	1),
(123199,	8,	1224,	7,	1),
(123200,	8,	1224,	8,	1),
(123201,	8,	1224,	67,	1),
(123202,	8,	1224,	68,	1),
(123203,	8,	1224,	1,	3),
(123204,	8,	1224,	2,	3),
(123205,	8,	1224,	3,	3),
(123206,	8,	1224,	66,	3),
(123207,	8,	1224,	7,	3),
(123208,	8,	1224,	8,	3),
(123209,	8,	1224,	67,	3),
(123210,	8,	1224,	68,	3),
(123211,	8,	1225,	1,	1),
(123212,	8,	1225,	2,	1),
(123213,	8,	1225,	3,	1),
(123214,	8,	1225,	66,	1),
(123215,	8,	1225,	7,	1),
(123216,	8,	1225,	8,	1),
(123217,	8,	1225,	67,	1),
(123218,	8,	1225,	68,	1),
(123219,	8,	1225,	1,	3),
(123220,	8,	1225,	2,	3),
(123221,	8,	1225,	3,	3),
(123222,	8,	1225,	66,	3),
(123223,	8,	1225,	7,	3),
(123224,	8,	1225,	8,	3),
(123225,	8,	1225,	67,	3),
(123226,	8,	1225,	68,	3),
(123227,	8,	1226,	1,	1),
(123228,	8,	1226,	2,	1),
(123229,	8,	1226,	3,	1),
(123230,	8,	1226,	69,	1),
(123231,	8,	1226,	70,	1),
(123232,	8,	1226,	71,	1),
(123233,	8,	1226,	72,	1),
(123234,	8,	1226,	65,	1),
(123235,	8,	1226,	66,	1),
(123236,	8,	1226,	7,	1),
(123237,	8,	1226,	8,	1),
(123238,	8,	1226,	73,	1),
(123239,	8,	1226,	67,	1),
(123240,	8,	1226,	10,	1),
(123241,	8,	1226,	68,	1),
(123242,	8,	1226,	74,	1),
(123243,	8,	1226,	1,	3),
(123244,	8,	1226,	2,	3),
(123245,	8,	1226,	3,	3),
(123246,	8,	1226,	69,	3),
(123247,	8,	1226,	70,	3),
(123248,	8,	1226,	71,	3),
(123249,	8,	1226,	72,	3),
(123250,	8,	1226,	65,	3),
(123251,	8,	1226,	66,	3),
(123252,	8,	1226,	7,	3),
(123253,	8,	1226,	8,	3),
(123254,	8,	1226,	73,	3),
(123255,	8,	1226,	67,	3),
(123256,	8,	1226,	10,	3),
(123257,	8,	1226,	68,	3),
(123258,	8,	1226,	74,	3),
(123259,	8,	1227,	1,	1),
(123260,	8,	1227,	2,	1),
(123261,	8,	1227,	3,	1),
(123262,	8,	1227,	66,	1),
(123263,	8,	1227,	7,	1),
(123264,	8,	1227,	8,	1),
(123265,	8,	1227,	67,	1),
(123266,	8,	1227,	68,	1),
(123267,	8,	1227,	1,	3),
(123268,	8,	1227,	2,	3),
(123269,	8,	1227,	3,	3),
(123270,	8,	1227,	66,	3),
(123271,	8,	1227,	7,	3),
(123272,	8,	1227,	8,	3),
(123273,	8,	1227,	67,	3),
(123274,	8,	1227,	68,	3),
(123275,	8,	1228,	1,	1),
(123276,	8,	1228,	2,	1),
(123277,	8,	1228,	3,	1),
(123278,	8,	1228,	1,	2),
(123279,	8,	1228,	2,	2),
(123280,	8,	1228,	3,	2),
(123281,	8,	1229,	1,	1),
(123282,	8,	1229,	2,	1),
(123283,	8,	1229,	3,	1),
(123284,	8,	1229,	1,	2),
(123285,	8,	1229,	2,	2),
(123286,	8,	1229,	3,	2),
(123287,	8,	1230,	1,	1),
(123288,	8,	1230,	2,	1),
(123289,	8,	1230,	3,	1),
(123290,	8,	1230,	1,	2),
(123291,	8,	1230,	2,	2),
(123292,	8,	1230,	3,	2),
(123293,	8,	1231,	1,	1),
(123294,	8,	1231,	2,	1),
(123295,	8,	1231,	3,	1),
(123296,	8,	1231,	1,	2),
(123297,	8,	1231,	2,	2),
(123298,	8,	1231,	3,	2),
(123299,	8,	1232,	1,	1),
(123300,	8,	1232,	2,	1),
(123301,	8,	1232,	3,	1),
(123302,	8,	1232,	1,	2),
(123303,	8,	1232,	2,	2),
(123304,	8,	1232,	3,	2),
(123305,	8,	1233,	1,	1),
(123306,	8,	1233,	2,	1),
(123307,	8,	1233,	3,	1),
(123308,	8,	1234,	1,	1),
(123309,	8,	1234,	2,	1),
(123310,	8,	1234,	3,	1),
(123311,	8,	1234,	1,	2),
(123312,	8,	1234,	2,	2),
(123313,	8,	1234,	3,	2),
(123314,	8,	1235,	1,	1),
(123315,	8,	1235,	2,	1),
(123316,	8,	1235,	3,	1),
(123317,	8,	1236,	1,	1),
(123318,	8,	1236,	2,	1),
(123319,	8,	1236,	3,	1),
(123320,	8,	1236,	1,	2),
(123321,	8,	1236,	2,	2),
(123322,	8,	1236,	3,	2),
(123323,	8,	1237,	1,	1),
(123324,	8,	1237,	2,	1),
(123325,	8,	1237,	3,	1),
(123326,	8,	1237,	1,	2),
(123327,	8,	1237,	2,	2),
(123328,	8,	1237,	3,	2),
(123329,	8,	1238,	1,	1),
(123330,	8,	1238,	2,	1),
(123331,	8,	1238,	3,	1),
(123332,	8,	1238,	1,	2),
(123333,	8,	1238,	2,	2),
(123334,	8,	1238,	3,	2),
(123335,	8,	1239,	1,	1),
(123336,	8,	1239,	2,	1),
(123337,	8,	1239,	3,	1),
(123338,	8,	1240,	1,	1),
(123339,	8,	1240,	2,	1),
(123340,	8,	1240,	3,	1),
(123341,	8,	1240,	1,	2),
(123342,	8,	1240,	2,	2),
(123343,	8,	1240,	3,	2),
(123344,	8,	1241,	1,	1),
(123345,	8,	1241,	2,	1),
(123346,	8,	1241,	3,	1),
(123347,	8,	1241,	1,	2),
(123348,	8,	1241,	2,	2),
(123349,	8,	1241,	3,	2),
(123350,	8,	1242,	1,	1),
(123351,	8,	1242,	2,	1),
(123352,	8,	1242,	3,	1),
(123353,	8,	1242,	1,	2),
(123354,	8,	1242,	2,	2),
(123355,	8,	1242,	3,	2),
(123356,	8,	1243,	1,	1),
(123357,	8,	1243,	2,	1),
(123358,	8,	1243,	3,	1),
(123359,	8,	1244,	1,	1),
(123360,	8,	1244,	2,	1),
(123361,	8,	1244,	3,	1),
(123362,	8,	1244,	1,	3),
(123363,	8,	1244,	2,	3),
(123364,	8,	1244,	3,	3),
(123365,	8,	1245,	1,	1),
(123366,	8,	1245,	2,	1),
(123367,	8,	1245,	3,	1),
(123368,	8,	1246,	1,	1),
(123369,	8,	1246,	2,	1),
(123370,	8,	1246,	3,	1),
(123371,	8,	1246,	1,	2),
(123372,	8,	1246,	2,	2),
(123373,	8,	1246,	3,	2),
(123374,	8,	1247,	1,	1),
(123375,	8,	1247,	2,	1),
(123376,	8,	1247,	3,	1),
(123377,	8,	1247,	1,	3),
(123378,	8,	1247,	2,	3),
(123379,	8,	1247,	3,	3),
(123380,	8,	1248,	1,	1),
(123381,	8,	1248,	2,	1),
(123382,	8,	1248,	3,	1),
(123383,	8,	1248,	1,	2),
(123384,	8,	1248,	2,	2),
(123385,	8,	1248,	3,	2),
(123386,	8,	1249,	1,	1),
(123387,	8,	1249,	2,	1),
(123388,	8,	1249,	3,	1),
(123389,	8,	1249,	1,	2),
(123390,	8,	1249,	2,	2),
(123391,	8,	1249,	3,	2),
(123392,	8,	1250,	1,	1),
(123393,	8,	1250,	2,	1),
(123394,	8,	1250,	3,	1),
(123395,	8,	1250,	1,	2),
(123396,	8,	1250,	2,	2),
(123397,	8,	1250,	3,	2),
(123398,	8,	1251,	1,	1),
(123399,	8,	1251,	2,	1),
(123400,	8,	1251,	3,	1),
(123401,	8,	1251,	1,	2),
(123402,	8,	1251,	2,	2),
(123403,	8,	1251,	3,	2),
(123404,	8,	1252,	1,	1),
(123405,	8,	1252,	2,	1),
(123406,	8,	1252,	3,	1),
(123407,	8,	1252,	1,	2),
(123408,	8,	1252,	2,	2),
(123409,	8,	1252,	3,	2),
(123410,	8,	1253,	1,	1),
(123411,	8,	1253,	2,	1),
(123412,	8,	1253,	3,	1),
(123413,	8,	1253,	1,	2),
(123414,	8,	1253,	2,	2),
(123415,	8,	1253,	3,	2),
(123416,	8,	1254,	1,	1),
(123417,	8,	1254,	2,	1),
(123418,	8,	1254,	3,	1),
(123419,	8,	1254,	1,	2),
(123420,	8,	1254,	2,	2),
(123421,	8,	1254,	3,	2),
(123422,	8,	1255,	1,	1),
(123423,	8,	1255,	2,	1),
(123424,	8,	1255,	3,	1),
(123425,	8,	1255,	1,	2),
(123426,	8,	1255,	2,	2),
(123427,	8,	1255,	3,	2),
(123428,	8,	1256,	1,	1),
(123429,	8,	1256,	2,	1),
(123430,	8,	1256,	3,	1),
(123431,	8,	1256,	1,	2),
(123432,	8,	1256,	2,	2),
(123433,	8,	1256,	3,	2),
(123434,	8,	1257,	1,	1),
(123435,	8,	1258,	3,	1),
(123436,	8,	1259,	1,	1),
(123437,	8,	1260,	1,	1),
(123438,	8,	1260,	2,	1),
(123439,	8,	1260,	3,	1),
(123440,	8,	1260,	1,	2),
(123441,	8,	1260,	2,	2),
(123442,	8,	1260,	3,	2),
(123443,	8,	1261,	1,	1),
(123444,	8,	1261,	2,	1),
(123445,	8,	1261,	3,	1),
(123446,	8,	1261,	1,	2),
(123447,	8,	1261,	2,	2),
(123448,	8,	1261,	3,	2),
(123449,	8,	1262,	1,	1),
(123450,	8,	1262,	2,	1),
(123451,	8,	1262,	3,	1),
(123452,	8,	1262,	1,	2),
(123453,	8,	1262,	2,	2),
(123454,	8,	1262,	3,	2),
(123455,	8,	1263,	1,	1),
(123456,	8,	1263,	2,	1),
(123457,	8,	1263,	3,	1),
(123458,	8,	1264,	1,	1),
(123459,	8,	1264,	2,	1),
(123460,	8,	1264,	3,	1),
(123461,	8,	1264,	1,	2),
(123462,	8,	1264,	2,	2),
(123463,	8,	1264,	3,	2),
(123464,	8,	1265,	1,	1),
(123465,	8,	1265,	2,	1),
(123466,	8,	1265,	3,	1),
(123467,	8,	1265,	1,	2),
(123468,	8,	1265,	2,	2),
(123469,	8,	1265,	3,	2),
(123470,	8,	1266,	1,	1),
(123471,	8,	1266,	2,	1),
(123472,	8,	1266,	3,	1),
(123473,	8,	1267,	1,	1),
(123474,	8,	1267,	2,	1),
(123475,	8,	1267,	3,	1),
(123476,	8,	1267,	1,	2),
(123477,	8,	1267,	2,	2),
(123478,	8,	1267,	3,	2),
(123479,	8,	1268,	2,	1),
(123480,	8,	1269,	1,	1),
(123481,	8,	1269,	2,	1),
(123482,	8,	1269,	3,	1),
(123483,	8,	1270,	1,	1),
(123484,	8,	1270,	2,	1),
(123485,	8,	1270,	3,	1),
(123486,	8,	1270,	1,	2),
(123487,	8,	1270,	2,	2),
(123488,	8,	1270,	3,	2),
(123489,	8,	1271,	1,	1),
(123490,	8,	1271,	2,	1),
(123491,	8,	1271,	3,	1),
(123492,	8,	1271,	1,	2),
(123493,	8,	1271,	2,	2),
(123494,	8,	1271,	3,	2),
(123495,	8,	1272,	1,	1),
(123496,	8,	1272,	2,	1),
(123497,	8,	1272,	3,	1),
(123498,	8,	1273,	1,	1),
(123499,	8,	1273,	2,	1),
(123500,	8,	1273,	3,	1),
(123501,	8,	1274,	1,	1),
(123502,	8,	1274,	2,	1),
(123503,	8,	1274,	3,	1),
(123504,	8,	1275,	1,	1),
(123505,	8,	1275,	2,	1),
(123506,	8,	1275,	3,	1),
(123507,	8,	1275,	1,	2),
(123508,	8,	1275,	2,	2),
(123509,	8,	1275,	3,	2),
(123510,	8,	1276,	1,	1),
(123511,	8,	1276,	2,	1),
(123512,	8,	1276,	3,	1),
(123513,	8,	1276,	1,	2),
(123514,	8,	1276,	2,	2),
(123515,	8,	1276,	3,	2),
(123516,	8,	1277,	1,	1),
(123517,	8,	1277,	2,	1),
(123518,	8,	1277,	3,	1),
(123519,	8,	1277,	1,	2),
(123520,	8,	1277,	2,	2),
(123521,	8,	1277,	3,	2),
(123522,	8,	1278,	1,	1),
(123523,	8,	1278,	2,	1),
(123524,	8,	1278,	3,	1),
(123525,	8,	1278,	1,	2),
(123526,	8,	1278,	2,	2),
(123527,	8,	1278,	3,	2),
(123528,	8,	1279,	1,	1),
(123529,	8,	1279,	2,	1),
(123530,	8,	1279,	3,	1),
(123531,	8,	1279,	1,	2),
(123532,	8,	1279,	2,	2),
(123533,	8,	1279,	3,	2),
(123534,	8,	1280,	2,	2),
(123535,	8,	1281,	1,	1),
(123536,	8,	1281,	2,	1),
(123537,	8,	1281,	3,	1),
(123538,	8,	1281,	1,	2),
(123539,	8,	1281,	2,	2),
(123540,	8,	1281,	3,	2),
(123541,	8,	1282,	1,	1),
(123542,	8,	1282,	2,	1),
(123543,	8,	1282,	3,	1),
(123544,	8,	1282,	1,	2),
(123545,	8,	1282,	2,	2),
(123546,	8,	1282,	3,	2),
(123547,	8,	1283,	1,	1),
(123548,	8,	1283,	2,	1),
(123549,	8,	1283,	3,	1),
(123550,	8,	1283,	1,	2),
(123551,	8,	1283,	2,	2),
(123552,	8,	1283,	3,	2),
(123553,	8,	1284,	1,	1),
(123554,	8,	1284,	2,	1),
(123555,	8,	1284,	3,	1),
(123556,	8,	1284,	1,	2),
(123557,	8,	1284,	2,	2),
(123558,	8,	1284,	3,	2),
(123559,	8,	1285,	1,	1),
(123560,	8,	1285,	2,	1),
(123561,	8,	1285,	3,	1),
(123562,	8,	1285,	1,	2),
(123563,	8,	1285,	2,	2),
(123564,	8,	1285,	3,	2),
(123565,	8,	1286,	1,	1),
(123566,	8,	1286,	2,	1),
(123567,	8,	1286,	3,	1),
(123568,	8,	1286,	1,	2),
(123569,	8,	1286,	2,	2),
(123570,	8,	1286,	3,	2),
(123571,	8,	1287,	1,	1),
(123572,	8,	1287,	2,	1),
(123573,	8,	1287,	3,	1),
(123574,	8,	1287,	6,	1),
(123575,	8,	1287,	24,	1),
(123576,	8,	1287,	25,	1),
(123577,	8,	1287,	4,	1),
(123578,	8,	1287,	23,	1),
(123579,	8,	1288,	1,	1),
(123580,	8,	1288,	2,	1),
(123581,	8,	1288,	3,	1),
(123582,	8,	1288,	6,	1),
(123583,	8,	1288,	24,	1),
(123584,	8,	1288,	25,	1),
(123585,	8,	1288,	4,	1),
(123586,	8,	1288,	23,	1),
(123587,	8,	1289,	1,	1),
(123588,	8,	1289,	2,	1),
(123589,	8,	1289,	3,	1),
(123590,	8,	1289,	6,	1),
(123591,	8,	1289,	24,	1),
(123592,	8,	1289,	25,	1),
(123593,	8,	1289,	4,	1),
(123594,	8,	1289,	23,	1),
(123595,	8,	1290,	1,	1),
(123596,	8,	1290,	2,	1),
(123597,	8,	1290,	3,	1),
(123598,	8,	1290,	6,	1),
(123599,	8,	1290,	24,	1),
(123600,	8,	1290,	25,	1),
(123601,	8,	1290,	4,	1),
(123602,	8,	1290,	23,	1),
(123603,	8,	1291,	1,	1),
(123604,	8,	1291,	2,	1),
(123605,	8,	1291,	3,	1),
(123606,	8,	1291,	6,	1),
(123607,	8,	1291,	24,	1),
(123608,	8,	1291,	25,	1),
(123609,	8,	1291,	4,	1),
(123610,	8,	1291,	23,	1),
(123611,	8,	1292,	1,	1),
(123612,	8,	1292,	2,	1),
(123613,	8,	1292,	3,	1),
(123614,	8,	1292,	6,	1),
(123615,	8,	1292,	24,	1),
(123616,	8,	1292,	25,	1),
(123617,	8,	1292,	4,	1),
(123618,	8,	1292,	23,	1),
(123619,	8,	1293,	1,	1),
(123620,	8,	1293,	2,	1),
(123621,	8,	1293,	3,	1),
(123622,	8,	1293,	6,	1),
(123623,	8,	1293,	24,	1),
(123624,	8,	1293,	25,	1),
(123625,	8,	1293,	4,	1),
(123626,	8,	1293,	23,	1),
(123627,	8,	1294,	1,	1),
(123628,	8,	1294,	2,	1),
(123629,	8,	1294,	3,	1),
(123630,	8,	1294,	6,	1),
(123631,	8,	1294,	24,	1),
(123632,	8,	1294,	25,	1),
(123633,	8,	1294,	4,	1),
(123634,	8,	1294,	23,	1),
(123635,	8,	1295,	1,	1),
(123636,	8,	1295,	2,	1),
(123637,	8,	1295,	3,	1),
(123638,	8,	1295,	6,	1),
(123639,	8,	1295,	24,	1),
(123640,	8,	1295,	25,	1),
(123641,	8,	1295,	4,	1),
(123642,	8,	1295,	23,	1),
(123643,	8,	1296,	1,	1),
(123644,	8,	1296,	2,	1),
(123645,	8,	1296,	3,	1),
(123646,	8,	1296,	6,	1),
(123647,	8,	1296,	24,	1),
(123648,	8,	1296,	25,	1),
(123649,	8,	1296,	4,	1),
(123650,	8,	1296,	23,	1),
(123651,	8,	1297,	1,	1),
(123652,	8,	1297,	2,	1),
(123653,	8,	1297,	3,	1),
(123654,	8,	1297,	6,	1),
(123655,	8,	1297,	24,	1),
(123656,	8,	1297,	25,	1),
(123657,	8,	1297,	4,	1),
(123658,	8,	1297,	23,	1),
(123659,	8,	1297,	26,	1),
(123660,	8,	1298,	1,	1),
(123661,	8,	1298,	2,	1),
(123662,	8,	1298,	3,	1),
(123663,	8,	1299,	1,	1),
(123664,	8,	1299,	2,	1),
(123665,	8,	1299,	3,	1),
(123666,	8,	1299,	6,	1),
(123667,	8,	1299,	24,	1),
(123668,	8,	1299,	25,	1),
(123669,	8,	1299,	4,	1),
(123670,	8,	1299,	23,	1),
(123671,	8,	1300,	1,	1),
(123672,	8,	1300,	2,	1),
(123673,	8,	1300,	3,	1),
(123674,	8,	1300,	6,	1),
(123675,	8,	1300,	24,	1),
(123676,	8,	1300,	25,	1),
(123677,	8,	1300,	4,	1),
(123678,	8,	1300,	23,	1),
(123679,	8,	1301,	1,	1),
(123680,	8,	1301,	2,	1),
(123681,	8,	1301,	3,	1),
(123682,	8,	1302,	1,	1),
(123683,	8,	1302,	2,	1),
(123684,	8,	1302,	3,	1),
(123685,	8,	1302,	6,	1),
(123686,	8,	1302,	24,	1),
(123687,	8,	1302,	25,	1),
(123688,	8,	1302,	4,	1),
(123689,	8,	1302,	23,	1),
(123690,	8,	1303,	1,	1),
(123691,	8,	1303,	2,	1),
(123692,	8,	1303,	3,	1),
(123693,	8,	1303,	6,	1),
(123694,	8,	1303,	24,	1),
(123695,	8,	1303,	25,	1),
(123696,	8,	1303,	4,	1),
(123697,	8,	1303,	23,	1),
(123698,	8,	1304,	1,	1),
(123699,	8,	1304,	2,	1),
(123700,	8,	1304,	3,	1),
(123701,	8,	1305,	1,	1),
(123702,	8,	1305,	2,	1),
(123703,	8,	1305,	3,	1),
(123704,	8,	1305,	6,	1),
(123705,	8,	1305,	24,	1),
(123706,	8,	1305,	25,	1),
(123707,	8,	1305,	4,	1),
(123708,	8,	1305,	23,	1),
(123709,	8,	1306,	1,	1),
(123710,	8,	1306,	2,	1),
(123711,	8,	1306,	3,	1),
(123712,	8,	1306,	1,	2),
(123713,	8,	1306,	2,	2),
(123714,	8,	1306,	3,	2),
(123715,	8,	1307,	1,	1),
(123716,	8,	1307,	2,	1),
(123717,	8,	1307,	3,	1),
(123718,	8,	1307,	1,	2),
(123719,	8,	1307,	2,	2),
(123720,	8,	1307,	3,	2),
(123721,	8,	1308,	1,	1),
(123722,	8,	1308,	2,	1),
(123723,	8,	1308,	3,	1),
(123724,	8,	1308,	6,	1),
(123725,	8,	1308,	24,	1),
(123726,	8,	1308,	25,	1),
(123727,	8,	1308,	4,	1),
(123728,	8,	1308,	23,	1),
(123729,	8,	1309,	1,	1),
(123730,	8,	1309,	2,	1),
(123731,	8,	1309,	3,	1),
(123732,	8,	1309,	23,	1),
(123733,	8,	1309,	6,	1),
(123734,	8,	1309,	24,	1),
(123735,	8,	1309,	25,	1),
(123736,	8,	1309,	4,	1),
(123737,	8,	1309,	26,	1),
(123738,	8,	1310,	1,	1),
(123739,	8,	1310,	2,	1),
(123740,	8,	1310,	3,	1),
(123741,	8,	1311,	1,	1),
(123742,	8,	1311,	2,	1),
(123743,	8,	1311,	3,	1),
(123744,	8,	1311,	23,	1),
(123745,	8,	1311,	6,	1),
(123746,	8,	1311,	24,	1),
(123747,	8,	1311,	25,	1),
(123748,	8,	1311,	4,	1),
(123749,	8,	1311,	26,	1),
(123750,	8,	1312,	1,	1),
(123751,	8,	1312,	2,	1),
(123752,	8,	1312,	3,	1),
(123753,	8,	1312,	23,	1),
(123754,	8,	1312,	6,	1),
(123755,	8,	1312,	24,	1),
(123756,	8,	1312,	25,	1),
(123757,	8,	1312,	4,	1),
(123758,	8,	1312,	26,	1),
(123759,	8,	1313,	1,	1),
(123760,	8,	1313,	2,	1),
(123761,	8,	1313,	3,	1),
(123762,	8,	1314,	1,	1),
(123763,	8,	1314,	2,	1),
(123764,	8,	1314,	3,	1),
(123765,	8,	1314,	23,	1),
(123766,	8,	1314,	6,	1),
(123767,	8,	1314,	24,	1),
(123768,	8,	1314,	25,	1),
(123769,	8,	1314,	4,	1),
(123770,	8,	1314,	26,	1),
(123771,	8,	1315,	1,	1),
(123772,	8,	1315,	2,	1),
(123773,	8,	1315,	3,	1),
(123774,	8,	1315,	23,	1),
(123775,	8,	1315,	6,	1),
(123776,	8,	1315,	24,	1),
(123777,	8,	1315,	25,	1),
(123778,	8,	1315,	4,	1),
(123779,	8,	1315,	26,	1),
(123780,	8,	1316,	1,	1),
(123781,	8,	1316,	2,	1),
(123782,	8,	1316,	3,	1),
(123783,	8,	1317,	1,	1),
(123784,	8,	1317,	2,	1),
(123785,	8,	1317,	3,	1),
(123786,	8,	1317,	23,	1),
(123787,	8,	1317,	6,	1),
(123788,	8,	1317,	24,	1),
(123789,	8,	1317,	25,	1),
(123790,	8,	1317,	4,	1),
(123791,	8,	1317,	26,	1),
(123792,	8,	1318,	1,	1),
(123793,	8,	1318,	2,	1),
(123794,	8,	1318,	3,	1),
(123795,	8,	1318,	1,	2),
(123796,	8,	1318,	2,	2),
(123797,	8,	1318,	3,	2),
(123798,	8,	1319,	2,	1),
(123799,	8,	1321,	1,	1),
(123800,	8,	1321,	2,	1),
(123801,	8,	1321,	3,	1),
(123802,	8,	1322,	1,	1),
(123803,	8,	1322,	2,	1),
(123804,	8,	1322,	3,	1),
(123805,	8,	1323,	1,	1),
(123806,	8,	1323,	2,	1),
(123807,	8,	1323,	3,	1),
(123808,	8,	1324,	1,	1),
(123809,	8,	1324,	2,	1),
(123810,	8,	1324,	3,	1),
(123811,	8,	1325,	1,	1),
(123812,	8,	1325,	2,	1),
(123813,	8,	1325,	3,	1),
(123814,	8,	1326,	1,	1),
(123815,	8,	1326,	2,	1),
(123816,	8,	1326,	3,	1),
(123817,	8,	1327,	1,	1),
(123818,	8,	1327,	2,	1),
(123819,	8,	1327,	3,	1),
(123820,	8,	1328,	1,	1),
(123821,	8,	1328,	2,	1),
(123822,	8,	1328,	3,	1),
(123823,	8,	1329,	1,	1),
(123824,	8,	1329,	2,	1),
(123825,	8,	1329,	3,	1),
(123826,	8,	1330,	1,	1),
(123827,	8,	1330,	2,	1),
(123828,	8,	1330,	3,	1),
(123829,	8,	1331,	1,	1),
(123830,	8,	1331,	2,	1),
(123831,	8,	1331,	3,	1),
(123832,	8,	1332,	1,	1),
(123833,	8,	1332,	2,	1),
(123834,	8,	1332,	3,	1),
(123835,	8,	1333,	1,	1),
(123836,	8,	1333,	2,	1),
(123837,	8,	1333,	3,	1),
(123838,	8,	1334,	1,	1),
(123839,	8,	1334,	2,	1),
(123840,	8,	1334,	3,	1),
(123841,	8,	1335,	1,	1),
(123842,	8,	1335,	2,	1),
(123843,	8,	1335,	3,	1),
(123844,	8,	1336,	1,	1),
(123845,	8,	1336,	2,	1),
(123846,	8,	1336,	3,	1),
(123847,	8,	1337,	1,	1),
(123848,	8,	1337,	2,	1),
(123849,	8,	1337,	3,	1),
(123850,	8,	1338,	1,	1),
(123851,	8,	1338,	2,	1),
(123852,	8,	1338,	3,	1),
(123853,	8,	1339,	1,	1),
(123854,	8,	1339,	2,	1),
(123855,	8,	1339,	3,	1),
(123856,	8,	1340,	1,	1),
(123857,	8,	1340,	2,	1),
(123858,	8,	1340,	3,	1),
(123859,	8,	1341,	1,	1),
(123860,	8,	1341,	2,	1),
(123861,	8,	1341,	3,	1),
(123862,	8,	1342,	1,	1),
(123863,	8,	1342,	2,	1),
(123864,	8,	1342,	3,	1),
(123865,	8,	1343,	1,	1),
(123866,	8,	1343,	2,	1),
(123867,	8,	1343,	3,	1),
(123868,	8,	1343,	24,	1),
(123869,	8,	1344,	1,	1),
(123870,	8,	1344,	2,	1),
(123871,	8,	1344,	3,	1),
(123872,	8,	1344,	24,	1),
(123873,	8,	1345,	1,	1),
(123874,	8,	1345,	2,	1),
(123875,	8,	1345,	3,	1),
(123876,	8,	1345,	24,	1),
(123877,	8,	1346,	1,	1),
(123878,	8,	1346,	2,	1),
(123879,	8,	1346,	3,	1),
(123880,	8,	1346,	24,	1),
(123881,	8,	1347,	1,	1),
(123882,	8,	1347,	2,	1),
(123883,	8,	1347,	3,	1),
(123884,	8,	1347,	24,	1),
(123885,	8,	1348,	1,	1),
(123886,	8,	1348,	2,	1),
(123887,	8,	1348,	3,	1),
(123888,	8,	1348,	24,	1),
(123889,	8,	1349,	1,	1),
(123890,	8,	1349,	2,	1),
(123891,	8,	1349,	3,	1),
(123892,	8,	1350,	1,	1),
(123893,	8,	1350,	2,	1),
(123894,	8,	1350,	3,	1),
(123895,	8,	1350,	23,	1),
(123896,	8,	1350,	6,	1),
(123897,	8,	1350,	24,	1),
(123898,	8,	1350,	25,	1),
(123899,	8,	1350,	4,	1),
(123900,	8,	1350,	5,	1),
(123901,	8,	1351,	1,	1),
(123902,	8,	1351,	2,	1),
(123903,	8,	1351,	3,	1),
(123904,	8,	1352,	1,	1),
(123905,	8,	1352,	2,	1),
(123906,	8,	1352,	3,	1),
(123907,	8,	1352,	23,	1),
(123908,	8,	1352,	6,	1),
(123909,	8,	1352,	24,	1),
(123910,	8,	1352,	25,	1),
(123911,	8,	1352,	4,	1),
(123912,	8,	1352,	5,	1),
(123913,	8,	1353,	1,	1),
(123914,	8,	1353,	2,	1),
(123915,	8,	1353,	3,	1),
(123916,	8,	1354,	1,	1),
(123917,	8,	1354,	2,	1),
(123918,	8,	1354,	3,	1),
(123919,	8,	1354,	23,	1),
(123920,	8,	1354,	6,	1),
(123921,	8,	1354,	24,	1),
(123922,	8,	1354,	25,	1),
(123923,	8,	1354,	4,	1);
INSERT INTO `location_products` (`id`, `location_id`, `product_id`, `grade_id`, `standard_id`) VALUES
(123924,	8,	1354,	5,	1),
(123925,	8,	1355,	1,	1),
(123926,	8,	1355,	2,	1),
(123927,	8,	1355,	3,	1),
(123928,	8,	1356,	1,	1),
(123929,	8,	1356,	2,	1),
(123930,	8,	1356,	3,	1),
(123931,	8,	1357,	1,	1),
(123932,	8,	1357,	2,	1),
(123933,	8,	1357,	3,	1),
(123934,	8,	1357,	23,	1),
(123935,	8,	1357,	6,	1),
(123936,	8,	1357,	24,	1),
(123937,	8,	1357,	25,	1),
(123938,	8,	1357,	4,	1),
(123939,	8,	1357,	5,	1),
(123940,	8,	1358,	1,	1),
(123941,	8,	1358,	2,	1),
(123942,	8,	1358,	3,	1),
(123943,	8,	1359,	1,	1),
(123944,	8,	1359,	2,	1),
(123945,	8,	1359,	3,	1),
(123946,	8,	1359,	23,	1),
(123947,	8,	1359,	6,	1),
(123948,	8,	1359,	24,	1),
(123949,	8,	1359,	25,	1),
(123950,	8,	1359,	4,	1),
(123951,	8,	1359,	5,	1),
(123952,	8,	1360,	1,	1),
(123953,	8,	1360,	2,	1),
(123954,	8,	1360,	3,	1),
(123955,	8,	1360,	23,	1),
(123956,	8,	1360,	6,	1),
(123957,	8,	1360,	24,	1),
(123958,	8,	1360,	25,	1),
(123959,	8,	1360,	4,	1),
(123960,	8,	1360,	5,	1),
(123961,	8,	1361,	1,	1),
(123962,	8,	1361,	2,	1),
(123963,	8,	1361,	3,	1),
(123964,	8,	1361,	23,	1),
(123965,	8,	1361,	6,	1),
(123966,	8,	1361,	24,	1),
(123967,	8,	1361,	25,	1),
(123968,	8,	1361,	4,	1),
(123969,	8,	1361,	5,	1),
(123970,	8,	1362,	1,	1),
(123971,	8,	1362,	2,	1),
(123972,	8,	1362,	3,	1),
(123973,	8,	1363,	1,	1),
(123974,	8,	1363,	2,	1),
(123975,	8,	1363,	3,	1),
(123976,	8,	1363,	23,	1),
(123977,	8,	1363,	6,	1),
(123978,	8,	1363,	24,	1),
(123979,	8,	1363,	25,	1),
(123980,	8,	1363,	4,	1),
(123981,	8,	1363,	5,	1),
(123982,	8,	1364,	1,	1),
(123983,	8,	1364,	2,	1),
(123984,	8,	1364,	3,	1),
(123985,	8,	1365,	1,	1),
(123986,	8,	1365,	2,	1),
(123987,	8,	1365,	3,	1),
(123988,	8,	1366,	1,	1),
(123989,	8,	1366,	2,	1),
(123990,	8,	1366,	3,	1),
(123991,	8,	1367,	1,	1),
(123992,	8,	1367,	2,	1),
(123993,	8,	1367,	3,	1),
(123994,	8,	1368,	1,	1),
(123995,	8,	1368,	2,	1),
(123996,	8,	1368,	3,	1),
(123997,	8,	1369,	1,	1),
(123998,	8,	1369,	2,	1),
(123999,	8,	1369,	3,	1),
(124000,	8,	1370,	1,	1),
(124001,	8,	1370,	2,	1),
(124002,	8,	1370,	3,	1),
(124003,	8,	1371,	1,	1),
(124004,	8,	1371,	2,	1),
(124005,	8,	1371,	3,	1),
(124006,	8,	1372,	1,	1),
(124007,	8,	1372,	2,	1),
(124008,	8,	1372,	3,	1),
(124009,	8,	1372,	23,	1),
(124010,	8,	1372,	6,	1),
(124011,	8,	1372,	24,	1),
(124012,	8,	1372,	25,	1),
(124013,	8,	1372,	4,	1),
(124014,	8,	1372,	5,	1),
(124015,	8,	1373,	1,	1),
(124016,	8,	1373,	2,	1),
(124017,	8,	1373,	3,	1),
(124018,	8,	1373,	23,	1),
(124019,	8,	1373,	6,	1),
(124020,	8,	1373,	24,	1),
(124021,	8,	1373,	25,	1),
(124022,	8,	1373,	4,	1),
(124023,	8,	1373,	5,	1),
(124024,	8,	1374,	1,	1),
(124025,	8,	1374,	2,	1),
(124026,	8,	1374,	3,	1),
(124027,	8,	1375,	1,	1),
(124028,	8,	1375,	2,	1),
(124029,	8,	1375,	3,	1),
(124030,	8,	1375,	23,	1),
(124031,	8,	1375,	6,	1),
(124032,	8,	1375,	24,	1),
(124033,	8,	1375,	25,	1),
(124034,	8,	1375,	4,	1),
(124035,	8,	1375,	5,	1),
(124036,	8,	1376,	1,	1),
(124037,	8,	1376,	2,	1),
(124038,	8,	1376,	3,	1),
(124039,	8,	1376,	23,	1),
(124040,	8,	1376,	6,	1),
(124041,	8,	1376,	24,	1),
(124042,	8,	1376,	25,	1),
(124043,	8,	1376,	4,	1),
(124044,	8,	1376,	5,	1),
(124045,	8,	1377,	1,	1),
(124046,	8,	1377,	2,	1),
(124047,	8,	1377,	3,	1),
(124048,	8,	1377,	23,	1),
(124049,	8,	1377,	6,	1),
(124050,	8,	1377,	24,	1),
(124051,	8,	1377,	25,	1),
(124052,	8,	1377,	4,	1),
(124053,	8,	1377,	5,	1),
(124054,	8,	1378,	1,	1),
(124055,	8,	1378,	2,	1),
(124056,	8,	1378,	3,	1),
(124057,	8,	1379,	1,	1),
(124058,	8,	1379,	2,	1),
(124059,	8,	1379,	3,	1),
(124060,	8,	1380,	1,	1),
(124061,	8,	1380,	2,	1),
(124062,	8,	1380,	3,	1),
(124063,	8,	1381,	1,	1),
(124064,	8,	1381,	2,	1),
(124065,	8,	1381,	3,	1),
(124066,	8,	1382,	1,	1),
(124067,	8,	1382,	2,	1),
(124068,	8,	1382,	3,	1),
(124069,	8,	1383,	1,	1),
(124070,	8,	1383,	2,	1),
(124071,	8,	1383,	3,	1),
(124072,	8,	1384,	1,	1),
(124073,	8,	1384,	2,	1),
(124074,	8,	1384,	3,	1),
(124075,	8,	1385,	1,	1),
(124076,	8,	1385,	2,	1),
(124077,	8,	1385,	3,	1),
(124078,	8,	1386,	1,	1),
(124079,	8,	1386,	2,	1),
(124080,	8,	1386,	3,	1),
(124081,	8,	1387,	1,	1),
(124082,	8,	1387,	2,	1),
(124083,	8,	1387,	3,	1),
(124084,	8,	1387,	23,	1),
(124085,	8,	1387,	6,	1),
(124086,	8,	1387,	24,	1),
(124087,	8,	1387,	25,	1),
(124088,	8,	1387,	4,	1),
(124089,	8,	1388,	1,	1),
(124090,	8,	1388,	2,	1),
(124091,	8,	1388,	3,	1),
(124092,	8,	1388,	23,	1),
(124093,	8,	1388,	6,	1),
(124094,	8,	1388,	24,	1),
(124095,	8,	1388,	25,	1),
(124096,	8,	1388,	4,	1),
(124097,	8,	1389,	1,	1),
(124098,	8,	1389,	2,	1),
(124099,	8,	1389,	3,	1),
(124100,	8,	1389,	23,	1),
(124101,	8,	1389,	6,	1),
(124102,	8,	1389,	24,	1),
(124103,	8,	1389,	25,	1),
(124104,	8,	1389,	4,	1),
(124105,	8,	1390,	1,	1),
(124106,	8,	1390,	2,	1),
(124107,	8,	1390,	3,	1),
(124108,	8,	1391,	1,	1),
(124109,	8,	1391,	2,	1),
(124110,	8,	1391,	3,	1),
(124111,	8,	1391,	23,	1),
(124112,	8,	1391,	6,	1),
(124113,	8,	1391,	24,	1),
(124114,	8,	1391,	25,	1),
(124115,	8,	1391,	4,	1),
(124116,	8,	1392,	1,	1),
(124117,	8,	1392,	2,	1),
(124118,	8,	1392,	3,	1),
(124119,	8,	1393,	1,	1),
(124120,	8,	1393,	2,	1),
(124121,	8,	1393,	3,	1),
(124122,	8,	1393,	23,	1),
(124123,	8,	1393,	6,	1),
(124124,	8,	1393,	24,	1),
(124125,	8,	1393,	25,	1),
(124126,	8,	1393,	4,	1),
(124127,	8,	1394,	1,	1),
(124128,	8,	1394,	2,	1),
(124129,	8,	1394,	3,	1),
(124130,	8,	1395,	1,	1),
(124131,	8,	1395,	2,	1),
(124132,	8,	1395,	3,	1),
(124133,	8,	1396,	1,	1),
(124134,	8,	1396,	2,	1),
(124135,	8,	1396,	3,	1),
(124136,	8,	1397,	1,	1),
(124137,	8,	1397,	2,	1),
(124138,	8,	1397,	3,	1),
(124139,	8,	1398,	1,	1),
(124140,	8,	1398,	2,	1),
(124141,	8,	1398,	3,	1),
(124142,	8,	1399,	1,	1),
(124143,	8,	1399,	2,	1),
(124144,	8,	1399,	3,	1),
(124145,	8,	1400,	1,	1),
(124146,	8,	1400,	2,	1),
(124147,	8,	1400,	3,	1),
(124148,	8,	1401,	1,	1),
(124149,	8,	1401,	2,	1),
(124150,	8,	1401,	3,	1),
(124151,	8,	1401,	1,	2),
(124152,	8,	1401,	2,	2),
(124153,	8,	1401,	3,	2),
(124154,	8,	1402,	1,	1),
(124155,	8,	1402,	2,	1),
(124156,	8,	1402,	3,	1),
(124157,	8,	1402,	1,	2),
(124158,	8,	1402,	2,	2),
(124159,	8,	1402,	3,	2),
(124160,	8,	1403,	1,	1),
(124161,	8,	1403,	2,	1),
(124162,	8,	1403,	3,	1),
(124163,	8,	1403,	1,	2),
(124164,	8,	1403,	2,	2),
(124165,	8,	1403,	3,	2),
(124166,	8,	1404,	1,	1),
(124167,	8,	1404,	2,	1),
(124168,	8,	1404,	3,	1),
(124169,	8,	1404,	1,	2),
(124170,	8,	1404,	2,	2),
(124171,	8,	1404,	3,	2),
(124172,	8,	1405,	1,	1),
(124173,	8,	1405,	2,	1),
(124174,	8,	1405,	3,	1),
(124175,	8,	1405,	1,	2),
(124176,	8,	1405,	2,	2),
(124177,	8,	1405,	3,	2),
(124178,	8,	1406,	1,	1),
(124179,	8,	1406,	2,	1),
(124180,	8,	1406,	3,	1),
(124181,	8,	1406,	1,	2),
(124182,	8,	1406,	2,	2),
(124183,	8,	1406,	3,	2),
(124184,	8,	1407,	1,	1),
(124185,	8,	1407,	2,	1),
(124186,	8,	1407,	3,	1),
(124187,	8,	1407,	1,	2),
(124188,	8,	1407,	2,	2),
(124189,	8,	1407,	3,	2),
(124190,	8,	1408,	1,	1),
(124191,	8,	1408,	2,	1),
(124192,	8,	1408,	3,	1),
(124193,	8,	1408,	1,	2),
(124194,	8,	1408,	2,	2),
(124195,	8,	1408,	3,	2),
(124196,	8,	1409,	3,	1),
(124197,	8,	1410,	1,	1),
(124198,	8,	1410,	2,	1),
(124199,	8,	1410,	3,	1),
(124200,	8,	1410,	1,	2),
(124201,	8,	1410,	2,	2),
(124202,	8,	1410,	3,	2),
(124203,	8,	1411,	1,	1),
(124204,	8,	1411,	2,	1),
(124205,	8,	1411,	3,	1),
(124206,	8,	1411,	1,	2),
(124207,	8,	1411,	2,	2),
(124208,	8,	1411,	3,	2),
(124209,	8,	1412,	1,	1),
(124210,	8,	1412,	2,	1),
(124211,	8,	1412,	3,	1),
(124212,	8,	1412,	1,	2),
(124213,	8,	1412,	2,	2),
(124214,	8,	1412,	3,	2),
(124215,	8,	1413,	1,	1),
(124216,	8,	1413,	2,	1),
(124217,	8,	1413,	3,	1),
(124218,	8,	1413,	1,	2),
(124219,	8,	1413,	2,	2),
(124220,	8,	1413,	3,	2),
(124221,	8,	1414,	1,	1),
(124222,	8,	1414,	2,	1),
(124223,	8,	1414,	3,	1),
(124224,	8,	1415,	1,	1),
(124225,	8,	1415,	2,	1),
(124226,	8,	1415,	3,	1),
(124227,	8,	1416,	1,	1),
(124228,	8,	1416,	2,	1),
(124229,	8,	1416,	3,	1),
(124230,	8,	1416,	1,	2),
(124231,	8,	1416,	2,	2),
(124232,	8,	1416,	3,	2),
(124233,	8,	1417,	2,	1),
(124234,	8,	1418,	1,	1),
(124235,	8,	1418,	2,	1),
(124236,	8,	1418,	3,	1),
(124237,	8,	1419,	1,	1),
(124238,	8,	1419,	2,	1),
(124239,	8,	1419,	3,	1),
(124240,	8,	1419,	1,	2),
(124241,	8,	1419,	2,	2),
(124242,	8,	1419,	3,	2),
(124243,	8,	1420,	1,	1),
(124244,	8,	1420,	2,	1),
(124245,	8,	1420,	3,	1),
(124246,	8,	1421,	1,	1),
(124247,	8,	1421,	2,	1),
(124248,	8,	1421,	3,	1),
(124249,	8,	1422,	1,	1),
(124250,	8,	1422,	2,	1),
(124251,	8,	1422,	3,	1),
(124252,	8,	1422,	23,	1),
(124253,	8,	1422,	6,	1),
(124254,	8,	1422,	24,	1),
(124255,	8,	1422,	25,	1),
(124256,	8,	1422,	4,	1),
(124257,	8,	1422,	5,	1),
(124258,	8,	1423,	1,	1),
(124259,	8,	1423,	2,	1),
(124260,	8,	1423,	3,	1),
(124261,	8,	1423,	23,	1),
(124262,	8,	1423,	6,	1),
(124263,	8,	1423,	24,	1),
(124264,	8,	1423,	25,	1),
(124265,	8,	1423,	4,	1),
(124266,	8,	1423,	5,	1),
(124267,	8,	1424,	1,	1),
(124268,	8,	1424,	2,	1),
(124269,	8,	1424,	3,	1),
(124270,	8,	1425,	1,	1),
(124271,	8,	1425,	2,	1),
(124272,	8,	1425,	3,	1),
(124273,	8,	1425,	23,	1),
(124274,	8,	1425,	6,	1),
(124275,	8,	1425,	24,	1),
(124276,	8,	1425,	25,	1),
(124277,	8,	1425,	4,	1),
(124278,	8,	1425,	5,	1),
(124279,	8,	1426,	1,	1),
(124280,	8,	1426,	2,	1),
(124281,	8,	1426,	3,	1),
(124282,	8,	1426,	23,	1),
(124283,	8,	1426,	6,	1),
(124284,	8,	1426,	24,	1),
(124285,	8,	1426,	25,	1),
(124286,	8,	1426,	4,	1),
(124287,	8,	1426,	5,	1),
(124288,	8,	1427,	1,	1),
(124289,	8,	1427,	2,	1),
(124290,	8,	1427,	3,	1),
(124291,	8,	1428,	1,	1),
(124292,	8,	1428,	2,	1),
(124293,	8,	1428,	3,	1),
(124294,	8,	1428,	23,	1),
(124295,	8,	1428,	6,	1),
(124296,	8,	1428,	24,	1),
(124297,	8,	1428,	25,	1),
(124298,	8,	1428,	4,	1),
(124299,	8,	1428,	5,	1),
(124300,	8,	1429,	1,	1),
(124301,	8,	1429,	2,	1),
(124302,	8,	1429,	3,	1),
(124303,	8,	1430,	1,	1),
(124304,	8,	1430,	2,	1),
(124305,	8,	1430,	3,	1),
(124306,	8,	1431,	1,	1),
(124307,	8,	1431,	2,	1),
(124308,	8,	1431,	3,	1),
(124309,	8,	1431,	23,	1),
(124310,	8,	1431,	6,	1),
(124311,	8,	1431,	24,	1),
(124312,	8,	1431,	25,	1),
(124313,	8,	1431,	4,	1),
(124314,	8,	1431,	5,	1),
(124315,	8,	1432,	1,	1),
(124316,	8,	1432,	2,	1),
(124317,	8,	1432,	3,	1),
(124318,	8,	1432,	1,	2),
(124319,	8,	1432,	2,	2),
(124320,	8,	1432,	3,	2),
(124321,	8,	1433,	1,	1),
(124322,	8,	1433,	2,	1),
(124323,	8,	1433,	3,	1),
(124324,	8,	1434,	1,	1),
(124325,	8,	1434,	2,	1),
(124326,	8,	1434,	3,	1),
(124327,	8,	1435,	1,	1),
(124328,	8,	1435,	2,	1),
(124329,	8,	1435,	3,	1),
(124330,	8,	1436,	1,	1),
(124331,	8,	1436,	2,	1),
(124332,	8,	1436,	3,	1),
(124333,	8,	1436,	23,	1),
(124334,	8,	1436,	6,	1),
(124335,	8,	1436,	24,	1),
(124336,	8,	1436,	25,	1),
(124337,	8,	1436,	4,	1),
(124338,	8,	1436,	5,	1),
(124339,	8,	1437,	1,	1),
(124340,	8,	1437,	2,	1),
(124341,	8,	1437,	3,	1),
(124342,	8,	1437,	23,	1),
(124343,	8,	1437,	6,	1),
(124344,	8,	1437,	24,	1),
(124345,	8,	1437,	25,	1),
(124346,	8,	1437,	4,	1),
(124347,	8,	1437,	5,	1),
(124348,	8,	1438,	1,	1),
(124349,	8,	1438,	2,	1),
(124350,	8,	1438,	3,	1),
(124351,	8,	1439,	1,	1),
(124352,	8,	1439,	2,	1),
(124353,	8,	1439,	3,	1),
(124354,	8,	1439,	23,	1),
(124355,	8,	1439,	6,	1),
(124356,	8,	1439,	24,	1),
(124357,	8,	1439,	25,	1),
(124358,	8,	1439,	4,	1),
(124359,	8,	1439,	5,	1),
(124360,	8,	1440,	1,	1),
(124361,	8,	1440,	2,	1),
(124362,	8,	1440,	3,	1),
(124363,	8,	1440,	23,	1),
(124364,	8,	1440,	6,	1),
(124365,	8,	1440,	24,	1),
(124366,	8,	1440,	25,	1),
(124367,	8,	1440,	4,	1),
(124368,	8,	1440,	5,	1),
(124369,	8,	1441,	1,	1),
(124370,	8,	1441,	2,	1),
(124371,	8,	1441,	3,	1),
(124372,	8,	1442,	1,	1),
(124373,	8,	1442,	2,	1),
(124374,	8,	1442,	3,	1),
(124375,	8,	1442,	23,	1),
(124376,	8,	1442,	6,	1),
(124377,	8,	1442,	24,	1),
(124378,	8,	1442,	25,	1),
(124379,	8,	1442,	4,	1),
(124380,	8,	1442,	5,	1),
(124381,	8,	1443,	1,	1),
(124382,	8,	1443,	2,	1),
(124383,	8,	1443,	3,	1),
(124384,	8,	1443,	23,	1),
(124385,	8,	1443,	6,	1),
(124386,	8,	1443,	24,	1),
(124387,	8,	1443,	25,	1),
(124388,	8,	1443,	4,	1),
(124389,	8,	1443,	5,	1),
(124390,	8,	1444,	1,	1),
(124391,	8,	1444,	2,	1),
(124392,	8,	1444,	3,	1),
(124393,	8,	1445,	1,	1),
(124394,	8,	1445,	2,	1),
(124395,	8,	1445,	3,	1),
(124396,	8,	1445,	23,	1),
(124397,	8,	1445,	6,	1),
(124398,	8,	1445,	24,	1),
(124399,	8,	1445,	25,	1),
(124400,	8,	1445,	4,	1),
(124401,	8,	1445,	5,	1),
(124402,	8,	1446,	1,	1),
(124403,	8,	1446,	2,	1),
(124404,	8,	1446,	3,	1),
(124405,	8,	1446,	1,	2),
(124406,	8,	1446,	2,	2),
(124407,	8,	1446,	3,	2),
(124408,	8,	1447,	1,	1),
(124409,	8,	1447,	2,	1),
(124410,	8,	1447,	3,	1),
(124411,	8,	1447,	1,	2),
(124412,	8,	1447,	2,	2),
(124413,	8,	1447,	3,	2),
(124414,	8,	1448,	1,	1),
(124415,	8,	1448,	2,	1),
(124416,	8,	1448,	3,	1),
(124417,	8,	1449,	1,	1),
(124418,	8,	1449,	2,	1),
(124419,	8,	1449,	3,	1),
(124420,	8,	1450,	1,	1),
(124421,	8,	1450,	2,	1),
(124422,	8,	1450,	3,	1),
(124423,	8,	1451,	1,	1),
(124424,	8,	1451,	2,	1),
(124425,	8,	1451,	3,	1),
(124426,	8,	1452,	1,	1),
(124427,	8,	1452,	2,	1),
(124428,	8,	1452,	3,	1),
(124429,	8,	1452,	23,	1),
(124430,	8,	1452,	6,	1),
(124431,	8,	1452,	24,	1),
(124432,	8,	1452,	25,	1),
(124433,	8,	1452,	4,	1),
(124434,	8,	1452,	5,	1),
(124435,	8,	1453,	1,	1),
(124436,	8,	1453,	2,	1),
(124437,	8,	1453,	3,	1),
(124438,	8,	1453,	23,	1),
(124439,	8,	1453,	6,	1),
(124440,	8,	1453,	24,	1),
(124441,	8,	1453,	25,	1),
(124442,	8,	1453,	4,	1),
(124443,	8,	1453,	5,	1),
(124444,	8,	1454,	1,	1),
(124445,	8,	1454,	2,	1),
(124446,	8,	1454,	3,	1),
(124447,	8,	1455,	1,	1),
(124448,	8,	1455,	2,	1),
(124449,	8,	1455,	3,	1),
(124450,	8,	1455,	23,	1),
(124451,	8,	1455,	6,	1),
(124452,	8,	1455,	24,	1),
(124453,	8,	1455,	25,	1),
(124454,	8,	1455,	4,	1),
(124455,	8,	1455,	5,	1),
(124456,	8,	1456,	1,	1),
(124457,	8,	1456,	2,	1),
(124458,	8,	1456,	3,	1),
(124459,	8,	1456,	23,	1),
(124460,	8,	1456,	6,	1),
(124461,	8,	1456,	24,	1),
(124462,	8,	1456,	25,	1),
(124463,	8,	1456,	4,	1),
(124464,	8,	1456,	5,	1),
(124465,	8,	1457,	1,	1),
(124466,	8,	1457,	2,	1),
(124467,	8,	1457,	3,	1),
(124468,	8,	1458,	1,	1),
(124469,	8,	1458,	2,	1),
(124470,	8,	1458,	3,	1),
(124471,	8,	1458,	23,	1),
(124472,	8,	1458,	6,	1),
(124473,	8,	1458,	24,	1),
(124474,	8,	1458,	25,	1),
(124475,	8,	1458,	4,	1),
(124476,	8,	1458,	5,	1),
(124477,	8,	1459,	1,	1),
(124478,	8,	1459,	2,	1),
(124479,	8,	1459,	3,	1),
(124480,	8,	1459,	1,	2),
(124481,	8,	1459,	2,	2),
(124482,	8,	1459,	3,	2),
(124483,	8,	1461,	1,	1),
(124484,	8,	1461,	2,	1),
(124485,	8,	1461,	3,	1),
(124486,	8,	1462,	1,	1),
(124487,	8,	1462,	2,	1),
(124488,	8,	1462,	3,	1),
(124489,	8,	1462,	1,	2),
(124490,	8,	1462,	2,	2),
(124491,	8,	1462,	3,	2),
(124492,	8,	1463,	1,	1),
(124493,	8,	1463,	2,	1),
(124494,	8,	1463,	3,	1),
(124495,	8,	1463,	1,	2),
(124496,	8,	1463,	2,	2),
(124497,	8,	1463,	3,	2),
(124498,	8,	1464,	1,	1),
(124499,	8,	1464,	2,	1),
(124500,	8,	1464,	3,	1),
(124501,	8,	1465,	1,	1),
(124502,	8,	1465,	2,	1),
(124503,	8,	1465,	3,	1),
(124504,	8,	1465,	23,	1),
(124505,	8,	1466,	1,	1),
(124506,	8,	1466,	2,	1),
(124507,	8,	1466,	3,	1),
(124508,	8,	1466,	23,	1),
(124509,	8,	1467,	1,	1),
(124510,	8,	1467,	2,	1),
(124511,	8,	1467,	3,	1),
(124512,	8,	1467,	23,	1),
(124513,	8,	1468,	1,	1),
(124514,	8,	1468,	2,	1),
(124515,	8,	1468,	3,	1),
(124516,	8,	1468,	23,	1),
(124517,	8,	1469,	1,	1),
(124518,	8,	1469,	2,	1),
(124519,	8,	1469,	3,	1),
(124520,	8,	1469,	1,	2),
(124521,	8,	1469,	2,	2),
(124522,	8,	1469,	3,	2),
(124523,	8,	1470,	1,	1),
(124524,	8,	1470,	2,	1),
(124525,	8,	1470,	3,	1),
(124526,	8,	1471,	1,	1),
(124527,	8,	1471,	2,	1),
(124528,	8,	1471,	3,	1),
(124529,	8,	1472,	1,	1),
(124530,	8,	1472,	2,	1),
(124531,	8,	1472,	3,	1),
(124532,	8,	1473,	1,	1),
(124533,	8,	1473,	2,	1),
(124534,	8,	1473,	3,	1),
(124535,	8,	1473,	23,	1),
(124536,	8,	1474,	1,	1),
(124537,	8,	1474,	2,	1),
(124538,	8,	1474,	3,	1),
(124539,	8,	1475,	1,	1),
(124540,	8,	1475,	2,	1),
(124541,	8,	1475,	3,	1),
(124542,	8,	1476,	1,	1),
(124543,	8,	1476,	2,	1),
(124544,	8,	1476,	3,	1),
(124545,	8,	1476,	23,	1),
(124546,	8,	1477,	1,	1),
(124547,	8,	1477,	2,	1),
(124548,	8,	1477,	3,	1),
(124549,	8,	1478,	1,	1),
(124550,	8,	1478,	2,	1),
(124551,	8,	1478,	3,	1),
(124552,	8,	1479,	1,	1),
(124553,	8,	1479,	2,	1),
(124554,	8,	1479,	3,	1),
(124555,	8,	1480,	1,	1),
(124556,	8,	1480,	2,	1),
(124557,	8,	1480,	3,	1),
(124558,	8,	1481,	1,	1),
(124559,	8,	1481,	2,	1),
(124560,	8,	1481,	3,	1),
(124561,	8,	1481,	1,	2),
(124562,	8,	1481,	2,	2),
(124563,	8,	1481,	3,	2),
(124564,	8,	1482,	1,	1),
(124565,	8,	1482,	2,	1),
(124566,	8,	1482,	3,	1),
(124567,	8,	1483,	1,	1),
(124568,	8,	1483,	2,	1),
(124569,	8,	1483,	3,	1),
(124570,	8,	1484,	1,	1),
(124571,	8,	1484,	2,	1),
(124572,	8,	1484,	3,	1),
(124573,	8,	1485,	1,	1),
(124574,	8,	1485,	2,	1),
(124575,	8,	1485,	3,	1),
(124576,	8,	1486,	1,	1),
(124577,	8,	1486,	2,	1),
(124578,	8,	1486,	3,	1),
(124579,	8,	1487,	1,	1),
(124580,	8,	1487,	2,	1),
(124581,	8,	1487,	3,	1),
(124582,	8,	1488,	1,	1),
(124583,	8,	1488,	2,	1),
(124584,	8,	1488,	3,	1),
(124585,	8,	1489,	1,	1),
(124586,	8,	1489,	2,	1),
(124587,	8,	1489,	3,	1),
(124588,	8,	1490,	1,	1),
(124589,	8,	1490,	2,	1),
(124590,	8,	1490,	3,	1),
(124591,	8,	1491,	1,	1),
(124592,	8,	1491,	2,	1),
(124593,	8,	1491,	3,	1),
(124594,	8,	1492,	1,	1),
(124595,	8,	1492,	2,	1),
(124596,	8,	1492,	3,	1),
(124597,	8,	1493,	1,	1),
(124598,	8,	1493,	2,	1),
(124599,	8,	1493,	3,	1),
(124600,	8,	1494,	1,	1),
(124601,	8,	1494,	2,	1),
(124602,	8,	1494,	3,	1),
(124603,	8,	1495,	1,	1),
(124604,	8,	1495,	2,	1),
(124605,	8,	1495,	3,	1),
(124606,	8,	1496,	2,	1),
(124607,	8,	1496,	75,	1),
(124608,	8,	1496,	46,	1),
(124609,	8,	1497,	1,	1),
(124610,	8,	1497,	2,	1),
(124611,	8,	1497,	3,	1),
(124612,	8,	1498,	1,	1),
(124613,	8,	1498,	2,	1),
(124614,	8,	1498,	3,	1),
(124615,	8,	1499,	1,	1),
(124616,	8,	1499,	2,	1),
(124617,	8,	1499,	3,	1),
(124618,	8,	1499,	75,	1),
(124619,	8,	1499,	76,	1),
(124620,	8,	1499,	77,	1),
(124621,	8,	1499,	78,	1),
(124622,	8,	1499,	79,	1),
(124623,	8,	1499,	45,	1),
(124624,	8,	1499,	46,	1),
(124625,	8,	1499,	54,	1),
(124626,	8,	1499,	28,	1),
(124627,	8,	1499,	61,	1),
(124628,	8,	1499,	80,	1),
(124629,	8,	1499,	59,	1),
(124630,	8,	1500,	1,	1),
(124631,	8,	1500,	2,	1),
(124632,	8,	1500,	3,	1),
(124633,	8,	1500,	75,	1),
(124634,	8,	1500,	76,	1),
(124635,	8,	1500,	77,	1),
(124636,	8,	1500,	78,	1),
(124637,	8,	1500,	79,	1),
(124638,	8,	1500,	45,	1),
(124639,	8,	1500,	46,	1),
(124640,	8,	1500,	54,	1),
(124641,	8,	1500,	28,	1),
(124642,	8,	1500,	61,	1),
(124643,	8,	1500,	80,	1),
(124644,	8,	1500,	59,	1),
(124645,	8,	1501,	1,	1),
(124646,	8,	1501,	2,	1),
(124647,	8,	1501,	3,	1),
(124648,	8,	1501,	75,	1),
(124649,	8,	1501,	76,	1),
(124650,	8,	1501,	77,	1),
(124651,	8,	1501,	78,	1),
(124652,	8,	1501,	79,	1),
(124653,	8,	1501,	45,	1),
(124654,	8,	1501,	46,	1),
(124655,	8,	1501,	54,	1),
(124656,	8,	1501,	28,	1),
(124657,	8,	1501,	61,	1),
(124658,	8,	1501,	80,	1),
(124659,	8,	1501,	59,	1),
(124660,	8,	1502,	1,	1),
(124661,	8,	1502,	2,	1),
(124662,	8,	1502,	3,	1),
(124663,	8,	1502,	75,	1),
(124664,	8,	1502,	76,	1),
(124665,	8,	1502,	77,	1),
(124666,	8,	1502,	78,	1),
(124667,	8,	1502,	79,	1),
(124668,	8,	1502,	45,	1),
(124669,	8,	1502,	46,	1),
(124670,	8,	1502,	54,	1),
(124671,	8,	1502,	28,	1),
(124672,	8,	1502,	61,	1),
(124673,	8,	1502,	80,	1),
(124674,	8,	1502,	59,	1),
(124675,	8,	1503,	1,	1),
(124676,	8,	1503,	2,	1),
(124677,	8,	1503,	3,	1),
(124678,	8,	1503,	75,	1),
(124679,	8,	1503,	76,	1),
(124680,	8,	1503,	77,	1),
(124681,	8,	1503,	78,	1),
(124682,	8,	1503,	79,	1),
(124683,	8,	1503,	45,	1),
(124684,	8,	1503,	46,	1),
(124685,	8,	1503,	54,	1),
(124686,	8,	1503,	28,	1),
(124687,	8,	1503,	61,	1),
(124688,	8,	1503,	80,	1),
(124689,	8,	1503,	59,	1),
(124690,	8,	1504,	1,	1),
(124691,	8,	1504,	2,	1),
(124692,	8,	1504,	3,	1),
(124693,	8,	1504,	1,	2),
(124694,	8,	1504,	2,	2),
(124695,	8,	1504,	3,	2),
(124696,	8,	1505,	1,	1),
(124697,	8,	1505,	2,	1),
(124698,	8,	1505,	3,	1),
(124699,	8,	1505,	1,	2),
(124700,	8,	1505,	2,	2),
(124701,	8,	1505,	3,	2),
(124702,	8,	1506,	1,	1),
(124703,	8,	1506,	2,	1),
(124704,	8,	1506,	3,	1),
(124705,	8,	1507,	1,	1),
(124706,	8,	1507,	2,	1),
(124707,	8,	1507,	3,	1),
(124708,	8,	1508,	1,	1),
(124709,	8,	1508,	2,	1),
(124710,	8,	1508,	3,	1),
(124711,	8,	1509,	1,	1),
(124712,	8,	1509,	2,	1),
(124713,	8,	1509,	3,	1),
(124714,	8,	1510,	1,	1),
(124715,	8,	1510,	2,	1),
(124716,	8,	1510,	3,	1),
(124717,	8,	1510,	75,	1),
(124718,	8,	1510,	76,	1),
(124719,	8,	1510,	77,	1),
(124720,	8,	1510,	78,	1),
(124721,	8,	1510,	79,	1),
(124722,	8,	1510,	45,	1),
(124723,	8,	1510,	46,	1),
(124724,	8,	1510,	54,	1),
(124725,	8,	1510,	28,	1),
(124726,	8,	1510,	61,	1),
(124727,	8,	1510,	80,	1),
(124728,	8,	1510,	59,	1),
(124729,	8,	1511,	1,	1),
(124730,	8,	1511,	2,	1),
(124731,	8,	1511,	3,	1),
(124732,	8,	1511,	75,	1),
(124733,	8,	1511,	76,	1),
(124734,	8,	1511,	77,	1),
(124735,	8,	1511,	78,	1),
(124736,	8,	1511,	79,	1),
(124737,	8,	1511,	45,	1),
(124738,	8,	1511,	46,	1),
(124739,	8,	1511,	54,	1),
(124740,	8,	1511,	28,	1),
(124741,	8,	1511,	61,	1),
(124742,	8,	1511,	80,	1),
(124743,	8,	1511,	59,	1),
(124744,	8,	1512,	1,	1),
(124745,	8,	1512,	2,	1),
(124746,	8,	1512,	3,	1),
(124747,	8,	1513,	2,	1),
(124748,	8,	1514,	1,	1),
(124749,	8,	1514,	2,	1),
(124750,	8,	1514,	3,	1),
(124751,	8,	1514,	1,	2),
(124752,	8,	1514,	2,	2),
(124753,	8,	1514,	3,	2),
(124754,	8,	1515,	1,	1),
(124755,	8,	1515,	2,	1),
(124756,	8,	1515,	3,	1),
(124757,	8,	1516,	2,	1),
(124758,	8,	1517,	1,	1),
(124759,	8,	1517,	2,	1),
(124760,	8,	1517,	3,	1),
(124761,	8,	1517,	1,	2),
(124762,	8,	1517,	2,	2),
(124763,	8,	1517,	3,	2),
(124764,	8,	1518,	1,	1),
(124765,	8,	1518,	2,	1),
(124766,	8,	1518,	3,	1),
(124767,	8,	1518,	1,	2),
(124768,	8,	1518,	2,	2),
(124769,	8,	1518,	3,	2),
(124770,	8,	1519,	1,	1),
(124771,	8,	1519,	2,	1),
(124772,	8,	1519,	3,	1),
(124773,	8,	1520,	1,	1),
(124774,	8,	1520,	2,	1),
(124775,	8,	1520,	3,	1),
(124776,	8,	1520,	1,	2),
(124777,	8,	1520,	2,	2),
(124778,	8,	1520,	3,	2),
(124779,	8,	1521,	1,	1),
(124780,	8,	1521,	2,	1),
(124781,	8,	1521,	3,	1),
(124782,	8,	1522,	1,	1),
(124783,	8,	1522,	2,	1),
(124784,	8,	1522,	3,	1),
(124785,	8,	1523,	1,	1),
(124786,	8,	1523,	2,	1),
(124787,	8,	1523,	3,	1),
(124788,	8,	1523,	75,	1),
(124789,	8,	1523,	76,	1),
(124790,	8,	1523,	77,	1),
(124791,	8,	1523,	78,	1),
(124792,	8,	1523,	79,	1),
(124793,	8,	1523,	45,	1),
(124794,	8,	1523,	46,	1),
(124795,	8,	1523,	54,	1),
(124796,	8,	1523,	28,	1),
(124797,	8,	1523,	61,	1),
(124798,	8,	1523,	80,	1),
(124799,	8,	1524,	1,	1),
(124800,	8,	1524,	2,	1),
(124801,	8,	1524,	3,	1),
(124802,	8,	1524,	1,	2),
(124803,	8,	1524,	2,	2),
(124804,	8,	1524,	3,	2),
(124805,	8,	1525,	1,	1),
(124806,	8,	1525,	2,	1),
(124807,	8,	1525,	3,	1),
(124808,	8,	1526,	1,	1),
(124809,	8,	1526,	2,	1),
(124810,	8,	1526,	3,	1),
(124811,	8,	1526,	1,	2),
(124812,	8,	1526,	2,	2),
(124813,	8,	1526,	3,	2),
(124814,	8,	1527,	1,	1),
(124815,	8,	1527,	2,	1),
(124816,	8,	1527,	3,	1),
(124817,	8,	1527,	1,	2),
(124818,	8,	1527,	2,	2),
(124819,	8,	1527,	3,	2),
(124820,	8,	1528,	1,	1),
(124821,	8,	1528,	2,	1),
(124822,	8,	1528,	3,	1),
(124823,	8,	1528,	1,	2),
(124824,	8,	1528,	2,	2),
(124825,	8,	1528,	3,	2),
(124826,	8,	1529,	1,	1),
(124827,	8,	1529,	2,	1),
(124828,	8,	1529,	3,	1),
(124829,	8,	1530,	1,	1),
(124830,	8,	1530,	2,	1),
(124831,	8,	1530,	3,	1),
(124832,	8,	1530,	1,	2),
(124833,	8,	1530,	2,	2),
(124834,	8,	1530,	3,	2),
(124835,	8,	1531,	1,	1),
(124836,	8,	1531,	2,	1),
(124837,	8,	1531,	3,	1),
(124838,	8,	1532,	1,	1),
(124839,	8,	1532,	2,	1),
(124840,	8,	1532,	3,	1),
(124841,	8,	1533,	1,	1),
(124842,	8,	1533,	2,	1),
(124843,	8,	1533,	3,	1),
(124844,	8,	1534,	1,	1),
(124845,	8,	1534,	2,	1),
(124846,	8,	1534,	3,	1),
(124847,	8,	1535,	1,	1),
(124848,	8,	1535,	2,	1),
(124849,	8,	1535,	3,	1),
(124850,	8,	1535,	1,	2),
(124851,	8,	1535,	2,	2),
(124852,	8,	1535,	3,	2),
(124853,	8,	1536,	1,	1),
(124854,	8,	1536,	2,	1),
(124855,	8,	1536,	3,	1),
(124856,	8,	1536,	1,	2),
(124857,	8,	1536,	2,	2),
(124858,	8,	1536,	3,	2),
(124859,	8,	1537,	1,	1),
(124860,	8,	1537,	2,	1),
(124861,	8,	1537,	3,	1),
(124862,	8,	1538,	1,	1),
(124863,	8,	1538,	2,	1),
(124864,	8,	1538,	3,	1),
(124865,	8,	1539,	1,	1),
(124866,	8,	1539,	2,	1),
(124867,	8,	1539,	3,	1),
(124868,	8,	1539,	1,	2),
(124869,	8,	1539,	2,	2),
(124870,	8,	1539,	3,	2),
(124871,	8,	1540,	1,	1),
(124872,	8,	1540,	2,	1),
(124873,	8,	1540,	3,	1),
(124874,	8,	1541,	1,	1),
(124875,	8,	1541,	2,	1),
(124876,	8,	1541,	3,	1),
(124877,	8,	1541,	1,	2),
(124878,	8,	1541,	2,	2),
(124879,	8,	1541,	3,	2),
(124880,	8,	1542,	1,	1),
(124881,	8,	1542,	2,	1),
(124882,	8,	1542,	3,	1),
(124883,	8,	1542,	1,	2),
(124884,	8,	1542,	2,	2),
(124885,	8,	1542,	3,	2),
(124886,	8,	1543,	1,	1),
(124887,	8,	1543,	2,	1),
(124888,	8,	1543,	3,	1),
(124889,	8,	1543,	1,	2),
(124890,	8,	1543,	2,	2),
(124891,	8,	1543,	3,	2),
(124892,	8,	1544,	1,	1),
(124893,	8,	1544,	2,	1),
(124894,	8,	1544,	3,	1),
(124895,	8,	1545,	1,	1),
(124896,	8,	1545,	2,	1),
(124897,	8,	1545,	3,	1),
(124898,	8,	1545,	1,	3),
(124899,	8,	1545,	2,	3),
(124900,	8,	1545,	3,	3),
(124901,	8,	1546,	1,	1),
(124902,	8,	1546,	2,	1),
(124903,	8,	1546,	3,	1),
(124904,	8,	1546,	1,	2),
(124905,	8,	1546,	2,	2),
(124906,	8,	1546,	3,	2),
(124907,	8,	1547,	2,	1),
(124908,	8,	1548,	1,	1),
(124909,	8,	1548,	2,	1),
(124910,	8,	1548,	3,	1),
(124911,	8,	1548,	1,	2),
(124912,	8,	1548,	2,	2),
(124913,	8,	1548,	3,	2),
(124914,	8,	1549,	1,	1),
(124915,	8,	1549,	2,	1),
(124916,	8,	1549,	3,	1),
(124917,	8,	1550,	1,	1),
(124918,	8,	1550,	2,	1),
(124919,	8,	1550,	3,	1),
(124920,	8,	1551,	1,	1),
(124921,	8,	1551,	2,	1),
(124922,	8,	1551,	3,	1),
(124923,	8,	1552,	1,	1),
(124924,	8,	1552,	2,	1),
(124925,	8,	1552,	3,	1),
(124926,	8,	1552,	1,	2),
(124927,	8,	1552,	2,	2),
(124928,	8,	1552,	3,	2),
(124929,	8,	1553,	1,	1),
(124930,	8,	1553,	2,	1),
(124931,	8,	1553,	3,	1),
(124932,	8,	1554,	1,	1),
(124933,	8,	1554,	2,	1),
(124934,	8,	1554,	3,	1),
(124935,	8,	1555,	1,	1),
(124936,	8,	1555,	2,	1),
(124937,	8,	1555,	3,	1),
(124938,	8,	1555,	1,	3),
(124939,	8,	1555,	2,	3),
(124940,	8,	1555,	3,	3),
(124941,	8,	1556,	1,	1),
(124942,	8,	1556,	2,	1),
(124943,	8,	1556,	3,	1),
(124944,	8,	1556,	1,	2),
(124945,	8,	1556,	2,	2),
(124946,	8,	1556,	3,	2),
(124947,	8,	1557,	1,	1),
(124948,	8,	1557,	2,	1),
(124949,	8,	1557,	3,	1),
(124950,	8,	1557,	1,	2),
(124951,	8,	1557,	2,	2),
(124952,	8,	1557,	3,	2),
(124953,	8,	1558,	1,	1),
(124954,	8,	1558,	2,	1),
(124955,	8,	1558,	3,	1),
(124956,	8,	1558,	1,	2),
(124957,	8,	1558,	2,	2),
(124958,	8,	1558,	3,	2),
(124959,	8,	1559,	1,	1),
(124960,	8,	1559,	2,	1),
(124961,	8,	1559,	3,	1),
(124962,	8,	1559,	1,	2),
(124963,	8,	1559,	2,	2),
(124964,	8,	1559,	3,	2),
(124965,	8,	1560,	1,	1),
(124966,	8,	1560,	2,	1),
(124967,	8,	1560,	3,	1),
(124968,	8,	1560,	1,	2),
(124969,	8,	1560,	2,	2),
(124970,	8,	1560,	3,	2),
(124971,	8,	1561,	1,	1),
(124972,	8,	1561,	2,	1),
(124973,	8,	1561,	3,	1),
(124974,	8,	1561,	1,	2),
(124975,	8,	1561,	2,	2),
(124976,	8,	1561,	3,	2),
(124977,	8,	1564,	1,	1),
(124978,	8,	1564,	2,	1),
(124979,	8,	1564,	3,	1),
(124980,	8,	1564,	1,	2),
(124981,	8,	1564,	2,	2),
(124982,	8,	1564,	3,	2),
(124983,	8,	1565,	1,	1),
(124984,	8,	1565,	2,	1),
(124985,	8,	1565,	3,	1),
(124986,	8,	1565,	1,	2),
(124987,	8,	1565,	2,	2),
(124988,	8,	1565,	3,	2),
(124989,	8,	1566,	1,	1),
(124990,	8,	1566,	2,	1),
(124991,	8,	1566,	3,	1),
(124992,	8,	1566,	1,	2),
(124993,	8,	1566,	2,	2),
(124994,	8,	1566,	3,	2),
(124995,	8,	1567,	1,	1),
(124996,	8,	1567,	2,	1),
(124997,	8,	1567,	3,	1),
(124998,	8,	1567,	1,	2),
(124999,	8,	1567,	2,	2),
(125000,	8,	1567,	3,	2),
(125001,	8,	1568,	1,	1),
(125002,	8,	1568,	2,	1),
(125003,	8,	1568,	3,	1),
(125004,	8,	1568,	1,	2),
(125005,	8,	1568,	2,	2),
(125006,	8,	1568,	3,	2),
(125007,	8,	1569,	1,	1),
(125008,	8,	1569,	2,	1),
(125009,	8,	1569,	3,	1),
(125010,	8,	1569,	1,	2),
(125011,	8,	1569,	2,	2),
(125012,	8,	1569,	3,	2),
(125013,	8,	1570,	1,	1),
(125014,	8,	1570,	2,	1),
(125015,	8,	1570,	3,	1),
(125016,	8,	1570,	1,	2),
(125017,	8,	1570,	2,	2),
(125018,	8,	1570,	3,	2),
(125019,	8,	1571,	1,	1),
(125020,	8,	1571,	2,	1),
(125021,	8,	1571,	3,	1),
(125022,	8,	1572,	1,	1),
(125023,	8,	1572,	2,	1),
(125024,	8,	1572,	3,	1),
(125025,	8,	1572,	1,	2),
(125026,	8,	1572,	2,	2),
(125027,	8,	1572,	3,	2),
(125028,	8,	1573,	1,	1),
(125029,	8,	1573,	2,	1),
(125030,	8,	1573,	3,	1),
(125031,	8,	1573,	1,	2),
(125032,	8,	1573,	2,	2),
(125033,	8,	1573,	3,	2),
(125034,	8,	1574,	1,	1),
(125035,	8,	1574,	2,	1),
(125036,	8,	1574,	3,	1),
(125037,	8,	1574,	1,	2),
(125038,	8,	1574,	2,	2),
(125039,	8,	1574,	3,	2),
(125040,	8,	1575,	1,	1),
(125041,	8,	1575,	2,	1),
(125042,	8,	1575,	3,	1),
(125043,	8,	1576,	1,	1),
(125044,	8,	1576,	2,	1),
(125045,	8,	1576,	3,	1),
(125046,	8,	1577,	1,	1),
(125047,	8,	1577,	2,	1),
(125048,	8,	1577,	3,	1),
(125049,	8,	1578,	1,	1),
(125050,	8,	1578,	2,	1),
(125051,	8,	1578,	3,	1),
(125052,	8,	1579,	1,	1),
(125053,	8,	1579,	2,	1),
(125054,	8,	1579,	3,	1),
(125055,	8,	1580,	1,	1),
(125056,	8,	1580,	2,	1),
(125057,	8,	1580,	3,	1),
(125058,	8,	1581,	1,	1),
(125059,	8,	1581,	2,	1),
(125060,	8,	1581,	3,	1),
(125061,	8,	1581,	1,	2),
(125062,	8,	1581,	2,	2),
(125063,	8,	1581,	3,	2),
(125064,	8,	1582,	1,	1),
(125065,	8,	1582,	2,	1),
(125066,	8,	1582,	3,	1),
(125067,	8,	1582,	1,	2),
(125068,	8,	1582,	2,	2),
(125069,	8,	1582,	3,	2),
(125070,	8,	1583,	2,	1),
(125071,	8,	1584,	1,	1),
(125072,	8,	1584,	2,	1),
(125073,	8,	1584,	3,	1),
(125074,	8,	1584,	1,	2),
(125075,	8,	1584,	2,	2),
(125076,	8,	1584,	3,	2),
(125077,	8,	1585,	1,	1),
(125078,	8,	1585,	2,	1),
(125079,	8,	1585,	3,	1),
(125080,	8,	1585,	1,	2),
(125081,	8,	1585,	2,	2),
(125082,	8,	1585,	3,	2),
(125083,	8,	1586,	1,	1),
(125084,	8,	1586,	2,	1),
(125085,	8,	1586,	3,	1),
(125086,	8,	1586,	1,	2),
(125087,	8,	1586,	2,	2),
(125088,	8,	1586,	3,	2),
(125089,	8,	1587,	1,	1),
(125090,	8,	1587,	2,	1),
(125091,	8,	1587,	3,	1),
(125092,	8,	1588,	1,	1),
(125093,	8,	1588,	2,	1),
(125094,	8,	1588,	3,	1),
(125095,	8,	1588,	1,	2),
(125096,	8,	1588,	2,	2),
(125097,	8,	1588,	3,	2),
(125098,	8,	1589,	1,	1),
(125099,	8,	1589,	2,	1),
(125100,	8,	1589,	3,	1),
(125101,	8,	1589,	1,	2),
(125102,	8,	1589,	2,	2),
(125103,	8,	1589,	3,	2),
(125104,	8,	1590,	1,	1),
(125105,	8,	1590,	2,	1),
(125106,	8,	1590,	3,	1),
(125107,	8,	1590,	1,	2),
(125108,	8,	1590,	2,	2),
(125109,	8,	1590,	3,	2),
(125110,	8,	1591,	1,	1),
(125111,	8,	1591,	2,	1),
(125112,	8,	1591,	3,	1),
(125113,	8,	1591,	1,	2),
(125114,	8,	1591,	2,	2),
(125115,	8,	1591,	3,	2),
(125116,	8,	1592,	1,	1),
(125117,	8,	1592,	2,	1),
(125118,	8,	1592,	3,	1),
(125119,	8,	1592,	1,	2),
(125120,	8,	1592,	2,	2),
(125121,	8,	1592,	3,	2),
(125122,	8,	1593,	1,	1),
(125123,	8,	1593,	2,	1),
(125124,	8,	1593,	3,	1),
(125125,	8,	1593,	1,	2),
(125126,	8,	1593,	2,	2),
(125127,	8,	1593,	3,	2),
(125128,	8,	1594,	1,	1),
(125129,	8,	1594,	2,	1),
(125130,	8,	1594,	3,	1),
(125131,	8,	1594,	1,	2),
(125132,	8,	1594,	2,	2),
(125133,	8,	1594,	3,	2),
(125134,	8,	1595,	1,	1),
(125135,	8,	1595,	2,	1),
(125136,	8,	1595,	3,	1),
(125137,	8,	1595,	1,	2),
(125138,	8,	1595,	2,	2),
(125139,	8,	1595,	3,	2),
(125140,	8,	1596,	1,	1),
(125141,	8,	1596,	2,	1),
(125142,	8,	1596,	3,	1),
(125143,	8,	1596,	1,	2),
(125144,	8,	1596,	2,	2),
(125145,	8,	1596,	3,	2),
(125146,	8,	1597,	1,	1),
(125147,	8,	1597,	2,	1),
(125148,	8,	1597,	3,	1),
(125149,	8,	1597,	1,	2),
(125150,	8,	1597,	2,	2),
(125151,	8,	1597,	3,	2),
(125152,	8,	1598,	1,	1),
(125153,	8,	1598,	2,	1),
(125154,	8,	1598,	3,	1),
(125155,	8,	1598,	1,	2),
(125156,	8,	1598,	2,	2),
(125157,	8,	1598,	3,	2),
(125158,	8,	1599,	1,	1),
(125159,	8,	1599,	2,	1),
(125160,	8,	1599,	3,	1),
(125161,	8,	1599,	1,	2),
(125162,	8,	1599,	2,	2),
(125163,	8,	1599,	3,	2),
(125164,	8,	1600,	1,	1),
(125165,	8,	1600,	2,	1),
(125166,	8,	1600,	3,	1),
(125167,	8,	1600,	1,	2),
(125168,	8,	1600,	2,	2),
(125169,	8,	1600,	3,	2),
(125170,	8,	1601,	1,	1),
(125171,	8,	1601,	2,	1),
(125172,	8,	1601,	3,	1),
(125173,	8,	1601,	1,	2),
(125174,	8,	1601,	2,	2),
(125175,	8,	1601,	3,	2),
(125176,	8,	1602,	1,	1),
(125177,	8,	1602,	2,	1),
(125178,	8,	1602,	3,	1),
(125179,	8,	1602,	1,	3),
(125180,	8,	1602,	2,	3),
(125181,	8,	1602,	3,	3),
(125182,	8,	1603,	1,	1),
(125183,	8,	1603,	2,	1),
(125184,	8,	1603,	3,	1),
(125185,	8,	1603,	1,	2),
(125186,	8,	1603,	2,	2),
(125187,	8,	1603,	3,	2),
(125188,	8,	1604,	1,	1),
(125189,	8,	1604,	2,	1),
(125190,	8,	1604,	3,	1),
(125191,	8,	1604,	1,	2),
(125192,	8,	1604,	2,	2),
(125193,	8,	1604,	3,	2),
(125194,	8,	1605,	1,	1),
(125195,	8,	1605,	2,	1),
(125196,	8,	1605,	3,	1),
(125197,	8,	1605,	1,	2),
(125198,	8,	1605,	2,	2),
(125199,	8,	1605,	3,	2),
(125200,	8,	1606,	1,	1),
(125201,	8,	1606,	2,	1),
(125202,	8,	1606,	3,	1),
(125203,	8,	1606,	1,	2),
(125204,	8,	1606,	2,	2),
(125205,	8,	1606,	3,	2),
(125206,	8,	1607,	1,	1),
(125207,	8,	1607,	2,	1),
(125208,	8,	1607,	3,	1),
(125209,	8,	1607,	1,	2),
(125210,	8,	1607,	2,	2),
(125211,	8,	1607,	3,	2),
(125212,	8,	1608,	1,	1),
(125213,	8,	1608,	2,	1),
(125214,	8,	1608,	3,	1),
(125215,	8,	1608,	1,	2),
(125216,	8,	1608,	2,	2),
(125217,	8,	1608,	3,	2),
(125218,	8,	1609,	1,	1),
(125219,	8,	1609,	2,	1),
(125220,	8,	1609,	3,	1),
(125221,	8,	1609,	1,	2),
(125222,	8,	1609,	2,	2),
(125223,	8,	1609,	3,	2),
(125224,	8,	1610,	1,	1),
(125225,	8,	1610,	2,	1),
(125226,	8,	1610,	3,	1),
(125227,	8,	1610,	1,	2),
(125228,	8,	1610,	2,	2),
(125229,	8,	1610,	3,	2),
(125230,	8,	1611,	1,	1),
(125231,	8,	1611,	2,	1),
(125232,	8,	1611,	3,	1),
(125233,	8,	1611,	1,	2),
(125234,	8,	1611,	2,	2),
(125235,	8,	1611,	3,	2),
(125236,	8,	1612,	1,	1),
(125237,	8,	1612,	2,	1),
(125238,	8,	1612,	3,	1),
(125239,	8,	1612,	1,	2),
(125240,	8,	1612,	2,	2),
(125241,	8,	1612,	3,	2),
(125242,	8,	1613,	1,	1),
(125243,	8,	1613,	2,	1),
(125244,	8,	1613,	3,	1),
(125245,	8,	1613,	1,	2),
(125246,	8,	1613,	2,	2),
(125247,	8,	1613,	3,	2),
(125248,	8,	1614,	1,	1),
(125249,	8,	1614,	2,	1),
(125250,	8,	1614,	3,	1),
(125251,	8,	1614,	1,	2),
(125252,	8,	1614,	2,	2),
(125253,	8,	1614,	3,	2),
(125254,	8,	1615,	1,	1),
(125255,	8,	1615,	2,	1),
(125256,	8,	1615,	3,	1),
(125257,	8,	1615,	1,	2),
(125258,	8,	1615,	2,	2),
(125259,	8,	1615,	3,	2),
(125260,	8,	1616,	1,	1),
(125261,	8,	1616,	2,	1),
(125262,	8,	1616,	3,	1),
(125263,	8,	1616,	1,	2),
(125264,	8,	1616,	2,	2),
(125265,	8,	1616,	3,	2),
(125266,	8,	1617,	1,	1),
(125267,	8,	1617,	2,	1),
(125268,	8,	1617,	3,	1),
(125269,	8,	1617,	1,	2),
(125270,	8,	1617,	2,	2),
(125271,	8,	1617,	3,	2),
(125272,	8,	1618,	1,	1),
(125273,	8,	1618,	2,	1),
(125274,	8,	1618,	3,	1),
(125275,	8,	1618,	1,	2),
(125276,	8,	1618,	2,	2),
(125277,	8,	1618,	3,	2),
(125278,	8,	1619,	1,	1),
(125279,	8,	1619,	2,	1),
(125280,	8,	1619,	3,	1),
(125281,	8,	1619,	1,	2),
(125282,	8,	1619,	2,	2),
(125283,	8,	1619,	3,	2),
(125284,	8,	1620,	1,	1),
(125285,	8,	1620,	2,	1),
(125286,	8,	1620,	3,	1),
(125287,	8,	1620,	1,	2),
(125288,	8,	1620,	2,	2),
(125289,	8,	1620,	3,	2),
(125290,	8,	1621,	1,	1),
(125291,	8,	1621,	2,	1),
(125292,	8,	1621,	3,	1),
(125293,	8,	1621,	1,	2),
(125294,	8,	1621,	2,	2),
(125295,	8,	1621,	3,	2),
(125296,	8,	1622,	1,	1),
(125297,	8,	1622,	2,	1),
(125298,	8,	1622,	3,	1),
(125299,	8,	1622,	1,	2),
(125300,	8,	1622,	2,	2),
(125301,	8,	1622,	3,	2),
(125302,	8,	1623,	1,	1),
(125303,	8,	1623,	2,	1),
(125304,	8,	1623,	3,	1),
(125305,	8,	1623,	1,	2),
(125306,	8,	1623,	2,	2),
(125307,	8,	1623,	3,	2),
(125308,	8,	1624,	2,	1),
(125309,	8,	1625,	2,	1),
(125310,	8,	1626,	2,	1),
(125311,	8,	1627,	1,	1),
(125312,	8,	1627,	2,	1),
(125313,	8,	1627,	3,	1),
(125314,	8,	1627,	1,	2),
(125315,	8,	1627,	2,	2),
(125316,	8,	1627,	3,	2),
(125317,	8,	1628,	1,	1),
(125318,	8,	1628,	2,	1),
(125319,	8,	1628,	3,	1),
(125320,	8,	1628,	1,	2),
(125321,	8,	1628,	2,	2),
(125322,	8,	1628,	3,	2),
(125323,	8,	1629,	1,	1),
(125324,	8,	1629,	2,	1),
(125325,	8,	1629,	3,	1),
(125326,	8,	1629,	1,	2),
(125327,	8,	1629,	2,	2),
(125328,	8,	1629,	3,	2),
(125329,	8,	1630,	1,	1),
(125330,	8,	1630,	2,	1),
(125331,	8,	1630,	3,	1),
(125332,	8,	1630,	1,	2),
(125333,	8,	1630,	2,	2),
(125334,	8,	1630,	3,	2),
(125335,	8,	1631,	1,	1),
(125336,	8,	1631,	2,	1),
(125337,	8,	1631,	3,	1),
(125338,	8,	1631,	81,	1),
(125339,	8,	1631,	1,	2),
(125340,	8,	1631,	2,	2),
(125341,	8,	1631,	3,	2),
(125342,	8,	1631,	81,	2),
(125343,	8,	1632,	5,	1),
(125344,	8,	1633,	1,	1),
(125345,	8,	1633,	2,	1),
(125346,	8,	1633,	3,	1),
(125347,	8,	1633,	1,	2),
(125348,	8,	1633,	2,	2),
(125349,	8,	1633,	3,	2),
(125350,	8,	1634,	1,	1),
(125351,	8,	1634,	2,	1),
(125352,	8,	1634,	3,	1),
(125353,	8,	1634,	26,	1),
(125354,	8,	1634,	4,	1),
(125355,	8,	1634,	1,	2),
(125356,	8,	1634,	2,	2),
(125357,	8,	1634,	3,	2),
(125358,	8,	1634,	26,	2),
(125359,	8,	1634,	4,	2),
(125360,	8,	1635,	4,	1),
(125361,	8,	1635,	5,	1),
(125362,	8,	1636,	1,	1),
(125363,	8,	1636,	2,	1),
(125364,	8,	1636,	3,	1),
(125365,	8,	1636,	4,	1),
(125366,	8,	1636,	5,	1),
(125367,	8,	1636,	82,	1),
(125368,	8,	1637,	1,	1),
(125369,	8,	1637,	2,	1),
(125370,	8,	1637,	3,	1),
(125371,	8,	1637,	1,	2),
(125372,	8,	1637,	2,	2),
(125373,	8,	1637,	3,	2),
(125374,	8,	1638,	1,	1),
(125375,	8,	1638,	2,	1),
(125376,	8,	1638,	3,	1),
(125377,	8,	1638,	81,	1),
(125378,	8,	1638,	4,	1),
(125379,	8,	1638,	26,	1),
(125380,	8,	1638,	1,	2),
(125381,	8,	1638,	2,	2),
(125382,	8,	1638,	3,	2),
(125383,	8,	1638,	81,	2),
(125384,	8,	1638,	4,	2),
(125385,	8,	1638,	26,	2),
(125386,	8,	1639,	1,	1),
(125387,	8,	1639,	2,	1),
(125388,	8,	1639,	3,	1),
(125389,	8,	1639,	1,	2),
(125390,	8,	1639,	2,	2),
(125391,	8,	1639,	3,	2),
(125392,	8,	1640,	1,	1),
(125393,	8,	1640,	2,	1),
(125394,	8,	1640,	3,	1),
(125395,	8,	1641,	1,	1),
(125396,	8,	1641,	2,	1),
(125397,	8,	1641,	3,	1),
(125398,	8,	1641,	1,	2),
(125399,	8,	1641,	2,	2),
(125400,	8,	1641,	3,	2),
(125401,	8,	1642,	1,	1),
(125402,	8,	1642,	2,	1),
(125403,	8,	1642,	3,	1),
(125404,	8,	1642,	1,	2),
(125405,	8,	1642,	2,	2),
(125406,	8,	1642,	3,	2),
(125407,	8,	1643,	1,	1),
(125408,	8,	1643,	2,	1),
(125409,	8,	1643,	3,	1),
(125410,	8,	1644,	1,	1),
(125411,	8,	1644,	2,	1),
(125412,	8,	1644,	3,	1),
(125413,	8,	1645,	1,	1),
(125414,	8,	1645,	2,	1),
(125415,	8,	1645,	3,	1),
(125416,	8,	1646,	1,	1),
(125417,	8,	1646,	2,	1),
(125418,	8,	1646,	3,	1),
(125419,	8,	1647,	1,	1),
(125420,	8,	1647,	2,	1),
(125421,	8,	1647,	3,	1),
(125422,	8,	1647,	1,	3),
(125423,	8,	1647,	2,	3),
(125424,	8,	1647,	3,	3),
(125425,	8,	1648,	1,	1),
(125426,	8,	1648,	2,	1),
(125427,	8,	1648,	3,	1),
(125428,	8,	1649,	1,	1),
(125429,	8,	1649,	2,	1),
(125430,	8,	1649,	3,	1),
(125431,	8,	1650,	1,	1),
(125432,	8,	1650,	2,	1),
(125433,	8,	1650,	3,	1),
(125434,	8,	1651,	1,	1),
(125435,	8,	1651,	2,	1),
(125436,	8,	1651,	3,	1),
(125437,	8,	1651,	1,	2),
(125438,	8,	1651,	2,	2),
(125439,	8,	1651,	3,	2),
(125440,	8,	1652,	1,	1),
(125441,	8,	1652,	2,	1),
(125442,	8,	1652,	3,	1),
(125443,	8,	1653,	1,	1),
(125444,	8,	1653,	2,	1),
(125445,	8,	1653,	3,	1),
(125446,	8,	1653,	1,	2),
(125447,	8,	1653,	2,	2),
(125448,	8,	1653,	3,	2),
(125449,	8,	1654,	1,	1),
(125450,	8,	1654,	2,	1),
(125451,	8,	1654,	3,	1),
(125452,	8,	1654,	1,	2),
(125453,	8,	1654,	2,	2),
(125454,	8,	1654,	3,	2),
(125455,	8,	1655,	1,	1),
(125456,	8,	1655,	2,	1),
(125457,	8,	1655,	3,	1),
(125458,	8,	1655,	1,	2),
(125459,	8,	1655,	2,	2),
(125460,	8,	1655,	3,	2),
(125461,	8,	1656,	1,	1),
(125462,	8,	1656,	2,	1),
(125463,	8,	1656,	3,	1),
(125464,	8,	1657,	1,	1),
(125465,	8,	1657,	2,	1),
(125466,	8,	1657,	3,	1),
(125467,	8,	1658,	1,	1),
(125468,	8,	1658,	2,	1),
(125469,	8,	1658,	3,	1),
(125470,	8,	1658,	1,	2),
(125471,	8,	1658,	2,	2),
(125472,	8,	1658,	3,	2),
(125473,	8,	1659,	1,	1),
(125474,	8,	1659,	2,	1),
(125475,	8,	1659,	3,	1),
(125476,	8,	1659,	1,	2),
(125477,	8,	1659,	2,	2),
(125478,	8,	1659,	3,	2),
(125479,	8,	1660,	1,	1),
(125480,	8,	1660,	2,	1),
(125481,	8,	1661,	1,	1),
(125482,	8,	1661,	2,	1),
(125483,	8,	1661,	3,	1),
(125484,	8,	1661,	1,	2),
(125485,	8,	1661,	2,	2),
(125486,	8,	1661,	3,	2),
(125487,	8,	1662,	1,	1),
(125488,	8,	1662,	2,	1),
(125489,	8,	1662,	3,	1),
(125490,	8,	1662,	1,	2),
(125491,	8,	1662,	2,	2),
(125492,	8,	1662,	3,	2),
(125493,	8,	1663,	1,	1),
(125494,	8,	1663,	2,	1),
(125495,	8,	1663,	3,	1),
(125496,	8,	1664,	1,	1),
(125497,	8,	1664,	2,	1),
(125498,	8,	1664,	3,	1),
(125499,	8,	1664,	1,	2),
(125500,	8,	1664,	2,	2),
(125501,	8,	1664,	3,	2),
(125502,	8,	1665,	1,	1),
(125503,	8,	1665,	2,	1),
(125504,	8,	1665,	3,	1),
(125505,	8,	1665,	1,	2),
(125506,	8,	1665,	2,	2),
(125507,	8,	1665,	3,	2),
(125508,	8,	1666,	1,	1),
(125509,	8,	1666,	2,	1),
(125510,	8,	1666,	3,	1),
(125511,	8,	1667,	1,	1),
(125512,	8,	1667,	2,	1),
(125513,	8,	1667,	3,	1),
(125514,	8,	1667,	1,	2),
(125515,	8,	1667,	2,	2),
(125516,	8,	1667,	3,	2),
(125517,	8,	1668,	1,	1),
(125518,	8,	1668,	2,	1),
(125519,	8,	1668,	3,	1),
(125520,	8,	1668,	1,	2),
(125521,	8,	1668,	2,	2),
(125522,	8,	1668,	3,	2),
(125523,	8,	1669,	1,	1),
(125524,	8,	1669,	2,	1),
(125525,	8,	1669,	3,	1),
(125526,	8,	1669,	1,	2),
(125527,	8,	1669,	2,	2),
(125528,	8,	1669,	3,	2),
(125529,	8,	1670,	1,	1),
(125530,	8,	1670,	2,	1),
(125531,	8,	1670,	3,	1),
(125532,	8,	1670,	1,	2),
(125533,	8,	1670,	2,	2),
(125534,	8,	1670,	3,	2),
(125535,	8,	1671,	1,	1),
(125536,	8,	1671,	2,	1),
(125537,	8,	1671,	3,	1),
(125538,	8,	1671,	1,	2),
(125539,	8,	1671,	2,	2),
(125540,	8,	1671,	3,	2),
(125541,	8,	1672,	1,	1),
(125542,	8,	1672,	2,	1),
(125543,	8,	1672,	3,	1),
(125544,	8,	1672,	1,	2),
(125545,	8,	1672,	2,	2),
(125546,	8,	1672,	3,	2),
(125547,	8,	1673,	1,	1),
(125548,	8,	1673,	2,	1),
(125549,	8,	1673,	3,	1),
(125550,	8,	1673,	1,	2),
(125551,	8,	1673,	2,	2),
(125552,	8,	1673,	3,	2),
(125553,	8,	1674,	1,	1),
(125554,	8,	1674,	2,	1),
(125555,	8,	1674,	3,	1),
(125556,	8,	1674,	1,	2),
(125557,	8,	1674,	2,	2),
(125558,	8,	1674,	3,	2),
(125559,	8,	1675,	1,	1),
(125560,	8,	1675,	2,	1),
(125561,	8,	1675,	3,	1),
(125562,	8,	1675,	1,	2),
(125563,	8,	1675,	2,	2),
(125564,	8,	1675,	3,	2),
(125565,	8,	1676,	1,	1),
(125566,	8,	1676,	2,	1),
(125567,	8,	1676,	3,	1),
(125568,	8,	1677,	1,	1),
(125569,	8,	1677,	2,	1),
(125570,	8,	1677,	3,	1),
(125571,	8,	1677,	1,	2),
(125572,	8,	1677,	2,	2),
(125573,	8,	1677,	3,	2),
(125574,	8,	1678,	1,	1),
(125575,	8,	1678,	2,	1),
(125576,	8,	1678,	3,	1),
(125577,	8,	1678,	1,	2),
(125578,	8,	1678,	2,	2),
(125579,	8,	1678,	3,	2),
(125580,	8,	1679,	1,	1),
(125581,	8,	1679,	2,	1),
(125582,	8,	1679,	3,	1),
(125583,	8,	1679,	1,	2),
(125584,	8,	1679,	2,	2),
(125585,	8,	1679,	3,	2),
(125586,	8,	1680,	1,	1),
(125587,	8,	1680,	2,	1),
(125588,	8,	1680,	3,	1),
(125589,	8,	1680,	1,	2),
(125590,	8,	1680,	2,	2),
(125591,	8,	1680,	3,	2),
(125592,	8,	1681,	1,	1),
(125593,	8,	1681,	2,	1),
(125594,	8,	1681,	3,	1),
(125595,	8,	1681,	1,	2),
(125596,	8,	1681,	2,	2),
(125597,	8,	1681,	3,	2),
(125598,	8,	1682,	1,	1),
(125599,	8,	1682,	2,	1),
(125600,	8,	1682,	3,	1),
(125601,	8,	1682,	1,	2),
(125602,	8,	1682,	2,	2),
(125603,	8,	1682,	3,	2),
(125604,	8,	1683,	1,	1),
(125605,	8,	1683,	2,	1),
(125606,	8,	1683,	3,	1),
(125607,	8,	1683,	1,	2),
(125608,	8,	1683,	2,	2),
(125609,	8,	1683,	3,	2),
(125610,	8,	1684,	1,	1),
(125611,	8,	1684,	2,	1),
(125612,	8,	1684,	3,	1),
(125613,	8,	1684,	1,	2),
(125614,	8,	1684,	2,	2),
(125615,	8,	1684,	3,	2),
(125616,	8,	1685,	1,	1),
(125617,	8,	1685,	2,	1),
(125618,	8,	1685,	3,	1),
(125619,	8,	1685,	1,	2),
(125620,	8,	1685,	2,	2),
(125621,	8,	1685,	3,	2),
(125622,	8,	1686,	1,	1),
(125623,	8,	1686,	2,	1),
(125624,	8,	1686,	3,	1),
(125625,	8,	1686,	1,	3),
(125626,	8,	1686,	2,	3),
(125627,	8,	1686,	3,	3),
(125628,	8,	1687,	1,	1),
(125629,	8,	1687,	2,	1),
(125630,	8,	1687,	3,	1),
(125631,	8,	1687,	1,	2),
(125632,	8,	1687,	2,	2),
(125633,	8,	1687,	3,	2),
(125634,	8,	1688,	1,	1),
(125635,	8,	1688,	2,	1),
(125636,	8,	1688,	3,	1),
(125637,	8,	1688,	1,	2),
(125638,	8,	1688,	2,	2),
(125639,	8,	1688,	3,	2),
(125640,	8,	1689,	1,	1),
(125641,	8,	1689,	2,	1),
(125642,	8,	1689,	3,	1),
(125643,	8,	1689,	1,	2),
(125644,	8,	1689,	2,	2),
(125645,	8,	1689,	3,	2),
(125646,	8,	1690,	1,	1),
(125647,	8,	1690,	2,	1),
(125648,	8,	1690,	3,	1),
(125649,	8,	1690,	1,	2),
(125650,	8,	1690,	2,	2),
(125651,	8,	1690,	3,	2),
(125652,	8,	1691,	1,	1),
(125653,	8,	1691,	2,	1),
(125654,	8,	1691,	3,	1),
(125655,	8,	1691,	1,	2),
(125656,	8,	1691,	2,	2),
(125657,	8,	1691,	3,	2),
(125658,	8,	1692,	1,	1),
(125659,	8,	1692,	2,	1),
(125660,	8,	1692,	3,	1),
(125661,	8,	1692,	1,	3),
(125662,	8,	1692,	2,	3),
(125663,	8,	1692,	3,	3),
(125664,	8,	1693,	1,	1),
(125665,	8,	1693,	2,	1),
(125666,	8,	1693,	3,	1),
(125667,	8,	1693,	1,	2),
(125668,	8,	1693,	2,	2),
(125669,	8,	1693,	3,	2),
(125670,	8,	1694,	1,	1),
(125671,	8,	1694,	2,	1),
(125672,	8,	1694,	3,	1),
(125673,	8,	1694,	1,	2),
(125674,	8,	1694,	2,	2),
(125675,	8,	1694,	3,	2),
(125676,	8,	1695,	1,	1),
(125677,	8,	1695,	2,	1),
(125678,	8,	1695,	3,	1),
(125679,	8,	1695,	1,	3),
(125680,	8,	1695,	2,	3),
(125681,	8,	1695,	3,	3),
(125682,	8,	1696,	1,	1),
(125683,	8,	1696,	2,	1),
(125684,	8,	1696,	3,	1),
(125685,	8,	1696,	1,	3),
(125686,	8,	1696,	2,	3),
(125687,	8,	1696,	3,	3),
(125688,	8,	1696,	1,	2),
(125689,	8,	1696,	2,	2),
(125690,	8,	1696,	3,	2),
(125691,	8,	1697,	1,	1),
(125692,	8,	1697,	2,	1),
(125693,	8,	1697,	3,	1),
(125694,	8,	1697,	1,	3),
(125695,	8,	1697,	2,	3),
(125696,	8,	1697,	3,	3),
(125697,	8,	1698,	1,	1),
(125698,	8,	1698,	2,	1),
(125699,	8,	1698,	3,	1),
(125700,	8,	1698,	1,	2),
(125701,	8,	1698,	2,	2),
(125702,	8,	1698,	3,	2),
(125703,	8,	1699,	1,	1),
(125704,	8,	1699,	2,	1),
(125705,	8,	1699,	3,	1),
(125706,	8,	1699,	1,	2),
(125707,	8,	1699,	2,	2),
(125708,	8,	1699,	3,	2),
(125709,	8,	1700,	1,	1),
(125710,	8,	1700,	2,	1),
(125711,	8,	1700,	3,	1),
(125712,	8,	1700,	1,	2),
(125713,	8,	1700,	2,	2),
(125714,	8,	1700,	3,	2),
(125715,	8,	1701,	1,	1),
(125716,	8,	1701,	2,	1),
(125717,	8,	1701,	3,	1),
(125718,	8,	1701,	1,	2),
(125719,	8,	1701,	2,	2),
(125720,	8,	1701,	3,	2),
(125721,	8,	1702,	1,	1),
(125722,	8,	1702,	2,	1),
(125723,	8,	1702,	3,	1),
(125724,	8,	1702,	1,	2),
(125725,	8,	1702,	2,	2),
(125726,	8,	1702,	3,	2),
(125727,	8,	1703,	1,	1),
(125728,	8,	1703,	2,	1),
(125729,	8,	1703,	3,	1),
(125730,	8,	1703,	1,	3),
(125731,	8,	1703,	2,	3),
(125732,	8,	1703,	3,	3),
(125733,	8,	1704,	1,	1),
(125734,	8,	1704,	2,	1),
(125735,	8,	1704,	3,	1),
(125736,	8,	1704,	1,	2),
(125737,	8,	1704,	2,	2),
(125738,	8,	1704,	3,	2),
(125739,	8,	1705,	1,	1),
(125740,	8,	1705,	2,	1),
(125741,	8,	1705,	3,	1),
(125742,	8,	1705,	1,	2),
(125743,	8,	1705,	2,	2),
(125744,	8,	1705,	3,	2),
(125745,	8,	1706,	1,	1),
(125746,	8,	1706,	2,	1),
(125747,	8,	1706,	3,	1),
(125748,	8,	1706,	1,	3),
(125749,	8,	1706,	2,	3),
(125750,	8,	1706,	3,	3),
(125751,	8,	1707,	1,	1),
(125752,	8,	1707,	2,	1),
(125753,	8,	1707,	3,	1),
(125754,	8,	1707,	1,	2),
(125755,	8,	1707,	2,	2),
(125756,	8,	1707,	3,	2),
(125757,	8,	1708,	1,	1),
(125758,	8,	1708,	2,	1),
(125759,	8,	1708,	3,	1),
(125760,	8,	1708,	1,	3),
(125761,	8,	1708,	2,	3),
(125762,	8,	1708,	3,	3),
(125763,	8,	1709,	1,	1),
(125764,	8,	1709,	2,	1),
(125765,	8,	1709,	3,	1),
(125766,	8,	1709,	1,	2),
(125767,	8,	1709,	2,	2),
(125768,	8,	1709,	3,	2),
(125769,	8,	1710,	1,	1),
(125770,	8,	1710,	2,	1),
(125771,	8,	1710,	3,	1),
(125772,	8,	1710,	1,	3),
(125773,	8,	1710,	2,	3),
(125774,	8,	1710,	3,	3),
(125775,	8,	1711,	1,	1),
(125776,	8,	1711,	2,	1),
(125777,	8,	1711,	3,	1),
(125778,	8,	1711,	1,	2),
(125779,	8,	1711,	2,	2),
(125780,	8,	1711,	3,	2),
(125781,	8,	1712,	1,	1),
(125782,	8,	1712,	2,	1),
(125783,	8,	1712,	3,	1),
(125784,	8,	1712,	1,	2),
(125785,	8,	1712,	2,	2),
(125786,	8,	1712,	3,	2),
(125787,	8,	1713,	1,	1),
(125788,	8,	1713,	2,	1),
(125789,	8,	1713,	3,	1),
(125790,	8,	1713,	1,	3),
(125791,	8,	1713,	2,	3),
(125792,	8,	1713,	3,	3),
(125793,	8,	1714,	1,	1),
(125794,	8,	1714,	2,	1),
(125795,	8,	1714,	3,	1),
(125796,	8,	1714,	83,	1),
(125797,	8,	1714,	1,	2),
(125798,	8,	1714,	2,	2),
(125799,	8,	1714,	3,	2),
(125800,	8,	1714,	83,	2),
(125801,	8,	1715,	1,	1),
(125802,	8,	1715,	2,	1),
(125803,	8,	1715,	3,	1),
(125804,	8,	1715,	1,	3),
(125805,	8,	1715,	2,	3),
(125806,	8,	1715,	3,	3),
(125807,	8,	1716,	1,	1),
(125808,	8,	1716,	2,	1),
(125809,	8,	1716,	3,	1),
(125810,	8,	1716,	1,	2),
(125811,	8,	1716,	2,	2),
(125812,	8,	1716,	3,	2),
(125813,	8,	1717,	1,	1),
(125814,	8,	1717,	2,	1),
(125815,	8,	1717,	3,	1),
(125816,	8,	1717,	1,	3),
(125817,	8,	1717,	2,	3),
(125818,	8,	1717,	3,	3),
(125819,	8,	1718,	1,	1),
(125820,	8,	1718,	2,	1),
(125821,	8,	1718,	3,	1),
(125822,	8,	1718,	1,	2),
(125823,	8,	1718,	2,	2),
(125824,	8,	1718,	3,	2),
(125825,	8,	1719,	1,	1),
(125826,	8,	1719,	2,	1),
(125827,	8,	1719,	3,	1),
(125828,	8,	1719,	1,	2),
(125829,	8,	1719,	2,	2),
(125830,	8,	1719,	3,	2),
(125831,	8,	1720,	1,	1),
(125832,	8,	1720,	2,	1),
(125833,	8,	1720,	3,	1),
(125834,	8,	1720,	1,	2),
(125835,	8,	1720,	2,	2),
(125836,	8,	1720,	3,	2),
(125837,	8,	1721,	1,	1),
(125838,	8,	1721,	2,	1),
(125839,	8,	1721,	3,	1),
(125840,	8,	1721,	1,	3),
(125841,	8,	1721,	2,	3),
(125842,	8,	1721,	3,	3),
(125843,	8,	1722,	1,	1),
(125844,	8,	1722,	2,	1),
(125845,	8,	1722,	3,	1),
(125846,	8,	1722,	1,	2),
(125847,	8,	1722,	2,	2),
(125848,	8,	1722,	3,	2),
(125849,	8,	1723,	1,	1),
(125850,	8,	1723,	2,	1),
(125851,	8,	1723,	3,	1),
(125852,	8,	1723,	1,	2),
(125853,	8,	1723,	2,	2),
(125854,	8,	1723,	3,	2),
(125855,	8,	1724,	1,	1),
(125856,	8,	1724,	2,	1),
(125857,	8,	1724,	3,	1),
(125858,	8,	1724,	1,	2),
(125859,	8,	1724,	2,	2),
(125860,	8,	1724,	3,	2),
(125861,	8,	1725,	1,	1),
(125862,	8,	1725,	2,	1),
(125863,	8,	1725,	3,	1),
(125864,	8,	1725,	1,	2),
(125865,	8,	1725,	2,	2),
(125866,	8,	1725,	3,	2),
(125867,	8,	1726,	1,	1),
(125868,	8,	1726,	2,	1),
(125869,	8,	1726,	3,	1),
(125870,	8,	1726,	1,	2),
(125871,	8,	1726,	2,	2),
(125872,	8,	1726,	3,	2),
(125873,	8,	1727,	1,	1),
(125874,	8,	1727,	2,	1),
(125875,	8,	1727,	3,	1),
(125876,	8,	1727,	1,	2),
(125877,	8,	1727,	2,	2),
(125878,	8,	1727,	3,	2),
(125879,	8,	1728,	1,	1),
(125880,	8,	1728,	2,	1),
(125881,	8,	1728,	3,	1),
(125882,	8,	1728,	1,	2),
(125883,	8,	1728,	2,	2),
(125884,	8,	1728,	3,	2),
(125885,	8,	1729,	1,	1),
(125886,	8,	1729,	2,	1),
(125887,	8,	1729,	3,	1),
(125888,	8,	1729,	1,	2),
(125889,	8,	1729,	2,	2),
(125890,	8,	1729,	3,	2),
(125891,	8,	1730,	1,	1),
(125892,	8,	1730,	2,	1),
(125893,	8,	1730,	3,	1),
(125894,	8,	1730,	1,	2),
(125895,	8,	1730,	2,	2),
(125896,	8,	1730,	3,	2),
(125897,	8,	1731,	1,	1),
(125898,	8,	1731,	2,	1),
(125899,	8,	1731,	3,	1),
(125900,	8,	1731,	1,	2),
(125901,	8,	1731,	2,	2),
(125902,	8,	1731,	3,	2),
(125903,	8,	1732,	1,	1),
(125904,	8,	1732,	2,	1),
(125905,	8,	1732,	3,	1),
(125906,	8,	1732,	1,	2),
(125907,	8,	1732,	2,	2),
(125908,	8,	1732,	3,	2),
(125909,	8,	1733,	1,	1),
(125910,	8,	1733,	2,	1),
(125911,	8,	1733,	3,	1),
(125912,	8,	1733,	1,	2),
(125913,	8,	1733,	2,	2),
(125914,	8,	1733,	3,	2),
(125915,	8,	1734,	1,	1),
(125916,	8,	1734,	2,	1),
(125917,	8,	1734,	3,	1),
(125918,	8,	1734,	1,	2),
(125919,	8,	1734,	2,	2),
(125920,	8,	1734,	3,	2),
(125921,	8,	1735,	1,	1),
(125922,	8,	1735,	2,	1),
(125923,	8,	1735,	3,	1),
(125924,	8,	1735,	1,	2),
(125925,	8,	1735,	2,	2),
(125926,	8,	1735,	3,	2),
(125927,	8,	1737,	1,	1),
(125928,	8,	1737,	2,	1),
(125929,	8,	1737,	3,	1),
(125930,	8,	1737,	1,	2),
(125931,	8,	1737,	2,	2),
(125932,	8,	1737,	3,	2),
(125933,	8,	1738,	1,	1),
(125934,	8,	1738,	2,	1),
(125935,	8,	1738,	3,	1),
(125936,	8,	1738,	23,	1),
(125937,	8,	1738,	1,	3),
(125938,	8,	1738,	2,	3),
(125939,	8,	1738,	3,	3),
(125940,	8,	1738,	23,	3),
(125941,	8,	1739,	1,	1),
(125942,	8,	1739,	2,	1),
(125943,	8,	1739,	3,	1),
(125944,	8,	1740,	2,	1),
(125945,	8,	1741,	2,	1),
(125946,	8,	1742,	1,	1),
(125947,	8,	1742,	2,	1),
(125948,	8,	1742,	3,	1),
(125949,	8,	1742,	1,	3),
(125950,	8,	1742,	2,	3),
(125951,	8,	1742,	3,	3),
(125952,	8,	1743,	1,	1),
(125953,	8,	1743,	2,	1),
(125954,	8,	1743,	3,	1),
(125955,	8,	1745,	1,	1),
(125956,	8,	1745,	2,	1),
(125957,	8,	1745,	3,	1),
(125958,	8,	1745,	1,	3),
(125959,	8,	1745,	2,	3),
(125960,	8,	1745,	3,	3),
(125961,	8,	1746,	1,	1),
(125962,	8,	1746,	2,	1),
(125963,	8,	1746,	3,	1),
(125964,	8,	1746,	1,	3),
(125965,	8,	1746,	2,	3),
(125966,	8,	1746,	3,	3),
(125967,	8,	1747,	1,	1),
(125968,	8,	1747,	2,	1),
(125969,	8,	1747,	3,	1),
(125970,	8,	1747,	1,	3),
(125971,	8,	1747,	2,	3),
(125972,	8,	1747,	3,	3),
(125973,	8,	1748,	1,	1),
(125974,	8,	1748,	2,	1),
(125975,	8,	1748,	3,	1),
(125976,	8,	1748,	1,	3),
(125977,	8,	1748,	2,	3),
(125978,	8,	1748,	3,	3),
(125979,	8,	1749,	1,	1),
(125980,	8,	1749,	2,	1),
(125981,	8,	1749,	3,	1),
(125982,	8,	1749,	1,	2),
(125983,	8,	1749,	2,	2),
(125984,	8,	1749,	3,	2),
(125985,	8,	1750,	1,	1),
(125986,	8,	1750,	2,	1),
(125987,	8,	1750,	3,	1),
(125988,	8,	1750,	1,	2),
(125989,	8,	1750,	2,	2),
(125990,	8,	1750,	3,	2),
(125991,	8,	1751,	1,	1),
(125992,	8,	1751,	2,	1),
(125993,	8,	1751,	3,	1),
(125994,	8,	1751,	1,	2),
(125995,	8,	1751,	2,	2),
(125996,	8,	1751,	3,	2),
(125997,	8,	1752,	1,	1),
(125998,	8,	1752,	2,	1),
(125999,	8,	1752,	3,	1),
(126000,	8,	1752,	1,	2),
(126001,	8,	1752,	2,	2),
(126002,	8,	1752,	3,	2),
(126003,	8,	1753,	1,	1),
(126004,	8,	1753,	2,	1),
(126005,	8,	1753,	3,	1),
(126006,	8,	1753,	1,	3),
(126007,	8,	1753,	2,	3),
(126008,	8,	1753,	3,	3),
(126009,	8,	1754,	1,	1),
(126010,	8,	1754,	2,	1),
(126011,	8,	1754,	3,	1),
(126012,	8,	1754,	1,	2),
(126013,	8,	1754,	2,	2),
(126014,	8,	1754,	3,	2),
(126015,	8,	1755,	1,	1),
(126016,	8,	1755,	2,	1),
(126017,	8,	1755,	3,	1),
(126018,	8,	1755,	1,	2),
(126019,	8,	1755,	2,	2),
(126020,	8,	1755,	3,	2),
(126021,	8,	1756,	1,	1),
(126022,	8,	1756,	2,	1),
(126023,	8,	1756,	3,	1),
(126024,	8,	1756,	1,	2),
(126025,	8,	1756,	2,	2),
(126026,	8,	1756,	3,	2),
(126027,	8,	1757,	1,	1),
(126028,	8,	1757,	2,	1),
(126029,	8,	1757,	3,	1),
(126030,	8,	1757,	1,	2),
(126031,	8,	1757,	2,	2),
(126032,	8,	1757,	3,	2),
(126033,	8,	1758,	1,	1),
(126034,	8,	1758,	2,	1),
(126035,	8,	1758,	3,	1),
(126036,	8,	1758,	1,	2),
(126037,	8,	1758,	2,	2),
(126038,	8,	1758,	3,	2),
(126039,	8,	1759,	1,	1),
(126040,	8,	1759,	2,	1),
(126041,	8,	1759,	3,	1),
(126042,	8,	1760,	1,	1),
(126043,	8,	1760,	2,	1),
(126044,	8,	1760,	3,	1),
(126045,	8,	1761,	1,	1),
(126046,	8,	1761,	2,	1),
(126047,	8,	1761,	3,	1),
(126048,	8,	1762,	1,	1),
(126049,	8,	1762,	2,	1),
(126050,	8,	1762,	3,	1),
(126051,	8,	1763,	1,	1),
(126052,	8,	1763,	2,	1),
(126053,	8,	1763,	3,	1),
(126054,	8,	1764,	1,	1),
(126055,	8,	1764,	2,	1),
(126056,	8,	1764,	3,	1),
(126057,	8,	1765,	1,	1),
(126058,	8,	1765,	2,	1),
(126059,	8,	1765,	3,	1),
(126060,	8,	1766,	1,	1),
(126061,	8,	1766,	2,	1),
(126062,	8,	1766,	3,	1),
(126063,	8,	1767,	1,	1),
(126064,	8,	1767,	2,	1),
(126065,	8,	1767,	3,	1),
(126066,	8,	1767,	1,	2),
(126067,	8,	1767,	2,	2),
(126068,	8,	1767,	3,	2),
(126069,	8,	1768,	1,	1),
(126070,	8,	1768,	2,	1),
(126071,	8,	1768,	3,	1),
(126072,	8,	1768,	1,	2),
(126073,	8,	1768,	2,	2),
(126074,	8,	1768,	3,	2),
(126075,	8,	1770,	2,	1),
(126076,	8,	1783,	1,	1),
(126077,	8,	1783,	2,	1),
(126078,	8,	1783,	3,	1),
(126079,	8,	1783,	1,	2),
(126080,	8,	1783,	2,	2),
(126081,	8,	1783,	3,	2),
(126082,	8,	1784,	1,	1),
(126083,	8,	1784,	2,	1),
(126084,	8,	1784,	3,	1),
(126085,	8,	1784,	1,	2),
(126086,	8,	1784,	2,	2),
(126087,	8,	1784,	3,	2),
(126088,	8,	1785,	1,	1),
(126089,	8,	1785,	2,	1),
(126090,	8,	1785,	3,	1),
(126091,	8,	1785,	1,	2),
(126092,	8,	1785,	2,	2),
(126093,	8,	1785,	3,	2),
(126094,	8,	1786,	1,	1),
(126095,	8,	1786,	2,	1),
(126096,	8,	1786,	3,	1),
(126097,	8,	1787,	1,	1),
(126098,	8,	1787,	2,	1),
(126099,	8,	1787,	3,	1),
(126100,	8,	1787,	1,	2),
(126101,	8,	1787,	2,	2),
(126102,	8,	1787,	3,	2),
(126103,	8,	1788,	1,	1),
(126104,	8,	1788,	2,	1),
(126105,	8,	1788,	3,	1),
(126106,	8,	1788,	1,	2),
(126107,	8,	1788,	2,	2),
(126108,	8,	1788,	3,	2),
(126109,	8,	1789,	1,	1),
(126110,	8,	1789,	2,	1),
(126111,	8,	1789,	3,	1),
(126112,	8,	1789,	1,	2),
(126113,	8,	1789,	2,	2),
(126114,	8,	1789,	3,	2),
(126115,	8,	1790,	1,	1),
(126116,	8,	1790,	2,	1),
(126117,	8,	1790,	3,	1),
(126118,	8,	1790,	1,	2),
(126119,	8,	1790,	2,	2),
(126120,	8,	1790,	3,	2),
(126121,	8,	1791,	1,	1),
(126122,	8,	1791,	2,	1),
(126123,	8,	1791,	3,	1),
(126124,	8,	1791,	1,	2),
(126125,	8,	1791,	2,	2),
(126126,	8,	1791,	3,	2),
(126127,	8,	1792,	2,	1),
(126128,	8,	1793,	1,	1),
(126129,	8,	1793,	2,	1),
(126130,	8,	1793,	3,	1),
(126131,	8,	1793,	1,	2),
(126132,	8,	1793,	2,	2),
(126133,	8,	1793,	3,	2),
(126134,	8,	1794,	1,	1),
(126135,	8,	1794,	2,	1),
(126136,	8,	1794,	3,	1),
(126137,	8,	1794,	1,	2),
(126138,	8,	1794,	2,	2),
(126139,	8,	1794,	3,	2),
(126140,	8,	1795,	1,	1),
(126141,	8,	1795,	2,	1),
(126142,	8,	1795,	3,	1),
(126143,	8,	1795,	1,	3),
(126144,	8,	1795,	2,	3),
(126145,	8,	1795,	3,	3),
(126146,	8,	1795,	1,	2),
(126147,	8,	1795,	2,	2),
(126148,	8,	1795,	3,	2),
(126149,	8,	1796,	1,	1),
(126150,	8,	1796,	2,	1),
(126151,	8,	1796,	3,	1),
(126152,	8,	1796,	1,	3),
(126153,	8,	1796,	2,	3),
(126154,	8,	1796,	3,	3),
(126155,	8,	1796,	1,	2),
(126156,	8,	1796,	2,	2),
(126157,	8,	1796,	3,	2),
(126158,	8,	1797,	1,	1),
(126159,	8,	1797,	2,	1),
(126160,	8,	1797,	3,	1),
(126161,	8,	1797,	1,	2),
(126162,	8,	1797,	2,	2),
(126163,	8,	1797,	3,	2),
(126164,	8,	1798,	1,	1),
(126165,	8,	1798,	2,	1),
(126166,	8,	1798,	3,	1),
(126167,	8,	1798,	1,	2),
(126168,	8,	1798,	2,	2),
(126169,	8,	1798,	3,	2),
(126170,	8,	1799,	1,	1),
(126171,	8,	1799,	2,	1),
(126172,	8,	1799,	3,	1),
(126173,	8,	1799,	1,	2),
(126174,	8,	1799,	2,	2),
(126175,	8,	1799,	3,	2),
(126176,	8,	1800,	1,	1),
(126177,	8,	1800,	2,	1),
(126178,	8,	1800,	3,	1),
(126179,	8,	1800,	1,	2),
(126180,	8,	1800,	2,	2),
(126181,	8,	1800,	3,	2),
(126182,	8,	1801,	1,	1),
(126183,	8,	1801,	2,	1),
(126184,	8,	1801,	3,	1),
(126185,	8,	1801,	1,	2),
(126186,	8,	1801,	2,	2),
(126187,	8,	1801,	3,	2),
(126188,	8,	1802,	1,	1),
(126189,	8,	1802,	2,	1),
(126190,	8,	1802,	3,	1),
(126191,	8,	1802,	1,	2),
(126192,	8,	1802,	2,	2),
(126193,	8,	1802,	3,	2),
(126194,	8,	1803,	1,	1),
(126195,	8,	1803,	2,	1),
(126196,	8,	1803,	3,	1),
(126197,	8,	1803,	1,	3),
(126198,	8,	1803,	2,	3),
(126199,	8,	1803,	3,	3),
(126200,	8,	1803,	1,	2),
(126201,	8,	1803,	2,	2),
(126202,	8,	1803,	3,	2),
(126203,	8,	1804,	1,	1),
(126204,	8,	1804,	2,	1),
(126205,	8,	1804,	3,	1),
(126206,	8,	1804,	1,	2),
(126207,	8,	1804,	2,	2),
(126208,	8,	1804,	3,	2),
(126209,	8,	1805,	1,	1),
(126210,	8,	1805,	2,	1),
(126211,	8,	1805,	3,	1),
(126212,	8,	1805,	1,	2),
(126213,	8,	1805,	2,	2),
(126214,	8,	1805,	3,	2),
(126215,	8,	1203,	85,	1),
(126216,	8,	1807,	24,	1),
(126217,	8,	1811,	82,	1),
(126218,	8,	1832,	2,	2),
(126219,	8,	1832,	2,	1),
(126220,	8,	1833,	2,	2),
(126221,	8,	1833,	2,	1),
(126222,	8,	1834,	2,	1),
(126223,	8,	1811,	88,	1),
(126224,	8,	1811,	89,	1),
(126225,	8,	1810,	NULL,	NULL),
(126226,	8,	1816,	NULL,	NULL),
(126227,	8,	1814,	NULL,	NULL),
(126228,	8,	1812,	NULL,	NULL),
(126229,	8,	1222,	73,	1),
(126230,	8,	1222,	85,	1),
(126231,	8,	1166,	49,	1),
(126232,	8,	793,	2,	2),
(126233,	8,	1839,	NULL,	NULL),
(126234,	8,	559,	38,	1),
(126235,	8,	559,	35,	1),
(126236,	8,	1819,	NULL,	NULL),
(126237,	8,	970,	2,	1),
(126238,	8,	1838,	NULL,	NULL),
(126239,	8,	1840,	2,	1),
(126240,	8,	1841,	4,	1),
(126241,	8,	116,	2,	1),
(126242,	8,	116,	3,	1),
(126243,	8,	116,	2,	2),
(126244,	8,	116,	1,	2),
(126245,	8,	116,	3,	2),
(126246,	8,	1496,	45,	1),
(126247,	8,	116,	1,	1),
(126248,	8,	408,	2,	1),
(126249,	8,	586,	86,	1),
(126250,	8,	586,	87,	1),
(126251,	8,	1815,	NULL,	NULL),
(126252,	8,	1815,	3,	1),
(126253,	8,	1815,	2,	1),
(126254,	8,	1815,	1,	1),
(126255,	8,	1842,	NULL,	NULL),
(126256,	8,	1843,	NULL,	NULL),
(126257,	8,	588,	2,	1),
(131150,	8,	6,	1,	1),
(131151,	8,	51,	1,	1),
(131152,	8,	51,	2,	1),
(131153,	8,	51,	3,	1),
(131154,	8,	51,	8,	1),
(131155,	8,	51,	10,	1),
(131156,	8,	51,	18,	1),
(131157,	8,	51,	19,	1),
(131158,	8,	91,	1,	1),
(131159,	8,	91,	2,	1),
(131160,	8,	91,	3,	1),
(131161,	8,	91,	8,	1),
(131162,	8,	94,	1,	1),
(131163,	8,	94,	2,	1),
(131164,	8,	94,	3,	1),
(131165,	8,	94,	8,	1),
(131166,	8,	97,	8,	1),
(131167,	8,	97,	3,	1),
(131168,	8,	97,	2,	1),
(131169,	8,	97,	1,	1),
(131170,	8,	155,	1,	1),
(131171,	8,	155,	2,	1),
(131172,	8,	155,	3,	1),
(131173,	8,	1835,	NULL,	NULL),
(131174,	8,	1836,	NULL,	NULL),
(131175,	8,	977,	2,	1),
(131176,	8,	977,	3,	1),
(131177,	8,	1129,	24,	1),
(131178,	8,	1129,	4,	1),
(131179,	8,	1841,	1,	1),
(131180,	8,	1841,	2,	1),
(131181,	8,	1841,	3,	1),
(131182,	8,	1841,	24,	1),
(131183,	8,	1841,	25,	1),
(131184,	8,	1841,	23,	1),
(131185,	8,	1206,	1,	1),
(131186,	8,	1206,	2,	1),
(131187,	8,	1206,	68,	1),
(131188,	8,	1417,	1,	1),
(131189,	8,	1417,	3,	1),
(131190,	8,	1563,	1,	1),
(131191,	8,	1563,	2,	1),
(131192,	8,	1563,	3,	1),
(131193,	8,	1563,	1,	2),
(131194,	8,	1563,	2,	2),
(131195,	8,	1563,	3,	2),
(131196,	8,	1562,	1,	1),
(131197,	8,	1562,	2,	1),
(131198,	8,	1562,	3,	1),
(131199,	8,	1562,	1,	2),
(131200,	8,	1562,	2,	2),
(131201,	8,	1562,	3,	2),
(131202,	8,	1837,	NULL,	NULL),
(131203,	8,	1782,	1,	1),
(131204,	8,	1782,	2,	1),
(131205,	8,	1782,	3,	1),
(131206,	8,	1781,	1,	1),
(131207,	8,	1781,	2,	1),
(131208,	8,	1781,	3,	1),
(131209,	8,	1781,	1,	2),
(131210,	8,	1781,	2,	2),
(131211,	8,	1781,	3,	2),
(131212,	8,	1780,	1,	1),
(131213,	8,	1780,	2,	1),
(131214,	8,	1780,	3,	1),
(131215,	8,	1780,	1,	2),
(131216,	8,	1780,	2,	2),
(131217,	8,	1780,	3,	2),
(131218,	8,	1779,	1,	1),
(131219,	8,	1779,	2,	1),
(131220,	8,	1779,	3,	1),
(131221,	8,	1779,	1,	2),
(131222,	8,	1779,	2,	2),
(131223,	8,	1779,	3,	2),
(131224,	8,	1778,	1,	1),
(131225,	8,	1778,	2,	1),
(131226,	8,	1778,	3,	1),
(131227,	8,	1777,	1,	1),
(131228,	8,	1777,	2,	1),
(131229,	8,	1777,	3,	1),
(131230,	8,	1777,	1,	2),
(131231,	8,	1777,	2,	2),
(131232,	8,	1777,	3,	2),
(131233,	8,	1776,	1,	1),
(131234,	8,	1776,	2,	1),
(131235,	8,	1776,	3,	1),
(131236,	8,	1776,	1,	2),
(131237,	8,	1776,	3,	2),
(131238,	8,	1776,	2,	2),
(131239,	8,	1775,	1,	1),
(131240,	8,	1775,	2,	1),
(131241,	8,	1775,	3,	1),
(131242,	8,	1775,	1,	2),
(131243,	8,	1775,	2,	2),
(131244,	8,	1775,	3,	2),
(131245,	8,	1774,	1,	1),
(131246,	8,	1774,	2,	1),
(131247,	8,	1774,	3,	1),
(131248,	8,	1773,	1,	1),
(131249,	8,	1773,	2,	1),
(131250,	8,	1773,	3,	1),
(131251,	8,	1771,	1,	1),
(131252,	8,	1771,	2,	1),
(131253,	8,	1771,	3,	1),
(131254,	8,	1770,	3,	1),
(131255,	8,	1770,	1,	1),
(131256,	8,	1632,	1,	1),
(131257,	8,	1632,	2,	1),
(131258,	8,	1632,	3,	1),
(131259,	8,	1632,	4,	1),
(131260,	8,	124,	1,	1),
(131261,	8,	124,	3,	1),
(131262,	8,	1844,	NULL,	NULL),
(131263,	8,	1806,	NULL,	NULL),
(131264,	8,	206,	1,	1),
(131265,	8,	206,	2,	1),
(131266,	8,	206,	3,	1),
(131267,	8,	206,	1,	2),
(131268,	8,	206,	2,	2),
(131269,	8,	206,	3,	2),
(131270,	8,	268,	1,	1),
(131271,	8,	268,	2,	1),
(131272,	8,	268,	3,	1),
(131273,	8,	269,	1,	1),
(131274,	8,	269,	2,	1),
(131275,	8,	269,	3,	1),
(131276,	8,	269,	1,	2),
(131277,	8,	269,	2,	2),
(131278,	8,	269,	3,	2),
(131279,	8,	271,	1,	1),
(131280,	8,	271,	2,	1),
(131281,	8,	271,	3,	1),
(131282,	8,	272,	1,	1),
(131283,	8,	272,	2,	1),
(131284,	8,	272,	3,	1),
(131285,	8,	289,	1,	1),
(131286,	8,	289,	2,	1),
(131287,	8,	289,	3,	1),
(131288,	8,	373,	1,	1),
(131289,	8,	373,	3,	1),
(131290,	8,	373,	23,	1),
(131291,	8,	374,	28,	1),
(131292,	8,	374,	3,	1),
(131293,	8,	374,	2,	1),
(131294,	8,	374,	1,	1),
(131295,	8,	375,	1,	1),
(131296,	8,	375,	2,	1),
(131297,	8,	375,	3,	1),
(131298,	8,	375,	23,	1),
(131299,	8,	375,	28,	1),
(131300,	8,	376,	1,	1),
(131301,	8,	376,	2,	1),
(131302,	8,	376,	3,	1),
(131303,	8,	376,	1,	2),
(131304,	8,	376,	2,	2),
(131305,	8,	376,	3,	2),
(131306,	8,	372,	1,	1),
(131307,	8,	372,	2,	1),
(131308,	8,	372,	3,	1),
(131309,	8,	372,	1,	2),
(131310,	8,	372,	2,	2),
(131311,	8,	372,	3,	2),
(131312,	8,	371,	1,	1),
(131313,	8,	371,	2,	1),
(131314,	8,	371,	3,	1),
(131315,	8,	377,	1,	1),
(131316,	8,	377,	2,	1),
(131317,	8,	377,	3,	1),
(131318,	8,	378,	1,	1),
(131319,	8,	378,	2,	1),
(131320,	8,	378,	3,	1),
(131321,	8,	378,	23,	1),
(131322,	8,	378,	28,	1),
(131323,	8,	379,	3,	1),
(131324,	8,	379,	2,	1),
(131325,	8,	379,	1,	1),
(131326,	8,	380,	1,	1),
(131327,	8,	380,	2,	1),
(131328,	8,	380,	3,	1),
(131329,	8,	408,	1,	1),
(131330,	8,	408,	3,	1),
(131331,	8,	429,	1,	1),
(131332,	8,	429,	3,	1),
(131333,	8,	644,	1,	1),
(131334,	8,	644,	2,	1),
(131335,	8,	644,	3,	1),
(131336,	8,	888,	1,	1),
(131337,	8,	888,	2,	1),
(131338,	8,	888,	3,	1),
(131339,	8,	1071,	1,	1),
(131340,	8,	1071,	2,	1),
(131341,	8,	1071,	3,	1),
(131342,	8,	1072,	1,	1),
(131343,	8,	1072,	3,	1),
(131344,	8,	1073,	3,	1),
(131345,	8,	1073,	2,	1),
(131346,	8,	1073,	1,	1),
(131347,	8,	1074,	3,	1),
(131348,	8,	1074,	2,	1),
(131349,	8,	1074,	1,	1),
(131350,	8,	1075,	1,	1),
(131351,	8,	1075,	2,	1),
(131352,	8,	1075,	3,	1),
(131353,	8,	1076,	1,	1),
(131354,	8,	1076,	2,	1),
(131355,	8,	1076,	3,	1),
(131356,	8,	1164,	1,	1),
(131357,	8,	1164,	2,	1),
(131358,	8,	1164,	3,	1),
(131359,	8,	1164,	35,	1),
(131360,	8,	1164,	45,	1),
(131361,	8,	1164,	46,	1),
(131362,	8,	1164,	55,	1),
(131363,	8,	1164,	49,	1),
(131364,	8,	1164,	63,	1),
(131365,	8,	1165,	63,	1),
(131366,	8,	1165,	49,	1),
(131367,	8,	1165,	55,	1),
(131368,	8,	1165,	45,	1),
(131369,	8,	1165,	46,	1),
(131370,	8,	1165,	35,	1),
(131371,	8,	1165,	3,	1),
(131372,	8,	1165,	2,	1),
(131373,	8,	1165,	1,	1),
(131374,	8,	1166,	1,	1),
(131375,	8,	1166,	35,	1),
(131376,	8,	1166,	45,	1),
(131377,	8,	1166,	46,	1),
(131378,	8,	1167,	1,	1),
(131379,	8,	1167,	2,	1),
(131380,	8,	1167,	3,	1),
(131381,	8,	1167,	35,	1),
(131382,	8,	1167,	45,	1),
(131383,	8,	1167,	46,	1),
(131384,	8,	1167,	55,	1),
(131385,	8,	1167,	49,	1),
(131386,	8,	1167,	63,	1),
(131387,	8,	1168,	1,	1),
(131388,	8,	1168,	2,	1),
(131389,	8,	1168,	3,	1),
(131390,	8,	1168,	35,	1),
(131391,	8,	1168,	45,	1),
(131392,	8,	1168,	46,	1),
(131393,	8,	1168,	55,	1),
(131394,	8,	1168,	49,	1),
(131395,	8,	1168,	63,	1),
(131396,	8,	1169,	1,	1),
(131397,	8,	1169,	2,	1),
(131398,	8,	1169,	3,	1),
(131399,	8,	1169,	35,	1),
(131400,	8,	1169,	45,	1),
(131401,	8,	1169,	46,	1),
(131402,	8,	1169,	55,	1),
(131403,	8,	1169,	49,	1),
(131404,	8,	1169,	63,	1),
(131405,	8,	1170,	1,	1),
(131406,	8,	1170,	2,	1),
(131407,	8,	1170,	3,	1),
(131408,	8,	1170,	1,	2),
(131409,	8,	1170,	2,	2),
(131410,	8,	1170,	3,	2),
(131411,	8,	1171,	1,	1),
(131412,	8,	1171,	2,	1),
(131413,	8,	1171,	3,	1),
(131414,	8,	1171,	35,	1),
(131415,	8,	1171,	45,	1),
(131416,	8,	1171,	46,	1),
(131417,	8,	1171,	55,	1),
(131418,	8,	1171,	49,	1),
(131419,	8,	1171,	63,	1),
(131420,	8,	1173,	1,	1),
(131421,	8,	1173,	2,	1),
(131422,	8,	1173,	3,	1),
(131423,	8,	1173,	35,	1),
(131424,	8,	1173,	45,	1),
(131425,	8,	1173,	46,	1),
(131426,	8,	1173,	55,	1),
(131427,	8,	1173,	49,	1),
(131428,	8,	1173,	63,	1),
(131429,	8,	1172,	63,	1),
(131430,	8,	1172,	49,	1),
(131431,	8,	1172,	55,	1),
(131432,	8,	1172,	46,	1),
(131433,	8,	1172,	45,	1),
(131434,	8,	1172,	35,	1),
(131435,	8,	1172,	2,	1),
(131436,	8,	1172,	1,	1),
(131437,	8,	1172,	3,	1),
(131438,	8,	1496,	1,	1),
(131439,	8,	1496,	3,	1),
(131440,	8,	1496,	77,	1),
(131441,	8,	1496,	79,	1),
(131442,	8,	1496,	28,	1),
(131443,	8,	1513,	1,	1),
(131444,	8,	1513,	3,	1),
(131445,	8,	1516,	1,	1),
(131446,	8,	1516,	3,	1),
(131447,	8,	1840,	1,	1),
(131448,	8,	1840,	3,	1),
(131449,	8,	1660,	3,	1),
(131450,	8,	1740,	1,	1),
(131451,	8,	1740,	3,	1),
(131452,	8,	1741,	1,	1),
(131453,	8,	1741,	3,	1),
(131454,	8,	1741,	84,	1),
(131455,	8,	1736,	1,	1),
(131456,	8,	1736,	2,	1),
(131457,	8,	1736,	3,	1),
(131458,	8,	1744,	1,	1),
(131459,	8,	1744,	2,	1),
(131460,	8,	1744,	3,	1),
(131461,	8,	1744,	84,	1),
(131462,	7,	697,	1,	1),
(131463,	7,	696,	23,	1),
(131464,	8,	558,	2,	1),
(131465,	8,	558,	3,	1),
(131466,	8,	558,	35,	1),
(131467,	8,	559,	26,	1),
(131468,	8,	559,	28,	1),
(131469,	8,	559,	39,	1),
(131470,	8,	561,	45,	1),
(131471,	8,	561,	46,	1),
(131472,	8,	561,	42,	1),
(131473,	8,	561,	39,	1),
(131474,	8,	561,	41,	1),
(131475,	8,	561,	35,	1),
(131476,	8,	561,	3,	1),
(131477,	8,	561,	2,	1),
(131478,	8,	560,	35,	1),
(131479,	8,	560,	3,	1),
(131480,	8,	560,	2,	1),
(131481,	8,	564,	NULL,	NULL),
(131482,	8,	565,	2,	1),
(131483,	8,	565,	35,	1),
(131484,	8,	566,	2,	1),
(131485,	8,	566,	35,	1),
(131486,	8,	567,	35,	1),
(131487,	8,	567,	2,	1),
(131488,	8,	568,	35,	1),
(131489,	8,	568,	2,	1),
(131491,	8,	569,	35,	1),
(131493,	8,	570,	35,	1),
(131494,	8,	575,	2,	1),
(131495,	8,	575,	35,	1),
(131496,	8,	576,	39,	1),
(131497,	8,	576,	38,	1),
(131498,	8,	576,	26,	1),
(131499,	8,	576,	35,	1),
(131500,	8,	576,	2,	1),
(131501,	8,	577,	2,	1),
(131502,	8,	577,	35,	1),
(131503,	8,	577,	45,	1),
(131504,	8,	578,	46,	1),
(131505,	8,	578,	46,	1),
(131506,	8,	578,	45,	1),
(131507,	8,	578,	42,	1),
(131508,	8,	578,	41,	1),
(131509,	8,	578,	3,	1),
(131510,	8,	578,	2,	1),
(131511,	8,	579,	2,	1),
(131512,	8,	579,	35,	1),
(131513,	8,	580,	2,	1),
(131514,	8,	580,	35,	1),
(131515,	8,	582,	2,	1),
(131516,	8,	582,	35,	1),
(131517,	8,	584,	2,	1),
(131518,	8,	584,	35,	1),
(131519,	8,	583,	2,	1),
(131520,	8,	583,	35,	1),
(131521,	8,	585,	2,	1),
(131522,	8,	585,	35,	1),
(131523,	8,	585,	41,	1),
(131524,	8,	585,	42,	1),
(131525,	8,	585,	45,	1),
(131526,	8,	585,	46,	1),
(131527,	8,	586,	35,	1),
(131528,	8,	587,	2,	1),
(131529,	8,	587,	35,	1),
(131530,	8,	589,	2,	1),
(131531,	8,	589,	35,	1),
(131532,	8,	588,	35,	1),
(131533,	8,	569,	2,	1),
(131535,	8,	570,	2,	1),
(131536,	7,	559,	3,	1),
(131537,	6,	1165,	55,	1),
(131538,	6,	1165,	49,	1),
(131539,	6,	1165,	2,	1),
(131540,	6,	1165,	3,	1),
(131541,	6,	1332,	3,	1),
(131542,	6,	1173,	49,	1),
(131543,	6,	1173,	55,	1),
(131544,	6,	1173,	3,	1),
(131545,	6,	1173,	2,	1),
(131546,	6,	529,	2,	2),
(131547,	6,	1844,	NULL,	NULL),
(131548,	6,	1806,	NULL,	NULL),
(131549,	6,	1073,	2,	1),
(131551,	6,	816,	1,	1),
(131552,	6,	816,	25,	1),
(131553,	6,	816,	23,	1),
(131554,	6,	816,	49,	1),
(131557,	6,	113,	1,	2),
(131558,	6,	113,	2,	2),
(131560,	6,	1819,	NULL,	NULL),
(131561,	6,	1501,	46,	1),
(131566,	6,	709,	2,	1),
(131567,	6,	1501,	77,	1),
(131568,	7,	1173,	55,	1),
(131569,	7,	1173,	49,	1),
(131570,	7,	1173,	2,	1),
(131571,	7,	1173,	3,	1),
(131572,	7,	1173,	1,	1),
(131573,	7,	1739,	1,	1),
(131574,	7,	1739,	2,	1),
(131575,	7,	1739,	3,	1),
(131576,	6,	377,	2,	1),
(131577,	6,	888,	2,	1),
(131579,	6,	45,	18,	1),
(131580,	6,	45,	10,	1),
(131581,	6,	1773,	2,	1),
(131583,	6,	1770,	2,	1),
(131585,	6,	744,	1,	1),
(131586,	6,	230,	2,	1),
(131587,	6,	1466,	23,	1),
(131596,	6,	1203,	67,	1),
(131597,	6,	1203,	8,	1),
(131603,	6,	1832,	2,	2),
(131604,	6,	758,	2,	2),
(131605,	6,	758,	3,	2),
(131606,	6,	758,	2,	1),
(131607,	6,	758,	3,	1),
(131609,	6,	1750,	2,	2),
(131610,	6,	1736,	2,	1),
(131611,	6,	1769,	2,	1),
(131612,	6,	1169,	2,	1),
(131613,	6,	1169,	3,	1),
(131614,	6,	1169,	55,	1),
(131615,	6,	1169,	49,	1),
(131623,	9,	1,	1,	1),
(131624,	9,	1,	2,	1),
(131625,	9,	1,	3,	1),
(131626,	9,	1,	4,	1),
(131627,	9,	1,	1,	2),
(131628,	9,	1,	2,	2),
(131629,	9,	1,	3,	2),
(131630,	9,	1,	4,	2),
(131631,	9,	2,	1,	1),
(131632,	9,	2,	2,	1),
(131633,	9,	2,	3,	1),
(131634,	9,	2,	1,	2),
(131635,	9,	2,	2,	2),
(131636,	9,	2,	3,	2),
(131637,	9,	3,	1,	1),
(131638,	9,	3,	2,	1),
(131639,	9,	3,	3,	1),
(131640,	9,	3,	4,	1),
(131641,	9,	3,	5,	1),
(131642,	9,	3,	1,	2),
(131643,	9,	3,	2,	2),
(131644,	9,	3,	3,	2),
(131645,	9,	3,	4,	2),
(131646,	9,	3,	5,	2),
(131647,	9,	4,	1,	1),
(131648,	9,	4,	2,	1),
(131649,	9,	4,	3,	1),
(131650,	9,	4,	4,	1),
(131651,	9,	4,	5,	1),
(131652,	9,	4,	1,	2),
(131653,	9,	4,	2,	2),
(131654,	9,	4,	3,	2),
(131655,	9,	4,	4,	2),
(131656,	9,	4,	5,	2),
(131657,	9,	5,	1,	1),
(131658,	9,	5,	2,	1),
(131659,	9,	5,	3,	1),
(131660,	9,	5,	6,	1),
(131661,	9,	6,	1,	1),
(131662,	9,	6,	3,	1),
(131663,	9,	6,	6,	1),
(131664,	9,	7,	1,	1),
(131665,	9,	7,	2,	1),
(131666,	9,	7,	3,	1),
(131667,	9,	7,	1,	2),
(131668,	9,	7,	2,	2),
(131669,	9,	7,	3,	2),
(131670,	9,	8,	1,	1),
(131671,	9,	8,	2,	1),
(131672,	9,	8,	3,	1),
(131673,	9,	8,	7,	1),
(131674,	9,	8,	8,	1),
(131675,	9,	8,	9,	1),
(131676,	9,	8,	10,	1),
(131677,	9,	8,	11,	1),
(131678,	9,	8,	12,	1),
(131679,	9,	8,	13,	1),
(131680,	9,	8,	14,	1),
(131681,	9,	8,	15,	1),
(131682,	9,	8,	16,	1),
(131683,	9,	8,	17,	1),
(131684,	9,	8,	18,	1),
(131685,	9,	8,	19,	1),
(131686,	9,	8,	20,	1),
(131687,	9,	8,	21,	1),
(131688,	9,	8,	22,	1),
(131689,	9,	9,	1,	1),
(131690,	9,	9,	2,	1),
(131691,	9,	9,	3,	1),
(131692,	9,	9,	7,	1),
(131693,	9,	9,	8,	1),
(131694,	9,	9,	9,	1),
(131695,	9,	9,	10,	1),
(131696,	9,	9,	11,	1),
(131697,	9,	9,	12,	1),
(131698,	9,	9,	13,	1),
(131699,	9,	9,	14,	1),
(131700,	9,	9,	15,	1),
(131701,	9,	9,	16,	1),
(131702,	9,	9,	17,	1),
(131703,	9,	9,	18,	1),
(131704,	9,	9,	19,	1),
(131705,	9,	9,	20,	1),
(131706,	9,	9,	21,	1),
(131707,	9,	9,	22,	1),
(131708,	9,	10,	1,	1),
(131709,	9,	10,	2,	1),
(131710,	9,	10,	3,	1),
(131711,	9,	10,	7,	1),
(131712,	9,	10,	8,	1),
(131713,	9,	10,	9,	1),
(131714,	9,	10,	10,	1),
(131715,	9,	10,	11,	1),
(131716,	9,	10,	12,	1),
(131717,	9,	10,	13,	1),
(131718,	9,	10,	14,	1),
(131719,	9,	10,	15,	1),
(131720,	9,	10,	16,	1),
(131721,	9,	10,	17,	1),
(131722,	9,	10,	18,	1),
(131723,	9,	10,	19,	1),
(131724,	9,	10,	20,	1),
(131725,	9,	10,	21,	1),
(131726,	9,	10,	22,	1),
(131727,	9,	11,	1,	1),
(131728,	9,	11,	2,	1),
(131729,	9,	11,	3,	1),
(131730,	9,	11,	7,	1),
(131731,	9,	11,	8,	1),
(131732,	9,	11,	9,	1),
(131733,	9,	11,	10,	1),
(131734,	9,	11,	11,	1),
(131735,	9,	11,	12,	1),
(131736,	9,	11,	13,	1),
(131737,	9,	11,	14,	1),
(131738,	9,	11,	15,	1),
(131739,	9,	11,	16,	1),
(131740,	9,	11,	17,	1),
(131741,	9,	11,	18,	1),
(131742,	9,	11,	19,	1),
(131743,	9,	11,	20,	1),
(131744,	9,	11,	21,	1),
(131745,	9,	11,	22,	1),
(131746,	9,	12,	1,	1),
(131747,	9,	12,	2,	1),
(131748,	9,	12,	3,	1),
(131749,	9,	12,	7,	1),
(131750,	9,	12,	8,	1),
(131751,	9,	12,	9,	1),
(131752,	9,	12,	10,	1),
(131753,	9,	12,	11,	1),
(131754,	9,	12,	12,	1),
(131755,	9,	12,	13,	1),
(131756,	9,	12,	14,	1),
(131757,	9,	12,	15,	1),
(131758,	9,	12,	16,	1),
(131759,	9,	12,	17,	1),
(131760,	9,	12,	18,	1),
(131761,	9,	12,	19,	1),
(131762,	9,	12,	20,	1),
(131763,	9,	12,	21,	1),
(131764,	9,	12,	22,	1),
(131765,	9,	13,	1,	1),
(131766,	9,	13,	2,	1),
(131767,	9,	13,	3,	1),
(131768,	9,	13,	7,	1),
(131769,	9,	13,	8,	1),
(131770,	9,	13,	9,	1),
(131771,	9,	13,	10,	1),
(131772,	9,	13,	11,	1),
(131773,	9,	13,	12,	1),
(131774,	9,	13,	13,	1),
(131775,	9,	13,	14,	1),
(131776,	9,	13,	15,	1),
(131777,	9,	13,	16,	1),
(131778,	9,	13,	17,	1),
(131779,	9,	13,	18,	1),
(131780,	9,	13,	19,	1),
(131781,	9,	13,	20,	1),
(131782,	9,	13,	21,	1),
(131783,	9,	13,	22,	1),
(131784,	9,	14,	1,	1),
(131785,	9,	14,	2,	1),
(131786,	9,	14,	3,	1),
(131787,	9,	14,	7,	1),
(131788,	9,	14,	8,	1),
(131789,	9,	14,	9,	1),
(131790,	9,	14,	10,	1),
(131791,	9,	14,	11,	1),
(131792,	9,	14,	12,	1),
(131793,	9,	14,	13,	1),
(131794,	9,	14,	14,	1),
(131795,	9,	14,	15,	1),
(131796,	9,	14,	16,	1),
(131797,	9,	14,	17,	1),
(131798,	9,	14,	18,	1),
(131799,	9,	14,	19,	1),
(131800,	9,	14,	20,	1),
(131801,	9,	14,	21,	1),
(131802,	9,	14,	22,	1),
(131803,	9,	15,	1,	1),
(131804,	9,	15,	2,	1),
(131805,	9,	15,	3,	1),
(131806,	9,	15,	7,	1),
(131807,	9,	15,	8,	1),
(131808,	9,	15,	9,	1),
(131809,	9,	15,	10,	1),
(131810,	9,	15,	11,	1),
(131811,	9,	15,	12,	1),
(131812,	9,	15,	13,	1),
(131813,	9,	15,	14,	1),
(131814,	9,	15,	15,	1),
(131815,	9,	15,	16,	1),
(131816,	9,	15,	17,	1),
(131817,	9,	15,	18,	1),
(131818,	9,	15,	19,	1),
(131819,	9,	15,	20,	1),
(131820,	9,	15,	21,	1),
(131821,	9,	15,	22,	1),
(131822,	9,	16,	1,	1),
(131823,	9,	16,	2,	1),
(131824,	9,	16,	3,	1),
(131825,	9,	16,	7,	1),
(131826,	9,	16,	8,	1),
(131827,	9,	16,	9,	1),
(131828,	9,	16,	10,	1),
(131829,	9,	16,	11,	1),
(131830,	9,	16,	12,	1),
(131831,	9,	16,	13,	1),
(131832,	9,	16,	14,	1),
(131833,	9,	16,	15,	1),
(131834,	9,	16,	16,	1),
(131835,	9,	16,	17,	1),
(131836,	9,	16,	18,	1),
(131837,	9,	16,	19,	1),
(131838,	9,	16,	20,	1),
(131839,	9,	16,	21,	1),
(131840,	9,	16,	22,	1),
(131841,	9,	17,	1,	1),
(131842,	9,	17,	2,	1),
(131843,	9,	17,	3,	1),
(131844,	9,	17,	7,	1),
(131845,	9,	17,	8,	1),
(131846,	9,	17,	9,	1),
(131847,	9,	17,	10,	1),
(131848,	9,	17,	11,	1),
(131849,	9,	17,	12,	1),
(131850,	9,	17,	13,	1),
(131851,	9,	17,	14,	1),
(131852,	9,	17,	15,	1),
(131853,	9,	17,	16,	1),
(131854,	9,	17,	17,	1),
(131855,	9,	17,	18,	1),
(131856,	9,	17,	19,	1),
(131857,	9,	17,	20,	1),
(131858,	9,	17,	21,	1),
(131859,	9,	17,	22,	1),
(131860,	9,	18,	1,	1),
(131861,	9,	18,	2,	1),
(131862,	9,	18,	3,	1),
(131863,	9,	18,	7,	1),
(131864,	9,	18,	8,	1),
(131865,	9,	18,	9,	1),
(131866,	9,	18,	10,	1),
(131867,	9,	18,	11,	1),
(131868,	9,	18,	12,	1),
(131869,	9,	18,	13,	1),
(131870,	9,	18,	14,	1),
(131871,	9,	18,	15,	1),
(131872,	9,	18,	16,	1),
(131873,	9,	18,	17,	1),
(131874,	9,	18,	18,	1),
(131875,	9,	18,	19,	1),
(131876,	9,	18,	20,	1),
(131877,	9,	18,	21,	1),
(131878,	9,	18,	22,	1),
(131879,	9,	19,	1,	1),
(131880,	9,	19,	2,	1),
(131881,	9,	19,	3,	1),
(131882,	9,	19,	7,	1),
(131883,	9,	19,	8,	1),
(131884,	9,	19,	9,	1),
(131885,	9,	19,	10,	1),
(131886,	9,	19,	11,	1),
(131887,	9,	19,	12,	1),
(131888,	9,	19,	13,	1),
(131889,	9,	19,	14,	1),
(131890,	9,	19,	15,	1),
(131891,	9,	19,	16,	1),
(131892,	9,	19,	17,	1),
(131893,	9,	19,	18,	1),
(131894,	9,	19,	19,	1),
(131895,	9,	19,	20,	1),
(131896,	9,	19,	21,	1),
(131897,	9,	19,	22,	1),
(131898,	9,	20,	1,	1),
(131899,	9,	20,	2,	1),
(131900,	9,	20,	3,	1),
(131901,	9,	20,	7,	1),
(131902,	9,	20,	8,	1),
(131903,	9,	20,	9,	1),
(131904,	9,	20,	10,	1),
(131905,	9,	20,	11,	1),
(131906,	9,	20,	12,	1),
(131907,	9,	20,	13,	1),
(131908,	9,	20,	14,	1),
(131909,	9,	20,	15,	1),
(131910,	9,	20,	16,	1),
(131911,	9,	20,	17,	1),
(131912,	9,	20,	18,	1),
(131913,	9,	20,	19,	1),
(131914,	9,	20,	20,	1),
(131915,	9,	20,	21,	1),
(131916,	9,	20,	22,	1),
(131917,	9,	21,	1,	1),
(131918,	9,	21,	2,	1),
(131919,	9,	21,	3,	1),
(131920,	9,	21,	7,	1),
(131921,	9,	21,	8,	1),
(131922,	9,	21,	9,	1),
(131923,	9,	21,	10,	1),
(131924,	9,	21,	11,	1),
(131925,	9,	21,	12,	1),
(131926,	9,	21,	13,	1),
(131927,	9,	21,	14,	1),
(131928,	9,	21,	15,	1),
(131929,	9,	21,	16,	1),
(131930,	9,	21,	17,	1),
(131931,	9,	21,	18,	1),
(131932,	9,	21,	19,	1),
(131933,	9,	21,	20,	1),
(131934,	9,	21,	21,	1),
(131935,	9,	21,	22,	1),
(131936,	9,	22,	1,	1),
(131937,	9,	22,	2,	1),
(131938,	9,	22,	3,	1),
(131939,	9,	22,	7,	1),
(131940,	9,	22,	8,	1),
(131941,	9,	22,	9,	1),
(131942,	9,	22,	10,	1),
(131943,	9,	22,	11,	1),
(131944,	9,	22,	12,	1),
(131945,	9,	22,	13,	1),
(131946,	9,	22,	14,	1),
(131947,	9,	22,	15,	1),
(131948,	9,	22,	16,	1),
(131949,	9,	22,	17,	1),
(131950,	9,	22,	18,	1),
(131951,	9,	22,	19,	1),
(131952,	9,	22,	20,	1),
(131953,	9,	22,	21,	1),
(131954,	9,	22,	22,	1),
(131955,	9,	23,	1,	1),
(131956,	9,	23,	2,	1),
(131957,	9,	23,	3,	1),
(131958,	9,	23,	7,	1),
(131959,	9,	23,	8,	1),
(131960,	9,	23,	9,	1),
(131961,	9,	23,	10,	1),
(131962,	9,	23,	11,	1),
(131963,	9,	23,	12,	1),
(131964,	9,	23,	13,	1),
(131965,	9,	23,	14,	1),
(131966,	9,	23,	15,	1),
(131967,	9,	23,	16,	1),
(131968,	9,	23,	17,	1),
(131969,	9,	23,	18,	1),
(131970,	9,	23,	19,	1),
(131971,	9,	23,	20,	1),
(131972,	9,	23,	21,	1),
(131973,	9,	23,	22,	1),
(131974,	9,	24,	1,	1),
(131975,	9,	24,	2,	1),
(131976,	9,	24,	3,	1),
(131977,	9,	24,	7,	1),
(131978,	9,	24,	8,	1),
(131979,	9,	24,	9,	1),
(131980,	9,	24,	10,	1),
(131981,	9,	24,	11,	1),
(131982,	9,	24,	12,	1),
(131983,	9,	24,	13,	1),
(131984,	9,	24,	14,	1),
(131985,	9,	24,	15,	1),
(131986,	9,	24,	16,	1),
(131987,	9,	24,	17,	1),
(131988,	9,	24,	18,	1),
(131989,	9,	24,	19,	1),
(131990,	9,	24,	20,	1),
(131991,	9,	24,	21,	1),
(131992,	9,	24,	22,	1),
(131993,	9,	25,	1,	1),
(131994,	9,	25,	2,	1),
(131995,	9,	25,	3,	1),
(131996,	9,	25,	7,	1),
(131997,	9,	25,	8,	1),
(131998,	9,	25,	9,	1),
(131999,	9,	25,	10,	1),
(132000,	9,	25,	11,	1),
(132001,	9,	25,	12,	1),
(132002,	9,	25,	13,	1),
(132003,	9,	25,	14,	1),
(132004,	9,	25,	15,	1),
(132005,	9,	25,	16,	1),
(132006,	9,	25,	17,	1),
(132007,	9,	25,	18,	1),
(132008,	9,	25,	19,	1),
(132009,	9,	25,	20,	1),
(132010,	9,	25,	21,	1),
(132011,	9,	25,	22,	1),
(132012,	9,	26,	1,	1),
(132013,	9,	26,	2,	1),
(132014,	9,	26,	3,	1),
(132015,	9,	26,	7,	1),
(132016,	9,	26,	8,	1),
(132017,	9,	26,	9,	1),
(132018,	9,	26,	10,	1),
(132019,	9,	26,	11,	1),
(132020,	9,	26,	12,	1),
(132021,	9,	26,	13,	1),
(132022,	9,	26,	14,	1),
(132023,	9,	26,	15,	1),
(132024,	9,	26,	16,	1),
(132025,	9,	26,	17,	1),
(132026,	9,	26,	18,	1),
(132027,	9,	26,	19,	1),
(132028,	9,	26,	20,	1),
(132029,	9,	26,	21,	1),
(132030,	9,	26,	22,	1),
(132031,	9,	27,	1,	1),
(132032,	9,	27,	2,	1),
(132033,	9,	27,	3,	1),
(132034,	9,	27,	7,	1),
(132035,	9,	27,	8,	1),
(132036,	9,	27,	9,	1),
(132037,	9,	27,	10,	1),
(132038,	9,	27,	11,	1),
(132039,	9,	27,	12,	1),
(132040,	9,	27,	13,	1),
(132041,	9,	27,	14,	1),
(132042,	9,	27,	15,	1),
(132043,	9,	27,	16,	1),
(132044,	9,	27,	17,	1),
(132045,	9,	27,	18,	1),
(132046,	9,	27,	19,	1),
(132047,	9,	27,	20,	1),
(132048,	9,	27,	21,	1),
(132049,	9,	27,	22,	1),
(132050,	9,	28,	1,	1),
(132051,	9,	28,	2,	1),
(132052,	9,	28,	3,	1),
(132053,	9,	28,	7,	1),
(132054,	9,	28,	8,	1),
(132055,	9,	28,	9,	1),
(132056,	9,	28,	10,	1),
(132057,	9,	28,	11,	1),
(132058,	9,	28,	12,	1),
(132059,	9,	28,	13,	1),
(132060,	9,	28,	14,	1),
(132061,	9,	28,	15,	1),
(132062,	9,	28,	16,	1),
(132063,	9,	28,	17,	1),
(132064,	9,	28,	18,	1),
(132065,	9,	28,	19,	1),
(132066,	9,	28,	20,	1),
(132067,	9,	28,	21,	1),
(132068,	9,	28,	22,	1),
(132069,	9,	29,	1,	1),
(132070,	9,	29,	2,	1),
(132071,	9,	29,	3,	1),
(132072,	9,	29,	7,	1),
(132073,	9,	29,	8,	1),
(132074,	9,	29,	9,	1),
(132075,	9,	29,	10,	1),
(132076,	9,	29,	11,	1),
(132077,	9,	29,	12,	1),
(132078,	9,	29,	13,	1),
(132079,	9,	29,	14,	1),
(132080,	9,	29,	15,	1),
(132081,	9,	29,	16,	1),
(132082,	9,	29,	17,	1),
(132083,	9,	29,	18,	1),
(132084,	9,	29,	19,	1),
(132085,	9,	29,	20,	1),
(132086,	9,	29,	21,	1),
(132087,	9,	29,	22,	1),
(132088,	9,	30,	1,	1),
(132089,	9,	30,	2,	1),
(132090,	9,	30,	3,	1),
(132091,	9,	30,	7,	1),
(132092,	9,	30,	8,	1),
(132093,	9,	30,	9,	1),
(132094,	9,	30,	10,	1),
(132095,	9,	30,	11,	1),
(132096,	9,	30,	12,	1),
(132097,	9,	30,	13,	1),
(132098,	9,	30,	14,	1),
(132099,	9,	30,	15,	1),
(132100,	9,	30,	16,	1),
(132101,	9,	30,	17,	1),
(132102,	9,	30,	18,	1),
(132103,	9,	30,	19,	1),
(132104,	9,	30,	20,	1),
(132105,	9,	30,	21,	1),
(132106,	9,	30,	22,	1),
(132107,	9,	31,	1,	1),
(132108,	9,	31,	2,	1),
(132109,	9,	31,	3,	1),
(132110,	9,	31,	7,	1),
(132111,	9,	31,	8,	1),
(132112,	9,	31,	9,	1),
(132113,	9,	31,	10,	1),
(132114,	9,	31,	11,	1),
(132115,	9,	31,	12,	1),
(132116,	9,	31,	13,	1),
(132117,	9,	31,	14,	1),
(132118,	9,	31,	15,	1),
(132119,	9,	31,	16,	1),
(132120,	9,	31,	17,	1),
(132121,	9,	31,	18,	1),
(132122,	9,	31,	19,	1),
(132123,	9,	31,	20,	1),
(132124,	9,	31,	21,	1),
(132125,	9,	31,	22,	1),
(132126,	9,	32,	1,	1),
(132127,	9,	32,	2,	1),
(132128,	9,	32,	3,	1),
(132129,	9,	32,	7,	1),
(132130,	9,	32,	8,	1),
(132131,	9,	32,	9,	1),
(132132,	9,	32,	10,	1),
(132133,	9,	32,	11,	1),
(132134,	9,	32,	12,	1),
(132135,	9,	32,	13,	1),
(132136,	9,	32,	14,	1),
(132137,	9,	32,	15,	1),
(132138,	9,	32,	16,	1),
(132139,	9,	32,	17,	1),
(132140,	9,	32,	18,	1),
(132141,	9,	32,	19,	1),
(132142,	9,	32,	20,	1),
(132143,	9,	32,	21,	1),
(132144,	9,	32,	22,	1),
(132145,	9,	33,	1,	1),
(132146,	9,	33,	2,	1),
(132147,	9,	33,	3,	1),
(132148,	9,	33,	7,	1),
(132149,	9,	33,	8,	1),
(132150,	9,	33,	9,	1),
(132151,	9,	33,	10,	1),
(132152,	9,	33,	11,	1),
(132153,	9,	33,	12,	1),
(132154,	9,	33,	13,	1),
(132155,	9,	33,	14,	1),
(132156,	9,	33,	15,	1),
(132157,	9,	33,	16,	1),
(132158,	9,	33,	17,	1),
(132159,	9,	33,	18,	1),
(132160,	9,	33,	19,	1),
(132161,	9,	33,	20,	1),
(132162,	9,	33,	21,	1),
(132163,	9,	33,	22,	1),
(132164,	9,	34,	1,	1),
(132165,	9,	34,	2,	1),
(132166,	9,	34,	3,	1),
(132167,	9,	34,	7,	1),
(132168,	9,	34,	8,	1),
(132169,	9,	34,	9,	1),
(132170,	9,	34,	10,	1),
(132171,	9,	34,	11,	1),
(132172,	9,	34,	12,	1),
(132173,	9,	34,	13,	1),
(132174,	9,	34,	14,	1),
(132175,	9,	34,	15,	1),
(132176,	9,	34,	16,	1),
(132177,	9,	34,	17,	1),
(132178,	9,	34,	18,	1),
(132179,	9,	34,	19,	1),
(132180,	9,	34,	20,	1),
(132181,	9,	34,	21,	1),
(132182,	9,	34,	22,	1),
(132183,	9,	34,	23,	1),
(132184,	9,	35,	1,	1),
(132185,	9,	35,	2,	1),
(132186,	9,	35,	3,	1),
(132187,	9,	35,	7,	1),
(132188,	9,	35,	8,	1),
(132189,	9,	35,	9,	1),
(132190,	9,	35,	10,	1),
(132191,	9,	35,	11,	1),
(132192,	9,	35,	12,	1),
(132193,	9,	35,	13,	1),
(132194,	9,	35,	14,	1),
(132195,	9,	35,	15,	1),
(132196,	9,	35,	16,	1),
(132197,	9,	35,	17,	1),
(132198,	9,	35,	18,	1),
(132199,	9,	35,	19,	1),
(132200,	9,	35,	20,	1),
(132201,	9,	35,	21,	1),
(132202,	9,	35,	22,	1),
(132203,	9,	36,	1,	1),
(132204,	9,	36,	2,	1),
(132205,	9,	36,	3,	1),
(132206,	9,	36,	7,	1),
(132207,	9,	36,	8,	1),
(132208,	9,	36,	9,	1),
(132209,	9,	36,	10,	1),
(132210,	9,	36,	11,	1),
(132211,	9,	36,	12,	1),
(132212,	9,	36,	13,	1),
(132213,	9,	36,	14,	1),
(132214,	9,	36,	15,	1),
(132215,	9,	36,	16,	1),
(132216,	9,	36,	17,	1),
(132217,	9,	36,	18,	1),
(132218,	9,	36,	19,	1),
(132219,	9,	36,	20,	1),
(132220,	9,	36,	21,	1),
(132221,	9,	36,	22,	1),
(132222,	9,	37,	1,	1),
(132223,	9,	37,	2,	1),
(132224,	9,	37,	3,	1),
(132225,	9,	37,	7,	1),
(132226,	9,	37,	8,	1),
(132227,	9,	37,	9,	1),
(132228,	9,	37,	10,	1),
(132229,	9,	37,	11,	1),
(132230,	9,	37,	12,	1),
(132231,	9,	37,	13,	1),
(132232,	9,	37,	14,	1),
(132233,	9,	37,	15,	1),
(132234,	9,	37,	16,	1),
(132235,	9,	37,	17,	1),
(132236,	9,	37,	18,	1),
(132237,	9,	37,	19,	1),
(132238,	9,	37,	20,	1),
(132239,	9,	37,	21,	1),
(132240,	9,	37,	22,	1),
(132241,	9,	38,	1,	1),
(132242,	9,	38,	2,	1),
(132243,	9,	38,	3,	1),
(132244,	9,	38,	7,	1),
(132245,	9,	38,	8,	1),
(132246,	9,	38,	9,	1),
(132247,	9,	38,	10,	1),
(132248,	9,	38,	11,	1),
(132249,	9,	38,	12,	1),
(132250,	9,	38,	13,	1),
(132251,	9,	38,	14,	1),
(132252,	9,	38,	15,	1),
(132253,	9,	38,	16,	1),
(132254,	9,	38,	17,	1),
(132255,	9,	38,	18,	1),
(132256,	9,	38,	19,	1),
(132257,	9,	38,	20,	1),
(132258,	9,	38,	21,	1),
(132259,	9,	38,	22,	1),
(132260,	9,	39,	1,	1),
(132261,	9,	39,	2,	1),
(132262,	9,	39,	3,	1),
(132263,	9,	39,	7,	1),
(132264,	9,	39,	8,	1),
(132265,	9,	39,	9,	1),
(132266,	9,	39,	10,	1),
(132267,	9,	39,	11,	1),
(132268,	9,	39,	12,	1),
(132269,	9,	39,	13,	1),
(132270,	9,	39,	14,	1),
(132271,	9,	39,	15,	1),
(132272,	9,	39,	16,	1),
(132273,	9,	39,	17,	1),
(132274,	9,	39,	18,	1),
(132275,	9,	39,	19,	1),
(132276,	9,	39,	20,	1),
(132277,	9,	39,	21,	1),
(132278,	9,	39,	22,	1),
(132279,	9,	40,	1,	1),
(132280,	9,	40,	2,	1),
(132281,	9,	40,	3,	1),
(132282,	9,	40,	7,	1),
(132283,	9,	40,	8,	1),
(132284,	9,	40,	9,	1),
(132285,	9,	40,	10,	1),
(132286,	9,	40,	11,	1),
(132287,	9,	40,	12,	1),
(132288,	9,	40,	13,	1),
(132289,	9,	40,	14,	1),
(132290,	9,	40,	15,	1),
(132291,	9,	40,	16,	1),
(132292,	9,	40,	17,	1),
(132293,	9,	40,	18,	1),
(132294,	9,	40,	19,	1),
(132295,	9,	40,	20,	1),
(132296,	9,	40,	21,	1),
(132297,	9,	40,	22,	1),
(132298,	9,	41,	1,	1),
(132299,	9,	41,	2,	1),
(132300,	9,	41,	3,	1),
(132301,	9,	41,	7,	1),
(132302,	9,	41,	8,	1),
(132303,	9,	41,	9,	1),
(132304,	9,	41,	10,	1),
(132305,	9,	41,	11,	1),
(132306,	9,	41,	12,	1),
(132307,	9,	41,	13,	1),
(132308,	9,	41,	14,	1),
(132309,	9,	41,	15,	1),
(132310,	9,	41,	16,	1),
(132311,	9,	41,	17,	1),
(132312,	9,	41,	18,	1),
(132313,	9,	41,	19,	1),
(132314,	9,	41,	20,	1),
(132315,	9,	41,	21,	1),
(132316,	9,	41,	22,	1),
(132317,	9,	42,	1,	1),
(132318,	9,	42,	2,	1),
(132319,	9,	42,	3,	1),
(132320,	9,	42,	7,	1),
(132321,	9,	42,	8,	1),
(132322,	9,	42,	9,	1),
(132323,	9,	42,	10,	1),
(132324,	9,	42,	11,	1),
(132325,	9,	42,	12,	1),
(132326,	9,	42,	13,	1),
(132327,	9,	42,	14,	1),
(132328,	9,	42,	15,	1),
(132329,	9,	42,	16,	1),
(132330,	9,	42,	17,	1),
(132331,	9,	42,	18,	1),
(132332,	9,	42,	19,	1),
(132333,	9,	42,	20,	1),
(132334,	9,	42,	21,	1),
(132335,	9,	42,	22,	1),
(132336,	9,	43,	1,	1),
(132337,	9,	43,	2,	1),
(132338,	9,	43,	3,	1),
(132339,	9,	43,	7,	1),
(132340,	9,	43,	8,	1),
(132341,	9,	43,	9,	1),
(132342,	9,	43,	10,	1),
(132343,	9,	43,	11,	1),
(132344,	9,	43,	12,	1),
(132345,	9,	43,	13,	1),
(132346,	9,	43,	14,	1),
(132347,	9,	43,	15,	1),
(132348,	9,	43,	16,	1),
(132349,	9,	43,	17,	1),
(132350,	9,	43,	18,	1),
(132351,	9,	43,	19,	1),
(132352,	9,	43,	20,	1),
(132353,	9,	43,	21,	1),
(132354,	9,	43,	22,	1),
(132355,	9,	44,	1,	1),
(132356,	9,	44,	2,	1),
(132357,	9,	44,	3,	1),
(132358,	9,	44,	7,	1),
(132359,	9,	44,	8,	1),
(132360,	9,	44,	9,	1),
(132361,	9,	44,	10,	1),
(132362,	9,	44,	11,	1),
(132363,	9,	44,	12,	1),
(132364,	9,	44,	13,	1),
(132365,	9,	44,	14,	1),
(132366,	9,	44,	15,	1),
(132367,	9,	44,	16,	1),
(132368,	9,	44,	17,	1),
(132369,	9,	44,	18,	1),
(132370,	9,	44,	19,	1),
(132371,	9,	44,	20,	1),
(132372,	9,	44,	21,	1),
(132373,	9,	44,	22,	1),
(132374,	9,	44,	23,	1),
(132375,	9,	45,	1,	1),
(132376,	9,	45,	2,	1),
(132377,	9,	45,	3,	1),
(132378,	9,	45,	7,	1),
(132379,	9,	45,	8,	1),
(132380,	9,	45,	9,	1),
(132381,	9,	45,	10,	1),
(132382,	9,	45,	11,	1),
(132383,	9,	45,	12,	1),
(132384,	9,	45,	13,	1),
(132385,	9,	45,	14,	1),
(132386,	9,	45,	15,	1),
(132387,	9,	45,	16,	1),
(132388,	9,	45,	17,	1),
(132389,	9,	45,	18,	1),
(132390,	9,	45,	19,	1),
(132391,	9,	45,	20,	1),
(132392,	9,	45,	21,	1),
(132393,	9,	45,	22,	1),
(132394,	9,	46,	1,	1),
(132395,	9,	46,	2,	1),
(132396,	9,	46,	3,	1),
(132397,	9,	46,	7,	1),
(132398,	9,	46,	8,	1),
(132399,	9,	46,	9,	1),
(132400,	9,	46,	10,	1),
(132401,	9,	46,	11,	1),
(132402,	9,	46,	12,	1),
(132403,	9,	46,	13,	1),
(132404,	9,	46,	14,	1),
(132405,	9,	46,	15,	1),
(132406,	9,	46,	16,	1),
(132407,	9,	46,	17,	1),
(132408,	9,	46,	18,	1),
(132409,	9,	46,	19,	1),
(132410,	9,	46,	20,	1),
(132411,	9,	46,	21,	1),
(132412,	9,	46,	22,	1),
(132413,	9,	46,	23,	1),
(132414,	9,	47,	1,	1),
(132415,	9,	47,	2,	1),
(132416,	9,	47,	3,	1),
(132417,	9,	47,	7,	1),
(132418,	9,	47,	8,	1),
(132419,	9,	47,	9,	1),
(132420,	9,	47,	10,	1),
(132421,	9,	47,	11,	1),
(132422,	9,	47,	12,	1),
(132423,	9,	47,	13,	1),
(132424,	9,	47,	14,	1),
(132425,	9,	47,	15,	1),
(132426,	9,	47,	16,	1),
(132427,	9,	47,	17,	1),
(132428,	9,	47,	18,	1),
(132429,	9,	47,	19,	1),
(132430,	9,	47,	20,	1),
(132431,	9,	47,	21,	1),
(132432,	9,	47,	22,	1),
(132433,	9,	48,	1,	1),
(132434,	9,	48,	2,	1),
(132435,	9,	48,	3,	1),
(132436,	9,	48,	7,	1),
(132437,	9,	48,	8,	1),
(132438,	9,	48,	9,	1),
(132439,	9,	48,	10,	1),
(132440,	9,	48,	11,	1),
(132441,	9,	48,	12,	1),
(132442,	9,	48,	13,	1),
(132443,	9,	48,	14,	1),
(132444,	9,	48,	15,	1),
(132445,	9,	48,	16,	1),
(132446,	9,	48,	17,	1),
(132447,	9,	48,	18,	1),
(132448,	9,	48,	19,	1),
(132449,	9,	48,	20,	1),
(132450,	9,	48,	21,	1),
(132451,	9,	48,	22,	1),
(132452,	9,	49,	1,	1),
(132453,	9,	49,	2,	1),
(132454,	9,	49,	3,	1),
(132455,	9,	49,	7,	1),
(132456,	9,	49,	8,	1),
(132457,	9,	49,	9,	1),
(132458,	9,	49,	10,	1),
(132459,	9,	49,	11,	1),
(132460,	9,	49,	12,	1),
(132461,	9,	49,	13,	1),
(132462,	9,	49,	14,	1),
(132463,	9,	49,	15,	1),
(132464,	9,	49,	16,	1),
(132465,	9,	49,	17,	1),
(132466,	9,	49,	18,	1),
(132467,	9,	49,	19,	1),
(132468,	9,	49,	20,	1),
(132469,	9,	49,	21,	1),
(132470,	9,	49,	22,	1),
(132471,	9,	50,	1,	1),
(132472,	9,	50,	2,	1),
(132473,	9,	50,	3,	1),
(132474,	9,	50,	7,	1),
(132475,	9,	50,	8,	1),
(132476,	9,	50,	9,	1),
(132477,	9,	50,	10,	1),
(132478,	9,	50,	11,	1),
(132479,	9,	50,	12,	1),
(132480,	9,	50,	13,	1),
(132481,	9,	50,	14,	1),
(132482,	9,	50,	15,	1),
(132483,	9,	50,	16,	1),
(132484,	9,	50,	17,	1),
(132485,	9,	50,	18,	1),
(132486,	9,	50,	19,	1),
(132487,	9,	50,	20,	1),
(132488,	9,	50,	21,	1),
(132489,	9,	50,	22,	1),
(132490,	9,	51,	1,	1),
(132491,	9,	51,	2,	1),
(132492,	9,	51,	3,	1),
(132493,	9,	51,	7,	1),
(132494,	9,	51,	8,	1),
(132495,	9,	51,	9,	1),
(132496,	9,	51,	10,	1),
(132497,	9,	51,	11,	1),
(132498,	9,	51,	12,	1),
(132499,	9,	51,	13,	1),
(132500,	9,	51,	14,	1),
(132501,	9,	51,	15,	1),
(132502,	9,	51,	16,	1),
(132503,	9,	51,	17,	1),
(132504,	9,	51,	18,	1),
(132505,	9,	51,	19,	1),
(132506,	9,	51,	20,	1),
(132507,	9,	51,	21,	1),
(132508,	9,	51,	22,	1),
(132509,	9,	52,	1,	1),
(132510,	9,	52,	2,	1),
(132511,	9,	52,	3,	1),
(132512,	9,	52,	7,	1),
(132513,	9,	52,	8,	1),
(132514,	9,	52,	9,	1),
(132515,	9,	52,	10,	1),
(132516,	9,	52,	11,	1),
(132517,	9,	52,	12,	1),
(132518,	9,	52,	13,	1),
(132519,	9,	52,	14,	1),
(132520,	9,	52,	15,	1),
(132521,	9,	52,	16,	1),
(132522,	9,	52,	17,	1),
(132523,	9,	52,	18,	1),
(132524,	9,	52,	19,	1),
(132525,	9,	52,	20,	1),
(132526,	9,	52,	21,	1),
(132527,	9,	52,	22,	1),
(132528,	9,	53,	1,	1),
(132529,	9,	53,	2,	1),
(132530,	9,	53,	3,	1),
(132531,	9,	53,	7,	1),
(132532,	9,	53,	8,	1),
(132533,	9,	53,	9,	1),
(132534,	9,	53,	10,	1),
(132535,	9,	53,	11,	1),
(132536,	9,	53,	12,	1),
(132537,	9,	53,	13,	1),
(132538,	9,	53,	14,	1),
(132539,	9,	53,	15,	1),
(132540,	9,	53,	16,	1),
(132541,	9,	53,	17,	1),
(132542,	9,	53,	18,	1),
(132543,	9,	53,	19,	1),
(132544,	9,	53,	20,	1),
(132545,	9,	53,	21,	1),
(132546,	9,	53,	22,	1),
(132547,	9,	54,	1,	1),
(132548,	9,	54,	2,	1),
(132549,	9,	54,	3,	1),
(132550,	9,	54,	7,	1),
(132551,	9,	54,	8,	1),
(132552,	9,	54,	9,	1),
(132553,	9,	54,	10,	1),
(132554,	9,	54,	11,	1),
(132555,	9,	54,	12,	1),
(132556,	9,	54,	13,	1),
(132557,	9,	54,	14,	1),
(132558,	9,	54,	15,	1),
(132559,	9,	54,	16,	1),
(132560,	9,	54,	17,	1),
(132561,	9,	54,	18,	1),
(132562,	9,	54,	19,	1),
(132563,	9,	54,	20,	1),
(132564,	9,	54,	21,	1),
(132565,	9,	54,	22,	1),
(132566,	9,	55,	1,	1),
(132567,	9,	55,	2,	1),
(132568,	9,	55,	3,	1),
(132569,	9,	55,	7,	1),
(132570,	9,	55,	8,	1),
(132571,	9,	55,	9,	1),
(132572,	9,	55,	10,	1),
(132573,	9,	55,	11,	1),
(132574,	9,	55,	12,	1),
(132575,	9,	55,	13,	1),
(132576,	9,	55,	14,	1),
(132577,	9,	55,	15,	1),
(132578,	9,	55,	16,	1),
(132579,	9,	55,	17,	1),
(132580,	9,	55,	18,	1),
(132581,	9,	55,	19,	1),
(132582,	9,	55,	20,	1),
(132583,	9,	55,	21,	1),
(132584,	9,	55,	22,	1),
(132585,	9,	56,	1,	1),
(132586,	9,	56,	2,	1),
(132587,	9,	56,	3,	1),
(132588,	9,	56,	7,	1),
(132589,	9,	56,	8,	1),
(132590,	9,	56,	9,	1),
(132591,	9,	56,	10,	1),
(132592,	9,	56,	11,	1),
(132593,	9,	56,	12,	1),
(132594,	9,	56,	13,	1),
(132595,	9,	56,	14,	1),
(132596,	9,	56,	15,	1),
(132597,	9,	56,	16,	1),
(132598,	9,	56,	17,	1),
(132599,	9,	56,	18,	1),
(132600,	9,	56,	19,	1),
(132601,	9,	56,	20,	1),
(132602,	9,	56,	21,	1),
(132603,	9,	56,	22,	1),
(132604,	9,	57,	1,	1),
(132605,	9,	57,	2,	1),
(132606,	9,	57,	3,	1),
(132607,	9,	57,	7,	1),
(132608,	9,	57,	8,	1),
(132609,	9,	57,	9,	1),
(132610,	9,	57,	10,	1),
(132611,	9,	57,	11,	1),
(132612,	9,	57,	12,	1),
(132613,	9,	57,	13,	1),
(132614,	9,	57,	14,	1),
(132615,	9,	57,	15,	1),
(132616,	9,	57,	16,	1),
(132617,	9,	57,	17,	1),
(132618,	9,	57,	18,	1),
(132619,	9,	57,	19,	1),
(132620,	9,	57,	20,	1),
(132621,	9,	57,	21,	1),
(132622,	9,	57,	22,	1),
(132623,	9,	58,	1,	1),
(132624,	9,	58,	2,	1),
(132625,	9,	58,	3,	1),
(132626,	9,	58,	7,	1),
(132627,	9,	58,	8,	1),
(132628,	9,	58,	9,	1),
(132629,	9,	58,	10,	1),
(132630,	9,	58,	11,	1),
(132631,	9,	58,	12,	1),
(132632,	9,	58,	13,	1),
(132633,	9,	58,	14,	1),
(132634,	9,	58,	15,	1),
(132635,	9,	58,	16,	1),
(132636,	9,	58,	17,	1),
(132637,	9,	58,	18,	1),
(132638,	9,	58,	19,	1),
(132639,	9,	58,	20,	1),
(132640,	9,	58,	21,	1),
(132641,	9,	58,	22,	1),
(132642,	9,	59,	1,	1),
(132643,	9,	59,	2,	1),
(132644,	9,	59,	3,	1),
(132645,	9,	59,	7,	1),
(132646,	9,	59,	8,	1),
(132647,	9,	59,	9,	1),
(132648,	9,	59,	10,	1),
(132649,	9,	59,	11,	1),
(132650,	9,	59,	12,	1),
(132651,	9,	59,	13,	1),
(132652,	9,	59,	14,	1),
(132653,	9,	59,	15,	1),
(132654,	9,	59,	16,	1),
(132655,	9,	59,	17,	1),
(132656,	9,	59,	18,	1),
(132657,	9,	59,	19,	1),
(132658,	9,	59,	20,	1),
(132659,	9,	59,	21,	1),
(132660,	9,	59,	22,	1),
(132661,	9,	60,	1,	1),
(132662,	9,	60,	2,	1),
(132663,	9,	60,	3,	1),
(132664,	9,	60,	7,	1),
(132665,	9,	60,	8,	1),
(132666,	9,	60,	9,	1),
(132667,	9,	60,	10,	1),
(132668,	9,	60,	11,	1),
(132669,	9,	60,	12,	1),
(132670,	9,	60,	13,	1),
(132671,	9,	60,	14,	1),
(132672,	9,	60,	15,	1),
(132673,	9,	60,	16,	1),
(132674,	9,	60,	17,	1),
(132675,	9,	60,	18,	1),
(132676,	9,	60,	19,	1),
(132677,	9,	60,	20,	1),
(132678,	9,	60,	21,	1),
(132679,	9,	60,	22,	1),
(132680,	9,	61,	1,	1),
(132681,	9,	61,	2,	1),
(132682,	9,	61,	3,	1),
(132683,	9,	61,	7,	1),
(132684,	9,	61,	8,	1),
(132685,	9,	61,	9,	1),
(132686,	9,	61,	10,	1),
(132687,	9,	61,	11,	1),
(132688,	9,	61,	12,	1),
(132689,	9,	61,	13,	1),
(132690,	9,	61,	14,	1),
(132691,	9,	61,	15,	1),
(132692,	9,	61,	16,	1),
(132693,	9,	61,	17,	1),
(132694,	9,	61,	18,	1),
(132695,	9,	61,	19,	1),
(132696,	9,	61,	20,	1),
(132697,	9,	61,	21,	1),
(132698,	9,	61,	22,	1),
(132699,	9,	62,	1,	1),
(132700,	9,	62,	2,	1),
(132701,	9,	62,	3,	1),
(132702,	9,	62,	7,	1),
(132703,	9,	62,	8,	1),
(132704,	9,	62,	9,	1),
(132705,	9,	62,	10,	1),
(132706,	9,	62,	11,	1),
(132707,	9,	62,	12,	1),
(132708,	9,	62,	13,	1),
(132709,	9,	62,	14,	1),
(132710,	9,	62,	15,	1),
(132711,	9,	62,	16,	1),
(132712,	9,	62,	17,	1),
(132713,	9,	62,	18,	1),
(132714,	9,	62,	19,	1),
(132715,	9,	62,	20,	1),
(132716,	9,	62,	21,	1),
(132717,	9,	62,	22,	1),
(132718,	9,	63,	1,	1),
(132719,	9,	63,	2,	1),
(132720,	9,	63,	3,	1),
(132721,	9,	63,	7,	1),
(132722,	9,	63,	8,	1),
(132723,	9,	63,	9,	1),
(132724,	9,	63,	10,	1),
(132725,	9,	63,	11,	1),
(132726,	9,	63,	12,	1),
(132727,	9,	63,	13,	1),
(132728,	9,	63,	14,	1),
(132729,	9,	63,	15,	1),
(132730,	9,	63,	16,	1),
(132731,	9,	63,	17,	1),
(132732,	9,	63,	18,	1),
(132733,	9,	63,	19,	1),
(132734,	9,	63,	20,	1),
(132735,	9,	63,	21,	1),
(132736,	9,	63,	22,	1),
(132737,	9,	64,	1,	1),
(132738,	9,	64,	2,	1),
(132739,	9,	64,	3,	1),
(132740,	9,	64,	7,	1),
(132741,	9,	64,	8,	1),
(132742,	9,	64,	9,	1),
(132743,	9,	64,	10,	1),
(132744,	9,	64,	11,	1),
(132745,	9,	64,	12,	1),
(132746,	9,	64,	13,	1),
(132747,	9,	64,	14,	1),
(132748,	9,	64,	15,	1),
(132749,	9,	64,	16,	1),
(132750,	9,	64,	17,	1),
(132751,	9,	64,	18,	1),
(132752,	9,	64,	19,	1),
(132753,	9,	64,	20,	1),
(132754,	9,	64,	21,	1),
(132755,	9,	64,	22,	1),
(132756,	9,	65,	1,	1),
(132757,	9,	65,	2,	1),
(132758,	9,	65,	3,	1),
(132759,	9,	65,	7,	1),
(132760,	9,	65,	8,	1),
(132761,	9,	65,	9,	1),
(132762,	9,	65,	10,	1),
(132763,	9,	65,	11,	1),
(132764,	9,	65,	12,	1),
(132765,	9,	65,	13,	1),
(132766,	9,	65,	14,	1),
(132767,	9,	65,	15,	1),
(132768,	9,	65,	16,	1),
(132769,	9,	65,	17,	1),
(132770,	9,	65,	18,	1),
(132771,	9,	65,	19,	1),
(132772,	9,	65,	20,	1),
(132773,	9,	65,	21,	1),
(132774,	9,	65,	22,	1),
(132775,	9,	66,	1,	1),
(132776,	9,	66,	2,	1),
(132777,	9,	66,	3,	1),
(132778,	9,	66,	7,	1),
(132779,	9,	66,	8,	1),
(132780,	9,	66,	9,	1),
(132781,	9,	66,	10,	1),
(132782,	9,	66,	11,	1),
(132783,	9,	66,	12,	1),
(132784,	9,	66,	13,	1),
(132785,	9,	66,	14,	1),
(132786,	9,	66,	15,	1),
(132787,	9,	66,	16,	1),
(132788,	9,	66,	17,	1),
(132789,	9,	66,	18,	1),
(132790,	9,	66,	19,	1),
(132791,	9,	66,	20,	1),
(132792,	9,	66,	21,	1),
(132793,	9,	66,	22,	1),
(132794,	9,	67,	1,	1),
(132795,	9,	67,	2,	1),
(132796,	9,	67,	3,	1),
(132797,	9,	67,	7,	1),
(132798,	9,	67,	8,	1),
(132799,	9,	67,	9,	1),
(132800,	9,	67,	10,	1),
(132801,	9,	67,	11,	1),
(132802,	9,	67,	12,	1),
(132803,	9,	67,	13,	1),
(132804,	9,	67,	14,	1),
(132805,	9,	67,	15,	1),
(132806,	9,	67,	16,	1),
(132807,	9,	67,	17,	1),
(132808,	9,	67,	18,	1),
(132809,	9,	67,	19,	1),
(132810,	9,	67,	20,	1),
(132811,	9,	67,	21,	1),
(132812,	9,	67,	22,	1),
(132813,	9,	68,	1,	1),
(132814,	9,	68,	2,	1),
(132815,	9,	68,	3,	1),
(132816,	9,	68,	7,	1),
(132817,	9,	68,	8,	1),
(132818,	9,	68,	9,	1),
(132819,	9,	68,	10,	1),
(132820,	9,	68,	11,	1),
(132821,	9,	68,	12,	1),
(132822,	9,	68,	13,	1),
(132823,	9,	68,	14,	1),
(132824,	9,	68,	15,	1),
(132825,	9,	68,	16,	1),
(132826,	9,	68,	17,	1),
(132827,	9,	68,	18,	1),
(132828,	9,	68,	19,	1),
(132829,	9,	68,	20,	1),
(132830,	9,	68,	21,	1),
(132831,	9,	68,	22,	1),
(132832,	9,	69,	1,	1),
(132833,	9,	69,	2,	1),
(132834,	9,	69,	3,	1),
(132835,	9,	69,	7,	1),
(132836,	9,	69,	8,	1),
(132837,	9,	69,	9,	1),
(132838,	9,	69,	10,	1),
(132839,	9,	69,	11,	1),
(132840,	9,	69,	12,	1),
(132841,	9,	69,	13,	1),
(132842,	9,	69,	14,	1),
(132843,	9,	69,	15,	1),
(132844,	9,	69,	16,	1),
(132845,	9,	69,	17,	1),
(132846,	9,	69,	18,	1),
(132847,	9,	69,	19,	1),
(132848,	9,	69,	20,	1),
(132849,	9,	69,	21,	1),
(132850,	9,	69,	22,	1),
(132851,	9,	70,	1,	1),
(132852,	9,	70,	2,	1),
(132853,	9,	70,	3,	1),
(132854,	9,	70,	7,	1),
(132855,	9,	70,	8,	1),
(132856,	9,	70,	9,	1),
(132857,	9,	70,	10,	1),
(132858,	9,	70,	11,	1),
(132859,	9,	70,	12,	1),
(132860,	9,	70,	13,	1),
(132861,	9,	70,	14,	1),
(132862,	9,	70,	15,	1),
(132863,	9,	70,	16,	1),
(132864,	9,	70,	17,	1),
(132865,	9,	70,	18,	1),
(132866,	9,	70,	19,	1),
(132867,	9,	70,	20,	1),
(132868,	9,	70,	21,	1),
(132869,	9,	70,	22,	1),
(132870,	9,	71,	1,	1),
(132871,	9,	71,	2,	1),
(132872,	9,	71,	3,	1),
(132873,	9,	71,	7,	1),
(132874,	9,	71,	8,	1),
(132875,	9,	71,	9,	1),
(132876,	9,	71,	10,	1),
(132877,	9,	71,	11,	1),
(132878,	9,	71,	12,	1),
(132879,	9,	71,	13,	1),
(132880,	9,	71,	14,	1),
(132881,	9,	71,	15,	1),
(132882,	9,	71,	16,	1),
(132883,	9,	71,	17,	1),
(132884,	9,	71,	18,	1),
(132885,	9,	71,	19,	1),
(132886,	9,	71,	20,	1),
(132887,	9,	71,	21,	1),
(132888,	9,	71,	22,	1),
(132889,	9,	72,	1,	1),
(132890,	9,	72,	2,	1),
(132891,	9,	72,	3,	1),
(132892,	9,	72,	7,	1),
(132893,	9,	72,	8,	1),
(132894,	9,	72,	9,	1),
(132895,	9,	72,	10,	1),
(132896,	9,	72,	11,	1),
(132897,	9,	72,	12,	1),
(132898,	9,	72,	13,	1),
(132899,	9,	72,	14,	1),
(132900,	9,	72,	15,	1),
(132901,	9,	72,	16,	1),
(132902,	9,	72,	17,	1),
(132903,	9,	72,	18,	1),
(132904,	9,	72,	19,	1),
(132905,	9,	72,	20,	1),
(132906,	9,	72,	21,	1),
(132907,	9,	72,	22,	1),
(132908,	9,	73,	1,	1),
(132909,	9,	73,	2,	1),
(132910,	9,	73,	3,	1),
(132911,	9,	73,	7,	1),
(132912,	9,	73,	8,	1),
(132913,	9,	73,	9,	1),
(132914,	9,	73,	10,	1),
(132915,	9,	73,	11,	1),
(132916,	9,	73,	12,	1),
(132917,	9,	73,	13,	1),
(132918,	9,	73,	14,	1),
(132919,	9,	73,	15,	1),
(132920,	9,	73,	16,	1),
(132921,	9,	73,	17,	1),
(132922,	9,	73,	18,	1),
(132923,	9,	73,	19,	1),
(132924,	9,	73,	20,	1),
(132925,	9,	73,	21,	1),
(132926,	9,	73,	22,	1),
(132927,	9,	73,	23,	1),
(132928,	9,	74,	1,	1),
(132929,	9,	74,	2,	1),
(132930,	9,	74,	3,	1),
(132931,	9,	74,	7,	1),
(132932,	9,	74,	8,	1),
(132933,	9,	74,	9,	1),
(132934,	9,	74,	10,	1),
(132935,	9,	74,	11,	1),
(132936,	9,	74,	12,	1),
(132937,	9,	74,	13,	1),
(132938,	9,	74,	14,	1),
(132939,	9,	74,	15,	1),
(132940,	9,	74,	16,	1),
(132941,	9,	74,	17,	1),
(132942,	9,	74,	18,	1),
(132943,	9,	74,	19,	1),
(132944,	9,	74,	20,	1),
(132945,	9,	74,	21,	1),
(132946,	9,	74,	22,	1),
(132947,	9,	75,	1,	1),
(132948,	9,	75,	2,	1),
(132949,	9,	75,	3,	1),
(132950,	9,	75,	7,	1),
(132951,	9,	75,	8,	1),
(132952,	9,	75,	9,	1),
(132953,	9,	75,	10,	1),
(132954,	9,	75,	11,	1),
(132955,	9,	75,	12,	1),
(132956,	9,	75,	13,	1),
(132957,	9,	75,	14,	1),
(132958,	9,	75,	15,	1),
(132959,	9,	75,	16,	1),
(132960,	9,	75,	17,	1),
(132961,	9,	75,	18,	1),
(132962,	9,	75,	19,	1),
(132963,	9,	75,	20,	1),
(132964,	9,	75,	21,	1),
(132965,	9,	75,	22,	1),
(132966,	9,	76,	1,	1),
(132967,	9,	76,	2,	1),
(132968,	9,	76,	3,	1),
(132969,	9,	76,	7,	1),
(132970,	9,	76,	8,	1),
(132971,	9,	76,	9,	1),
(132972,	9,	76,	10,	1),
(132973,	9,	76,	11,	1),
(132974,	9,	76,	12,	1),
(132975,	9,	76,	13,	1),
(132976,	9,	76,	14,	1),
(132977,	9,	76,	15,	1),
(132978,	9,	76,	16,	1),
(132979,	9,	76,	17,	1),
(132980,	9,	76,	18,	1),
(132981,	9,	76,	19,	1),
(132982,	9,	76,	20,	1),
(132983,	9,	76,	21,	1),
(132984,	9,	76,	22,	1),
(132985,	9,	76,	23,	1),
(132986,	9,	77,	1,	1),
(132987,	9,	77,	2,	1),
(132988,	9,	77,	3,	1),
(132989,	9,	77,	7,	1),
(132990,	9,	77,	8,	1),
(132991,	9,	77,	9,	1),
(132992,	9,	77,	10,	1),
(132993,	9,	77,	11,	1),
(132994,	9,	77,	12,	1),
(132995,	9,	77,	13,	1),
(132996,	9,	77,	14,	1),
(132997,	9,	77,	15,	1),
(132998,	9,	77,	16,	1),
(132999,	9,	77,	17,	1),
(133000,	9,	77,	18,	1),
(133001,	9,	77,	19,	1),
(133002,	9,	77,	20,	1),
(133003,	9,	77,	21,	1),
(133004,	9,	77,	22,	1),
(133005,	9,	78,	1,	1),
(133006,	9,	78,	2,	1),
(133007,	9,	78,	3,	1),
(133008,	9,	78,	7,	1),
(133009,	9,	78,	8,	1),
(133010,	9,	78,	9,	1),
(133011,	9,	78,	10,	1),
(133012,	9,	78,	11,	1),
(133013,	9,	78,	12,	1),
(133014,	9,	78,	13,	1),
(133015,	9,	78,	14,	1),
(133016,	9,	78,	15,	1),
(133017,	9,	78,	16,	1),
(133018,	9,	78,	17,	1),
(133019,	9,	78,	18,	1),
(133020,	9,	78,	19,	1),
(133021,	9,	78,	20,	1),
(133022,	9,	78,	21,	1),
(133023,	9,	78,	22,	1),
(133024,	9,	79,	1,	1),
(133025,	9,	79,	2,	1),
(133026,	9,	79,	3,	1),
(133027,	9,	79,	7,	1),
(133028,	9,	79,	8,	1),
(133029,	9,	79,	9,	1),
(133030,	9,	79,	10,	1),
(133031,	9,	79,	11,	1),
(133032,	9,	79,	12,	1),
(133033,	9,	79,	13,	1),
(133034,	9,	79,	14,	1),
(133035,	9,	79,	15,	1),
(133036,	9,	79,	16,	1),
(133037,	9,	79,	17,	1),
(133038,	9,	79,	18,	1),
(133039,	9,	79,	19,	1),
(133040,	9,	79,	20,	1),
(133041,	9,	79,	21,	1),
(133042,	9,	79,	22,	1),
(133043,	9,	80,	1,	1),
(133044,	9,	80,	2,	1),
(133045,	9,	80,	3,	1),
(133046,	9,	80,	7,	1),
(133047,	9,	80,	8,	1),
(133048,	9,	80,	9,	1),
(133049,	9,	80,	10,	1),
(133050,	9,	80,	11,	1),
(133051,	9,	80,	12,	1),
(133052,	9,	80,	13,	1),
(133053,	9,	80,	14,	1),
(133054,	9,	80,	15,	1),
(133055,	9,	80,	16,	1),
(133056,	9,	80,	17,	1),
(133057,	9,	80,	18,	1),
(133058,	9,	80,	19,	1),
(133059,	9,	80,	20,	1),
(133060,	9,	80,	21,	1),
(133061,	9,	80,	22,	1),
(133062,	9,	81,	1,	1),
(133063,	9,	81,	2,	1),
(133064,	9,	81,	3,	1),
(133065,	9,	81,	7,	1),
(133066,	9,	81,	8,	1),
(133067,	9,	81,	9,	1),
(133068,	9,	81,	10,	1),
(133069,	9,	81,	11,	1),
(133070,	9,	81,	12,	1),
(133071,	9,	81,	13,	1),
(133072,	9,	81,	14,	1),
(133073,	9,	81,	15,	1),
(133074,	9,	81,	16,	1),
(133075,	9,	81,	17,	1),
(133076,	9,	81,	18,	1),
(133077,	9,	81,	19,	1),
(133078,	9,	81,	20,	1),
(133079,	9,	81,	21,	1),
(133080,	9,	81,	22,	1),
(133081,	9,	82,	1,	1),
(133082,	9,	82,	2,	1),
(133083,	9,	82,	3,	1),
(133084,	9,	82,	7,	1),
(133085,	9,	82,	8,	1),
(133086,	9,	82,	9,	1),
(133087,	9,	82,	10,	1),
(133088,	9,	82,	11,	1),
(133089,	9,	82,	12,	1),
(133090,	9,	82,	13,	1),
(133091,	9,	82,	14,	1),
(133092,	9,	82,	15,	1),
(133093,	9,	82,	16,	1),
(133094,	9,	82,	17,	1),
(133095,	9,	82,	18,	1),
(133096,	9,	82,	19,	1),
(133097,	9,	82,	20,	1),
(133098,	9,	82,	21,	1),
(133099,	9,	82,	22,	1),
(133100,	9,	83,	1,	1),
(133101,	9,	83,	2,	1),
(133102,	9,	83,	3,	1),
(133103,	9,	83,	7,	1),
(133104,	9,	83,	8,	1),
(133105,	9,	83,	9,	1),
(133106,	9,	83,	10,	1),
(133107,	9,	83,	11,	1),
(133108,	9,	83,	12,	1),
(133109,	9,	83,	13,	1),
(133110,	9,	83,	14,	1),
(133111,	9,	83,	15,	1),
(133112,	9,	83,	16,	1),
(133113,	9,	83,	17,	1),
(133114,	9,	83,	18,	1),
(133115,	9,	83,	19,	1),
(133116,	9,	83,	20,	1),
(133117,	9,	83,	21,	1),
(133118,	9,	83,	22,	1),
(133119,	9,	84,	1,	1),
(133120,	9,	84,	2,	1),
(133121,	9,	84,	3,	1),
(133122,	9,	84,	7,	1),
(133123,	9,	84,	8,	1),
(133124,	9,	84,	9,	1),
(133125,	9,	84,	10,	1),
(133126,	9,	84,	11,	1),
(133127,	9,	84,	12,	1),
(133128,	9,	84,	13,	1),
(133129,	9,	84,	14,	1),
(133130,	9,	84,	15,	1),
(133131,	9,	84,	16,	1),
(133132,	9,	84,	17,	1),
(133133,	9,	84,	18,	1),
(133134,	9,	84,	19,	1),
(133135,	9,	84,	20,	1),
(133136,	9,	84,	21,	1),
(133137,	9,	84,	22,	1),
(133138,	9,	85,	1,	1),
(133139,	9,	85,	2,	1),
(133140,	9,	85,	3,	1),
(133141,	9,	85,	7,	1),
(133142,	9,	85,	8,	1),
(133143,	9,	85,	9,	1),
(133144,	9,	85,	10,	1),
(133145,	9,	85,	11,	1),
(133146,	9,	85,	12,	1),
(133147,	9,	85,	13,	1),
(133148,	9,	85,	14,	1),
(133149,	9,	85,	15,	1),
(133150,	9,	85,	16,	1),
(133151,	9,	85,	17,	1),
(133152,	9,	85,	18,	1),
(133153,	9,	85,	19,	1),
(133154,	9,	85,	20,	1),
(133155,	9,	85,	21,	1),
(133156,	9,	85,	22,	1),
(133157,	9,	86,	1,	1),
(133158,	9,	86,	2,	1),
(133159,	9,	86,	3,	1),
(133160,	9,	86,	7,	1),
(133161,	9,	86,	8,	1),
(133162,	9,	86,	9,	1),
(133163,	9,	86,	10,	1),
(133164,	9,	86,	11,	1),
(133165,	9,	86,	12,	1),
(133166,	9,	86,	13,	1),
(133167,	9,	86,	14,	1),
(133168,	9,	86,	15,	1),
(133169,	9,	86,	16,	1),
(133170,	9,	86,	17,	1),
(133171,	9,	86,	18,	1),
(133172,	9,	86,	19,	1),
(133173,	9,	86,	20,	1),
(133174,	9,	86,	21,	1),
(133175,	9,	86,	22,	1),
(133176,	9,	87,	1,	1),
(133177,	9,	87,	2,	1),
(133178,	9,	87,	3,	1),
(133179,	9,	87,	7,	1),
(133180,	9,	87,	8,	1),
(133181,	9,	87,	9,	1),
(133182,	9,	87,	10,	1),
(133183,	9,	87,	11,	1),
(133184,	9,	87,	12,	1),
(133185,	9,	87,	13,	1),
(133186,	9,	87,	14,	1),
(133187,	9,	87,	15,	1),
(133188,	9,	87,	16,	1),
(133189,	9,	87,	17,	1),
(133190,	9,	87,	18,	1),
(133191,	9,	87,	19,	1),
(133192,	9,	87,	20,	1),
(133193,	9,	87,	21,	1),
(133194,	9,	87,	22,	1),
(133195,	9,	88,	1,	1),
(133196,	9,	88,	2,	1),
(133197,	9,	88,	3,	1),
(133198,	9,	88,	7,	1),
(133199,	9,	88,	8,	1),
(133200,	9,	88,	9,	1),
(133201,	9,	88,	10,	1),
(133202,	9,	88,	11,	1),
(133203,	9,	88,	12,	1),
(133204,	9,	88,	13,	1),
(133205,	9,	88,	14,	1),
(133206,	9,	88,	15,	1),
(133207,	9,	88,	16,	1),
(133208,	9,	88,	17,	1),
(133209,	9,	88,	18,	1),
(133210,	9,	88,	19,	1),
(133211,	9,	88,	20,	1),
(133212,	9,	88,	21,	1),
(133213,	9,	88,	22,	1),
(133214,	9,	89,	1,	1),
(133215,	9,	89,	2,	1),
(133216,	9,	89,	3,	1),
(133217,	9,	89,	7,	1),
(133218,	9,	89,	8,	1),
(133219,	9,	89,	9,	1),
(133220,	9,	89,	10,	1),
(133221,	9,	89,	11,	1),
(133222,	9,	89,	12,	1),
(133223,	9,	89,	13,	1),
(133224,	9,	89,	14,	1),
(133225,	9,	89,	15,	1),
(133226,	9,	89,	16,	1),
(133227,	9,	89,	17,	1),
(133228,	9,	89,	18,	1),
(133229,	9,	89,	19,	1),
(133230,	9,	89,	20,	1),
(133231,	9,	89,	21,	1),
(133232,	9,	89,	22,	1),
(133233,	9,	89,	23,	1),
(133234,	9,	90,	1,	1),
(133235,	9,	90,	2,	1),
(133236,	9,	90,	3,	1),
(133237,	9,	90,	7,	1),
(133238,	9,	90,	8,	1),
(133239,	9,	90,	9,	1),
(133240,	9,	90,	10,	1),
(133241,	9,	90,	11,	1),
(133242,	9,	90,	12,	1),
(133243,	9,	90,	13,	1),
(133244,	9,	90,	14,	1),
(133245,	9,	90,	15,	1),
(133246,	9,	90,	16,	1),
(133247,	9,	90,	17,	1),
(133248,	9,	90,	18,	1),
(133249,	9,	90,	19,	1),
(133250,	9,	90,	20,	1),
(133251,	9,	90,	21,	1),
(133252,	9,	90,	22,	1),
(133253,	9,	91,	1,	1),
(133254,	9,	91,	2,	1),
(133255,	9,	91,	3,	1),
(133256,	9,	91,	7,	1),
(133257,	9,	91,	8,	1),
(133258,	9,	91,	9,	1),
(133259,	9,	91,	10,	1),
(133260,	9,	91,	11,	1),
(133261,	9,	91,	12,	1),
(133262,	9,	91,	13,	1),
(133263,	9,	91,	14,	1),
(133264,	9,	91,	15,	1),
(133265,	9,	91,	16,	1),
(133266,	9,	91,	17,	1),
(133267,	9,	91,	18,	1),
(133268,	9,	91,	19,	1),
(133269,	9,	91,	20,	1),
(133270,	9,	91,	21,	1),
(133271,	9,	91,	22,	1),
(133272,	9,	92,	1,	1),
(133273,	9,	92,	2,	1),
(133274,	9,	92,	3,	1),
(133275,	9,	92,	7,	1),
(133276,	9,	92,	8,	1),
(133277,	9,	92,	9,	1),
(133278,	9,	92,	10,	1),
(133279,	9,	92,	11,	1),
(133280,	9,	92,	12,	1),
(133281,	9,	92,	13,	1),
(133282,	9,	92,	14,	1),
(133283,	9,	92,	15,	1),
(133284,	9,	92,	16,	1),
(133285,	9,	92,	17,	1),
(133286,	9,	92,	18,	1),
(133287,	9,	92,	19,	1),
(133288,	9,	92,	20,	1),
(133289,	9,	92,	21,	1),
(133290,	9,	92,	22,	1),
(133291,	9,	93,	1,	1),
(133292,	9,	93,	2,	1),
(133293,	9,	93,	3,	1),
(133294,	9,	93,	7,	1),
(133295,	9,	93,	8,	1),
(133296,	9,	93,	9,	1),
(133297,	9,	93,	10,	1),
(133298,	9,	93,	11,	1),
(133299,	9,	93,	12,	1),
(133300,	9,	93,	13,	1),
(133301,	9,	93,	14,	1),
(133302,	9,	93,	15,	1),
(133303,	9,	93,	16,	1),
(133304,	9,	93,	17,	1),
(133305,	9,	93,	18,	1),
(133306,	9,	93,	19,	1),
(133307,	9,	93,	20,	1),
(133308,	9,	93,	21,	1),
(133309,	9,	93,	22,	1),
(133310,	9,	94,	1,	1),
(133311,	9,	94,	2,	1),
(133312,	9,	94,	3,	1),
(133313,	9,	94,	7,	1),
(133314,	9,	94,	8,	1),
(133315,	9,	94,	9,	1),
(133316,	9,	94,	10,	1),
(133317,	9,	94,	11,	1),
(133318,	9,	94,	12,	1),
(133319,	9,	94,	13,	1),
(133320,	9,	94,	14,	1),
(133321,	9,	94,	15,	1),
(133322,	9,	94,	16,	1),
(133323,	9,	94,	17,	1),
(133324,	9,	94,	18,	1),
(133325,	9,	94,	19,	1),
(133326,	9,	94,	20,	1),
(133327,	9,	94,	21,	1),
(133328,	9,	94,	22,	1),
(133329,	9,	95,	1,	1),
(133330,	9,	95,	2,	1),
(133331,	9,	95,	3,	1),
(133332,	9,	95,	7,	1),
(133333,	9,	95,	8,	1),
(133334,	9,	95,	9,	1),
(133335,	9,	95,	10,	1),
(133336,	9,	95,	11,	1),
(133337,	9,	95,	12,	1),
(133338,	9,	95,	13,	1),
(133339,	9,	95,	14,	1),
(133340,	9,	95,	15,	1),
(133341,	9,	95,	16,	1),
(133342,	9,	95,	17,	1),
(133343,	9,	95,	18,	1),
(133344,	9,	95,	19,	1),
(133345,	9,	95,	20,	1),
(133346,	9,	95,	21,	1),
(133347,	9,	95,	22,	1),
(133348,	9,	96,	1,	1),
(133349,	9,	96,	2,	1),
(133350,	9,	96,	3,	1),
(133351,	9,	96,	7,	1),
(133352,	9,	96,	8,	1),
(133353,	9,	96,	9,	1),
(133354,	9,	96,	10,	1),
(133355,	9,	96,	11,	1),
(133356,	9,	96,	12,	1),
(133357,	9,	96,	13,	1),
(133358,	9,	96,	14,	1),
(133359,	9,	96,	15,	1),
(133360,	9,	96,	16,	1),
(133361,	9,	96,	17,	1),
(133362,	9,	96,	18,	1),
(133363,	9,	96,	19,	1),
(133364,	9,	96,	20,	1),
(133365,	9,	96,	21,	1),
(133366,	9,	96,	22,	1),
(133367,	9,	96,	23,	1),
(133368,	9,	97,	1,	1),
(133369,	9,	97,	2,	1),
(133370,	9,	97,	3,	1),
(133371,	9,	97,	7,	1),
(133372,	9,	97,	8,	1),
(133373,	9,	97,	9,	1),
(133374,	9,	97,	10,	1),
(133375,	9,	97,	11,	1),
(133376,	9,	97,	12,	1),
(133377,	9,	97,	13,	1),
(133378,	9,	97,	14,	1),
(133379,	9,	97,	15,	1),
(133380,	9,	97,	16,	1),
(133381,	9,	97,	17,	1),
(133382,	9,	97,	18,	1),
(133383,	9,	97,	19,	1),
(133384,	9,	97,	20,	1),
(133385,	9,	97,	21,	1),
(133386,	9,	97,	22,	1),
(133387,	9,	98,	1,	1),
(133388,	9,	98,	2,	1),
(133389,	9,	98,	3,	1),
(133390,	9,	98,	7,	1),
(133391,	9,	98,	8,	1),
(133392,	9,	98,	9,	1),
(133393,	9,	98,	10,	1),
(133394,	9,	98,	11,	1),
(133395,	9,	98,	12,	1),
(133396,	9,	98,	13,	1),
(133397,	9,	98,	14,	1),
(133398,	9,	98,	15,	1),
(133399,	9,	98,	16,	1),
(133400,	9,	98,	17,	1),
(133401,	9,	98,	18,	1),
(133402,	9,	98,	19,	1),
(133403,	9,	98,	20,	1),
(133404,	9,	98,	21,	1),
(133405,	9,	98,	22,	1),
(133406,	9,	99,	1,	1),
(133407,	9,	99,	2,	1),
(133408,	9,	99,	3,	1),
(133409,	9,	99,	7,	1),
(133410,	9,	99,	8,	1),
(133411,	9,	99,	9,	1),
(133412,	9,	99,	10,	1),
(133413,	9,	99,	11,	1),
(133414,	9,	99,	12,	1),
(133415,	9,	99,	13,	1),
(133416,	9,	99,	14,	1),
(133417,	9,	99,	15,	1),
(133418,	9,	99,	16,	1),
(133419,	9,	99,	17,	1),
(133420,	9,	99,	18,	1),
(133421,	9,	99,	19,	1),
(133422,	9,	99,	20,	1),
(133423,	9,	99,	21,	1),
(133424,	9,	99,	22,	1),
(133425,	9,	100,	1,	1),
(133426,	9,	100,	2,	1),
(133427,	9,	100,	3,	1),
(133428,	9,	100,	7,	1),
(133429,	9,	100,	8,	1),
(133430,	9,	100,	9,	1),
(133431,	9,	100,	10,	1),
(133432,	9,	100,	11,	1),
(133433,	9,	100,	12,	1),
(133434,	9,	100,	13,	1),
(133435,	9,	100,	14,	1),
(133436,	9,	100,	15,	1),
(133437,	9,	100,	16,	1),
(133438,	9,	100,	17,	1),
(133439,	9,	100,	18,	1),
(133440,	9,	100,	19,	1),
(133441,	9,	100,	20,	1),
(133442,	9,	100,	21,	1),
(133443,	9,	100,	22,	1),
(133444,	9,	101,	1,	1),
(133445,	9,	101,	2,	1),
(133446,	9,	101,	3,	1),
(133447,	9,	101,	5,	1),
(133448,	9,	101,	1,	3),
(133449,	9,	101,	2,	3),
(133450,	9,	101,	3,	3),
(133451,	9,	101,	5,	3),
(133452,	9,	101,	1,	2),
(133453,	9,	101,	2,	2),
(133454,	9,	101,	3,	2),
(133455,	9,	101,	5,	2),
(133456,	9,	102,	1,	1),
(133457,	9,	102,	2,	1),
(133458,	9,	102,	3,	1),
(133459,	9,	103,	1,	1),
(133460,	9,	103,	2,	1),
(133461,	9,	103,	3,	1),
(133462,	9,	103,	6,	1),
(133463,	9,	103,	24,	1),
(133464,	9,	103,	4,	1),
(133465,	9,	103,	25,	1),
(133466,	9,	103,	5,	1),
(133467,	9,	103,	26,	1),
(133468,	9,	104,	1,	1),
(133469,	9,	104,	2,	1),
(133470,	9,	104,	3,	1),
(133471,	9,	104,	24,	1),
(133472,	9,	104,	6,	1),
(133473,	9,	104,	4,	1),
(133474,	9,	104,	25,	1),
(133475,	9,	104,	5,	1),
(133476,	9,	104,	1,	3),
(133477,	9,	104,	2,	3),
(133478,	9,	104,	3,	3),
(133479,	9,	104,	24,	3),
(133480,	9,	104,	6,	3),
(133481,	9,	104,	4,	3),
(133482,	9,	104,	25,	3),
(133483,	9,	104,	5,	3),
(133484,	9,	105,	1,	1),
(133485,	9,	105,	2,	1),
(133486,	9,	105,	3,	1),
(133487,	9,	105,	24,	1),
(133488,	9,	105,	6,	1),
(133489,	9,	105,	4,	1),
(133490,	9,	105,	25,	1),
(133491,	9,	105,	5,	1),
(133492,	9,	105,	1,	3),
(133493,	9,	105,	2,	3),
(133494,	9,	105,	3,	3),
(133495,	9,	105,	24,	3),
(133496,	9,	105,	6,	3),
(133497,	9,	105,	4,	3),
(133498,	9,	105,	25,	3),
(133499,	9,	105,	5,	3),
(133500,	9,	106,	1,	1),
(133501,	9,	106,	2,	1),
(133502,	9,	106,	3,	1),
(133503,	9,	106,	24,	1),
(133504,	9,	106,	6,	1),
(133505,	9,	106,	4,	1),
(133506,	9,	106,	25,	1),
(133507,	9,	106,	5,	1),
(133508,	9,	106,	1,	3),
(133509,	9,	106,	2,	3),
(133510,	9,	106,	3,	3),
(133511,	9,	106,	24,	3),
(133512,	9,	106,	6,	3),
(133513,	9,	106,	4,	3),
(133514,	9,	106,	25,	3),
(133515,	9,	106,	5,	3),
(133516,	9,	107,	1,	1),
(133517,	9,	107,	2,	1),
(133518,	9,	107,	3,	1),
(133519,	9,	107,	24,	1),
(133520,	9,	107,	6,	1),
(133521,	9,	107,	4,	1),
(133522,	9,	107,	25,	1),
(133523,	9,	107,	5,	1),
(133524,	9,	107,	1,	3),
(133525,	9,	107,	2,	3),
(133526,	9,	107,	3,	3),
(133527,	9,	107,	24,	3),
(133528,	9,	107,	6,	3),
(133529,	9,	107,	4,	3),
(133530,	9,	107,	25,	3),
(133531,	9,	107,	5,	3),
(133532,	9,	108,	1,	1),
(133533,	9,	108,	2,	1),
(133534,	9,	108,	3,	1),
(133535,	9,	108,	24,	1),
(133536,	9,	108,	25,	1),
(133537,	9,	108,	4,	1),
(133538,	9,	108,	1,	3),
(133539,	9,	108,	2,	3),
(133540,	9,	108,	3,	3),
(133541,	9,	108,	24,	3),
(133542,	9,	108,	25,	3),
(133543,	9,	108,	4,	3),
(133544,	9,	109,	1,	1),
(133545,	9,	109,	2,	1),
(133546,	9,	109,	3,	1),
(133547,	9,	109,	24,	1),
(133548,	9,	109,	6,	1),
(133549,	9,	109,	4,	1),
(133550,	9,	109,	25,	1),
(133551,	9,	109,	5,	1),
(133552,	9,	109,	1,	3),
(133553,	9,	109,	2,	3),
(133554,	9,	109,	3,	3),
(133555,	9,	109,	24,	3),
(133556,	9,	109,	6,	3),
(133557,	9,	109,	4,	3),
(133558,	9,	109,	25,	3),
(133559,	9,	109,	5,	3),
(133560,	9,	110,	1,	1),
(133561,	9,	110,	2,	1),
(133562,	9,	110,	3,	1),
(133563,	9,	110,	24,	1),
(133564,	9,	110,	6,	1),
(133565,	9,	110,	4,	1),
(133566,	9,	110,	25,	1),
(133567,	9,	110,	5,	1),
(133568,	9,	110,	1,	3),
(133569,	9,	110,	2,	3),
(133570,	9,	110,	3,	3),
(133571,	9,	110,	24,	3),
(133572,	9,	110,	6,	3),
(133573,	9,	110,	4,	3),
(133574,	9,	110,	25,	3),
(133575,	9,	110,	5,	3),
(133576,	9,	111,	1,	1),
(133577,	9,	111,	2,	1),
(133578,	9,	111,	3,	1),
(133579,	9,	111,	24,	1),
(133580,	9,	111,	6,	1),
(133581,	9,	111,	4,	1),
(133582,	9,	111,	25,	1),
(133583,	9,	111,	5,	1),
(133584,	9,	111,	1,	2),
(133585,	9,	111,	2,	2),
(133586,	9,	111,	3,	2),
(133587,	9,	111,	24,	2),
(133588,	9,	111,	6,	2),
(133589,	9,	111,	4,	2),
(133590,	9,	111,	25,	2),
(133591,	9,	111,	5,	2),
(133592,	9,	112,	1,	1),
(133593,	9,	112,	2,	1),
(133594,	9,	112,	3,	1),
(133595,	9,	112,	24,	1),
(133596,	9,	112,	6,	1),
(133597,	9,	112,	4,	1),
(133598,	9,	112,	25,	1),
(133599,	9,	112,	5,	1),
(133600,	9,	112,	1,	3),
(133601,	9,	112,	2,	3),
(133602,	9,	112,	3,	3),
(133603,	9,	112,	24,	3),
(133604,	9,	112,	6,	3),
(133605,	9,	112,	4,	3),
(133606,	9,	112,	25,	3),
(133607,	9,	112,	5,	3),
(133608,	9,	113,	1,	1),
(133609,	9,	113,	2,	1),
(133610,	9,	113,	3,	1),
(133611,	9,	113,	5,	1),
(133612,	9,	113,	1,	3),
(133613,	9,	113,	2,	3),
(133614,	9,	113,	3,	3),
(133615,	9,	113,	5,	3),
(133616,	9,	113,	1,	2),
(133617,	9,	113,	2,	2),
(133618,	9,	113,	3,	2),
(133619,	9,	113,	5,	2),
(133620,	9,	114,	1,	1),
(133621,	9,	114,	2,	1),
(133622,	9,	114,	3,	1),
(133623,	9,	114,	5,	1),
(133624,	9,	114,	1,	3),
(133625,	9,	114,	2,	3),
(133626,	9,	114,	3,	3),
(133627,	9,	114,	5,	3),
(133628,	9,	114,	1,	2),
(133629,	9,	114,	2,	2),
(133630,	9,	114,	3,	2),
(133631,	9,	114,	5,	2),
(133632,	9,	115,	1,	1),
(133633,	9,	115,	2,	1),
(133634,	9,	115,	3,	1),
(133635,	9,	115,	1,	2),
(133636,	9,	115,	2,	2),
(133637,	9,	115,	3,	2),
(133638,	9,	116,	1,	1),
(133639,	9,	116,	2,	1),
(133640,	9,	116,	3,	1),
(133641,	9,	116,	1,	2),
(133642,	9,	116,	2,	2),
(133643,	9,	116,	3,	2),
(133644,	9,	117,	1,	1),
(133645,	9,	117,	2,	1),
(133646,	9,	117,	3,	1),
(133647,	9,	117,	1,	2),
(133648,	9,	117,	2,	2),
(133649,	9,	117,	3,	2),
(133650,	9,	118,	1,	1),
(133651,	9,	118,	2,	1),
(133652,	9,	118,	3,	1),
(133653,	9,	118,	23,	1),
(133654,	9,	118,	1,	3),
(133655,	9,	118,	2,	3),
(133656,	9,	118,	3,	3),
(133657,	9,	118,	23,	3),
(133658,	9,	119,	1,	1),
(133659,	9,	119,	2,	1),
(133660,	9,	119,	3,	1),
(133661,	9,	119,	1,	2),
(133662,	9,	119,	2,	2),
(133663,	9,	119,	3,	2),
(133664,	9,	120,	1,	1),
(133665,	9,	120,	2,	1),
(133666,	9,	120,	3,	1),
(133667,	9,	120,	1,	2),
(133668,	9,	120,	2,	2),
(133669,	9,	120,	3,	2),
(133670,	9,	121,	1,	1),
(133671,	9,	121,	2,	1),
(133672,	9,	121,	3,	1),
(133673,	9,	121,	1,	2),
(133674,	9,	121,	2,	2),
(133675,	9,	121,	3,	2),
(133676,	9,	122,	1,	1),
(133677,	9,	122,	2,	1),
(133678,	9,	122,	3,	1),
(133679,	9,	122,	1,	2),
(133680,	9,	122,	2,	2),
(133681,	9,	122,	3,	2),
(133682,	9,	123,	1,	1),
(133683,	9,	123,	2,	1),
(133684,	9,	123,	3,	1),
(133685,	9,	123,	1,	2),
(133686,	9,	123,	2,	2),
(133687,	9,	123,	3,	2),
(133688,	9,	124,	1,	1),
(133689,	9,	124,	2,	1),
(133690,	9,	124,	3,	1),
(133691,	9,	125,	1,	1),
(133692,	9,	125,	2,	1),
(133693,	9,	125,	3,	1),
(133694,	9,	126,	1,	1),
(133695,	9,	126,	2,	1),
(133696,	9,	126,	3,	1),
(133697,	9,	127,	1,	1),
(133698,	9,	127,	2,	1),
(133699,	9,	127,	3,	1),
(133700,	9,	127,	1,	2),
(133701,	9,	127,	2,	2),
(133702,	9,	127,	3,	2),
(133703,	9,	128,	1,	1),
(133704,	9,	128,	2,	1),
(133705,	9,	128,	3,	1),
(133706,	9,	128,	1,	2),
(133707,	9,	128,	2,	2),
(133708,	9,	128,	3,	2),
(133709,	9,	129,	1,	1),
(133710,	9,	129,	2,	1),
(133711,	9,	129,	3,	1),
(133712,	9,	129,	1,	2),
(133713,	9,	129,	2,	2),
(133714,	9,	129,	3,	2),
(133715,	9,	130,	1,	1),
(133716,	9,	130,	2,	1),
(133717,	9,	130,	3,	1),
(133718,	9,	130,	1,	2),
(133719,	9,	130,	2,	2),
(133720,	9,	130,	3,	2),
(133721,	9,	131,	1,	1),
(133722,	9,	131,	2,	1),
(133723,	9,	131,	3,	1),
(133724,	9,	131,	1,	2),
(133725,	9,	131,	2,	2),
(133726,	9,	131,	3,	2),
(133727,	9,	132,	1,	1),
(133728,	9,	132,	2,	1),
(133729,	9,	132,	3,	1),
(133730,	9,	132,	1,	2),
(133731,	9,	132,	2,	2),
(133732,	9,	132,	3,	2),
(133733,	9,	133,	1,	1),
(133734,	9,	133,	2,	1),
(133735,	9,	133,	3,	1),
(133736,	9,	133,	1,	2),
(133737,	9,	133,	2,	2),
(133738,	9,	133,	3,	2),
(133739,	9,	134,	1,	1),
(133740,	9,	134,	2,	1),
(133741,	9,	134,	3,	1),
(133742,	9,	135,	1,	1),
(133743,	9,	135,	2,	1),
(133744,	9,	135,	3,	1),
(133745,	9,	136,	1,	1),
(133746,	9,	136,	2,	1),
(133747,	9,	136,	3,	1),
(133748,	9,	136,	23,	1),
(133749,	9,	136,	1,	2),
(133750,	9,	136,	2,	2),
(133751,	9,	136,	3,	2),
(133752,	9,	136,	23,	2),
(133753,	9,	137,	1,	1),
(133754,	9,	137,	2,	1),
(133755,	9,	137,	3,	1),
(133756,	9,	137,	1,	2),
(133757,	9,	137,	2,	2),
(133758,	9,	137,	3,	2),
(133759,	9,	138,	1,	1),
(133760,	9,	138,	2,	1),
(133761,	9,	138,	3,	1),
(133762,	9,	138,	1,	2),
(133763,	9,	138,	2,	2),
(133764,	9,	138,	3,	2),
(133765,	9,	139,	1,	1),
(133766,	9,	139,	2,	1),
(133767,	9,	139,	3,	1),
(133768,	9,	140,	1,	1),
(133769,	9,	140,	2,	1),
(133770,	9,	140,	3,	1),
(133771,	9,	140,	23,	1),
(133772,	9,	140,	6,	1),
(133773,	9,	141,	1,	1),
(133774,	9,	141,	2,	1),
(133775,	9,	141,	3,	1),
(133776,	9,	141,	1,	2),
(133777,	9,	141,	2,	2),
(133778,	9,	141,	3,	2),
(133779,	9,	142,	1,	1),
(133780,	9,	142,	2,	1),
(133781,	9,	142,	3,	1),
(133782,	9,	142,	1,	2),
(133783,	9,	142,	2,	2),
(133784,	9,	142,	3,	2),
(133785,	9,	143,	1,	1),
(133786,	9,	143,	2,	1),
(133787,	9,	143,	3,	1),
(133788,	9,	143,	1,	2),
(133789,	9,	143,	2,	2),
(133790,	9,	143,	3,	2),
(133791,	9,	144,	1,	1),
(133792,	9,	144,	2,	1),
(133793,	9,	144,	3,	1),
(133794,	9,	144,	1,	2),
(133795,	9,	144,	2,	2),
(133796,	9,	144,	3,	2),
(133797,	9,	145,	1,	1),
(133798,	9,	145,	2,	1),
(133799,	9,	145,	3,	1),
(133800,	9,	145,	1,	2),
(133801,	9,	145,	2,	2),
(133802,	9,	145,	3,	2),
(133803,	9,	146,	1,	1),
(133804,	9,	146,	2,	1),
(133805,	9,	146,	3,	1),
(133806,	9,	146,	1,	2),
(133807,	9,	146,	2,	2),
(133808,	9,	146,	3,	2),
(133809,	9,	147,	1,	1),
(133810,	9,	147,	2,	1),
(133811,	9,	147,	3,	1),
(133812,	9,	147,	1,	2),
(133813,	9,	147,	2,	2),
(133814,	9,	147,	3,	2),
(133815,	9,	148,	1,	1),
(133816,	9,	148,	2,	1),
(133817,	9,	148,	3,	1),
(133818,	9,	149,	1,	1),
(133819,	9,	149,	2,	1),
(133820,	9,	149,	3,	1),
(133821,	9,	149,	1,	2),
(133822,	9,	149,	2,	2),
(133823,	9,	149,	3,	2),
(133824,	9,	150,	1,	1),
(133825,	9,	150,	2,	1),
(133826,	9,	150,	3,	1),
(133827,	9,	151,	1,	1),
(133828,	9,	151,	2,	1),
(133829,	9,	151,	3,	1),
(133830,	9,	152,	1,	1),
(133831,	9,	152,	2,	1),
(133832,	9,	152,	3,	1),
(133833,	9,	153,	1,	1),
(133834,	9,	153,	2,	1),
(133835,	9,	153,	3,	1),
(133836,	9,	154,	1,	1),
(133837,	9,	154,	2,	1),
(133838,	9,	154,	3,	1),
(133839,	9,	154,	1,	2),
(133840,	9,	154,	2,	2),
(133841,	9,	156,	1,	1),
(133842,	9,	156,	2,	1),
(133843,	9,	156,	3,	1),
(133844,	9,	157,	1,	1),
(133845,	9,	157,	2,	1),
(133846,	9,	157,	3,	1),
(133847,	9,	158,	1,	1),
(133848,	9,	158,	2,	1),
(133849,	9,	158,	3,	1),
(133850,	9,	158,	1,	2),
(133851,	9,	158,	2,	2),
(133852,	9,	158,	3,	2),
(133853,	9,	159,	1,	1),
(133854,	9,	159,	2,	1),
(133855,	9,	159,	3,	1),
(133856,	9,	160,	1,	1),
(133857,	9,	160,	2,	1),
(133858,	9,	160,	3,	1),
(133859,	9,	160,	1,	2),
(133860,	9,	160,	2,	2),
(133861,	9,	160,	3,	2),
(133862,	9,	161,	1,	1),
(133863,	9,	161,	2,	1),
(133864,	9,	161,	3,	1),
(133865,	9,	162,	1,	1),
(133866,	9,	162,	2,	1),
(133867,	9,	162,	3,	1),
(133868,	9,	163,	1,	1),
(133869,	9,	163,	2,	1),
(133870,	9,	163,	3,	1),
(133871,	9,	164,	1,	1),
(133872,	9,	164,	2,	1),
(133873,	9,	164,	3,	1),
(133874,	9,	164,	1,	2),
(133875,	9,	164,	2,	2),
(133876,	9,	164,	3,	2),
(133877,	9,	165,	1,	1),
(133878,	9,	165,	2,	1),
(133879,	9,	165,	3,	1),
(133880,	9,	166,	1,	1),
(133881,	9,	166,	2,	1),
(133882,	9,	166,	3,	1),
(133883,	9,	167,	1,	1),
(133884,	9,	167,	2,	1),
(133885,	9,	167,	3,	1),
(133886,	9,	167,	1,	2),
(133887,	9,	167,	2,	2),
(133888,	9,	167,	3,	2),
(133889,	9,	168,	1,	1),
(133890,	9,	168,	2,	1),
(133891,	9,	168,	3,	1),
(133892,	9,	168,	1,	2),
(133893,	9,	168,	2,	2),
(133894,	9,	168,	3,	2),
(133895,	9,	169,	1,	1),
(133896,	9,	169,	2,	1),
(133897,	9,	169,	3,	1),
(133898,	9,	170,	1,	1),
(133899,	9,	170,	2,	1),
(133900,	9,	170,	3,	1),
(133901,	9,	170,	1,	2),
(133902,	9,	170,	2,	2),
(133903,	9,	170,	3,	2),
(133904,	9,	171,	1,	1),
(133905,	9,	171,	2,	1),
(133906,	9,	171,	3,	1),
(133907,	9,	171,	1,	2),
(133908,	9,	171,	2,	2),
(133909,	9,	171,	3,	2),
(133910,	9,	172,	1,	1),
(133911,	9,	172,	2,	1),
(133912,	9,	172,	3,	1),
(133913,	9,	172,	1,	2),
(133914,	9,	172,	2,	2),
(133915,	9,	172,	3,	2),
(133916,	9,	173,	1,	1),
(133917,	9,	173,	2,	1),
(133918,	9,	173,	3,	1),
(133919,	9,	173,	1,	2),
(133920,	9,	173,	2,	2),
(133921,	9,	173,	3,	2),
(133922,	9,	174,	1,	1),
(133923,	9,	174,	2,	1),
(133924,	9,	174,	3,	1),
(133925,	9,	174,	1,	2),
(133926,	9,	174,	2,	2),
(133927,	9,	174,	3,	2),
(133928,	9,	175,	1,	1),
(133929,	9,	175,	2,	1),
(133930,	9,	175,	3,	1),
(133931,	9,	176,	1,	1),
(133932,	9,	176,	2,	1),
(133933,	9,	176,	3,	1),
(133934,	9,	177,	1,	1),
(133935,	9,	177,	2,	1),
(133936,	9,	177,	3,	1),
(133937,	9,	178,	1,	1),
(133938,	9,	178,	2,	1),
(133939,	9,	178,	3,	1),
(133940,	9,	179,	1,	1),
(133941,	9,	179,	2,	1),
(133942,	9,	179,	3,	1),
(133943,	9,	180,	1,	1),
(133944,	9,	180,	2,	1),
(133945,	9,	180,	3,	1),
(133946,	9,	180,	1,	2),
(133947,	9,	180,	2,	2),
(133948,	9,	180,	3,	2),
(133949,	9,	181,	1,	1),
(133950,	9,	181,	2,	1),
(133951,	9,	181,	3,	1),
(133952,	9,	181,	1,	2),
(133953,	9,	181,	2,	2),
(133954,	9,	181,	3,	2),
(133955,	9,	182,	1,	1),
(133956,	9,	182,	2,	1),
(133957,	9,	182,	3,	1),
(133958,	9,	183,	1,	1),
(133959,	9,	183,	2,	1),
(133960,	9,	183,	3,	1),
(133961,	9,	184,	1,	1),
(133962,	9,	184,	2,	1),
(133963,	9,	184,	3,	1),
(133964,	9,	185,	1,	1),
(133965,	9,	185,	2,	1),
(133966,	9,	185,	3,	1),
(133967,	9,	185,	1,	2),
(133968,	9,	185,	2,	2),
(133969,	9,	185,	3,	2),
(133970,	9,	186,	1,	1),
(133971,	9,	186,	2,	1),
(133972,	9,	186,	3,	1),
(133973,	9,	186,	1,	2),
(133974,	9,	186,	2,	2),
(133975,	9,	186,	3,	2),
(133976,	9,	187,	1,	1),
(133977,	9,	187,	2,	1),
(133978,	9,	187,	3,	1),
(133979,	9,	187,	1,	2),
(133980,	9,	187,	2,	2),
(133981,	9,	187,	3,	2),
(133982,	9,	188,	1,	1),
(133983,	9,	188,	2,	1),
(133984,	9,	188,	3,	1),
(133985,	9,	188,	1,	2),
(133986,	9,	188,	2,	2),
(133987,	9,	188,	3,	2),
(133988,	9,	189,	1,	1),
(133989,	9,	189,	2,	1),
(133990,	9,	189,	3,	1),
(133991,	9,	190,	1,	1),
(133992,	9,	190,	2,	1),
(133993,	9,	190,	3,	1),
(133994,	9,	190,	1,	2),
(133995,	9,	190,	2,	2),
(133996,	9,	190,	3,	2),
(133997,	9,	191,	1,	1),
(133998,	9,	191,	2,	1),
(133999,	9,	191,	3,	1),
(134000,	9,	191,	23,	1),
(134001,	9,	191,	27,	1),
(134002,	9,	192,	1,	1),
(134003,	9,	192,	2,	1),
(134004,	9,	192,	3,	1),
(134005,	9,	192,	23,	1),
(134006,	9,	193,	1,	1),
(134007,	9,	193,	2,	1),
(134008,	9,	193,	3,	1),
(134009,	9,	194,	1,	1),
(134010,	9,	194,	2,	1),
(134011,	9,	194,	3,	1),
(134012,	9,	194,	23,	1),
(134013,	9,	195,	1,	1),
(134014,	9,	195,	2,	1),
(134015,	9,	195,	3,	1),
(134016,	9,	196,	1,	1),
(134017,	9,	196,	2,	1),
(134018,	9,	196,	3,	1),
(134019,	9,	197,	1,	1),
(134020,	9,	197,	2,	1),
(134021,	9,	197,	3,	1),
(134022,	9,	197,	1,	2),
(134023,	9,	197,	2,	2),
(134024,	9,	197,	3,	2),
(134025,	9,	198,	1,	1),
(134026,	9,	198,	2,	1),
(134027,	9,	198,	3,	1),
(134028,	9,	198,	23,	1),
(134029,	9,	199,	1,	1),
(134030,	9,	199,	2,	1),
(134031,	9,	199,	3,	1),
(134032,	9,	200,	1,	1),
(134033,	9,	200,	2,	1),
(134034,	9,	200,	3,	1),
(134035,	9,	200,	23,	1),
(134036,	9,	201,	1,	1),
(134037,	9,	201,	2,	1),
(134038,	9,	201,	3,	1),
(134039,	9,	202,	1,	1),
(134040,	9,	202,	2,	1),
(134041,	9,	202,	3,	1),
(134042,	9,	202,	1,	2),
(134043,	9,	202,	2,	2),
(134044,	9,	202,	3,	2),
(134045,	9,	203,	1,	1),
(134046,	9,	203,	2,	1),
(134047,	9,	203,	3,	1),
(134048,	9,	203,	1,	2),
(134049,	9,	203,	2,	2),
(134050,	9,	203,	3,	2),
(134051,	9,	204,	1,	1),
(134052,	9,	204,	2,	1),
(134053,	9,	204,	3,	1),
(134054,	9,	204,	1,	2),
(134055,	9,	204,	2,	2),
(134056,	9,	204,	3,	2),
(134057,	9,	205,	1,	1),
(134058,	9,	205,	2,	1),
(134059,	9,	205,	3,	1),
(134060,	9,	205,	1,	2),
(134061,	9,	205,	2,	2),
(134062,	9,	205,	3,	2),
(134063,	9,	206,	1,	1),
(134064,	9,	206,	2,	1),
(134065,	9,	206,	3,	1),
(134066,	9,	206,	1,	2),
(134067,	9,	206,	2,	2),
(134068,	9,	206,	3,	2),
(134069,	9,	207,	1,	1),
(134070,	9,	207,	2,	1),
(134071,	9,	207,	3,	1),
(134072,	9,	208,	1,	1),
(134073,	9,	208,	2,	1),
(134074,	9,	208,	3,	1),
(134075,	9,	208,	1,	2),
(134076,	9,	208,	2,	2),
(134077,	9,	208,	3,	2),
(134078,	9,	209,	1,	1),
(134079,	9,	209,	2,	1),
(134080,	9,	209,	3,	1),
(134081,	9,	209,	1,	2),
(134082,	9,	209,	2,	2),
(134083,	9,	209,	3,	2),
(134084,	9,	210,	1,	1),
(134085,	9,	210,	2,	1),
(134086,	9,	210,	3,	1),
(134087,	9,	211,	1,	1),
(134088,	9,	211,	2,	1),
(134089,	9,	211,	3,	1),
(134090,	9,	211,	1,	2),
(134091,	9,	211,	2,	2),
(134092,	9,	211,	3,	2),
(134093,	9,	212,	1,	1),
(134094,	9,	212,	2,	1),
(134095,	9,	212,	3,	1),
(134096,	9,	212,	1,	2),
(134097,	9,	212,	2,	2),
(134098,	9,	212,	3,	2),
(134099,	9,	213,	1,	1),
(134100,	9,	213,	2,	1),
(134101,	9,	213,	3,	1),
(134102,	9,	213,	1,	2),
(134103,	9,	213,	2,	2),
(134104,	9,	213,	3,	2),
(134105,	9,	214,	1,	1),
(134106,	9,	214,	2,	1),
(134107,	9,	214,	3,	1),
(134108,	9,	214,	1,	2),
(134109,	9,	214,	2,	2),
(134110,	9,	214,	3,	2),
(134111,	9,	215,	1,	1),
(134112,	9,	215,	2,	1),
(134113,	9,	215,	3,	1),
(134114,	9,	216,	1,	1),
(134115,	9,	216,	2,	1),
(134116,	9,	216,	3,	1),
(134117,	9,	216,	1,	2),
(134118,	9,	216,	2,	2),
(134119,	9,	216,	3,	2),
(134120,	9,	217,	1,	1),
(134121,	9,	217,	2,	1),
(134122,	9,	217,	3,	1),
(134123,	9,	217,	1,	2),
(134124,	9,	217,	2,	2),
(134125,	9,	217,	3,	2),
(134126,	9,	218,	1,	1),
(134127,	9,	218,	2,	1),
(134128,	9,	218,	3,	1),
(134129,	9,	218,	1,	2),
(134130,	9,	218,	2,	2),
(134131,	9,	218,	3,	2),
(134132,	9,	219,	1,	1),
(134133,	9,	219,	2,	1),
(134134,	9,	219,	3,	1),
(134135,	9,	220,	1,	1),
(134136,	9,	220,	2,	1),
(134137,	9,	220,	3,	1),
(134138,	9,	220,	1,	2),
(134139,	9,	220,	2,	2),
(134140,	9,	220,	3,	2),
(134141,	9,	221,	1,	1),
(134142,	9,	221,	2,	1),
(134143,	9,	221,	3,	1),
(134144,	9,	221,	1,	2),
(134145,	9,	221,	2,	2),
(134146,	9,	221,	3,	2),
(134147,	9,	222,	1,	1),
(134148,	9,	222,	2,	1),
(134149,	9,	222,	3,	1),
(134150,	9,	222,	1,	2),
(134151,	9,	222,	2,	2),
(134152,	9,	222,	3,	2),
(134153,	9,	223,	1,	1),
(134154,	9,	223,	2,	1),
(134155,	9,	223,	3,	1),
(134156,	9,	223,	1,	2),
(134157,	9,	223,	2,	2),
(134158,	9,	223,	3,	2),
(134159,	9,	224,	1,	1),
(134160,	9,	224,	2,	1),
(134161,	9,	224,	3,	1),
(134162,	9,	224,	1,	2),
(134163,	9,	224,	2,	2),
(134164,	9,	224,	3,	2),
(134165,	9,	225,	1,	1),
(134166,	9,	225,	2,	1),
(134167,	9,	225,	3,	1),
(134168,	9,	225,	23,	1),
(134169,	9,	225,	1,	3),
(134170,	9,	225,	2,	3),
(134171,	9,	225,	3,	3),
(134172,	9,	225,	23,	3),
(134173,	9,	225,	1,	2),
(134174,	9,	225,	2,	2),
(134175,	9,	225,	3,	2),
(134176,	9,	225,	23,	2),
(134177,	9,	226,	1,	1),
(134178,	9,	226,	2,	1),
(134179,	9,	226,	3,	1),
(134180,	9,	226,	23,	1),
(134181,	9,	226,	1,	3),
(134182,	9,	226,	2,	3),
(134183,	9,	226,	3,	3),
(134184,	9,	226,	23,	3),
(134185,	9,	227,	1,	1),
(134186,	9,	227,	2,	1),
(134187,	9,	227,	3,	1),
(134188,	9,	227,	23,	1),
(134189,	9,	227,	1,	3),
(134190,	9,	227,	2,	3),
(134191,	9,	227,	3,	3),
(134192,	9,	227,	23,	3),
(134193,	9,	228,	1,	1),
(134194,	9,	228,	2,	1),
(134195,	9,	228,	3,	1),
(134196,	9,	228,	23,	1),
(134197,	9,	228,	1,	3),
(134198,	9,	228,	2,	3),
(134199,	9,	228,	3,	3),
(134200,	9,	228,	23,	3),
(134201,	9,	229,	1,	1),
(134202,	9,	229,	2,	1),
(134203,	9,	229,	3,	1),
(134204,	9,	229,	23,	1),
(134205,	9,	229,	1,	3),
(134206,	9,	229,	2,	3),
(134207,	9,	229,	3,	3),
(134208,	9,	229,	23,	3),
(134209,	9,	230,	1,	1),
(134210,	9,	230,	2,	1),
(134211,	9,	230,	3,	1),
(134212,	9,	231,	1,	1),
(134213,	9,	231,	2,	1),
(134214,	9,	231,	3,	1),
(134215,	9,	231,	1,	3),
(134216,	9,	231,	2,	3),
(134217,	9,	231,	3,	3),
(134218,	9,	232,	1,	1),
(134219,	9,	232,	2,	1),
(134220,	9,	232,	3,	1),
(134221,	9,	232,	1,	3),
(134222,	9,	232,	2,	3),
(134223,	9,	232,	3,	3),
(134224,	9,	233,	1,	1),
(134225,	9,	233,	2,	1),
(134226,	9,	233,	3,	1),
(134227,	9,	233,	1,	3),
(134228,	9,	233,	2,	3),
(134229,	9,	233,	3,	3),
(134230,	9,	234,	1,	1),
(134231,	9,	234,	2,	1),
(134232,	9,	234,	3,	1),
(134233,	9,	234,	1,	3),
(134234,	9,	234,	2,	3),
(134235,	9,	234,	3,	3),
(134236,	9,	235,	1,	1),
(134237,	9,	235,	2,	1),
(134238,	9,	235,	3,	1),
(134239,	9,	235,	1,	3),
(134240,	9,	235,	2,	3),
(134241,	9,	235,	3,	3),
(134242,	9,	236,	1,	1),
(134243,	9,	236,	2,	1),
(134244,	9,	236,	3,	1),
(134245,	9,	237,	1,	1),
(134246,	9,	237,	2,	1),
(134247,	9,	237,	3,	1),
(134248,	9,	237,	1,	3),
(134249,	9,	237,	2,	3),
(134250,	9,	237,	3,	3),
(134251,	9,	238,	1,	1),
(134252,	9,	238,	2,	1),
(134253,	9,	238,	3,	1),
(134254,	9,	239,	1,	1),
(134255,	9,	239,	2,	1),
(134256,	9,	239,	3,	1),
(134257,	9,	240,	1,	1),
(134258,	9,	240,	2,	1),
(134259,	9,	240,	3,	1),
(134260,	9,	241,	1,	1),
(134261,	9,	241,	2,	1),
(134262,	9,	241,	3,	1),
(134263,	9,	242,	1,	1),
(134264,	9,	242,	2,	1),
(134265,	9,	242,	3,	1),
(134266,	9,	242,	1,	2),
(134267,	9,	242,	2,	2),
(134268,	9,	242,	3,	2),
(134269,	9,	243,	1,	1),
(134270,	9,	243,	2,	1),
(134271,	9,	243,	3,	1),
(134272,	9,	243,	1,	2),
(134273,	9,	243,	2,	2),
(134274,	9,	243,	3,	2),
(134275,	9,	244,	1,	1),
(134276,	9,	244,	2,	1),
(134277,	9,	244,	3,	1),
(134278,	9,	244,	1,	2),
(134279,	9,	244,	2,	2),
(134280,	9,	244,	3,	2),
(134281,	9,	245,	1,	1),
(134282,	9,	245,	2,	1),
(134283,	9,	245,	3,	1),
(134284,	9,	245,	1,	2),
(134285,	9,	245,	2,	2),
(134286,	9,	245,	3,	2),
(134287,	9,	246,	1,	1),
(134288,	9,	246,	2,	1),
(134289,	9,	246,	3,	1),
(134290,	9,	246,	1,	2),
(134291,	9,	246,	2,	2),
(134292,	9,	246,	3,	2),
(134293,	9,	247,	1,	1),
(134294,	9,	247,	2,	1),
(134295,	9,	247,	3,	1),
(134296,	9,	247,	1,	2),
(134297,	9,	247,	2,	2),
(134298,	9,	247,	3,	2),
(134299,	9,	248,	1,	1),
(134300,	9,	248,	2,	1),
(134301,	9,	248,	3,	1),
(134302,	9,	248,	1,	2),
(134303,	9,	248,	2,	2),
(134304,	9,	248,	3,	2),
(134305,	9,	249,	1,	1),
(134306,	9,	249,	2,	1),
(134307,	9,	249,	3,	1),
(134308,	9,	249,	1,	3),
(134309,	9,	249,	2,	3),
(134310,	9,	249,	3,	3),
(134311,	9,	250,	1,	1),
(134312,	9,	250,	2,	1),
(134313,	9,	250,	3,	1),
(134314,	9,	250,	1,	2),
(134315,	9,	250,	2,	2),
(134316,	9,	250,	3,	2),
(134317,	9,	251,	1,	1),
(134318,	9,	251,	2,	1),
(134319,	9,	251,	3,	1),
(134320,	9,	251,	1,	2),
(134321,	9,	251,	2,	2),
(134322,	9,	251,	3,	2),
(134323,	9,	252,	1,	1),
(134324,	9,	252,	2,	1),
(134325,	9,	252,	3,	1),
(134326,	9,	253,	1,	1),
(134327,	9,	253,	2,	1),
(134328,	9,	253,	3,	1),
(134329,	9,	253,	1,	3),
(134330,	9,	253,	2,	3),
(134331,	9,	253,	3,	3),
(134332,	9,	254,	1,	1),
(134333,	9,	254,	2,	1),
(134334,	9,	254,	3,	1),
(134335,	9,	254,	1,	2),
(134336,	9,	254,	2,	2),
(134337,	9,	254,	3,	2),
(134338,	9,	255,	1,	1),
(134339,	9,	255,	2,	1),
(134340,	9,	255,	3,	1),
(134341,	9,	255,	1,	2),
(134342,	9,	255,	2,	2),
(134343,	9,	255,	3,	2),
(134344,	9,	256,	1,	1),
(134345,	9,	256,	2,	1),
(134346,	9,	256,	3,	1),
(134347,	9,	256,	1,	2),
(134348,	9,	256,	2,	2),
(134349,	9,	256,	3,	2),
(134350,	9,	257,	1,	1),
(134351,	9,	257,	2,	1),
(134352,	9,	257,	3,	1),
(134353,	9,	257,	1,	2),
(134354,	9,	257,	2,	2),
(134355,	9,	257,	3,	2),
(134356,	9,	258,	1,	1),
(134357,	9,	258,	2,	1),
(134358,	9,	258,	3,	1),
(134359,	9,	258,	1,	3),
(134360,	9,	258,	2,	3),
(134361,	9,	258,	3,	3),
(134362,	9,	259,	1,	1),
(134363,	9,	259,	2,	1),
(134364,	9,	259,	3,	1),
(134365,	9,	259,	1,	2),
(134366,	9,	259,	2,	2),
(134367,	9,	259,	3,	2),
(134368,	9,	260,	1,	1),
(134369,	9,	260,	2,	1),
(134370,	9,	260,	3,	1),
(134371,	9,	260,	1,	2),
(134372,	9,	260,	2,	2),
(134373,	9,	260,	3,	2),
(134374,	9,	261,	1,	1),
(134375,	9,	261,	2,	1),
(134376,	9,	261,	3,	1),
(134377,	9,	261,	1,	2),
(134378,	9,	261,	2,	2),
(134379,	9,	261,	3,	2),
(134380,	9,	262,	1,	1),
(134381,	9,	262,	2,	1),
(134382,	9,	262,	3,	1),
(134383,	9,	262,	1,	2),
(134384,	9,	262,	2,	2),
(134385,	9,	262,	3,	2),
(134386,	9,	263,	1,	1),
(134387,	9,	263,	2,	1),
(134388,	9,	263,	3,	1),
(134389,	9,	263,	1,	2),
(134390,	9,	263,	2,	2),
(134391,	9,	263,	3,	2),
(134392,	9,	264,	1,	1),
(134393,	9,	264,	2,	1),
(134394,	9,	264,	3,	1),
(134395,	9,	264,	1,	2),
(134396,	9,	264,	2,	2),
(134397,	9,	264,	3,	2),
(134398,	9,	265,	1,	1),
(134399,	9,	265,	2,	1),
(134400,	9,	265,	3,	1),
(134401,	9,	265,	1,	3),
(134402,	9,	265,	2,	3),
(134403,	9,	265,	3,	3),
(134404,	9,	266,	1,	1),
(134405,	9,	266,	2,	1),
(134406,	9,	266,	3,	1),
(134407,	9,	266,	1,	2),
(134408,	9,	266,	2,	2),
(134409,	9,	266,	3,	2),
(134410,	9,	267,	1,	1),
(134411,	9,	267,	2,	1),
(134412,	9,	267,	3,	1),
(134413,	9,	267,	1,	2),
(134414,	9,	267,	2,	2),
(134415,	9,	267,	3,	2),
(134416,	9,	268,	1,	1),
(134417,	9,	268,	2,	1),
(134418,	9,	268,	3,	1),
(134419,	9,	269,	1,	1),
(134420,	9,	269,	2,	1),
(134421,	9,	269,	3,	1),
(134422,	9,	269,	1,	2),
(134423,	9,	269,	2,	2),
(134424,	9,	269,	3,	2),
(134425,	9,	270,	1,	1),
(134426,	9,	270,	2,	1),
(134427,	9,	270,	3,	1),
(134428,	9,	270,	1,	3),
(134429,	9,	270,	2,	3),
(134430,	9,	270,	3,	3),
(134431,	9,	271,	1,	1),
(134432,	9,	271,	2,	1),
(134433,	9,	271,	3,	1),
(134434,	9,	271,	1,	3),
(134435,	9,	271,	2,	3),
(134436,	9,	271,	3,	3),
(134437,	9,	272,	1,	1),
(134438,	9,	272,	2,	1),
(134439,	9,	272,	3,	1),
(134440,	9,	272,	1,	3),
(134441,	9,	272,	2,	3),
(134442,	9,	272,	3,	3),
(134443,	9,	273,	1,	1),
(134444,	9,	273,	2,	1),
(134445,	9,	273,	3,	1),
(134446,	9,	274,	1,	1),
(134447,	9,	274,	2,	1),
(134448,	9,	274,	3,	1),
(134449,	9,	274,	23,	1),
(134450,	9,	274,	1,	3),
(134451,	9,	274,	2,	3),
(134452,	9,	274,	3,	3),
(134453,	9,	274,	23,	3),
(134454,	9,	275,	1,	1),
(134455,	9,	275,	2,	1),
(134456,	9,	275,	3,	1),
(134457,	9,	275,	23,	1),
(134458,	9,	275,	1,	3),
(134459,	9,	275,	2,	3),
(134460,	9,	275,	3,	3),
(134461,	9,	275,	23,	3),
(134462,	9,	276,	1,	1),
(134463,	9,	276,	2,	1),
(134464,	9,	276,	3,	1),
(134465,	9,	276,	23,	1),
(134466,	9,	276,	1,	3),
(134467,	9,	276,	2,	3),
(134468,	9,	276,	3,	3),
(134469,	9,	276,	23,	3),
(134470,	9,	277,	1,	1),
(134471,	9,	277,	2,	1),
(134472,	9,	277,	3,	1),
(134473,	9,	277,	1,	2),
(134474,	9,	277,	2,	2),
(134475,	9,	277,	3,	2),
(134476,	9,	278,	1,	1),
(134477,	9,	278,	2,	1),
(134478,	9,	278,	3,	1),
(134479,	9,	279,	1,	1),
(134480,	9,	279,	2,	1),
(134481,	9,	279,	3,	1),
(134482,	9,	279,	1,	2),
(134483,	9,	279,	2,	2),
(134484,	9,	279,	3,	2),
(134485,	9,	280,	1,	1),
(134486,	9,	280,	2,	1),
(134487,	9,	280,	3,	1),
(134488,	9,	280,	1,	3),
(134489,	9,	280,	2,	3),
(134490,	9,	280,	3,	3),
(134491,	9,	281,	1,	1),
(134492,	9,	281,	2,	1),
(134493,	9,	281,	3,	1),
(134494,	9,	281,	23,	1),
(134495,	9,	281,	1,	3),
(134496,	9,	281,	2,	3),
(134497,	9,	281,	3,	3),
(134498,	9,	281,	23,	3),
(134499,	9,	282,	1,	1),
(134500,	9,	282,	2,	1),
(134501,	9,	282,	3,	1),
(134502,	9,	282,	23,	1),
(134503,	9,	282,	1,	3),
(134504,	9,	282,	2,	3),
(134505,	9,	282,	3,	3),
(134506,	9,	282,	23,	3),
(134507,	9,	283,	1,	1),
(134508,	9,	283,	2,	1),
(134509,	9,	283,	3,	1),
(134510,	9,	283,	23,	1),
(134511,	9,	283,	1,	3),
(134512,	9,	283,	2,	3),
(134513,	9,	283,	3,	3),
(134514,	9,	283,	23,	3),
(134515,	9,	284,	1,	1),
(134516,	9,	284,	2,	1),
(134517,	9,	284,	3,	1),
(134518,	9,	284,	23,	1),
(134519,	9,	284,	1,	3),
(134520,	9,	284,	2,	3),
(134521,	9,	284,	3,	3),
(134522,	9,	284,	23,	3),
(134523,	9,	285,	1,	1),
(134524,	9,	285,	2,	1),
(134525,	9,	285,	3,	1),
(134526,	9,	285,	23,	1),
(134527,	9,	285,	1,	2),
(134528,	9,	285,	2,	2),
(134529,	9,	285,	3,	2),
(134530,	9,	285,	23,	2),
(134531,	9,	286,	1,	1),
(134532,	9,	286,	2,	1),
(134533,	9,	286,	3,	1),
(134534,	9,	286,	23,	1),
(134535,	9,	287,	1,	1),
(134536,	9,	287,	2,	1),
(134537,	9,	287,	3,	1),
(134538,	9,	287,	23,	1),
(134539,	9,	287,	1,	2),
(134540,	9,	287,	2,	2),
(134541,	9,	287,	3,	2),
(134542,	9,	287,	23,	2),
(134543,	9,	288,	1,	1),
(134544,	9,	288,	2,	1),
(134545,	9,	288,	3,	1),
(134546,	9,	288,	23,	1),
(134547,	9,	288,	1,	2),
(134548,	9,	288,	2,	2),
(134549,	9,	288,	3,	2),
(134550,	9,	288,	23,	2),
(134551,	9,	289,	1,	1),
(134552,	9,	289,	2,	1),
(134553,	9,	289,	3,	1),
(134554,	9,	290,	1,	1),
(134555,	9,	290,	2,	1),
(134556,	9,	290,	3,	1),
(134557,	9,	291,	1,	1),
(134558,	9,	291,	2,	1),
(134559,	9,	291,	3,	1),
(134560,	9,	291,	1,	3),
(134561,	9,	291,	2,	3),
(134562,	9,	291,	3,	3),
(134563,	9,	292,	1,	1),
(134564,	9,	292,	2,	1),
(134565,	9,	292,	3,	1),
(134566,	9,	292,	1,	2),
(134567,	9,	292,	2,	2),
(134568,	9,	292,	3,	2),
(134569,	9,	293,	1,	1),
(134570,	9,	293,	2,	1),
(134571,	9,	293,	3,	1),
(134572,	9,	294,	1,	1),
(134573,	9,	294,	2,	1),
(134574,	9,	294,	3,	1),
(134575,	9,	294,	1,	2),
(134576,	9,	294,	2,	2),
(134577,	9,	294,	3,	2),
(134578,	9,	295,	1,	1),
(134579,	9,	295,	2,	1),
(134580,	9,	295,	3,	1),
(134581,	9,	295,	1,	3),
(134582,	9,	295,	2,	3),
(134583,	9,	295,	3,	3),
(134584,	9,	296,	1,	1),
(134585,	9,	296,	2,	1),
(134586,	9,	296,	3,	1),
(134587,	9,	296,	1,	3),
(134588,	9,	296,	2,	3),
(134589,	9,	296,	3,	3),
(134590,	9,	297,	1,	1),
(134591,	9,	297,	2,	1),
(134592,	9,	297,	3,	1),
(134593,	9,	297,	1,	3),
(134594,	9,	297,	2,	3),
(134595,	9,	297,	3,	3),
(134596,	9,	298,	1,	1),
(134597,	9,	298,	2,	1),
(134598,	9,	298,	3,	1),
(134599,	9,	298,	1,	3),
(134600,	9,	298,	2,	3),
(134601,	9,	298,	3,	3),
(134602,	9,	299,	1,	1),
(134603,	9,	299,	2,	1),
(134604,	9,	299,	3,	1),
(134605,	9,	299,	1,	2),
(134606,	9,	299,	2,	2),
(134607,	9,	299,	3,	2),
(134608,	9,	300,	1,	1),
(134609,	9,	300,	2,	1),
(134610,	9,	300,	3,	1),
(134611,	9,	300,	1,	2),
(134612,	9,	300,	2,	2),
(134613,	9,	300,	3,	2),
(134614,	9,	301,	1,	1),
(134615,	9,	301,	2,	1),
(134616,	9,	301,	3,	1),
(134617,	9,	301,	1,	2),
(134618,	9,	301,	2,	2),
(134619,	9,	301,	3,	2),
(134620,	9,	302,	1,	1),
(134621,	9,	302,	2,	1),
(134622,	9,	302,	3,	1),
(134623,	9,	302,	1,	2),
(134624,	9,	302,	2,	2),
(134625,	9,	302,	3,	2),
(134626,	9,	303,	1,	1),
(134627,	9,	303,	2,	1),
(134628,	9,	303,	3,	1),
(134629,	9,	303,	1,	2),
(134630,	9,	303,	2,	2),
(134631,	9,	303,	3,	2),
(134632,	9,	304,	1,	1),
(134633,	9,	304,	2,	1),
(134634,	9,	304,	3,	1),
(134635,	9,	304,	1,	2),
(134636,	9,	304,	2,	2),
(134637,	9,	304,	3,	2),
(134638,	9,	305,	1,	1),
(134639,	9,	305,	2,	1),
(134640,	9,	305,	3,	1),
(134641,	9,	305,	1,	2),
(134642,	9,	305,	2,	2),
(134643,	9,	305,	3,	2),
(134644,	9,	306,	1,	1),
(134645,	9,	306,	2,	1),
(134646,	9,	306,	3,	1),
(134647,	9,	306,	1,	3),
(134648,	9,	306,	2,	3),
(134649,	9,	306,	3,	3),
(134650,	9,	307,	1,	1),
(134651,	9,	307,	2,	1),
(134652,	9,	307,	3,	1),
(134653,	9,	307,	1,	2),
(134654,	9,	307,	2,	2),
(134655,	9,	307,	3,	2),
(134656,	9,	308,	1,	1),
(134657,	9,	308,	2,	1),
(134658,	9,	308,	3,	1),
(134659,	9,	308,	1,	2),
(134660,	9,	308,	2,	2),
(134661,	9,	308,	3,	2),
(134662,	9,	309,	1,	1),
(134663,	9,	309,	2,	1),
(134664,	9,	309,	3,	1),
(134665,	9,	309,	23,	1),
(134666,	9,	309,	1,	3),
(134667,	9,	309,	2,	3),
(134668,	9,	309,	3,	3),
(134669,	9,	309,	23,	3),
(134670,	9,	310,	1,	1),
(134671,	9,	310,	2,	1),
(134672,	9,	310,	3,	1),
(134673,	9,	310,	28,	1),
(134674,	9,	310,	23,	1),
(134675,	9,	310,	1,	3),
(134676,	9,	310,	2,	3),
(134677,	9,	310,	3,	3),
(134678,	9,	310,	28,	3),
(134679,	9,	310,	23,	3),
(134680,	9,	311,	1,	1),
(134681,	9,	311,	2,	1),
(134682,	9,	311,	3,	1),
(134683,	9,	311,	1,	3),
(134684,	9,	311,	2,	3),
(134685,	9,	311,	3,	3),
(134686,	9,	312,	1,	1),
(134687,	9,	312,	2,	1),
(134688,	9,	312,	3,	1),
(134689,	9,	312,	1,	3),
(134690,	9,	312,	2,	3),
(134691,	9,	312,	3,	3),
(134692,	9,	313,	1,	1),
(134693,	9,	313,	2,	1),
(134694,	9,	313,	3,	1),
(134695,	9,	313,	1,	3),
(134696,	9,	313,	2,	3),
(134697,	9,	313,	3,	3),
(134698,	9,	314,	1,	1),
(134699,	9,	314,	2,	1),
(134700,	9,	314,	3,	1),
(134701,	9,	314,	1,	3),
(134702,	9,	314,	2,	3),
(134703,	9,	314,	3,	3),
(134704,	9,	315,	1,	1),
(134705,	9,	315,	2,	1),
(134706,	9,	315,	3,	1),
(134707,	9,	315,	1,	2),
(134708,	9,	315,	2,	2),
(134709,	9,	315,	3,	2),
(134710,	9,	316,	1,	1),
(134711,	9,	316,	2,	1),
(134712,	9,	316,	3,	1),
(134713,	9,	317,	1,	1),
(134714,	9,	317,	2,	1),
(134715,	9,	317,	3,	1),
(134716,	9,	317,	1,	2),
(134717,	9,	317,	2,	2),
(134718,	9,	317,	3,	2),
(134719,	9,	318,	1,	1),
(134720,	9,	318,	2,	1),
(134721,	9,	318,	3,	1),
(134722,	9,	318,	1,	2),
(134723,	9,	318,	2,	2),
(134724,	9,	318,	3,	2),
(134725,	9,	319,	1,	1),
(134726,	9,	319,	2,	1),
(134727,	9,	319,	3,	1),
(134728,	9,	319,	1,	3),
(134729,	9,	319,	2,	3),
(134730,	9,	319,	3,	3),
(134731,	9,	320,	1,	1),
(134732,	9,	320,	2,	1),
(134733,	9,	320,	3,	1),
(134734,	9,	321,	1,	1),
(134735,	9,	321,	2,	1),
(134736,	9,	321,	3,	1),
(134737,	9,	321,	1,	3),
(134738,	9,	321,	2,	3),
(134739,	9,	321,	3,	3),
(134740,	9,	322,	1,	1),
(134741,	9,	322,	2,	1),
(134742,	9,	322,	3,	1),
(134743,	9,	322,	1,	2),
(134744,	9,	322,	2,	2),
(134745,	9,	322,	3,	2),
(134746,	9,	323,	1,	1),
(134747,	9,	323,	2,	1),
(134748,	9,	323,	3,	1),
(134749,	9,	323,	1,	2),
(134750,	9,	323,	2,	2),
(134751,	9,	323,	3,	2),
(134752,	9,	324,	1,	1),
(134753,	9,	324,	2,	1),
(134754,	9,	324,	3,	1),
(134755,	9,	324,	1,	3),
(134756,	9,	324,	2,	3),
(134757,	9,	324,	3,	3),
(134758,	9,	325,	1,	1),
(134759,	9,	325,	2,	1),
(134760,	9,	325,	3,	1),
(134761,	9,	325,	1,	3),
(134762,	9,	325,	2,	3),
(134763,	9,	325,	3,	3),
(134764,	9,	326,	1,	1),
(134765,	9,	326,	2,	1),
(134766,	9,	326,	3,	1),
(134767,	9,	326,	1,	3),
(134768,	9,	326,	2,	3),
(134769,	9,	326,	3,	3),
(134770,	9,	327,	1,	1),
(134771,	9,	327,	2,	1),
(134772,	9,	327,	3,	1),
(134773,	9,	328,	1,	1),
(134774,	9,	328,	2,	1),
(134775,	9,	328,	3,	1),
(134776,	9,	328,	1,	3),
(134777,	9,	328,	2,	3),
(134778,	9,	328,	3,	3),
(134779,	9,	329,	1,	1),
(134780,	9,	329,	2,	1),
(134781,	9,	329,	3,	1),
(134782,	9,	329,	1,	3),
(134783,	9,	329,	2,	3),
(134784,	9,	329,	3,	3),
(134785,	9,	330,	1,	1),
(134786,	9,	330,	2,	1),
(134787,	9,	330,	3,	1),
(134788,	9,	330,	1,	3),
(134789,	9,	330,	2,	3),
(134790,	9,	330,	3,	3),
(134791,	9,	331,	1,	1),
(134792,	9,	331,	2,	1),
(134793,	9,	331,	3,	1),
(134794,	9,	331,	1,	2),
(134795,	9,	331,	2,	2),
(134796,	9,	331,	3,	2),
(134797,	9,	332,	1,	1),
(134798,	9,	332,	2,	1),
(134799,	9,	332,	3,	1),
(134800,	9,	333,	1,	1),
(134801,	9,	333,	2,	1),
(134802,	9,	333,	3,	1),
(134803,	9,	333,	1,	3),
(134804,	9,	333,	2,	3),
(134805,	9,	333,	3,	3),
(134806,	9,	334,	1,	1),
(134807,	9,	334,	2,	1),
(134808,	9,	334,	3,	1),
(134809,	9,	334,	1,	3),
(134810,	9,	334,	2,	3),
(134811,	9,	334,	3,	3),
(134812,	9,	335,	1,	1),
(134813,	9,	335,	2,	1),
(134814,	9,	335,	3,	1),
(134815,	9,	335,	1,	3),
(134816,	9,	335,	2,	3),
(134817,	9,	335,	3,	3),
(134818,	9,	336,	1,	1),
(134819,	9,	336,	2,	1),
(134820,	9,	336,	3,	1),
(134821,	9,	336,	1,	3),
(134822,	9,	336,	2,	3),
(134823,	9,	336,	3,	3),
(134824,	9,	337,	1,	1),
(134825,	9,	337,	2,	1),
(134826,	9,	337,	3,	1),
(134827,	9,	337,	1,	3),
(134828,	9,	337,	2,	3),
(134829,	9,	337,	3,	3),
(134830,	9,	337,	1,	2),
(134831,	9,	337,	2,	2),
(134832,	9,	337,	3,	2),
(134833,	9,	338,	1,	1),
(134834,	9,	338,	2,	1),
(134835,	9,	338,	3,	1),
(134836,	9,	338,	1,	2),
(134837,	9,	338,	2,	2),
(134838,	9,	338,	3,	2),
(134839,	9,	339,	1,	1),
(134840,	9,	339,	2,	1),
(134841,	9,	339,	3,	1),
(134842,	9,	339,	1,	3),
(134843,	9,	339,	2,	3),
(134844,	9,	339,	3,	3),
(134845,	9,	340,	1,	1),
(134846,	9,	340,	2,	1),
(134847,	9,	340,	3,	1),
(134848,	9,	340,	1,	3),
(134849,	9,	340,	2,	3),
(134850,	9,	340,	3,	3),
(134851,	9,	341,	1,	1),
(134852,	9,	341,	2,	1),
(134853,	9,	341,	3,	1),
(134854,	9,	341,	1,	3),
(134855,	9,	341,	2,	3),
(134856,	9,	341,	3,	3),
(134857,	9,	342,	1,	1),
(134858,	9,	342,	2,	1),
(134859,	9,	342,	3,	1),
(134860,	9,	342,	1,	2),
(134861,	9,	342,	2,	2),
(134862,	9,	342,	3,	2),
(134863,	9,	343,	1,	1),
(134864,	9,	343,	2,	1),
(134865,	9,	343,	3,	1),
(134866,	9,	343,	1,	3),
(134867,	9,	343,	2,	3),
(134868,	9,	343,	3,	3),
(134869,	9,	344,	1,	1),
(134870,	9,	344,	2,	1),
(134871,	9,	344,	3,	1),
(134872,	9,	344,	1,	3),
(134873,	9,	344,	2,	3),
(134874,	9,	344,	3,	3),
(134875,	9,	345,	1,	1),
(134876,	9,	345,	2,	1),
(134877,	9,	345,	3,	1),
(134878,	9,	345,	1,	3),
(134879,	9,	345,	2,	3),
(134880,	9,	345,	3,	3),
(134881,	9,	346,	1,	1),
(134882,	9,	346,	2,	1),
(134883,	9,	346,	3,	1),
(134884,	9,	346,	1,	3),
(134885,	9,	346,	2,	3),
(134886,	9,	346,	3,	3),
(134887,	9,	346,	1,	2),
(134888,	9,	346,	2,	2),
(134889,	9,	346,	3,	2),
(134890,	9,	347,	1,	1),
(134891,	9,	347,	2,	1),
(134892,	9,	347,	3,	1),
(134893,	9,	347,	1,	3),
(134894,	9,	347,	2,	3),
(134895,	9,	347,	3,	3),
(134896,	9,	347,	1,	2),
(134897,	9,	347,	2,	2),
(134898,	9,	347,	3,	2),
(134899,	9,	348,	1,	1),
(134900,	9,	348,	2,	1),
(134901,	9,	348,	3,	1),
(134902,	9,	348,	1,	3),
(134903,	9,	348,	2,	3),
(134904,	9,	348,	3,	3),
(134905,	9,	349,	1,	1),
(134906,	9,	349,	2,	1),
(134907,	9,	349,	3,	1),
(134908,	9,	349,	1,	3),
(134909,	9,	349,	2,	3),
(134910,	9,	349,	3,	3),
(134911,	9,	350,	1,	1),
(134912,	9,	350,	2,	1),
(134913,	9,	350,	3,	1),
(134914,	9,	350,	1,	3),
(134915,	9,	350,	2,	3),
(134916,	9,	350,	3,	3),
(134917,	9,	351,	1,	1),
(134918,	9,	351,	2,	1),
(134919,	9,	351,	3,	1),
(134920,	9,	351,	1,	2),
(134921,	9,	351,	2,	2),
(134922,	9,	351,	3,	2),
(134923,	9,	352,	1,	1),
(134924,	9,	352,	2,	1),
(134925,	9,	352,	3,	1),
(134926,	9,	352,	1,	3),
(134927,	9,	352,	2,	3),
(134928,	9,	352,	3,	3),
(134929,	9,	353,	1,	1),
(134930,	9,	353,	2,	1),
(134931,	9,	353,	3,	1),
(134932,	9,	353,	1,	3),
(134933,	9,	353,	2,	3),
(134934,	9,	353,	3,	3),
(134935,	9,	354,	1,	1),
(134936,	9,	354,	2,	1),
(134937,	9,	354,	3,	1),
(134938,	9,	354,	1,	3),
(134939,	9,	354,	2,	3),
(134940,	9,	354,	3,	3),
(134941,	9,	355,	1,	1),
(134942,	9,	355,	2,	1),
(134943,	9,	355,	3,	1),
(134944,	9,	355,	29,	1),
(134945,	9,	356,	1,	1),
(134946,	9,	356,	2,	1),
(134947,	9,	356,	3,	1),
(134948,	9,	356,	1,	2),
(134949,	9,	356,	2,	2),
(134950,	9,	356,	3,	2),
(134951,	9,	357,	1,	1),
(134952,	9,	357,	2,	1),
(134953,	9,	357,	3,	1),
(134954,	9,	357,	1,	2),
(134955,	9,	357,	2,	2),
(134956,	9,	357,	3,	2),
(134957,	9,	358,	1,	1),
(134958,	9,	358,	2,	1),
(134959,	9,	358,	3,	1),
(134960,	9,	358,	1,	2),
(134961,	9,	358,	2,	2),
(134962,	9,	358,	3,	2),
(134963,	9,	359,	1,	1),
(134964,	9,	359,	2,	1),
(134965,	9,	359,	3,	1),
(134966,	9,	360,	1,	1),
(134967,	9,	360,	2,	1),
(134968,	9,	360,	3,	1),
(134969,	9,	361,	1,	1),
(134970,	9,	361,	2,	1),
(134971,	9,	361,	3,	1),
(134972,	9,	361,	1,	2),
(134973,	9,	361,	2,	2),
(134974,	9,	361,	3,	2),
(134975,	9,	362,	1,	1),
(134976,	9,	362,	2,	1),
(134977,	9,	362,	3,	1),
(134978,	9,	362,	1,	3),
(134979,	9,	362,	2,	3),
(134980,	9,	362,	3,	3),
(134981,	9,	363,	1,	1),
(134982,	9,	363,	2,	1),
(134983,	9,	363,	3,	1),
(134984,	9,	363,	1,	3),
(134985,	9,	363,	2,	3),
(134986,	9,	363,	3,	3),
(134987,	9,	364,	1,	1),
(134988,	9,	364,	2,	1),
(134989,	9,	364,	3,	1),
(134990,	9,	364,	1,	3),
(134991,	9,	364,	2,	3),
(134992,	9,	364,	3,	3),
(134993,	9,	365,	1,	1),
(134994,	9,	365,	2,	1),
(134995,	9,	365,	3,	1),
(134996,	9,	365,	1,	2),
(134997,	9,	365,	2,	2),
(134998,	9,	365,	3,	2),
(134999,	9,	366,	1,	1),
(135000,	9,	366,	2,	1),
(135001,	9,	366,	3,	1),
(135002,	9,	367,	1,	1),
(135003,	9,	367,	2,	1),
(135004,	9,	367,	3,	1),
(135005,	9,	367,	1,	3),
(135006,	9,	367,	2,	3),
(135007,	9,	367,	3,	3),
(135008,	9,	368,	1,	1),
(135009,	9,	368,	2,	1),
(135010,	9,	368,	3,	1),
(135011,	9,	368,	1,	3),
(135012,	9,	368,	2,	3),
(135013,	9,	368,	3,	3),
(135014,	9,	369,	1,	1),
(135015,	9,	369,	2,	1),
(135016,	9,	369,	3,	1),
(135017,	9,	369,	29,	1),
(135018,	9,	369,	30,	1),
(135019,	9,	370,	1,	1),
(135020,	9,	370,	2,	1),
(135021,	9,	370,	3,	1),
(135022,	9,	370,	29,	1),
(135023,	9,	370,	30,	1),
(135024,	9,	371,	1,	1),
(135025,	9,	371,	2,	1),
(135026,	9,	371,	3,	1),
(135027,	9,	372,	1,	1),
(135028,	9,	372,	2,	1),
(135029,	9,	372,	3,	1),
(135030,	9,	372,	1,	2),
(135031,	9,	372,	2,	2),
(135032,	9,	372,	3,	2),
(135033,	9,	373,	1,	1),
(135034,	9,	373,	2,	1),
(135035,	9,	373,	3,	1),
(135036,	9,	373,	23,	1),
(135037,	9,	374,	1,	1),
(135038,	9,	374,	2,	1),
(135039,	9,	374,	3,	1),
(135040,	9,	374,	28,	1),
(135041,	9,	374,	1,	3),
(135042,	9,	374,	2,	3),
(135043,	9,	374,	3,	3),
(135044,	9,	374,	28,	3),
(135045,	9,	375,	1,	1),
(135046,	9,	375,	2,	1),
(135047,	9,	375,	3,	1),
(135048,	9,	375,	23,	1),
(135049,	9,	375,	28,	1),
(135050,	9,	375,	1,	3),
(135051,	9,	375,	2,	3),
(135052,	9,	375,	3,	3),
(135053,	9,	375,	23,	3),
(135054,	9,	375,	28,	3),
(135055,	9,	376,	1,	1),
(135056,	9,	376,	2,	1),
(135057,	9,	376,	3,	1),
(135058,	9,	376,	1,	2),
(135059,	9,	376,	2,	2),
(135060,	9,	376,	3,	2),
(135061,	9,	377,	1,	1),
(135062,	9,	377,	2,	1),
(135063,	9,	377,	3,	1),
(135064,	9,	377,	1,	3),
(135065,	9,	377,	2,	3),
(135066,	9,	377,	3,	3),
(135067,	9,	378,	1,	1),
(135068,	9,	378,	2,	1),
(135069,	9,	378,	3,	1),
(135070,	9,	378,	23,	1),
(135071,	9,	378,	28,	1),
(135072,	9,	378,	1,	3),
(135073,	9,	378,	2,	3),
(135074,	9,	378,	3,	3),
(135075,	9,	378,	23,	3),
(135076,	9,	378,	28,	3),
(135077,	9,	379,	1,	1),
(135078,	9,	379,	2,	1),
(135079,	9,	379,	3,	1),
(135080,	9,	380,	1,	1),
(135081,	9,	380,	2,	1),
(135082,	9,	380,	3,	1),
(135083,	9,	381,	1,	1),
(135084,	9,	381,	2,	1),
(135085,	9,	381,	3,	1),
(135086,	9,	381,	1,	2),
(135087,	9,	381,	2,	2),
(135088,	9,	381,	3,	2),
(135089,	9,	382,	1,	1),
(135090,	9,	382,	2,	1),
(135091,	9,	382,	3,	1),
(135092,	9,	382,	23,	1),
(135093,	9,	383,	1,	1),
(135094,	9,	383,	2,	1),
(135095,	9,	383,	3,	1),
(135096,	9,	383,	1,	2),
(135097,	9,	383,	2,	2),
(135098,	9,	383,	3,	2),
(135099,	9,	384,	1,	1),
(135100,	9,	384,	2,	1),
(135101,	9,	384,	3,	1),
(135102,	9,	384,	23,	1),
(135103,	9,	384,	1,	3),
(135104,	9,	384,	2,	3),
(135105,	9,	384,	3,	3),
(135106,	9,	384,	23,	3),
(135107,	9,	385,	1,	1),
(135108,	9,	385,	2,	1),
(135109,	9,	385,	3,	1),
(135110,	9,	385,	1,	3),
(135111,	9,	385,	2,	3),
(135112,	9,	385,	3,	3),
(135113,	9,	386,	1,	1),
(135114,	9,	386,	2,	1),
(135115,	9,	386,	3,	1),
(135116,	9,	386,	1,	2),
(135117,	9,	386,	2,	2),
(135118,	9,	386,	3,	2),
(135119,	9,	387,	1,	1),
(135120,	9,	387,	2,	1),
(135121,	9,	387,	3,	1),
(135122,	9,	387,	1,	2),
(135123,	9,	387,	2,	2),
(135124,	9,	387,	3,	2),
(135125,	9,	388,	1,	1),
(135126,	9,	388,	2,	1),
(135127,	9,	388,	3,	1),
(135128,	9,	388,	1,	2),
(135129,	9,	388,	2,	2),
(135130,	9,	388,	3,	2),
(135131,	9,	389,	1,	1),
(135132,	9,	389,	2,	1),
(135133,	9,	389,	3,	1),
(135134,	9,	389,	1,	2),
(135135,	9,	389,	2,	2),
(135136,	9,	389,	3,	2),
(135137,	9,	390,	1,	1),
(135138,	9,	390,	2,	1),
(135139,	9,	390,	3,	1),
(135140,	9,	391,	1,	1),
(135141,	9,	391,	2,	1),
(135142,	9,	391,	3,	1),
(135143,	9,	391,	1,	2),
(135144,	9,	391,	2,	2),
(135145,	9,	391,	3,	2),
(135146,	9,	392,	1,	1),
(135147,	9,	392,	2,	1),
(135148,	9,	392,	3,	1),
(135149,	9,	392,	1,	2),
(135150,	9,	392,	2,	2),
(135151,	9,	392,	3,	2),
(135152,	9,	393,	1,	1),
(135153,	9,	393,	2,	1),
(135154,	9,	393,	3,	1),
(135155,	9,	393,	1,	2),
(135156,	9,	393,	2,	2),
(135157,	9,	393,	3,	2),
(135158,	9,	394,	1,	1),
(135159,	9,	394,	2,	1),
(135160,	9,	394,	3,	1),
(135161,	9,	394,	1,	2),
(135162,	9,	394,	2,	2),
(135163,	9,	394,	3,	2),
(135164,	9,	395,	1,	1),
(135165,	9,	395,	2,	1),
(135166,	9,	395,	3,	1),
(135167,	9,	395,	1,	2),
(135168,	9,	395,	2,	2),
(135169,	9,	395,	3,	2),
(135170,	9,	396,	1,	1),
(135171,	9,	396,	2,	1),
(135172,	9,	396,	3,	1),
(135173,	9,	396,	6,	1),
(135174,	9,	396,	24,	1),
(135175,	9,	396,	5,	1),
(135176,	9,	396,	1,	2),
(135177,	9,	396,	2,	2),
(135178,	9,	396,	3,	2),
(135179,	9,	396,	6,	2),
(135180,	9,	396,	24,	2),
(135181,	9,	396,	5,	2),
(135182,	9,	397,	1,	1),
(135183,	9,	397,	2,	1),
(135184,	9,	397,	3,	1),
(135185,	9,	397,	6,	1),
(135186,	9,	397,	24,	1),
(135187,	9,	397,	5,	1),
(135188,	9,	397,	1,	2),
(135189,	9,	397,	2,	2),
(135190,	9,	397,	3,	2),
(135191,	9,	397,	6,	2),
(135192,	9,	397,	24,	2),
(135193,	9,	397,	5,	2),
(135194,	9,	398,	1,	1),
(135195,	9,	398,	2,	1),
(135196,	9,	398,	3,	1),
(135197,	9,	398,	6,	1),
(135198,	9,	398,	24,	1),
(135199,	9,	398,	25,	1),
(135200,	9,	398,	4,	1),
(135201,	9,	398,	1,	3),
(135202,	9,	398,	2,	3),
(135203,	9,	398,	3,	3),
(135204,	9,	398,	6,	3),
(135205,	9,	398,	24,	3),
(135206,	9,	398,	25,	3),
(135207,	9,	398,	4,	3),
(135208,	9,	399,	1,	1),
(135209,	9,	399,	2,	1),
(135210,	9,	399,	3,	1),
(135211,	9,	399,	6,	1),
(135212,	9,	399,	24,	1),
(135213,	9,	399,	25,	1),
(135214,	9,	399,	4,	1),
(135215,	9,	399,	5,	1),
(135216,	9,	399,	1,	3),
(135217,	9,	399,	2,	3),
(135218,	9,	399,	3,	3),
(135219,	9,	399,	6,	3),
(135220,	9,	399,	24,	3),
(135221,	9,	399,	25,	3),
(135222,	9,	399,	4,	3),
(135223,	9,	399,	5,	3),
(135224,	9,	400,	1,	1),
(135225,	9,	400,	2,	1),
(135226,	9,	400,	3,	1),
(135227,	9,	400,	1,	3),
(135228,	9,	400,	2,	3),
(135229,	9,	400,	3,	3),
(135230,	9,	400,	1,	2),
(135231,	9,	400,	2,	2),
(135232,	9,	400,	3,	2),
(135233,	9,	401,	1,	1),
(135234,	9,	401,	2,	1),
(135235,	9,	401,	3,	1),
(135236,	9,	401,	6,	1),
(135237,	9,	401,	24,	1),
(135238,	9,	401,	25,	1),
(135239,	9,	401,	4,	1),
(135240,	9,	401,	5,	1),
(135241,	9,	401,	1,	3),
(135242,	9,	401,	2,	3),
(135243,	9,	401,	3,	3),
(135244,	9,	401,	6,	3),
(135245,	9,	401,	24,	3),
(135246,	9,	401,	25,	3),
(135247,	9,	401,	4,	3),
(135248,	9,	401,	5,	3),
(135249,	9,	402,	1,	1),
(135250,	9,	402,	2,	1),
(135251,	9,	402,	3,	1),
(135252,	9,	402,	6,	1),
(135253,	9,	402,	24,	1),
(135254,	9,	402,	25,	1),
(135255,	9,	402,	4,	1),
(135256,	9,	402,	5,	1),
(135257,	9,	402,	1,	3),
(135258,	9,	402,	2,	3),
(135259,	9,	402,	3,	3),
(135260,	9,	402,	6,	3),
(135261,	9,	402,	24,	3),
(135262,	9,	402,	25,	3),
(135263,	9,	402,	4,	3),
(135264,	9,	402,	5,	3),
(135265,	9,	403,	1,	1),
(135266,	9,	403,	2,	1),
(135267,	9,	403,	3,	1),
(135268,	9,	403,	6,	1),
(135269,	9,	403,	24,	1),
(135270,	9,	403,	5,	1),
(135271,	9,	403,	1,	2),
(135272,	9,	403,	2,	2),
(135273,	9,	403,	3,	2),
(135274,	9,	403,	6,	2),
(135275,	9,	403,	24,	2),
(135276,	9,	403,	5,	2),
(135277,	9,	404,	1,	1),
(135278,	9,	404,	2,	1),
(135279,	9,	404,	3,	1),
(135280,	9,	404,	1,	2),
(135281,	9,	404,	2,	2),
(135282,	9,	404,	3,	2),
(135283,	9,	405,	1,	1),
(135284,	9,	405,	2,	1),
(135285,	9,	405,	3,	1),
(135286,	9,	405,	1,	2),
(135287,	9,	405,	2,	2),
(135288,	9,	405,	3,	2),
(135289,	9,	406,	1,	1),
(135290,	9,	406,	2,	1),
(135291,	9,	406,	3,	1),
(135292,	9,	406,	1,	2),
(135293,	9,	406,	2,	2),
(135294,	9,	406,	3,	2),
(135295,	9,	407,	1,	1),
(135296,	9,	407,	2,	1),
(135297,	9,	407,	3,	1),
(135298,	9,	407,	1,	2),
(135299,	9,	407,	2,	2),
(135300,	9,	407,	3,	2),
(135301,	9,	408,	1,	1),
(135302,	9,	408,	2,	1),
(135303,	9,	408,	3,	1),
(135304,	9,	409,	1,	1),
(135305,	9,	409,	2,	1),
(135306,	9,	409,	3,	1),
(135307,	9,	409,	1,	3),
(135308,	9,	409,	2,	3),
(135309,	9,	409,	3,	3),
(135310,	9,	410,	1,	1),
(135311,	9,	410,	2,	1),
(135312,	9,	410,	3,	1),
(135313,	9,	410,	1,	2),
(135314,	9,	410,	2,	2),
(135315,	9,	410,	3,	2),
(135316,	9,	411,	1,	1),
(135317,	9,	411,	2,	1),
(135318,	9,	411,	3,	1),
(135319,	9,	411,	1,	2),
(135320,	9,	411,	2,	2),
(135321,	9,	411,	3,	2),
(135322,	9,	412,	1,	1),
(135323,	9,	412,	2,	1),
(135324,	9,	412,	3,	1),
(135325,	9,	413,	1,	1),
(135326,	9,	413,	2,	1),
(135327,	9,	413,	3,	1),
(135328,	9,	413,	1,	2),
(135329,	9,	413,	2,	2),
(135330,	9,	413,	3,	2),
(135331,	9,	414,	1,	1),
(135332,	9,	414,	2,	1),
(135333,	9,	414,	3,	1),
(135334,	9,	414,	1,	2),
(135335,	9,	414,	2,	2),
(135336,	9,	414,	3,	2),
(135337,	9,	415,	1,	1),
(135338,	9,	415,	2,	1),
(135339,	9,	415,	3,	1),
(135340,	9,	415,	1,	2),
(135341,	9,	415,	2,	2),
(135342,	9,	415,	3,	2),
(135343,	9,	416,	1,	1),
(135344,	9,	416,	2,	1),
(135345,	9,	416,	3,	1),
(135346,	9,	416,	1,	2),
(135347,	9,	416,	2,	2),
(135348,	9,	416,	3,	2),
(135349,	9,	417,	1,	1),
(135350,	9,	417,	2,	1),
(135351,	9,	417,	3,	1),
(135352,	9,	418,	1,	1),
(135353,	9,	418,	2,	1),
(135354,	9,	418,	3,	1),
(135355,	9,	418,	1,	2),
(135356,	9,	418,	2,	2),
(135357,	9,	418,	3,	2),
(135358,	9,	419,	1,	1),
(135359,	9,	419,	2,	1),
(135360,	9,	419,	3,	1),
(135361,	9,	419,	1,	2),
(135362,	9,	419,	2,	2),
(135363,	9,	419,	3,	2),
(135364,	9,	420,	1,	1),
(135365,	9,	420,	2,	1),
(135366,	9,	420,	3,	1),
(135367,	9,	420,	1,	2),
(135368,	9,	420,	2,	2),
(135369,	9,	420,	3,	2),
(135370,	9,	421,	1,	1),
(135371,	9,	421,	2,	1),
(135372,	9,	421,	3,	1),
(135373,	9,	421,	1,	2),
(135374,	9,	421,	2,	2),
(135375,	9,	421,	3,	2),
(135376,	9,	422,	1,	1),
(135377,	9,	422,	2,	1),
(135378,	9,	422,	3,	1),
(135379,	9,	422,	1,	3),
(135380,	9,	422,	2,	3),
(135381,	9,	422,	3,	3),
(135382,	9,	423,	1,	1),
(135383,	9,	423,	2,	1),
(135384,	9,	423,	3,	1),
(135385,	9,	423,	1,	2),
(135386,	9,	423,	2,	2),
(135387,	9,	423,	3,	2),
(135388,	9,	424,	1,	1),
(135389,	9,	424,	2,	1),
(135390,	9,	424,	3,	1),
(135391,	9,	424,	1,	2),
(135392,	9,	424,	2,	2),
(135393,	9,	424,	3,	2),
(135394,	9,	425,	1,	1),
(135395,	9,	425,	2,	1),
(135396,	9,	425,	3,	1),
(135397,	9,	425,	1,	2),
(135398,	9,	425,	2,	2),
(135399,	9,	425,	3,	2),
(135400,	9,	426,	1,	1),
(135401,	9,	426,	2,	1),
(135402,	9,	426,	3,	1),
(135403,	9,	426,	1,	2),
(135404,	9,	426,	2,	2),
(135405,	9,	426,	3,	2),
(135406,	9,	427,	1,	1),
(135407,	9,	427,	2,	1),
(135408,	9,	427,	3,	1),
(135409,	9,	428,	1,	1),
(135410,	9,	428,	2,	1),
(135411,	9,	428,	3,	1),
(135412,	9,	428,	1,	3),
(135413,	9,	428,	2,	3),
(135414,	9,	428,	3,	3),
(135415,	9,	429,	1,	1),
(135416,	9,	429,	2,	1),
(135417,	9,	429,	3,	1),
(135418,	9,	429,	1,	3),
(135419,	9,	429,	2,	3),
(135420,	9,	429,	3,	3),
(135421,	9,	430,	1,	1),
(135422,	9,	430,	2,	1),
(135423,	9,	430,	3,	1),
(135424,	9,	430,	1,	3),
(135425,	9,	430,	2,	3),
(135426,	9,	430,	3,	3),
(135427,	9,	430,	1,	2),
(135428,	9,	430,	2,	2),
(135429,	9,	430,	3,	2),
(135430,	9,	431,	1,	1),
(135431,	9,	431,	2,	1),
(135432,	9,	431,	3,	1),
(135433,	9,	431,	1,	3),
(135434,	9,	431,	2,	3),
(135435,	9,	431,	3,	3),
(135436,	9,	431,	1,	2),
(135437,	9,	431,	2,	2),
(135438,	9,	431,	3,	2),
(135439,	9,	432,	1,	1),
(135440,	9,	432,	2,	1),
(135441,	9,	432,	3,	1),
(135442,	9,	432,	1,	3),
(135443,	9,	432,	2,	3),
(135444,	9,	432,	3,	3),
(135445,	9,	432,	1,	2),
(135446,	9,	432,	2,	2),
(135447,	9,	432,	3,	2),
(135448,	9,	433,	1,	1),
(135449,	9,	433,	2,	1),
(135450,	9,	433,	3,	1),
(135451,	9,	433,	1,	2),
(135452,	9,	433,	2,	2),
(135453,	9,	433,	3,	2),
(135454,	9,	434,	1,	1),
(135455,	9,	434,	2,	1),
(135456,	9,	434,	3,	1),
(135457,	9,	434,	1,	2),
(135458,	9,	434,	2,	2),
(135459,	9,	434,	3,	2),
(135460,	9,	435,	1,	1),
(135461,	9,	435,	2,	1),
(135462,	9,	435,	3,	1),
(135463,	9,	435,	1,	2),
(135464,	9,	435,	2,	2),
(135465,	9,	435,	3,	2),
(135466,	9,	436,	1,	1),
(135467,	9,	436,	2,	1),
(135468,	9,	436,	3,	1),
(135469,	9,	436,	1,	2),
(135470,	9,	436,	2,	2),
(135471,	9,	436,	3,	2),
(135472,	9,	437,	1,	1),
(135473,	9,	437,	2,	1),
(135474,	9,	437,	3,	1),
(135475,	9,	437,	1,	2),
(135476,	9,	437,	2,	2),
(135477,	9,	437,	3,	2),
(135478,	9,	438,	1,	1),
(135479,	9,	438,	2,	1),
(135480,	9,	438,	3,	1),
(135481,	9,	438,	1,	2),
(135482,	9,	438,	2,	2),
(135483,	9,	438,	3,	2),
(135484,	9,	439,	1,	1),
(135485,	9,	439,	2,	1),
(135486,	9,	439,	3,	1),
(135487,	9,	439,	1,	2),
(135488,	9,	439,	2,	2),
(135489,	9,	439,	3,	2),
(135490,	9,	440,	1,	1),
(135491,	9,	440,	2,	1),
(135492,	9,	440,	3,	1),
(135493,	9,	440,	1,	3),
(135494,	9,	440,	2,	3),
(135495,	9,	440,	3,	3),
(135496,	9,	441,	1,	1),
(135497,	9,	441,	2,	1),
(135498,	9,	441,	3,	1),
(135499,	9,	441,	1,	3),
(135500,	9,	441,	2,	3),
(135501,	9,	441,	3,	3),
(135502,	9,	442,	1,	1),
(135503,	9,	442,	2,	1),
(135504,	9,	442,	3,	1),
(135505,	9,	442,	1,	3),
(135506,	9,	442,	2,	3),
(135507,	9,	442,	3,	3),
(135508,	9,	443,	1,	1),
(135509,	9,	443,	2,	1),
(135510,	9,	443,	3,	1),
(135511,	9,	443,	1,	2),
(135512,	9,	443,	2,	2),
(135513,	9,	443,	3,	2),
(135514,	9,	444,	1,	1),
(135515,	9,	444,	2,	1),
(135516,	9,	444,	3,	1),
(135517,	9,	444,	1,	3),
(135518,	9,	444,	2,	3),
(135519,	9,	444,	3,	3),
(135520,	9,	445,	1,	1),
(135521,	9,	445,	2,	1),
(135522,	9,	445,	3,	1),
(135523,	9,	445,	1,	3),
(135524,	9,	445,	2,	3),
(135525,	9,	445,	3,	3),
(135526,	9,	446,	1,	1),
(135527,	9,	446,	2,	1),
(135528,	9,	446,	3,	1),
(135529,	9,	446,	1,	2),
(135530,	9,	446,	2,	2),
(135531,	9,	446,	3,	2),
(135532,	9,	447,	1,	1),
(135533,	9,	447,	2,	1),
(135534,	9,	447,	3,	1),
(135535,	9,	447,	1,	3),
(135536,	9,	447,	2,	3),
(135537,	9,	447,	3,	3),
(135538,	9,	448,	1,	1),
(135539,	9,	448,	2,	1),
(135540,	9,	448,	3,	1),
(135541,	9,	448,	1,	2),
(135542,	9,	448,	2,	2),
(135543,	9,	448,	3,	2),
(135544,	9,	449,	1,	1),
(135545,	9,	449,	2,	1),
(135546,	9,	449,	3,	1),
(135547,	9,	449,	1,	2),
(135548,	9,	449,	2,	2),
(135549,	9,	449,	3,	2),
(135550,	9,	450,	1,	1),
(135551,	9,	450,	2,	1),
(135552,	9,	450,	3,	1),
(135553,	9,	450,	1,	3),
(135554,	9,	450,	2,	3),
(135555,	9,	450,	3,	3),
(135556,	9,	451,	1,	1),
(135557,	9,	451,	2,	1),
(135558,	9,	451,	3,	1),
(135559,	9,	451,	1,	2),
(135560,	9,	451,	2,	2),
(135561,	9,	451,	3,	2),
(135562,	9,	452,	1,	1),
(135563,	9,	452,	2,	1),
(135564,	9,	452,	3,	1),
(135565,	9,	452,	1,	2),
(135566,	9,	452,	2,	2),
(135567,	9,	452,	3,	2),
(135568,	9,	453,	1,	1),
(135569,	9,	453,	2,	1),
(135570,	9,	453,	3,	1),
(135571,	9,	453,	1,	3),
(135572,	9,	453,	2,	3),
(135573,	9,	453,	3,	3),
(135574,	9,	454,	1,	1),
(135575,	9,	454,	2,	1),
(135576,	9,	454,	3,	1),
(135577,	9,	454,	1,	2),
(135578,	9,	454,	2,	2),
(135579,	9,	454,	3,	2),
(135580,	9,	455,	1,	1),
(135581,	9,	455,	2,	1),
(135582,	9,	455,	3,	1),
(135583,	9,	456,	1,	1),
(135584,	9,	456,	2,	1),
(135585,	9,	456,	3,	1),
(135586,	9,	456,	1,	2),
(135587,	9,	456,	2,	2),
(135588,	9,	456,	3,	2),
(135589,	9,	457,	1,	1),
(135590,	9,	457,	2,	1),
(135591,	9,	457,	3,	1),
(135592,	9,	457,	1,	2),
(135593,	9,	457,	2,	2),
(135594,	9,	457,	3,	2),
(135595,	9,	458,	1,	1),
(135596,	9,	458,	2,	1),
(135597,	9,	458,	3,	1),
(135598,	9,	458,	1,	3),
(135599,	9,	458,	2,	3),
(135600,	9,	458,	3,	3),
(135601,	9,	459,	1,	1),
(135602,	9,	459,	2,	1),
(135603,	9,	459,	3,	1),
(135604,	9,	460,	1,	1),
(135605,	9,	460,	2,	1),
(135606,	9,	460,	3,	1),
(135607,	9,	460,	1,	2),
(135608,	9,	460,	2,	2),
(135609,	9,	460,	3,	2),
(135610,	9,	461,	1,	1),
(135611,	9,	461,	2,	1),
(135612,	9,	461,	3,	1),
(135613,	9,	461,	1,	2),
(135614,	9,	461,	2,	2),
(135615,	9,	461,	3,	2),
(135616,	9,	462,	1,	1),
(135617,	9,	462,	2,	1),
(135618,	9,	462,	3,	1),
(135619,	9,	462,	1,	2),
(135620,	9,	462,	2,	2),
(135621,	9,	462,	3,	2),
(135622,	9,	463,	1,	1),
(135623,	9,	463,	2,	1),
(135624,	9,	463,	3,	1),
(135625,	9,	463,	1,	2),
(135626,	9,	463,	2,	2),
(135627,	9,	463,	3,	2),
(135628,	9,	464,	1,	1),
(135629,	9,	464,	2,	1),
(135630,	9,	464,	3,	1),
(135631,	9,	464,	1,	2),
(135632,	9,	464,	2,	2),
(135633,	9,	464,	3,	2),
(135634,	9,	465,	1,	1),
(135635,	9,	465,	2,	1),
(135636,	9,	465,	3,	1),
(135637,	9,	465,	1,	2),
(135638,	9,	465,	2,	2),
(135639,	9,	465,	3,	2),
(135640,	9,	466,	1,	1),
(135641,	9,	466,	2,	1),
(135642,	9,	466,	3,	1),
(135643,	9,	466,	1,	2),
(135644,	9,	466,	2,	2),
(135645,	9,	466,	3,	2),
(135646,	9,	467,	1,	1),
(135647,	9,	467,	2,	1),
(135648,	9,	467,	3,	1),
(135649,	9,	467,	1,	2),
(135650,	9,	467,	2,	2),
(135651,	9,	467,	3,	2),
(135652,	9,	468,	1,	1),
(135653,	9,	468,	2,	1),
(135654,	9,	468,	3,	1),
(135655,	9,	468,	1,	2),
(135656,	9,	468,	2,	2),
(135657,	9,	468,	3,	2),
(135658,	9,	469,	1,	1),
(135659,	9,	469,	2,	1),
(135660,	9,	469,	3,	1),
(135661,	9,	469,	1,	2),
(135662,	9,	469,	2,	2),
(135663,	9,	469,	3,	2),
(135664,	9,	470,	1,	1),
(135665,	9,	470,	2,	1),
(135666,	9,	470,	3,	1),
(135667,	9,	471,	1,	1),
(135668,	9,	471,	2,	1),
(135669,	9,	471,	3,	1),
(135670,	9,	472,	1,	1),
(135671,	9,	472,	2,	1),
(135672,	9,	472,	3,	1),
(135673,	9,	473,	1,	1),
(135674,	9,	473,	2,	1),
(135675,	9,	473,	3,	1),
(135676,	9,	474,	1,	1),
(135677,	9,	474,	2,	1),
(135678,	9,	474,	3,	1),
(135679,	9,	474,	1,	3),
(135680,	9,	474,	2,	3),
(135681,	9,	474,	3,	3),
(135682,	9,	475,	1,	1),
(135683,	9,	475,	2,	1),
(135684,	9,	475,	3,	1),
(135685,	9,	476,	1,	1),
(135686,	9,	476,	2,	1),
(135687,	9,	476,	3,	1),
(135688,	9,	476,	1,	2),
(135689,	9,	476,	2,	2),
(135690,	9,	476,	3,	2),
(135691,	9,	477,	1,	1),
(135692,	9,	477,	2,	1),
(135693,	9,	477,	3,	1),
(135694,	9,	477,	1,	2),
(135695,	9,	477,	2,	2),
(135696,	9,	477,	3,	2),
(135697,	9,	478,	1,	1),
(135698,	9,	478,	2,	1),
(135699,	9,	478,	3,	1),
(135700,	9,	478,	1,	2),
(135701,	9,	478,	2,	2),
(135702,	9,	478,	3,	2),
(135703,	9,	479,	1,	1),
(135704,	9,	479,	2,	1),
(135705,	9,	479,	3,	1),
(135706,	9,	480,	1,	1),
(135707,	9,	480,	2,	1),
(135708,	9,	480,	3,	1),
(135709,	9,	481,	1,	1),
(135710,	9,	481,	2,	1),
(135711,	9,	481,	3,	1),
(135712,	9,	482,	1,	1),
(135713,	9,	482,	2,	1),
(135714,	9,	482,	3,	1),
(135715,	9,	483,	1,	1),
(135716,	9,	483,	2,	1),
(135717,	9,	483,	3,	1),
(135718,	9,	484,	1,	1),
(135719,	9,	484,	2,	1),
(135720,	9,	484,	3,	1),
(135721,	9,	485,	1,	1),
(135722,	9,	485,	2,	1),
(135723,	9,	485,	3,	1),
(135724,	9,	486,	1,	1),
(135725,	9,	486,	2,	1),
(135726,	9,	486,	3,	1),
(135727,	9,	486,	1,	2),
(135728,	9,	486,	2,	2),
(135729,	9,	486,	3,	2),
(135730,	9,	487,	1,	1),
(135731,	9,	487,	2,	1),
(135732,	9,	487,	3,	1),
(135733,	9,	487,	1,	2),
(135734,	9,	487,	2,	2),
(135735,	9,	487,	3,	2),
(135736,	9,	488,	1,	1),
(135737,	9,	488,	2,	1),
(135738,	9,	488,	3,	1),
(135739,	9,	488,	1,	2),
(135740,	9,	488,	2,	2),
(135741,	9,	488,	3,	2),
(135742,	9,	489,	1,	1),
(135743,	9,	489,	2,	1),
(135744,	9,	489,	3,	1),
(135745,	9,	489,	1,	2),
(135746,	9,	489,	2,	2),
(135747,	9,	489,	3,	2),
(135748,	9,	490,	1,	1),
(135749,	9,	490,	2,	1),
(135750,	9,	490,	3,	1),
(135751,	9,	491,	1,	1),
(135752,	9,	491,	2,	1),
(135753,	9,	491,	3,	1),
(135754,	9,	492,	1,	1),
(135755,	9,	492,	2,	1),
(135756,	9,	492,	3,	1),
(135757,	9,	493,	1,	1),
(135758,	9,	493,	2,	1),
(135759,	9,	493,	3,	1),
(135760,	9,	493,	1,	2),
(135761,	9,	493,	2,	2),
(135762,	9,	493,	3,	2),
(135763,	9,	494,	1,	1),
(135764,	9,	494,	2,	1),
(135765,	9,	494,	3,	1),
(135766,	9,	494,	1,	2),
(135767,	9,	494,	2,	2),
(135768,	9,	494,	3,	2),
(135769,	9,	495,	1,	1),
(135770,	9,	495,	2,	1),
(135771,	9,	495,	3,	1),
(135772,	9,	495,	1,	2),
(135773,	9,	495,	2,	2),
(135774,	9,	495,	3,	2),
(135775,	9,	496,	1,	1),
(135776,	9,	496,	2,	1),
(135777,	9,	496,	3,	1),
(135778,	9,	496,	1,	2),
(135779,	9,	496,	2,	2),
(135780,	9,	496,	3,	2),
(135781,	9,	497,	1,	1),
(135782,	9,	497,	2,	1),
(135783,	9,	497,	3,	1),
(135784,	9,	497,	1,	2),
(135785,	9,	497,	2,	2),
(135786,	9,	497,	3,	2),
(135787,	9,	498,	1,	1),
(135788,	9,	498,	2,	1),
(135789,	9,	498,	3,	1),
(135790,	9,	498,	1,	2),
(135791,	9,	498,	2,	2),
(135792,	9,	498,	3,	2),
(135793,	9,	499,	1,	1),
(135794,	9,	499,	2,	1),
(135795,	9,	499,	3,	1),
(135796,	9,	499,	1,	2),
(135797,	9,	499,	2,	2),
(135798,	9,	499,	3,	2),
(135799,	9,	500,	1,	1),
(135800,	9,	500,	2,	1),
(135801,	9,	500,	3,	1),
(135802,	9,	500,	1,	2),
(135803,	9,	500,	2,	2),
(135804,	9,	500,	3,	2),
(135805,	9,	501,	1,	1),
(135806,	9,	501,	2,	1),
(135807,	9,	501,	3,	1),
(135808,	9,	501,	1,	2),
(135809,	9,	501,	2,	2),
(135810,	9,	501,	3,	2),
(135811,	9,	502,	1,	1),
(135812,	9,	502,	2,	1),
(135813,	9,	502,	3,	1),
(135814,	9,	502,	1,	2),
(135815,	9,	502,	2,	2),
(135816,	9,	502,	3,	2),
(135817,	9,	503,	1,	1),
(135818,	9,	503,	2,	1),
(135819,	9,	503,	3,	1),
(135820,	9,	503,	1,	2),
(135821,	9,	503,	2,	2),
(135822,	9,	503,	3,	2),
(135823,	9,	504,	1,	1),
(135824,	9,	504,	2,	1),
(135825,	9,	504,	3,	1),
(135826,	9,	504,	1,	2),
(135827,	9,	504,	2,	2),
(135828,	9,	504,	3,	2),
(135829,	9,	505,	1,	1),
(135830,	9,	505,	2,	1),
(135831,	9,	505,	3,	1),
(135832,	9,	505,	1,	2),
(135833,	9,	505,	2,	2),
(135834,	9,	505,	3,	2),
(135835,	9,	506,	1,	1),
(135836,	9,	506,	2,	1),
(135837,	9,	506,	3,	1),
(135838,	9,	506,	1,	2),
(135839,	9,	506,	2,	2),
(135840,	9,	506,	3,	2),
(135841,	9,	507,	1,	1),
(135842,	9,	507,	2,	1),
(135843,	9,	507,	3,	1),
(135844,	9,	507,	1,	2),
(135845,	9,	507,	2,	2),
(135846,	9,	507,	3,	2),
(135847,	9,	508,	1,	1),
(135848,	9,	508,	2,	1),
(135849,	9,	508,	3,	1),
(135850,	9,	508,	1,	2),
(135851,	9,	508,	2,	2),
(135852,	9,	508,	3,	2),
(135853,	9,	509,	1,	1),
(135854,	9,	509,	2,	1),
(135855,	9,	509,	3,	1),
(135856,	9,	509,	1,	2),
(135857,	9,	509,	2,	2),
(135858,	9,	509,	3,	2),
(135859,	9,	510,	1,	1),
(135860,	9,	510,	2,	1),
(135861,	9,	510,	3,	1),
(135862,	9,	510,	1,	2),
(135863,	9,	510,	2,	2),
(135864,	9,	510,	3,	2),
(135865,	9,	511,	1,	1),
(135866,	9,	511,	2,	1),
(135867,	9,	511,	3,	1),
(135868,	9,	511,	1,	2),
(135869,	9,	511,	2,	2),
(135870,	9,	511,	3,	2),
(135871,	9,	512,	1,	1),
(135872,	9,	512,	2,	1),
(135873,	9,	512,	3,	1),
(135874,	9,	512,	1,	2),
(135875,	9,	512,	2,	2),
(135876,	9,	512,	3,	2),
(135877,	9,	513,	1,	1),
(135878,	9,	513,	2,	1),
(135879,	9,	513,	3,	1),
(135880,	9,	513,	1,	2),
(135881,	9,	513,	2,	2),
(135882,	9,	513,	3,	2),
(135883,	9,	514,	1,	1),
(135884,	9,	514,	2,	1),
(135885,	9,	514,	3,	1),
(135886,	9,	514,	23,	1),
(135887,	9,	514,	1,	3),
(135888,	9,	514,	2,	3),
(135889,	9,	514,	3,	3),
(135890,	9,	514,	23,	3),
(135891,	9,	515,	1,	1),
(135892,	9,	515,	2,	1),
(135893,	9,	515,	3,	1),
(135894,	9,	515,	23,	1),
(135895,	9,	515,	1,	3),
(135896,	9,	515,	2,	3),
(135897,	9,	515,	3,	3),
(135898,	9,	515,	23,	3),
(135899,	9,	516,	1,	1),
(135900,	9,	516,	2,	1),
(135901,	9,	516,	3,	1),
(135902,	9,	516,	1,	3),
(135903,	9,	516,	2,	3),
(135904,	9,	516,	3,	3),
(135905,	9,	517,	1,	1),
(135906,	9,	517,	2,	1),
(135907,	9,	517,	3,	1),
(135908,	9,	517,	23,	1),
(135909,	9,	517,	1,	3),
(135910,	9,	517,	2,	3),
(135911,	9,	517,	3,	3),
(135912,	9,	517,	23,	3),
(135913,	9,	518,	1,	1),
(135914,	9,	518,	2,	1),
(135915,	9,	518,	3,	1),
(135916,	9,	518,	23,	1),
(135917,	9,	518,	1,	3),
(135918,	9,	518,	2,	3),
(135919,	9,	518,	3,	3),
(135920,	9,	518,	23,	3),
(135921,	9,	519,	1,	1),
(135922,	9,	519,	2,	1),
(135923,	9,	519,	3,	1),
(135924,	9,	519,	1,	3),
(135925,	9,	519,	2,	3),
(135926,	9,	519,	3,	3),
(135927,	9,	519,	1,	2),
(135928,	9,	519,	2,	2),
(135929,	9,	519,	3,	2),
(135930,	9,	520,	1,	1),
(135931,	9,	520,	2,	1),
(135932,	9,	520,	3,	1),
(135933,	9,	520,	1,	3),
(135934,	9,	520,	2,	3),
(135935,	9,	520,	3,	3),
(135936,	9,	521,	1,	1),
(135937,	9,	521,	2,	1),
(135938,	9,	521,	3,	1),
(135939,	9,	521,	1,	3),
(135940,	9,	521,	2,	3),
(135941,	9,	521,	3,	3),
(135942,	9,	521,	1,	2),
(135943,	9,	521,	2,	2),
(135944,	9,	521,	3,	2),
(135945,	9,	522,	1,	1),
(135946,	9,	522,	2,	1),
(135947,	9,	522,	3,	1),
(135948,	9,	522,	1,	2),
(135949,	9,	522,	2,	2),
(135950,	9,	522,	3,	2),
(135951,	9,	523,	1,	1),
(135952,	9,	523,	2,	1),
(135953,	9,	523,	3,	1),
(135954,	9,	523,	1,	3),
(135955,	9,	523,	2,	3),
(135956,	9,	523,	3,	3),
(135957,	9,	524,	1,	1),
(135958,	9,	524,	2,	1),
(135959,	9,	524,	3,	1),
(135960,	9,	524,	1,	2),
(135961,	9,	524,	2,	2),
(135962,	9,	524,	3,	2),
(135963,	9,	525,	1,	1),
(135964,	9,	525,	2,	1),
(135965,	9,	525,	3,	1),
(135966,	9,	525,	1,	3),
(135967,	9,	525,	2,	3),
(135968,	9,	525,	3,	3),
(135969,	9,	526,	1,	1),
(135970,	9,	526,	2,	1),
(135971,	9,	526,	3,	1),
(135972,	9,	526,	1,	2),
(135973,	9,	526,	2,	2),
(135974,	9,	526,	3,	2),
(135975,	9,	527,	1,	1),
(135976,	9,	527,	2,	1),
(135977,	9,	527,	3,	1),
(135978,	9,	527,	1,	2),
(135979,	9,	527,	2,	2),
(135980,	9,	527,	3,	2),
(135981,	9,	528,	1,	1),
(135982,	9,	528,	2,	1),
(135983,	9,	528,	3,	1),
(135984,	9,	528,	6,	1),
(135985,	9,	528,	1,	2),
(135986,	9,	528,	2,	2),
(135987,	9,	528,	3,	2),
(135988,	9,	528,	6,	2),
(135989,	9,	529,	1,	1),
(135990,	9,	529,	2,	1),
(135991,	9,	529,	3,	1),
(135992,	9,	529,	6,	1),
(135993,	9,	529,	1,	2),
(135994,	9,	529,	2,	2),
(135995,	9,	529,	3,	2),
(135996,	9,	529,	6,	2),
(135997,	9,	530,	1,	1),
(135998,	9,	530,	2,	1),
(135999,	9,	530,	3,	1),
(136000,	9,	530,	6,	1),
(136001,	9,	530,	1,	2),
(136002,	9,	530,	2,	2),
(136003,	9,	530,	3,	2),
(136004,	9,	530,	6,	2),
(136005,	9,	531,	1,	1),
(136006,	9,	531,	2,	1),
(136007,	9,	531,	3,	1),
(136008,	9,	531,	1,	2),
(136009,	9,	531,	2,	2),
(136010,	9,	531,	3,	2),
(136011,	9,	532,	1,	1),
(136012,	9,	532,	2,	1),
(136013,	9,	532,	3,	1),
(136014,	9,	532,	6,	1),
(136015,	9,	532,	1,	2),
(136016,	9,	532,	2,	2),
(136017,	9,	532,	3,	2),
(136018,	9,	532,	6,	2),
(136019,	9,	533,	1,	1),
(136020,	9,	533,	2,	1),
(136021,	9,	533,	3,	1),
(136022,	9,	533,	6,	1),
(136023,	9,	533,	1,	2),
(136024,	9,	533,	2,	2),
(136025,	9,	533,	3,	2),
(136026,	9,	533,	6,	2),
(136027,	9,	534,	1,	1),
(136028,	9,	534,	2,	1),
(136029,	9,	534,	3,	1),
(136030,	9,	534,	1,	3),
(136031,	9,	534,	2,	3),
(136032,	9,	534,	3,	3),
(136033,	9,	535,	1,	1),
(136034,	9,	535,	2,	1),
(136035,	9,	535,	3,	1),
(136036,	9,	535,	1,	3),
(136037,	9,	535,	2,	3),
(136038,	9,	535,	3,	3),
(136039,	9,	536,	1,	1),
(136040,	9,	536,	2,	1),
(136041,	9,	536,	3,	1),
(136042,	9,	536,	1,	3),
(136043,	9,	536,	2,	3),
(136044,	9,	536,	3,	3),
(136045,	9,	537,	1,	1),
(136046,	9,	537,	2,	1),
(136047,	9,	537,	3,	1),
(136048,	9,	537,	1,	3),
(136049,	9,	537,	2,	3),
(136050,	9,	537,	3,	3),
(136051,	9,	538,	1,	1),
(136052,	9,	538,	2,	1),
(136053,	9,	538,	3,	1),
(136054,	9,	538,	1,	3),
(136055,	9,	538,	2,	3),
(136056,	9,	538,	3,	3),
(136057,	9,	539,	1,	1),
(136058,	9,	539,	2,	1),
(136059,	9,	539,	3,	1),
(136060,	9,	540,	1,	1),
(136061,	9,	540,	2,	1),
(136062,	9,	540,	3,	1),
(136063,	9,	541,	1,	1),
(136064,	9,	541,	2,	1),
(136065,	9,	541,	3,	1),
(136066,	9,	541,	4,	1),
(136067,	9,	542,	1,	1),
(136068,	9,	542,	2,	1),
(136069,	9,	542,	3,	1),
(136070,	9,	543,	1,	1),
(136071,	9,	543,	2,	1),
(136072,	9,	543,	3,	1),
(136073,	9,	543,	31,	1),
(136074,	9,	543,	32,	1),
(136075,	9,	543,	33,	1),
(136076,	9,	543,	34,	1),
(136077,	9,	544,	1,	1),
(136078,	9,	544,	2,	1),
(136079,	9,	544,	3,	1),
(136080,	9,	545,	1,	1),
(136081,	9,	545,	2,	1),
(136082,	9,	545,	3,	1),
(136083,	9,	546,	1,	1),
(136084,	9,	546,	2,	1),
(136085,	9,	546,	3,	1),
(136086,	9,	547,	1,	1),
(136087,	9,	547,	2,	1),
(136088,	9,	547,	3,	1),
(136089,	9,	547,	1,	2),
(136090,	9,	547,	2,	2),
(136091,	9,	547,	3,	2),
(136092,	9,	548,	1,	1),
(136093,	9,	548,	2,	1),
(136094,	9,	548,	3,	1),
(136095,	9,	549,	1,	1),
(136096,	9,	549,	2,	1),
(136097,	9,	549,	3,	1),
(136098,	9,	549,	1,	2),
(136099,	9,	549,	2,	2),
(136100,	9,	549,	3,	2),
(136101,	9,	550,	1,	1),
(136102,	9,	550,	2,	1),
(136103,	9,	550,	3,	1),
(136104,	9,	551,	1,	1),
(136105,	9,	551,	2,	1),
(136106,	9,	551,	3,	1),
(136107,	9,	551,	6,	1),
(136108,	9,	552,	1,	1),
(136109,	9,	552,	2,	1),
(136110,	9,	552,	3,	1),
(136111,	9,	552,	6,	1),
(136112,	9,	552,	1,	2),
(136113,	9,	552,	2,	2),
(136114,	9,	552,	3,	2),
(136115,	9,	552,	6,	2),
(136116,	9,	553,	1,	1),
(136117,	9,	553,	2,	1),
(136118,	9,	553,	3,	1),
(136119,	9,	554,	1,	1),
(136120,	9,	554,	2,	1),
(136121,	9,	554,	3,	1),
(136122,	9,	555,	1,	1),
(136123,	9,	555,	2,	1),
(136124,	9,	555,	3,	1),
(136125,	9,	556,	1,	1),
(136126,	9,	556,	2,	1),
(136127,	9,	556,	3,	1),
(136128,	9,	556,	1,	2),
(136129,	9,	556,	2,	2),
(136130,	9,	556,	3,	2),
(136131,	9,	557,	1,	1),
(136132,	9,	557,	2,	1),
(136133,	9,	557,	3,	1),
(136134,	9,	557,	1,	2),
(136135,	9,	557,	2,	2),
(136136,	9,	557,	3,	2),
(136137,	9,	558,	2,	1),
(136138,	9,	558,	3,	1),
(136139,	9,	558,	35,	1),
(136140,	9,	558,	36,	1),
(136141,	9,	559,	2,	1),
(136142,	9,	559,	3,	1),
(136143,	9,	559,	26,	1),
(136144,	9,	559,	37,	1),
(136145,	9,	559,	36,	1),
(136146,	9,	559,	35,	1),
(136147,	9,	559,	38,	1),
(136148,	9,	559,	28,	1),
(136149,	9,	559,	39,	1),
(136150,	9,	559,	40,	1),
(136151,	9,	559,	2,	3),
(136152,	9,	559,	3,	3),
(136153,	9,	559,	26,	3),
(136154,	9,	559,	37,	3),
(136155,	9,	559,	36,	3),
(136156,	9,	559,	35,	3),
(136157,	9,	559,	38,	3),
(136158,	9,	559,	28,	3),
(136159,	9,	559,	39,	3),
(136160,	9,	559,	40,	3),
(136161,	9,	559,	2,	4),
(136162,	9,	559,	3,	4),
(136163,	9,	559,	26,	4),
(136164,	9,	559,	37,	4),
(136165,	9,	559,	36,	4),
(136166,	9,	559,	35,	4),
(136167,	9,	559,	38,	4),
(136168,	9,	559,	28,	4),
(136169,	9,	559,	39,	4),
(136170,	9,	559,	40,	4),
(136171,	9,	560,	2,	1),
(136172,	9,	560,	3,	1),
(136173,	9,	560,	35,	1),
(136174,	9,	560,	36,	1),
(136175,	9,	561,	2,	1),
(136176,	9,	561,	3,	1),
(136177,	9,	561,	35,	1),
(136178,	9,	561,	41,	1),
(136179,	9,	561,	42,	1),
(136180,	9,	561,	43,	1),
(136181,	9,	561,	44,	1),
(136182,	9,	561,	39,	1),
(136183,	9,	561,	45,	1),
(136184,	9,	561,	46,	1),
(136185,	9,	562,	2,	1),
(136186,	9,	562,	35,	1),
(136187,	9,	563,	2,	1),
(136188,	9,	563,	35,	1),
(136189,	9,	564,	2,	1),
(136190,	9,	565,	2,	1),
(136191,	9,	565,	35,	1),
(136192,	9,	566,	2,	1),
(136193,	9,	566,	35,	1),
(136194,	9,	567,	2,	1),
(136195,	9,	567,	35,	1),
(136196,	9,	568,	2,	1),
(136197,	9,	568,	35,	1),
(136198,	9,	569,	2,	1),
(136199,	9,	569,	35,	1),
(136200,	9,	570,	2,	1),
(136201,	9,	570,	35,	1),
(136202,	9,	571,	1,	1),
(136203,	9,	571,	2,	1),
(136204,	9,	571,	3,	1),
(136205,	9,	571,	1,	2),
(136206,	9,	571,	2,	2),
(136207,	9,	571,	3,	2),
(136208,	9,	572,	1,	1),
(136209,	9,	572,	2,	1),
(136210,	9,	572,	3,	1),
(136211,	9,	572,	1,	2),
(136212,	9,	572,	2,	2),
(136213,	9,	572,	3,	2),
(136214,	9,	573,	1,	1),
(136215,	9,	573,	2,	1),
(136216,	9,	573,	3,	1),
(136217,	9,	573,	1,	2),
(136218,	9,	573,	2,	2),
(136219,	9,	573,	3,	2),
(136220,	9,	574,	1,	1),
(136221,	9,	574,	2,	1),
(136222,	9,	574,	3,	1),
(136223,	9,	574,	1,	2),
(136224,	9,	574,	2,	2),
(136225,	9,	574,	3,	2),
(136226,	9,	575,	2,	1),
(136227,	9,	575,	35,	1),
(136228,	9,	576,	2,	1),
(136229,	9,	576,	35,	1),
(136230,	9,	576,	26,	1),
(136231,	9,	576,	37,	1),
(136232,	9,	576,	36,	1),
(136233,	9,	576,	38,	1),
(136234,	9,	576,	39,	1),
(136235,	9,	576,	40,	1),
(136236,	9,	577,	2,	1),
(136237,	9,	577,	35,	1),
(136238,	9,	577,	45,	1),
(136239,	9,	578,	2,	1),
(136240,	9,	578,	3,	1),
(136241,	9,	578,	41,	1),
(136242,	9,	578,	42,	1),
(136243,	9,	578,	45,	1),
(136244,	9,	578,	46,	1),
(136245,	9,	578,	46,	1),
(136246,	9,	579,	2,	1),
(136247,	9,	579,	35,	1),
(136248,	9,	580,	2,	1),
(136249,	9,	580,	35,	1),
(136250,	9,	581,	2,	1),
(136251,	9,	582,	2,	1),
(136252,	9,	582,	35,	1),
(136253,	9,	583,	2,	1),
(136254,	9,	583,	35,	1),
(136255,	9,	584,	2,	1),
(136256,	9,	584,	35,	1),
(136257,	9,	585,	2,	1),
(136258,	9,	585,	35,	1),
(136259,	9,	585,	41,	1),
(136260,	9,	585,	42,	1),
(136261,	9,	585,	45,	1),
(136262,	9,	585,	46,	1),
(136263,	9,	586,	2,	1),
(136264,	9,	586,	35,	1),
(136265,	9,	587,	2,	1),
(136266,	9,	587,	35,	1),
(136267,	9,	588,	2,	1),
(136268,	9,	588,	35,	1),
(136269,	9,	589,	2,	1),
(136270,	9,	589,	35,	1),
(136271,	9,	590,	1,	1),
(136272,	9,	590,	2,	1),
(136273,	9,	590,	3,	1),
(136274,	9,	591,	1,	1),
(136275,	9,	591,	2,	1),
(136276,	9,	591,	3,	1),
(136277,	9,	591,	23,	1),
(136278,	9,	592,	1,	1),
(136279,	9,	592,	2,	1),
(136280,	9,	592,	3,	1),
(136281,	9,	593,	1,	1),
(136282,	9,	593,	2,	1),
(136283,	9,	593,	3,	1),
(136284,	9,	594,	1,	1),
(136285,	9,	594,	2,	1),
(136286,	9,	594,	3,	1),
(136287,	9,	595,	1,	1),
(136288,	9,	595,	2,	1),
(136289,	9,	595,	3,	1),
(136290,	9,	596,	1,	1),
(136291,	9,	596,	2,	1),
(136292,	9,	596,	3,	1),
(136293,	9,	597,	1,	1),
(136294,	9,	597,	2,	1),
(136295,	9,	597,	3,	1),
(136296,	9,	598,	1,	1),
(136297,	9,	598,	2,	1),
(136298,	9,	598,	3,	1),
(136299,	9,	598,	1,	2),
(136300,	9,	598,	2,	2),
(136301,	9,	598,	3,	2),
(136302,	9,	599,	1,	1),
(136303,	9,	599,	2,	1),
(136304,	9,	599,	3,	1),
(136305,	9,	600,	1,	1),
(136306,	9,	600,	2,	1),
(136307,	9,	600,	3,	1),
(136308,	9,	601,	1,	1),
(136309,	9,	601,	2,	1),
(136310,	9,	601,	3,	1),
(136311,	9,	602,	1,	1),
(136312,	9,	602,	2,	1),
(136313,	9,	602,	3,	1),
(136314,	9,	603,	1,	1),
(136315,	9,	603,	2,	1),
(136316,	9,	603,	3,	1),
(136317,	9,	603,	1,	2),
(136318,	9,	603,	2,	2),
(136319,	9,	603,	3,	2),
(136320,	9,	604,	1,	1),
(136321,	9,	604,	2,	1),
(136322,	9,	604,	3,	1),
(136323,	9,	605,	1,	1),
(136324,	9,	605,	2,	1),
(136325,	9,	605,	3,	1),
(136326,	9,	605,	1,	2),
(136327,	9,	605,	2,	2),
(136328,	9,	605,	3,	2),
(136329,	9,	606,	1,	1),
(136330,	9,	606,	2,	1),
(136331,	9,	606,	3,	1),
(136332,	9,	606,	1,	2),
(136333,	9,	606,	2,	2),
(136334,	9,	606,	3,	2),
(136335,	9,	607,	1,	1),
(136336,	9,	607,	2,	1),
(136337,	9,	607,	3,	1),
(136338,	9,	608,	1,	1),
(136339,	9,	608,	2,	1),
(136340,	9,	608,	3,	1),
(136341,	9,	609,	1,	1),
(136342,	9,	609,	2,	1),
(136343,	9,	609,	3,	1),
(136344,	9,	610,	1,	1),
(136345,	9,	610,	2,	1),
(136346,	9,	610,	3,	1),
(136347,	9,	611,	1,	1),
(136348,	9,	611,	2,	1),
(136349,	9,	611,	3,	1),
(136350,	9,	612,	1,	1),
(136351,	9,	612,	2,	1),
(136352,	9,	612,	3,	1),
(136353,	9,	613,	1,	1),
(136354,	9,	613,	2,	1),
(136355,	9,	613,	3,	1),
(136356,	9,	614,	1,	1),
(136357,	9,	614,	2,	1),
(136358,	9,	614,	3,	1),
(136359,	9,	614,	1,	2),
(136360,	9,	614,	2,	2),
(136361,	9,	614,	3,	2),
(136362,	9,	615,	1,	1),
(136363,	9,	615,	2,	1),
(136364,	9,	615,	3,	1),
(136365,	9,	615,	1,	2),
(136366,	9,	615,	2,	2),
(136367,	9,	615,	3,	2),
(136368,	9,	616,	1,	1),
(136369,	9,	616,	2,	1),
(136370,	9,	616,	3,	1),
(136371,	9,	616,	1,	2),
(136372,	9,	616,	2,	2),
(136373,	9,	616,	3,	2),
(136374,	9,	617,	1,	1),
(136375,	9,	617,	2,	1),
(136376,	9,	617,	3,	1),
(136377,	9,	617,	1,	2),
(136378,	9,	617,	2,	2),
(136379,	9,	617,	3,	2),
(136380,	9,	618,	1,	1),
(136381,	9,	618,	2,	1),
(136382,	9,	618,	3,	1),
(136383,	9,	618,	1,	2),
(136384,	9,	618,	2,	2),
(136385,	9,	618,	3,	2),
(136386,	9,	619,	1,	1),
(136387,	9,	619,	2,	1),
(136388,	9,	619,	3,	1),
(136389,	9,	620,	1,	1),
(136390,	9,	620,	2,	1),
(136391,	9,	620,	3,	1),
(136392,	9,	620,	1,	2),
(136393,	9,	620,	2,	2),
(136394,	9,	620,	3,	2),
(136395,	9,	621,	1,	1),
(136396,	9,	621,	2,	1),
(136397,	9,	621,	3,	1),
(136398,	9,	621,	1,	2),
(136399,	9,	621,	2,	2),
(136400,	9,	621,	3,	2),
(136401,	9,	622,	1,	1),
(136402,	9,	622,	2,	1),
(136403,	9,	622,	3,	1),
(136404,	9,	622,	1,	2),
(136405,	9,	622,	2,	2),
(136406,	9,	622,	3,	2),
(136407,	9,	623,	1,	1),
(136408,	9,	623,	2,	1),
(136409,	9,	623,	3,	1),
(136410,	9,	623,	1,	2),
(136411,	9,	623,	2,	2),
(136412,	9,	623,	3,	2),
(136413,	9,	624,	1,	1),
(136414,	9,	624,	2,	1),
(136415,	9,	624,	3,	1),
(136416,	9,	624,	1,	2),
(136417,	9,	624,	2,	2),
(136418,	9,	624,	3,	2),
(136419,	9,	625,	1,	1),
(136420,	9,	625,	2,	1),
(136421,	9,	625,	3,	1),
(136422,	9,	625,	1,	2),
(136423,	9,	625,	2,	2),
(136424,	9,	625,	3,	2),
(136425,	9,	626,	1,	1),
(136426,	9,	626,	2,	1),
(136427,	9,	626,	3,	1),
(136428,	9,	627,	1,	1),
(136429,	9,	627,	2,	1),
(136430,	9,	627,	3,	1),
(136431,	9,	627,	1,	2),
(136432,	9,	627,	2,	2),
(136433,	9,	627,	3,	2),
(136434,	9,	628,	1,	1),
(136435,	9,	628,	2,	1),
(136436,	9,	628,	3,	1),
(136437,	9,	628,	1,	2),
(136438,	9,	628,	2,	2),
(136439,	9,	628,	3,	2),
(136440,	9,	629,	1,	1),
(136441,	9,	629,	2,	1),
(136442,	9,	629,	3,	1),
(136443,	9,	629,	1,	2),
(136444,	9,	629,	2,	2),
(136445,	9,	629,	3,	2),
(136446,	9,	630,	1,	1),
(136447,	9,	630,	2,	1),
(136448,	9,	630,	3,	1),
(136449,	9,	630,	1,	2),
(136450,	9,	630,	2,	2),
(136451,	9,	630,	3,	2),
(136452,	9,	631,	1,	1),
(136453,	9,	631,	2,	1),
(136454,	9,	631,	3,	1),
(136455,	9,	631,	1,	2),
(136456,	9,	631,	2,	2),
(136457,	9,	631,	3,	2),
(136458,	9,	632,	1,	1),
(136459,	9,	632,	2,	1),
(136460,	9,	632,	3,	1),
(136461,	9,	632,	24,	1),
(136462,	9,	632,	4,	1),
(136463,	9,	632,	32,	1),
(136464,	9,	632,	47,	1),
(136465,	9,	632,	48,	1),
(136466,	9,	633,	1,	1),
(136467,	9,	633,	2,	1),
(136468,	9,	633,	3,	1),
(136469,	9,	634,	1,	1),
(136470,	9,	634,	2,	1),
(136471,	9,	634,	3,	1),
(136472,	9,	634,	5,	1),
(136473,	9,	634,	29,	1),
(136474,	9,	635,	1,	1),
(136475,	9,	635,	2,	1),
(136476,	9,	635,	3,	1),
(136477,	9,	635,	23,	1),
(136478,	9,	636,	1,	1),
(136479,	9,	636,	2,	1),
(136480,	9,	636,	3,	1),
(136481,	9,	636,	1,	2),
(136482,	9,	636,	2,	2),
(136483,	9,	636,	3,	2),
(136484,	9,	637,	1,	1),
(136485,	9,	637,	2,	1),
(136486,	9,	637,	3,	1),
(136487,	9,	637,	23,	1),
(136488,	9,	637,	1,	2),
(136489,	9,	637,	2,	2),
(136490,	9,	637,	3,	2),
(136491,	9,	637,	23,	2),
(136492,	9,	638,	1,	1),
(136493,	9,	638,	2,	1),
(136494,	9,	638,	3,	1),
(136495,	9,	638,	23,	1),
(136496,	9,	638,	1,	2),
(136497,	9,	638,	2,	2),
(136498,	9,	638,	3,	2),
(136499,	9,	638,	23,	2),
(136500,	9,	639,	1,	1),
(136501,	9,	639,	2,	1),
(136502,	9,	639,	3,	1),
(136503,	9,	640,	1,	1),
(136504,	9,	640,	2,	1),
(136505,	9,	640,	3,	1),
(136506,	9,	641,	1,	1),
(136507,	9,	641,	2,	1),
(136508,	9,	641,	3,	1),
(136509,	9,	641,	1,	2),
(136510,	9,	641,	2,	2),
(136511,	9,	641,	3,	2),
(136512,	9,	642,	1,	1),
(136513,	9,	642,	2,	1),
(136514,	9,	642,	3,	1),
(136515,	9,	642,	1,	2),
(136516,	9,	642,	2,	2),
(136517,	9,	642,	3,	2),
(136518,	9,	643,	1,	1),
(136519,	9,	643,	2,	1),
(136520,	9,	643,	3,	1),
(136521,	9,	644,	1,	1),
(136522,	9,	644,	2,	1),
(136523,	9,	644,	3,	1),
(136524,	9,	645,	1,	1),
(136525,	9,	645,	2,	1),
(136526,	9,	645,	3,	1),
(136527,	9,	646,	1,	1),
(136528,	9,	646,	2,	1),
(136529,	9,	646,	3,	1),
(136530,	9,	646,	1,	2),
(136531,	9,	646,	2,	2),
(136532,	9,	646,	3,	2),
(136533,	9,	647,	1,	1),
(136534,	9,	647,	2,	1),
(136535,	9,	647,	3,	1),
(136536,	9,	647,	1,	2),
(136537,	9,	647,	2,	2),
(136538,	9,	647,	3,	2),
(136539,	9,	648,	1,	1),
(136540,	9,	648,	2,	1),
(136541,	9,	648,	3,	1),
(136542,	9,	648,	1,	2),
(136543,	9,	648,	2,	2),
(136544,	9,	648,	3,	2),
(136545,	9,	649,	1,	1),
(136546,	9,	649,	2,	1),
(136547,	9,	649,	3,	1),
(136548,	9,	649,	1,	2),
(136549,	9,	649,	2,	2),
(136550,	9,	649,	3,	2),
(136551,	9,	650,	1,	1),
(136552,	9,	650,	2,	1),
(136553,	9,	650,	3,	1),
(136554,	9,	651,	1,	1),
(136555,	9,	651,	2,	1),
(136556,	9,	651,	3,	1),
(136557,	9,	651,	1,	2),
(136558,	9,	651,	2,	2),
(136559,	9,	651,	3,	2),
(136560,	9,	652,	1,	1),
(136561,	9,	652,	2,	1),
(136562,	9,	652,	3,	1),
(136563,	9,	653,	1,	1),
(136564,	9,	653,	2,	1),
(136565,	9,	653,	3,	1),
(136566,	9,	654,	1,	1),
(136567,	9,	654,	2,	1),
(136568,	9,	654,	3,	1),
(136569,	9,	655,	1,	1),
(136570,	9,	655,	2,	1),
(136571,	9,	655,	3,	1),
(136572,	9,	656,	1,	1),
(136573,	9,	656,	2,	1),
(136574,	9,	656,	3,	1),
(136575,	9,	657,	1,	1),
(136576,	9,	657,	2,	1),
(136577,	9,	657,	3,	1),
(136578,	9,	658,	1,	1),
(136579,	9,	658,	2,	1),
(136580,	9,	658,	3,	1),
(136581,	9,	658,	23,	1),
(136582,	9,	659,	1,	1),
(136583,	9,	659,	2,	1),
(136584,	9,	659,	3,	1),
(136585,	9,	660,	1,	1),
(136586,	9,	660,	2,	1),
(136587,	9,	660,	3,	1),
(136588,	9,	661,	1,	1),
(136589,	9,	661,	2,	1),
(136590,	9,	661,	3,	1),
(136591,	9,	662,	1,	1),
(136592,	9,	662,	2,	1),
(136593,	9,	662,	3,	1),
(136594,	9,	663,	1,	1),
(136595,	9,	663,	2,	1),
(136596,	9,	663,	3,	1),
(136597,	9,	664,	1,	1),
(136598,	9,	664,	2,	1),
(136599,	9,	664,	3,	1),
(136600,	9,	665,	1,	1),
(136601,	9,	665,	2,	1),
(136602,	9,	665,	3,	1),
(136603,	9,	666,	1,	1),
(136604,	9,	666,	2,	1),
(136605,	9,	666,	3,	1),
(136606,	9,	667,	1,	1),
(136607,	9,	667,	2,	1),
(136608,	9,	667,	3,	1),
(136609,	9,	667,	23,	1),
(136610,	9,	667,	1,	2),
(136611,	9,	667,	2,	2),
(136612,	9,	667,	3,	2),
(136613,	9,	667,	23,	2),
(136614,	9,	668,	1,	1),
(136615,	9,	668,	2,	1),
(136616,	9,	668,	3,	1),
(136617,	9,	668,	23,	1),
(136618,	9,	669,	1,	1),
(136619,	9,	669,	2,	1),
(136620,	9,	669,	3,	1),
(136621,	9,	669,	23,	1),
(136622,	9,	670,	1,	1),
(136623,	9,	670,	2,	1),
(136624,	9,	670,	3,	1),
(136625,	9,	670,	23,	1),
(136626,	9,	671,	1,	1),
(136627,	9,	671,	2,	1),
(136628,	9,	671,	3,	1),
(136629,	9,	671,	23,	1),
(136630,	9,	671,	6,	1),
(136631,	9,	671,	24,	1),
(136632,	9,	671,	25,	1),
(136633,	9,	671,	4,	1),
(136634,	9,	671,	5,	1),
(136635,	9,	671,	26,	1),
(136636,	9,	671,	1,	3),
(136637,	9,	671,	2,	3),
(136638,	9,	671,	3,	3),
(136639,	9,	671,	23,	3),
(136640,	9,	671,	6,	3),
(136641,	9,	671,	24,	3),
(136642,	9,	671,	25,	3),
(136643,	9,	671,	4,	3),
(136644,	9,	671,	5,	3),
(136645,	9,	671,	26,	3),
(136646,	9,	672,	1,	1),
(136647,	9,	672,	2,	1),
(136648,	9,	672,	3,	1),
(136649,	9,	673,	1,	1),
(136650,	9,	673,	2,	1),
(136651,	9,	673,	3,	1),
(136652,	9,	673,	23,	1),
(136653,	9,	673,	6,	1),
(136654,	9,	673,	24,	1),
(136655,	9,	673,	25,	1),
(136656,	9,	673,	4,	1),
(136657,	9,	673,	5,	1),
(136658,	9,	673,	26,	1),
(136659,	9,	673,	1,	3),
(136660,	9,	673,	2,	3),
(136661,	9,	673,	3,	3),
(136662,	9,	673,	23,	3),
(136663,	9,	673,	6,	3),
(136664,	9,	673,	24,	3),
(136665,	9,	673,	25,	3),
(136666,	9,	673,	4,	3),
(136667,	9,	673,	5,	3),
(136668,	9,	673,	26,	3),
(136669,	9,	674,	1,	1),
(136670,	9,	674,	2,	1),
(136671,	9,	674,	3,	1),
(136672,	9,	674,	23,	1),
(136673,	9,	674,	6,	1),
(136674,	9,	674,	24,	1),
(136675,	9,	674,	25,	1),
(136676,	9,	674,	4,	1),
(136677,	9,	674,	5,	1),
(136678,	9,	674,	26,	1),
(136679,	9,	674,	1,	3),
(136680,	9,	674,	2,	3),
(136681,	9,	674,	3,	3),
(136682,	9,	674,	23,	3),
(136683,	9,	674,	6,	3),
(136684,	9,	674,	24,	3),
(136685,	9,	674,	25,	3),
(136686,	9,	674,	4,	3),
(136687,	9,	674,	5,	3),
(136688,	9,	674,	26,	3),
(136689,	9,	675,	1,	1),
(136690,	9,	675,	2,	1),
(136691,	9,	675,	3,	1),
(136692,	9,	676,	1,	1),
(136693,	9,	676,	2,	1),
(136694,	9,	676,	3,	1),
(136695,	9,	676,	23,	1),
(136696,	9,	676,	1,	3),
(136697,	9,	676,	2,	3),
(136698,	9,	676,	3,	3),
(136699,	9,	676,	23,	3),
(136700,	9,	677,	1,	1),
(136701,	9,	677,	2,	1),
(136702,	9,	677,	3,	1),
(136703,	9,	678,	1,	1),
(136704,	9,	678,	2,	1),
(136705,	9,	678,	3,	1),
(136706,	9,	679,	1,	1),
(136707,	9,	679,	2,	1),
(136708,	9,	679,	3,	1),
(136709,	9,	680,	1,	1),
(136710,	9,	680,	2,	1),
(136711,	9,	680,	3,	1),
(136712,	9,	680,	6,	1),
(136713,	9,	680,	24,	1),
(136714,	9,	680,	25,	1),
(136715,	9,	680,	4,	1),
(136716,	9,	680,	5,	1),
(136717,	9,	680,	26,	1),
(136718,	9,	680,	1,	3),
(136719,	9,	680,	2,	3),
(136720,	9,	680,	3,	3),
(136721,	9,	680,	6,	3),
(136722,	9,	680,	24,	3),
(136723,	9,	680,	25,	3),
(136724,	9,	680,	4,	3),
(136725,	9,	680,	5,	3),
(136726,	9,	680,	26,	3),
(136727,	9,	681,	1,	1),
(136728,	9,	681,	2,	1),
(136729,	9,	681,	3,	1),
(136730,	9,	681,	23,	1),
(136731,	9,	681,	6,	1),
(136732,	9,	681,	24,	1),
(136733,	9,	681,	25,	1),
(136734,	9,	681,	4,	1),
(136735,	9,	681,	5,	1),
(136736,	9,	681,	26,	1),
(136737,	9,	681,	28,	1),
(136738,	9,	682,	1,	1),
(136739,	9,	682,	2,	1),
(136740,	9,	682,	3,	1),
(136741,	9,	682,	23,	1),
(136742,	9,	682,	6,	1),
(136743,	9,	682,	24,	1),
(136744,	9,	682,	25,	1),
(136745,	9,	682,	4,	1),
(136746,	9,	682,	5,	1),
(136747,	9,	682,	26,	1),
(136748,	9,	682,	1,	3),
(136749,	9,	682,	2,	3),
(136750,	9,	682,	3,	3),
(136751,	9,	682,	23,	3),
(136752,	9,	682,	6,	3),
(136753,	9,	682,	24,	3),
(136754,	9,	682,	25,	3),
(136755,	9,	682,	4,	3),
(136756,	9,	682,	5,	3),
(136757,	9,	682,	26,	3),
(136758,	9,	683,	1,	1),
(136759,	9,	683,	2,	1),
(136760,	9,	683,	3,	1),
(136761,	9,	683,	23,	1),
(136762,	9,	684,	1,	1),
(136763,	9,	684,	2,	1),
(136764,	9,	684,	3,	1),
(136765,	9,	684,	23,	1),
(136766,	9,	684,	6,	1),
(136767,	9,	684,	24,	1),
(136768,	9,	684,	25,	1),
(136769,	9,	684,	4,	1),
(136770,	9,	684,	5,	1),
(136771,	9,	684,	26,	1),
(136772,	9,	684,	1,	3),
(136773,	9,	684,	2,	3),
(136774,	9,	684,	3,	3),
(136775,	9,	684,	23,	3),
(136776,	9,	684,	6,	3),
(136777,	9,	684,	24,	3),
(136778,	9,	684,	25,	3),
(136779,	9,	684,	4,	3),
(136780,	9,	684,	5,	3),
(136781,	9,	684,	26,	3),
(136782,	9,	685,	1,	1),
(136783,	9,	685,	2,	1),
(136784,	9,	685,	3,	1),
(136785,	9,	685,	23,	1),
(136786,	9,	685,	6,	1),
(136787,	9,	685,	24,	1),
(136788,	9,	685,	25,	1),
(136789,	9,	685,	4,	1),
(136790,	9,	685,	5,	1),
(136791,	9,	685,	26,	1),
(136792,	9,	685,	1,	3),
(136793,	9,	685,	2,	3),
(136794,	9,	685,	3,	3),
(136795,	9,	685,	23,	3),
(136796,	9,	685,	6,	3),
(136797,	9,	685,	24,	3),
(136798,	9,	685,	25,	3),
(136799,	9,	685,	4,	3),
(136800,	9,	685,	5,	3),
(136801,	9,	685,	26,	3),
(136802,	9,	686,	1,	1),
(136803,	9,	686,	2,	1),
(136804,	9,	686,	3,	1),
(136805,	9,	687,	1,	1),
(136806,	9,	687,	2,	1),
(136807,	9,	687,	3,	1),
(136808,	9,	687,	23,	1),
(136809,	9,	687,	6,	1),
(136810,	9,	687,	24,	1),
(136811,	9,	687,	25,	1),
(136812,	9,	687,	4,	1),
(136813,	9,	687,	5,	1),
(136814,	9,	687,	26,	1),
(136815,	9,	687,	1,	3),
(136816,	9,	687,	2,	3),
(136817,	9,	687,	3,	3),
(136818,	9,	687,	23,	3),
(136819,	9,	687,	6,	3),
(136820,	9,	687,	24,	3),
(136821,	9,	687,	25,	3),
(136822,	9,	687,	4,	3),
(136823,	9,	687,	5,	3),
(136824,	9,	687,	26,	3),
(136825,	9,	688,	1,	1),
(136826,	9,	688,	2,	1),
(136827,	9,	688,	3,	1),
(136828,	9,	688,	23,	1),
(136829,	9,	688,	6,	1),
(136830,	9,	688,	24,	1),
(136831,	9,	688,	25,	1),
(136832,	9,	688,	4,	1),
(136833,	9,	688,	5,	1),
(136834,	9,	688,	26,	1),
(136835,	9,	688,	1,	3),
(136836,	9,	688,	2,	3),
(136837,	9,	688,	3,	3),
(136838,	9,	688,	23,	3),
(136839,	9,	688,	6,	3),
(136840,	9,	688,	24,	3),
(136841,	9,	688,	25,	3),
(136842,	9,	688,	4,	3),
(136843,	9,	688,	5,	3),
(136844,	9,	688,	26,	3),
(136845,	9,	689,	1,	1),
(136846,	9,	689,	2,	1),
(136847,	9,	689,	3,	1),
(136848,	9,	689,	1,	3),
(136849,	9,	689,	2,	3),
(136850,	9,	689,	3,	3),
(136851,	9,	690,	1,	1),
(136852,	9,	690,	2,	1),
(136853,	9,	690,	3,	1),
(136854,	9,	690,	23,	1),
(136855,	9,	690,	6,	1),
(136856,	9,	690,	24,	1),
(136857,	9,	690,	25,	1),
(136858,	9,	690,	4,	1),
(136859,	9,	690,	5,	1),
(136860,	9,	690,	26,	1),
(136861,	9,	690,	1,	3),
(136862,	9,	690,	2,	3),
(136863,	9,	690,	3,	3),
(136864,	9,	690,	23,	3),
(136865,	9,	690,	6,	3),
(136866,	9,	690,	24,	3),
(136867,	9,	690,	25,	3),
(136868,	9,	690,	4,	3),
(136869,	9,	690,	5,	3),
(136870,	9,	690,	26,	3),
(136871,	9,	691,	1,	1),
(136872,	9,	691,	2,	1),
(136873,	9,	691,	3,	1),
(136874,	9,	692,	1,	1),
(136875,	9,	692,	2,	1),
(136876,	9,	692,	3,	1),
(136877,	9,	692,	23,	1),
(136878,	9,	692,	6,	1),
(136879,	9,	692,	24,	1),
(136880,	9,	692,	25,	1),
(136881,	9,	692,	4,	1),
(136882,	9,	692,	5,	1),
(136883,	9,	692,	26,	1),
(136884,	9,	692,	1,	3),
(136885,	9,	692,	2,	3),
(136886,	9,	692,	3,	3),
(136887,	9,	692,	23,	3),
(136888,	9,	692,	6,	3),
(136889,	9,	692,	24,	3),
(136890,	9,	692,	25,	3),
(136891,	9,	692,	4,	3),
(136892,	9,	692,	5,	3),
(136893,	9,	692,	26,	3),
(136894,	9,	693,	1,	1),
(136895,	9,	693,	2,	1),
(136896,	9,	693,	3,	1),
(136897,	9,	693,	1,	3),
(136898,	9,	693,	2,	3),
(136899,	9,	693,	3,	3),
(136900,	9,	694,	1,	1),
(136901,	9,	694,	2,	1),
(136902,	9,	694,	3,	1),
(136903,	9,	694,	23,	1),
(136904,	9,	694,	6,	1),
(136905,	9,	694,	24,	1),
(136906,	9,	694,	25,	1),
(136907,	9,	694,	4,	1),
(136908,	9,	694,	5,	1),
(136909,	9,	694,	26,	1),
(136910,	9,	694,	1,	3),
(136911,	9,	694,	2,	3),
(136912,	9,	694,	3,	3),
(136913,	9,	694,	23,	3),
(136914,	9,	694,	6,	3),
(136915,	9,	694,	24,	3),
(136916,	9,	694,	25,	3),
(136917,	9,	694,	4,	3),
(136918,	9,	694,	5,	3),
(136919,	9,	694,	26,	3),
(136920,	9,	695,	1,	1),
(136921,	9,	695,	2,	1),
(136922,	9,	695,	3,	1),
(136923,	9,	695,	1,	2),
(136924,	9,	695,	2,	2),
(136925,	9,	695,	3,	2),
(136926,	9,	696,	1,	1),
(136927,	9,	696,	2,	1),
(136928,	9,	696,	3,	1),
(136929,	9,	696,	23,	1),
(136930,	9,	696,	6,	1),
(136931,	9,	696,	24,	1),
(136932,	9,	696,	25,	1),
(136933,	9,	696,	4,	1),
(136934,	9,	696,	5,	1),
(136935,	9,	696,	26,	1),
(136936,	9,	696,	1,	3),
(136937,	9,	696,	2,	3),
(136938,	9,	696,	3,	3),
(136939,	9,	696,	23,	3),
(136940,	9,	696,	6,	3),
(136941,	9,	696,	24,	3),
(136942,	9,	696,	25,	3),
(136943,	9,	696,	4,	3),
(136944,	9,	696,	5,	3),
(136945,	9,	696,	26,	3),
(136946,	9,	697,	1,	1),
(136947,	9,	697,	2,	1),
(136948,	9,	697,	3,	1),
(136949,	9,	697,	23,	1),
(136950,	9,	697,	6,	1),
(136951,	9,	697,	24,	1),
(136952,	9,	697,	25,	1),
(136953,	9,	697,	4,	1),
(136954,	9,	697,	5,	1),
(136955,	9,	697,	26,	1),
(136956,	9,	697,	1,	3),
(136957,	9,	697,	2,	3),
(136958,	9,	697,	3,	3),
(136959,	9,	697,	23,	3),
(136960,	9,	697,	6,	3),
(136961,	9,	697,	24,	3),
(136962,	9,	697,	25,	3),
(136963,	9,	697,	4,	3),
(136964,	9,	697,	5,	3),
(136965,	9,	697,	26,	3),
(136966,	9,	698,	1,	1),
(136967,	9,	698,	2,	1),
(136968,	9,	698,	3,	1),
(136969,	9,	698,	23,	1),
(136970,	9,	698,	6,	1),
(136971,	9,	698,	24,	1),
(136972,	9,	698,	25,	1),
(136973,	9,	698,	4,	1),
(136974,	9,	698,	5,	1),
(136975,	9,	698,	26,	1),
(136976,	9,	698,	1,	3),
(136977,	9,	698,	2,	3),
(136978,	9,	698,	3,	3),
(136979,	9,	698,	23,	3),
(136980,	9,	698,	6,	3),
(136981,	9,	698,	24,	3),
(136982,	9,	698,	25,	3),
(136983,	9,	698,	4,	3),
(136984,	9,	698,	5,	3),
(136985,	9,	698,	26,	3),
(136986,	9,	699,	1,	1),
(136987,	9,	699,	2,	1),
(136988,	9,	699,	3,	1),
(136989,	9,	700,	1,	1),
(136990,	9,	700,	2,	1),
(136991,	9,	700,	3,	1),
(136992,	9,	701,	1,	1),
(136993,	9,	701,	2,	1),
(136994,	9,	701,	3,	1),
(136995,	9,	702,	1,	1),
(136996,	9,	702,	2,	1),
(136997,	9,	702,	3,	1),
(136998,	9,	703,	1,	1),
(136999,	9,	703,	2,	1),
(137000,	9,	703,	3,	1),
(137001,	9,	703,	23,	1),
(137002,	9,	703,	6,	1),
(137003,	9,	703,	24,	1),
(137004,	9,	703,	25,	1),
(137005,	9,	703,	4,	1),
(137006,	9,	703,	5,	1),
(137007,	9,	703,	26,	1),
(137008,	9,	703,	1,	3),
(137009,	9,	703,	2,	3),
(137010,	9,	703,	3,	3),
(137011,	9,	703,	23,	3),
(137012,	9,	703,	6,	3),
(137013,	9,	703,	24,	3),
(137014,	9,	703,	25,	3),
(137015,	9,	703,	4,	3),
(137016,	9,	703,	5,	3),
(137017,	9,	703,	26,	3),
(137018,	9,	704,	1,	1),
(137019,	9,	704,	2,	1),
(137020,	9,	704,	3,	1),
(137021,	9,	704,	23,	1),
(137022,	9,	704,	6,	1),
(137023,	9,	704,	24,	1),
(137024,	9,	704,	25,	1),
(137025,	9,	704,	4,	1),
(137026,	9,	704,	5,	1),
(137027,	9,	704,	26,	1),
(137028,	9,	705,	1,	1),
(137029,	9,	705,	2,	1),
(137030,	9,	705,	3,	1),
(137031,	9,	706,	1,	1),
(137032,	9,	706,	2,	1),
(137033,	9,	706,	3,	1),
(137034,	9,	707,	1,	1),
(137035,	9,	707,	2,	1),
(137036,	9,	707,	3,	1),
(137037,	9,	708,	1,	1),
(137038,	9,	708,	2,	1),
(137039,	9,	708,	3,	1),
(137040,	9,	709,	1,	1),
(137041,	9,	709,	2,	1),
(137042,	9,	709,	3,	1),
(137043,	9,	709,	23,	1),
(137044,	9,	709,	6,	1),
(137045,	9,	709,	24,	1),
(137046,	9,	709,	25,	1),
(137047,	9,	709,	4,	1),
(137048,	9,	709,	5,	1),
(137049,	9,	709,	26,	1),
(137050,	9,	709,	1,	3),
(137051,	9,	709,	2,	3),
(137052,	9,	709,	3,	3),
(137053,	9,	709,	23,	3),
(137054,	9,	709,	6,	3),
(137055,	9,	709,	24,	3),
(137056,	9,	709,	25,	3),
(137057,	9,	709,	4,	3),
(137058,	9,	709,	5,	3),
(137059,	9,	709,	26,	3),
(137060,	9,	710,	1,	1),
(137061,	9,	710,	2,	1),
(137062,	9,	710,	3,	1),
(137063,	9,	711,	1,	1),
(137064,	9,	711,	2,	1),
(137065,	9,	711,	3,	1),
(137066,	9,	711,	23,	1),
(137067,	9,	711,	6,	1),
(137068,	9,	711,	24,	1),
(137069,	9,	711,	25,	1),
(137070,	9,	711,	4,	1),
(137071,	9,	711,	5,	1),
(137072,	9,	711,	26,	1),
(137073,	9,	711,	1,	3),
(137074,	9,	711,	2,	3),
(137075,	9,	711,	3,	3),
(137076,	9,	711,	23,	3),
(137077,	9,	711,	6,	3),
(137078,	9,	711,	24,	3),
(137079,	9,	711,	25,	3),
(137080,	9,	711,	4,	3),
(137081,	9,	711,	5,	3),
(137082,	9,	711,	26,	3),
(137083,	9,	712,	1,	1),
(137084,	9,	712,	2,	1),
(137085,	9,	712,	3,	1),
(137086,	9,	713,	1,	1),
(137087,	9,	713,	2,	1),
(137088,	9,	713,	3,	1),
(137089,	9,	713,	1,	2),
(137090,	9,	713,	2,	2),
(137091,	9,	713,	3,	2),
(137092,	9,	714,	1,	1),
(137093,	9,	714,	2,	1),
(137094,	9,	714,	3,	1),
(137095,	9,	715,	1,	1),
(137096,	9,	715,	2,	1),
(137097,	9,	715,	3,	1),
(137098,	9,	716,	1,	1),
(137099,	9,	716,	2,	1),
(137100,	9,	716,	3,	1),
(137101,	9,	716,	23,	1),
(137102,	9,	716,	1,	3),
(137103,	9,	716,	2,	3),
(137104,	9,	716,	3,	3),
(137105,	9,	716,	23,	3),
(137106,	9,	717,	1,	1),
(137107,	9,	717,	2,	1),
(137108,	9,	717,	3,	1),
(137109,	9,	717,	23,	1),
(137110,	9,	717,	6,	1),
(137111,	9,	717,	24,	1),
(137112,	9,	717,	25,	1),
(137113,	9,	717,	4,	1),
(137114,	9,	717,	5,	1),
(137115,	9,	717,	26,	1),
(137116,	9,	717,	1,	3),
(137117,	9,	717,	2,	3),
(137118,	9,	717,	3,	3),
(137119,	9,	717,	23,	3),
(137120,	9,	717,	6,	3),
(137121,	9,	717,	24,	3),
(137122,	9,	717,	25,	3),
(137123,	9,	717,	4,	3),
(137124,	9,	717,	5,	3),
(137125,	9,	717,	26,	3),
(137126,	9,	718,	1,	1),
(137127,	9,	718,	2,	1),
(137128,	9,	718,	3,	1),
(137129,	9,	718,	23,	1),
(137130,	9,	719,	1,	1),
(137131,	9,	719,	2,	1),
(137132,	9,	719,	3,	1),
(137133,	9,	719,	23,	1),
(137134,	9,	719,	6,	1),
(137135,	9,	719,	24,	1),
(137136,	9,	719,	25,	1),
(137137,	9,	719,	4,	1),
(137138,	9,	719,	5,	1),
(137139,	9,	719,	26,	1),
(137140,	9,	719,	1,	3),
(137141,	9,	719,	2,	3),
(137142,	9,	719,	3,	3),
(137143,	9,	719,	23,	3),
(137144,	9,	719,	6,	3),
(137145,	9,	719,	24,	3),
(137146,	9,	719,	25,	3),
(137147,	9,	719,	4,	3),
(137148,	9,	719,	5,	3),
(137149,	9,	719,	26,	3),
(137150,	9,	720,	1,	1),
(137151,	9,	720,	2,	1),
(137152,	9,	720,	3,	1),
(137153,	9,	721,	1,	1),
(137154,	9,	721,	2,	1),
(137155,	9,	721,	3,	1),
(137156,	9,	721,	23,	1),
(137157,	9,	721,	1,	3),
(137158,	9,	721,	2,	3),
(137159,	9,	721,	3,	3),
(137160,	9,	721,	23,	3),
(137161,	9,	722,	1,	1),
(137162,	9,	722,	2,	1),
(137163,	9,	722,	3,	1),
(137164,	9,	722,	23,	1),
(137165,	9,	722,	6,	1),
(137166,	9,	722,	24,	1),
(137167,	9,	722,	25,	1),
(137168,	9,	722,	4,	1),
(137169,	9,	722,	5,	1),
(137170,	9,	722,	26,	1),
(137171,	9,	722,	1,	3),
(137172,	9,	722,	2,	3),
(137173,	9,	722,	3,	3),
(137174,	9,	722,	23,	3),
(137175,	9,	722,	6,	3),
(137176,	9,	722,	24,	3),
(137177,	9,	722,	25,	3),
(137178,	9,	722,	4,	3),
(137179,	9,	722,	5,	3),
(137180,	9,	722,	26,	3),
(137181,	9,	723,	1,	1),
(137182,	9,	723,	2,	1),
(137183,	9,	723,	3,	1),
(137184,	9,	723,	23,	1),
(137185,	9,	724,	1,	1),
(137186,	9,	724,	2,	1),
(137187,	9,	724,	3,	1),
(137188,	9,	724,	23,	1),
(137189,	9,	724,	6,	1),
(137190,	9,	724,	24,	1),
(137191,	9,	724,	25,	1),
(137192,	9,	724,	4,	1),
(137193,	9,	724,	5,	1),
(137194,	9,	724,	26,	1),
(137195,	9,	724,	1,	3),
(137196,	9,	724,	2,	3),
(137197,	9,	724,	3,	3),
(137198,	9,	724,	23,	3),
(137199,	9,	724,	6,	3),
(137200,	9,	724,	24,	3),
(137201,	9,	724,	25,	3),
(137202,	9,	724,	4,	3),
(137203,	9,	724,	5,	3),
(137204,	9,	724,	26,	3),
(137205,	9,	725,	1,	1),
(137206,	9,	725,	2,	1),
(137207,	9,	725,	3,	1),
(137208,	9,	726,	1,	1),
(137209,	9,	726,	2,	1),
(137210,	9,	726,	3,	1),
(137211,	9,	727,	1,	1),
(137212,	9,	727,	2,	1),
(137213,	9,	727,	3,	1),
(137214,	9,	728,	1,	1),
(137215,	9,	728,	2,	1),
(137216,	9,	728,	3,	1),
(137217,	9,	729,	1,	1),
(137218,	9,	729,	2,	1),
(137219,	9,	729,	3,	1),
(137220,	9,	730,	1,	1),
(137221,	9,	730,	2,	1),
(137222,	9,	730,	3,	1),
(137223,	9,	730,	23,	1),
(137224,	9,	730,	6,	1),
(137225,	9,	730,	24,	1),
(137226,	9,	730,	25,	1),
(137227,	9,	730,	4,	1),
(137228,	9,	730,	5,	1),
(137229,	9,	730,	26,	1),
(137230,	9,	730,	1,	3),
(137231,	9,	730,	2,	3),
(137232,	9,	730,	3,	3),
(137233,	9,	730,	23,	3),
(137234,	9,	730,	6,	3),
(137235,	9,	730,	24,	3),
(137236,	9,	730,	25,	3),
(137237,	9,	730,	4,	3),
(137238,	9,	730,	5,	3),
(137239,	9,	730,	26,	3),
(137240,	9,	731,	1,	1),
(137241,	9,	731,	2,	1),
(137242,	9,	731,	3,	1),
(137243,	9,	731,	23,	1),
(137244,	9,	731,	6,	1),
(137245,	9,	731,	24,	1),
(137246,	9,	731,	25,	1),
(137247,	9,	731,	4,	1),
(137248,	9,	731,	5,	1),
(137249,	9,	731,	26,	1),
(137250,	9,	731,	1,	3),
(137251,	9,	731,	2,	3),
(137252,	9,	731,	3,	3),
(137253,	9,	731,	23,	3),
(137254,	9,	731,	6,	3),
(137255,	9,	731,	24,	3),
(137256,	9,	731,	25,	3),
(137257,	9,	731,	4,	3),
(137258,	9,	731,	5,	3),
(137259,	9,	731,	26,	3),
(137260,	9,	732,	1,	1),
(137261,	9,	732,	2,	1),
(137262,	9,	732,	3,	1),
(137263,	9,	732,	23,	1),
(137264,	9,	733,	1,	1),
(137265,	9,	733,	2,	1),
(137266,	9,	733,	3,	1),
(137267,	9,	733,	23,	1),
(137268,	9,	733,	6,	1),
(137269,	9,	733,	24,	1),
(137270,	9,	733,	25,	1),
(137271,	9,	733,	4,	1),
(137272,	9,	733,	5,	1),
(137273,	9,	733,	26,	1),
(137274,	9,	733,	1,	3),
(137275,	9,	733,	2,	3),
(137276,	9,	733,	3,	3),
(137277,	9,	733,	23,	3),
(137278,	9,	733,	6,	3),
(137279,	9,	733,	24,	3),
(137280,	9,	733,	25,	3),
(137281,	9,	733,	4,	3),
(137282,	9,	733,	5,	3),
(137283,	9,	733,	26,	3),
(137284,	9,	734,	1,	1),
(137285,	9,	734,	2,	1),
(137286,	9,	734,	3,	1),
(137287,	9,	734,	23,	1),
(137288,	9,	734,	6,	1),
(137289,	9,	734,	24,	1),
(137290,	9,	734,	25,	1),
(137291,	9,	734,	4,	1),
(137292,	9,	734,	5,	1),
(137293,	9,	734,	26,	1),
(137294,	9,	734,	1,	3),
(137295,	9,	734,	2,	3),
(137296,	9,	734,	3,	3),
(137297,	9,	734,	23,	3),
(137298,	9,	734,	6,	3),
(137299,	9,	734,	24,	3),
(137300,	9,	734,	25,	3),
(137301,	9,	734,	4,	3),
(137302,	9,	734,	5,	3),
(137303,	9,	734,	26,	3),
(137304,	9,	735,	1,	1),
(137305,	9,	735,	2,	1),
(137306,	9,	735,	3,	1),
(137307,	9,	735,	23,	1),
(137308,	9,	736,	1,	1),
(137309,	9,	736,	2,	1),
(137310,	9,	736,	3,	1),
(137311,	9,	736,	23,	1),
(137312,	9,	736,	6,	1),
(137313,	9,	736,	24,	1),
(137314,	9,	736,	25,	1),
(137315,	9,	736,	4,	1),
(137316,	9,	736,	5,	1),
(137317,	9,	736,	26,	1),
(137318,	9,	736,	1,	3),
(137319,	9,	736,	2,	3),
(137320,	9,	736,	3,	3),
(137321,	9,	736,	23,	3),
(137322,	9,	736,	6,	3),
(137323,	9,	736,	24,	3),
(137324,	9,	736,	25,	3),
(137325,	9,	736,	4,	3),
(137326,	9,	736,	5,	3),
(137327,	9,	736,	26,	3),
(137328,	9,	737,	1,	1),
(137329,	9,	737,	2,	1),
(137330,	9,	737,	3,	1),
(137331,	9,	738,	1,	1),
(137332,	9,	738,	2,	1),
(137333,	9,	738,	3,	1),
(137334,	9,	739,	1,	1),
(137335,	9,	739,	2,	1),
(137336,	9,	739,	3,	1),
(137337,	9,	740,	1,	1),
(137338,	9,	740,	2,	1),
(137339,	9,	740,	3,	1),
(137340,	9,	740,	23,	1),
(137341,	9,	740,	6,	1),
(137342,	9,	740,	24,	1),
(137343,	9,	740,	25,	1),
(137344,	9,	740,	4,	1),
(137345,	9,	740,	5,	1),
(137346,	9,	740,	26,	1),
(137347,	9,	740,	1,	3),
(137348,	9,	740,	2,	3),
(137349,	9,	740,	3,	3),
(137350,	9,	740,	23,	3),
(137351,	9,	740,	6,	3),
(137352,	9,	740,	24,	3),
(137353,	9,	740,	25,	3),
(137354,	9,	740,	4,	3),
(137355,	9,	740,	5,	3),
(137356,	9,	740,	26,	3),
(137357,	9,	741,	1,	1),
(137358,	9,	741,	2,	1),
(137359,	9,	741,	3,	1),
(137360,	9,	741,	23,	1),
(137361,	9,	741,	6,	1),
(137362,	9,	741,	24,	1),
(137363,	9,	741,	25,	1),
(137364,	9,	741,	4,	1),
(137365,	9,	741,	5,	1),
(137366,	9,	741,	26,	1),
(137367,	9,	742,	1,	1),
(137368,	9,	742,	2,	1),
(137369,	9,	742,	3,	1),
(137370,	9,	743,	1,	1),
(137371,	9,	743,	2,	1),
(137372,	9,	743,	3,	1),
(137373,	9,	743,	23,	1),
(137374,	9,	743,	6,	1),
(137375,	9,	743,	24,	1),
(137376,	9,	743,	25,	1),
(137377,	9,	743,	4,	1),
(137378,	9,	743,	5,	1),
(137379,	9,	743,	26,	1),
(137380,	9,	743,	1,	3),
(137381,	9,	743,	2,	3),
(137382,	9,	743,	3,	3),
(137383,	9,	743,	23,	3),
(137384,	9,	743,	6,	3),
(137385,	9,	743,	24,	3),
(137386,	9,	743,	25,	3),
(137387,	9,	743,	4,	3),
(137388,	9,	743,	5,	3),
(137389,	9,	743,	26,	3),
(137390,	9,	744,	1,	1),
(137391,	9,	744,	2,	1),
(137392,	9,	744,	3,	1),
(137393,	9,	744,	23,	1),
(137394,	9,	744,	6,	1),
(137395,	9,	744,	24,	1),
(137396,	9,	744,	25,	1),
(137397,	9,	744,	4,	1),
(137398,	9,	744,	5,	1),
(137399,	9,	744,	26,	1),
(137400,	9,	744,	1,	3),
(137401,	9,	744,	2,	3),
(137402,	9,	744,	3,	3),
(137403,	9,	744,	23,	3),
(137404,	9,	744,	6,	3),
(137405,	9,	744,	24,	3),
(137406,	9,	744,	25,	3),
(137407,	9,	744,	4,	3),
(137408,	9,	744,	5,	3),
(137409,	9,	744,	26,	3),
(137410,	9,	745,	1,	1),
(137411,	9,	745,	2,	1),
(137412,	9,	745,	3,	1),
(137413,	9,	745,	23,	1),
(137414,	9,	745,	6,	1),
(137415,	9,	745,	5,	1),
(137416,	9,	746,	1,	1),
(137417,	9,	746,	2,	1),
(137418,	9,	746,	3,	1),
(137419,	9,	747,	1,	1),
(137420,	9,	747,	2,	1),
(137421,	9,	747,	3,	1),
(137422,	9,	747,	23,	1),
(137423,	9,	747,	6,	1),
(137424,	9,	747,	24,	1),
(137425,	9,	747,	25,	1),
(137426,	9,	747,	4,	1),
(137427,	9,	747,	5,	1),
(137428,	9,	747,	26,	1),
(137429,	9,	747,	1,	3),
(137430,	9,	747,	2,	3),
(137431,	9,	747,	3,	3),
(137432,	9,	747,	23,	3),
(137433,	9,	747,	6,	3),
(137434,	9,	747,	24,	3),
(137435,	9,	747,	25,	3),
(137436,	9,	747,	4,	3),
(137437,	9,	747,	5,	3),
(137438,	9,	747,	26,	3),
(137439,	9,	748,	1,	1),
(137440,	9,	748,	2,	1),
(137441,	9,	748,	3,	1),
(137442,	9,	748,	23,	1),
(137443,	9,	748,	6,	1),
(137444,	9,	748,	24,	1),
(137445,	9,	748,	25,	1),
(137446,	9,	748,	4,	1),
(137447,	9,	748,	5,	1),
(137448,	9,	748,	26,	1),
(137449,	9,	748,	1,	3),
(137450,	9,	748,	2,	3),
(137451,	9,	748,	3,	3),
(137452,	9,	748,	23,	3),
(137453,	9,	748,	6,	3),
(137454,	9,	748,	24,	3),
(137455,	9,	748,	25,	3),
(137456,	9,	748,	4,	3),
(137457,	9,	748,	5,	3),
(137458,	9,	748,	26,	3),
(137459,	9,	749,	1,	1),
(137460,	9,	749,	2,	1),
(137461,	9,	749,	3,	1),
(137462,	9,	750,	1,	1),
(137463,	9,	750,	2,	1),
(137464,	9,	750,	3,	1),
(137465,	9,	750,	23,	1),
(137466,	9,	750,	6,	1),
(137467,	9,	750,	24,	1),
(137468,	9,	750,	25,	1),
(137469,	9,	750,	4,	1),
(137470,	9,	750,	5,	1),
(137471,	9,	750,	26,	1),
(137472,	9,	750,	1,	3),
(137473,	9,	750,	2,	3),
(137474,	9,	750,	3,	3),
(137475,	9,	750,	23,	3),
(137476,	9,	750,	6,	3),
(137477,	9,	750,	24,	3),
(137478,	9,	750,	25,	3),
(137479,	9,	750,	4,	3),
(137480,	9,	750,	5,	3),
(137481,	9,	750,	26,	3),
(137482,	9,	751,	1,	1),
(137483,	9,	751,	2,	1),
(137484,	9,	751,	3,	1),
(137485,	9,	752,	1,	1),
(137486,	9,	752,	2,	1),
(137487,	9,	752,	3,	1),
(137488,	9,	752,	6,	1),
(137489,	9,	752,	24,	1),
(137490,	9,	752,	25,	1),
(137491,	9,	752,	4,	1),
(137492,	9,	752,	5,	1),
(137493,	9,	752,	26,	1),
(137494,	9,	752,	1,	3),
(137495,	9,	752,	2,	3),
(137496,	9,	752,	3,	3),
(137497,	9,	752,	6,	3),
(137498,	9,	752,	24,	3),
(137499,	9,	752,	25,	3),
(137500,	9,	752,	4,	3),
(137501,	9,	752,	5,	3),
(137502,	9,	752,	26,	3),
(137503,	9,	753,	1,	1),
(137504,	9,	753,	2,	1),
(137505,	9,	753,	3,	1),
(137506,	9,	753,	23,	1),
(137507,	9,	754,	1,	1),
(137508,	9,	754,	2,	1),
(137509,	9,	754,	3,	1),
(137510,	9,	754,	23,	1),
(137511,	9,	754,	6,	1),
(137512,	9,	754,	24,	1),
(137513,	9,	754,	25,	1),
(137514,	9,	754,	4,	1),
(137515,	9,	754,	5,	1),
(137516,	9,	754,	26,	1),
(137517,	9,	754,	1,	3),
(137518,	9,	754,	2,	3),
(137519,	9,	754,	3,	3),
(137520,	9,	754,	23,	3),
(137521,	9,	754,	6,	3),
(137522,	9,	754,	24,	3),
(137523,	9,	754,	25,	3),
(137524,	9,	754,	4,	3),
(137525,	9,	754,	5,	3),
(137526,	9,	754,	26,	3),
(137527,	9,	755,	1,	1),
(137528,	9,	755,	2,	1),
(137529,	9,	755,	3,	1),
(137530,	9,	756,	1,	1),
(137531,	9,	756,	2,	1),
(137532,	9,	756,	3,	1),
(137533,	9,	757,	1,	1),
(137534,	9,	757,	2,	1),
(137535,	9,	757,	3,	1),
(137536,	9,	757,	1,	3),
(137537,	9,	757,	2,	3),
(137538,	9,	757,	3,	3),
(137539,	9,	758,	1,	1),
(137540,	9,	758,	2,	1),
(137541,	9,	758,	3,	1),
(137542,	9,	758,	23,	1),
(137543,	9,	758,	1,	2),
(137544,	9,	758,	2,	2),
(137545,	9,	758,	3,	2),
(137546,	9,	758,	23,	2),
(137547,	9,	759,	1,	1),
(137548,	9,	759,	2,	1),
(137549,	9,	759,	3,	1),
(137550,	9,	759,	1,	3),
(137551,	9,	759,	2,	3),
(137552,	9,	759,	3,	3),
(137553,	9,	760,	1,	1),
(137554,	9,	760,	2,	1),
(137555,	9,	760,	3,	1),
(137556,	9,	760,	23,	1),
(137557,	9,	760,	1,	3),
(137558,	9,	760,	2,	3),
(137559,	9,	760,	3,	3),
(137560,	9,	760,	23,	3),
(137561,	9,	760,	1,	2),
(137562,	9,	760,	2,	2),
(137563,	9,	760,	3,	2),
(137564,	9,	760,	23,	2),
(137565,	9,	761,	1,	1),
(137566,	9,	761,	2,	1),
(137567,	9,	761,	3,	1),
(137568,	9,	761,	1,	2),
(137569,	9,	761,	2,	2),
(137570,	9,	761,	3,	2),
(137571,	9,	762,	1,	1),
(137572,	9,	762,	2,	1),
(137573,	9,	762,	3,	1),
(137574,	9,	762,	1,	2),
(137575,	9,	762,	2,	2),
(137576,	9,	762,	3,	2),
(137577,	9,	763,	1,	1),
(137578,	9,	763,	2,	1),
(137579,	9,	763,	3,	1),
(137580,	9,	763,	1,	2),
(137581,	9,	763,	2,	2),
(137582,	9,	763,	3,	2),
(137583,	9,	764,	1,	1),
(137584,	9,	764,	2,	1),
(137585,	9,	764,	3,	1),
(137586,	9,	764,	1,	2),
(137587,	9,	764,	2,	2),
(137588,	9,	764,	3,	2),
(137589,	9,	765,	1,	1),
(137590,	9,	765,	2,	1),
(137591,	9,	765,	3,	1),
(137592,	9,	765,	1,	2),
(137593,	9,	765,	2,	2),
(137594,	9,	765,	3,	2),
(137595,	9,	766,	1,	1),
(137596,	9,	766,	2,	1),
(137597,	9,	766,	3,	1),
(137598,	9,	767,	1,	1),
(137599,	9,	767,	2,	1),
(137600,	9,	767,	3,	1),
(137601,	9,	767,	6,	1),
(137602,	9,	767,	1,	2),
(137603,	9,	767,	2,	2),
(137604,	9,	767,	3,	2),
(137605,	9,	767,	6,	2),
(137606,	9,	768,	1,	1),
(137607,	9,	768,	2,	1),
(137608,	9,	768,	3,	1),
(137609,	9,	768,	1,	2),
(137610,	9,	768,	2,	2),
(137611,	9,	768,	3,	2),
(137612,	9,	769,	1,	1),
(137613,	9,	769,	2,	1),
(137614,	9,	769,	3,	1),
(137615,	9,	769,	1,	3),
(137616,	9,	769,	2,	3),
(137617,	9,	769,	3,	3),
(137618,	9,	770,	1,	1),
(137619,	9,	770,	2,	1),
(137620,	9,	770,	3,	1),
(137621,	9,	771,	1,	1),
(137622,	9,	771,	2,	1),
(137623,	9,	771,	3,	1),
(137624,	9,	772,	1,	1),
(137625,	9,	772,	2,	1),
(137626,	9,	772,	3,	1),
(137627,	9,	772,	6,	1),
(137628,	9,	772,	1,	2),
(137629,	9,	772,	2,	2),
(137630,	9,	772,	3,	2),
(137631,	9,	772,	6,	2),
(137632,	9,	773,	1,	1),
(137633,	9,	773,	2,	1),
(137634,	9,	773,	3,	1),
(137635,	9,	773,	6,	1),
(137636,	9,	773,	1,	2),
(137637,	9,	773,	2,	2),
(137638,	9,	773,	3,	2),
(137639,	9,	773,	6,	2),
(137640,	9,	774,	1,	1),
(137641,	9,	774,	2,	1),
(137642,	9,	774,	3,	1),
(137643,	9,	775,	1,	1),
(137644,	9,	775,	2,	1),
(137645,	9,	775,	3,	1),
(137646,	9,	775,	1,	2),
(137647,	9,	775,	2,	2),
(137648,	9,	775,	3,	2),
(137649,	9,	776,	1,	1),
(137650,	9,	776,	2,	1),
(137651,	9,	776,	3,	1),
(137652,	9,	776,	1,	2),
(137653,	9,	776,	2,	2),
(137654,	9,	776,	3,	2),
(137655,	9,	777,	1,	1),
(137656,	9,	777,	2,	1),
(137657,	9,	777,	3,	1),
(137658,	9,	778,	1,	1),
(137659,	9,	778,	2,	1),
(137660,	9,	778,	3,	1),
(137661,	9,	778,	1,	2),
(137662,	9,	778,	2,	2),
(137663,	9,	778,	3,	2),
(137664,	9,	779,	1,	1),
(137665,	9,	779,	2,	1),
(137666,	9,	779,	3,	1),
(137667,	9,	779,	1,	2),
(137668,	9,	779,	2,	2),
(137669,	9,	779,	3,	2),
(137670,	9,	780,	1,	1),
(137671,	9,	780,	2,	1),
(137672,	9,	780,	3,	1),
(137673,	9,	780,	1,	2),
(137674,	9,	780,	2,	2),
(137675,	9,	780,	3,	2),
(137676,	9,	781,	1,	1),
(137677,	9,	781,	2,	1),
(137678,	9,	781,	3,	1),
(137679,	9,	781,	1,	3),
(137680,	9,	781,	2,	3),
(137681,	9,	781,	3,	3),
(137682,	9,	782,	1,	1),
(137683,	9,	782,	2,	1),
(137684,	9,	782,	3,	1),
(137685,	9,	782,	1,	3),
(137686,	9,	782,	2,	3),
(137687,	9,	782,	3,	3),
(137688,	9,	783,	1,	1),
(137689,	9,	783,	2,	1),
(137690,	9,	783,	3,	1),
(137691,	9,	783,	1,	3),
(137692,	9,	783,	2,	3),
(137693,	9,	783,	3,	3),
(137694,	9,	784,	1,	1),
(137695,	9,	784,	2,	1),
(137696,	9,	784,	3,	1),
(137697,	9,	784,	1,	3),
(137698,	9,	784,	2,	3),
(137699,	9,	784,	3,	3),
(137700,	9,	785,	1,	1),
(137701,	9,	785,	2,	1),
(137702,	9,	785,	3,	1),
(137703,	9,	786,	1,	1),
(137704,	9,	786,	2,	1),
(137705,	9,	786,	3,	1),
(137706,	9,	787,	1,	1),
(137707,	9,	787,	2,	1),
(137708,	9,	787,	3,	1),
(137709,	9,	787,	1,	3),
(137710,	9,	787,	2,	3),
(137711,	9,	787,	3,	3),
(137712,	9,	788,	1,	1),
(137713,	9,	788,	2,	1),
(137714,	9,	788,	3,	1),
(137715,	9,	788,	1,	2),
(137716,	9,	788,	2,	2),
(137717,	9,	788,	3,	2),
(137718,	9,	789,	1,	1),
(137719,	9,	789,	2,	1),
(137720,	9,	789,	3,	1),
(137721,	9,	789,	1,	2),
(137722,	9,	789,	2,	2),
(137723,	9,	789,	3,	2),
(137724,	9,	790,	1,	1),
(137725,	9,	790,	2,	1),
(137726,	9,	790,	3,	1),
(137727,	9,	790,	1,	2),
(137728,	9,	790,	2,	2),
(137729,	9,	790,	3,	2),
(137730,	9,	791,	1,	1),
(137731,	9,	791,	2,	1),
(137732,	9,	791,	3,	1),
(137733,	9,	791,	1,	3),
(137734,	9,	791,	2,	3),
(137735,	9,	791,	3,	3),
(137736,	9,	792,	1,	1),
(137737,	9,	792,	2,	1),
(137738,	9,	792,	3,	1),
(137739,	9,	792,	1,	2),
(137740,	9,	792,	2,	2),
(137741,	9,	792,	3,	2),
(137742,	9,	793,	1,	1),
(137743,	9,	793,	2,	1),
(137744,	9,	793,	3,	1),
(137745,	9,	793,	1,	2),
(137746,	9,	793,	2,	2),
(137747,	9,	793,	3,	2),
(137748,	9,	794,	1,	1),
(137749,	9,	794,	2,	1),
(137750,	9,	794,	3,	1),
(137751,	9,	794,	1,	2),
(137752,	9,	794,	2,	2),
(137753,	9,	794,	3,	2),
(137754,	9,	795,	1,	1),
(137755,	9,	795,	2,	1),
(137756,	9,	795,	3,	1),
(137757,	9,	795,	1,	2),
(137758,	9,	795,	2,	2),
(137759,	9,	795,	3,	2),
(137760,	9,	796,	1,	1),
(137761,	9,	796,	2,	1),
(137762,	9,	796,	3,	1),
(137763,	9,	796,	1,	2),
(137764,	9,	796,	2,	2),
(137765,	9,	796,	3,	2),
(137766,	9,	797,	1,	1),
(137767,	9,	797,	2,	1),
(137768,	9,	797,	3,	1),
(137769,	9,	797,	1,	3),
(137770,	9,	797,	2,	3),
(137771,	9,	797,	3,	3),
(137772,	9,	798,	1,	1),
(137773,	9,	798,	2,	1),
(137774,	9,	798,	3,	1),
(137775,	9,	798,	1,	2),
(137776,	9,	798,	2,	2),
(137777,	9,	798,	3,	2),
(137778,	9,	799,	1,	1),
(137779,	9,	799,	2,	1),
(137780,	9,	799,	3,	1),
(137781,	9,	799,	1,	2),
(137782,	9,	799,	2,	2),
(137783,	9,	799,	3,	2),
(137784,	9,	800,	1,	1),
(137785,	9,	800,	2,	1),
(137786,	9,	800,	3,	1),
(137787,	9,	800,	1,	2),
(137788,	9,	800,	2,	2),
(137789,	9,	800,	3,	2),
(137790,	9,	801,	1,	1),
(137791,	9,	801,	2,	1),
(137792,	9,	801,	3,	1),
(137793,	9,	801,	1,	2),
(137794,	9,	801,	2,	2),
(137795,	9,	801,	3,	2),
(137796,	9,	802,	1,	1),
(137797,	9,	802,	2,	1),
(137798,	9,	802,	3,	1),
(137799,	9,	802,	1,	2),
(137800,	9,	802,	2,	2),
(137801,	9,	802,	3,	2),
(137802,	9,	803,	1,	1),
(137803,	9,	803,	2,	1),
(137804,	9,	803,	3,	1),
(137805,	9,	803,	1,	2),
(137806,	9,	803,	2,	2),
(137807,	9,	803,	3,	2),
(137808,	9,	804,	1,	1),
(137809,	9,	804,	2,	1),
(137810,	9,	804,	3,	1),
(137811,	9,	804,	1,	2),
(137812,	9,	804,	2,	2),
(137813,	9,	804,	3,	2),
(137814,	9,	805,	1,	1),
(137815,	9,	805,	2,	1),
(137816,	9,	805,	3,	1),
(137817,	9,	805,	6,	1),
(137818,	9,	805,	24,	1),
(137819,	9,	805,	23,	1),
(137820,	9,	806,	1,	1),
(137821,	9,	806,	2,	1),
(137822,	9,	806,	3,	1),
(137823,	9,	806,	6,	1),
(137824,	9,	806,	24,	1),
(137825,	9,	807,	1,	1),
(137826,	9,	807,	2,	1),
(137827,	9,	807,	3,	1),
(137828,	9,	807,	6,	1),
(137829,	9,	807,	24,	1),
(137830,	9,	808,	1,	1),
(137831,	9,	808,	2,	1),
(137832,	9,	808,	3,	1),
(137833,	9,	808,	1,	2),
(137834,	9,	808,	2,	2),
(137835,	9,	808,	3,	2),
(137836,	9,	809,	1,	1),
(137837,	9,	809,	2,	1),
(137838,	9,	809,	3,	1),
(137839,	9,	809,	1,	2),
(137840,	9,	809,	2,	2),
(137841,	9,	809,	3,	2),
(137842,	9,	810,	1,	1),
(137843,	9,	810,	2,	1),
(137844,	9,	810,	3,	1),
(137845,	9,	810,	6,	1),
(137846,	9,	810,	24,	1),
(137847,	9,	811,	1,	1),
(137848,	9,	811,	2,	1),
(137849,	9,	811,	3,	1),
(137850,	9,	811,	1,	2),
(137851,	9,	811,	2,	2),
(137852,	9,	811,	3,	2),
(137853,	9,	812,	1,	1),
(137854,	9,	812,	2,	1),
(137855,	9,	812,	3,	1),
(137856,	9,	813,	1,	1),
(137857,	9,	813,	2,	1),
(137858,	9,	813,	3,	1),
(137859,	9,	813,	1,	2),
(137860,	9,	813,	2,	2),
(137861,	9,	813,	3,	2),
(137862,	9,	814,	1,	1),
(137863,	9,	814,	2,	1),
(137864,	9,	814,	3,	1),
(137865,	9,	814,	23,	1),
(137866,	9,	814,	49,	1),
(137867,	9,	814,	5,	1),
(137868,	9,	814,	26,	1),
(137869,	9,	815,	1,	1),
(137870,	9,	815,	2,	1),
(137871,	9,	815,	3,	1),
(137872,	9,	816,	1,	1),
(137873,	9,	816,	2,	1),
(137874,	9,	816,	3,	1),
(137875,	9,	816,	49,	1),
(137876,	9,	816,	50,	1),
(137877,	9,	816,	23,	1),
(137878,	9,	816,	51,	1),
(137879,	9,	816,	48,	1),
(137880,	9,	816,	52,	1),
(137881,	9,	816,	53,	1),
(137882,	9,	817,	1,	1),
(137883,	9,	817,	2,	1),
(137884,	9,	817,	3,	1),
(137885,	9,	817,	23,	1),
(137886,	9,	817,	49,	1),
(137887,	9,	817,	5,	1),
(137888,	9,	817,	26,	1),
(137889,	9,	818,	1,	1),
(137890,	9,	818,	2,	1),
(137891,	9,	818,	3,	1),
(137892,	9,	818,	49,	1),
(137893,	9,	819,	1,	1),
(137894,	9,	819,	2,	1),
(137895,	9,	819,	3,	1),
(137896,	9,	819,	49,	1),
(137897,	9,	820,	1,	1),
(137898,	9,	820,	2,	1),
(137899,	9,	820,	3,	1),
(137900,	9,	820,	49,	1),
(137901,	9,	821,	1,	1),
(137902,	9,	821,	2,	1),
(137903,	9,	821,	3,	1),
(137904,	9,	822,	1,	1),
(137905,	9,	822,	2,	1),
(137906,	9,	822,	3,	1),
(137907,	9,	823,	1,	1),
(137908,	9,	823,	2,	1),
(137909,	9,	823,	3,	1),
(137910,	9,	823,	1,	2),
(137911,	9,	823,	2,	2),
(137912,	9,	823,	3,	2),
(137913,	9,	824,	1,	1),
(137914,	9,	824,	2,	1),
(137915,	9,	824,	3,	1),
(137916,	9,	824,	1,	2),
(137917,	9,	824,	2,	2),
(137918,	9,	824,	3,	2),
(137919,	9,	825,	1,	1),
(137920,	9,	825,	2,	1),
(137921,	9,	825,	3,	1),
(137922,	9,	826,	1,	1),
(137923,	9,	826,	2,	1),
(137924,	9,	826,	3,	1),
(137925,	9,	827,	1,	1),
(137926,	9,	827,	2,	1),
(137927,	9,	827,	3,	1),
(137928,	9,	827,	1,	2),
(137929,	9,	827,	2,	2),
(137930,	9,	827,	3,	2),
(137931,	9,	828,	1,	1),
(137932,	9,	828,	2,	1),
(137933,	9,	828,	3,	1),
(137934,	9,	828,	1,	2),
(137935,	9,	828,	2,	2),
(137936,	9,	828,	3,	2),
(137937,	9,	829,	1,	1),
(137938,	9,	829,	2,	1),
(137939,	9,	829,	3,	1),
(137940,	9,	829,	4,	1),
(137941,	9,	829,	23,	1),
(137942,	9,	829,	1,	3),
(137943,	9,	829,	2,	3),
(137944,	9,	829,	3,	3),
(137945,	9,	829,	4,	3),
(137946,	9,	829,	23,	3),
(137947,	9,	829,	1,	2),
(137948,	9,	829,	2,	2),
(137949,	9,	829,	3,	2),
(137950,	9,	829,	4,	2),
(137951,	9,	829,	23,	2),
(137952,	9,	830,	1,	1),
(137953,	9,	830,	2,	1),
(137954,	9,	830,	3,	1),
(137955,	9,	830,	1,	2),
(137956,	9,	830,	2,	2),
(137957,	9,	830,	3,	2),
(137958,	9,	831,	1,	1),
(137959,	9,	831,	2,	1),
(137960,	9,	831,	3,	1),
(137961,	9,	832,	1,	1),
(137962,	9,	832,	2,	1),
(137963,	9,	832,	3,	1),
(137964,	9,	832,	1,	3),
(137965,	9,	832,	2,	3),
(137966,	9,	832,	3,	3),
(137967,	9,	833,	1,	1),
(137968,	9,	833,	2,	1),
(137969,	9,	833,	3,	1),
(137970,	9,	834,	1,	1),
(137971,	9,	834,	2,	1),
(137972,	9,	834,	3,	1),
(137973,	9,	834,	1,	2),
(137974,	9,	834,	2,	2),
(137975,	9,	834,	3,	2),
(137976,	9,	835,	1,	1),
(137977,	9,	835,	2,	1),
(137978,	9,	835,	3,	1),
(137979,	9,	835,	1,	2),
(137980,	9,	835,	2,	2),
(137981,	9,	835,	3,	2),
(137982,	9,	836,	1,	1),
(137983,	9,	836,	2,	1),
(137984,	9,	836,	3,	1),
(137985,	9,	837,	1,	1),
(137986,	9,	837,	2,	1),
(137987,	9,	837,	3,	1),
(137988,	9,	837,	1,	2),
(137989,	9,	837,	2,	2),
(137990,	9,	837,	3,	2),
(137991,	9,	838,	1,	1),
(137992,	9,	838,	2,	1),
(137993,	9,	838,	3,	1),
(137994,	9,	838,	1,	2),
(137995,	9,	838,	2,	2),
(137996,	9,	838,	3,	2),
(137997,	9,	839,	1,	1),
(137998,	9,	839,	2,	1),
(137999,	9,	839,	3,	1),
(138000,	9,	839,	1,	2),
(138001,	9,	839,	2,	2),
(138002,	9,	839,	3,	2),
(138003,	9,	840,	1,	1),
(138004,	9,	840,	2,	1),
(138005,	9,	840,	3,	1),
(138006,	9,	840,	1,	2),
(138007,	9,	840,	2,	2),
(138008,	9,	840,	3,	2),
(138009,	9,	841,	1,	1),
(138010,	9,	841,	2,	1),
(138011,	9,	841,	3,	1),
(138012,	9,	841,	1,	3),
(138013,	9,	841,	2,	3),
(138014,	9,	841,	3,	3),
(138015,	9,	842,	1,	1),
(138016,	9,	842,	2,	1),
(138017,	9,	842,	3,	1),
(138018,	9,	842,	1,	2),
(138019,	9,	842,	2,	2),
(138020,	9,	842,	3,	2),
(138021,	9,	843,	1,	1),
(138022,	9,	843,	2,	1),
(138023,	9,	843,	3,	1),
(138024,	9,	843,	1,	2),
(138025,	9,	843,	2,	2),
(138026,	9,	843,	3,	2),
(138027,	9,	844,	1,	1),
(138028,	9,	844,	2,	1),
(138029,	9,	844,	3,	1),
(138030,	9,	845,	1,	1),
(138031,	9,	845,	2,	1),
(138032,	9,	845,	3,	1),
(138033,	9,	845,	1,	2),
(138034,	9,	845,	2,	2),
(138035,	9,	845,	3,	2),
(138036,	9,	846,	1,	1),
(138037,	9,	846,	2,	1),
(138038,	9,	846,	3,	1),
(138039,	9,	847,	1,	1),
(138040,	9,	847,	2,	1),
(138041,	9,	847,	3,	1),
(138042,	9,	847,	1,	3),
(138043,	9,	847,	2,	3),
(138044,	9,	847,	3,	3),
(138045,	9,	848,	1,	1),
(138046,	9,	848,	2,	1),
(138047,	9,	848,	3,	1),
(138048,	9,	849,	1,	1),
(138049,	9,	849,	2,	1),
(138050,	9,	849,	3,	1),
(138051,	9,	849,	1,	3),
(138052,	9,	849,	2,	3),
(138053,	9,	849,	3,	3),
(138054,	9,	850,	1,	1),
(138055,	9,	850,	2,	1),
(138056,	9,	850,	3,	1),
(138057,	9,	850,	1,	3),
(138058,	9,	850,	2,	3),
(138059,	9,	850,	3,	3),
(138060,	9,	851,	1,	1),
(138061,	9,	851,	2,	1),
(138062,	9,	851,	3,	1),
(138063,	9,	851,	1,	2),
(138064,	9,	851,	2,	2),
(138065,	9,	851,	3,	2),
(138066,	9,	852,	1,	1),
(138067,	9,	852,	2,	1),
(138068,	9,	852,	3,	1),
(138069,	9,	852,	1,	2),
(138070,	9,	852,	2,	2),
(138071,	9,	852,	3,	2),
(138072,	9,	853,	1,	1),
(138073,	9,	853,	2,	1),
(138074,	9,	853,	3,	1),
(138075,	9,	853,	1,	2),
(138076,	9,	853,	2,	2),
(138077,	9,	853,	3,	2),
(138078,	9,	854,	1,	1),
(138079,	9,	854,	2,	1),
(138080,	9,	854,	3,	1),
(138081,	9,	854,	1,	3),
(138082,	9,	854,	2,	3),
(138083,	9,	854,	3,	3),
(138084,	9,	855,	1,	1),
(138085,	9,	855,	2,	1),
(138086,	9,	855,	3,	1),
(138087,	9,	855,	1,	3),
(138088,	9,	855,	2,	3),
(138089,	9,	855,	3,	3),
(138090,	9,	856,	1,	1),
(138091,	9,	856,	2,	1),
(138092,	9,	856,	3,	1),
(138093,	9,	856,	1,	3),
(138094,	9,	856,	2,	3),
(138095,	9,	856,	3,	3),
(138096,	9,	857,	1,	1),
(138097,	9,	857,	2,	1),
(138098,	9,	857,	3,	1),
(138099,	9,	857,	1,	3),
(138100,	9,	857,	2,	3),
(138101,	9,	857,	3,	3),
(138102,	9,	858,	1,	1),
(138103,	9,	858,	2,	1),
(138104,	9,	858,	3,	1),
(138105,	9,	858,	1,	3),
(138106,	9,	858,	2,	3),
(138107,	9,	858,	3,	3),
(138108,	9,	859,	1,	1),
(138109,	9,	859,	2,	1),
(138110,	9,	859,	3,	1),
(138111,	9,	859,	1,	2),
(138112,	9,	859,	2,	2),
(138113,	9,	859,	3,	2),
(138114,	9,	860,	1,	1),
(138115,	9,	860,	2,	1),
(138116,	9,	860,	3,	1),
(138117,	9,	860,	1,	3),
(138118,	9,	860,	2,	3),
(138119,	9,	860,	3,	3),
(138120,	9,	861,	1,	1),
(138121,	9,	861,	2,	1),
(138122,	9,	861,	3,	1),
(138123,	9,	861,	1,	2),
(138124,	9,	861,	2,	2),
(138125,	9,	861,	3,	2),
(138126,	9,	862,	1,	1),
(138127,	9,	862,	2,	1),
(138128,	9,	862,	3,	1),
(138129,	9,	862,	1,	2),
(138130,	9,	862,	2,	2),
(138131,	9,	862,	3,	2),
(138132,	9,	863,	1,	1),
(138133,	9,	863,	2,	1),
(138134,	9,	863,	3,	1),
(138135,	9,	863,	1,	2),
(138136,	9,	863,	2,	2),
(138137,	9,	863,	3,	2),
(138138,	9,	864,	1,	1),
(138139,	9,	864,	2,	1),
(138140,	9,	864,	3,	1),
(138141,	9,	864,	1,	2),
(138142,	9,	864,	2,	2),
(138143,	9,	864,	3,	2),
(138144,	9,	865,	1,	1),
(138145,	9,	865,	2,	1),
(138146,	9,	865,	3,	1),
(138147,	9,	865,	1,	2),
(138148,	9,	865,	2,	2),
(138149,	9,	865,	3,	2),
(138150,	9,	866,	1,	1),
(138151,	9,	866,	2,	1),
(138152,	9,	866,	3,	1),
(138153,	9,	866,	1,	2),
(138154,	9,	866,	2,	2),
(138155,	9,	866,	3,	2),
(138156,	9,	867,	1,	1),
(138157,	9,	867,	2,	1),
(138158,	9,	867,	3,	1),
(138159,	9,	867,	1,	2),
(138160,	9,	867,	2,	2),
(138161,	9,	867,	3,	2),
(138162,	9,	868,	1,	1),
(138163,	9,	868,	2,	1),
(138164,	9,	868,	3,	1),
(138165,	9,	868,	1,	3),
(138166,	9,	868,	2,	3),
(138167,	9,	868,	3,	3),
(138168,	9,	869,	1,	1),
(138169,	9,	869,	2,	1),
(138170,	9,	869,	3,	1),
(138171,	9,	869,	1,	2),
(138172,	9,	869,	2,	2),
(138173,	9,	869,	3,	2),
(138174,	9,	870,	1,	1),
(138175,	9,	870,	2,	1),
(138176,	9,	870,	3,	1),
(138177,	9,	870,	1,	2),
(138178,	9,	870,	2,	2),
(138179,	9,	870,	3,	2),
(138180,	9,	871,	1,	1),
(138181,	9,	871,	2,	1),
(138182,	9,	871,	3,	1),
(138183,	9,	871,	1,	2),
(138184,	9,	871,	2,	2),
(138185,	9,	871,	3,	2),
(138186,	9,	872,	1,	1),
(138187,	9,	872,	2,	1),
(138188,	9,	872,	3,	1),
(138189,	9,	872,	1,	3),
(138190,	9,	872,	2,	3),
(138191,	9,	872,	3,	3),
(138192,	9,	873,	1,	1),
(138193,	9,	873,	2,	1),
(138194,	9,	873,	3,	1),
(138195,	9,	873,	1,	2),
(138196,	9,	873,	2,	2),
(138197,	9,	873,	3,	2),
(138198,	9,	874,	1,	1),
(138199,	9,	874,	2,	1),
(138200,	9,	874,	3,	1),
(138201,	9,	874,	1,	2),
(138202,	9,	874,	2,	2),
(138203,	9,	874,	3,	2),
(138204,	9,	875,	1,	1),
(138205,	9,	875,	2,	1),
(138206,	9,	875,	3,	1),
(138207,	9,	875,	1,	2),
(138208,	9,	875,	2,	2),
(138209,	9,	875,	3,	2),
(138210,	9,	876,	1,	1),
(138211,	9,	876,	2,	1),
(138212,	9,	876,	3,	1),
(138213,	9,	876,	1,	2),
(138214,	9,	876,	2,	2),
(138215,	9,	876,	3,	2),
(138216,	9,	877,	1,	1),
(138217,	9,	877,	2,	1),
(138218,	9,	877,	3,	1),
(138219,	9,	877,	1,	3),
(138220,	9,	877,	2,	3),
(138221,	9,	877,	3,	3),
(138222,	9,	878,	1,	1),
(138223,	9,	878,	2,	1),
(138224,	9,	878,	3,	1),
(138225,	9,	878,	1,	2),
(138226,	9,	878,	2,	2),
(138227,	9,	878,	3,	2),
(138228,	9,	879,	1,	1),
(138229,	9,	879,	2,	1),
(138230,	9,	879,	3,	1),
(138231,	9,	879,	1,	2),
(138232,	9,	879,	2,	2),
(138233,	9,	879,	3,	2),
(138234,	9,	880,	1,	1),
(138235,	9,	880,	2,	1),
(138236,	9,	880,	3,	1),
(138237,	9,	880,	1,	2),
(138238,	9,	880,	2,	2),
(138239,	9,	880,	3,	2),
(138240,	9,	881,	1,	1),
(138241,	9,	881,	2,	1),
(138242,	9,	881,	3,	1),
(138243,	9,	881,	1,	2),
(138244,	9,	881,	2,	2),
(138245,	9,	881,	3,	2),
(138246,	9,	882,	1,	1),
(138247,	9,	882,	2,	1),
(138248,	9,	882,	3,	1),
(138249,	9,	882,	1,	3),
(138250,	9,	882,	2,	3),
(138251,	9,	882,	3,	3),
(138252,	9,	883,	1,	1),
(138253,	9,	883,	2,	1),
(138254,	9,	883,	3,	1),
(138255,	9,	883,	1,	2),
(138256,	9,	883,	2,	2),
(138257,	9,	883,	3,	2),
(138258,	9,	884,	1,	1),
(138259,	9,	884,	2,	1),
(138260,	9,	884,	3,	1),
(138261,	9,	884,	1,	2),
(138262,	9,	884,	2,	2),
(138263,	9,	884,	3,	2),
(138264,	9,	885,	1,	1),
(138265,	9,	885,	2,	1),
(138266,	9,	885,	3,	1),
(138267,	9,	885,	1,	3),
(138268,	9,	885,	2,	3),
(138269,	9,	885,	3,	3),
(138270,	9,	886,	1,	1),
(138271,	9,	886,	2,	1),
(138272,	9,	886,	3,	1),
(138273,	9,	886,	1,	3),
(138274,	9,	886,	2,	3),
(138275,	9,	886,	3,	3),
(138276,	9,	887,	1,	1),
(138277,	9,	887,	2,	1),
(138278,	9,	887,	3,	1),
(138279,	9,	887,	1,	3),
(138280,	9,	887,	2,	3),
(138281,	9,	887,	3,	3),
(138282,	9,	888,	1,	1),
(138283,	9,	888,	2,	1),
(138284,	9,	888,	3,	1),
(138285,	9,	888,	1,	3),
(138286,	9,	888,	2,	3),
(138287,	9,	888,	3,	3),
(138288,	9,	889,	1,	1),
(138289,	9,	889,	2,	1),
(138290,	9,	889,	3,	1),
(138291,	9,	889,	1,	3),
(138292,	9,	889,	2,	3),
(138293,	9,	889,	3,	3),
(138294,	9,	890,	1,	1),
(138295,	9,	890,	2,	1),
(138296,	9,	890,	3,	1),
(138297,	9,	890,	1,	3),
(138298,	9,	890,	2,	3),
(138299,	9,	890,	3,	3),
(138300,	9,	891,	1,	1),
(138301,	9,	891,	2,	1),
(138302,	9,	891,	3,	1),
(138303,	9,	891,	1,	2),
(138304,	9,	891,	2,	2),
(138305,	9,	891,	3,	2),
(138306,	9,	892,	1,	1),
(138307,	9,	892,	2,	1),
(138308,	9,	892,	3,	1),
(138309,	9,	892,	1,	2),
(138310,	9,	892,	2,	2),
(138311,	9,	892,	3,	2),
(138312,	9,	893,	1,	1),
(138313,	9,	893,	2,	1),
(138314,	9,	893,	3,	1),
(138315,	9,	894,	1,	1),
(138316,	9,	894,	2,	1),
(138317,	9,	894,	3,	1),
(138318,	9,	895,	1,	1),
(138319,	9,	895,	2,	1),
(138320,	9,	895,	3,	1),
(138321,	9,	896,	1,	1),
(138322,	9,	896,	2,	1),
(138323,	9,	896,	3,	1),
(138324,	9,	896,	1,	2),
(138325,	9,	896,	2,	2),
(138326,	9,	896,	3,	2),
(138327,	9,	897,	1,	1),
(138328,	9,	897,	2,	1),
(138329,	9,	897,	3,	1),
(138330,	9,	898,	1,	1),
(138331,	9,	898,	2,	1),
(138332,	9,	898,	3,	1),
(138333,	9,	898,	1,	2),
(138334,	9,	898,	2,	2),
(138335,	9,	898,	3,	2),
(138336,	9,	899,	1,	1),
(138337,	9,	899,	2,	1),
(138338,	9,	899,	3,	1),
(138339,	9,	899,	1,	2),
(138340,	9,	899,	2,	2),
(138341,	9,	899,	3,	2),
(138342,	9,	900,	1,	1),
(138343,	9,	900,	2,	1),
(138344,	9,	900,	3,	1),
(138345,	9,	900,	1,	2),
(138346,	9,	900,	2,	2),
(138347,	9,	900,	3,	2),
(138348,	9,	901,	1,	1),
(138349,	9,	901,	2,	1),
(138350,	9,	901,	3,	1),
(138351,	9,	901,	1,	2),
(138352,	9,	901,	2,	2),
(138353,	9,	901,	3,	2),
(138354,	9,	902,	1,	1),
(138355,	9,	902,	2,	1),
(138356,	9,	902,	3,	1),
(138357,	9,	902,	1,	3),
(138358,	9,	902,	2,	3),
(138359,	9,	902,	3,	3),
(138360,	9,	903,	1,	1),
(138361,	9,	903,	2,	1),
(138362,	9,	903,	3,	1),
(138363,	9,	903,	1,	2),
(138364,	9,	903,	2,	2),
(138365,	9,	903,	3,	2),
(138366,	9,	904,	1,	1),
(138367,	9,	904,	2,	1),
(138368,	9,	904,	3,	1),
(138369,	9,	904,	1,	2),
(138370,	9,	904,	2,	2),
(138371,	9,	904,	3,	2),
(138372,	9,	905,	1,	1),
(138373,	9,	905,	2,	1),
(138374,	9,	905,	3,	1),
(138375,	9,	905,	1,	3),
(138376,	9,	905,	2,	3),
(138377,	9,	905,	3,	3),
(138378,	9,	906,	1,	1),
(138379,	9,	906,	2,	1),
(138380,	9,	906,	3,	1),
(138381,	9,	906,	1,	2),
(138382,	9,	906,	2,	2),
(138383,	9,	906,	3,	2),
(138384,	9,	907,	1,	1),
(138385,	9,	907,	2,	1),
(138386,	9,	907,	3,	1),
(138387,	9,	907,	1,	2),
(138388,	9,	907,	2,	2),
(138389,	9,	907,	3,	2),
(138390,	9,	908,	1,	1),
(138391,	9,	908,	2,	1),
(138392,	9,	908,	3,	1),
(138393,	9,	908,	1,	2),
(138394,	9,	908,	2,	2),
(138395,	9,	908,	3,	2),
(138396,	9,	909,	1,	1),
(138397,	9,	909,	2,	1),
(138398,	9,	909,	3,	1),
(138399,	9,	909,	1,	2),
(138400,	9,	909,	2,	2),
(138401,	9,	909,	3,	2),
(138402,	9,	910,	1,	1),
(138403,	9,	910,	2,	1),
(138404,	9,	910,	3,	1),
(138405,	9,	910,	1,	3),
(138406,	9,	910,	2,	3),
(138407,	9,	910,	3,	3),
(138408,	9,	911,	1,	1),
(138409,	9,	911,	2,	1),
(138410,	9,	911,	3,	1),
(138411,	9,	911,	1,	2),
(138412,	9,	911,	2,	2),
(138413,	9,	911,	3,	2),
(138414,	9,	912,	1,	1),
(138415,	9,	912,	2,	1),
(138416,	9,	912,	3,	1),
(138417,	9,	912,	1,	2),
(138418,	9,	912,	2,	2),
(138419,	9,	912,	3,	2),
(138420,	9,	913,	1,	1),
(138421,	9,	913,	2,	1),
(138422,	9,	913,	3,	1),
(138423,	9,	913,	1,	2),
(138424,	9,	913,	2,	2),
(138425,	9,	913,	3,	2),
(138426,	9,	914,	1,	1),
(138427,	9,	914,	2,	1),
(138428,	9,	914,	3,	1),
(138429,	9,	914,	1,	2),
(138430,	9,	914,	2,	2),
(138431,	9,	914,	3,	2),
(138432,	9,	915,	1,	1),
(138433,	9,	915,	2,	1),
(138434,	9,	915,	3,	1),
(138435,	9,	915,	1,	3),
(138436,	9,	915,	2,	3),
(138437,	9,	915,	3,	3),
(138438,	9,	916,	1,	1),
(138439,	9,	916,	2,	1),
(138440,	9,	916,	3,	1),
(138441,	9,	916,	1,	2),
(138442,	9,	916,	2,	2),
(138443,	9,	916,	3,	2),
(138444,	9,	917,	1,	1),
(138445,	9,	917,	2,	1),
(138446,	9,	917,	3,	1),
(138447,	9,	917,	1,	2),
(138448,	9,	917,	2,	2),
(138449,	9,	917,	3,	2),
(138450,	9,	918,	1,	1),
(138451,	9,	918,	2,	1),
(138452,	9,	918,	3,	1),
(138453,	9,	918,	1,	2),
(138454,	9,	918,	2,	2),
(138455,	9,	918,	3,	2),
(138456,	9,	919,	1,	1),
(138457,	9,	919,	2,	1),
(138458,	9,	919,	3,	1),
(138459,	9,	919,	1,	2),
(138460,	9,	919,	2,	2),
(138461,	9,	919,	3,	2),
(138462,	9,	920,	1,	1),
(138463,	9,	920,	2,	1),
(138464,	9,	920,	3,	1),
(138465,	9,	920,	1,	2),
(138466,	9,	920,	2,	2),
(138467,	9,	920,	3,	2),
(138468,	9,	921,	1,	1),
(138469,	9,	921,	2,	1),
(138470,	9,	921,	3,	1),
(138471,	9,	921,	1,	3),
(138472,	9,	921,	2,	3),
(138473,	9,	921,	3,	3),
(138474,	9,	922,	1,	1),
(138475,	9,	922,	2,	1),
(138476,	9,	922,	3,	1),
(138477,	9,	922,	1,	2),
(138478,	9,	922,	2,	2),
(138479,	9,	922,	3,	2),
(138480,	9,	923,	1,	1),
(138481,	9,	923,	2,	1),
(138482,	9,	923,	3,	1),
(138483,	9,	923,	1,	2),
(138484,	9,	923,	2,	2),
(138485,	9,	923,	3,	2),
(138486,	9,	924,	1,	1),
(138487,	9,	924,	2,	1),
(138488,	9,	924,	3,	1),
(138489,	9,	924,	1,	2),
(138490,	9,	924,	2,	2),
(138491,	9,	924,	3,	2),
(138492,	9,	925,	1,	1),
(138493,	9,	925,	2,	1),
(138494,	9,	925,	3,	1),
(138495,	9,	925,	1,	2),
(138496,	9,	925,	2,	2),
(138497,	9,	925,	3,	2),
(138498,	9,	926,	1,	1),
(138499,	9,	926,	2,	1),
(138500,	9,	926,	3,	1),
(138501,	9,	926,	1,	3),
(138502,	9,	926,	2,	3),
(138503,	9,	926,	3,	3),
(138504,	9,	927,	1,	1),
(138505,	9,	927,	2,	1),
(138506,	9,	927,	3,	1),
(138507,	9,	927,	1,	2),
(138508,	9,	927,	2,	2),
(138509,	9,	927,	3,	2),
(138510,	9,	928,	1,	1),
(138511,	9,	928,	2,	1),
(138512,	9,	928,	3,	1),
(138513,	9,	928,	1,	2),
(138514,	9,	928,	2,	2),
(138515,	9,	928,	3,	2),
(138516,	9,	929,	1,	1),
(138517,	9,	929,	2,	1),
(138518,	9,	929,	3,	1),
(138519,	9,	929,	1,	2),
(138520,	9,	929,	2,	2),
(138521,	9,	929,	3,	2),
(138522,	9,	930,	1,	1),
(138523,	9,	930,	2,	1),
(138524,	9,	930,	3,	1),
(138525,	9,	930,	1,	2),
(138526,	9,	930,	2,	2),
(138527,	9,	930,	3,	2),
(138528,	9,	931,	1,	1),
(138529,	9,	931,	2,	1),
(138530,	9,	931,	3,	1),
(138531,	9,	931,	1,	3),
(138532,	9,	931,	2,	3),
(138533,	9,	931,	3,	3),
(138534,	9,	932,	1,	1),
(138535,	9,	932,	2,	1),
(138536,	9,	932,	3,	1),
(138537,	9,	932,	1,	2),
(138538,	9,	932,	2,	2),
(138539,	9,	932,	3,	2),
(138540,	9,	933,	1,	1),
(138541,	9,	933,	2,	1),
(138542,	9,	933,	3,	1),
(138543,	9,	933,	1,	2),
(138544,	9,	933,	2,	2),
(138545,	9,	933,	3,	2),
(138546,	9,	934,	1,	1),
(138547,	9,	934,	2,	1),
(138548,	9,	934,	3,	1),
(138549,	9,	934,	1,	2),
(138550,	9,	934,	2,	2),
(138551,	9,	934,	3,	2),
(138552,	9,	935,	1,	1),
(138553,	9,	935,	2,	1),
(138554,	9,	935,	3,	1),
(138555,	9,	935,	1,	2),
(138556,	9,	935,	2,	2),
(138557,	9,	935,	3,	2),
(138558,	9,	936,	1,	1),
(138559,	9,	936,	2,	1),
(138560,	9,	936,	3,	1),
(138561,	9,	936,	1,	3),
(138562,	9,	936,	2,	3),
(138563,	9,	936,	3,	3),
(138564,	9,	937,	1,	1),
(138565,	9,	937,	2,	1),
(138566,	9,	937,	3,	1),
(138567,	9,	937,	1,	2),
(138568,	9,	937,	2,	2),
(138569,	9,	937,	3,	2),
(138570,	9,	938,	1,	1),
(138571,	9,	938,	2,	1),
(138572,	9,	938,	3,	1),
(138573,	9,	938,	1,	2),
(138574,	9,	938,	2,	2),
(138575,	9,	938,	3,	2),
(138576,	9,	939,	1,	1),
(138577,	9,	939,	2,	1),
(138578,	9,	939,	3,	1),
(138579,	9,	940,	1,	1),
(138580,	9,	940,	2,	1),
(138581,	9,	940,	3,	1),
(138582,	9,	941,	1,	1),
(138583,	9,	941,	2,	1),
(138584,	9,	941,	3,	1),
(138585,	9,	942,	1,	1),
(138586,	9,	942,	2,	1),
(138587,	9,	942,	3,	1),
(138588,	9,	943,	1,	1),
(138589,	9,	943,	2,	1),
(138590,	9,	943,	3,	1),
(138591,	9,	943,	1,	2),
(138592,	9,	943,	2,	2),
(138593,	9,	943,	3,	2),
(138594,	9,	944,	1,	1),
(138595,	9,	944,	2,	1),
(138596,	9,	944,	3,	1),
(138597,	9,	944,	1,	2),
(138598,	9,	944,	2,	2),
(138599,	9,	944,	3,	2),
(138600,	9,	945,	1,	1),
(138601,	9,	945,	2,	1),
(138602,	9,	945,	3,	1),
(138603,	9,	945,	1,	2),
(138604,	9,	945,	2,	2),
(138605,	9,	945,	3,	2),
(138606,	9,	946,	1,	1),
(138607,	9,	946,	2,	1),
(138608,	9,	946,	3,	1),
(138609,	9,	946,	1,	3),
(138610,	9,	946,	2,	3),
(138611,	9,	946,	3,	3),
(138612,	9,	947,	1,	1),
(138613,	9,	947,	2,	1),
(138614,	9,	947,	3,	1),
(138615,	9,	947,	1,	3),
(138616,	9,	947,	2,	3),
(138617,	9,	947,	3,	3),
(138618,	9,	948,	1,	1),
(138619,	9,	948,	2,	1),
(138620,	9,	948,	3,	1),
(138621,	9,	949,	1,	1),
(138622,	9,	949,	2,	1),
(138623,	9,	949,	3,	1),
(138624,	9,	949,	23,	1),
(138625,	9,	950,	1,	1),
(138626,	9,	950,	2,	1),
(138627,	9,	950,	3,	1),
(138628,	9,	950,	1,	3),
(138629,	9,	950,	2,	3),
(138630,	9,	950,	3,	3),
(138631,	9,	951,	1,	1),
(138632,	9,	951,	2,	1),
(138633,	9,	951,	3,	1),
(138634,	9,	951,	1,	3),
(138635,	9,	951,	2,	3),
(138636,	9,	951,	3,	3),
(138637,	9,	952,	1,	1),
(138638,	9,	952,	2,	1),
(138639,	9,	952,	3,	1),
(138640,	9,	952,	6,	1),
(138641,	9,	953,	1,	1),
(138642,	9,	953,	2,	1),
(138643,	9,	953,	3,	1),
(138644,	9,	954,	1,	1),
(138645,	9,	954,	2,	1),
(138646,	9,	954,	3,	1),
(138647,	9,	954,	6,	1),
(138648,	9,	954,	23,	1),
(138649,	9,	955,	1,	1),
(138650,	9,	955,	2,	1),
(138651,	9,	955,	3,	1),
(138652,	9,	956,	1,	1),
(138653,	9,	956,	2,	1),
(138654,	9,	956,	3,	1),
(138655,	9,	956,	1,	2),
(138656,	9,	956,	2,	2),
(138657,	9,	956,	3,	2),
(138658,	9,	957,	1,	1),
(138659,	9,	957,	2,	1),
(138660,	9,	957,	3,	1),
(138661,	9,	957,	6,	1),
(138662,	9,	957,	23,	1),
(138663,	9,	957,	1,	2),
(138664,	9,	957,	2,	2),
(138665,	9,	957,	3,	2),
(138666,	9,	957,	6,	2),
(138667,	9,	957,	23,	2),
(138668,	9,	958,	1,	1),
(138669,	9,	958,	2,	1),
(138670,	9,	958,	3,	1),
(138671,	9,	958,	1,	2),
(138672,	9,	958,	2,	2),
(138673,	9,	958,	3,	2),
(138674,	9,	959,	1,	1),
(138675,	9,	959,	2,	1),
(138676,	9,	959,	3,	1),
(138677,	9,	959,	1,	2),
(138678,	9,	959,	2,	2),
(138679,	9,	959,	3,	2),
(138680,	9,	960,	1,	1),
(138681,	9,	960,	2,	1),
(138682,	9,	960,	3,	1),
(138683,	9,	960,	1,	2),
(138684,	9,	960,	2,	2),
(138685,	9,	960,	3,	2),
(138686,	9,	961,	1,	1),
(138687,	9,	961,	2,	1),
(138688,	9,	961,	3,	1),
(138689,	9,	961,	1,	2),
(138690,	9,	961,	2,	2),
(138691,	9,	961,	3,	2),
(138692,	9,	962,	1,	1),
(138693,	9,	962,	2,	1),
(138694,	9,	962,	3,	1),
(138695,	9,	963,	1,	1),
(138696,	9,	963,	2,	1),
(138697,	9,	963,	3,	1),
(138698,	9,	964,	1,	1),
(138699,	9,	964,	2,	1),
(138700,	9,	964,	3,	1),
(138701,	9,	964,	1,	2),
(138702,	9,	964,	2,	2),
(138703,	9,	964,	3,	2),
(138704,	9,	965,	1,	1),
(138705,	9,	965,	2,	1),
(138706,	9,	965,	3,	1),
(138707,	9,	965,	1,	2),
(138708,	9,	965,	2,	2),
(138709,	9,	965,	3,	2),
(138710,	9,	966,	1,	1),
(138711,	9,	966,	2,	1),
(138712,	9,	966,	3,	1),
(138713,	9,	967,	1,	1),
(138714,	9,	967,	2,	1),
(138715,	9,	967,	3,	1),
(138716,	9,	968,	1,	1),
(138717,	9,	968,	2,	1),
(138718,	9,	968,	3,	1),
(138719,	9,	969,	1,	1),
(138720,	9,	969,	2,	1),
(138721,	9,	969,	3,	1),
(138722,	9,	969,	23,	1),
(138723,	9,	969,	1,	3),
(138724,	9,	969,	2,	3),
(138725,	9,	969,	3,	3),
(138726,	9,	969,	23,	3),
(138727,	9,	970,	1,	1),
(138728,	9,	970,	2,	1),
(138729,	9,	970,	3,	1),
(138730,	9,	970,	6,	1),
(138731,	9,	970,	23,	1),
(138732,	9,	970,	1,	3),
(138733,	9,	970,	2,	3),
(138734,	9,	970,	3,	3),
(138735,	9,	970,	6,	3),
(138736,	9,	970,	23,	3),
(138737,	9,	971,	1,	1),
(138738,	9,	971,	2,	1),
(138739,	9,	971,	3,	1),
(138740,	9,	972,	1,	1),
(138741,	9,	972,	2,	1),
(138742,	9,	972,	3,	1),
(138743,	9,	972,	1,	3),
(138744,	9,	972,	2,	3),
(138745,	9,	972,	3,	3),
(138746,	9,	973,	1,	1),
(138747,	9,	973,	2,	1),
(138748,	9,	973,	3,	1),
(138749,	9,	973,	6,	1),
(138750,	9,	973,	1,	3),
(138751,	9,	973,	2,	3),
(138752,	9,	973,	3,	3),
(138753,	9,	973,	6,	3),
(138754,	9,	974,	1,	1),
(138755,	9,	974,	2,	1),
(138756,	9,	974,	3,	1),
(138757,	9,	974,	6,	1),
(138758,	9,	974,	1,	3),
(138759,	9,	974,	2,	3),
(138760,	9,	974,	3,	3),
(138761,	9,	974,	6,	3),
(138762,	9,	975,	1,	1),
(138763,	9,	975,	2,	1),
(138764,	9,	975,	3,	1),
(138765,	9,	976,	1,	1),
(138766,	9,	976,	2,	1),
(138767,	9,	976,	3,	1),
(138768,	9,	977,	1,	1),
(138769,	9,	977,	2,	1),
(138770,	9,	977,	3,	1),
(138771,	9,	978,	1,	1),
(138772,	9,	978,	2,	1),
(138773,	9,	978,	3,	1),
(138774,	9,	978,	6,	1),
(138775,	9,	978,	1,	3),
(138776,	9,	978,	2,	3),
(138777,	9,	978,	3,	3),
(138778,	9,	978,	6,	3),
(138779,	9,	979,	1,	1),
(138780,	9,	979,	2,	1),
(138781,	9,	979,	3,	1),
(138782,	9,	979,	6,	1),
(138783,	9,	979,	1,	3),
(138784,	9,	979,	2,	3),
(138785,	9,	979,	3,	3),
(138786,	9,	979,	6,	3),
(138787,	9,	980,	1,	1),
(138788,	9,	980,	2,	1),
(138789,	9,	980,	3,	1),
(138790,	9,	981,	1,	1),
(138791,	9,	981,	2,	1),
(138792,	9,	981,	3,	1),
(138793,	9,	982,	1,	1),
(138794,	9,	982,	2,	1),
(138795,	9,	982,	3,	1),
(138796,	9,	982,	1,	3),
(138797,	9,	982,	2,	3),
(138798,	9,	982,	3,	3),
(138799,	9,	983,	1,	1),
(138800,	9,	983,	2,	1),
(138801,	9,	983,	3,	1),
(138802,	9,	983,	6,	1),
(138803,	9,	983,	1,	3),
(138804,	9,	983,	2,	3),
(138805,	9,	983,	3,	3),
(138806,	9,	983,	6,	3),
(138807,	9,	984,	1,	1),
(138808,	9,	984,	2,	1),
(138809,	9,	984,	3,	1),
(138810,	9,	984,	6,	1),
(138811,	9,	984,	1,	3),
(138812,	9,	984,	2,	3),
(138813,	9,	984,	3,	3),
(138814,	9,	984,	6,	3),
(138815,	9,	985,	1,	1),
(138816,	9,	985,	2,	1),
(138817,	9,	985,	3,	1),
(138818,	9,	986,	1,	1),
(138819,	9,	986,	2,	1),
(138820,	9,	986,	3,	1),
(138821,	9,	987,	1,	1),
(138822,	9,	987,	2,	1),
(138823,	9,	987,	3,	1),
(138824,	9,	988,	1,	1),
(138825,	9,	988,	2,	1),
(138826,	9,	988,	3,	1),
(138827,	9,	989,	1,	1),
(138828,	9,	989,	2,	1),
(138829,	9,	989,	3,	1),
(138830,	9,	989,	6,	1),
(138831,	9,	989,	23,	1),
(138832,	9,	990,	1,	1),
(138833,	9,	990,	2,	1),
(138834,	9,	990,	3,	1),
(138835,	9,	990,	1,	2),
(138836,	9,	990,	2,	2),
(138837,	9,	990,	3,	2),
(138838,	9,	991,	1,	1),
(138839,	9,	991,	2,	1),
(138840,	9,	991,	3,	1),
(138841,	9,	991,	1,	2),
(138842,	9,	991,	2,	2),
(138843,	9,	991,	3,	2),
(138844,	9,	992,	1,	1),
(138845,	9,	992,	2,	1),
(138846,	9,	992,	3,	1),
(138847,	9,	993,	1,	1),
(138848,	9,	993,	2,	1),
(138849,	9,	993,	3,	1),
(138850,	9,	993,	6,	1),
(138851,	9,	994,	1,	1),
(138852,	9,	994,	2,	1),
(138853,	9,	994,	3,	1),
(138854,	9,	995,	1,	1),
(138855,	9,	995,	2,	1),
(138856,	9,	995,	3,	1),
(138857,	9,	996,	1,	1),
(138858,	9,	996,	2,	1),
(138859,	9,	996,	3,	1),
(138860,	9,	996,	1,	2),
(138861,	9,	996,	2,	2),
(138862,	9,	996,	3,	2),
(138863,	9,	997,	1,	1),
(138864,	9,	997,	2,	1),
(138865,	9,	997,	3,	1),
(138866,	9,	998,	1,	1),
(138867,	9,	998,	2,	1),
(138868,	9,	998,	3,	1),
(138869,	9,	998,	1,	2),
(138870,	9,	998,	2,	2),
(138871,	9,	998,	3,	2),
(138872,	9,	999,	1,	1),
(138873,	9,	999,	2,	1),
(138874,	9,	999,	3,	1),
(138875,	9,	999,	1,	2),
(138876,	9,	999,	2,	2),
(138877,	9,	999,	3,	2),
(138878,	9,	1000,	1,	1),
(138879,	9,	1000,	2,	1),
(138880,	9,	1000,	3,	1),
(138881,	9,	1001,	1,	1),
(138882,	9,	1001,	2,	1),
(138883,	9,	1001,	3,	1),
(138884,	9,	1001,	1,	2),
(138885,	9,	1001,	2,	2),
(138886,	9,	1001,	3,	2),
(138887,	9,	1002,	1,	1),
(138888,	9,	1002,	2,	1),
(138889,	9,	1002,	3,	1),
(138890,	9,	1003,	1,	1),
(138891,	9,	1003,	2,	1),
(138892,	9,	1003,	3,	1),
(138893,	9,	1004,	1,	1),
(138894,	9,	1004,	2,	1),
(138895,	9,	1004,	3,	1),
(138896,	9,	1004,	1,	2),
(138897,	9,	1004,	2,	2),
(138898,	9,	1004,	3,	2),
(138899,	9,	1005,	1,	1),
(138900,	9,	1005,	2,	1),
(138901,	9,	1005,	3,	1),
(138902,	9,	1006,	1,	1),
(138903,	9,	1006,	2,	1),
(138904,	9,	1006,	3,	1),
(138905,	9,	1007,	1,	1),
(138906,	9,	1007,	2,	1),
(138907,	9,	1007,	3,	1),
(138908,	9,	1008,	1,	1),
(138909,	9,	1008,	2,	1),
(138910,	9,	1008,	3,	1),
(138911,	9,	1009,	1,	1),
(138912,	9,	1009,	2,	1),
(138913,	9,	1009,	3,	1),
(138914,	9,	1010,	1,	1),
(138915,	9,	1010,	2,	1),
(138916,	9,	1010,	3,	1),
(138917,	9,	1011,	1,	1),
(138918,	9,	1011,	2,	1),
(138919,	9,	1011,	3,	1),
(138920,	9,	1012,	1,	1),
(138921,	9,	1012,	2,	1),
(138922,	9,	1012,	3,	1),
(138923,	9,	1012,	1,	2),
(138924,	9,	1012,	2,	2),
(138925,	9,	1012,	3,	2),
(138926,	9,	1013,	1,	1),
(138927,	9,	1013,	2,	1),
(138928,	9,	1013,	3,	1),
(138929,	9,	1014,	1,	1),
(138930,	9,	1014,	2,	1),
(138931,	9,	1014,	3,	1),
(138932,	9,	1014,	6,	1),
(138933,	9,	1015,	1,	1),
(138934,	9,	1015,	2,	1),
(138935,	9,	1015,	3,	1),
(138936,	9,	1015,	1,	2),
(138937,	9,	1015,	2,	2),
(138938,	9,	1015,	3,	2),
(138939,	9,	1016,	1,	1),
(138940,	9,	1016,	2,	1),
(138941,	9,	1016,	3,	1),
(138942,	9,	1017,	1,	1),
(138943,	9,	1017,	2,	1),
(138944,	9,	1017,	3,	1),
(138945,	9,	1017,	1,	2),
(138946,	9,	1017,	2,	2),
(138947,	9,	1017,	3,	2),
(138948,	9,	1018,	1,	1),
(138949,	9,	1018,	2,	1),
(138950,	9,	1018,	3,	1),
(138951,	9,	1019,	1,	1),
(138952,	9,	1019,	2,	1),
(138953,	9,	1019,	3,	1),
(138954,	9,	1020,	1,	1),
(138955,	9,	1020,	2,	1),
(138956,	9,	1020,	3,	1),
(138957,	9,	1021,	1,	1),
(138958,	9,	1021,	2,	1),
(138959,	9,	1021,	3,	1),
(138960,	9,	1022,	1,	1),
(138961,	9,	1022,	2,	1),
(138962,	9,	1022,	3,	1),
(138963,	9,	1023,	1,	1),
(138964,	9,	1023,	2,	1),
(138965,	9,	1023,	3,	1),
(138966,	9,	1024,	1,	1),
(138967,	9,	1024,	2,	1),
(138968,	9,	1024,	3,	1),
(138969,	9,	1025,	1,	1),
(138970,	9,	1025,	2,	1),
(138971,	9,	1025,	3,	1),
(138972,	9,	1026,	1,	1),
(138973,	9,	1026,	2,	1),
(138974,	9,	1026,	3,	1),
(138975,	9,	1027,	1,	1),
(138976,	9,	1027,	2,	1),
(138977,	9,	1027,	3,	1),
(138978,	9,	1028,	1,	1),
(138979,	9,	1028,	2,	1),
(138980,	9,	1028,	3,	1),
(138981,	9,	1029,	1,	1),
(138982,	9,	1029,	2,	1),
(138983,	9,	1029,	3,	1),
(138984,	9,	1030,	1,	1),
(138985,	9,	1030,	2,	1),
(138986,	9,	1030,	3,	1),
(138987,	9,	1030,	1,	2),
(138988,	9,	1030,	2,	2),
(138989,	9,	1030,	3,	2),
(138990,	9,	1031,	1,	1),
(138991,	9,	1031,	2,	1),
(138992,	9,	1031,	3,	1),
(138993,	9,	1031,	1,	2),
(138994,	9,	1031,	2,	2),
(138995,	9,	1031,	3,	2),
(138996,	9,	1032,	1,	1),
(138997,	9,	1032,	2,	1),
(138998,	9,	1032,	3,	1),
(138999,	9,	1032,	1,	2),
(139000,	9,	1032,	2,	2),
(139001,	9,	1032,	3,	2),
(139002,	9,	1033,	1,	1),
(139003,	9,	1033,	2,	1),
(139004,	9,	1033,	3,	1),
(139005,	9,	1034,	1,	1),
(139006,	9,	1034,	2,	1),
(139007,	9,	1034,	3,	1),
(139008,	9,	1034,	1,	2),
(139009,	9,	1034,	2,	2),
(139010,	9,	1034,	3,	2),
(139011,	9,	1035,	1,	1),
(139012,	9,	1035,	2,	1),
(139013,	9,	1035,	3,	1),
(139014,	9,	1036,	1,	1),
(139015,	9,	1036,	2,	1),
(139016,	9,	1036,	3,	1),
(139017,	9,	1037,	1,	1),
(139018,	9,	1037,	2,	1),
(139019,	9,	1037,	3,	1),
(139020,	9,	1037,	1,	2),
(139021,	9,	1037,	2,	2),
(139022,	9,	1037,	3,	2),
(139023,	9,	1038,	1,	1),
(139024,	9,	1038,	2,	1),
(139025,	9,	1038,	3,	1),
(139026,	9,	1038,	1,	2),
(139027,	9,	1038,	2,	2),
(139028,	9,	1038,	3,	2),
(139029,	9,	1039,	1,	1),
(139030,	9,	1039,	2,	1),
(139031,	9,	1039,	3,	1),
(139032,	9,	1039,	1,	2),
(139033,	9,	1039,	2,	2),
(139034,	9,	1039,	3,	2),
(139035,	9,	1040,	1,	1),
(139036,	9,	1040,	2,	1),
(139037,	9,	1040,	3,	1),
(139038,	9,	1040,	1,	2),
(139039,	9,	1040,	2,	2),
(139040,	9,	1040,	3,	2),
(139041,	9,	1041,	1,	1),
(139042,	9,	1041,	2,	1),
(139043,	9,	1041,	3,	1),
(139044,	9,	1042,	1,	1),
(139045,	9,	1042,	2,	1),
(139046,	9,	1042,	3,	1),
(139047,	9,	1042,	1,	2),
(139048,	9,	1042,	2,	2),
(139049,	9,	1042,	3,	2),
(139050,	9,	1043,	1,	1),
(139051,	9,	1043,	2,	1),
(139052,	9,	1043,	3,	1),
(139053,	9,	1044,	1,	1),
(139054,	9,	1044,	2,	1),
(139055,	9,	1044,	3,	1),
(139056,	9,	1045,	1,	1),
(139057,	9,	1045,	2,	1),
(139058,	9,	1045,	3,	1),
(139059,	9,	1046,	1,	1),
(139060,	9,	1046,	2,	1),
(139061,	9,	1046,	3,	1),
(139062,	9,	1047,	1,	1),
(139063,	9,	1047,	2,	1),
(139064,	9,	1047,	3,	1),
(139065,	9,	1047,	1,	2),
(139066,	9,	1047,	2,	2),
(139067,	9,	1047,	3,	2),
(139068,	9,	1048,	1,	1),
(139069,	9,	1048,	2,	1),
(139070,	9,	1048,	3,	1),
(139071,	9,	1049,	1,	1),
(139072,	9,	1049,	2,	1),
(139073,	9,	1049,	3,	1),
(139074,	9,	1050,	1,	1),
(139075,	9,	1050,	2,	1),
(139076,	9,	1050,	3,	1),
(139077,	9,	1050,	1,	2),
(139078,	9,	1050,	2,	2),
(139079,	9,	1050,	3,	2),
(139080,	9,	1051,	1,	1),
(139081,	9,	1051,	2,	1),
(139082,	9,	1051,	3,	1),
(139083,	9,	1052,	1,	1),
(139084,	9,	1052,	2,	1),
(139085,	9,	1052,	3,	1),
(139086,	9,	1053,	1,	1),
(139087,	9,	1053,	2,	1),
(139088,	9,	1053,	3,	1),
(139089,	9,	1054,	1,	1),
(139090,	9,	1054,	2,	1),
(139091,	9,	1054,	3,	1),
(139092,	9,	1055,	1,	1),
(139093,	9,	1055,	2,	1),
(139094,	9,	1055,	3,	1),
(139095,	9,	1056,	1,	1),
(139096,	9,	1056,	2,	1),
(139097,	9,	1056,	3,	1),
(139098,	9,	1057,	1,	1),
(139099,	9,	1057,	2,	1),
(139100,	9,	1057,	3,	1),
(139101,	9,	1058,	1,	1),
(139102,	9,	1058,	2,	1),
(139103,	9,	1058,	3,	1),
(139104,	9,	1059,	1,	1),
(139105,	9,	1059,	2,	1),
(139106,	9,	1059,	3,	1),
(139107,	9,	1060,	1,	1),
(139108,	9,	1060,	2,	1),
(139109,	9,	1060,	3,	1),
(139110,	9,	1061,	1,	1),
(139111,	9,	1061,	2,	1),
(139112,	9,	1061,	3,	1),
(139113,	9,	1061,	1,	2),
(139114,	9,	1061,	2,	2),
(139115,	9,	1061,	3,	2),
(139116,	9,	1062,	1,	1),
(139117,	9,	1062,	2,	1),
(139118,	9,	1062,	3,	1),
(139119,	9,	1063,	1,	1),
(139120,	9,	1063,	2,	1),
(139121,	9,	1063,	3,	1),
(139122,	9,	1064,	1,	1),
(139123,	9,	1064,	2,	1),
(139124,	9,	1064,	3,	1),
(139125,	9,	1064,	1,	2),
(139126,	9,	1064,	2,	2),
(139127,	9,	1064,	3,	2),
(139128,	9,	1065,	1,	1),
(139129,	9,	1065,	2,	1),
(139130,	9,	1065,	3,	1),
(139131,	9,	1065,	1,	2),
(139132,	9,	1065,	2,	2),
(139133,	9,	1065,	3,	2),
(139134,	9,	1066,	1,	1),
(139135,	9,	1066,	2,	1),
(139136,	9,	1066,	3,	1),
(139137,	9,	1066,	1,	2),
(139138,	9,	1066,	2,	2),
(139139,	9,	1066,	3,	2),
(139140,	9,	1067,	1,	1),
(139141,	9,	1067,	2,	1),
(139142,	9,	1067,	3,	1),
(139143,	9,	1067,	1,	2),
(139144,	9,	1067,	2,	2),
(139145,	9,	1067,	3,	2),
(139146,	9,	1068,	1,	1),
(139147,	9,	1068,	2,	1),
(139148,	9,	1068,	3,	1),
(139149,	9,	1068,	1,	2),
(139150,	9,	1068,	2,	2),
(139151,	9,	1068,	3,	2),
(139152,	9,	1069,	1,	1),
(139153,	9,	1069,	2,	1),
(139154,	9,	1069,	3,	1),
(139155,	9,	1069,	1,	2),
(139156,	9,	1069,	2,	2),
(139157,	9,	1069,	3,	2),
(139158,	9,	1070,	1,	1),
(139159,	9,	1070,	2,	1),
(139160,	9,	1070,	3,	1),
(139161,	9,	1070,	1,	2),
(139162,	9,	1070,	2,	2),
(139163,	9,	1070,	3,	2),
(139164,	9,	1071,	1,	1),
(139165,	9,	1071,	2,	1),
(139166,	9,	1071,	3,	1),
(139167,	9,	1072,	1,	1),
(139168,	9,	1072,	2,	1),
(139169,	9,	1072,	3,	1),
(139170,	9,	1072,	28,	1),
(139171,	9,	1072,	1,	3),
(139172,	9,	1072,	2,	3),
(139173,	9,	1072,	3,	3),
(139174,	9,	1072,	28,	3),
(139175,	9,	1073,	1,	1),
(139176,	9,	1073,	2,	1),
(139177,	9,	1073,	3,	1),
(139178,	9,	1073,	1,	3),
(139179,	9,	1073,	2,	3),
(139180,	9,	1073,	3,	3),
(139181,	9,	1074,	1,	1),
(139182,	9,	1074,	2,	1),
(139183,	9,	1074,	3,	1),
(139184,	9,	1074,	1,	3),
(139185,	9,	1074,	2,	3),
(139186,	9,	1074,	3,	3),
(139187,	9,	1075,	1,	1),
(139188,	9,	1075,	2,	1),
(139189,	9,	1075,	3,	1),
(139190,	9,	1075,	1,	3),
(139191,	9,	1075,	2,	3),
(139192,	9,	1075,	3,	3),
(139193,	9,	1076,	1,	1),
(139194,	9,	1076,	2,	1),
(139195,	9,	1076,	3,	1),
(139196,	9,	1076,	1,	3),
(139197,	9,	1076,	2,	3),
(139198,	9,	1076,	3,	3),
(139199,	9,	1077,	1,	1),
(139200,	9,	1077,	2,	1),
(139201,	9,	1077,	3,	1),
(139202,	9,	1077,	1,	3),
(139203,	9,	1077,	2,	3),
(139204,	9,	1077,	3,	3),
(139205,	9,	1078,	1,	1),
(139206,	9,	1078,	2,	1),
(139207,	9,	1078,	3,	1),
(139208,	9,	1078,	1,	2),
(139209,	9,	1078,	2,	2),
(139210,	9,	1078,	3,	2),
(139211,	9,	1079,	1,	1),
(139212,	9,	1079,	2,	1),
(139213,	9,	1079,	3,	1),
(139214,	9,	1079,	1,	2),
(139215,	9,	1079,	2,	2),
(139216,	9,	1079,	3,	2),
(139217,	9,	1080,	1,	1),
(139218,	9,	1080,	2,	1),
(139219,	9,	1080,	3,	1),
(139220,	9,	1081,	1,	1),
(139221,	9,	1081,	2,	1),
(139222,	9,	1081,	3,	1),
(139223,	9,	1081,	1,	2),
(139224,	9,	1081,	2,	2),
(139225,	9,	1081,	3,	2),
(139226,	9,	1082,	1,	1),
(139227,	9,	1082,	2,	1),
(139228,	9,	1082,	3,	1),
(139229,	9,	1082,	1,	2),
(139230,	9,	1082,	2,	2),
(139231,	9,	1082,	3,	2),
(139232,	9,	1083,	1,	1),
(139233,	9,	1083,	2,	1),
(139234,	9,	1083,	3,	1),
(139235,	9,	1083,	1,	2),
(139236,	9,	1083,	2,	2),
(139237,	9,	1083,	3,	2),
(139238,	9,	1084,	1,	1),
(139239,	9,	1084,	2,	1),
(139240,	9,	1084,	3,	1),
(139241,	9,	1084,	1,	2),
(139242,	9,	1084,	2,	2),
(139243,	9,	1084,	3,	2),
(139244,	9,	1085,	1,	1),
(139245,	9,	1085,	2,	1),
(139246,	9,	1085,	3,	1),
(139247,	9,	1086,	1,	1),
(139248,	9,	1086,	2,	1),
(139249,	9,	1086,	3,	1),
(139250,	9,	1086,	1,	2),
(139251,	9,	1086,	2,	2),
(139252,	9,	1086,	3,	2),
(139253,	9,	1087,	1,	1),
(139254,	9,	1087,	2,	1),
(139255,	9,	1087,	3,	1),
(139256,	9,	1087,	1,	2),
(139257,	9,	1087,	2,	2),
(139258,	9,	1087,	3,	2),
(139259,	9,	1088,	1,	1),
(139260,	9,	1088,	2,	1),
(139261,	9,	1088,	3,	1),
(139262,	9,	1088,	1,	2),
(139263,	9,	1088,	2,	2),
(139264,	9,	1088,	3,	2),
(139265,	9,	1089,	1,	1),
(139266,	9,	1089,	2,	1),
(139267,	9,	1089,	3,	1),
(139268,	9,	1090,	1,	1),
(139269,	9,	1090,	2,	1),
(139270,	9,	1090,	3,	1),
(139271,	9,	1090,	1,	2),
(139272,	9,	1090,	2,	2),
(139273,	9,	1090,	3,	2),
(139274,	9,	1091,	1,	1),
(139275,	9,	1091,	2,	1),
(139276,	9,	1091,	3,	1),
(139277,	9,	1091,	1,	2),
(139278,	9,	1091,	2,	2),
(139279,	9,	1091,	3,	2),
(139280,	9,	1092,	1,	1),
(139281,	9,	1092,	2,	1),
(139282,	9,	1092,	3,	1),
(139283,	9,	1093,	1,	1),
(139284,	9,	1093,	2,	1),
(139285,	9,	1093,	3,	1),
(139286,	9,	1093,	1,	2),
(139287,	9,	1093,	2,	2),
(139288,	9,	1093,	3,	2),
(139289,	9,	1094,	1,	1),
(139290,	9,	1094,	2,	1),
(139291,	9,	1094,	3,	1),
(139292,	9,	1094,	1,	2),
(139293,	9,	1094,	2,	2),
(139294,	9,	1094,	3,	2),
(139295,	9,	1095,	1,	1),
(139296,	9,	1095,	2,	1),
(139297,	9,	1095,	3,	1),
(139298,	9,	1095,	1,	2),
(139299,	9,	1095,	2,	2),
(139300,	9,	1095,	3,	2),
(139301,	9,	1096,	1,	1),
(139302,	9,	1096,	2,	1),
(139303,	9,	1096,	3,	1),
(139304,	9,	1097,	1,	1),
(139305,	9,	1097,	2,	1),
(139306,	9,	1097,	3,	1),
(139307,	9,	1097,	1,	2),
(139308,	9,	1097,	2,	2),
(139309,	9,	1097,	3,	2),
(139310,	9,	1098,	1,	1),
(139311,	9,	1098,	2,	1),
(139312,	9,	1098,	3,	1),
(139313,	9,	1098,	1,	2),
(139314,	9,	1098,	2,	2),
(139315,	9,	1098,	3,	2),
(139316,	9,	1099,	1,	1),
(139317,	9,	1099,	2,	1),
(139318,	9,	1099,	3,	1),
(139319,	9,	1099,	1,	2),
(139320,	9,	1099,	2,	2),
(139321,	9,	1099,	3,	2),
(139322,	9,	1100,	1,	1),
(139323,	9,	1100,	2,	1),
(139324,	9,	1100,	3,	1),
(139325,	9,	1100,	1,	2),
(139326,	9,	1100,	2,	2),
(139327,	9,	1100,	3,	2),
(139328,	9,	1101,	1,	1),
(139329,	9,	1101,	2,	1),
(139330,	9,	1101,	3,	1),
(139331,	9,	1102,	1,	1),
(139332,	9,	1102,	2,	1),
(139333,	9,	1102,	3,	1),
(139334,	9,	1102,	1,	2),
(139335,	9,	1102,	2,	2),
(139336,	9,	1102,	3,	2),
(139337,	9,	1103,	1,	1),
(139338,	9,	1103,	2,	1),
(139339,	9,	1103,	3,	1),
(139340,	9,	1103,	1,	2),
(139341,	9,	1103,	2,	2),
(139342,	9,	1103,	3,	2),
(139343,	9,	1104,	1,	1),
(139344,	9,	1104,	2,	1),
(139345,	9,	1104,	3,	1),
(139346,	9,	1104,	1,	2),
(139347,	9,	1104,	2,	2),
(139348,	9,	1104,	3,	2),
(139349,	9,	1105,	1,	1),
(139350,	9,	1105,	2,	1),
(139351,	9,	1105,	3,	1),
(139352,	9,	1105,	1,	2),
(139353,	9,	1105,	2,	2),
(139354,	9,	1105,	3,	2),
(139355,	9,	1106,	1,	1),
(139356,	9,	1106,	2,	1),
(139357,	9,	1106,	3,	1),
(139358,	9,	1106,	1,	2),
(139359,	9,	1106,	2,	2),
(139360,	9,	1106,	3,	2),
(139361,	9,	1107,	1,	1),
(139362,	9,	1107,	2,	1),
(139363,	9,	1107,	3,	1),
(139364,	9,	1108,	1,	1),
(139365,	9,	1108,	2,	1),
(139366,	9,	1108,	3,	1),
(139367,	9,	1108,	1,	2),
(139368,	9,	1108,	2,	2),
(139369,	9,	1108,	3,	2),
(139370,	9,	1109,	1,	1),
(139371,	9,	1109,	2,	1),
(139372,	9,	1109,	3,	1),
(139373,	9,	1109,	1,	2),
(139374,	9,	1109,	2,	2),
(139375,	9,	1109,	3,	2),
(139376,	9,	1110,	1,	1),
(139377,	9,	1110,	2,	1),
(139378,	9,	1110,	3,	1),
(139379,	9,	1110,	1,	2),
(139380,	9,	1110,	2,	2),
(139381,	9,	1110,	3,	2),
(139382,	9,	1111,	1,	1),
(139383,	9,	1111,	2,	1),
(139384,	9,	1111,	3,	1),
(139385,	9,	1111,	1,	2),
(139386,	9,	1111,	2,	2),
(139387,	9,	1111,	3,	2),
(139388,	9,	1112,	1,	1),
(139389,	9,	1112,	2,	1),
(139390,	9,	1112,	3,	1),
(139391,	9,	1113,	1,	1),
(139392,	9,	1113,	2,	1),
(139393,	9,	1113,	3,	1),
(139394,	9,	1113,	1,	2),
(139395,	9,	1113,	2,	2),
(139396,	9,	1113,	3,	2),
(139397,	9,	1114,	1,	1),
(139398,	9,	1114,	2,	1),
(139399,	9,	1114,	3,	1),
(139400,	9,	1114,	1,	2),
(139401,	9,	1114,	2,	2),
(139402,	9,	1114,	3,	2),
(139403,	9,	1115,	1,	1),
(139404,	9,	1115,	2,	1),
(139405,	9,	1115,	3,	1),
(139406,	9,	1115,	1,	2),
(139407,	9,	1115,	2,	2),
(139408,	9,	1115,	3,	2),
(139409,	9,	1116,	1,	1),
(139410,	9,	1116,	2,	1),
(139411,	9,	1116,	3,	1),
(139412,	9,	1116,	1,	2),
(139413,	9,	1116,	2,	2),
(139414,	9,	1116,	3,	2),
(139415,	9,	1117,	1,	1),
(139416,	9,	1117,	2,	1),
(139417,	9,	1117,	3,	1),
(139418,	9,	1117,	1,	2),
(139419,	9,	1117,	2,	2),
(139420,	9,	1117,	3,	2),
(139421,	9,	1118,	1,	1),
(139422,	9,	1118,	2,	1),
(139423,	9,	1118,	3,	1),
(139424,	9,	1118,	1,	2),
(139425,	9,	1118,	2,	2),
(139426,	9,	1118,	3,	2),
(139427,	9,	1119,	1,	1),
(139428,	9,	1119,	2,	1),
(139429,	9,	1119,	3,	1),
(139430,	9,	1120,	1,	1),
(139431,	9,	1120,	2,	1),
(139432,	9,	1120,	3,	1),
(139433,	9,	1120,	1,	2),
(139434,	9,	1120,	2,	2),
(139435,	9,	1120,	3,	2),
(139436,	9,	1121,	1,	1),
(139437,	9,	1121,	2,	1),
(139438,	9,	1121,	3,	1),
(139439,	9,	1121,	1,	2),
(139440,	9,	1121,	2,	2),
(139441,	9,	1121,	3,	2),
(139442,	9,	1122,	1,	1),
(139443,	9,	1122,	2,	1),
(139444,	9,	1122,	3,	1),
(139445,	9,	1122,	1,	2),
(139446,	9,	1122,	2,	2),
(139447,	9,	1122,	3,	2),
(139448,	9,	1123,	1,	1),
(139449,	9,	1123,	2,	1),
(139450,	9,	1123,	3,	1),
(139451,	9,	1123,	1,	2),
(139452,	9,	1123,	2,	2),
(139453,	9,	1123,	3,	2),
(139454,	9,	1124,	1,	1),
(139455,	9,	1124,	2,	1),
(139456,	9,	1124,	3,	1),
(139457,	9,	1125,	1,	1),
(139458,	9,	1125,	2,	1),
(139459,	9,	1125,	3,	1),
(139460,	9,	1125,	1,	2),
(139461,	9,	1125,	2,	2),
(139462,	9,	1125,	3,	2),
(139463,	9,	1126,	1,	1),
(139464,	9,	1126,	2,	1),
(139465,	9,	1126,	3,	1),
(139466,	9,	1126,	1,	2),
(139467,	9,	1126,	2,	2),
(139468,	9,	1126,	3,	2),
(139469,	9,	1127,	1,	1),
(139470,	9,	1127,	2,	1),
(139471,	9,	1127,	3,	1),
(139472,	9,	1128,	1,	1),
(139473,	9,	1128,	2,	1),
(139474,	9,	1128,	3,	1),
(139475,	9,	1128,	1,	2),
(139476,	9,	1128,	2,	2),
(139477,	9,	1128,	3,	2),
(139478,	9,	1129,	2,	1),
(139479,	9,	1129,	1,	3),
(139480,	9,	1129,	2,	3),
(139481,	9,	1129,	3,	3),
(139482,	9,	1130,	1,	1),
(139483,	9,	1130,	2,	1),
(139484,	9,	1130,	3,	1),
(139485,	9,	1130,	1,	3),
(139486,	9,	1130,	2,	3),
(139487,	9,	1130,	3,	3),
(139488,	9,	1131,	1,	1),
(139489,	9,	1131,	2,	1),
(139490,	9,	1131,	3,	1),
(139491,	9,	1131,	23,	1),
(139492,	9,	1131,	4,	1),
(139493,	9,	1131,	25,	1),
(139494,	9,	1131,	24,	1),
(139495,	9,	1131,	6,	1),
(139496,	9,	1131,	1,	3),
(139497,	9,	1131,	2,	3),
(139498,	9,	1131,	3,	3),
(139499,	9,	1131,	23,	3),
(139500,	9,	1131,	4,	3),
(139501,	9,	1131,	25,	3),
(139502,	9,	1131,	24,	3),
(139503,	9,	1131,	6,	3),
(139504,	9,	1132,	1,	1),
(139505,	9,	1132,	2,	1),
(139506,	9,	1132,	3,	1),
(139507,	9,	1132,	23,	1),
(139508,	9,	1132,	4,	1),
(139509,	9,	1132,	25,	1),
(139510,	9,	1132,	24,	1),
(139511,	9,	1132,	6,	1),
(139512,	9,	1132,	1,	3),
(139513,	9,	1132,	2,	3),
(139514,	9,	1132,	3,	3),
(139515,	9,	1132,	23,	3),
(139516,	9,	1132,	4,	3),
(139517,	9,	1132,	25,	3),
(139518,	9,	1132,	24,	3),
(139519,	9,	1132,	6,	3),
(139520,	9,	1133,	1,	1),
(139521,	9,	1133,	2,	1),
(139522,	9,	1133,	3,	1),
(139523,	9,	1133,	23,	1),
(139524,	9,	1133,	4,	1),
(139525,	9,	1133,	25,	1),
(139526,	9,	1133,	24,	1),
(139527,	9,	1133,	6,	1),
(139528,	9,	1133,	1,	3),
(139529,	9,	1133,	2,	3),
(139530,	9,	1133,	3,	3),
(139531,	9,	1133,	23,	3),
(139532,	9,	1133,	4,	3),
(139533,	9,	1133,	25,	3),
(139534,	9,	1133,	24,	3),
(139535,	9,	1133,	6,	3),
(139536,	9,	1134,	1,	1),
(139537,	9,	1134,	2,	1),
(139538,	9,	1134,	3,	1),
(139539,	9,	1134,	23,	1),
(139540,	9,	1134,	4,	1),
(139541,	9,	1134,	25,	1),
(139542,	9,	1134,	24,	1),
(139543,	9,	1134,	6,	1),
(139544,	9,	1134,	1,	3),
(139545,	9,	1134,	2,	3),
(139546,	9,	1134,	3,	3),
(139547,	9,	1134,	23,	3),
(139548,	9,	1134,	4,	3),
(139549,	9,	1134,	25,	3),
(139550,	9,	1134,	24,	3),
(139551,	9,	1134,	6,	3),
(139552,	9,	1135,	1,	1),
(139553,	9,	1135,	2,	1),
(139554,	9,	1135,	3,	1),
(139555,	9,	1135,	23,	1),
(139556,	9,	1135,	4,	1),
(139557,	9,	1135,	25,	1),
(139558,	9,	1135,	24,	1),
(139559,	9,	1135,	6,	1),
(139560,	9,	1135,	1,	3),
(139561,	9,	1135,	2,	3),
(139562,	9,	1135,	3,	3),
(139563,	9,	1135,	23,	3),
(139564,	9,	1135,	4,	3),
(139565,	9,	1135,	25,	3),
(139566,	9,	1135,	24,	3),
(139567,	9,	1135,	6,	3),
(139568,	9,	1136,	1,	1),
(139569,	9,	1136,	2,	1),
(139570,	9,	1136,	3,	1),
(139571,	9,	1136,	23,	1),
(139572,	9,	1136,	4,	1),
(139573,	9,	1136,	25,	1),
(139574,	9,	1136,	24,	1),
(139575,	9,	1136,	6,	1),
(139576,	9,	1136,	1,	3),
(139577,	9,	1136,	2,	3),
(139578,	9,	1136,	3,	3),
(139579,	9,	1136,	23,	3),
(139580,	9,	1136,	4,	3),
(139581,	9,	1136,	25,	3),
(139582,	9,	1136,	24,	3),
(139583,	9,	1136,	6,	3),
(139584,	9,	1137,	1,	1),
(139585,	9,	1137,	2,	1),
(139586,	9,	1137,	3,	1),
(139587,	9,	1137,	1,	2),
(139588,	9,	1137,	2,	2),
(139589,	9,	1137,	3,	2),
(139590,	9,	1138,	1,	1),
(139591,	9,	1138,	2,	1),
(139592,	9,	1138,	3,	1),
(139593,	9,	1138,	23,	1),
(139594,	9,	1138,	4,	1),
(139595,	9,	1138,	25,	1),
(139596,	9,	1138,	24,	1),
(139597,	9,	1138,	6,	1),
(139598,	9,	1138,	1,	3),
(139599,	9,	1138,	2,	3),
(139600,	9,	1138,	3,	3),
(139601,	9,	1138,	23,	3),
(139602,	9,	1138,	4,	3),
(139603,	9,	1138,	25,	3),
(139604,	9,	1138,	24,	3),
(139605,	9,	1138,	6,	3),
(139606,	9,	1139,	1,	1),
(139607,	9,	1139,	2,	1),
(139608,	9,	1139,	3,	1),
(139609,	9,	1139,	23,	1),
(139610,	9,	1139,	4,	1),
(139611,	9,	1139,	25,	1),
(139612,	9,	1139,	24,	1),
(139613,	9,	1139,	6,	1),
(139614,	9,	1139,	1,	3),
(139615,	9,	1139,	2,	3),
(139616,	9,	1139,	3,	3),
(139617,	9,	1139,	23,	3),
(139618,	9,	1139,	4,	3),
(139619,	9,	1139,	25,	3),
(139620,	9,	1139,	24,	3),
(139621,	9,	1139,	6,	3),
(139622,	9,	1140,	1,	1),
(139623,	9,	1140,	2,	1),
(139624,	9,	1140,	3,	1),
(139625,	9,	1140,	23,	1),
(139626,	9,	1140,	4,	1),
(139627,	9,	1140,	25,	1),
(139628,	9,	1140,	24,	1),
(139629,	9,	1140,	6,	1),
(139630,	9,	1140,	1,	3),
(139631,	9,	1140,	2,	3),
(139632,	9,	1140,	3,	3),
(139633,	9,	1140,	23,	3),
(139634,	9,	1140,	4,	3),
(139635,	9,	1140,	25,	3),
(139636,	9,	1140,	24,	3),
(139637,	9,	1140,	6,	3),
(139638,	9,	1141,	1,	1),
(139639,	9,	1141,	2,	1),
(139640,	9,	1141,	3,	1),
(139641,	9,	1142,	1,	1),
(139642,	9,	1142,	2,	1),
(139643,	9,	1142,	3,	1),
(139644,	9,	1142,	1,	3),
(139645,	9,	1142,	2,	3),
(139646,	9,	1142,	3,	3),
(139647,	9,	1143,	1,	1),
(139648,	9,	1143,	2,	1),
(139649,	9,	1143,	3,	1),
(139650,	9,	1143,	23,	1),
(139651,	9,	1143,	4,	1),
(139652,	9,	1143,	25,	1),
(139653,	9,	1143,	24,	1),
(139654,	9,	1143,	6,	1),
(139655,	9,	1143,	1,	3),
(139656,	9,	1143,	2,	3),
(139657,	9,	1143,	3,	3),
(139658,	9,	1143,	23,	3),
(139659,	9,	1143,	4,	3),
(139660,	9,	1143,	25,	3),
(139661,	9,	1143,	24,	3),
(139662,	9,	1143,	6,	3),
(139663,	9,	1144,	1,	1),
(139664,	9,	1144,	2,	1),
(139665,	9,	1144,	3,	1),
(139666,	9,	1145,	1,	1),
(139667,	9,	1145,	2,	1),
(139668,	9,	1145,	3,	1),
(139669,	9,	1145,	23,	1),
(139670,	9,	1145,	4,	1),
(139671,	9,	1145,	25,	1),
(139672,	9,	1145,	24,	1),
(139673,	9,	1145,	6,	1),
(139674,	9,	1145,	1,	3),
(139675,	9,	1145,	2,	3),
(139676,	9,	1145,	3,	3),
(139677,	9,	1145,	23,	3),
(139678,	9,	1145,	4,	3),
(139679,	9,	1145,	25,	3),
(139680,	9,	1145,	24,	3),
(139681,	9,	1145,	6,	3),
(139682,	9,	1146,	2,	1),
(139683,	9,	1146,	3,	1),
(139684,	9,	1146,	1,	2),
(139685,	9,	1146,	2,	2),
(139686,	9,	1146,	3,	2),
(139687,	9,	1147,	1,	1),
(139688,	9,	1147,	2,	1),
(139689,	9,	1147,	3,	1),
(139690,	9,	1148,	1,	1),
(139691,	9,	1148,	2,	1),
(139692,	9,	1148,	3,	1),
(139693,	9,	1148,	23,	1),
(139694,	9,	1148,	4,	1),
(139695,	9,	1148,	25,	1),
(139696,	9,	1148,	24,	1),
(139697,	9,	1148,	6,	1),
(139698,	9,	1148,	1,	3),
(139699,	9,	1148,	2,	3),
(139700,	9,	1148,	3,	3),
(139701,	9,	1148,	23,	3),
(139702,	9,	1148,	4,	3),
(139703,	9,	1148,	25,	3),
(139704,	9,	1148,	24,	3),
(139705,	9,	1148,	6,	3),
(139706,	9,	1149,	1,	1),
(139707,	9,	1149,	2,	1),
(139708,	9,	1149,	3,	1),
(139709,	9,	1149,	1,	2),
(139710,	9,	1149,	2,	2),
(139711,	9,	1149,	3,	2),
(139712,	9,	1150,	1,	1),
(139713,	9,	1150,	2,	1),
(139714,	9,	1150,	3,	1),
(139715,	9,	1151,	1,	1),
(139716,	9,	1151,	2,	1),
(139717,	9,	1151,	3,	1),
(139718,	9,	1151,	23,	1),
(139719,	9,	1151,	4,	1),
(139720,	9,	1151,	25,	1),
(139721,	9,	1151,	24,	1),
(139722,	9,	1151,	6,	1),
(139723,	9,	1151,	1,	3),
(139724,	9,	1151,	2,	3),
(139725,	9,	1151,	3,	3),
(139726,	9,	1151,	23,	3),
(139727,	9,	1151,	4,	3),
(139728,	9,	1151,	25,	3),
(139729,	9,	1151,	24,	3),
(139730,	9,	1151,	6,	3),
(139731,	9,	1152,	1,	1),
(139732,	9,	1152,	2,	1),
(139733,	9,	1152,	3,	1),
(139734,	9,	1152,	1,	2),
(139735,	9,	1152,	2,	2),
(139736,	9,	1152,	3,	2),
(139737,	9,	1153,	1,	1),
(139738,	9,	1153,	2,	1),
(139739,	9,	1153,	3,	1),
(139740,	9,	1154,	1,	1),
(139741,	9,	1154,	2,	1),
(139742,	9,	1154,	3,	1),
(139743,	9,	1155,	1,	1),
(139744,	9,	1155,	2,	1),
(139745,	9,	1155,	3,	1),
(139746,	9,	1156,	1,	1),
(139747,	9,	1156,	2,	1),
(139748,	9,	1156,	3,	1),
(139749,	9,	1157,	1,	1),
(139750,	9,	1157,	2,	1),
(139751,	9,	1157,	3,	1),
(139752,	9,	1158,	1,	1),
(139753,	9,	1158,	2,	1),
(139754,	9,	1158,	3,	1),
(139755,	9,	1159,	1,	1),
(139756,	9,	1159,	2,	1),
(139757,	9,	1159,	3,	1),
(139758,	9,	1160,	1,	1),
(139759,	9,	1160,	2,	1),
(139760,	9,	1160,	3,	1),
(139761,	9,	1161,	1,	1),
(139762,	9,	1161,	2,	1),
(139763,	9,	1161,	3,	1),
(139764,	9,	1161,	1,	2),
(139765,	9,	1161,	2,	2),
(139766,	9,	1161,	3,	2),
(139767,	9,	1162,	1,	1),
(139768,	9,	1162,	2,	1),
(139769,	9,	1162,	3,	1),
(139770,	9,	1163,	1,	1),
(139771,	9,	1163,	2,	1),
(139772,	9,	1163,	3,	1),
(139773,	9,	1163,	1,	2),
(139774,	9,	1163,	2,	2),
(139775,	9,	1163,	3,	2),
(139776,	9,	1164,	1,	1),
(139777,	9,	1164,	2,	1),
(139778,	9,	1164,	3,	1),
(139779,	9,	1164,	35,	1),
(139780,	9,	1164,	45,	1),
(139781,	9,	1164,	46,	1),
(139782,	9,	1164,	54,	1),
(139783,	9,	1164,	51,	1),
(139784,	9,	1164,	55,	1),
(139785,	9,	1164,	56,	1),
(139786,	9,	1164,	57,	1),
(139787,	9,	1164,	58,	1),
(139788,	9,	1164,	59,	1),
(139789,	9,	1164,	60,	1),
(139790,	9,	1164,	49,	1),
(139791,	9,	1164,	61,	1),
(139792,	9,	1164,	53,	1),
(139793,	9,	1164,	62,	1),
(139794,	9,	1164,	52,	1),
(139795,	9,	1164,	63,	1),
(139796,	9,	1164,	64,	1),
(139797,	9,	1165,	1,	1),
(139798,	9,	1165,	2,	1),
(139799,	9,	1165,	3,	1),
(139800,	9,	1165,	35,	1),
(139801,	9,	1165,	45,	1),
(139802,	9,	1165,	46,	1),
(139803,	9,	1165,	54,	1),
(139804,	9,	1165,	51,	1),
(139805,	9,	1165,	55,	1),
(139806,	9,	1165,	56,	1),
(139807,	9,	1165,	57,	1),
(139808,	9,	1165,	58,	1),
(139809,	9,	1165,	59,	1),
(139810,	9,	1165,	60,	1),
(139811,	9,	1165,	49,	1),
(139812,	9,	1165,	61,	1),
(139813,	9,	1165,	53,	1),
(139814,	9,	1165,	62,	1),
(139815,	9,	1165,	52,	1),
(139816,	9,	1165,	63,	1),
(139817,	9,	1165,	64,	1),
(139818,	9,	1166,	1,	1),
(139819,	9,	1166,	2,	1),
(139820,	9,	1166,	3,	1),
(139821,	9,	1166,	35,	1),
(139822,	9,	1166,	45,	1),
(139823,	9,	1166,	46,	1),
(139824,	9,	1166,	54,	1),
(139825,	9,	1166,	51,	1),
(139826,	9,	1166,	55,	1),
(139827,	9,	1166,	56,	1),
(139828,	9,	1166,	57,	1),
(139829,	9,	1166,	58,	1),
(139830,	9,	1166,	59,	1),
(139831,	9,	1166,	60,	1),
(139832,	9,	1166,	49,	1),
(139833,	9,	1166,	61,	1),
(139834,	9,	1166,	53,	1),
(139835,	9,	1166,	62,	1),
(139836,	9,	1166,	52,	1),
(139837,	9,	1166,	63,	1),
(139838,	9,	1166,	64,	1),
(139839,	9,	1166,	1,	3),
(139840,	9,	1166,	2,	3),
(139841,	9,	1166,	3,	3),
(139842,	9,	1166,	35,	3),
(139843,	9,	1166,	45,	3),
(139844,	9,	1166,	46,	3),
(139845,	9,	1166,	54,	3),
(139846,	9,	1166,	51,	3),
(139847,	9,	1166,	55,	3),
(139848,	9,	1166,	56,	3),
(139849,	9,	1166,	57,	3),
(139850,	9,	1166,	58,	3),
(139851,	9,	1166,	59,	3),
(139852,	9,	1166,	60,	3),
(139853,	9,	1166,	49,	3),
(139854,	9,	1166,	61,	3),
(139855,	9,	1166,	53,	3),
(139856,	9,	1166,	62,	3),
(139857,	9,	1166,	52,	3),
(139858,	9,	1166,	63,	3),
(139859,	9,	1166,	64,	3),
(139860,	9,	1167,	1,	1),
(139861,	9,	1167,	2,	1),
(139862,	9,	1167,	3,	1),
(139863,	9,	1167,	35,	1),
(139864,	9,	1167,	45,	1),
(139865,	9,	1167,	46,	1),
(139866,	9,	1167,	54,	1),
(139867,	9,	1167,	51,	1),
(139868,	9,	1167,	55,	1),
(139869,	9,	1167,	56,	1),
(139870,	9,	1167,	57,	1),
(139871,	9,	1167,	58,	1),
(139872,	9,	1167,	59,	1),
(139873,	9,	1167,	60,	1),
(139874,	9,	1167,	49,	1),
(139875,	9,	1167,	61,	1),
(139876,	9,	1167,	53,	1),
(139877,	9,	1167,	62,	1),
(139878,	9,	1167,	52,	1),
(139879,	9,	1167,	63,	1),
(139880,	9,	1167,	64,	1),
(139881,	9,	1167,	1,	3),
(139882,	9,	1167,	2,	3),
(139883,	9,	1167,	3,	3),
(139884,	9,	1167,	35,	3),
(139885,	9,	1167,	45,	3),
(139886,	9,	1167,	46,	3),
(139887,	9,	1167,	54,	3),
(139888,	9,	1167,	51,	3),
(139889,	9,	1167,	55,	3),
(139890,	9,	1167,	56,	3),
(139891,	9,	1167,	57,	3),
(139892,	9,	1167,	58,	3),
(139893,	9,	1167,	59,	3),
(139894,	9,	1167,	60,	3),
(139895,	9,	1167,	49,	3),
(139896,	9,	1167,	61,	3),
(139897,	9,	1167,	53,	3),
(139898,	9,	1167,	62,	3),
(139899,	9,	1167,	52,	3),
(139900,	9,	1167,	63,	3),
(139901,	9,	1167,	64,	3),
(139902,	9,	1168,	1,	1),
(139903,	9,	1168,	2,	1),
(139904,	9,	1168,	3,	1),
(139905,	9,	1168,	35,	1),
(139906,	9,	1168,	45,	1),
(139907,	9,	1168,	46,	1),
(139908,	9,	1168,	54,	1),
(139909,	9,	1168,	51,	1),
(139910,	9,	1168,	55,	1),
(139911,	9,	1168,	56,	1),
(139912,	9,	1168,	57,	1),
(139913,	9,	1168,	58,	1),
(139914,	9,	1168,	59,	1),
(139915,	9,	1168,	60,	1),
(139916,	9,	1168,	49,	1),
(139917,	9,	1168,	61,	1),
(139918,	9,	1168,	53,	1),
(139919,	9,	1168,	62,	1),
(139920,	9,	1168,	52,	1),
(139921,	9,	1168,	63,	1),
(139922,	9,	1168,	64,	1),
(139923,	9,	1169,	1,	1),
(139924,	9,	1169,	2,	1),
(139925,	9,	1169,	3,	1),
(139926,	9,	1169,	35,	1),
(139927,	9,	1169,	45,	1),
(139928,	9,	1169,	46,	1),
(139929,	9,	1169,	54,	1),
(139930,	9,	1169,	51,	1),
(139931,	9,	1169,	55,	1),
(139932,	9,	1169,	56,	1),
(139933,	9,	1169,	57,	1),
(139934,	9,	1169,	58,	1),
(139935,	9,	1169,	59,	1),
(139936,	9,	1169,	60,	1),
(139937,	9,	1169,	49,	1),
(139938,	9,	1169,	61,	1),
(139939,	9,	1169,	53,	1),
(139940,	9,	1169,	62,	1),
(139941,	9,	1169,	52,	1),
(139942,	9,	1169,	63,	1),
(139943,	9,	1169,	64,	1),
(139944,	9,	1170,	1,	1),
(139945,	9,	1170,	2,	1),
(139946,	9,	1170,	3,	1),
(139947,	9,	1170,	1,	2),
(139948,	9,	1170,	2,	2),
(139949,	9,	1170,	3,	2),
(139950,	9,	1171,	1,	1),
(139951,	9,	1171,	2,	1),
(139952,	9,	1171,	3,	1),
(139953,	9,	1171,	35,	1),
(139954,	9,	1171,	45,	1),
(139955,	9,	1171,	46,	1),
(139956,	9,	1171,	54,	1),
(139957,	9,	1171,	51,	1),
(139958,	9,	1171,	55,	1),
(139959,	9,	1171,	56,	1),
(139960,	9,	1171,	57,	1),
(139961,	9,	1171,	58,	1),
(139962,	9,	1171,	59,	1),
(139963,	9,	1171,	60,	1),
(139964,	9,	1171,	49,	1),
(139965,	9,	1171,	61,	1),
(139966,	9,	1171,	53,	1),
(139967,	9,	1171,	62,	1),
(139968,	9,	1171,	52,	1),
(139969,	9,	1171,	63,	1),
(139970,	9,	1171,	64,	1),
(139971,	9,	1172,	1,	1),
(139972,	9,	1172,	2,	1),
(139973,	9,	1172,	3,	1),
(139974,	9,	1172,	35,	1),
(139975,	9,	1172,	45,	1),
(139976,	9,	1172,	46,	1),
(139977,	9,	1172,	54,	1),
(139978,	9,	1172,	51,	1),
(139979,	9,	1172,	55,	1),
(139980,	9,	1172,	56,	1),
(139981,	9,	1172,	57,	1),
(139982,	9,	1172,	58,	1),
(139983,	9,	1172,	59,	1),
(139984,	9,	1172,	60,	1),
(139985,	9,	1172,	49,	1),
(139986,	9,	1172,	61,	1),
(139987,	9,	1172,	53,	1),
(139988,	9,	1172,	62,	1),
(139989,	9,	1172,	52,	1),
(139990,	9,	1172,	63,	1),
(139991,	9,	1172,	64,	1),
(139992,	9,	1172,	1,	3),
(139993,	9,	1172,	2,	3),
(139994,	9,	1172,	3,	3),
(139995,	9,	1172,	35,	3),
(139996,	9,	1172,	45,	3),
(139997,	9,	1172,	46,	3),
(139998,	9,	1172,	54,	3),
(139999,	9,	1172,	51,	3),
(140000,	9,	1172,	55,	3),
(140001,	9,	1172,	56,	3),
(140002,	9,	1172,	57,	3),
(140003,	9,	1172,	58,	3),
(140004,	9,	1172,	59,	3),
(140005,	9,	1172,	60,	3),
(140006,	9,	1172,	49,	3),
(140007,	9,	1172,	61,	3),
(140008,	9,	1172,	53,	3),
(140009,	9,	1172,	62,	3),
(140010,	9,	1172,	52,	3),
(140011,	9,	1172,	63,	3),
(140012,	9,	1172,	64,	3),
(140013,	9,	1173,	1,	1),
(140014,	9,	1173,	2,	1),
(140015,	9,	1173,	3,	1),
(140016,	9,	1173,	35,	1),
(140017,	9,	1173,	45,	1),
(140018,	9,	1173,	46,	1),
(140019,	9,	1173,	54,	1),
(140020,	9,	1173,	51,	1),
(140021,	9,	1173,	55,	1),
(140022,	9,	1173,	56,	1),
(140023,	9,	1173,	57,	1),
(140024,	9,	1173,	58,	1),
(140025,	9,	1173,	59,	1),
(140026,	9,	1173,	60,	1),
(140027,	9,	1173,	49,	1),
(140028,	9,	1173,	61,	1),
(140029,	9,	1173,	53,	1),
(140030,	9,	1173,	62,	1),
(140031,	9,	1173,	52,	1),
(140032,	9,	1173,	63,	1),
(140033,	9,	1173,	64,	1),
(140034,	9,	1173,	1,	3),
(140035,	9,	1173,	2,	3),
(140036,	9,	1173,	3,	3),
(140037,	9,	1173,	35,	3),
(140038,	9,	1173,	45,	3),
(140039,	9,	1173,	46,	3),
(140040,	9,	1173,	54,	3),
(140041,	9,	1173,	51,	3),
(140042,	9,	1173,	55,	3),
(140043,	9,	1173,	56,	3),
(140044,	9,	1173,	57,	3),
(140045,	9,	1173,	58,	3),
(140046,	9,	1173,	59,	3),
(140047,	9,	1173,	60,	3),
(140048,	9,	1173,	49,	3),
(140049,	9,	1173,	61,	3),
(140050,	9,	1173,	53,	3),
(140051,	9,	1173,	62,	3),
(140052,	9,	1173,	52,	3),
(140053,	9,	1173,	63,	3),
(140054,	9,	1173,	64,	3),
(140055,	9,	1174,	1,	1),
(140056,	9,	1174,	2,	1),
(140057,	9,	1174,	3,	1),
(140058,	9,	1175,	1,	1),
(140059,	9,	1175,	2,	1),
(140060,	9,	1175,	3,	1),
(140061,	9,	1176,	1,	1),
(140062,	9,	1176,	2,	1),
(140063,	9,	1176,	3,	1),
(140064,	9,	1176,	1,	2),
(140065,	9,	1176,	2,	2),
(140066,	9,	1176,	3,	2),
(140067,	9,	1177,	1,	1),
(140068,	9,	1177,	2,	1),
(140069,	9,	1177,	3,	1),
(140070,	9,	1177,	1,	2),
(140071,	9,	1177,	2,	2),
(140072,	9,	1177,	3,	2),
(140073,	9,	1178,	1,	1),
(140074,	9,	1178,	2,	1),
(140075,	9,	1178,	3,	1),
(140076,	9,	1179,	1,	1),
(140077,	9,	1179,	2,	1),
(140078,	9,	1179,	3,	1),
(140079,	9,	1179,	1,	2),
(140080,	9,	1179,	2,	2),
(140081,	9,	1179,	3,	2),
(140082,	9,	1180,	1,	1),
(140083,	9,	1180,	2,	1),
(140084,	9,	1180,	3,	1),
(140085,	9,	1181,	1,	1),
(140086,	9,	1181,	2,	1),
(140087,	9,	1181,	3,	1),
(140088,	9,	1182,	1,	1),
(140089,	9,	1182,	2,	1),
(140090,	9,	1182,	3,	1),
(140091,	9,	1183,	1,	1),
(140092,	9,	1183,	2,	1),
(140093,	9,	1183,	3,	1),
(140094,	9,	1183,	1,	2),
(140095,	9,	1183,	2,	2),
(140096,	9,	1183,	3,	2),
(140097,	9,	1184,	1,	1),
(140098,	9,	1184,	2,	1),
(140099,	9,	1184,	3,	1),
(140100,	9,	1185,	1,	1),
(140101,	9,	1185,	2,	1),
(140102,	9,	1185,	3,	1),
(140103,	9,	1186,	1,	1),
(140104,	9,	1186,	2,	1),
(140105,	9,	1186,	3,	1),
(140106,	9,	1186,	1,	2),
(140107,	9,	1186,	2,	2),
(140108,	9,	1186,	3,	2),
(140109,	9,	1187,	1,	1),
(140110,	9,	1187,	2,	1),
(140111,	9,	1187,	3,	1),
(140112,	9,	1188,	1,	1),
(140113,	9,	1188,	2,	1),
(140114,	9,	1188,	3,	1),
(140115,	9,	1189,	1,	1),
(140116,	9,	1189,	2,	1),
(140117,	9,	1189,	3,	1),
(140118,	9,	1190,	1,	1),
(140119,	9,	1190,	2,	1),
(140120,	9,	1190,	3,	1),
(140121,	9,	1191,	1,	1),
(140122,	9,	1191,	2,	1),
(140123,	9,	1191,	3,	1),
(140124,	9,	1192,	1,	1),
(140125,	9,	1192,	2,	1),
(140126,	9,	1192,	3,	1),
(140127,	9,	1192,	1,	2),
(140128,	9,	1192,	2,	2),
(140129,	9,	1192,	3,	2),
(140130,	9,	1193,	1,	1),
(140131,	9,	1193,	2,	1),
(140132,	9,	1193,	3,	1),
(140133,	9,	1194,	1,	1),
(140134,	9,	1194,	2,	1),
(140135,	9,	1194,	3,	1),
(140136,	9,	1195,	1,	1),
(140137,	9,	1195,	2,	1),
(140138,	9,	1195,	3,	1),
(140139,	9,	1195,	65,	1),
(140140,	9,	1195,	66,	1),
(140141,	9,	1195,	7,	1),
(140142,	9,	1195,	8,	1),
(140143,	9,	1195,	67,	1),
(140144,	9,	1195,	68,	1),
(140145,	9,	1195,	15,	1),
(140146,	9,	1195,	1,	3),
(140147,	9,	1195,	2,	3),
(140148,	9,	1195,	3,	3),
(140149,	9,	1195,	65,	3),
(140150,	9,	1195,	66,	3),
(140151,	9,	1195,	7,	3),
(140152,	9,	1195,	8,	3),
(140153,	9,	1195,	67,	3),
(140154,	9,	1195,	68,	3),
(140155,	9,	1195,	15,	3),
(140156,	9,	1196,	1,	1),
(140157,	9,	1196,	2,	1),
(140158,	9,	1196,	3,	1),
(140159,	9,	1196,	65,	1),
(140160,	9,	1196,	66,	1),
(140161,	9,	1196,	7,	1),
(140162,	9,	1196,	8,	1),
(140163,	9,	1196,	67,	1),
(140164,	9,	1196,	68,	1),
(140165,	9,	1196,	15,	1),
(140166,	9,	1196,	1,	3),
(140167,	9,	1196,	2,	3),
(140168,	9,	1196,	3,	3),
(140169,	9,	1196,	65,	3),
(140170,	9,	1196,	66,	3),
(140171,	9,	1196,	7,	3),
(140172,	9,	1196,	8,	3),
(140173,	9,	1196,	67,	3),
(140174,	9,	1196,	68,	3),
(140175,	9,	1196,	15,	3),
(140176,	9,	1197,	1,	1),
(140177,	9,	1197,	2,	1),
(140178,	9,	1197,	3,	1),
(140179,	9,	1197,	1,	3),
(140180,	9,	1197,	2,	3),
(140181,	9,	1197,	3,	3),
(140182,	9,	1198,	1,	1),
(140183,	9,	1198,	2,	1),
(140184,	9,	1198,	3,	1),
(140185,	9,	1198,	1,	3),
(140186,	9,	1198,	2,	3),
(140187,	9,	1198,	3,	3),
(140188,	9,	1199,	1,	1),
(140189,	9,	1199,	2,	1),
(140190,	9,	1199,	3,	1),
(140191,	9,	1199,	65,	1),
(140192,	9,	1199,	66,	1),
(140193,	9,	1199,	7,	1),
(140194,	9,	1199,	8,	1),
(140195,	9,	1199,	67,	1),
(140196,	9,	1199,	68,	1),
(140197,	9,	1199,	15,	1),
(140198,	9,	1199,	1,	3),
(140199,	9,	1199,	2,	3),
(140200,	9,	1199,	3,	3),
(140201,	9,	1199,	65,	3),
(140202,	9,	1199,	66,	3),
(140203,	9,	1199,	7,	3),
(140204,	9,	1199,	8,	3),
(140205,	9,	1199,	67,	3),
(140206,	9,	1199,	68,	3),
(140207,	9,	1199,	15,	3),
(140208,	9,	1200,	1,	1),
(140209,	9,	1200,	2,	1),
(140210,	9,	1200,	3,	1),
(140211,	9,	1200,	65,	1),
(140212,	9,	1200,	66,	1),
(140213,	9,	1200,	7,	1),
(140214,	9,	1200,	8,	1),
(140215,	9,	1200,	67,	1),
(140216,	9,	1200,	68,	1),
(140217,	9,	1200,	15,	1),
(140218,	9,	1200,	1,	3),
(140219,	9,	1200,	2,	3),
(140220,	9,	1200,	3,	3),
(140221,	9,	1200,	65,	3),
(140222,	9,	1200,	66,	3),
(140223,	9,	1200,	7,	3),
(140224,	9,	1200,	8,	3),
(140225,	9,	1200,	67,	3),
(140226,	9,	1200,	68,	3),
(140227,	9,	1200,	15,	3),
(140228,	9,	1201,	1,	1),
(140229,	9,	1201,	2,	1),
(140230,	9,	1201,	3,	1),
(140231,	9,	1201,	65,	1),
(140232,	9,	1201,	66,	1),
(140233,	9,	1201,	7,	1),
(140234,	9,	1201,	8,	1),
(140235,	9,	1201,	67,	1),
(140236,	9,	1201,	68,	1),
(140237,	9,	1201,	15,	1),
(140238,	9,	1201,	1,	3),
(140239,	9,	1201,	2,	3),
(140240,	9,	1201,	3,	3),
(140241,	9,	1201,	65,	3),
(140242,	9,	1201,	66,	3),
(140243,	9,	1201,	7,	3),
(140244,	9,	1201,	8,	3),
(140245,	9,	1201,	67,	3),
(140246,	9,	1201,	68,	3),
(140247,	9,	1201,	15,	3),
(140248,	9,	1202,	1,	1),
(140249,	9,	1202,	2,	1),
(140250,	9,	1202,	3,	1),
(140251,	9,	1202,	65,	1),
(140252,	9,	1202,	66,	1),
(140253,	9,	1202,	7,	1),
(140254,	9,	1202,	8,	1),
(140255,	9,	1202,	67,	1),
(140256,	9,	1202,	68,	1),
(140257,	9,	1202,	15,	1),
(140258,	9,	1202,	1,	3),
(140259,	9,	1202,	2,	3),
(140260,	9,	1202,	3,	3),
(140261,	9,	1202,	65,	3),
(140262,	9,	1202,	66,	3),
(140263,	9,	1202,	7,	3),
(140264,	9,	1202,	8,	3),
(140265,	9,	1202,	67,	3),
(140266,	9,	1202,	68,	3),
(140267,	9,	1202,	15,	3),
(140268,	9,	1203,	1,	1),
(140269,	9,	1203,	2,	1),
(140270,	9,	1203,	3,	1),
(140271,	9,	1203,	69,	1),
(140272,	9,	1203,	70,	1),
(140273,	9,	1203,	71,	1),
(140274,	9,	1203,	72,	1),
(140275,	9,	1203,	65,	1),
(140276,	9,	1203,	66,	1),
(140277,	9,	1203,	7,	1),
(140278,	9,	1203,	8,	1),
(140279,	9,	1203,	73,	1),
(140280,	9,	1203,	67,	1),
(140281,	9,	1203,	10,	1),
(140282,	9,	1203,	68,	1),
(140283,	9,	1203,	1,	3),
(140284,	9,	1203,	2,	3),
(140285,	9,	1203,	3,	3),
(140286,	9,	1203,	69,	3),
(140287,	9,	1203,	70,	3),
(140288,	9,	1203,	71,	3),
(140289,	9,	1203,	72,	3),
(140290,	9,	1203,	65,	3),
(140291,	9,	1203,	66,	3),
(140292,	9,	1203,	7,	3),
(140293,	9,	1203,	8,	3),
(140294,	9,	1203,	73,	3),
(140295,	9,	1203,	67,	3),
(140296,	9,	1203,	10,	3),
(140297,	9,	1203,	68,	3),
(140298,	9,	1204,	1,	1),
(140299,	9,	1204,	2,	1),
(140300,	9,	1204,	3,	1),
(140301,	9,	1204,	1,	3),
(140302,	9,	1204,	2,	3),
(140303,	9,	1204,	3,	3),
(140304,	9,	1205,	1,	1),
(140305,	9,	1205,	2,	1),
(140306,	9,	1205,	3,	1),
(140307,	9,	1205,	69,	1),
(140308,	9,	1205,	70,	1),
(140309,	9,	1205,	71,	1),
(140310,	9,	1205,	72,	1),
(140311,	9,	1205,	65,	1),
(140312,	9,	1205,	66,	1),
(140313,	9,	1205,	7,	1),
(140314,	9,	1205,	8,	1),
(140315,	9,	1205,	73,	1),
(140316,	9,	1205,	67,	1),
(140317,	9,	1205,	10,	1),
(140318,	9,	1205,	68,	1),
(140319,	9,	1205,	1,	3),
(140320,	9,	1205,	2,	3),
(140321,	9,	1205,	3,	3),
(140322,	9,	1205,	69,	3),
(140323,	9,	1205,	70,	3),
(140324,	9,	1205,	71,	3),
(140325,	9,	1205,	72,	3),
(140326,	9,	1205,	65,	3),
(140327,	9,	1205,	66,	3),
(140328,	9,	1205,	7,	3),
(140329,	9,	1205,	8,	3),
(140330,	9,	1205,	73,	3),
(140331,	9,	1205,	67,	3),
(140332,	9,	1205,	10,	3),
(140333,	9,	1205,	68,	3),
(140334,	9,	1206,	1,	1),
(140335,	9,	1206,	2,	1),
(140336,	9,	1206,	3,	1),
(140337,	9,	1206,	66,	1),
(140338,	9,	1206,	7,	1),
(140339,	9,	1206,	8,	1),
(140340,	9,	1206,	67,	1),
(140341,	9,	1206,	68,	1),
(140342,	9,	1206,	1,	3),
(140343,	9,	1206,	2,	3),
(140344,	9,	1206,	3,	3),
(140345,	9,	1206,	66,	3),
(140346,	9,	1206,	7,	3),
(140347,	9,	1206,	8,	3),
(140348,	9,	1206,	67,	3),
(140349,	9,	1206,	68,	3),
(140350,	9,	1207,	1,	1),
(140351,	9,	1207,	2,	1),
(140352,	9,	1207,	3,	1),
(140353,	9,	1207,	69,	1),
(140354,	9,	1207,	70,	1),
(140355,	9,	1207,	71,	1),
(140356,	9,	1207,	72,	1),
(140357,	9,	1207,	65,	1),
(140358,	9,	1207,	66,	1),
(140359,	9,	1207,	7,	1),
(140360,	9,	1207,	8,	1),
(140361,	9,	1207,	73,	1),
(140362,	9,	1207,	67,	1),
(140363,	9,	1207,	10,	1),
(140364,	9,	1207,	68,	1),
(140365,	9,	1207,	74,	1),
(140366,	9,	1207,	1,	3),
(140367,	9,	1207,	2,	3),
(140368,	9,	1207,	3,	3),
(140369,	9,	1207,	69,	3),
(140370,	9,	1207,	70,	3),
(140371,	9,	1207,	71,	3),
(140372,	9,	1207,	72,	3),
(140373,	9,	1207,	65,	3),
(140374,	9,	1207,	66,	3),
(140375,	9,	1207,	7,	3),
(140376,	9,	1207,	8,	3),
(140377,	9,	1207,	73,	3),
(140378,	9,	1207,	67,	3),
(140379,	9,	1207,	10,	3),
(140380,	9,	1207,	68,	3),
(140381,	9,	1207,	74,	3),
(140382,	9,	1208,	1,	1),
(140383,	9,	1208,	2,	1),
(140384,	9,	1208,	3,	1),
(140385,	9,	1208,	66,	1),
(140386,	9,	1208,	7,	1),
(140387,	9,	1208,	8,	1),
(140388,	9,	1208,	67,	1),
(140389,	9,	1208,	68,	1),
(140390,	9,	1208,	1,	3),
(140391,	9,	1208,	2,	3),
(140392,	9,	1208,	3,	3),
(140393,	9,	1208,	66,	3),
(140394,	9,	1208,	7,	3),
(140395,	9,	1208,	8,	3),
(140396,	9,	1208,	67,	3),
(140397,	9,	1208,	68,	3),
(140398,	9,	1209,	1,	1),
(140399,	9,	1209,	2,	1),
(140400,	9,	1209,	3,	1),
(140401,	9,	1209,	69,	1),
(140402,	9,	1209,	70,	1),
(140403,	9,	1209,	71,	1),
(140404,	9,	1209,	72,	1),
(140405,	9,	1209,	65,	1),
(140406,	9,	1209,	66,	1),
(140407,	9,	1209,	7,	1),
(140408,	9,	1209,	8,	1),
(140409,	9,	1209,	73,	1),
(140410,	9,	1209,	67,	1),
(140411,	9,	1209,	10,	1),
(140412,	9,	1209,	68,	1),
(140413,	9,	1209,	74,	1),
(140414,	9,	1209,	1,	3),
(140415,	9,	1209,	2,	3),
(140416,	9,	1209,	3,	3),
(140417,	9,	1209,	69,	3),
(140418,	9,	1209,	70,	3),
(140419,	9,	1209,	71,	3),
(140420,	9,	1209,	72,	3),
(140421,	9,	1209,	65,	3),
(140422,	9,	1209,	66,	3),
(140423,	9,	1209,	7,	3),
(140424,	9,	1209,	8,	3),
(140425,	9,	1209,	73,	3),
(140426,	9,	1209,	67,	3),
(140427,	9,	1209,	10,	3),
(140428,	9,	1209,	68,	3),
(140429,	9,	1209,	74,	3),
(140430,	9,	1210,	1,	1),
(140431,	9,	1210,	2,	1),
(140432,	9,	1210,	3,	1),
(140433,	9,	1210,	66,	1),
(140434,	9,	1210,	7,	1),
(140435,	9,	1210,	8,	1),
(140436,	9,	1210,	67,	1),
(140437,	9,	1210,	68,	1),
(140438,	9,	1210,	1,	3),
(140439,	9,	1210,	2,	3),
(140440,	9,	1210,	3,	3),
(140441,	9,	1210,	66,	3),
(140442,	9,	1210,	7,	3),
(140443,	9,	1210,	8,	3),
(140444,	9,	1210,	67,	3),
(140445,	9,	1210,	68,	3),
(140446,	9,	1211,	1,	1),
(140447,	9,	1211,	2,	1),
(140448,	9,	1211,	3,	1),
(140449,	9,	1211,	69,	1),
(140450,	9,	1211,	70,	1),
(140451,	9,	1211,	71,	1),
(140452,	9,	1211,	72,	1),
(140453,	9,	1211,	65,	1),
(140454,	9,	1211,	66,	1),
(140455,	9,	1211,	7,	1),
(140456,	9,	1211,	8,	1),
(140457,	9,	1211,	73,	1),
(140458,	9,	1211,	67,	1),
(140459,	9,	1211,	10,	1),
(140460,	9,	1211,	68,	1),
(140461,	9,	1211,	74,	1),
(140462,	9,	1211,	1,	3),
(140463,	9,	1211,	2,	3),
(140464,	9,	1211,	3,	3),
(140465,	9,	1211,	69,	3),
(140466,	9,	1211,	70,	3),
(140467,	9,	1211,	71,	3),
(140468,	9,	1211,	72,	3),
(140469,	9,	1211,	65,	3),
(140470,	9,	1211,	66,	3),
(140471,	9,	1211,	7,	3),
(140472,	9,	1211,	8,	3),
(140473,	9,	1211,	73,	3),
(140474,	9,	1211,	67,	3),
(140475,	9,	1211,	10,	3),
(140476,	9,	1211,	68,	3),
(140477,	9,	1211,	74,	3),
(140478,	9,	1212,	1,	1),
(140479,	9,	1212,	2,	1),
(140480,	9,	1212,	3,	1),
(140481,	9,	1212,	69,	1),
(140482,	9,	1212,	70,	1),
(140483,	9,	1212,	71,	1),
(140484,	9,	1212,	72,	1),
(140485,	9,	1212,	65,	1),
(140486,	9,	1212,	66,	1),
(140487,	9,	1212,	7,	1),
(140488,	9,	1212,	8,	1),
(140489,	9,	1212,	73,	1),
(140490,	9,	1212,	67,	1),
(140491,	9,	1212,	10,	1),
(140492,	9,	1212,	68,	1),
(140493,	9,	1212,	74,	1),
(140494,	9,	1212,	1,	3),
(140495,	9,	1212,	2,	3),
(140496,	9,	1212,	3,	3),
(140497,	9,	1212,	69,	3),
(140498,	9,	1212,	70,	3),
(140499,	9,	1212,	71,	3),
(140500,	9,	1212,	72,	3),
(140501,	9,	1212,	65,	3),
(140502,	9,	1212,	66,	3),
(140503,	9,	1212,	7,	3),
(140504,	9,	1212,	8,	3),
(140505,	9,	1212,	73,	3),
(140506,	9,	1212,	67,	3),
(140507,	9,	1212,	10,	3),
(140508,	9,	1212,	68,	3),
(140509,	9,	1212,	74,	3),
(140510,	9,	1213,	1,	1),
(140511,	9,	1213,	2,	1),
(140512,	9,	1213,	3,	1),
(140513,	9,	1213,	69,	1),
(140514,	9,	1213,	70,	1),
(140515,	9,	1213,	71,	1),
(140516,	9,	1213,	72,	1),
(140517,	9,	1213,	65,	1),
(140518,	9,	1213,	66,	1),
(140519,	9,	1213,	7,	1),
(140520,	9,	1213,	8,	1),
(140521,	9,	1213,	73,	1),
(140522,	9,	1213,	67,	1),
(140523,	9,	1213,	10,	1),
(140524,	9,	1213,	68,	1),
(140525,	9,	1213,	74,	1),
(140526,	9,	1213,	1,	3),
(140527,	9,	1213,	2,	3),
(140528,	9,	1213,	3,	3),
(140529,	9,	1213,	69,	3),
(140530,	9,	1213,	70,	3),
(140531,	9,	1213,	71,	3),
(140532,	9,	1213,	72,	3),
(140533,	9,	1213,	65,	3),
(140534,	9,	1213,	66,	3),
(140535,	9,	1213,	7,	3),
(140536,	9,	1213,	8,	3),
(140537,	9,	1213,	73,	3),
(140538,	9,	1213,	67,	3),
(140539,	9,	1213,	10,	3),
(140540,	9,	1213,	68,	3),
(140541,	9,	1213,	74,	3),
(140542,	9,	1214,	1,	1),
(140543,	9,	1214,	2,	1),
(140544,	9,	1214,	3,	1),
(140545,	9,	1214,	69,	1),
(140546,	9,	1214,	70,	1),
(140547,	9,	1214,	71,	1),
(140548,	9,	1214,	72,	1),
(140549,	9,	1214,	65,	1),
(140550,	9,	1214,	66,	1),
(140551,	9,	1214,	7,	1),
(140552,	9,	1214,	8,	1),
(140553,	9,	1214,	73,	1),
(140554,	9,	1214,	67,	1),
(140555,	9,	1214,	10,	1),
(140556,	9,	1214,	68,	1),
(140557,	9,	1214,	74,	1),
(140558,	9,	1214,	1,	3),
(140559,	9,	1214,	2,	3),
(140560,	9,	1214,	3,	3),
(140561,	9,	1214,	69,	3),
(140562,	9,	1214,	70,	3),
(140563,	9,	1214,	71,	3),
(140564,	9,	1214,	72,	3),
(140565,	9,	1214,	65,	3),
(140566,	9,	1214,	66,	3),
(140567,	9,	1214,	7,	3),
(140568,	9,	1214,	8,	3),
(140569,	9,	1214,	73,	3),
(140570,	9,	1214,	67,	3),
(140571,	9,	1214,	10,	3),
(140572,	9,	1214,	68,	3),
(140573,	9,	1214,	74,	3),
(140574,	9,	1215,	1,	1),
(140575,	9,	1215,	2,	1),
(140576,	9,	1215,	3,	1),
(140577,	9,	1215,	66,	1),
(140578,	9,	1215,	7,	1),
(140579,	9,	1215,	8,	1),
(140580,	9,	1215,	67,	1),
(140581,	9,	1215,	68,	1),
(140582,	9,	1215,	1,	3),
(140583,	9,	1215,	2,	3),
(140584,	9,	1215,	3,	3),
(140585,	9,	1215,	66,	3),
(140586,	9,	1215,	7,	3),
(140587,	9,	1215,	8,	3),
(140588,	9,	1215,	67,	3),
(140589,	9,	1215,	68,	3),
(140590,	9,	1216,	1,	1),
(140591,	9,	1216,	2,	1),
(140592,	9,	1216,	3,	1),
(140593,	9,	1216,	66,	1),
(140594,	9,	1216,	7,	1),
(140595,	9,	1216,	8,	1),
(140596,	9,	1216,	67,	1),
(140597,	9,	1216,	68,	1),
(140598,	9,	1216,	1,	3),
(140599,	9,	1216,	2,	3),
(140600,	9,	1216,	3,	3),
(140601,	9,	1216,	66,	3),
(140602,	9,	1216,	7,	3),
(140603,	9,	1216,	8,	3),
(140604,	9,	1216,	67,	3),
(140605,	9,	1216,	68,	3),
(140606,	9,	1217,	1,	1),
(140607,	9,	1217,	2,	1),
(140608,	9,	1217,	3,	1),
(140609,	9,	1217,	23,	1),
(140610,	9,	1217,	1,	3),
(140611,	9,	1217,	2,	3),
(140612,	9,	1217,	3,	3),
(140613,	9,	1217,	23,	3),
(140614,	9,	1218,	1,	1),
(140615,	9,	1218,	2,	1),
(140616,	9,	1218,	3,	1),
(140617,	9,	1218,	66,	1),
(140618,	9,	1218,	7,	1),
(140619,	9,	1218,	8,	1),
(140620,	9,	1218,	67,	1),
(140621,	9,	1218,	68,	1),
(140622,	9,	1218,	1,	3),
(140623,	9,	1218,	2,	3),
(140624,	9,	1218,	3,	3),
(140625,	9,	1218,	66,	3),
(140626,	9,	1218,	7,	3),
(140627,	9,	1218,	8,	3),
(140628,	9,	1218,	67,	3),
(140629,	9,	1218,	68,	3),
(140630,	9,	1219,	1,	1),
(140631,	9,	1219,	2,	1),
(140632,	9,	1219,	3,	1),
(140633,	9,	1219,	66,	1),
(140634,	9,	1219,	7,	1),
(140635,	9,	1219,	8,	1),
(140636,	9,	1219,	67,	1),
(140637,	9,	1219,	68,	1),
(140638,	9,	1219,	1,	3),
(140639,	9,	1219,	2,	3),
(140640,	9,	1219,	3,	3),
(140641,	9,	1219,	66,	3),
(140642,	9,	1219,	7,	3),
(140643,	9,	1219,	8,	3),
(140644,	9,	1219,	67,	3),
(140645,	9,	1219,	68,	3),
(140646,	9,	1220,	1,	1),
(140647,	9,	1220,	2,	1),
(140648,	9,	1220,	3,	1),
(140649,	9,	1220,	66,	1),
(140650,	9,	1220,	7,	1),
(140651,	9,	1220,	8,	1),
(140652,	9,	1220,	67,	1),
(140653,	9,	1220,	68,	1),
(140654,	9,	1220,	1,	3),
(140655,	9,	1220,	2,	3),
(140656,	9,	1220,	3,	3),
(140657,	9,	1220,	66,	3),
(140658,	9,	1220,	7,	3),
(140659,	9,	1220,	8,	3),
(140660,	9,	1220,	67,	3),
(140661,	9,	1220,	68,	3),
(140662,	9,	1221,	1,	1),
(140663,	9,	1221,	2,	1),
(140664,	9,	1221,	3,	1),
(140665,	9,	1221,	66,	1),
(140666,	9,	1221,	7,	1),
(140667,	9,	1221,	8,	1),
(140668,	9,	1221,	67,	1),
(140669,	9,	1221,	68,	1),
(140670,	9,	1221,	1,	3),
(140671,	9,	1221,	2,	3),
(140672,	9,	1221,	3,	3),
(140673,	9,	1221,	66,	3),
(140674,	9,	1221,	7,	3),
(140675,	9,	1221,	8,	3),
(140676,	9,	1221,	67,	3),
(140677,	9,	1221,	68,	3),
(140678,	9,	1222,	1,	1),
(140679,	9,	1222,	2,	1),
(140680,	9,	1222,	3,	1),
(140681,	9,	1222,	69,	1),
(140682,	9,	1222,	70,	1),
(140683,	9,	1222,	71,	1),
(140684,	9,	1222,	72,	1),
(140685,	9,	1222,	65,	1),
(140686,	9,	1222,	66,	1),
(140687,	9,	1222,	7,	1),
(140688,	9,	1222,	8,	1),
(140689,	9,	1222,	73,	1),
(140690,	9,	1222,	67,	1),
(140691,	9,	1222,	10,	1),
(140692,	9,	1222,	68,	1),
(140693,	9,	1222,	74,	1),
(140694,	9,	1222,	1,	3),
(140695,	9,	1222,	2,	3),
(140696,	9,	1222,	3,	3),
(140697,	9,	1222,	69,	3),
(140698,	9,	1222,	70,	3),
(140699,	9,	1222,	71,	3),
(140700,	9,	1222,	72,	3),
(140701,	9,	1222,	65,	3),
(140702,	9,	1222,	66,	3),
(140703,	9,	1222,	7,	3),
(140704,	9,	1222,	8,	3),
(140705,	9,	1222,	73,	3),
(140706,	9,	1222,	67,	3),
(140707,	9,	1222,	10,	3),
(140708,	9,	1222,	68,	3),
(140709,	9,	1222,	74,	3),
(140710,	9,	1223,	1,	1),
(140711,	9,	1223,	2,	1),
(140712,	9,	1223,	3,	1),
(140713,	9,	1223,	69,	1),
(140714,	9,	1223,	70,	1),
(140715,	9,	1223,	71,	1),
(140716,	9,	1223,	72,	1),
(140717,	9,	1223,	65,	1),
(140718,	9,	1223,	66,	1),
(140719,	9,	1223,	7,	1),
(140720,	9,	1223,	8,	1),
(140721,	9,	1223,	73,	1),
(140722,	9,	1223,	67,	1),
(140723,	9,	1223,	10,	1),
(140724,	9,	1223,	68,	1),
(140725,	9,	1223,	74,	1),
(140726,	9,	1223,	1,	3),
(140727,	9,	1223,	2,	3),
(140728,	9,	1223,	3,	3),
(140729,	9,	1223,	69,	3),
(140730,	9,	1223,	70,	3),
(140731,	9,	1223,	71,	3),
(140732,	9,	1223,	72,	3),
(140733,	9,	1223,	65,	3),
(140734,	9,	1223,	66,	3),
(140735,	9,	1223,	7,	3),
(140736,	9,	1223,	8,	3),
(140737,	9,	1223,	73,	3),
(140738,	9,	1223,	67,	3),
(140739,	9,	1223,	10,	3),
(140740,	9,	1223,	68,	3),
(140741,	9,	1223,	74,	3),
(140742,	9,	1224,	1,	1),
(140743,	9,	1224,	2,	1),
(140744,	9,	1224,	3,	1),
(140745,	9,	1224,	66,	1),
(140746,	9,	1224,	7,	1),
(140747,	9,	1224,	8,	1),
(140748,	9,	1224,	67,	1),
(140749,	9,	1224,	68,	1),
(140750,	9,	1224,	1,	3),
(140751,	9,	1224,	2,	3),
(140752,	9,	1224,	3,	3),
(140753,	9,	1224,	66,	3),
(140754,	9,	1224,	7,	3),
(140755,	9,	1224,	8,	3),
(140756,	9,	1224,	67,	3),
(140757,	9,	1224,	68,	3),
(140758,	9,	1225,	1,	1),
(140759,	9,	1225,	2,	1),
(140760,	9,	1225,	3,	1),
(140761,	9,	1225,	66,	1),
(140762,	9,	1225,	7,	1),
(140763,	9,	1225,	8,	1),
(140764,	9,	1225,	67,	1),
(140765,	9,	1225,	68,	1),
(140766,	9,	1225,	1,	3),
(140767,	9,	1225,	2,	3),
(140768,	9,	1225,	3,	3),
(140769,	9,	1225,	66,	3),
(140770,	9,	1225,	7,	3),
(140771,	9,	1225,	8,	3),
(140772,	9,	1225,	67,	3),
(140773,	9,	1225,	68,	3),
(140774,	9,	1226,	1,	1),
(140775,	9,	1226,	2,	1),
(140776,	9,	1226,	3,	1),
(140777,	9,	1226,	69,	1),
(140778,	9,	1226,	70,	1),
(140779,	9,	1226,	71,	1),
(140780,	9,	1226,	72,	1),
(140781,	9,	1226,	65,	1),
(140782,	9,	1226,	66,	1),
(140783,	9,	1226,	7,	1),
(140784,	9,	1226,	8,	1),
(140785,	9,	1226,	73,	1),
(140786,	9,	1226,	67,	1),
(140787,	9,	1226,	10,	1),
(140788,	9,	1226,	68,	1),
(140789,	9,	1226,	74,	1),
(140790,	9,	1226,	1,	3),
(140791,	9,	1226,	2,	3),
(140792,	9,	1226,	3,	3),
(140793,	9,	1226,	69,	3),
(140794,	9,	1226,	70,	3),
(140795,	9,	1226,	71,	3),
(140796,	9,	1226,	72,	3),
(140797,	9,	1226,	65,	3),
(140798,	9,	1226,	66,	3),
(140799,	9,	1226,	7,	3),
(140800,	9,	1226,	8,	3),
(140801,	9,	1226,	73,	3),
(140802,	9,	1226,	67,	3),
(140803,	9,	1226,	10,	3),
(140804,	9,	1226,	68,	3),
(140805,	9,	1226,	74,	3),
(140806,	9,	1227,	1,	1),
(140807,	9,	1227,	2,	1),
(140808,	9,	1227,	3,	1),
(140809,	9,	1227,	66,	1),
(140810,	9,	1227,	7,	1),
(140811,	9,	1227,	8,	1),
(140812,	9,	1227,	67,	1),
(140813,	9,	1227,	68,	1),
(140814,	9,	1227,	1,	3),
(140815,	9,	1227,	2,	3),
(140816,	9,	1227,	3,	3),
(140817,	9,	1227,	66,	3),
(140818,	9,	1227,	7,	3),
(140819,	9,	1227,	8,	3),
(140820,	9,	1227,	67,	3),
(140821,	9,	1227,	68,	3),
(140822,	9,	1228,	1,	1),
(140823,	9,	1228,	2,	1),
(140824,	9,	1228,	3,	1),
(140825,	9,	1228,	1,	2),
(140826,	9,	1228,	2,	2),
(140827,	9,	1228,	3,	2),
(140828,	9,	1229,	1,	1),
(140829,	9,	1229,	2,	1),
(140830,	9,	1229,	3,	1),
(140831,	9,	1229,	1,	2),
(140832,	9,	1229,	2,	2),
(140833,	9,	1229,	3,	2),
(140834,	9,	1230,	1,	1),
(140835,	9,	1230,	2,	1),
(140836,	9,	1230,	3,	1),
(140837,	9,	1230,	1,	2),
(140838,	9,	1230,	2,	2),
(140839,	9,	1230,	3,	2),
(140840,	9,	1231,	1,	1),
(140841,	9,	1231,	2,	1),
(140842,	9,	1231,	3,	1),
(140843,	9,	1231,	1,	2),
(140844,	9,	1231,	2,	2),
(140845,	9,	1231,	3,	2),
(140846,	9,	1232,	1,	1),
(140847,	9,	1232,	2,	1),
(140848,	9,	1232,	3,	1),
(140849,	9,	1232,	1,	2),
(140850,	9,	1232,	2,	2),
(140851,	9,	1232,	3,	2),
(140852,	9,	1233,	1,	1),
(140853,	9,	1233,	2,	1),
(140854,	9,	1233,	3,	1),
(140855,	9,	1234,	1,	1),
(140856,	9,	1234,	2,	1),
(140857,	9,	1234,	3,	1),
(140858,	9,	1234,	1,	2),
(140859,	9,	1234,	2,	2),
(140860,	9,	1234,	3,	2),
(140861,	9,	1235,	1,	1),
(140862,	9,	1235,	2,	1),
(140863,	9,	1235,	3,	1),
(140864,	9,	1236,	1,	1),
(140865,	9,	1236,	2,	1),
(140866,	9,	1236,	3,	1),
(140867,	9,	1236,	1,	2),
(140868,	9,	1236,	2,	2),
(140869,	9,	1236,	3,	2),
(140870,	9,	1237,	1,	1),
(140871,	9,	1237,	2,	1),
(140872,	9,	1237,	3,	1),
(140873,	9,	1237,	1,	2),
(140874,	9,	1237,	2,	2),
(140875,	9,	1237,	3,	2),
(140876,	9,	1238,	1,	1),
(140877,	9,	1238,	2,	1),
(140878,	9,	1238,	3,	1),
(140879,	9,	1238,	1,	2),
(140880,	9,	1238,	2,	2),
(140881,	9,	1238,	3,	2),
(140882,	9,	1239,	1,	1),
(140883,	9,	1239,	2,	1),
(140884,	9,	1239,	3,	1),
(140885,	9,	1240,	1,	1),
(140886,	9,	1240,	2,	1),
(140887,	9,	1240,	3,	1),
(140888,	9,	1240,	1,	2),
(140889,	9,	1240,	2,	2),
(140890,	9,	1240,	3,	2),
(140891,	9,	1241,	1,	1),
(140892,	9,	1241,	2,	1),
(140893,	9,	1241,	3,	1),
(140894,	9,	1241,	1,	2),
(140895,	9,	1241,	2,	2),
(140896,	9,	1241,	3,	2),
(140897,	9,	1242,	1,	1),
(140898,	9,	1242,	2,	1),
(140899,	9,	1242,	3,	1),
(140900,	9,	1242,	1,	2),
(140901,	9,	1242,	2,	2),
(140902,	9,	1242,	3,	2),
(140903,	9,	1243,	1,	1),
(140904,	9,	1243,	2,	1),
(140905,	9,	1243,	3,	1),
(140906,	9,	1244,	1,	1),
(140907,	9,	1244,	2,	1),
(140908,	9,	1244,	3,	1),
(140909,	9,	1244,	1,	3),
(140910,	9,	1244,	2,	3),
(140911,	9,	1244,	3,	3),
(140912,	9,	1245,	1,	1),
(140913,	9,	1245,	2,	1),
(140914,	9,	1245,	3,	1),
(140915,	9,	1246,	1,	1),
(140916,	9,	1246,	2,	1),
(140917,	9,	1246,	3,	1),
(140918,	9,	1246,	1,	2),
(140919,	9,	1246,	2,	2),
(140920,	9,	1246,	3,	2),
(140921,	9,	1247,	1,	1),
(140922,	9,	1247,	2,	1),
(140923,	9,	1247,	3,	1),
(140924,	9,	1247,	1,	3),
(140925,	9,	1247,	2,	3),
(140926,	9,	1247,	3,	3),
(140927,	9,	1248,	1,	1),
(140928,	9,	1248,	2,	1),
(140929,	9,	1248,	3,	1),
(140930,	9,	1248,	1,	2),
(140931,	9,	1248,	2,	2),
(140932,	9,	1248,	3,	2),
(140933,	9,	1249,	1,	1),
(140934,	9,	1249,	2,	1),
(140935,	9,	1249,	3,	1),
(140936,	9,	1249,	1,	2),
(140937,	9,	1249,	2,	2),
(140938,	9,	1249,	3,	2),
(140939,	9,	1250,	1,	1),
(140940,	9,	1250,	2,	1),
(140941,	9,	1250,	3,	1),
(140942,	9,	1250,	1,	2),
(140943,	9,	1250,	2,	2),
(140944,	9,	1250,	3,	2),
(140945,	9,	1251,	1,	1),
(140946,	9,	1251,	2,	1),
(140947,	9,	1251,	3,	1),
(140948,	9,	1251,	1,	2),
(140949,	9,	1251,	2,	2),
(140950,	9,	1251,	3,	2),
(140951,	9,	1252,	1,	1),
(140952,	9,	1252,	2,	1),
(140953,	9,	1252,	3,	1),
(140954,	9,	1252,	1,	2),
(140955,	9,	1252,	2,	2),
(140956,	9,	1252,	3,	2),
(140957,	9,	1253,	1,	1),
(140958,	9,	1253,	2,	1),
(140959,	9,	1253,	3,	1),
(140960,	9,	1253,	1,	2),
(140961,	9,	1253,	2,	2),
(140962,	9,	1253,	3,	2),
(140963,	9,	1254,	1,	1),
(140964,	9,	1254,	2,	1),
(140965,	9,	1254,	3,	1),
(140966,	9,	1254,	1,	2),
(140967,	9,	1254,	2,	2),
(140968,	9,	1254,	3,	2),
(140969,	9,	1255,	1,	1),
(140970,	9,	1255,	2,	1),
(140971,	9,	1255,	3,	1),
(140972,	9,	1255,	1,	2),
(140973,	9,	1255,	2,	2),
(140974,	9,	1255,	3,	2),
(140975,	9,	1256,	1,	1),
(140976,	9,	1256,	2,	1),
(140977,	9,	1256,	3,	1),
(140978,	9,	1256,	1,	2),
(140979,	9,	1256,	2,	2),
(140980,	9,	1256,	3,	2),
(140981,	9,	1257,	1,	1),
(140982,	9,	1258,	3,	1),
(140983,	9,	1259,	1,	1),
(140984,	9,	1260,	1,	1),
(140985,	9,	1260,	2,	1),
(140986,	9,	1260,	3,	1),
(140987,	9,	1260,	1,	2),
(140988,	9,	1260,	2,	2),
(140989,	9,	1260,	3,	2),
(140990,	9,	1261,	1,	1),
(140991,	9,	1261,	2,	1),
(140992,	9,	1261,	3,	1),
(140993,	9,	1261,	1,	2),
(140994,	9,	1261,	2,	2),
(140995,	9,	1261,	3,	2),
(140996,	9,	1262,	1,	1),
(140997,	9,	1262,	2,	1),
(140998,	9,	1262,	3,	1),
(140999,	9,	1262,	1,	2),
(141000,	9,	1262,	2,	2),
(141001,	9,	1262,	3,	2),
(141002,	9,	1263,	1,	1),
(141003,	9,	1263,	2,	1),
(141004,	9,	1263,	3,	1),
(141005,	9,	1264,	1,	1),
(141006,	9,	1264,	2,	1),
(141007,	9,	1264,	3,	1),
(141008,	9,	1264,	1,	2),
(141009,	9,	1264,	2,	2),
(141010,	9,	1264,	3,	2),
(141011,	9,	1265,	1,	1),
(141012,	9,	1265,	2,	1),
(141013,	9,	1265,	3,	1),
(141014,	9,	1265,	1,	2),
(141015,	9,	1265,	2,	2),
(141016,	9,	1265,	3,	2),
(141017,	9,	1266,	1,	1),
(141018,	9,	1266,	2,	1),
(141019,	9,	1266,	3,	1),
(141020,	9,	1267,	1,	1),
(141021,	9,	1267,	2,	1),
(141022,	9,	1267,	3,	1),
(141023,	9,	1267,	1,	2),
(141024,	9,	1267,	2,	2),
(141025,	9,	1267,	3,	2),
(141026,	9,	1268,	1,	1),
(141027,	9,	1268,	2,	1),
(141028,	9,	1268,	3,	1),
(141029,	9,	1269,	1,	1),
(141030,	9,	1269,	2,	1),
(141031,	9,	1269,	3,	1),
(141032,	9,	1270,	1,	1),
(141033,	9,	1270,	2,	1),
(141034,	9,	1270,	3,	1),
(141035,	9,	1270,	1,	2),
(141036,	9,	1270,	2,	2),
(141037,	9,	1270,	3,	2),
(141038,	9,	1271,	1,	1),
(141039,	9,	1271,	2,	1),
(141040,	9,	1271,	3,	1),
(141041,	9,	1271,	1,	2),
(141042,	9,	1271,	2,	2),
(141043,	9,	1271,	3,	2),
(141044,	9,	1272,	1,	1),
(141045,	9,	1272,	2,	1),
(141046,	9,	1272,	3,	1),
(141047,	9,	1273,	1,	1),
(141048,	9,	1273,	2,	1),
(141049,	9,	1273,	3,	1),
(141050,	9,	1274,	1,	1),
(141051,	9,	1274,	2,	1),
(141052,	9,	1274,	3,	1),
(141053,	9,	1275,	1,	1),
(141054,	9,	1275,	2,	1),
(141055,	9,	1275,	3,	1),
(141056,	9,	1275,	1,	2),
(141057,	9,	1275,	2,	2),
(141058,	9,	1275,	3,	2),
(141059,	9,	1276,	1,	1),
(141060,	9,	1276,	2,	1),
(141061,	9,	1276,	3,	1),
(141062,	9,	1276,	1,	2),
(141063,	9,	1276,	2,	2),
(141064,	9,	1276,	3,	2),
(141065,	9,	1277,	1,	1),
(141066,	9,	1277,	2,	1),
(141067,	9,	1277,	3,	1),
(141068,	9,	1277,	1,	2),
(141069,	9,	1277,	2,	2),
(141070,	9,	1277,	3,	2),
(141071,	9,	1278,	1,	1),
(141072,	9,	1278,	2,	1),
(141073,	9,	1278,	3,	1),
(141074,	9,	1278,	1,	2),
(141075,	9,	1278,	2,	2),
(141076,	9,	1278,	3,	2),
(141077,	9,	1279,	1,	1),
(141078,	9,	1279,	2,	1),
(141079,	9,	1279,	3,	1),
(141080,	9,	1279,	1,	2),
(141081,	9,	1279,	2,	2),
(141082,	9,	1279,	3,	2),
(141083,	9,	1280,	1,	1),
(141084,	9,	1280,	2,	1),
(141085,	9,	1280,	3,	1),
(141086,	9,	1280,	1,	2),
(141087,	9,	1280,	2,	2),
(141088,	9,	1280,	3,	2),
(141089,	9,	1281,	1,	1),
(141090,	9,	1281,	2,	1),
(141091,	9,	1281,	3,	1),
(141092,	9,	1281,	1,	2),
(141093,	9,	1281,	2,	2),
(141094,	9,	1281,	3,	2),
(141095,	9,	1282,	1,	1),
(141096,	9,	1282,	2,	1),
(141097,	9,	1282,	3,	1),
(141098,	9,	1282,	1,	2),
(141099,	9,	1282,	2,	2),
(141100,	9,	1282,	3,	2),
(141101,	9,	1283,	1,	1),
(141102,	9,	1283,	2,	1),
(141103,	9,	1283,	3,	1),
(141104,	9,	1283,	1,	2),
(141105,	9,	1283,	2,	2),
(141106,	9,	1283,	3,	2),
(141107,	9,	1284,	1,	1),
(141108,	9,	1284,	2,	1),
(141109,	9,	1284,	3,	1),
(141110,	9,	1284,	1,	2),
(141111,	9,	1284,	2,	2),
(141112,	9,	1284,	3,	2),
(141113,	9,	1285,	1,	1),
(141114,	9,	1285,	2,	1),
(141115,	9,	1285,	3,	1),
(141116,	9,	1285,	1,	2),
(141117,	9,	1285,	2,	2),
(141118,	9,	1285,	3,	2),
(141119,	9,	1286,	1,	1),
(141120,	9,	1286,	2,	1),
(141121,	9,	1286,	3,	1),
(141122,	9,	1286,	1,	2),
(141123,	9,	1286,	2,	2),
(141124,	9,	1286,	3,	2),
(141125,	9,	1287,	1,	1),
(141126,	9,	1287,	2,	1),
(141127,	9,	1287,	3,	1),
(141128,	9,	1287,	6,	1),
(141129,	9,	1287,	24,	1),
(141130,	9,	1287,	25,	1),
(141131,	9,	1287,	4,	1),
(141132,	9,	1287,	23,	1),
(141133,	9,	1288,	1,	1),
(141134,	9,	1288,	2,	1),
(141135,	9,	1288,	3,	1),
(141136,	9,	1288,	6,	1),
(141137,	9,	1288,	24,	1),
(141138,	9,	1288,	25,	1),
(141139,	9,	1288,	4,	1),
(141140,	9,	1288,	23,	1),
(141141,	9,	1289,	1,	1),
(141142,	9,	1289,	2,	1),
(141143,	9,	1289,	3,	1),
(141144,	9,	1289,	6,	1),
(141145,	9,	1289,	24,	1),
(141146,	9,	1289,	25,	1),
(141147,	9,	1289,	4,	1),
(141148,	9,	1289,	23,	1),
(141149,	9,	1290,	1,	1),
(141150,	9,	1290,	2,	1),
(141151,	9,	1290,	3,	1),
(141152,	9,	1290,	6,	1),
(141153,	9,	1290,	24,	1),
(141154,	9,	1290,	25,	1),
(141155,	9,	1290,	4,	1),
(141156,	9,	1290,	23,	1),
(141157,	9,	1291,	1,	1),
(141158,	9,	1291,	2,	1),
(141159,	9,	1291,	3,	1),
(141160,	9,	1291,	6,	1),
(141161,	9,	1291,	24,	1),
(141162,	9,	1291,	25,	1),
(141163,	9,	1291,	4,	1),
(141164,	9,	1291,	23,	1),
(141165,	9,	1292,	1,	1),
(141166,	9,	1292,	2,	1),
(141167,	9,	1292,	3,	1),
(141168,	9,	1292,	6,	1),
(141169,	9,	1292,	24,	1),
(141170,	9,	1292,	25,	1),
(141171,	9,	1292,	4,	1),
(141172,	9,	1292,	23,	1),
(141173,	9,	1293,	1,	1),
(141174,	9,	1293,	2,	1),
(141175,	9,	1293,	3,	1),
(141176,	9,	1293,	6,	1),
(141177,	9,	1293,	24,	1),
(141178,	9,	1293,	25,	1),
(141179,	9,	1293,	4,	1),
(141180,	9,	1293,	23,	1),
(141181,	9,	1294,	1,	1),
(141182,	9,	1294,	2,	1),
(141183,	9,	1294,	3,	1),
(141184,	9,	1294,	6,	1),
(141185,	9,	1294,	24,	1),
(141186,	9,	1294,	25,	1),
(141187,	9,	1294,	4,	1),
(141188,	9,	1294,	23,	1),
(141189,	9,	1295,	1,	1),
(141190,	9,	1295,	2,	1),
(141191,	9,	1295,	3,	1),
(141192,	9,	1295,	6,	1),
(141193,	9,	1295,	24,	1),
(141194,	9,	1295,	25,	1),
(141195,	9,	1295,	4,	1),
(141196,	9,	1295,	23,	1),
(141197,	9,	1296,	1,	1),
(141198,	9,	1296,	2,	1),
(141199,	9,	1296,	3,	1),
(141200,	9,	1296,	6,	1),
(141201,	9,	1296,	24,	1),
(141202,	9,	1296,	25,	1),
(141203,	9,	1296,	4,	1),
(141204,	9,	1296,	23,	1),
(141205,	9,	1297,	1,	1),
(141206,	9,	1297,	2,	1),
(141207,	9,	1297,	3,	1),
(141208,	9,	1297,	6,	1),
(141209,	9,	1297,	24,	1),
(141210,	9,	1297,	25,	1),
(141211,	9,	1297,	4,	1),
(141212,	9,	1297,	23,	1),
(141213,	9,	1297,	26,	1),
(141214,	9,	1298,	1,	1),
(141215,	9,	1298,	2,	1),
(141216,	9,	1298,	3,	1),
(141217,	9,	1299,	1,	1),
(141218,	9,	1299,	2,	1),
(141219,	9,	1299,	3,	1),
(141220,	9,	1299,	6,	1),
(141221,	9,	1299,	24,	1),
(141222,	9,	1299,	25,	1),
(141223,	9,	1299,	4,	1),
(141224,	9,	1299,	23,	1),
(141225,	9,	1300,	1,	1),
(141226,	9,	1300,	2,	1),
(141227,	9,	1300,	3,	1),
(141228,	9,	1300,	6,	1),
(141229,	9,	1300,	24,	1),
(141230,	9,	1300,	25,	1),
(141231,	9,	1300,	4,	1),
(141232,	9,	1300,	23,	1),
(141233,	9,	1301,	1,	1),
(141234,	9,	1301,	2,	1),
(141235,	9,	1301,	3,	1),
(141236,	9,	1302,	1,	1),
(141237,	9,	1302,	2,	1),
(141238,	9,	1302,	3,	1),
(141239,	9,	1302,	6,	1),
(141240,	9,	1302,	24,	1),
(141241,	9,	1302,	25,	1),
(141242,	9,	1302,	4,	1),
(141243,	9,	1302,	23,	1),
(141244,	9,	1303,	1,	1),
(141245,	9,	1303,	2,	1),
(141246,	9,	1303,	3,	1),
(141247,	9,	1303,	6,	1),
(141248,	9,	1303,	24,	1),
(141249,	9,	1303,	25,	1),
(141250,	9,	1303,	4,	1),
(141251,	9,	1303,	23,	1),
(141252,	9,	1304,	1,	1),
(141253,	9,	1304,	2,	1),
(141254,	9,	1304,	3,	1),
(141255,	9,	1305,	1,	1),
(141256,	9,	1305,	2,	1),
(141257,	9,	1305,	3,	1),
(141258,	9,	1305,	6,	1),
(141259,	9,	1305,	24,	1),
(141260,	9,	1305,	25,	1),
(141261,	9,	1305,	4,	1),
(141262,	9,	1305,	23,	1),
(141263,	9,	1306,	1,	1),
(141264,	9,	1306,	2,	1),
(141265,	9,	1306,	3,	1),
(141266,	9,	1306,	1,	2),
(141267,	9,	1306,	2,	2),
(141268,	9,	1306,	3,	2),
(141269,	9,	1307,	1,	1),
(141270,	9,	1307,	2,	1),
(141271,	9,	1307,	3,	1),
(141272,	9,	1307,	1,	2),
(141273,	9,	1307,	2,	2),
(141274,	9,	1307,	3,	2),
(141275,	9,	1308,	1,	1),
(141276,	9,	1308,	2,	1),
(141277,	9,	1308,	3,	1),
(141278,	9,	1308,	6,	1),
(141279,	9,	1308,	24,	1),
(141280,	9,	1308,	25,	1),
(141281,	9,	1308,	4,	1),
(141282,	9,	1308,	23,	1),
(141283,	9,	1309,	1,	1),
(141284,	9,	1309,	2,	1),
(141285,	9,	1309,	3,	1),
(141286,	9,	1309,	23,	1),
(141287,	9,	1309,	6,	1),
(141288,	9,	1309,	24,	1),
(141289,	9,	1309,	25,	1),
(141290,	9,	1309,	4,	1),
(141291,	9,	1309,	26,	1),
(141292,	9,	1310,	1,	1),
(141293,	9,	1310,	2,	1),
(141294,	9,	1310,	3,	1),
(141295,	9,	1311,	1,	1),
(141296,	9,	1311,	2,	1),
(141297,	9,	1311,	3,	1),
(141298,	9,	1311,	23,	1),
(141299,	9,	1311,	6,	1),
(141300,	9,	1311,	24,	1),
(141301,	9,	1311,	25,	1),
(141302,	9,	1311,	4,	1),
(141303,	9,	1311,	26,	1),
(141304,	9,	1312,	1,	1),
(141305,	9,	1312,	2,	1),
(141306,	9,	1312,	3,	1),
(141307,	9,	1312,	23,	1),
(141308,	9,	1312,	6,	1),
(141309,	9,	1312,	24,	1),
(141310,	9,	1312,	25,	1),
(141311,	9,	1312,	4,	1),
(141312,	9,	1312,	26,	1),
(141313,	9,	1313,	1,	1),
(141314,	9,	1313,	2,	1),
(141315,	9,	1313,	3,	1),
(141316,	9,	1314,	1,	1),
(141317,	9,	1314,	2,	1),
(141318,	9,	1314,	3,	1),
(141319,	9,	1314,	23,	1),
(141320,	9,	1314,	6,	1),
(141321,	9,	1314,	24,	1),
(141322,	9,	1314,	25,	1),
(141323,	9,	1314,	4,	1),
(141324,	9,	1314,	26,	1),
(141325,	9,	1315,	1,	1),
(141326,	9,	1315,	2,	1),
(141327,	9,	1315,	3,	1),
(141328,	9,	1315,	23,	1),
(141329,	9,	1315,	6,	1),
(141330,	9,	1315,	24,	1),
(141331,	9,	1315,	25,	1),
(141332,	9,	1315,	4,	1),
(141333,	9,	1315,	26,	1),
(141334,	9,	1316,	1,	1),
(141335,	9,	1316,	2,	1),
(141336,	9,	1316,	3,	1),
(141337,	9,	1317,	1,	1),
(141338,	9,	1317,	2,	1),
(141339,	9,	1317,	3,	1),
(141340,	9,	1317,	23,	1),
(141341,	9,	1317,	6,	1),
(141342,	9,	1317,	24,	1),
(141343,	9,	1317,	25,	1),
(141344,	9,	1317,	4,	1),
(141345,	9,	1317,	26,	1),
(141346,	9,	1318,	1,	1),
(141347,	9,	1318,	2,	1),
(141348,	9,	1318,	3,	1),
(141349,	9,	1318,	1,	2),
(141350,	9,	1318,	2,	2),
(141351,	9,	1318,	3,	2),
(141352,	9,	1319,	1,	1),
(141353,	9,	1319,	2,	1),
(141354,	9,	1319,	3,	1),
(141355,	9,	1319,	1,	2),
(141356,	9,	1319,	2,	2),
(141357,	9,	1319,	3,	2),
(141358,	9,	1320,	1,	1),
(141359,	9,	1320,	2,	1),
(141360,	9,	1320,	3,	1),
(141361,	9,	1320,	1,	2),
(141362,	9,	1320,	2,	2),
(141363,	9,	1320,	3,	2),
(141364,	9,	1321,	1,	1),
(141365,	9,	1321,	2,	1),
(141366,	9,	1321,	3,	1),
(141367,	9,	1322,	1,	1),
(141368,	9,	1322,	2,	1),
(141369,	9,	1322,	3,	1),
(141370,	9,	1323,	1,	1),
(141371,	9,	1323,	2,	1),
(141372,	9,	1323,	3,	1),
(141373,	9,	1324,	1,	1),
(141374,	9,	1324,	2,	1),
(141375,	9,	1324,	3,	1),
(141376,	9,	1325,	1,	1),
(141377,	9,	1325,	2,	1),
(141378,	9,	1325,	3,	1),
(141379,	9,	1326,	1,	1),
(141380,	9,	1326,	2,	1),
(141381,	9,	1326,	3,	1),
(141382,	9,	1327,	1,	1),
(141383,	9,	1327,	2,	1),
(141384,	9,	1327,	3,	1),
(141385,	9,	1328,	1,	1),
(141386,	9,	1328,	2,	1),
(141387,	9,	1328,	3,	1),
(141388,	9,	1329,	1,	1),
(141389,	9,	1329,	2,	1),
(141390,	9,	1329,	3,	1),
(141391,	9,	1330,	1,	1),
(141392,	9,	1330,	2,	1),
(141393,	9,	1330,	3,	1),
(141394,	9,	1331,	1,	1),
(141395,	9,	1331,	2,	1),
(141396,	9,	1331,	3,	1),
(141397,	9,	1332,	1,	1),
(141398,	9,	1332,	2,	1),
(141399,	9,	1332,	3,	1),
(141400,	9,	1333,	1,	1),
(141401,	9,	1333,	2,	1),
(141402,	9,	1333,	3,	1),
(141403,	9,	1334,	1,	1),
(141404,	9,	1334,	2,	1),
(141405,	9,	1334,	3,	1),
(141406,	9,	1335,	1,	1),
(141407,	9,	1335,	2,	1),
(141408,	9,	1335,	3,	1),
(141409,	9,	1336,	1,	1),
(141410,	9,	1336,	2,	1),
(141411,	9,	1336,	3,	1),
(141412,	9,	1337,	1,	1),
(141413,	9,	1337,	2,	1),
(141414,	9,	1337,	3,	1),
(141415,	9,	1338,	1,	1),
(141416,	9,	1338,	2,	1),
(141417,	9,	1338,	3,	1),
(141418,	9,	1339,	1,	1),
(141419,	9,	1339,	2,	1),
(141420,	9,	1339,	3,	1),
(141421,	9,	1340,	1,	1),
(141422,	9,	1340,	2,	1),
(141423,	9,	1340,	3,	1),
(141424,	9,	1341,	1,	1),
(141425,	9,	1341,	2,	1),
(141426,	9,	1341,	3,	1),
(141427,	9,	1342,	1,	1),
(141428,	9,	1342,	2,	1),
(141429,	9,	1342,	3,	1),
(141430,	9,	1343,	1,	1),
(141431,	9,	1343,	2,	1),
(141432,	9,	1343,	3,	1),
(141433,	9,	1343,	24,	1),
(141434,	9,	1344,	1,	1),
(141435,	9,	1344,	2,	1),
(141436,	9,	1344,	3,	1),
(141437,	9,	1344,	24,	1),
(141438,	9,	1345,	1,	1),
(141439,	9,	1345,	2,	1),
(141440,	9,	1345,	3,	1),
(141441,	9,	1345,	24,	1),
(141442,	9,	1346,	1,	1),
(141443,	9,	1346,	2,	1),
(141444,	9,	1346,	3,	1),
(141445,	9,	1346,	24,	1),
(141446,	9,	1347,	1,	1),
(141447,	9,	1347,	2,	1),
(141448,	9,	1347,	3,	1),
(141449,	9,	1347,	24,	1),
(141450,	9,	1348,	1,	1),
(141451,	9,	1348,	2,	1),
(141452,	9,	1348,	3,	1),
(141453,	9,	1348,	24,	1),
(141454,	9,	1349,	1,	1),
(141455,	9,	1349,	2,	1),
(141456,	9,	1349,	3,	1),
(141457,	9,	1350,	1,	1),
(141458,	9,	1350,	2,	1),
(141459,	9,	1350,	3,	1),
(141460,	9,	1350,	23,	1),
(141461,	9,	1350,	6,	1),
(141462,	9,	1350,	24,	1),
(141463,	9,	1350,	25,	1),
(141464,	9,	1350,	4,	1),
(141465,	9,	1350,	5,	1),
(141466,	9,	1351,	1,	1),
(141467,	9,	1351,	2,	1),
(141468,	9,	1351,	3,	1),
(141469,	9,	1352,	1,	1),
(141470,	9,	1352,	2,	1),
(141471,	9,	1352,	3,	1),
(141472,	9,	1352,	23,	1),
(141473,	9,	1352,	6,	1),
(141474,	9,	1352,	24,	1),
(141475,	9,	1352,	25,	1),
(141476,	9,	1352,	4,	1),
(141477,	9,	1352,	5,	1),
(141478,	9,	1353,	1,	1),
(141479,	9,	1353,	2,	1),
(141480,	9,	1353,	3,	1),
(141481,	9,	1354,	1,	1),
(141482,	9,	1354,	2,	1),
(141483,	9,	1354,	3,	1),
(141484,	9,	1354,	23,	1),
(141485,	9,	1354,	6,	1),
(141486,	9,	1354,	24,	1),
(141487,	9,	1354,	25,	1),
(141488,	9,	1354,	4,	1),
(141489,	9,	1354,	5,	1),
(141490,	9,	1355,	1,	1),
(141491,	9,	1355,	2,	1),
(141492,	9,	1355,	3,	1),
(141493,	9,	1356,	1,	1),
(141494,	9,	1356,	2,	1),
(141495,	9,	1356,	3,	1),
(141496,	9,	1357,	1,	1),
(141497,	9,	1357,	2,	1),
(141498,	9,	1357,	3,	1),
(141499,	9,	1357,	23,	1),
(141500,	9,	1357,	6,	1),
(141501,	9,	1357,	24,	1),
(141502,	9,	1357,	25,	1),
(141503,	9,	1357,	4,	1),
(141504,	9,	1357,	5,	1),
(141505,	9,	1358,	1,	1),
(141506,	9,	1358,	2,	1),
(141507,	9,	1358,	3,	1),
(141508,	9,	1359,	1,	1),
(141509,	9,	1359,	2,	1),
(141510,	9,	1359,	3,	1),
(141511,	9,	1359,	23,	1),
(141512,	9,	1359,	6,	1),
(141513,	9,	1359,	24,	1),
(141514,	9,	1359,	25,	1),
(141515,	9,	1359,	4,	1),
(141516,	9,	1359,	5,	1),
(141517,	9,	1360,	1,	1),
(141518,	9,	1360,	2,	1),
(141519,	9,	1360,	3,	1),
(141520,	9,	1360,	23,	1),
(141521,	9,	1360,	6,	1),
(141522,	9,	1360,	24,	1),
(141523,	9,	1360,	25,	1),
(141524,	9,	1360,	4,	1),
(141525,	9,	1360,	5,	1),
(141526,	9,	1361,	1,	1),
(141527,	9,	1361,	2,	1),
(141528,	9,	1361,	3,	1),
(141529,	9,	1361,	23,	1),
(141530,	9,	1361,	6,	1),
(141531,	9,	1361,	24,	1),
(141532,	9,	1361,	25,	1),
(141533,	9,	1361,	4,	1),
(141534,	9,	1361,	5,	1),
(141535,	9,	1362,	1,	1),
(141536,	9,	1362,	2,	1),
(141537,	9,	1362,	3,	1),
(141538,	9,	1363,	1,	1),
(141539,	9,	1363,	2,	1),
(141540,	9,	1363,	3,	1),
(141541,	9,	1363,	23,	1),
(141542,	9,	1363,	6,	1),
(141543,	9,	1363,	24,	1),
(141544,	9,	1363,	25,	1),
(141545,	9,	1363,	4,	1),
(141546,	9,	1363,	5,	1),
(141547,	9,	1364,	1,	1),
(141548,	9,	1364,	2,	1),
(141549,	9,	1364,	3,	1),
(141550,	9,	1365,	1,	1),
(141551,	9,	1365,	2,	1),
(141552,	9,	1365,	3,	1),
(141553,	9,	1366,	1,	1),
(141554,	9,	1366,	2,	1),
(141555,	9,	1366,	3,	1),
(141556,	9,	1367,	1,	1),
(141557,	9,	1367,	2,	1),
(141558,	9,	1367,	3,	1),
(141559,	9,	1368,	1,	1),
(141560,	9,	1368,	2,	1),
(141561,	9,	1368,	3,	1),
(141562,	9,	1369,	1,	1),
(141563,	9,	1369,	2,	1),
(141564,	9,	1369,	3,	1),
(141565,	9,	1370,	1,	1),
(141566,	9,	1370,	2,	1),
(141567,	9,	1370,	3,	1),
(141568,	9,	1371,	1,	1),
(141569,	9,	1371,	2,	1),
(141570,	9,	1371,	3,	1),
(141571,	9,	1372,	1,	1),
(141572,	9,	1372,	2,	1),
(141573,	9,	1372,	3,	1),
(141574,	9,	1372,	23,	1),
(141575,	9,	1372,	6,	1),
(141576,	9,	1372,	24,	1),
(141577,	9,	1372,	25,	1),
(141578,	9,	1372,	4,	1),
(141579,	9,	1372,	5,	1),
(141580,	9,	1373,	1,	1),
(141581,	9,	1373,	2,	1),
(141582,	9,	1373,	3,	1),
(141583,	9,	1373,	23,	1),
(141584,	9,	1373,	6,	1),
(141585,	9,	1373,	24,	1),
(141586,	9,	1373,	25,	1),
(141587,	9,	1373,	4,	1),
(141588,	9,	1373,	5,	1),
(141589,	9,	1374,	1,	1),
(141590,	9,	1374,	2,	1),
(141591,	9,	1374,	3,	1),
(141592,	9,	1375,	1,	1),
(141593,	9,	1375,	2,	1),
(141594,	9,	1375,	3,	1),
(141595,	9,	1375,	23,	1),
(141596,	9,	1375,	6,	1),
(141597,	9,	1375,	24,	1),
(141598,	9,	1375,	25,	1),
(141599,	9,	1375,	4,	1),
(141600,	9,	1375,	5,	1),
(141601,	9,	1376,	1,	1),
(141602,	9,	1376,	2,	1),
(141603,	9,	1376,	3,	1),
(141604,	9,	1376,	23,	1),
(141605,	9,	1376,	6,	1),
(141606,	9,	1376,	24,	1),
(141607,	9,	1376,	25,	1),
(141608,	9,	1376,	4,	1),
(141609,	9,	1376,	5,	1),
(141610,	9,	1377,	1,	1),
(141611,	9,	1377,	2,	1),
(141612,	9,	1377,	3,	1),
(141613,	9,	1377,	23,	1),
(141614,	9,	1377,	6,	1),
(141615,	9,	1377,	24,	1),
(141616,	9,	1377,	25,	1),
(141617,	9,	1377,	4,	1),
(141618,	9,	1377,	5,	1),
(141619,	9,	1378,	1,	1),
(141620,	9,	1378,	2,	1),
(141621,	9,	1378,	3,	1),
(141622,	9,	1379,	1,	1),
(141623,	9,	1379,	2,	1),
(141624,	9,	1379,	3,	1),
(141625,	9,	1380,	1,	1),
(141626,	9,	1380,	2,	1),
(141627,	9,	1380,	3,	1),
(141628,	9,	1381,	1,	1),
(141629,	9,	1381,	2,	1),
(141630,	9,	1381,	3,	1),
(141631,	9,	1382,	1,	1),
(141632,	9,	1382,	2,	1),
(141633,	9,	1382,	3,	1),
(141634,	9,	1383,	1,	1),
(141635,	9,	1383,	2,	1),
(141636,	9,	1383,	3,	1),
(141637,	9,	1384,	1,	1),
(141638,	9,	1384,	2,	1),
(141639,	9,	1384,	3,	1),
(141640,	9,	1385,	1,	1),
(141641,	9,	1385,	2,	1),
(141642,	9,	1385,	3,	1),
(141643,	9,	1386,	1,	1),
(141644,	9,	1386,	2,	1),
(141645,	9,	1386,	3,	1),
(141646,	9,	1387,	1,	1),
(141647,	9,	1387,	2,	1),
(141648,	9,	1387,	3,	1),
(141649,	9,	1387,	23,	1),
(141650,	9,	1387,	6,	1),
(141651,	9,	1387,	24,	1),
(141652,	9,	1387,	25,	1),
(141653,	9,	1387,	4,	1),
(141654,	9,	1388,	1,	1),
(141655,	9,	1388,	2,	1),
(141656,	9,	1388,	3,	1),
(141657,	9,	1388,	23,	1),
(141658,	9,	1388,	6,	1),
(141659,	9,	1388,	24,	1),
(141660,	9,	1388,	25,	1),
(141661,	9,	1388,	4,	1),
(141662,	9,	1389,	1,	1),
(141663,	9,	1389,	2,	1),
(141664,	9,	1389,	3,	1),
(141665,	9,	1389,	23,	1),
(141666,	9,	1389,	6,	1),
(141667,	9,	1389,	24,	1),
(141668,	9,	1389,	25,	1),
(141669,	9,	1389,	4,	1),
(141670,	9,	1390,	1,	1),
(141671,	9,	1390,	2,	1),
(141672,	9,	1390,	3,	1),
(141673,	9,	1391,	1,	1),
(141674,	9,	1391,	2,	1),
(141675,	9,	1391,	3,	1),
(141676,	9,	1391,	23,	1),
(141677,	9,	1391,	6,	1),
(141678,	9,	1391,	24,	1),
(141679,	9,	1391,	25,	1),
(141680,	9,	1391,	4,	1),
(141681,	9,	1392,	1,	1),
(141682,	9,	1392,	2,	1),
(141683,	9,	1392,	3,	1),
(141684,	9,	1393,	1,	1),
(141685,	9,	1393,	2,	1),
(141686,	9,	1393,	3,	1),
(141687,	9,	1393,	23,	1),
(141688,	9,	1393,	6,	1),
(141689,	9,	1393,	24,	1),
(141690,	9,	1393,	25,	1),
(141691,	9,	1393,	4,	1),
(141692,	9,	1394,	1,	1),
(141693,	9,	1394,	2,	1),
(141694,	9,	1394,	3,	1),
(141695,	9,	1395,	1,	1),
(141696,	9,	1395,	2,	1),
(141697,	9,	1395,	3,	1),
(141698,	9,	1396,	1,	1),
(141699,	9,	1396,	2,	1),
(141700,	9,	1396,	3,	1),
(141701,	9,	1397,	1,	1),
(141702,	9,	1397,	2,	1),
(141703,	9,	1397,	3,	1),
(141704,	9,	1398,	1,	1),
(141705,	9,	1398,	2,	1),
(141706,	9,	1398,	3,	1),
(141707,	9,	1399,	1,	1),
(141708,	9,	1399,	2,	1),
(141709,	9,	1399,	3,	1),
(141710,	9,	1400,	1,	1),
(141711,	9,	1400,	2,	1),
(141712,	9,	1400,	3,	1),
(141713,	9,	1401,	1,	1),
(141714,	9,	1401,	2,	1),
(141715,	9,	1401,	3,	1),
(141716,	9,	1401,	1,	2),
(141717,	9,	1401,	2,	2),
(141718,	9,	1401,	3,	2),
(141719,	9,	1402,	1,	1),
(141720,	9,	1402,	2,	1),
(141721,	9,	1402,	3,	1),
(141722,	9,	1402,	1,	2),
(141723,	9,	1402,	2,	2),
(141724,	9,	1402,	3,	2),
(141725,	9,	1403,	1,	1),
(141726,	9,	1403,	2,	1),
(141727,	9,	1403,	3,	1),
(141728,	9,	1403,	1,	2),
(141729,	9,	1403,	2,	2),
(141730,	9,	1403,	3,	2),
(141731,	9,	1404,	1,	1),
(141732,	9,	1404,	2,	1),
(141733,	9,	1404,	3,	1),
(141734,	9,	1404,	1,	2),
(141735,	9,	1404,	2,	2),
(141736,	9,	1404,	3,	2),
(141737,	9,	1405,	1,	1),
(141738,	9,	1405,	2,	1),
(141739,	9,	1405,	3,	1),
(141740,	9,	1405,	1,	2),
(141741,	9,	1405,	2,	2),
(141742,	9,	1405,	3,	2),
(141743,	9,	1406,	1,	1),
(141744,	9,	1406,	2,	1),
(141745,	9,	1406,	3,	1),
(141746,	9,	1406,	1,	2),
(141747,	9,	1406,	2,	2),
(141748,	9,	1406,	3,	2),
(141749,	9,	1407,	1,	1),
(141750,	9,	1407,	2,	1),
(141751,	9,	1407,	3,	1),
(141752,	9,	1407,	1,	2),
(141753,	9,	1407,	2,	2),
(141754,	9,	1407,	3,	2),
(141755,	9,	1408,	1,	1),
(141756,	9,	1408,	2,	1),
(141757,	9,	1408,	3,	1),
(141758,	9,	1408,	1,	2),
(141759,	9,	1408,	2,	2),
(141760,	9,	1408,	3,	2),
(141761,	9,	1409,	1,	1),
(141762,	9,	1409,	2,	1),
(141763,	9,	1409,	3,	1),
(141764,	9,	1410,	1,	1),
(141765,	9,	1410,	2,	1),
(141766,	9,	1410,	3,	1),
(141767,	9,	1410,	1,	2),
(141768,	9,	1410,	2,	2),
(141769,	9,	1410,	3,	2),
(141770,	9,	1411,	1,	1),
(141771,	9,	1411,	2,	1),
(141772,	9,	1411,	3,	1),
(141773,	9,	1411,	1,	2),
(141774,	9,	1411,	2,	2),
(141775,	9,	1411,	3,	2),
(141776,	9,	1412,	1,	1),
(141777,	9,	1412,	2,	1),
(141778,	9,	1412,	3,	1),
(141779,	9,	1412,	1,	2),
(141780,	9,	1412,	2,	2),
(141781,	9,	1412,	3,	2),
(141782,	9,	1413,	1,	1),
(141783,	9,	1413,	2,	1),
(141784,	9,	1413,	3,	1),
(141785,	9,	1413,	1,	2),
(141786,	9,	1413,	2,	2),
(141787,	9,	1413,	3,	2),
(141788,	9,	1414,	1,	1),
(141789,	9,	1414,	2,	1),
(141790,	9,	1414,	3,	1),
(141791,	9,	1415,	1,	1),
(141792,	9,	1415,	2,	1),
(141793,	9,	1415,	3,	1),
(141794,	9,	1416,	1,	1),
(141795,	9,	1416,	2,	1),
(141796,	9,	1416,	3,	1),
(141797,	9,	1416,	1,	2),
(141798,	9,	1416,	2,	2),
(141799,	9,	1416,	3,	2),
(141800,	9,	1417,	1,	1),
(141801,	9,	1417,	2,	1),
(141802,	9,	1417,	3,	1),
(141803,	9,	1418,	1,	1),
(141804,	9,	1418,	2,	1),
(141805,	9,	1418,	3,	1),
(141806,	9,	1419,	1,	1),
(141807,	9,	1419,	2,	1),
(141808,	9,	1419,	3,	1),
(141809,	9,	1419,	1,	2),
(141810,	9,	1419,	2,	2),
(141811,	9,	1419,	3,	2),
(141812,	9,	1420,	1,	1),
(141813,	9,	1420,	2,	1),
(141814,	9,	1420,	3,	1),
(141815,	9,	1421,	1,	1),
(141816,	9,	1421,	2,	1),
(141817,	9,	1421,	3,	1),
(141818,	9,	1422,	1,	1),
(141819,	9,	1422,	2,	1),
(141820,	9,	1422,	3,	1),
(141821,	9,	1422,	23,	1),
(141822,	9,	1422,	6,	1),
(141823,	9,	1422,	24,	1),
(141824,	9,	1422,	25,	1),
(141825,	9,	1422,	4,	1),
(141826,	9,	1422,	5,	1),
(141827,	9,	1423,	1,	1),
(141828,	9,	1423,	2,	1),
(141829,	9,	1423,	3,	1),
(141830,	9,	1423,	23,	1),
(141831,	9,	1423,	6,	1),
(141832,	9,	1423,	24,	1),
(141833,	9,	1423,	25,	1),
(141834,	9,	1423,	4,	1),
(141835,	9,	1423,	5,	1),
(141836,	9,	1424,	1,	1),
(141837,	9,	1424,	2,	1),
(141838,	9,	1424,	3,	1),
(141839,	9,	1425,	1,	1),
(141840,	9,	1425,	2,	1),
(141841,	9,	1425,	3,	1),
(141842,	9,	1425,	23,	1),
(141843,	9,	1425,	6,	1),
(141844,	9,	1425,	24,	1),
(141845,	9,	1425,	25,	1),
(141846,	9,	1425,	4,	1),
(141847,	9,	1425,	5,	1),
(141848,	9,	1426,	1,	1),
(141849,	9,	1426,	2,	1),
(141850,	9,	1426,	3,	1),
(141851,	9,	1426,	23,	1),
(141852,	9,	1426,	6,	1),
(141853,	9,	1426,	24,	1),
(141854,	9,	1426,	25,	1),
(141855,	9,	1426,	4,	1),
(141856,	9,	1426,	5,	1),
(141857,	9,	1427,	1,	1),
(141858,	9,	1427,	2,	1),
(141859,	9,	1427,	3,	1),
(141860,	9,	1428,	1,	1),
(141861,	9,	1428,	2,	1),
(141862,	9,	1428,	3,	1),
(141863,	9,	1428,	23,	1),
(141864,	9,	1428,	6,	1),
(141865,	9,	1428,	24,	1),
(141866,	9,	1428,	25,	1),
(141867,	9,	1428,	4,	1),
(141868,	9,	1428,	5,	1),
(141869,	9,	1429,	1,	1),
(141870,	9,	1429,	2,	1),
(141871,	9,	1429,	3,	1),
(141872,	9,	1430,	1,	1),
(141873,	9,	1430,	2,	1),
(141874,	9,	1430,	3,	1),
(141875,	9,	1431,	1,	1),
(141876,	9,	1431,	2,	1),
(141877,	9,	1431,	3,	1),
(141878,	9,	1431,	23,	1),
(141879,	9,	1431,	6,	1),
(141880,	9,	1431,	24,	1),
(141881,	9,	1431,	25,	1),
(141882,	9,	1431,	4,	1),
(141883,	9,	1431,	5,	1),
(141884,	9,	1432,	1,	1),
(141885,	9,	1432,	2,	1),
(141886,	9,	1432,	3,	1),
(141887,	9,	1432,	1,	2),
(141888,	9,	1432,	2,	2),
(141889,	9,	1432,	3,	2),
(141890,	9,	1433,	1,	1),
(141891,	9,	1433,	2,	1),
(141892,	9,	1433,	3,	1),
(141893,	9,	1434,	1,	1),
(141894,	9,	1434,	2,	1),
(141895,	9,	1434,	3,	1),
(141896,	9,	1435,	1,	1),
(141897,	9,	1435,	2,	1),
(141898,	9,	1435,	3,	1),
(141899,	9,	1436,	1,	1),
(141900,	9,	1436,	2,	1),
(141901,	9,	1436,	3,	1),
(141902,	9,	1436,	23,	1),
(141903,	9,	1436,	6,	1),
(141904,	9,	1436,	24,	1),
(141905,	9,	1436,	25,	1),
(141906,	9,	1436,	4,	1),
(141907,	9,	1436,	5,	1),
(141908,	9,	1437,	1,	1),
(141909,	9,	1437,	2,	1),
(141910,	9,	1437,	3,	1),
(141911,	9,	1437,	23,	1),
(141912,	9,	1437,	6,	1),
(141913,	9,	1437,	24,	1),
(141914,	9,	1437,	25,	1),
(141915,	9,	1437,	4,	1),
(141916,	9,	1437,	5,	1),
(141917,	9,	1438,	1,	1),
(141918,	9,	1438,	2,	1),
(141919,	9,	1438,	3,	1),
(141920,	9,	1439,	1,	1),
(141921,	9,	1439,	2,	1),
(141922,	9,	1439,	3,	1),
(141923,	9,	1439,	23,	1),
(141924,	9,	1439,	6,	1),
(141925,	9,	1439,	24,	1),
(141926,	9,	1439,	25,	1),
(141927,	9,	1439,	4,	1),
(141928,	9,	1439,	5,	1),
(141929,	9,	1440,	1,	1),
(141930,	9,	1440,	2,	1),
(141931,	9,	1440,	3,	1),
(141932,	9,	1440,	23,	1),
(141933,	9,	1440,	6,	1),
(141934,	9,	1440,	24,	1),
(141935,	9,	1440,	25,	1),
(141936,	9,	1440,	4,	1),
(141937,	9,	1440,	5,	1),
(141938,	9,	1441,	1,	1),
(141939,	9,	1441,	2,	1),
(141940,	9,	1441,	3,	1),
(141941,	9,	1442,	1,	1),
(141942,	9,	1442,	2,	1),
(141943,	9,	1442,	3,	1),
(141944,	9,	1442,	23,	1),
(141945,	9,	1442,	6,	1),
(141946,	9,	1442,	24,	1),
(141947,	9,	1442,	25,	1),
(141948,	9,	1442,	4,	1),
(141949,	9,	1442,	5,	1),
(141950,	9,	1443,	1,	1),
(141951,	9,	1443,	2,	1),
(141952,	9,	1443,	3,	1),
(141953,	9,	1443,	23,	1),
(141954,	9,	1443,	6,	1),
(141955,	9,	1443,	24,	1),
(141956,	9,	1443,	25,	1),
(141957,	9,	1443,	4,	1),
(141958,	9,	1443,	5,	1),
(141959,	9,	1444,	1,	1),
(141960,	9,	1444,	2,	1),
(141961,	9,	1444,	3,	1),
(141962,	9,	1445,	1,	1),
(141963,	9,	1445,	2,	1),
(141964,	9,	1445,	3,	1),
(141965,	9,	1445,	23,	1),
(141966,	9,	1445,	6,	1),
(141967,	9,	1445,	24,	1),
(141968,	9,	1445,	25,	1),
(141969,	9,	1445,	4,	1),
(141970,	9,	1445,	5,	1),
(141971,	9,	1446,	1,	1),
(141972,	9,	1446,	2,	1),
(141973,	9,	1446,	3,	1),
(141974,	9,	1446,	1,	2),
(141975,	9,	1446,	2,	2),
(141976,	9,	1446,	3,	2),
(141977,	9,	1447,	1,	1),
(141978,	9,	1447,	2,	1),
(141979,	9,	1447,	3,	1),
(141980,	9,	1447,	1,	2),
(141981,	9,	1447,	2,	2),
(141982,	9,	1447,	3,	2),
(141983,	9,	1448,	1,	1),
(141984,	9,	1448,	2,	1),
(141985,	9,	1448,	3,	1),
(141986,	9,	1449,	1,	1),
(141987,	9,	1449,	2,	1),
(141988,	9,	1449,	3,	1),
(141989,	9,	1450,	1,	1),
(141990,	9,	1450,	2,	1),
(141991,	9,	1450,	3,	1),
(141992,	9,	1451,	1,	1),
(141993,	9,	1451,	2,	1),
(141994,	9,	1451,	3,	1),
(141995,	9,	1452,	1,	1),
(141996,	9,	1452,	2,	1),
(141997,	9,	1452,	3,	1),
(141998,	9,	1452,	23,	1),
(141999,	9,	1452,	6,	1),
(142000,	9,	1452,	24,	1),
(142001,	9,	1452,	25,	1),
(142002,	9,	1452,	4,	1),
(142003,	9,	1452,	5,	1),
(142004,	9,	1453,	1,	1),
(142005,	9,	1453,	2,	1),
(142006,	9,	1453,	3,	1),
(142007,	9,	1453,	23,	1),
(142008,	9,	1453,	6,	1),
(142009,	9,	1453,	24,	1),
(142010,	9,	1453,	25,	1),
(142011,	9,	1453,	4,	1),
(142012,	9,	1453,	5,	1),
(142013,	9,	1454,	1,	1),
(142014,	9,	1454,	2,	1),
(142015,	9,	1454,	3,	1),
(142016,	9,	1455,	1,	1),
(142017,	9,	1455,	2,	1),
(142018,	9,	1455,	3,	1),
(142019,	9,	1455,	23,	1),
(142020,	9,	1455,	6,	1),
(142021,	9,	1455,	24,	1),
(142022,	9,	1455,	25,	1),
(142023,	9,	1455,	4,	1),
(142024,	9,	1455,	5,	1),
(142025,	9,	1456,	1,	1),
(142026,	9,	1456,	2,	1),
(142027,	9,	1456,	3,	1),
(142028,	9,	1456,	23,	1),
(142029,	9,	1456,	6,	1),
(142030,	9,	1456,	24,	1),
(142031,	9,	1456,	25,	1),
(142032,	9,	1456,	4,	1),
(142033,	9,	1456,	5,	1),
(142034,	9,	1457,	1,	1),
(142035,	9,	1457,	2,	1),
(142036,	9,	1457,	3,	1),
(142037,	9,	1458,	1,	1),
(142038,	9,	1458,	2,	1),
(142039,	9,	1458,	3,	1),
(142040,	9,	1458,	23,	1),
(142041,	9,	1458,	6,	1),
(142042,	9,	1458,	24,	1),
(142043,	9,	1458,	25,	1),
(142044,	9,	1458,	4,	1),
(142045,	9,	1458,	5,	1),
(142046,	9,	1459,	1,	1),
(142047,	9,	1459,	2,	1),
(142048,	9,	1459,	3,	1),
(142049,	9,	1459,	1,	2),
(142050,	9,	1459,	2,	2),
(142051,	9,	1459,	3,	2),
(142052,	9,	1460,	1,	1),
(142053,	9,	1460,	2,	1),
(142054,	9,	1460,	3,	1),
(142055,	9,	1461,	1,	1),
(142056,	9,	1461,	2,	1),
(142057,	9,	1461,	3,	1),
(142058,	9,	1462,	1,	1),
(142059,	9,	1462,	2,	1),
(142060,	9,	1462,	3,	1),
(142061,	9,	1462,	1,	2),
(142062,	9,	1462,	2,	2),
(142063,	9,	1462,	3,	2),
(142064,	9,	1463,	1,	1),
(142065,	9,	1463,	2,	1),
(142066,	9,	1463,	3,	1),
(142067,	9,	1463,	1,	2),
(142068,	9,	1463,	2,	2),
(142069,	9,	1463,	3,	2),
(142070,	9,	1464,	1,	1),
(142071,	9,	1464,	2,	1),
(142072,	9,	1464,	3,	1),
(142073,	9,	1465,	1,	1),
(142074,	9,	1465,	2,	1),
(142075,	9,	1465,	3,	1),
(142076,	9,	1465,	23,	1),
(142077,	9,	1466,	1,	1),
(142078,	9,	1466,	2,	1),
(142079,	9,	1466,	3,	1),
(142080,	9,	1466,	23,	1),
(142081,	9,	1467,	1,	1),
(142082,	9,	1467,	2,	1),
(142083,	9,	1467,	3,	1),
(142084,	9,	1467,	23,	1),
(142085,	9,	1468,	1,	1),
(142086,	9,	1468,	2,	1),
(142087,	9,	1468,	3,	1),
(142088,	9,	1468,	23,	1),
(142089,	9,	1469,	1,	1),
(142090,	9,	1469,	2,	1),
(142091,	9,	1469,	3,	1),
(142092,	9,	1469,	1,	2),
(142093,	9,	1469,	2,	2),
(142094,	9,	1469,	3,	2),
(142095,	9,	1470,	1,	1),
(142096,	9,	1470,	2,	1),
(142097,	9,	1470,	3,	1),
(142098,	9,	1471,	1,	1),
(142099,	9,	1471,	2,	1),
(142100,	9,	1471,	3,	1),
(142101,	9,	1472,	1,	1),
(142102,	9,	1472,	2,	1),
(142103,	9,	1472,	3,	1),
(142104,	9,	1473,	1,	1),
(142105,	9,	1473,	2,	1),
(142106,	9,	1473,	3,	1),
(142107,	9,	1473,	23,	1),
(142108,	9,	1474,	1,	1),
(142109,	9,	1474,	2,	1),
(142110,	9,	1474,	3,	1),
(142111,	9,	1475,	1,	1),
(142112,	9,	1475,	2,	1),
(142113,	9,	1475,	3,	1),
(142114,	9,	1476,	1,	1),
(142115,	9,	1476,	2,	1),
(142116,	9,	1476,	3,	1),
(142117,	9,	1476,	23,	1),
(142118,	9,	1477,	1,	1),
(142119,	9,	1477,	2,	1),
(142120,	9,	1477,	3,	1),
(142121,	9,	1478,	1,	1),
(142122,	9,	1478,	2,	1),
(142123,	9,	1478,	3,	1),
(142124,	9,	1479,	1,	1),
(142125,	9,	1479,	2,	1),
(142126,	9,	1479,	3,	1),
(142127,	9,	1480,	1,	1),
(142128,	9,	1480,	2,	1),
(142129,	9,	1480,	3,	1),
(142130,	9,	1481,	1,	1),
(142131,	9,	1481,	2,	1),
(142132,	9,	1481,	3,	1),
(142133,	9,	1481,	1,	2),
(142134,	9,	1481,	2,	2),
(142135,	9,	1481,	3,	2),
(142136,	9,	1482,	1,	1),
(142137,	9,	1482,	2,	1),
(142138,	9,	1482,	3,	1),
(142139,	9,	1483,	1,	1),
(142140,	9,	1483,	2,	1),
(142141,	9,	1483,	3,	1),
(142142,	9,	1484,	1,	1),
(142143,	9,	1484,	2,	1),
(142144,	9,	1484,	3,	1),
(142145,	9,	1485,	1,	1),
(142146,	9,	1485,	2,	1),
(142147,	9,	1485,	3,	1),
(142148,	9,	1486,	1,	1),
(142149,	9,	1486,	2,	1),
(142150,	9,	1486,	3,	1),
(142151,	9,	1487,	1,	1),
(142152,	9,	1487,	2,	1),
(142153,	9,	1487,	3,	1),
(142154,	9,	1488,	1,	1),
(142155,	9,	1488,	2,	1),
(142156,	9,	1488,	3,	1),
(142157,	9,	1489,	1,	1),
(142158,	9,	1489,	2,	1),
(142159,	9,	1489,	3,	1),
(142160,	9,	1490,	1,	1),
(142161,	9,	1490,	2,	1),
(142162,	9,	1490,	3,	1),
(142163,	9,	1491,	1,	1),
(142164,	9,	1491,	2,	1),
(142165,	9,	1491,	3,	1),
(142166,	9,	1492,	1,	1),
(142167,	9,	1492,	2,	1),
(142168,	9,	1492,	3,	1),
(142169,	9,	1493,	1,	1),
(142170,	9,	1493,	2,	1),
(142171,	9,	1493,	3,	1),
(142172,	9,	1494,	1,	1),
(142173,	9,	1494,	2,	1),
(142174,	9,	1494,	3,	1),
(142175,	9,	1495,	1,	1),
(142176,	9,	1495,	2,	1),
(142177,	9,	1495,	3,	1),
(142178,	9,	1496,	1,	1),
(142179,	9,	1496,	2,	1),
(142180,	9,	1496,	3,	1),
(142181,	9,	1496,	75,	1),
(142182,	9,	1496,	76,	1),
(142183,	9,	1496,	77,	1),
(142184,	9,	1496,	78,	1),
(142185,	9,	1496,	79,	1),
(142186,	9,	1496,	45,	1),
(142187,	9,	1496,	46,	1),
(142188,	9,	1496,	54,	1),
(142189,	9,	1496,	28,	1),
(142190,	9,	1496,	61,	1),
(142191,	9,	1496,	80,	1),
(142192,	9,	1496,	59,	1),
(142193,	9,	1497,	1,	1),
(142194,	9,	1497,	2,	1),
(142195,	9,	1497,	3,	1),
(142196,	9,	1498,	1,	1),
(142197,	9,	1498,	2,	1),
(142198,	9,	1498,	3,	1),
(142199,	9,	1499,	1,	1),
(142200,	9,	1499,	2,	1),
(142201,	9,	1499,	3,	1),
(142202,	9,	1499,	75,	1),
(142203,	9,	1499,	76,	1),
(142204,	9,	1499,	77,	1),
(142205,	9,	1499,	78,	1),
(142206,	9,	1499,	79,	1),
(142207,	9,	1499,	45,	1),
(142208,	9,	1499,	46,	1),
(142209,	9,	1499,	54,	1),
(142210,	9,	1499,	28,	1),
(142211,	9,	1499,	61,	1),
(142212,	9,	1499,	80,	1),
(142213,	9,	1499,	59,	1),
(142214,	9,	1500,	1,	1),
(142215,	9,	1500,	2,	1),
(142216,	9,	1500,	3,	1),
(142217,	9,	1500,	75,	1),
(142218,	9,	1500,	76,	1),
(142219,	9,	1500,	77,	1),
(142220,	9,	1500,	78,	1),
(142221,	9,	1500,	79,	1),
(142222,	9,	1500,	45,	1),
(142223,	9,	1500,	46,	1),
(142224,	9,	1500,	54,	1),
(142225,	9,	1500,	28,	1),
(142226,	9,	1500,	61,	1),
(142227,	9,	1500,	80,	1),
(142228,	9,	1500,	59,	1),
(142229,	9,	1501,	1,	1),
(142230,	9,	1501,	2,	1),
(142231,	9,	1501,	3,	1),
(142232,	9,	1501,	75,	1),
(142233,	9,	1501,	76,	1),
(142234,	9,	1501,	77,	1),
(142235,	9,	1501,	78,	1),
(142236,	9,	1501,	79,	1),
(142237,	9,	1501,	45,	1),
(142238,	9,	1501,	46,	1),
(142239,	9,	1501,	54,	1),
(142240,	9,	1501,	28,	1),
(142241,	9,	1501,	61,	1),
(142242,	9,	1501,	80,	1),
(142243,	9,	1501,	59,	1),
(142244,	9,	1502,	1,	1),
(142245,	9,	1502,	2,	1),
(142246,	9,	1502,	3,	1),
(142247,	9,	1502,	75,	1),
(142248,	9,	1502,	76,	1),
(142249,	9,	1502,	77,	1),
(142250,	9,	1502,	78,	1),
(142251,	9,	1502,	79,	1),
(142252,	9,	1502,	45,	1),
(142253,	9,	1502,	46,	1),
(142254,	9,	1502,	54,	1),
(142255,	9,	1502,	28,	1),
(142256,	9,	1502,	61,	1),
(142257,	9,	1502,	80,	1),
(142258,	9,	1502,	59,	1),
(142259,	9,	1503,	1,	1),
(142260,	9,	1503,	2,	1),
(142261,	9,	1503,	3,	1),
(142262,	9,	1503,	75,	1),
(142263,	9,	1503,	76,	1),
(142264,	9,	1503,	77,	1),
(142265,	9,	1503,	78,	1),
(142266,	9,	1503,	79,	1),
(142267,	9,	1503,	45,	1),
(142268,	9,	1503,	46,	1),
(142269,	9,	1503,	54,	1),
(142270,	9,	1503,	28,	1),
(142271,	9,	1503,	61,	1),
(142272,	9,	1503,	80,	1),
(142273,	9,	1503,	59,	1),
(142274,	9,	1504,	1,	1),
(142275,	9,	1504,	2,	1),
(142276,	9,	1504,	3,	1),
(142277,	9,	1504,	1,	2),
(142278,	9,	1504,	2,	2),
(142279,	9,	1504,	3,	2),
(142280,	9,	1505,	1,	1),
(142281,	9,	1505,	2,	1),
(142282,	9,	1505,	3,	1),
(142283,	9,	1505,	1,	2),
(142284,	9,	1505,	2,	2),
(142285,	9,	1505,	3,	2),
(142286,	9,	1506,	1,	1),
(142287,	9,	1506,	2,	1),
(142288,	9,	1506,	3,	1),
(142289,	9,	1507,	1,	1),
(142290,	9,	1507,	2,	1),
(142291,	9,	1507,	3,	1),
(142292,	9,	1508,	1,	1),
(142293,	9,	1508,	2,	1),
(142294,	9,	1508,	3,	1),
(142295,	9,	1509,	1,	1),
(142296,	9,	1509,	2,	1),
(142297,	9,	1509,	3,	1),
(142298,	9,	1510,	1,	1),
(142299,	9,	1510,	2,	1),
(142300,	9,	1510,	3,	1),
(142301,	9,	1510,	75,	1),
(142302,	9,	1510,	76,	1),
(142303,	9,	1510,	77,	1),
(142304,	9,	1510,	78,	1),
(142305,	9,	1510,	79,	1),
(142306,	9,	1510,	45,	1),
(142307,	9,	1510,	46,	1),
(142308,	9,	1510,	54,	1),
(142309,	9,	1510,	28,	1),
(142310,	9,	1510,	61,	1),
(142311,	9,	1510,	80,	1),
(142312,	9,	1510,	59,	1),
(142313,	9,	1511,	1,	1),
(142314,	9,	1511,	2,	1),
(142315,	9,	1511,	3,	1),
(142316,	9,	1511,	75,	1),
(142317,	9,	1511,	76,	1),
(142318,	9,	1511,	77,	1),
(142319,	9,	1511,	78,	1),
(142320,	9,	1511,	79,	1),
(142321,	9,	1511,	45,	1),
(142322,	9,	1511,	46,	1),
(142323,	9,	1511,	54,	1),
(142324,	9,	1511,	28,	1),
(142325,	9,	1511,	61,	1),
(142326,	9,	1511,	80,	1),
(142327,	9,	1511,	59,	1),
(142328,	9,	1512,	1,	1),
(142329,	9,	1512,	2,	1),
(142330,	9,	1512,	3,	1),
(142331,	9,	1513,	1,	1),
(142332,	9,	1513,	2,	1),
(142333,	9,	1513,	3,	1),
(142334,	9,	1514,	1,	1),
(142335,	9,	1514,	2,	1),
(142336,	9,	1514,	3,	1),
(142337,	9,	1514,	1,	2),
(142338,	9,	1514,	2,	2),
(142339,	9,	1514,	3,	2),
(142340,	9,	1515,	1,	1),
(142341,	9,	1515,	2,	1),
(142342,	9,	1515,	3,	1),
(142343,	9,	1516,	1,	1),
(142344,	9,	1516,	2,	1),
(142345,	9,	1516,	3,	1),
(142346,	9,	1517,	1,	1),
(142347,	9,	1517,	2,	1),
(142348,	9,	1517,	3,	1),
(142349,	9,	1517,	1,	2),
(142350,	9,	1517,	2,	2),
(142351,	9,	1517,	3,	2),
(142352,	9,	1518,	1,	1),
(142353,	9,	1518,	2,	1),
(142354,	9,	1518,	3,	1),
(142355,	9,	1518,	1,	2),
(142356,	9,	1518,	2,	2),
(142357,	9,	1518,	3,	2),
(142358,	9,	1519,	1,	1),
(142359,	9,	1519,	2,	1),
(142360,	9,	1519,	3,	1),
(142361,	9,	1520,	1,	1),
(142362,	9,	1520,	2,	1),
(142363,	9,	1520,	3,	1),
(142364,	9,	1520,	1,	2),
(142365,	9,	1520,	2,	2),
(142366,	9,	1520,	3,	2),
(142367,	9,	1521,	1,	1),
(142368,	9,	1521,	2,	1),
(142369,	9,	1521,	3,	1),
(142370,	9,	1522,	1,	1),
(142371,	9,	1522,	2,	1),
(142372,	9,	1522,	3,	1),
(142373,	9,	1523,	1,	1),
(142374,	9,	1523,	2,	1),
(142375,	9,	1523,	3,	1),
(142376,	9,	1523,	75,	1),
(142377,	9,	1523,	76,	1),
(142378,	9,	1523,	77,	1),
(142379,	9,	1523,	78,	1),
(142380,	9,	1523,	79,	1),
(142381,	9,	1523,	45,	1),
(142382,	9,	1523,	46,	1),
(142383,	9,	1523,	54,	1),
(142384,	9,	1523,	28,	1),
(142385,	9,	1523,	61,	1),
(142386,	9,	1523,	80,	1),
(142387,	9,	1524,	1,	1),
(142388,	9,	1524,	2,	1),
(142389,	9,	1524,	3,	1),
(142390,	9,	1524,	1,	2),
(142391,	9,	1524,	2,	2),
(142392,	9,	1524,	3,	2),
(142393,	9,	1525,	1,	1),
(142394,	9,	1525,	2,	1),
(142395,	9,	1525,	3,	1),
(142396,	9,	1526,	1,	1),
(142397,	9,	1526,	2,	1),
(142398,	9,	1526,	3,	1),
(142399,	9,	1526,	1,	2),
(142400,	9,	1526,	2,	2),
(142401,	9,	1526,	3,	2),
(142402,	9,	1527,	1,	1),
(142403,	9,	1527,	2,	1),
(142404,	9,	1527,	3,	1),
(142405,	9,	1527,	1,	2),
(142406,	9,	1527,	2,	2),
(142407,	9,	1527,	3,	2),
(142408,	9,	1528,	1,	1),
(142409,	9,	1528,	2,	1),
(142410,	9,	1528,	3,	1),
(142411,	9,	1528,	1,	2),
(142412,	9,	1528,	2,	2),
(142413,	9,	1528,	3,	2),
(142414,	9,	1529,	1,	1),
(142415,	9,	1529,	2,	1),
(142416,	9,	1529,	3,	1),
(142417,	9,	1530,	1,	1),
(142418,	9,	1530,	2,	1),
(142419,	9,	1530,	3,	1),
(142420,	9,	1530,	1,	2),
(142421,	9,	1530,	2,	2),
(142422,	9,	1530,	3,	2),
(142423,	9,	1531,	1,	1),
(142424,	9,	1531,	2,	1),
(142425,	9,	1531,	3,	1),
(142426,	9,	1532,	1,	1),
(142427,	9,	1532,	2,	1),
(142428,	9,	1532,	3,	1),
(142429,	9,	1533,	1,	1),
(142430,	9,	1533,	2,	1),
(142431,	9,	1533,	3,	1),
(142432,	9,	1534,	1,	1),
(142433,	9,	1534,	2,	1),
(142434,	9,	1534,	3,	1),
(142435,	9,	1535,	1,	1),
(142436,	9,	1535,	2,	1),
(142437,	9,	1535,	3,	1),
(142438,	9,	1535,	1,	2),
(142439,	9,	1535,	2,	2),
(142440,	9,	1535,	3,	2),
(142441,	9,	1536,	1,	1),
(142442,	9,	1536,	2,	1),
(142443,	9,	1536,	3,	1),
(142444,	9,	1536,	1,	2),
(142445,	9,	1536,	2,	2),
(142446,	9,	1536,	3,	2),
(142447,	9,	1537,	1,	1),
(142448,	9,	1537,	2,	1),
(142449,	9,	1537,	3,	1),
(142450,	9,	1538,	1,	1),
(142451,	9,	1538,	2,	1),
(142452,	9,	1538,	3,	1),
(142453,	9,	1539,	1,	1),
(142454,	9,	1539,	2,	1),
(142455,	9,	1539,	3,	1),
(142456,	9,	1539,	1,	2),
(142457,	9,	1539,	2,	2),
(142458,	9,	1539,	3,	2),
(142459,	9,	1540,	1,	1),
(142460,	9,	1540,	2,	1),
(142461,	9,	1540,	3,	1),
(142462,	9,	1541,	1,	1),
(142463,	9,	1541,	2,	1),
(142464,	9,	1541,	3,	1),
(142465,	9,	1541,	1,	2),
(142466,	9,	1541,	2,	2),
(142467,	9,	1541,	3,	2),
(142468,	9,	1542,	1,	1),
(142469,	9,	1542,	2,	1),
(142470,	9,	1542,	3,	1),
(142471,	9,	1542,	1,	2),
(142472,	9,	1542,	2,	2),
(142473,	9,	1542,	3,	2),
(142474,	9,	1543,	1,	1),
(142475,	9,	1543,	2,	1),
(142476,	9,	1543,	3,	1),
(142477,	9,	1543,	1,	2),
(142478,	9,	1543,	2,	2),
(142479,	9,	1543,	3,	2),
(142480,	9,	1544,	1,	1),
(142481,	9,	1544,	2,	1),
(142482,	9,	1544,	3,	1),
(142483,	9,	1545,	1,	1),
(142484,	9,	1545,	2,	1),
(142485,	9,	1545,	3,	1),
(142486,	9,	1545,	1,	3),
(142487,	9,	1545,	2,	3),
(142488,	9,	1545,	3,	3),
(142489,	9,	1546,	1,	1),
(142490,	9,	1546,	2,	1),
(142491,	9,	1546,	3,	1),
(142492,	9,	1546,	1,	2),
(142493,	9,	1546,	2,	2),
(142494,	9,	1546,	3,	2),
(142495,	9,	1547,	1,	1),
(142496,	9,	1547,	2,	1),
(142497,	9,	1547,	3,	1),
(142498,	9,	1548,	1,	1),
(142499,	9,	1548,	2,	1),
(142500,	9,	1548,	3,	1),
(142501,	9,	1548,	1,	2),
(142502,	9,	1548,	2,	2),
(142503,	9,	1548,	3,	2),
(142504,	9,	1549,	1,	1),
(142505,	9,	1549,	2,	1),
(142506,	9,	1549,	3,	1),
(142507,	9,	1550,	1,	1),
(142508,	9,	1550,	2,	1),
(142509,	9,	1550,	3,	1),
(142510,	9,	1551,	1,	1),
(142511,	9,	1551,	2,	1),
(142512,	9,	1551,	3,	1),
(142513,	9,	1552,	1,	1),
(142514,	9,	1552,	2,	1),
(142515,	9,	1552,	3,	1),
(142516,	9,	1552,	1,	2),
(142517,	9,	1552,	2,	2),
(142518,	9,	1552,	3,	2),
(142519,	9,	1553,	1,	1),
(142520,	9,	1553,	2,	1),
(142521,	9,	1553,	3,	1),
(142522,	9,	1554,	1,	1),
(142523,	9,	1554,	2,	1),
(142524,	9,	1554,	3,	1),
(142525,	9,	1555,	1,	1),
(142526,	9,	1555,	2,	1),
(142527,	9,	1555,	3,	1),
(142528,	9,	1555,	1,	3),
(142529,	9,	1555,	2,	3),
(142530,	9,	1555,	3,	3),
(142531,	9,	1556,	1,	1),
(142532,	9,	1556,	2,	1),
(142533,	9,	1556,	3,	1),
(142534,	9,	1556,	1,	2),
(142535,	9,	1556,	2,	2),
(142536,	9,	1556,	3,	2),
(142537,	9,	1557,	1,	1),
(142538,	9,	1557,	2,	1),
(142539,	9,	1557,	3,	1),
(142540,	9,	1557,	1,	2),
(142541,	9,	1557,	2,	2),
(142542,	9,	1557,	3,	2),
(142543,	9,	1558,	1,	1),
(142544,	9,	1558,	2,	1),
(142545,	9,	1558,	3,	1),
(142546,	9,	1558,	1,	2),
(142547,	9,	1558,	2,	2),
(142548,	9,	1558,	3,	2),
(142549,	9,	1559,	1,	1),
(142550,	9,	1559,	2,	1),
(142551,	9,	1559,	3,	1),
(142552,	9,	1559,	1,	2),
(142553,	9,	1559,	2,	2),
(142554,	9,	1559,	3,	2),
(142555,	9,	1560,	1,	1),
(142556,	9,	1560,	2,	1),
(142557,	9,	1560,	3,	1),
(142558,	9,	1560,	1,	2),
(142559,	9,	1560,	2,	2),
(142560,	9,	1560,	3,	2),
(142561,	9,	1561,	1,	1),
(142562,	9,	1561,	2,	1),
(142563,	9,	1561,	3,	1),
(142564,	9,	1561,	1,	2),
(142565,	9,	1561,	2,	2),
(142566,	9,	1561,	3,	2),
(142567,	9,	1562,	1,	1),
(142568,	9,	1562,	2,	1),
(142569,	9,	1562,	3,	1),
(142570,	9,	1562,	1,	2),
(142571,	9,	1562,	2,	2),
(142572,	9,	1562,	3,	2),
(142573,	9,	1563,	1,	1),
(142574,	9,	1563,	2,	1),
(142575,	9,	1563,	3,	1),
(142576,	9,	1563,	1,	2),
(142577,	9,	1563,	2,	2),
(142578,	9,	1563,	3,	2),
(142579,	9,	1564,	1,	1),
(142580,	9,	1564,	2,	1),
(142581,	9,	1564,	3,	1),
(142582,	9,	1564,	1,	2),
(142583,	9,	1564,	2,	2),
(142584,	9,	1564,	3,	2),
(142585,	9,	1565,	1,	1),
(142586,	9,	1565,	2,	1),
(142587,	9,	1565,	3,	1),
(142588,	9,	1565,	1,	2),
(142589,	9,	1565,	2,	2),
(142590,	9,	1565,	3,	2),
(142591,	9,	1566,	1,	1),
(142592,	9,	1566,	2,	1),
(142593,	9,	1566,	3,	1),
(142594,	9,	1566,	1,	2),
(142595,	9,	1566,	2,	2),
(142596,	9,	1566,	3,	2),
(142597,	9,	1567,	1,	1),
(142598,	9,	1567,	2,	1),
(142599,	9,	1567,	3,	1),
(142600,	9,	1567,	1,	2),
(142601,	9,	1567,	2,	2),
(142602,	9,	1567,	3,	2),
(142603,	9,	1568,	1,	1),
(142604,	9,	1568,	2,	1),
(142605,	9,	1568,	3,	1),
(142606,	9,	1568,	1,	2),
(142607,	9,	1568,	2,	2),
(142608,	9,	1568,	3,	2),
(142609,	9,	1569,	1,	1),
(142610,	9,	1569,	2,	1),
(142611,	9,	1569,	3,	1),
(142612,	9,	1569,	1,	2),
(142613,	9,	1569,	2,	2),
(142614,	9,	1569,	3,	2),
(142615,	9,	1570,	1,	1),
(142616,	9,	1570,	2,	1),
(142617,	9,	1570,	3,	1),
(142618,	9,	1570,	1,	2),
(142619,	9,	1570,	2,	2),
(142620,	9,	1570,	3,	2),
(142621,	9,	1571,	1,	1),
(142622,	9,	1571,	2,	1),
(142623,	9,	1571,	3,	1),
(142624,	9,	1572,	1,	1),
(142625,	9,	1572,	2,	1),
(142626,	9,	1572,	3,	1),
(142627,	9,	1572,	1,	2),
(142628,	9,	1572,	2,	2),
(142629,	9,	1572,	3,	2),
(142630,	9,	1573,	1,	1),
(142631,	9,	1573,	2,	1),
(142632,	9,	1573,	3,	1),
(142633,	9,	1573,	1,	2),
(142634,	9,	1573,	2,	2),
(142635,	9,	1573,	3,	2),
(142636,	9,	1574,	1,	1),
(142637,	9,	1574,	2,	1),
(142638,	9,	1574,	3,	1),
(142639,	9,	1574,	1,	2),
(142640,	9,	1574,	2,	2),
(142641,	9,	1574,	3,	2),
(142642,	9,	1575,	1,	1),
(142643,	9,	1575,	2,	1),
(142644,	9,	1575,	3,	1),
(142645,	9,	1576,	1,	1),
(142646,	9,	1576,	2,	1),
(142647,	9,	1576,	3,	1),
(142648,	9,	1577,	1,	1),
(142649,	9,	1577,	2,	1),
(142650,	9,	1577,	3,	1),
(142651,	9,	1578,	1,	1),
(142652,	9,	1578,	2,	1),
(142653,	9,	1578,	3,	1),
(142654,	9,	1579,	1,	1),
(142655,	9,	1579,	2,	1),
(142656,	9,	1579,	3,	1),
(142657,	9,	1580,	1,	1),
(142658,	9,	1580,	2,	1),
(142659,	9,	1580,	3,	1),
(142660,	9,	1581,	1,	1),
(142661,	9,	1581,	2,	1),
(142662,	9,	1581,	3,	1),
(142663,	9,	1581,	1,	2),
(142664,	9,	1581,	2,	2),
(142665,	9,	1581,	3,	2),
(142666,	9,	1582,	1,	1),
(142667,	9,	1582,	2,	1),
(142668,	9,	1582,	3,	1),
(142669,	9,	1582,	1,	2),
(142670,	9,	1582,	2,	2),
(142671,	9,	1582,	3,	2),
(142672,	9,	1583,	1,	1),
(142673,	9,	1583,	2,	1),
(142674,	9,	1583,	3,	1),
(142675,	9,	1584,	1,	1),
(142676,	9,	1584,	2,	1),
(142677,	9,	1584,	3,	1),
(142678,	9,	1584,	1,	2),
(142679,	9,	1584,	2,	2),
(142680,	9,	1584,	3,	2),
(142681,	9,	1585,	1,	1),
(142682,	9,	1585,	2,	1),
(142683,	9,	1585,	3,	1),
(142684,	9,	1585,	1,	2),
(142685,	9,	1585,	2,	2),
(142686,	9,	1585,	3,	2),
(142687,	9,	1586,	1,	1),
(142688,	9,	1586,	2,	1),
(142689,	9,	1586,	3,	1),
(142690,	9,	1586,	1,	2),
(142691,	9,	1586,	2,	2),
(142692,	9,	1586,	3,	2),
(142693,	9,	1587,	1,	1),
(142694,	9,	1587,	2,	1),
(142695,	9,	1587,	3,	1),
(142696,	9,	1588,	1,	1),
(142697,	9,	1588,	2,	1),
(142698,	9,	1588,	3,	1),
(142699,	9,	1588,	1,	2),
(142700,	9,	1588,	2,	2),
(142701,	9,	1588,	3,	2),
(142702,	9,	1589,	1,	1),
(142703,	9,	1589,	2,	1),
(142704,	9,	1589,	3,	1),
(142705,	9,	1589,	1,	2),
(142706,	9,	1589,	2,	2),
(142707,	9,	1589,	3,	2),
(142708,	9,	1590,	1,	1),
(142709,	9,	1590,	2,	1),
(142710,	9,	1590,	3,	1),
(142711,	9,	1590,	1,	2),
(142712,	9,	1590,	2,	2),
(142713,	9,	1590,	3,	2),
(142714,	9,	1591,	1,	1),
(142715,	9,	1591,	2,	1),
(142716,	9,	1591,	3,	1),
(142717,	9,	1591,	1,	2),
(142718,	9,	1591,	2,	2),
(142719,	9,	1591,	3,	2),
(142720,	9,	1592,	1,	1),
(142721,	9,	1592,	2,	1),
(142722,	9,	1592,	3,	1),
(142723,	9,	1592,	1,	2),
(142724,	9,	1592,	2,	2),
(142725,	9,	1592,	3,	2),
(142726,	9,	1593,	1,	1),
(142727,	9,	1593,	2,	1),
(142728,	9,	1593,	3,	1),
(142729,	9,	1593,	1,	2),
(142730,	9,	1593,	2,	2),
(142731,	9,	1593,	3,	2),
(142732,	9,	1594,	1,	1),
(142733,	9,	1594,	2,	1),
(142734,	9,	1594,	3,	1),
(142735,	9,	1594,	1,	2),
(142736,	9,	1594,	2,	2),
(142737,	9,	1594,	3,	2),
(142738,	9,	1595,	1,	1),
(142739,	9,	1595,	2,	1),
(142740,	9,	1595,	3,	1),
(142741,	9,	1595,	1,	2),
(142742,	9,	1595,	2,	2),
(142743,	9,	1595,	3,	2),
(142744,	9,	1596,	1,	1),
(142745,	9,	1596,	2,	1),
(142746,	9,	1596,	3,	1),
(142747,	9,	1596,	1,	2),
(142748,	9,	1596,	2,	2),
(142749,	9,	1596,	3,	2),
(142750,	9,	1597,	1,	1),
(142751,	9,	1597,	2,	1),
(142752,	9,	1597,	3,	1),
(142753,	9,	1597,	1,	2),
(142754,	9,	1597,	2,	2),
(142755,	9,	1597,	3,	2),
(142756,	9,	1598,	1,	1),
(142757,	9,	1598,	2,	1),
(142758,	9,	1598,	3,	1),
(142759,	9,	1598,	1,	2),
(142760,	9,	1598,	2,	2),
(142761,	9,	1598,	3,	2),
(142762,	9,	1599,	1,	1),
(142763,	9,	1599,	2,	1),
(142764,	9,	1599,	3,	1),
(142765,	9,	1599,	1,	2),
(142766,	9,	1599,	2,	2),
(142767,	9,	1599,	3,	2),
(142768,	9,	1600,	1,	1),
(142769,	9,	1600,	2,	1),
(142770,	9,	1600,	3,	1),
(142771,	9,	1600,	1,	2),
(142772,	9,	1600,	2,	2),
(142773,	9,	1600,	3,	2),
(142774,	9,	1601,	1,	1),
(142775,	9,	1601,	2,	1),
(142776,	9,	1601,	3,	1),
(142777,	9,	1601,	1,	2),
(142778,	9,	1601,	2,	2),
(142779,	9,	1601,	3,	2),
(142780,	9,	1602,	1,	1),
(142781,	9,	1602,	2,	1),
(142782,	9,	1602,	3,	1),
(142783,	9,	1602,	1,	3),
(142784,	9,	1602,	2,	3),
(142785,	9,	1602,	3,	3),
(142786,	9,	1603,	1,	1),
(142787,	9,	1603,	2,	1),
(142788,	9,	1603,	3,	1),
(142789,	9,	1603,	1,	2),
(142790,	9,	1603,	2,	2),
(142791,	9,	1603,	3,	2),
(142792,	9,	1604,	1,	1),
(142793,	9,	1604,	2,	1),
(142794,	9,	1604,	3,	1),
(142795,	9,	1604,	1,	2),
(142796,	9,	1604,	2,	2),
(142797,	9,	1604,	3,	2),
(142798,	9,	1605,	1,	1),
(142799,	9,	1605,	2,	1),
(142800,	9,	1605,	3,	1),
(142801,	9,	1605,	1,	2),
(142802,	9,	1605,	2,	2),
(142803,	9,	1605,	3,	2),
(142804,	9,	1606,	1,	1),
(142805,	9,	1606,	2,	1),
(142806,	9,	1606,	3,	1),
(142807,	9,	1606,	1,	2),
(142808,	9,	1606,	2,	2),
(142809,	9,	1606,	3,	2),
(142810,	9,	1607,	1,	1),
(142811,	9,	1607,	2,	1),
(142812,	9,	1607,	3,	1),
(142813,	9,	1607,	1,	2),
(142814,	9,	1607,	2,	2),
(142815,	9,	1607,	3,	2),
(142816,	9,	1608,	1,	1),
(142817,	9,	1608,	2,	1),
(142818,	9,	1608,	3,	1),
(142819,	9,	1608,	1,	2),
(142820,	9,	1608,	2,	2),
(142821,	9,	1608,	3,	2),
(142822,	9,	1609,	1,	1),
(142823,	9,	1609,	2,	1),
(142824,	9,	1609,	3,	1),
(142825,	9,	1609,	1,	2),
(142826,	9,	1609,	2,	2),
(142827,	9,	1609,	3,	2),
(142828,	9,	1610,	1,	1),
(142829,	9,	1610,	2,	1),
(142830,	9,	1610,	3,	1),
(142831,	9,	1610,	1,	2),
(142832,	9,	1610,	2,	2),
(142833,	9,	1610,	3,	2),
(142834,	9,	1611,	1,	1),
(142835,	9,	1611,	2,	1),
(142836,	9,	1611,	3,	1),
(142837,	9,	1611,	1,	2),
(142838,	9,	1611,	2,	2),
(142839,	9,	1611,	3,	2),
(142840,	9,	1612,	1,	1),
(142841,	9,	1612,	2,	1),
(142842,	9,	1612,	3,	1),
(142843,	9,	1612,	1,	2),
(142844,	9,	1612,	2,	2),
(142845,	9,	1612,	3,	2),
(142846,	9,	1613,	1,	1),
(142847,	9,	1613,	2,	1),
(142848,	9,	1613,	3,	1),
(142849,	9,	1613,	1,	2),
(142850,	9,	1613,	2,	2),
(142851,	9,	1613,	3,	2),
(142852,	9,	1614,	1,	1),
(142853,	9,	1614,	2,	1),
(142854,	9,	1614,	3,	1),
(142855,	9,	1614,	1,	2),
(142856,	9,	1614,	2,	2),
(142857,	9,	1614,	3,	2),
(142858,	9,	1615,	1,	1),
(142859,	9,	1615,	2,	1),
(142860,	9,	1615,	3,	1),
(142861,	9,	1615,	1,	2),
(142862,	9,	1615,	2,	2),
(142863,	9,	1615,	3,	2),
(142864,	9,	1616,	1,	1),
(142865,	9,	1616,	2,	1),
(142866,	9,	1616,	3,	1),
(142867,	9,	1616,	1,	2),
(142868,	9,	1616,	2,	2),
(142869,	9,	1616,	3,	2),
(142870,	9,	1617,	1,	1),
(142871,	9,	1617,	2,	1),
(142872,	9,	1617,	3,	1),
(142873,	9,	1617,	1,	2),
(142874,	9,	1617,	2,	2),
(142875,	9,	1617,	3,	2),
(142876,	9,	1618,	1,	1),
(142877,	9,	1618,	2,	1),
(142878,	9,	1618,	3,	1),
(142879,	9,	1618,	1,	2),
(142880,	9,	1618,	2,	2),
(142881,	9,	1618,	3,	2),
(142882,	9,	1619,	1,	1),
(142883,	9,	1619,	2,	1),
(142884,	9,	1619,	3,	1),
(142885,	9,	1619,	1,	2),
(142886,	9,	1619,	2,	2),
(142887,	9,	1619,	3,	2),
(142888,	9,	1620,	1,	1),
(142889,	9,	1620,	2,	1),
(142890,	9,	1620,	3,	1),
(142891,	9,	1620,	1,	2),
(142892,	9,	1620,	2,	2),
(142893,	9,	1620,	3,	2),
(142894,	9,	1621,	1,	1),
(142895,	9,	1621,	2,	1),
(142896,	9,	1621,	3,	1),
(142897,	9,	1621,	1,	2),
(142898,	9,	1621,	2,	2),
(142899,	9,	1621,	3,	2),
(142900,	9,	1622,	1,	1),
(142901,	9,	1622,	2,	1),
(142902,	9,	1622,	3,	1),
(142903,	9,	1622,	1,	2),
(142904,	9,	1622,	2,	2),
(142905,	9,	1622,	3,	2),
(142906,	9,	1623,	1,	1),
(142907,	9,	1623,	2,	1),
(142908,	9,	1623,	3,	1),
(142909,	9,	1623,	1,	2),
(142910,	9,	1623,	2,	2),
(142911,	9,	1623,	3,	2),
(142912,	9,	1624,	1,	1),
(142913,	9,	1624,	2,	1),
(142914,	9,	1624,	3,	1),
(142915,	9,	1625,	1,	1),
(142916,	9,	1625,	2,	1),
(142917,	9,	1625,	3,	1),
(142918,	9,	1626,	1,	1),
(142919,	9,	1626,	2,	1),
(142920,	9,	1626,	3,	1),
(142921,	9,	1627,	1,	1),
(142922,	9,	1627,	2,	1),
(142923,	9,	1627,	3,	1),
(142924,	9,	1627,	1,	2),
(142925,	9,	1627,	2,	2),
(142926,	9,	1627,	3,	2),
(142927,	9,	1628,	1,	1),
(142928,	9,	1628,	2,	1),
(142929,	9,	1628,	3,	1),
(142930,	9,	1628,	1,	2),
(142931,	9,	1628,	2,	2),
(142932,	9,	1628,	3,	2),
(142933,	9,	1629,	1,	1),
(142934,	9,	1629,	2,	1),
(142935,	9,	1629,	3,	1),
(142936,	9,	1629,	1,	2),
(142937,	9,	1629,	2,	2),
(142938,	9,	1629,	3,	2),
(142939,	9,	1630,	1,	1),
(142940,	9,	1630,	2,	1),
(142941,	9,	1630,	3,	1),
(142942,	9,	1630,	1,	2),
(142943,	9,	1630,	2,	2),
(142944,	9,	1630,	3,	2),
(142945,	9,	1631,	1,	1),
(142946,	9,	1631,	2,	1),
(142947,	9,	1631,	3,	1),
(142948,	9,	1631,	81,	1),
(142949,	9,	1631,	1,	2),
(142950,	9,	1631,	2,	2),
(142951,	9,	1631,	3,	2),
(142952,	9,	1631,	81,	2),
(142953,	9,	1632,	1,	1),
(142954,	9,	1632,	2,	1),
(142955,	9,	1632,	3,	1),
(142956,	9,	1632,	4,	1),
(142957,	9,	1632,	5,	1),
(142958,	9,	1633,	1,	1),
(142959,	9,	1633,	2,	1),
(142960,	9,	1633,	3,	1),
(142961,	9,	1633,	1,	2),
(142962,	9,	1633,	2,	2),
(142963,	9,	1633,	3,	2),
(142964,	9,	1634,	1,	1),
(142965,	9,	1634,	2,	1),
(142966,	9,	1634,	3,	1),
(142967,	9,	1634,	26,	1),
(142968,	9,	1634,	4,	1),
(142969,	9,	1634,	1,	2),
(142970,	9,	1634,	2,	2),
(142971,	9,	1634,	3,	2),
(142972,	9,	1634,	26,	2),
(142973,	9,	1634,	4,	2),
(142974,	9,	1635,	1,	1),
(142975,	9,	1635,	2,	1),
(142976,	9,	1635,	3,	1),
(142977,	9,	1635,	4,	1),
(142978,	9,	1635,	5,	1),
(142979,	9,	1635,	82,	1),
(142980,	9,	1636,	1,	1),
(142981,	9,	1636,	2,	1),
(142982,	9,	1636,	3,	1),
(142983,	9,	1636,	4,	1),
(142984,	9,	1636,	5,	1),
(142985,	9,	1636,	82,	1),
(142986,	9,	1637,	1,	1),
(142987,	9,	1637,	2,	1),
(142988,	9,	1637,	3,	1),
(142989,	9,	1637,	1,	2),
(142990,	9,	1637,	2,	2),
(142991,	9,	1637,	3,	2),
(142992,	9,	1638,	1,	1),
(142993,	9,	1638,	2,	1),
(142994,	9,	1638,	3,	1),
(142995,	9,	1638,	81,	1),
(142996,	9,	1638,	4,	1),
(142997,	9,	1638,	26,	1),
(142998,	9,	1638,	1,	2),
(142999,	9,	1638,	2,	2),
(143000,	9,	1638,	3,	2),
(143001,	9,	1638,	81,	2),
(143002,	9,	1638,	4,	2),
(143003,	9,	1638,	26,	2),
(143004,	9,	1639,	1,	1),
(143005,	9,	1639,	2,	1),
(143006,	9,	1639,	3,	1),
(143007,	9,	1639,	1,	2),
(143008,	9,	1639,	2,	2),
(143009,	9,	1639,	3,	2),
(143010,	9,	1640,	1,	1),
(143011,	9,	1640,	2,	1),
(143012,	9,	1640,	3,	1),
(143013,	9,	1641,	1,	1),
(143014,	9,	1641,	2,	1),
(143015,	9,	1641,	3,	1),
(143016,	9,	1641,	1,	2),
(143017,	9,	1641,	2,	2),
(143018,	9,	1641,	3,	2),
(143019,	9,	1642,	1,	1),
(143020,	9,	1642,	2,	1),
(143021,	9,	1642,	3,	1),
(143022,	9,	1642,	1,	2),
(143023,	9,	1642,	2,	2),
(143024,	9,	1642,	3,	2),
(143025,	9,	1643,	1,	1),
(143026,	9,	1643,	2,	1),
(143027,	9,	1643,	3,	1),
(143028,	9,	1644,	1,	1),
(143029,	9,	1644,	2,	1),
(143030,	9,	1644,	3,	1),
(143031,	9,	1645,	1,	1),
(143032,	9,	1645,	2,	1),
(143033,	9,	1645,	3,	1),
(143034,	9,	1646,	1,	1),
(143035,	9,	1646,	2,	1),
(143036,	9,	1646,	3,	1),
(143037,	9,	1647,	1,	1),
(143038,	9,	1647,	2,	1),
(143039,	9,	1647,	3,	1),
(143040,	9,	1647,	1,	3),
(143041,	9,	1647,	2,	3),
(143042,	9,	1647,	3,	3),
(143043,	9,	1648,	1,	1),
(143044,	9,	1648,	2,	1),
(143045,	9,	1648,	3,	1),
(143046,	9,	1649,	1,	1),
(143047,	9,	1649,	2,	1),
(143048,	9,	1649,	3,	1),
(143049,	9,	1650,	1,	1),
(143050,	9,	1650,	2,	1),
(143051,	9,	1650,	3,	1),
(143052,	9,	1651,	1,	1),
(143053,	9,	1651,	2,	1),
(143054,	9,	1651,	3,	1),
(143055,	9,	1651,	1,	2),
(143056,	9,	1651,	2,	2),
(143057,	9,	1651,	3,	2),
(143058,	9,	1652,	1,	1),
(143059,	9,	1652,	2,	1),
(143060,	9,	1652,	3,	1),
(143061,	9,	1653,	1,	1),
(143062,	9,	1653,	2,	1),
(143063,	9,	1653,	3,	1),
(143064,	9,	1653,	1,	2),
(143065,	9,	1653,	2,	2),
(143066,	9,	1653,	3,	2),
(143067,	9,	1654,	1,	1),
(143068,	9,	1654,	2,	1),
(143069,	9,	1654,	3,	1),
(143070,	9,	1654,	1,	2),
(143071,	9,	1654,	2,	2),
(143072,	9,	1654,	3,	2),
(143073,	9,	1655,	1,	1),
(143074,	9,	1655,	2,	1),
(143075,	9,	1655,	3,	1),
(143076,	9,	1655,	1,	2),
(143077,	9,	1655,	2,	2),
(143078,	9,	1655,	3,	2),
(143079,	9,	1656,	1,	1),
(143080,	9,	1656,	2,	1),
(143081,	9,	1656,	3,	1),
(143082,	9,	1657,	1,	1),
(143083,	9,	1657,	2,	1),
(143084,	9,	1657,	3,	1),
(143085,	9,	1658,	1,	1),
(143086,	9,	1658,	2,	1),
(143087,	9,	1658,	3,	1),
(143088,	9,	1658,	1,	2),
(143089,	9,	1658,	2,	2),
(143090,	9,	1658,	3,	2),
(143091,	9,	1659,	1,	1),
(143092,	9,	1659,	2,	1),
(143093,	9,	1659,	3,	1),
(143094,	9,	1659,	1,	2),
(143095,	9,	1659,	2,	2),
(143096,	9,	1659,	3,	2),
(143097,	9,	1660,	1,	1),
(143098,	9,	1660,	2,	1),
(143099,	9,	1660,	3,	1),
(143100,	9,	1661,	1,	1),
(143101,	9,	1661,	2,	1),
(143102,	9,	1661,	3,	1),
(143103,	9,	1661,	1,	2),
(143104,	9,	1661,	2,	2),
(143105,	9,	1661,	3,	2),
(143106,	9,	1662,	1,	1),
(143107,	9,	1662,	2,	1),
(143108,	9,	1662,	3,	1),
(143109,	9,	1662,	1,	2),
(143110,	9,	1662,	2,	2),
(143111,	9,	1662,	3,	2),
(143112,	9,	1663,	1,	1),
(143113,	9,	1663,	2,	1),
(143114,	9,	1663,	3,	1),
(143115,	9,	1664,	1,	1),
(143116,	9,	1664,	2,	1),
(143117,	9,	1664,	3,	1),
(143118,	9,	1664,	1,	2),
(143119,	9,	1664,	2,	2),
(143120,	9,	1664,	3,	2),
(143121,	9,	1665,	1,	1),
(143122,	9,	1665,	2,	1),
(143123,	9,	1665,	3,	1),
(143124,	9,	1665,	1,	2),
(143125,	9,	1665,	2,	2),
(143126,	9,	1665,	3,	2),
(143127,	9,	1666,	1,	1),
(143128,	9,	1666,	2,	1),
(143129,	9,	1666,	3,	1),
(143130,	9,	1667,	1,	1),
(143131,	9,	1667,	2,	1),
(143132,	9,	1667,	3,	1),
(143133,	9,	1667,	1,	2),
(143134,	9,	1667,	2,	2),
(143135,	9,	1667,	3,	2),
(143136,	9,	1668,	1,	1),
(143137,	9,	1668,	2,	1),
(143138,	9,	1668,	3,	1),
(143139,	9,	1668,	1,	2),
(143140,	9,	1668,	2,	2),
(143141,	9,	1668,	3,	2),
(143142,	9,	1669,	1,	1),
(143143,	9,	1669,	2,	1),
(143144,	9,	1669,	3,	1),
(143145,	9,	1669,	1,	2),
(143146,	9,	1669,	2,	2),
(143147,	9,	1669,	3,	2),
(143148,	9,	1670,	1,	1),
(143149,	9,	1670,	2,	1),
(143150,	9,	1670,	3,	1),
(143151,	9,	1670,	1,	2),
(143152,	9,	1670,	2,	2),
(143153,	9,	1670,	3,	2),
(143154,	9,	1671,	1,	1),
(143155,	9,	1671,	2,	1),
(143156,	9,	1671,	3,	1),
(143157,	9,	1671,	1,	2),
(143158,	9,	1671,	2,	2),
(143159,	9,	1671,	3,	2),
(143160,	9,	1672,	1,	1),
(143161,	9,	1672,	2,	1),
(143162,	9,	1672,	3,	1),
(143163,	9,	1672,	1,	2),
(143164,	9,	1672,	2,	2),
(143165,	9,	1672,	3,	2),
(143166,	9,	1673,	1,	1),
(143167,	9,	1673,	2,	1),
(143168,	9,	1673,	3,	1),
(143169,	9,	1673,	1,	2),
(143170,	9,	1673,	2,	2),
(143171,	9,	1673,	3,	2),
(143172,	9,	1674,	1,	1),
(143173,	9,	1674,	2,	1),
(143174,	9,	1674,	3,	1),
(143175,	9,	1674,	1,	2),
(143176,	9,	1674,	2,	2),
(143177,	9,	1674,	3,	2),
(143178,	9,	1675,	1,	1),
(143179,	9,	1675,	2,	1),
(143180,	9,	1675,	3,	1),
(143181,	9,	1675,	1,	2),
(143182,	9,	1675,	2,	2),
(143183,	9,	1675,	3,	2),
(143184,	9,	1676,	1,	1),
(143185,	9,	1676,	2,	1),
(143186,	9,	1676,	3,	1),
(143187,	9,	1677,	1,	1),
(143188,	9,	1677,	2,	1),
(143189,	9,	1677,	3,	1),
(143190,	9,	1677,	1,	2),
(143191,	9,	1677,	2,	2),
(143192,	9,	1677,	3,	2),
(143193,	9,	1678,	1,	1),
(143194,	9,	1678,	2,	1),
(143195,	9,	1678,	3,	1),
(143196,	9,	1678,	1,	2),
(143197,	9,	1678,	2,	2),
(143198,	9,	1678,	3,	2),
(143199,	9,	1679,	1,	1),
(143200,	9,	1679,	2,	1),
(143201,	9,	1679,	3,	1),
(143202,	9,	1679,	1,	2),
(143203,	9,	1679,	2,	2),
(143204,	9,	1679,	3,	2),
(143205,	9,	1680,	1,	1),
(143206,	9,	1680,	2,	1),
(143207,	9,	1680,	3,	1),
(143208,	9,	1680,	1,	2),
(143209,	9,	1680,	2,	2),
(143210,	9,	1680,	3,	2),
(143211,	9,	1681,	1,	1),
(143212,	9,	1681,	2,	1),
(143213,	9,	1681,	3,	1),
(143214,	9,	1681,	1,	2),
(143215,	9,	1681,	2,	2),
(143216,	9,	1681,	3,	2),
(143217,	9,	1682,	1,	1),
(143218,	9,	1682,	2,	1),
(143219,	9,	1682,	3,	1),
(143220,	9,	1682,	1,	2),
(143221,	9,	1682,	2,	2),
(143222,	9,	1682,	3,	2),
(143223,	9,	1683,	1,	1),
(143224,	9,	1683,	2,	1),
(143225,	9,	1683,	3,	1),
(143226,	9,	1683,	1,	2),
(143227,	9,	1683,	2,	2),
(143228,	9,	1683,	3,	2),
(143229,	9,	1684,	1,	1),
(143230,	9,	1684,	2,	1),
(143231,	9,	1684,	3,	1),
(143232,	9,	1684,	1,	2),
(143233,	9,	1684,	2,	2),
(143234,	9,	1684,	3,	2),
(143235,	9,	1685,	1,	1),
(143236,	9,	1685,	2,	1),
(143237,	9,	1685,	3,	1),
(143238,	9,	1685,	1,	2),
(143239,	9,	1685,	2,	2),
(143240,	9,	1685,	3,	2),
(143241,	9,	1686,	1,	1),
(143242,	9,	1686,	2,	1),
(143243,	9,	1686,	3,	1),
(143244,	9,	1686,	1,	3),
(143245,	9,	1686,	2,	3),
(143246,	9,	1686,	3,	3),
(143247,	9,	1687,	1,	1),
(143248,	9,	1687,	2,	1),
(143249,	9,	1687,	3,	1),
(143250,	9,	1687,	1,	2),
(143251,	9,	1687,	2,	2),
(143252,	9,	1687,	3,	2),
(143253,	9,	1688,	1,	1),
(143254,	9,	1688,	2,	1),
(143255,	9,	1688,	3,	1),
(143256,	9,	1688,	1,	2),
(143257,	9,	1688,	2,	2),
(143258,	9,	1688,	3,	2),
(143259,	9,	1689,	1,	1),
(143260,	9,	1689,	2,	1),
(143261,	9,	1689,	3,	1),
(143262,	9,	1689,	1,	2),
(143263,	9,	1689,	2,	2),
(143264,	9,	1689,	3,	2),
(143265,	9,	1690,	1,	1),
(143266,	9,	1690,	2,	1),
(143267,	9,	1690,	3,	1),
(143268,	9,	1690,	1,	2),
(143269,	9,	1690,	2,	2),
(143270,	9,	1690,	3,	2),
(143271,	9,	1691,	1,	1),
(143272,	9,	1691,	2,	1),
(143273,	9,	1691,	3,	1),
(143274,	9,	1691,	1,	2),
(143275,	9,	1691,	2,	2),
(143276,	9,	1691,	3,	2),
(143277,	9,	1692,	1,	1),
(143278,	9,	1692,	2,	1),
(143279,	9,	1692,	3,	1),
(143280,	9,	1692,	1,	3),
(143281,	9,	1692,	2,	3),
(143282,	9,	1692,	3,	3),
(143283,	9,	1693,	1,	1),
(143284,	9,	1693,	2,	1),
(143285,	9,	1693,	3,	1),
(143286,	9,	1693,	1,	2),
(143287,	9,	1693,	2,	2),
(143288,	9,	1693,	3,	2),
(143289,	9,	1694,	1,	1),
(143290,	9,	1694,	2,	1),
(143291,	9,	1694,	3,	1),
(143292,	9,	1694,	1,	2),
(143293,	9,	1694,	2,	2),
(143294,	9,	1694,	3,	2),
(143295,	9,	1695,	1,	1),
(143296,	9,	1695,	2,	1),
(143297,	9,	1695,	3,	1),
(143298,	9,	1695,	1,	3),
(143299,	9,	1695,	2,	3),
(143300,	9,	1695,	3,	3),
(143301,	9,	1696,	1,	1),
(143302,	9,	1696,	2,	1),
(143303,	9,	1696,	3,	1),
(143304,	9,	1696,	1,	3),
(143305,	9,	1696,	2,	3),
(143306,	9,	1696,	3,	3),
(143307,	9,	1696,	1,	2),
(143308,	9,	1696,	2,	2),
(143309,	9,	1696,	3,	2),
(143310,	9,	1697,	1,	1),
(143311,	9,	1697,	2,	1),
(143312,	9,	1697,	3,	1),
(143313,	9,	1697,	1,	3),
(143314,	9,	1697,	2,	3),
(143315,	9,	1697,	3,	3),
(143316,	9,	1698,	1,	1),
(143317,	9,	1698,	2,	1),
(143318,	9,	1698,	3,	1),
(143319,	9,	1698,	1,	2),
(143320,	9,	1698,	2,	2),
(143321,	9,	1698,	3,	2),
(143322,	9,	1699,	1,	1),
(143323,	9,	1699,	2,	1),
(143324,	9,	1699,	3,	1),
(143325,	9,	1699,	1,	2),
(143326,	9,	1699,	2,	2),
(143327,	9,	1699,	3,	2),
(143328,	9,	1700,	1,	1),
(143329,	9,	1700,	2,	1),
(143330,	9,	1700,	3,	1),
(143331,	9,	1700,	1,	2),
(143332,	9,	1700,	2,	2),
(143333,	9,	1700,	3,	2),
(143334,	9,	1701,	1,	1),
(143335,	9,	1701,	2,	1),
(143336,	9,	1701,	3,	1),
(143337,	9,	1701,	1,	2),
(143338,	9,	1701,	2,	2),
(143339,	9,	1701,	3,	2),
(143340,	9,	1702,	1,	1),
(143341,	9,	1702,	2,	1),
(143342,	9,	1702,	3,	1),
(143343,	9,	1702,	1,	2),
(143344,	9,	1702,	2,	2),
(143345,	9,	1702,	3,	2),
(143346,	9,	1703,	1,	1),
(143347,	9,	1703,	2,	1),
(143348,	9,	1703,	3,	1),
(143349,	9,	1703,	1,	3),
(143350,	9,	1703,	2,	3),
(143351,	9,	1703,	3,	3),
(143352,	9,	1704,	1,	1),
(143353,	9,	1704,	2,	1),
(143354,	9,	1704,	3,	1),
(143355,	9,	1704,	1,	2),
(143356,	9,	1704,	2,	2),
(143357,	9,	1704,	3,	2),
(143358,	9,	1705,	1,	1),
(143359,	9,	1705,	2,	1),
(143360,	9,	1705,	3,	1),
(143361,	9,	1705,	1,	2),
(143362,	9,	1705,	2,	2),
(143363,	9,	1705,	3,	2),
(143364,	9,	1706,	1,	1),
(143365,	9,	1706,	2,	1),
(143366,	9,	1706,	3,	1),
(143367,	9,	1706,	1,	3),
(143368,	9,	1706,	2,	3),
(143369,	9,	1706,	3,	3),
(143370,	9,	1707,	1,	1),
(143371,	9,	1707,	2,	1),
(143372,	9,	1707,	3,	1),
(143373,	9,	1707,	1,	2),
(143374,	9,	1707,	2,	2),
(143375,	9,	1707,	3,	2),
(143376,	9,	1708,	1,	1),
(143377,	9,	1708,	2,	1),
(143378,	9,	1708,	3,	1),
(143379,	9,	1708,	1,	3),
(143380,	9,	1708,	2,	3),
(143381,	9,	1708,	3,	3),
(143382,	9,	1709,	1,	1),
(143383,	9,	1709,	2,	1),
(143384,	9,	1709,	3,	1),
(143385,	9,	1709,	1,	2),
(143386,	9,	1709,	2,	2),
(143387,	9,	1709,	3,	2),
(143388,	9,	1710,	1,	1),
(143389,	9,	1710,	2,	1),
(143390,	9,	1710,	3,	1),
(143391,	9,	1710,	1,	3),
(143392,	9,	1710,	2,	3),
(143393,	9,	1710,	3,	3),
(143394,	9,	1711,	1,	1),
(143395,	9,	1711,	2,	1),
(143396,	9,	1711,	3,	1),
(143397,	9,	1711,	1,	2),
(143398,	9,	1711,	2,	2),
(143399,	9,	1711,	3,	2),
(143400,	9,	1712,	1,	1),
(143401,	9,	1712,	2,	1),
(143402,	9,	1712,	3,	1),
(143403,	9,	1712,	1,	2),
(143404,	9,	1712,	2,	2),
(143405,	9,	1712,	3,	2),
(143406,	9,	1713,	1,	1),
(143407,	9,	1713,	2,	1),
(143408,	9,	1713,	3,	1),
(143409,	9,	1713,	1,	3),
(143410,	9,	1713,	2,	3),
(143411,	9,	1713,	3,	3),
(143412,	9,	1714,	1,	1),
(143413,	9,	1714,	2,	1),
(143414,	9,	1714,	3,	1),
(143415,	9,	1714,	83,	1),
(143416,	9,	1714,	1,	2),
(143417,	9,	1714,	2,	2),
(143418,	9,	1714,	3,	2),
(143419,	9,	1714,	83,	2),
(143420,	9,	1715,	1,	1),
(143421,	9,	1715,	2,	1),
(143422,	9,	1715,	3,	1),
(143423,	9,	1715,	1,	3),
(143424,	9,	1715,	2,	3),
(143425,	9,	1715,	3,	3),
(143426,	9,	1716,	1,	1),
(143427,	9,	1716,	2,	1),
(143428,	9,	1716,	3,	1),
(143429,	9,	1716,	1,	2),
(143430,	9,	1716,	2,	2),
(143431,	9,	1716,	3,	2),
(143432,	9,	1717,	1,	1),
(143433,	9,	1717,	2,	1),
(143434,	9,	1717,	3,	1),
(143435,	9,	1717,	1,	3),
(143436,	9,	1717,	2,	3),
(143437,	9,	1717,	3,	3),
(143438,	9,	1718,	1,	1),
(143439,	9,	1718,	2,	1),
(143440,	9,	1718,	3,	1),
(143441,	9,	1718,	1,	2),
(143442,	9,	1718,	2,	2),
(143443,	9,	1718,	3,	2),
(143444,	9,	1719,	1,	1),
(143445,	9,	1719,	2,	1),
(143446,	9,	1719,	3,	1),
(143447,	9,	1719,	1,	2),
(143448,	9,	1719,	2,	2),
(143449,	9,	1719,	3,	2),
(143450,	9,	1720,	1,	1),
(143451,	9,	1720,	2,	1),
(143452,	9,	1720,	3,	1),
(143453,	9,	1720,	1,	2),
(143454,	9,	1720,	2,	2),
(143455,	9,	1720,	3,	2),
(143456,	9,	1721,	1,	1),
(143457,	9,	1721,	2,	1),
(143458,	9,	1721,	3,	1),
(143459,	9,	1721,	1,	3),
(143460,	9,	1721,	2,	3),
(143461,	9,	1721,	3,	3),
(143462,	9,	1722,	1,	1),
(143463,	9,	1722,	2,	1),
(143464,	9,	1722,	3,	1),
(143465,	9,	1722,	1,	2),
(143466,	9,	1722,	2,	2),
(143467,	9,	1722,	3,	2),
(143468,	9,	1723,	1,	1),
(143469,	9,	1723,	2,	1),
(143470,	9,	1723,	3,	1),
(143471,	9,	1723,	1,	2),
(143472,	9,	1723,	2,	2),
(143473,	9,	1723,	3,	2),
(143474,	9,	1724,	1,	1),
(143475,	9,	1724,	2,	1),
(143476,	9,	1724,	3,	1),
(143477,	9,	1724,	1,	2),
(143478,	9,	1724,	2,	2),
(143479,	9,	1724,	3,	2),
(143480,	9,	1725,	1,	1),
(143481,	9,	1725,	2,	1),
(143482,	9,	1725,	3,	1),
(143483,	9,	1725,	1,	2),
(143484,	9,	1725,	2,	2),
(143485,	9,	1725,	3,	2),
(143486,	9,	1726,	1,	1),
(143487,	9,	1726,	2,	1),
(143488,	9,	1726,	3,	1),
(143489,	9,	1726,	1,	2),
(143490,	9,	1726,	2,	2),
(143491,	9,	1726,	3,	2),
(143492,	9,	1727,	1,	1),
(143493,	9,	1727,	2,	1),
(143494,	9,	1727,	3,	1),
(143495,	9,	1727,	1,	2),
(143496,	9,	1727,	2,	2),
(143497,	9,	1727,	3,	2),
(143498,	9,	1728,	1,	1),
(143499,	9,	1728,	2,	1),
(143500,	9,	1728,	3,	1),
(143501,	9,	1728,	1,	2),
(143502,	9,	1728,	2,	2),
(143503,	9,	1728,	3,	2),
(143504,	9,	1729,	1,	1),
(143505,	9,	1729,	2,	1),
(143506,	9,	1729,	3,	1),
(143507,	9,	1729,	1,	2),
(143508,	9,	1729,	2,	2),
(143509,	9,	1729,	3,	2),
(143510,	9,	1730,	1,	1),
(143511,	9,	1730,	2,	1),
(143512,	9,	1730,	3,	1),
(143513,	9,	1730,	1,	2),
(143514,	9,	1730,	2,	2),
(143515,	9,	1730,	3,	2),
(143516,	9,	1731,	1,	1),
(143517,	9,	1731,	2,	1),
(143518,	9,	1731,	3,	1),
(143519,	9,	1731,	1,	2),
(143520,	9,	1731,	2,	2),
(143521,	9,	1731,	3,	2),
(143522,	9,	1732,	1,	1),
(143523,	9,	1732,	2,	1),
(143524,	9,	1732,	3,	1),
(143525,	9,	1732,	1,	2),
(143526,	9,	1732,	2,	2),
(143527,	9,	1732,	3,	2),
(143528,	9,	1733,	1,	1),
(143529,	9,	1733,	2,	1),
(143530,	9,	1733,	3,	1),
(143531,	9,	1733,	1,	2),
(143532,	9,	1733,	2,	2),
(143533,	9,	1733,	3,	2),
(143534,	9,	1734,	1,	1),
(143535,	9,	1734,	2,	1),
(143536,	9,	1734,	3,	1),
(143537,	9,	1734,	1,	2),
(143538,	9,	1734,	2,	2),
(143539,	9,	1734,	3,	2),
(143540,	9,	1735,	1,	1),
(143541,	9,	1735,	2,	1),
(143542,	9,	1735,	3,	1),
(143543,	9,	1735,	1,	2),
(143544,	9,	1735,	2,	2),
(143545,	9,	1735,	3,	2),
(143546,	9,	1736,	1,	1),
(143547,	9,	1736,	2,	1),
(143548,	9,	1736,	3,	1),
(143549,	9,	1736,	1,	3),
(143550,	9,	1736,	2,	3),
(143551,	9,	1736,	3,	3),
(143552,	9,	1737,	1,	1),
(143553,	9,	1737,	2,	1),
(143554,	9,	1737,	3,	1),
(143555,	9,	1737,	1,	2),
(143556,	9,	1737,	2,	2),
(143557,	9,	1737,	3,	2),
(143558,	9,	1738,	1,	1),
(143559,	9,	1738,	2,	1),
(143560,	9,	1738,	3,	1),
(143561,	9,	1738,	23,	1),
(143562,	9,	1738,	1,	3),
(143563,	9,	1738,	2,	3),
(143564,	9,	1738,	3,	3),
(143565,	9,	1738,	23,	3),
(143566,	9,	1739,	1,	1),
(143567,	9,	1739,	2,	1),
(143568,	9,	1739,	3,	1),
(143569,	9,	1740,	1,	1),
(143570,	9,	1740,	2,	1),
(143571,	9,	1740,	3,	1),
(143572,	9,	1741,	1,	1),
(143573,	9,	1741,	2,	1),
(143574,	9,	1741,	3,	1),
(143575,	9,	1741,	84,	1),
(143576,	9,	1741,	1,	3),
(143577,	9,	1741,	2,	3),
(143578,	9,	1741,	3,	3),
(143579,	9,	1741,	84,	3),
(143580,	9,	1742,	1,	1),
(143581,	9,	1742,	2,	1),
(143582,	9,	1742,	3,	1),
(143583,	9,	1742,	1,	3),
(143584,	9,	1742,	2,	3),
(143585,	9,	1742,	3,	3),
(143586,	9,	1743,	1,	1),
(143587,	9,	1743,	2,	1),
(143588,	9,	1743,	3,	1),
(143589,	9,	1744,	1,	1),
(143590,	9,	1744,	2,	1),
(143591,	9,	1744,	3,	1),
(143592,	9,	1744,	84,	1),
(143593,	9,	1744,	1,	3),
(143594,	9,	1744,	2,	3),
(143595,	9,	1744,	3,	3),
(143596,	9,	1744,	84,	3),
(143597,	9,	1745,	1,	1),
(143598,	9,	1745,	2,	1),
(143599,	9,	1745,	3,	1),
(143600,	9,	1745,	1,	3),
(143601,	9,	1745,	2,	3),
(143602,	9,	1745,	3,	3),
(143603,	9,	1746,	1,	1),
(143604,	9,	1746,	2,	1),
(143605,	9,	1746,	3,	1),
(143606,	9,	1746,	1,	3),
(143607,	9,	1746,	2,	3),
(143608,	9,	1746,	3,	3),
(143609,	9,	1747,	1,	1),
(143610,	9,	1747,	2,	1),
(143611,	9,	1747,	3,	1),
(143612,	9,	1747,	1,	3),
(143613,	9,	1747,	2,	3),
(143614,	9,	1747,	3,	3),
(143615,	9,	1748,	1,	1),
(143616,	9,	1748,	2,	1),
(143617,	9,	1748,	3,	1),
(143618,	9,	1748,	1,	3),
(143619,	9,	1748,	2,	3),
(143620,	9,	1748,	3,	3),
(143621,	9,	1749,	1,	1),
(143622,	9,	1749,	2,	1),
(143623,	9,	1749,	3,	1),
(143624,	9,	1749,	1,	2),
(143625,	9,	1749,	2,	2),
(143626,	9,	1749,	3,	2),
(143627,	9,	1750,	1,	1),
(143628,	9,	1750,	2,	1),
(143629,	9,	1750,	3,	1),
(143630,	9,	1750,	1,	2),
(143631,	9,	1750,	2,	2),
(143632,	9,	1750,	3,	2),
(143633,	9,	1751,	1,	1),
(143634,	9,	1751,	2,	1),
(143635,	9,	1751,	3,	1),
(143636,	9,	1751,	1,	2),
(143637,	9,	1751,	2,	2),
(143638,	9,	1751,	3,	2),
(143639,	9,	1752,	1,	1),
(143640,	9,	1752,	2,	1),
(143641,	9,	1752,	3,	1),
(143642,	9,	1752,	1,	2),
(143643,	9,	1752,	2,	2),
(143644,	9,	1752,	3,	2),
(143645,	9,	1753,	1,	1),
(143646,	9,	1753,	2,	1),
(143647,	9,	1753,	3,	1),
(143648,	9,	1753,	1,	3),
(143649,	9,	1753,	2,	3),
(143650,	9,	1753,	3,	3),
(143651,	9,	1754,	1,	1),
(143652,	9,	1754,	2,	1),
(143653,	9,	1754,	3,	1),
(143654,	9,	1754,	1,	2),
(143655,	9,	1754,	2,	2),
(143656,	9,	1754,	3,	2),
(143657,	9,	1755,	1,	1),
(143658,	9,	1755,	2,	1),
(143659,	9,	1755,	3,	1),
(143660,	9,	1755,	1,	2),
(143661,	9,	1755,	2,	2),
(143662,	9,	1755,	3,	2),
(143663,	9,	1756,	1,	1),
(143664,	9,	1756,	2,	1),
(143665,	9,	1756,	3,	1),
(143666,	9,	1756,	1,	2),
(143667,	9,	1756,	2,	2),
(143668,	9,	1756,	3,	2),
(143669,	9,	1757,	1,	1),
(143670,	9,	1757,	2,	1),
(143671,	9,	1757,	3,	1),
(143672,	9,	1757,	1,	2),
(143673,	9,	1757,	2,	2),
(143674,	9,	1757,	3,	2),
(143675,	9,	1758,	1,	1),
(143676,	9,	1758,	2,	1),
(143677,	9,	1758,	3,	1),
(143678,	9,	1758,	1,	2),
(143679,	9,	1758,	2,	2),
(143680,	9,	1758,	3,	2),
(143681,	9,	1759,	1,	1),
(143682,	9,	1759,	2,	1),
(143683,	9,	1759,	3,	1),
(143684,	9,	1760,	1,	1),
(143685,	9,	1760,	2,	1),
(143686,	9,	1760,	3,	1),
(143687,	9,	1761,	1,	1),
(143688,	9,	1761,	2,	1),
(143689,	9,	1761,	3,	1),
(143690,	9,	1762,	1,	1),
(143691,	9,	1762,	2,	1),
(143692,	9,	1762,	3,	1),
(143693,	9,	1763,	1,	1),
(143694,	9,	1763,	2,	1),
(143695,	9,	1763,	3,	1),
(143696,	9,	1764,	1,	1),
(143697,	9,	1764,	2,	1),
(143698,	9,	1764,	3,	1),
(143699,	9,	1765,	1,	1),
(143700,	9,	1765,	2,	1),
(143701,	9,	1765,	3,	1),
(143702,	9,	1766,	1,	1),
(143703,	9,	1766,	2,	1),
(143704,	9,	1766,	3,	1),
(143705,	9,	1767,	1,	1),
(143706,	9,	1767,	2,	1),
(143707,	9,	1767,	3,	1),
(143708,	9,	1767,	1,	2),
(143709,	9,	1767,	2,	2),
(143710,	9,	1767,	3,	2),
(143711,	9,	1768,	1,	1),
(143712,	9,	1768,	2,	1),
(143713,	9,	1768,	3,	1),
(143714,	9,	1768,	1,	2),
(143715,	9,	1768,	2,	2),
(143716,	9,	1768,	3,	2),
(143717,	9,	1769,	1,	1),
(143718,	9,	1769,	2,	1),
(143719,	9,	1769,	3,	1),
(143720,	9,	1770,	1,	1),
(143721,	9,	1770,	2,	1),
(143722,	9,	1770,	3,	1),
(143723,	9,	1771,	1,	1),
(143724,	9,	1771,	2,	1),
(143725,	9,	1771,	3,	1),
(143726,	9,	1772,	1,	1),
(143727,	9,	1772,	2,	1),
(143728,	9,	1772,	3,	1),
(143729,	9,	1773,	1,	1),
(143730,	9,	1773,	2,	1),
(143731,	9,	1773,	3,	1),
(143732,	9,	1774,	1,	1),
(143733,	9,	1774,	2,	1),
(143734,	9,	1774,	3,	1),
(143735,	9,	1775,	1,	1),
(143736,	9,	1775,	2,	1),
(143737,	9,	1775,	3,	1),
(143738,	9,	1775,	1,	2),
(143739,	9,	1775,	2,	2),
(143740,	9,	1775,	3,	2),
(143741,	9,	1776,	1,	1),
(143742,	9,	1776,	2,	1),
(143743,	9,	1776,	3,	1),
(143744,	9,	1776,	1,	2),
(143745,	9,	1776,	2,	2),
(143746,	9,	1776,	3,	2),
(143747,	9,	1777,	1,	1),
(143748,	9,	1777,	2,	1),
(143749,	9,	1777,	3,	1),
(143750,	9,	1777,	1,	2),
(143751,	9,	1777,	2,	2),
(143752,	9,	1777,	3,	2),
(143753,	9,	1778,	1,	1),
(143754,	9,	1778,	2,	1),
(143755,	9,	1778,	3,	1),
(143756,	9,	1779,	1,	1),
(143757,	9,	1779,	2,	1),
(143758,	9,	1779,	3,	1),
(143759,	9,	1779,	1,	2),
(143760,	9,	1779,	2,	2),
(143761,	9,	1779,	3,	2),
(143762,	9,	1780,	1,	1),
(143763,	9,	1780,	2,	1),
(143764,	9,	1780,	3,	1),
(143765,	9,	1780,	1,	2),
(143766,	9,	1780,	2,	2),
(143767,	9,	1780,	3,	2),
(143768,	9,	1781,	1,	1),
(143769,	9,	1781,	2,	1),
(143770,	9,	1781,	3,	1),
(143771,	9,	1781,	1,	2),
(143772,	9,	1781,	2,	2),
(143773,	9,	1781,	3,	2),
(143774,	9,	1782,	1,	1),
(143775,	9,	1782,	2,	1),
(143776,	9,	1782,	3,	1),
(143777,	9,	1783,	1,	1),
(143778,	9,	1783,	2,	1),
(143779,	9,	1783,	3,	1),
(143780,	9,	1783,	1,	2),
(143781,	9,	1783,	2,	2),
(143782,	9,	1783,	3,	2),
(143783,	9,	1784,	1,	1),
(143784,	9,	1784,	2,	1),
(143785,	9,	1784,	3,	1),
(143786,	9,	1784,	1,	2),
(143787,	9,	1784,	2,	2),
(143788,	9,	1784,	3,	2),
(143789,	9,	1785,	1,	1),
(143790,	9,	1785,	2,	1),
(143791,	9,	1785,	3,	1),
(143792,	9,	1785,	1,	2),
(143793,	9,	1785,	2,	2),
(143794,	9,	1785,	3,	2),
(143795,	9,	1786,	1,	1),
(143796,	9,	1786,	2,	1),
(143797,	9,	1786,	3,	1),
(143798,	9,	1787,	1,	1),
(143799,	9,	1787,	2,	1),
(143800,	9,	1787,	3,	1),
(143801,	9,	1787,	1,	2),
(143802,	9,	1787,	2,	2),
(143803,	9,	1787,	3,	2),
(143804,	9,	1788,	1,	1),
(143805,	9,	1788,	2,	1),
(143806,	9,	1788,	3,	1),
(143807,	9,	1788,	1,	2),
(143808,	9,	1788,	2,	2),
(143809,	9,	1788,	3,	2),
(143810,	9,	1789,	1,	1),
(143811,	9,	1789,	2,	1),
(143812,	9,	1789,	3,	1),
(143813,	9,	1789,	1,	2),
(143814,	9,	1789,	2,	2),
(143815,	9,	1789,	3,	2),
(143816,	9,	1790,	1,	1),
(143817,	9,	1790,	2,	1),
(143818,	9,	1790,	3,	1),
(143819,	9,	1790,	1,	2),
(143820,	9,	1790,	2,	2),
(143821,	9,	1790,	3,	2),
(143822,	9,	1791,	1,	1),
(143823,	9,	1791,	2,	1),
(143824,	9,	1791,	3,	1),
(143825,	9,	1791,	1,	2),
(143826,	9,	1791,	2,	2),
(143827,	9,	1791,	3,	2),
(143828,	9,	1792,	1,	1),
(143829,	9,	1792,	2,	1),
(143830,	9,	1792,	3,	1),
(143831,	9,	1793,	1,	1),
(143832,	9,	1793,	2,	1),
(143833,	9,	1793,	3,	1),
(143834,	9,	1793,	1,	2),
(143835,	9,	1793,	2,	2),
(143836,	9,	1793,	3,	2),
(143837,	9,	1794,	1,	1),
(143838,	9,	1794,	2,	1),
(143839,	9,	1794,	3,	1),
(143840,	9,	1794,	1,	2),
(143841,	9,	1794,	2,	2),
(143842,	9,	1794,	3,	2),
(143843,	9,	1795,	1,	1),
(143844,	9,	1795,	2,	1),
(143845,	9,	1795,	3,	1),
(143846,	9,	1795,	1,	3),
(143847,	9,	1795,	2,	3),
(143848,	9,	1795,	3,	3),
(143849,	9,	1795,	1,	2),
(143850,	9,	1795,	2,	2),
(143851,	9,	1795,	3,	2),
(143852,	9,	1796,	1,	1),
(143853,	9,	1796,	2,	1),
(143854,	9,	1796,	3,	1),
(143855,	9,	1796,	1,	3),
(143856,	9,	1796,	2,	3),
(143857,	9,	1796,	3,	3),
(143858,	9,	1796,	1,	2),
(143859,	9,	1796,	2,	2),
(143860,	9,	1796,	3,	2),
(143861,	9,	1797,	1,	1),
(143862,	9,	1797,	2,	1),
(143863,	9,	1797,	3,	1),
(143864,	9,	1797,	1,	2),
(143865,	9,	1797,	2,	2),
(143866,	9,	1797,	3,	2),
(143867,	9,	1798,	1,	1),
(143868,	9,	1798,	2,	1),
(143869,	9,	1798,	3,	1),
(143870,	9,	1798,	1,	2),
(143871,	9,	1798,	2,	2),
(143872,	9,	1798,	3,	2),
(143873,	9,	1799,	1,	1),
(143874,	9,	1799,	2,	1),
(143875,	9,	1799,	3,	1),
(143876,	9,	1799,	1,	2),
(143877,	9,	1799,	2,	2),
(143878,	9,	1799,	3,	2),
(143879,	9,	1800,	1,	1),
(143880,	9,	1800,	2,	1),
(143881,	9,	1800,	3,	1),
(143882,	9,	1800,	1,	2),
(143883,	9,	1800,	2,	2),
(143884,	9,	1800,	3,	2),
(143885,	9,	1801,	1,	1),
(143886,	9,	1801,	2,	1),
(143887,	9,	1801,	3,	1),
(143888,	9,	1801,	1,	2),
(143889,	9,	1801,	2,	2),
(143890,	9,	1801,	3,	2),
(143891,	9,	1802,	1,	1),
(143892,	9,	1802,	2,	1),
(143893,	9,	1802,	3,	1),
(143894,	9,	1802,	1,	2),
(143895,	9,	1802,	2,	2),
(143896,	9,	1802,	3,	2),
(143897,	9,	1803,	1,	1),
(143898,	9,	1803,	2,	1),
(143899,	9,	1803,	3,	1),
(143900,	9,	1803,	1,	3),
(143901,	9,	1803,	2,	3),
(143902,	9,	1803,	3,	3),
(143903,	9,	1803,	1,	2),
(143904,	9,	1803,	2,	2),
(143905,	9,	1803,	3,	2),
(143906,	9,	1804,	1,	1),
(143907,	9,	1804,	2,	1),
(143908,	9,	1804,	3,	1),
(143909,	9,	1804,	1,	2),
(143910,	9,	1804,	2,	2),
(143911,	9,	1804,	3,	2),
(143912,	9,	1805,	1,	1),
(143913,	9,	1805,	2,	1),
(143914,	9,	1805,	3,	1),
(143915,	9,	1805,	1,	2),
(143916,	9,	1805,	2,	2),
(143917,	9,	1805,	3,	2),
(143918,	9,	1203,	85,	1),
(143919,	9,	1807,	24,	1),
(143920,	9,	1811,	82,	1),
(143921,	9,	1832,	2,	2),
(143922,	9,	1832,	2,	1),
(143923,	9,	1833,	2,	2),
(143924,	9,	1833,	2,	1),
(143925,	9,	1834,	2,	1),
(143926,	9,	1811,	88,	1),
(143927,	9,	1811,	90,	1),
(143928,	9,	1811,	91,	1),
(143929,	9,	1812,	NULL,	NULL),
(143930,	9,	1813,	NULL,	NULL),
(143931,	9,	1810,	NULL,	NULL),
(143932,	9,	1826,	NULL,	NULL),
(143933,	9,	1811,	89,	1),
(143934,	9,	1814,	NULL,	NULL),
(143935,	9,	6,	2,	1),
(143936,	9,	154,	3,	2),
(143937,	9,	1146,	1,	1),
(143938,	9,	155,	NULL,	NULL),
(143939,	9,	816,	25,	1),
(143940,	9,	1129,	3,	1),
(143941,	9,	1129,	1,	1),
(143942,	9,	1129,	24,	1),
(143943,	9,	1129,	4,	1),
(148008,	6,	1166,	2,	1),
(148009,	6,	1166,	3,	1),
(148010,	6,	1166,	49,	1),
(148011,	6,	1166,	55,	1),
(148012,	1,	116,	3,	2),
(148017,	6,	405,	2,	2),
(148022,	6,	945,	2,	2),
(148024,	6,	865,	2,	2),
(148033,	6,	1234,	2,	2),
(148034,	6,	1460,	2,	1),
(148035,	6,	976,	2,	1),
(148037,	6,	1353,	1,	1),
(148038,	6,	1353,	2,	1),
(148039,	6,	1353,	3,	1),
(148040,	6,	1306,	2,	2),
(148041,	6,	1152,	2,	2),
(148042,	6,	817,	1,	1),
(148043,	6,	817,	2,	1),
(148044,	6,	817,	3,	1),
(148045,	6,	19,	8,	1),
(148046,	6,	19,	10,	1),
(148047,	6,	19,	18,	1),
(148048,	6,	19,	19,	1),
(148049,	6,	19,	1,	1),
(148050,	6,	19,	2,	1),
(148051,	6,	19,	3,	1),
(148053,	6,	529,	1,	2),
(148054,	6,	529,	3,	2),
(148065,	6,	120,	2,	2),
(148067,	6,	285,	2,	2),
(148068,	6,	383,	2,	2),
(148069,	6,	423,	2,	2),
(148070,	6,	615,	2,	2),
(148072,	6,	1654,	1,	1),
(148075,	6,	1447,	2,	2),
(148076,	6,	1445,	1,	1),
(148077,	6,	1445,	2,	1),
(148078,	6,	1445,	3,	1),
(148079,	6,	1445,	23,	1),
(148080,	6,	1445,	6,	1),
(148081,	6,	1445,	24,	1),
(148082,	6,	1445,	25,	1),
(148083,	6,	1445,	4,	1),
(148084,	6,	1445,	5,	1),
(148085,	6,	734,	1,	1),
(148086,	6,	734,	2,	1),
(148087,	6,	734,	3,	1),
(148088,	6,	734,	23,	1),
(148089,	6,	734,	6,	1),
(148090,	6,	734,	24,	1),
(148091,	6,	734,	25,	1),
(148092,	6,	734,	4,	1),
(148093,	6,	734,	5,	1),
(148094,	6,	734,	26,	1),
(148096,	6,	271,	1,	1),
(148097,	6,	271,	2,	1),
(148098,	6,	271,	3,	1),
(148102,	6,	337,	2,	2),
(148103,	6,	374,	1,	1),
(148104,	6,	374,	2,	1),
(148105,	6,	374,	3,	1),
(148106,	6,	374,	28,	1),
(148113,	6,	122,	2,	1),
(148114,	6,	122,	1,	1),
(148115,	6,	122,	3,	1),
(148116,	6,	122,	1,	2),
(148117,	6,	122,	2,	2),
(148118,	6,	122,	3,	2),
(148120,	6,	1838,	NULL,	NULL),
(148122,	6,	233,	2,	1),
(148123,	6,	233,	1,	1),
(148125,	6,	434,	2,	2),
(148126,	6,	609,	1,	1),
(148127,	6,	609,	2,	1),
(148129,	6,	759,	1,	1),
(148130,	6,	759,	2,	1),
(148131,	6,	1834,	NULL,	NULL),
(148133,	6,	6,	1,	1),
(148134,	6,	6,	2,	1),
(148137,	6,	674,	5,	1),
(148138,	6,	176,	3,	1),
(148139,	6,	741,	26,	1),
(148140,	6,	741,	5,	1),
(148141,	6,	741,	4,	1),
(148142,	6,	741,	25,	1),
(148143,	6,	741,	24,	1),
(148144,	6,	741,	6,	1),
(148145,	6,	741,	23,	1),
(148146,	6,	741,	3,	1),
(148147,	6,	741,	2,	1),
(148148,	6,	741,	1,	1),
(148150,	6,	1465,	2,	1),
(148151,	6,	1055,	2,	1),
(148152,	6,	1141,	1,	1),
(148153,	6,	1141,	2,	1),
(148154,	6,	1141,	3,	1),
(148155,	6,	975,	1,	1),
(148156,	6,	1374,	2,	1),
(148157,	6,	1390,	2,	1),
(148158,	6,	626,	2,	1),
(148163,	6,	1744,	84,	1),
(148165,	6,	144,	2,	2);

DROP TABLE IF EXISTS `material_requisition`;
CREATE TABLE `material_requisition` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mode_details_id` int(11) DEFAULT NULL,
  `mr_cnt` bigint(100) DEFAULT NULL,
  `request_no` varchar(255) NOT NULL,
  `entered_by` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `request_date` date NOT NULL,
  `location_id` int(11) DEFAULT NULL,
  `approved_date` date DEFAULT NULL,
  `recieved_date` date DEFAULT NULL,
  `status` char(6) NOT NULL DEFAULT 'REQ',
  `pr_status` int(11) NOT NULL DEFAULT '0',
  `remarks` text,
  `invoice_amount` decimal(25,3) DEFAULT NULL,
  `discount_amount` decimal(25,3) DEFAULT NULL,
  `paid_amount` decimal(25,3) DEFAULT NULL,
  `balance_amount` decimal(25,3) DEFAULT NULL,
  `approved_by` int(11) DEFAULT NULL,
  `cash_mode` varchar(255) DEFAULT NULL,
  `customer_vehicleno` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  `customer_name` varchar(255) DEFAULT NULL,
  `customer_mobile` varchar(255) DEFAULT NULL,
  `print` int(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mr_index` (`customer_id`,`request_date`,`location_id`,`approved_date`,`recieved_date`,`status`,`mr_cnt`,`mode_details_id`),
  KEY `mr_cnt` (`mr_cnt`),
  KEY `entered_by_mode_details_id_request_date` (`entered_by`,`mode_details_id`,`request_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `material_requisition` (`id`, `mode_details_id`, `mr_cnt`, `request_no`, `entered_by`, `customer_id`, `request_date`, `location_id`, `approved_date`, `recieved_date`, `status`, `pr_status`, `remarks`, `invoice_amount`, `discount_amount`, `paid_amount`, `balance_amount`, `approved_by`, `cash_mode`, `customer_vehicleno`, `created_at`, `updated_at`, `deleted_at`, `customer_name`, `customer_mobile`, `print`) VALUES
(16,	7,	1016,	'CSO1016',	224,	0,	'2021-04-09',	NULL,	NULL,	'2021-04-09',	'CMP',	0,	NULL,	0.960,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-09 16:39:00',	'2021-04-09 17:08:09',	NULL,	'',	NULL,	NULL),
(17,	6,	1017,	'WSO1017',	224,	78,	'2021-04-09',	93,	NULL,	'2021-04-09',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-09 16:39:59',	'2021-04-09 17:08:28',	NULL,	NULL,	NULL,	NULL),
(23,	7,	1023,	'CSO1023',	225,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	45.100,	0.300,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 06:23:08',	'2021-04-10 06:28:34',	NULL,	'',	NULL,	1),
(24,	6,	1024,	'WSO1024',	226,	510,	'2021-04-10',	620,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-10 06:50:21',	'2021-04-10 12:13:08',	NULL,	NULL,	NULL,	1),
(25,	7,	1025,	'CSO1025',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	52.600,	NULL,	55.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 06:51:43',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(30,	7,	1030,	'CSO1030',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	4.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 07:33:34',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(31,	7,	1031,	'CSO1031',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	4.920,	0.020,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 07:40:59',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(32,	7,	1032,	'CSO1032',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	14.900,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 07:45:38',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(33,	7,	1033,	'CSO1033',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 07:46:39',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(34,	7,	1034,	'CSO1034',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	1.600,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:01:16',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(35,	7,	1035,	'CSO1035',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:03:00',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(36,	7,	1036,	'CSO1036',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	3.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:16:46',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(38,	7,	1038,	'CSO1038',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	8.860,	0.060,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:21:15',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(40,	7,	1040,	'CSO1040',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:26:17',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(42,	7,	1042,	'CSO1042',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	80.000,	NULL,	80.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:32:41',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(44,	7,	1044,	'CSO1044',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	74.600,	0.600,	74.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:51:20',	'2021-04-10 17:42:00',	NULL,	'BLUE BERRY',	NULL,	1),
(45,	7,	1045,	'CSO1045',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	48.000,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 08:52:42',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(46,	6,	1046,	'WSO1046',	227,	437,	'2021-04-10',	529,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-10 08:59:40',	'2021-04-10 09:02:23',	NULL,	NULL,	NULL,	1),
(47,	6,	1047,	'WSO1047',	227,	97,	'2021-04-10',	112,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-10 09:01:05',	'2021-04-10 09:02:23',	NULL,	NULL,	NULL,	1),
(48,	7,	1048,	'CSO1048',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 09:09:55',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(49,	7,	1049,	'CSO1049',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'card',	NULL,	'2021-04-10 09:19:35',	'2021-04-10 19:31:55',	NULL,	'',	NULL,	1),
(50,	7,	1050,	'CSO1050',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 09:20:34',	'2021-04-10 17:42:00',	NULL,	'NAZEE \r\nNAZEEM\r\nNAZEEM',	NULL,	1),
(51,	6,	1051,	'WSO1051',	227,	1326,	'2021-04-10',	1788,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-10 09:33:25',	'2021-04-10 09:38:56',	NULL,	NULL,	NULL,	1),
(52,	7,	1052,	'CSO1052',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:00:29',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(53,	7,	1053,	'CSO1053',	227,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	16.390,	0.090,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:09:22',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(54,	7,	1054,	'CSO1054',	227,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	6.300,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:14:57',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(55,	7,	1055,	'CSO1055',	227,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	45.200,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:22:35',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(56,	7,	1056,	'CSO1056',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	10.800,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:30:32',	'2021-04-10 17:42:00',	NULL,	'',	NULL,	1),
(57,	7,	1057,	'CSO1057',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'card',	NULL,	'2021-04-10 10:36:03',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(59,	7,	1059,	'CSO1059',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:48:58',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(60,	7,	1060,	'CSO1060',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	12.900,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:53:38',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(61,	7,	1061,	'CSO1061',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	16.400,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 10:55:15',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(62,	7,	1062,	'CSO1062',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	12.300,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:01:25',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(63,	7,	1063,	'CSO1063',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	17.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:14:12',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(64,	7,	1064,	'CSO1064',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	54.950,	0.050,	54.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:16:06',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(65,	7,	1065,	'CSO1065',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	1.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:17:29',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(66,	7,	1066,	'CSO1066',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	11.800,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:20:00',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(67,	7,	1067,	'CSO1067',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	1.100,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:23:09',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	NULL),
(68,	7,	1068,	'CSO1068',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	2.500,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:26:57',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	NULL),
(69,	7,	1069,	'CSO1069',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	3.400,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:30:25',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	NULL),
(70,	7,	1070,	'CSO1070',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	4.400,	NULL,	4.990,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:46:12',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	NULL),
(71,	7,	1071,	'CSO1071',	226,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	17.300,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 11:47:22',	'2021-04-10 17:42:01',	NULL,	'',	NULL,	1),
(80,	7,	1077,	'CSO1077',	224,	0,	'2021-04-10',	NULL,	NULL,	'2021-04-10',	'CMP',	0,	NULL,	1.000,	0.100,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-10 17:32:25',	'2021-04-10 17:33:07',	NULL,	'TEST',	NULL,	NULL),
(85,	7,	1082,	'CSO1082',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	1.600,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 06:10:06',	'2021-04-11 08:08:30',	NULL,	'',	NULL,	1),
(86,	7,	1083,	'CSO1083',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	8.600,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 06:14:47',	'2021-04-11 08:08:30',	NULL,	'',	NULL,	1),
(87,	7,	1084,	'CSO1084',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	50.300,	0.300,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 06:23:10',	'2021-04-11 08:08:30',	NULL,	'',	NULL,	1),
(88,	7,	1085,	'CSO1085',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	26.200,	NULL,	26.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 08:14:18',	'2021-04-11 08:40:24',	NULL,	'',	NULL,	1),
(89,	7,	1086,	'CSO1086',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 08:19:25',	'2021-04-11 08:40:24',	NULL,	'',	NULL,	1),
(90,	7,	1087,	'CSO1087',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	10.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 08:29:35',	'2021-04-11 08:40:24',	NULL,	'',	NULL,	1),
(91,	7,	1088,	'CSO1088',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	1.400,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 08:58:37',	'2021-04-11 09:03:04',	NULL,	'',	NULL,	NULL),
(92,	7,	1089,	'CSO1089',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	8.000,	NULL,	10.010,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:08:33',	'2021-04-11 12:47:17',	NULL,	'',	NULL,	1),
(93,	7,	1090,	'CSO1090',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	5.700,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:10:37',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	1),
(95,	7,	1092,	'CSO1092',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	29.300,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:34:13',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	1),
(96,	7,	1093,	'CSO1093',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	6.500,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:34:36',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(97,	7,	1094,	'CSO1094',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	34.200,	NULL,	68.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:41:32',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	1),
(98,	7,	1095,	'CSO1095',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	19.200,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:43:15',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	1),
(99,	7,	1096,	'CSO1096',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:44:59',	'2021-04-11 19:14:13',	NULL,	'',	NULL,	NULL),
(100,	7,	1097,	'CSO1097',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	6.500,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:46:31',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(101,	6,	1098,	'WSO1098',	226,	561,	'2021-04-11',	686,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'5375',	'2021-04-11 09:47:21',	'2021-04-11 10:15:58',	NULL,	NULL,	NULL,	1),
(102,	7,	1099,	'CSO1099',	227,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	15.500,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 09:49:18',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	1),
(103,	7,	1100,	'CSO1100',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	9.800,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:00:06',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(104,	7,	1101,	'CSO1101',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	14.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:12:03',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(105,	7,	1102,	'CSO1102',	224,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	6.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:18:12',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(106,	7,	1103,	'CSO1103',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	34.000,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:19:48',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(107,	7,	1104,	'CSO1104',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:22:20',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(108,	7,	1105,	'CSO1105',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	6.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:24:49',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(109,	7,	1106,	'CSO1106',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	3.500,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:26:36',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(110,	7,	1107,	'CSO1107',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	11.500,	0.500,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:33:44',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	NULL),
(111,	7,	1108,	'CSO1108',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	75.900,	NULL,	75.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 10:54:33',	'2021-04-11 11:39:32',	NULL,	'',	NULL,	1),
(112,	7,	1109,	'CSO1109',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	86.600,	NULL,	86.600,	NULL,	NULL,	'card',	NULL,	'2021-04-11 11:07:15',	'2021-04-11 12:44:32',	NULL,	'',	NULL,	1),
(113,	7,	1110,	'CSO1110',	226,	0,	'2021-04-11',	NULL,	NULL,	'2021-04-11',	'CMP',	0,	NULL,	7.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-11 12:31:09',	'2021-04-11 12:53:49',	NULL,	'SHAJAHAN',	NULL,	1),
(116,	7,	1113,	'CSO1113',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	2.300,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 06:06:41',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(117,	6,	1114,	'WSO1114',	226,	1075,	'2021-04-12',	1406,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2940',	'2021-04-12 06:31:57',	'2021-04-12 08:23:49',	NULL,	NULL,	NULL,	1),
(119,	7,	1116,	'CSO1116',	224,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	4.300,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 06:58:34',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(120,	7,	1117,	'CSO1117',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	65.300,	NULL,	65.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 07:31:44',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(122,	7,	1119,	'CSO1119',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 08:05:02',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(123,	7,	1120,	'CSO1120',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 08:13:18',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(124,	7,	1121,	'CSO1121',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	13.200,	0.200,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 09:09:24',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(125,	7,	1122,	'CSO1122',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	9.500,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 09:18:22',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(126,	7,	1123,	'CSO1123',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	111.500,	0.500,	111.000,	NULL,	NULL,	'cash',	'567',	'2021-04-12 09:29:35',	'2021-04-12 17:58:50',	NULL,	'ALI',	NULL,	1),
(128,	7,	1125,	'CSO1125',	228,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	33.100,	0.100,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 09:54:28',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	1),
(129,	7,	1126,	'CSO1126',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	31.600,	0.100,	31.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 10:06:01',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	1),
(130,	7,	1127,	'CSO1127',	224,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'card',	NULL,	'2021-04-12 10:22:25',	'2021-04-12 15:30:15',	NULL,	'',	NULL,	NULL),
(133,	7,	1130,	'CSO1130',	226,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 10:41:42',	'2021-04-12 15:30:15',	NULL,	'',	NULL,	1),
(134,	7,	1131,	'CSO1131',	224,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	306.000,	NULL,	350.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 10:45:58',	'2021-04-12 15:30:15',	NULL,	'',	NULL,	1),
(135,	7,	1132,	'CSO1132',	224,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	16.200,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-12 10:49:48',	'2021-04-12 15:30:15',	NULL,	'',	NULL,	NULL),
(138,	7,	1133,	'CSO1133',	224,	0,	'2021-04-12',	NULL,	NULL,	'2021-04-12',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'card',	NULL,	'2021-04-12 13:06:51',	'2021-04-12 17:58:50',	NULL,	'',	NULL,	NULL),
(140,	6,	1135,	'WSO1135',	227,	572,	'2021-04-13',	701,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-13 05:09:05',	'2021-04-13 06:03:42',	NULL,	NULL,	NULL,	1),
(141,	7,	1136,	'CSO1136',	224,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	10.900,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 05:20:39',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(142,	7,	1137,	'CSO1137',	227,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	466.200,	1.200,	465.000,	NULL,	NULL,	'card',	'299\r\n299',	'2021-04-13 05:30:36',	'2021-04-13 07:30:13',	NULL,	'AMIR RAWABI',	NULL,	1),
(143,	6,	1138,	'WSO1138',	226,	1025,	'2021-04-13',	1354,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'1450',	'2021-04-13 05:52:20',	'2021-04-13 05:53:29',	NULL,	NULL,	NULL,	NULL),
(144,	7,	1139,	'CSO1139',	227,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	259.600,	NULL,	259.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 06:33:16',	'2021-04-13 08:38:52',	NULL,	'',	NULL,	1),
(145,	6,	1140,	'WSO1140',	226,	1363,	'2021-04-13',	1835,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-13 06:34:26',	'2021-04-13 09:48:39',	NULL,	NULL,	NULL,	1),
(146,	7,	1141,	'CSO1141',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 06:58:18',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(147,	7,	1142,	'CSO1142',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	17.600,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 07:37:02',	'2021-04-14 17:47:52',	NULL,	'',	NULL,	1),
(148,	7,	1143,	'CSO1143',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	39.800,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 07:44:32',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(149,	7,	1144,	'CSO1144',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	9.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 07:47:44',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	1),
(150,	7,	1145,	'CSO1145',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	30.400,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 07:53:55',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(151,	7,	1146,	'CSO1146',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	19.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 07:58:13',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(152,	7,	1147,	'CSO1147',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	56.500,	NULL,	60.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 08:07:15',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(153,	7,	1148,	'CSO1148',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	79.000,	NULL,	109.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 08:35:59',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	1),
(154,	7,	1149,	'CSO1149',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	6.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 08:47:10',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(155,	7,	1150,	'CSO1150',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	96.000,	NULL,	110.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 08:48:41',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(156,	7,	1151,	'CSO1151',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	14.900,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 08:57:02',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(157,	7,	1152,	'CSO1152',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:01:11',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	1),
(158,	7,	1153,	'CSO1153',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	2.300,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:11:56',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	NULL),
(159,	7,	1154,	'CSO1154',	227,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:18:45',	'2021-04-13 09:24:36',	NULL,	'',	NULL,	1),
(160,	7,	1155,	'CSO1155',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:32:19',	'2021-04-13 09:33:10',	NULL,	'',	NULL,	NULL),
(161,	7,	1156,	'CSO1156',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:40:58',	'2021-04-13 12:25:02',	NULL,	'',	NULL,	NULL),
(162,	7,	1157,	'CSO1157',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:56:19',	'2021-04-13 11:59:27',	NULL,	'',	NULL,	NULL),
(163,	7,	1158,	'CSO1158',	224,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	1.900,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:56:53',	'2021-04-13 11:59:27',	NULL,	'',	NULL,	NULL),
(164,	7,	1159,	'CSO1159',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	20.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 09:58:59',	'2021-04-13 11:49:15',	NULL,	'',	NULL,	NULL),
(165,	7,	1160,	'CSO1160',	224,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	47.800,	0.400,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:03:21',	'2021-04-13 11:49:15',	NULL,	'',	NULL,	NULL),
(166,	7,	1161,	'CSO1161',	227,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	21.100,	0.100,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:06:19',	'2021-04-13 11:48:45',	NULL,	'',	NULL,	1),
(167,	7,	1162,	'CSO1162',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	39.000,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:13:56',	'2021-04-13 10:48:30',	NULL,	'',	NULL,	NULL),
(168,	7,	1163,	'CSO1163',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	40.000,	NULL,	40.000,	NULL,	NULL,	'cash',	'4841',	'2021-04-13 10:32:28',	'2021-04-13 10:48:31',	NULL,	'',	NULL,	1),
(169,	7,	1164,	'CSO1164',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:39:35',	'2021-04-13 10:48:31',	NULL,	'',	NULL,	NULL),
(170,	7,	1165,	'CSO1165',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:40:34',	'2021-04-13 10:48:31',	NULL,	'',	NULL,	NULL),
(171,	7,	1166,	'CSO1166',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:41:25',	'2021-04-13 10:48:31',	NULL,	'',	NULL,	NULL),
(172,	7,	1167,	'CSO1167',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:45:34',	'2021-04-13 10:48:31',	NULL,	'',	NULL,	NULL),
(173,	7,	1168,	'CSO1168',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 10:52:36',	'2021-04-13 11:45:41',	NULL,	'',	NULL,	NULL),
(174,	7,	1169,	'CSO1169',	224,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 11:16:25',	'2021-04-13 11:44:57',	NULL,	'',	NULL,	NULL),
(175,	7,	1170,	'CSO1170',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 11:16:42',	'2021-04-13 11:44:57',	NULL,	'',	NULL,	NULL),
(176,	7,	1171,	'CSO1171',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	1.700,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 11:18:17',	'2021-04-13 11:44:57',	NULL,	'',	NULL,	NULL),
(177,	7,	1172,	'CSO1172',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 11:22:33',	'2021-04-13 11:44:57',	NULL,	'',	NULL,	NULL),
(178,	7,	1173,	'CSO1173',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	7.300,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 11:40:25',	'2021-04-13 11:44:57',	NULL,	'',	NULL,	NULL),
(179,	7,	1174,	'CSO1174',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	46.200,	2.200,	44.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 11:51:17',	'2021-04-13 11:59:27',	NULL,	'',	NULL,	1),
(180,	7,	1175,	'CSO1175',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-13',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 12:40:26',	'2021-04-13 19:14:58',	NULL,	'',	NULL,	NULL),
(181,	7,	1176,	'CSO1176',	226,	0,	'2021-04-13',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	92.200,	NULL,	92.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-13 13:37:43',	'2021-04-14 17:47:52',	NULL,	'',	NULL,	1),
(182,	6,	1177,	'WSO1177',	226,	1075,	'2021-04-14',	1406,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'5065',	'2021-04-14 05:31:00',	'2021-04-14 08:25:16',	NULL,	NULL,	NULL,	1),
(183,	6,	1178,	'WSO1178',	226,	1363,	'2021-04-14',	1835,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'11819',	'2021-04-14 05:44:48',	'2021-04-14 08:24:51',	NULL,	NULL,	NULL,	1),
(184,	7,	1179,	'CSO1179',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	8.300,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 05:54:17',	'2021-04-14 18:15:23',	NULL,	'',	NULL,	NULL),
(185,	7,	1180,	'CSO1180',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	20.800,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 06:25:23',	'2021-04-14 18:12:38',	NULL,	'',	NULL,	NULL),
(186,	7,	1181,	'CSO1181',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	6.800,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 07:05:29',	'2021-04-14 18:13:39',	NULL,	'',	NULL,	NULL),
(187,	7,	1182,	'CSO1182',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	88.400,	0.400,	88.000,	NULL,	NULL,	'cash',	'226',	'2021-04-14 07:11:33',	'2021-04-14 14:21:18',	NULL,	'',	NULL,	1),
(188,	7,	1183,	'CSO1183',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 08:15:19',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	1),
(196,	7,	1191,	'CSO1191',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	64.000,	NULL,	62.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 12:11:07',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	1),
(197,	7,	1192,	'CSO1192',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	27.200,	NULL,	27.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 12:44:52',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	1),
(198,	7,	1193,	'CSO1193',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	13.400,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 12:48:23',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(199,	7,	1194,	'CSO1194',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 12:56:12',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(200,	7,	1195,	'CSO1195',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	0.500,	NULL,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:19:52',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(201,	7,	1196,	'CSO1196',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	9.500,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:22:52',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(202,	7,	1197,	'CSO1197',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	21.200,	NULL,	21.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:28:10',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(203,	7,	1198,	'CSO1198',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:36:56',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(204,	7,	1199,	'CSO1199',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:38:52',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(205,	7,	1200,	'CSO1200',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	13.600,	NULL,	13.590,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:40:23',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(206,	7,	1201,	'CSO1201',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:41:20',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(207,	7,	1202,	'CSO1202',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:42:09',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(208,	7,	1203,	'CSO1203',	226,	0,	'2021-04-14',	NULL,	NULL,	'2021-04-14',	'CMP',	0,	NULL,	8.150,	0.050,	8.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-14 13:44:01',	'2021-04-14 13:58:03',	NULL,	'',	NULL,	NULL),
(209,	6,	1204,	'WSO1204',	226,	1363,	'2021-04-15',	1835,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'11819',	'2021-04-15 05:54:05',	'2021-04-15 06:00:42',	NULL,	NULL,	NULL,	1),
(210,	7,	1205,	'CSO1205',	227,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	432.100,	NULL,	432.100,	NULL,	NULL,	'card',	'9287',	'2021-04-15 06:02:18',	'2021-04-15 10:40:37',	NULL,	'',	NULL,	1),
(211,	7,	1206,	'CSO1206',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	7.500,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 06:37:29',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	NULL),
(212,	7,	1207,	'CSO1207',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 06:39:52',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	NULL),
(213,	7,	1208,	'CSO1208',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	52.200,	NULL,	55.000,	NULL,	NULL,	'cash',	'7071',	'2021-04-15 06:40:06',	'2021-04-15 12:30:44',	NULL,	'NEAR PARKIN NO 1',	NULL,	1),
(214,	7,	1209,	'CSO1209',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 07:19:44',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	NULL),
(215,	7,	1210,	'CSO1210',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 07:27:46',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	NULL),
(216,	7,	1211,	'CSO1211',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	31.300,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 07:27:55',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	1),
(217,	7,	1212,	'CSO1212',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 07:31:50',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	NULL),
(218,	7,	1213,	'CSO1213',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	36.100,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 07:49:07',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	1),
(219,	7,	1214,	'CSO1214',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	338.300,	NULL,	340.000,	NULL,	NULL,	'cash',	'60467',	'2021-04-15 07:52:39',	'2021-04-15 09:27:38',	NULL,	'NEAR PARKING',	NULL,	1),
(220,	7,	1215,	'CSO1215',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	32.000,	0.500,	31.500,	NULL,	NULL,	'card',	NULL,	'2021-04-15 08:06:19',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(221,	7,	1216,	'CSO1216',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	58.200,	NULL,	58.210,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 08:44:27',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	1),
(222,	7,	1217,	'CSO1217',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	34.700,	NULL,	34.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 08:51:48',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	1),
(223,	7,	1218,	'CSO1218',	224,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 08:55:55',	'2021-04-15 12:30:44',	NULL,	'',	NULL,	NULL),
(225,	7,	1220,	'CSO1220',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 09:02:54',	'2021-04-15 18:53:12',	NULL,	'',	NULL,	NULL),
(226,	6,	1221,	'WSO1221',	226,	561,	'2021-04-15',	686,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-15 09:12:37',	'2021-04-15 09:13:16',	NULL,	NULL,	NULL,	NULL),
(227,	7,	1222,	'CSO1222',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	23.300,	NULL,	23.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 09:19:10',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(228,	7,	1223,	'CSO1223',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	79.700,	NULL,	80.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 09:30:02',	'2021-04-15 18:53:06',	NULL,	'',	NULL,	1),
(229,	7,	1224,	'CSO1224',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 09:50:45',	'2021-04-15 18:53:01',	NULL,	'',	NULL,	NULL),
(230,	7,	1225,	'CSO1225',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:19:36',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(231,	7,	1226,	'CSO1226',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:26:16',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(232,	7,	1227,	'CSO1227',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	4.300,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:27:56',	'2021-04-15 18:53:01',	NULL,	'',	NULL,	NULL),
(233,	7,	1228,	'CSO1228',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	362.500,	NULL,	363.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:34:25',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	1),
(234,	7,	1229,	'CSO1229',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:38:34',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(235,	7,	1230,	'CSO1230',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:39:17',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(236,	7,	1231,	'CSO1231',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	51.200,	NULL,	51.200,	NULL,	NULL,	'card',	NULL,	'2021-04-15 11:57:04',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	1),
(237,	7,	1232,	'CSO1232',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 11:58:57',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(238,	7,	1233,	'CSO1233',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	11.500,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 12:02:10',	'2021-04-15 12:44:43',	NULL,	'',	NULL,	NULL),
(239,	7,	1234,	'CSO1234',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 13:51:27',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(240,	7,	1235,	'CSO1235',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 13:52:49',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(241,	7,	1236,	'CSO1236',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	60.900,	NULL,	60.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 13:56:27',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(242,	7,	1237,	'CSO1237',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	11.100,	NULL,	11.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 13:58:24',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(243,	7,	1238,	'CSO1238',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 13:59:06',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(244,	7,	1239,	'CSO1239',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 14:03:31',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(245,	7,	1240,	'CSO1240',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-15 14:04:28',	'2021-04-15 18:52:51',	NULL,	'',	NULL,	NULL),
(246,	7,	1241,	'CSO1241',	226,	0,	'2021-04-15',	NULL,	NULL,	'2021-04-15',	'CMP',	0,	NULL,	28.200,	NULL,	28.200,	NULL,	NULL,	'card',	NULL,	'2021-04-15 14:05:55',	'2021-04-15 19:16:43',	NULL,	'',	NULL,	NULL),
(247,	7,	1242,	'CSO1242',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	4.600,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 05:24:14',	'2021-04-17 15:28:26',	NULL,	'',	NULL,	NULL),
(248,	7,	1243,	'CSO1243',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	4.600,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 05:49:45',	'2021-04-17 12:29:40',	NULL,	'',	NULL,	NULL),
(249,	7,	1244,	'CSO1244',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	81.200,	NULL,	81.200,	NULL,	NULL,	'cash',	'2256',	'2021-04-17 07:37:26',	'2021-04-17 12:29:40',	NULL,	'NEAR JABALI',	NULL,	NULL),
(250,	7,	1245,	'CSO1245',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	80.100,	0.100,	80.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 07:59:41',	'2021-04-17 12:29:40',	NULL,	'',	NULL,	1),
(251,	7,	1246,	'CSO1246',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	2.800,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 08:31:20',	'2021-04-17 12:29:34',	NULL,	'',	NULL,	NULL),
(252,	7,	1247,	'CSO1247',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	24.600,	NULL,	24.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 08:33:18',	'2021-04-17 12:29:34',	NULL,	'',	NULL,	1),
(253,	7,	1248,	'CSO1248',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	7.400,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 09:11:53',	'2021-04-17 12:29:34',	NULL,	'',	NULL,	NULL),
(254,	7,	1249,	'CSO1249',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	13.600,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 09:19:41',	'2021-04-17 12:29:34',	NULL,	'',	NULL,	NULL),
(255,	7,	1250,	'CSO1250',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	147.800,	NULL,	147.800,	NULL,	NULL,	'card',	NULL,	'2021-04-17 09:31:31',	'2021-04-17 12:29:34',	NULL,	'',	NULL,	1),
(256,	7,	1251,	'CSO1251',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 09:57:36',	'2021-04-17 12:29:34',	NULL,	'',	NULL,	1),
(258,	7,	1253,	'CSO1253',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 10:50:33',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(259,	7,	1254,	'CSO1254',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	2.800,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 11:03:25',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(260,	7,	1255,	'CSO1255',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 11:19:10',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(261,	7,	1256,	'CSO1256',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	2.900,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 11:38:26',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(262,	7,	1257,	'CSO1257',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	0.500,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 11:47:19',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(263,	7,	1258,	'CSO1258',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	9.400,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 11:47:52',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(264,	7,	1259,	'CSO1259',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 12:03:16',	'2021-04-17 12:29:22',	NULL,	'',	NULL,	NULL),
(265,	7,	1260,	'CSO1260',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 12:25:46',	'2021-04-17 16:22:50',	NULL,	'',	NULL,	NULL),
(266,	7,	1261,	'CSO1261',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	32.800,	NULL,	32.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 12:26:09',	'2021-04-17 16:22:50',	NULL,	'',	NULL,	1),
(267,	7,	1262,	'CSO1262',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	42.600,	NULL,	42.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 12:28:08',	'2021-04-17 12:29:55',	NULL,	'',	NULL,	1),
(270,	7,	1265,	'CSO1265',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 12:39:23',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(271,	7,	1266,	'CSO1266',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 12:39:59',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(272,	7,	1267,	'CSO1267',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	13.100,	NULL,	13.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 13:49:51',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(273,	7,	1268,	'CSO1268',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 13:51:11',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(274,	7,	1269,	'CSO1269',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 13:54:02',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(275,	7,	1270,	'CSO1270',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	1.800,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 13:56:06',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(276,	7,	1271,	'CSO1271',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 13:57:37',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(277,	7,	1272,	'CSO1272',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 14:01:35',	'2021-04-17 16:33:43',	NULL,	'',	NULL,	NULL),
(278,	7,	1273,	'CSO1273',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 14:11:11',	'2021-04-17 17:48:29',	NULL,	'',	NULL,	NULL),
(279,	7,	1274,	'CSO1274',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 14:15:13',	'2021-04-17 17:46:43',	NULL,	'',	NULL,	NULL),
(280,	7,	1275,	'CSO1275',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 14:33:25',	'2021-04-17 17:47:07',	NULL,	'',	NULL,	NULL),
(281,	7,	1276,	'CSO1276',	226,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 14:36:32',	'2021-04-17 17:48:04',	NULL,	'',	NULL,	NULL),
(283,	7,	1278,	'CSO1278',	224,	0,	'2021-04-17',	NULL,	NULL,	'2021-04-17',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-17 16:08:18',	'2021-04-17 17:47:37',	NULL,	'',	NULL,	NULL),
(285,	7,	1280,	'CSO1280',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 05:27:37',	'2021-04-18 10:19:19',	NULL,	'',	NULL,	NULL),
(286,	7,	1281,	'CSO1281',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	8.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 05:30:52',	'2021-04-18 10:18:50',	NULL,	'',	NULL,	NULL),
(287,	7,	1282,	'CSO1282',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 05:34:50',	'2021-04-18 10:17:51',	NULL,	'',	NULL,	NULL),
(288,	7,	1283,	'CSO1283',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	19.500,	NULL,	19.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 05:46:55',	'2021-04-18 10:11:16',	NULL,	'',	NULL,	NULL),
(289,	7,	1284,	'CSO1284',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 05:54:29',	'2021-04-18 10:17:11',	NULL,	'',	NULL,	NULL),
(290,	7,	1285,	'CSO1285',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 05:57:05',	'2021-04-18 10:13:35',	NULL,	'',	NULL,	1),
(291,	7,	1286,	'CSO1286',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 06:11:23',	'2021-04-18 10:12:41',	NULL,	'',	NULL,	NULL),
(292,	7,	1287,	'CSO1287',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 06:16:14',	'2021-04-18 10:16:19',	NULL,	'',	NULL,	NULL),
(293,	7,	1288,	'CSO1288',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 06:17:53',	'2021-04-19 17:05:24',	NULL,	'',	NULL,	NULL),
(295,	6,	1290,	'WSO1290',	226,	1338,	'2021-04-18',	1803,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'1055',	'2021-04-18 06:26:32',	'2021-04-18 08:07:32',	NULL,	NULL,	NULL,	1),
(296,	7,	1291,	'CSO1291',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	43.200,	NULL,	43.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 06:42:38',	'2021-04-18 10:15:05',	NULL,	'',	NULL,	NULL),
(297,	7,	1292,	'CSO1292',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	86.500,	NULL,	86.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 07:30:02',	'2021-04-18 10:15:36',	NULL,	'',	NULL,	1),
(298,	7,	1293,	'CSO1293',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	14.800,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 07:35:22',	'2021-04-18 12:57:50',	NULL,	'',	NULL,	1),
(299,	7,	1294,	'CSO1294',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 07:36:14',	'2021-04-18 10:14:37',	NULL,	'',	NULL,	NULL),
(300,	7,	1295,	'CSO1295',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	18.400,	NULL,	18.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 07:45:39',	'2021-04-18 10:10:41',	NULL,	'',	NULL,	1),
(302,	7,	1297,	'CSO1297',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 07:51:47',	'2021-04-18 10:12:10',	NULL,	'',	NULL,	NULL),
(303,	7,	1298,	'CSO1298',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	3.750,	NULL,	3.750,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 07:53:47',	'2021-04-18 10:24:11',	NULL,	'',	NULL,	1),
(304,	7,	1299,	'CSO1299',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 08:05:28',	'2021-04-18 10:11:43',	NULL,	'',	NULL,	NULL),
(305,	7,	1300,	'CSO1300',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 08:07:12',	'2021-04-18 10:22:04',	NULL,	'',	NULL,	1),
(307,	7,	1302,	'CSO1302',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 09:34:26',	'2021-04-18 10:23:34',	NULL,	'',	NULL,	1),
(308,	7,	1303,	'CSO1303',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 09:36:13',	'2021-04-18 10:20:04',	NULL,	'',	NULL,	1),
(309,	7,	1304,	'CSO1304',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 09:38:27',	'2021-04-18 10:20:33',	NULL,	'',	NULL,	1),
(310,	7,	1305,	'CSO1305',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	30.340,	0.040,	30.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 09:54:05',	'2021-04-18 10:25:31',	NULL,	'',	NULL,	1),
(311,	7,	1306,	'CSO1306',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	111.000,	NULL,	111.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 09:54:37',	'2021-04-18 10:28:22',	NULL,	'',	NULL,	NULL),
(312,	7,	1307,	'CSO1307',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 10:01:35',	'2021-04-18 10:26:09',	NULL,	'',	NULL,	1),
(313,	7,	1308,	'CSO1308',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	56.400,	NULL,	56.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 10:16:05',	'2021-04-18 10:29:14',	NULL,	'',	NULL,	1),
(314,	7,	1309,	'CSO1309',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'card',	NULL,	'2021-04-18 10:25:12',	'2021-04-18 10:33:23',	NULL,	'',	NULL,	1),
(315,	7,	1310,	'CSO1310',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	34.100,	0.100,	34.000,	NULL,	NULL,	'card',	NULL,	'2021-04-18 10:43:07',	'2021-04-18 12:57:50',	NULL,	'',	NULL,	1),
(316,	7,	1311,	'CSO1311',	224,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	26.500,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 10:50:02',	'2021-04-18 12:57:50',	NULL,	'',	NULL,	1),
(317,	7,	1312,	'CSO1312',	226,	0,	'2021-04-18',	NULL,	NULL,	'2021-04-18',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-18 10:54:11',	'2021-04-18 12:57:50',	NULL,	'',	NULL,	NULL),
(318,	6,	1313,	'WSO1313',	227,	656,	'2021-04-19',	840,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-19 04:51:28',	'2021-04-19 08:24:27',	NULL,	NULL,	NULL,	1),
(319,	7,	1314,	'CSO1314',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	11.100,	NULL,	11.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 04:54:02',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(320,	7,	1315,	'CSO1315',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 05:48:50',	'2021-04-19 05:51:42',	NULL,	'TEST\r\nTEST. MAHEEN',	NULL,	1),
(321,	7,	1316,	'CSO1316',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	2.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 06:06:29',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(322,	7,	1317,	'CSO1317',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 06:17:39',	'2021-04-19 10:29:59',	NULL,	'MN',	NULL,	1),
(323,	7,	1318,	'CSO1318',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	4.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 06:53:04',	'2021-04-19 10:29:59',	NULL,	'TEST M N',	NULL,	1),
(324,	7,	1319,	'CSO1319',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	24.000,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 06:58:03',	'2021-04-19 10:29:59',	NULL,	'KAHLEEFA OMANI',	NULL,	1),
(325,	7,	1320,	'CSO1320',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	9.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 07:02:35',	'2021-04-19 10:29:59',	NULL,	'K',	NULL,	1),
(326,	7,	1321,	'CSO1321',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	3.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 07:10:53',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(327,	7,	1322,	'CSO1322',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	13.600,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 07:23:29',	'2021-04-19 10:29:59',	NULL,	'M',	NULL,	1),
(328,	7,	1323,	'CSO1323',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	4.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 07:29:56',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	NULL),
(331,	7,	1326,	'CSO1326',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	9.100,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 09:08:18',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(333,	7,	1328,	'CSO1328',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	31.300,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 09:32:39',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(335,	7,	1330,	'CSO1330',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	3.200,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 09:39:33',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(336,	7,	1331,	'CSO1331',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	10.300,	0.100,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 09:52:39',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(337,	7,	1332,	'CSO1332',	224,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	6.800,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 09:55:06',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(338,	7,	1333,	'CSO1333',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	16.300,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 10:13:14',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	1),
(340,	7,	1335,	'CSO1335',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 10:23:15',	'2021-04-19 10:29:59',	NULL,	'',	NULL,	NULL),
(342,	7,	1337,	'CSO1337',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 10:30:28',	'2021-04-19 10:32:25',	NULL,	'',	NULL,	NULL),
(343,	7,	1338,	'CSO1338',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 10:33:29',	'2021-04-19 14:05:08',	NULL,	'',	NULL,	NULL),
(344,	7,	1339,	'CSO1339',	226,	0,	'2021-04-19',	NULL,	NULL,	'2021-04-19',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-19 10:35:17',	'2021-04-19 10:37:49',	NULL,	'',	NULL,	NULL),
(346,	6,	1341,	'WSO1341',	223,	1553,	'2021-04-19',	2037,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-19 15:55:37',	'2021-04-19 15:55:37',	NULL,	NULL,	NULL,	NULL),
(348,	7,	1343,	'CSO1343',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 04:51:08',	'2021-04-20 06:08:08',	NULL,	'M N',	NULL,	1),
(349,	6,	1344,	'WSO1344',	226,	1075,	'2021-04-20',	1406,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-20 05:39:00',	'2021-04-20 05:41:09',	NULL,	NULL,	NULL,	1),
(350,	7,	1345,	'CSO1345',	226,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 06:05:11',	'2021-04-20 06:08:08',	NULL,	'',	NULL,	1),
(351,	6,	1346,	'WSO1346',	227,	833,	'2021-04-20',	1104,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-20 08:20:07',	'2021-04-20 08:23:52',	NULL,	NULL,	NULL,	NULL),
(357,	7,	1352,	'CSO1352',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 09:35:04',	'2021-04-20 12:36:23',	NULL,	'',	NULL,	1),
(358,	7,	1353,	'CSO1353',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 09:36:00',	'2021-04-20 12:31:27',	NULL,	'',	NULL,	1),
(360,	7,	1355,	'CSO1355',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	28.700,	NULL,	28.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:01:38',	'2021-04-20 12:30:49',	NULL,	'B K',	NULL,	1),
(361,	7,	1356,	'CSO1356',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	2.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:04:00',	'2021-04-20 12:27:23',	NULL,	'',	NULL,	NULL),
(362,	7,	1357,	'CSO1357',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:04:57',	'2021-04-20 12:27:36',	NULL,	'',	NULL,	NULL),
(363,	7,	1358,	'CSO1358',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:05:48',	'2021-04-20 12:30:25',	NULL,	'',	NULL,	1),
(364,	7,	1359,	'CSO1359',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:20:40',	'2021-04-20 12:30:03',	NULL,	'',	NULL,	1),
(366,	7,	1361,	'CSO1361',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:55:30',	'2021-04-20 12:29:19',	NULL,	'',	NULL,	1),
(367,	7,	1362,	'CSO1362',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 10:57:32',	'2021-04-20 12:28:53',	NULL,	'',	NULL,	1),
(368,	7,	1363,	'CSO1363',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 11:05:06',	'2021-04-20 12:28:27',	NULL,	'',	NULL,	1),
(369,	7,	1364,	'CSO1364',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 11:08:05',	'2021-04-20 12:28:04',	NULL,	'',	NULL,	1),
(370,	7,	1365,	'CSO1365',	224,	0,	'2021-04-20',	NULL,	NULL,	'2021-04-20',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-20 11:09:09',	'2021-04-20 12:36:37',	NULL,	'',	NULL,	1),
(388,	7,	1383,	'CSO1383',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	20.400,	NULL,	20.400,	NULL,	NULL,	'card',	NULL,	'2021-04-21 05:45:45',	'2021-04-21 11:14:42',	NULL,	'',	NULL,	1),
(389,	7,	1384,	'CSO1384',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	2.905,	0.050,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 06:22:57',	'2021-04-21 11:17:51',	NULL,	'',	NULL,	1),
(390,	7,	1385,	'CSO1385',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	5.400,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 06:26:51',	'2021-04-21 11:13:49',	NULL,	'',	NULL,	1),
(391,	7,	1386,	'CSO1386',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 06:42:03',	'2021-04-21 11:12:32',	NULL,	'',	NULL,	1),
(392,	7,	1387,	'CSO1387',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	9.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 06:44:19',	'2021-04-21 11:17:51',	NULL,	'',	NULL,	1),
(393,	7,	1388,	'CSO1388',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 06:57:26',	'2021-04-21 11:12:50',	NULL,	'',	NULL,	1),
(394,	7,	1389,	'CSO1389',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	5.100,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 06:59:31',	'2021-04-21 11:03:47',	NULL,	'',	NULL,	1),
(395,	7,	1390,	'CSO1390',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	56.000,	NULL,	100.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 07:35:15',	'2021-04-21 11:01:41',	NULL,	'KIMJE',	NULL,	1),
(396,	7,	1391,	'CSO1391',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	4.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 07:43:25',	'2021-04-21 11:03:23',	NULL,	'',	NULL,	1),
(397,	7,	1392,	'CSO1392',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:01:23',	'2021-04-21 11:03:06',	NULL,	'',	NULL,	1),
(398,	7,	1393,	'CSO1393',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:03:53',	'2021-04-21 13:37:40',	NULL,	'',	NULL,	1),
(399,	7,	1394,	'CSO1394',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	11.200,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:10:03',	'2021-04-21 13:37:21',	NULL,	'M',	NULL,	1),
(400,	7,	1395,	'CSO1395',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	40.000,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:21:27',	'2021-04-21 10:43:21',	NULL,	'JALALE CASH',	NULL,	1),
(401,	7,	1396,	'CSO1396',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:28:36',	'2021-04-21 11:01:17',	NULL,	'',	NULL,	1),
(402,	7,	1397,	'CSO1397',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	26.400,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:33:08',	'2021-04-21 11:01:00',	NULL,	'',	NULL,	1),
(403,	7,	1398,	'CSO1398',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	22.800,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:51:11',	'2021-04-21 10:59:37',	NULL,	'CASH M N',	NULL,	1),
(404,	7,	1399,	'CSO1399',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	31.200,	NULL,	35.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 08:53:53',	'2021-04-21 10:59:14',	NULL,	'',	NULL,	1),
(405,	7,	1400,	'CSO1400',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	15.200,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:01:39',	'2021-04-21 10:43:21',	NULL,	'M N CASH',	NULL,	1),
(406,	7,	1401,	'CSO1401',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	7.800,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:03:03',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(407,	7,	1402,	'CSO1402',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	11.600,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:20:31',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(408,	7,	1403,	'CSO1403',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:37:45',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(410,	7,	1405,	'CSO1405',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'card',	NULL,	'2021-04-21 09:41:24',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(411,	7,	1406,	'CSO1406',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	4.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:44:40',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(412,	7,	1407,	'CSO1407',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	0.500,	NULL,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:48:42',	'2021-04-21 10:43:21',	NULL,	'M N CASH',	NULL,	1),
(413,	7,	1408,	'CSO1408',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	51.000,	NULL,	51.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:48:44',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(414,	7,	1409,	'CSO1409',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:51:43',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(415,	7,	1410,	'CSO1410',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 09:53:45',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(416,	7,	1411,	'CSO1411',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:00:21',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(417,	7,	1412,	'CSO1412',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	31.300,	NULL,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:00:33',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(418,	7,	1413,	'CSO1413',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	1.700,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:05:18',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(419,	7,	1414,	'CSO1414',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:07:25',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(420,	7,	1415,	'CSO1415',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:10:44',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(421,	7,	1416,	'CSO1416',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	7.400,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:12:07',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(422,	7,	1417,	'CSO1417',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	28.600,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:13:59',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(423,	7,	1418,	'CSO1418',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	9.800,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:21:40',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(424,	7,	1419,	'CSO1419',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	11.100,	NULL,	11.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:30:47',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(425,	7,	1420,	'CSO1420',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:31:56',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(426,	7,	1421,	'CSO1421',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	2.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:38:12',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(427,	7,	1422,	'CSO1422',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:38:41',	'2021-04-21 10:43:21',	NULL,	'',	NULL,	1),
(428,	7,	1423,	'CSO1423',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:44:31',	'2021-04-21 10:50:37',	NULL,	'',	NULL,	1),
(429,	7,	1424,	'CSO1424',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	4.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:45:43',	'2021-04-21 11:18:45',	NULL,	'',	NULL,	1),
(430,	7,	1425,	'CSO1425',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	12.400,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 10:57:06',	'2021-04-21 10:58:36',	NULL,	'',	NULL,	1),
(431,	7,	1426,	'CSO1426',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	7.200,	0.200,	7.000,	NULL,	NULL,	'card',	NULL,	'2021-04-21 10:59:11',	'2021-04-21 11:22:00',	NULL,	'',	NULL,	1),
(432,	7,	1427,	'CSO1427',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	559.000,	NULL,	560.000,	NULL,	NULL,	'cash',	'4841',	'2021-04-21 11:03:36',	'2021-04-21 11:22:00',	NULL,	'ABDULLA BEHALA NEAR BATHROOM',	NULL,	1),
(433,	7,	1428,	'CSO1428',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:06:38',	'2021-04-21 11:22:00',	NULL,	'',	NULL,	1),
(434,	7,	1429,	'CSO1429',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:07:52',	'2021-04-21 11:12:14',	NULL,	'',	NULL,	1),
(435,	7,	1430,	'CSO1430',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	10.300,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:13:45',	'2021-04-21 11:21:31',	NULL,	'',	NULL,	1),
(436,	7,	1431,	'CSO1431',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	5.600,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:14:23',	'2021-04-21 11:20:07',	NULL,	'',	NULL,	1),
(437,	7,	1432,	'CSO1432',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	6.800,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:15:03',	'2021-04-21 11:21:08',	NULL,	'',	NULL,	1),
(438,	7,	1433,	'CSO1433',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	47.900,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:17:35',	'2021-04-21 11:22:00',	NULL,	'',	NULL,	1),
(439,	7,	1434,	'CSO1434',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	17.800,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:25:19',	'2021-04-21 11:46:39',	NULL,	'',	NULL,	1),
(440,	7,	1435,	'CSO1435',	224,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	43.400,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:32:13',	'2021-04-21 11:49:53',	NULL,	'',	NULL,	1),
(441,	7,	1436,	'CSO1436',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.520,	0.020,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:33:38',	'2021-04-21 11:51:25',	NULL,	'',	NULL,	1),
(442,	7,	1437,	'CSO1437',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.600,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:35:00',	'2021-04-21 11:51:54',	NULL,	'',	NULL,	1),
(443,	7,	1438,	'CSO1438',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	13.900,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:37:06',	'2021-04-21 11:54:28',	NULL,	'',	NULL,	1),
(444,	7,	1439,	'CSO1439',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:38:38',	'2021-04-21 11:55:28',	NULL,	'',	NULL,	1),
(445,	7,	1440,	'CSO1440',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	4.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:40:02',	'2021-04-21 11:56:14',	NULL,	'',	NULL,	1),
(446,	7,	1441,	'CSO1441',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:41:22',	'2021-04-21 14:40:19',	NULL,	'',	NULL,	1),
(447,	7,	1442,	'CSO1442',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:44:16',	'2021-04-21 14:40:19',	NULL,	'',	NULL,	1),
(448,	7,	1443,	'CSO1443',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'card',	NULL,	'2021-04-21 11:46:13',	'2021-04-21 11:57:04',	NULL,	'',	NULL,	1),
(449,	7,	1444,	'CSO1444',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	52.000,	NULL,	52.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:49:31',	'2021-04-21 11:56:48',	NULL,	'',	NULL,	1),
(450,	7,	1445,	'CSO1445',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	15.700,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:51:50',	'2021-04-21 11:56:25',	NULL,	'',	NULL,	1),
(451,	7,	1446,	'CSO1446',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:52:36',	'2021-04-21 11:55:53',	NULL,	'',	NULL,	1),
(452,	7,	1447,	'CSO1447',	226,	0,	'2021-04-21',	NULL,	NULL,	'2021-04-21',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-21 11:58:01',	'2021-04-21 14:33:57',	NULL,	'',	NULL,	1),
(453,	6,	1448,	'WSO1448',	227,	606,	'2021-04-21',	788,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'22.04.2021',	'2021-04-21 19:05:04',	'2021-04-22 04:31:19',	NULL,	NULL,	NULL,	NULL),
(454,	6,	1449,	'WSO1449',	227,	656,	'2021-04-21',	840,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'22.4.2021',	'2021-04-21 22:19:34',	'2021-04-22 04:32:40',	NULL,	NULL,	NULL,	NULL),
(455,	6,	1450,	'WSO1450',	227,	656,	'2021-04-21',	840,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'22.4.2021',	'2021-04-21 22:21:31',	'2021-04-21 22:21:31',	NULL,	NULL,	NULL,	NULL),
(456,	6,	1451,	'WSO1451',	227,	656,	'2021-04-21',	840,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'22.4.2021',	'2021-04-21 22:22:40',	'2021-04-21 22:22:40',	NULL,	NULL,	NULL,	NULL),
(457,	6,	1452,	'WSO1452',	227,	656,	'2021-04-21',	840,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'22.4.2021',	'2021-04-21 22:24:09',	'2021-04-21 22:24:09',	NULL,	NULL,	NULL,	NULL),
(458,	6,	1453,	'WSO1453',	227,	656,	'2021-04-21',	840,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'22.4.2021',	'2021-04-21 22:25:40',	'2021-04-21 22:25:40',	NULL,	NULL,	NULL,	NULL),
(459,	6,	1454,	'WSO1454',	227,	656,	'2021-04-22',	840,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-22 04:28:20',	'2021-04-22 04:28:20',	NULL,	NULL,	NULL,	NULL),
(460,	6,	1455,	'WSO1455',	227,	656,	'2021-04-22',	840,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-22 04:29:00',	'2021-04-22 04:29:00',	NULL,	NULL,	NULL,	NULL),
(462,	7,	1457,	'CSO1457',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	13.900,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 05:38:42',	'2021-04-22 14:16:42',	NULL,	'',	NULL,	1),
(463,	7,	1458,	'CSO1458',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	25.400,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 06:10:56',	'2021-04-22 14:15:56',	NULL,	'',	NULL,	1),
(464,	7,	1459,	'CSO1459',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 06:17:36',	'2021-04-22 14:14:14',	NULL,	'',	NULL,	1),
(465,	7,	1460,	'CSO1460',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	44.500,	NULL,	44.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 06:26:48',	'2021-04-22 14:07:55',	NULL,	'JALALE CASH',	NULL,	1),
(466,	7,	1461,	'CSO1461',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	12.800,	0.050,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 06:40:31',	'2021-04-22 14:18:42',	NULL,	'',	NULL,	1),
(467,	7,	1462,	'CSO1462',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	3.600,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 06:43:22',	'2021-04-22 14:13:06',	NULL,	'',	NULL,	1),
(468,	7,	1463,	'CSO1463',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 06:47:32',	'2021-04-22 17:46:24',	NULL,	'',	NULL,	1),
(470,	7,	1465,	'CSO1465',	227,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 07:04:06',	'2021-04-22 17:46:18',	NULL,	'',	NULL,	1),
(471,	7,	1466,	'CSO1466',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	40.300,	NULL,	40.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 09:07:45',	'2021-04-22 14:10:19',	NULL,	'',	NULL,	1),
(472,	7,	1467,	'CSO1467',	224,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	82.300,	NULL,	82.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 09:49:23',	'2021-04-22 14:09:31',	NULL,	'',	NULL,	1),
(473,	7,	1468,	'CSO1468',	224,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 10:07:47',	'2021-04-22 14:06:00',	NULL,	'',	NULL,	NULL),
(474,	7,	1469,	'CSO1469',	224,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 10:09:28',	'2021-04-22 14:08:25',	NULL,	'',	NULL,	1),
(478,	7,	1473,	'CSO1473',	226,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-22',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 10:36:59',	'2021-04-22 14:17:34',	NULL,	'',	NULL,	1),
(479,	7,	1474,	'CSO1474',	224,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 12:57:12',	'2021-04-24 18:09:30',	NULL,	'',	NULL,	NULL),
(480,	7,	1475,	'CSO1475',	224,	0,	'2021-04-22',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-22 13:04:52',	'2021-04-24 18:09:38',	NULL,	'',	NULL,	NULL),
(482,	7,	1477,	'CSO1477',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	17.800,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 04:53:59',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(483,	7,	1478,	'CSO1478',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	39.000,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 05:40:40',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(484,	7,	1479,	'CSO1479',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	22.100,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 05:55:48',	'2021-04-24 08:18:34',	NULL,	'M N',	NULL,	1),
(485,	7,	1480,	'CSO1480',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	49.300,	0.300,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:00:03',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(486,	7,	1481,	'CSO1481',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	10.120,	0.120,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:02:54',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(487,	7,	1482,	'CSO1482',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	29.100,	NULL,	29.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:06:10',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(488,	7,	1483,	'CSO1483',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:06:56',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(489,	7,	1484,	'CSO1484',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:08:22',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(490,	7,	1485,	'CSO1485',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	11.800,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:22:06',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(492,	7,	1487,	'CSO1487',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:35:36',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(494,	7,	1489,	'CSO1489',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	175.100,	NULL,	250.000,	NULL,	NULL,	'cash',	'60467',	'2021-04-24 06:50:35',	'2021-04-24 15:40:09',	NULL,	'SHOP 1 PARKING',	NULL,	1),
(495,	7,	1490,	'CSO1490',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 06:56:34',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(496,	7,	1491,	'CSO1491',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	39.300,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 07:12:12',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(497,	7,	1492,	'CSO1492',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	7.000,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 07:20:33',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(498,	7,	1493,	'CSO1493',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 07:31:19',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(499,	7,	1494,	'CSO1494',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 07:46:42',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(500,	7,	1495,	'CSO1495',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	1.800,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 07:48:05',	'2021-04-24 16:59:02',	NULL,	'',	NULL,	NULL),
(501,	7,	1496,	'CSO1496',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	26.400,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 07:49:08',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(502,	7,	1497,	'CSO1497',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	5.800,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:00:30',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(503,	7,	1498,	'CSO1498',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:15:06',	'2021-04-24 08:18:09',	NULL,	'M N',	NULL,	NULL),
(504,	7,	1499,	'CSO1499',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	21.600,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:16:25',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(505,	7,	1500,	'CSO1500',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:19:06',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(506,	7,	1501,	'CSO1501',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	11.800,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:31:14',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(507,	7,	1502,	'CSO1502',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	59.850,	NULL,	59.850,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:33:35',	'2021-04-24 14:17:38',	NULL,	'',	NULL,	1),
(508,	7,	1503,	'CSO1503',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	5.400,	NULL,	20.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:35:49',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(509,	7,	1504,	'CSO1504',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	1.700,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:40:05',	'2021-04-24 15:40:09',	NULL,	'M N',	NULL,	1),
(510,	7,	1505,	'CSO1505',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	11.500,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 08:44:11',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(511,	7,	1506,	'CSO1506',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:19:22',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(512,	7,	1507,	'CSO1507',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:20:59',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(513,	7,	1508,	'CSO1508',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:22:39',	'2021-04-24 18:59:47',	NULL,	'',	NULL,	NULL),
(514,	7,	1509,	'CSO1509',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	9.900,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:32:51',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(515,	7,	1510,	'CSO1510',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	9.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:34:12',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(516,	7,	1511,	'CSO1511',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:39:57',	'2021-04-24 16:39:11',	NULL,	'',	NULL,	NULL),
(517,	7,	1512,	'CSO1512',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:39:57',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(518,	7,	1513,	'CSO1513',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.500,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:40:42',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(519,	7,	1514,	'CSO1514',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	1.100,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 09:43:16',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(521,	7,	1516,	'CSO1516',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	16.800,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:08:28',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(522,	7,	1517,	'CSO1517',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:12:14',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(523,	7,	1518,	'CSO1518',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:16:24',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(524,	7,	1519,	'CSO1519',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	9.700,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:20:34',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(525,	7,	1520,	'CSO1520',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:28:24',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(526,	7,	1521,	'CSO1521',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	5.200,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:30:15',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(527,	7,	1522,	'CSO1522',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	51.600,	NULL,	51.600,	NULL,	NULL,	'card',	NULL,	'2021-04-24 10:37:37',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(528,	7,	1523,	'CSO1523',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	24.200,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:52:44',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(529,	7,	1524,	'CSO1524',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	56.900,	NULL,	60.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 10:57:44',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(530,	7,	1525,	'CSO1525',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	24.500,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:07:19',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(531,	7,	1526,	'CSO1526',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	18.700,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:22:31',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(532,	7,	1527,	'CSO1527',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	34.050,	0.050,	34.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:26:55',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(533,	7,	1528,	'CSO1528',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	22.100,	NULL,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:34:10',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(534,	7,	1529,	'CSO1529',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	98.800,	NULL,	100.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:40:44',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(535,	7,	1530,	'CSO1530',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:44:32',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(536,	7,	1531,	'CSO1531',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	3.600,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:49:15',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(537,	7,	1532,	'CSO1532',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	1.100,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 11:56:25',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	NULL),
(538,	7,	1533,	'CSO1533',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.100,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 12:04:38',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(539,	7,	1534,	'CSO1534',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 12:09:41',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(540,	7,	1535,	'CSO1535',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 12:14:42',	'2021-04-24 15:40:09',	NULL,	'M N\r\nM N',	NULL,	1),
(541,	7,	1536,	'CSO1536',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-24',	'CMP',	0,	NULL,	17.800,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 12:23:36',	'2021-04-24 15:40:09',	NULL,	'',	NULL,	1),
(542,	7,	1537,	'CSO1537',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	4.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 12:49:53',	'2021-04-25 13:39:05',	NULL,	'',	NULL,	NULL),
(543,	7,	1538,	'CSO1538',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	7.800,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 12:59:45',	'2021-04-25 13:38:24',	NULL,	'',	NULL,	NULL),
(544,	7,	1539,	'CSO1539',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	6.900,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 13:02:41',	'2021-04-25 13:38:02',	NULL,	'',	NULL,	NULL),
(545,	7,	1540,	'CSO1540',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	12.700,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 13:05:35',	'2021-04-25 13:39:40',	NULL,	'',	NULL,	NULL),
(546,	7,	1541,	'CSO1541',	226,	0,	'2021-04-24',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	25.150,	0.150,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-24 13:09:07',	'2021-04-25 13:40:01',	NULL,	'',	NULL,	1),
(548,	7,	1543,	'CSO1543',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 05:53:06',	'2021-04-25 13:27:29',	NULL,	'',	NULL,	NULL),
(549,	7,	1544,	'CSO1544',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	27.200,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:02:20',	'2021-04-25 13:56:45',	NULL,	'M N',	NULL,	1),
(550,	7,	1545,	'CSO1545',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	22.700,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:12:09',	'2021-04-25 13:46:47',	NULL,	'M N',	NULL,	1),
(551,	7,	1546,	'CSO1546',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	11.600,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:12:54',	'2021-04-25 13:46:30',	NULL,	'M N',	NULL,	1),
(552,	7,	1547,	'CSO1547',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	2.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:15:31',	'2021-04-25 13:58:31',	NULL,	'M N',	NULL,	1),
(553,	7,	1548,	'CSO1548',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:21:05',	'2021-04-25 13:56:13',	NULL,	'',	NULL,	1),
(554,	7,	1549,	'CSO1549',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:23:52',	'2021-04-25 13:54:59',	NULL,	'M N',	NULL,	1),
(555,	7,	1550,	'CSO1550',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 06:26:38',	'2021-04-25 13:55:28',	NULL,	'',	NULL,	1),
(556,	7,	1551,	'CSO1551',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:00:53',	'2021-04-25 13:54:18',	NULL,	'FEROSE',	NULL,	1),
(557,	7,	1552,	'CSO1552',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:04:42',	'2021-04-25 13:53:42',	NULL,	'',	NULL,	1),
(558,	7,	1553,	'CSO1553',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:13:04',	'2021-04-25 13:53:15',	NULL,	'',	NULL,	1),
(559,	7,	1554,	'CSO1554',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:30:46',	'2021-04-25 13:52:29',	NULL,	'',	NULL,	1),
(560,	7,	1555,	'CSO1555',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:39:50',	'2021-04-25 13:25:14',	NULL,	'',	NULL,	NULL),
(561,	7,	1556,	'CSO1556',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:41:54',	'2021-04-25 13:30:17',	NULL,	'',	NULL,	NULL),
(562,	7,	1557,	'CSO1557',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 07:49:57',	'2021-04-25 13:52:49',	NULL,	'',	NULL,	1),
(563,	7,	1558,	'CSO1558',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	107.500,	NULL,	107.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:01:51',	'2021-04-25 13:51:20',	NULL,	'',	NULL,	1),
(564,	7,	1559,	'CSO1559',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'card',	NULL,	'2021-04-25 08:06:44',	'2021-04-25 13:25:14',	NULL,	'',	NULL,	NULL),
(565,	7,	1560,	'CSO1560',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:07:48',	'2021-04-25 13:45:48',	NULL,	'',	NULL,	1),
(566,	7,	1561,	'CSO1561',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	13.500,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:26:22',	'2021-04-25 13:50:50',	NULL,	'',	NULL,	1),
(567,	7,	1562,	'CSO1562',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	24.300,	NULL,	24.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:29:07',	'2021-04-25 13:50:25',	NULL,	'',	NULL,	1),
(568,	7,	1563,	'CSO1563',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	15.700,	NULL,	15.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:33:03',	'2021-04-25 13:49:53',	NULL,	'',	NULL,	1),
(569,	7,	1564,	'CSO1564',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:39:41',	'2021-04-25 13:27:16',	NULL,	'',	NULL,	1),
(570,	7,	1565,	'CSO1565',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:44:19',	'2021-04-25 13:49:19',	NULL,	'',	NULL,	1),
(571,	7,	1566,	'CSO1566',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 08:48:50',	'2021-04-25 13:26:44',	NULL,	'',	NULL,	1),
(572,	7,	1567,	'CSO1567',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:05:08',	'2021-04-25 13:28:54',	NULL,	'',	NULL,	NULL),
(573,	7,	1568,	'CSO1568',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	83.000,	NULL,	83.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:17:20',	'2021-04-25 13:48:50',	NULL,	'',	NULL,	1),
(574,	7,	1569,	'CSO1569',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:23:38',	'2021-04-25 13:29:51',	NULL,	'',	NULL,	NULL),
(575,	7,	1570,	'CSO1570',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	82.000,	NULL,	82.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:25:35',	'2021-04-25 13:29:25',	NULL,	'',	NULL,	NULL),
(576,	7,	1571,	'CSO1571',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:43:27',	'2021-04-25 13:48:17',	NULL,	'',	NULL,	1),
(577,	7,	1572,	'CSO1572',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	16.250,	NULL,	16.250,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:48:26',	'2021-04-25 13:33:12',	NULL,	'',	NULL,	1),
(578,	7,	1573,	'CSO1573',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:51:00',	'2021-04-25 13:43:17',	NULL,	'',	NULL,	1),
(579,	7,	1574,	'CSO1574',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	13.100,	NULL,	13.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:51:45',	'2021-04-25 13:42:31',	NULL,	'',	NULL,	1),
(580,	7,	1575,	'CSO1575',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:52:59',	'2021-04-25 13:42:01',	NULL,	'',	NULL,	1),
(581,	7,	1576,	'CSO1576',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 09:55:31',	'2021-04-25 13:41:21',	NULL,	'',	NULL,	1),
(582,	7,	1577,	'CSO1577',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:01:36',	'2021-04-25 13:40:49',	NULL,	'',	NULL,	1),
(583,	7,	1578,	'CSO1578',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	35.000,	NULL,	35.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:04:07',	'2021-04-25 13:48:01',	NULL,	'A',	NULL,	1),
(584,	7,	1579,	'CSO1579',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:08:51',	'2021-04-25 13:47:31',	NULL,	'',	NULL,	1),
(585,	7,	1580,	'CSO1580',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	23.200,	NULL,	23.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:11:22',	'2021-04-25 13:47:10',	NULL,	'',	NULL,	1),
(586,	7,	1581,	'CSO1581',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:12:36',	'2021-04-25 13:45:00',	NULL,	'',	NULL,	1),
(587,	7,	1582,	'CSO1582',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:15:45',	'2021-04-25 13:36:44',	NULL,	'',	NULL,	NULL),
(588,	7,	1583,	'CSO1583',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:18:41',	'2021-04-25 13:58:54',	NULL,	'',	NULL,	1),
(589,	7,	1584,	'CSO1584',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	92.000,	NULL,	92.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:20:58',	'2021-04-25 13:58:54',	NULL,	'',	NULL,	NULL),
(590,	7,	1585,	'CSO1585',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:21:32',	'2021-04-25 13:45:21',	NULL,	'',	NULL,	1),
(591,	7,	1586,	'CSO1586',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	44.600,	NULL,	44.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:22:15',	'2021-04-25 13:34:47',	NULL,	'',	NULL,	NULL),
(592,	7,	1587,	'CSO1587',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:25:01',	'2021-04-25 13:32:02',	NULL,	'',	NULL,	NULL),
(593,	7,	1588,	'CSO1588',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:27:52',	'2021-04-25 13:33:35',	NULL,	'',	NULL,	1),
(594,	7,	1589,	'CSO1589',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:29:26',	'2021-04-25 13:58:54',	NULL,	'',	NULL,	1),
(595,	7,	1590,	'CSO1590',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	184.000,	NULL,	184.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:34:41',	'2021-04-25 13:34:23',	NULL,	'',	NULL,	NULL),
(596,	7,	1591,	'CSO1591',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	20.200,	NULL,	20.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:50:41',	'2021-04-25 13:36:16',	NULL,	'',	NULL,	1),
(597,	7,	1592,	'CSO1592',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	29.500,	NULL,	29.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 10:54:01',	'2021-04-25 13:30:41',	NULL,	'',	NULL,	NULL),
(598,	7,	1593,	'CSO1593',	226,	0,	'2021-04-25',	NULL,	NULL,	'2021-04-25',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-25 11:00:28',	'2021-04-25 13:33:59',	NULL,	'',	NULL,	NULL),
(601,	7,	1596,	'CSO1596',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	20.200,	NULL,	20.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 05:18:18',	'2021-04-26 11:54:20',	NULL,	'',	NULL,	1),
(602,	7,	1597,	'CSO1597',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	3.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 05:23:38',	'2021-04-26 12:27:33',	NULL,	'',	NULL,	1),
(603,	7,	1598,	'CSO1598',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	4.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 05:50:51',	'2021-04-26 12:24:09',	NULL,	'',	NULL,	1),
(604,	7,	1599,	'CSO1599',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 05:51:51',	'2021-04-26 12:23:49',	NULL,	'',	NULL,	1),
(605,	7,	1600,	'CSO1600',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	69.200,	0.200,	69.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 06:50:35',	'2021-04-26 12:23:56',	NULL,	'',	NULL,	1),
(606,	7,	1601,	'CSO1601',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 06:53:16',	'2021-04-26 12:24:02',	NULL,	'',	NULL,	1),
(607,	7,	1602,	'CSO1602',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:06:32',	'2021-04-26 12:23:40',	NULL,	'',	NULL,	1),
(608,	7,	1603,	'CSO1603',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	39.300,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:09:32',	'2021-04-26 12:23:32',	NULL,	'',	NULL,	1),
(609,	7,	1604,	'CSO1604',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	4.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:12:05',	'2021-04-26 12:23:24',	NULL,	'',	NULL,	1),
(610,	7,	1605,	'CSO1605',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	52.500,	NULL,	52.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:18:05',	'2021-04-26 14:12:08',	NULL,	'',	NULL,	NULL),
(611,	7,	1606,	'CSO1606',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	13.100,	NULL,	13.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:28:56',	'2021-04-26 12:29:57',	NULL,	'',	NULL,	1),
(612,	7,	1607,	'CSO1607',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	27.200,	NULL,	27.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:31:18',	'2021-04-26 12:33:38',	NULL,	'',	NULL,	NULL),
(613,	7,	1608,	'CSO1608',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:32:40',	'2021-04-26 12:29:37',	NULL,	'',	NULL,	1),
(614,	7,	1609,	'CSO1609',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:34:28',	'2021-04-26 12:27:12',	NULL,	'',	NULL,	1),
(615,	7,	1610,	'CSO1610',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	29.400,	NULL,	29.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:38:59',	'2021-04-26 12:24:43',	NULL,	'',	NULL,	1),
(616,	7,	1611,	'CSO1611',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:40:38',	'2021-04-26 12:23:16',	NULL,	'',	NULL,	1),
(617,	7,	1612,	'CSO1612',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	17.000,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:42:51',	'2021-04-26 12:29:19',	NULL,	'',	NULL,	1),
(618,	7,	1613,	'CSO1613',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:51:11',	'2021-04-26 12:26:23',	NULL,	'',	NULL,	1),
(619,	7,	1614,	'CSO1614',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 07:57:36',	'2021-04-26 12:26:07',	NULL,	'',	NULL,	1),
(620,	7,	1615,	'CSO1615',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:04:13',	'2021-04-26 12:26:42',	NULL,	'',	NULL,	1),
(621,	7,	1616,	'CSO1616',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	37.000,	NULL,	37.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:13:05',	'2021-04-26 12:32:17',	NULL,	'JALALE CASH',	NULL,	1),
(622,	7,	1617,	'CSO1617',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:24:15',	'2021-04-26 12:29:01',	NULL,	'',	NULL,	1),
(623,	7,	1618,	'CSO1618',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:26:20',	'2021-04-26 12:27:52',	NULL,	'',	NULL,	1),
(624,	7,	1619,	'CSO1619',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:29:50',	'2021-04-26 12:32:41',	NULL,	'',	NULL,	NULL),
(625,	7,	1620,	'CSO1620',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	12.300,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:49:46',	'2021-04-26 12:28:32',	NULL,	'',	NULL,	1),
(626,	7,	1621,	'CSO1621',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 08:55:55',	'2021-04-26 12:28:13',	NULL,	'',	NULL,	1),
(627,	7,	1622,	'CSO1622',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:02:48',	'2021-04-26 12:24:15',	NULL,	'',	NULL,	1),
(628,	7,	1623,	'CSO1623',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	15.560,	0.060,	15.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:05:41',	'2021-04-26 12:24:22',	NULL,	'',	NULL,	1),
(629,	7,	1624,	'CSO1624',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	9.300,	NULL,	9.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:07:02',	'2021-04-26 12:22:35',	NULL,	'',	NULL,	1),
(630,	7,	1625,	'CSO1625',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:10:18',	'2021-04-26 12:22:15',	NULL,	'',	NULL,	1),
(631,	7,	1626,	'CSO1626',	226,	0,	'2021-04-26',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-26 09:17:47',	'2021-04-26 09:17:47',	NULL,	'',	NULL,	NULL),
(632,	7,	1627,	'CSO1627',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:18:22',	'2021-04-26 12:20:55',	NULL,	'',	NULL,	1),
(633,	7,	1628,	'CSO1628',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	8.750,	NULL,	8.750,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:22:47',	'2021-04-26 12:21:49',	NULL,	'',	NULL,	1),
(634,	7,	1629,	'CSO1629',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:24:25',	'2021-04-26 12:21:15',	NULL,	'',	NULL,	1),
(635,	7,	1630,	'CSO1630',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:25:01',	'2021-04-26 11:59:32',	NULL,	'',	NULL,	1),
(636,	7,	1631,	'CSO1631',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:28:09',	'2021-04-26 12:19:19',	NULL,	'',	NULL,	1),
(637,	7,	1632,	'CSO1632',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:31:45',	'2021-04-26 11:58:32',	NULL,	'',	NULL,	1),
(638,	7,	1633,	'CSO1633',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	46.800,	NULL,	50.000,	NULL,	NULL,	'cash',	'2757',	'2021-04-26 09:35:12',	'2021-04-26 11:57:40',	NULL,	'NAZAR BARKA',	NULL,	1),
(639,	7,	1634,	'CSO1634',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:36:10',	'2021-04-26 12:35:23',	NULL,	'',	NULL,	NULL),
(640,	7,	1635,	'CSO1635',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	74.400,	NULL,	74.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:41:21',	'2021-04-26 11:56:50',	NULL,	'',	NULL,	1),
(641,	7,	1636,	'CSO1636',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:54:31',	'2021-04-26 12:33:14',	NULL,	'',	NULL,	NULL),
(642,	7,	1637,	'CSO1637',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	7.200,	0.100,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 09:56:58',	'2021-04-26 12:34:49',	NULL,	'',	NULL,	1),
(643,	7,	1638,	'CSO1638',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 10:01:32',	'2021-04-26 12:31:31',	NULL,	'',	NULL,	NULL),
(644,	7,	1639,	'CSO1639',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 10:01:45',	'2021-04-26 11:56:09',	NULL,	'',	NULL,	1),
(645,	7,	1640,	'CSO1640',	226,	0,	'2021-04-26',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-26 10:24:58',	'2021-04-26 10:24:58',	NULL,	'',	NULL,	NULL),
(646,	7,	1641,	'CSO1641',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 10:33:46',	'2021-04-26 11:54:49',	NULL,	'',	NULL,	1),
(647,	7,	1642,	'CSO1642',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 10:55:14',	'2021-04-26 12:31:52',	NULL,	'',	NULL,	NULL),
(648,	7,	1643,	'CSO1643',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 11:24:04',	'2021-04-26 12:31:00',	NULL,	'',	NULL,	1),
(649,	7,	1644,	'CSO1644',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-26',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 11:28:11',	'2021-04-26 12:33:58',	NULL,	'',	NULL,	NULL),
(650,	7,	1645,	'CSO1645',	226,	0,	'2021-04-26',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	8.800,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-26 11:41:25',	'2021-04-27 06:45:38',	NULL,	'',	NULL,	1),
(652,	7,	1647,	'CSO1647',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	12.300,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 05:44:40',	'2021-04-27 09:50:32',	NULL,	'',	NULL,	NULL),
(653,	7,	1648,	'CSO1648',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	32.100,	NULL,	32.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 05:47:03',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(654,	7,	1649,	'CSO1649',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	65.400,	0.400,	65.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 06:00:20',	'2021-04-27 10:12:57',	NULL,	'JALALE CASH',	NULL,	1),
(655,	7,	1650,	'CSO1650',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 06:19:07',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(656,	7,	1651,	'CSO1651',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.900,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 06:42:37',	'2021-04-27 09:53:24',	NULL,	'',	NULL,	NULL),
(657,	7,	1652,	'CSO1652',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	17.600,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 06:52:39',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(658,	7,	1653,	'CSO1653',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	20.400,	NULL,	20.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 06:57:22',	'2021-04-27 09:48:38',	NULL,	'',	NULL,	NULL),
(659,	7,	1654,	'CSO1654',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:01:03',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(660,	7,	1655,	'CSO1655',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	45.500,	NULL,	50.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:03:45',	'2021-04-27 09:48:17',	NULL,	'',	NULL,	NULL),
(661,	7,	1656,	'CSO1656',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:10:16',	'2021-04-27 09:44:36',	NULL,	'',	NULL,	NULL),
(662,	7,	1657,	'CSO1657',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:14:22',	'2021-04-27 12:42:53',	NULL,	'',	NULL,	1),
(663,	7,	1658,	'CSO1658',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	9.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:18:27',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(664,	7,	1659,	'CSO1659',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:30:12',	'2021-04-27 12:42:19',	NULL,	'',	NULL,	1),
(665,	7,	1660,	'CSO1660',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:34:19',	'2021-04-27 10:57:55',	NULL,	'',	NULL,	1),
(666,	7,	1661,	'CSO1661',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	25.800,	NULL,	25.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:36:26',	'2021-04-27 10:57:29',	NULL,	'',	NULL,	1),
(667,	7,	1662,	'CSO1662',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:42:25',	'2021-04-27 09:43:07',	NULL,	'',	NULL,	NULL),
(668,	7,	1663,	'CSO1663',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	5.700,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:43:40',	'2021-04-27 12:41:37',	NULL,	'',	NULL,	1),
(669,	7,	1664,	'CSO1664',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	6.200,	0.200,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:44:29',	'2021-04-27 12:43:15',	NULL,	'',	NULL,	1),
(670,	7,	1665,	'CSO1665',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:48:50',	'2021-04-27 09:44:14',	NULL,	'',	NULL,	NULL),
(671,	7,	1666,	'CSO1666',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.900,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 07:56:51',	'2021-04-27 12:41:54',	NULL,	'',	NULL,	1),
(672,	7,	1667,	'CSO1667',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:06:52',	'2021-04-27 09:46:36',	NULL,	'',	NULL,	NULL),
(673,	7,	1668,	'CSO1668',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	81.200,	0.200,	81.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:07:08',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(674,	7,	1669,	'CSO1669',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	7.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:08:55',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(675,	7,	1670,	'CSO1670',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	70.000,	NULL,	70.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:16:08',	'2021-04-27 10:11:39',	NULL,	'',	NULL,	NULL),
(676,	7,	1671,	'CSO1671',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:26:46',	'2021-04-27 09:45:25',	NULL,	'',	NULL,	NULL),
(677,	7,	1672,	'CSO1672',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	41.700,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:33:15',	'2021-04-27 09:45:02',	NULL,	'',	NULL,	NULL),
(678,	7,	1673,	'CSO1673',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	28.200,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:42:20',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(679,	7,	1674,	'CSO1674',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:43:33',	'2021-04-27 09:43:53',	NULL,	'',	NULL,	NULL),
(680,	7,	1675,	'CSO1675',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:44:13',	'2021-04-27 10:08:41',	NULL,	'',	NULL,	NULL),
(681,	7,	1676,	'CSO1676',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:49:55',	'2021-04-27 09:46:50',	NULL,	'',	NULL,	NULL),
(682,	7,	1677,	'CSO1677',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.200,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 08:59:55',	'2021-04-27 09:45:50',	NULL,	'',	NULL,	NULL),
(683,	7,	1678,	'CSO1678',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	37.900,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:08:34',	'2021-04-27 09:47:34',	NULL,	'',	NULL,	1),
(684,	7,	1679,	'CSO1679',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:10:57',	'2021-04-27 10:10:57',	NULL,	'',	NULL,	1),
(685,	7,	1680,	'CSO1680',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	36.600,	NULL,	50.000,	NULL,	NULL,	'cash',	'2757',	'2021-04-27 09:13:43',	'2021-04-27 11:05:17',	NULL,	'NAZAR BARKA',	NULL,	1),
(686,	7,	1681,	'CSO1681',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	11.100,	0.100,	11.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:14:18',	'2021-04-27 10:12:21',	NULL,	'',	NULL,	NULL),
(687,	7,	1682,	'CSO1682',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	7.800,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:24:29',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(688,	7,	1683,	'CSO1683',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:24:46',	'2021-04-27 10:09:32',	NULL,	'',	NULL,	1),
(689,	7,	1684,	'CSO1684',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.080,	0.100,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:27:44',	'2021-04-27 10:10:25',	NULL,	'',	NULL,	NULL),
(690,	7,	1685,	'CSO1685',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:29:09',	'2021-04-27 10:09:04',	NULL,	'',	NULL,	NULL),
(691,	7,	1686,	'CSO1686',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:32:02',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(692,	7,	1687,	'CSO1687',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.700,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:34:40',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(693,	7,	1688,	'CSO1688',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:36:32',	'2021-04-27 11:07:09',	NULL,	'',	NULL,	1),
(694,	7,	1689,	'CSO1689',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	17.700,	NULL,	17.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:43:01',	'2021-04-27 11:07:09',	NULL,	'NOORU',	NULL,	NULL),
(695,	7,	1690,	'CSO1690',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:48:16',	'2021-04-27 09:49:44',	NULL,	'',	NULL,	NULL),
(696,	7,	1691,	'CSO1691',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	7.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 09:50:07',	'2021-04-27 10:57:29',	NULL,	'',	NULL,	1),
(697,	7,	1692,	'CSO1692',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:01:27',	'2021-04-27 10:56:57',	NULL,	'',	NULL,	1),
(698,	7,	1693,	'CSO1693',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	7.900,	NULL,	7.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:02:01',	'2021-04-27 10:16:07',	NULL,	'',	NULL,	NULL),
(699,	7,	1694,	'CSO1694',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:03:02',	'2021-04-27 10:14:20',	NULL,	'',	NULL,	NULL),
(700,	7,	1695,	'CSO1695',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	19.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:05:02',	'2021-04-27 10:56:57',	NULL,	'',	NULL,	1),
(701,	7,	1696,	'CSO1696',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.990,	NULL,	2.990,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:09:41',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(702,	7,	1697,	'CSO1697',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	38.000,	NULL,	38.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:13:13',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(703,	7,	1698,	'CSO1698',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	10.200,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:15:23',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(704,	7,	1699,	'CSO1699',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:23:39',	'2021-04-27 10:46:38',	NULL,	'',	NULL,	NULL),
(705,	7,	1700,	'CSO1700',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	49.200,	0.700,	48.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:26:49',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(706,	7,	1701,	'CSO1701',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:31:05',	'2021-04-27 10:46:59',	NULL,	'',	NULL,	NULL),
(707,	7,	1702,	'CSO1702',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'card',	NULL,	'2021-04-27 10:32:02',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(708,	7,	1703,	'CSO1703',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	11.200,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:33:37',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(709,	7,	1704,	'CSO1704',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	23.600,	0.600,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:38:57',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(710,	7,	1705,	'CSO1705',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:40:51',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(711,	7,	1706,	'CSO1706',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:41:43',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(712,	7,	1707,	'CSO1707',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	6.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:47:43',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(713,	7,	1708,	'CSO1708',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:52:03',	'2021-04-27 10:53:18',	NULL,	'',	NULL,	1),
(714,	7,	1709,	'CSO1709',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.220,	0.020,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:53:46',	'2021-04-27 10:55:55',	NULL,	'',	NULL,	1),
(715,	7,	1710,	'CSO1710',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	20.600,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:56:51',	'2021-04-27 11:05:17',	NULL,	'',	NULL,	1),
(716,	7,	1711,	'CSO1711',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	3.500,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 10:57:31',	'2021-04-27 10:58:51',	NULL,	'',	NULL,	1),
(717,	7,	1712,	'CSO1712',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	8.500,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 11:06:33',	'2021-04-27 11:10:34',	NULL,	'',	NULL,	1),
(718,	7,	1713,	'CSO1713',	226,	0,	'2021-04-27',	NULL,	NULL,	'2021-04-27',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-27 11:08:19',	'2021-04-27 11:10:06',	NULL,	'',	NULL,	NULL),
(722,	6,	1717,	'WSO1717',	225,	1553,	'2021-04-27',	2037,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-27 17:38:07',	'2021-04-27 17:38:07',	NULL,	NULL,	NULL,	NULL),
(733,	6,	1728,	'WSO1728',	224,	78,	'2021-04-27',	93,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-27 18:31:15',	'2021-04-27 18:31:15',	NULL,	NULL,	NULL,	NULL),
(737,	6,	1732,	'WSO1732',	224,	703,	'2021-04-27',	942,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-27 19:11:25',	'2021-04-27 19:11:25',	NULL,	NULL,	NULL,	NULL),
(740,	6,	1735,	'WSO1735',	224,	703,	'2021-04-27',	941,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-27 19:25:51',	'2021-04-27 19:25:51',	NULL,	NULL,	NULL,	NULL),
(749,	7,	1744,	'CSO1744',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	15.300,	NULL,	15.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 05:47:04',	'2021-04-28 11:05:41',	NULL,	'',	NULL,	1),
(750,	7,	1745,	'CSO1745',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	94.000,	NULL,	100.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 06:21:32',	'2021-04-28 10:46:40',	NULL,	'',	NULL,	1),
(754,	7,	1749,	'CSO1749',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:00:31',	'2021-04-28 11:05:41',	NULL,	'',	NULL,	1),
(755,	7,	1750,	'CSO1750',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:03:35',	'2021-04-28 11:06:10',	NULL,	'',	NULL,	1),
(756,	7,	1751,	'CSO1751',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.150,	0.150,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:09:06',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(757,	7,	1752,	'CSO1752',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	6.800,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:13:21',	'2021-04-28 10:46:40',	NULL,	'',	NULL,	1),
(758,	7,	1753,	'CSO1753',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	5.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:40:34',	'2021-04-28 10:46:40',	NULL,	'MAHEEN',	NULL,	1),
(759,	7,	1754,	'CSO1754',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	14.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:41:45',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(760,	7,	1755,	'CSO1755',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 07:58:15',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(761,	7,	1756,	'CSO1756',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	30.850,	0.250,	30.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:00:28',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(762,	7,	1757,	'CSO1757',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	0.750,	0.050,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:01:59',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(763,	7,	1758,	'CSO1758',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:04:54',	'2021-04-28 10:47:44',	NULL,	'',	NULL,	1),
(764,	7,	1759,	'CSO1759',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:29:38',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(765,	7,	1760,	'CSO1760',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	2.700,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:35:00',	'2021-04-28 10:46:40',	NULL,	'',	NULL,	1),
(766,	7,	1761,	'CSO1761',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'card',	NULL,	'2021-04-28 08:39:10',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	1),
(767,	7,	1762,	'CSO1762',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:45:51',	'2021-04-28 11:06:42',	NULL,	'',	NULL,	1),
(768,	7,	1763,	'CSO1763',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 08:50:17',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	NULL),
(769,	7,	1764,	'CSO1764',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	5.050,	0.050,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 09:11:08',	'2021-04-28 11:03:18',	NULL,	'',	NULL,	NULL),
(770,	7,	1765,	'CSO1765',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	9.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 09:30:44',	'2021-04-28 10:45:05',	NULL,	'',	NULL,	1),
(771,	7,	1766,	'CSO1766',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	7.500,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 09:35:36',	'2021-04-28 10:45:05',	NULL,	'',	NULL,	1),
(772,	7,	1767,	'CSO1767',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 09:36:55',	'2021-04-28 10:45:05',	NULL,	'',	NULL,	1),
(773,	7,	1768,	'CSO1768',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	140.800,	NULL,	140.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 09:41:46',	'2021-04-28 10:45:05',	NULL,	'',	NULL,	1),
(774,	7,	1769,	'CSO1769',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 09:48:49',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	NULL),
(775,	7,	1770,	'CSO1770',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	6.500,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:01:16',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	NULL),
(776,	7,	1771,	'CSO1771',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	1.701,	0.001,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:05:00',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	NULL),
(777,	7,	1772,	'CSO1772',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:07:01',	'2021-04-28 11:04:41',	NULL,	'',	NULL,	NULL),
(778,	7,	1773,	'CSO1773',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	53.700,	NULL,	53.700,	NULL,	NULL,	'card',	NULL,	'2021-04-28 10:08:56',	'2021-04-28 10:43:28',	NULL,	'',	NULL,	1),
(779,	7,	1774,	'CSO1774',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	13.600,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:13:32',	'2021-04-28 10:43:28',	NULL,	'',	NULL,	1),
(780,	7,	1775,	'CSO1775',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	6.160,	0.060,	6.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:14:03',	'2021-04-28 10:43:28',	NULL,	'',	NULL,	1),
(781,	7,	1776,	'CSO1776',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	15.438,	0.038,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:16:16',	'2021-04-28 10:43:28',	NULL,	'',	NULL,	1),
(782,	7,	1777,	'CSO1777',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	11.800,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:24:20',	'2021-04-28 10:26:43',	NULL,	'',	NULL,	1),
(783,	7,	1778,	'CSO1778',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:25:09',	'2021-04-28 10:42:01',	NULL,	'',	NULL,	1),
(784,	7,	1779,	'CSO1779',	224,	0,	'2021-04-28',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-28 10:26:38',	'2021-04-28 10:26:38',	NULL,	'',	NULL,	NULL),
(785,	7,	1780,	'CSO1780',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	38.340,	0.040,	38.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:28:45',	'2021-04-28 10:42:01',	NULL,	'',	NULL,	1),
(786,	7,	1781,	'CSO1781',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	14.500,	NULL,	14.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:32:48',	'2021-04-28 10:42:01',	NULL,	'',	NULL,	1),
(787,	7,	1782,	'CSO1782',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	23.780,	0.080,	23.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:37:23',	'2021-04-28 10:42:01',	NULL,	'',	NULL,	1),
(788,	7,	1783,	'CSO1783',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	6.400,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 10:57:29',	'2021-04-28 10:59:27',	NULL,	'',	NULL,	1),
(789,	7,	1784,	'CSO1784',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:06:59',	'2021-04-28 13:29:59',	NULL,	'',	NULL,	1),
(790,	7,	1785,	'CSO1785',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	4.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:08:15',	'2021-04-28 13:29:59',	NULL,	'',	NULL,	1),
(791,	7,	1786,	'CSO1786',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:11:46',	'2021-04-28 13:29:59',	NULL,	'',	NULL,	1),
(792,	7,	1787,	'CSO1787',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:12:33',	'2021-04-28 13:29:59',	NULL,	'',	NULL,	1),
(793,	7,	1788,	'CSO1788',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	7.190,	0.090,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:14:47',	'2021-04-28 13:29:59',	NULL,	'',	NULL,	1),
(794,	7,	1789,	'CSO1789',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	1.140,	40.000,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:17:42',	'2021-04-28 13:25:32',	NULL,	'',	NULL,	1),
(795,	7,	1790,	'CSO1790',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	5.130,	0.130,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:18:48',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(796,	7,	1791,	'CSO1791',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:25:18',	'2021-04-28 13:29:59',	NULL,	'',	NULL,	NULL),
(797,	7,	1792,	'CSO1792',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:26:19',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(798,	7,	1793,	'CSO1793',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	16.600,	0.200,	16.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:30:48',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(799,	7,	1794,	'CSO1794',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.800,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:32:43',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(800,	7,	1795,	'CSO1795',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	8.700,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:33:24',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(801,	7,	1796,	'CSO1796',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	64.000,	NULL,	70.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:35:39',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(802,	7,	1797,	'CSO1797',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	16.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:38:20',	'2021-04-28 12:14:25',	NULL,	'',	NULL,	1),
(803,	7,	1798,	'CSO1798',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	37.800,	NULL,	38.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:53:25',	'2021-04-28 12:14:05',	NULL,	'',	NULL,	1),
(804,	7,	1799,	'CSO1799',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	5.800,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:54:10',	'2021-04-28 12:14:05',	NULL,	'',	NULL,	1),
(805,	7,	1800,	'CSO1800',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:58:12',	'2021-04-28 12:14:05',	NULL,	'',	NULL,	1),
(806,	7,	1801,	'CSO1801',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	14.800,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 11:58:53',	'2021-04-28 12:14:05',	NULL,	'',	NULL,	1),
(807,	7,	1802,	'CSO1802',	226,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.500,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:01:22',	'2021-04-28 12:14:06',	NULL,	'',	NULL,	NULL),
(808,	7,	1803,	'CSO1803',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	13.385,	0.085,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:02:22',	'2021-04-28 12:14:06',	NULL,	'',	NULL,	1),
(809,	7,	1804,	'CSO1804',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	28.900,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:05:27',	'2021-04-28 12:14:06',	NULL,	'',	NULL,	1),
(810,	7,	1805,	'CSO1805',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	13.500,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:06:39',	'2021-04-28 12:12:15',	NULL,	'',	NULL,	1),
(811,	7,	1806,	'CSO1806',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	6.400,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:14:56',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(812,	7,	1807,	'CSO1807',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:17:32',	'2021-04-28 12:53:25',	NULL,	'',	NULL,	1),
(813,	7,	1808,	'CSO1808',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:18:51',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(814,	7,	1809,	'CSO1809',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	2.400,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:19:21',	'2021-04-28 12:52:48',	NULL,	'',	NULL,	1),
(815,	7,	1810,	'CSO1810',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	3.600,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:19:54',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(816,	7,	1811,	'CSO1811',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:22:09',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(817,	7,	1812,	'CSO1812',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	4.095,	0.095,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:28:17',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(818,	7,	1813,	'CSO1813',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-28',	'CMP',	0,	NULL,	16.100,	NULL,	16.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 12:49:05',	'2021-04-28 13:24:56',	NULL,	'',	NULL,	1),
(819,	7,	1814,	'CSO1814',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:12:52',	'2021-04-29 12:29:29',	NULL,	'',	NULL,	NULL),
(820,	7,	1815,	'CSO1815',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:13:25',	'2021-04-29 12:28:13',	NULL,	'',	NULL,	1),
(821,	7,	1816,	'CSO1816',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	29.400,	NULL,	29.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:19:54',	'2021-04-29 12:36:42',	NULL,	'',	NULL,	1),
(822,	7,	1817,	'CSO1817',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:25:56',	'2021-04-29 12:36:16',	NULL,	'',	NULL,	NULL),
(823,	7,	1818,	'CSO1818',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:26:49',	'2021-04-29 12:35:50',	NULL,	'',	NULL,	1),
(824,	7,	1819,	'CSO1819',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:28:01',	'2021-04-29 12:35:32',	NULL,	'',	NULL,	1),
(825,	7,	1820,	'CSO1820',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:37:06',	'2021-04-29 12:34:22',	NULL,	'',	NULL,	1),
(826,	7,	1821,	'CSO1821',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:39:39',	'2021-04-29 12:35:08',	NULL,	'',	NULL,	1),
(827,	7,	1822,	'CSO1822',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	11.900,	NULL,	11.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:42:12',	'2021-04-29 12:34:47',	NULL,	'',	NULL,	1),
(828,	7,	1823,	'CSO1823',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	11.200,	NULL,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:44:41',	'2021-04-29 12:34:03',	NULL,	'',	NULL,	1),
(829,	7,	1824,	'CSO1824',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:46:49',	'2021-04-29 12:30:24',	NULL,	'',	NULL,	1),
(830,	7,	1825,	'CSO1825',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	14.700,	NULL,	14.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 15:56:29',	'2021-04-29 12:30:03',	NULL,	'',	NULL,	1),
(831,	7,	1826,	'CSO1826',	224,	0,	'2021-04-28',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-28 16:17:02',	'2021-04-28 16:17:02',	NULL,	'',	NULL,	NULL),
(832,	7,	1827,	'CSO1827',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	51.238,	NULL,	52.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:26:39',	'2021-04-29 12:30:51',	NULL,	'',	NULL,	1),
(833,	7,	1828,	'CSO1828',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:29:53',	'2021-04-29 12:31:49',	NULL,	'',	NULL,	1),
(834,	7,	1829,	'CSO1829',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:31:03',	'2021-04-29 12:32:41',	NULL,	'',	NULL,	1),
(835,	7,	1830,	'CSO1830',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:36:06',	'2021-04-29 12:32:16',	NULL,	'',	NULL,	NULL),
(836,	7,	1831,	'CSO1831',	226,	0,	'2021-04-28',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-28 16:38:58',	'2021-04-28 16:38:58',	NULL,	'',	NULL,	NULL),
(837,	7,	1832,	'CSO1832',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	18.600,	NULL,	18.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:48:14',	'2021-04-29 12:33:02',	NULL,	'',	NULL,	1),
(838,	7,	1833,	'CSO1833',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:55:19',	'2021-04-29 12:33:20',	NULL,	'',	NULL,	1),
(839,	7,	1834,	'CSO1834',	224,	0,	'2021-04-28',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-28 16:56:15',	'2021-04-29 12:33:37',	NULL,	'',	NULL,	1),
(840,	7,	1835,	'CSO1835',	224,	0,	'2021-04-29',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-29 04:41:52',	'2021-04-29 04:41:52',	NULL,	'M N',	NULL,	NULL),
(841,	7,	1836,	'CSO1836',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 04:53:54',	'2021-04-29 13:47:09',	NULL,	'',	NULL,	NULL),
(842,	7,	1837,	'CSO1837',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	32.000,	NULL,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 05:37:49',	'2021-04-29 12:45:46',	NULL,	'',	NULL,	1),
(843,	7,	1838,	'CSO1838',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 05:45:31',	'2021-04-29 13:46:46',	NULL,	'',	NULL,	NULL),
(844,	7,	1839,	'CSO1839',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	19.600,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:02:22',	'2021-04-29 13:37:32',	NULL,	'M N',	NULL,	1),
(845,	7,	1840,	'CSO1840',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:05:15',	'2021-04-29 13:36:33',	NULL,	'',	NULL,	1),
(846,	7,	1841,	'CSO1841',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:08:30',	'2021-04-29 13:35:43',	NULL,	'',	NULL,	1),
(847,	7,	1842,	'CSO1842',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:18:01',	'2021-04-29 13:36:05',	NULL,	'',	NULL,	1),
(848,	7,	1843,	'CSO1843',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	100.500,	NULL,	100.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:28:27',	'2021-04-29 13:40:35',	NULL,	'',	NULL,	NULL),
(849,	7,	1844,	'CSO1844',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	12.320,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:29:34',	'2021-04-29 13:46:24',	NULL,	'',	NULL,	NULL),
(850,	7,	1845,	'CSO1845',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:39:13',	'2021-04-29 13:35:23',	NULL,	'',	NULL,	1),
(851,	7,	1846,	'CSO1846',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:40:47',	'2021-04-29 13:34:52',	NULL,	'',	NULL,	1),
(852,	7,	1847,	'CSO1847',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:49:32',	'2021-04-29 13:38:21',	NULL,	'',	NULL,	1),
(853,	7,	1848,	'CSO1848',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:57:02',	'2021-04-29 12:47:01',	NULL,	'',	NULL,	1),
(854,	7,	1849,	'CSO1849',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 06:58:54',	'2021-04-29 12:46:36',	NULL,	'',	NULL,	1),
(855,	7,	1850,	'CSO1850',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:08:11',	'2021-04-29 12:46:08',	NULL,	'TEST M N MN MN',	NULL,	1),
(856,	7,	1851,	'CSO1851',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	38.200,	NULL,	38.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:14:59',	'2021-04-29 12:44:56',	NULL,	'',	NULL,	1),
(857,	7,	1852,	'CSO1852',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	3.150,	NULL,	3.150,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:17:54',	'2021-04-29 12:44:32',	NULL,	'',	NULL,	1),
(858,	7,	1853,	'CSO1853',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	14.843,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:29:08',	'2021-04-29 12:42:20',	NULL,	'',	NULL,	1),
(859,	7,	1854,	'CSO1854',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	34.443,	NULL,	35.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:34:28',	'2021-04-29 13:13:39',	NULL,	'',	NULL,	1),
(860,	7,	1855,	'CSO1855',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:34:57',	'2021-04-29 12:41:43',	NULL,	'',	NULL,	1),
(861,	7,	1856,	'CSO1856',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	30.600,	NULL,	30.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:37:45',	'2021-04-29 13:40:56',	NULL,	'',	NULL,	1),
(862,	7,	1857,	'CSO1857',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:42:33',	'2021-04-29 12:57:38',	NULL,	'',	NULL,	1),
(863,	7,	1858,	'CSO1858',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:43:12',	'2021-04-29 13:14:13',	NULL,	'',	NULL,	1),
(864,	7,	1859,	'CSO1859',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:44:35',	'2021-04-29 13:13:55',	NULL,	'',	NULL,	1),
(865,	7,	1860,	'CSO1860',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	24.800,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 07:46:25',	'2021-04-29 12:57:16',	NULL,	'',	NULL,	1),
(866,	7,	1861,	'CSO1861',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	14.500,	NULL,	14.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:12:38',	'2021-04-29 12:56:52',	NULL,	'',	NULL,	1),
(867,	7,	1862,	'CSO1862',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	5.355,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:14:55',	'2021-04-29 13:42:53',	NULL,	'',	NULL,	NULL),
(868,	7,	1863,	'CSO1863',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:16:23',	'2021-04-29 13:32:50',	NULL,	'',	NULL,	1),
(869,	7,	1864,	'CSO1864',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:19:33',	'2021-04-29 13:33:07',	NULL,	'',	NULL,	1),
(870,	7,	1865,	'CSO1865',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	26.400,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:21:13',	'2021-04-29 13:33:29',	NULL,	'',	NULL,	1),
(871,	7,	1866,	'CSO1866',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:36:46',	'2021-04-29 13:32:27',	NULL,	'',	NULL,	1),
(872,	7,	1867,	'CSO1867',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	17.890,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:43:08',	'2021-04-29 13:28:07',	NULL,	'',	NULL,	1),
(873,	7,	1868,	'CSO1868',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 08:45:39',	'2021-04-29 13:24:13',	NULL,	'',	NULL,	1),
(874,	7,	1869,	'CSO1869',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:00:35',	'2021-04-29 13:16:15',	NULL,	'',	NULL,	1),
(875,	7,	1870,	'CSO1870',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:10:07',	'2021-04-29 13:41:54',	NULL,	'',	NULL,	NULL),
(876,	7,	1871,	'CSO1871',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:20:47',	'2021-04-29 13:43:16',	NULL,	'',	NULL,	NULL),
(877,	7,	1872,	'CSO1872',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:26:24',	'2021-04-29 13:15:56',	NULL,	'',	NULL,	1),
(878,	7,	1873,	'CSO1873',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:31:34',	'2021-04-29 13:15:31',	NULL,	'',	NULL,	1),
(879,	7,	1874,	'CSO1874',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:37:13',	'2021-04-29 13:44:53',	NULL,	'',	NULL,	NULL),
(880,	7,	1875,	'CSO1875',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:44:30',	'2021-04-29 13:14:35',	NULL,	'',	NULL,	1),
(881,	7,	1876,	'CSO1876',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	3.570,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:45:12',	'2021-04-29 13:46:00',	NULL,	'',	NULL,	NULL),
(882,	7,	1877,	'CSO1877',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	81.020,	NULL,	81.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:50:21',	'2021-04-29 13:15:02',	NULL,	'',	NULL,	1),
(883,	7,	1878,	'CSO1878',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	12.400,	NULL,	12.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 09:55:41',	'2021-04-29 13:34:33',	NULL,	'',	NULL,	1),
(884,	7,	1879,	'CSO1879',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	38.000,	NULL,	38.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 10:15:13',	'2021-04-29 13:34:18',	NULL,	'',	NULL,	1),
(885,	7,	1880,	'CSO1880',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	142.400,	NULL,	1142.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 10:19:01',	'2021-04-29 16:17:52',	NULL,	'',	NULL,	1),
(886,	7,	1881,	'CSO1881',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 10:21:02',	'2021-04-29 13:33:47',	NULL,	'',	NULL,	1),
(887,	7,	1882,	'CSO1882',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 10:24:59',	'2021-04-29 13:41:35',	NULL,	'',	NULL,	NULL),
(888,	7,	1883,	'CSO1883',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	68.000,	NULL,	68.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 10:27:25',	'2021-04-29 13:42:32',	NULL,	'',	NULL,	1),
(889,	7,	1884,	'CSO1884',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	22.400,	NULL,	22.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 10:47:53',	'2021-04-29 13:45:15',	NULL,	'',	NULL,	NULL),
(890,	7,	1885,	'CSO1885',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	20.500,	NULL,	20.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 11:48:21',	'2021-04-29 13:38:45',	NULL,	'',	NULL,	1),
(891,	7,	1886,	'CSO1886',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-29',	'CMP',	0,	NULL,	22.300,	NULL,	22.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 11:56:01',	'2021-04-29 13:39:11',	NULL,	'',	NULL,	1),
(892,	7,	1887,	'CSO1887',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.500,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 13:12:09',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(893,	7,	1888,	'CSO1888',	228,	0,	'2021-04-29',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-04-29 13:30:17',	'2021-04-29 13:30:17',	NULL,	'TEST',	NULL,	NULL),
(894,	7,	1889,	'CSO1889',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 13:30:47',	'2021-05-01 17:53:08',	NULL,	'',	NULL,	NULL),
(895,	7,	1890,	'CSO1890',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	8.700,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 13:32:35',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(896,	7,	1891,	'CSO1891',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	38.700,	NULL,	38.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:10:14',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(897,	7,	1892,	'CSO1892',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.500,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:13:21',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(898,	7,	1893,	'CSO1893',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	5.200,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:17:08',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(899,	7,	1894,	'CSO1894',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	1.800,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:18:31',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(900,	7,	1895,	'CSO1895',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-05-01',	'CHG',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:19:12',	'2021-05-01 14:20:53',	NULL,	'',	NULL,	NULL),
(901,	7,	1896,	'CSO1896',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.600,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:20:16',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(902,	7,	1897,	'CSO1897',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	14.400,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:21:18',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(903,	7,	1898,	'CSO1898',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	8.700,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:26:36',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(904,	7,	1899,	'CSO1899',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	11.800,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:29:13',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(905,	7,	1900,	'CSO1900',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	40.330,	0.330,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:32:57',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(906,	7,	1901,	'CSO1901',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.200,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:34:56',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(907,	7,	1902,	'CSO1902',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	12.100,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:38:26',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(908,	7,	1903,	'CSO1903',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	1.800,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:40:24',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(909,	7,	1904,	'CSO1904',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	4.600,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:42:03',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(910,	7,	1905,	'CSO1905',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:43:38',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(911,	7,	1906,	'CSO1906',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	4.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:45:46',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(912,	7,	1907,	'CSO1907',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	4.800,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:46:51',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(913,	7,	1908,	'CSO1908',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:51:48',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(914,	7,	1909,	'CSO1909',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	51.500,	NULL,	60.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:54:30',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(915,	7,	1910,	'CSO1910',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.500,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:57:34',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(916,	7,	1911,	'CSO1911',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 14:59:10',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(917,	7,	1912,	'CSO1912',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	34.300,	NULL,	35.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:01:40',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(918,	7,	1913,	'CSO1913',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	15.600,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:03:13',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(919,	7,	1914,	'CSO1914',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:06:12',	'2021-05-01 17:50:24',	NULL,	'',	NULL,	NULL),
(920,	7,	1915,	'CSO1915',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.100,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:06:52',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(921,	7,	1916,	'CSO1916',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:07:08',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(922,	7,	1917,	'CSO1917',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:08:33',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(923,	7,	1918,	'CSO1918',	226,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:08:38',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(924,	7,	1919,	'CSO1919',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	18.700,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:15:50',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(925,	7,	1920,	'CSO1920',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	11.200,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:21:38',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(926,	7,	1921,	'CSO1921',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:22:21',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(927,	7,	1922,	'CSO1922',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	36.200,	NULL,	37.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:26:40',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(928,	7,	1923,	'CSO1923',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'card',	NULL,	'2021-04-29 15:27:38',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(929,	7,	1924,	'CSO1924',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:37:21',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(930,	7,	1925,	'CSO1925',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	62.400,	NULL,	62.400,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:40:07',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(931,	7,	1926,	'CSO1926',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	34.838,	0.038,	34.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:44:15',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(932,	7,	1927,	'CSO1927',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.200,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:48:58',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(933,	7,	1928,	'CSO1928',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:51:17',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(934,	7,	1929,	'CSO1929',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:52:21',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(935,	7,	1930,	'CSO1930',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:53:40',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(936,	7,	1931,	'CSO1931',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 15:59:36',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(937,	7,	1932,	'CSO1932',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:01:12',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(938,	7,	1933,	'CSO1933',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:08:14',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	NULL),
(939,	7,	1934,	'CSO1934',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	1.838,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:11:14',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(940,	7,	1935,	'CSO1935',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.100,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:11:57',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(941,	7,	1936,	'CSO1936',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.500,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:13:25',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(942,	7,	1937,	'CSO1937',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	2.200,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:18:10',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(943,	7,	1938,	'CSO1938',	224,	0,	'2021-04-29',	NULL,	NULL,	'2021-04-30',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'cash',	NULL,	'2021-04-29 16:23:30',	'2021-04-30 16:47:45',	NULL,	'',	NULL,	1),
(944,	7,	1939,	'CSO1939',	224,	0,	'2021-05-01',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-01 04:58:53',	'2021-05-01 04:58:53',	NULL,	'TEST',	NULL,	NULL),
(945,	7,	1940,	'CSO1940',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	16.100,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 05:18:19',	'2021-05-01 13:49:14',	NULL,	'',	NULL,	1),
(946,	7,	1941,	'CSO1941',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	34.300,	NULL,	35.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 05:25:50',	'2021-05-01 14:27:36',	NULL,	'',	NULL,	NULL),
(947,	7,	1942,	'CSO1942',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 05:48:31',	'2021-05-01 14:17:53',	NULL,	'',	NULL,	1),
(948,	7,	1943,	'CSO1943',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 05:49:55',	'2021-05-01 13:48:33',	NULL,	'',	NULL,	1),
(949,	7,	1944,	'CSO1944',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	17.600,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 05:54:35',	'2021-05-01 13:48:13',	NULL,	'',	NULL,	1),
(950,	7,	1945,	'CSO1945',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	32.400,	NULL,	32.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:00:15',	'2021-05-01 13:47:52',	NULL,	'',	NULL,	1),
(951,	7,	1946,	'CSO1946',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	35.900,	0.100,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:08:14',	'2021-05-01 14:16:34',	NULL,	'',	NULL,	1),
(952,	7,	1947,	'CSO1947',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.095,	0.095,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:10:19',	'2021-05-01 13:57:53',	NULL,	'',	NULL,	1),
(953,	7,	1948,	'CSO1948',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.410,	0.010,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:15:57',	'2021-05-01 14:18:41',	NULL,	'',	NULL,	1),
(954,	7,	1949,	'CSO1949',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	16.900,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:18:16',	'2021-05-01 14:18:25',	NULL,	'',	NULL,	1),
(955,	7,	1950,	'CSO1950',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.860,	0.060,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:19:20',	'2021-05-01 13:41:48',	NULL,	'',	NULL,	1),
(956,	7,	1951,	'CSO1951',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:28:40',	'2021-05-01 14:18:09',	NULL,	'',	NULL,	1),
(957,	7,	1952,	'CSO1952',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	1.995,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:30:34',	'2021-05-01 14:31:25',	NULL,	'',	NULL,	NULL),
(958,	7,	1953,	'CSO1953',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:33:00',	'2021-05-01 14:17:28',	NULL,	'',	NULL,	1),
(959,	7,	1954,	'CSO1954',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:36:14',	'2021-05-01 14:17:04',	NULL,	'',	NULL,	1),
(960,	7,	1955,	'CSO1955',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	8.850,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:37:57',	'2021-05-01 19:06:20',	NULL,	'',	NULL,	1),
(961,	7,	1956,	'CSO1956',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	62.800,	NULL,	70.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:55:28',	'2021-05-01 14:16:17',	NULL,	'',	NULL,	1),
(962,	7,	1957,	'CSO1957',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	48.400,	NULL,	48.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 06:59:30',	'2021-05-01 14:16:00',	NULL,	'',	NULL,	1),
(963,	7,	1958,	'CSO1958',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	79.700,	NULL,	19.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:01:01',	'2021-05-01 14:15:41',	NULL,	'',	NULL,	1),
(964,	7,	1959,	'CSO1959',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	9.300,	NULL,	9.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:16:45',	'2021-05-01 14:15:10',	NULL,	'',	NULL,	1),
(965,	7,	1960,	'CSO1960',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	11.738,	0.038,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:18:46',	'2021-05-01 14:14:51',	NULL,	'',	NULL,	1),
(966,	7,	1961,	'CSO1961',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:22:43',	'2021-05-01 14:21:05',	NULL,	'',	NULL,	NULL),
(967,	7,	1962,	'CSO1962',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	26.338,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:23:30',	'2021-05-01 14:13:08',	NULL,	'',	NULL,	1),
(968,	7,	1963,	'CSO1963',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:25:28',	'2021-05-01 14:30:22',	NULL,	'',	NULL,	NULL),
(969,	7,	1964,	'CSO1964',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:27:48',	'2021-05-01 14:14:29',	NULL,	'',	NULL,	1),
(970,	7,	1965,	'CSO1965',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:28:17',	'2021-05-02 05:56:42',	NULL,	'',	NULL,	NULL),
(971,	7,	1966,	'CSO1966',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:31:23',	'2021-05-01 14:13:47',	NULL,	'',	NULL,	1),
(972,	7,	1967,	'CSO1967',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	22.700,	NULL,	22.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:36:18',	'2021-05-01 14:14:07',	NULL,	'',	NULL,	1),
(973,	7,	1968,	'CSO1968',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:41:31',	'2021-05-01 14:13:27',	NULL,	'',	NULL,	1),
(974,	7,	1969,	'CSO1969',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	30.000,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:47:52',	'2021-05-01 14:31:05',	NULL,	'',	NULL,	NULL),
(975,	7,	1970,	'CSO1970',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.360,	NULL,	3.360,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:49:15',	'2021-05-01 14:09:13',	NULL,	'',	NULL,	1),
(976,	7,	1971,	'CSO1971',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:50:47',	'2021-05-01 14:08:51',	NULL,	'',	NULL,	1),
(977,	7,	1972,	'CSO1972',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	27.000,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:51:48',	'2021-05-02 05:52:31',	NULL,	'',	NULL,	NULL),
(978,	7,	1973,	'CSO1973',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:51:59',	'2021-05-01 13:58:57',	NULL,	'',	NULL,	1),
(979,	7,	1974,	'CSO1974',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:52:32',	'2021-05-01 13:58:17',	NULL,	'',	NULL,	1),
(980,	7,	1975,	'CSO1975',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	26.500,	NULL,	26.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 07:56:20',	'2021-05-01 14:30:42',	NULL,	'',	NULL,	NULL),
(981,	7,	1976,	'CSO1976',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:16:59',	'2021-05-01 14:29:57',	NULL,	'',	NULL,	NULL),
(982,	7,	1977,	'CSO1977',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:20:05',	'2021-05-01 13:42:57',	NULL,	'',	NULL,	1),
(983,	7,	1978,	'CSO1978',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:22:40',	'2021-05-01 14:08:02',	NULL,	'',	NULL,	1),
(984,	7,	1979,	'CSO1979',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	37.700,	NULL,	37.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:25:51',	'2021-05-01 17:03:13',	NULL,	'',	NULL,	1),
(985,	7,	1980,	'CSO1980',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:27:16',	'2021-05-01 14:08:34',	NULL,	'',	NULL,	1),
(986,	7,	1981,	'CSO1981',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:37:14',	'2021-05-01 14:00:54',	NULL,	'',	NULL,	1),
(987,	7,	1982,	'CSO1982',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:38:18',	'2021-05-01 14:07:43',	NULL,	'',	NULL,	1),
(988,	7,	1983,	'CSO1983',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:39:19',	'2021-05-01 14:25:16',	NULL,	'',	NULL,	NULL),
(989,	7,	1984,	'CSO1984',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:40:23',	'2021-05-01 14:20:40',	NULL,	'',	NULL,	NULL),
(990,	7,	1985,	'CSO1985',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	11.200,	NULL,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:41:42',	'2021-05-01 14:20:11',	NULL,	'',	NULL,	NULL),
(991,	7,	1986,	'CSO1986',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	19.700,	NULL,	19.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:42:46',	'2021-05-01 14:00:35',	NULL,	'',	NULL,	1),
(992,	7,	1987,	'CSO1987',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:46:39',	'2021-05-01 13:43:18',	NULL,	'',	NULL,	1),
(993,	7,	1988,	'CSO1988',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:47:27',	'2021-05-01 14:06:54',	NULL,	'',	NULL,	1),
(994,	7,	1989,	'CSO1989',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:51:36',	'2021-05-01 14:06:39',	NULL,	'',	NULL,	1),
(995,	7,	1990,	'CSO1990',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 08:58:26',	'2021-05-01 14:33:23',	NULL,	'',	NULL,	NULL),
(996,	7,	1991,	'CSO1991',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:00:21',	'2021-05-01 14:06:01',	NULL,	'',	NULL,	1),
(997,	7,	1992,	'CSO1992',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:03:18',	'2021-05-01 14:33:02',	NULL,	'',	NULL,	NULL),
(998,	7,	1993,	'CSO1993',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	18.700,	NULL,	18.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:05:15',	'2021-05-01 14:06:22',	NULL,	'',	NULL,	1),
(999,	7,	1994,	'CSO1994',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:14:35',	'2021-05-02 05:57:31',	NULL,	'',	NULL,	NULL),
(1000,	7,	1995,	'CSO1995',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:18:14',	'2021-05-01 14:00:15',	NULL,	'',	NULL,	1),
(1001,	7,	1996,	'CSO1996',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.615,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:27:50',	'2021-05-01 14:21:57',	NULL,	'',	NULL,	NULL),
(1002,	7,	1997,	'CSO1997',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	180.300,	NULL,	180.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:29:19',	'2021-05-01 13:59:59',	NULL,	'HAMOOD OMANI',	NULL,	1),
(1003,	7,	1998,	'CSO1998',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:32:34',	'2021-05-01 14:29:35',	NULL,	'',	NULL,	NULL),
(1004,	7,	1999,	'CSO1999',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	12.700,	NULL,	12.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:33:19',	'2021-05-01 14:22:27',	NULL,	'',	NULL,	NULL),
(1005,	7,	2000,	'CSO2000',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:36:14',	'2021-05-01 13:59:20',	NULL,	'',	NULL,	1),
(1006,	7,	2001,	'CSO2001',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	11.928,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:41:11',	'2021-05-01 13:57:20',	NULL,	'',	NULL,	1),
(1007,	7,	2002,	'CSO2002',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:44:03',	'2021-05-01 13:56:44',	NULL,	'',	NULL,	1),
(1008,	7,	2003,	'CSO2003',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	2.420,	NULL,	2.420,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:50:17',	'2021-05-01 13:51:38',	NULL,	'',	NULL,	1),
(1009,	7,	2004,	'CSO2004',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	15.600,	NULL,	15.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:50:44',	'2021-05-01 14:23:13',	NULL,	'',	NULL,	NULL),
(1010,	7,	2005,	'CSO2005',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:51:47',	'2021-05-01 14:22:48',	NULL,	'',	NULL,	NULL),
(1011,	7,	2006,	'CSO2006',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:52:12',	'2021-05-01 13:56:25',	NULL,	'',	NULL,	1),
(1012,	7,	2007,	'CSO2007',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:54:09',	'2021-05-01 13:55:57',	NULL,	'',	NULL,	1),
(1013,	7,	2008,	'CSO2008',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:54:19',	'2021-05-01 13:55:04',	NULL,	'',	NULL,	1),
(1014,	7,	2009,	'CSO2009',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	24.634,	NULL,	24.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:57:27',	'2021-05-01 14:29:14',	NULL,	'',	NULL,	NULL),
(1015,	7,	2010,	'CSO2010',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:58:44',	'2021-05-01 14:27:18',	NULL,	'',	NULL,	NULL),
(1016,	7,	2011,	'CSO2011',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	29.290,	NULL,	29.290,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:59:47',	'2021-05-01 14:24:56',	NULL,	'',	NULL,	NULL),
(1017,	7,	2012,	'CSO2012',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	59.500,	NULL,	59.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 09:59:53',	'2021-05-01 13:51:10',	NULL,	'',	NULL,	1),
(1018,	7,	2013,	'CSO2013',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	18.990,	NULL,	18.990,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:01:43',	'2021-05-01 13:50:41',	NULL,	'',	NULL,	1),
(1019,	7,	2014,	'CSO2014',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:10:20',	'2021-05-01 14:26:58',	NULL,	'',	NULL,	NULL),
(1020,	7,	2015,	'CSO2015',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:13:05',	'2021-05-01 14:21:24',	NULL,	'',	NULL,	NULL),
(1021,	7,	2016,	'CSO2016',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	37.400,	NULL,	37.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:26:46',	'2021-05-01 13:50:20',	NULL,	'',	NULL,	1),
(1022,	7,	2017,	'CSO2017',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:27:15',	'2021-05-01 13:50:03',	NULL,	'',	NULL,	1),
(1023,	7,	2018,	'CSO2018',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	12.200,	NULL,	12.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:29:29',	'2021-05-01 13:49:46',	NULL,	'',	NULL,	1),
(1024,	7,	2019,	'CSO2019',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:33:22',	'2021-05-01 14:28:52',	NULL,	'',	NULL,	NULL),
(1025,	7,	2020,	'CSO2020',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:33:29',	'2021-05-01 13:43:36',	NULL,	'',	NULL,	1),
(1026,	7,	2021,	'CSO2021',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	11.700,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:37:08',	'2021-05-01 14:39:10',	NULL,	'',	NULL,	NULL),
(1027,	7,	2022,	'CSO2022',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	19.500,	NULL,	19.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:38:41',	'2021-05-01 14:28:31',	NULL,	'',	NULL,	NULL),
(1028,	7,	2023,	'CSO2023',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:40:50',	'2021-05-01 13:44:48',	NULL,	'',	NULL,	1),
(1029,	7,	2024,	'CSO2024',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.913,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:41:19',	'2021-05-01 13:43:58',	NULL,	'',	NULL,	1),
(1030,	7,	2025,	'CSO2025',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:44:52',	'2021-05-01 13:44:27',	NULL,	'',	NULL,	1),
(1031,	7,	2026,	'CSO2026',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:46:10',	'2021-05-01 19:09:03',	NULL,	'',	NULL,	NULL),
(1032,	7,	2027,	'CSO2027',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	56.525,	NULL,	57.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 10:54:41',	'2021-05-01 13:46:31',	NULL,	'',	NULL,	1),
(1033,	7,	2028,	'CSO2028',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	16.400,	NULL,	16.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:03:43',	'2021-05-01 13:47:07',	NULL,	'',	NULL,	1),
(1034,	7,	2029,	'CSO2029',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	21.587,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:05:12',	'2021-05-01 14:24:33',	NULL,	'',	NULL,	NULL),
(1035,	7,	2030,	'CSO2030',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:07:37',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1036,	7,	2031,	'CSO2031',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	11.200,	NULL,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:12:33',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1037,	7,	2032,	'CSO2032',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:14:09',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1038,	7,	2033,	'CSO2033',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:14:49',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1039,	7,	2034,	'CSO2034',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:15:55',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1040,	7,	2035,	'CSO2035',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:16:30',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1041,	7,	2036,	'CSO2036',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:22:43',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1042,	7,	2037,	'CSO2037',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:25:49',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1043,	7,	2038,	'CSO2038',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:26:17',	'2021-05-01 14:26:31',	NULL,	'',	NULL,	NULL),
(1044,	7,	2039,	'CSO2039',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	16.600,	NULL,	16.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:26:56',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1045,	7,	2040,	'CSO2040',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.100,	NULL,	6.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:29:45',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1046,	7,	2041,	'CSO2041',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:31:22',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1047,	7,	2042,	'CSO2042',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	17.800,	NULL,	17.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:32:49',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1048,	7,	2043,	'CSO2043',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:33:32',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1049,	7,	2044,	'CSO2044',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:38:29',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1050,	7,	2045,	'CSO2045',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	19.610,	0.010,	19.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:44:15',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1051,	7,	2046,	'CSO2046',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	21.400,	NULL,	21.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 11:44:29',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1052,	7,	2047,	'CSO2047',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	14.650,	0.050,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:00:20',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1053,	7,	2048,	'CSO2048',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:01:14',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1054,	7,	2049,	'CSO2049',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	7.280,	NULL,	7.280,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:02:29',	'2021-05-01 14:23:56',	NULL,	'',	NULL,	NULL),
(1055,	7,	2050,	'CSO2050',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:02:59',	'2021-05-01 14:23:35',	NULL,	'',	NULL,	NULL),
(1056,	7,	2051,	'CSO2051',	226,	0,	'2021-05-01',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-01 12:03:21',	'2021-05-01 12:03:21',	NULL,	'',	NULL,	NULL),
(1057,	7,	2052,	'CSO2052',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:03:48',	'2021-05-02 05:38:46',	NULL,	'',	NULL,	NULL),
(1058,	7,	2053,	'CSO2053',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:05:26',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1059,	7,	2054,	'CSO2054',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:08:57',	'2021-05-01 18:07:57',	NULL,	'',	NULL,	NULL),
(1060,	7,	2055,	'CSO2055',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-01',	'CMP',	0,	NULL,	70.700,	NULL,	70.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:08:59',	'2021-05-01 18:02:27',	NULL,	'',	NULL,	NULL),
(1061,	7,	2056,	'CSO2056',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	13.690,	NULL,	13.690,	NULL,	NULL,	'card',	NULL,	'2021-05-01 12:16:22',	'2021-05-02 05:37:46',	NULL,	'',	NULL,	1),
(1062,	7,	2057,	'CSO2057',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:18:45',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1063,	7,	2058,	'CSO2058',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:21:43',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1064,	7,	2059,	'CSO2059',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'card',	NULL,	'2021-05-01 12:32:32',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	1),
(1065,	7,	2060,	'CSO2060',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	16.540,	0.040,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:32:32',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	1),
(1066,	7,	2061,	'CSO2061',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	17.200,	NULL,	17.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:36:04',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	1),
(1067,	7,	2062,	'CSO2062',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:40:49',	'2021-05-02 05:35:55',	NULL,	'',	NULL,	NULL),
(1068,	7,	2063,	'CSO2063',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	17.000,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:43:12',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1069,	7,	2064,	'CSO2064',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	93.900,	0.400,	93.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:45:22',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1070,	7,	2065,	'CSO2065',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	12.900,	NULL,	12.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:45:47',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1071,	7,	2066,	'CSO2066',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 12:52:01',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1072,	7,	2067,	'CSO2067',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	15.100,	NULL,	15.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:01:43',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1073,	7,	2068,	'CSO2068',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:03:34',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1074,	7,	2069,	'CSO2069',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.880,	0.080,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:05:38',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1075,	7,	2070,	'CSO2070',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:09:21',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1076,	7,	2071,	'CSO2071',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:10:18',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1077,	7,	2072,	'CSO2072',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:30:51',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1078,	7,	2073,	'CSO2073',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 13:37:00',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1079,	7,	2074,	'CSO2074',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:02:35',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1080,	7,	2075,	'CSO2075',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	15.200,	NULL,	15.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:09:48',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1081,	7,	2076,	'CSO2076',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:17:21',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1082,	7,	2077,	'CSO2077',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:24:46',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1083,	7,	2078,	'CSO2078',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:35:38',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1084,	7,	2079,	'CSO2079',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:37:19',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1085,	7,	2080,	'CSO2080',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:38:45',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1086,	7,	2081,	'CSO2081',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:38:59',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1087,	7,	2082,	'CSO2082',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:45:51',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1088,	7,	2083,	'CSO2083',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:49:05',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1089,	7,	2084,	'CSO2084',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:50:14',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1090,	7,	2085,	'CSO2085',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	8.900,	NULL,	8.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:56:02',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1091,	7,	2086,	'CSO2086',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:57:35',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1092,	7,	2087,	'CSO2087',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 14:59:03',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1093,	7,	2088,	'CSO2088',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	0.473,	0.023,	0.450,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:03:50',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1094,	7,	2089,	'CSO2089',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	8.843,	0.043,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:05:47',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1095,	7,	2090,	'CSO2090',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:06:32',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1096,	7,	2091,	'CSO2091',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:08:38',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1097,	7,	2092,	'CSO2092',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:10:02',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1098,	7,	2093,	'CSO2093',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:14:33',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1099,	7,	2094,	'CSO2094',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:17:11',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1100,	7,	2095,	'CSO2095',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:25:28',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1101,	7,	2096,	'CSO2096',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:28:25',	'2021-05-02 05:32:22',	NULL,	'',	NULL,	NULL),
(1102,	7,	2097,	'CSO2097',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:36:22',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1103,	7,	2098,	'CSO2098',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:45:08',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1104,	7,	2099,	'CSO2099',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:52:53',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1105,	7,	2100,	'CSO2100',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:54:11',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1106,	7,	2101,	'CSO2101',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:55:40',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1107,	7,	2102,	'CSO2102',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	36.400,	0.400,	36.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 15:59:06',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1108,	7,	2103,	'CSO2103',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:00:25',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1109,	7,	2104,	'CSO2104',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:03:16',	'2021-05-02 05:31:59',	NULL,	'',	NULL,	NULL),
(1110,	7,	2105,	'CSO2105',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:10:22',	'2021-05-02 05:31:37',	NULL,	'',	NULL,	NULL),
(1111,	7,	2106,	'CSO2106',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:13:21',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1112,	7,	2107,	'CSO2107',	224,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	17.100,	NULL,	17.100,	NULL,	NULL,	'card',	NULL,	'2021-05-01 16:17:00',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	1),
(1113,	7,	2108,	'CSO2108',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:25:47',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1114,	7,	2109,	'CSO2109',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:26:48',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1115,	7,	2110,	'CSO2110',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:27:38',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1116,	7,	2111,	'CSO2111',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:31:55',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1117,	7,	2112,	'CSO2112',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:36:35',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1118,	7,	2113,	'CSO2113',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:57:26',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1119,	7,	2114,	'CSO2114',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 16:59:19',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1120,	7,	2115,	'CSO2115',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 17:02:53',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	NULL),
(1121,	7,	2116,	'CSO2116',	226,	0,	'2021-05-01',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-01 17:09:04',	'2021-05-02 05:27:08',	NULL,	'',	NULL,	1),
(1122,	7,	2117,	'CSO2117',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 06:05:10',	'2021-05-02 06:35:27',	NULL,	'',	NULL,	1),
(1123,	7,	2118,	'CSO2118',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 06:30:01',	'2021-05-02 07:37:06',	NULL,	'',	NULL,	NULL),
(1124,	7,	2119,	'CSO2119',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	29.900,	NULL,	29.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 06:31:50',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	NULL),
(1125,	7,	2120,	'CSO2120',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 06:32:48',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	NULL),
(1126,	7,	2121,	'CSO2121',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 06:34:02',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	NULL),
(1127,	7,	2122,	'CSO2122',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	11.655,	0.055,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 06:46:32',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	NULL),
(1128,	7,	2123,	'CSO2123',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'card',	NULL,	'2021-05-02 07:03:43',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	1),
(1129,	7,	2124,	'CSO2124',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	34.700,	NULL,	34.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:12:07',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	1),
(1130,	7,	2125,	'CSO2125',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:21:38',	'2021-05-02 07:39:20',	NULL,	'',	NULL,	NULL),
(1131,	7,	2126,	'CSO2126',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:21:41',	'2021-05-02 07:39:31',	NULL,	'',	NULL,	NULL),
(1132,	7,	2127,	'CSO2127',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:23:44',	'2021-05-02 07:40:59',	NULL,	'',	NULL,	NULL),
(1133,	7,	2128,	'CSO2128',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	10.700,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:25:48',	'2021-05-02 07:42:05',	NULL,	'',	NULL,	NULL),
(1134,	7,	2129,	'CSO2129',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	7.070,	0.070,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:26:31',	'2021-05-02 07:42:27',	NULL,	'',	NULL,	NULL),
(1135,	7,	2130,	'CSO2130',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:32:33',	'2021-05-02 07:43:16',	NULL,	'',	NULL,	NULL),
(1136,	7,	2131,	'CSO2131',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 07:33:11',	'2021-05-02 07:42:54',	NULL,	'',	NULL,	NULL),
(1137,	7,	2132,	'CSO2132',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:03:40',	'2021-05-02 10:42:43',	NULL,	'',	NULL,	NULL),
(1138,	7,	2133,	'CSO2133',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	8.085,	NULL,	8.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:10:45',	'2021-05-02 10:43:16',	NULL,	'',	NULL,	NULL),
(1139,	7,	2134,	'CSO2134',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:24:51',	'2021-05-02 10:43:16',	NULL,	'',	NULL,	NULL),
(1140,	7,	2135,	'CSO2135',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	62.000,	NULL,	62.000,	NULL,	NULL,	'cash',	'2757',	'2021-05-02 08:38:07',	'2021-05-02 10:45:02',	NULL,	'',	NULL,	NULL),
(1141,	7,	2136,	'CSO2136',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:38:25',	'2021-05-02 10:45:02',	NULL,	'',	NULL,	NULL),
(1142,	7,	2137,	'CSO2137',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	90.000,	NULL,	90.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:39:34',	'2021-05-02 10:45:02',	NULL,	'',	NULL,	NULL),
(1143,	7,	2138,	'CSO2138',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:46:33',	'2021-05-02 10:45:02',	NULL,	'',	NULL,	NULL),
(1144,	7,	2139,	'CSO2139',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:46:58',	'2021-05-02 10:42:43',	NULL,	'',	NULL,	NULL),
(1145,	7,	2140,	'CSO2140',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.620,	0.020,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 08:56:50',	'2021-05-02 10:45:59',	NULL,	'',	NULL,	NULL),
(1146,	7,	2141,	'CSO2141',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:14:24',	'2021-05-02 10:45:59',	NULL,	'',	NULL,	NULL),
(1147,	7,	2142,	'CSO2142',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	21.395,	0.095,	21.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:21:33',	'2021-05-02 10:47:11',	NULL,	'',	NULL,	NULL),
(1148,	7,	2143,	'CSO2143',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:23:05',	'2021-05-02 10:47:11',	NULL,	'',	NULL,	NULL),
(1149,	7,	2144,	'CSO2144',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	39.600,	NULL,	39.600,	NULL,	NULL,	'card',	NULL,	'2021-05-02 09:24:26',	'2021-05-02 10:47:11',	NULL,	'',	NULL,	1),
(1150,	7,	2145,	'CSO2145',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	12.700,	NULL,	12.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:26:05',	'2021-05-02 10:48:39',	NULL,	'',	NULL,	NULL),
(1151,	7,	2146,	'CSO2146',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:27:28',	'2021-05-02 10:48:39',	NULL,	'',	NULL,	NULL),
(1152,	7,	2147,	'CSO2147',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:28:57',	'2021-05-02 10:50:33',	NULL,	'',	NULL,	NULL),
(1153,	7,	2148,	'CSO2148',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	130.000,	NULL,	130.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:31:07',	'2021-05-02 10:50:33',	NULL,	'',	NULL,	NULL),
(1154,	7,	2149,	'CSO2149',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	21.300,	NULL,	21.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:40:38',	'2021-05-02 10:47:11',	NULL,	'',	NULL,	NULL),
(1155,	7,	2150,	'CSO2150',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	48.100,	NULL,	48.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:56:13',	'2021-05-02 10:51:50',	NULL,	'',	NULL,	NULL),
(1156,	7,	2151,	'CSO2151',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:56:35',	'2021-05-02 10:52:11',	NULL,	'',	NULL,	NULL),
(1157,	7,	2152,	'CSO2152',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.740,	0.040,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 09:58:22',	'2021-05-02 10:53:12',	NULL,	'',	NULL,	NULL),
(1158,	7,	2153,	'CSO2153',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:07:40',	'2021-05-02 10:53:19',	NULL,	'',	NULL,	NULL),
(1159,	7,	2154,	'CSO2154',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	20.470,	0.170,	20.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:10:17',	'2021-05-02 10:54:35',	NULL,	'',	NULL,	NULL),
(1160,	7,	2155,	'CSO2155',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	5.850,	0.050,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:12:23',	'2021-05-02 11:23:12',	NULL,	'',	NULL,	NULL),
(1161,	7,	2156,	'CSO2156',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	16.100,	0.100,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:15:29',	'2021-05-02 11:23:44',	NULL,	'',	NULL,	NULL),
(1162,	7,	2157,	'CSO2157',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:16:06',	'2021-05-02 11:24:05',	NULL,	'',	NULL,	NULL),
(1163,	7,	2158,	'CSO2158',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.998,	0.098,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:25:38',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1164,	7,	2159,	'CSO2159',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	66.700,	NULL,	66.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:31:27',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1165,	7,	2160,	'CSO2160',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:34:30',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1166,	7,	2161,	'CSO2161',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	11.300,	NULL,	11.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:42:50',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1167,	7,	2162,	'CSO2162',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	83.900,	NULL,	83.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:48:01',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1168,	7,	2163,	'CSO2163',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:49:19',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1169,	7,	2164,	'CSO2164',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:53:23',	'2021-05-02 11:26:32',	NULL,	'',	NULL,	NULL),
(1170,	7,	2165,	'CSO2165',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:53:46',	'2021-05-02 11:26:54',	NULL,	'',	NULL,	NULL),
(1171,	7,	2166,	'CSO2166',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	110.400,	NULL,	120.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 10:55:11',	'2021-05-02 11:10:44',	NULL,	'',	NULL,	1),
(1172,	7,	2167,	'CSO2167',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	29.150,	0.050,	29.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:03:25',	'2021-05-02 11:27:32',	NULL,	'',	NULL,	NULL),
(1173,	7,	2168,	'CSO2168',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:11:26',	'2021-05-02 11:36:06',	NULL,	'',	NULL,	NULL),
(1174,	7,	2169,	'CSO2169',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	0.525,	0.025,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:30:13',	'2021-05-02 12:47:18',	NULL,	'',	NULL,	NULL),
(1175,	7,	2170,	'CSO2170',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	72.700,	NULL,	72.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:31:36',	'2021-05-02 12:55:43',	NULL,	'',	NULL,	1),
(1176,	7,	2171,	'CSO2171',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	9.100,	NULL,	9.100,	NULL,	NULL,	'card',	NULL,	'2021-05-02 11:32:36',	'2021-05-02 12:59:13',	NULL,	'',	NULL,	1),
(1177,	7,	2172,	'CSO2172',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	30.000,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:41:12',	'2021-05-02 13:00:42',	NULL,	'',	NULL,	NULL),
(1178,	7,	2173,	'CSO2173',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:48:49',	'2021-05-02 13:00:42',	NULL,	'',	NULL,	NULL),
(1179,	7,	2174,	'CSO2174',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:54:55',	'2021-05-02 13:00:42',	NULL,	'',	NULL,	NULL),
(1180,	7,	2175,	'CSO2175',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.650,	0.050,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:56:53',	'2021-05-02 13:00:09',	NULL,	'',	NULL,	NULL),
(1181,	7,	2176,	'CSO2176',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 11:58:03',	'2021-05-02 13:00:42',	NULL,	'',	NULL,	NULL),
(1182,	7,	2177,	'CSO2177',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:00:35',	'2021-05-02 13:00:42',	NULL,	'',	NULL,	NULL),
(1183,	7,	2178,	'CSO2178',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:11:07',	'2021-05-03 06:53:59',	NULL,	'',	NULL,	NULL),
(1184,	7,	2179,	'CSO2179',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	11.300,	NULL,	11.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:12:31',	'2021-05-03 06:54:14',	NULL,	'',	NULL,	NULL),
(1185,	7,	2180,	'CSO2180',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:12:46',	'2021-05-03 06:54:29',	NULL,	'',	NULL,	NULL),
(1186,	7,	2181,	'CSO2181',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	32.400,	NULL,	32.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:13:46',	'2021-05-03 06:54:47',	NULL,	'',	NULL,	NULL),
(1187,	7,	2182,	'CSO2182',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:17:55',	'2021-05-03 06:55:24',	NULL,	'',	NULL,	NULL),
(1188,	7,	2183,	'CSO2183',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	31.600,	NULL,	31.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:21:25',	'2021-05-03 06:55:24',	NULL,	'',	NULL,	NULL),
(1189,	7,	2184,	'CSO2184',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.990,	NULL,	3.990,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:23:40',	'2021-05-03 06:55:44',	NULL,	'GREEN HOUSE QRIYATH',	NULL,	NULL),
(1190,	7,	2185,	'CSO2185',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:34:27',	'2021-05-03 06:56:01',	NULL,	'',	NULL,	NULL),
(1191,	7,	2186,	'CSO2186',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:40:20',	'2021-05-03 06:56:20',	NULL,	'',	NULL,	NULL),
(1192,	7,	2187,	'CSO2187',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:47:46',	'2021-05-03 06:56:35',	NULL,	'',	NULL,	NULL),
(1193,	7,	2188,	'CSO2188',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:49:53',	'2021-05-03 07:01:03',	NULL,	'',	NULL,	NULL),
(1194,	7,	2189,	'CSO2189',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 12:52:24',	'2021-05-03 07:01:59',	NULL,	'',	NULL,	NULL),
(1195,	7,	2190,	'CSO2190',	226,	0,	'2021-05-02',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-02 12:59:09',	'2021-05-02 12:59:09',	NULL,	'',	NULL,	NULL),
(1196,	7,	2191,	'CSO2191',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:02:43',	'2021-05-03 07:02:05',	NULL,	'',	NULL,	NULL),
(1197,	7,	2192,	'CSO2192',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-02',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:03:55',	'2021-05-02 13:05:08',	NULL,	'',	NULL,	NULL),
(1198,	7,	2193,	'CSO2193',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:09:09',	'2021-05-03 07:26:53',	NULL,	'',	NULL,	NULL),
(1199,	7,	2194,	'CSO2194',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:14:57',	'2021-05-03 07:48:40',	NULL,	'',	NULL,	NULL),
(1200,	7,	2195,	'CSO2195',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:30:42',	'2021-05-03 07:49:29',	NULL,	'',	NULL,	NULL),
(1201,	7,	2196,	'CSO2196',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:34:57',	'2021-05-03 07:57:36',	NULL,	'',	NULL,	NULL),
(1202,	7,	2197,	'CSO2197',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:40:01',	'2021-05-03 07:28:28',	NULL,	'',	NULL,	NULL),
(1203,	7,	2198,	'CSO2198',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:52:19',	'2021-05-03 07:28:44',	NULL,	'',	NULL,	NULL),
(1204,	7,	2199,	'CSO2199',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 13:58:53',	'2021-05-03 07:49:29',	NULL,	'',	NULL,	NULL),
(1205,	7,	2200,	'CSO2200',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:00:18',	'2021-05-03 07:29:06',	NULL,	'',	NULL,	NULL),
(1206,	7,	2201,	'CSO2201',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:09:48',	'2021-05-03 07:49:29',	NULL,	'',	NULL,	NULL),
(1207,	7,	2202,	'CSO2202',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:16:40',	'2021-05-03 09:00:51',	NULL,	'',	NULL,	NULL),
(1208,	7,	2203,	'CSO2203',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.700,	NULL,	6.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:18:08',	'2021-05-03 07:58:43',	NULL,	'',	NULL,	NULL),
(1209,	7,	2204,	'CSO2204',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:19:35',	'2021-05-03 07:49:29',	NULL,	'',	NULL,	NULL),
(1210,	7,	2205,	'CSO2205',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:20:47',	'2021-05-03 07:49:29',	NULL,	'',	NULL,	NULL),
(1211,	7,	2206,	'CSO2206',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:20:55',	'2021-05-03 07:59:29',	NULL,	'',	NULL,	NULL),
(1212,	7,	2207,	'CSO2207',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:22:01',	'2021-05-03 07:59:51',	NULL,	'',	NULL,	NULL),
(1213,	7,	2208,	'CSO2208',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:23:12',	'2021-05-03 09:00:31',	NULL,	'',	NULL,	NULL),
(1214,	7,	2209,	'CSO2209',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:23:59',	'2021-05-03 08:03:52',	NULL,	'',	NULL,	NULL),
(1215,	7,	2210,	'CSO2210',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:27:27',	'2021-05-03 08:04:20',	NULL,	'',	NULL,	NULL),
(1216,	7,	2211,	'CSO2211',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	43.000,	NULL,	43.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:27:43',	'2021-05-03 07:42:41',	NULL,	'',	NULL,	1),
(1217,	7,	2212,	'CSO2212',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:28:08',	'2021-05-03 07:46:37',	NULL,	'',	NULL,	NULL),
(1218,	7,	2213,	'CSO2213',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:33:29',	'2021-05-03 07:44:16',	NULL,	'',	NULL,	NULL),
(1219,	7,	2214,	'CSO2214',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	14.750,	0.250,	14.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:35:51',	'2021-05-03 07:45:06',	NULL,	'',	NULL,	NULL),
(1220,	7,	2215,	'CSO2215',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	20.500,	NULL,	20.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:42:08',	'2021-05-03 07:45:17',	NULL,	'',	NULL,	NULL),
(1221,	7,	2216,	'CSO2216',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 14:52:27',	'2021-05-03 07:45:25',	NULL,	'',	NULL,	NULL),
(1222,	7,	2217,	'CSO2217',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'card',	NULL,	'2021-05-02 14:55:45',	'2021-05-03 07:46:54',	NULL,	'',	NULL,	1),
(1223,	7,	2218,	'CSO2218',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	32.660,	0.060,	32.600,	NULL,	NULL,	'card',	NULL,	'2021-05-02 14:59:59',	'2021-05-03 07:46:05',	NULL,	'',	NULL,	1),
(1224,	7,	2219,	'CSO2219',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:09:32',	'2021-05-03 07:47:14',	NULL,	'',	NULL,	NULL),
(1225,	7,	2220,	'CSO2220',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:14:41',	'2021-05-03 07:47:32',	NULL,	'',	NULL,	NULL),
(1226,	7,	2221,	'CSO2221',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:17:54',	'2021-05-03 07:46:25',	NULL,	'',	NULL,	NULL),
(1227,	7,	2222,	'CSO2222',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:19:37',	'2021-05-03 07:49:29',	NULL,	'',	NULL,	NULL),
(1228,	7,	2223,	'CSO2223',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	17.038,	0.038,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:28:13',	'2021-05-03 09:00:16',	NULL,	'',	NULL,	NULL),
(1229,	7,	2224,	'CSO2224',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	27.400,	NULL,	27.400,	NULL,	NULL,	'card',	NULL,	'2021-05-02 15:32:54',	'2021-05-03 08:59:50',	NULL,	'',	NULL,	1),
(1230,	7,	2225,	'CSO2225',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:35:01',	'2021-05-03 08:59:27',	NULL,	'',	NULL,	NULL),
(1231,	7,	2226,	'CSO2226',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:35:48',	'2021-05-03 08:58:32',	NULL,	'',	NULL,	NULL),
(1232,	7,	2227,	'CSO2227',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:43:01',	'2021-05-03 08:58:06',	NULL,	'',	NULL,	NULL),
(1233,	7,	2228,	'CSO2228',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 15:51:41',	'2021-05-03 08:57:51',	NULL,	'',	NULL,	NULL),
(1234,	7,	2229,	'CSO2229',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 16:37:56',	'2021-05-03 08:57:37',	NULL,	'',	NULL,	NULL),
(1235,	7,	2230,	'CSO2230',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 16:42:24',	'2021-05-03 08:57:22',	NULL,	'',	NULL,	NULL),
(1236,	7,	2231,	'CSO2231',	224,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 16:51:06',	'2021-05-03 08:57:09',	NULL,	'',	NULL,	NULL),
(1237,	7,	2232,	'CSO2232',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 17:01:23',	'2021-05-03 08:56:55',	NULL,	'',	NULL,	NULL),
(1238,	7,	2233,	'CSO2233',	226,	0,	'2021-05-02',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-02 17:03:42',	'2021-05-03 06:49:03',	NULL,	'',	NULL,	NULL),
(1239,	7,	2234,	'CSO2234',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	82.700,	NULL,	100.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 05:33:47',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	1),
(1240,	7,	2235,	'CSO2235',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	13.700,	NULL,	13.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 05:39:01',	'2021-05-03 06:48:30',	NULL,	'M N',	NULL,	NULL),
(1241,	7,	2236,	'CSO2236',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	22.600,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 05:50:59',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1242,	7,	2237,	'CSO2237',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 05:51:52',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1243,	7,	2238,	'CSO2238',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	9.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 05:55:45',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1244,	7,	2239,	'CSO2239',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:02:18',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1245,	7,	2240,	'CSO2240',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	39.600,	NULL,	39.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:15:27',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1246,	7,	2241,	'CSO2241',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	10.700,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:19:12',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1247,	7,	2242,	'CSO2242',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	22.500,	NULL,	22.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:20:19',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1248,	7,	2243,	'CSO2243',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.546,	0.046,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:32:02',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1249,	7,	2244,	'CSO2244',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.043,	43.000,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:37:50',	'2021-05-03 06:48:30',	NULL,	'',	NULL,	NULL),
(1250,	7,	2245,	'CSO2245',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:48:45',	'2021-05-03 08:56:38',	NULL,	'',	NULL,	1),
(1251,	7,	2246,	'CSO2246',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 06:55:35',	'2021-05-03 08:56:23',	NULL,	'',	NULL,	NULL),
(1252,	7,	2247,	'CSO2247',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	38.825,	0.025,	38.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:10:36',	'2021-05-03 08:56:03',	NULL,	'',	NULL,	NULL),
(1253,	7,	2248,	'CSO2248',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:13:01',	'2021-05-03 08:54:13',	NULL,	'',	NULL,	NULL),
(1254,	7,	2249,	'CSO2249',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:21:56',	'2021-05-03 08:53:58',	NULL,	'',	NULL,	NULL),
(1255,	7,	2250,	'CSO2250',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:38:37',	'2021-05-03 08:53:36',	NULL,	'',	NULL,	NULL),
(1256,	7,	2251,	'CSO2251',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	26.800,	NULL,	26.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:49:19',	'2021-05-03 08:53:23',	NULL,	'',	NULL,	1),
(1257,	7,	2252,	'CSO2252',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:51:00',	'2021-05-03 08:53:05',	NULL,	'',	NULL,	NULL),
(1258,	7,	2253,	'CSO2253',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:52:52',	'2021-05-03 08:52:36',	NULL,	'',	NULL,	1),
(1259,	7,	2254,	'CSO2254',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	67.300,	NULL,	67.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 07:59:53',	'2021-05-03 08:52:50',	NULL,	'',	NULL,	NULL),
(1260,	7,	2255,	'CSO2255',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:08:50',	'2021-05-03 08:51:43',	NULL,	'',	NULL,	NULL),
(1261,	7,	2256,	'CSO2256',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	32.200,	NULL,	32.200,	NULL,	NULL,	'card',	NULL,	'2021-05-03 08:10:06',	'2021-05-03 08:51:43',	NULL,	'',	NULL,	1),
(1262,	7,	2257,	'CSO2257',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	58.000,	NULL,	58.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:12:15',	'2021-05-03 08:52:15',	NULL,	'',	NULL,	NULL),
(1263,	7,	2258,	'CSO2258',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:14:05',	'2021-05-03 08:51:02',	NULL,	'',	NULL,	NULL),
(1264,	7,	2259,	'CSO2259',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.021,	0.021,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:17:49',	'2021-05-03 08:50:42',	NULL,	'',	NULL,	NULL),
(1265,	7,	2260,	'CSO2260',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:18:45',	'2021-05-03 08:50:14',	NULL,	'',	NULL,	NULL),
(1266,	7,	2261,	'CSO2261',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:22:12',	'2021-05-03 08:49:54',	NULL,	'',	NULL,	NULL),
(1267,	7,	2262,	'CSO2262',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:25:52',	'2021-05-03 08:49:54',	NULL,	'',	NULL,	NULL),
(1268,	7,	2263,	'CSO2263',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	195.400,	NULL,	195.400,	NULL,	NULL,	'card',	NULL,	'2021-05-03 08:25:55',	'2021-05-03 08:49:54',	NULL,	'',	NULL,	1),
(1269,	7,	2264,	'CSO2264',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	13.900,	NULL,	13.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:30:36',	'2021-05-03 08:49:54',	NULL,	'',	NULL,	NULL),
(1270,	7,	2265,	'CSO2265',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:34:57',	'2021-05-03 08:49:54',	NULL,	'',	NULL,	NULL),
(1271,	7,	2266,	'CSO2266',	225,	0,	'2021-05-03',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'ggjkjj',	'2021-05-03 08:38:57',	'2021-05-03 08:38:57',	NULL,	'TEST',	'98566556',	NULL),
(1272,	7,	2267,	'CSO2267',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:44:16',	'2021-05-03 08:49:54',	NULL,	'',	NULL,	NULL),
(1273,	7,	2268,	'CSO2268',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:46:50',	'2021-05-03 08:48:32',	NULL,	'',	NULL,	NULL),
(1274,	7,	2269,	'CSO2269',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	19.800,	NULL,	19.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 08:52:30',	'2021-05-03 12:01:49',	NULL,	'',	NULL,	NULL),
(1275,	7,	2270,	'CSO2270',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	15.990,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:05:09',	'2021-05-03 12:01:15',	NULL,	'',	NULL,	NULL),
(1276,	7,	2271,	'CSO2271',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	23.400,	NULL,	23.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:05:33',	'2021-05-03 11:40:31',	NULL,	'HAMOOD OMANI',	NULL,	NULL),
(1277,	7,	2272,	'CSO2272',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	65.965,	NULL,	65.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:09:37',	'2021-05-03 11:39:50',	NULL,	'',	NULL,	NULL),
(1278,	7,	2273,	'CSO2273',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	8.100,	0.100,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:17:10',	'2021-05-03 14:02:50',	NULL,	'',	NULL,	NULL),
(1279,	7,	2274,	'CSO2274',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:24:31',	'2021-05-03 11:39:27',	NULL,	'',	NULL,	NULL),
(1280,	7,	2275,	'CSO2275',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:26:48',	'2021-05-03 11:44:12',	NULL,	'',	NULL,	NULL),
(1281,	7,	2276,	'CSO2276',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:29:15',	'2021-05-03 11:40:31',	NULL,	'',	NULL,	NULL),
(1282,	7,	2277,	'CSO2277',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:30:17',	'2021-05-03 11:40:50',	NULL,	'',	NULL,	NULL),
(1283,	7,	2278,	'CSO2278',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:30:58',	'2021-05-03 11:12:53',	NULL,	'',	NULL,	NULL),
(1284,	7,	2279,	'CSO2279',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:35:04',	'2021-05-03 11:13:09',	NULL,	'',	NULL,	NULL),
(1285,	7,	2280,	'CSO2280',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:36:54',	'2021-05-03 11:21:03',	NULL,	'',	NULL,	NULL),
(1286,	7,	2281,	'CSO2281',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:38:30',	'2021-05-03 11:43:50',	NULL,	'',	NULL,	NULL),
(1287,	7,	2282,	'CSO2282',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:39:23',	'2021-05-03 11:24:41',	NULL,	'',	NULL,	NULL),
(1288,	7,	2283,	'CSO2283',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:45:29',	'2021-05-03 11:43:38',	NULL,	'',	NULL,	NULL),
(1289,	7,	2284,	'CSO2284',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	0.840,	0.040,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:49:52',	'2021-05-03 11:43:20',	NULL,	'',	NULL,	NULL),
(1290,	7,	2285,	'CSO2285',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	18.400,	NULL,	18.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:55:43',	'2021-05-03 11:42:56',	NULL,	'',	NULL,	NULL),
(1291,	7,	2286,	'CSO2286',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:58:51',	'2021-05-03 11:41:54',	NULL,	'',	NULL,	NULL),
(1292,	7,	2287,	'CSO2287',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	16.800,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:59:37',	'2021-05-03 11:38:05',	NULL,	'',	NULL,	NULL),
(1293,	7,	2288,	'CSO2288',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 09:59:46',	'2021-05-03 11:38:33',	NULL,	'',	NULL,	NULL),
(1294,	7,	2289,	'CSO2289',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:12:07',	'2021-05-03 11:59:26',	NULL,	'',	NULL,	NULL),
(1295,	7,	2290,	'CSO2290',	227,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:14:03',	'2021-05-03 11:58:15',	NULL,	'',	NULL,	NULL),
(1296,	7,	2291,	'CSO2291',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:22:34',	'2021-05-03 11:59:55',	NULL,	'',	NULL,	NULL),
(1297,	7,	2292,	'CSO2292',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:27:38',	'2021-05-03 11:32:34',	NULL,	'',	NULL,	NULL),
(1298,	7,	2293,	'CSO2293',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	13.300,	NULL,	13.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:32:35',	'2021-05-03 11:31:13',	NULL,	'',	NULL,	NULL),
(1299,	7,	2294,	'CSO2294',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:33:05',	'2021-05-03 11:30:55',	NULL,	'',	NULL,	NULL),
(1300,	7,	2295,	'CSO2295',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:39:31',	'2021-05-03 11:30:34',	NULL,	'',	NULL,	NULL),
(1301,	7,	2296,	'CSO2296',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:54:53',	'2021-05-03 11:29:35',	NULL,	'',	NULL,	NULL),
(1302,	7,	2297,	'CSO2297',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:56:31',	'2021-05-03 11:29:35',	NULL,	'',	NULL,	NULL),
(1303,	7,	2298,	'CSO2298',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 10:57:11',	'2021-05-03 11:29:04',	NULL,	'',	NULL,	NULL),
(1304,	7,	2299,	'CSO2299',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:05:17',	'2021-05-03 11:28:32',	NULL,	'',	NULL,	NULL),
(1305,	7,	2300,	'CSO2300',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-03',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:09:50',	'2021-05-03 11:20:51',	NULL,	'',	NULL,	NULL),
(1306,	7,	2301,	'CSO2301',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:19:59',	'2021-05-04 10:34:38',	NULL,	'',	NULL,	NULL),
(1307,	7,	2302,	'CSO2302',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:29:20',	'2021-05-04 11:09:26',	NULL,	'',	NULL,	NULL),
(1308,	7,	2303,	'CSO2303',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	55.980,	NULL,	56.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:30:07',	'2021-05-04 10:35:56',	NULL,	'',	NULL,	NULL),
(1309,	7,	2304,	'CSO2304',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:30:59',	'2021-05-04 10:36:24',	NULL,	'',	NULL,	NULL),
(1310,	7,	2305,	'CSO2305',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:32:31',	'2021-05-04 10:36:50',	NULL,	'',	NULL,	NULL),
(1311,	7,	2306,	'CSO2306',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:36:51',	'2021-05-04 11:04:40',	NULL,	'',	NULL,	NULL),
(1312,	7,	2307,	'CSO2307',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	87.000,	NULL,	87.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:44:36',	'2021-05-04 11:06:56',	NULL,	'',	NULL,	NULL),
(1313,	7,	2308,	'CSO2308',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 11:52:51',	'2021-05-04 11:07:25',	NULL,	'',	NULL,	NULL),
(1314,	7,	2309,	'CSO2309',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	151.200,	0.200,	151.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:06:11',	'2021-05-04 11:09:26',	NULL,	'ABDULLA',	NULL,	1),
(1315,	7,	2310,	'CSO2310',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:07:21',	'2021-05-04 11:09:26',	NULL,	'',	NULL,	NULL),
(1316,	7,	2311,	'CSO2311',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:10:18',	'2021-05-04 15:17:51',	NULL,	'',	NULL,	1),
(1317,	7,	2312,	'CSO2312',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:10:57',	'2021-05-04 11:10:01',	NULL,	'',	NULL,	NULL),
(1318,	7,	2313,	'CSO2313',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'card',	NULL,	'2021-05-03 12:13:16',	'2021-05-04 11:10:20',	NULL,	'',	NULL,	NULL),
(1319,	7,	2314,	'CSO2314',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:19:19',	'2021-05-04 11:10:35',	NULL,	'',	NULL,	NULL),
(1320,	7,	2315,	'CSO2315',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:39:29',	'2021-05-04 11:10:52',	NULL,	'',	NULL,	NULL),
(1321,	7,	2316,	'CSO2316',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	16.500,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:43:37',	'2021-05-04 11:11:12',	NULL,	'',	NULL,	NULL),
(1322,	7,	2317,	'CSO2317',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:48:20',	'2021-05-04 11:11:41',	NULL,	'',	NULL,	NULL),
(1323,	7,	2318,	'CSO2318',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:50:30',	'2021-05-04 11:12:03',	NULL,	'',	NULL,	NULL),
(1324,	7,	2319,	'CSO2319',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 12:57:47',	'2021-05-04 11:12:30',	NULL,	'',	NULL,	NULL),
(1325,	7,	2320,	'CSO2320',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:00:20',	'2021-05-04 11:15:01',	NULL,	'',	NULL,	NULL),
(1326,	7,	2321,	'CSO2321',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:02:03',	'2021-05-04 11:15:32',	NULL,	'',	NULL,	NULL),
(1327,	7,	2322,	'CSO2322',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:09:08',	'2021-05-04 11:16:09',	NULL,	'',	NULL,	NULL),
(1328,	7,	2323,	'CSO2323',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:10:42',	'2021-05-04 11:16:21',	NULL,	'',	NULL,	NULL),
(1329,	7,	2324,	'CSO2324',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:19:41',	'2021-05-04 11:16:39',	NULL,	'',	NULL,	NULL),
(1330,	7,	2325,	'CSO2325',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:23:01',	'2021-05-04 11:17:07',	NULL,	'',	NULL,	NULL),
(1331,	7,	2326,	'CSO2326',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:28:29',	'2021-05-04 11:17:16',	NULL,	'',	NULL,	NULL),
(1332,	7,	2327,	'CSO2327',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:29:37',	'2021-05-04 11:17:40',	NULL,	'',	NULL,	NULL),
(1333,	7,	2328,	'CSO2328',	226,	0,	'2021-05-03',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-03 13:41:32',	'2021-05-03 13:41:32',	NULL,	'TEST',	NULL,	NULL),
(1334,	7,	2329,	'CSO2329',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:42:26',	'2021-05-04 11:18:03',	NULL,	'',	NULL,	NULL),
(1335,	7,	2330,	'CSO2330',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:44:45',	'2021-05-04 11:18:21',	NULL,	'',	NULL,	NULL),
(1336,	7,	2331,	'CSO2331',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:49:06',	'2021-05-04 11:18:52',	NULL,	'',	NULL,	NULL),
(1337,	7,	2332,	'CSO2332',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:56:47',	'2021-05-04 11:19:09',	NULL,	'',	NULL,	NULL),
(1338,	7,	2333,	'CSO2333',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 13:57:56',	'2021-05-04 15:18:16',	NULL,	'',	NULL,	NULL),
(1339,	7,	2334,	'CSO2334',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	41.020,	0.020,	41.000,	NULL,	NULL,	'card',	NULL,	'2021-05-03 14:06:02',	'2021-05-04 11:19:34',	NULL,	'',	NULL,	1),
(1340,	7,	2335,	'CSO2335',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	14.700,	NULL,	14.700,	NULL,	NULL,	'card',	NULL,	'2021-05-03 14:08:54',	'2021-05-04 11:19:55',	NULL,	'',	NULL,	1),
(1341,	7,	2336,	'CSO2336',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	28.700,	NULL,	28.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:12:23',	'2021-05-04 11:20:13',	NULL,	'',	NULL,	NULL),
(1342,	7,	2337,	'CSO2337',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:21:03',	'2021-05-04 11:20:36',	NULL,	'',	NULL,	NULL),
(1343,	7,	2338,	'CSO2338',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	20.950,	0.050,	20.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:22:22',	'2021-05-04 11:20:58',	NULL,	'',	NULL,	1),
(1344,	7,	2339,	'CSO2339',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	27.200,	NULL,	27.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:23:11',	'2021-05-04 11:21:20',	NULL,	'',	NULL,	NULL),
(1345,	7,	2340,	'CSO2340',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:27:22',	'2021-05-04 11:23:05',	NULL,	'',	NULL,	NULL),
(1346,	7,	2341,	'CSO2341',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	9.900,	NULL,	9.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:30:51',	'2021-05-04 11:23:10',	NULL,	'',	NULL,	NULL),
(1347,	7,	2342,	'CSO2342',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	10.100,	0.100,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:39:14',	'2021-05-04 11:23:40',	NULL,	'',	NULL,	NULL),
(1348,	7,	2343,	'CSO2343',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	17.600,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:41:08',	'2021-05-04 11:24:03',	NULL,	'',	NULL,	NULL),
(1349,	7,	2344,	'CSO2344',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	17.500,	NULL,	17.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:44:48',	'2021-05-04 11:32:32',	NULL,	'',	NULL,	1),
(1350,	7,	2345,	'CSO2345',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:47:04',	'2021-05-04 11:33:05',	NULL,	'',	NULL,	NULL),
(1351,	7,	2346,	'CSO2346',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:48:55',	'2021-05-04 11:33:34',	NULL,	'',	NULL,	NULL),
(1352,	7,	2347,	'CSO2347',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 14:58:43',	'2021-05-04 11:33:57',	NULL,	'',	NULL,	NULL),
(1353,	7,	2348,	'CSO2348',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	75.930,	0.030,	75.900,	NULL,	NULL,	'card',	NULL,	'2021-05-03 15:08:22',	'2021-05-04 11:32:40',	NULL,	'',	NULL,	1),
(1354,	7,	2349,	'CSO2349',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	19.085,	0.085,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:24:44',	'2021-05-04 11:32:40',	NULL,	'',	NULL,	NULL),
(1355,	7,	2350,	'CSO2350',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:28:43',	'2021-05-04 11:34:27',	NULL,	'',	NULL,	NULL),
(1356,	7,	2351,	'CSO2351',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:29:18',	'2021-05-04 15:18:56',	NULL,	'',	NULL,	NULL),
(1357,	7,	2352,	'CSO2352',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.250,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:42:25',	'2021-05-04 15:19:21',	NULL,	'',	NULL,	NULL),
(1358,	7,	2353,	'CSO2353',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:42:57',	'2021-05-04 15:19:44',	NULL,	'',	NULL,	NULL),
(1359,	7,	2354,	'CSO2354',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:45:44',	'2021-05-04 15:20:07',	NULL,	'',	NULL,	NULL),
(1360,	7,	2355,	'CSO2355',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	21.500,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:52:10',	'2021-05-04 15:20:28',	NULL,	'',	NULL,	1),
(1361,	7,	2356,	'CSO2356',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:57:26',	'2021-05-04 15:20:45',	NULL,	'',	NULL,	NULL),
(1362,	7,	2357,	'CSO2357',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 15:59:12',	'2021-05-04 15:21:04',	NULL,	'',	NULL,	NULL),
(1363,	7,	2358,	'CSO2358',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:01:35',	'2021-05-04 15:21:21',	NULL,	'',	NULL,	NULL),
(1364,	7,	2359,	'CSO2359',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:02:46',	'2021-05-04 15:21:45',	NULL,	'',	NULL,	NULL),
(1365,	7,	2360,	'CSO2360',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:03:33',	'2021-05-04 15:22:03',	NULL,	'',	NULL,	NULL),
(1366,	7,	2361,	'CSO2361',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:08:43',	'2021-05-04 15:22:23',	NULL,	'',	NULL,	NULL),
(1367,	7,	2362,	'CSO2362',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	16.790,	NULL,	16.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:10:51',	'2021-05-04 15:22:44',	NULL,	'',	NULL,	NULL),
(1368,	7,	2363,	'CSO2363',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:12:08',	'2021-05-04 15:23:17',	NULL,	'',	NULL,	NULL),
(1369,	7,	2364,	'CSO2364',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.895,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:19:18',	'2021-05-04 15:23:42',	NULL,	'',	NULL,	NULL),
(1370,	7,	2365,	'CSO2365',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:21:12',	'2021-05-04 15:24:12',	NULL,	'',	NULL,	NULL),
(1371,	7,	2366,	'CSO2366',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:23:52',	'2021-05-04 15:24:34',	NULL,	'',	NULL,	NULL),
(1372,	7,	2367,	'CSO2367',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:25:50',	'2021-05-04 15:24:51',	NULL,	'',	NULL,	NULL),
(1373,	7,	2368,	'CSO2368',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	16.395,	NULL,	16.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:28:21',	'2021-05-04 15:25:20',	NULL,	'',	NULL,	NULL),
(1374,	7,	2369,	'CSO2369',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	10.604,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:36:04',	'2021-05-04 15:25:49',	NULL,	'',	NULL,	NULL),
(1375,	7,	2370,	'CSO2370',	224,	0,	'2021-05-03',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-03 16:40:19',	'2021-05-03 16:40:19',	NULL,	'',	NULL,	NULL),
(1376,	7,	2371,	'CSO2371',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:40:33',	'2021-05-04 15:26:35',	NULL,	'',	NULL,	NULL),
(1377,	7,	2372,	'CSO2372',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:51:37',	'2021-05-04 15:26:51',	NULL,	'',	NULL,	NULL),
(1378,	7,	2373,	'CSO2373',	226,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-03 16:53:14',	'2021-05-04 15:27:10',	NULL,	'',	NULL,	NULL),
(1379,	7,	2374,	'CSO2374',	224,	0,	'2021-05-03',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	28.290,	NULL,	28.200,	NULL,	NULL,	'card',	NULL,	'2021-05-03 16:57:27',	'2021-05-04 15:48:04',	NULL,	'',	NULL,	1),
(1380,	7,	2375,	'CSO2375',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	26.800,	NULL,	26.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 04:53:02',	'2021-05-04 15:27:36',	NULL,	'M N',	NULL,	NULL),
(1381,	7,	2376,	'CSO2376',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	20.200,	NULL,	20.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 05:05:22',	'2021-05-04 15:48:04',	NULL,	'',	NULL,	NULL),
(1382,	7,	2377,	'CSO2377',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 05:41:05',	'2021-05-04 15:33:31',	NULL,	'',	NULL,	NULL),
(1383,	7,	2378,	'CSO2378',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 05:56:20',	'2021-05-04 15:48:04',	NULL,	'',	NULL,	NULL),
(1384,	7,	2379,	'CSO2379',	227,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	247.100,	NULL,	239.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 06:30:07',	'2021-05-04 15:28:10',	NULL,	'',	NULL,	1),
(1385,	7,	2380,	'CSO2380',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 06:32:21',	'2021-05-04 15:45:11',	NULL,	'',	NULL,	NULL),
(1386,	7,	2381,	'CSO2381',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 06:37:10',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1387,	7,	2382,	'CSO2382',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 06:56:05',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1388,	7,	2383,	'CSO2383',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 06:56:28',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1389,	7,	2384,	'CSO2384',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:00:42',	'2021-05-04 15:45:11',	NULL,	'',	NULL,	NULL),
(1390,	7,	2385,	'CSO2385',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:06:01',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1391,	7,	2386,	'CSO2386',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	55.000,	NULL,	55.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:13:48',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1392,	7,	2387,	'CSO2387',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:24:26',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1393,	7,	2388,	'CSO2388',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:25:53',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1394,	7,	2389,	'CSO2389',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:26:59',	'2021-05-04 15:44:29',	NULL,	'',	NULL,	NULL),
(1395,	7,	2390,	'CSO2390',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:28:27',	'2021-05-04 15:48:19',	NULL,	'',	NULL,	NULL),
(1396,	7,	2391,	'CSO2391',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	43.500,	NULL,	43.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:38:23',	'2021-05-04 15:48:19',	NULL,	'',	NULL,	NULL),
(1397,	7,	2392,	'CSO2392',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 07:46:57',	'2021-05-04 15:48:19',	NULL,	'',	NULL,	NULL),
(1398,	7,	2393,	'CSO2393',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	19.800,	NULL,	19.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:08:25',	'2021-05-04 15:37:50',	NULL,	'',	NULL,	NULL),
(1399,	7,	2394,	'CSO2394',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	40.570,	NULL,	40.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:18:51',	'2021-05-04 15:37:50',	NULL,	'',	NULL,	NULL),
(1400,	7,	2395,	'CSO2395',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:19:44',	'2021-05-04 15:36:24',	NULL,	'',	NULL,	NULL),
(1401,	7,	2396,	'CSO2396',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.524,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:24:34',	'2021-05-04 15:36:24',	NULL,	'',	NULL,	NULL),
(1402,	7,	2397,	'CSO2397',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	26.400,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:26:58',	'2021-05-04 15:36:24',	NULL,	'',	NULL,	NULL),
(1403,	7,	2398,	'CSO2398',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:28:04',	'2021-05-04 15:36:24',	NULL,	'',	NULL,	NULL),
(1404,	7,	2399,	'CSO2399',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.785,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:28:26',	'2021-05-04 15:36:24',	NULL,	'',	NULL,	NULL),
(1405,	7,	2400,	'CSO2400',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:29:00',	'2021-05-04 15:37:50',	NULL,	'',	NULL,	NULL),
(1406,	7,	2401,	'CSO2401',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:32:13',	'2021-05-04 11:40:30',	NULL,	'',	NULL,	NULL),
(1407,	7,	2402,	'CSO2402',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:32:53',	'2021-05-04 11:40:52',	NULL,	'',	NULL,	NULL),
(1408,	7,	2403,	'CSO2403',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:38:26',	'2021-05-04 11:41:06',	NULL,	'',	NULL,	NULL),
(1409,	7,	2404,	'CSO2404',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:39:42',	'2021-05-04 11:41:24',	NULL,	'',	NULL,	NULL),
(1410,	7,	2405,	'CSO2405',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:41:47',	'2021-05-04 11:41:56',	NULL,	'',	NULL,	NULL),
(1411,	7,	2406,	'CSO2406',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:45:22',	'2021-05-04 11:41:56',	NULL,	'',	NULL,	NULL),
(1412,	7,	2407,	'CSO2407',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:51:50',	'2021-05-04 11:42:16',	NULL,	'',	NULL,	NULL),
(1413,	7,	2408,	'CSO2408',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:52:30',	'2021-05-04 11:42:34',	NULL,	'',	NULL,	NULL),
(1414,	7,	2409,	'CSO2409',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:53:59',	'2021-05-04 11:42:47',	NULL,	'',	NULL,	NULL),
(1415,	7,	2410,	'CSO2410',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:55:57',	'2021-05-04 11:43:04',	NULL,	'',	NULL,	NULL),
(1416,	7,	2411,	'CSO2411',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:57:55',	'2021-05-04 11:43:20',	NULL,	'',	NULL,	NULL),
(1417,	7,	2412,	'CSO2412',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 08:58:24',	'2021-05-04 17:53:16',	NULL,	'',	NULL,	NULL),
(1418,	7,	2413,	'CSO2413',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:00:16',	'2021-05-04 17:53:45',	NULL,	'',	NULL,	NULL),
(1419,	7,	2414,	'CSO2414',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:10:52',	'2021-05-04 17:54:07',	NULL,	'',	NULL,	NULL),
(1420,	7,	2415,	'CSO2415',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:16:27',	'2021-05-04 17:54:23',	NULL,	'',	NULL,	NULL),
(1421,	7,	2416,	'CSO2416',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:18:17',	'2021-05-04 12:00:52',	NULL,	'',	NULL,	NULL),
(1422,	7,	2417,	'CSO2417',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:20:23',	'2021-05-04 12:00:31',	NULL,	'',	NULL,	NULL),
(1423,	7,	2418,	'CSO2418',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:28:03',	'2021-05-04 12:00:15',	NULL,	'',	NULL,	NULL),
(1424,	7,	2419,	'CSO2419',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	59.555,	0.050,	59.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:32:10',	'2021-05-04 11:59:57',	NULL,	'',	NULL,	NULL),
(1425,	7,	2420,	'CSO2420',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	41.400,	NULL,	41.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:36:25',	'2021-05-04 11:59:31',	NULL,	'',	NULL,	NULL),
(1426,	7,	2421,	'CSO2421',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:39:17',	'2021-05-04 11:59:10',	NULL,	'',	NULL,	NULL),
(1427,	7,	2422,	'CSO2422',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:40:53',	'2021-05-04 11:58:32',	NULL,	'',	NULL,	NULL),
(1428,	7,	2423,	'CSO2423',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	31.100,	0.100,	31.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:49:10',	'2021-05-04 11:58:18',	NULL,	'',	NULL,	NULL),
(1429,	7,	2424,	'CSO2424',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.575,	0.075,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 09:59:38',	'2021-05-04 11:57:59',	NULL,	'',	NULL,	NULL),
(1430,	7,	2425,	'CSO2425',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	41.800,	NULL,	41.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:05:13',	'2021-05-04 11:57:39',	NULL,	'',	NULL,	NULL),
(1431,	7,	2426,	'CSO2426',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:06:42',	'2021-05-04 11:57:22',	NULL,	'',	NULL,	NULL),
(1432,	7,	2427,	'CSO2427',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:16:20',	'2021-05-04 11:56:56',	NULL,	'',	NULL,	NULL),
(1433,	7,	2428,	'CSO2428',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	11.700,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:17:25',	'2021-05-04 11:56:29',	NULL,	'',	NULL,	NULL),
(1434,	7,	2429,	'CSO2429',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:27:59',	'2021-05-04 11:55:44',	NULL,	'',	NULL,	NULL),
(1435,	7,	2430,	'CSO2430',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:31:09',	'2021-05-04 11:55:28',	NULL,	'',	NULL,	NULL),
(1436,	7,	2431,	'CSO2431',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	4.016,	0.016,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:34:34',	'2021-05-04 11:56:56',	NULL,	'',	NULL,	NULL),
(1437,	7,	2432,	'CSO2432',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	15.000,	0.400,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:35:51',	'2021-05-04 11:54:08',	NULL,	'',	NULL,	NULL),
(1438,	7,	2433,	'CSO2433',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:38:16',	'2021-05-04 11:56:56',	NULL,	'',	NULL,	NULL),
(1439,	7,	2434,	'CSO2434',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:39:43',	'2021-05-04 17:58:48',	NULL,	'',	NULL,	NULL),
(1440,	7,	2435,	'CSO2435',	226,	0,	'2021-05-04',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-04 10:41:22',	'2021-05-04 10:41:22',	NULL,	'',	NULL,	NULL),
(1441,	7,	2436,	'CSO2436',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	10.690,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 10:42:09',	'2021-05-04 11:52:43',	NULL,	'',	NULL,	NULL),
(1442,	7,	2437,	'CSO2437',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-04',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:12:52',	'2021-05-04 11:52:43',	NULL,	'',	NULL,	1),
(1443,	7,	2438,	'CSO2438',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	12.970,	0.070,	12.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:24:09',	'2021-05-05 08:06:10',	NULL,	'',	NULL,	NULL),
(1444,	7,	2439,	'CSO2439',	226,	0,	'2021-05-04',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-04 11:26:49',	'2021-05-04 11:26:49',	NULL,	'TEST',	NULL,	NULL),
(1445,	7,	2440,	'CSO2440',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	25.317,	0.017,	25.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:27:39',	'2021-05-05 08:06:58',	NULL,	'',	NULL,	NULL),
(1446,	7,	2441,	'CSO2441',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:28:19',	'2021-05-05 08:11:47',	NULL,	'',	NULL,	NULL),
(1447,	7,	2442,	'CSO2442',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:30:44',	'2021-05-05 08:08:09',	NULL,	'',	NULL,	NULL),
(1448,	7,	2443,	'CSO2443',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	21.400,	NULL,	21.400,	NULL,	NULL,	'card',	NULL,	'2021-05-04 11:33:29',	'2021-05-05 08:08:45',	NULL,	'',	NULL,	1),
(1449,	7,	2444,	'CSO2444',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:34:22',	'2021-05-05 08:09:17',	NULL,	'',	NULL,	NULL),
(1450,	7,	2445,	'CSO2445',	224,	0,	'2021-05-04',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-04 11:41:49',	'2021-05-04 11:41:49',	NULL,	'TEST',	NULL,	NULL),
(1451,	7,	2446,	'CSO2446',	224,	0,	'2021-05-04',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-04 11:44:04',	'2021-05-04 11:44:04',	NULL,	'TEST',	NULL,	NULL),
(1452,	7,	2447,	'CSO2447',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:44:25',	'2021-05-05 08:10:56',	NULL,	'',	NULL,	NULL),
(1453,	7,	2448,	'CSO2448',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	18.365,	0.065,	18.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:47:14',	'2021-05-05 08:11:22',	NULL,	'',	NULL,	NULL),
(1454,	7,	2449,	'CSO2449',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:48:15',	'2021-05-05 08:11:47',	NULL,	'',	NULL,	NULL),
(1455,	7,	2450,	'CSO2450',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 11:49:11',	'2021-05-05 08:12:09',	NULL,	'',	NULL,	NULL),
(1456,	7,	2451,	'CSO2451',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:04:30',	'2021-05-05 08:12:25',	NULL,	'',	NULL,	NULL),
(1457,	7,	2452,	'CSO2452',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	32.400,	0.400,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:19:30',	'2021-05-05 08:13:56',	NULL,	'',	NULL,	NULL),
(1458,	7,	2453,	'CSO2453',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:24:43',	'2021-05-05 08:14:19',	NULL,	'',	NULL,	NULL),
(1459,	7,	2454,	'CSO2454',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.780,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:27:28',	'2021-05-05 08:16:32',	NULL,	'',	NULL,	NULL),
(1460,	7,	2455,	'CSO2455',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:31:33',	'2021-05-05 08:18:42',	NULL,	'',	NULL,	NULL),
(1461,	7,	2456,	'CSO2456',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:34:39',	'2021-05-05 08:16:26',	NULL,	'',	NULL,	NULL),
(1462,	7,	2457,	'CSO2457',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	16.500,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:51:10',	'2021-05-05 08:17:03',	NULL,	'',	NULL,	NULL),
(1463,	7,	2458,	'CSO2458',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 12:53:11',	'2021-05-05 08:19:08',	NULL,	'',	NULL,	NULL),
(1464,	7,	2459,	'CSO2459',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.200,	0.200,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:05:43',	'2021-05-05 08:19:34',	NULL,	'',	NULL,	NULL),
(1465,	7,	2460,	'CSO2460',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:06:47',	'2021-05-05 09:49:23',	NULL,	'',	NULL,	NULL),
(1466,	7,	2461,	'CSO2461',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:10:36',	'2021-05-05 08:22:37',	NULL,	'',	NULL,	NULL),
(1467,	7,	2462,	'CSO2462',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:19:54',	'2021-05-05 08:22:53',	NULL,	'',	NULL,	NULL),
(1468,	7,	2463,	'CSO2463',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:21:32',	'2021-05-05 08:23:20',	NULL,	'',	NULL,	NULL),
(1469,	7,	2464,	'CSO2464',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:22:03',	'2021-05-05 08:23:44',	NULL,	'',	NULL,	NULL),
(1470,	7,	2465,	'CSO2465',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:25:00',	'2021-05-05 08:24:05',	NULL,	'',	NULL,	NULL),
(1471,	7,	2466,	'CSO2466',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:25:35',	'2021-05-05 08:24:25',	NULL,	'',	NULL,	NULL),
(1472,	7,	2467,	'CSO2467',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	29.563,	0.063,	29.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:30:44',	'2021-05-05 08:24:55',	NULL,	'',	NULL,	NULL),
(1473,	7,	2468,	'CSO2468',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:35:38',	'2021-05-05 08:25:13',	NULL,	'',	NULL,	NULL),
(1474,	7,	2469,	'CSO2469',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:36:41',	'2021-05-05 08:25:29',	NULL,	'',	NULL,	NULL),
(1475,	7,	2470,	'CSO2470',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:37:34',	'2021-05-05 08:25:49',	NULL,	'',	NULL,	NULL),
(1476,	7,	2471,	'CSO2471',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	30.580,	0.080,	30.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:50:45',	'2021-05-05 08:26:22',	NULL,	'',	NULL,	NULL),
(1477,	7,	2472,	'CSO2472',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 13:54:09',	'2021-05-05 08:26:53',	NULL,	'',	NULL,	NULL),
(1478,	7,	2473,	'CSO2473',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	33.000,	NULL,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:03:08',	'2021-05-05 08:28:41',	NULL,	'',	NULL,	NULL),
(1479,	7,	2474,	'CSO2474',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	558.300,	NULL,	558.300,	NULL,	NULL,	'card',	NULL,	'2021-05-04 14:06:13',	'2021-05-05 08:29:04',	NULL,	'',	NULL,	1),
(1480,	7,	2475,	'CSO2475',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:07:00',	'2021-05-05 08:29:34',	NULL,	'',	NULL,	NULL),
(1481,	7,	2476,	'CSO2476',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:08:00',	'2021-05-05 08:29:52',	NULL,	'',	NULL,	NULL),
(1482,	7,	2477,	'CSO2477',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:10:00',	'2021-05-05 08:30:12',	NULL,	'',	NULL,	NULL),
(1483,	7,	2478,	'CSO2478',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:13:56',	'2021-05-05 08:31:00',	NULL,	'',	NULL,	NULL),
(1484,	7,	2479,	'CSO2479',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:20:58',	'2021-05-05 08:31:00',	NULL,	'',	NULL,	NULL),
(1485,	7,	2480,	'CSO2480',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:22:42',	'2021-05-05 08:31:19',	NULL,	'',	NULL,	NULL),
(1486,	7,	2481,	'CSO2481',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	17.000,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:25:51',	'2021-05-05 08:31:35',	NULL,	'',	NULL,	NULL),
(1487,	7,	2482,	'CSO2482',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:27:18',	'2021-05-05 08:32:04',	NULL,	'',	NULL,	NULL),
(1488,	7,	2483,	'CSO2483',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:30:11',	'2021-05-05 08:32:31',	NULL,	'',	NULL,	NULL),
(1489,	7,	2484,	'CSO2484',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	25.500,	NULL,	25.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:34:13',	'2021-05-05 08:32:51',	NULL,	'',	NULL,	NULL),
(1490,	7,	2485,	'CSO2485',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:48:15',	'2021-05-05 08:33:17',	NULL,	'',	NULL,	NULL),
(1491,	7,	2486,	'CSO2486',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 14:50:05',	'2021-05-05 09:50:42',	NULL,	'',	NULL,	NULL),
(1492,	7,	2487,	'CSO2487',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:04:33',	'2021-05-05 09:51:00',	NULL,	'',	NULL,	NULL),
(1493,	7,	2488,	'CSO2488',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	45.200,	NULL,	45.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:11:47',	'2021-05-05 09:51:21',	NULL,	'',	NULL,	1),
(1494,	7,	2489,	'CSO2489',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:14:54',	'2021-05-05 09:51:38',	NULL,	'',	NULL,	NULL),
(1495,	7,	2490,	'CSO2490',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	27.600,	NULL,	27.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:15:43',	'2021-05-05 09:52:00',	NULL,	'',	NULL,	1),
(1496,	7,	2491,	'CSO2491',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:22:30',	'2021-05-05 09:52:34',	NULL,	'',	NULL,	NULL),
(1497,	7,	2492,	'CSO2492',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:24:45',	'2021-05-05 09:52:52',	NULL,	'',	NULL,	NULL),
(1498,	7,	2493,	'CSO2493',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:31:27',	'2021-05-05 09:53:15',	NULL,	'',	NULL,	NULL),
(1499,	7,	2494,	'CSO2494',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	17.900,	NULL,	17.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:34:13',	'2021-05-05 10:07:56',	NULL,	'',	NULL,	NULL),
(1500,	7,	2495,	'CSO2495',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:38:53',	'2021-05-05 10:08:32',	NULL,	'',	NULL,	NULL),
(1501,	7,	2496,	'CSO2496',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	39.000,	NULL,	39.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:41:03',	'2021-05-05 10:09:28',	NULL,	'',	NULL,	NULL),
(1502,	7,	2497,	'CSO2497',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:43:23',	'2021-05-05 10:13:00',	NULL,	'',	NULL,	NULL),
(1503,	7,	2498,	'CSO2498',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	24.700,	NULL,	24.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:53:07',	'2021-05-05 10:13:28',	NULL,	'',	NULL,	NULL),
(1504,	7,	2499,	'CSO2499',	224,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:54:51',	'2021-05-05 10:13:43',	NULL,	'',	NULL,	NULL),
(1505,	7,	2500,	'CSO2500',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	18.600,	NULL,	18.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 15:55:28',	'2021-05-05 10:14:48',	NULL,	'',	NULL,	NULL),
(1506,	7,	2501,	'CSO2501',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	21.800,	NULL,	21.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:00:30',	'2021-05-05 10:15:07',	NULL,	'',	NULL,	NULL),
(1507,	7,	2502,	'CSO2502',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:02:34',	'2021-05-05 10:15:29',	NULL,	'',	NULL,	NULL),
(1508,	7,	2503,	'CSO2503',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:04:42',	'2021-05-05 10:17:21',	NULL,	'',	NULL,	NULL),
(1509,	7,	2504,	'CSO2504',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:05:38',	'2021-05-05 10:17:46',	NULL,	'',	NULL,	NULL),
(1510,	7,	2505,	'CSO2505',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:09:54',	'2021-05-05 10:18:45',	NULL,	'',	NULL,	NULL),
(1511,	7,	2506,	'CSO2506',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.100,	NULL,	6.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:11:51',	'2021-05-05 10:19:13',	NULL,	'',	NULL,	NULL),
(1512,	7,	2507,	'CSO2507',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	34.900,	NULL,	34.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:18:14',	'2021-05-05 10:20:03',	NULL,	'',	NULL,	NULL),
(1513,	7,	2508,	'CSO2508',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:19:22',	'2021-05-05 10:20:16',	NULL,	'',	NULL,	NULL),
(1514,	7,	2509,	'CSO2509',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	15.200,	NULL,	15.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:20:02',	'2021-05-05 10:20:38',	NULL,	'',	NULL,	NULL),
(1515,	7,	2510,	'CSO2510',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:20:48',	'2021-05-05 10:21:03',	NULL,	'',	NULL,	NULL),
(1516,	7,	2511,	'CSO2511',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:31:47',	'2021-05-05 10:21:20',	NULL,	'',	NULL,	1),
(1517,	7,	2512,	'CSO2512',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:36:57',	'2021-05-05 10:21:56',	NULL,	'',	NULL,	NULL),
(1518,	7,	2513,	'CSO2513',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	11.500,	NULL,	11.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:39:00',	'2021-05-05 10:22:33',	NULL,	'',	NULL,	1),
(1519,	7,	2514,	'CSO2514',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:40:04',	'2021-05-05 10:23:03',	NULL,	'',	NULL,	NULL),
(1520,	7,	2515,	'CSO2515',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	15.900,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:42:43',	'2021-05-05 10:23:28',	NULL,	'',	NULL,	NULL),
(1521,	7,	2516,	'CSO2516',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	18.100,	NULL,	18.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:46:34',	'2021-05-05 10:23:45',	NULL,	'',	NULL,	NULL),
(1522,	7,	2517,	'CSO2517',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.300,	NULL,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 16:58:47',	'2021-05-05 10:24:07',	NULL,	'',	NULL,	NULL),
(1523,	7,	2518,	'CSO2518',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 17:06:47',	'2021-05-05 10:24:22',	NULL,	'',	NULL,	NULL),
(1524,	7,	2519,	'CSO2519',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 17:10:12',	'2021-05-05 10:24:44',	NULL,	'',	NULL,	NULL),
(1525,	7,	2520,	'CSO2520',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 17:12:55',	'2021-05-05 10:25:02',	NULL,	'',	NULL,	NULL),
(1526,	7,	2521,	'CSO2521',	226,	0,	'2021-05-04',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-04 17:14:00',	'2021-05-05 10:25:17',	NULL,	'',	NULL,	NULL),
(1527,	7,	2522,	'CSO2522',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 04:52:31',	'2021-05-05 10:25:38',	NULL,	'',	NULL,	NULL),
(1528,	7,	2523,	'CSO2523',	227,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	507.400,	NULL,	507.400,	NULL,	NULL,	'cash',	'7171',	'2021-05-05 05:30:57',	'2021-05-05 10:26:29',	NULL,	'',	NULL,	1),
(1529,	7,	2524,	'CSO2524',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 05:40:08',	'2021-05-05 10:26:46',	NULL,	'',	NULL,	NULL),
(1530,	7,	2525,	'CSO2525',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.838,	NULL,	1.830,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 05:44:54',	'2021-05-05 10:27:20',	NULL,	'',	NULL,	NULL),
(1531,	7,	2526,	'CSO2526',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.838,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 05:46:24',	'2021-05-05 10:27:58',	NULL,	'',	NULL,	NULL),
(1532,	7,	2527,	'CSO2527',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 05:48:09',	'2021-05-05 10:29:05',	NULL,	'',	NULL,	NULL),
(1533,	7,	2528,	'CSO2528',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	90.000,	NULL,	90.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 05:48:35',	'2021-05-05 09:55:08',	NULL,	'',	NULL,	NULL),
(1534,	7,	2529,	'CSO2529',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 05:54:53',	'2021-05-05 09:55:35',	NULL,	'',	NULL,	NULL),
(1535,	7,	2530,	'CSO2530',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:08:32',	'2021-05-05 09:55:35',	NULL,	'',	NULL,	NULL),
(1536,	7,	2531,	'CSO2531',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:10:48',	'2021-05-05 09:56:07',	NULL,	'',	NULL,	1),
(1537,	7,	2532,	'CSO2532',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:14:00',	'2021-05-05 10:01:14',	NULL,	'',	NULL,	NULL),
(1538,	7,	2533,	'CSO2533',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	47.000,	NULL,	47.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:25:51',	'2021-05-05 10:02:37',	NULL,	'',	NULL,	NULL),
(1539,	7,	2534,	'CSO2534',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:37:31',	'2021-05-05 10:02:52',	NULL,	'',	NULL,	NULL),
(1540,	7,	2535,	'CSO2535',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:41:49',	'2021-05-05 10:03:08',	NULL,	'',	NULL,	NULL),
(1541,	7,	2536,	'CSO2536',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	21.990,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:42:22',	'2021-05-05 10:03:34',	NULL,	'',	NULL,	NULL),
(1542,	7,	2537,	'CSO2537',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 06:45:08',	'2021-05-05 10:04:33',	NULL,	'',	NULL,	NULL),
(1543,	7,	2538,	'CSO2538',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	22.000,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:03:47',	'2021-05-05 10:06:43',	NULL,	'',	NULL,	NULL),
(1544,	7,	2539,	'CSO2539',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	27.000,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:14:06',	'2021-05-05 10:42:08',	NULL,	'',	NULL,	NULL),
(1545,	7,	2540,	'CSO2540',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:21:21',	'2021-05-05 10:07:00',	NULL,	'',	NULL,	NULL),
(1546,	7,	2541,	'CSO2541',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:23:15',	'2021-05-05 10:06:43',	NULL,	'',	NULL,	NULL),
(1547,	7,	2542,	'CSO2542',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:24:01',	'2021-05-05 10:09:13',	NULL,	'',	NULL,	NULL),
(1548,	7,	2543,	'CSO2543',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:26:33',	'2021-05-05 10:09:31',	NULL,	'',	NULL,	NULL),
(1549,	7,	2544,	'CSO2544',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:27:57',	'2021-05-05 10:15:19',	NULL,	'',	NULL,	NULL),
(1550,	7,	2545,	'CSO2545',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:29:01',	'2021-05-05 10:42:38',	NULL,	'',	NULL,	NULL),
(1551,	7,	2546,	'CSO2546',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:42:14',	'2021-05-05 10:17:12',	NULL,	'',	NULL,	NULL),
(1552,	7,	2547,	'CSO2547',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:44:27',	'2021-05-05 10:17:29',	NULL,	'',	NULL,	NULL),
(1553,	7,	2548,	'CSO2548',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:46:47',	'2021-05-05 10:17:57',	NULL,	'',	NULL,	NULL),
(1554,	7,	2549,	'CSO2549',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:47:53',	'2021-05-05 10:20:03',	NULL,	'',	NULL,	NULL),
(1555,	7,	2550,	'CSO2550',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	17.000,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:49:36',	'2021-05-05 10:20:22',	NULL,	'',	NULL,	1),
(1556,	7,	2551,	'CSO2551',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	17.185,	0.185,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:52:29',	'2021-05-05 10:37:34',	NULL,	'',	NULL,	NULL),
(1557,	7,	2552,	'CSO2552',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 07:58:01',	'2021-05-05 10:20:38',	NULL,	'',	NULL,	NULL),
(1558,	7,	2553,	'CSO2553',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:03:35',	'2021-05-05 10:21:03',	NULL,	'',	NULL,	NULL),
(1559,	7,	2554,	'CSO2554',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:12:00',	'2021-05-05 10:21:20',	NULL,	'',	NULL,	NULL),
(1560,	7,	2555,	'CSO2555',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:16:37',	'2021-05-05 10:22:08',	NULL,	'',	NULL,	NULL),
(1561,	7,	2556,	'CSO2556',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:32:45',	'2021-05-05 10:25:55',	NULL,	'',	NULL,	NULL),
(1562,	7,	2557,	'CSO2557',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:34:37',	'2021-05-05 10:26:28',	NULL,	'',	NULL,	NULL),
(1563,	7,	2558,	'CSO2558',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:37:49',	'2021-05-05 10:26:28',	NULL,	'',	NULL,	NULL),
(1564,	7,	2559,	'CSO2559',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:43:13',	'2021-05-05 10:26:49',	NULL,	'',	NULL,	NULL),
(1565,	7,	2560,	'CSO2560',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:44:55',	'2021-05-05 10:27:20',	NULL,	'',	NULL,	NULL),
(1566,	7,	2561,	'CSO2561',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:46:11',	'2021-05-05 10:27:36',	NULL,	'',	NULL,	NULL),
(1567,	7,	2562,	'CSO2562',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	52.900,	NULL,	52.900,	NULL,	NULL,	'card',	NULL,	'2021-05-05 08:51:19',	'2021-05-05 10:28:28',	NULL,	'',	NULL,	1),
(1568,	7,	2563,	'CSO2563',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	8.150,	0.050,	8.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 08:52:30',	'2021-05-05 10:28:28',	NULL,	'',	NULL,	NULL),
(1569,	7,	2564,	'CSO2564',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	99.000,	NULL,	99.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:01:50',	'2021-05-05 10:28:28',	NULL,	'',	NULL,	NULL),
(1570,	7,	2565,	'CSO2565',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:05:58',	'2021-05-05 10:28:42',	NULL,	'',	NULL,	NULL),
(1571,	7,	2566,	'CSO2566',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	8.900,	NULL,	8.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:12:23',	'2021-05-05 10:28:57',	NULL,	'',	NULL,	NULL),
(1572,	7,	2567,	'CSO2567',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.550,	0.050,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:21:41',	'2021-05-05 10:32:48',	NULL,	'',	NULL,	NULL),
(1573,	7,	2568,	'CSO2568',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:26:08',	'2021-05-05 10:32:58',	NULL,	'',	NULL,	NULL),
(1574,	7,	2569,	'CSO2569',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	30.500,	NULL,	30.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:26:16',	'2021-05-05 10:32:58',	NULL,	'',	NULL,	NULL),
(1575,	7,	2570,	'CSO2570',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	37.380,	0.080,	37.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:33:56',	'2021-05-05 10:32:58',	NULL,	'',	NULL,	NULL),
(1576,	7,	2571,	'CSO2571',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:36:07',	'2021-05-05 10:32:58',	NULL,	'',	NULL,	NULL),
(1577,	7,	2572,	'CSO2572',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.550,	0.050,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:39:03',	'2021-05-05 10:33:36',	NULL,	'',	NULL,	NULL),
(1578,	7,	2573,	'CSO2573',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:40:38',	'2021-05-05 10:35:03',	NULL,	'',	NULL,	NULL),
(1579,	7,	2574,	'CSO2574',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	17.490,	NULL,	17.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:45:08',	'2021-05-05 10:36:16',	NULL,	'',	NULL,	NULL),
(1580,	7,	2575,	'CSO2575',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.043,	0.430,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:46:41',	'2021-05-05 10:36:16',	NULL,	'',	NULL,	NULL),
(1581,	7,	2576,	'CSO2576',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:47:41',	'2021-05-05 10:36:34',	NULL,	'',	NULL,	1),
(1582,	7,	2577,	'CSO2577',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	38.900,	NULL,	39.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:52:02',	'2021-05-05 10:44:51',	NULL,	'',	NULL,	1),
(1583,	7,	2578,	'CSO2578',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 09:56:50',	'2021-05-05 10:45:42',	NULL,	'',	NULL,	NULL),
(1584,	7,	2579,	'CSO2579',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:01:04',	'2021-05-05 10:45:58',	NULL,	'',	NULL,	NULL),
(1585,	7,	2580,	'CSO2580',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:01:36',	'2021-05-05 10:46:45',	NULL,	'',	NULL,	NULL),
(1586,	7,	2581,	'CSO2581',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	31.078,	NULL,	31.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:02:08',	'2021-05-05 10:47:14',	NULL,	'',	NULL,	NULL),
(1587,	7,	2582,	'CSO2582',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:07:22',	'2021-05-05 10:46:53',	NULL,	'',	NULL,	NULL),
(1588,	7,	2583,	'CSO2583',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	63.460,	NULL,	63.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:09:08',	'2021-05-05 10:48:08',	NULL,	'',	NULL,	NULL),
(1589,	7,	2584,	'CSO2584',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	19.600,	NULL,	19.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:09:17',	'2021-05-05 10:48:28',	NULL,	'',	NULL,	NULL),
(1590,	7,	2585,	'CSO2585',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:09:50',	'2021-05-05 10:49:03',	NULL,	'',	NULL,	NULL),
(1591,	7,	2586,	'CSO2586',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:10:44',	'2021-05-05 10:49:20',	NULL,	'',	NULL,	NULL),
(1592,	7,	2587,	'CSO2587',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:14:49',	'2021-05-05 10:49:36',	NULL,	'',	NULL,	NULL),
(1593,	7,	2588,	'CSO2588',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:22:54',	'2021-05-05 10:50:00',	NULL,	'',	NULL,	NULL),
(1594,	7,	2589,	'CSO2589',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:29:38',	'2021-05-05 10:50:14',	NULL,	'',	NULL,	NULL),
(1595,	7,	2590,	'CSO2590',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:30:47',	'2021-05-05 11:09:41',	NULL,	'',	NULL,	NULL),
(1596,	7,	2591,	'CSO2591',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	180.400,	NULL,	180.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:36:22',	'2021-05-05 10:51:04',	NULL,	'',	NULL,	NULL),
(1597,	7,	2592,	'CSO2592',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:45:49',	'2021-05-05 10:51:24',	NULL,	'',	NULL,	NULL),
(1598,	7,	2593,	'CSO2593',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	34.000,	NULL,	34.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:51:02',	'2021-05-05 11:10:11',	NULL,	'',	NULL,	NULL),
(1599,	7,	2594,	'CSO2594',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	31.000,	NULL,	31.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 10:59:48',	'2021-05-05 11:28:18',	NULL,	'',	NULL,	NULL),
(1600,	7,	2595,	'CSO2595',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:05:03',	'2021-05-05 11:28:18',	NULL,	'',	NULL,	NULL),
(1601,	7,	2596,	'CSO2596',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:08:04',	'2021-05-05 11:28:18',	NULL,	'',	NULL,	NULL),
(1602,	7,	2597,	'CSO2597',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:10:15',	'2021-05-05 11:28:18',	NULL,	'',	NULL,	NULL),
(1603,	7,	2598,	'CSO2598',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	4.750,	0.050,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:10:40',	'2021-05-05 11:28:18',	NULL,	'',	NULL,	NULL),
(1604,	7,	2599,	'CSO2599',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:16:22',	'2021-05-05 11:28:43',	NULL,	'',	NULL,	NULL),
(1605,	7,	2600,	'CSO2600',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	22.400,	NULL,	22.400,	NULL,	NULL,	'card',	NULL,	'2021-05-05 11:18:02',	'2021-05-05 11:29:16',	NULL,	'',	NULL,	1),
(1606,	7,	2601,	'CSO2601',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	12.600,	NULL,	12.600,	NULL,	NULL,	'card',	NULL,	'2021-05-05 11:19:27',	'2021-05-05 11:29:16',	NULL,	'',	NULL,	1),
(1607,	7,	2602,	'CSO2602',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:25:42',	'2021-05-05 11:38:57',	NULL,	'',	NULL,	NULL),
(1608,	7,	2603,	'CSO2603',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:26:17',	'2021-05-05 11:34:55',	NULL,	'',	NULL,	NULL),
(1609,	7,	2604,	'CSO2604',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:31:05',	'2021-05-05 11:37:59',	NULL,	'',	NULL,	NULL),
(1610,	7,	2605,	'CSO2605',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	32.400,	NULL,	32.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:31:46',	'2021-05-05 11:38:17',	NULL,	'',	NULL,	NULL),
(1611,	7,	2606,	'CSO2606',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	23.100,	NULL,	23.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:34:16',	'2021-05-05 11:38:57',	NULL,	'',	NULL,	NULL),
(1612,	7,	2607,	'CSO2607',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:35:32',	'2021-05-05 11:44:48',	NULL,	'',	NULL,	NULL),
(1613,	7,	2608,	'CSO2608',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:38:35',	'2021-05-05 11:46:45',	NULL,	'',	NULL,	NULL),
(1614,	7,	2609,	'CSO2609',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.575,	0.075,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:40:20',	'2021-05-05 11:47:07',	NULL,	'',	NULL,	NULL),
(1615,	7,	2610,	'CSO2610',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:44:48',	'2021-05-05 11:55:55',	NULL,	'',	NULL,	NULL),
(1616,	7,	2611,	'CSO2611',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	30.500,	NULL,	30.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:53:35',	'2021-05-05 12:16:28',	NULL,	'',	NULL,	NULL),
(1617,	7,	2612,	'CSO2612',	227,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	284.800,	NULL,	284.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:57:00',	'2021-05-05 12:40:03',	NULL,	'',	NULL,	1),
(1618,	7,	2613,	'CSO2613',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	22.530,	0.030,	22.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 11:57:25',	'2021-05-05 12:35:00',	NULL,	'',	NULL,	NULL),
(1619,	7,	2614,	'CSO2614',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'card',	NULL,	'2021-05-05 11:58:09',	'2021-05-05 12:25:28',	NULL,	'',	NULL,	1),
(1620,	7,	2615,	'CSO2615',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	7.610,	0.161,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:00:59',	'2021-05-05 12:43:47',	NULL,	'',	NULL,	NULL),
(1621,	7,	2616,	'CSO2616',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	27.600,	NULL,	27.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:01:42',	'2021-05-05 12:43:47',	NULL,	'',	NULL,	NULL),
(1622,	7,	2617,	'CSO2617',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	30.650,	0.050,	30.600,	NULL,	NULL,	'card',	NULL,	'2021-05-05 12:02:14',	'2021-05-05 12:25:21',	NULL,	'',	NULL,	1),
(1623,	7,	2618,	'CSO2618',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'card',	NULL,	'2021-05-05 12:03:11',	'2021-05-05 12:25:21',	NULL,	'',	NULL,	1),
(1624,	7,	2619,	'CSO2619',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	20.500,	NULL,	20.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:07:04',	'2021-05-05 12:25:21',	NULL,	'',	NULL,	NULL),
(1625,	7,	2620,	'CSO2620',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	108.000,	NULL,	108.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:07:31',	'2021-05-05 12:25:21',	NULL,	'',	NULL,	NULL),
(1626,	7,	2621,	'CSO2621',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:11:02',	'2021-05-05 12:44:53',	NULL,	'',	NULL,	NULL),
(1627,	7,	2622,	'CSO2622',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-05',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:13:32',	'2021-05-05 12:45:16',	NULL,	'',	NULL,	NULL),
(1628,	7,	2623,	'CSO2623',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:16:10',	'2021-05-06 10:06:36',	NULL,	'',	NULL,	NULL),
(1629,	7,	2624,	'CSO2624',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:18:36',	'2021-05-06 10:36:48',	NULL,	'',	NULL,	NULL),
(1630,	7,	2625,	'CSO2625',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:19:36',	'2021-05-06 10:37:11',	NULL,	'',	NULL,	NULL),
(1631,	7,	2626,	'CSO2626',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:20:58',	'2021-05-06 10:37:28',	NULL,	'',	NULL,	NULL),
(1632,	7,	2627,	'CSO2627',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	15.100,	NULL,	15.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:25:15',	'2021-05-06 10:37:48',	NULL,	'',	NULL,	1),
(1633,	7,	2628,	'CSO2628',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:26:18',	'2021-05-06 10:52:03',	NULL,	'',	NULL,	NULL),
(1634,	7,	2629,	'CSO2629',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:27:21',	'2021-05-06 10:52:38',	NULL,	'',	NULL,	NULL),
(1635,	7,	2630,	'CSO2630',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	14.700,	NULL,	14.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:29:40',	'2021-05-06 10:53:03',	NULL,	'',	NULL,	NULL),
(1636,	7,	2631,	'CSO2631',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:31:32',	'2021-05-06 10:54:00',	NULL,	'',	NULL,	NULL),
(1637,	7,	2632,	'CSO2632',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	23.900,	NULL,	23.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:35:27',	'2021-05-06 10:56:06',	NULL,	'',	NULL,	NULL),
(1638,	7,	2633,	'CSO2633',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:36:32',	'2021-05-06 10:56:33',	NULL,	'',	NULL,	NULL),
(1639,	7,	2634,	'CSO2634',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:43:55',	'2021-05-06 10:57:58',	NULL,	'',	NULL,	NULL),
(1640,	7,	2635,	'CSO2635',	224,	0,	'2021-05-05',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-05 12:47:29',	'2021-05-05 12:47:29',	NULL,	'TEST',	NULL,	NULL),
(1641,	7,	2636,	'CSO2636',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:49:57',	'2021-05-06 10:57:11',	NULL,	'',	NULL,	NULL),
(1642,	7,	2637,	'CSO2637',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 12:51:38',	'2021-05-06 10:57:28',	NULL,	'',	NULL,	NULL),
(1643,	7,	2638,	'CSO2638',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:00:31',	'2021-05-06 10:57:58',	NULL,	'',	NULL,	NULL),
(1644,	7,	2639,	'CSO2639',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:07:16',	'2021-05-06 10:59:46',	NULL,	'',	NULL,	NULL),
(1645,	7,	2640,	'CSO2640',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:16:02',	'2021-05-06 11:00:14',	NULL,	'',	NULL,	NULL),
(1646,	7,	2641,	'CSO2641',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:19:49',	'2021-05-06 11:00:37',	NULL,	'',	NULL,	NULL),
(1647,	7,	2642,	'CSO2642',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:21:37',	'2021-05-06 11:01:12',	NULL,	'',	NULL,	NULL),
(1648,	7,	2643,	'CSO2643',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	41.400,	NULL,	41.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:24:54',	'2021-05-06 11:01:37',	NULL,	'',	NULL,	NULL),
(1649,	7,	2644,	'CSO2644',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:36:36',	'2021-05-06 11:02:50',	NULL,	'',	NULL,	NULL),
(1650,	7,	2645,	'CSO2645',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:38:14',	'2021-05-06 11:03:10',	NULL,	'',	NULL,	NULL),
(1651,	7,	2646,	'CSO2646',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	104.700,	NULL,	104.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:51:47',	'2021-05-06 11:17:10',	NULL,	'',	NULL,	1),
(1652,	7,	2647,	'CSO2647',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 13:59:31',	'2021-05-06 11:17:35',	NULL,	'',	NULL,	1),
(1653,	7,	2648,	'CSO2648',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:02:36',	'2021-05-06 11:18:45',	NULL,	'',	NULL,	1),
(1654,	7,	2649,	'CSO2649',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	17.300,	NULL,	17.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:03:57',	'2021-05-06 11:19:30',	NULL,	'',	NULL,	1),
(1655,	7,	2650,	'CSO2650',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:03:59',	'2021-05-06 11:20:36',	NULL,	'',	NULL,	NULL),
(1656,	7,	2651,	'CSO2651',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:06:10',	'2021-05-06 11:24:30',	NULL,	'',	NULL,	NULL),
(1657,	7,	2652,	'CSO2652',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	38.300,	NULL,	38.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:17:22',	'2021-05-06 11:25:40',	NULL,	'',	NULL,	NULL),
(1658,	7,	2653,	'CSO2653',	224,	0,	'2021-05-05',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-05 14:17:25',	'2021-05-05 14:17:25',	NULL,	'',	NULL,	NULL),
(1659,	7,	2654,	'CSO2654',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:18:51',	'2021-05-06 11:26:21',	NULL,	'',	NULL,	NULL),
(1660,	7,	2655,	'CSO2655',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:22:22',	'2021-05-06 11:26:52',	NULL,	'',	NULL,	NULL),
(1661,	7,	2656,	'CSO2656',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	17.600,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:24:15',	'2021-05-06 11:27:17',	NULL,	'',	NULL,	NULL),
(1662,	7,	2657,	'CSO2657',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:26:30',	'2021-05-06 11:27:36',	NULL,	'',	NULL,	NULL),
(1663,	7,	2658,	'CSO2658',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:28:35',	'2021-05-06 11:27:55',	NULL,	'',	NULL,	NULL),
(1664,	7,	2659,	'CSO2659',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:29:39',	'2021-05-06 11:28:13',	NULL,	'',	NULL,	NULL),
(1665,	7,	2660,	'CSO2660',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	8.080,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:34:13',	'2021-05-06 11:28:50',	NULL,	'',	NULL,	NULL),
(1666,	7,	2661,	'CSO2661',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	35.800,	NULL,	35.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:36:56',	'2021-05-06 11:30:50',	NULL,	'',	NULL,	NULL),
(1667,	7,	2662,	'CSO2662',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	17.680,	NULL,	17.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:42:09',	'2021-05-06 11:31:20',	NULL,	'',	NULL,	NULL),
(1668,	7,	2663,	'CSO2663',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:43:02',	'2021-05-06 11:31:38',	NULL,	'',	NULL,	1),
(1669,	7,	2664,	'CSO2664',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:43:30',	'2021-05-06 11:32:02',	NULL,	'',	NULL,	NULL),
(1670,	7,	2665,	'CSO2665',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:45:16',	'2021-05-06 11:32:25',	NULL,	'',	NULL,	NULL),
(1671,	7,	2666,	'CSO2666',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:45:21',	'2021-05-06 11:32:47',	NULL,	'',	NULL,	NULL),
(1672,	7,	2667,	'CSO2667',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	27.100,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:48:08',	'2021-05-06 11:33:13',	NULL,	'',	NULL,	NULL),
(1673,	7,	2668,	'CSO2668',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:49:53',	'2021-05-06 11:33:31',	NULL,	'',	NULL,	NULL),
(1674,	7,	2669,	'CSO2669',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	16.100,	NULL,	16.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:52:31',	'2021-05-06 11:34:04',	NULL,	'',	NULL,	NULL),
(1675,	7,	2670,	'CSO2670',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	16.280,	NULL,	16.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:52:49',	'2021-05-06 11:34:54',	NULL,	'',	NULL,	NULL),
(1676,	7,	2671,	'CSO2671',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:54:05',	'2021-05-06 11:35:18',	NULL,	'',	NULL,	NULL),
(1677,	7,	2672,	'CSO2672',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:54:14',	'2021-05-06 11:35:43',	NULL,	'',	NULL,	NULL),
(1678,	7,	2673,	'CSO2673',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.785,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:56:37',	'2021-05-06 11:36:12',	NULL,	'',	NULL,	NULL),
(1679,	7,	2674,	'CSO2674',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 14:57:33',	'2021-05-06 11:36:31',	NULL,	'',	NULL,	NULL),
(1680,	7,	2675,	'CSO2675',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:02:33',	'2021-05-06 11:37:00',	NULL,	'',	NULL,	NULL),
(1681,	7,	2676,	'CSO2676',	226,	0,	'2021-05-05',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-05 15:08:00',	'2021-05-05 15:08:00',	NULL,	'',	NULL,	NULL),
(1682,	7,	2677,	'CSO2677',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	32.290,	NULL,	32.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:13:03',	'2021-05-06 11:38:17',	NULL,	'',	NULL,	NULL),
(1683,	7,	2678,	'CSO2678',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.530,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:15:03',	'2021-05-06 10:40:26',	NULL,	'',	NULL,	NULL),
(1684,	7,	2679,	'CSO2679',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	20.400,	NULL,	20.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:31:43',	'2021-05-06 10:41:03',	NULL,	'',	NULL,	NULL),
(1685,	7,	2680,	'CSO2680',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:34:22',	'2021-05-06 10:42:15',	NULL,	'',	NULL,	NULL),
(1686,	7,	2681,	'CSO2681',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:38:52',	'2021-05-06 10:42:45',	NULL,	'',	NULL,	NULL),
(1687,	7,	2682,	'CSO2682',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:39:57',	'2021-05-06 10:44:24',	NULL,	'',	NULL,	NULL),
(1688,	7,	2683,	'CSO2683',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.210,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:40:07',	'2021-05-06 10:44:53',	NULL,	'',	NULL,	NULL),
(1689,	7,	2684,	'CSO2684',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:42:52',	'2021-05-06 10:45:15',	NULL,	'',	NULL,	1),
(1690,	7,	2685,	'CSO2685',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:52:09',	'2021-05-06 10:45:33',	NULL,	'',	NULL,	NULL),
(1691,	7,	2686,	'CSO2686',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:52:56',	'2021-05-06 10:46:43',	NULL,	'',	NULL,	NULL),
(1692,	7,	2687,	'CSO2687',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:54:51',	'2021-05-06 11:39:08',	NULL,	'',	NULL,	NULL),
(1693,	7,	2688,	'CSO2688',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	19.500,	NULL,	19.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:57:22',	'2021-05-06 11:39:33',	NULL,	'',	NULL,	NULL),
(1694,	7,	2689,	'CSO2689',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 15:58:06',	'2021-05-06 11:40:06',	NULL,	'',	NULL,	NULL),
(1695,	7,	2690,	'CSO2690',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:00:31',	'2021-05-06 11:40:27',	NULL,	'',	NULL,	NULL),
(1696,	7,	2691,	'CSO2691',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:02:18',	'2021-05-06 11:41:00',	NULL,	'',	NULL,	NULL),
(1697,	7,	2692,	'CSO2692',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	19.000,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:03:05',	'2021-05-06 11:41:18',	NULL,	'',	NULL,	NULL),
(1698,	7,	2693,	'CSO2693',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:09:44',	'2021-05-06 11:41:35',	NULL,	'',	NULL,	NULL),
(1699,	7,	2694,	'CSO2694',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	11.990,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:13:26',	'2021-05-06 11:42:01',	NULL,	'',	NULL,	NULL),
(1700,	7,	2695,	'CSO2695',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	13.300,	NULL,	13.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:20:46',	'2021-05-06 11:42:59',	NULL,	'',	NULL,	NULL),
(1701,	7,	2696,	'CSO2696',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:24:36',	'2021-05-06 11:43:17',	NULL,	'',	NULL,	NULL),
(1702,	7,	2697,	'CSO2697',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.575,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:27:23',	'2021-05-06 11:44:06',	NULL,	'',	NULL,	NULL),
(1703,	7,	2698,	'CSO2698',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:28:58',	'2021-05-06 11:44:44',	NULL,	'',	NULL,	1),
(1704,	7,	2699,	'CSO2699',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	29.800,	NULL,	29.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:32:06',	'2021-05-06 11:48:42',	NULL,	'',	NULL,	NULL),
(1705,	7,	2700,	'CSO2700',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.200,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 16:43:51',	'2021-05-06 11:49:38',	NULL,	'',	NULL,	NULL),
(1706,	7,	2701,	'CSO2701',	224,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 17:08:00',	'2021-05-06 11:50:07',	NULL,	'',	NULL,	NULL),
(1707,	7,	2702,	'CSO2702',	226,	0,	'2021-05-05',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-05 17:44:11',	'2021-05-06 11:50:25',	NULL,	'',	NULL,	NULL),
(1708,	7,	2703,	'CSO2703',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	17.100,	NULL,	17.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 04:48:01',	'2021-05-06 11:50:46',	NULL,	'',	NULL,	NULL),
(1709,	7,	2704,	'CSO2704',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	80.200,	NULL,	80.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 05:14:05',	'2021-05-06 11:51:03',	NULL,	'',	NULL,	NULL),
(1710,	7,	2705,	'CSO2705',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	7.205,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 05:32:23',	'2021-05-06 11:51:44',	NULL,	'',	NULL,	NULL),
(1711,	7,	2706,	'CSO2706',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 05:36:32',	'2021-05-06 11:52:04',	NULL,	'',	NULL,	NULL),
(1712,	7,	2707,	'CSO2707',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 05:46:06',	'2021-05-06 11:52:29',	NULL,	'',	NULL,	NULL),
(1713,	7,	2708,	'CSO2708',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:06:48',	'2021-05-06 11:52:50',	NULL,	'',	NULL,	NULL),
(1714,	7,	2709,	'CSO2709',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:15:06',	'2021-05-06 11:53:09',	NULL,	'',	NULL,	NULL),
(1715,	7,	2710,	'CSO2710',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:16:26',	'2021-05-06 11:54:54',	NULL,	'',	NULL,	NULL),
(1716,	7,	2711,	'CSO2711',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:17:01',	'2021-05-06 11:55:14',	NULL,	'',	NULL,	NULL),
(1717,	7,	2712,	'CSO2712',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:22:18',	'2021-05-06 11:55:59',	NULL,	'',	NULL,	NULL),
(1718,	7,	2713,	'CSO2713',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	31.043,	NULL,	31.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:24:05',	'2021-05-06 11:56:19',	NULL,	'',	NULL,	NULL),
(1719,	7,	2714,	'CSO2714',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	32.000,	NULL,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:25:32',	'2021-05-06 11:56:38',	NULL,	'',	NULL,	NULL),
(1720,	7,	2715,	'CSO2715',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:27:27',	'2021-05-06 11:57:03',	NULL,	'',	NULL,	NULL),
(1721,	7,	2716,	'CSO2716',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:30:11',	'2021-05-06 11:57:34',	NULL,	'',	NULL,	NULL),
(1722,	7,	2717,	'CSO2717',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	70.000,	NULL,	70.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:32:24',	'2021-05-06 15:00:06',	NULL,	'',	NULL,	NULL),
(1723,	7,	2718,	'CSO2718',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	56.800,	NULL,	56.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:40:03',	'2021-05-06 11:58:00',	NULL,	'',	NULL,	NULL),
(1724,	7,	2719,	'CSO2719',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	27.000,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:43:58',	'2021-05-06 11:58:24',	NULL,	'',	NULL,	NULL),
(1725,	7,	2720,	'CSO2720',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.890,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:45:35',	'2021-05-06 11:58:45',	NULL,	'',	NULL,	NULL),
(1726,	7,	2721,	'CSO2721',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	37.700,	NULL,	37.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:48:56',	'2021-05-06 11:59:31',	NULL,	'',	NULL,	NULL),
(1727,	7,	2722,	'CSO2722',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	16.290,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:53:36',	'2021-05-06 12:00:06',	NULL,	'',	NULL,	NULL),
(1728,	7,	2723,	'CSO2723',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 06:58:05',	'2021-05-06 12:00:24',	NULL,	'',	NULL,	NULL),
(1729,	7,	2724,	'CSO2724',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:06:25',	'2021-05-06 12:00:42',	NULL,	'',	NULL,	NULL),
(1730,	7,	2725,	'CSO2725',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:14:54',	'2021-05-06 12:01:13',	NULL,	'',	NULL,	NULL),
(1731,	7,	2726,	'CSO2726',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	13.650,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:17:59',	'2021-05-06 12:01:39',	NULL,	'',	NULL,	NULL),
(1732,	7,	2727,	'CSO2727',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	9.450,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:22:14',	'2021-05-06 12:02:01',	NULL,	'',	NULL,	NULL),
(1733,	7,	2728,	'CSO2728',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	16.200,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:23:06',	'2021-05-06 12:02:22',	NULL,	'',	NULL,	NULL),
(1734,	7,	2729,	'CSO2729',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:25:55',	'2021-05-06 12:02:58',	NULL,	'',	NULL,	NULL),
(1735,	7,	2730,	'CSO2730',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	47.775,	NULL,	47.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:32:23',	'2021-05-06 12:03:39',	NULL,	'',	NULL,	NULL),
(1736,	7,	2731,	'CSO2731',	224,	0,	'2021-05-06',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-06 07:33:18',	'2021-05-06 07:33:18',	NULL,	'',	NULL,	NULL),
(1737,	7,	2732,	'CSO2732',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:36:06',	'2021-05-06 12:04:10',	NULL,	'',	NULL,	NULL),
(1738,	7,	2733,	'CSO2733',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.290,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:42:42',	'2021-05-06 12:04:28',	NULL,	'',	NULL,	NULL),
(1739,	7,	2734,	'CSO2734',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:43:05',	'2021-05-06 12:04:57',	NULL,	'',	NULL,	NULL),
(1740,	7,	2735,	'CSO2735',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:50:36',	'2021-05-06 12:06:14',	NULL,	'',	NULL,	1),
(1741,	7,	2736,	'CSO2736',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:51:53',	'2021-05-06 12:06:47',	NULL,	'',	NULL,	NULL),
(1742,	7,	2737,	'CSO2737',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 07:58:24',	'2021-05-06 12:07:11',	NULL,	'',	NULL,	NULL),
(1743,	7,	2738,	'CSO2738',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:04:32',	'2021-05-06 12:07:56',	NULL,	'',	NULL,	NULL),
(1744,	7,	2739,	'CSO2739',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:05:57',	'2021-05-06 12:07:30',	NULL,	'',	NULL,	NULL),
(1745,	7,	2740,	'CSO2740',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	29.700,	NULL,	29.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:07:15',	'2021-05-06 12:08:43',	NULL,	'',	NULL,	NULL),
(1746,	7,	2741,	'CSO2741',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	15.900,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:16:37',	'2021-05-06 12:09:03',	NULL,	'',	NULL,	1),
(1747,	7,	2742,	'CSO2742',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:17:51',	'2021-05-06 12:12:24',	NULL,	'',	NULL,	NULL),
(1748,	7,	2743,	'CSO2743',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:20:10',	'2021-05-06 12:18:17',	NULL,	'',	NULL,	NULL),
(1749,	7,	2744,	'CSO2744',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:24:06',	'2021-05-06 12:16:24',	NULL,	'',	NULL,	1),
(1750,	7,	2745,	'CSO2745',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:38:16',	'2021-05-06 12:16:44',	NULL,	'',	NULL,	1),
(1751,	7,	2746,	'CSO2746',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:39:25',	'2021-05-06 12:17:47',	NULL,	'',	NULL,	NULL),
(1752,	7,	2747,	'CSO2747',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:46:51',	'2021-05-06 12:18:50',	NULL,	'',	NULL,	NULL),
(1753,	7,	2748,	'CSO2748',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:57:50',	'2021-05-06 12:19:20',	NULL,	'',	NULL,	NULL),
(1754,	7,	2749,	'CSO2749',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	34.000,	NULL,	34.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:58:58',	'2021-05-06 12:19:47',	NULL,	'',	NULL,	1),
(1755,	7,	2750,	'CSO2750',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.680,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 08:59:38',	'2021-05-06 12:20:41',	NULL,	'',	NULL,	NULL),
(1756,	7,	2751,	'CSO2751',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	16.200,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:01:41',	'2021-05-06 12:21:08',	NULL,	'',	NULL,	NULL),
(1757,	7,	2752,	'CSO2752',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	20.600,	NULL,	20.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:05:00',	'2021-05-06 12:21:32',	NULL,	'',	NULL,	NULL),
(1758,	7,	2753,	'CSO2753',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	32.500,	NULL,	32.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:05:24',	'2021-05-06 12:21:55',	NULL,	'',	NULL,	1),
(1759,	7,	2754,	'CSO2754',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:08:26',	'2021-05-06 12:22:13',	NULL,	'',	NULL,	NULL),
(1760,	7,	2755,	'CSO2755',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:08:57',	'2021-05-06 12:22:33',	NULL,	'',	NULL,	NULL),
(1761,	7,	2756,	'CSO2756',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:09:49',	'2021-05-06 12:22:49',	NULL,	'',	NULL,	NULL),
(1762,	7,	2757,	'CSO2757',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:15:59',	'2021-05-06 12:23:12',	NULL,	'',	NULL,	NULL),
(1763,	7,	2758,	'CSO2758',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:16:27',	'2021-05-06 12:23:34',	NULL,	'',	NULL,	NULL),
(1764,	7,	2759,	'CSO2759',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:20:07',	'2021-05-06 12:23:51',	NULL,	'',	NULL,	NULL),
(1765,	7,	2760,	'CSO2760',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:23:44',	'2021-05-06 12:24:18',	NULL,	'',	NULL,	NULL),
(1766,	7,	2761,	'CSO2761',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	13.900,	NULL,	13.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:24:47',	'2021-05-06 12:24:33',	NULL,	'',	NULL,	1),
(1767,	7,	2762,	'CSO2762',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:25:17',	'2021-05-06 12:24:53',	NULL,	'',	NULL,	NULL),
(1768,	7,	2763,	'CSO2763',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:26:56',	'2021-05-06 12:25:19',	NULL,	'',	NULL,	1),
(1769,	7,	2764,	'CSO2764',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	20.300,	NULL,	20.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:35:14',	'2021-05-06 12:25:37',	NULL,	'',	NULL,	NULL),
(1770,	7,	2765,	'CSO2765',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	17.500,	NULL,	17.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:36:26',	'2021-05-06 12:26:08',	NULL,	'',	NULL,	NULL),
(1771,	7,	2766,	'CSO2766',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	27.100,	NULL,	27.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:49:04',	'2021-05-06 12:26:26',	NULL,	'',	NULL,	NULL),
(1772,	7,	2767,	'CSO2767',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:51:19',	'2021-05-06 12:27:33',	NULL,	'',	NULL,	NULL),
(1773,	7,	2768,	'CSO2768',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	41.100,	NULL,	41.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:51:40',	'2021-05-06 12:27:56',	NULL,	'',	NULL,	NULL),
(1774,	7,	2769,	'CSO2769',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	14.100,	NULL,	14.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:51:56',	'2021-05-06 12:28:15',	NULL,	'',	NULL,	NULL),
(1775,	7,	2770,	'CSO2770',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	17.900,	NULL,	2770.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:55:36',	'2021-05-06 12:28:41',	NULL,	'',	NULL,	NULL),
(1776,	7,	2771,	'CSO2771',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	22.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 09:55:46',	'2021-05-06 12:32:40',	NULL,	'',	NULL,	NULL),
(1777,	7,	2772,	'CSO2772',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	71.600,	NULL,	71.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:01:45',	'2021-05-06 12:29:05',	NULL,	'',	NULL,	1),
(1778,	7,	2773,	'CSO2773',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:03:41',	'2021-05-06 12:29:24',	NULL,	'',	NULL,	NULL),
(1779,	7,	2774,	'CSO2774',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.155,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:04:17',	'2021-05-06 12:30:16',	NULL,	'',	NULL,	NULL),
(1780,	7,	2775,	'CSO2775',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:08:48',	'2021-05-06 12:30:36',	NULL,	'',	NULL,	NULL),
(1781,	7,	2776,	'CSO2776',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	98.910,	NULL,	98.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:10:18',	'2021-05-06 12:30:56',	NULL,	'',	NULL,	1),
(1782,	7,	2777,	'CSO2777',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:14:18',	'2021-05-06 10:36:02',	NULL,	'',	NULL,	NULL),
(1783,	7,	2778,	'CSO2778',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:24:09',	'2021-05-06 10:36:16',	NULL,	'',	NULL,	NULL),
(1784,	7,	2779,	'CSO2779',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:26:41',	'2021-05-06 10:36:30',	NULL,	'',	NULL,	NULL),
(1785,	7,	2780,	'CSO2780',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:29:47',	'2021-05-06 10:37:34',	NULL,	'',	NULL,	NULL),
(1786,	7,	2781,	'CSO2781',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:31:03',	'2021-05-06 11:51:50',	NULL,	'',	NULL,	NULL),
(1787,	7,	2782,	'CSO2782',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	5.850,	0.050,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:31:13',	'2021-05-06 11:52:09',	NULL,	'',	NULL,	NULL),
(1788,	7,	2783,	'CSO2783',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.780,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:32:36',	'2021-05-06 11:52:44',	NULL,	'',	NULL,	NULL),
(1789,	7,	2784,	'CSO2784',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	9.100,	NULL,	9.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:32:59',	'2021-05-06 11:53:00',	NULL,	'',	NULL,	NULL),
(1790,	7,	2785,	'CSO2785',	225,	0,	'2021-05-06',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-06 10:33:35',	'2021-05-06 10:33:35',	NULL,	'TEST',	NULL,	NULL),
(1791,	7,	2786,	'CSO2786',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	7.300,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:33:50',	'2021-05-06 11:57:15',	NULL,	'',	NULL,	NULL),
(1792,	7,	2787,	'CSO2787',	225,	0,	'2021-05-06',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-06 10:34:55',	'2021-05-06 10:34:55',	NULL,	'TEST',	NULL,	NULL),
(1793,	7,	2788,	'CSO2788',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:36:07',	'2021-05-06 11:57:36',	NULL,	'',	NULL,	NULL),
(1794,	7,	2789,	'CSO2789',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.890,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:38:41',	'2021-05-06 12:02:47',	NULL,	'',	NULL,	NULL),
(1795,	7,	2790,	'CSO2790',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:45:23',	'2021-05-06 11:58:22',	NULL,	'',	NULL,	NULL),
(1796,	7,	2791,	'CSO2791',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:49:55',	'2021-05-06 11:58:41',	NULL,	'',	NULL,	NULL),
(1797,	7,	2792,	'CSO2792',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	24.450,	0.050,	24.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:50:27',	'2021-05-06 11:59:25',	NULL,	'',	NULL,	NULL),
(1798,	7,	2793,	'CSO2793',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.575,	0.075,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:51:50',	'2021-05-06 11:59:44',	NULL,	'',	NULL,	NULL),
(1799,	7,	2794,	'CSO2794',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:52:57',	'2021-05-06 12:00:02',	NULL,	'',	NULL,	NULL),
(1800,	7,	2795,	'CSO2795',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:53:23',	'2021-05-06 12:02:47',	NULL,	'',	NULL,	NULL),
(1801,	7,	2796,	'CSO2796',	225,	0,	'2021-05-06',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-06 10:55:27',	'2021-05-06 10:55:27',	NULL,	'TEST',	NULL,	NULL),
(1802,	7,	2797,	'CSO2797',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	10.300,	NULL,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 10:59:04',	'2021-05-06 12:00:38',	NULL,	'',	NULL,	NULL),
(1803,	7,	2798,	'CSO2798',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	68.875,	1.400,	67.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:06:32',	'2021-05-06 12:01:14',	NULL,	'',	NULL,	NULL),
(1804,	7,	2799,	'CSO2799',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:11:44',	'2021-05-06 12:02:47',	NULL,	'',	NULL,	NULL),
(1805,	7,	2800,	'CSO2800',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:17:54',	'2021-05-06 12:02:47',	NULL,	'',	NULL,	NULL),
(1806,	7,	2801,	'CSO2801',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:25:11',	'2021-05-06 12:02:25',	NULL,	'',	NULL,	NULL),
(1807,	7,	2802,	'CSO2802',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:31:35',	'2021-05-06 12:02:47',	NULL,	'',	NULL,	NULL),
(1808,	7,	2803,	'CSO2803',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	11.500,	NULL,	11.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:33:50',	'2021-05-06 12:04:10',	NULL,	'',	NULL,	NULL),
(1809,	7,	2804,	'CSO2804',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:38:07',	'2021-05-06 12:04:10',	NULL,	'',	NULL,	NULL),
(1810,	7,	2805,	'CSO2805',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:39:07',	'2021-05-06 12:05:14',	NULL,	'',	NULL,	NULL),
(1811,	7,	2806,	'CSO2806',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:39:21',	'2021-05-06 12:04:55',	NULL,	'',	NULL,	NULL),
(1812,	7,	2807,	'CSO2807',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-06',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 11:41:34',	'2021-05-06 12:04:30',	NULL,	'',	NULL,	NULL),
(1813,	7,	2808,	'CSO2808',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	45.500,	NULL,	45.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:02:46',	'2021-05-07 16:45:51',	NULL,	'',	NULL,	NULL),
(1814,	7,	2809,	'CSO2809',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:07:43',	'2021-05-07 16:45:51',	NULL,	'',	NULL,	NULL),
(1815,	7,	2810,	'CSO2810',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:14:15',	'2021-05-07 16:45:51',	NULL,	'',	NULL,	NULL),
(1816,	7,	2811,	'CSO2811',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	14.800,	NULL,	14.800,	NULL,	NULL,	'card',	NULL,	'2021-05-06 12:28:09',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	1),
(1817,	7,	2812,	'CSO2812',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:28:59',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1818,	7,	2813,	'CSO2813',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	61.600,	0.100,	61.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:35:01',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	1),
(1819,	7,	2814,	'CSO2814',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.780,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:40:29',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1820,	7,	2815,	'CSO2815',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:46:30',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1821,	7,	2816,	'CSO2816',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:55:45',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1822,	7,	2817,	'CSO2817',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 12:57:57',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1823,	7,	2818,	'CSO2818',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	15.100,	NULL,	15.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:06:15',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1824,	7,	2819,	'CSO2819',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:07:35',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1825,	7,	2820,	'CSO2820',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	14.643,	0.043,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:13:21',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1826,	7,	2821,	'CSO2821',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:21:29',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1827,	7,	2822,	'CSO2822',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:23:08',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1828,	7,	2823,	'CSO2823',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:24:03',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1829,	7,	2824,	'CSO2824',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:24:50',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1830,	7,	2825,	'CSO2825',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:28:55',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1831,	7,	2826,	'CSO2826',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:30:23',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1832,	7,	2827,	'CSO2827',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:32:08',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1833,	7,	2828,	'CSO2828',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:36:32',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1834,	7,	2829,	'CSO2829',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	20.500,	NULL,	20.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:36:46',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1835,	7,	2830,	'CSO2830',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:43:09',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1836,	7,	2831,	'CSO2831',	224,	0,	'2021-05-06',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-06 13:50:25',	'2021-05-06 13:50:25',	NULL,	'',	NULL,	NULL),
(1837,	7,	2832,	'CSO2832',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	7.300,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:51:12',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1838,	7,	2833,	'CSO2833',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	30.400,	0.400,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:53:48',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1839,	7,	2834,	'CSO2834',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	15.700,	NULL,	15.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 13:57:35',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1840,	7,	2835,	'CSO2835',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:09:32',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1841,	7,	2836,	'CSO2836',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	150.700,	0.200,	150.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:10:01',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1842,	7,	2837,	'CSO2837',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:21:01',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1843,	7,	2838,	'CSO2838',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:35:01',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1844,	7,	2839,	'CSO2839',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:37:23',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1845,	7,	2840,	'CSO2840',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:38:33',	'2021-05-07 16:54:49',	NULL,	'',	NULL,	NULL),
(1846,	7,	2841,	'CSO2841',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:39:42',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1847,	7,	2842,	'CSO2842',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	33.300,	NULL,	33.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:47:51',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1848,	7,	2843,	'CSO2843',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:54:32',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1849,	7,	2844,	'CSO2844',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'card',	NULL,	'2021-05-06 14:55:53',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	1),
(1850,	7,	2845,	'CSO2845',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 14:57:50',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1851,	7,	2846,	'CSO2846',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:05:40',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1852,	7,	2847,	'CSO2847',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:10:07',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1853,	7,	2848,	'CSO2848',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	7.900,	NULL,	7.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:14:45',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1854,	7,	2849,	'CSO2849',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:15:22',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1855,	7,	2850,	'CSO2850',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:20:44',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1856,	7,	2851,	'CSO2851',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:22:18',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1857,	7,	2852,	'CSO2852',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:31:21',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1858,	7,	2853,	'CSO2853',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:32:24',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1859,	7,	2854,	'CSO2854',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:34:11',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1860,	7,	2855,	'CSO2855',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:36:15',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1861,	7,	2856,	'CSO2856',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.250,	0.050,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:40:54',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1862,	7,	2857,	'CSO2857',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:44:17',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1863,	7,	2858,	'CSO2858',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:44:46',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1864,	7,	2859,	'CSO2859',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	19.200,	NULL,	19.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:51:50',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1865,	7,	2860,	'CSO2860',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:53:55',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1866,	7,	2861,	'CSO2861',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:57:36',	'2021-05-07 17:04:57',	NULL,	'',	NULL,	NULL),
(1867,	7,	2862,	'CSO2862',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:57:54',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1868,	7,	2863,	'CSO2863',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:58:50',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1869,	7,	2864,	'CSO2864',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	9.230,	0.030,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 15:59:18',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1870,	7,	2865,	'CSO2865',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:01:40',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1871,	7,	2866,	'CSO2866',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:05:26',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1872,	7,	2867,	'CSO2867',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:06:05',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1873,	7,	2868,	'CSO2868',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	14.130,	0.030,	14.100,	NULL,	NULL,	'card',	NULL,	'2021-05-06 16:08:11',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	1),
(1874,	7,	2869,	'CSO2869',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:10:52',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1875,	7,	2870,	'CSO2870',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:22:35',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1876,	7,	2871,	'CSO2871',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	17.700,	NULL,	17.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:24:16',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1877,	7,	2872,	'CSO2872',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	24.400,	NULL,	24.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:27:08',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1878,	7,	2873,	'CSO2873',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:31:56',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1879,	7,	2874,	'CSO2874',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	15.440,	0.440,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:32:54',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1880,	7,	2875,	'CSO2875',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:36:28',	'2021-05-07 17:04:58',	NULL,	'',	NULL,	NULL),
(1881,	7,	2876,	'CSO2876',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:37:11',	'2021-05-07 17:05:38',	NULL,	'',	NULL,	NULL),
(1882,	7,	2877,	'CSO2877',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:38:43',	'2021-05-07 17:05:58',	NULL,	'',	NULL,	NULL),
(1883,	7,	2878,	'CSO2878',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:49:56',	'2021-05-07 17:08:13',	NULL,	'',	NULL,	1),
(1884,	7,	2879,	'CSO2879',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	20.300,	0.300,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 16:50:24',	'2021-05-07 17:07:59',	NULL,	'',	NULL,	NULL),
(1885,	7,	2880,	'CSO2880',	224,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	19.800,	NULL,	19.800,	NULL,	NULL,	'card',	NULL,	'2021-05-06 16:52:55',	'2021-05-07 17:07:33',	NULL,	'',	NULL,	1),
(1886,	7,	2881,	'CSO2881',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	6.300,	0.400,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 17:07:31',	'2021-05-07 17:07:18',	NULL,	'',	NULL,	NULL),
(1887,	7,	2882,	'CSO2882',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	0.525,	NULL,	0.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 17:12:16',	'2021-05-07 17:06:44',	NULL,	'',	NULL,	NULL),
(1888,	7,	2883,	'CSO2883',	226,	0,	'2021-05-06',	NULL,	NULL,	'2021-05-07',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-06 17:20:10',	'2021-05-07 17:06:17',	NULL,	'',	NULL,	NULL),
(1889,	7,	2884,	'CSO2884',	225,	0,	'2021-05-07',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-07 19:03:56',	'2021-05-07 19:03:56',	NULL,	'TEST',	NULL,	NULL),
(1890,	7,	2885,	'CSO2885',	225,	0,	'2021-05-07',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-07 19:09:30',	'2021-05-07 19:09:30',	NULL,	'TEST',	NULL,	NULL),
(1891,	7,	2886,	'CSO2886',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 05:20:28',	'2021-05-08 09:48:52',	NULL,	'',	NULL,	NULL),
(1892,	7,	2887,	'CSO2887',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 05:28:35',	'2021-05-08 09:49:13',	NULL,	'',	NULL,	NULL),
(1893,	7,	2888,	'CSO2888',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	325.500,	NULL,	325.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 05:32:39',	'2021-05-08 09:49:34',	NULL,	'',	NULL,	NULL),
(1894,	7,	2889,	'CSO2889',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	45.200,	NULL,	45.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 05:38:18',	'2021-05-08 09:49:51',	NULL,	'',	NULL,	1),
(1895,	7,	2890,	'CSO2890',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 05:41:29',	'2021-05-08 09:50:12',	NULL,	'',	NULL,	NULL),
(1896,	7,	2891,	'CSO2891',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	14.590,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 05:48:28',	'2021-05-08 09:50:39',	NULL,	'',	NULL,	NULL),
(1897,	7,	2892,	'CSO2892',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	13.200,	0.200,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:04:17',	'2021-05-08 09:50:59',	NULL,	'',	NULL,	NULL),
(1898,	7,	2893,	'CSO2893',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	51.000,	0.500,	50.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:09:58',	'2021-05-08 09:52:04',	NULL,	'',	NULL,	NULL),
(1899,	7,	2894,	'CSO2894',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:14:38',	'2021-05-08 09:52:52',	NULL,	'',	NULL,	1),
(1900,	7,	2895,	'CSO2895',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	7.715,	NULL,	7.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:16:17',	'2021-05-08 09:53:15',	NULL,	'',	NULL,	1),
(1901,	7,	2896,	'CSO2896',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	276.000,	NULL,	276.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:21:54',	'2021-05-08 09:53:41',	NULL,	'',	NULL,	1),
(1902,	7,	2897,	'CSO2897',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	20.390,	NULL,	20.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:24:04',	'2021-05-08 09:54:11',	NULL,	'',	NULL,	1),
(1903,	7,	2898,	'CSO2898',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.058,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:30:46',	'2021-05-08 09:54:35',	NULL,	'',	NULL,	1),
(1904,	7,	2899,	'CSO2899',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	69.000,	NULL,	69.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:36:01',	'2021-05-08 09:55:10',	NULL,	'',	NULL,	1),
(1905,	7,	2900,	'CSO2900',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:39:40',	'2021-05-08 10:06:47',	NULL,	'',	NULL,	1),
(1906,	7,	2901,	'CSO2901',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:42:36',	'2021-05-08 10:13:29',	NULL,	'',	NULL,	NULL),
(1907,	7,	2902,	'CSO2902',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 06:47:14',	'2021-05-08 10:13:56',	NULL,	'NABIL HANEEFA',	NULL,	NULL),
(1908,	7,	2903,	'CSO2903',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.780,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:00:21',	'2021-05-08 10:14:37',	NULL,	'',	NULL,	NULL),
(1909,	7,	2904,	'CSO2904',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	156.000,	NULL,	156.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:04:02',	'2021-05-08 10:14:58',	NULL,	'',	NULL,	1),
(1910,	7,	2905,	'CSO2905',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	24.600,	NULL,	24.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:07:14',	'2021-05-08 10:15:21',	NULL,	'',	NULL,	NULL),
(1911,	7,	2906,	'CSO2906',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.625,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:10:13',	'2021-05-08 10:15:46',	NULL,	'',	NULL,	1),
(1912,	7,	2907,	'CSO2907',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:19:42',	'2021-05-08 08:40:18',	NULL,	'',	NULL,	1),
(1913,	7,	2908,	'CSO2908',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:23:23',	'2021-05-08 10:16:44',	NULL,	'',	NULL,	NULL),
(1914,	7,	2909,	'CSO2909',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	75.000,	NULL,	75.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:29:33',	'2021-05-08 11:04:54',	NULL,	'',	NULL,	1),
(1915,	7,	2910,	'CSO2910',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:31:52',	'2021-05-08 11:05:33',	NULL,	'',	NULL,	1),
(1916,	7,	2911,	'CSO2911',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	9.900,	NULL,	9.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:34:42',	'2021-05-08 11:06:00',	NULL,	'',	NULL,	1),
(1917,	7,	2912,	'CSO2912',	226,	0,	'2021-05-08',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 07:36:33',	'2021-05-08 07:36:33',	NULL,	'',	NULL,	NULL),
(1918,	7,	2913,	'CSO2913',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	59.670,	NULL,	59.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:39:20',	'2021-05-08 11:14:57',	NULL,	'',	NULL,	NULL),
(1919,	7,	2914,	'CSO2914',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:40:34',	'2021-05-08 11:15:14',	NULL,	'',	NULL,	NULL),
(1920,	7,	2915,	'CSO2915',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:41:30',	'2021-05-08 11:15:33',	NULL,	'',	NULL,	1),
(1921,	7,	2916,	'CSO2916',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:42:02',	'2021-05-08 11:15:49',	NULL,	'',	NULL,	NULL),
(1922,	7,	2917,	'CSO2917',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:43:06',	'2021-05-08 11:16:28',	NULL,	'',	NULL,	NULL),
(1923,	7,	2918,	'CSO2918',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.990,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 07:43:59',	'2021-05-08 11:16:54',	NULL,	'',	NULL,	NULL),
(1924,	7,	2919,	'CSO2919',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	15.800,	NULL,	15.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:00:26',	'2021-05-08 11:17:17',	NULL,	'',	NULL,	NULL),
(1925,	7,	2920,	'CSO2920',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:01:56',	'2021-05-08 11:17:44',	NULL,	'',	NULL,	1),
(1926,	7,	2921,	'CSO2921',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	19.800,	NULL,	19.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:04:46',	'2021-05-08 11:18:13',	NULL,	'',	NULL,	1),
(1927,	7,	2922,	'CSO2922',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:05:39',	'2021-05-08 11:30:31',	NULL,	'',	NULL,	1),
(1928,	7,	2923,	'CSO2923',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	7.895,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:16:03',	'2021-05-08 11:30:50',	NULL,	'',	NULL,	NULL),
(1929,	7,	2924,	'CSO2924',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:22:28',	'2021-05-08 11:32:19',	NULL,	'',	NULL,	NULL),
(1930,	7,	2925,	'CSO2925',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	60.115,	NULL,	60.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:25:12',	'2021-05-08 11:32:51',	NULL,	'',	NULL,	1),
(1931,	7,	2926,	'CSO2926',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:29:32',	'2021-05-08 11:33:29',	NULL,	'',	NULL,	NULL),
(1932,	7,	2927,	'CSO2927',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:29:45',	'2021-05-08 11:34:07',	NULL,	'',	NULL,	NULL),
(1933,	7,	2928,	'CSO2928',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	22.800,	NULL,	22.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:33:05',	'2021-05-08 11:34:32',	NULL,	'',	NULL,	1),
(1934,	7,	2929,	'CSO2929',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	24.300,	NULL,	24.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:37:32',	'2021-05-08 11:35:35',	NULL,	'',	NULL,	1),
(1935,	7,	2930,	'CSO2930',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:46:01',	'2021-05-08 11:37:54',	NULL,	'',	NULL,	NULL),
(1936,	7,	2931,	'CSO2931',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	13.300,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:48:27',	'2021-05-08 11:38:21',	NULL,	'',	NULL,	NULL),
(1937,	7,	2932,	'CSO2932',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.100,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 08:59:00',	'2021-05-08 11:38:57',	NULL,	'',	NULL,	NULL),
(1938,	7,	2933,	'CSO2933',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:00:32',	'2021-05-08 11:39:52',	NULL,	'',	NULL,	NULL),
(1939,	7,	2934,	'CSO2934',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	48.000,	NULL,	48.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:08:18',	'2021-05-08 11:40:19',	NULL,	'',	NULL,	NULL),
(1940,	7,	2935,	'CSO2935',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	178.680,	NULL,	178.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:11:31',	'2021-05-08 11:40:45',	NULL,	'',	NULL,	1),
(1941,	7,	2936,	'CSO2936',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	35.690,	NULL,	35.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:13:48',	'2021-05-08 11:41:15',	NULL,	'',	NULL,	1),
(1942,	7,	2937,	'CSO2937',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	48.900,	NULL,	48.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:15:46',	'2021-05-08 11:41:42',	NULL,	'',	NULL,	1),
(1943,	7,	2938,	'CSO2938',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	16.850,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:16:24',	'2021-05-08 11:42:09',	NULL,	'',	NULL,	NULL),
(1944,	7,	2939,	'CSO2939',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	6.615,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:21:07',	'2021-05-08 11:42:28',	NULL,	'',	NULL,	NULL),
(1945,	7,	2940,	'CSO2940',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:21:29',	'2021-05-08 11:42:48',	NULL,	'',	NULL,	NULL),
(1946,	7,	2941,	'CSO2941',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:25:06',	'2021-05-08 11:43:05',	NULL,	'',	NULL,	NULL),
(1947,	7,	2942,	'CSO2942',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:29:27',	'2021-05-08 11:43:30',	NULL,	'',	NULL,	NULL),
(1948,	7,	2943,	'CSO2943',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	42.620,	NULL,	42.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:31:15',	'2021-05-08 11:43:50',	NULL,	'',	NULL,	NULL),
(1949,	7,	2944,	'CSO2944',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:33:03',	'2021-05-08 11:44:10',	NULL,	'',	NULL,	NULL),
(1950,	7,	2945,	'CSO2945',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	78.000,	NULL,	78.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:33:31',	'2021-05-08 11:44:29',	NULL,	'',	NULL,	NULL),
(1951,	7,	2946,	'CSO2946',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:34:38',	'2021-05-08 11:45:09',	NULL,	'',	NULL,	NULL),
(1952,	7,	2947,	'CSO2947',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.300,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:37:52',	'2021-05-08 11:45:39',	NULL,	'',	NULL,	NULL),
(1953,	7,	2948,	'CSO2948',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	11.150,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:37:52',	'2021-05-08 11:46:39',	NULL,	'',	NULL,	NULL),
(1954,	7,	2949,	'CSO2949',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:38:13',	'2021-05-08 11:47:07',	NULL,	'',	NULL,	NULL),
(1955,	7,	2950,	'CSO2950',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:44:25',	'2021-05-08 13:05:05',	NULL,	'',	NULL,	NULL),
(1956,	7,	2951,	'CSO2951',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:46:11',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1957,	7,	2952,	'CSO2952',	226,	0,	'2021-05-08',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 09:51:52',	'2021-05-08 09:51:52',	NULL,	'TEST',	NULL,	NULL),
(1958,	7,	2953,	'CSO2953',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:57:14',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1959,	7,	2954,	'CSO2954',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:58:37',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1960,	7,	2955,	'CSO2955',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	51.200,	NULL,	51.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 09:59:42',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1961,	7,	2956,	'CSO2956',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	20.300,	NULL,	20.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:02:33',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1962,	7,	2957,	'CSO2957',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:04:37',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1963,	7,	2958,	'CSO2958',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	33.800,	NULL,	33.800,	NULL,	NULL,	'card',	NULL,	'2021-05-08 10:09:12',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	1),
(1964,	7,	2959,	'CSO2959',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:10:15',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1965,	7,	2960,	'CSO2960',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:13:09',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1966,	7,	2961,	'CSO2961',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:15:16',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1967,	7,	2962,	'CSO2962',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	96.610,	0.010,	96.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:16:36',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	1),
(1968,	7,	2963,	'CSO2963',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	20.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:17:44',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1969,	7,	2964,	'CSO2964',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:18:20',	'2021-05-08 13:31:37',	NULL,	'',	NULL,	1),
(1970,	7,	2965,	'CSO2965',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	8.100,	NULL,	8.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:19:21',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1971,	7,	2966,	'CSO2966',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	13.300,	0.300,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:31:05',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1972,	7,	2967,	'CSO2967',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:31:34',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(1973,	7,	2968,	'CSO2968',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:31:50',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	1),
(1974,	7,	2969,	'CSO2969',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.760,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:32:25',	'2021-05-08 13:34:40',	NULL,	'',	NULL,	NULL),
(1975,	7,	2970,	'CSO2970',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.310,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:35:31',	'2021-05-08 13:35:13',	NULL,	'',	NULL,	NULL),
(1976,	6,	2971,	'WSO2971',	227,	537,	'2021-05-08',	659,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 10:37:19',	'2021-05-08 10:46:39',	NULL,	NULL,	NULL,	NULL),
(1977,	7,	2972,	'CSO2972',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.400,	NULL,	12.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:38:32',	'2021-05-08 13:35:45',	NULL,	'',	NULL,	1),
(1978,	7,	2973,	'CSO2973',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:39:45',	'2021-05-08 13:36:13',	NULL,	'',	NULL,	1),
(1979,	7,	2974,	'CSO2974',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	37.900,	NULL,	37.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:48:22',	'2021-05-08 13:52:03',	NULL,	'',	NULL,	1),
(1980,	7,	2975,	'CSO2975',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:49:02',	'2021-05-08 13:52:23',	NULL,	'',	NULL,	1),
(1981,	7,	2976,	'CSO2976',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	24.600,	NULL,	24.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:51:35',	'2021-05-08 13:54:12',	NULL,	'',	NULL,	1),
(1982,	7,	2977,	'CSO2977',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:52:10',	'2021-05-08 13:54:35',	NULL,	'',	NULL,	NULL),
(1983,	7,	2978,	'CSO2978',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:52:24',	'2021-05-08 13:55:20',	NULL,	'',	NULL,	1),
(1984,	7,	2979,	'CSO2979',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	17.590,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:54:27',	'2021-05-08 13:55:49',	NULL,	'',	NULL,	1),
(1985,	7,	2980,	'CSO2980',	228,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.575,	0.025,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:57:30',	'2021-05-08 13:56:38',	NULL,	'',	NULL,	1),
(1986,	7,	2981,	'CSO2981',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	43.300,	NULL,	43.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 10:58:23',	'2021-05-08 13:56:59',	NULL,	'',	NULL,	NULL),
(1987,	7,	2982,	'CSO2982',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.050,	0.050,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:00:35',	'2021-05-08 13:57:19',	NULL,	'',	NULL,	NULL),
(1988,	7,	2983,	'CSO2983',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2369.795,	6.795,	2363.000,	NULL,	NULL,	'card',	NULL,	'2021-05-08 11:02:24',	'2021-05-08 11:13:32',	NULL,	'',	'96999204',	1),
(1989,	7,	2984,	'CSO2984',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:08:01',	'2021-05-08 13:57:56',	NULL,	'',	NULL,	NULL),
(1990,	7,	2985,	'CSO2985',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:08:39',	'2021-05-08 13:58:13',	NULL,	'',	NULL,	NULL),
(1991,	7,	2986,	'CSO2986',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:15:46',	'2021-05-08 13:58:26',	NULL,	'',	NULL,	NULL),
(1992,	7,	2987,	'CSO2987',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	23.525,	NULL,	2987.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:32:49',	'2021-05-08 13:58:51',	NULL,	'',	NULL,	NULL),
(1993,	7,	2988,	'CSO2988',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:33:42',	'2021-05-08 13:59:31',	NULL,	'',	NULL,	NULL),
(1994,	7,	2989,	'CSO2989',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.080,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:34:05',	'2021-05-08 14:00:18',	NULL,	'',	NULL,	NULL),
(1995,	7,	2990,	'CSO2990',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	38.915,	NULL,	38.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:34:25',	'2021-05-08 14:00:46',	NULL,	'',	NULL,	NULL),
(1996,	7,	2991,	'CSO2991',	226,	0,	'2021-05-08',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 11:35:27',	'2021-05-08 11:35:27',	NULL,	'',	NULL,	NULL),
(1997,	7,	2992,	'CSO2992',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:36:41',	'2021-05-08 14:03:44',	NULL,	'',	NULL,	NULL),
(1998,	7,	2993,	'CSO2993',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:36:43',	'2021-05-08 14:04:08',	NULL,	'',	NULL,	NULL),
(1999,	7,	2994,	'CSO2994',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:38:06',	'2021-05-08 14:04:33',	NULL,	'',	NULL,	NULL),
(2000,	7,	2995,	'CSO2995',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.780,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:38:33',	'2021-05-08 14:04:59',	NULL,	'',	NULL,	NULL),
(2001,	7,	2996,	'CSO2996',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:40:47',	'2021-05-08 14:05:19',	NULL,	'',	NULL,	NULL),
(2002,	7,	2997,	'CSO2997',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	13.355,	NULL,	13.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:44:05',	'2021-05-08 14:05:57',	NULL,	'',	NULL,	NULL),
(2003,	7,	2998,	'CSO2998',	228,	0,	'2021-05-08',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 11:46:22',	'2021-05-08 11:46:59',	NULL,	'',	NULL,	1),
(2004,	7,	2999,	'CSO2999',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	72.200,	NULL,	72.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:47:09',	'2021-05-08 14:07:19',	NULL,	'',	NULL,	NULL),
(2005,	7,	3000,	'CSO3000',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:48:20',	'2021-05-08 14:07:47',	NULL,	'',	NULL,	NULL),
(2006,	7,	3001,	'CSO3001',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	51.700,	NULL,	51.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:48:36',	'2021-05-08 14:13:03',	NULL,	'',	NULL,	NULL),
(2007,	7,	3002,	'CSO3002',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	9.300,	NULL,	9.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:52:20',	'2021-05-08 14:13:33',	NULL,	'',	NULL,	NULL),
(2008,	7,	3003,	'CSO3003',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:53:12',	'2021-05-08 14:13:55',	NULL,	'',	NULL,	NULL),
(2009,	7,	3004,	'CSO3004',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 11:57:26',	'2021-05-08 14:14:23',	NULL,	'',	NULL,	NULL),
(2010,	7,	3005,	'CSO3005',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	26.580,	NULL,	26.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:02:13',	'2021-05-08 14:14:49',	NULL,	'',	NULL,	NULL),
(2011,	7,	3006,	'CSO3006',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:05:25',	'2021-05-08 14:15:08',	NULL,	'',	NULL,	NULL),
(2012,	7,	3007,	'CSO3007',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.910,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:09:09',	'2021-05-08 14:15:31',	NULL,	'',	NULL,	NULL),
(2013,	7,	3008,	'CSO3008',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.890,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:09:37',	'2021-05-08 14:15:58',	NULL,	'',	NULL,	NULL),
(2014,	7,	3009,	'CSO3009',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.940,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:16:34',	'2021-05-08 14:16:45',	NULL,	'',	NULL,	NULL),
(2015,	7,	3010,	'CSO3010',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	6.532,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:20:50',	'2021-05-08 14:17:07',	NULL,	'',	NULL,	NULL),
(2016,	7,	3011,	'CSO3011',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:21:18',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2017,	7,	3012,	'CSO3012',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:21:59',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2018,	7,	3013,	'CSO3013',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	18.100,	0.100,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:23:02',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2019,	7,	3014,	'CSO3014',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	20.800,	0.200,	20.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:23:23',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2020,	7,	3015,	'CSO3015',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:23:32',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2021,	7,	3016,	'CSO3016',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:25:06',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2022,	7,	3017,	'CSO3017',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:27:18',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2023,	7,	3018,	'CSO3018',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.925,	0.025,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:27:49',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2024,	7,	3019,	'CSO3019',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:31:00',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2025,	7,	3020,	'CSO3020',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	111.000,	NULL,	111.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:35:14',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2026,	7,	3021,	'CSO3021',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:44:01',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2027,	7,	3022,	'CSO3022',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:46:39',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2028,	7,	3023,	'CSO3023',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:47:37',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2029,	7,	3024,	'CSO3024',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:48:50',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2030,	7,	3025,	'CSO3025',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'card',	NULL,	'2021-05-08 12:56:39',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	1),
(2031,	7,	3026,	'CSO3026',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 12:58:13',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2032,	7,	3027,	'CSO3027',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	18.400,	NULL,	18.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:00:49',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2033,	7,	3028,	'CSO3028',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	1.320,	0.020,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:07:12',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2034,	7,	3029,	'CSO3029',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:07:52',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2035,	7,	3030,	'CSO3030',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:09:22',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2036,	7,	3031,	'CSO3031',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:10:28',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2037,	7,	3032,	'CSO3032',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:12:29',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2038,	7,	3033,	'CSO3033',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	12.200,	NULL,	12.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:13:12',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2039,	7,	3034,	'CSO3034',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:14:08',	'2021-05-08 13:24:11',	NULL,	'',	NULL,	NULL),
(2040,	7,	3035,	'CSO3035',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:25:53',	'2021-05-08 14:18:51',	NULL,	'',	NULL,	NULL),
(2041,	7,	3036,	'CSO3036',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:26:41',	'2021-05-08 14:19:08',	NULL,	'',	NULL,	NULL),
(2042,	7,	3037,	'CSO3037',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:31:05',	'2021-05-08 14:19:31',	NULL,	'',	NULL,	NULL),
(2043,	7,	3038,	'CSO3038',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	51.680,	NULL,	51.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:32:13',	'2021-05-08 14:20:04',	NULL,	'',	NULL,	NULL),
(2044,	7,	3039,	'CSO3039',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:32:27',	'2021-05-08 17:56:12',	NULL,	'',	NULL,	NULL),
(2045,	7,	3040,	'CSO3040',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-08',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:43:52',	'2021-05-08 14:20:43',	NULL,	'',	NULL,	NULL),
(2046,	7,	3041,	'CSO3041',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	16.900,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:48:58',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2047,	7,	3042,	'CSO3042',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	5.843,	0.043,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:50:10',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2048,	7,	3043,	'CSO3043',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:54:17',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2049,	7,	3044,	'CSO3044',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 13:56:46',	'2021-05-09 13:22:19',	NULL,	'',	NULL,	NULL),
(2050,	7,	3045,	'CSO3045',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.600,	0.100,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:00:22',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2051,	7,	3046,	'CSO3046',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:00:47',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	1),
(2052,	7,	3047,	'CSO3047',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'card',	NULL,	'2021-05-08 14:01:23',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	1),
(2053,	7,	3048,	'CSO3048',	224,	0,	'2021-05-08',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 14:01:32',	'2021-05-08 14:01:32',	NULL,	'',	NULL,	NULL),
(2054,	7,	3049,	'CSO3049',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:04:46',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2055,	7,	3050,	'CSO3050',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'card',	NULL,	'2021-05-08 14:06:00',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	1),
(2056,	7,	3051,	'CSO3051',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:06:29',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2057,	7,	3052,	'CSO3052',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	12.800,	0.300,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:08:42',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2058,	7,	3053,	'CSO3053',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	15.800,	NULL,	15.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:15:15',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2059,	7,	3054,	'CSO3054',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:17:20',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2060,	7,	3055,	'CSO3055',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	20.300,	NULL,	20.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:43:24',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2061,	7,	3056,	'CSO3056',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 14:57:28',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2062,	7,	3057,	'CSO3057',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:02:50',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2063,	7,	3058,	'CSO3058',	224,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	18.800,	NULL,	18.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:07:01',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2064,	7,	3059,	'CSO3059',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:07:44',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2065,	7,	3060,	'CSO3060',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:15:20',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2066,	7,	3061,	'CSO3061',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	11.400,	0.400,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:18:05',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2067,	7,	3062,	'CSO3062',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:45:16',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2068,	7,	3063,	'CSO3063',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:49:11',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2069,	7,	3064,	'CSO3064',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 15:50:52',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2070,	7,	3065,	'CSO3065',	226,	0,	'2021-05-08',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-08 17:31:27',	'2021-05-08 17:31:27',	NULL,	'',	NULL,	NULL),
(2071,	7,	3066,	'CSO3066',	226,	0,	'2021-05-08',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-08 17:33:44',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2072,	7,	3067,	'CSO3067',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	28.600,	NULL,	28.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 04:46:05',	'2021-05-09 05:24:52',	NULL,	'',	NULL,	NULL),
(2073,	7,	3068,	'CSO3068',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	50.400,	NULL,	50.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 05:52:33',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2074,	7,	3069,	'CSO3069',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:02:11',	'2021-05-09 11:45:47',	NULL,	'',	NULL,	NULL),
(2075,	7,	3070,	'CSO3070',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:08:36',	'2021-05-09 11:45:47',	NULL,	'',	NULL,	NULL),
(2076,	7,	3071,	'CSO3071',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1471.500,	0.700,	1470.800,	NULL,	NULL,	'cash',	'3391 gate no 3',	'2021-05-09 06:09:40',	'2021-05-09 11:45:47',	NULL,	'SAID SAHAM',	NULL,	1),
(2077,	7,	3072,	'CSO3072',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:12:27',	'2021-05-09 11:45:47',	NULL,	'',	NULL,	NULL),
(2078,	7,	3073,	'CSO3073',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	45.000,	NULL,	45.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:26:35',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2079,	7,	3074,	'CSO3074',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:27:20',	'2021-05-09 11:45:47',	NULL,	'',	NULL,	NULL),
(2080,	7,	3075,	'CSO3075',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:29:54',	'2021-05-09 11:45:47',	NULL,	'',	NULL,	NULL),
(2081,	7,	3076,	'CSO3076',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	31.300,	NULL,	31.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:32:55',	'2021-05-09 11:44:19',	NULL,	'',	NULL,	NULL),
(2082,	7,	3077,	'CSO3077',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:33:47',	'2021-05-09 11:44:04',	NULL,	'',	NULL,	NULL),
(2083,	7,	3078,	'CSO3078',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	32.000,	0.050,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:35:52',	'2021-05-09 11:43:49',	NULL,	'',	NULL,	1),
(2084,	7,	3079,	'CSO3079',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:48:09',	'2021-05-09 11:43:27',	NULL,	'',	NULL,	NULL),
(2085,	7,	3080,	'CSO3080',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	79.500,	NULL,	79.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:51:45',	'2021-05-09 11:43:15',	NULL,	'',	NULL,	1),
(2086,	7,	3081,	'CSO3081',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	170.590,	0.090,	170.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:52:46',	'2021-05-09 11:42:54',	NULL,	'',	NULL,	1),
(2087,	7,	3082,	'CSO3082',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 06:58:17',	'2021-05-09 11:40:18',	NULL,	'',	NULL,	NULL),
(2088,	7,	3083,	'CSO3083',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	63.000,	NULL,	63.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:01:13',	'2021-05-09 11:40:07',	NULL,	'',	NULL,	NULL),
(2089,	7,	3084,	'CSO3084',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:15:13',	'2021-05-09 11:39:56',	NULL,	'',	NULL,	1),
(2090,	7,	3085,	'CSO3085',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:15:55',	'2021-05-09 11:39:45',	NULL,	'',	NULL,	NULL),
(2091,	7,	3086,	'CSO3086',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:22:21',	'2021-05-09 09:04:28',	NULL,	'',	NULL,	NULL),
(2092,	7,	3087,	'CSO3087',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	18.500,	NULL,	18.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:29:09',	'2021-05-09 09:03:39',	NULL,	'',	NULL,	NULL),
(2093,	7,	3088,	'CSO3088',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	62.650,	0.050,	62.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:33:21',	'2021-05-09 11:39:26',	NULL,	'',	NULL,	1),
(2094,	7,	3089,	'CSO3089',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:36:29',	'2021-05-09 11:39:02',	NULL,	'',	NULL,	NULL),
(2095,	7,	3090,	'CSO3090',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	85.200,	NULL,	85.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:37:23',	'2021-05-09 09:18:42',	NULL,	'',	NULL,	NULL),
(2096,	7,	3091,	'CSO3091',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	14.805,	0.050,	14.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:40:28',	'2021-05-09 11:38:38',	NULL,	'',	NULL,	1),
(2097,	7,	3092,	'CSO3092',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	52.000,	NULL,	52.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:45:06',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2098,	7,	3093,	'CSO3093',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:48:51',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2099,	7,	3094,	'CSO3094',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 07:50:12',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2100,	7,	3095,	'CSO3095',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:15:00',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2101,	7,	3096,	'CSO3096',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	67.200,	NULL,	67.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:19:33',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2102,	7,	3097,	'CSO3097',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:20:22',	'2021-05-09 09:01:38',	NULL,	'',	NULL,	NULL),
(2103,	7,	3098,	'CSO3098',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	9.450,	0.050,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:36:56',	'2021-05-09 11:38:00',	NULL,	'',	NULL,	NULL),
(2104,	7,	3099,	'CSO3099',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:39:37',	'2021-05-09 11:37:47',	NULL,	'',	NULL,	NULL),
(2105,	7,	3100,	'CSO3100',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:50:13',	'2021-05-09 11:37:32',	NULL,	'',	NULL,	NULL),
(2106,	7,	3101,	'CSO3101',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	8.085,	0.085,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:50:18',	'2021-05-09 11:37:12',	NULL,	'',	NULL,	NULL),
(2107,	7,	3102,	'CSO3102',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	74.180,	0.180,	74.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 08:59:00',	'2021-05-09 11:32:15',	NULL,	'JALALE CASH',	NULL,	1),
(2109,	7,	3104,	'CSO3104',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	30.800,	NULL,	30.800,	NULL,	NULL,	'cash',	'2757',	'2021-05-09 09:38:14',	'2021-05-09 11:32:15',	NULL,	'NAZAR BARKA',	NULL,	1),
(2110,	7,	3105,	'CSO3105',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	75.730,	0.030,	75.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 09:40:25',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2111,	7,	3106,	'CSO3106',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 09:44:33',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2112,	7,	3107,	'CSO3107',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 09:48:57',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2113,	7,	3108,	'CSO3108',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	175.100,	0.100,	175.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:24:59',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	1),
(2114,	7,	3109,	'CSO3109',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	11.300,	NULL,	11.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:27:08',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2115,	7,	3110,	'CSO3110',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:27:45',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2116,	7,	3111,	'CSO3111',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	33.200,	NULL,	33.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:32:13',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	1),
(2117,	7,	3112,	'CSO3112',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:51:22',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2118,	7,	3113,	'CSO3113',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	2.500,	0.100,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:53:35',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2119,	7,	3114,	'CSO3114',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	27.000,	NULL,	27.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 10:56:13',	'2021-05-09 11:32:15',	NULL,	'',	NULL,	NULL),
(2120,	7,	3115,	'CSO3115',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	22.400,	NULL,	22.400,	NULL,	NULL,	'card',	NULL,	'2021-05-09 11:12:48',	'2021-05-09 13:11:07',	NULL,	'',	NULL,	1),
(2121,	7,	3116,	'CSO3116',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	487.000,	NULL,	487.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 11:17:46',	'2021-05-09 11:35:13',	NULL,	'',	NULL,	NULL),
(2122,	7,	3117,	'CSO3117',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	18.500,	NULL,	18.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 11:26:38',	'2021-05-09 11:34:53',	NULL,	'',	NULL,	NULL),
(2123,	7,	3118,	'CSO3118',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	209.800,	0.800,	209.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 11:52:18',	'2021-05-09 12:26:57',	NULL,	'',	NULL,	NULL),
(2124,	7,	3119,	'CSO3119',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 11:52:40',	'2021-05-09 12:26:57',	NULL,	'',	NULL,	NULL),
(2125,	7,	3120,	'CSO3120',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 12:08:30',	'2021-05-09 12:26:57',	NULL,	'',	NULL,	NULL),
(2126,	7,	3121,	'CSO3121',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 12:10:57',	'2021-05-09 12:26:57',	NULL,	'',	NULL,	NULL),
(2127,	7,	3122,	'CSO3122',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 12:17:07',	'2021-05-09 12:26:57',	NULL,	'',	NULL,	NULL),
(2128,	7,	3123,	'CSO3123',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 12:17:34',	'2021-05-09 12:26:57',	NULL,	'',	NULL,	NULL),
(2129,	7,	3124,	'CSO3124',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	6.825,	0.025,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 12:50:20',	'2021-05-09 13:11:07',	NULL,	'',	NULL,	NULL),
(2130,	7,	3125,	'CSO3125',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	23.440,	0.040,	23.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 12:50:58',	'2021-05-09 13:11:07',	NULL,	'',	NULL,	NULL),
(2131,	7,	3126,	'CSO3126',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 13:10:30',	'2021-05-09 15:24:25',	NULL,	'',	NULL,	NULL),
(2132,	7,	3127,	'CSO3127',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 13:11:44',	'2021-05-09 13:13:42',	NULL,	'',	NULL,	NULL),
(2133,	7,	3128,	'CSO3128',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-09',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 13:30:37',	'2021-05-09 14:00:00',	NULL,	'',	NULL,	NULL),
(2134,	7,	3129,	'CSO3129',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 14:06:33',	'2021-05-10 06:07:23',	NULL,	'',	NULL,	NULL),
(2135,	7,	3130,	'CSO3130',	224,	0,	'2021-05-09',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-09 14:07:12',	'2021-05-09 14:07:12',	NULL,	'',	NULL,	NULL),
(2136,	7,	3131,	'CSO3131',	224,	0,	'2021-05-09',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-09 14:20:14',	'2021-05-09 14:20:14',	NULL,	'',	NULL,	NULL),
(2137,	7,	3132,	'CSO3132',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	156.000,	1.000,	155.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 14:21:26',	'2021-05-10 10:55:34',	NULL,	'',	NULL,	NULL),
(2138,	7,	3133,	'CSO3133',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 14:35:25',	'2021-05-10 10:56:52',	NULL,	'',	NULL,	NULL),
(2139,	7,	3134,	'CSO3134',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 15:26:32',	'2021-05-10 10:57:17',	NULL,	'',	NULL,	NULL),
(2140,	7,	3135,	'CSO3135',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	27.700,	NULL,	27.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 15:42:19',	'2021-05-10 10:57:34',	NULL,	'',	NULL,	NULL),
(2141,	7,	3136,	'CSO3136',	224,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 16:01:15',	'2021-05-10 10:59:03',	NULL,	'',	NULL,	NULL),
(2142,	7,	3137,	'CSO3137',	226,	0,	'2021-05-09',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-09 16:29:48',	'2021-05-10 10:59:34',	NULL,	'',	NULL,	NULL),
(2143,	7,	3138,	'CSO3138',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 04:50:22',	'2021-05-10 10:59:56',	NULL,	'',	NULL,	NULL),
(2144,	7,	3139,	'CSO3139',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 05:09:23',	'2021-05-10 11:00:19',	NULL,	'',	NULL,	NULL),
(2145,	7,	3140,	'CSO3140',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	176.200,	0.200,	176.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 05:16:41',	'2021-05-10 06:45:08',	NULL,	'',	NULL,	1),
(2146,	7,	3141,	'CSO3141',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 05:18:24',	'2021-05-10 11:01:31',	NULL,	'',	NULL,	NULL),
(2147,	7,	3142,	'CSO3142',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 05:18:24',	'2021-05-10 11:01:53',	NULL,	'',	NULL,	NULL),
(2148,	7,	3143,	'CSO3143',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 05:40:24',	'2021-05-10 11:02:13',	NULL,	'',	NULL,	NULL),
(2149,	7,	3144,	'CSO3144',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.100,	0.100,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 05:58:24',	'2021-05-10 11:02:37',	NULL,	'',	NULL,	NULL),
(2150,	7,	3145,	'CSO3145',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:01:36',	'2021-05-10 11:02:53',	NULL,	'',	NULL,	NULL),
(2151,	7,	3146,	'CSO3146',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.788,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:20:06',	'2021-05-10 11:03:11',	NULL,	'',	NULL,	NULL),
(2152,	7,	3147,	'CSO3147',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	38.200,	NULL,	38.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:21:23',	'2021-05-10 11:05:07',	NULL,	'',	NULL,	NULL),
(2153,	7,	3148,	'CSO3148',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	27.400,	NULL,	27.400,	NULL,	NULL,	'cash',	'8050 BA',	'2021-05-10 06:29:31',	'2021-05-10 18:05:26',	NULL,	'YASIR BALUCHI',	'97493397',	NULL),
(2154,	7,	3149,	'CSO3149',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	29.400,	NULL,	29.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:30:42',	'2021-05-10 11:05:56',	NULL,	'',	NULL,	NULL),
(2155,	7,	3150,	'CSO3150',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:36:58',	'2021-05-10 11:06:26',	NULL,	'',	NULL,	NULL),
(2156,	7,	3151,	'CSO3151',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:39:06',	'2021-05-10 11:06:49',	NULL,	'',	NULL,	NULL),
(2157,	7,	3152,	'CSO3152',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	17.300,	NULL,	17.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:44:10',	'2021-05-10 11:07:18',	NULL,	'',	NULL,	NULL),
(2158,	7,	3153,	'CSO3153',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	8.310,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:46:26',	'2021-05-10 11:08:09',	NULL,	'',	NULL,	NULL),
(2159,	7,	3154,	'CSO3154',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:56:40',	'2021-05-10 07:46:59',	NULL,	'',	NULL,	NULL),
(2160,	7,	3155,	'CSO3155',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 06:59:03',	'2021-05-10 11:08:37',	NULL,	'',	NULL,	NULL),
(2161,	7,	3156,	'CSO3156',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:01:52',	'2021-05-10 11:13:23',	NULL,	'',	NULL,	NULL),
(2162,	7,	3157,	'CSO3157',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.095,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:03:59',	'2021-05-10 11:10:05',	NULL,	'',	NULL,	NULL),
(2163,	7,	3158,	'CSO3158',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	15.500,	NULL,	15.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:12:43',	'2021-05-10 11:13:23',	NULL,	'',	NULL,	NULL),
(2164,	7,	3159,	'CSO3159',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:13:31',	'2021-05-10 11:14:31',	NULL,	'',	NULL,	NULL),
(2165,	7,	3160,	'CSO3160',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:14:11',	'2021-05-10 11:14:55',	NULL,	'',	NULL,	NULL),
(2166,	7,	3161,	'CSO3161',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:16:57',	'2021-05-10 11:17:19',	NULL,	'',	NULL,	NULL),
(2167,	7,	3162,	'CSO3162',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	152.800,	NULL,	152.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:24:24',	'2021-05-10 11:17:43',	NULL,	'',	NULL,	1),
(2168,	7,	3163,	'CSO3163',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:28:20',	'2021-05-10 11:18:10',	NULL,	'',	NULL,	NULL),
(2169,	7,	3164,	'CSO3164',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:29:23',	'2021-05-10 11:18:41',	NULL,	'',	NULL,	NULL),
(2170,	7,	3165,	'CSO3165',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	64.390,	NULL,	65.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:33:30',	'2021-05-10 11:19:05',	NULL,	'',	NULL,	1),
(2171,	7,	3166,	'CSO3166',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:37:21',	'2021-05-10 11:21:20',	NULL,	'',	NULL,	NULL),
(2172,	7,	3167,	'CSO3167',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:38:32',	'2021-05-10 11:21:47',	NULL,	'',	NULL,	NULL),
(2173,	7,	3168,	'CSO3168',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:47:19',	'2021-05-10 11:22:10',	NULL,	'',	NULL,	NULL),
(2174,	7,	3169,	'CSO3169',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 07:51:51',	'2021-05-10 11:22:47',	NULL,	'',	NULL,	NULL),
(2175,	7,	3170,	'CSO3170',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	68.850,	NULL,	68.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:03:00',	'2021-05-10 11:28:29',	NULL,	'',	NULL,	1),
(2176,	7,	3171,	'CSO3171',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	23.300,	NULL,	23.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:03:16',	'2021-05-10 11:29:10',	NULL,	'',	NULL,	NULL),
(2177,	7,	3172,	'CSO3172',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	17.600,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:07:12',	'2021-05-10 11:31:21',	NULL,	'',	NULL,	NULL),
(2178,	7,	3173,	'CSO3173',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:11:32',	'2021-05-10 11:32:10',	NULL,	'',	NULL,	NULL),
(2179,	7,	3174,	'CSO3174',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:16:37',	'2021-05-10 11:32:57',	NULL,	'',	NULL,	NULL),
(2180,	7,	3175,	'CSO3175',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	18.400,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:19:06',	'2021-05-10 11:33:48',	NULL,	'',	NULL,	NULL),
(2181,	7,	3176,	'CSO3176',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:19:24',	'2021-05-10 11:34:04',	NULL,	'',	NULL,	NULL),
(2182,	7,	3177,	'CSO3177',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:24:37',	'2021-05-10 11:34:26',	NULL,	'',	NULL,	NULL),
(2183,	7,	3178,	'CSO3178',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:25:20',	'2021-05-10 11:35:49',	NULL,	'',	NULL,	NULL),
(2184,	7,	3179,	'CSO3179',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:47:01',	'2021-05-10 11:35:49',	NULL,	'',	NULL,	1),
(2185,	7,	3180,	'CSO3180',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:51:06',	'2021-05-10 11:36:25',	NULL,	'',	NULL,	NULL),
(2186,	7,	3181,	'CSO3181',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	49.350,	NULL,	49.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:52:56',	'2021-05-10 11:37:04',	NULL,	'NASAR BARKA',	NULL,	1),
(2187,	7,	3182,	'CSO3182',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 08:56:39',	'2021-05-10 11:37:42',	NULL,	'',	NULL,	NULL),
(2188,	7,	3183,	'CSO3183',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 09:24:54',	'2021-05-10 11:38:26',	NULL,	'',	NULL,	NULL),
(2189,	7,	3184,	'CSO3184',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	115.090,	NULL,	115.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 09:39:33',	'2021-05-10 11:39:20',	NULL,	'',	NULL,	1),
(2190,	7,	3185,	'CSO3185',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 09:45:39',	'2021-05-10 11:39:49',	NULL,	'',	NULL,	NULL),
(2191,	7,	3186,	'CSO3186',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	15.600,	NULL,	15.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 09:47:29',	'2021-05-10 11:41:54',	NULL,	'',	NULL,	NULL),
(2192,	7,	3187,	'CSO3187',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	38.400,	NULL,	38.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 09:54:52',	'2021-05-10 11:42:21',	NULL,	'',	NULL,	1),
(2193,	7,	3188,	'CSO3188',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	34.500,	NULL,	34.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 10:00:52',	'2021-05-10 11:46:10',	NULL,	'',	NULL,	1),
(2194,	7,	3189,	'CSO3189',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	278.200,	NULL,	278.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 10:19:37',	'2021-05-10 11:46:55',	NULL,	'',	NULL,	NULL),
(2195,	7,	3190,	'CSO3190',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.300,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 10:44:17',	'2021-05-10 11:49:59',	NULL,	'',	NULL,	NULL),
(2196,	7,	3191,	'CSO3191',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	128.000,	NULL,	128.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 10:45:08',	'2021-05-10 11:50:21',	NULL,	'',	NULL,	NULL),
(2197,	7,	3192,	'CSO3192',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.300,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 10:57:52',	'2021-05-10 11:50:43',	NULL,	'',	NULL,	NULL),
(2198,	7,	3193,	'CSO3193',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	14.590,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 10:58:49',	'2021-05-10 11:51:25',	NULL,	'',	NULL,	NULL),
(2199,	7,	3194,	'CSO3194',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	94.900,	NULL,	94.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:00:38',	'2021-05-10 11:52:02',	NULL,	'',	NULL,	NULL),
(2200,	7,	3195,	'CSO3195',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	39.000,	NULL,	39.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:02:54',	'2021-05-10 11:52:31',	NULL,	'',	NULL,	NULL),
(2201,	7,	3196,	'CSO3196',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	30.600,	NULL,	30.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:03:38',	'2021-05-10 11:52:55',	NULL,	'',	NULL,	NULL),
(2202,	7,	3197,	'CSO3197',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:08:27',	'2021-05-10 11:53:39',	NULL,	'',	NULL,	NULL),
(2203,	7,	3198,	'CSO3198',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	26.200,	NULL,	26.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:10:02',	'2021-05-10 11:53:49',	NULL,	'',	NULL,	NULL),
(2204,	7,	3199,	'CSO3199',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.625,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:11:23',	'2021-05-10 11:54:12',	NULL,	'',	NULL,	NULL),
(2205,	7,	3200,	'CSO3200',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:13:15',	'2021-05-10 11:54:34',	NULL,	'',	NULL,	NULL),
(2206,	7,	3201,	'CSO3201',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	27.299,	NULL,	27.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:27:19',	'2021-05-10 14:48:59',	NULL,	'',	NULL,	1),
(2207,	7,	3202,	'CSO3202',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	10.480,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:28:57',	'2021-05-10 14:49:37',	NULL,	'',	NULL,	NULL),
(2208,	7,	3203,	'CSO3203',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:32:09',	'2021-05-10 14:50:27',	NULL,	'',	NULL,	NULL),
(2209,	7,	3204,	'CSO3204',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	450.000,	NULL,	450.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:34:21',	'2021-05-10 14:50:51',	NULL,	'',	NULL,	NULL),
(2210,	7,	3205,	'CSO3205',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:40:31',	'2021-05-10 14:54:18',	NULL,	'',	NULL,	NULL),
(2211,	7,	3206,	'CSO3206',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:48:00',	'2021-05-10 14:55:56',	NULL,	'',	NULL,	NULL),
(2212,	7,	3207,	'CSO3207',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	17.900,	NULL,	17.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:49:31',	'2021-05-10 14:56:20',	NULL,	'',	NULL,	NULL),
(2213,	7,	3208,	'CSO3208',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.600,	NULL,	12.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 11:55:59',	'2021-05-10 14:58:34',	NULL,	'',	NULL,	NULL),
(2214,	7,	3209,	'CSO3209',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:00:53',	'2021-05-10 14:59:09',	NULL,	'',	NULL,	NULL),
(2215,	7,	3210,	'CSO3210',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	20.907,	NULL,	20.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:06:27',	'2021-05-10 15:03:07',	NULL,	'',	NULL,	1),
(2216,	7,	3211,	'CSO3211',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	36.600,	NULL,	36.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:07:08',	'2021-05-10 15:03:29',	NULL,	'',	NULL,	NULL),
(2217,	7,	3212,	'CSO3212',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:09:13',	'2021-05-10 15:03:46',	NULL,	'',	NULL,	NULL),
(2218,	7,	3213,	'CSO3213',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:15:00',	'2021-05-10 15:04:03',	NULL,	'',	NULL,	NULL),
(2219,	7,	3214,	'CSO3214',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:19:15',	'2021-05-10 15:08:03',	NULL,	'',	NULL,	NULL),
(2220,	7,	3215,	'CSO3215',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.250,	NULL,	12.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:24:40',	'2021-05-10 15:08:29',	NULL,	'',	NULL,	NULL),
(2221,	7,	3216,	'CSO3216',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	90.100,	NULL,	90.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:27:42',	'2021-05-10 15:08:49',	NULL,	'',	NULL,	NULL),
(2222,	7,	3217,	'CSO3217',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:28:55',	'2021-05-10 15:09:07',	NULL,	'',	NULL,	NULL),
(2223,	7,	3218,	'CSO3218',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:35:10',	'2021-05-10 15:09:24',	NULL,	'',	NULL,	NULL),
(2224,	7,	3219,	'CSO3219',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	76.438,	NULL,	76.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:44:39',	'2021-05-10 15:09:52',	NULL,	'',	NULL,	NULL),
(2225,	7,	3220,	'CSO3220',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:50:58',	'2021-05-10 15:10:12',	NULL,	'',	NULL,	NULL),
(2226,	7,	3221,	'CSO3221',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:52:55',	'2021-05-10 15:10:42',	NULL,	'',	NULL,	1),
(2227,	7,	3222,	'CSO3222',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:53:58',	'2021-05-10 15:11:13',	NULL,	'',	NULL,	NULL),
(2228,	7,	3223,	'CSO3223',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 12:56:33',	'2021-05-10 15:11:41',	NULL,	'',	NULL,	NULL),
(2229,	7,	3224,	'CSO3224',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	43.500,	NULL,	43.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:03:36',	'2021-05-10 15:12:04',	NULL,	'',	NULL,	NULL),
(2230,	7,	3225,	'CSO3225',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:04:03',	'2021-05-10 15:14:35',	NULL,	'',	NULL,	NULL),
(2231,	7,	3226,	'CSO3226',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:04:53',	'2021-05-10 15:14:56',	NULL,	'',	NULL,	NULL),
(2232,	7,	3227,	'CSO3227',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:13:57',	'2021-05-10 15:15:16',	NULL,	'',	NULL,	NULL),
(2233,	7,	3228,	'CSO3228',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.450,	0.050,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:28:48',	'2021-05-10 15:16:20',	NULL,	'',	NULL,	NULL),
(2234,	7,	3229,	'CSO3229',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.600,	0.200,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:29:36',	'2021-05-10 15:18:32',	NULL,	'',	NULL,	NULL),
(2235,	7,	3230,	'CSO3230',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	5.890,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:31:18',	'2021-05-10 15:19:03',	NULL,	'',	NULL,	NULL),
(2236,	7,	3231,	'CSO3231',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	98.400,	NULL,	98.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:31:34',	'2021-05-10 15:19:23',	NULL,	'',	NULL,	1),
(2237,	7,	3232,	'CSO3232',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:33:26',	'2021-05-10 15:20:18',	NULL,	'',	NULL,	NULL),
(2238,	7,	3233,	'CSO3233',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:35:03',	'2021-05-10 15:27:14',	NULL,	'',	NULL,	NULL),
(2239,	7,	3234,	'CSO3234',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:38:43',	'2021-05-10 15:27:34',	NULL,	'',	NULL,	NULL),
(2240,	7,	3235,	'CSO3235',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:41:30',	'2021-05-10 15:27:56',	NULL,	'',	NULL,	NULL),
(2241,	7,	3236,	'CSO3236',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:44:42',	'2021-05-10 15:29:26',	NULL,	'',	NULL,	NULL),
(2242,	7,	3237,	'CSO3237',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:49:54',	'2021-05-10 15:29:47',	NULL,	'',	NULL,	NULL),
(2243,	7,	3238,	'CSO3238',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:51:10',	'2021-05-10 15:30:25',	NULL,	'',	NULL,	NULL),
(2244,	7,	3239,	'CSO3239',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	85.200,	0.200,	85.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:51:33',	'2021-05-10 15:30:45',	NULL,	'',	NULL,	NULL),
(2245,	7,	3240,	'CSO3240',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:53:40',	'2021-05-10 15:31:05',	NULL,	'',	NULL,	NULL),
(2246,	7,	3241,	'CSO3241',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	12.590,	NULL,	12.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 13:58:22',	'2021-05-10 15:50:48',	NULL,	'',	NULL,	NULL),
(2247,	7,	3242,	'CSO3242',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:02:19',	'2021-05-10 15:33:15',	NULL,	'',	NULL,	NULL),
(2248,	7,	3243,	'CSO3243',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	33.100,	NULL,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:03:20',	'2021-05-10 15:33:39',	NULL,	'',	NULL,	NULL),
(2249,	7,	3244,	'CSO3244',	226,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:03:58',	'2021-05-10 15:33:55',	NULL,	'',	NULL,	NULL),
(2250,	7,	3245,	'CSO3245',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	9.000,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:34:54',	'2021-05-10 15:34:29',	NULL,	'',	NULL,	1),
(2251,	7,	3246,	'CSO3246',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:38:43',	'2021-05-10 15:34:44',	NULL,	'',	NULL,	NULL),
(2252,	7,	3247,	'CSO3247',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	53.900,	NULL,	53.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:44:30',	'2021-05-10 15:35:59',	NULL,	'',	NULL,	NULL),
(2253,	7,	3248,	'CSO3248',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-10',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:46:07',	'2021-05-10 15:36:21',	NULL,	'',	NULL,	NULL),
(2254,	7,	3249,	'CSO3249',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	17.500,	NULL,	17.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:50:19',	'2021-05-11 08:44:33',	NULL,	'',	NULL,	1),
(2255,	7,	3250,	'CSO3250',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:53:53',	'2021-05-11 08:44:58',	NULL,	'',	NULL,	NULL),
(2256,	7,	3251,	'CSO3251',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	10.664,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 14:58:49',	'2021-05-11 10:40:35',	NULL,	'',	NULL,	1),
(2257,	7,	3252,	'CSO3252',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	47.200,	NULL,	47.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:20:18',	'2021-05-11 10:40:57',	NULL,	'',	NULL,	1),
(2258,	7,	3253,	'CSO3253',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:23:43',	'2021-05-11 10:41:40',	NULL,	'',	NULL,	NULL),
(2259,	7,	3254,	'CSO3254',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:24:40',	'2021-05-11 10:42:42',	NULL,	'',	NULL,	NULL),
(2260,	7,	3255,	'CSO3255',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:27:22',	'2021-05-11 10:43:01',	NULL,	'',	NULL,	NULL),
(2261,	7,	3256,	'CSO3256',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	17.950,	NULL,	17.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:42:47',	'2021-05-11 10:43:25',	NULL,	'',	NULL,	NULL),
(2262,	7,	3257,	'CSO3257',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	15.340,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:46:26',	'2021-05-11 10:43:49',	NULL,	'',	NULL,	NULL),
(2263,	7,	3258,	'CSO3258',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.360,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 15:47:36',	'2021-05-11 10:44:14',	NULL,	'',	NULL,	1),
(2264,	7,	3259,	'CSO3259',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.700,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:00:58',	'2021-05-11 10:54:59',	NULL,	'',	NULL,	NULL),
(2265,	7,	3260,	'CSO3260',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	36.000,	NULL,	36.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:26:19',	'2021-05-11 10:55:17',	NULL,	'',	NULL,	NULL),
(2266,	7,	3261,	'CSO3261',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.100,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:27:18',	'2021-05-11 10:55:33',	NULL,	'',	NULL,	NULL),
(2267,	7,	3262,	'CSO3262',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:31:14',	'2021-05-11 10:55:50',	NULL,	'',	NULL,	NULL),
(2268,	7,	3263,	'CSO3263',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	0.997,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:31:59',	'2021-05-11 10:56:10',	NULL,	'',	NULL,	NULL),
(2269,	7,	3264,	'CSO3264',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.880,	NULL,	7.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:47:32',	'2021-05-11 10:56:32',	NULL,	'',	NULL,	NULL),
(2270,	7,	3265,	'CSO3265',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.990,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 16:59:10',	'2021-05-11 12:29:49',	NULL,	'',	NULL,	NULL),
(2271,	7,	3266,	'CSO3266',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:00:39',	'2021-05-11 12:30:07',	NULL,	'',	NULL,	NULL),
(2272,	7,	3267,	'CSO3267',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:04:02',	'2021-05-11 12:36:57',	NULL,	'',	NULL,	NULL),
(2273,	7,	3268,	'CSO3268',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:08:45',	'2021-05-11 12:38:15',	NULL,	'',	NULL,	NULL),
(2274,	7,	3269,	'CSO3269',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.080,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:13:35',	'2021-05-11 12:38:11',	NULL,	'',	NULL,	NULL),
(2275,	7,	3270,	'CSO3270',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:20:54',	'2021-05-11 12:38:32',	NULL,	'',	NULL,	NULL),
(2276,	7,	3271,	'CSO3271',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:23:28',	'2021-05-11 12:38:50',	NULL,	'',	NULL,	NULL),
(2277,	7,	3272,	'CSO3272',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	35.700,	NULL,	35.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:34:35',	'2021-05-11 12:39:19',	NULL,	'',	NULL,	NULL),
(2278,	7,	3273,	'CSO3273',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	11.400,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:35:34',	'2021-05-11 12:39:41',	NULL,	'',	NULL,	NULL),
(2279,	7,	3274,	'CSO3274',	224,	0,	'2021-05-10',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-10 17:40:34',	'2021-05-11 12:39:59',	NULL,	'',	NULL,	NULL),
(2280,	7,	3275,	'CSO3275',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	16.900,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 04:45:26',	'2021-05-11 12:40:17',	NULL,	'',	NULL,	NULL),
(2281,	7,	3276,	'CSO3276',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	61.100,	NULL,	61.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:00:15',	'2021-05-11 12:40:35',	NULL,	'',	NULL,	1),
(2282,	7,	3277,	'CSO3277',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	42.000,	NULL,	42.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:02:48',	'2021-05-11 12:40:52',	NULL,	'',	NULL,	NULL),
(2283,	7,	3278,	'CSO3278',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	302.600,	NULL,	302.000,	NULL,	NULL,	'cash',	'2757',	'2021-05-11 05:03:41',	'2021-05-11 12:09:17',	NULL,	'NAZAR BARKA',	NULL,	1),
(2284,	7,	3279,	'CSO3279',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:09:27',	'2021-05-11 12:09:35',	NULL,	'',	NULL,	NULL),
(2285,	7,	3280,	'CSO3280',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.600,	NULL,	14.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:09:59',	'2021-05-11 12:09:56',	NULL,	'',	NULL,	NULL),
(2286,	7,	3281,	'CSO3281',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	33.600,	NULL,	33.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:16:31',	'2021-05-11 12:10:19',	NULL,	'',	NULL,	NULL),
(2287,	7,	3282,	'CSO3282',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:23:04',	'2021-05-11 12:10:38',	NULL,	'',	NULL,	NULL),
(2288,	7,	3283,	'CSO3283',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	32.800,	NULL,	32.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:23:14',	'2021-05-11 12:10:58',	NULL,	'',	NULL,	NULL),
(2289,	7,	3284,	'CSO3284',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:32:10',	'2021-05-11 12:11:22',	NULL,	'',	NULL,	NULL),
(2290,	7,	3285,	'CSO3285',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	50.100,	NULL,	50.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:38:30',	'2021-05-11 12:11:51',	NULL,	'',	NULL,	NULL),
(2291,	7,	3286,	'CSO3286',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	34.200,	NULL,	34.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:43:06',	'2021-05-11 12:12:15',	NULL,	'',	NULL,	NULL),
(2292,	7,	3287,	'CSO3287',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:46:23',	'2021-05-11 12:37:19',	NULL,	'',	NULL,	NULL),
(2293,	7,	3288,	'CSO3288',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	39.500,	NULL,	39.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:52:06',	'2021-05-11 12:37:44',	NULL,	'',	NULL,	NULL),
(2294,	7,	3289,	'CSO3289',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	44.200,	NULL,	44.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:55:04',	'2021-05-11 12:38:03',	NULL,	'',	NULL,	NULL),
(2295,	7,	3290,	'CSO3290',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:57:18',	'2021-05-11 12:39:03',	NULL,	'',	NULL,	NULL),
(2296,	7,	3291,	'CSO3291',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 05:57:24',	'2021-05-11 12:39:19',	NULL,	'',	NULL,	NULL),
(2297,	7,	3292,	'CSO3292',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	15.700,	NULL,	15.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:00:18',	'2021-05-11 17:59:06',	NULL,	'OMANI',	NULL,	1),
(2298,	7,	3293,	'CSO3293',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	27.600,	NULL,	27.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:11:57',	'2021-05-11 12:39:35',	NULL,	'',	NULL,	NULL),
(2299,	7,	3294,	'CSO3294',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	75.500,	NULL,	75.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:30:32',	'2021-05-11 12:39:57',	NULL,	'',	NULL,	NULL),
(2300,	7,	3295,	'CSO3295',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	207.000,	NULL,	207.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:32:04',	'2021-05-11 12:40:42',	NULL,	'',	NULL,	1),
(2301,	7,	3296,	'CSO3296',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:32:35',	'2021-05-11 12:41:05',	NULL,	'',	NULL,	NULL),
(2302,	7,	3297,	'CSO3297',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	25.100,	NULL,	25.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:36:11',	'2021-05-11 12:41:57',	NULL,	'',	NULL,	NULL),
(2303,	7,	3298,	'CSO3298',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.100,	NULL,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:38:04',	'2021-05-11 12:42:14',	NULL,	'',	NULL,	NULL),
(2304,	7,	3299,	'CSO3299',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	110.400,	NULL,	110.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:43:25',	'2021-05-11 12:42:52',	NULL,	'',	NULL,	1),
(2305,	7,	3300,	'CSO3300',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	50.480,	NULL,	50.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:46:41',	'2021-05-11 12:43:14',	NULL,	'',	NULL,	1),
(2306,	7,	3301,	'CSO3301',	226,	0,	'2021-05-11',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-11 06:50:26',	'2021-05-11 06:50:26',	NULL,	'',	NULL,	NULL),
(2307,	7,	3302,	'CSO3302',	226,	0,	'2021-05-11',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-11 06:51:59',	'2021-05-11 06:51:59',	NULL,	'',	NULL,	NULL),
(2308,	7,	3303,	'CSO3303',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:53:39',	'2021-05-11 12:44:09',	NULL,	'',	NULL,	NULL),
(2309,	7,	3304,	'CSO3304',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.100,	NULL,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 06:59:49',	'2021-05-11 12:44:28',	NULL,	'',	NULL,	NULL),
(2310,	7,	3305,	'CSO3305',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:09:42',	'2021-05-11 12:44:44',	NULL,	'',	NULL,	NULL),
(2311,	7,	3306,	'CSO3306',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:10:58',	'2021-05-11 12:45:26',	NULL,	'',	NULL,	NULL),
(2312,	7,	3307,	'CSO3307',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	22.170,	NULL,	22.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:12:26',	'2021-05-11 12:45:48',	NULL,	'',	NULL,	NULL),
(2313,	7,	3308,	'CSO3308',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:12:28',	'2021-05-11 12:46:07',	NULL,	'',	NULL,	1),
(2314,	7,	3309,	'CSO3309',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:15:50',	'2021-05-11 12:51:56',	NULL,	'',	NULL,	NULL),
(2315,	7,	3310,	'CSO3310',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:18:22',	'2021-05-11 12:52:15',	NULL,	'',	NULL,	NULL),
(2316,	7,	3311,	'CSO3311',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:25:23',	'2021-05-11 12:52:30',	NULL,	'',	NULL,	NULL),
(2317,	7,	3312,	'CSO3312',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	168.000,	NULL,	168.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:29:10',	'2021-05-11 12:59:12',	NULL,	'',	NULL,	NULL),
(2318,	7,	3313,	'CSO3313',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	92.000,	NULL,	92.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:37:00',	'2021-05-11 12:55:16',	NULL,	'',	NULL,	NULL),
(2319,	7,	3314,	'CSO3314',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:40:24',	'2021-05-11 12:55:39',	NULL,	'',	NULL,	1),
(2320,	7,	3315,	'CSO3315',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:43:19',	'2021-05-11 12:55:57',	NULL,	'',	NULL,	NULL),
(2321,	7,	3316,	'CSO3316',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	30.000,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:44:29',	'2021-05-11 12:59:12',	NULL,	'',	NULL,	NULL),
(2322,	7,	3317,	'CSO3317',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:49:38',	'2021-05-11 12:56:28',	NULL,	'',	NULL,	1),
(2323,	7,	3318,	'CSO3318',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.110,	NULL,	14.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:51:06',	'2021-05-11 12:56:46',	NULL,	'',	NULL,	NULL),
(2324,	7,	3319,	'CSO3319',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	45.000,	NULL,	45.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:52:04',	'2021-05-11 12:59:53',	NULL,	'',	NULL,	NULL),
(2325,	7,	3320,	'CSO3320',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 07:59:57',	'2021-05-11 13:00:16',	NULL,	'',	NULL,	NULL),
(2326,	7,	3321,	'CSO3321',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:03:29',	'2021-05-11 13:00:31',	NULL,	'',	NULL,	NULL),
(2327,	7,	3322,	'CSO3322',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	25.600,	NULL,	25.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:09:33',	'2021-05-11 13:00:51',	NULL,	'',	NULL,	NULL),
(2328,	7,	3323,	'CSO3323',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:10:57',	'2021-05-11 13:01:18',	NULL,	'',	NULL,	NULL),
(2329,	7,	3324,	'CSO3324',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	28.400,	NULL,	28.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:14:48',	'2021-05-11 13:01:41',	NULL,	'',	NULL,	1),
(2330,	7,	3325,	'CSO3325',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	29.100,	NULL,	29.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:16:10',	'2021-05-11 13:02:09',	NULL,	'',	NULL,	NULL),
(2331,	7,	3326,	'CSO3326',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	19.300,	NULL,	19.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:22:00',	'2021-05-11 13:02:26',	NULL,	'',	NULL,	NULL),
(2332,	7,	3327,	'CSO3327',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:26:04',	'2021-05-11 13:02:43',	NULL,	'',	NULL,	NULL),
(2333,	7,	3328,	'CSO3328',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:39:37',	'2021-05-11 12:55:34',	NULL,	'',	NULL,	NULL),
(2334,	7,	3329,	'CSO3329',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	23.200,	NULL,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:43:39',	'2021-05-11 12:55:50',	NULL,	'',	NULL,	NULL),
(2335,	7,	3330,	'CSO3330',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	32.000,	NULL,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:46:05',	'2021-05-11 12:56:07',	NULL,	'',	NULL,	NULL),
(2336,	7,	3331,	'CSO3331',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	26.840,	NULL,	26.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:53:16',	'2021-05-11 12:56:35',	NULL,	'',	NULL,	NULL),
(2337,	7,	3332,	'CSO3332',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:54:35',	'2021-05-11 12:56:55',	NULL,	'',	NULL,	NULL),
(2338,	7,	3333,	'CSO3333',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	25.300,	NULL,	25.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 08:58:04',	'2021-05-11 12:57:36',	NULL,	'',	NULL,	1),
(2339,	7,	3334,	'CSO3334',	224,	0,	'2021-05-11',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-11 09:01:31',	'2021-05-11 09:01:31',	NULL,	'',	NULL,	NULL),
(2340,	7,	3335,	'CSO3335',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:02:17',	'2021-05-11 13:00:09',	NULL,	'',	NULL,	NULL),
(2341,	7,	3336,	'CSO3336',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	161.600,	NULL,	161.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:08:00',	'2021-05-11 13:00:29',	NULL,	'',	NULL,	NULL),
(2342,	7,	3337,	'CSO3337',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	12.200,	NULL,	12.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:14:14',	'2021-05-11 13:27:08',	NULL,	'',	NULL,	NULL),
(2343,	7,	3338,	'CSO3338',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	13.440,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:18:11',	'2021-05-11 13:27:29',	NULL,	'',	NULL,	NULL),
(2344,	7,	3339,	'CSO3339',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:20:27',	'2021-05-11 13:29:56',	NULL,	'',	NULL,	NULL),
(2345,	7,	3340,	'CSO3340',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	98.200,	NULL,	98.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:23:18',	'2021-05-11 13:30:23',	NULL,	'',	NULL,	1),
(2346,	7,	3341,	'CSO3341',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.300,	NULL,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:27:04',	'2021-05-11 13:30:40',	NULL,	'',	NULL,	NULL),
(2347,	7,	3342,	'CSO3342',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:27:47',	'2021-05-11 13:30:57',	NULL,	'',	NULL,	1),
(2348,	7,	3343,	'CSO3343',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	13.100,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:34:54',	'2021-05-11 13:31:12',	NULL,	'',	NULL,	NULL),
(2349,	7,	3344,	'CSO3344',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	22.800,	NULL,	22.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:41:04',	'2021-05-11 13:31:33',	NULL,	'',	NULL,	NULL),
(2350,	7,	3345,	'CSO3345',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:41:52',	'2021-05-11 13:31:48',	NULL,	'',	NULL,	NULL),
(2351,	7,	3346,	'CSO3346',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	56.800,	NULL,	56.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:42:03',	'2021-05-11 13:34:12',	NULL,	'',	NULL,	NULL),
(2352,	7,	3347,	'CSO3347',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	78.000,	NULL,	78.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:42:35',	'2021-05-11 13:34:46',	NULL,	'',	NULL,	NULL),
(2353,	7,	3348,	'CSO3348',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.603,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:43:25',	'2021-05-11 13:35:16',	NULL,	'',	NULL,	NULL),
(2354,	7,	3349,	'CSO3349',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:45:26',	'2021-05-11 13:35:33',	NULL,	'',	NULL,	NULL),
(2355,	7,	3350,	'CSO3350',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:46:31',	'2021-05-11 13:58:20',	NULL,	'',	NULL,	1),
(2356,	7,	3351,	'CSO3351',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:47:22',	'2021-05-11 13:58:36',	NULL,	'',	NULL,	NULL),
(2357,	7,	3352,	'CSO3352',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:48:45',	'2021-05-11 13:58:53',	NULL,	'',	NULL,	NULL),
(2358,	7,	3353,	'CSO3353',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 09:56:07',	'2021-05-11 13:59:09',	NULL,	'',	NULL,	NULL),
(2359,	7,	3354,	'CSO3354',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	56.200,	NULL,	56.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:00:57',	'2021-05-11 13:59:42',	NULL,	'',	NULL,	1),
(2360,	7,	3355,	'CSO3355',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:01:16',	'2021-05-11 14:00:12',	NULL,	'',	NULL,	NULL),
(2361,	7,	3356,	'CSO3356',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:04:40',	'2021-05-11 14:00:19',	NULL,	'',	NULL,	NULL),
(2362,	7,	3357,	'CSO3357',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:04:55',	'2021-05-11 14:02:40',	NULL,	'',	NULL,	NULL),
(2363,	7,	3358,	'CSO3358',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:05:17',	'2021-05-11 14:03:05',	NULL,	'',	NULL,	NULL),
(2364,	7,	3359,	'CSO3359',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.980,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:09:37',	'2021-05-11 14:03:26',	NULL,	'',	NULL,	NULL),
(2365,	7,	3360,	'CSO3360',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	8.100,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:13:10',	'2021-05-11 14:03:43',	NULL,	'',	NULL,	NULL),
(2366,	7,	3361,	'CSO3361',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:16:46',	'2021-05-11 14:03:58',	NULL,	'',	NULL,	NULL),
(2367,	7,	3362,	'CSO3362',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:21:18',	'2021-05-11 14:04:17',	NULL,	'',	NULL,	NULL),
(2368,	7,	3363,	'CSO3363',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	11.200,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:21:59',	'2021-05-11 14:05:45',	NULL,	'',	NULL,	1),
(2369,	7,	3364,	'CSO3364',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:22:54',	'2021-05-11 14:06:04',	NULL,	'',	NULL,	NULL),
(2370,	7,	3365,	'CSO3365',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.775,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:24:57',	'2021-05-11 14:06:21',	NULL,	'',	NULL,	NULL),
(2371,	7,	3366,	'CSO3366',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.785,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:29:21',	'2021-05-11 14:06:47',	NULL,	'',	NULL,	NULL),
(2372,	7,	3367,	'CSO3367',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:31:16',	'2021-05-11 14:07:05',	NULL,	'',	NULL,	NULL),
(2373,	7,	3368,	'CSO3368',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CHG',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:31:38',	'2021-05-11 14:11:31',	NULL,	'',	NULL,	NULL),
(2374,	7,	3369,	'CSO3369',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	15.900,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:32:36',	'2021-05-11 14:07:35',	NULL,	'',	NULL,	NULL),
(2375,	7,	3370,	'CSO3370',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	23.400,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:43:03',	'2021-05-11 14:07:59',	NULL,	'',	NULL,	NULL),
(2376,	7,	3371,	'CSO3371',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.838,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:44:20',	'2021-05-11 14:09:54',	NULL,	'',	NULL,	NULL),
(2377,	7,	3372,	'CSO3372',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.490,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:45:29',	'2021-05-11 14:10:11',	NULL,	'',	NULL,	NULL),
(2378,	7,	3373,	'CSO3373',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	32.500,	NULL,	32.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 10:54:53',	'2021-05-11 14:10:27',	NULL,	'',	NULL,	1),
(2379,	7,	3374,	'CSO3374',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	44.150,	NULL,	44.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:01:27',	'2021-05-11 14:10:45',	NULL,	'',	NULL,	NULL),
(2380,	7,	3375,	'CSO3375',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	55.200,	NULL,	55.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:03:29',	'2021-05-11 14:11:04',	NULL,	'',	NULL,	1),
(2381,	7,	3376,	'CSO3376',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.385,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:03:43',	'2021-05-11 14:11:25',	NULL,	'',	NULL,	NULL),
(2382,	7,	3377,	'CSO3377',	228,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	17.700,	NULL,	17.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:04:46',	'2021-05-11 14:12:03',	NULL,	'',	NULL,	1),
(2383,	7,	3378,	'CSO3378',	228,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:09:06',	'2021-05-11 13:03:17',	NULL,	'',	NULL,	1),
(2384,	7,	3379,	'CSO3379',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	39.700,	NULL,	39.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:09:57',	'2021-05-11 13:04:04',	NULL,	'',	NULL,	NULL),
(2385,	7,	3380,	'CSO3380',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	25.600,	NULL,	25.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:10:54',	'2021-05-11 13:25:21',	NULL,	'',	NULL,	1),
(2386,	7,	3381,	'CSO3381',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:11:49',	'2021-05-11 13:25:46',	NULL,	'',	NULL,	NULL),
(2387,	7,	3382,	'CSO3382',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.410,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:13:12',	'2021-05-11 13:53:51',	NULL,	'',	NULL,	NULL),
(2388,	7,	3383,	'CSO3383',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	31.400,	NULL,	31.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:13:25',	'2021-05-11 13:54:09',	NULL,	'',	NULL,	1),
(2389,	7,	3384,	'CSO3384',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:15:50',	'2021-05-11 13:54:32',	NULL,	'',	NULL,	NULL),
(2390,	7,	3385,	'CSO3385',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:17:52',	'2021-05-11 13:54:47',	NULL,	'',	NULL,	NULL),
(2391,	7,	3386,	'CSO3386',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:17:58',	'2021-05-11 13:55:14',	NULL,	'',	NULL,	NULL),
(2392,	7,	3387,	'CSO3387',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	37.300,	NULL,	37.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:21:49',	'2021-05-11 14:22:15',	NULL,	'',	NULL,	NULL),
(2393,	7,	3388,	'CSO3388',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:22:11',	'2021-05-11 14:22:38',	NULL,	'',	NULL,	NULL),
(2394,	7,	3389,	'CSO3389',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	44.025,	NULL,	44.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:23:26',	'2021-05-11 14:22:58',	NULL,	'',	NULL,	NULL),
(2395,	7,	3390,	'CSO3390',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:23:52',	'2021-05-11 14:23:13',	NULL,	'',	NULL,	NULL),
(2396,	7,	3391,	'CSO3391',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	19.660,	NULL,	19.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:25:28',	'2021-05-11 14:30:00',	NULL,	'',	NULL,	1),
(2397,	7,	3392,	'CSO3392',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:25:47',	'2021-05-11 14:30:39',	NULL,	'',	NULL,	NULL),
(2398,	7,	3393,	'CSO3393',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:28:38',	'2021-05-11 14:31:03',	NULL,	'',	NULL,	NULL),
(2399,	7,	3394,	'CSO3394',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	20.600,	NULL,	20.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:32:05',	'2021-05-11 14:31:22',	NULL,	'',	NULL,	NULL),
(2400,	7,	3395,	'CSO3395',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:32:38',	'2021-05-11 14:30:44',	NULL,	'',	NULL,	NULL),
(2401,	7,	3396,	'CSO3396',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:33:03',	'2021-05-11 14:31:40',	NULL,	'',	NULL,	NULL),
(2402,	7,	3397,	'CSO3397',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:36:30',	'2021-05-11 14:32:05',	NULL,	'',	NULL,	NULL),
(2403,	7,	3398,	'CSO3398',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	29.500,	NULL,	29.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:38:03',	'2021-05-11 14:32:34',	NULL,	'',	NULL,	NULL),
(2404,	7,	3399,	'CSO3399',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	24.200,	NULL,	24.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:41:47',	'2021-05-11 14:33:10',	NULL,	'',	NULL,	NULL),
(2405,	7,	3400,	'CSO3400',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:45:08',	'2021-05-11 14:33:26',	NULL,	'',	NULL,	NULL),
(2406,	7,	3401,	'CSO3401',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:47:21',	'2021-05-11 14:33:55',	NULL,	'',	NULL,	NULL),
(2407,	7,	3402,	'CSO3402',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:48:43',	'2021-05-11 14:34:13',	NULL,	'',	NULL,	NULL),
(2408,	7,	3403,	'CSO3403',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:49:28',	'2021-05-11 14:34:30',	NULL,	'',	NULL,	NULL),
(2409,	7,	3404,	'CSO3404',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	23.200,	NULL,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:51:20',	'2021-05-11 14:34:52',	NULL,	'',	NULL,	1),
(2410,	7,	3405,	'CSO3405',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	11.200,	NULL,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:52:59',	'2021-05-11 14:35:11',	NULL,	'',	NULL,	NULL),
(2411,	7,	3406,	'CSO3406',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.785,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:53:21',	'2021-05-11 14:35:36',	NULL,	'',	NULL,	NULL),
(2412,	7,	3407,	'CSO3407',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:55:38',	'2021-05-11 14:36:27',	NULL,	'',	NULL,	1),
(2413,	7,	3408,	'CSO3408',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:56:07',	'2021-05-11 14:36:04',	NULL,	'',	NULL,	NULL),
(2414,	7,	3409,	'CSO3409',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	66.200,	NULL,	66.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 11:56:11',	'2021-05-11 14:39:28',	NULL,	'',	NULL,	NULL),
(2415,	7,	3410,	'CSO3410',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:02:39',	'2021-05-11 14:39:50',	NULL,	'',	NULL,	NULL),
(2416,	7,	3411,	'CSO3411',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:06:25',	'2021-05-11 14:40:10',	NULL,	'',	NULL,	NULL),
(2417,	7,	3412,	'CSO3412',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:07:32',	'2021-05-11 14:42:15',	NULL,	'',	NULL,	NULL),
(2418,	7,	3413,	'CSO3413',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:08:25',	'2021-05-11 14:42:58',	NULL,	'',	NULL,	NULL),
(2419,	7,	3414,	'CSO3414',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:11:44',	'2021-05-11 14:43:27',	NULL,	'',	NULL,	NULL),
(2420,	7,	3415,	'CSO3415',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:17:14',	'2021-05-11 14:43:45',	NULL,	'',	NULL,	NULL),
(2421,	7,	3416,	'CSO3416',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	15.200,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:17:51',	'2021-05-11 14:44:09',	NULL,	'',	NULL,	NULL),
(2422,	7,	3417,	'CSO3417',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.200,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:23:51',	'2021-05-11 14:44:37',	NULL,	'',	NULL,	NULL),
(2423,	7,	3418,	'CSO3418',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	14.800,	NULL,	14.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:27:05',	'2021-05-11 14:45:20',	NULL,	'',	NULL,	NULL),
(2424,	7,	3419,	'CSO3419',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:29:39',	'2021-05-11 14:45:40',	NULL,	'',	NULL,	1),
(2425,	7,	3420,	'CSO3420',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	24.400,	NULL,	24.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:33:16',	'2021-05-11 14:45:58',	NULL,	'',	NULL,	1),
(2426,	7,	3421,	'CSO3421',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:34:17',	'2021-05-11 14:46:18',	NULL,	'',	NULL,	NULL),
(2427,	7,	3422,	'CSO3422',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:40:49',	'2021-05-11 14:46:35',	NULL,	'',	NULL,	NULL),
(2428,	7,	3423,	'CSO3423',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:41:57',	'2021-05-11 14:47:00',	NULL,	'',	NULL,	NULL),
(2429,	7,	3424,	'CSO3424',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	28.400,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:49:39',	'2021-05-11 14:47:24',	NULL,	'',	NULL,	NULL),
(2430,	7,	3425,	'CSO3425',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	8.100,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 12:57:35',	'2021-05-11 14:47:46',	NULL,	'',	NULL,	NULL),
(2431,	7,	3426,	'CSO3426',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:01:24',	'2021-05-11 14:48:03',	NULL,	'',	NULL,	NULL),
(2432,	7,	3427,	'CSO3427',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:01:43',	'2021-05-11 14:48:23',	NULL,	'',	NULL,	NULL),
(2433,	7,	3428,	'CSO3428',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:03:39',	'2021-05-11 14:13:11',	NULL,	'',	NULL,	NULL),
(2434,	7,	3429,	'CSO3429',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:06:04',	'2021-05-11 14:13:39',	NULL,	'',	NULL,	1),
(2435,	7,	3430,	'CSO3430',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:06:35',	'2021-05-11 14:21:58',	NULL,	'',	NULL,	NULL),
(2436,	7,	3431,	'CSO3431',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:10:29',	'2021-05-11 14:22:27',	NULL,	'',	NULL,	1),
(2437,	7,	3432,	'CSO3432',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	22.100,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:11:34',	'2021-05-11 14:22:31',	NULL,	'',	NULL,	NULL),
(2438,	7,	3433,	'CSO3433',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-11',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:12:19',	'2021-05-11 14:22:50',	NULL,	'',	NULL,	NULL),
(2439,	7,	3434,	'CSO3434',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:13:54',	'2021-05-12 05:56:34',	NULL,	'',	NULL,	NULL),
(2440,	7,	3435,	'CSO3435',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.980,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:15:12',	'2021-05-12 05:56:51',	NULL,	'',	NULL,	NULL),
(2441,	7,	3436,	'CSO3436',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:16:38',	'2021-05-12 05:57:18',	NULL,	'',	NULL,	NULL),
(2442,	7,	3437,	'CSO3437',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:16:53',	'2021-05-12 05:57:39',	NULL,	'',	NULL,	NULL),
(2443,	7,	3438,	'CSO3438',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	15.970,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:19:04',	'2021-05-12 05:58:10',	NULL,	'',	NULL,	NULL),
(2444,	7,	3439,	'CSO3439',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:20:03',	'2021-05-12 05:58:33',	NULL,	'',	NULL,	NULL),
(2445,	7,	3440,	'CSO3440',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	42.900,	NULL,	42.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:20:36',	'2021-05-12 05:59:23',	NULL,	'',	NULL,	NULL),
(2446,	7,	3441,	'CSO3441',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:23:20',	'2021-05-12 06:01:34',	NULL,	'',	NULL,	NULL),
(2447,	7,	3442,	'CSO3442',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:28:20',	'2021-05-12 06:01:51',	NULL,	'',	NULL,	NULL),
(2448,	7,	3443,	'CSO3443',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:30:30',	'2021-05-12 06:02:17',	NULL,	'',	NULL,	NULL),
(2449,	7,	3444,	'CSO3444',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	41.500,	NULL,	41.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:36:01',	'2021-05-12 06:02:40',	NULL,	'',	NULL,	1),
(2450,	7,	3445,	'CSO3445',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:37:12',	'2021-05-12 06:02:53',	NULL,	'',	NULL,	NULL),
(2451,	7,	3446,	'CSO3446',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	15.050,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:38:50',	'2021-05-12 06:03:10',	NULL,	'',	NULL,	NULL),
(2452,	7,	3447,	'CSO3447',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	30.900,	NULL,	30.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:40:25',	'2021-05-12 06:03:31',	NULL,	'',	NULL,	NULL),
(2453,	7,	3448,	'CSO3448',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	26.100,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:44:41',	'2021-05-12 06:03:50',	NULL,	'',	NULL,	NULL),
(2454,	7,	3449,	'CSO3449',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:44:55',	'2021-05-12 06:04:14',	NULL,	'',	NULL,	NULL),
(2455,	7,	3450,	'CSO3450',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:47:12',	'2021-05-12 06:05:50',	NULL,	'',	NULL,	NULL),
(2456,	7,	3451,	'CSO3451',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:49:50',	'2021-05-12 06:06:07',	NULL,	'',	NULL,	NULL),
(2457,	7,	3452,	'CSO3452',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	41.280,	NULL,	40.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:50:49',	'2021-05-12 06:07:05',	NULL,	'',	NULL,	NULL),
(2458,	7,	3453,	'CSO3453',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:52:51',	'2021-05-12 06:11:18',	NULL,	'',	NULL,	NULL),
(2459,	7,	3454,	'CSO3454',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:54:01',	'2021-05-12 06:11:51',	NULL,	'',	NULL,	NULL),
(2460,	7,	3455,	'CSO3455',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 13:54:41',	'2021-05-12 06:59:23',	NULL,	'',	NULL,	NULL),
(2461,	7,	3456,	'CSO3456',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:01:02',	'2021-05-12 06:59:40',	NULL,	'',	NULL,	NULL),
(2462,	7,	3457,	'CSO3457',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:01:54',	'2021-05-12 06:59:56',	NULL,	'',	NULL,	NULL),
(2463,	7,	3458,	'CSO3458',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	69.900,	NULL,	69.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:04:27',	'2021-05-12 07:00:15',	NULL,	'',	NULL,	NULL),
(2464,	7,	3459,	'CSO3459',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	50.500,	NULL,	50.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:12:10',	'2021-05-12 07:00:55',	NULL,	'',	NULL,	1),
(2465,	7,	3460,	'CSO3460',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:13:05',	'2021-05-12 07:01:10',	NULL,	'',	NULL,	NULL),
(2466,	7,	3461,	'CSO3461',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:13:32',	'2021-05-12 07:01:27',	NULL,	'',	NULL,	NULL),
(2467,	7,	3462,	'CSO3462',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	16.400,	NULL,	16.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:20:32',	'2021-05-12 07:01:48',	NULL,	'',	NULL,	NULL),
(2468,	7,	3463,	'CSO3463',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:22:43',	'2021-05-12 07:02:30',	NULL,	'',	NULL,	NULL),
(2469,	7,	3464,	'CSO3464',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:24:06',	'2021-05-12 10:16:39',	NULL,	'',	NULL,	NULL),
(2470,	7,	3465,	'CSO3465',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:27:57',	'2021-05-12 07:02:44',	NULL,	'',	NULL,	NULL),
(2471,	7,	3466,	'CSO3466',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:31:04',	'2021-05-12 10:17:04',	NULL,	'',	NULL,	NULL),
(2472,	7,	3467,	'CSO3467',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:31:36',	'2021-05-12 10:17:27',	NULL,	'',	NULL,	1),
(2473,	7,	3468,	'CSO3468',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:32:40',	'2021-05-12 10:17:44',	NULL,	'',	NULL,	NULL),
(2474,	7,	3469,	'CSO3469',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:34:28',	'2021-05-12 10:19:09',	NULL,	'',	NULL,	NULL),
(2475,	7,	3470,	'CSO3470',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	21.900,	NULL,	21.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:36:15',	'2021-05-12 10:20:08',	NULL,	'',	NULL,	NULL),
(2476,	7,	3471,	'CSO3471',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.700,	NULL,	13.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:36:40',	'2021-05-12 10:22:01',	NULL,	'',	NULL,	1),
(2477,	7,	3472,	'CSO3472',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:42:30',	'2021-05-12 10:22:22',	NULL,	'',	NULL,	NULL),
(2478,	7,	3473,	'CSO3473',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:44:37',	'2021-05-12 10:22:51',	NULL,	'',	NULL,	NULL),
(2479,	7,	3474,	'CSO3474',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:50:39',	'2021-05-12 10:23:09',	NULL,	'',	NULL,	NULL),
(2480,	7,	3475,	'CSO3475',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	33.700,	NULL,	33.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 14:55:33',	'2021-05-12 10:23:29',	NULL,	'',	NULL,	NULL),
(2481,	7,	3476,	'CSO3476',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:00:55',	'2021-05-12 10:23:45',	NULL,	'',	NULL,	NULL),
(2482,	7,	3477,	'CSO3477',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	105.600,	NULL,	104.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:04:38',	'2021-05-12 10:24:05',	NULL,	'',	NULL,	NULL),
(2483,	7,	3478,	'CSO3478',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	27.410,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:05:12',	'2021-05-12 11:04:41',	NULL,	'',	NULL,	NULL),
(2484,	7,	3479,	'CSO3479',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:06:04',	'2021-05-12 11:04:59',	NULL,	'',	NULL,	NULL),
(2485,	7,	3480,	'CSO3480',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	17.600,	NULL,	17.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:07:16',	'2021-05-12 11:07:15',	NULL,	'',	NULL,	NULL),
(2486,	7,	3481,	'CSO3481',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	16.450,	NULL,	16.450,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:19:06',	'2021-05-12 11:07:38',	NULL,	'',	NULL,	NULL),
(2487,	7,	3482,	'CSO3482',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.640,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:20:19',	'2021-05-12 11:11:30',	NULL,	'',	NULL,	NULL),
(2488,	7,	3483,	'CSO3483',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:22:09',	'2021-05-12 11:46:27',	NULL,	'',	NULL,	NULL),
(2489,	7,	3484,	'CSO3484',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	35.700,	NULL,	35.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:31:49',	'2021-05-12 11:47:34',	NULL,	'',	NULL,	NULL),
(2490,	7,	3485,	'CSO3485',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	38.400,	NULL,	38.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:33:32',	'2021-05-12 11:47:03',	NULL,	'',	NULL,	NULL),
(2491,	7,	3486,	'CSO3486',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	12.300,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:33:33',	'2021-05-12 11:48:04',	NULL,	'',	NULL,	NULL),
(2492,	7,	3487,	'CSO3487',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:36:36',	'2021-05-12 11:48:26',	NULL,	'',	NULL,	NULL),
(2493,	7,	3488,	'CSO3488',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:37:16',	'2021-05-12 11:48:45',	NULL,	'',	NULL,	NULL),
(2494,	7,	3489,	'CSO3489',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:37:26',	'2021-05-12 11:49:01',	NULL,	'',	NULL,	NULL),
(2495,	7,	3490,	'CSO3490',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:38:58',	'2021-05-12 11:49:21',	NULL,	'',	NULL,	NULL),
(2496,	7,	3491,	'CSO3491',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:42:20',	'2021-05-12 11:49:41',	NULL,	'',	NULL,	NULL),
(2497,	7,	3492,	'CSO3492',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:43:13',	'2021-05-12 11:52:24',	NULL,	'',	NULL,	NULL),
(2498,	7,	3493,	'CSO3493',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:45:15',	'2021-05-12 11:52:48',	NULL,	'',	NULL,	NULL),
(2499,	7,	3494,	'CSO3494',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:51:29',	'2021-05-12 11:53:23',	NULL,	'',	NULL,	1),
(2500,	7,	3495,	'CSO3495',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	16.400,	NULL,	16.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:52:41',	'2021-05-12 11:53:51',	NULL,	'',	NULL,	NULL),
(2501,	7,	3496,	'CSO3496',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:53:41',	'2021-05-12 11:54:09',	NULL,	'',	NULL,	NULL),
(2502,	7,	3497,	'CSO3497',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:54:02',	'2021-05-12 11:54:26',	NULL,	'',	NULL,	NULL),
(2503,	7,	3498,	'CSO3498',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:55:43',	'2021-05-12 11:54:47',	NULL,	'',	NULL,	NULL),
(2504,	7,	3499,	'CSO3499',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 15:58:58',	'2021-05-12 11:55:02',	NULL,	'',	NULL,	NULL),
(2505,	7,	3500,	'CSO3500',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:01:29',	'2021-05-12 11:55:52',	NULL,	'',	NULL,	NULL),
(2506,	7,	3501,	'CSO3501',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	17.100,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:01:55',	'2021-05-12 11:56:50',	NULL,	'',	NULL,	NULL),
(2507,	7,	3502,	'CSO3502',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:06:27',	'2021-05-12 11:56:17',	NULL,	'',	NULL,	NULL),
(2508,	7,	3503,	'CSO3503',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:08:27',	'2021-05-12 11:58:01',	NULL,	'',	NULL,	NULL),
(2509,	7,	3504,	'CSO3504',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:10:28',	'2021-05-12 11:58:21',	NULL,	'',	NULL,	NULL),
(2510,	7,	3505,	'CSO3505',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:11:14',	'2021-05-12 11:58:40',	NULL,	'',	NULL,	NULL),
(2511,	7,	3506,	'CSO3506',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	18.200,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:14:26',	'2021-05-12 11:59:03',	NULL,	'',	NULL,	NULL),
(2512,	7,	3507,	'CSO3507',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:16:42',	'2021-05-12 12:00:46',	NULL,	'',	NULL,	NULL),
(2513,	7,	3508,	'CSO3508',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:21:11',	'2021-05-12 11:59:44',	NULL,	'',	NULL,	1),
(2514,	7,	3509,	'CSO3509',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	20.100,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:21:18',	'2021-05-12 12:00:03',	NULL,	'',	NULL,	NULL),
(2515,	7,	3510,	'CSO3510',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:24:23',	'2021-05-12 12:00:24',	NULL,	'',	NULL,	NULL),
(2516,	7,	3511,	'CSO3511',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:27:25',	'2021-05-12 12:01:44',	NULL,	'',	NULL,	NULL),
(2517,	7,	3512,	'CSO3512',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	24.300,	NULL,	24.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:28:45',	'2021-05-12 12:01:50',	NULL,	'',	NULL,	1),
(2518,	7,	3513,	'CSO3513',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:31:22',	'2021-05-12 12:02:14',	NULL,	'',	NULL,	NULL),
(2519,	7,	3514,	'CSO3514',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:31:50',	'2021-05-12 12:02:29',	NULL,	'',	NULL,	NULL),
(2520,	7,	3515,	'CSO3515',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:33:52',	'2021-05-12 12:02:56',	NULL,	'',	NULL,	NULL),
(2521,	7,	3516,	'CSO3516',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:34:22',	'2021-05-12 12:03:21',	NULL,	'',	NULL,	NULL),
(2522,	7,	3517,	'CSO3517',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:37:14',	'2021-05-12 12:03:39',	NULL,	'',	NULL,	NULL),
(2523,	7,	3518,	'CSO3518',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	15.027,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:40:53',	'2021-05-12 12:03:59',	NULL,	'',	NULL,	NULL),
(2524,	7,	3519,	'CSO3519',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	21.500,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:41:48',	'2021-05-12 12:04:18',	NULL,	'',	NULL,	NULL),
(2525,	7,	3520,	'CSO3520',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:44:41',	'2021-05-12 12:05:26',	NULL,	'',	NULL,	NULL),
(2526,	7,	3521,	'CSO3521',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:45:47',	'2021-05-12 12:05:44',	NULL,	'',	NULL,	NULL),
(2527,	7,	3522,	'CSO3522',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:51:26',	'2021-05-12 12:06:08',	NULL,	'',	NULL,	NULL),
(2528,	7,	3523,	'CSO3523',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:54:29',	'2021-05-12 12:06:28',	NULL,	'',	NULL,	NULL),
(2529,	7,	3524,	'CSO3524',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 16:58:21',	'2021-05-12 12:07:00',	NULL,	'',	NULL,	NULL),
(2530,	7,	3525,	'CSO3525',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:01:14',	'2021-05-12 12:07:32',	NULL,	'',	NULL,	NULL),
(2531,	7,	3526,	'CSO3526',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	23.600,	NULL,	23.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:10:34',	'2021-05-12 12:07:55',	NULL,	'',	NULL,	NULL),
(2532,	7,	3527,	'CSO3527',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:11:21',	'2021-05-12 12:08:13',	NULL,	'',	NULL,	NULL),
(2533,	7,	3528,	'CSO3528',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	0.600,	NULL,	0.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:12:26',	'2021-05-12 13:18:19',	NULL,	'',	NULL,	NULL),
(2534,	7,	3529,	'CSO3529',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	15.800,	NULL,	15.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:20:54',	'2021-05-12 13:18:41',	NULL,	'',	NULL,	NULL),
(2535,	7,	3530,	'CSO3530',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:24:00',	'2021-05-12 13:19:06',	NULL,	'',	NULL,	NULL),
(2536,	7,	3531,	'CSO3531',	226,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	32.200,	NULL,	32.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:24:11',	'2021-05-12 13:19:32',	NULL,	'',	NULL,	NULL),
(2537,	7,	3532,	'CSO3532',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:27:11',	'2021-05-12 13:20:24',	NULL,	'',	NULL,	NULL),
(2538,	7,	3533,	'CSO3533',	224,	0,	'2021-05-11',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	27.200,	NULL,	27.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-11 17:29:39',	'2021-05-12 13:20:02',	NULL,	'',	NULL,	1),
(2539,	7,	3534,	'CSO3534',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	148.000,	NULL,	148.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 04:41:04',	'2021-05-12 13:20:56',	NULL,	'',	NULL,	NULL),
(2540,	7,	3535,	'CSO3535',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	55.500,	NULL,	55.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 04:43:59',	'2021-05-12 13:21:18',	NULL,	'',	NULL,	NULL),
(2541,	7,	3536,	'CSO3536',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	80.000,	NULL,	80.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 04:55:18',	'2021-05-12 13:21:39',	NULL,	'',	NULL,	NULL),
(2542,	7,	3537,	'CSO3537',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	16.300,	NULL,	16.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:01:23',	'2021-05-12 13:21:57',	NULL,	'',	NULL,	NULL),
(2543,	7,	3538,	'CSO3538',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:18:19',	'2021-05-12 13:23:19',	NULL,	'',	NULL,	NULL),
(2544,	7,	3539,	'CSO3539',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	54.100,	NULL,	54.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:38:48',	'2021-05-12 13:23:38',	NULL,	'',	NULL,	1),
(2545,	7,	3540,	'CSO3540',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	157.000,	NULL,	157.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:40:31',	'2021-05-12 16:01:19',	NULL,	'',	NULL,	NULL),
(2546,	7,	3541,	'CSO3541',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:40:35',	'2021-05-12 16:01:48',	NULL,	'',	NULL,	NULL),
(2547,	7,	3542,	'CSO3542',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	44.000,	NULL,	44.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:42:29',	'2021-05-12 16:02:06',	NULL,	'',	NULL,	NULL),
(2548,	7,	3543,	'CSO3543',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:45:11',	'2021-05-12 16:02:27',	NULL,	'',	NULL,	NULL),
(2549,	7,	3544,	'CSO3544',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	117.800,	NULL,	117.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:45:30',	'2021-05-12 16:03:10',	NULL,	'',	NULL,	1),
(2550,	7,	3545,	'CSO3545',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:49:04',	'2021-05-12 16:03:31',	NULL,	'',	NULL,	NULL),
(2551,	7,	3546,	'CSO3546',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.100,	NULL,	10.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:52:23',	'2021-05-12 16:03:49',	NULL,	'',	NULL,	NULL),
(2552,	7,	3547,	'CSO3547',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:52:43',	'2021-05-12 16:04:12',	NULL,	'',	NULL,	NULL),
(2553,	7,	3548,	'CSO3548',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:53:45',	'2021-05-12 16:04:28',	NULL,	'',	NULL,	NULL),
(2554,	7,	3549,	'CSO3549',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	127.400,	NULL,	127.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:55:00',	'2021-05-12 16:04:53',	NULL,	'',	NULL,	1),
(2555,	7,	3550,	'CSO3550',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 05:59:49',	'2021-05-12 16:05:09',	NULL,	'',	NULL,	NULL),
(2556,	7,	3551,	'CSO3551',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:05:02',	'2021-05-12 16:05:23',	NULL,	'',	NULL,	NULL),
(2557,	7,	3552,	'CSO3552',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	19.000,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:09:24',	'2021-05-12 16:05:43',	NULL,	'',	NULL,	NULL),
(2558,	7,	3553,	'CSO3553',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	27.300,	NULL,	27.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:18:23',	'2021-05-12 16:08:34',	NULL,	'',	NULL,	NULL),
(2559,	7,	3554,	'CSO3554',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.085,	0.085,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:24:13',	'2021-05-12 16:06:00',	NULL,	'',	NULL,	NULL),
(2560,	7,	3555,	'CSO3555',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	31.200,	NULL,	31.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:33:42',	'2021-05-12 16:06:15',	NULL,	'',	NULL,	NULL),
(2561,	7,	3556,	'CSO3556',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:34:19',	'2021-05-12 16:06:33',	NULL,	'',	NULL,	NULL),
(2562,	7,	3557,	'CSO3557',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:35:45',	'2021-05-12 16:07:02',	NULL,	'',	NULL,	NULL),
(2563,	7,	3558,	'CSO3558',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	11.400,	0.400,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:38:07',	'2021-05-12 16:07:14',	NULL,	'',	NULL,	NULL),
(2564,	7,	3559,	'CSO3559',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:43:32',	'2021-05-12 16:08:14',	NULL,	'',	NULL,	NULL),
(2565,	7,	3560,	'CSO3560',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	33.890,	NULL,	33.890,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:45:03',	'2021-05-12 16:09:12',	NULL,	'',	NULL,	1),
(2566,	7,	3561,	'CSO3561',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.300,	NULL,	13.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:46:00',	'2021-05-12 16:09:29',	NULL,	'',	NULL,	NULL),
(2567,	7,	3562,	'CSO3562',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	31.785,	NULL,	31.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:49:01',	'2021-05-12 16:09:51',	NULL,	'',	NULL,	NULL),
(2568,	7,	3563,	'CSO3563',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:50:22',	'2021-05-12 16:10:16',	NULL,	'',	NULL,	NULL),
(2569,	7,	3564,	'CSO3564',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:51:06',	'2021-05-12 16:10:33',	NULL,	'',	NULL,	NULL),
(2570,	7,	3565,	'CSO3565',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:51:51',	'2021-05-12 16:10:52',	NULL,	'',	NULL,	1),
(2571,	7,	3566,	'CSO3566',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	31.200,	NULL,	31.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 06:55:56',	'2021-05-12 16:11:12',	NULL,	'',	NULL,	NULL),
(2572,	7,	3567,	'CSO3567',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	36.000,	NULL,	36.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:00:15',	'2021-05-12 16:11:29',	NULL,	'',	NULL,	NULL),
(2573,	7,	3568,	'CSO3568',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:00:43',	'2021-05-12 16:11:47',	NULL,	'',	NULL,	NULL),
(2574,	7,	3569,	'CSO3569',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:02:09',	'2021-05-12 16:12:04',	NULL,	'',	NULL,	1),
(2575,	7,	3570,	'CSO3570',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:07:04',	'2021-05-12 16:12:33',	NULL,	'',	NULL,	NULL),
(2576,	7,	3571,	'CSO3571',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:07:35',	'2021-05-12 16:12:54',	NULL,	'',	NULL,	NULL),
(2577,	7,	3572,	'CSO3572',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:07:37',	'2021-05-12 16:13:34',	NULL,	'',	NULL,	NULL),
(2578,	7,	3573,	'CSO3573',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:10:29',	'2021-05-12 16:13:25',	NULL,	'',	NULL,	NULL),
(2579,	7,	3574,	'CSO3574',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:11:34',	'2021-05-12 16:13:57',	NULL,	'',	NULL,	NULL),
(2580,	7,	3575,	'CSO3575',	228,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	42.000,	NULL,	42.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:11:56',	'2021-05-12 16:14:18',	NULL,	'',	NULL,	1),
(2581,	7,	3576,	'CSO3576',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:11:58',	'2021-05-12 16:14:47',	NULL,	'',	NULL,	NULL),
(2582,	7,	3577,	'CSO3577',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:12:50',	'2021-05-12 16:15:12',	NULL,	'',	NULL,	NULL),
(2583,	7,	3578,	'CSO3578',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:14:55',	'2021-05-12 16:09:29',	NULL,	'',	NULL,	NULL),
(2584,	7,	3579,	'CSO3579',	228,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	51.500,	NULL,	51.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:15:22',	'2021-05-12 16:09:29',	NULL,	'',	NULL,	1),
(2585,	7,	3580,	'CSO3580',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:15:48',	'2021-05-12 16:09:29',	NULL,	'',	NULL,	1),
(2586,	7,	3581,	'CSO3581',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	17.800,	NULL,	17.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:20:51',	'2021-05-12 16:09:29',	NULL,	'',	NULL,	NULL),
(2587,	7,	3582,	'CSO3582',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:22:27',	'2021-05-12 16:09:29',	NULL,	'',	NULL,	NULL),
(2588,	7,	3583,	'CSO3583',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:22:57',	'2021-05-12 16:09:49',	NULL,	'',	NULL,	NULL),
(2589,	7,	3584,	'CSO3584',	228,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	14.300,	NULL,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:23:10',	'2021-05-12 16:10:08',	NULL,	'',	NULL,	1),
(2590,	7,	3585,	'CSO3585',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	84.000,	NULL,	84.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:25:36',	'2021-05-12 16:11:17',	NULL,	'',	NULL,	1),
(2591,	7,	3586,	'CSO3586',	228,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.250,	0.050,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:26:07',	'2021-05-12 16:10:41',	NULL,	'',	NULL,	1),
(2592,	7,	3587,	'CSO3587',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:31:08',	'2021-05-12 16:11:17',	NULL,	'',	NULL,	NULL),
(2593,	7,	3588,	'CSO3588',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:32:20',	'2021-05-12 16:11:17',	NULL,	'',	NULL,	NULL),
(2594,	7,	3589,	'CSO3589',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:34:25',	'2021-05-12 16:11:17',	NULL,	'',	NULL,	NULL),
(2595,	7,	3590,	'CSO3590',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:35:02',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2596,	7,	3591,	'CSO3591',	228,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:35:35',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	1),
(2597,	7,	3592,	'CSO3592',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.085,	0.085,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:39:53',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2598,	7,	3593,	'CSO3593',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:40:34',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2599,	7,	3594,	'CSO3594',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:40:40',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2600,	7,	3595,	'CSO3595',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	16.020,	0.002,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:41:58',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2601,	7,	3596,	'CSO3596',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.100,	NULL,	9.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:45:08',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2602,	7,	3597,	'CSO3597',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.870,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:50:09',	'2021-05-12 16:14:22',	NULL,	'',	NULL,	NULL),
(2603,	7,	3598,	'CSO3598',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	33.800,	NULL,	33.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:52:44',	'2021-05-12 16:17:27',	NULL,	'',	NULL,	NULL),
(2604,	7,	3599,	'CSO3599',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.000,	0.042,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:53:17',	'2021-05-12 16:17:27',	NULL,	'',	NULL,	NULL),
(2605,	7,	3600,	'CSO3600',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	32.500,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:55:05',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2606,	7,	3601,	'CSO3601',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	27.900,	NULL,	27.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:56:17',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2607,	7,	3602,	'CSO3602',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:57:03',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2608,	7,	3603,	'CSO3603',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	22.145,	NULL,	22.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:57:26',	'2021-05-12 16:47:41',	NULL,	'',	NULL,	NULL),
(2609,	7,	3604,	'CSO3604',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:58:05',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2610,	7,	3605,	'CSO3605',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	37.100,	0.100,	37.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:59:35',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2611,	7,	3606,	'CSO3606',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 07:59:52',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2612,	7,	3607,	'CSO3607',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:04:17',	'2021-05-12 11:59:22',	NULL,	'',	NULL,	NULL),
(2613,	7,	3608,	'CSO3608',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	60.800,	NULL,	60.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:08:08',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2614,	7,	3609,	'CSO3609',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:10:03',	'2021-05-12 16:21:15',	NULL,	'',	NULL,	NULL),
(2615,	7,	3610,	'CSO3610',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.085,	0.085,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:10:22',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2616,	7,	3611,	'CSO3611',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	26.400,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:13:20',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2617,	7,	3612,	'CSO3612',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:15:37',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2618,	7,	3613,	'CSO3613',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:15:40',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2619,	7,	3614,	'CSO3614',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.900,	NULL,	8.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:17:00',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	1),
(2620,	7,	3615,	'CSO3615',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	30.800,	NULL,	30.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:19:44',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2621,	7,	3616,	'CSO3616',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:20:03',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2622,	7,	3617,	'CSO3617',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:21:20',	'2021-05-12 16:29:56',	NULL,	'',	NULL,	NULL),
(2623,	7,	3618,	'CSO3618',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.660,	0.060,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:24:50',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2624,	7,	3619,	'CSO3619',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:30:17',	'2021-05-12 16:31:56',	NULL,	'',	NULL,	NULL),
(2625,	7,	3620,	'CSO3620',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:31:32',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2626,	7,	3621,	'CSO3621',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	18.600,	NULL,	18.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:34:17',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2627,	7,	3622,	'CSO3622',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	38.588,	NULL,	38.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:38:29',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2628,	7,	3623,	'CSO3623',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:42:13',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2629,	7,	3624,	'CSO3624',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.008,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:44:54',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2630,	7,	3625,	'CSO3625',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:53:32',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2631,	7,	3626,	'CSO3626',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:54:15',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2632,	7,	3627,	'CSO3627',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:55:05',	'2021-05-12 16:34:02',	NULL,	'',	NULL,	NULL),
(2633,	7,	3628,	'CSO3628',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	21.100,	NULL,	21.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 08:59:35',	'2021-05-12 15:05:16',	NULL,	'',	NULL,	1),
(2634,	7,	3629,	'CSO3629',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:00:43',	'2021-05-12 15:05:36',	NULL,	'',	NULL,	NULL),
(2635,	7,	3630,	'CSO3630',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:01:09',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2636,	7,	3631,	'CSO3631',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:04:14',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2637,	7,	3632,	'CSO3632',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:06:52',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2638,	7,	3633,	'CSO3633',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:08:19',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2639,	7,	3634,	'CSO3634',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	90.000,	NULL,	90.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:11:07',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2640,	7,	3635,	'CSO3635',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.100,	NULL,	6.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:20:01',	'2021-05-12 15:07:12',	NULL,	'',	NULL,	NULL),
(2641,	7,	3636,	'CSO3636',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	18.400,	NULL,	18.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:21:07',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2642,	7,	3637,	'CSO3637',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:26:59',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2643,	7,	3638,	'CSO3638',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:27:25',	'2021-05-12 15:08:44',	NULL,	'',	NULL,	NULL),
(2644,	7,	3639,	'CSO3639',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.148,	0.048,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:29:06',	'2021-05-12 15:12:46',	NULL,	'',	NULL,	NULL),
(2645,	7,	3640,	'CSO3640',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:31:36',	'2021-05-12 16:50:32',	NULL,	'',	NULL,	NULL),
(2646,	7,	3641,	'CSO3641',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:33:24',	'2021-05-12 16:51:26',	NULL,	'',	NULL,	NULL),
(2647,	7,	3642,	'CSO3642',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	52.600,	NULL,	52.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:35:57',	'2021-05-12 16:53:33',	NULL,	'',	NULL,	1),
(2648,	7,	3643,	'CSO3643',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:37:13',	'2021-05-12 16:53:33',	NULL,	'',	NULL,	NULL),
(2649,	7,	3644,	'CSO3644',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:39:46',	'2021-05-12 15:15:21',	NULL,	'',	NULL,	NULL),
(2650,	7,	3645,	'CSO3645',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.700,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:47:24',	'2021-05-12 15:15:05',	NULL,	'',	NULL,	1),
(2651,	7,	3646,	'CSO3646',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	27.800,	NULL,	27.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:48:30',	'2021-05-12 15:15:05',	NULL,	'',	NULL,	NULL),
(2652,	7,	3647,	'CSO3647',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	90.640,	0.040,	90.600,	NULL,	NULL,	'card',	NULL,	'2021-05-12 09:50:46',	'2021-05-12 15:28:54',	NULL,	'',	NULL,	1),
(2653,	7,	3648,	'CSO3648',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.410,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:50:57',	'2021-05-12 16:53:33',	NULL,	'',	NULL,	1),
(2654,	7,	3649,	'CSO3649',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:55:49',	'2021-05-12 15:28:54',	NULL,	'',	NULL,	NULL),
(2655,	7,	3650,	'CSO3650',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	96.800,	NULL,	96.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:57:07',	'2021-05-12 16:53:33',	NULL,	'',	NULL,	NULL),
(2656,	7,	3651,	'CSO3651',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:57:36',	'2021-05-12 16:53:33',	NULL,	'',	NULL,	NULL),
(2657,	7,	3652,	'CSO3652',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 09:57:56',	'2021-05-12 16:53:33',	NULL,	'',	NULL,	NULL),
(2658,	7,	3653,	'CSO3653',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	25.100,	NULL,	25.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:06:46',	'2021-05-12 15:28:44',	NULL,	'',	NULL,	NULL),
(2659,	7,	3654,	'CSO3654',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:07:33',	'2021-05-12 15:28:54',	NULL,	'',	NULL,	NULL),
(2660,	7,	3655,	'CSO3655',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	72.200,	NULL,	72.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:08:35',	'2021-05-12 15:28:54',	NULL,	'',	NULL,	NULL),
(2661,	7,	3656,	'CSO3656',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:08:41',	'2021-05-12 16:50:32',	NULL,	'',	NULL,	NULL),
(2662,	7,	3657,	'CSO3657',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:09:05',	'2021-05-12 16:48:16',	NULL,	'',	NULL,	NULL),
(2663,	7,	3658,	'CSO3658',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	161.700,	NULL,	161.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:11:52',	'2021-05-12 16:47:58',	NULL,	'',	NULL,	1),
(2664,	7,	3659,	'CSO3659',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	14.270,	NULL,	14.270,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:17:01',	'2021-05-12 16:47:41',	NULL,	'',	NULL,	1),
(2665,	7,	3660,	'CSO3660',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	50.800,	NULL,	50.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:17:11',	'2021-05-12 16:36:52',	NULL,	'',	NULL,	NULL),
(2666,	7,	3661,	'CSO3661',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	25.200,	NULL,	25.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:20:09',	'2021-05-12 16:47:41',	NULL,	'',	NULL,	NULL),
(2667,	7,	3662,	'CSO3662',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:21:45',	'2021-05-12 16:47:41',	NULL,	'',	NULL,	NULL),
(2668,	7,	3663,	'CSO3663',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.210,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:23:40',	'2021-05-12 16:46:29',	NULL,	'',	NULL,	NULL),
(2669,	7,	3664,	'CSO3664',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:28:30',	'2021-05-12 16:46:29',	NULL,	'',	NULL,	NULL),
(2670,	7,	3665,	'CSO3665',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.085,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:37:52',	'2021-05-12 16:46:29',	NULL,	'',	NULL,	NULL),
(2671,	7,	3666,	'CSO3666',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:41:10',	'2021-05-12 16:45:28',	NULL,	'',	NULL,	NULL),
(2672,	7,	3667,	'CSO3667',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	15.500,	5.500,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:41:23',	'2021-05-12 16:44:35',	NULL,	'',	NULL,	NULL),
(2673,	7,	3668,	'CSO3668',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	26.000,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:42:48',	'2021-05-12 16:44:35',	NULL,	'',	NULL,	NULL),
(2674,	7,	3669,	'CSO3669',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	27.900,	NULL,	27.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:47:04',	'2021-05-12 16:44:35',	NULL,	'',	NULL,	NULL),
(2675,	7,	3670,	'CSO3670',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:49:24',	'2021-05-12 16:44:35',	NULL,	'',	NULL,	NULL),
(2676,	7,	3671,	'CSO3671',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:50:06',	'2021-05-12 16:44:35',	NULL,	'',	NULL,	NULL),
(2677,	7,	3672,	'CSO3672',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:51:25',	'2021-05-12 16:43:03',	NULL,	'',	NULL,	NULL),
(2678,	7,	3673,	'CSO3673',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	9.100,	NULL,	9.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 10:55:53',	'2021-05-12 16:42:41',	NULL,	'',	NULL,	NULL),
(2679,	7,	3674,	'CSO3674',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:04:48',	'2021-05-12 16:42:13',	NULL,	'',	NULL,	NULL),
(2680,	7,	3675,	'CSO3675',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:10:45',	'2021-05-12 16:41:36',	NULL,	'',	NULL,	NULL),
(2681,	7,	3676,	'CSO3676',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:12:41',	'2021-05-12 15:05:36',	NULL,	'',	NULL,	NULL),
(2682,	7,	3677,	'CSO3677',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:13:07',	'2021-05-12 15:05:36',	NULL,	'',	NULL,	NULL),
(2683,	7,	3678,	'CSO3678',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:13:44',	'2021-05-12 15:02:04',	NULL,	'',	NULL,	NULL),
(2684,	7,	3679,	'CSO3679',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.700,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:22:08',	'2021-05-12 15:02:04',	NULL,	'',	NULL,	1),
(2685,	7,	3680,	'CSO3680',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:23:43',	'2021-05-12 16:40:48',	NULL,	'',	NULL,	NULL),
(2686,	7,	3681,	'CSO3681',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	35.300,	NULL,	35.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:25:41',	'2021-05-12 15:00:29',	NULL,	'',	NULL,	NULL),
(2687,	7,	3682,	'CSO3682',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	23.000,	NULL,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:30:09',	'2021-05-12 14:14:33',	NULL,	'',	NULL,	NULL),
(2688,	7,	3683,	'CSO3683',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:31:14',	'2021-05-12 15:00:29',	NULL,	'',	NULL,	NULL),
(2689,	7,	3684,	'CSO3684',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:35:33',	'2021-05-12 14:13:43',	NULL,	'',	NULL,	NULL),
(2690,	7,	3685,	'CSO3685',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:40:30',	'2021-05-12 15:00:29',	NULL,	'',	NULL,	NULL),
(2691,	7,	3686,	'CSO3686',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:41:49',	'2021-05-12 14:13:11',	NULL,	'',	NULL,	NULL),
(2692,	7,	3687,	'CSO3687',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:42:20',	'2021-05-12 14:12:03',	NULL,	'',	NULL,	NULL),
(2693,	7,	3688,	'CSO3688',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:46:43',	'2021-05-12 14:12:03',	NULL,	'',	NULL,	NULL),
(2694,	7,	3689,	'CSO3689',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:47:57',	'2021-05-12 14:11:07',	NULL,	'',	NULL,	NULL),
(2695,	7,	3690,	'CSO3690',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:49:21',	'2021-05-12 14:12:03',	NULL,	'',	NULL,	NULL),
(2696,	7,	3691,	'CSO3691',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:50:34',	'2021-05-12 14:10:28',	NULL,	'',	NULL,	NULL),
(2697,	7,	3692,	'CSO3692',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:52:41',	'2021-05-12 14:03:43',	NULL,	'',	NULL,	NULL),
(2698,	7,	3693,	'CSO3693',	224,	0,	'2021-05-12',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-12 11:52:49',	'2021-05-12 11:52:49',	NULL,	'',	NULL,	NULL),
(2699,	7,	3694,	'CSO3694',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	11.100,	NULL,	11.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:53:16',	'2021-05-12 14:02:51',	NULL,	'',	NULL,	NULL),
(2700,	7,	3695,	'CSO3695',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.980,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 11:54:18',	'2021-05-12 14:02:51',	NULL,	'',	NULL,	NULL),
(2701,	7,	3696,	'CSO3696',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:08:35',	'2021-05-12 14:02:51',	NULL,	'',	NULL,	NULL),
(2702,	7,	3697,	'CSO3697',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'card',	NULL,	'2021-05-12 12:09:20',	'2021-05-12 14:00:52',	NULL,	'',	NULL,	1),
(2703,	7,	3698,	'CSO3698',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:11:45',	'2021-05-12 13:59:46',	NULL,	'',	NULL,	NULL),
(2704,	7,	3699,	'CSO3699',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	28.700,	NULL,	28.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:15:51',	'2021-05-12 13:58:58',	NULL,	'',	NULL,	NULL),
(2705,	7,	3700,	'CSO3700',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	10.555,	0.055,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:17:22',	'2021-05-12 14:02:51',	NULL,	'',	NULL,	NULL),
(2706,	7,	3701,	'CSO3701',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:18:19',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2707,	7,	3702,	'CSO3702',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:18:29',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2708,	7,	3703,	'CSO3703',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:19:17',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2709,	7,	3704,	'CSO3704',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:21:14',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2710,	7,	3705,	'CSO3705',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:23:49',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2711,	7,	3706,	'CSO3706',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:25:29',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2712,	7,	3707,	'CSO3707',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	2.310,	0.131,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:27:08',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2713,	7,	3708,	'CSO3708',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	15.300,	NULL,	15.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:31:02',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	NULL),
(2714,	7,	3709,	'CSO3709',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	13.300,	NULL,	13.300,	NULL,	NULL,	'card',	NULL,	'2021-05-12 12:31:18',	'2021-05-12 13:57:29',	NULL,	'',	NULL,	1),
(2715,	7,	3710,	'CSO3710',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-12',	'CMP',	0,	NULL,	8.560,	0.060,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:34:41',	'2021-05-12 13:55:08',	NULL,	'',	NULL,	NULL),
(2716,	7,	3711,	'CSO3711',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:38:36',	'2021-05-16 16:10:17',	NULL,	'',	NULL,	NULL),
(2717,	7,	3712,	'CSO3712',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:40:08',	'2021-05-16 16:10:36',	NULL,	'',	NULL,	NULL),
(2718,	7,	3713,	'CSO3713',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:41:15',	'2021-05-17 10:19:17',	NULL,	'',	NULL,	NULL),
(2719,	7,	3714,	'CSO3714',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.700,	NULL,	6.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:41:19',	'2021-05-16 16:11:04',	NULL,	'',	NULL,	NULL),
(2720,	7,	3715,	'CSO3715',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-17',	'CHG',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:42:18',	'2021-05-17 10:21:15',	NULL,	'',	NULL,	NULL),
(2721,	7,	3716,	'CSO3716',	224,	0,	'2021-05-12',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-12 12:46:56',	'2021-05-12 12:46:56',	NULL,	'',	NULL,	NULL),
(2722,	7,	3717,	'CSO3717',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	115.100,	NULL,	115.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:49:57',	'2021-05-16 16:11:58',	NULL,	'',	NULL,	NULL),
(2723,	7,	3718,	'CSO3718',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:50:30',	'2021-05-16 16:26:43',	NULL,	'',	NULL,	NULL),
(2724,	7,	3719,	'CSO3719',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	19.000,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 12:57:06',	'2021-05-16 16:27:11',	NULL,	'',	NULL,	NULL),
(2725,	7,	3720,	'CSO3720',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:04:10',	'2021-05-16 16:27:30',	NULL,	'',	NULL,	NULL),
(2726,	7,	3721,	'CSO3721',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	18.600,	NULL,	18.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:07:51',	'2021-05-16 16:28:06',	NULL,	'',	NULL,	NULL),
(2727,	7,	3722,	'CSO3722',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:08:49',	'2021-05-16 16:28:24',	NULL,	'',	NULL,	NULL),
(2728,	7,	3723,	'CSO3723',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	29.800,	NULL,	29.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:09:16',	'2021-05-16 16:28:44',	NULL,	'',	NULL,	1),
(2729,	7,	3724,	'CSO3724',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.300,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:11:06',	'2021-05-16 16:29:03',	NULL,	'',	NULL,	NULL),
(2730,	7,	3725,	'CSO3725',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:11:43',	'2021-05-16 16:29:29',	NULL,	'',	NULL,	NULL),
(2731,	7,	3726,	'CSO3726',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	53.463,	NULL,	53.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:14:26',	'2021-05-16 16:29:55',	NULL,	'',	NULL,	1),
(2732,	7,	3727,	'CSO3727',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:16:30',	'2021-05-16 16:30:19',	NULL,	'',	NULL,	NULL),
(2733,	7,	3728,	'CSO3728',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:17:26',	'2021-05-16 16:31:20',	NULL,	'',	NULL,	NULL),
(2734,	7,	3729,	'CSO3729',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	32.400,	NULL,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:17:55',	'2021-05-16 16:32:03',	NULL,	'',	NULL,	NULL),
(2735,	7,	3730,	'CSO3730',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.845,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:24:59',	'2021-05-16 16:32:45',	NULL,	'',	NULL,	NULL),
(2736,	7,	3731,	'CSO3731',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:27:21',	'2021-05-16 16:33:06',	NULL,	'',	NULL,	NULL),
(2737,	7,	3732,	'CSO3732',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.300,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:28:39',	'2021-05-16 16:33:39',	NULL,	'',	NULL,	NULL),
(2738,	7,	3733,	'CSO3733',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:28:55',	'2021-05-16 16:34:07',	NULL,	'',	NULL,	NULL),
(2739,	7,	3734,	'CSO3734',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:32:48',	'2021-05-16 16:35:02',	NULL,	'',	NULL,	NULL),
(2740,	7,	3735,	'CSO3735',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.134,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:40:15',	'2021-05-16 16:35:23',	NULL,	'',	NULL,	NULL),
(2741,	7,	3736,	'CSO3736',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	19.300,	NULL,	19.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:44:04',	'2021-05-16 16:35:45',	NULL,	'',	NULL,	NULL),
(2742,	7,	3737,	'CSO3737',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:44:58',	'2021-05-16 16:36:05',	NULL,	'',	NULL,	NULL),
(2743,	7,	3738,	'CSO3738',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 13:46:10',	'2021-05-16 16:36:26',	NULL,	'',	NULL,	NULL),
(2744,	7,	3739,	'CSO3739',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:00:51',	'2021-05-16 16:36:42',	NULL,	'',	NULL,	NULL),
(2745,	7,	3740,	'CSO3740',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	33.100,	NULL,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:03:41',	'2021-05-16 16:36:58',	NULL,	'',	NULL,	NULL),
(2746,	7,	3741,	'CSO3741',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:05:15',	'2021-05-16 16:37:19',	NULL,	'',	NULL,	1),
(2747,	7,	3742,	'CSO3742',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	17.400,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:08:45',	'2021-05-16 16:37:39',	NULL,	'',	NULL,	NULL),
(2748,	7,	3743,	'CSO3743',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	50.900,	NULL,	50.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:15:49',	'2021-05-16 16:38:05',	NULL,	'',	NULL,	NULL),
(2749,	7,	3744,	'CSO3744',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:16:13',	'2021-05-16 16:38:22',	NULL,	'',	NULL,	NULL),
(2750,	7,	3745,	'CSO3745',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.300,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:16:30',	'2021-05-16 16:38:42',	NULL,	'',	NULL,	NULL),
(2751,	7,	3746,	'CSO3746',	224,	0,	'2021-05-12',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-12 14:16:47',	'2021-05-12 14:16:47',	NULL,	'',	NULL,	NULL),
(2752,	7,	3747,	'CSO3747',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:17:44',	'2021-05-16 16:39:03',	NULL,	'',	NULL,	NULL),
(2753,	7,	3748,	'CSO3748',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:18:07',	'2021-05-16 16:39:22',	NULL,	'',	NULL,	NULL),
(2754,	7,	3749,	'CSO3749',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:29:08',	'2021-05-16 16:39:53',	NULL,	'',	NULL,	NULL),
(2755,	7,	3750,	'CSO3750',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:30:48',	'2021-05-16 16:40:08',	NULL,	'',	NULL,	1),
(2756,	7,	3751,	'CSO3751',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:32:27',	'2021-05-16 16:41:10',	NULL,	'',	NULL,	1),
(2757,	7,	3752,	'CSO3752',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:33:21',	'2021-05-16 16:41:31',	NULL,	'',	NULL,	NULL),
(2758,	7,	3753,	'CSO3753',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:40:20',	'2021-05-16 16:41:48',	NULL,	'',	NULL,	NULL),
(2759,	7,	3754,	'CSO3754',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.355,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:41:25',	'2021-05-16 16:42:10',	NULL,	'',	NULL,	NULL),
(2760,	7,	3755,	'CSO3755',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:44:48',	'2021-05-16 16:42:29',	NULL,	'',	NULL,	NULL),
(2761,	7,	3756,	'CSO3756',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.100,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 14:54:48',	'2021-05-16 16:43:08',	NULL,	'',	NULL,	NULL),
(2762,	7,	3757,	'CSO3757',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.700,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:02:27',	'2021-05-16 16:43:27',	NULL,	'',	NULL,	NULL),
(2763,	7,	3758,	'CSO3758',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:07:31',	'2021-05-16 16:43:47',	NULL,	'',	NULL,	NULL),
(2764,	7,	3759,	'CSO3759',	224,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.150,	NULL,	8.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:09:50',	'2021-05-16 16:44:04',	NULL,	'',	NULL,	NULL),
(2765,	7,	3760,	'CSO3760',	224,	0,	'2021-05-12',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-12 15:13:12',	'2021-05-12 15:13:12',	NULL,	'',	NULL,	NULL),
(2766,	7,	3761,	'CSO3761',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.870,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:15:07',	'2021-05-16 16:44:38',	NULL,	'',	NULL,	NULL),
(2767,	7,	3762,	'CSO3762',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:24:50',	'2021-05-16 16:44:56',	NULL,	'',	NULL,	NULL),
(2768,	7,	3763,	'CSO3763',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:26:29',	'2021-05-16 16:45:14',	NULL,	'',	NULL,	1),
(2769,	7,	3764,	'CSO3764',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.800,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:30:38',	'2021-05-16 16:45:36',	NULL,	'',	NULL,	NULL),
(2770,	7,	3765,	'CSO3765',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:32:23',	'2021-05-16 16:46:56',	NULL,	'',	NULL,	NULL),
(2771,	7,	3766,	'CSO3766',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:33:57',	'2021-05-16 16:46:56',	NULL,	'',	NULL,	1),
(2772,	7,	3767,	'CSO3767',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	20.700,	NULL,	20.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:35:55',	'2021-05-16 16:46:56',	NULL,	'',	NULL,	NULL),
(2773,	7,	3768,	'CSO3768',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:36:22',	'2021-05-16 16:46:27',	NULL,	'',	NULL,	NULL),
(2774,	7,	3769,	'CSO3769',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:38:42',	'2021-05-16 16:46:56',	NULL,	'',	NULL,	NULL),
(2775,	7,	3770,	'CSO3770',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:41:29',	'2021-05-16 16:47:21',	NULL,	'',	NULL,	NULL),
(2776,	7,	3771,	'CSO3771',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:43:06',	'2021-05-16 16:47:37',	NULL,	'',	NULL,	NULL),
(2777,	7,	3772,	'CSO3772',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:45:49',	'2021-05-16 16:48:13',	NULL,	'',	NULL,	NULL),
(2778,	7,	3773,	'CSO3773',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:51:08',	'2021-05-16 16:48:29',	NULL,	'',	NULL,	NULL),
(2779,	7,	3774,	'CSO3774',	226,	0,	'2021-05-12',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	17.500,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-12 15:53:44',	'2021-05-16 16:49:04',	NULL,	'',	NULL,	NULL),
(2780,	7,	3775,	'CSO3775',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.900,	NULL,	7.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 05:02:18',	'2021-05-16 16:50:09',	NULL,	'',	NULL,	NULL),
(2781,	7,	3776,	'CSO3776',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	28.154,	NULL,	27.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:01:28',	'2021-05-16 16:51:07',	NULL,	'',	NULL,	NULL),
(2782,	7,	3777,	'CSO3777',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.095,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:03:01',	'2021-05-16 16:51:23',	NULL,	'',	NULL,	NULL),
(2783,	7,	3778,	'CSO3778',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:07:12',	'2021-05-16 16:55:48',	NULL,	'',	NULL,	NULL),
(2784,	7,	3779,	'CSO3779',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:20:29',	'2021-05-16 16:59:03',	NULL,	'',	NULL,	NULL),
(2785,	7,	3780,	'CSO3780',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.800,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:21:57',	'2021-05-16 16:59:26',	NULL,	'',	NULL,	NULL),
(2786,	7,	3781,	'CSO3781',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	151.200,	NULL,	151.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:27:42',	'2021-05-16 16:59:46',	NULL,	'',	NULL,	NULL),
(2787,	7,	3782,	'CSO3782',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:32:48',	'2021-05-16 17:00:06',	NULL,	'',	NULL,	NULL),
(2788,	7,	3783,	'CSO3783',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:36:12',	'2021-05-16 17:00:23',	NULL,	'',	NULL,	NULL),
(2789,	7,	3784,	'CSO3784',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:43:43',	'2021-05-16 17:00:49',	NULL,	'',	NULL,	NULL),
(2790,	7,	3785,	'CSO3785',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:51:47',	'2021-05-16 17:01:06',	NULL,	'',	NULL,	NULL),
(2791,	7,	3786,	'CSO3786',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 06:57:03',	'2021-05-16 17:01:29',	NULL,	'',	NULL,	NULL),
(2792,	7,	3787,	'CSO3787',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.085,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:06:40',	'2021-05-16 17:01:55',	NULL,	'',	NULL,	NULL),
(2793,	7,	3788,	'CSO3788',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.570,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:10:21',	'2021-05-16 17:02:15',	NULL,	'',	NULL,	NULL),
(2794,	7,	3789,	'CSO3789',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	17.085,	NULL,	17.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:24:51',	'2021-05-16 17:02:43',	NULL,	'',	NULL,	NULL),
(2795,	7,	3790,	'CSO3790',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:26:03',	'2021-05-16 17:03:02',	NULL,	'',	NULL,	NULL),
(2796,	7,	3791,	'CSO3791',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	15.485,	NULL,	15.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:27:30',	'2021-05-16 17:05:31',	NULL,	'',	NULL,	NULL),
(2797,	7,	3792,	'CSO3792',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:33:31',	'2021-05-16 17:05:52',	NULL,	'',	NULL,	NULL),
(2798,	7,	3793,	'CSO3793',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:34:27',	'2021-05-16 17:06:18',	NULL,	'',	NULL,	NULL),
(2799,	7,	3794,	'CSO3794',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:37:53',	'2021-05-16 17:07:09',	NULL,	'',	NULL,	NULL),
(2800,	7,	3795,	'CSO3795',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:39:30',	'2021-05-16 17:07:33',	NULL,	'',	NULL,	NULL),
(2801,	7,	3796,	'CSO3796',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	26.600,	NULL,	26.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:41:18',	'2021-05-16 17:08:03',	NULL,	'',	NULL,	NULL),
(2802,	7,	3797,	'CSO3797',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	22.500,	NULL,	22.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:41:33',	'2021-05-16 17:08:40',	NULL,	'',	NULL,	NULL),
(2803,	7,	3798,	'CSO3798',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	74.300,	NULL,	74.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:46:41',	'2021-05-16 17:20:05',	NULL,	'',	NULL,	NULL),
(2804,	7,	3799,	'CSO3799',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:51:15',	'2021-05-16 17:20:29',	NULL,	'',	NULL,	NULL),
(2805,	7,	3800,	'CSO3800',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.100,	NULL,	9.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:51:58',	'2021-05-16 17:20:53',	NULL,	'',	NULL,	NULL),
(2806,	7,	3801,	'CSO3801',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:53:35',	'2021-05-16 17:21:09',	NULL,	'',	NULL,	NULL),
(2807,	7,	3802,	'CSO3802',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 07:55:13',	'2021-05-16 17:21:30',	NULL,	'',	NULL,	NULL),
(2808,	7,	3803,	'CSO3803',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:01:17',	'2021-05-16 17:21:47',	NULL,	'',	NULL,	NULL),
(2809,	7,	3804,	'CSO3804',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:03:38',	'2021-05-16 17:24:12',	NULL,	'',	NULL,	NULL),
(2810,	7,	3805,	'CSO3805',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.170,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:04:45',	'2021-05-16 17:24:31',	NULL,	'',	NULL,	NULL),
(2811,	7,	3806,	'CSO3806',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:04:56',	'2021-05-16 17:26:25',	NULL,	'',	NULL,	NULL),
(2812,	7,	3807,	'CSO3807',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	332.000,	NULL,	332.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:06:12',	'2021-05-16 17:26:50',	NULL,	'',	NULL,	1),
(2813,	7,	3808,	'CSO3808',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.420,	NULL,	16.420,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:07:20',	'2021-05-16 17:28:16',	NULL,	'',	NULL,	NULL),
(2814,	7,	3809,	'CSO3809',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	66.100,	NULL,	66.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:10:57',	'2021-05-16 17:27:10',	NULL,	'',	NULL,	1),
(2815,	7,	3810,	'CSO3810',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	28.300,	NULL,	28.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:11:32',	'2021-05-16 17:28:22',	NULL,	'',	NULL,	NULL),
(2816,	7,	3811,	'CSO3811',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:13:28',	'2021-05-16 17:28:45',	NULL,	'',	NULL,	NULL),
(2817,	7,	3812,	'CSO3812',	226,	0,	'2021-05-16',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-16 08:17:16',	'2021-05-16 08:19:59',	NULL,	'',	NULL,	1),
(2818,	7,	3813,	'CSO3813',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:18:26',	'2021-05-16 17:30:18',	NULL,	'',	NULL,	NULL),
(2819,	7,	3814,	'CSO3814',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:21:18',	'2021-05-16 17:30:34',	NULL,	'',	NULL,	NULL),
(2820,	7,	3815,	'CSO3815',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:24:04',	'2021-05-16 17:31:43',	NULL,	'',	NULL,	NULL),
(2821,	7,	3816,	'CSO3816',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	57.200,	NULL,	57.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:28:38',	'2021-05-16 17:43:46',	NULL,	'',	NULL,	NULL),
(2822,	7,	3817,	'CSO3817',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:29:02',	'2021-05-16 17:44:04',	NULL,	'',	NULL,	NULL),
(2823,	7,	3818,	'CSO3818',	224,	0,	'2021-05-16',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-16 08:30:02',	'2021-05-16 08:30:02',	NULL,	'',	NULL,	NULL),
(2824,	7,	3819,	'CSO3819',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.785,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:34:10',	'2021-05-16 17:44:23',	NULL,	'',	NULL,	NULL),
(2825,	7,	3820,	'CSO3820',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.085,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:35:57',	'2021-05-16 17:44:54',	NULL,	'',	NULL,	NULL),
(2826,	7,	3821,	'CSO3821',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	178.500,	NULL,	178.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:37:37',	'2021-05-16 17:45:27',	NULL,	'',	NULL,	NULL),
(2827,	7,	3822,	'CSO3822',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:39:41',	'2021-05-16 17:45:51',	NULL,	'',	NULL,	NULL),
(2828,	7,	3823,	'CSO3823',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	29.910,	NULL,	29.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:44:44',	'2021-05-16 17:46:15',	NULL,	'',	NULL,	NULL),
(2829,	7,	3824,	'CSO3824',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:44:47',	'2021-05-16 18:00:37',	NULL,	'',	NULL,	NULL),
(2830,	7,	3825,	'CSO3825',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:52:52',	'2021-05-16 17:46:43',	NULL,	'',	NULL,	NULL),
(2831,	7,	3826,	'CSO3826',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 08:52:58',	'2021-05-16 17:47:02',	NULL,	'',	NULL,	NULL),
(2832,	7,	3827,	'CSO3827',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:02:09',	'2021-05-16 17:47:16',	NULL,	'',	NULL,	NULL),
(2833,	7,	3828,	'CSO3828',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	25.950,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:02:34',	'2021-05-16 17:47:36',	NULL,	'',	NULL,	NULL),
(2834,	7,	3829,	'CSO3829',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:02:38',	'2021-05-16 17:48:01',	NULL,	'',	NULL,	NULL),
(2835,	7,	3830,	'CSO3830',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:03:47',	'2021-05-16 17:48:10',	NULL,	'',	NULL,	NULL),
(2836,	7,	3831,	'CSO3831',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:04:31',	'2021-05-16 17:48:29',	NULL,	'',	NULL,	NULL),
(2837,	7,	3832,	'CSO3832',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:05:28',	'2021-05-16 17:48:49',	NULL,	'',	NULL,	NULL),
(2838,	7,	3833,	'CSO3833',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.575,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:06:48',	'2021-05-16 17:49:06',	NULL,	'',	NULL,	NULL),
(2839,	7,	3834,	'CSO3834',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.743,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:08:42',	'2021-05-16 17:49:36',	NULL,	'',	NULL,	NULL),
(2840,	7,	3835,	'CSO3835',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.043,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:15:40',	'2021-05-16 17:49:53',	NULL,	'',	NULL,	NULL),
(2841,	7,	3836,	'CSO3836',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:16:05',	'2021-05-16 17:50:14',	NULL,	'',	NULL,	NULL),
(2842,	7,	3837,	'CSO3837',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	45.000,	NULL,	45.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:18:04',	'2021-05-16 17:51:13',	NULL,	'',	NULL,	NULL),
(2843,	7,	3838,	'CSO3838',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.700,	NULL,	16.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:18:44',	'2021-05-16 17:51:32',	NULL,	'',	NULL,	NULL),
(2844,	7,	3839,	'CSO3839',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.800,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:19:55',	'2021-05-16 17:57:30',	NULL,	'',	NULL,	NULL),
(2845,	7,	3840,	'CSO3840',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.100,	NULL,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:20:59',	'2021-05-16 17:57:46',	NULL,	'',	NULL,	NULL),
(2846,	7,	3841,	'CSO3841',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:22:02',	'2021-05-16 17:58:04',	NULL,	'',	NULL,	NULL),
(2847,	7,	3842,	'CSO3842',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	18.200,	NULL,	18.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:24:06',	'2021-05-16 17:58:32',	NULL,	'',	NULL,	NULL),
(2848,	7,	3843,	'CSO3843',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.920,	NULL,	7.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:25:11',	'2021-05-16 17:58:51',	NULL,	'',	NULL,	NULL),
(2849,	7,	3844,	'CSO3844',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:26:31',	'2021-05-16 19:15:33',	NULL,	'',	NULL,	NULL),
(2850,	7,	3845,	'CSO3845',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	420.000,	NULL,	420.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:33:19',	'2021-05-16 19:15:58',	NULL,	'',	NULL,	NULL),
(2851,	7,	3846,	'CSO3846',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	17.700,	NULL,	17.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:35:18',	'2021-05-16 19:16:18',	NULL,	'',	NULL,	1),
(2852,	7,	3847,	'CSO3847',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:41:43',	'2021-05-16 19:17:09',	NULL,	'',	NULL,	NULL),
(2853,	7,	3848,	'CSO3848',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	25.860,	0.060,	25.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:42:39',	'2021-05-16 19:17:47',	NULL,	'',	NULL,	1),
(2854,	7,	3849,	'CSO3849',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	28.900,	NULL,	28.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:44:29',	'2021-05-16 19:17:43',	NULL,	'',	NULL,	NULL),
(2855,	7,	3850,	'CSO3850',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	45.285,	NULL,	45.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:48:19',	'2021-05-16 19:18:59',	NULL,	'',	NULL,	NULL),
(2856,	7,	3851,	'CSO3851',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	55.000,	NULL,	55.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:49:20',	'2021-05-16 19:18:59',	NULL,	'',	NULL,	NULL),
(2857,	7,	3852,	'CSO3852',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:50:37',	'2021-05-16 19:18:59',	NULL,	'',	NULL,	NULL),
(2858,	7,	3853,	'CSO3853',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.570,	NULL,	16.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:50:55',	'2021-05-16 19:19:39',	NULL,	'',	NULL,	NULL),
(2859,	7,	3854,	'CSO3854',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.040,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:53:53',	'2021-05-16 19:20:10',	NULL,	'',	NULL,	NULL),
(2860,	7,	3855,	'CSO3855',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	20.780,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:55:29',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2861,	7,	3856,	'CSO3856',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 09:57:42',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2862,	7,	3857,	'CSO3857',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	54.200,	NULL,	54.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:02:17',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2863,	7,	3858,	'CSO3858',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	25.050,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:03:13',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2864,	7,	3859,	'CSO3859',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.050,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:04:01',	'2021-05-16 19:21:37',	NULL,	'',	NULL,	NULL),
(2865,	7,	3860,	'CSO3860',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.828,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:05:08',	'2021-05-16 19:22:23',	NULL,	'',	NULL,	NULL),
(2866,	7,	3861,	'CSO3861',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	22.800,	NULL,	22.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:06:21',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2867,	7,	3862,	'CSO3862',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.900,	NULL,	11.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:07:19',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2868,	7,	3863,	'CSO3863',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:08:20',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2869,	7,	3864,	'CSO3864',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:08:42',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2870,	7,	3865,	'CSO3865',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:10:07',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2871,	7,	3866,	'CSO3866',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:11:00',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2872,	7,	3867,	'CSO3867',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:11:21',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2873,	7,	3868,	'CSO3868',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:12:38',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2874,	7,	3869,	'CSO3869',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	81.600,	NULL,	81.600,	NULL,	NULL,	'cash',	'14925',	'2021-05-16 10:14:11',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	1),
(2875,	7,	3870,	'CSO3870',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.310,	NULL,	11.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:17:13',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2876,	7,	3871,	'CSO3871',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	43.565,	NULL,	43.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:19:03',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2877,	7,	3872,	'CSO3872',	224,	0,	'2021-05-16',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-16 10:19:16',	'2021-05-16 10:19:16',	NULL,	'',	NULL,	NULL),
(2878,	7,	3873,	'CSO3873',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.500,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:28:51',	'2021-05-16 19:24:48',	NULL,	'',	NULL,	NULL),
(2879,	7,	3874,	'CSO3874',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.050,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:31:05',	'2021-05-16 19:25:24',	NULL,	'',	NULL,	NULL),
(2880,	7,	3875,	'CSO3875',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	15.200,	NULL,	15.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:36:57',	'2021-05-16 19:25:24',	NULL,	'',	NULL,	NULL),
(2881,	7,	3876,	'CSO3876',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:38:54',	'2021-05-16 19:25:57',	NULL,	'',	NULL,	NULL),
(2882,	7,	3877,	'CSO3877',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:40:34',	'2021-05-16 19:25:57',	NULL,	'',	NULL,	NULL),
(2883,	7,	3878,	'CSO3878',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	21.800,	NULL,	21.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:41:37',	'2021-05-16 18:05:14',	NULL,	'',	NULL,	NULL),
(2884,	7,	3879,	'CSO3879',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:42:27',	'2021-05-16 18:05:27',	NULL,	'',	NULL,	NULL),
(2885,	7,	3880,	'CSO3880',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:43:34',	'2021-05-16 18:06:08',	NULL,	'',	NULL,	NULL),
(2886,	7,	3881,	'CSO3881',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	19.890,	NULL,	19.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:44:46',	'2021-05-16 18:06:21',	NULL,	'',	NULL,	NULL),
(2887,	7,	3882,	'CSO3882',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:48:42',	'2021-05-16 18:07:00',	NULL,	'',	NULL,	NULL),
(2888,	7,	3883,	'CSO3883',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:48:50',	'2021-05-16 18:07:00',	NULL,	'',	NULL,	NULL),
(2889,	7,	3884,	'CSO3884',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.180,	0.080,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:49:42',	'2021-05-16 18:07:00',	NULL,	'',	NULL,	NULL),
(2890,	7,	3885,	'CSO3885',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:50:09',	'2021-05-16 18:07:27',	NULL,	'',	NULL,	1),
(2891,	7,	3886,	'CSO3886',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:50:12',	'2021-05-16 18:08:19',	NULL,	'',	NULL,	NULL),
(2892,	7,	3887,	'CSO3887',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:50:53',	'2021-05-16 18:08:19',	NULL,	'',	NULL,	NULL),
(2893,	7,	3888,	'CSO3888',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:51:40',	'2021-05-16 18:08:19',	NULL,	'',	NULL,	NULL),
(2894,	7,	3889,	'CSO3889',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:52:56',	'2021-05-16 18:08:44',	NULL,	'',	NULL,	1),
(2895,	7,	3890,	'CSO3890',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:53:36',	'2021-05-16 18:10:07',	NULL,	'',	NULL,	NULL),
(2896,	7,	3891,	'CSO3891',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 10:55:02',	'2021-05-16 18:10:07',	NULL,	'',	NULL,	NULL),
(2897,	7,	3892,	'CSO3892',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:01:22',	'2021-05-16 18:10:07',	NULL,	'',	NULL,	NULL),
(2898,	7,	3893,	'CSO3893',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:02:37',	'2021-05-16 18:10:07',	NULL,	'',	NULL,	NULL),
(2899,	7,	3894,	'CSO3894',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:07:19',	'2021-05-16 18:10:07',	NULL,	'',	NULL,	NULL),
(2900,	7,	3895,	'CSO3895',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	12.300,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:14:53',	'2021-05-16 18:12:44',	NULL,	'',	NULL,	NULL),
(2901,	7,	3896,	'CSO3896',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	33.400,	NULL,	33.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:18:48',	'2021-05-16 18:10:48',	NULL,	'',	NULL,	NULL),
(2902,	7,	3897,	'CSO3897',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:19:11',	'2021-05-16 18:12:45',	NULL,	'',	NULL,	NULL),
(2903,	7,	3898,	'CSO3898',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	26.390,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:19:34',	'2021-05-16 18:12:45',	NULL,	'',	NULL,	NULL),
(2904,	7,	3899,	'CSO3899',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:22:00',	'2021-05-16 18:11:34',	NULL,	'',	NULL,	NULL),
(2905,	7,	3900,	'CSO3900',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:23:08',	'2021-05-16 18:12:18',	NULL,	'',	NULL,	NULL),
(2906,	7,	3901,	'CSO3901',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:25:13',	'2021-05-16 18:12:45',	NULL,	'',	NULL,	NULL),
(2907,	7,	3902,	'CSO3902',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	23.760,	0.060,	23.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:30:03',	'2021-05-16 18:14:03',	NULL,	'',	NULL,	NULL),
(2908,	7,	3903,	'CSO3903',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:32:52',	'2021-05-16 18:14:03',	NULL,	'',	NULL,	NULL),
(2909,	7,	3904,	'CSO3904',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	13.418,	0.018,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:35:17',	'2021-05-16 18:14:03',	NULL,	'',	NULL,	NULL),
(2910,	7,	3905,	'CSO3905',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:37:53',	'2021-05-16 18:14:03',	NULL,	'',	NULL,	NULL),
(2911,	7,	3906,	'CSO3906',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	11.970,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:39:45',	'2021-05-16 18:14:39',	NULL,	'',	NULL,	NULL),
(2912,	7,	3907,	'CSO3907',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:41:34',	'2021-05-16 18:14:39',	NULL,	'',	NULL,	NULL),
(2913,	7,	3908,	'CSO3908',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:42:19',	'2021-05-16 18:14:39',	NULL,	'',	NULL,	NULL),
(2914,	7,	3909,	'CSO3909',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	1.008,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:43:45',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	NULL),
(2915,	7,	3910,	'CSO3910',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:45:27',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	NULL),
(2916,	7,	3911,	'CSO3911',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:48:03',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	NULL),
(2917,	7,	3912,	'CSO3912',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	16.560,	0.060,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:52:11',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	1),
(2918,	7,	3913,	'CSO3913',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	9.190,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:55:55',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	NULL),
(2919,	7,	3914,	'CSO3914',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:58:43',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	1),
(2920,	7,	3915,	'CSO3915',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	22.543,	0.043,	22.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 11:59:52',	'2021-05-16 18:16:27',	NULL,	'',	NULL,	NULL),
(2921,	7,	3916,	'CSO3916',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:02:00',	'2021-05-16 18:02:21',	NULL,	'',	NULL,	NULL),
(2922,	7,	3917,	'CSO3917',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	18.329,	0.029,	18.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:04:25',	'2021-05-16 18:02:02',	NULL,	'',	NULL,	NULL),
(2923,	7,	3918,	'CSO3918',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	28.100,	NULL,	28.100,	NULL,	NULL,	'card',	NULL,	'2021-05-16 12:06:57',	'2021-05-16 18:01:07',	NULL,	'',	NULL,	1),
(2924,	7,	3919,	'CSO3919',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	164.000,	NULL,	164.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:07:29',	'2021-05-16 18:00:37',	NULL,	'',	NULL,	1),
(2925,	7,	3920,	'CSO3920',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-16',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:09:35',	'2021-05-16 18:00:07',	NULL,	'',	NULL,	NULL),
(2926,	7,	3921,	'CSO3921',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	33.975,	NULL,	34.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:15:53',	'2021-05-17 05:42:15',	NULL,	'',	NULL,	NULL),
(2927,	7,	3922,	'CSO3922',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.785,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:18:36',	'2021-05-17 05:43:14',	NULL,	'',	NULL,	NULL),
(2928,	7,	3923,	'CSO3923',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:24:38',	'2021-05-17 05:43:31',	NULL,	'',	NULL,	NULL),
(2929,	7,	3924,	'CSO3924',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:25:52',	'2021-05-17 05:43:46',	NULL,	'',	NULL,	NULL),
(2930,	7,	3925,	'CSO3925',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:28:31',	'2021-05-17 05:44:06',	NULL,	'',	NULL,	NULL),
(2931,	7,	3926,	'CSO3926',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:30:25',	'2021-05-17 05:44:34',	NULL,	'',	NULL,	NULL),
(2932,	7,	3927,	'CSO3927',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	18.100,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:36:10',	'2021-05-17 10:27:08',	NULL,	'',	NULL,	1),
(2933,	7,	3928,	'CSO3928',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:45:02',	'2021-05-17 10:27:29',	NULL,	'',	NULL,	NULL),
(2934,	7,	3929,	'CSO3929',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	16.900,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:46:51',	'2021-05-17 10:33:35',	NULL,	'',	NULL,	NULL),
(2935,	7,	3930,	'CSO3930',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.770,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:49:04',	'2021-05-17 10:28:01',	NULL,	'',	NULL,	NULL),
(2936,	7,	3931,	'CSO3931',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.900,	NULL,	12.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:50:19',	'2021-05-17 10:28:19',	NULL,	'',	NULL,	NULL),
(2937,	7,	3932,	'CSO3932',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	26.800,	NULL,	26.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 12:56:00',	'2021-05-17 10:33:46',	NULL,	'',	NULL,	NULL),
(2938,	7,	3933,	'CSO3933',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.600,	NULL,	12.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:00:28',	'2021-05-17 10:38:44',	NULL,	'',	NULL,	1),
(2939,	7,	3934,	'CSO3934',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	40.425,	NULL,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:02:25',	'2021-05-17 10:39:05',	NULL,	'',	NULL,	NULL),
(2940,	7,	3935,	'CSO3935',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	28.800,	NULL,	28.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:04:34',	'2021-05-17 10:39:26',	NULL,	'',	NULL,	NULL),
(2941,	7,	3936,	'CSO3936',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:05:37',	'2021-05-17 10:39:58',	NULL,	'',	NULL,	NULL),
(2942,	7,	3937,	'CSO3937',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:10:10',	'2021-05-17 10:39:53',	NULL,	'',	NULL,	NULL),
(2943,	7,	3938,	'CSO3938',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:13:59',	'2021-05-17 10:40:43',	NULL,	'',	NULL,	NULL),
(2944,	7,	3939,	'CSO3939',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:18:37',	'2021-05-17 10:41:34',	NULL,	'',	NULL,	NULL),
(2945,	7,	3940,	'CSO3940',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	27.200,	NULL,	27.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:21:00',	'2021-05-17 10:47:36',	NULL,	'',	NULL,	NULL),
(2946,	7,	3941,	'CSO3941',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:25:18',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2947,	7,	3942,	'CSO3942',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:33:05',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2948,	7,	3943,	'CSO3943',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:39:50',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2949,	7,	3944,	'CSO3944',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:40:26',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2950,	7,	3945,	'CSO3945',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	84.800,	NULL,	84.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:42:28',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	1),
(2951,	7,	3946,	'CSO3946',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:43:29',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2952,	7,	3947,	'CSO3947',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:44:37',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2953,	7,	3948,	'CSO3948',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:45:00',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2954,	7,	3949,	'CSO3949',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:49:50',	'2021-05-17 10:50:01',	NULL,	'',	NULL,	NULL),
(2955,	7,	3950,	'CSO3950',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 13:53:51',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2956,	7,	3951,	'CSO3951',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:05:40',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2957,	7,	3952,	'CSO3952',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:06:18',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2958,	7,	3953,	'CSO3953',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:07:30',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2959,	7,	3954,	'CSO3954',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:08:25',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2960,	7,	3955,	'CSO3955',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	19.435,	NULL,	19.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:10:26',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2961,	7,	3956,	'CSO3956',	224,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.970,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:10:41',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2962,	7,	3957,	'CSO3957',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:27:24',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2963,	7,	3958,	'CSO3958',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.370,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:29:57',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2964,	7,	3959,	'CSO3959',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:41:25',	'2021-05-17 10:53:56',	NULL,	'',	NULL,	NULL),
(2965,	7,	3960,	'CSO3960',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:47:14',	'2021-05-17 11:25:48',	NULL,	'',	NULL,	NULL),
(2966,	7,	3961,	'CSO3961',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.100,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:54:15',	'2021-05-17 11:09:48',	NULL,	'',	NULL,	NULL),
(2967,	7,	3962,	'CSO3962',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	11.970,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:55:40',	'2021-05-17 11:09:48',	NULL,	'',	NULL,	NULL),
(2968,	7,	3963,	'CSO3963',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 14:56:29',	'2021-05-17 11:26:18',	NULL,	'',	NULL,	NULL),
(2969,	7,	3964,	'CSO3964',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	146.400,	NULL,	146.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:04:44',	'2021-05-17 11:26:45',	NULL,	'',	NULL,	NULL),
(2970,	7,	3965,	'CSO3965',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:19:43',	'2021-05-17 11:27:04',	NULL,	'',	NULL,	NULL),
(2971,	7,	3966,	'CSO3966',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	17.900,	NULL,	17.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:30:03',	'2021-05-17 11:27:38',	NULL,	'OMANI',	NULL,	1),
(2972,	7,	3967,	'CSO3967',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:31:03',	'2021-05-17 11:27:54',	NULL,	'',	NULL,	NULL),
(2973,	7,	3968,	'CSO3968',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:33:11',	'2021-05-17 11:28:12',	NULL,	'',	NULL,	NULL),
(2974,	7,	3969,	'CSO3969',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	11.500,	NULL,	11.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:42:14',	'2021-05-17 11:28:58',	NULL,	'',	NULL,	NULL),
(2975,	7,	3970,	'CSO3970',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:46:22',	'2021-05-17 11:29:16',	NULL,	'',	NULL,	1),
(2976,	7,	3971,	'CSO3971',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 15:58:15',	'2021-05-17 11:30:05',	NULL,	'',	NULL,	NULL),
(2977,	7,	3972,	'CSO3972',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:03:32',	'2021-05-17 11:30:53',	NULL,	'',	NULL,	NULL),
(2978,	7,	3973,	'CSO3973',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:05:24',	'2021-05-17 11:31:12',	NULL,	'',	NULL,	NULL),
(2979,	7,	3974,	'CSO3974',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	33.200,	NULL,	33.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:09:57',	'2021-05-17 11:31:42',	NULL,	'',	NULL,	NULL),
(2980,	7,	3975,	'CSO3975',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:13:14',	'2021-05-17 11:37:45',	NULL,	'',	NULL,	NULL),
(2981,	7,	3976,	'CSO3976',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	17.100,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:28:48',	'2021-05-17 11:38:44',	NULL,	'',	NULL,	NULL),
(2982,	7,	3977,	'CSO3977',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:35:50',	'2021-05-17 11:39:18',	NULL,	'',	NULL,	NULL),
(2983,	7,	3978,	'CSO3978',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	27.700,	NULL,	27.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:48:42',	'2021-05-17 11:22:21',	NULL,	'',	NULL,	NULL),
(2984,	7,	3979,	'CSO3979',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	132.500,	NULL,	132.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:51:45',	'2021-05-17 11:23:53',	NULL,	'',	NULL,	NULL),
(2985,	7,	3980,	'CSO3980',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	19.000,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 16:55:15',	'2021-05-17 11:23:53',	NULL,	'',	NULL,	NULL),
(2986,	7,	3981,	'CSO3981',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	20.920,	NULL,	290.900,	NULL,	NULL,	'card',	NULL,	'2021-05-16 17:00:34',	'2021-05-17 11:23:53',	NULL,	'',	NULL,	1),
(2987,	7,	3982,	'CSO3982',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 17:01:04',	'2021-05-17 11:52:07',	NULL,	'',	NULL,	NULL),
(2988,	7,	3983,	'CSO3983',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 17:01:32',	'2021-05-17 11:52:25',	NULL,	'',	NULL,	NULL),
(2989,	7,	3984,	'CSO3984',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 17:07:11',	'2021-05-17 12:10:14',	NULL,	'',	NULL,	NULL),
(2990,	7,	3985,	'CSO3985',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 17:09:35',	'2021-05-17 12:11:39',	NULL,	'',	NULL,	NULL),
(2991,	7,	3986,	'CSO3986',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	7.100,	0.100,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 17:11:47',	'2021-05-17 12:12:28',	NULL,	'',	NULL,	NULL),
(2992,	7,	3987,	'CSO3987',	226,	0,	'2021-05-16',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-16 17:36:42',	'2021-05-17 12:12:55',	NULL,	'',	NULL,	NULL),
(2993,	7,	3988,	'CSO3988',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	54.509,	0.090,	54.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:00:28',	'2021-05-17 12:13:28',	NULL,	'',	NULL,	NULL),
(2994,	7,	3989,	'CSO3989',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	28.800,	NULL,	28.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:05:50',	'2021-05-17 12:14:09',	NULL,	'',	NULL,	NULL),
(2995,	7,	3990,	'CSO3990',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:31:10',	'2021-05-17 12:14:37',	NULL,	'',	NULL,	NULL),
(2996,	7,	3991,	'CSO3991',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:41:40',	'2021-05-17 12:15:03',	NULL,	'',	NULL,	NULL),
(2997,	7,	3992,	'CSO3992',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	26.293,	NULL,	26.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:48:36',	'2021-05-17 12:20:10',	NULL,	'',	NULL,	NULL),
(2998,	7,	3993,	'CSO3993',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:56:33',	'2021-05-17 12:20:29',	NULL,	'',	NULL,	NULL),
(2999,	7,	3994,	'CSO3994',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	17.200,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:58:39',	'2021-05-17 12:21:03',	NULL,	'',	NULL,	NULL),
(3000,	7,	3995,	'CSO3995',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	3.938,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 05:59:12',	'2021-05-17 12:21:28',	NULL,	'',	NULL,	NULL),
(3001,	7,	3996,	'CSO3996',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	9.085,	NULL,	9.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:00:31',	'2021-05-17 12:21:49',	NULL,	'',	NULL,	NULL),
(3002,	7,	3997,	'CSO3997',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	26.400,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:03:44',	'2021-05-17 12:22:08',	NULL,	'',	NULL,	NULL),
(3003,	7,	3998,	'CSO3998',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	41.700,	NULL,	41.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:09:44',	'2021-05-17 12:22:40',	NULL,	'',	NULL,	1),
(3004,	7,	3999,	'CSO3999',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.100,	NULL,	4.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:33:55',	'2021-05-17 12:52:29',	NULL,	'',	NULL,	NULL),
(3005,	7,	4000,	'CSO4000',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:35:47',	'2021-05-17 11:43:05',	NULL,	'',	NULL,	NULL),
(3006,	7,	4001,	'CSO4001',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.006,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:44:40',	'2021-05-17 12:22:56',	NULL,	'',	NULL,	NULL),
(3007,	7,	4002,	'CSO4002',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	40.600,	0.100,	40.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:45:51',	'2021-05-17 12:23:24',	NULL,	'',	NULL,	NULL),
(3008,	7,	4003,	'CSO4003',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:49:33',	'2021-05-17 12:26:40',	NULL,	'',	NULL,	1),
(3009,	7,	4004,	'CSO4004',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 06:49:33',	'2021-05-17 12:27:18',	NULL,	'',	NULL,	NULL),
(3010,	7,	4005,	'CSO4005',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:12:24',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	NULL),
(3011,	7,	4006,	'CSO4006',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	47.600,	NULL,	47.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:22:20',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	1),
(3012,	7,	4007,	'CSO4007',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:26:02',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	NULL),
(3013,	7,	4008,	'CSO4008',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:26:14',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	NULL),
(3014,	7,	4009,	'CSO4009',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	16.450,	NULL,	16.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:28:33',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	NULL),
(3015,	7,	4010,	'CSO4010',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:33:19',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	NULL),
(3016,	7,	4011,	'CSO4011',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:41:08',	'2021-05-17 12:40:43',	NULL,	'',	NULL,	NULL),
(3017,	7,	4012,	'CSO4012',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	24.785,	NULL,	24.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:44:03',	'2021-05-17 13:20:16',	NULL,	'',	NULL,	NULL),
(3018,	7,	4013,	'CSO4013',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	30.000,	NULL,	30.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:46:49',	'2021-05-17 12:44:51',	NULL,	'JALALI CASH',	NULL,	1),
(3019,	7,	4014,	'CSO4014',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	25.800,	NULL,	25.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:49:17',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3020,	7,	4015,	'CSO4015',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	18.170,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:55:09',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3021,	7,	4016,	'CSO4016',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	74.600,	NULL,	74.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:58:55',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3022,	7,	4017,	'CSO4017',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	14.085,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 07:59:28',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3023,	7,	4018,	'CSO4018',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:00:59',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3024,	7,	4019,	'CSO4019',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	56.700,	NULL,	56.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:01:22',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3025,	7,	4020,	'CSO4020',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	55.000,	NULL,	55.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:05:49',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3026,	7,	4021,	'CSO4021',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:13:02',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3027,	7,	4022,	'CSO4022',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:14:25',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3028,	7,	4023,	'CSO4023',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:22:44',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	NULL),
(3029,	7,	4024,	'CSO4024',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	15.800,	NULL,	15.800,	NULL,	NULL,	'card',	NULL,	'2021-05-17 08:24:49',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	1),
(3030,	7,	4025,	'CSO4025',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	15.300,	NULL,	15.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:26:48',	'2021-05-17 12:44:51',	NULL,	'',	NULL,	1),
(3031,	7,	4026,	'CSO4026',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.580,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:27:09',	'2021-05-17 08:45:35',	NULL,	'',	NULL,	NULL),
(3032,	7,	4027,	'CSO4027',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:29:02',	'2021-05-17 08:45:02',	NULL,	'',	NULL,	NULL),
(3033,	7,	4028,	'CSO4028',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	18.400,	NULL,	18.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:29:04',	'2021-05-17 08:43:46',	NULL,	'',	NULL,	NULL),
(3034,	7,	4029,	'CSO4029',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	19.800,	NULL,	19.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:31:35',	'2021-05-17 11:09:48',	NULL,	'',	NULL,	NULL),
(3035,	7,	4030,	'CSO4030',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:34:27',	'2021-05-17 08:43:46',	NULL,	'',	NULL,	NULL),
(3036,	7,	4031,	'CSO4031',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:40:42',	'2021-05-17 08:43:46',	NULL,	'',	NULL,	NULL),
(3037,	7,	4032,	'CSO4032',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	33.080,	NULL,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:42:42',	'2021-05-17 11:16:02',	NULL,	'',	NULL,	NULL),
(3038,	7,	4033,	'CSO4033',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	13.001,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:43:28',	'2021-05-17 11:16:02',	NULL,	'',	NULL,	NULL),
(3039,	7,	4034,	'CSO4034',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:48:53',	'2021-05-17 11:16:02',	NULL,	'',	NULL,	NULL),
(3040,	7,	4035,	'CSO4035',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:48:57',	'2021-05-17 11:16:02',	NULL,	'',	NULL,	1),
(3041,	7,	4036,	'CSO4036',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 08:53:18',	'2021-05-17 11:16:02',	NULL,	'',	NULL,	NULL),
(3042,	7,	4037,	'CSO4037',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	10.650,	0.050,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:04:17',	'2021-05-17 11:18:53',	NULL,	'',	NULL,	NULL),
(3043,	7,	4038,	'CSO4038',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:05:14',	'2021-05-17 11:18:54',	NULL,	'',	NULL,	NULL),
(3044,	7,	4039,	'CSO4039',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:06:54',	'2021-05-17 11:18:54',	NULL,	'',	NULL,	NULL),
(3045,	7,	4040,	'CSO4040',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:10:57',	'2021-05-17 11:18:54',	NULL,	'',	NULL,	NULL),
(3046,	7,	4041,	'CSO4041',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:12:51',	'2021-05-17 11:18:54',	NULL,	'',	NULL,	NULL),
(3047,	7,	4042,	'CSO4042',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:13:30',	'2021-05-17 11:20:36',	NULL,	'',	NULL,	NULL),
(3048,	7,	4043,	'CSO4043',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	19.300,	NULL,	19.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:15:38',	'2021-05-17 11:20:36',	NULL,	'',	NULL,	1),
(3049,	7,	4044,	'CSO4044',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	161.895,	0.095,	161.800,	NULL,	NULL,	'cash',	'276 near baladiya',	'2021-05-17 09:30:27',	'2021-05-17 11:20:36',	NULL,	'',	NULL,	1),
(3050,	7,	4045,	'CSO4045',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:35:04',	'2021-05-17 11:20:36',	NULL,	'',	NULL,	NULL),
(3051,	7,	4046,	'CSO4046',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	5.643,	0.043,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:52:28',	'2021-05-17 11:20:36',	NULL,	'',	NULL,	NULL),
(3052,	7,	4047,	'CSO4047',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 09:53:43',	'2021-05-17 11:20:36',	NULL,	'',	NULL,	NULL),
(3053,	7,	4048,	'CSO4048',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	3.570,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:00:53',	'2021-05-17 11:21:29',	NULL,	'',	NULL,	NULL),
(3054,	7,	4049,	'CSO4049',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	17.695,	0.195,	17.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:03:02',	'2021-05-17 11:21:29',	NULL,	'',	NULL,	NULL),
(3055,	7,	4050,	'CSO4050',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:11:39',	'2021-05-17 11:09:48',	NULL,	'',	NULL,	1),
(3056,	7,	4051,	'CSO4051',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-17',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:12:07',	'2021-05-17 11:09:48',	NULL,	'',	NULL,	NULL),
(3057,	7,	4052,	'CSO4052',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.385,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:13:22',	'2021-05-18 10:50:40',	NULL,	'',	NULL,	NULL),
(3058,	7,	4053,	'CSO4053',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	0.550,	0.050,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:14:08',	'2021-05-18 10:51:15',	NULL,	'',	NULL,	NULL),
(3059,	7,	4054,	'CSO4054',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:19:04',	'2021-05-18 10:51:36',	NULL,	'',	NULL,	NULL),
(3060,	7,	4055,	'CSO4055',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.200,	0.200,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:20:58',	'2021-05-18 10:53:54',	NULL,	'',	NULL,	NULL),
(3061,	7,	4056,	'CSO4056',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:23:45',	'2021-05-18 11:02:57',	NULL,	'',	NULL,	NULL),
(3062,	7,	4057,	'CSO4057',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:28:26',	'2021-05-18 11:03:14',	NULL,	'',	NULL,	NULL),
(3063,	7,	4058,	'CSO4058',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	14.358,	0.058,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:31:10',	'2021-05-18 11:07:18',	NULL,	'',	NULL,	NULL),
(3064,	7,	4059,	'CSO4059',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:31:36',	'2021-05-18 11:09:26',	NULL,	'',	NULL,	NULL),
(3065,	7,	4060,	'CSO4060',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	20.500,	NULL,	20.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 10:41:41',	'2021-05-18 11:09:46',	NULL,	'',	NULL,	NULL),
(3066,	7,	4061,	'CSO4061',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:06:47',	'2021-05-18 11:10:01',	NULL,	'',	NULL,	NULL),
(3067,	7,	4062,	'CSO4062',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:08:28',	'2021-05-18 11:10:24',	NULL,	'',	NULL,	1),
(3068,	7,	4063,	'CSO4063',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	18.240,	NULL,	18.240,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:10:32',	'2021-05-18 11:10:47',	NULL,	'',	NULL,	1),
(3069,	7,	4064,	'CSO4064',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:12:03',	'2021-05-18 11:11:03',	NULL,	'',	NULL,	NULL),
(3070,	7,	4065,	'CSO4065',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:13:20',	'2021-05-18 11:11:23',	NULL,	'',	NULL,	NULL),
(3071,	7,	4066,	'CSO4066',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:16:42',	'2021-05-18 11:13:52',	NULL,	'',	NULL,	NULL),
(3072,	7,	4067,	'CSO4067',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:19:19',	'2021-05-18 11:14:09',	NULL,	'',	NULL,	NULL),
(3073,	7,	4068,	'CSO4068',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	47.985,	NULL,	48.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:22:57',	'2021-05-18 11:14:33',	NULL,	'',	NULL,	NULL),
(3074,	7,	4069,	'CSO4069',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	18.800,	NULL,	18.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:26:55',	'2021-05-18 11:17:48',	NULL,	'',	NULL,	NULL),
(3075,	7,	4070,	'CSO4070',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:31:17',	'2021-05-18 11:18:23',	NULL,	'',	NULL,	NULL),
(3076,	7,	4071,	'CSO4071',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	20.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:33:59',	'2021-05-18 11:19:30',	NULL,	'',	NULL,	1),
(3077,	7,	4072,	'CSO4072',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:34:27',	'2021-05-18 11:23:29',	NULL,	'',	NULL,	NULL),
(3078,	7,	4073,	'CSO4073',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.001,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:36:15',	'2021-05-18 11:23:55',	NULL,	'',	NULL,	NULL),
(3079,	7,	4074,	'CSO4074',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	24.300,	NULL,	24.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:43:26',	'2021-05-18 11:24:31',	NULL,	'',	NULL,	NULL),
(3080,	7,	4075,	'CSO4075',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:47:22',	'2021-05-18 11:25:48',	NULL,	'',	NULL,	NULL),
(3081,	7,	4076,	'CSO4076',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:50:07',	'2021-05-18 11:26:14',	NULL,	'',	NULL,	NULL),
(3082,	7,	4077,	'CSO4077',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.285,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:52:13',	'2021-05-18 11:26:49',	NULL,	'',	NULL,	NULL),
(3083,	7,	4078,	'CSO4078',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	31.250,	NULL,	31.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:57:25',	'2021-05-18 11:28:28',	NULL,	'',	NULL,	NULL),
(3084,	7,	4079,	'CSO4079',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:57:48',	'2021-05-18 11:29:09',	NULL,	'',	NULL,	NULL),
(3085,	7,	4080,	'CSO4080',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	10.710,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:58:17',	'2021-05-18 11:29:58',	NULL,	'',	NULL,	NULL),
(3086,	7,	4081,	'CSO4081',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	13.900,	NULL,	13.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 11:59:55',	'2021-05-18 11:30:34',	NULL,	'',	NULL,	NULL),
(3087,	7,	4082,	'CSO4082',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:01:33',	'2021-05-18 11:31:05',	NULL,	'',	NULL,	NULL),
(3088,	7,	4083,	'CSO4083',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	30.400,	NULL,	30.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:02:12',	'2021-05-18 11:31:38',	NULL,	'',	NULL,	NULL),
(3089,	7,	4084,	'CSO4084',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:02:32',	'2021-05-18 11:31:54',	NULL,	'',	NULL,	NULL),
(3090,	7,	4085,	'CSO4085',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:03:09',	'2021-05-18 11:32:12',	NULL,	'',	NULL,	NULL),
(3091,	7,	4086,	'CSO4086',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:03:39',	'2021-05-18 11:32:47',	NULL,	'',	NULL,	NULL),
(3092,	7,	4087,	'CSO4087',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:05:01',	'2021-05-18 11:33:11',	NULL,	'',	NULL,	NULL),
(3093,	7,	4088,	'CSO4088',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	21.860,	NULL,	21.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:13:19',	'2021-05-18 11:33:45',	NULL,	'',	NULL,	NULL),
(3094,	7,	4089,	'CSO4089',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:14:01',	'2021-05-18 11:34:02',	NULL,	'',	NULL,	NULL),
(3095,	7,	4090,	'CSO4090',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:14:29',	'2021-05-18 11:35:23',	NULL,	'',	NULL,	NULL),
(3096,	7,	4091,	'CSO4091',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:16:54',	'2021-05-18 11:38:15',	NULL,	'',	NULL,	NULL),
(3097,	7,	4092,	'CSO4092',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	21.401,	NULL,	21.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:21:22',	'2021-05-18 11:36:20',	NULL,	'',	NULL,	1),
(3098,	7,	4093,	'CSO4093',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	15.100,	0.100,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:23:48',	'2021-05-18 11:36:50',	NULL,	'',	NULL,	NULL),
(3099,	7,	4094,	'CSO4094',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:26:44',	'2021-05-18 11:37:16',	NULL,	'',	NULL,	NULL),
(3100,	7,	4095,	'CSO4095',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:27:12',	'2021-05-18 11:37:34',	NULL,	'',	NULL,	NULL),
(3101,	7,	4096,	'CSO4096',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:27:19',	'2021-05-18 11:37:55',	NULL,	'',	NULL,	NULL),
(3102,	7,	4097,	'CSO4097',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:30:29',	'2021-05-18 11:38:15',	NULL,	'',	NULL,	NULL),
(3103,	7,	4098,	'CSO4098',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:32:24',	'2021-05-18 11:38:31',	NULL,	'',	NULL,	NULL),
(3104,	7,	4099,	'CSO4099',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	49.200,	NULL,	49.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:34:49',	'2021-05-18 11:38:59',	NULL,	'',	NULL,	NULL),
(3105,	7,	4100,	'CSO4100',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:37:12',	'2021-05-18 11:39:46',	NULL,	'',	NULL,	NULL),
(3106,	7,	4101,	'CSO4101',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	29.300,	0.800,	28.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:38:02',	'2021-05-18 11:40:28',	NULL,	'',	NULL,	1),
(3107,	7,	4102,	'CSO4102',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:39:44',	'2021-05-18 11:40:47',	NULL,	'',	NULL,	NULL),
(3108,	7,	4103,	'CSO4103',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:48:56',	'2021-05-18 11:41:13',	NULL,	'',	NULL,	NULL),
(3109,	7,	4104,	'CSO4104',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:51:53',	'2021-05-18 11:41:38',	NULL,	'',	NULL,	NULL),
(3110,	7,	4105,	'CSO4105',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:52:33',	'2021-05-18 11:42:01',	NULL,	'',	NULL,	NULL),
(3111,	7,	4106,	'CSO4106',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.785,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:53:38',	'2021-05-18 11:43:24',	NULL,	'',	NULL,	NULL),
(3112,	7,	4107,	'CSO4107',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	23.600,	NULL,	23.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:55:25',	'2021-05-18 11:49:31',	NULL,	'',	NULL,	1),
(3113,	7,	4108,	'CSO4108',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.900,	NULL,	9.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 12:56:26',	'2021-05-18 11:50:02',	NULL,	'',	NULL,	NULL),
(3114,	7,	4109,	'CSO4109',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:00:41',	'2021-05-18 12:06:40',	NULL,	'',	NULL,	NULL),
(3115,	7,	4110,	'CSO4110',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:06:55',	'2021-05-18 12:14:55',	NULL,	'',	NULL,	1),
(3116,	7,	4111,	'CSO4111',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	192.700,	NULL,	192.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:15:00',	'2021-05-18 12:15:28',	NULL,	'SUR',	NULL,	1),
(3117,	7,	4112,	'CSO4112',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:15:45',	'2021-05-18 12:15:44',	NULL,	'',	NULL,	1),
(3118,	7,	4113,	'CSO4113',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.838,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:19:45',	'2021-05-18 12:17:06',	NULL,	'',	NULL,	NULL),
(3119,	7,	4114,	'CSO4114',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.900,	NULL,	7.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:23:49',	'2021-05-18 12:17:26',	NULL,	'',	NULL,	NULL),
(3120,	7,	4115,	'CSO4115',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:24:41',	'2021-05-18 12:17:41',	NULL,	'',	NULL,	NULL),
(3121,	7,	4116,	'CSO4116',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:25:07',	'2021-05-18 12:20:10',	NULL,	'',	NULL,	NULL),
(3122,	7,	4117,	'CSO4117',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:29:34',	'2021-05-18 12:20:40',	NULL,	'',	NULL,	NULL),
(3123,	7,	4118,	'CSO4118',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:31:21',	'2021-05-18 12:21:02',	NULL,	'',	NULL,	NULL),
(3124,	7,	4119,	'CSO4119',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:32:26',	'2021-05-18 12:21:22',	NULL,	'',	NULL,	NULL),
(3125,	7,	4120,	'CSO4120',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.785,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:33:28',	'2021-05-18 12:23:31',	NULL,	'',	NULL,	NULL),
(3126,	7,	4121,	'CSO4121',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:35:20',	'2021-05-18 12:23:56',	NULL,	'',	NULL,	NULL),
(3127,	7,	4122,	'CSO4122',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:35:26',	'2021-05-18 12:24:29',	NULL,	'',	NULL,	NULL),
(3128,	7,	4123,	'CSO4123',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	34.020,	NULL,	34.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:44:54',	'2021-05-18 12:24:56',	NULL,	'',	NULL,	NULL),
(3129,	7,	4124,	'CSO4124',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 13:48:39',	'2021-05-18 12:28:31',	NULL,	'',	NULL,	NULL),
(3130,	7,	4125,	'CSO4125',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:04:31',	'2021-05-18 12:28:48',	NULL,	'',	NULL,	1),
(3131,	7,	4126,	'CSO4126',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	105.900,	NULL,	105.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:12:20',	'2021-05-18 12:29:22',	NULL,	'',	NULL,	NULL),
(3132,	7,	4127,	'CSO4127',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:17:38',	'2021-05-18 12:29:56',	NULL,	'',	NULL,	NULL),
(3133,	7,	4128,	'CSO4128',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:20:57',	'2021-05-18 12:30:18',	NULL,	'',	NULL,	NULL),
(3134,	7,	4129,	'CSO4129',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	72.900,	NULL,	72.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:26:28',	'2021-05-18 12:30:42',	NULL,	'',	NULL,	1),
(3135,	7,	4130,	'CSO4130',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.140,	NULL,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:27:13',	'2021-05-18 12:31:12',	NULL,	'',	NULL,	NULL),
(3136,	7,	4131,	'CSO4131',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.660,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:27:27',	'2021-05-18 12:39:37',	NULL,	'',	NULL,	NULL),
(3137,	7,	4132,	'CSO4132',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:29:51',	'2021-05-18 12:41:32',	NULL,	'',	NULL,	NULL),
(3138,	7,	4133,	'CSO4133',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	34.500,	NULL,	34.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:36:31',	'2021-05-18 12:42:09',	NULL,	'',	NULL,	1),
(3139,	7,	4134,	'CSO4134',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:40:21',	'2021-05-18 12:43:06',	NULL,	'',	NULL,	NULL),
(3140,	7,	4135,	'CSO4135',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	26.800,	NULL,	26.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:43:54',	'2021-05-18 12:43:32',	NULL,	'',	NULL,	NULL),
(3141,	7,	4136,	'CSO4136',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:51:11',	'2021-05-18 12:43:48',	NULL,	'',	NULL,	NULL),
(3142,	7,	4137,	'CSO4137',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.100,	NULL,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 14:52:05',	'2021-05-18 12:44:20',	NULL,	'',	NULL,	NULL),
(3143,	7,	4138,	'CSO4138',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:00:44',	'2021-05-18 12:44:38',	NULL,	'',	NULL,	NULL),
(3144,	7,	4139,	'CSO4139',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:03:31',	'2021-05-18 12:44:54',	NULL,	'',	NULL,	NULL),
(3145,	7,	4140,	'CSO4140',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:07:45',	'2021-05-18 12:45:12',	NULL,	'',	NULL,	NULL),
(3146,	7,	4141,	'CSO4141',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:08:37',	'2021-05-18 12:45:33',	NULL,	'',	NULL,	NULL),
(3147,	7,	4142,	'CSO4142',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:10:59',	'2021-05-18 12:45:53',	NULL,	'',	NULL,	NULL),
(3148,	7,	4143,	'CSO4143',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:12:17',	'2021-05-18 12:46:14',	NULL,	'',	NULL,	NULL),
(3149,	7,	4144,	'CSO4144',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	29.370,	NULL,	29.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:34:24',	'2021-05-18 12:46:38',	NULL,	'',	NULL,	NULL),
(3150,	7,	4145,	'CSO4145',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:37:41',	'2021-05-18 12:46:58',	NULL,	'',	NULL,	NULL),
(3151,	7,	4146,	'CSO4146',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:40:28',	'2021-05-18 12:47:15',	NULL,	'',	NULL,	NULL),
(3152,	7,	4147,	'CSO4147',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:53:08',	'2021-05-18 12:47:48',	NULL,	'',	NULL,	NULL),
(3153,	7,	4148,	'CSO4148',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 15:53:17',	'2021-05-18 12:48:10',	NULL,	'',	NULL,	NULL),
(3154,	7,	4149,	'CSO4149',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	11.100,	NULL,	11.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 16:01:21',	'2021-05-18 12:48:34',	NULL,	'',	NULL,	NULL),
(3155,	7,	4150,	'CSO4150',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 16:01:54',	'2021-05-18 12:49:18',	NULL,	'',	NULL,	NULL),
(3156,	7,	4151,	'CSO4151',	224,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	22.800,	NULL,	22.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 16:07:19',	'2021-05-18 12:49:44',	NULL,	'',	NULL,	NULL),
(3157,	7,	4152,	'CSO4152',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 16:30:37',	'2021-05-18 12:50:08',	NULL,	'',	NULL,	NULL),
(3158,	7,	4153,	'CSO4153',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 16:50:43',	'2021-05-18 12:50:25',	NULL,	'',	NULL,	1),
(3159,	7,	4154,	'CSO4154',	226,	0,	'2021-05-17',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-17 16:54:56',	'2021-05-18 12:50:42',	NULL,	'',	NULL,	NULL),
(3160,	7,	4155,	'CSO4155',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 04:58:25',	'2021-05-18 12:51:11',	NULL,	'',	NULL,	NULL),
(3161,	7,	4156,	'CSO4156',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 05:10:49',	'2021-05-18 12:51:25',	NULL,	'',	NULL,	NULL),
(3162,	7,	4157,	'CSO4157',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 05:34:04',	'2021-05-18 12:51:39',	NULL,	'',	NULL,	NULL),
(3163,	7,	4158,	'CSO4158',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	28.800,	NULL,	28.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 05:36:17',	'2021-05-18 12:51:54',	NULL,	'M N CASH .....',	NULL,	NULL),
(3164,	7,	4159,	'CSO4159',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	16.200,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:07:44',	'2021-05-18 12:52:08',	NULL,	'',	NULL,	NULL),
(3165,	7,	4160,	'CSO4160',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:08:52',	'2021-05-18 12:52:28',	NULL,	'',	NULL,	NULL),
(3166,	7,	4161,	'CSO4161',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	34.300,	NULL,	34.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:14:06',	'2021-05-18 12:53:45',	NULL,	'CASH KHALEEFA',	NULL,	NULL),
(3167,	7,	4162,	'CSO4162',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	31.670,	NULL,	31.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:16:49',	'2021-05-18 12:54:29',	NULL,	'CASH JALALI',	NULL,	1),
(3168,	7,	4163,	'CSO4163',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:21:12',	'2021-05-18 12:54:47',	NULL,	'',	NULL,	NULL),
(3169,	7,	4164,	'CSO4164',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:31:23',	'2021-05-18 12:55:07',	NULL,	'',	NULL,	NULL),
(3170,	7,	4165,	'CSO4165',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:33:08',	'2021-05-18 12:55:26',	NULL,	'',	NULL,	NULL),
(3171,	7,	4166,	'CSO4166',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:35:12',	'2021-05-18 12:55:43',	NULL,	'',	NULL,	NULL),
(3172,	7,	4167,	'CSO4167',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.830,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:36:32',	'2021-05-18 12:56:04',	NULL,	'',	NULL,	NULL),
(3173,	7,	4168,	'CSO4168',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:44:51',	'2021-05-18 12:56:19',	NULL,	'',	NULL,	NULL),
(3174,	7,	4169,	'CSO4169',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:46:40',	'2021-05-18 12:56:43',	NULL,	'',	NULL,	NULL),
(3175,	7,	4170,	'CSO4170',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.497,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:48:14',	'2021-05-18 12:57:06',	NULL,	'',	NULL,	NULL),
(3176,	7,	4171,	'CSO4171',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:53:00',	'2021-05-18 12:57:21',	NULL,	'',	NULL,	NULL),
(3177,	7,	4172,	'CSO4172',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.830,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:54:10',	'2021-05-18 12:59:23',	NULL,	'',	NULL,	NULL),
(3178,	7,	4173,	'CSO4173',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:54:38',	'2021-05-18 13:29:24',	NULL,	'',	NULL,	NULL),
(3179,	7,	4174,	'CSO4174',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:55:52',	'2021-05-18 13:29:42',	NULL,	'',	NULL,	NULL),
(3180,	7,	4175,	'CSO4175',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:56:39',	'2021-05-18 13:30:04',	NULL,	'',	NULL,	NULL),
(3181,	7,	4176,	'CSO4176',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:57:30',	'2021-05-18 13:30:28',	NULL,	'',	NULL,	NULL),
(3182,	7,	4177,	'CSO4177',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 06:58:44',	'2021-05-18 13:30:55',	NULL,	'',	NULL,	NULL),
(3183,	7,	4178,	'CSO4178',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	15.200,	0.200,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:00:05',	'2021-05-18 13:31:11',	NULL,	'',	NULL,	NULL),
(3184,	7,	4179,	'CSO4179',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:07:43',	'2021-05-18 13:32:07',	NULL,	'',	NULL,	NULL),
(3185,	7,	4180,	'CSO4180',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:10:24',	'2021-05-18 13:32:31',	NULL,	'',	NULL,	NULL),
(3186,	7,	4181,	'CSO4181',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	39.200,	NULL,	39.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:13:00',	'2021-05-18 13:32:58',	NULL,	'',	NULL,	NULL),
(3187,	7,	4182,	'CSO4182',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:15:02',	'2021-05-18 13:33:21',	NULL,	'',	NULL,	NULL),
(3188,	7,	4183,	'CSO4183',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.620,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:15:56',	'2021-05-18 13:33:39',	NULL,	'',	NULL,	NULL),
(3189,	7,	4184,	'CSO4184',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:28:29',	'2021-05-18 13:33:58',	NULL,	'',	NULL,	NULL),
(3190,	7,	4185,	'CSO4185',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:37:30',	'2021-05-18 13:34:12',	NULL,	'',	NULL,	NULL),
(3191,	7,	4186,	'CSO4186',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	20.700,	NULL,	20.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:47:02',	'2021-05-18 13:34:30',	NULL,	'',	NULL,	NULL),
(3192,	7,	4187,	'CSO4187',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:47:05',	'2021-05-18 13:34:50',	NULL,	'',	NULL,	NULL),
(3193,	7,	4188,	'CSO4188',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	31.400,	NULL,	31.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:52:17',	'2021-05-18 13:35:10',	NULL,	'',	NULL,	NULL),
(3194,	7,	4189,	'CSO4189',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:53:26',	'2021-05-18 13:35:34',	NULL,	'',	NULL,	NULL),
(3195,	7,	4190,	'CSO4190',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	109.900,	NULL,	109.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:53:52',	'2021-05-18 13:36:52',	NULL,	'',	NULL,	1),
(3196,	7,	4191,	'CSO4191',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:54:48',	'2021-05-18 14:01:51',	NULL,	'',	NULL,	NULL),
(3197,	7,	4192,	'CSO4192',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:56:16',	'2021-05-18 14:02:08',	NULL,	'',	NULL,	NULL),
(3198,	7,	4193,	'CSO4193',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	33.000,	NULL,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:56:43',	'2021-05-18 14:02:23',	NULL,	'',	NULL,	NULL),
(3199,	7,	4194,	'CSO4194',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:58:01',	'2021-05-18 14:02:46',	NULL,	'',	NULL,	NULL),
(3200,	7,	4195,	'CSO4195',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 07:58:58',	'2021-05-18 14:03:03',	NULL,	'',	NULL,	NULL),
(3201,	7,	4196,	'CSO4196',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:00:51',	'2021-05-18 14:04:22',	NULL,	'',	NULL,	NULL),
(3202,	7,	4197,	'CSO4197',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	'2757',	'2021-05-18 08:04:54',	'2021-05-18 14:04:45',	NULL,	'NAZAR BARKA',	NULL,	NULL),
(3203,	7,	4198,	'CSO4198',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	16.500,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:13:04',	'2021-05-18 14:05:10',	NULL,	'',	NULL,	NULL),
(3204,	7,	4199,	'CSO4199',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:13:46',	'2021-05-18 14:05:29',	NULL,	'',	NULL,	NULL),
(3205,	7,	4200,	'CSO4200',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:16:43',	'2021-05-18 14:05:43',	NULL,	'',	NULL,	NULL),
(3206,	7,	4201,	'CSO4201',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.601,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:18:56',	'2021-05-18 14:06:25',	NULL,	'',	NULL,	NULL),
(3207,	7,	4202,	'CSO4202',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:21:40',	'2021-05-18 14:06:43',	NULL,	'',	NULL,	1),
(3208,	7,	4203,	'CSO4203',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:27:04',	'2021-05-18 14:11:09',	NULL,	'',	NULL,	NULL),
(3209,	7,	4204,	'CSO4204',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:35:38',	'2021-05-18 14:11:25',	NULL,	'',	NULL,	NULL),
(3210,	7,	4205,	'CSO4205',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:40:17',	'2021-05-18 14:11:45',	NULL,	'',	NULL,	NULL),
(3211,	7,	4206,	'CSO4206',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:43:11',	'2021-05-18 14:12:03',	NULL,	'',	NULL,	NULL),
(3212,	7,	4207,	'CSO4207',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	14.680,	NULL,	14.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:48:03',	'2021-05-18 14:12:22',	NULL,	'',	NULL,	NULL),
(3213,	7,	4208,	'CSO4208',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	25.490,	NULL,	25.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:51:02',	'2021-05-18 14:12:42',	NULL,	'',	NULL,	NULL),
(3214,	7,	4209,	'CSO4209',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	21.755,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:52:50',	'2021-05-18 14:13:11',	NULL,	'',	NULL,	1),
(3215,	7,	4210,	'CSO4210',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:52:55',	'2021-05-18 14:13:28',	NULL,	'',	NULL,	NULL),
(3216,	7,	4211,	'CSO4211',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:54:09',	'2021-05-18 14:13:45',	NULL,	'',	NULL,	1),
(3217,	7,	4212,	'CSO4212',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	43.000,	NULL,	43.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:56:01',	'2021-05-18 14:15:06',	NULL,	'',	NULL,	NULL),
(3218,	7,	4213,	'CSO4213',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 08:57:53',	'2021-05-18 14:15:37',	NULL,	'',	NULL,	NULL),
(3219,	7,	4214,	'CSO4214',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	0.525,	NULL,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:05:31',	'2021-05-18 14:16:00',	NULL,	'',	NULL,	NULL),
(3220,	7,	4215,	'CSO4215',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:12:57',	'2021-05-18 14:16:30',	NULL,	'',	NULL,	NULL),
(3221,	7,	4216,	'CSO4216',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.200,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:18:21',	'2021-05-18 14:16:50',	NULL,	'',	NULL,	NULL),
(3222,	7,	4217,	'CSO4217',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:19:30',	'2021-05-18 14:17:05',	NULL,	'',	NULL,	NULL),
(3223,	7,	4218,	'CSO4218',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:23:34',	'2021-05-18 14:17:29',	NULL,	'',	NULL,	NULL),
(3224,	7,	4219,	'CSO4219',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	17.600,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:27:09',	'2021-05-18 14:18:07',	NULL,	'',	NULL,	NULL),
(3225,	7,	4220,	'CSO4220',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	16.910,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:30:48',	'2021-05-18 14:18:14',	NULL,	'',	NULL,	NULL),
(3226,	7,	4221,	'CSO4221',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.900,	NULL,	4.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:34:43',	'2021-05-18 14:18:29',	NULL,	'',	NULL,	NULL),
(3227,	7,	4222,	'CSO4222',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	25.750,	NULL,	25.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:35:18',	'2021-05-18 14:18:48',	NULL,	'',	NULL,	NULL),
(3228,	7,	4223,	'CSO4223',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:37:28',	'2021-05-18 14:19:03',	NULL,	'',	NULL,	NULL),
(3229,	7,	4224,	'CSO4224',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:38:00',	'2021-05-18 14:19:17',	NULL,	'',	NULL,	1),
(3230,	7,	4225,	'CSO4225',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	45.885,	NULL,	45.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:40:40',	'2021-05-18 14:19:47',	NULL,	'',	NULL,	NULL),
(3231,	7,	4226,	'CSO4226',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	24.950,	NULL,	24.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:41:28',	'2021-05-18 14:20:19',	NULL,	'',	NULL,	NULL),
(3232,	7,	4227,	'CSO4227',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.450,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:42:11',	'2021-05-18 14:20:36',	NULL,	'',	NULL,	NULL),
(3233,	7,	4228,	'CSO4228',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 09:57:22',	'2021-05-18 16:01:12',	NULL,	'',	NULL,	NULL),
(3234,	7,	4229,	'CSO4229',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.993,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:01:47',	'2021-05-18 16:01:12',	NULL,	'',	NULL,	NULL),
(3235,	7,	4230,	'CSO4230',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	26.600,	NULL,	26.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:02:59',	'2021-05-18 16:01:12',	NULL,	'',	NULL,	NULL),
(3236,	7,	4231,	'CSO4231',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	46.025,	0.025,	46.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:04:58',	'2021-05-18 16:01:35',	NULL,	'',	NULL,	NULL),
(3237,	7,	4232,	'CSO4232',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	15.740,	0.040,	15.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:08:22',	'2021-05-18 16:02:47',	NULL,	'',	NULL,	NULL),
(3238,	7,	4233,	'CSO4233',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:09:21',	'2021-05-18 16:02:47',	NULL,	'',	NULL,	NULL),
(3239,	7,	4234,	'CSO4234',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:14:31',	'2021-05-18 16:02:37',	NULL,	'',	NULL,	NULL),
(3240,	7,	4235,	'CSO4235',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	38.000,	NULL,	38.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:21:40',	'2021-05-18 16:02:47',	NULL,	'',	NULL,	NULL),
(3241,	7,	4236,	'CSO4236',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.620,	0.020,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:23:51',	'2021-05-18 16:03:58',	NULL,	'',	NULL,	NULL),
(3242,	7,	4237,	'CSO4237',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:28:33',	'2021-05-18 16:03:58',	NULL,	'',	NULL,	NULL),
(3243,	7,	4238,	'CSO4238',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:30:37',	'2021-05-18 16:03:58',	NULL,	'',	NULL,	NULL),
(3244,	7,	4239,	'CSO4239',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	31.000,	NULL,	31.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:31:40',	'2021-05-18 16:03:58',	NULL,	'',	NULL,	NULL),
(3245,	7,	4240,	'CSO4240',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:37:22',	'2021-05-18 16:03:58',	NULL,	'',	NULL,	NULL),
(3246,	7,	4241,	'CSO4241',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'card',	NULL,	'2021-05-18 10:38:50',	'2021-05-18 16:04:20',	NULL,	'',	NULL,	1),
(3247,	7,	4242,	'CSO4242',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:43:56',	'2021-05-18 16:04:38',	NULL,	'',	NULL,	NULL),
(3248,	7,	4243,	'CSO4243',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:53:42',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3249,	7,	4244,	'CSO4244',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:55:10',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3250,	7,	4245,	'CSO4245',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	16.900,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:56:34',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3251,	7,	4246,	'CSO4246',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:57:42',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3252,	7,	4247,	'CSO4247',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	3.550,	0.050,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:58:15',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3253,	7,	4248,	'CSO4248',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 10:59:37',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3254,	7,	4249,	'CSO4249',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 11:00:28',	'2021-05-18 16:05:56',	NULL,	'',	NULL,	NULL),
(3255,	7,	4250,	'CSO4250',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	7.140,	0.040,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 11:01:12',	'2021-05-18 16:06:53',	NULL,	'',	NULL,	NULL),
(3256,	7,	4251,	'CSO4251',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 11:03:21',	'2021-05-18 16:06:53',	NULL,	'',	NULL,	NULL),
(3257,	7,	4252,	'CSO4252',	226,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-18',	'CMP',	0,	NULL,	37.558,	0.058,	37.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 11:10:34',	'2021-05-18 16:06:53',	NULL,	'',	NULL,	1),
(3258,	7,	4253,	'CSO4253',	226,	0,	'2021-05-18',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-18 11:19:23',	'2021-05-18 11:20:25',	NULL,	'',	NULL,	1),
(3259,	7,	4254,	'CSO4254',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:03:46',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	1),
(3260,	7,	4255,	'CSO4255',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:11:12',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3261,	7,	4256,	'CSO4256',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:50:19',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3262,	7,	4257,	'CSO4257',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:52:41',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3263,	7,	4258,	'CSO4258',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:53:23',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3264,	7,	4259,	'CSO4259',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:55:11',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3265,	7,	4260,	'CSO4260',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.100,	NULL,	3.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:57:51',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3266,	7,	4261,	'CSO4261',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	10.300,	NULL,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 14:59:45',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3267,	7,	4262,	'CSO4262',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.612,	0.012,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:00:38',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3268,	7,	4263,	'CSO4263',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:04:02',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3269,	7,	4264,	'CSO4264',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:04:45',	'2021-05-19 13:48:39',	NULL,	'',	NULL,	NULL),
(3270,	7,	4265,	'CSO4265',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:08:23',	'2021-05-19 13:56:36',	NULL,	'',	NULL,	NULL),
(3271,	7,	4266,	'CSO4266',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:22:43',	'2021-05-19 13:57:22',	NULL,	'',	NULL,	NULL),
(3272,	7,	4267,	'CSO4267',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:35:12',	'2021-05-19 13:57:39',	NULL,	'',	NULL,	NULL),
(3273,	7,	4268,	'CSO4268',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:35:35',	'2021-05-19 13:57:55',	NULL,	'',	NULL,	NULL),
(3274,	7,	4269,	'CSO4269',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:41:29',	'2021-05-19 13:56:11',	NULL,	'',	NULL,	NULL),
(3275,	7,	4270,	'CSO4270',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:48:55',	'2021-05-19 13:55:42',	NULL,	'',	NULL,	NULL),
(3276,	7,	4271,	'CSO4271',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.700,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 15:50:02',	'2021-05-19 13:58:25',	NULL,	'',	NULL,	NULL),
(3277,	7,	4272,	'CSO4272',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:07:32',	'2021-05-19 13:58:57',	NULL,	'',	NULL,	NULL),
(3278,	7,	4273,	'CSO4273',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:10:21',	'2021-05-19 13:58:57',	NULL,	'',	NULL,	NULL),
(3279,	7,	4274,	'CSO4274',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:11:59',	'2021-05-19 13:59:29',	NULL,	'',	NULL,	NULL),
(3280,	7,	4275,	'CSO4275',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:15:16',	'2021-05-19 17:26:50',	NULL,	'',	NULL,	NULL),
(3281,	7,	4276,	'CSO4276',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:17:29',	'2021-05-19 17:27:15',	NULL,	'',	NULL,	NULL),
(3282,	7,	4277,	'CSO4277',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	10.599,	0.300,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:26:14',	'2021-05-19 17:22:56',	NULL,	'',	NULL,	NULL),
(3283,	7,	4278,	'CSO4278',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:32:37',	'2021-05-19 12:02:31',	NULL,	'',	NULL,	NULL),
(3284,	7,	4279,	'CSO4279',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'card',	NULL,	'2021-05-18 16:43:04',	'2021-05-19 12:02:31',	NULL,	'',	NULL,	1),
(3285,	7,	4280,	'CSO4280',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:43:25',	'2021-05-19 12:03:01',	NULL,	'',	NULL,	NULL),
(3286,	7,	4281,	'CSO4281',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:44:24',	'2021-05-19 12:03:25',	NULL,	'',	NULL,	NULL),
(3287,	7,	4282,	'CSO4282',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'card',	NULL,	'2021-05-18 16:46:24',	'2021-05-19 12:07:12',	NULL,	'',	NULL,	NULL),
(3288,	7,	4283,	'CSO4283',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'card',	NULL,	'2021-05-18 16:49:32',	'2021-05-19 12:07:52',	NULL,	'',	NULL,	1),
(3289,	7,	4284,	'CSO4284',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 16:50:38',	'2021-05-19 12:08:13',	NULL,	'',	NULL,	1),
(3290,	7,	4285,	'CSO4285',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	17.600,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 17:09:42',	'2021-05-19 12:13:35',	NULL,	'',	NULL,	NULL),
(3291,	7,	4286,	'CSO4286',	224,	0,	'2021-05-18',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-18 17:36:18',	'2021-05-19 12:13:35',	NULL,	'',	NULL,	NULL),
(3292,	7,	4287,	'CSO4287',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:00:30',	'2021-05-19 12:14:18',	NULL,	'',	NULL,	NULL),
(3293,	7,	4288,	'CSO4288',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:32:39',	'2021-05-19 12:14:18',	NULL,	'',	NULL,	NULL),
(3294,	7,	4289,	'CSO4289',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	36.800,	NULL,	36.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:35:59',	'2021-05-19 12:16:22',	NULL,	'',	NULL,	NULL),
(3295,	7,	4290,	'CSO4290',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:38:16',	'2021-05-19 12:14:52',	NULL,	'',	NULL,	NULL),
(3296,	7,	4291,	'CSO4291',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	17.200,	NULL,	17.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:38:22',	'2021-05-19 12:16:22',	NULL,	'',	NULL,	NULL),
(3297,	7,	4292,	'CSO4292',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	15.200,	NULL,	15.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:42:02',	'2021-05-19 12:16:22',	NULL,	'',	NULL,	NULL),
(3298,	7,	4293,	'CSO4293',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:45:42',	'2021-05-19 12:16:22',	NULL,	'',	NULL,	NULL),
(3299,	7,	4294,	'CSO4294',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	34.600,	NULL,	34.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:46:51',	'2021-05-19 12:16:22',	NULL,	'',	NULL,	NULL),
(3300,	7,	4295,	'CSO4295',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:49:03',	'2021-05-19 12:16:22',	NULL,	'',	NULL,	NULL),
(3301,	7,	4296,	'CSO4296',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	20.200,	NULL,	20.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:50:41',	'2021-05-19 12:17:48',	NULL,	'',	NULL,	NULL),
(3302,	7,	4297,	'CSO4297',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	39.370,	NULL,	39.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:54:44',	'2021-05-19 12:18:08',	NULL,	'',	NULL,	NULL),
(3303,	7,	4298,	'CSO4298',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:55:20',	'2021-05-19 12:20:27',	NULL,	'',	NULL,	NULL),
(3304,	7,	4299,	'CSO4299',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 05:55:46',	'2021-05-19 12:20:52',	NULL,	'',	NULL,	NULL),
(3305,	7,	4300,	'CSO4300',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:07:33',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	NULL),
(3306,	7,	4301,	'CSO4301',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:26:14',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	NULL),
(3307,	7,	4302,	'CSO4302',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	17.100,	NULL,	17.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:27:52',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	NULL),
(3308,	7,	4303,	'CSO4303',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.310,	0.010,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:29:09',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	NULL),
(3309,	7,	4304,	'CSO4304',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	40.600,	NULL,	40.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:40:48',	'2021-05-19 12:22:17',	NULL,	'',	NULL,	1),
(3310,	7,	4305,	'CSO4305',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	21.505,	0.005,	21.500,	NULL,	NULL,	'card',	NULL,	'2021-05-19 06:42:37',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	1),
(3311,	7,	4306,	'CSO4306',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	22.700,	NULL,	22.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:51:37',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	NULL),
(3312,	7,	4307,	'CSO4307',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.570,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 06:57:12',	'2021-05-19 12:24:42',	NULL,	'',	NULL,	NULL),
(3313,	7,	4308,	'CSO4308',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	16.485,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:07:22',	'2021-05-19 12:27:26',	NULL,	'',	NULL,	NULL),
(3314,	7,	4309,	'CSO4309',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.700,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:13:44',	'2021-05-19 12:27:26',	NULL,	'',	NULL,	NULL),
(3315,	7,	4310,	'CSO4310',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	19.000,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:15:25',	'2021-05-19 12:27:26',	NULL,	'',	NULL,	NULL),
(3316,	7,	4311,	'CSO4311',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:18:57',	'2021-05-19 12:27:26',	NULL,	'',	NULL,	NULL),
(3317,	7,	4312,	'CSO4312',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:19:30',	'2021-05-19 12:27:26',	NULL,	'',	NULL,	NULL),
(3318,	7,	4313,	'CSO4313',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:21:18',	'2021-05-19 12:27:26',	NULL,	'',	NULL,	NULL),
(3319,	7,	4314,	'CSO4314',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.000,	0.200,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:22:37',	'2021-05-19 12:30:23',	NULL,	'',	NULL,	NULL),
(3320,	7,	4315,	'CSO4315',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	65.700,	NULL,	65.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:28:15',	'2021-05-19 12:32:50',	NULL,	'',	NULL,	NULL),
(3321,	7,	4316,	'CSO4316',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	14.300,	NULL,	14.300,	NULL,	NULL,	'card',	NULL,	'2021-05-19 07:34:05',	'2021-05-19 12:32:50',	NULL,	'',	NULL,	1),
(3322,	7,	4317,	'CSO4317',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:35:11',	'2021-05-19 12:32:50',	NULL,	'',	NULL,	NULL),
(3323,	7,	4318,	'CSO4318',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:41:01',	'2021-05-19 12:33:39',	NULL,	'',	NULL,	NULL),
(3324,	7,	4319,	'CSO4319',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:44:22',	'2021-05-19 12:34:00',	NULL,	'',	NULL,	NULL),
(3325,	7,	4320,	'CSO4320',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	15.000,	0.500,	14.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:50:58',	'2021-05-19 12:34:24',	NULL,	'',	NULL,	NULL),
(3326,	7,	4321,	'CSO4321',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 07:52:56',	'2021-05-19 12:35:52',	NULL,	'',	NULL,	NULL),
(3327,	7,	4322,	'CSO4322',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.001,	0.001,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:04:38',	'2021-05-19 12:35:52',	NULL,	'',	NULL,	NULL),
(3328,	7,	4323,	'CSO4323',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:12:27',	'2021-05-19 12:36:12',	NULL,	'',	NULL,	NULL),
(3329,	7,	4324,	'CSO4324',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:17:06',	'2021-05-19 12:36:28',	NULL,	'',	NULL,	NULL),
(3330,	7,	4325,	'CSO4325',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.700,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:24:39',	'2021-05-19 12:36:58',	NULL,	'',	NULL,	NULL),
(3331,	7,	4326,	'CSO4326',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:25:48',	'2021-05-19 12:37:37',	NULL,	'',	NULL,	NULL),
(3332,	7,	4327,	'CSO4327',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	16.500,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:26:38',	'2021-05-19 12:37:37',	NULL,	'',	NULL,	NULL),
(3333,	7,	4328,	'CSO4328',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	23.870,	NULL,	23.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:31:31',	'2021-05-19 12:39:29',	NULL,	'',	NULL,	NULL),
(3334,	7,	4329,	'CSO4329',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:34:30',	'2021-05-19 12:40:14',	NULL,	'',	NULL,	NULL),
(3335,	7,	4330,	'CSO4330',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:36:34',	'2021-05-19 12:44:46',	NULL,	'',	NULL,	NULL),
(3336,	7,	4331,	'CSO4331',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:41:21',	'2021-05-19 12:45:13',	NULL,	'',	NULL,	NULL),
(3337,	7,	4332,	'CSO4332',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:44:44',	'2021-05-19 12:46:56',	NULL,	'',	NULL,	NULL),
(3338,	7,	4333,	'CSO4333',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	40.400,	0.400,	40.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:51:06',	'2021-05-19 12:46:56',	NULL,	'JALALE CASH',	NULL,	1),
(3339,	7,	4334,	'CSO4334',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	24.210,	0.010,	24.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 08:52:43',	'2021-05-19 12:47:33',	NULL,	'',	NULL,	NULL),
(3340,	7,	4335,	'CSO4335',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:06:07',	'2021-05-19 12:47:33',	NULL,	'',	NULL,	NULL),
(3341,	7,	4336,	'CSO4336',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:08:22',	'2021-05-19 12:48:38',	NULL,	'',	NULL,	NULL),
(3342,	7,	4337,	'CSO4337',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.100,	0.100,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:11:00',	'2021-05-19 12:48:38',	NULL,	'',	NULL,	NULL),
(3343,	7,	4338,	'CSO4338',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.000,	2.800,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:12:44',	'2021-05-19 12:49:15',	NULL,	'',	NULL,	NULL),
(3344,	7,	4339,	'CSO4339',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:15:54',	'2021-05-19 12:50:13',	NULL,	'',	NULL,	NULL),
(3345,	7,	4340,	'CSO4340',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:22:52',	'2021-05-19 12:50:33',	NULL,	'',	NULL,	NULL),
(3346,	7,	4341,	'CSO4341',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:24:05',	'2021-05-19 12:50:50',	NULL,	'',	NULL,	NULL),
(3347,	7,	4342,	'CSO4342',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.100,	NULL,	3.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:26:51',	'2021-05-19 12:51:09',	NULL,	'',	NULL,	NULL),
(3348,	7,	4343,	'CSO4343',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.900,	NULL,	4.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:28:55',	'2021-05-19 12:51:39',	NULL,	'',	NULL,	NULL),
(3349,	7,	4344,	'CSO4344',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	119.600,	NULL,	119.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:35:49',	'2021-05-19 12:52:47',	NULL,	'',	NULL,	NULL),
(3350,	7,	4345,	'CSO4345',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:37:23',	'2021-05-19 12:52:47',	NULL,	'',	NULL,	NULL),
(3351,	7,	4346,	'CSO4346',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	28.500,	NULL,	28.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:40:42',	'2021-05-19 12:54:37',	NULL,	'',	NULL,	1),
(3352,	7,	4347,	'CSO4347',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	7.140,	0.140,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:43:44',	'2021-05-19 12:55:21',	NULL,	'',	NULL,	NULL),
(3353,	7,	4348,	'CSO4348',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	101.500,	NULL,	101.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:44:25',	'2021-05-19 12:55:21',	NULL,	'',	NULL,	NULL),
(3354,	7,	4349,	'CSO4349',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:45:13',	'2021-05-19 12:55:51',	NULL,	'',	NULL,	NULL),
(3355,	7,	4350,	'CSO4350',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:46:10',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	1),
(3356,	7,	4351,	'CSO4351',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.016,	0.016,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:46:45',	'2021-05-19 13:05:57',	NULL,	'',	NULL,	NULL),
(3357,	7,	4352,	'CSO4352',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	47.500,	NULL,	47.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:48:55',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	NULL),
(3358,	7,	4353,	'CSO4353',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	32.200,	NULL,	32.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:49:51',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	NULL),
(3359,	7,	4354,	'CSO4354',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	87.600,	NULL,	87.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:50:23',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	1),
(3360,	7,	4355,	'CSO4355',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:53:27',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	NULL),
(3361,	7,	4356,	'CSO4356',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	35.700,	NULL,	35.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:59:08',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	NULL),
(3362,	7,	4357,	'CSO4357',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 09:59:14',	'2021-05-19 13:07:28',	NULL,	'',	NULL,	NULL),
(3363,	7,	4358,	'CSO4358',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:01:15',	'2021-05-19 13:08:18',	NULL,	'',	NULL,	NULL),
(3364,	7,	4359,	'CSO4359',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:05:56',	'2021-05-19 13:08:18',	NULL,	'',	NULL,	NULL),
(3365,	7,	4360,	'CSO4360',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	49.600,	NULL,	49.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:06:32',	'2021-05-19 13:08:40',	NULL,	'',	NULL,	NULL),
(3366,	7,	4361,	'CSO4361',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	17.850,	0.050,	17.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:07:48',	'2021-05-19 13:09:46',	NULL,	'',	NULL,	NULL),
(3367,	7,	4362,	'CSO4362',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.650,	0.050,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:20:12',	'2021-05-19 13:09:46',	NULL,	'',	NULL,	NULL),
(3368,	7,	4363,	'CSO4363',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:21:16',	'2021-05-19 13:10:19',	NULL,	'',	NULL,	NULL),
(3369,	7,	4364,	'CSO4364',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	24.100,	0.100,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:22:32',	'2021-05-19 13:10:39',	NULL,	'',	NULL,	NULL),
(3370,	7,	4365,	'CSO4365',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:23:02',	'2021-05-19 13:10:54',	NULL,	'',	NULL,	NULL),
(3371,	7,	4366,	'CSO4366',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:24:52',	'2021-05-19 13:19:45',	NULL,	'',	NULL,	NULL),
(3372,	7,	4367,	'CSO4367',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:25:38',	'2021-05-19 13:11:25',	NULL,	'',	NULL,	NULL),
(3373,	7,	4368,	'CSO4368',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	52.900,	NULL,	52.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:25:55',	'2021-05-19 13:19:45',	NULL,	'',	NULL,	NULL),
(3374,	7,	4369,	'CSO4369',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:28:53',	'2021-05-19 13:19:45',	NULL,	'',	NULL,	NULL),
(3375,	7,	4370,	'CSO4370',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	11.900,	NULL,	11.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:34:19',	'2021-05-19 13:17:03',	NULL,	'',	NULL,	NULL),
(3376,	7,	4371,	'CSO4371',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:35:12',	'2021-05-19 13:19:06',	NULL,	'',	NULL,	NULL),
(3377,	7,	4372,	'CSO4372',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:40:23',	'2021-05-19 13:19:45',	NULL,	'',	NULL,	NULL),
(3378,	7,	4373,	'CSO4373',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.770,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:41:14',	'2021-05-19 13:20:39',	NULL,	'',	NULL,	NULL),
(3379,	7,	4374,	'CSO4374',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	17.850,	0.050,	17.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:41:37',	'2021-05-19 13:21:06',	NULL,	'',	NULL,	NULL),
(3380,	7,	4375,	'CSO4375',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	163.450,	0.050,	163.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:42:34',	'2021-05-19 13:28:58',	NULL,	'',	NULL,	1),
(3381,	7,	4376,	'CSO4376',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	15.600,	NULL,	15.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:44:38',	'2021-05-19 13:29:14',	NULL,	'',	NULL,	NULL),
(3382,	7,	4377,	'CSO4377',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	14.800,	NULL,	14.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:45:44',	'2021-05-19 13:29:31',	NULL,	'',	NULL,	NULL),
(3383,	7,	4378,	'CSO4378',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:47:03',	'2021-05-19 13:31:33',	NULL,	'',	NULL,	NULL),
(3384,	7,	4379,	'CSO4379',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	0.850,	NULL,	0.080,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:49:11',	'2021-05-19 13:31:33',	NULL,	'',	NULL,	NULL),
(3385,	7,	4380,	'CSO4380',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	28.600,	NULL,	28.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:52:13',	'2021-05-19 13:33:19',	NULL,	'',	NULL,	1),
(3386,	7,	4381,	'CSO4381',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 10:53:07',	'2021-05-19 13:34:39',	NULL,	'',	NULL,	1),
(3387,	7,	4382,	'CSO4382',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	52.800,	NULL,	52.800,	NULL,	NULL,	'card',	NULL,	'2021-05-19 10:56:56',	'2021-05-19 13:34:48',	NULL,	'',	NULL,	1),
(3388,	7,	4383,	'CSO4383',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:03:32',	'2021-05-19 13:36:53',	NULL,	'',	NULL,	NULL),
(3389,	7,	4384,	'CSO4384',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:04:43',	'2021-05-19 13:37:00',	NULL,	'',	NULL,	1),
(3390,	7,	4385,	'CSO4385',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:11:17',	'2021-05-19 13:37:17',	NULL,	'',	NULL,	NULL),
(3391,	7,	4386,	'CSO4386',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	9.805,	0.050,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:12:00',	'2021-05-19 13:40:42',	NULL,	'',	NULL,	NULL),
(3392,	7,	4387,	'CSO4387',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	29.770,	0.070,	29.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:15:25',	'2021-05-19 13:40:42',	NULL,	'',	NULL,	NULL),
(3393,	7,	4388,	'CSO4388',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	21.500,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:18:44',	'2021-05-19 13:40:42',	NULL,	'',	NULL,	NULL),
(3394,	7,	4389,	'CSO4389',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	15.600,	NULL,	15.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:23:25',	'2021-05-19 13:41:55',	NULL,	'',	NULL,	NULL),
(3395,	7,	4390,	'CSO4390',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:24:45',	'2021-05-19 13:41:55',	NULL,	'',	NULL,	NULL),
(3396,	7,	4391,	'CSO4391',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:25:05',	'2021-05-19 13:41:55',	NULL,	'',	NULL,	NULL),
(3397,	7,	4392,	'CSO4392',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:25:28',	'2021-05-19 13:41:55',	NULL,	'',	NULL,	NULL),
(3398,	7,	4393,	'CSO4393',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	10.710,	0.010,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:26:37',	'2021-05-19 13:41:55',	NULL,	'',	NULL,	NULL),
(3399,	7,	4394,	'CSO4394',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:27:13',	'2021-05-19 13:42:15',	NULL,	'',	NULL,	NULL),
(3400,	7,	4395,	'CSO4395',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:33:15',	'2021-05-19 13:42:59',	NULL,	'',	NULL,	NULL),
(3401,	7,	4396,	'CSO4396',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:40:08',	'2021-05-19 13:42:59',	NULL,	'',	NULL,	NULL),
(3402,	7,	4397,	'CSO4397',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.900,	NULL,	8.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:43:12',	'2021-05-19 13:42:59',	NULL,	'',	NULL,	NULL),
(3403,	7,	4398,	'CSO4398',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	14.770,	NULL,	14.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:47:44',	'2021-05-19 13:44:47',	NULL,	'',	NULL,	NULL),
(3404,	7,	4399,	'CSO4399',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	26.700,	0.200,	26.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:56:55',	'2021-05-19 13:44:47',	NULL,	'',	NULL,	NULL),
(3405,	7,	4400,	'CSO4400',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:57:07',	'2021-05-19 13:44:47',	NULL,	'',	NULL,	NULL),
(3406,	7,	4401,	'CSO4401',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	15.200,	NULL,	15.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 11:57:50',	'2021-05-19 13:44:47',	NULL,	'',	NULL,	NULL),
(3407,	7,	4402,	'CSO4402',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:08:44',	'2021-05-19 13:44:47',	NULL,	'',	NULL,	NULL),
(3408,	7,	4403,	'CSO4403',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	8.225,	NULL,	8.200,	NULL,	NULL,	'card',	NULL,	'2021-05-19 12:11:31',	'2021-05-19 13:44:47',	NULL,	'',	NULL,	1),
(3409,	7,	4404,	'CSO4404',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	16.100,	0.100,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:15:43',	'2021-05-19 13:45:37',	NULL,	'',	NULL,	NULL),
(3410,	7,	4405,	'CSO4405',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:16:32',	'2021-05-19 13:45:37',	NULL,	'',	NULL,	NULL),
(3411,	7,	4406,	'CSO4406',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:16:36',	'2021-05-19 13:45:37',	NULL,	'',	NULL,	NULL),
(3412,	7,	4407,	'CSO4407',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-19',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:18:35',	'2021-05-19 13:45:37',	NULL,	'',	NULL,	NULL),
(3413,	7,	4408,	'CSO4408',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	28.150,	0.050,	28.100,	NULL,	NULL,	'card',	NULL,	'2021-05-19 12:26:35',	'2021-05-20 06:22:51',	NULL,	'',	NULL,	1),
(3414,	7,	4409,	'CSO4409',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:28:22',	'2021-05-20 06:24:25',	NULL,	'',	NULL,	NULL),
(3415,	7,	4410,	'CSO4410',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:30:23',	'2021-05-20 06:26:34',	NULL,	'',	NULL,	NULL),
(3416,	7,	4411,	'CSO4411',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	15.900,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:31:36',	'2021-05-20 06:26:34',	NULL,	'',	NULL,	NULL),
(3417,	7,	4412,	'CSO4412',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:34:18',	'2021-05-20 06:26:34',	NULL,	'',	NULL,	NULL),
(3418,	7,	4413,	'CSO4413',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:37:45',	'2021-05-20 06:26:34',	NULL,	'',	NULL,	NULL),
(3419,	7,	4414,	'CSO4414',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.400,	0.200,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:38:42',	'2021-05-20 06:27:16',	NULL,	'',	NULL,	NULL),
(3420,	7,	4415,	'CSO4415',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	32.000,	NULL,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:38:43',	'2021-05-20 06:27:51',	NULL,	'',	NULL,	NULL),
(3421,	7,	4416,	'CSO4416',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:40:31',	'2021-05-20 06:29:30',	NULL,	'',	NULL,	NULL),
(3422,	7,	4417,	'CSO4417',	226,	0,	'2021-05-19',	NULL,	NULL,	NULL,	'REQ',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-19 12:42:11',	'2021-05-19 12:42:11',	NULL,	'',	NULL,	NULL),
(3423,	7,	4418,	'CSO4418',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	75.000,	NULL,	75.000,	NULL,	NULL,	'card',	NULL,	'2021-05-19 12:42:42',	'2021-05-20 06:29:30',	NULL,	'',	NULL,	1),
(3424,	7,	4419,	'CSO4419',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:47:30',	'2021-05-20 06:33:07',	NULL,	'',	NULL,	NULL),
(3425,	7,	4420,	'CSO4420',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.700,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:52:30',	'2021-05-20 06:34:43',	NULL,	'',	NULL,	1),
(3426,	7,	4421,	'CSO4421',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.725,	0.025,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:56:55',	'2021-05-20 06:35:09',	NULL,	'',	NULL,	NULL),
(3427,	7,	4422,	'CSO4422',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:58:03',	'2021-05-20 06:38:11',	NULL,	'',	NULL,	NULL),
(3428,	7,	4423,	'CSO4423',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 12:59:38',	'2021-05-20 06:38:11',	NULL,	'',	NULL,	NULL),
(3429,	7,	4424,	'CSO4424',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:02:57',	'2021-05-20 06:38:11',	NULL,	'',	NULL,	NULL),
(3430,	7,	4425,	'CSO4425',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:20:37',	'2021-05-20 06:38:11',	NULL,	'',	NULL,	NULL),
(3431,	7,	4426,	'CSO4426',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.250,	0.050,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:22:26',	'2021-05-20 06:38:11',	NULL,	'',	NULL,	NULL),
(3432,	7,	4427,	'CSO4427',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	19.200,	NULL,	19.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:30:11',	'2021-05-20 06:38:11',	NULL,	'',	NULL,	NULL),
(3433,	7,	4428,	'CSO4428',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	31.200,	NULL,	31.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:33:26',	'2021-05-20 06:39:58',	NULL,	'',	NULL,	NULL),
(3434,	7,	4429,	'CSO4429',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.200,	0.200,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:34:50',	'2021-05-20 06:39:59',	NULL,	'',	NULL,	NULL),
(3435,	7,	4430,	'CSO4430',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	23.800,	NULL,	23.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:39:00',	'2021-05-20 06:39:59',	NULL,	'',	NULL,	NULL),
(3436,	7,	4431,	'CSO4431',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	23.600,	NULL,	23.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:48:21',	'2021-05-20 06:39:59',	NULL,	'',	NULL,	1),
(3437,	7,	4432,	'CSO4432',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:50:53',	'2021-05-20 06:39:59',	NULL,	'',	NULL,	NULL),
(3438,	7,	4433,	'CSO4433',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	22.750,	0.050,	22.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:51:07',	'2021-05-20 06:39:59',	NULL,	'',	NULL,	1),
(3439,	7,	4434,	'CSO4434',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	20.400,	NULL,	20.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 13:56:14',	'2021-05-20 06:39:59',	NULL,	'',	NULL,	NULL),
(3440,	7,	4435,	'CSO4435',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:02:31',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	NULL),
(3441,	7,	4436,	'CSO4436',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.700,	NULL,	6.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:21:22',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	1),
(3442,	7,	4437,	'CSO4437',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.760,	0.060,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:24:29',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	NULL),
(3443,	7,	4438,	'CSO4438',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:43:40',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	NULL),
(3444,	7,	4439,	'CSO4439',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:46:55',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	NULL),
(3445,	7,	4440,	'CSO4440',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	16.501,	0.001,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:49:28',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	NULL),
(3446,	7,	4441,	'CSO4441',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:50:22',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	1),
(3447,	7,	4442,	'CSO4442',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 14:55:36',	'2021-05-20 06:41:46',	NULL,	'',	NULL,	NULL),
(3448,	7,	4443,	'CSO4443',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.987,	0.087,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:05:55',	'2021-05-20 06:43:03',	NULL,	'',	NULL,	NULL),
(3449,	7,	4444,	'CSO4444',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:09:51',	'2021-05-20 06:43:03',	NULL,	'',	NULL,	NULL),
(3450,	7,	4445,	'CSO4445',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	21.450,	0.050,	21.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:16:30',	'2021-05-20 06:43:03',	NULL,	'',	NULL,	1),
(3451,	7,	4446,	'CSO4446',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.020,	0.002,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:21:54',	'2021-05-20 06:43:03',	NULL,	'',	NULL,	NULL),
(3452,	7,	4447,	'CSO4447',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:35:03',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3453,	7,	4448,	'CSO4448',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:37:09',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3454,	7,	4449,	'CSO4449',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:39:30',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3455,	7,	4450,	'CSO4450',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	42.700,	NULL,	42.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:51:04',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3456,	7,	4451,	'CSO4451',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:51:52',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3457,	7,	4452,	'CSO4452',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 15:54:17',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3458,	7,	4453,	'CSO4453',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:08:44',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3459,	7,	4454,	'CSO4454',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.100,	0.100,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:14:09',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3460,	7,	4455,	'CSO4455',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:28:29',	'2021-05-20 06:51:44',	NULL,	'',	NULL,	NULL),
(3461,	7,	4456,	'CSO4456',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:29:31',	'2021-05-20 06:52:24',	NULL,	'',	NULL,	NULL),
(3462,	7,	4457,	'CSO4457',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:32:33',	'2021-05-20 06:52:18',	NULL,	'',	NULL,	NULL),
(3463,	7,	4458,	'CSO4458',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:33:07',	'2021-05-20 07:10:08',	NULL,	'',	NULL,	NULL),
(3464,	7,	4459,	'CSO4459',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:34:27',	'2021-05-20 07:11:06',	NULL,	'',	NULL,	NULL),
(3465,	7,	4460,	'CSO4460',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.200,	0.100,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:37:22',	'2021-05-20 07:16:45',	NULL,	'',	NULL,	NULL),
(3466,	7,	4461,	'CSO4461',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:38:31',	'2021-05-20 07:16:45',	NULL,	'',	NULL,	NULL),
(3467,	7,	4462,	'CSO4462',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:41:25',	'2021-05-20 07:16:45',	NULL,	'',	NULL,	NULL),
(3468,	7,	4463,	'CSO4463',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:43:45',	'2021-05-20 07:16:45',	NULL,	'',	NULL,	NULL),
(3469,	7,	4464,	'CSO4464',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	72.400,	0.400,	72.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 16:50:06',	'2021-05-20 07:16:45',	NULL,	'',	NULL,	NULL),
(3470,	7,	4465,	'CSO4465',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	18.400,	NULL,	18.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:01:15',	'2021-05-20 06:59:58',	NULL,	'',	NULL,	NULL),
(3471,	7,	4466,	'CSO4466',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:04:28',	'2021-05-20 07:03:04',	NULL,	'',	NULL,	NULL),
(3472,	7,	4467,	'CSO4467',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.700,	NULL,	6.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:12:32',	'2021-05-20 07:03:04',	NULL,	'',	NULL,	1),
(3473,	7,	4468,	'CSO4468',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:18:00',	'2021-05-20 07:03:04',	NULL,	'',	NULL,	NULL),
(3474,	7,	4469,	'CSO4469',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:22:42',	'2021-05-20 07:03:04',	NULL,	'',	NULL,	NULL),
(3475,	7,	4470,	'CSO4470',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	15.680,	0.080,	15.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:43:32',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	1),
(3476,	7,	4471,	'CSO4471',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'card',	NULL,	'2021-05-19 17:51:39',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	1),
(3477,	7,	4472,	'CSO4472',	224,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	9.200,	NULL,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 17:56:53',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	NULL),
(3478,	7,	4473,	'CSO4473',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	8.300,	NULL,	8.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 18:08:23',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	NULL),
(3479,	7,	4474,	'CSO4474',	226,	0,	'2021-05-19',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.425,	0.225,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-19 18:20:41',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	NULL),
(3480,	7,	4475,	'CSO4475',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	16.100,	NULL,	16.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:05:41',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	NULL),
(3481,	7,	4476,	'CSO4476',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	28.100,	NULL,	28.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:05:51',	'2021-05-20 07:04:45',	NULL,	'',	NULL,	NULL),
(3482,	7,	4477,	'CSO4477',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	116.550,	0.050,	116.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:18:12',	'2021-05-20 07:05:23',	NULL,	'',	NULL,	NULL),
(3483,	7,	4478,	'CSO4478',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:19:42',	'2021-05-20 09:45:31',	NULL,	'',	NULL,	NULL),
(3484,	7,	4479,	'CSO4479',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:20:11',	'2021-05-20 13:54:48',	NULL,	'',	NULL,	NULL),
(3485,	7,	4480,	'CSO4480',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:24:17',	'2021-05-20 13:55:09',	NULL,	'',	NULL,	NULL),
(3486,	7,	4481,	'CSO4481',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:34:05',	'2021-05-20 13:55:33',	NULL,	'',	NULL,	NULL),
(3487,	7,	4482,	'CSO4482',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.900,	NULL,	11.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:36:45',	'2021-05-20 13:56:06',	NULL,	'',	NULL,	NULL),
(3488,	7,	4483,	'CSO4483',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:39:42',	'2021-05-20 13:56:23',	NULL,	'',	NULL,	NULL),
(3489,	7,	4484,	'CSO4484',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	15.600,	NULL,	15.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:50:48',	'2021-05-20 13:56:43',	NULL,	'',	NULL,	NULL),
(3490,	7,	4485,	'CSO4485',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:51:15',	'2021-05-20 13:57:12',	NULL,	'',	NULL,	NULL),
(3491,	7,	4486,	'CSO4486',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	33.750,	0.550,	33.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 05:53:34',	'2021-05-20 13:58:28',	NULL,	'',	NULL,	NULL),
(3492,	7,	4487,	'CSO4487',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	22.000,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:13:52',	'2021-05-20 06:26:34',	NULL,	'',	NULL,	NULL),
(3493,	7,	4488,	'CSO4488',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:23:21',	'2021-05-20 06:26:34',	NULL,	'',	NULL,	NULL),
(3494,	7,	4489,	'CSO4489',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:29:45',	'2021-05-20 13:58:54',	NULL,	'',	NULL,	NULL),
(3495,	7,	4490,	'CSO4490',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.090,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:35:02',	'2021-05-20 13:59:33',	NULL,	'',	NULL,	NULL),
(3496,	7,	4491,	'CSO4491',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.520,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:35:43',	'2021-05-20 13:59:57',	NULL,	'',	NULL,	NULL),
(3497,	7,	4492,	'CSO4492',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	13.501,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:48:08',	'2021-05-20 14:00:26',	NULL,	'',	NULL,	NULL),
(3498,	7,	4493,	'CSO4493',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:55:13',	'2021-05-20 14:00:45',	NULL,	'',	NULL,	NULL),
(3499,	7,	4494,	'CSO4494',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	31.200,	NULL,	31.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 06:58:10',	'2021-05-20 14:01:06',	NULL,	'',	NULL,	NULL),
(3500,	7,	4495,	'CSO4495',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:00:01',	'2021-05-20 14:01:20',	NULL,	'',	NULL,	NULL),
(3501,	7,	4496,	'CSO4496',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:05:21',	'2021-05-21 17:54:02',	NULL,	'',	NULL,	NULL),
(3502,	7,	4497,	'CSO4497',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:07:06',	'2021-05-20 14:02:01',	NULL,	'',	NULL,	NULL),
(3503,	7,	4498,	'CSO4498',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:16:08',	'2021-05-20 14:02:22',	NULL,	'',	NULL,	NULL),
(3504,	7,	4499,	'CSO4499',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:16:53',	'2021-05-20 14:02:45',	NULL,	'',	NULL,	NULL),
(3505,	7,	4500,	'CSO4500',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	14.800,	NULL,	14.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:17:46',	'2021-05-20 14:05:07',	NULL,	'',	NULL,	1),
(3506,	7,	4501,	'CSO4501',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:20:10',	'2021-05-20 14:05:21',	NULL,	'',	NULL,	1),
(3507,	7,	4502,	'CSO4502',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:21:07',	'2021-05-20 14:05:42',	NULL,	'',	NULL,	NULL),
(3508,	7,	4503,	'CSO4503',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	34.400,	NULL,	34.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:27:01',	'2021-05-20 14:06:05',	NULL,	'',	NULL,	NULL),
(3509,	7,	4504,	'CSO4504',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:33:10',	'2021-05-20 14:06:26',	NULL,	'',	NULL,	NULL),
(3510,	7,	4505,	'CSO4505',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:33:59',	'2021-05-20 14:07:07',	NULL,	'',	NULL,	NULL),
(3511,	7,	4506,	'CSO4506',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:34:36',	'2021-05-20 14:07:22',	NULL,	'',	NULL,	NULL),
(3512,	7,	4507,	'CSO4507',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	111.350,	NULL,	113.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:39:56',	'2021-05-20 14:07:42',	NULL,	'',	NULL,	NULL),
(3513,	7,	4508,	'CSO4508',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:50:13',	'2021-05-20 14:08:07',	NULL,	'',	NULL,	NULL),
(3514,	7,	4509,	'CSO4509',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:53:16',	'2021-05-20 14:08:26',	NULL,	'',	NULL,	NULL),
(3515,	7,	4510,	'CSO4510',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	23.470,	NULL,	23.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 07:53:25',	'2021-05-20 14:09:10',	NULL,	'AL MASAFA CASH',	NULL,	NULL),
(3516,	7,	4511,	'CSO4511',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	44.100,	NULL,	44.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:01:23',	'2021-05-20 14:09:26',	NULL,	'',	NULL,	NULL),
(3517,	7,	4512,	'CSO4512',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	34.185,	NULL,	34.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:08:05',	'2021-05-20 14:09:50',	NULL,	'',	NULL,	NULL),
(3518,	7,	4513,	'CSO4513',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.770,	NULL,	7.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:08:46',	'2021-05-20 14:10:15',	NULL,	'',	NULL,	NULL),
(3519,	7,	4514,	'CSO4514',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:11:57',	'2021-05-20 14:11:18',	NULL,	'',	NULL,	NULL),
(3520,	7,	4515,	'CSO4515',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	56.900,	NULL,	56.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:13:32',	'2021-05-20 14:10:52',	NULL,	'',	NULL,	1),
(3521,	7,	4516,	'CSO4516',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.300,	NULL,	11.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:13:45',	'2021-05-20 14:14:30',	NULL,	'',	NULL,	NULL),
(3522,	7,	4517,	'CSO4517',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:14:08',	'2021-05-20 14:14:46',	NULL,	'',	NULL,	NULL),
(3523,	7,	4518,	'CSO4518',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:14:35',	'2021-05-20 14:17:20',	NULL,	'',	NULL,	NULL),
(3524,	7,	4519,	'CSO4519',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:15:05',	'2021-05-20 14:15:35',	NULL,	'',	NULL,	NULL),
(3525,	7,	4520,	'CSO4520',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:17:25',	'2021-05-20 14:16:16',	NULL,	'',	NULL,	NULL),
(3526,	7,	4521,	'CSO4521',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:20:18',	'2021-05-20 14:17:38',	NULL,	'',	NULL,	NULL),
(3527,	7,	4522,	'CSO4522',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	16.200,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:23:39',	'2021-05-20 14:17:55',	NULL,	'',	NULL,	NULL),
(3528,	7,	4523,	'CSO4523',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:28:24',	'2021-05-20 14:18:09',	NULL,	'',	NULL,	NULL),
(3529,	7,	4524,	'CSO4524',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:29:12',	'2021-05-20 14:18:43',	NULL,	'',	NULL,	NULL),
(3530,	7,	4525,	'CSO4525',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	244.000,	NULL,	244.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:31:17',	'2021-05-20 14:19:18',	NULL,	'',	NULL,	NULL),
(3531,	7,	4526,	'CSO4526',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:35:08',	'2021-05-20 14:19:46',	NULL,	'',	NULL,	NULL),
(3532,	7,	4527,	'CSO4527',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:41:45',	'2021-05-20 14:20:37',	NULL,	'',	NULL,	NULL),
(3533,	7,	4528,	'CSO4528',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	28.800,	NULL,	28.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:43:41',	'2021-05-20 14:21:12',	NULL,	'',	NULL,	NULL),
(3534,	7,	4529,	'CSO4529',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	27.100,	NULL,	27.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:44:29',	'2021-05-20 14:24:29',	NULL,	'',	NULL,	NULL),
(3535,	7,	4530,	'CSO4530',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:46:55',	'2021-05-20 14:25:03',	NULL,	'',	NULL,	NULL),
(3536,	7,	4531,	'CSO4531',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	9.450,	0.450,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:47:52',	'2021-05-20 14:25:27',	NULL,	'',	NULL,	NULL),
(3537,	7,	4532,	'CSO4532',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	18.201,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:49:22',	'2021-05-20 14:25:50',	NULL,	'',	NULL,	NULL),
(3538,	7,	4533,	'CSO4533',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	25.100,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 08:58:59',	'2021-05-20 14:26:08',	NULL,	'',	NULL,	NULL),
(3539,	7,	4534,	'CSO4534',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	26.775,	NULL,	26.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:01:19',	'2021-05-20 14:26:30',	NULL,	'',	NULL,	NULL),
(3540,	7,	4535,	'CSO4535',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	40.400,	NULL,	40.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:02:26',	'2021-05-20 14:27:08',	NULL,	'',	NULL,	NULL),
(3541,	7,	4536,	'CSO4536',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:02:46',	'2021-05-20 14:27:48',	NULL,	'',	NULL,	NULL),
(3542,	7,	4537,	'CSO4537',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:03:11',	'2021-05-20 14:27:48',	NULL,	'',	NULL,	NULL),
(3543,	7,	4538,	'CSO4538',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.801,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:05:17',	'2021-05-20 14:28:06',	NULL,	'',	NULL,	NULL),
(3544,	7,	4539,	'CSO4539',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.402,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:16:45',	'2021-05-20 14:27:42',	NULL,	'',	NULL,	NULL),
(3545,	7,	4540,	'CSO4540',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	20.200,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:28:39',	'2021-05-20 14:28:22',	NULL,	'',	NULL,	NULL),
(3546,	7,	4541,	'CSO4541',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:32:09',	'2021-05-20 20:16:45',	NULL,	'',	NULL,	NULL),
(3547,	7,	4542,	'CSO4542',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	11.200,	NULL,	11.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:32:22',	'2021-05-20 14:29:25',	NULL,	'',	NULL,	NULL),
(3548,	7,	4543,	'CSO4543',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:40:55',	'2021-05-20 14:29:45',	NULL,	'',	NULL,	NULL),
(3549,	7,	4544,	'CSO4544',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	40.100,	NULL,	40.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:44:19',	'2021-05-20 14:30:08',	NULL,	'',	NULL,	NULL),
(3550,	7,	4545,	'CSO4545',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:45:42',	'2021-05-21 17:54:02',	NULL,	'',	NULL,	NULL),
(3551,	7,	4546,	'CSO4546',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:49:29',	'2021-05-21 18:01:16',	NULL,	'',	NULL,	NULL),
(3552,	7,	4547,	'CSO4547',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:52:02',	'2021-05-20 14:30:40',	NULL,	'',	NULL,	NULL),
(3553,	7,	4548,	'CSO4548',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.400,	0.200,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:53:10',	'2021-05-20 14:32:59',	NULL,	'',	NULL,	NULL),
(3554,	7,	4549,	'CSO4549',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	65.640,	0.640,	65.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 09:57:32',	'2021-05-20 14:33:21',	NULL,	'',	NULL,	NULL),
(3555,	7,	4550,	'CSO4550',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	66.960,	NULL,	66.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:04:40',	'2021-05-20 14:33:50',	NULL,	'',	NULL,	NULL),
(3556,	7,	4551,	'CSO4551',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:05:47',	'2021-05-20 14:34:04',	NULL,	'',	NULL,	NULL),
(3557,	7,	4552,	'CSO4552',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:10:50',	'2021-05-20 14:34:18',	NULL,	'',	NULL,	NULL),
(3558,	7,	4553,	'CSO4553',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:10:51',	'2021-05-20 14:34:34',	NULL,	'',	NULL,	NULL),
(3559,	7,	4554,	'CSO4554',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:15:34',	'2021-05-20 14:34:53',	NULL,	'IMRAN AL NOOR',	NULL,	NULL),
(3560,	7,	4555,	'CSO4555',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	8.900,	NULL,	8.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:28:26',	'2021-05-20 14:35:14',	NULL,	'',	NULL,	NULL),
(3561,	7,	4556,	'CSO4556',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:31:50',	'2021-05-20 14:35:29',	NULL,	'',	NULL,	NULL),
(3562,	7,	4557,	'CSO4557',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.355,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:35:10',	'2021-05-20 14:36:04',	NULL,	'',	NULL,	NULL),
(3563,	7,	4558,	'CSO4558',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:40:15',	'2021-05-20 14:36:24',	NULL,	'',	NULL,	NULL),
(3564,	7,	4559,	'CSO4559',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.285,	NULL,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:46:19',	'2021-05-20 14:36:41',	NULL,	'',	NULL,	NULL),
(3565,	7,	4560,	'CSO4560',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	14.302,	NULL,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:48:21',	'2021-05-20 14:37:05',	NULL,	'',	NULL,	NULL),
(3566,	7,	4561,	'CSO4561',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	14.925,	NULL,	14.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:50:00',	'2021-05-20 14:37:29',	NULL,	'',	NULL,	NULL),
(3567,	7,	4562,	'CSO4562',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:53:28',	'2021-05-20 14:37:50',	NULL,	'',	NULL,	NULL),
(3568,	7,	4563,	'CSO4563',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:54:24',	'2021-05-20 14:38:11',	NULL,	'',	NULL,	NULL),
(3569,	7,	4564,	'CSO4564',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 10:57:08',	'2021-05-20 14:38:37',	NULL,	'',	NULL,	NULL),
(3570,	7,	4565,	'CSO4565',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:03:03',	'2021-05-20 14:39:09',	NULL,	'',	NULL,	NULL),
(3571,	7,	4566,	'CSO4566',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:04:10',	'2021-05-20 14:41:04',	NULL,	'',	NULL,	NULL),
(3572,	7,	4567,	'CSO4567',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:05:47',	'2021-05-20 14:41:04',	NULL,	'',	NULL,	NULL),
(3573,	7,	4568,	'CSO4568',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:07:23',	'2021-05-20 14:39:50',	NULL,	'',	NULL,	1),
(3574,	7,	4569,	'CSO4569',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:08:27',	'2021-05-20 14:41:04',	NULL,	'',	NULL,	NULL),
(3575,	7,	4570,	'CSO4570',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:08:46',	'2021-05-20 14:42:17',	NULL,	'',	NULL,	1),
(3576,	7,	4571,	'CSO4571',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:11:31',	'2021-05-20 14:42:17',	NULL,	'',	NULL,	NULL),
(3577,	7,	4572,	'CSO4572',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.880,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:14:09',	'2021-05-20 14:42:17',	NULL,	'',	NULL,	1),
(3578,	7,	4573,	'CSO4573',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:17:15',	'2021-05-20 14:42:17',	NULL,	'',	NULL,	NULL),
(3579,	7,	4574,	'CSO4574',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:19:52',	'2021-05-20 14:42:17',	NULL,	'',	NULL,	NULL),
(3580,	7,	4575,	'CSO4575',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	13.500,	NULL,	13.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:24:22',	'2021-05-20 14:42:17',	NULL,	'',	NULL,	NULL),
(3581,	7,	4576,	'CSO4576',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	2.550,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:25:49',	'2021-05-20 14:43:21',	NULL,	'',	NULL,	NULL),
(3582,	7,	4577,	'CSO4577',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:26:25',	'2021-05-20 14:43:21',	NULL,	'',	NULL,	NULL),
(3583,	7,	4578,	'CSO4578',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	16.501,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:26:39',	'2021-05-20 14:43:21',	NULL,	'',	NULL,	NULL),
(3584,	7,	4579,	'CSO4579',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:30:06',	'2021-05-20 14:43:21',	NULL,	'',	NULL,	NULL),
(3585,	7,	4580,	'CSO4580',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:33:11',	'2021-05-20 14:44:08',	NULL,	'',	NULL,	NULL),
(3586,	7,	4581,	'CSO4581',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	6.385,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:34:06',	'2021-05-20 14:43:53',	NULL,	'',	NULL,	NULL),
(3587,	7,	4582,	'CSO4582',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:36:32',	'2021-05-20 14:44:22',	NULL,	'',	NULL,	NULL),
(3588,	7,	4583,	'CSO4583',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-20',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:41:04',	'2021-05-20 14:44:41',	NULL,	'',	NULL,	NULL),
(3589,	7,	4584,	'CSO4584',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	17.000,	1.000,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:45:13',	'2021-05-21 18:06:36',	NULL,	'',	NULL,	NULL),
(3590,	7,	4585,	'CSO4585',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:47:05',	'2021-05-21 18:06:36',	NULL,	'',	NULL,	NULL),
(3591,	7,	4586,	'CSO4586',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	26.900,	NULL,	26.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:51:35',	'2021-05-21 18:06:36',	NULL,	'',	NULL,	NULL),
(3592,	7,	4587,	'CSO4587',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	1.785,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:53:20',	'2021-05-21 18:06:36',	NULL,	'',	NULL,	NULL),
(3593,	7,	4588,	'CSO4588',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:56:46',	'2021-05-21 18:06:36',	NULL,	'',	NULL,	NULL),
(3594,	7,	4589,	'CSO4589',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	12.600,	NULL,	12.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:57:57',	'2021-05-21 18:06:36',	NULL,	'',	NULL,	NULL),
(3595,	7,	4590,	'CSO4590',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	25.600,	NULL,	25.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 11:58:47',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3596,	7,	4591,	'CSO4591',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:01:58',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3597,	7,	4592,	'CSO4592',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	11.700,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:03:49',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3598,	7,	4593,	'CSO4593',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:05:10',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3599,	7,	4594,	'CSO4594',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:13:40',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3600,	7,	4595,	'CSO4595',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	17.600,	NULL,	17.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:14:49',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3601,	7,	4596,	'CSO4596',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:15:52',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3602,	7,	4597,	'CSO4597',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:16:31',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3603,	7,	4598,	'CSO4598',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:17:09',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3604,	7,	4599,	'CSO4599',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	39.600,	NULL,	39.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:24:25',	'2021-05-21 18:06:55',	NULL,	'',	NULL,	NULL),
(3605,	7,	4600,	'CSO4600',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	10.800,	NULL,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:27:19',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3606,	7,	4601,	'CSO4601',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:38:26',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3607,	7,	4602,	'CSO4602',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:39:18',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3608,	7,	4603,	'CSO4603',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:39:51',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3609,	7,	4604,	'CSO4604',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	21.200,	0.200,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:41:43',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3610,	7,	4605,	'CSO4605',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	11.750,	NULL,	11.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:43:55',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3611,	7,	4606,	'CSO4606',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:45:34',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3612,	7,	4607,	'CSO4607',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:46:43',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	1),
(3613,	7,	4608,	'CSO4608',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:47:40',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3614,	7,	4609,	'CSO4609',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:50:17',	'2021-05-21 18:07:33',	NULL,	'',	NULL,	NULL),
(3615,	7,	4610,	'CSO4610',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 12:57:39',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3616,	7,	4611,	'CSO4611',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:01:23',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3617,	7,	4612,	'CSO4612',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	6.400,	0.400,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:02:49',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3618,	7,	4613,	'CSO4613',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:04:07',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3619,	7,	4614,	'CSO4614',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	1.050,	NULL,	1.050,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:04:48',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3620,	7,	4615,	'CSO4615',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:05:34',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3621,	7,	4616,	'CSO4616',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:19:07',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3622,	7,	4617,	'CSO4617',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	21.500,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:21:22',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3623,	7,	4618,	'CSO4618',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	18.000,	NULL,	18.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:22:06',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3624,	7,	4619,	'CSO4619',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	8.385,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:26:59',	'2021-05-21 18:07:49',	NULL,	'',	NULL,	NULL),
(3625,	7,	4620,	'CSO4620',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	53.300,	NULL,	53.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:27:28',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3626,	7,	4621,	'CSO4621',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:37:55',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3627,	7,	4622,	'CSO4622',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:43:25',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3628,	7,	4623,	'CSO4623',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:43:49',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3629,	7,	4624,	'CSO4624',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:49:02',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3630,	7,	4625,	'CSO4625',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:50:08',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3631,	7,	4626,	'CSO4626',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	12.700,	NULL,	12.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:51:46',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3632,	7,	4627,	'CSO4627',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-21',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 13:51:57',	'2021-05-21 18:09:45',	NULL,	'',	NULL,	NULL),
(3633,	7,	4628,	'CSO4628',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:02:39',	'2021-05-22 05:32:40',	NULL,	'',	NULL,	NULL),
(3634,	7,	4629,	'CSO4629',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:04:49',	'2021-05-22 05:32:56',	NULL,	'',	NULL,	NULL),
(3635,	7,	4630,	'CSO4630',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	45.200,	NULL,	45.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:10:25',	'2021-05-22 05:33:18',	NULL,	'',	NULL,	NULL),
(3636,	7,	4631,	'CSO4631',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	0.600,	NULL,	0.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:10:30',	'2021-05-22 05:33:34',	NULL,	'',	NULL,	NULL),
(3637,	7,	4632,	'CSO4632',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:11:51',	'2021-05-22 05:33:49',	NULL,	'',	NULL,	NULL),
(3638,	7,	4633,	'CSO4633',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.300,	NULL,	5.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:14:37',	'2021-05-22 05:34:06',	NULL,	'',	NULL,	NULL),
(3639,	7,	4634,	'CSO4634',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:20:25',	'2021-05-22 05:34:23',	NULL,	'',	NULL,	NULL),
(3640,	7,	4635,	'CSO4635',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	10.001,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:31:02',	'2021-05-22 05:34:37',	NULL,	'',	NULL,	NULL),
(3641,	7,	4636,	'CSO4636',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:33:25',	'2021-05-22 05:34:57',	NULL,	'',	NULL,	NULL),
(3642,	7,	4637,	'CSO4637',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.600,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:33:47',	'2021-05-22 05:35:16',	NULL,	'',	NULL,	NULL),
(3643,	7,	4638,	'CSO4638',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:35:49',	'2021-05-22 05:35:31',	NULL,	'',	NULL,	NULL),
(3644,	7,	4639,	'CSO4639',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	16.720,	NULL,	16.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:37:00',	'2021-05-22 05:35:50',	NULL,	'',	NULL,	1),
(3645,	7,	4640,	'CSO4640',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:41:44',	'2021-05-22 05:37:55',	NULL,	'',	NULL,	NULL),
(3646,	7,	4641,	'CSO4641',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 14:43:27',	'2021-05-22 05:55:12',	NULL,	'',	NULL,	NULL),
(3647,	7,	4642,	'CSO4642',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.700,	NULL,	3.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:07:14',	'2021-05-22 05:55:29',	NULL,	'',	NULL,	NULL),
(3648,	7,	4643,	'CSO4643',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	36.500,	0.500,	36.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:12:28',	'2021-05-22 05:55:50',	NULL,	'',	NULL,	NULL),
(3649,	7,	4644,	'CSO4644',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.080,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:16:55',	'2021-05-22 05:56:13',	NULL,	'',	NULL,	NULL),
(3650,	7,	4645,	'CSO4645',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	24.360,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:19:23',	'2021-05-22 05:56:42',	NULL,	'',	NULL,	NULL),
(3651,	7,	4646,	'CSO4646',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:22:11',	'2021-05-22 05:57:05',	NULL,	'',	NULL,	NULL),
(3652,	7,	4647,	'CSO4647',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:51:03',	'2021-05-22 05:57:22',	NULL,	'',	NULL,	NULL),
(3653,	7,	4648,	'CSO4648',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	7.304,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:52:29',	'2021-05-22 05:57:39',	NULL,	'',	NULL,	NULL),
(3654,	7,	4649,	'CSO4649',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	29.455,	NULL,	29.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 15:55:18',	'2021-05-22 06:00:47',	NULL,	'',	NULL,	1),
(3655,	7,	4650,	'CSO4650',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:10:39',	'2021-05-22 06:01:17',	NULL,	'',	NULL,	NULL),
(3656,	7,	4651,	'CSO4651',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:14:00',	'2021-05-22 06:14:57',	NULL,	'',	NULL,	NULL),
(3657,	7,	4652,	'CSO4652',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	19.550,	NULL,	19.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:16:34',	'2021-05-22 06:15:26',	NULL,	'',	NULL,	NULL),
(3658,	7,	4653,	'CSO4653',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.550,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:17:26',	'2021-05-22 06:15:45',	NULL,	'',	NULL,	NULL),
(3659,	7,	4654,	'CSO4654',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:18:51',	'2021-05-22 06:16:00',	NULL,	'',	NULL,	NULL),
(3660,	7,	4655,	'CSO4655',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	11.700,	0.200,	11.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:24:47',	'2021-05-22 06:16:18',	NULL,	'',	NULL,	NULL),
(3661,	7,	4656,	'CSO4656',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:25:24',	'2021-05-22 06:16:35',	NULL,	'',	NULL,	NULL),
(3662,	7,	4657,	'CSO4657',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.100,	0.100,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:26:22',	'2021-05-22 06:16:54',	NULL,	'',	NULL,	NULL),
(3663,	7,	4658,	'CSO4658',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:28:17',	'2021-05-22 06:17:20',	NULL,	'',	NULL,	NULL),
(3664,	7,	4659,	'CSO4659',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.900,	NULL,	2.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:31:09',	'2021-05-22 06:23:00',	NULL,	'',	NULL,	NULL),
(3665,	7,	4660,	'CSO4660',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:31:38',	'2021-05-22 06:23:22',	NULL,	'',	NULL,	NULL),
(3666,	7,	4661,	'CSO4661',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:32:34',	'2021-05-22 06:23:54',	NULL,	'',	NULL,	NULL),
(3667,	7,	4662,	'CSO4662',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	39.400,	NULL,	39.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:38:24',	'2021-05-22 06:23:40',	NULL,	'',	NULL,	NULL),
(3668,	7,	4663,	'CSO4663',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	25.650,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:50:15',	'2021-05-22 06:24:13',	NULL,	'',	NULL,	NULL),
(3669,	7,	4664,	'CSO4664',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 16:56:55',	'2021-05-22 06:25:40',	NULL,	'',	NULL,	NULL),
(3670,	7,	4665,	'CSO4665',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 17:08:38',	'2021-05-22 06:25:40',	NULL,	'',	NULL,	NULL),
(3671,	7,	4666,	'CSO4666',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.100,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 17:12:35',	'2021-05-22 06:25:40',	NULL,	'',	NULL,	NULL),
(3672,	7,	4667,	'CSO4667',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 17:13:07',	'2021-05-22 06:25:40',	NULL,	'',	NULL,	1),
(3673,	7,	4668,	'CSO4668',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 17:15:21',	'2021-05-22 06:25:40',	NULL,	'',	NULL,	NULL),
(3674,	7,	4669,	'CSO4669',	224,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 17:15:58',	'2021-05-22 06:25:55',	NULL,	'',	NULL,	NULL),
(3675,	7,	4670,	'CSO4670',	226,	0,	'2021-05-20',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	21.000,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-20 17:23:43',	'2021-05-22 05:32:13',	NULL,	'',	NULL,	NULL),
(3676,	7,	4671,	'CSO4671',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	27.800,	NULL,	27.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 05:02:09',	'2021-05-22 06:27:27',	NULL,	'',	NULL,	NULL),
(3677,	7,	4672,	'CSO4672',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	23.550,	NULL,	23.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 05:06:48',	'2021-05-22 06:27:19',	NULL,	'',	NULL,	NULL),
(3678,	7,	4673,	'CSO4673',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	93.100,	NULL,	93.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 05:44:36',	'2021-05-22 06:28:56',	NULL,	'',	NULL,	NULL),
(3679,	7,	4674,	'CSO4674',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 05:54:59',	'2021-05-22 06:27:57',	NULL,	'',	NULL,	NULL),
(3680,	7,	4675,	'CSO4675',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:01:26',	'2021-05-22 06:28:07',	NULL,	'',	NULL,	NULL),
(3681,	7,	4676,	'CSO4676',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	23.350,	NULL,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:13:53',	'2021-05-22 06:29:40',	NULL,	'',	NULL,	NULL),
(3682,	7,	4677,	'CSO4677',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	74.000,	NULL,	74.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:15:13',	'2021-05-22 06:29:56',	NULL,	'',	NULL,	NULL),
(3683,	7,	4678,	'CSO4678',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	53.460,	NULL,	53.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:18:26',	'2021-05-22 06:30:16',	NULL,	'',	NULL,	NULL),
(3684,	7,	4679,	'CSO4679',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:20:11',	'2021-05-22 06:30:33',	NULL,	'',	NULL,	NULL),
(3685,	7,	4680,	'CSO4680',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.250,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:23:48',	'2021-05-22 06:30:53',	NULL,	'',	NULL,	NULL),
(3686,	7,	4681,	'CSO4681',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.900,	NULL,	4.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:24:27',	'2021-05-22 08:41:43',	NULL,	'',	NULL,	NULL),
(3687,	7,	4682,	'CSO4682',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:24:53',	'2021-05-22 08:41:57',	NULL,	'',	NULL,	NULL),
(3688,	7,	4683,	'CSO4683',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:27:40',	'2021-05-22 08:40:55',	NULL,	'',	NULL,	NULL),
(3689,	7,	4684,	'CSO4684',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	58.500,	NULL,	58.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:29:03',	'2021-05-22 08:42:21',	NULL,	'',	NULL,	1),
(3690,	7,	4685,	'CSO4685',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-24',	'CHG',	0,	NULL,	4.290,	0.200,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:31:32',	'2021-05-24 09:52:32',	NULL,	'',	NULL,	NULL),
(3691,	7,	4686,	'CSO4686',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:43:53',	'2021-05-22 08:44:31',	NULL,	'',	NULL,	NULL),
(3692,	7,	4687,	'CSO4687',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	56.500,	NULL,	56.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:47:15',	'2021-05-22 08:44:31',	NULL,	'',	NULL,	NULL),
(3693,	7,	4688,	'CSO4688',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:54:01',	'2021-05-22 08:45:07',	NULL,	'',	NULL,	NULL),
(3694,	7,	4689,	'CSO4689',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:54:14',	'2021-05-22 08:45:38',	NULL,	'',	NULL,	NULL),
(3695,	7,	4690,	'CSO4690',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 06:54:44',	'2021-05-22 08:45:38',	NULL,	'',	NULL,	NULL),
(3696,	7,	4691,	'CSO4691',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:00:27',	'2021-05-22 08:45:56',	NULL,	'',	NULL,	NULL),
(3697,	7,	4692,	'CSO4692',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.905,	0.005,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:06:55',	'2021-05-22 08:46:32',	NULL,	'',	NULL,	NULL),
(3698,	7,	4693,	'CSO4693',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:09:19',	'2021-05-22 08:46:32',	NULL,	'',	NULL,	NULL),
(3699,	7,	4694,	'CSO4694',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:12:49',	'2021-05-22 08:48:46',	NULL,	'',	NULL,	NULL),
(3700,	7,	4695,	'CSO4695',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	20.300,	NULL,	20.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:33:01',	'2021-05-22 08:48:46',	NULL,	'',	NULL,	NULL),
(3701,	7,	4696,	'CSO4696',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:34:07',	'2021-05-22 08:48:46',	NULL,	'',	NULL,	NULL),
(3702,	7,	4697,	'CSO4697',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	10.500,	NULL,	10.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:39:14',	'2021-05-22 08:48:46',	NULL,	'',	NULL,	NULL),
(3703,	7,	4698,	'CSO4698',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:41:04',	'2021-05-22 08:49:51',	NULL,	'',	NULL,	NULL),
(3704,	7,	4699,	'CSO4699',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	14.300,	NULL,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:44:13',	'2021-05-22 08:50:10',	NULL,	'',	NULL,	NULL),
(3705,	7,	4700,	'CSO4700',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	14.000,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:45:25',	'2021-05-22 08:52:03',	NULL,	'',	NULL,	NULL),
(3706,	7,	4701,	'CSO4701',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:54:40',	'2021-05-22 08:52:03',	NULL,	'',	NULL,	NULL),
(3707,	7,	4702,	'CSO4702',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	12.800,	NULL,	12.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 07:56:16',	'2021-05-22 08:52:03',	NULL,	'',	NULL,	NULL),
(3708,	7,	4703,	'CSO4703',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.801,	0.001,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:02:06',	'2021-05-22 08:52:03',	NULL,	'',	NULL,	NULL),
(3709,	7,	4704,	'CSO4704',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.190,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:04:18',	'2021-05-22 08:52:03',	NULL,	'',	NULL,	NULL),
(3710,	7,	4705,	'CSO4705',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	9.450,	0.050,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:06:44',	'2021-05-22 08:52:27',	NULL,	'',	NULL,	NULL),
(3711,	7,	4706,	'CSO4706',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:08:37',	'2021-05-22 08:52:52',	NULL,	'',	NULL,	NULL),
(3712,	7,	4707,	'CSO4707',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:10:46',	'2021-05-22 08:53:09',	NULL,	'',	NULL,	NULL),
(3713,	7,	4708,	'CSO4708',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.043,	0.043,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:11:42',	'2021-05-22 08:53:28',	NULL,	'',	NULL,	NULL),
(3714,	7,	4709,	'CSO4709',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.400,	0.100,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:15:44',	'2021-05-22 08:54:28',	NULL,	'',	NULL,	NULL),
(3715,	7,	4710,	'CSO4710',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:19:11',	'2021-05-22 08:56:51',	NULL,	'',	NULL,	NULL),
(3716,	7,	4711,	'CSO4711',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	20.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:25:27',	'2021-05-22 08:56:51',	NULL,	'',	NULL,	NULL),
(3717,	7,	4712,	'CSO4712',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	28.350,	0.050,	28.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:26:33',	'2021-05-22 08:56:51',	NULL,	'',	NULL,	NULL),
(3718,	7,	4713,	'CSO4713',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:29:11',	'2021-05-22 08:56:51',	NULL,	'',	NULL,	1),
(3719,	7,	4714,	'CSO4714',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	22.000,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:31:07',	'2021-05-22 08:56:51',	NULL,	'',	NULL,	NULL),
(3720,	7,	4715,	'CSO4715',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	21.150,	0.050,	21.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:34:30',	'2021-05-22 08:57:12',	NULL,	'',	NULL,	NULL),
(3721,	7,	4716,	'CSO4716',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	25.600,	NULL,	25.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:35:03',	'2021-05-22 09:01:04',	NULL,	'',	NULL,	NULL),
(3722,	7,	4717,	'CSO4717',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:38:13',	'2021-05-22 09:49:11',	NULL,	'',	NULL,	NULL),
(3723,	7,	4718,	'CSO4718',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:40:08',	'2021-05-22 09:50:24',	NULL,	'',	NULL,	NULL),
(3724,	7,	4719,	'CSO4719',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:43:30',	'2021-05-22 09:50:44',	NULL,	'',	NULL,	NULL),
(3725,	7,	4720,	'CSO4720',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:46:03',	'2021-05-22 09:50:59',	NULL,	'',	NULL,	NULL),
(3726,	7,	4721,	'CSO4721',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	14.300,	NULL,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:48:05',	'2021-05-22 09:51:15',	NULL,	'',	NULL,	NULL),
(3727,	7,	4722,	'CSO4722',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:53:53',	'2021-05-22 09:51:28',	NULL,	'',	NULL,	NULL),
(3728,	7,	4723,	'CSO4723',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	22.000,	NULL,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:56:39',	'2021-05-22 09:51:43',	NULL,	'',	NULL,	NULL),
(3729,	7,	4724,	'CSO4724',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 08:59:15',	'2021-05-22 09:52:18',	NULL,	'',	NULL,	NULL),
(3730,	7,	4725,	'CSO4725',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	49.800,	NULL,	49.800,	NULL,	NULL,	'card',	NULL,	'2021-05-22 09:01:13',	'2021-05-22 09:52:41',	NULL,	'',	NULL,	1),
(3731,	7,	4726,	'CSO4726',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:02:37',	'2021-05-22 09:53:01',	NULL,	'',	NULL,	NULL),
(3732,	7,	4727,	'CSO4727',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:05:30',	'2021-05-22 09:53:35',	NULL,	'',	NULL,	NULL),
(3733,	7,	4728,	'CSO4728',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	39.100,	0.100,	39.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:17:55',	'2021-05-22 09:55:47',	NULL,	'',	NULL,	NULL),
(3734,	7,	4729,	'CSO4729',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	64.200,	NULL,	64.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:23:28',	'2021-05-22 09:55:47',	NULL,	'',	NULL,	NULL),
(3735,	7,	4730,	'CSO4730',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:29:00',	'2021-05-22 09:56:22',	NULL,	'',	NULL,	NULL),
(3736,	7,	4731,	'CSO4731',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	16.300,	NULL,	16.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:29:43',	'2021-05-22 09:56:22',	NULL,	'',	NULL,	NULL),
(3737,	7,	4732,	'CSO4732',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	21.400,	NULL,	21.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:31:44',	'2021-05-22 09:58:02',	NULL,	'',	NULL,	NULL),
(3738,	7,	4733,	'CSO4733',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:32:12',	'2021-05-22 09:58:43',	NULL,	'',	NULL,	NULL),
(3739,	7,	4734,	'CSO4734',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	39.701,	0.001,	39.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:33:56',	'2021-05-22 09:59:18',	NULL,	'',	NULL,	NULL),
(3740,	7,	4735,	'CSO4735',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.001,	0.001,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:34:04',	'2021-05-22 10:00:44',	NULL,	'',	NULL,	NULL),
(3741,	7,	4736,	'CSO4736',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:35:05',	'2021-05-22 10:00:44',	NULL,	'',	NULL,	NULL),
(3742,	7,	4737,	'CSO4737',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:36:01',	'2021-05-22 10:01:18',	NULL,	'',	NULL,	NULL),
(3743,	7,	4738,	'CSO4738',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:36:24',	'2021-05-22 10:01:35',	NULL,	'',	NULL,	NULL),
(3744,	7,	4739,	'CSO4739',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:39:12',	'2021-05-22 11:12:56',	NULL,	'',	NULL,	NULL),
(3745,	7,	4740,	'CSO4740',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	9.525,	0.025,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:41:18',	'2021-05-22 11:13:28',	NULL,	'',	NULL,	NULL),
(3746,	7,	4741,	'CSO4741',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:43:30',	'2021-05-22 11:13:28',	NULL,	'',	NULL,	NULL),
(3747,	7,	4742,	'CSO4742',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:45:48',	'2021-05-22 11:13:46',	NULL,	'',	NULL,	NULL),
(3748,	7,	4743,	'CSO4743',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:46:50',	'2021-05-22 11:14:02',	NULL,	'',	NULL,	NULL),
(3749,	7,	4744,	'CSO4744',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:52:37',	'2021-05-22 11:14:19',	NULL,	'',	NULL,	NULL),
(3750,	7,	4745,	'CSO4745',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	35.910,	0.010,	35.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:54:34',	'2021-05-22 11:15:08',	NULL,	'',	NULL,	NULL),
(3751,	7,	4746,	'CSO4746',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	9.870,	NULL,	9.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 09:55:30',	'2021-05-22 11:15:30',	NULL,	'',	NULL,	NULL),
(3752,	7,	4747,	'CSO4747',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	15.100,	NULL,	15.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:01:14',	'2021-05-22 11:16:00',	NULL,	'',	NULL,	NULL),
(3753,	7,	4748,	'CSO4748',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.780,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:03:16',	'2021-05-22 11:16:00',	NULL,	'',	NULL,	NULL),
(3754,	7,	4749,	'CSO4749',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.100,	NULL,	8.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:05:54',	'2021-05-22 11:16:14',	NULL,	'',	NULL,	NULL),
(3755,	7,	4750,	'CSO4750',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	25.400,	NULL,	25.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:07:49',	'2021-05-22 11:16:35',	NULL,	'',	NULL,	NULL),
(3756,	7,	4751,	'CSO4751',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	16.700,	NULL,	16.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:11:56',	'2021-05-22 11:16:53',	NULL,	'',	NULL,	NULL),
(3757,	7,	4752,	'CSO4752',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:14:08',	'2021-05-22 11:17:10',	NULL,	'',	NULL,	NULL),
(3758,	7,	4753,	'CSO4753',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	59.350,	0.350,	59.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:16:56',	'2021-05-22 11:17:42',	NULL,	'',	NULL,	NULL),
(3759,	7,	4754,	'CSO4754',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:18:19',	'2021-05-22 11:18:00',	NULL,	'',	NULL,	NULL),
(3760,	7,	4755,	'CSO4755',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.700,	NULL,	6.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:27:45',	'2021-05-22 11:18:16',	NULL,	'',	NULL,	NULL),
(3761,	7,	4756,	'CSO4756',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:33:42',	'2021-05-22 11:18:33',	NULL,	'',	NULL,	NULL),
(3762,	7,	4757,	'CSO4757',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:40:02',	'2021-05-22 11:44:59',	NULL,	'',	NULL,	NULL),
(3763,	7,	4758,	'CSO4758',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:41:12',	'2021-05-22 11:45:15',	NULL,	'',	NULL,	NULL),
(3764,	7,	4759,	'CSO4759',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:41:34',	'2021-05-22 11:45:47',	NULL,	'',	NULL,	NULL),
(3765,	7,	4760,	'CSO4760',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:45:40',	'2021-05-22 11:45:47',	NULL,	'',	NULL,	NULL),
(3766,	7,	4761,	'CSO4761',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	7.200,	0.100,	7.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:47:32',	'2021-05-22 12:32:48',	NULL,	'',	NULL,	NULL),
(3767,	7,	4762,	'CSO4762',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.762,	0.620,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:52:15',	'2021-05-22 12:33:20',	NULL,	'',	NULL,	NULL),
(3768,	7,	4763,	'CSO4763',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:53:43',	'2021-05-22 15:42:20',	NULL,	'',	NULL,	NULL),
(3769,	7,	4764,	'CSO4764',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	23.290,	NULL,	23.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:54:38',	'2021-05-22 15:42:03',	NULL,	'',	NULL,	NULL),
(3770,	7,	4765,	'CSO4765',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.900,	NULL,	3.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:55:38',	'2021-05-22 15:41:41',	NULL,	'',	NULL,	NULL),
(3771,	7,	4766,	'CSO4766',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:56:14',	'2021-05-22 15:41:41',	NULL,	'',	NULL,	NULL),
(3772,	7,	4767,	'CSO4767',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.001,	0.001,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:56:45',	'2021-05-22 15:38:10',	NULL,	'',	NULL,	NULL),
(3773,	7,	4768,	'CSO4768',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:57:17',	'2021-05-22 15:37:44',	NULL,	'',	NULL,	NULL),
(3774,	7,	4769,	'CSO4769',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.190,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 10:57:27',	'2021-05-22 15:37:27',	NULL,	'',	NULL,	NULL),
(3775,	7,	4770,	'CSO4770',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	28.400,	NULL,	28.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:00:32',	'2021-05-22 15:37:05',	NULL,	'',	NULL,	NULL),
(3776,	7,	4771,	'CSO4771',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:03:55',	'2021-05-22 15:36:48',	NULL,	'',	NULL,	NULL),
(3777,	7,	4772,	'CSO4772',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	44.600,	NULL,	44.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:05:44',	'2021-05-22 15:36:30',	NULL,	'',	NULL,	NULL),
(3778,	7,	4773,	'CSO4773',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:05:47',	'2021-05-22 15:36:13',	NULL,	'',	NULL,	NULL),
(3779,	7,	4774,	'CSO4774',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:08:16',	'2021-05-22 15:35:56',	NULL,	'',	NULL,	NULL),
(3780,	7,	4775,	'CSO4775',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	25.200,	NULL,	25.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:18:10',	'2021-05-22 15:35:17',	NULL,	'',	NULL,	NULL),
(3781,	7,	4776,	'CSO4776',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:21:22',	'2021-05-22 15:35:40',	NULL,	'',	NULL,	NULL),
(3782,	6,	4777,	'WSO4777',	226,	1035,	'2021-05-22',	1366,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2021-05-22 11:21:45',	'2021-05-22 14:50:06',	NULL,	NULL,	NULL,	1),
(3783,	7,	4778,	'CSO4778',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	16.604,	0.004,	16.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:22:29',	'2021-05-22 15:31:00',	NULL,	'',	NULL,	NULL),
(3784,	7,	4779,	'CSO4779',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:24:20',	'2021-05-22 15:31:23',	NULL,	'',	NULL,	NULL),
(3785,	7,	4780,	'CSO4780',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:24:37',	'2021-05-22 15:31:59',	NULL,	'',	NULL,	NULL),
(3786,	7,	4781,	'CSO4781',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	23.700,	0.100,	23.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:27:22',	'2021-05-22 15:31:59',	NULL,	'',	NULL,	NULL),
(3787,	7,	4782,	'CSO4782',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:28:32',	'2021-05-22 15:32:17',	NULL,	'',	NULL,	NULL),
(3788,	7,	4783,	'CSO4783',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	11.800,	NULL,	11.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:28:57',	'2021-05-22 15:32:36',	NULL,	'',	NULL,	NULL),
(3789,	7,	4784,	'CSO4784',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:34:37',	'2021-05-22 15:32:54',	NULL,	'',	NULL,	NULL),
(3790,	7,	4785,	'CSO4785',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:35:15',	'2021-05-22 15:33:12',	NULL,	'',	NULL,	NULL),
(3791,	7,	4786,	'CSO4786',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-22',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:36:03',	'2021-05-22 15:35:17',	NULL,	'',	NULL,	NULL),
(3792,	7,	4787,	'CSO4787',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.490,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:36:33',	'2021-05-23 07:33:52',	NULL,	'',	NULL,	NULL),
(3793,	7,	4788,	'CSO4788',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	19.300,	0.300,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:36:44',	'2021-05-23 07:34:21',	NULL,	'',	NULL,	NULL),
(3794,	7,	4789,	'CSO4789',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:38:19',	'2021-05-23 07:34:41',	NULL,	'',	NULL,	NULL),
(3795,	7,	4790,	'CSO4790',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:39:42',	'2021-05-23 07:34:57',	NULL,	'',	NULL,	NULL),
(3796,	7,	4791,	'CSO4791',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	21.800,	NULL,	21.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:45:14',	'2021-05-23 07:35:16',	NULL,	'',	NULL,	NULL),
(3797,	7,	4792,	'CSO4792',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:46:29',	'2021-05-23 07:35:33',	NULL,	'',	NULL,	NULL),
(3798,	7,	4793,	'CSO4793',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:47:28',	'2021-05-23 07:35:54',	NULL,	'',	NULL,	NULL),
(3799,	7,	4794,	'CSO4794',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:49:26',	'2021-05-23 07:36:09',	NULL,	'',	NULL,	NULL),
(3800,	7,	4795,	'CSO4795',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	27.700,	NULL,	27.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:53:13',	'2021-05-23 07:36:32',	NULL,	'',	NULL,	NULL),
(3801,	7,	4796,	'CSO4796',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.250,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:53:36',	'2021-05-23 07:36:49',	NULL,	'',	NULL,	NULL),
(3802,	7,	4797,	'CSO4797',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:55:01',	'2021-05-23 07:37:07',	NULL,	'',	NULL,	NULL),
(3803,	7,	4798,	'CSO4798',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:57:08',	'2021-05-23 07:37:55',	NULL,	'',	NULL,	1),
(3804,	7,	4799,	'CSO4799',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	32.200,	NULL,	32.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 11:57:57',	'2021-05-23 07:38:20',	NULL,	'',	NULL,	NULL),
(3805,	7,	4800,	'CSO4800',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	123.870,	NULL,	123.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:01:34',	'2021-05-23 07:40:53',	NULL,	'',	NULL,	1),
(3806,	7,	4801,	'CSO4801',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.900,	NULL,	9.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:02:40',	'2021-05-23 07:41:18',	NULL,	'',	NULL,	NULL),
(3807,	7,	4802,	'CSO4802',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:03:50',	'2021-05-23 07:41:40',	NULL,	'',	NULL,	NULL),
(3808,	7,	4803,	'CSO4803',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:05:36',	'2021-05-23 07:42:02',	NULL,	'',	NULL,	NULL),
(3809,	7,	4804,	'CSO4804',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.600,	NULL,	0.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:07:06',	'2021-05-23 07:44:57',	NULL,	'',	NULL,	NULL),
(3810,	7,	4805,	'CSO4805',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	16.900,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:17:11',	'2021-05-23 07:45:15',	NULL,	'',	NULL,	NULL),
(3811,	7,	4806,	'CSO4806',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:18:32',	'2021-05-23 07:46:38',	NULL,	'',	NULL,	NULL),
(3812,	7,	4807,	'CSO4807',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	15.910,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:19:25',	'2021-05-23 07:45:44',	NULL,	'',	NULL,	NULL),
(3813,	7,	4808,	'CSO4808',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.050,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:25:27',	'2021-05-23 07:46:38',	NULL,	'',	NULL,	NULL),
(3814,	7,	4809,	'CSO4809',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	23.395,	NULL,	23.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:25:53',	'2021-05-23 07:46:57',	NULL,	'',	NULL,	NULL),
(3815,	7,	4810,	'CSO4810',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.525,	NULL,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:26:52',	'2021-05-23 07:47:27',	NULL,	'',	NULL,	NULL),
(3816,	7,	4811,	'CSO4811',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:31:31',	'2021-05-23 07:50:00',	NULL,	'',	NULL,	NULL),
(3817,	7,	4812,	'CSO4812',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:32:38',	'2021-05-23 07:50:18',	NULL,	'',	NULL,	NULL),
(3818,	7,	4813,	'CSO4813',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:36:00',	'2021-05-23 07:50:34',	NULL,	'',	NULL,	NULL),
(3819,	7,	4814,	'CSO4814',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:38:23',	'2021-05-23 07:50:54',	NULL,	'',	NULL,	NULL),
(3820,	7,	4815,	'CSO4815',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:39:02',	'2021-05-23 07:51:18',	NULL,	'',	NULL,	NULL),
(3821,	7,	4816,	'CSO4816',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:39:40',	'2021-05-23 07:52:01',	NULL,	'',	NULL,	NULL),
(3822,	7,	4817,	'CSO4817',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	62.570,	NULL,	62.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:40:51',	'2021-05-23 07:52:51',	NULL,	'',	NULL,	NULL),
(3823,	7,	4818,	'CSO4818',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	21.500,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:42:45',	'2021-05-23 07:53:47',	NULL,	'',	NULL,	NULL),
(3824,	7,	4819,	'CSO4819',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:43:22',	'2021-05-23 07:53:11',	NULL,	'',	NULL,	NULL),
(3825,	7,	4820,	'CSO4820',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	15.650,	NULL,	15.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:45:31',	'2021-05-23 07:54:18',	NULL,	'',	NULL,	NULL),
(3826,	7,	4821,	'CSO4821',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	13.400,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:46:38',	'2021-05-23 07:00:07',	NULL,	'',	NULL,	NULL),
(3827,	7,	4822,	'CSO4822',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:50:46',	'2021-05-23 07:01:38',	NULL,	'',	NULL,	NULL),
(3828,	7,	4823,	'CSO4823',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	28.000,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:51:09',	'2021-05-23 07:03:21',	NULL,	'',	NULL,	NULL),
(3829,	7,	4824,	'CSO4824',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:51:16',	'2021-05-23 07:04:43',	NULL,	'',	NULL,	NULL),
(3830,	7,	4825,	'CSO4825',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.200,	0.100,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:52:12',	'2021-05-23 07:06:05',	NULL,	'',	NULL,	NULL),
(3831,	7,	4826,	'CSO4826',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	17.700,	NULL,	17.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:52:53',	'2021-05-23 07:06:35',	NULL,	'',	NULL,	NULL),
(3832,	7,	4827,	'CSO4827',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 12:54:49',	'2021-05-23 07:06:35',	NULL,	'',	NULL,	NULL),
(3833,	7,	4828,	'CSO4828',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:03:19',	'2021-05-23 07:07:22',	NULL,	'',	NULL,	NULL),
(3834,	7,	4829,	'CSO4829',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	88.200,	NULL,	88.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:07:19',	'2021-05-23 07:07:22',	NULL,	'',	NULL,	NULL),
(3835,	7,	4830,	'CSO4830',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:07:58',	'2021-05-23 07:07:22',	NULL,	'',	NULL,	NULL),
(3836,	7,	4831,	'CSO4831',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:10:47',	'2021-05-23 07:07:55',	NULL,	'',	NULL,	NULL),
(3837,	7,	4832,	'CSO4832',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:22:56',	'2021-05-23 07:08:24',	NULL,	'',	NULL,	NULL),
(3838,	7,	4833,	'CSO4833',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.700,	NULL,	7.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:27:30',	'2021-05-23 07:08:49',	NULL,	'',	NULL,	NULL),
(3839,	7,	4834,	'CSO4834',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.400,	NULL,	7.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:30:38',	'2021-05-23 07:09:08',	NULL,	'',	NULL,	NULL),
(3840,	7,	4835,	'CSO4835',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:32:19',	'2021-05-23 07:09:27',	NULL,	'',	NULL,	NULL),
(3841,	7,	4836,	'CSO4836',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	64.720,	0.020,	64.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:32:43',	'2021-05-23 07:11:07',	NULL,	'',	NULL,	1),
(3842,	7,	4837,	'CSO4837',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:34:38',	'2021-05-23 07:11:29',	NULL,	'',	NULL,	NULL),
(3843,	7,	4838,	'CSO4838',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.580,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:36:06',	'2021-05-23 07:11:49',	NULL,	'',	NULL,	NULL),
(3844,	7,	4839,	'CSO4839',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.100,	NULL,	2.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:37:45',	'2021-05-23 07:21:58',	NULL,	'',	NULL,	NULL),
(3845,	7,	4840,	'CSO4840',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:39:49',	'2021-05-23 07:21:58',	NULL,	'',	NULL,	NULL),
(3846,	7,	4841,	'CSO4841',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:43:25',	'2021-05-23 07:22:18',	NULL,	'',	NULL,	NULL),
(3847,	7,	4842,	'CSO4842',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:44:37',	'2021-05-23 07:23:10',	NULL,	'',	NULL,	NULL),
(3848,	7,	4843,	'CSO4843',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:52:00',	'2021-05-23 07:23:28',	NULL,	'',	NULL,	NULL),
(3849,	7,	4844,	'CSO4844',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:53:01',	'2021-05-23 07:55:00',	NULL,	'',	NULL,	NULL),
(3850,	7,	4845,	'CSO4845',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:56:38',	'2021-05-23 07:55:22',	NULL,	'',	NULL,	NULL),
(3851,	7,	4846,	'CSO4846',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:58:09',	'2021-05-23 07:55:46',	NULL,	'',	NULL,	NULL),
(3852,	7,	4847,	'CSO4847',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 13:58:40',	'2021-05-23 07:56:06',	NULL,	'',	NULL,	NULL),
(3853,	7,	4848,	'CSO4848',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.700,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:14:23',	'2021-05-23 07:56:58',	NULL,	'',	NULL,	NULL),
(3854,	7,	4849,	'CSO4849',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	14.400,	NULL,	14.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:18:02',	'2021-05-23 07:56:35',	NULL,	'',	NULL,	1),
(3855,	7,	4850,	'CSO4850',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	28.100,	NULL,	28.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:22:57',	'2021-05-23 10:03:00',	NULL,	'',	NULL,	NULL),
(3856,	7,	4851,	'CSO4851',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:24:16',	'2021-05-23 10:03:23',	NULL,	'',	NULL,	NULL),
(3857,	7,	4852,	'CSO4852',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	95.570,	0.570,	95.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:25:49',	'2021-05-23 10:03:48',	NULL,	'',	NULL,	NULL),
(3858,	7,	4853,	'CSO4853',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:31:14',	'2021-05-23 10:04:13',	NULL,	'',	NULL,	NULL),
(3859,	7,	4854,	'CSO4854',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:37:51',	'2021-05-23 10:04:36',	NULL,	'',	NULL,	NULL),
(3860,	7,	4855,	'CSO4855',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	19.000,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:38:39',	'2021-05-23 10:04:58',	NULL,	'',	NULL,	NULL),
(3861,	7,	4856,	'CSO4856',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:40:38',	'2021-05-23 10:05:24',	NULL,	'',	NULL,	NULL),
(3862,	7,	4857,	'CSO4857',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.900,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:43:12',	'2021-05-23 10:05:47',	NULL,	'',	NULL,	NULL),
(3863,	7,	4858,	'CSO4858',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 14:52:29',	'2021-05-23 10:06:14',	NULL,	'',	NULL,	NULL),
(3864,	7,	4859,	'CSO4859',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	28.800,	NULL,	28.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:02:56',	'2021-05-23 10:06:33',	NULL,	'',	NULL,	NULL),
(3865,	7,	4860,	'CSO4860',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:04:40',	'2021-05-23 10:07:05',	NULL,	'',	NULL,	NULL),
(3866,	7,	4861,	'CSO4861',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:17:27',	'2021-05-23 10:07:34',	NULL,	'',	NULL,	NULL),
(3867,	7,	4862,	'CSO4862',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:18:40',	'2021-05-23 10:08:24',	NULL,	'',	NULL,	NULL),
(3868,	7,	4863,	'CSO4863',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:24:33',	'2021-05-23 10:07:50',	NULL,	'',	NULL,	NULL),
(3869,	7,	4864,	'CSO4864',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:33:21',	'2021-05-23 10:17:20',	NULL,	'',	NULL,	NULL),
(3870,	7,	4865,	'CSO4865',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.190,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:37:52',	'2021-05-23 10:17:54',	NULL,	'',	NULL,	NULL),
(3871,	7,	4866,	'CSO4866',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.512,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:39:11',	'2021-05-23 10:18:15',	NULL,	'',	NULL,	NULL),
(3872,	7,	4867,	'CSO4867',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	23.050,	NULL,	23.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 15:39:40',	'2021-05-23 10:18:33',	NULL,	'',	NULL,	1),
(3873,	7,	4868,	'CSO4868',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	12.600,	NULL,	12.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:13:37',	'2021-05-23 10:19:02',	NULL,	'',	NULL,	NULL),
(3874,	7,	4869,	'CSO4869',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:19:31',	'2021-05-23 10:19:19',	NULL,	'',	NULL,	NULL),
(3875,	7,	4870,	'CSO4870',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:23:49',	'2021-05-23 10:19:39',	NULL,	'',	NULL,	NULL),
(3876,	7,	4871,	'CSO4871',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:28:36',	'2021-05-23 10:20:27',	NULL,	'',	NULL,	NULL),
(3877,	7,	4872,	'CSO4872',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:29:30',	'2021-05-23 11:29:32',	NULL,	'',	NULL,	NULL),
(3878,	7,	4873,	'CSO4873',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	26.100,	NULL,	26.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:38:22',	'2021-05-23 11:39:41',	NULL,	'',	NULL,	NULL),
(3879,	7,	4874,	'CSO4874',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:38:58',	'2021-05-23 11:30:55',	NULL,	'',	NULL,	NULL),
(3880,	7,	4875,	'CSO4875',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:44:03',	'2021-05-23 11:39:41',	NULL,	'',	NULL,	NULL),
(3881,	7,	4876,	'CSO4876',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:46:22',	'2021-05-23 12:00:29',	NULL,	'',	NULL,	NULL),
(3882,	7,	4877,	'CSO4877',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:47:19',	'2021-05-23 12:00:44',	NULL,	'',	NULL,	NULL),
(3883,	7,	4878,	'CSO4878',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:50:13',	'2021-05-23 12:00:57',	NULL,	'',	NULL,	NULL),
(3884,	7,	4879,	'CSO4879',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	16.070,	0.007,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:52:27',	'2021-05-23 12:01:17',	NULL,	'',	NULL,	NULL),
(3885,	7,	4880,	'CSO4880',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.800,	NULL,	7.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 16:52:59',	'2021-05-23 12:01:34',	NULL,	'',	NULL,	NULL),
(3886,	7,	4881,	'CSO4881',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	27.500,	NULL,	27.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:15:16',	'2021-05-23 12:01:56',	NULL,	'',	NULL,	NULL),
(3887,	7,	4882,	'CSO4882',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	24.600,	NULL,	24.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:18:10',	'2021-05-23 11:08:00',	NULL,	'',	NULL,	NULL),
(3888,	7,	4883,	'CSO4883',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:18:24',	'2021-05-23 11:08:00',	NULL,	'',	NULL,	NULL),
(3889,	7,	4884,	'CSO4884',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:18:42',	'2021-05-23 11:08:00',	NULL,	'',	NULL,	NULL),
(3890,	7,	4885,	'CSO4885',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:23:03',	'2021-05-23 11:08:00',	NULL,	'',	NULL,	NULL),
(3891,	7,	4886,	'CSO4886',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:26:03',	'2021-05-23 12:04:44',	NULL,	'',	NULL,	NULL),
(3892,	7,	4887,	'CSO4887',	224,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:32:54',	'2021-05-23 12:07:07',	NULL,	'',	NULL,	NULL),
(3893,	7,	4888,	'CSO4888',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 17:51:13',	'2021-05-23 12:13:38',	NULL,	'',	NULL,	NULL),
(3894,	7,	4889,	'CSO4889',	226,	0,	'2021-05-22',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-22 18:10:07',	'2021-05-23 12:14:29',	NULL,	'',	NULL,	NULL),
(3895,	7,	4890,	'CSO4890',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	15.700,	NULL,	15.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 05:31:31',	'2021-05-23 12:14:29',	NULL,	'',	NULL,	NULL),
(3896,	7,	4891,	'CSO4891',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.100,	NULL,	5.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 05:38:39',	'2021-05-23 12:14:50',	NULL,	'',	NULL,	NULL),
(3897,	7,	4892,	'CSO4892',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	267.750,	0.050,	267.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 05:52:16',	'2021-05-23 12:15:20',	NULL,	'',	NULL,	NULL),
(3898,	7,	4893,	'CSO4893',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	17.200,	NULL,	17.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 05:58:42',	'2021-05-23 12:16:56',	NULL,	'',	NULL,	NULL),
(3899,	7,	4894,	'CSO4894',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.995,	0.095,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:13:09',	'2021-05-23 12:16:56',	NULL,	'',	NULL,	NULL),
(3900,	7,	4895,	'CSO4895',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:14:57',	'2021-05-23 12:17:57',	NULL,	'',	NULL,	NULL),
(3901,	7,	4896,	'CSO4896',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:21:10',	'2021-05-23 12:36:11',	NULL,	'',	NULL,	NULL),
(3902,	7,	4897,	'CSO4897',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.970,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:39:11',	'2021-05-23 12:36:38',	NULL,	'',	NULL,	NULL),
(3903,	7,	4898,	'CSO4898',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:42:17',	'2021-05-23 12:37:03',	NULL,	'',	NULL,	NULL),
(3904,	7,	4899,	'CSO4899',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:45:17',	'2021-05-23 12:37:31',	NULL,	'',	NULL,	NULL),
(3905,	7,	4900,	'CSO4900',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.420,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:46:11',	'2021-05-23 12:37:47',	NULL,	'',	NULL,	NULL),
(3906,	7,	4901,	'CSO4901',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.500,	NULL,	6.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:54:22',	'2021-05-23 12:39:19',	NULL,	'',	NULL,	NULL),
(3907,	7,	4902,	'CSO4902',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 06:59:35',	'2021-05-23 12:39:43',	NULL,	'',	NULL,	NULL),
(3908,	7,	4903,	'CSO4903',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	13.650,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:04:20',	'2021-05-23 12:40:02',	NULL,	'',	NULL,	NULL),
(3909,	7,	4904,	'CSO4904',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	39.395,	0.395,	39.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:11:01',	'2021-05-23 12:40:39',	NULL,	'',	NULL,	NULL),
(3910,	7,	4905,	'CSO4905',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:12:33',	'2021-05-23 12:41:04',	NULL,	'',	NULL,	NULL),
(3911,	7,	4906,	'CSO4906',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:14:00',	'2021-05-23 12:41:24',	NULL,	'',	NULL,	1),
(3912,	7,	4907,	'CSO4907',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:18:16',	'2021-05-23 12:42:21',	NULL,	'',	NULL,	NULL),
(3913,	7,	4908,	'CSO4908',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	32.600,	0.600,	32.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:28:40',	'2021-05-23 12:42:47',	NULL,	'JALALE CASH',	NULL,	1),
(3914,	7,	4909,	'CSO4909',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.512,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:29:06',	'2021-05-23 12:43:11',	NULL,	'',	NULL,	NULL),
(3915,	7,	4910,	'CSO4910',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.860,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:34:24',	'2021-05-23 12:43:30',	NULL,	'',	NULL,	NULL),
(3916,	7,	4911,	'CSO4911',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:34:50',	'2021-05-23 12:43:53',	NULL,	'',	NULL,	NULL),
(3917,	7,	4912,	'CSO4912',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:37:11',	'2021-05-23 12:44:26',	NULL,	'',	NULL,	1),
(3918,	7,	4913,	'CSO4913',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	35.485,	NULL,	35.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:37:35',	'2021-05-23 12:45:13',	NULL,	'',	NULL,	NULL),
(3919,	7,	4914,	'CSO4914',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	55.000,	NULL,	55.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:39:48',	'2021-05-23 12:45:35',	NULL,	'',	NULL,	NULL),
(3920,	7,	4915,	'CSO4915',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	19.200,	0.200,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:40:13',	'2021-05-23 12:46:00',	NULL,	'',	NULL,	NULL),
(3921,	7,	4916,	'CSO4916',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:42:28',	'2021-05-23 12:46:18',	NULL,	'',	NULL,	NULL),
(3922,	7,	4917,	'CSO4917',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	49.000,	NULL,	49.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:44:55',	'2021-05-23 12:46:36',	NULL,	'',	NULL,	NULL),
(3923,	7,	4918,	'CSO4918',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	32.195,	NULL,	32.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:46:38',	'2021-05-23 12:47:19',	NULL,	'',	NULL,	NULL),
(3924,	7,	4919,	'CSO4919',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:47:19',	'2021-05-23 12:47:52',	NULL,	'',	NULL,	NULL),
(3925,	7,	4920,	'CSO4920',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:47:39',	'2021-05-23 12:48:29',	NULL,	'',	NULL,	NULL),
(3926,	7,	4921,	'CSO4921',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	21.100,	NULL,	21.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:50:48',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3927,	7,	4922,	'CSO4922',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 07:58:54',	'2021-05-23 12:56:59',	NULL,	'',	NULL,	NULL),
(3928,	7,	4923,	'CSO4923',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:00:18',	'2021-05-23 12:57:22',	NULL,	'',	NULL,	NULL),
(3929,	7,	4924,	'CSO4924',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:01:34',	'2021-05-23 12:57:36',	NULL,	'',	NULL,	NULL),
(3930,	7,	4925,	'CSO4925',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	20.040,	1.000,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:05:30',	'2021-05-23 12:58:00',	NULL,	'',	NULL,	NULL),
(3931,	7,	4926,	'CSO4926',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:05:51',	'2021-05-23 12:58:20',	NULL,	'',	NULL,	NULL),
(3932,	7,	4927,	'CSO4927',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:09:48',	'2021-05-23 12:58:37',	NULL,	'',	NULL,	NULL),
(3933,	7,	4928,	'CSO4928',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:22:17',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3934,	7,	4929,	'CSO4929',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	16.200,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:35:28',	'2021-05-23 12:59:09',	NULL,	'',	NULL,	NULL),
(3935,	7,	4930,	'CSO4930',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:35:50',	'2021-05-23 12:59:30',	NULL,	'',	NULL,	NULL),
(3936,	7,	4931,	'CSO4931',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:38:02',	'2021-05-23 12:59:50',	NULL,	'',	NULL,	NULL),
(3937,	7,	4932,	'CSO4932',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:44:15',	'2021-05-23 13:00:17',	NULL,	'',	NULL,	NULL),
(3938,	7,	4933,	'CSO4933',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:47:45',	'2021-05-23 13:00:42',	NULL,	'',	NULL,	NULL),
(3939,	7,	4934,	'CSO4934',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:47:51',	'2021-05-23 13:01:10',	NULL,	'',	NULL,	NULL),
(3940,	7,	4935,	'CSO4935',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:48:35',	'2021-05-23 13:01:29',	NULL,	'',	NULL,	NULL),
(3941,	7,	4936,	'CSO4936',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.320,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:49:05',	'2021-05-23 13:02:00',	NULL,	'',	NULL,	NULL),
(3942,	7,	4937,	'CSO4937',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:49:48',	'2021-05-23 13:02:20',	NULL,	'',	NULL,	NULL),
(3943,	7,	4938,	'CSO4938',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:52:20',	'2021-05-23 13:02:46',	NULL,	'NASAR BARKKA',	NULL,	NULL),
(3944,	7,	4939,	'CSO4939',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 08:53:43',	'2021-05-23 13:03:02',	NULL,	'',	NULL,	NULL),
(3945,	7,	4940,	'CSO4940',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	18.500,	NULL,	18.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:04:18',	'2021-05-23 13:03:24',	NULL,	'',	NULL,	NULL),
(3946,	7,	4941,	'CSO4941',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	4.725,	NULL,	4.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:05:22',	'2021-05-23 13:03:41',	NULL,	'',	NULL,	NULL),
(3947,	7,	4942,	'CSO4942',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:06:25',	'2021-05-23 13:03:58',	NULL,	'',	NULL,	NULL),
(3948,	7,	4943,	'CSO4943',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:09:15',	'2021-05-23 13:04:33',	NULL,	'',	NULL,	1),
(3949,	7,	4944,	'CSO4944',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:10:38',	'2021-05-23 13:06:07',	NULL,	'',	NULL,	NULL),
(3950,	7,	4945,	'CSO4945',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	10.900,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:12:04',	'2021-05-23 13:06:07',	NULL,	'',	NULL,	1),
(3951,	7,	4946,	'CSO4946',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	23.700,	1.000,	22.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:14:12',	'2021-05-23 13:06:07',	NULL,	'',	NULL,	NULL),
(3952,	7,	4947,	'CSO4947',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.800,	NULL,	0.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:25:43',	'2021-05-23 13:06:07',	NULL,	'',	NULL,	NULL),
(3953,	7,	4948,	'CSO4948',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	18.200,	NULL,	18.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:26:16',	'2021-05-23 13:06:07',	NULL,	'',	NULL,	NULL),
(3954,	7,	4949,	'CSO4949',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.260,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:27:59',	'2021-05-23 13:06:07',	NULL,	'',	NULL,	NULL),
(3955,	7,	4950,	'CSO4950',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:29:56',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3956,	7,	4951,	'CSO4951',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	58.340,	NULL,	58.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:35:20',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3957,	7,	4952,	'CSO4952',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:36:59',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3958,	7,	4953,	'CSO4953',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:38:18',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3959,	7,	4954,	'CSO4954',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	15.500,	NULL,	15.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:38:54',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3960,	7,	4955,	'CSO4955',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.400,	NULL,	8.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:40:02',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3961,	7,	4956,	'CSO4956',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	15.960,	NULL,	15.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:40:34',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3962,	7,	4957,	'CSO4957',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	38.800,	NULL,	38.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:44:58',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3963,	7,	4958,	'CSO4958',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:46:40',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3964,	7,	4959,	'CSO4959',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	17.900,	NULL,	17.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:48:10',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3965,	7,	4960,	'CSO4960',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	12.100,	NULL,	12.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:51:15',	'2021-05-23 12:56:40',	NULL,	'',	NULL,	NULL),
(3966,	7,	4961,	'CSO4961',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:51:58',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3967,	7,	4962,	'CSO4962',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:52:20',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3968,	7,	4963,	'CSO4963',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	20.000,	NULL,	20.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:55:02',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3969,	7,	4964,	'CSO4964',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	13.600,	NULL,	13.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:55:08',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3970,	7,	4965,	'CSO4965',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	48.100,	NULL,	48.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:57:37',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3971,	7,	4966,	'CSO4966',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.720,	NULL,	6.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 09:59:01',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3972,	7,	4967,	'CSO4967',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:00:59',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3973,	7,	4968,	'CSO4968',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:04:35',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3974,	7,	4969,	'CSO4969',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:06:53',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3975,	7,	4970,	'CSO4970',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:08:17',	'2021-05-23 12:58:57',	NULL,	'',	NULL,	NULL),
(3976,	7,	4971,	'CSO4971',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:12:32',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	1),
(3977,	7,	4972,	'CSO4972',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	37.100,	NULL,	37.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:19:35',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3978,	7,	4973,	'CSO4973',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.000,	NULL,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:20:40',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3979,	7,	4974,	'CSO4974',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.760,	NULL,	6.760,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:21:35',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	1),
(3980,	7,	4975,	'CSO4975',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	62.350,	NULL,	62.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:24:58',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3981,	7,	4976,	'CSO4976',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	19.400,	NULL,	19.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:26:33',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3982,	7,	4977,	'CSO4977',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:29:53',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3983,	7,	4978,	'CSO4978',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:30:12',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3984,	7,	4979,	'CSO4979',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:44:02',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3985,	7,	4980,	'CSO4980',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.100,	NULL,	9.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:45:08',	'2021-05-23 13:01:13',	NULL,	'',	NULL,	NULL),
(3986,	7,	4981,	'CSO4981',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:51:06',	'2021-05-23 13:10:13',	NULL,	'',	NULL,	NULL),
(3987,	7,	4982,	'CSO4982',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	45.100,	NULL,	45.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 10:57:43',	'2021-05-23 13:10:13',	NULL,	'',	NULL,	NULL),
(3988,	7,	4983,	'CSO4983',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	30.700,	NULL,	27.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:05:06',	'2021-05-23 13:10:13',	NULL,	'MASFA',	NULL,	NULL),
(3989,	7,	4984,	'CSO4984',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:05:18',	'2021-05-23 13:10:13',	NULL,	'',	NULL,	NULL),
(3990,	7,	4985,	'CSO4985',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:09:10',	'2021-05-23 13:10:13',	NULL,	'',	NULL,	NULL),
(3991,	7,	4986,	'CSO4986',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	28.400,	NULL,	28.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:12:05',	'2021-05-23 13:10:13',	NULL,	'',	NULL,	NULL),
(3992,	7,	4987,	'CSO4987',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	12.400,	NULL,	12.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:15:56',	'2021-05-23 13:10:13',	NULL,	'',	NULL,	NULL),
(3993,	7,	4988,	'CSO4988',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:20:47',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(3994,	7,	4989,	'CSO4989',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:21:19',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(3995,	7,	4990,	'CSO4990',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:22:33',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(3996,	7,	4991,	'CSO4991',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:23:14',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(3997,	7,	4992,	'CSO4992',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:24:34',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(3998,	7,	4993,	'CSO4993',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	17.000,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:30:29',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(3999,	7,	4994,	'CSO4994',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:30:56',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(4000,	7,	4995,	'CSO4995',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:31:31',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(4001,	7,	4996,	'CSO4996',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:31:32',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(4002,	7,	4997,	'CSO4997',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	9.600,	NULL,	9.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:33:43',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	1),
(4003,	7,	4998,	'CSO4998',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	47.400,	NULL,	47.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:36:41',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(4004,	7,	4999,	'CSO4999',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:38:28',	'2021-05-23 13:14:33',	NULL,	'',	NULL,	NULL),
(4005,	7,	5000,	'CSO5000',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	8.700,	NULL,	8.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:44:41',	'2021-05-23 13:15:51',	NULL,	'',	NULL,	NULL),
(4006,	7,	5001,	'CSO5001',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:52:04',	'2021-05-23 13:15:51',	NULL,	'',	NULL,	NULL),
(4007,	7,	5002,	'CSO5002',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	3.400,	NULL,	3.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:52:58',	'2021-05-23 13:15:51',	NULL,	'',	NULL,	NULL),
(4008,	7,	5003,	'CSO5003',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	21.500,	NULL,	21.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 11:56:53',	'2021-05-23 13:15:51',	NULL,	'',	NULL,	NULL),
(4009,	7,	5004,	'CSO5004',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-23',	'CMP',	0,	NULL,	21.080,	NULL,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:00:31',	'2021-05-23 13:15:51',	NULL,	'',	NULL,	NULL),
(4010,	7,	5005,	'CSO5005',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:08:25',	'2021-05-24 06:16:44',	NULL,	'',	NULL,	NULL),
(4011,	7,	5006,	'CSO5006',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:08:52',	'2021-05-24 06:16:59',	NULL,	'',	NULL,	NULL),
(4012,	7,	5007,	'CSO5007',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:22:05',	'2021-05-24 06:17:16',	NULL,	'',	NULL,	NULL),
(4013,	7,	5008,	'CSO5008',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:27:11',	'2021-05-24 06:17:31',	NULL,	'',	NULL,	1),
(4014,	7,	5009,	'CSO5009',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:28:07',	'2021-05-24 06:17:48',	NULL,	'',	NULL,	1),
(4015,	7,	5010,	'CSO5010',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:28:48',	'2021-05-24 06:18:05',	NULL,	'',	NULL,	NULL),
(4016,	7,	5011,	'CSO5011',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:31:06',	'2021-05-24 06:18:22',	NULL,	'',	NULL,	NULL),
(4017,	7,	5012,	'CSO5012',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	77.190,	NULL,	77.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:39:00',	'2021-05-24 06:18:41',	NULL,	'',	NULL,	NULL),
(4018,	7,	5013,	'CSO5013',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	34.601,	NULL,	34.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:44:44',	'2021-05-24 06:19:05',	NULL,	'',	NULL,	NULL),
(4019,	7,	5014,	'CSO5014',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:47:32',	'2021-05-24 06:19:20',	NULL,	'',	NULL,	NULL),
(4020,	7,	5015,	'CSO5015',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.600,	NULL,	5.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:50:10',	'2021-05-24 06:19:40',	NULL,	'',	NULL,	NULL),
(4021,	7,	5016,	'CSO5016',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:51:57',	'2021-05-24 06:19:55',	NULL,	'',	NULL,	NULL),
(4022,	7,	5017,	'CSO5017',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	7.508,	0.500,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 12:57:56',	'2021-05-24 06:20:22',	NULL,	'',	NULL,	NULL),
(4023,	7,	5018,	'CSO5018',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	19.290,	NULL,	19.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:00:19',	'2021-05-24 06:20:42',	NULL,	'',	NULL,	NULL),
(4024,	7,	5019,	'CSO5019',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:02:23',	'2021-05-24 06:21:00',	NULL,	'',	NULL,	NULL),
(4025,	7,	5020,	'CSO5020',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	16.900,	NULL,	16.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:04:20',	'2021-05-24 06:21:22',	NULL,	'',	NULL,	NULL),
(4026,	7,	5021,	'CSO5021',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.990,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:13:20',	'2021-05-24 06:21:59',	NULL,	'',	NULL,	NULL),
(4027,	7,	5022,	'CSO5022',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:20:44',	'2021-05-24 06:22:24',	NULL,	'',	NULL,	NULL),
(4028,	7,	5023,	'CSO5023',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:24:12',	'2021-05-24 06:22:40',	NULL,	'',	NULL,	NULL),
(4029,	7,	5024,	'CSO5024',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:26:44',	'2021-05-24 06:22:57',	NULL,	'',	NULL,	NULL),
(4030,	7,	5025,	'CSO5025',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:29:30',	'2021-05-24 06:23:24',	NULL,	'',	NULL,	NULL),
(4031,	7,	5026,	'CSO5026',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:31:57',	'2021-05-24 06:23:59',	NULL,	'',	NULL,	NULL),
(4032,	7,	5027,	'CSO5027',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	10.300,	NULL,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:35:24',	'2021-05-24 06:24:19',	NULL,	'',	NULL,	1),
(4033,	7,	5028,	'CSO5028',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	7.500,	NULL,	7.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:36:26',	'2021-05-24 06:24:34',	NULL,	'',	NULL,	1),
(4034,	7,	5029,	'CSO5029',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	84.600,	NULL,	84.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:38:09',	'2021-05-24 06:24:51',	NULL,	'',	NULL,	NULL),
(4035,	7,	5030,	'CSO5030',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	12.000,	NULL,	12.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:48:07',	'2021-05-24 06:25:12',	NULL,	'',	NULL,	NULL),
(4036,	7,	5031,	'CSO5031',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	16.800,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:48:14',	'2021-05-24 06:25:31',	NULL,	'',	NULL,	NULL),
(4037,	7,	5032,	'CSO5032',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:54:25',	'2021-05-24 06:25:47',	NULL,	'',	NULL,	NULL),
(4038,	7,	5033,	'CSO5033',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	10.200,	NULL,	10.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 13:58:53',	'2021-05-24 06:26:06',	NULL,	'',	NULL,	NULL),
(4039,	7,	5034,	'CSO5034',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:00:32',	'2021-05-24 06:26:24',	NULL,	'',	NULL,	NULL),
(4040,	7,	5035,	'CSO5035',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	28.400,	NULL,	28.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:07:18',	'2021-05-24 06:26:43',	NULL,	'',	NULL,	NULL),
(4041,	7,	5036,	'CSO5036',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:10:44',	'2021-05-24 06:27:04',	NULL,	'',	NULL,	NULL),
(4042,	7,	5037,	'CSO5037',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:12:15',	'2021-05-24 06:27:24',	NULL,	'',	NULL,	NULL),
(4043,	7,	5038,	'CSO5038',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.500,	NULL,	3.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:16:51',	'2021-05-24 06:27:40',	NULL,	'',	NULL,	NULL),
(4044,	7,	5039,	'CSO5039',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:21:52',	'2021-05-24 06:27:58',	NULL,	'',	NULL,	NULL),
(4045,	7,	5040,	'CSO5040',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	8.540,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:24:58',	'2021-05-24 06:28:14',	NULL,	'',	NULL,	NULL),
(4046,	7,	5041,	'CSO5041',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:25:51',	'2021-05-24 06:28:31',	NULL,	'',	NULL,	NULL),
(4047,	7,	5042,	'CSO5042',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:29:06',	'2021-05-24 06:28:51',	NULL,	'',	NULL,	NULL),
(4048,	7,	5043,	'CSO5043',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	742.000,	NULL,	742.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:32:19',	'2021-05-24 06:30:20',	NULL,	'',	NULL,	NULL),
(4049,	7,	5044,	'CSO5044',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	24.500,	NULL,	24.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:45:05',	'2021-05-24 06:29:31',	NULL,	'',	NULL,	NULL),
(4050,	7,	5045,	'CSO5045',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	7.300,	NULL,	7.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:47:12',	'2021-05-24 06:29:47',	NULL,	'',	NULL,	NULL),
(4051,	7,	5046,	'CSO5046',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 14:56:38',	'2021-05-24 06:30:02',	NULL,	'',	NULL,	NULL),
(4052,	7,	5047,	'CSO5047',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:09:07',	'2021-05-24 06:30:20',	NULL,	'',	NULL,	NULL),
(4053,	7,	5048,	'CSO5048',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	24.700,	NULL,	24.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:18:49',	'2021-05-24 06:30:39',	NULL,	'',	NULL,	NULL),
(4054,	7,	5049,	'CSO5049',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	18.500,	NULL,	18.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:22:10',	'2021-05-24 06:31:01',	NULL,	'',	NULL,	1),
(4055,	7,	5050,	'CSO5050',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:23:53',	'2021-05-24 06:32:05',	NULL,	'',	NULL,	NULL),
(4056,	7,	5051,	'CSO5051',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:26:18',	'2021-05-24 06:33:23',	NULL,	'',	NULL,	NULL),
(4057,	7,	5052,	'CSO5052',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:26:57',	'2021-05-24 06:33:23',	NULL,	'',	NULL,	NULL),
(4058,	7,	5053,	'CSO5053',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	26.204,	NULL,	26.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:36:59',	'2021-05-24 06:34:06',	NULL,	'',	NULL,	1),
(4059,	7,	5054,	'CSO5054',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:37:32',	'2021-05-24 06:34:26',	NULL,	'',	NULL,	NULL),
(4060,	7,	5055,	'CSO5055',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	10.920,	NULL,	10.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:39:53',	'2021-05-24 06:34:46',	NULL,	'',	NULL,	1),
(4061,	7,	5056,	'CSO5056',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:45:04',	'2021-05-24 06:35:08',	NULL,	'',	NULL,	NULL),
(4062,	7,	5057,	'CSO5057',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	28.500,	NULL,	28.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:51:57',	'2021-05-24 06:35:32',	NULL,	'',	NULL,	NULL),
(4063,	7,	5058,	'CSO5058',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	14.175,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 15:56:10',	'2021-05-24 06:35:51',	NULL,	'',	NULL,	NULL),
(4064,	7,	5059,	'CSO5059',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	17.000,	NULL,	17.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:01:29',	'2021-05-24 06:36:10',	NULL,	'',	NULL,	NULL),
(4065,	7,	5060,	'CSO5060',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:03:07',	'2021-05-24 06:36:27',	NULL,	'',	NULL,	NULL),
(4066,	7,	5061,	'CSO5061',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	16.790,	0.200,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:06:38',	'2021-05-24 07:29:01',	NULL,	'',	NULL,	NULL),
(4067,	7,	5062,	'CSO5062',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	57.000,	NULL,	57.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:08:26',	'2021-05-24 07:29:21',	NULL,	'',	NULL,	NULL),
(4068,	7,	5063,	'CSO5063',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	15.600,	0.200,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:11:19',	'2021-05-24 07:29:46',	NULL,	'',	NULL,	NULL),
(4069,	7,	5064,	'CSO5064',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	8.400,	0.400,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:12:49',	'2021-05-24 07:30:45',	NULL,	'',	NULL,	NULL),
(4070,	7,	5065,	'CSO5065',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:14:49',	'2021-05-24 07:31:16',	NULL,	'',	NULL,	NULL),
(4071,	7,	5066,	'CSO5066',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	38.820,	NULL,	38.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:18:41',	'2021-05-24 07:31:42',	NULL,	'',	NULL,	1),
(4072,	7,	5067,	'CSO5067',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	11.400,	NULL,	11.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:19:38',	'2021-05-24 07:32:01',	NULL,	'',	NULL,	1),
(4073,	7,	5068,	'CSO5068',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:32:35',	'2021-05-24 07:32:28',	NULL,	'',	NULL,	NULL),
(4074,	7,	5069,	'CSO5069',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:33:51',	'2021-05-24 07:32:55',	NULL,	'',	NULL,	NULL),
(4075,	7,	5070,	'CSO5070',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:38:20',	'2021-05-24 07:33:12',	NULL,	'',	NULL,	NULL),
(4076,	7,	5071,	'CSO5071',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	11.500,	NULL,	11.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 16:54:06',	'2021-05-24 07:33:31',	NULL,	'',	NULL,	NULL),
(4077,	7,	5072,	'CSO5072',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	9.000,	NULL,	9.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 17:03:22',	'2021-05-24 07:33:59',	NULL,	'',	NULL,	NULL),
(4078,	7,	5073,	'CSO5073',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 17:05:37',	'2021-05-24 07:34:20',	NULL,	'',	NULL,	NULL),
(4079,	7,	5074,	'CSO5074',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	10.290,	NULL,	10.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 17:30:30',	'2021-05-24 07:34:40',	NULL,	'',	'1',	NULL),
(4080,	7,	5075,	'CSO5075',	226,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.600,	0.100,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 17:37:28',	'2021-05-24 07:34:57',	NULL,	'',	NULL,	NULL),
(4081,	7,	5076,	'CSO5076',	224,	0,	'2021-05-23',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-23 18:40:23',	'2021-05-24 07:35:11',	NULL,	'',	NULL,	NULL),
(4082,	7,	5077,	'CSO5077',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	13.000,	NULL,	13.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 05:26:34',	'2021-05-24 07:35:26',	NULL,	'',	NULL,	NULL),
(4083,	7,	5078,	'CSO5078',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 05:39:13',	'2021-05-24 07:35:42',	NULL,	'',	NULL,	NULL),
(4084,	7,	5079,	'CSO5079',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	44.800,	NULL,	44.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 05:46:28',	'2021-05-24 07:36:06',	NULL,	'',	NULL,	NULL),
(4085,	7,	5080,	'CSO5080',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	20.100,	NULL,	20.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 05:58:35',	'2021-05-24 07:39:07',	NULL,	'',	NULL,	1),
(4086,	7,	5081,	'CSO5081',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 05:59:10',	'2021-05-24 07:39:07',	NULL,	'',	NULL,	NULL),
(4087,	7,	5082,	'CSO5082',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	15.300,	NULL,	15.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 06:53:50',	'2021-05-24 07:39:07',	NULL,	'',	NULL,	NULL),
(4088,	7,	5083,	'CSO5083',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 07:01:09',	'2021-05-24 07:39:07',	NULL,	'',	NULL,	NULL),
(4089,	7,	5084,	'CSO5084',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 07:24:50',	'2021-05-24 07:39:07',	NULL,	'',	NULL,	NULL),
(4090,	7,	5085,	'CSO5085',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 08:17:44',	'2021-05-24 09:46:34',	NULL,	'',	NULL,	NULL),
(4091,	7,	5086,	'CSO5086',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	19.500,	NULL,	19.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 08:28:36',	'2021-05-24 09:46:34',	NULL,	'',	NULL,	NULL),
(4092,	7,	5087,	'CSO5087',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 08:33:51',	'2021-05-24 09:47:49',	NULL,	'',	NULL,	NULL),
(4093,	7,	5088,	'CSO5088',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 08:45:58',	'2021-05-24 09:47:49',	NULL,	'',	NULL,	NULL),
(4094,	7,	5089,	'CSO5089',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 08:46:27',	'2021-05-24 09:47:49',	NULL,	'',	NULL,	NULL),
(4095,	7,	5090,	'CSO5090',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	105.000,	NULL,	105.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 08:58:14',	'2021-05-24 09:50:05',	NULL,	'',	NULL,	NULL),
(4096,	7,	5091,	'CSO5091',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.200,	NULL,	1.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 09:07:32',	'2021-05-24 09:50:05',	NULL,	'',	NULL,	NULL),
(4097,	7,	5092,	'CSO5092',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 09:14:31',	'2021-05-24 09:50:05',	NULL,	'',	NULL,	NULL),
(4098,	7,	5093,	'CSO5093',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 09:31:28',	'2021-05-24 09:50:05',	NULL,	'',	NULL,	NULL),
(4099,	7,	5094,	'CSO5094',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	5.900,	NULL,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 09:46:41',	'2021-05-24 11:46:23',	NULL,	'',	NULL,	NULL),
(4100,	7,	5095,	'CSO5095',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	165.380,	NULL,	165.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 09:49:43',	'2021-05-24 11:48:04',	NULL,	'',	NULL,	1),
(4101,	7,	5096,	'CSO5096',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	26.780,	0.200,	26.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 10:36:42',	'2021-05-24 11:46:06',	NULL,	'TEST\r\nTEST',	NULL,	NULL),
(4102,	7,	5097,	'CSO5097',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 10:44:17',	'2021-05-24 11:46:23',	NULL,	'',	NULL,	NULL),
(4103,	7,	5098,	'CSO5098',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 10:51:51',	'2021-05-24 11:48:04',	NULL,	'',	NULL,	NULL),
(4104,	7,	5099,	'CSO5099',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-24',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 10:52:25',	'2021-05-24 11:48:04',	NULL,	'',	NULL,	NULL),
(4105,	7,	5100,	'CSO5100',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.250,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:00:42',	'2021-05-25 06:12:54',	NULL,	'',	NULL,	NULL),
(4106,	7,	5101,	'CSO5101',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	19.700,	NULL,	19.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:02:48',	'2021-05-25 06:12:54',	NULL,	'',	NULL,	NULL),
(4107,	7,	5102,	'CSO5102',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:06:56',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4108,	7,	5103,	'CSO5103',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:16:23',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4109,	7,	5104,	'CSO5104',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.700,	NULL,	5.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:18:31',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4110,	7,	5105,	'CSO5105',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:19:49',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4111,	7,	5106,	'CSO5106',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:20:15',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4112,	7,	5107,	'CSO5107',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.525,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:22:59',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4113,	7,	5108,	'CSO5108',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:24:22',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4114,	7,	5109,	'CSO5109',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.340,	0.200,	6.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:28:30',	'2021-05-25 06:15:16',	NULL,	'',	NULL,	NULL),
(4115,	7,	5110,	'CSO5110',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	21.400,	NULL,	21.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:31:27',	'2021-05-25 06:29:05',	NULL,	'',	NULL,	NULL),
(4116,	7,	5111,	'CSO5111',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.100,	NULL,	6.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:35:57',	'2021-05-25 06:29:56',	NULL,	'',	NULL,	NULL),
(4117,	7,	5112,	'CSO5112',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.300,	NULL,	3.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:37:49',	'2021-05-25 06:29:19',	NULL,	'',	NULL,	NULL),
(4118,	7,	5113,	'CSO5113',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.300,	NULL,	14.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:39:49',	'2021-05-25 06:30:12',	NULL,	'',	NULL,	NULL),
(4119,	7,	5114,	'CSO5114',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:40:27',	'2021-05-25 06:30:31',	NULL,	'',	NULL,	NULL),
(4120,	7,	5115,	'CSO5115',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	27.600,	NULL,	27.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:40:40',	'2021-05-25 06:30:45',	NULL,	'',	NULL,	NULL),
(4121,	7,	5116,	'CSO5116',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:41:34',	'2021-05-25 06:28:52',	NULL,	'',	NULL,	NULL),
(4122,	7,	5117,	'CSO5117',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:50:05',	'2021-05-25 06:31:02',	NULL,	'',	NULL,	NULL),
(4123,	7,	5118,	'CSO5118',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	16.200,	NULL,	16.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:54:03',	'2021-05-25 06:31:35',	NULL,	'',	NULL,	NULL),
(4124,	7,	5119,	'CSO5119',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.400,	NULL,	12.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:55:20',	'2021-05-25 06:32:24',	NULL,	'',	NULL,	NULL),
(4125,	7,	5120,	'CSO5120',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	21.100,	0.100,	21.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 11:56:22',	'2021-05-25 06:38:23',	NULL,	'',	NULL,	NULL),
(4126,	7,	5121,	'CSO5121',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.600,	NULL,	6.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:02:31',	'2021-05-25 06:38:41',	NULL,	'',	NULL,	NULL),
(4127,	7,	5122,	'CSO5122',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.300,	NULL,	12.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:07:13',	'2021-05-25 06:39:21',	NULL,	'',	NULL,	NULL),
(4128,	7,	5123,	'CSO5123',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:09:44',	'2021-05-25 06:39:21',	NULL,	'',	NULL,	NULL),
(4129,	7,	5124,	'CSO5124',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	13.200,	NULL,	13.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:10:25',	'2021-05-25 06:40:09',	NULL,	'',	NULL,	1),
(4130,	7,	5125,	'CSO5125',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.300,	0.100,	9.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:13:01',	'2021-05-25 06:40:32',	NULL,	'',	NULL,	NULL),
(4131,	7,	5126,	'CSO5126',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.995,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:14:28',	'2021-05-25 06:40:47',	NULL,	'',	NULL,	NULL),
(4132,	7,	5127,	'CSO5127',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	35.670,	NULL,	35.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:16:11',	'2021-05-25 06:41:17',	NULL,	'',	NULL,	NULL),
(4133,	7,	5128,	'CSO5128',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:17:40',	'2021-05-25 06:41:58',	NULL,	'',	NULL,	NULL),
(4134,	7,	5129,	'CSO5129',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:27:10',	'2021-05-25 06:42:23',	NULL,	'',	NULL,	NULL),
(4135,	7,	5130,	'CSO5130',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	11.600,	NULL,	11.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:28:37',	'2021-05-25 06:42:50',	NULL,	'',	NULL,	NULL),
(4136,	7,	5131,	'CSO5131',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:32:29',	'2021-05-25 06:43:08',	NULL,	'',	NULL,	NULL),
(4137,	7,	5132,	'CSO5132',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:33:23',	'2021-05-25 06:43:57',	NULL,	'',	NULL,	NULL),
(4138,	7,	5133,	'CSO5133',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:37:31',	'2021-05-25 06:44:23',	NULL,	'',	NULL,	NULL),
(4139,	7,	5134,	'CSO5134',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	32.895,	NULL,	32.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:38:41',	'2021-05-25 06:45:35',	NULL,	'',	NULL,	NULL),
(4140,	7,	5135,	'CSO5135',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.500,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:42:39',	'2021-05-25 06:45:52',	NULL,	'',	NULL,	NULL),
(4141,	7,	5136,	'CSO5136',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.500,	NULL,	1.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:42:51',	'2021-05-25 06:46:37',	NULL,	'',	NULL,	NULL),
(4142,	7,	5137,	'CSO5137',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.400,	NULL,	4.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:43:48',	'2021-05-25 06:46:59',	NULL,	'',	NULL,	NULL),
(4143,	7,	5138,	'CSO5138',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.400,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:44:26',	'2021-05-25 06:47:15',	NULL,	'',	NULL,	NULL),
(4144,	7,	5139,	'CSO5139',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	21.600,	NULL,	21.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:47:00',	'2021-05-25 06:47:32',	NULL,	'',	NULL,	NULL),
(4145,	7,	5140,	'CSO5140',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.300,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:48:24',	'2021-05-25 07:48:20',	NULL,	'',	NULL,	NULL),
(4146,	7,	5141,	'CSO5141',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.500,	0.100,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:49:14',	'2021-05-25 08:32:18',	NULL,	'',	NULL,	NULL),
(4147,	7,	5142,	'CSO5142',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.000,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:51:37',	'2021-05-25 08:32:18',	NULL,	'',	NULL,	NULL),
(4148,	7,	5143,	'CSO5143',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 12:52:30',	'2021-05-25 08:32:40',	NULL,	'',	NULL,	NULL),
(4149,	7,	5144,	'CSO5144',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:03:11',	'2021-05-25 08:36:41',	NULL,	'',	NULL,	NULL),
(4150,	7,	5145,	'CSO5145',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	17.200,	NULL,	17.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:03:29',	'2021-05-25 08:36:41',	NULL,	'',	NULL,	NULL),
(4151,	7,	5146,	'CSO5146',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:05:47',	'2021-05-25 08:36:41',	NULL,	'',	NULL,	NULL),
(4152,	7,	5147,	'CSO5147',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:09:48',	'2021-05-25 08:36:57',	NULL,	'',	NULL,	NULL),
(4153,	7,	5148,	'CSO5148',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:10:12',	'2021-05-25 08:37:33',	NULL,	'',	NULL,	NULL),
(4154,	7,	5149,	'CSO5149',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:15:43',	'2021-05-25 08:37:33',	NULL,	'',	NULL,	NULL),
(4155,	7,	5150,	'CSO5150',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.600,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:16:26',	'2021-05-25 08:40:08',	NULL,	'',	NULL,	NULL),
(4156,	7,	5151,	'CSO5151',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:24:16',	'2021-05-25 08:40:42',	NULL,	'',	NULL,	NULL),
(4157,	7,	5152,	'CSO5152',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:25:10',	'2021-05-25 08:40:42',	NULL,	'',	NULL,	NULL),
(4158,	7,	5153,	'CSO5153',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:26:58',	'2021-05-25 08:40:59',	NULL,	'',	NULL,	NULL),
(4159,	7,	5154,	'CSO5154',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:34:24',	'2021-05-25 08:41:14',	NULL,	'',	NULL,	NULL),
(4160,	7,	5155,	'CSO5155',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	0.900,	NULL,	0.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:48:05',	'2021-05-25 08:41:28',	NULL,	'',	NULL,	NULL),
(4161,	7,	5156,	'CSO5156',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.600,	NULL,	10.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 13:56:13',	'2021-05-25 08:41:45',	NULL,	'',	NULL,	NULL),
(4162,	7,	5157,	'CSO5157',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.600,	NULL,	4.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:09:37',	'2021-05-25 08:42:00',	NULL,	'',	NULL,	NULL),
(4163,	7,	5158,	'CSO5158',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	28.200,	NULL,	28.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:12:44',	'2021-05-25 08:42:30',	NULL,	'',	NULL,	1),
(4164,	7,	5159,	'CSO5159',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.700,	NULL,	9.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:13:01',	'2021-05-25 08:42:57',	NULL,	'',	NULL,	NULL),
(4165,	7,	5160,	'CSO5160',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	7.600,	NULL,	7.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:14:12',	'2021-05-25 08:43:24',	NULL,	'',	NULL,	NULL),
(4166,	7,	5161,	'CSO5161',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:16:08',	'2021-05-25 08:43:41',	NULL,	'',	NULL,	1),
(4167,	7,	5162,	'CSO5162',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:18:31',	'2021-05-25 08:44:01',	NULL,	'',	NULL,	NULL),
(4168,	7,	5163,	'CSO5163',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	46.200,	NULL,	46.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:20:31',	'2021-05-25 08:44:22',	NULL,	'',	NULL,	NULL),
(4169,	7,	5164,	'CSO5164',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	18.600,	NULL,	18.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:23:25',	'2021-05-25 09:42:29',	NULL,	'',	NULL,	NULL),
(4170,	7,	5165,	'CSO5165',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:25:47',	'2021-05-25 09:43:01',	NULL,	'',	NULL,	NULL),
(4171,	7,	5166,	'CSO5166',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:28:41',	'2021-05-25 09:43:01',	NULL,	'',	NULL,	NULL),
(4172,	7,	5167,	'CSO5167',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:32:14',	'2021-05-25 09:44:04',	NULL,	'',	NULL,	NULL),
(4173,	7,	5168,	'CSO5168',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	17.900,	NULL,	17.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:32:40',	'2021-05-25 09:44:04',	NULL,	'',	NULL,	NULL),
(4174,	7,	5169,	'CSO5169',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:32:45',	'2021-05-25 09:44:04',	NULL,	'',	NULL,	NULL),
(4175,	7,	5170,	'CSO5170',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	20.800,	NULL,	20.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:35:11',	'2021-05-25 09:45:13',	NULL,	'',	NULL,	1),
(4176,	7,	5171,	'CSO5171',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.900,	NULL,	1.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:35:38',	'2021-05-25 09:45:13',	NULL,	'',	NULL,	NULL),
(4177,	7,	5172,	'CSO5172',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:42:33',	'2021-05-25 09:45:13',	NULL,	'',	NULL,	NULL),
(4178,	7,	5173,	'CSO5173',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	50.500,	NULL,	50.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:48:52',	'2021-05-25 09:45:13',	NULL,	'',	NULL,	1),
(4179,	7,	5174,	'CSO5174',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:51:00',	'2021-05-25 09:46:24',	NULL,	'',	NULL,	NULL),
(4180,	7,	5175,	'CSO5175',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	15.800,	NULL,	15.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:53:29',	'2021-05-25 09:46:24',	NULL,	'',	NULL,	NULL),
(4181,	7,	5176,	'CSO5176',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:53:31',	'2021-05-25 09:46:24',	NULL,	'',	NULL,	NULL),
(4182,	7,	5177,	'CSO5177',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:54:19',	'2021-05-25 09:53:54',	NULL,	'',	NULL,	NULL),
(4183,	7,	5178,	'CSO5178',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	33.500,	NULL,	33.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 14:56:11',	'2021-05-25 09:53:22',	NULL,	'',	NULL,	1),
(4184,	7,	5179,	'CSO5179',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	19.100,	0.300,	18.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:13:51',	'2021-05-25 09:53:54',	NULL,	'',	NULL,	NULL),
(4185,	7,	5180,	'CSO5180',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:16:21',	'2021-05-25 09:49:22',	NULL,	'',	NULL,	NULL),
(4186,	7,	5181,	'CSO5181',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.800,	NULL,	4.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:25:44',	'2021-05-25 09:49:57',	NULL,	'',	NULL,	NULL),
(4187,	7,	5182,	'CSO5182',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:27:24',	'2021-05-25 09:54:02',	NULL,	'',	NULL,	NULL),
(4188,	7,	5183,	'CSO5183',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:28:15',	'2021-05-25 09:54:02',	NULL,	'',	NULL,	NULL),
(4189,	7,	5184,	'CSO5184',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	151.975,	NULL,	152.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:30:46',	'2021-05-25 09:55:03',	NULL,	'',	NULL,	NULL),
(4190,	7,	5185,	'CSO5185',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.100,	0.100,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:34:08',	'2021-05-25 09:57:46',	NULL,	'',	NULL,	NULL),
(4191,	7,	5186,	'CSO5186',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:34:36',	'2021-05-25 09:57:46',	NULL,	'',	NULL,	NULL),
(4192,	7,	5187,	'CSO5187',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:50:42',	'2021-05-25 09:57:14',	NULL,	'',	NULL,	NULL),
(4193,	7,	5188,	'CSO5188',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 15:54:58',	'2021-05-25 09:57:46',	NULL,	'',	NULL,	NULL),
(4194,	7,	5189,	'CSO5189',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.200,	NULL,	8.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:04:06',	'2021-05-25 09:57:46',	NULL,	'',	NULL,	NULL),
(4195,	7,	5190,	'CSO5190',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.500,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:08:30',	'2021-05-25 09:58:44',	NULL,	'',	NULL,	NULL),
(4196,	7,	5191,	'CSO5191',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	19.050,	NULL,	19.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:21:15',	'2021-05-25 09:58:44',	NULL,	'',	NULL,	NULL),
(4197,	7,	5192,	'CSO5192',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.800,	NULL,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:21:52',	'2021-05-25 09:58:44',	NULL,	'',	NULL,	NULL),
(4198,	7,	5193,	'CSO5193',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	16.000,	NULL,	16.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:22:30',	'2021-05-25 09:59:16',	NULL,	'',	NULL,	NULL),
(4199,	7,	5194,	'CSO5194',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	16.700,	NULL,	16.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:28:45',	'2021-05-25 09:59:16',	NULL,	'',	NULL,	NULL),
(4200,	7,	5195,	'CSO5195',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.000,	NULL,	6.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:37:24',	'2021-05-25 09:59:34',	NULL,	'',	NULL,	NULL),
(4201,	7,	5196,	'CSO5196',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	57.500,	NULL,	57.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:38:55',	'2021-05-25 10:00:33',	NULL,	'',	NULL,	NULL),
(4202,	7,	5197,	'CSO5197',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.400,	NULL,	10.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:44:10',	'2021-05-25 10:00:33',	NULL,	'',	NULL,	NULL),
(4203,	7,	5198,	'CSO5198',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:46:26',	'2021-05-25 10:00:33',	NULL,	'',	NULL,	NULL),
(4204,	7,	5199,	'CSO5199',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.415,	NULL,	2.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:49:33',	'2021-05-25 10:00:54',	NULL,	'',	NULL,	NULL),
(4205,	7,	5200,	'CSO5200',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.820,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:50:20',	'2021-05-25 11:36:24',	NULL,	'',	NULL,	NULL),
(4206,	7,	5201,	'CSO5201',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:52:43',	'2021-05-25 11:36:49',	NULL,	'',	NULL,	NULL),
(4207,	7,	5202,	'CSO5202',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.000,	0.200,	3.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:54:28',	'2021-05-25 11:37:19',	NULL,	'',	NULL,	NULL),
(4208,	7,	5203,	'CSO5203',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.800,	NULL,	14.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 16:59:14',	'2021-05-25 11:40:03',	NULL,	'',	NULL,	NULL),
(4209,	7,	5204,	'CSO5204',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	37.500,	NULL,	37.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:02:10',	'2021-05-25 11:40:20',	NULL,	'',	NULL,	1),
(4210,	7,	5205,	'CSO5205',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:03:55',	'2021-05-25 11:36:04',	NULL,	'',	NULL,	NULL),
(4211,	7,	5206,	'CSO5206',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	16.500,	NULL,	16.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:08:50',	'2021-05-25 11:41:15',	NULL,	'',	NULL,	1),
(4212,	7,	5207,	'CSO5207',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.530,	NULL,	4.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:11:19',	'2021-05-25 11:42:07',	NULL,	'',	NULL,	NULL),
(4213,	7,	5208,	'CSO5208',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:15:03',	'2021-05-25 11:42:35',	NULL,	'',	NULL,	NULL),
(4214,	7,	5209,	'CSO5209',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.600,	NULL,	1.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:29:18',	'2021-05-25 11:43:47',	NULL,	'',	NULL,	NULL),
(4215,	7,	5210,	'CSO5210',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	33.200,	0.200,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:32:20',	'2021-05-25 11:44:17',	NULL,	'',	NULL,	NULL),
(4216,	7,	5211,	'CSO5211',	224,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:34:00',	'2021-05-25 11:44:47',	NULL,	'',	NULL,	NULL),
(4217,	7,	5212,	'CSO5212',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	13.460,	NULL,	13.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:38:07',	'2021-05-25 11:45:07',	NULL,	'',	NULL,	1),
(4218,	7,	5213,	'CSO5213',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.000,	NULL,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:40:18',	'2021-05-25 11:45:27',	NULL,	'',	NULL,	NULL),
(4219,	7,	5214,	'CSO5214',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.000,	NULL,	3.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:42:29',	'2021-05-25 11:46:08',	NULL,	'',	NULL,	NULL),
(4220,	7,	5215,	'CSO5215',	226,	0,	'2021-05-24',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-24 17:48:27',	'2021-05-25 11:46:34',	NULL,	'',	NULL,	NULL),
(4221,	7,	5216,	'CSO5216',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	27.700,	NULL,	27.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:02:17',	'2021-05-25 11:46:49',	NULL,	'',	NULL,	NULL),
(4222,	7,	5217,	'CSO5217',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:16:55',	'2021-05-25 11:47:05',	NULL,	'',	NULL,	NULL),
(4223,	7,	5218,	'CSO5218',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.100,	NULL,	1.100,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:24:58',	'2021-05-25 11:47:19',	NULL,	'',	NULL,	NULL),
(4224,	7,	5219,	'CSO5219',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.600,	NULL,	3.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:33:39',	'2021-05-25 11:47:37',	NULL,	'',	NULL,	NULL),
(4225,	7,	5220,	'CSO5220',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.800,	NULL,	5.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:36:30',	'2021-05-25 11:48:10',	NULL,	'',	NULL,	NULL),
(4226,	7,	5221,	'CSO5221',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	22.500,	NULL,	22.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:50:09',	'2021-05-25 11:48:57',	NULL,	'',	NULL,	NULL),
(4227,	7,	5222,	'CSO5222',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.100,	0.100,	8.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 05:52:58',	'2021-05-25 11:49:23',	NULL,	'',	NULL,	NULL),
(4228,	7,	5223,	'CSO5223',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.700,	NULL,	1.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:01:48',	'2021-05-25 11:51:41',	NULL,	'',	NULL,	NULL),
(4229,	7,	5224,	'CSO5224',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.095,	NULL,	14.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:05:19',	'2021-05-25 11:52:04',	NULL,	'',	NULL,	NULL),
(4230,	7,	5225,	'CSO5225',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	36.700,	NULL,	36.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:09:15',	'2021-05-25 11:52:38',	NULL,	'KHALEFA KUDEYAN',	NULL,	NULL),
(4231,	7,	5226,	'CSO5226',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	37.190,	0.190,	37.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:16:20',	'2021-05-25 11:53:31',	NULL,	'',	NULL,	NULL),
(4232,	7,	5227,	'CSO5227',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.310,	NULL,	2.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:16:24',	'2021-05-25 11:54:04',	NULL,	'',	NULL,	NULL),
(4233,	7,	5228,	'CSO5228',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.200,	0.200,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:22:14',	'2021-05-25 11:55:29',	NULL,	'',	NULL,	NULL),
(4234,	7,	5229,	'CSO5229',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:27:37',	'2021-05-25 11:55:46',	NULL,	'',	NULL,	NULL),
(4235,	7,	5230,	'CSO5230',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	63.285,	NULL,	63.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:32:59',	'2021-05-25 11:56:35',	NULL,	'',	NULL,	NULL),
(4236,	7,	5231,	'CSO5231',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.520,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:35:24',	'2021-05-25 11:56:58',	NULL,	'',	NULL,	NULL),
(4237,	7,	5232,	'CSO5232',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	3.200,	NULL,	3.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:36:30',	'2021-05-25 11:57:15',	NULL,	'',	NULL,	NULL),
(4238,	7,	5233,	'CSO5233',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:37:58',	'2021-05-25 11:57:47',	NULL,	'',	NULL,	NULL),
(4239,	7,	5234,	'CSO5234',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	89.600,	NULL,	89.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:54:16',	'2021-05-25 11:59:12',	NULL,	'',	NULL,	NULL),
(4240,	7,	5235,	'CSO5235',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.400,	NULL,	6.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 06:56:44',	'2021-05-25 11:59:30',	NULL,	'',	NULL,	NULL),
(4241,	7,	5236,	'CSO5236',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.200,	NULL,	14.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:02:49',	'2021-05-25 11:59:48',	NULL,	'',	NULL,	NULL),
(4242,	7,	5237,	'CSO5237',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	7.200,	NULL,	7.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:09:07',	'2021-05-25 12:00:52',	NULL,	'',	NULL,	NULL),
(4243,	7,	5238,	'CSO5238',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	22.100,	0.100,	22.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:11:19',	'2021-05-25 12:01:21',	NULL,	'',	NULL,	1),
(4244,	7,	5239,	'CSO5239',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	37.800,	NULL,	37.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:14:25',	'2021-05-25 12:01:50',	NULL,	'',	NULL,	NULL),
(4245,	7,	5240,	'CSO5240',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.895,	NULL,	14.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:18:05',	'2021-05-25 12:02:17',	NULL,	'',	NULL,	NULL),
(4246,	7,	5241,	'CSO5241',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	28.305,	NULL,	28.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:27:47',	'2021-05-25 12:02:42',	NULL,	'',	NULL,	NULL),
(4247,	7,	5242,	'CSO5242',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:28:08',	'2021-05-25 12:03:13',	NULL,	'',	NULL,	NULL),
(4248,	7,	5243,	'CSO5243',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.800,	NULL,	2.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:28:59',	'2021-05-25 12:03:55',	NULL,	'',	NULL,	NULL),
(4249,	7,	5244,	'CSO5244',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	17.500,	NULL,	17.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:37:30',	'2021-05-25 12:03:48',	NULL,	'',	NULL,	NULL),
(4250,	7,	5245,	'CSO5245',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:40:08',	'2021-05-25 12:05:01',	NULL,	'',	NULL,	NULL),
(4251,	7,	5246,	'CSO5246',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:41:43',	'2021-05-25 12:06:08',	NULL,	'',	NULL,	NULL),
(4252,	7,	5247,	'CSO5247',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.985,	0.085,	5.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:43:16',	'2021-05-25 12:07:01',	NULL,	'',	NULL,	NULL),
(4253,	7,	5248,	'CSO5248',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	13.800,	NULL,	13.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:46:25',	'2021-05-25 12:07:18',	NULL,	'',	NULL,	NULL),
(4254,	7,	5249,	'CSO5249',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 07:51:39',	'2021-05-25 12:07:35',	NULL,	'',	NULL,	NULL),
(4255,	7,	5250,	'CSO5250',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	24.000,	NULL,	24.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 08:14:48',	'2021-05-25 12:07:53',	NULL,	'',	NULL,	NULL),
(4256,	7,	5251,	'CSO5251',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 08:16:22',	'2021-05-25 12:08:20',	NULL,	'',	NULL,	NULL),
(4257,	7,	5252,	'CSO5252',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 08:29:41',	'2021-05-25 12:12:14',	NULL,	'',	NULL,	1),
(4258,	7,	5253,	'CSO5253',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	23.400,	NULL,	23.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 08:39:37',	'2021-05-25 12:12:43',	NULL,	'',	NULL,	1),
(4259,	7,	5254,	'CSO5254',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:08:41',	'2021-05-25 12:14:17',	NULL,	'',	NULL,	NULL),
(4260,	7,	5255,	'CSO5255',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	83.000,	NULL,	83.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:15:43',	'2021-05-25 12:15:37',	NULL,	'',	NULL,	1),
(4261,	7,	5256,	'CSO5256',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:16:25',	'2021-05-25 12:15:56',	NULL,	'',	NULL,	NULL),
(4262,	7,	5257,	'CSO5257',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	7.700,	NULL,	7.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:26:30',	'2021-05-25 12:16:18',	NULL,	'',	NULL,	NULL),
(4263,	7,	5258,	'CSO5258',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:34:23',	'2021-05-25 12:16:35',	NULL,	'',	NULL,	NULL),
(4264,	7,	5259,	'CSO5259',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.480,	NULL,	12.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:35:08',	'2021-05-25 12:17:41',	NULL,	'',	NULL,	NULL),
(4265,	7,	5260,	'CSO5260',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:38:40',	'2021-05-25 12:18:40',	NULL,	'',	NULL,	NULL),
(4266,	7,	5261,	'CSO5261',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:40:00',	'2021-05-25 12:19:07',	NULL,	'',	NULL,	NULL),
(4267,	7,	5262,	'CSO5262',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	27.600,	NULL,	27.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:44:55',	'2021-05-25 12:19:53',	NULL,	'',	NULL,	1),
(4268,	7,	5263,	'CSO5263',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:45:41',	'2021-05-25 12:20:45',	NULL,	'',	NULL,	NULL),
(4269,	7,	5264,	'CSO5264',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.050,	0.050,	1.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:46:39',	'2021-05-25 12:25:40',	NULL,	'',	NULL,	NULL),
(4270,	7,	5265,	'CSO5265',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:47:35',	'2021-05-25 12:28:22',	NULL,	'',	NULL,	NULL),
(4271,	7,	5266,	'CSO5266',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:48:11',	'2021-05-25 12:28:42',	NULL,	'',	NULL,	NULL),
(4272,	7,	5267,	'CSO5267',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	0.700,	NULL,	0.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 09:50:33',	'2021-05-25 12:28:58',	NULL,	'',	NULL,	NULL),
(4273,	7,	5268,	'CSO5268',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:02:12',	'2021-05-25 12:29:45',	NULL,	'',	NULL,	NULL),
(4274,	7,	5269,	'CSO5269',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	7.000,	NULL,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:03:10',	'2021-05-25 12:29:26',	NULL,	'',	NULL,	NULL),
(4275,	7,	5270,	'CSO5270',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	48.480,	NULL,	48.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:06:53',	'2021-05-25 12:30:08',	NULL,	'',	NULL,	NULL),
(4276,	7,	5271,	'CSO5271',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.800,	NULL,	9.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:10:59',	'2021-05-25 12:30:23',	NULL,	'',	NULL,	NULL),
(4277,	7,	5272,	'CSO5272',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	11.000,	NULL,	11.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:19:38',	'2021-05-25 12:36:38',	NULL,	'',	NULL,	NULL),
(4278,	7,	5273,	'CSO5273',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.400,	NULL,	5.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:20:09',	'2021-05-25 12:36:51',	NULL,	'',	NULL,	NULL),
(4279,	7,	5274,	'CSO5274',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.200,	NULL,	12.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:27:16',	'2021-05-25 12:37:10',	NULL,	'',	NULL,	NULL),
(4280,	7,	5275,	'CSO5275',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	30.600,	NULL,	30.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:28:29',	'2021-05-25 12:37:33',	NULL,	'',	NULL,	NULL),
(4281,	7,	5276,	'CSO5276',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.400,	NULL,	9.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:29:57',	'2021-05-25 12:38:03',	NULL,	'',	NULL,	NULL),
(4282,	7,	5277,	'CSO5277',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	15.000,	NULL,	15.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:30:57',	'2021-05-25 12:37:49',	NULL,	'',	NULL,	NULL),
(4283,	7,	5278,	'CSO5278',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	57.200,	NULL,	57.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:43:05',	'2021-05-25 12:38:17',	NULL,	'',	NULL,	NULL),
(4284,	7,	5279,	'CSO5279',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	12.900,	NULL,	12.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:47:45',	'2021-05-25 12:38:34',	NULL,	'',	NULL,	NULL),
(4285,	7,	5280,	'CSO5280',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:48:47',	'2021-05-25 12:39:07',	NULL,	'',	NULL,	NULL),
(4286,	7,	5281,	'CSO5281',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	16.800,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:49:38',	'2021-05-25 12:39:23',	NULL,	'',	NULL,	1),
(4287,	7,	5282,	'CSO5282',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	16.825,	NULL,	16.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:54:57',	'2021-05-25 12:39:50',	NULL,	'',	NULL,	NULL),
(4288,	7,	5283,	'CSO5283',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.700,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 10:58:13',	'2021-05-25 12:41:05',	NULL,	'',	NULL,	NULL),
(4289,	7,	5284,	'CSO5284',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	7.100,	0.100,	7.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:06:05',	'2021-05-25 12:41:34',	NULL,	'',	NULL,	NULL),
(4290,	7,	5285,	'CSO5285',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:07:10',	'2021-05-25 12:41:54',	NULL,	'',	NULL,	NULL),
(4291,	7,	5286,	'CSO5286',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.800,	0.300,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:09:18',	'2021-05-25 13:48:35',	NULL,	'',	NULL,	NULL),
(4292,	7,	5287,	'CSO5287',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.000,	NULL,	5.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:11:16',	'2021-05-25 13:48:52',	NULL,	'',	NULL,	1),
(4293,	7,	5288,	'CSO5288',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	55.800,	NULL,	55.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:15:19',	'2021-05-25 13:49:08',	NULL,	'',	NULL,	1),
(4294,	7,	5289,	'CSO5289',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.300,	NULL,	4.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:17:44',	'2021-05-25 13:49:41',	NULL,	'',	NULL,	NULL),
(4295,	7,	5290,	'CSO5290',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.000,	NULL,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:20:41',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4296,	7,	5291,	'CSO5291',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	23.625,	NULL,	23.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:26:39',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4297,	7,	5292,	'CSO5292',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:27:27',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4298,	7,	5293,	'CSO5293',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	48.190,	NULL,	48.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:32:10',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	1),
(4299,	7,	5294,	'CSO5294',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:37:21',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4300,	7,	5295,	'CSO5295',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	26.465,	NULL,	26.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:39:52',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4301,	7,	5296,	'CSO5296',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	36.000,	NULL,	36.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:40:34',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4302,	7,	5297,	'CSO5297',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.001,	NULL,	4.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:43:39',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4303,	7,	5298,	'CSO5298',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:44:52',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4304,	7,	5299,	'CSO5299',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.200,	NULL,	5.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:45:07',	'2021-05-25 13:51:39',	NULL,	'',	NULL,	NULL),
(4305,	7,	5300,	'CSO5300',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.400,	0.400,	2.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:46:08',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4306,	7,	5301,	'CSO5301',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.800,	0.100,	10.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:46:56',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4307,	7,	5302,	'CSO5302',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	0.500,	NULL,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 11:50:46',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4308,	7,	5303,	'CSO5303',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	33.000,	NULL,	33.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:03:23',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4309,	7,	5304,	'CSO5304',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:12:15',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4310,	7,	5305,	'CSO5305',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	25.000,	NULL,	25.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:12:59',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4311,	7,	5306,	'CSO5306',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.600,	NULL,	8.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:13:56',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4312,	7,	5307,	'CSO5307',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.290,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:14:51',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4313,	7,	5308,	'CSO5308',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.800,	NULL,	10.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:15:55',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4314,	7,	5309,	'CSO5309',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:18:27',	'2021-05-25 13:54:24',	NULL,	'',	NULL,	NULL),
(4315,	7,	5310,	'CSO5310',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	0.525,	NULL,	0.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:21:08',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4316,	7,	5311,	'CSO5311',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.600,	NULL,	2.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:25:08',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4317,	7,	5312,	'CSO5312',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	40.550,	NULL,	40.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:25:38',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	1),
(4318,	7,	5313,	'CSO5313',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.300,	NULL,	6.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:27:50',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4319,	7,	5314,	'CSO5314',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	27.500,	NULL,	27.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:38:10',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4320,	7,	5315,	'CSO5315',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	18.900,	NULL,	18.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:41:02',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4321,	7,	5316,	'CSO5316',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	14.400,	NULL,	14.600,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:47:47',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4322,	7,	5317,	'CSO5317',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	4.200,	NULL,	4.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:47:48',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4323,	7,	5318,	'CSO5318',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:48:38',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4324,	7,	5319,	'CSO5319',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.800,	NULL,	6.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:52:29',	'2021-05-25 13:57:05',	NULL,	'',	NULL,	NULL),
(4325,	7,	5320,	'CSO5320',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.500,	NULL,	2.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:55:26',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4326,	7,	5321,	'CSO5321',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	29.200,	NULL,	29.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 12:59:43',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4327,	7,	5322,	'CSO5322',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.800,	NULL,	8.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:02:15',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4328,	7,	5323,	'CSO5323',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.200,	NULL,	2.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:04:42',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4329,	7,	5324,	'CSO5324',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.000,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:08:17',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	1),
(4330,	7,	5325,	'CSO5325',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.900,	NULL,	6.900,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:17:13',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4331,	7,	5326,	'CSO5326',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	11.300,	NULL,	11.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:20:44',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4332,	7,	5327,	'CSO5327',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	8.500,	NULL,	8.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:25:28',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4333,	7,	5328,	'CSO5328',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.800,	NULL,	1.800,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:26:04',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4334,	7,	5329,	'CSO5329',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	17.400,	NULL,	17.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:27:58',	'2021-05-25 13:57:22',	NULL,	'',	NULL,	NULL),
(4335,	7,	5330,	'CSO5330',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	2.760,	NULL,	2.700,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:29:56',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4336,	7,	5331,	'CSO5331',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	5.500,	NULL,	5.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:30:26',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4337,	7,	5332,	'CSO5332',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.300,	NULL,	1.300,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:34:10',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4338,	7,	5333,	'CSO5333',	226,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	15.400,	NULL,	15.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:35:35',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4339,	7,	5334,	'CSO5334',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	1.400,	NULL,	1.400,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:36:14',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4340,	7,	5335,	'CSO5335',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	10.100,	NULL,	10.000,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:39:38',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4341,	7,	5336,	'CSO5336',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	6.200,	NULL,	6.200,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:42:06',	'2021-05-25 13:57:43',	NULL,	'',	NULL,	NULL),
(4342,	7,	5337,	'CSO5337',	224,	0,	'2021-05-25',	NULL,	NULL,	'2021-05-25',	'CMP',	0,	NULL,	9.500,	NULL,	9.500,	NULL,	NULL,	'cash',	NULL,	'2021-05-25 13:43:43',	'2021-05-25 14:01:42',	NULL,	'',	NULL,	NULL);

DROP TABLE IF EXISTS `material_requisition_order`;
CREATE TABLE `material_requisition_order` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `customer_id` int(255) NOT NULL,
  `location_id` int(255) NOT NULL,
  `product_id` int(255) NOT NULL,
  `qty` int(255) NOT NULL,
  `unit_id` int(255) NOT NULL,
  `grade_id` int(255) DEFAULT NULL,
  `price` decimal(25,2) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `material_requisition_sea`;
CREATE TABLE `material_requisition_sea` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contract_sea_id` int(11) DEFAULT NULL,
  `flag_contract` char(15) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `request_no` varchar(255) NOT NULL,
  `entered_by` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `location_id` int(11) NOT NULL,
  `request_date` date NOT NULL,
  `approved_date` date DEFAULT NULL,
  `recieved_date` date DEFAULT NULL,
  `status` char(3) NOT NULL DEFAULT 'PRE',
  `pr_status` int(11) NOT NULL DEFAULT '0',
  `remarks` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


SET NAMES utf8mb4;

DROP TABLE IF EXISTS `migrations`;
CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `mode_details`;
CREATE TABLE `mode_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mode_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `entered_by` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `mode_details` (`id`, `mode_name`, `entered_by`, `created_at`, `updated_at`, `deleted_at`) VALUES
(2,	'SIS',	1,	'2019-12-28 18:32:34',	'2019-12-28 18:32:34',	NULL),
(3,	'OB',	1,	'2019-12-28 18:32:59',	'2019-12-28 18:32:59',	NULL),
(5,	'RP',	1,	'2020-01-15 12:10:18',	'2020-01-15 12:10:18',	NULL),
(6,	'CREDIT',	1,	'2020-02-02 16:23:12',	'2020-02-02 16:23:12',	NULL),
(7,	'CASH',	1,	'2020-09-29 18:41:00',	'2020-09-29 18:41:00',	NULL);

DROP TABLE IF EXISTS `mr_approval_products`;
CREATE TABLE `mr_approval_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` decimal(10,0) NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `mr_product_id` int(11) DEFAULT NULL,
  `price` decimal(15,3) DEFAULT NULL,
  `tax_percentage` decimal(15,2) DEFAULT NULL,
  `tax_amount` decimal(15,3) DEFAULT NULL,
  `total_amount` decimal(15,3) DEFAULT NULL,
  `remarks` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mr_apr_index` (`material_requisition_id`,`mr_product_id`,`product_id`,`unit_id`,`grade_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `mr_approval_products` (`id`, `material_requisition_id`, `product_id`, `qty`, `unit_id`, `grade_id`, `mr_product_id`, `price`, `tax_percentage`, `tax_amount`, `total_amount`, `remarks`) VALUES
(1,	16,	9,	1,	1,	9,	38,	1.200,	NULL,	NULL,	NULL,	''),
(3,	17,	9,	1,	1,	8,	39,	1.000,	NULL,	NULL,	NULL,	''),
(4,	23,	528,	2,	3,	3,	67,	3.200,	NULL,	NULL,	NULL,	''),
(5,	23,	551,	1,	63,	2,	66,	4.200,	NULL,	NULL,	NULL,	''),
(6,	23,	677,	2,	3,	3,	69,	13.000,	NULL,	NULL,	NULL,	''),
(7,	23,	753,	2,	63,	2,	70,	2.500,	NULL,	NULL,	NULL,	''),
(8,	23,	1344,	1,	3,	25,	68,	3.500,	NULL,	NULL,	NULL,	''),
(44,	47,	420,	3,	3,	3,	232,	0.000,	NULL,	NULL,	NULL,	''),
(45,	47,	799,	2,	3,	3,	231,	0.000,	NULL,	NULL,	NULL,	''),
(46,	47,	1071,	3,	3,	3,	233,	0.000,	NULL,	NULL,	NULL,	''),
(50,	46,	57,	4,	3,	15,	228,	0.000,	NULL,	NULL,	NULL,	''),
(51,	46,	528,	2,	3,	3,	229,	0.000,	NULL,	NULL,	NULL,	''),
(52,	46,	1071,	4,	3,	3,	230,	0.000,	NULL,	NULL,	NULL,	''),
(93,	51,	35,	4,	3,	15,	267,	0.000,	NULL,	NULL,	NULL,	''),
(94,	51,	57,	55,	3,	17,	263,	0.000,	NULL,	NULL,	NULL,	''),
(95,	51,	60,	6,	3,	7,	262,	0.000,	NULL,	NULL,	NULL,	''),
(96,	51,	65,	7,	3,	7,	265,	0.000,	NULL,	NULL,	NULL,	''),
(97,	51,	74,	5,	3,	15,	264,	0.000,	NULL,	NULL,	NULL,	''),
(98,	51,	76,	10,	3,	15,	266,	0.000,	NULL,	NULL,	NULL,	''),
(99,	51,	170,	17,	3,	2,	261,	0.000,	NULL,	NULL,	NULL,	''),
(100,	51,	309,	4,	3,	3,	260,	0.000,	NULL,	NULL,	NULL,	''),
(101,	51,	420,	15,	3,	3,	259,	0.000,	NULL,	NULL,	NULL,	''),
(102,	51,	753,	40,	63,	3,	258,	0.000,	NULL,	NULL,	NULL,	''),
(103,	51,	755,	15,	1,	3,	257,	0.000,	NULL,	NULL,	NULL,	''),
(104,	51,	766,	110,	3,	3,	256,	0.000,	NULL,	NULL,	NULL,	''),
(105,	51,	774,	3,	3,	2,	255,	0.000,	NULL,	NULL,	NULL,	''),
(106,	51,	799,	95,	3,	3,	252,	0.000,	NULL,	NULL,	NULL,	''),
(107,	51,	836,	135,	3,	3,	253,	0.000,	NULL,	NULL,	NULL,	''),
(108,	51,	848,	40,	3,	3,	254,	0.000,	NULL,	NULL,	NULL,	''),
(109,	51,	932,	15,	3,	55,	250,	0.000,	NULL,	NULL,	NULL,	''),
(110,	51,	933,	10,	7,	3,	251,	0.000,	NULL,	NULL,	NULL,	''),
(111,	51,	969,	25,	3,	3,	249,	0.000,	NULL,	NULL,	NULL,	''),
(112,	51,	1111,	4,	3,	4,	248,	0.000,	NULL,	NULL,	NULL,	''),
(113,	51,	1251,	15,	3,	3,	247,	0.000,	NULL,	NULL,	NULL,	''),
(114,	51,	1289,	1,	63,	3,	245,	0.000,	NULL,	NULL,	NULL,	''),
(115,	51,	1298,	18,	1,	3,	244,	0.000,	NULL,	NULL,	NULL,	''),
(116,	51,	1302,	11,	63,	2,	246,	0.000,	NULL,	NULL,	NULL,	''),
(117,	51,	1491,	1,	3,	3,	242,	0.000,	NULL,	NULL,	NULL,	''),
(118,	51,	1498,	7,	3,	23,	241,	0.000,	NULL,	NULL,	NULL,	''),
(119,	51,	1526,	25,	3,	3,	243,	0.000,	NULL,	NULL,	NULL,	''),
(120,	51,	1608,	9,	3,	3,	240,	0.000,	NULL,	NULL,	NULL,	''),
(121,	51,	1626,	130,	3,	71,	268,	0.000,	NULL,	NULL,	NULL,	''),
(122,	51,	1959,	7,	1,	3,	239,	0.000,	NULL,	NULL,	NULL,	''),
(205,	71,	682,	1,	3,	3,	351,	11.800,	NULL,	NULL,	NULL,	''),
(206,	71,	753,	1,	63,	3,	349,	2.000,	NULL,	NULL,	NULL,	'SECOND'),
(207,	71,	1344,	1,	3,	25,	350,	3.500,	NULL,	NULL,	NULL,	''),
(227,	24,	18,	10,	3,	15,	81,	0.000,	NULL,	NULL,	NULL,	''),
(228,	24,	57,	50,	3,	17,	82,	0.000,	NULL,	NULL,	NULL,	''),
(229,	24,	73,	1,	3,	9,	80,	0.000,	NULL,	NULL,	NULL,	''),
(230,	24,	150,	3,	3,	3,	74,	0.000,	NULL,	NULL,	NULL,	''),
(231,	24,	423,	30,	3,	3,	89,	0.000,	NULL,	NULL,	NULL,	'TAWOOS'),
(232,	24,	528,	10,	3,	3,	88,	0.000,	NULL,	NULL,	NULL,	''),
(233,	24,	753,	5,	3,	5,	83,	0.000,	NULL,	NULL,	NULL,	''),
(234,	24,	753,	30,	63,	3,	85,	0.000,	NULL,	NULL,	NULL,	'second'),
(235,	24,	766,	60,	3,	3,	86,	0.000,	NULL,	NULL,	NULL,	''),
(236,	24,	799,	30,	3,	3,	76,	0.000,	NULL,	NULL,	NULL,	''),
(237,	24,	848,	25,	3,	3,	75,	0.000,	NULL,	NULL,	NULL,	''),
(238,	24,	932,	15,	3,	79,	72,	0.000,	NULL,	NULL,	NULL,	''),
(239,	24,	1071,	40,	3,	3,	87,	0.000,	NULL,	NULL,	NULL,	''),
(240,	24,	1138,	10,	3,	3,	78,	0.000,	NULL,	NULL,	NULL,	''),
(241,	24,	1344,	100,	3,	25,	79,	0.000,	NULL,	NULL,	NULL,	''),
(242,	24,	1514,	15,	3,	3,	71,	0.000,	NULL,	NULL,	NULL,	''),
(243,	24,	1587,	10,	3,	3,	77,	0.000,	NULL,	NULL,	NULL,	''),
(244,	24,	1626,	30,	3,	71,	73,	0.000,	NULL,	NULL,	NULL,	''),
(245,	24,	1978,	5,	63,	3,	84,	0.000,	NULL,	NULL,	NULL,	''),
(246,	55,	18,	1,	7,	14,	288,	2.400,	NULL,	NULL,	NULL,	''),
(247,	55,	57,	1,	7,	14,	289,	2.200,	NULL,	NULL,	NULL,	''),
(248,	55,	152,	3,	1,	3,	290,	1.100,	NULL,	NULL,	NULL,	''),
(249,	55,	428,	1,	3,	2,	291,	4.600,	NULL,	NULL,	NULL,	''),
(250,	55,	932,	1,	3,	24,	292,	3.800,	NULL,	NULL,	NULL,	''),
(251,	55,	1145,	2,	3,	3,	293,	2.200,	NULL,	NULL,	NULL,	''),
(252,	55,	1344,	2,	3,	20,	294,	3.600,	NULL,	NULL,	NULL,	''),
(253,	55,	1353,	1,	3,	2,	295,	5.200,	NULL,	NULL,	NULL,	''),
(254,	55,	1563,	1,	3,	111,	296,	8.500,	NULL,	NULL,	NULL,	''),
(255,	55,	1647,	1,	63,	70,	287,	3.600,	NULL,	NULL,	NULL,	''),
(256,	54,	753,	1,	63,	3,	275,	2.500,	NULL,	NULL,	NULL,	''),
(257,	54,	933,	1,	7,	3,	274,	3.800,	NULL,	NULL,	NULL,	''),
(258,	57,	152,	2,	1,	3,	300,	1.100,	NULL,	NULL,	NULL,	''),
(259,	57,	1145,	3,	3,	3,	301,	2.200,	NULL,	NULL,	NULL,	''),
(260,	57,	1344,	2,	3,	20,	302,	3.600,	NULL,	NULL,	NULL,	''),
(261,	42,	528,	25,	3,	3,	208,	3.200,	NULL,	NULL,	NULL,	''),
(262,	50,	1179,	1,	3,	3,	237,	2.200,	NULL,	NULL,	NULL,	''),
(263,	50,	1563,	1,	3,	105,	238,	8.800,	NULL,	NULL,	NULL,	''),
(264,	48,	528,	4,	3,	3,	234,	3.200,	NULL,	NULL,	NULL,	''),
(265,	45,	528,	15,	3,	3,	227,	3.200,	NULL,	NULL,	NULL,	''),
(266,	33,	423,	1,	3,	3,	158,	2.000,	NULL,	NULL,	NULL,	''),
(267,	32,	753,	2,	63,	2,	155,	1.900,	NULL,	NULL,	NULL,	''),
(268,	32,	766,	1,	3,	3,	156,	2.300,	NULL,	NULL,	NULL,	''),
(269,	32,	1757,	1,	3,	3,	157,	8.800,	NULL,	NULL,	NULL,	''),
(270,	31,	205,	0,	1,	4,	153,	7.800,	NULL,	NULL,	NULL,	''),
(271,	31,	293,	1,	4,	4,	152,	1.800,	NULL,	NULL,	NULL,	''),
(272,	31,	1785,	0,	1,	4,	154,	7.800,	NULL,	NULL,	NULL,	''),
(273,	30,	551,	1,	63,	2,	151,	4.200,	NULL,	NULL,	NULL,	''),
(274,	38,	205,	0,	1,	3,	185,	7.800,	NULL,	NULL,	NULL,	''),
(275,	38,	547,	0,	1,	3,	187,	7.800,	NULL,	NULL,	NULL,	''),
(276,	38,	1371,	0,	1,	3,	186,	7.800,	NULL,	NULL,	NULL,	''),
(277,	38,	1410,	1,	1,	4,	188,	3.400,	NULL,	NULL,	NULL,	''),
(278,	38,	1848,	0,	1,	3,	184,	7.800,	NULL,	NULL,	NULL,	''),
(279,	38,	1854,	0,	1,	3,	183,	7.800,	NULL,	NULL,	NULL,	''),
(280,	25,	74,	1,	3,	13,	159,	9.500,	NULL,	NULL,	NULL,	''),
(281,	25,	528,	2,	3,	3,	160,	3.200,	NULL,	NULL,	NULL,	''),
(282,	25,	551,	1,	63,	2,	161,	4.200,	NULL,	NULL,	NULL,	''),
(283,	25,	1071,	5,	3,	3,	162,	4.200,	NULL,	NULL,	NULL,	''),
(284,	25,	1766,	5,	3,	3,	163,	2.300,	NULL,	NULL,	NULL,	''),
(285,	66,	682,	1,	3,	3,	342,	11.800,	NULL,	NULL,	NULL,	''),
(286,	64,	18,	1,	7,	11,	326,	2.500,	NULL,	NULL,	NULL,	''),
(287,	64,	147,	1,	1,	3,	338,	4.500,	NULL,	NULL,	NULL,	''),
(288,	64,	150,	1,	3,	3,	340,	3.000,	NULL,	NULL,	NULL,	''),
(289,	64,	170,	1,	3,	3,	325,	6.500,	NULL,	NULL,	NULL,	''),
(290,	64,	249,	1,	63,	3,	331,	1.200,	NULL,	NULL,	NULL,	''),
(291,	64,	285,	1,	4,	3,	329,	1.900,	NULL,	NULL,	NULL,	''),
(292,	64,	288,	2,	4,	3,	330,	1.800,	NULL,	NULL,	NULL,	''),
(293,	64,	291,	2,	4,	3,	328,	1.900,	NULL,	NULL,	NULL,	''),
(294,	64,	307,	1,	1,	3,	339,	1.500,	NULL,	NULL,	NULL,	''),
(295,	64,	367,	1,	1,	3,	335,	1.200,	NULL,	NULL,	NULL,	''),
(296,	64,	452,	1,	1,	3,	332,	0.900,	NULL,	NULL,	NULL,	''),
(297,	64,	1179,	2,	3,	3,	327,	2.300,	NULL,	NULL,	NULL,	''),
(298,	64,	1229,	1,	4,	3,	336,	0.500,	NULL,	NULL,	NULL,	''),
(299,	64,	1251,	1,	4,	3,	337,	0.500,	NULL,	NULL,	NULL,	''),
(300,	64,	1353,	1,	3,	3,	324,	5.200,	NULL,	NULL,	NULL,	''),
(301,	64,	1570,	3,	4,	74,	322,	2.000,	NULL,	NULL,	NULL,	''),
(302,	64,	1626,	1,	3,	71,	323,	3.200,	NULL,	NULL,	NULL,	''),
(303,	64,	1981,	1,	1,	3,	334,	4.400,	NULL,	NULL,	NULL,	''),
(304,	64,	1990,	1,	1,	4,	333,	2.200,	NULL,	NULL,	NULL,	''),
(305,	53,	152,	3,	1,	3,	273,	1.100,	NULL,	NULL,	NULL,	''),
(306,	53,	420,	2,	3,	3,	272,	1.800,	NULL,	NULL,	NULL,	''),
(307,	53,	528,	1,	3,	3,	271,	3.200,	NULL,	NULL,	NULL,	''),
(308,	53,	676,	1,	3,	3,	270,	12.800,	NULL,	NULL,	NULL,	''),
(309,	59,	932,	1,	3,	55,	307,	5.600,	NULL,	NULL,	NULL,	''),
(310,	59,	932,	3,	3,	79,	306,	2.000,	NULL,	NULL,	NULL,	''),
(311,	44,	150,	8,	3,	3,	223,	2.500,	NULL,	NULL,	NULL,	''),
(312,	44,	970,	1,	3,	2,	224,	7.800,	NULL,	NULL,	NULL,	''),
(313,	44,	1345,	4,	3,	25,	225,	3.500,	NULL,	NULL,	NULL,	''),
(314,	44,	1563,	4,	3,	105,	226,	8.200,	NULL,	NULL,	NULL,	''),
(315,	34,	1298,	1,	1,	4,	164,	1.600,	NULL,	NULL,	NULL,	''),
(316,	35,	205,	0,	1,	4,	166,	8.000,	NULL,	NULL,	NULL,	''),
(317,	36,	528,	1,	3,	3,	167,	3.200,	NULL,	NULL,	NULL,	''),
(318,	40,	279,	1,	3,	2,	192,	4.500,	NULL,	NULL,	NULL,	''),
(319,	61,	368,	2,	3,	3,	312,	2.800,	NULL,	NULL,	NULL,	''),
(320,	61,	420,	1,	3,	3,	310,	1.800,	NULL,	NULL,	NULL,	''),
(321,	61,	676,	1,	3,	3,	313,	13.000,	NULL,	NULL,	NULL,	''),
(322,	61,	753,	1,	63,	3,	311,	2.500,	NULL,	NULL,	NULL,	''),
(323,	52,	18,	1,	3,	13,	269,	10.200,	NULL,	NULL,	NULL,	''),
(324,	63,	676,	1,	3,	3,	321,	12.800,	NULL,	NULL,	NULL,	''),
(325,	63,	758,	1,	63,	3,	319,	1.900,	NULL,	NULL,	NULL,	''),
(326,	63,	766,	1,	3,	3,	320,	2.300,	NULL,	NULL,	NULL,	''),
(327,	80,	8,	1,	1,	9,	390,	1.000,	NULL,	NULL,	NULL,	'test'),
(328,	67,	249,	1,	3,	2,	344,	1.100,	NULL,	NULL,	NULL,	''),
(329,	68,	753,	1,	63,	3,	345,	2.500,	NULL,	NULL,	NULL,	''),
(330,	65,	420,	1,	3,	3,	341,	1.800,	NULL,	NULL,	NULL,	''),
(331,	60,	676,	1,	3,	3,	309,	12.900,	NULL,	NULL,	NULL,	''),
(332,	62,	152,	2,	1,	3,	316,	1.200,	NULL,	NULL,	NULL,	''),
(333,	62,	428,	1,	3,	3,	317,	4.600,	NULL,	NULL,	NULL,	''),
(334,	62,	1251,	2,	4,	3,	315,	0.500,	NULL,	NULL,	NULL,	''),
(335,	62,	1344,	1,	3,	29,	318,	2.400,	NULL,	NULL,	NULL,	''),
(336,	62,	1526,	1,	7,	3,	314,	1.900,	NULL,	NULL,	NULL,	''),
(337,	70,	152,	4,	1,	3,	352,	1.100,	NULL,	NULL,	NULL,	''),
(338,	56,	848,	1,	3,	3,	285,	3.200,	NULL,	NULL,	NULL,	''),
(339,	56,	1344,	2,	3,	20,	286,	3.800,	NULL,	NULL,	NULL,	''),
(340,	69,	765,	2,	1,	3,	346,	1.700,	NULL,	NULL,	NULL,	''),
(341,	49,	742,	1,	4,	3,	236,	1.800,	NULL,	NULL,	NULL,	''),
(342,	49,	1353,	1,	3,	3,	235,	5.200,	NULL,	NULL,	NULL,	''),
(343,	85,	369,	1,	1,	4,	398,	0.800,	NULL,	NULL,	NULL,	''),
(344,	85,	394,	1,	1,	4,	399,	0.800,	NULL,	NULL,	NULL,	''),
(345,	86,	1563,	1,	3,	3,	400,	8.600,	NULL,	NULL,	NULL,	''),
(346,	87,	152,	10,	1,	4,	403,	1.100,	NULL,	NULL,	NULL,	''),
(347,	87,	676,	2,	3,	3,	402,	13.000,	NULL,	NULL,	NULL,	''),
(348,	87,	766,	1,	3,	3,	401,	2.300,	NULL,	NULL,	NULL,	''),
(349,	87,	1145,	2,	3,	3,	404,	2.100,	NULL,	NULL,	NULL,	''),
(350,	87,	1344,	2,	3,	25,	405,	3.400,	NULL,	NULL,	NULL,	''),
(351,	88,	168,	2,	3,	3,	408,	10.800,	NULL,	NULL,	NULL,	''),
(352,	88,	428,	1,	3,	3,	409,	4.600,	NULL,	NULL,	NULL,	''),
(353,	89,	284,	2,	3,	4,	411,	1.800,	NULL,	NULL,	NULL,	''),
(354,	89,	1828,	1,	1,	4,	410,	2.800,	NULL,	NULL,	NULL,	''),
(355,	90,	1265,	4,	3,	3,	412,	2.500,	NULL,	NULL,	NULL,	''),
(356,	91,	932,	2,	6,	24,	414,	0.700,	NULL,	NULL,	NULL,	''),
(397,	101,	26,	2,	3,	7,	450,	0.000,	NULL,	NULL,	NULL,	''),
(398,	101,	48,	2,	3,	7,	448,	0.000,	NULL,	NULL,	NULL,	''),
(399,	101,	65,	2,	3,	7,	451,	0.000,	NULL,	NULL,	NULL,	''),
(400,	101,	551,	1,	63,	3,	447,	0.000,	NULL,	NULL,	NULL,	''),
(401,	101,	774,	1,	3,	2,	452,	0.000,	NULL,	NULL,	NULL,	''),
(402,	101,	932,	2,	3,	55,	449,	0.000,	NULL,	NULL,	NULL,	''),
(403,	101,	1835,	1,	3,	3,	453,	0.000,	NULL,	NULL,	NULL,	''),
(404,	101,	2003,	1,	63,	3,	446,	0.000,	NULL,	NULL,	NULL,	''),
(445,	112,	18,	1,	7,	13,	525,	2.300,	NULL,	NULL,	NULL,	''),
(446,	112,	459,	1,	1,	3,	526,	1.600,	NULL,	NULL,	NULL,	''),
(447,	112,	652,	1,	3,	3,	527,	12.800,	NULL,	NULL,	NULL,	''),
(448,	112,	1044,	2,	1,	3,	528,	0.900,	NULL,	NULL,	NULL,	''),
(449,	112,	1179,	1,	3,	3,	529,	2.300,	NULL,	NULL,	NULL,	''),
(450,	112,	1251,	4,	4,	3,	530,	0.500,	NULL,	NULL,	NULL,	''),
(451,	112,	1312,	1,	63,	84,	531,	3.000,	NULL,	NULL,	NULL,	''),
(452,	112,	1353,	1,	3,	3,	532,	5.200,	NULL,	NULL,	NULL,	''),
(453,	112,	1388,	1,	3,	3,	533,	8.000,	NULL,	NULL,	NULL,	''),
(454,	112,	1570,	15,	4,	74,	534,	1.900,	NULL,	NULL,	NULL,	''),
(455,	112,	1597,	3,	3,	3,	535,	3.700,	NULL,	NULL,	NULL,	''),
(456,	112,	1727,	1,	3,	3,	536,	4.400,	NULL,	NULL,	NULL,	''),
(457,	112,	1893,	6,	4,	3,	537,	0.600,	NULL,	NULL,	NULL,	''),
(458,	111,	170,	1,	3,	3,	484,	6.500,	NULL,	NULL,	NULL,	''),
(459,	111,	275,	1,	3,	5,	491,	4.300,	NULL,	NULL,	NULL,	''),
(460,	111,	423,	1,	3,	3,	485,	2.200,	NULL,	NULL,	NULL,	''),
(461,	111,	676,	1,	3,	3,	483,	12.800,	NULL,	NULL,	NULL,	''),
(462,	111,	753,	2,	63,	3,	488,	2.000,	NULL,	NULL,	NULL,	''),
(463,	111,	766,	1,	3,	3,	482,	2.400,	NULL,	NULL,	NULL,	''),
(464,	111,	799,	2,	3,	3,	495,	2.900,	NULL,	NULL,	NULL,	''),
(465,	111,	932,	3,	3,	79,	496,	2.000,	NULL,	NULL,	NULL,	''),
(466,	111,	1071,	1,	3,	3,	497,	4.400,	NULL,	NULL,	NULL,	''),
(467,	111,	1138,	5,	3,	3,	498,	2.000,	NULL,	NULL,	NULL,	''),
(468,	111,	1265,	1,	3,	3,	494,	2.600,	NULL,	NULL,	NULL,	''),
(469,	111,	1312,	1,	63,	84,	487,	3.000,	NULL,	NULL,	NULL,	''),
(470,	111,	1344,	1,	3,	29,	486,	2.600,	NULL,	NULL,	NULL,	''),
(471,	111,	1439,	1,	3,	23,	493,	2.400,	NULL,	NULL,	NULL,	''),
(472,	111,	1514,	2,	7,	3,	490,	2.100,	NULL,	NULL,	NULL,	''),
(473,	111,	1608,	2,	4,	24,	489,	0.750,	NULL,	NULL,	NULL,	''),
(474,	111,	1610,	1,	3,	3,	492,	3.800,	NULL,	NULL,	NULL,	''),
(475,	111,	1647,	1,	63,	2,	481,	3.800,	NULL,	NULL,	NULL,	''),
(476,	97,	33,	2,	3,	4,	472,	1.400,	NULL,	NULL,	NULL,	''),
(477,	97,	168,	6,	3,	3,	473,	1.800,	NULL,	NULL,	NULL,	''),
(478,	97,	420,	4,	3,	3,	474,	1.700,	NULL,	NULL,	NULL,	''),
(479,	97,	766,	1,	3,	3,	475,	2.300,	NULL,	NULL,	NULL,	''),
(480,	97,	799,	1,	3,	3,	476,	2.700,	NULL,	NULL,	NULL,	''),
(481,	97,	799,	2,	3,	22,	477,	1.200,	NULL,	NULL,	NULL,	''),
(482,	97,	848,	1,	3,	3,	478,	2.800,	NULL,	NULL,	NULL,	''),
(483,	97,	848,	2,	3,	22,	479,	1.800,	NULL,	NULL,	NULL,	''),
(484,	103,	682,	1,	3,	3,	457,	12.000,	NULL,	NULL,	NULL,	''),
(485,	103,	932,	1,	3,	79,	458,	2.000,	NULL,	NULL,	NULL,	''),
(486,	103,	1610,	1,	3,	3,	456,	3.600,	NULL,	NULL,	NULL,	''),
(487,	106,	57,	1,	3,	15,	462,	9.300,	NULL,	NULL,	NULL,	''),
(488,	106,	420,	1,	3,	3,	464,	1.700,	NULL,	NULL,	NULL,	''),
(489,	106,	753,	4,	63,	3,	466,	1.900,	NULL,	NULL,	NULL,	'4kg'),
(490,	106,	766,	4,	3,	3,	465,	2.200,	NULL,	NULL,	NULL,	''),
(491,	106,	1344,	2,	3,	25,	463,	3.300,	NULL,	NULL,	NULL,	''),
(492,	104,	1771,	4,	3,	3,	459,	3.500,	NULL,	NULL,	NULL,	''),
(493,	109,	1771,	1,	3,	3,	471,	3.500,	NULL,	NULL,	NULL,	''),
(494,	110,	1179,	5,	3,	3,	480,	2.300,	NULL,	NULL,	NULL,	''),
(495,	107,	682,	1,	3,	3,	469,	12.000,	NULL,	NULL,	NULL,	''),
(496,	107,	753,	1,	63,	3,	468,	2.000,	NULL,	NULL,	NULL,	'SECOND'),
(497,	107,	1138,	1,	3,	3,	467,	2.200,	NULL,	NULL,	NULL,	''),
(498,	105,	1526,	1,	3,	3,	461,	6.200,	NULL,	NULL,	NULL,	''),
(499,	108,	682,	1,	3,	3,	470,	12.000,	NULL,	NULL,	NULL,	''),
(500,	102,	676,	1,	3,	3,	454,	13.000,	NULL,	NULL,	NULL,	''),
(501,	102,	753,	1,	63,	3,	455,	2.500,	NULL,	NULL,	NULL,	''),
(502,	96,	676,	1,	3,	3,	431,	13.000,	NULL,	NULL,	NULL,	''),
(503,	98,	57,	1,	3,	13,	443,	9.400,	NULL,	NULL,	NULL,	''),
(504,	98,	1353,	2,	3,	2,	442,	4.900,	NULL,	NULL,	NULL,	''),
(505,	95,	152,	3,	1,	3,	429,	1.100,	NULL,	NULL,	NULL,	''),
(506,	95,	799,	2,	3,	3,	430,	2.700,	NULL,	NULL,	NULL,	''),
(507,	95,	933,	1,	7,	3,	425,	3.800,	NULL,	NULL,	NULL,	''),
(508,	95,	1265,	1,	3,	3,	427,	2.500,	NULL,	NULL,	NULL,	''),
(509,	95,	1336,	3,	3,	29,	428,	2.700,	NULL,	NULL,	NULL,	''),
(510,	95,	1587,	1,	3,	3,	426,	3.200,	NULL,	NULL,	NULL,	''),
(511,	95,	1626,	1,	3,	105,	424,	3.000,	NULL,	NULL,	NULL,	''),
(512,	93,	753,	1,	63,	2,	419,	1.900,	NULL,	NULL,	NULL,	''),
(513,	93,	1659,	1,	63,	2,	420,	3.800,	NULL,	NULL,	NULL,	''),
(514,	100,	676,	1,	3,	3,	445,	13.000,	NULL,	NULL,	NULL,	''),
(515,	92,	551,	1,	63,	2,	421,	4.200,	NULL,	NULL,	NULL,	''),
(516,	92,	1659,	1,	63,	2,	422,	3.800,	NULL,	NULL,	NULL,	''),
(517,	113,	753,	1,	63,	3,	538,	2.000,	NULL,	NULL,	NULL,	''),
(518,	113,	766,	1,	3,	3,	539,	2.300,	NULL,	NULL,	NULL,	''),
(519,	113,	1344,	1,	3,	25,	540,	3.500,	NULL,	NULL,	NULL,	''),
(520,	99,	1251,	2,	4,	3,	444,	0.500,	NULL,	NULL,	NULL,	''),
(544,	117,	18,	5,	3,	15,	551,	0.000,	NULL,	NULL,	NULL,	''),
(545,	117,	57,	10,	3,	15,	553,	0.000,	NULL,	NULL,	NULL,	''),
(546,	117,	73,	5,	3,	9,	552,	0.000,	NULL,	NULL,	NULL,	''),
(547,	117,	195,	40,	3,	3,	547,	0.000,	NULL,	NULL,	NULL,	''),
(548,	117,	420,	70,	3,	3,	548,	0.000,	NULL,	NULL,	NULL,	''),
(549,	117,	528,	10,	3,	3,	554,	0.000,	NULL,	NULL,	NULL,	''),
(550,	117,	766,	20,	3,	3,	549,	0.000,	NULL,	NULL,	NULL,	''),
(551,	117,	799,	10,	3,	5,	574,	NULL,	NULL,	NULL,	NULL,	NULL),
(552,	117,	848,	10,	3,	5,	573,	NULL,	NULL,	NULL,	NULL,	NULL),
(553,	117,	1498,	10,	3,	23,	550,	0.000,	NULL,	NULL,	NULL,	''),
(554,	117,	1514,	10,	3,	3,	546,	0.000,	NULL,	NULL,	NULL,	''),
(555,	117,	1526,	15,	3,	3,	545,	0.000,	NULL,	NULL,	NULL,	''),
(556,	117,	1626,	10,	3,	105,	544,	0.000,	NULL,	NULL,	NULL,	''),
(583,	130,	742,	1,	3,	2,	596,	10.500,	NULL,	NULL,	NULL,	''),
(584,	130,	1145,	2,	3,	3,	597,	2.300,	NULL,	NULL,	NULL,	''),
(585,	130,	1179,	2,	3,	3,	598,	2.300,	NULL,	NULL,	NULL,	''),
(586,	130,	1251,	1,	3,	3,	595,	3.800,	NULL,	NULL,	NULL,	''),
(587,	130,	1353,	2,	3,	3,	599,	5.000,	NULL,	NULL,	NULL,	''),
(588,	130,	1723,	1,	3,	3,	600,	4.300,	NULL,	NULL,	NULL,	''),
(589,	133,	1071,	1,	3,	3,	603,	4.500,	NULL,	NULL,	NULL,	''),
(590,	135,	799,	6,	3,	3,	619,	2.700,	NULL,	NULL,	NULL,	''),
(591,	134,	76,	1,	3,	7,	610,	10.200,	NULL,	NULL,	NULL,	''),
(592,	134,	170,	7,	3,	3,	614,	6.600,	NULL,	NULL,	NULL,	''),
(593,	134,	420,	15,	3,	3,	615,	1.700,	NULL,	NULL,	NULL,	''),
(594,	134,	766,	4,	3,	3,	613,	2.200,	NULL,	NULL,	NULL,	''),
(595,	134,	799,	10,	3,	3,	618,	2.700,	NULL,	NULL,	NULL,	''),
(596,	134,	840,	10,	3,	3,	616,	4.600,	NULL,	NULL,	NULL,	''),
(597,	134,	848,	10,	3,	3,	617,	2.800,	NULL,	NULL,	NULL,	''),
(598,	134,	932,	3,	3,	24,	604,	3.400,	NULL,	NULL,	NULL,	''),
(599,	134,	933,	7,	7,	3,	606,	3.800,	NULL,	NULL,	NULL,	''),
(600,	134,	968,	6,	3,	3,	611,	4.400,	NULL,	NULL,	NULL,	''),
(601,	134,	969,	1,	3,	3,	609,	7.800,	NULL,	NULL,	NULL,	''),
(602,	134,	1514,	2,	3,	3,	612,	7.800,	NULL,	NULL,	NULL,	''),
(603,	134,	1563,	2,	3,	110,	607,	8.400,	NULL,	NULL,	NULL,	''),
(604,	134,	1584,	2,	3,	3,	608,	3.200,	NULL,	NULL,	NULL,	''),
(605,	134,	1839,	3,	63,	3,	605,	1.500,	NULL,	NULL,	NULL,	''),
(606,	138,	57,	1,	7,	13,	622,	2.300,	NULL,	NULL,	NULL,	''),
(607,	138,	1298,	2,	1,	3,	623,	1.600,	NULL,	NULL,	NULL,	''),
(608,	129,	57,	1,	3,	16,	588,	8.900,	NULL,	NULL,	NULL,	''),
(609,	129,	152,	3,	1,	3,	587,	1.100,	NULL,	NULL,	NULL,	''),
(610,	129,	170,	1,	3,	3,	585,	6.500,	NULL,	NULL,	NULL,	''),
(611,	129,	420,	3,	3,	3,	586,	1.700,	NULL,	NULL,	NULL,	''),
(612,	129,	799,	3,	3,	5,	589,	2.600,	NULL,	NULL,	NULL,	''),
(613,	128,	57,	1,	3,	15,	581,	9.300,	NULL,	NULL,	NULL,	''),
(614,	128,	551,	1,	63,	3,	582,	4.200,	NULL,	NULL,	NULL,	''),
(615,	128,	753,	6,	63,	3,	584,	1.800,	NULL,	NULL,	NULL,	'4kg'),
(616,	128,	766,	4,	3,	3,	583,	2.200,	NULL,	NULL,	NULL,	''),
(617,	126,	676,	5,	3,	3,	579,	12.800,	NULL,	NULL,	NULL,	''),
(618,	126,	1353,	5,	3,	3,	577,	4.900,	NULL,	NULL,	NULL,	''),
(619,	126,	1766,	10,	3,	3,	578,	2.300,	NULL,	NULL,	NULL,	''),
(620,	119,	528,	1,	3,	3,	558,	4.300,	NULL,	NULL,	NULL,	''),
(621,	123,	528,	1,	3,	3,	572,	4.300,	NULL,	NULL,	NULL,	''),
(622,	125,	74,	1,	3,	15,	576,	9.500,	NULL,	NULL,	NULL,	''),
(623,	124,	676,	1,	3,	3,	575,	13.200,	NULL,	NULL,	NULL,	''),
(624,	122,	1344,	4,	3,	4,	571,	2.000,	NULL,	NULL,	NULL,	''),
(625,	120,	19,	1,	3,	7,	561,	10.400,	NULL,	NULL,	NULL,	''),
(626,	120,	57,	1,	3,	13,	560,	9.500,	NULL,	NULL,	NULL,	''),
(627,	120,	170,	3,	3,	3,	565,	6.600,	NULL,	NULL,	NULL,	''),
(628,	120,	682,	1,	3,	3,	564,	11.800,	NULL,	NULL,	NULL,	''),
(629,	120,	1179,	1,	3,	3,	559,	2.200,	NULL,	NULL,	NULL,	''),
(630,	120,	1563,	1,	3,	110,	563,	8.600,	NULL,	NULL,	NULL,	''),
(631,	120,	1626,	1,	3,	105,	562,	3.000,	NULL,	NULL,	NULL,	''),
(632,	116,	766,	1,	3,	3,	543,	2.300,	NULL,	NULL,	NULL,	''),
(660,	143,	94,	2,	3,	15,	704,	0.000,	NULL,	NULL,	NULL,	''),
(661,	143,	170,	5,	3,	3,	700,	0.000,	NULL,	NULL,	NULL,	''),
(662,	143,	249,	2,	63,	4,	698,	0.000,	NULL,	NULL,	NULL,	''),
(663,	143,	314,	2,	1,	3,	699,	0.000,	NULL,	NULL,	NULL,	''),
(664,	143,	420,	8,	3,	3,	717,	0.000,	NULL,	NULL,	NULL,	''),
(665,	143,	528,	4,	3,	3,	716,	0.000,	NULL,	NULL,	NULL,	''),
(666,	143,	551,	2,	63,	3,	715,	0.000,	NULL,	NULL,	NULL,	''),
(667,	143,	667,	2,	3,	58,	713,	0.000,	NULL,	NULL,	NULL,	''),
(668,	143,	676,	3,	3,	3,	712,	0.000,	NULL,	NULL,	NULL,	''),
(669,	143,	753,	4,	3,	5,	718,	0.000,	NULL,	NULL,	NULL,	''),
(670,	143,	753,	5,	63,	3,	719,	0.000,	NULL,	NULL,	NULL,	'SUMAYYA'),
(671,	143,	758,	5,	63,	3,	720,	0.000,	NULL,	NULL,	NULL,	'FAYHA'),
(672,	143,	766,	10,	3,	3,	722,	0.000,	NULL,	NULL,	NULL,	''),
(673,	143,	799,	10,	3,	3,	702,	0.000,	NULL,	NULL,	NULL,	''),
(674,	143,	848,	10,	3,	3,	701,	0.000,	NULL,	NULL,	NULL,	''),
(675,	143,	933,	3,	3,	3,	705,	0.000,	NULL,	NULL,	NULL,	''),
(676,	143,	1071,	10,	3,	3,	721,	0.000,	NULL,	NULL,	NULL,	''),
(677,	143,	1344,	10,	3,	20,	710,	0.000,	NULL,	NULL,	NULL,	''),
(678,	143,	1344,	30,	3,	29,	711,	0.000,	NULL,	NULL,	NULL,	''),
(679,	143,	1344,	30,	3,	103,	709,	0.000,	NULL,	NULL,	NULL,	''),
(680,	143,	1491,	5,	3,	3,	703,	0.000,	NULL,	NULL,	NULL,	''),
(681,	143,	1514,	3,	3,	2,	708,	0.000,	NULL,	NULL,	NULL,	''),
(682,	143,	1587,	5,	3,	3,	707,	0.000,	NULL,	NULL,	NULL,	''),
(683,	143,	1610,	4,	3,	3,	706,	0.000,	NULL,	NULL,	NULL,	''),
(684,	143,	1839,	2,	63,	3,	714,	0.000,	NULL,	NULL,	NULL,	''),
(696,	140,	57,	4,	3,	15,	636,	0.000,	NULL,	NULL,	NULL,	''),
(697,	140,	152,	20,	1,	2,	637,	0.000,	NULL,	NULL,	NULL,	''),
(698,	140,	423,	30,	3,	3,	638,	1.900,	NULL,	NULL,	NULL,	''),
(699,	140,	753,	15,	63,	3,	639,	1.900,	NULL,	NULL,	NULL,	''),
(700,	140,	766,	15,	3,	3,	640,	0.000,	NULL,	NULL,	NULL,	''),
(701,	140,	848,	5,	3,	3,	641,	0.000,	NULL,	NULL,	NULL,	''),
(702,	140,	1353,	5,	3,	2,	642,	0.000,	NULL,	NULL,	NULL,	''),
(703,	140,	1425,	6,	1,	3,	643,	0.000,	NULL,	NULL,	NULL,	''),
(704,	140,	1839,	3,	63,	3,	644,	0.000,	NULL,	NULL,	NULL,	''),
(705,	140,	1959,	2,	1,	3,	645,	0.000,	NULL,	NULL,	NULL,	''),
(706,	140,	1978,	2,	63,	3,	646,	0.000,	NULL,	NULL,	NULL,	''),
(707,	142,	73,	2,	3,	8,	796,	10.200,	NULL,	NULL,	NULL,	''),
(708,	142,	74,	4,	3,	10,	797,	9.600,	NULL,	NULL,	NULL,	''),
(709,	142,	420,	15,	3,	3,	798,	1.700,	NULL,	NULL,	NULL,	''),
(710,	142,	528,	3,	3,	3,	799,	4.300,	NULL,	NULL,	NULL,	''),
(711,	142,	691,	6,	3,	3,	800,	11.800,	NULL,	NULL,	NULL,	''),
(712,	142,	752,	3,	3,	3,	795,	9.800,	NULL,	NULL,	NULL,	''),
(713,	142,	753,	10,	63,	3,	801,	1.800,	NULL,	NULL,	NULL,	''),
(714,	142,	766,	2,	3,	3,	802,	2.200,	NULL,	NULL,	NULL,	''),
(715,	142,	799,	10,	3,	3,	803,	2.800,	NULL,	NULL,	NULL,	''),
(716,	142,	799,	10,	3,	22,	804,	1.200,	NULL,	NULL,	NULL,	''),
(717,	142,	848,	10,	3,	3,	805,	2.900,	NULL,	NULL,	NULL,	''),
(718,	142,	969,	1,	3,	2,	806,	7.800,	NULL,	NULL,	NULL,	''),
(719,	142,	1071,	10,	3,	3,	807,	4.400,	NULL,	NULL,	NULL,	''),
(720,	142,	1080,	2,	3,	3,	793,	3.000,	NULL,	NULL,	NULL,	''),
(721,	142,	1138,	10,	3,	3,	792,	2.100,	NULL,	NULL,	NULL,	''),
(722,	142,	1166,	20,	3,	3,	808,	2.200,	NULL,	NULL,	NULL,	''),
(723,	142,	1439,	5,	3,	23,	794,	2.200,	NULL,	NULL,	NULL,	''),
(724,	142,	1526,	5,	3,	2,	809,	6.800,	NULL,	NULL,	NULL,	''),
(725,	142,	1563,	1,	3,	110,	810,	8.200,	NULL,	NULL,	NULL,	''),
(726,	142,	1959,	1,	1,	3,	791,	1.400,	NULL,	NULL,	NULL,	''),
(744,	144,	57,	1,	3,	15,	904,	9.200,	NULL,	NULL,	NULL,	''),
(745,	144,	76,	1,	3,	15,	905,	9.800,	NULL,	NULL,	NULL,	''),
(746,	144,	170,	3,	3,	3,	906,	6.500,	NULL,	NULL,	NULL,	''),
(747,	144,	211,	2,	1,	3,	907,	1.800,	NULL,	NULL,	NULL,	''),
(748,	144,	249,	1,	63,	3,	908,	1.000,	NULL,	NULL,	NULL,	''),
(749,	144,	275,	1,	3,	5,	909,	4.500,	NULL,	NULL,	NULL,	''),
(750,	144,	420,	3,	3,	3,	910,	1.700,	NULL,	NULL,	NULL,	''),
(751,	144,	528,	3,	3,	3,	911,	4.300,	NULL,	NULL,	NULL,	''),
(752,	144,	551,	1,	63,	3,	912,	4.200,	NULL,	NULL,	NULL,	''),
(753,	144,	693,	6,	3,	3,	913,	16.800,	NULL,	NULL,	NULL,	''),
(754,	144,	799,	6,	3,	22,	914,	1.300,	NULL,	NULL,	NULL,	''),
(755,	144,	836,	2,	3,	3,	915,	4.800,	NULL,	NULL,	NULL,	''),
(756,	144,	848,	2,	3,	3,	916,	2.900,	NULL,	NULL,	NULL,	''),
(757,	144,	894,	5,	3,	4,	917,	1.300,	NULL,	NULL,	NULL,	''),
(758,	144,	1071,	5,	3,	3,	918,	4.200,	NULL,	NULL,	NULL,	''),
(759,	144,	1111,	2,	3,	4,	919,	5.800,	NULL,	NULL,	NULL,	''),
(760,	144,	1344,	7,	3,	29,	920,	2.700,	NULL,	NULL,	NULL,	''),
(761,	144,	1514,	1,	3,	2,	921,	7.800,	NULL,	NULL,	NULL,	''),
(777,	157,	178,	4,	1,	3,	956,	1.100,	NULL,	NULL,	NULL,	''),
(778,	157,	1151,	1,	1,	3,	957,	1.200,	NULL,	NULL,	NULL,	''),
(779,	157,	1514,	1,	7,	3,	958,	1.900,	NULL,	NULL,	NULL,	''),
(780,	158,	766,	1,	3,	3,	959,	2.300,	NULL,	NULL,	NULL,	''),
(781,	159,	1353,	1,	3,	2,	960,	5.000,	NULL,	NULL,	NULL,	''),
(782,	152,	753,	2,	3,	5,	933,	4.700,	NULL,	NULL,	NULL,	''),
(783,	152,	809,	1,	3,	2,	936,	12.000,	NULL,	NULL,	NULL,	''),
(784,	152,	844,	1,	3,	3,	937,	14.800,	NULL,	NULL,	NULL,	''),
(785,	152,	1252,	1,	3,	3,	935,	3.800,	NULL,	NULL,	NULL,	''),
(786,	152,	1269,	1,	3,	3,	934,	16.500,	NULL,	NULL,	NULL,	''),
(787,	153,	73,	1,	3,	9,	945,	10.200,	NULL,	NULL,	NULL,	''),
(788,	153,	753,	1,	3,	5,	946,	4.700,	NULL,	NULL,	NULL,	''),
(789,	153,	753,	5,	63,	3,	947,	1.800,	NULL,	NULL,	NULL,	'SUMAYYA'),
(790,	153,	766,	2,	3,	3,	948,	2.300,	NULL,	NULL,	NULL,	''),
(791,	153,	799,	5,	3,	22,	942,	1.300,	NULL,	NULL,	NULL,	''),
(792,	153,	848,	5,	3,	4,	943,	1.700,	NULL,	NULL,	NULL,	''),
(793,	153,	894,	5,	3,	3,	939,	1.300,	NULL,	NULL,	NULL,	''),
(794,	153,	1179,	5,	3,	3,	938,	2.200,	NULL,	NULL,	NULL,	''),
(795,	153,	1498,	1,	3,	3,	944,	6.800,	NULL,	NULL,	NULL,	''),
(796,	153,	1587,	1,	3,	3,	940,	3.400,	NULL,	NULL,	NULL,	''),
(797,	153,	1608,	2,	3,	3,	941,	3.900,	NULL,	NULL,	NULL,	''),
(798,	156,	682,	1,	3,	3,	952,	11.300,	NULL,	NULL,	NULL,	''),
(799,	156,	848,	1,	3,	5,	951,	3.600,	NULL,	NULL,	NULL,	''),
(800,	155,	1622,	20,	3,	3,	950,	4.800,	NULL,	NULL,	NULL,	''),
(801,	154,	1626,	2,	3,	105,	949,	3.000,	NULL,	NULL,	NULL,	''),
(802,	151,	848,	2,	3,	5,	931,	3.600,	NULL,	NULL,	NULL,	''),
(803,	151,	1563,	1,	3,	105,	932,	8.400,	NULL,	NULL,	NULL,	''),
(804,	151,	1587,	1,	3,	3,	930,	3.400,	NULL,	NULL,	NULL,	''),
(805,	148,	1151,	30,	1,	3,	925,	1.100,	NULL,	NULL,	NULL,	''),
(806,	148,	1610,	2,	3,	3,	924,	3.400,	NULL,	NULL,	NULL,	''),
(807,	150,	279,	3,	3,	5,	929,	3.800,	NULL,	NULL,	NULL,	''),
(808,	150,	933,	5,	3,	3,	928,	3.800,	NULL,	NULL,	NULL,	''),
(809,	149,	1301,	1,	63,	2,	926,	9.200,	NULL,	NULL,	NULL,	''),
(810,	141,	528,	2,	3,	3,	651,	4.300,	NULL,	NULL,	NULL,	''),
(811,	141,	766,	1,	3,	3,	652,	2.300,	NULL,	NULL,	NULL,	''),
(812,	146,	285,	5,	4,	3,	922,	1.800,	NULL,	NULL,	NULL,	''),
(813,	160,	1353,	1,	3,	3,	961,	5.000,	NULL,	NULL,	NULL,	''),
(829,	145,	170,	2,	3,	3,	838,	0.000,	NULL,	NULL,	NULL,	''),
(830,	145,	275,	2,	3,	5,	830,	0.000,	NULL,	NULL,	NULL,	''),
(831,	145,	423,	2,	3,	3,	826,	0.000,	NULL,	NULL,	NULL,	''),
(832,	145,	528,	1,	3,	3,	825,	0.000,	NULL,	NULL,	NULL,	''),
(833,	145,	758,	1,	63,	3,	828,	0.000,	NULL,	NULL,	NULL,	'FAYHA'),
(834,	145,	799,	2,	3,	3,	834,	0.000,	NULL,	NULL,	NULL,	''),
(835,	145,	799,	3,	3,	5,	833,	0.000,	NULL,	NULL,	NULL,	''),
(836,	145,	807,	1,	3,	2,	832,	0.000,	NULL,	NULL,	NULL,	''),
(837,	145,	848,	2,	3,	3,	831,	0.000,	NULL,	NULL,	NULL,	''),
(838,	145,	1071,	2,	3,	3,	827,	0.000,	NULL,	NULL,	NULL,	''),
(839,	145,	1138,	3,	3,	3,	837,	0.000,	NULL,	NULL,	NULL,	''),
(840,	145,	1166,	5,	3,	3,	839,	0.000,	NULL,	NULL,	NULL,	''),
(841,	145,	1344,	1,	3,	20,	829,	0.000,	NULL,	NULL,	NULL,	''),
(842,	145,	1563,	1,	3,	105,	836,	0.000,	NULL,	NULL,	NULL,	''),
(843,	145,	1587,	2,	3,	3,	835,	0.000,	NULL,	NULL,	NULL,	''),
(859,	167,	799,	15,	3,	3,	988,	2.600,	NULL,	NULL,	NULL,	''),
(860,	168,	932,	20,	3,	79,	989,	2.000,	NULL,	NULL,	NULL,	''),
(861,	171,	1563,	1,	3,	105,	992,	8.600,	NULL,	NULL,	NULL,	''),
(862,	170,	57,	2,	7,	13,	991,	2.300,	NULL,	NULL,	NULL,	''),
(863,	169,	1251,	2,	4,	3,	990,	0.500,	NULL,	NULL,	NULL,	''),
(864,	172,	528,	3,	3,	3,	993,	4.000,	NULL,	NULL,	NULL,	''),
(865,	176,	765,	1,	1,	3,	999,	1.700,	NULL,	NULL,	NULL,	''),
(866,	177,	1835,	1,	3,	3,	1000,	3.800,	NULL,	NULL,	NULL,	''),
(867,	175,	753,	1,	63,	3,	998,	2.500,	NULL,	NULL,	NULL,	''),
(868,	174,	168,	2,	3,	3,	997,	2.000,	NULL,	NULL,	NULL,	''),
(869,	178,	1071,	1,	3,	3,	1002,	4.300,	NULL,	NULL,	NULL,	''),
(870,	178,	1312,	1,	63,	84,	1001,	3.000,	NULL,	NULL,	NULL,	''),
(871,	173,	168,	1,	3,	3,	994,	2.000,	NULL,	NULL,	NULL,	''),
(872,	173,	1127,	1,	3,	3,	995,	3.000,	NULL,	NULL,	NULL,	''),
(873,	173,	1151,	3,	1,	3,	996,	1.200,	NULL,	NULL,	NULL,	''),
(874,	166,	168,	1,	3,	3,	984,	2.000,	NULL,	NULL,	NULL,	''),
(875,	166,	275,	1,	3,	5,	982,	3.800,	NULL,	NULL,	NULL,	''),
(876,	166,	799,	1,	3,	22,	981,	1.300,	NULL,	NULL,	NULL,	''),
(877,	166,	848,	1,	3,	22,	980,	1.800,	NULL,	NULL,	NULL,	''),
(878,	166,	1138,	2,	3,	3,	978,	2.100,	NULL,	NULL,	NULL,	''),
(879,	166,	1336,	2,	3,	29,	979,	2.800,	NULL,	NULL,	NULL,	''),
(880,	166,	1766,	1,	3,	3,	983,	2.400,	NULL,	NULL,	NULL,	''),
(881,	164,	932,	10,	3,	79,	985,	2.000,	NULL,	NULL,	NULL,	''),
(882,	165,	683,	2,	3,	56,	973,	12.200,	NULL,	NULL,	NULL,	''),
(883,	165,	753,	4,	63,	3,	977,	1.800,	NULL,	NULL,	NULL,	'4kg'),
(884,	165,	766,	2,	3,	3,	975,	2.200,	NULL,	NULL,	NULL,	''),
(885,	165,	1344,	2,	3,	25,	974,	3.500,	NULL,	NULL,	NULL,	''),
(886,	165,	1839,	3,	63,	3,	976,	1.600,	NULL,	NULL,	NULL,	''),
(887,	179,	57,	2,	7,	13,	1013,	2.200,	NULL,	NULL,	NULL,	''),
(888,	179,	150,	1,	3,	3,	1006,	2.000,	NULL,	NULL,	NULL,	''),
(889,	179,	168,	1,	3,	3,	1008,	2.000,	NULL,	NULL,	NULL,	''),
(890,	179,	420,	1,	3,	3,	1007,	1.800,	NULL,	NULL,	NULL,	''),
(891,	179,	753,	1,	63,	3,	1009,	2.500,	NULL,	NULL,	NULL,	'FAYHA'),
(892,	179,	799,	2,	3,	3,	1010,	2.900,	NULL,	NULL,	NULL,	''),
(893,	179,	932,	1,	3,	79,	1003,	2.000,	NULL,	NULL,	NULL,	''),
(894,	179,	1166,	4,	3,	3,	1015,	2.100,	NULL,	NULL,	NULL,	''),
(895,	179,	1353,	1,	3,	3,	1014,	4.900,	NULL,	NULL,	NULL,	''),
(896,	179,	1439,	1,	3,	23,	1004,	2.300,	NULL,	NULL,	NULL,	''),
(897,	179,	1514,	2,	7,	3,	1012,	1.900,	NULL,	NULL,	NULL,	''),
(898,	179,	1610,	1,	3,	3,	1005,	3.400,	NULL,	NULL,	NULL,	''),
(899,	179,	1626,	1,	3,	105,	1011,	2.900,	NULL,	NULL,	NULL,	''),
(900,	163,	1251,	1,	3,	3,	968,	3.800,	NULL,	NULL,	NULL,	''),
(901,	162,	932,	5,	3,	79,	966,	2.000,	NULL,	NULL,	NULL,	''),
(902,	161,	1251,	2,	3,	3,	964,	3.800,	NULL,	NULL,	NULL,	''),
(903,	161,	1893,	1,	3,	3,	963,	3.800,	NULL,	NULL,	NULL,	''),
(904,	161,	1978,	1,	63,	3,	962,	2.200,	NULL,	NULL,	NULL,	''),
(905,	180,	1309,	1,	63,	3,	1016,	0.800,	NULL,	NULL,	NULL,	''),
(984,	183,	73,	1,	3,	9,	1047,	0.000,	NULL,	NULL,	NULL,	''),
(985,	183,	94,	1,	3,	15,	1048,	0.000,	NULL,	NULL,	NULL,	''),
(986,	183,	152,	20,	1,	3,	1029,	0.000,	NULL,	NULL,	NULL,	''),
(987,	183,	168,	12,	3,	3,	1045,	0.000,	NULL,	NULL,	NULL,	''),
(988,	183,	170,	5,	3,	2,	1046,	0.000,	NULL,	NULL,	NULL,	''),
(989,	183,	275,	4,	3,	5,	1037,	0.000,	NULL,	NULL,	NULL,	''),
(990,	183,	423,	2,	3,	3,	1032,	0.000,	NULL,	NULL,	NULL,	''),
(991,	183,	676,	1,	3,	3,	1034,	0.000,	NULL,	NULL,	NULL,	''),
(992,	183,	753,	1,	63,	3,	1030,	0.000,	NULL,	NULL,	NULL,	'FAYHA'),
(993,	183,	766,	2,	3,	3,	1031,	0.000,	NULL,	NULL,	NULL,	'good'),
(994,	183,	799,	3,	3,	3,	1043,	0.000,	NULL,	NULL,	NULL,	''),
(995,	183,	799,	5,	3,	5,	1042,	0.000,	NULL,	NULL,	NULL,	''),
(996,	183,	807,	1,	3,	2,	1041,	0.000,	NULL,	NULL,	NULL,	''),
(997,	183,	848,	3,	3,	3,	1039,	0.000,	NULL,	NULL,	NULL,	''),
(998,	183,	848,	2,	3,	5,	1040,	0.000,	NULL,	NULL,	NULL,	''),
(999,	183,	894,	2,	3,	3,	1035,	0.000,	NULL,	NULL,	NULL,	''),
(1000,	183,	1071,	2,	3,	3,	1033,	0.000,	NULL,	NULL,	NULL,	''),
(1001,	183,	1179,	20,	3,	3,	1044,	0.000,	NULL,	NULL,	NULL,	''),
(1002,	183,	1344,	5,	3,	20,	1036,	0.000,	NULL,	NULL,	NULL,	''),
(1003,	183,	1526,	1,	3,	3,	1038,	0.000,	NULL,	NULL,	NULL,	''),
(1011,	182,	170,	60,	3,	3,	1028,	0.000,	NULL,	NULL,	NULL,	''),
(1012,	182,	676,	10,	3,	3,	1025,	0.000,	NULL,	NULL,	NULL,	''),
(1013,	182,	693,	10,	3,	63,	1026,	0.000,	NULL,	NULL,	NULL,	''),
(1014,	182,	932,	10,	3,	24,	1027,	0.000,	NULL,	NULL,	NULL,	''),
(1015,	182,	969,	10,	3,	2,	1022,	0.000,	NULL,	NULL,	NULL,	''),
(1016,	182,	1127,	50,	3,	3,	1024,	0.000,	NULL,	NULL,	NULL,	''),
(1017,	182,	1626,	10,	3,	105,	1023,	0.000,	NULL,	NULL,	NULL,	''),
(1030,	198,	45,	1,	3,	7,	1144,	5.400,	NULL,	NULL,	NULL,	''),
(1031,	198,	1353,	1,	3,	3,	1142,	5.000,	NULL,	NULL,	NULL,	''),
(1032,	198,	1626,	1,	3,	105,	1143,	3.000,	NULL,	NULL,	NULL,	''),
(1033,	196,	152,	4,	1,	3,	1126,	1.200,	NULL,	NULL,	NULL,	''),
(1034,	196,	168,	1,	3,	3,	1125,	2.000,	NULL,	NULL,	NULL,	''),
(1035,	196,	178,	7,	1,	3,	1127,	1.100,	NULL,	NULL,	NULL,	''),
(1036,	196,	275,	1,	3,	5,	1128,	3.800,	NULL,	NULL,	NULL,	''),
(1037,	196,	691,	1,	3,	3,	1129,	12.000,	NULL,	NULL,	NULL,	''),
(1038,	196,	836,	1,	3,	3,	1130,	5.500,	NULL,	NULL,	NULL,	''),
(1039,	196,	932,	1,	3,	79,	1131,	2.000,	NULL,	NULL,	NULL,	''),
(1040,	196,	1127,	2,	3,	3,	1132,	2.900,	NULL,	NULL,	NULL,	''),
(1041,	196,	1265,	2,	3,	3,	1133,	2.500,	NULL,	NULL,	NULL,	''),
(1042,	196,	1353,	1,	3,	3,	1134,	5.000,	NULL,	NULL,	NULL,	''),
(1043,	196,	1563,	1,	3,	105,	1135,	8.800,	NULL,	NULL,	NULL,	''),
(1044,	196,	1626,	1,	3,	105,	1136,	3.000,	NULL,	NULL,	NULL,	''),
(1045,	196,	1766,	2,	3,	3,	1137,	2.300,	NULL,	NULL,	NULL,	''),
(1046,	199,	1251,	1,	3,	3,	1145,	3.800,	NULL,	NULL,	NULL,	''),
(1047,	200,	1312,	1,	63,	3,	1146,	0.500,	NULL,	NULL,	NULL,	''),
(1048,	201,	753,	5,	63,	3,	1147,	1.900,	NULL,	NULL,	NULL,	'second'),
(1049,	207,	1839,	2,	63,	3,	1159,	1.700,	NULL,	NULL,	NULL,	''),
(1050,	206,	1127,	1,	3,	3,	1158,	3.000,	NULL,	NULL,	NULL,	''),
(1051,	206,	1766,	1,	3,	3,	1157,	2.800,	NULL,	NULL,	NULL,	''),
(1052,	208,	57,	1,	7,	13,	1162,	2.100,	NULL,	NULL,	NULL,	''),
(1053,	208,	1179,	1,	3,	3,	1160,	2.300,	NULL,	NULL,	NULL,	''),
(1054,	208,	1425,	2,	1,	3,	1163,	1.900,	NULL,	NULL,	NULL,	''),
(1055,	208,	1563,	1,	6,	105,	1161,	0.900,	NULL,	NULL,	NULL,	''),
(1056,	204,	1626,	1,	3,	105,	1155,	3.000,	NULL,	NULL,	NULL,	''),
(1057,	205,	170,	2,	3,	3,	1156,	6.800,	NULL,	NULL,	NULL,	''),
(1058,	202,	168,	1,	3,	3,	1150,	2.000,	NULL,	NULL,	NULL,	''),
(1059,	202,	1111,	1,	3,	3,	1153,	5.800,	NULL,	NULL,	NULL,	''),
(1060,	202,	1174,	1,	3,	3,	1151,	4.200,	NULL,	NULL,	NULL,	''),
(1061,	202,	1431,	2,	7,	23,	1148,	0.800,	NULL,	NULL,	NULL,	''),
(1062,	202,	1626,	1,	3,	105,	1149,	3.000,	NULL,	NULL,	NULL,	''),
(1063,	202,	1766,	2,	3,	3,	1152,	2.300,	NULL,	NULL,	NULL,	''),
(1064,	197,	168,	1,	3,	3,	1138,	2.000,	NULL,	NULL,	NULL,	''),
(1065,	197,	848,	10,	3,	22,	1141,	1.800,	NULL,	NULL,	NULL,	''),
(1066,	197,	1491,	2,	3,	4,	1139,	1.800,	NULL,	NULL,	NULL,	''),
(1067,	197,	1610,	1,	3,	3,	1140,	3.600,	NULL,	NULL,	NULL,	''),
(1068,	203,	1570,	2,	4,	74,	1154,	1.900,	NULL,	NULL,	NULL,	''),
(1069,	188,	1563,	1,	3,	105,	1062,	8.600,	NULL,	NULL,	NULL,	''),
(1070,	187,	168,	2,	3,	3,	1054,	2.000,	NULL,	NULL,	NULL,	'COLOUR'),
(1071,	187,	753,	2,	3,	5,	1058,	4.700,	NULL,	NULL,	NULL,	''),
(1072,	187,	753,	2,	3,	39,	1057,	4.700,	NULL,	NULL,	NULL,	''),
(1073,	187,	881,	5,	3,	4,	1056,	1.500,	NULL,	NULL,	NULL,	''),
(1074,	187,	969,	1,	3,	2,	1059,	7.800,	NULL,	NULL,	NULL,	''),
(1075,	187,	1071,	5,	3,	3,	1060,	4.300,	NULL,	NULL,	NULL,	''),
(1076,	187,	1622,	6,	3,	3,	1055,	4.800,	NULL,	NULL,	NULL,	''),
(1077,	181,	57,	2,	3,	10,	1018,	9.800,	NULL,	NULL,	NULL,	''),
(1078,	181,	94,	1,	3,	15,	1017,	9.800,	NULL,	NULL,	NULL,	''),
(1079,	181,	170,	2,	3,	3,	1021,	6.600,	NULL,	NULL,	NULL,	''),
(1080,	181,	1514,	2,	3,	2,	1019,	7.800,	NULL,	NULL,	NULL,	''),
(1081,	181,	1563,	4,	3,	105,	1020,	8.500,	NULL,	NULL,	NULL,	''),
(1082,	147,	1766,	8,	3,	3,	923,	2.200,	NULL,	NULL,	NULL,	''),
(1083,	185,	807,	1,	3,	2,	1052,	12.000,	NULL,	NULL,	NULL,	''),
(1084,	185,	1766,	4,	3,	3,	1051,	2.200,	NULL,	NULL,	NULL,	''),
(1085,	186,	314,	1,	3,	3,	1053,	6.800,	NULL,	NULL,	NULL,	''),
(1086,	184,	766,	1,	3,	3,	1050,	2.300,	NULL,	NULL,	NULL,	''),
(1087,	184,	1626,	2,	3,	105,	1049,	3.000,	NULL,	NULL,	NULL,	''),
(1114,	209,	57,	1,	3,	13,	1178,	0.000,	NULL,	NULL,	NULL,	''),
(1115,	209,	275,	3,	3,	5,	1164,	0.000,	NULL,	NULL,	NULL,	''),
(1116,	209,	423,	1,	3,	3,	1187,	0.000,	NULL,	NULL,	NULL,	''),
(1117,	209,	528,	1,	3,	3,	1188,	0.000,	NULL,	NULL,	NULL,	''),
(1118,	209,	551,	1,	63,	3,	1181,	0.000,	NULL,	NULL,	NULL,	''),
(1119,	209,	678,	1,	3,	3,	1179,	0.000,	NULL,	NULL,	NULL,	''),
(1120,	209,	753,	1,	3,	5,	1182,	0.000,	NULL,	NULL,	NULL,	''),
(1121,	209,	753,	1,	63,	3,	1183,	0.000,	NULL,	NULL,	NULL,	'FAYHA'),
(1122,	209,	766,	1,	3,	3,	1184,	0.000,	NULL,	NULL,	NULL,	''),
(1123,	209,	799,	3,	3,	3,	1174,	0.000,	NULL,	NULL,	NULL,	''),
(1124,	209,	799,	1,	3,	5,	1173,	0.000,	NULL,	NULL,	NULL,	''),
(1125,	209,	807,	3,	3,	2,	1170,	0.000,	NULL,	NULL,	NULL,	''),
(1126,	209,	837,	3,	3,	3,	1169,	0.000,	NULL,	NULL,	NULL,	''),
(1127,	209,	848,	3,	3,	3,	1167,	0.000,	NULL,	NULL,	NULL,	''),
(1128,	209,	848,	10,	3,	5,	1168,	0.000,	NULL,	NULL,	NULL,	''),
(1129,	209,	932,	1,	3,	24,	1165,	0.000,	NULL,	NULL,	NULL,	''),
(1130,	209,	932,	1,	3,	55,	1166,	0.000,	NULL,	NULL,	NULL,	''),
(1131,	209,	1071,	3,	3,	3,	1186,	0.000,	NULL,	NULL,	NULL,	''),
(1132,	209,	1111,	2,	3,	3,	1185,	0.000,	NULL,	NULL,	NULL,	''),
(1133,	209,	1151,	10,	1,	3,	1180,	0.000,	NULL,	NULL,	NULL,	''),
(1134,	209,	1166,	25,	3,	3,	1177,	0.000,	NULL,	NULL,	NULL,	''),
(1135,	209,	1301,	1,	63,	3,	1189,	0.000,	NULL,	NULL,	NULL,	''),
(1136,	209,	1514,	1,	3,	3,	1172,	0.000,	NULL,	NULL,	NULL,	''),
(1137,	209,	1526,	1,	3,	3,	1171,	0.000,	NULL,	NULL,	NULL,	''),
(1138,	209,	1587,	1,	3,	3,	1176,	0.000,	NULL,	NULL,	NULL,	''),
(1139,	209,	1608,	1,	3,	3,	1175,	0.000,	NULL,	NULL,	NULL,	''),
(1191,	226,	22,	1,	3,	9,	1312,	0.000,	NULL,	NULL,	NULL,	''),
(1192,	226,	309,	1,	3,	3,	1318,	0.000,	NULL,	NULL,	NULL,	''),
(1193,	226,	752,	3,	3,	3,	1316,	0.000,	NULL,	NULL,	NULL,	''),
(1194,	226,	807,	3,	3,	3,	1319,	0.000,	NULL,	NULL,	NULL,	''),
(1195,	226,	1111,	3,	3,	3,	1314,	0.000,	NULL,	NULL,	NULL,	'BABY'),
(1196,	226,	1251,	1,	3,	3,	1315,	0.000,	NULL,	NULL,	NULL,	''),
(1197,	226,	1622,	2,	3,	3,	1313,	0.000,	NULL,	NULL,	NULL,	''),
(1198,	226,	1626,	15,	3,	105,	1317,	0.000,	NULL,	NULL,	NULL,	''),
(1199,	219,	275,	1,	3,	5,	1248,	3.800,	NULL,	NULL,	NULL,	''),
(1200,	219,	420,	5,	3,	3,	1246,	1.900,	NULL,	NULL,	NULL,	''),
(1201,	219,	528,	5,	3,	3,	1245,	4.500,	NULL,	NULL,	NULL,	''),
(1202,	219,	753,	1,	3,	5,	1242,	4.700,	NULL,	NULL,	NULL,	''),
(1203,	219,	766,	1,	3,	3,	1243,	2.500,	NULL,	NULL,	NULL,	''),
(1204,	219,	799,	8,	3,	3,	1259,	2.800,	NULL,	NULL,	NULL,	''),
(1205,	219,	848,	8,	3,	3,	1260,	2.900,	NULL,	NULL,	NULL,	''),
(1206,	219,	932,	1,	3,	24,	1255,	3.800,	NULL,	NULL,	NULL,	''),
(1207,	219,	1071,	5,	3,	3,	1244,	4.300,	NULL,	NULL,	NULL,	''),
(1208,	219,	1127,	10,	3,	3,	1257,	2.900,	NULL,	NULL,	NULL,	''),
(1209,	219,	1138,	10,	3,	3,	1256,	2.450,	NULL,	NULL,	NULL,	''),
(1210,	219,	1151,	10,	1,	3,	1247,	1.150,	NULL,	NULL,	NULL,	''),
(1211,	219,	1166,	30,	3,	3,	1258,	2.450,	NULL,	NULL,	NULL,	''),
(1212,	219,	1265,	3,	3,	3,	1250,	2.500,	NULL,	NULL,	NULL,	''),
(1213,	219,	1439,	5,	3,	23,	1249,	2.300,	NULL,	NULL,	NULL,	''),
(1214,	219,	1498,	1,	3,	23,	1253,	6.900,	NULL,	NULL,	NULL,	''),
(1215,	219,	1514,	4,	3,	2,	1254,	7.800,	NULL,	NULL,	NULL,	''),
(1216,	219,	1587,	4,	3,	3,	1252,	3.600,	NULL,	NULL,	NULL,	''),
(1217,	219,	1610,	4,	3,	3,	1251,	3.600,	NULL,	NULL,	NULL,	''),
(1218,	210,	57,	10,	3,	14,	1215,	9.000,	NULL,	NULL,	NULL,	''),
(1219,	210,	152,	20,	1,	2,	1216,	1.100,	NULL,	NULL,	NULL,	''),
(1220,	210,	170,	10,	3,	2,	1214,	7.000,	NULL,	NULL,	NULL,	''),
(1221,	210,	969,	5,	3,	2,	1217,	7.800,	NULL,	NULL,	NULL,	''),
(1222,	210,	1111,	10,	3,	2,	1218,	5.200,	NULL,	NULL,	NULL,	''),
(1223,	210,	1251,	2,	3,	3,	1219,	3.800,	NULL,	NULL,	NULL,	''),
(1224,	210,	1353,	30,	3,	2,	1220,	4.800,	NULL,	NULL,	NULL,	''),
(1225,	210,	1959,	5,	1,	3,	1221,	1.500,	NULL,	NULL,	NULL,	''),
(1226,	223,	1959,	1,	1,	3,	1304,	1.400,	NULL,	NULL,	NULL,	''),
(1227,	218,	811,	1,	3,	3,	1241,	5.500,	NULL,	NULL,	NULL,	''),
(1228,	218,	848,	3,	3,	3,	1236,	2.900,	NULL,	NULL,	NULL,	''),
(1229,	218,	972,	1,	3,	3,	1238,	3.600,	NULL,	NULL,	NULL,	''),
(1230,	218,	1579,	1,	3,	3,	1237,	3.400,	NULL,	NULL,	NULL,	''),
(1231,	218,	1626,	3,	3,	105,	1235,	3.000,	NULL,	NULL,	NULL,	''),
(1232,	218,	1723,	1,	3,	3,	1239,	4.200,	NULL,	NULL,	NULL,	''),
(1233,	218,	1839,	1,	63,	3,	1240,	1.700,	NULL,	NULL,	NULL,	''),
(1234,	216,	57,	1,	3,	13,	1233,	9.300,	NULL,	NULL,	NULL,	''),
(1235,	216,	1111,	1,	3,	2,	1231,	5.200,	NULL,	NULL,	NULL,	''),
(1236,	216,	1353,	1,	3,	3,	1230,	5.200,	NULL,	NULL,	NULL,	''),
(1237,	216,	1514,	1,	3,	2,	1232,	7.800,	NULL,	NULL,	NULL,	''),
(1238,	216,	1587,	1,	3,	3,	1229,	3.800,	NULL,	NULL,	NULL,	''),
(1239,	215,	1251,	1,	3,	3,	1228,	3.800,	NULL,	NULL,	NULL,	''),
(1240,	213,	752,	1,	3,	3,	1225,	9.200,	NULL,	NULL,	NULL,	''),
(1241,	213,	1265,	10,	7,	3,	1226,	2.500,	NULL,	NULL,	NULL,	''),
(1242,	213,	1610,	5,	1,	3,	1224,	3.600,	NULL,	NULL,	NULL,	''),
(1243,	212,	1111,	2,	3,	3,	1223,	5.200,	NULL,	NULL,	NULL,	''),
(1244,	217,	1491,	5,	3,	3,	1234,	1.800,	NULL,	NULL,	NULL,	''),
(1245,	214,	676,	1,	3,	3,	1227,	12.800,	NULL,	NULL,	NULL,	''),
(1246,	211,	766,	3,	3,	3,	1222,	2.500,	NULL,	NULL,	NULL,	''),
(1285,	238,	682,	1,	3,	3,	1355,	11.500,	NULL,	NULL,	NULL,	''),
(1286,	232,	1071,	1,	3,	3,	1333,	4.300,	NULL,	NULL,	NULL,	''),
(1287,	229,	753,	1,	63,	3,	1330,	2.000,	NULL,	NULL,	NULL,	''),
(1288,	228,	420,	3,	3,	3,	1328,	1.900,	NULL,	NULL,	NULL,	''),
(1289,	228,	676,	1,	3,	3,	1322,	12.500,	NULL,	NULL,	NULL,	''),
(1290,	228,	799,	2,	3,	5,	1325,	2.800,	NULL,	NULL,	NULL,	''),
(1291,	228,	848,	3,	3,	3,	1323,	2.900,	NULL,	NULL,	NULL,	''),
(1292,	228,	848,	2,	3,	5,	1326,	3.800,	NULL,	NULL,	NULL,	''),
(1293,	228,	848,	10,	3,	22,	1327,	1.700,	NULL,	NULL,	NULL,	'NET SMALL'),
(1294,	228,	932,	2,	3,	24,	1324,	3.800,	NULL,	NULL,	NULL,	''),
(1295,	228,	1626,	5,	3,	105,	1329,	3.000,	NULL,	NULL,	NULL,	''),
(1296,	225,	1251,	1,	3,	3,	1306,	3.800,	NULL,	NULL,	NULL,	''),
(1297,	240,	1344,	1,	3,	103,	1359,	2.300,	NULL,	NULL,	NULL,	''),
(1298,	240,	1514,	1,	7,	3,	1358,	2.000,	NULL,	NULL,	NULL,	''),
(1299,	239,	1080,	1,	3,	3,	1357,	3.000,	NULL,	NULL,	NULL,	''),
(1300,	239,	1597,	1,	3,	3,	1356,	3.600,	NULL,	NULL,	NULL,	''),
(1301,	242,	1425,	6,	1,	3,	1369,	1.850,	NULL,	NULL,	NULL,	''),
(1302,	243,	275,	1,	3,	5,	1370,	3.800,	NULL,	NULL,	NULL,	''),
(1303,	241,	45,	1,	3,	3,	1363,	2.800,	NULL,	NULL,	NULL,	''),
(1304,	241,	45,	1,	3,	7,	1364,	5.500,	NULL,	NULL,	NULL,	''),
(1305,	241,	178,	2,	3,	3,	1368,	10.500,	NULL,	NULL,	NULL,	''),
(1306,	241,	799,	1,	3,	3,	1361,	2.900,	NULL,	NULL,	NULL,	''),
(1307,	241,	848,	1,	3,	3,	1362,	3.000,	NULL,	NULL,	NULL,	''),
(1308,	241,	1066,	1,	3,	3,	1360,	4.600,	NULL,	NULL,	NULL,	''),
(1309,	241,	1111,	1,	3,	3,	1366,	5.800,	NULL,	NULL,	NULL,	''),
(1310,	241,	1112,	1,	3,	3,	1365,	5.300,	NULL,	NULL,	NULL,	''),
(1311,	241,	1353,	2,	3,	3,	1367,	5.000,	NULL,	NULL,	NULL,	''),
(1312,	244,	753,	1,	63,	3,	1371,	1.800,	NULL,	NULL,	NULL,	'second'),
(1313,	245,	836,	1,	3,	3,	1373,	6.200,	NULL,	NULL,	NULL,	''),
(1314,	245,	1265,	1,	3,	3,	1372,	3.500,	NULL,	NULL,	NULL,	''),
(1315,	227,	152,	10,	1,	3,	1320,	1.080,	NULL,	NULL,	NULL,	''),
(1316,	227,	676,	1,	3,	3,	1321,	12.500,	NULL,	NULL,	NULL,	''),
(1317,	237,	848,	1,	3,	4,	1352,	2.000,	NULL,	NULL,	NULL,	''),
(1318,	237,	1263,	1,	4,	23,	1351,	0.700,	NULL,	NULL,	NULL,	''),
(1319,	235,	1138,	1,	3,	3,	1348,	2.500,	NULL,	NULL,	NULL,	''),
(1320,	234,	1251,	1,	3,	3,	1347,	3.800,	NULL,	NULL,	NULL,	''),
(1321,	233,	57,	2,	3,	15,	1337,	9.000,	NULL,	NULL,	NULL,	''),
(1322,	233,	73,	1,	3,	11,	1338,	10.300,	NULL,	NULL,	NULL,	''),
(1323,	233,	170,	8,	3,	3,	1340,	6.900,	NULL,	NULL,	NULL,	''),
(1324,	233,	420,	15,	3,	3,	1336,	1.800,	NULL,	NULL,	NULL,	''),
(1325,	233,	753,	10,	63,	3,	1334,	1.800,	NULL,	NULL,	NULL,	'4kg second'),
(1326,	233,	835,	10,	3,	3,	1339,	5.500,	NULL,	NULL,	NULL,	''),
(1327,	233,	932,	2,	3,	24,	1344,	3.600,	NULL,	NULL,	NULL,	''),
(1328,	233,	933,	7,	7,	3,	1345,	3.800,	NULL,	NULL,	NULL,	''),
(1329,	233,	969,	2,	3,	3,	1341,	7.800,	NULL,	NULL,	NULL,	''),
(1330,	233,	1071,	8,	3,	3,	1335,	4.200,	NULL,	NULL,	NULL,	''),
(1331,	233,	1111,	10,	3,	3,	1346,	5.200,	NULL,	NULL,	NULL,	''),
(1332,	233,	1265,	10,	7,	3,	1343,	2.300,	NULL,	NULL,	NULL,	''),
(1333,	233,	1584,	6,	3,	3,	1342,	3.500,	NULL,	NULL,	NULL,	''),
(1334,	222,	682,	1,	3,	3,	1308,	11.500,	NULL,	NULL,	NULL,	''),
(1335,	222,	799,	1,	3,	3,	1309,	2.900,	NULL,	NULL,	NULL,	''),
(1336,	222,	848,	1,	3,	3,	1310,	3.000,	NULL,	NULL,	NULL,	''),
(1337,	222,	1138,	5,	3,	3,	1311,	2.500,	NULL,	NULL,	NULL,	''),
(1338,	222,	1439,	2,	3,	23,	1307,	2.400,	NULL,	NULL,	NULL,	''),
(1339,	231,	1111,	1,	3,	3,	1332,	5.800,	NULL,	NULL,	NULL,	''),
(1340,	246,	170,	1,	3,	3,	1376,	7.000,	NULL,	NULL,	NULL,	''),
(1341,	246,	1111,	2,	3,	3,	1375,	5.800,	NULL,	NULL,	NULL,	''),
(1342,	246,	1622,	2,	3,	3,	1374,	4.800,	NULL,	NULL,	NULL,	''),
(1343,	230,	1174,	2,	3,	3,	1331,	4.200,	NULL,	NULL,	NULL,	''),
(1344,	220,	420,	2,	3,	3,	1264,	2.000,	NULL,	NULL,	NULL,	''),
(1345,	220,	682,	2,	3,	3,	1265,	11.500,	NULL,	NULL,	NULL,	''),
(1346,	220,	766,	2,	3,	3,	1266,	2.500,	NULL,	NULL,	NULL,	''),
(1347,	221,	170,	2,	3,	3,	1295,	7.000,	NULL,	NULL,	NULL,	''),
(1348,	221,	330,	1,	63,	3,	1296,	1.200,	NULL,	NULL,	NULL,	''),
(1349,	221,	420,	3,	3,	3,	1297,	1.900,	NULL,	NULL,	NULL,	''),
(1350,	221,	528,	1,	3,	3,	1298,	4.400,	NULL,	NULL,	NULL,	''),
(1351,	221,	836,	1,	3,	3,	1299,	5.500,	NULL,	NULL,	NULL,	''),
(1352,	221,	969,	1,	3,	2,	1300,	7.800,	NULL,	NULL,	NULL,	''),
(1353,	221,	1071,	1,	3,	3,	1301,	4.200,	NULL,	NULL,	NULL,	''),
(1354,	221,	1111,	2,	3,	3,	1302,	5.800,	NULL,	NULL,	NULL,	'BABY'),
(1355,	221,	1251,	1,	3,	3,	1303,	3.800,	NULL,	NULL,	NULL,	''),
(1356,	236,	332,	1,	63,	3,	1349,	1.200,	NULL,	NULL,	NULL,	''),
(1357,	236,	1353,	10,	3,	3,	1350,	5.000,	NULL,	NULL,	NULL,	''),
(1359,	252,	1251,	1,	3,	3,	1402,	4.000,	NULL,	NULL,	NULL,	''),
(1360,	252,	1498,	2,	3,	23,	1404,	6.800,	NULL,	NULL,	NULL,	''),
(1361,	252,	1610,	2,	3,	3,	1403,	3.500,	NULL,	NULL,	NULL,	''),
(1362,	251,	314,	2,	1,	3,	1401,	1.400,	NULL,	NULL,	NULL,	''),
(1363,	250,	152,	40,	1,	3,	1395,	1.080,	NULL,	NULL,	NULL,	''),
(1364,	250,	168,	1,	3,	3,	1396,	2.200,	NULL,	NULL,	NULL,	''),
(1365,	250,	848,	2,	3,	3,	1397,	3.200,	NULL,	NULL,	NULL,	''),
(1366,	250,	932,	1,	3,	79,	1398,	2.100,	NULL,	NULL,	NULL,	''),
(1367,	250,	1344,	4,	3,	25,	1399,	3.700,	NULL,	NULL,	NULL,	''),
(1368,	250,	1425,	6,	1,	3,	1400,	1.900,	NULL,	NULL,	NULL,	''),
(1369,	264,	168,	2,	3,	3,	1461,	2.200,	NULL,	NULL,	NULL,	''),
(1370,	262,	1251,	1,	4,	3,	1459,	0.500,	NULL,	NULL,	NULL,	''),
(1371,	263,	1131,	2,	3,	3,	1460,	4.700,	NULL,	NULL,	NULL,	''),
(1372,	261,	178,	1,	1,	3,	1457,	1.200,	NULL,	NULL,	NULL,	''),
(1373,	261,	799,	1,	3,	22,	1458,	1.200,	NULL,	NULL,	NULL,	''),
(1374,	261,	1251,	1,	4,	3,	1456,	0.500,	NULL,	NULL,	NULL,	''),
(1375,	256,	178,	2,	3,	3,	1446,	10.500,	NULL,	NULL,	NULL,	''),
(1376,	255,	170,	2,	3,	3,	1438,	7.200,	NULL,	NULL,	NULL,	''),
(1377,	255,	420,	3,	3,	3,	1439,	1.900,	NULL,	NULL,	NULL,	''),
(1378,	255,	528,	1,	3,	3,	1440,	4.500,	NULL,	NULL,	NULL,	''),
(1379,	255,	676,	5,	3,	3,	1441,	12.700,	NULL,	NULL,	NULL,	''),
(1380,	255,	693,	2,	3,	3,	1442,	16.500,	NULL,	NULL,	NULL,	''),
(1381,	255,	1071,	2,	3,	3,	1443,	4.200,	NULL,	NULL,	NULL,	''),
(1382,	255,	1526,	1,	3,	3,	1444,	7.500,	NULL,	NULL,	NULL,	''),
(1383,	255,	1563,	1,	3,	110,	1445,	10.800,	NULL,	NULL,	NULL,	''),
(1384,	254,	314,	2,	3,	3,	1407,	6.800,	NULL,	NULL,	NULL,	''),
(1385,	260,	152,	3,	1,	3,	1452,	1.200,	NULL,	NULL,	NULL,	''),
(1386,	259,	57,	1,	7,	13,	1451,	1.900,	NULL,	NULL,	NULL,	''),
(1387,	259,	551,	5,	6,	3,	1450,	0.180,	NULL,	NULL,	NULL,	''),
(1388,	258,	1114,	1,	3,	3,	1448,	2.900,	NULL,	NULL,	NULL,	''),
(1389,	258,	1626,	1,	3,	3,	1449,	3.100,	NULL,	NULL,	NULL,	''),
(1390,	253,	766,	1,	3,	3,	1405,	2.400,	NULL,	NULL,	NULL,	''),
(1391,	253,	1353,	1,	3,	3,	1406,	5.000,	NULL,	NULL,	NULL,	''),
(1392,	248,	1978,	2,	63,	3,	1382,	2.300,	NULL,	NULL,	NULL,	''),
(1393,	249,	170,	10,	3,	3,	1380,	7.200,	NULL,	NULL,	NULL,	''),
(1394,	249,	752,	1,	3,	3,	1379,	9.200,	NULL,	NULL,	NULL,	''),
(1395,	267,	168,	1,	3,	3,	1465,	2.200,	NULL,	NULL,	NULL,	''),
(1396,	267,	420,	1,	3,	3,	1467,	2.000,	NULL,	NULL,	NULL,	''),
(1397,	267,	742,	2,	3,	3,	1466,	10.500,	NULL,	NULL,	NULL,	''),
(1398,	267,	791,	1,	3,	3,	1469,	13.200,	NULL,	NULL,	NULL,	''),
(1399,	267,	1071,	1,	3,	3,	1468,	4.200,	NULL,	NULL,	NULL,	''),
(1410,	247,	528,	1,	3,	3,	1377,	4.600,	NULL,	NULL,	NULL,	''),
(1411,	265,	1526,	1,	3,	3,	1462,	7.500,	NULL,	NULL,	NULL,	''),
(1412,	266,	420,	4,	3,	3,	1463,	1.900,	NULL,	NULL,	NULL,	''),
(1413,	266,	1071,	6,	3,	3,	1464,	4.200,	NULL,	NULL,	NULL,	''),
(1414,	277,	1145,	4,	3,	3,	1494,	2.900,	NULL,	NULL,	NULL,	''),
(1415,	276,	742,	1,	3,	3,	1492,	10.800,	NULL,	NULL,	NULL,	''),
(1416,	275,	753,	1,	63,	2,	1490,	1.800,	NULL,	NULL,	NULL,	''),
(1417,	274,	1344,	1,	10,	25,	1488,	3.800,	NULL,	NULL,	NULL,	''),
(1418,	273,	423,	1,	3,	3,	1484,	2.200,	NULL,	NULL,	NULL,	''),
(1419,	272,	31,	1,	3,	15,	1485,	9.300,	NULL,	NULL,	NULL,	''),
(1420,	272,	1344,	1,	3,	20,	1486,	3.800,	NULL,	NULL,	NULL,	''),
(1421,	270,	1179,	2,	3,	3,	1479,	2.900,	NULL,	NULL,	NULL,	''),
(1422,	271,	1174,	1,	3,	3,	1480,	4.200,	NULL,	NULL,	NULL,	''),
(1423,	271,	1179,	2,	3,	3,	1481,	2.900,	NULL,	NULL,	NULL,	''),
(1424,	279,	275,	3,	4,	5,	1496,	0.500,	NULL,	NULL,	NULL,	''),
(1425,	280,	1344,	1,	3,	25,	1498,	3.800,	NULL,	NULL,	NULL,	''),
(1426,	283,	1145,	1,	3,	3,	1502,	2.900,	NULL,	NULL,	NULL,	''),
(1427,	281,	742,	1,	4,	3,	1499,	1.800,	NULL,	NULL,	NULL,	''),
(1428,	278,	676,	1,	3,	3,	1495,	13.000,	NULL,	NULL,	NULL,	''),
(1479,	295,	57,	5,	3,	13,	1548,	0.000,	NULL,	NULL,	NULL,	''),
(1480,	295,	285,	6,	4,	3,	1541,	0.000,	NULL,	NULL,	NULL,	''),
(1481,	295,	291,	6,	4,	3,	1542,	0.000,	NULL,	NULL,	NULL,	''),
(1482,	295,	528,	4,	3,	3,	1550,	0.000,	NULL,	NULL,	NULL,	''),
(1483,	295,	551,	2,	63,	3,	1540,	0.000,	NULL,	NULL,	NULL,	''),
(1484,	295,	753,	2,	3,	5,	1552,	0.000,	NULL,	NULL,	NULL,	''),
(1485,	295,	766,	3,	3,	3,	1549,	0.000,	NULL,	NULL,	NULL,	''),
(1486,	295,	799,	20,	3,	3,	1546,	0.000,	NULL,	NULL,	NULL,	''),
(1487,	295,	848,	10,	3,	3,	1547,	0.000,	NULL,	NULL,	NULL,	''),
(1488,	295,	1071,	12,	3,	3,	1551,	0.000,	NULL,	NULL,	NULL,	''),
(1489,	295,	1111,	6,	3,	3,	1543,	0.000,	NULL,	NULL,	NULL,	''),
(1490,	295,	1251,	1,	3,	3,	1544,	0.000,	NULL,	NULL,	NULL,	''),
(1491,	295,	1353,	8,	3,	3,	1553,	0.000,	NULL,	NULL,	NULL,	''),
(1492,	295,	1610,	4,	3,	3,	1545,	0.000,	NULL,	NULL,	NULL,	''),
(1493,	300,	1265,	1,	3,	3,	1587,	2.500,	NULL,	NULL,	NULL,	''),
(1494,	300,	1500,	3,	3,	3,	1588,	1.700,	NULL,	NULL,	NULL,	''),
(1495,	300,	1563,	1,	3,	110,	1589,	10.800,	NULL,	NULL,	NULL,	''),
(1496,	288,	676,	2,	3,	3,	1517,	13.000,	NULL,	NULL,	NULL,	''),
(1497,	304,	848,	1,	3,	22,	1590,	1.800,	NULL,	NULL,	NULL,	''),
(1498,	302,	528,	2,	3,	3,	1584,	4.600,	NULL,	NULL,	NULL,	''),
(1499,	291,	178,	1,	3,	3,	1523,	10.800,	NULL,	NULL,	NULL,	''),
(1500,	290,	1298,	1,	1,	3,	1521,	1.500,	NULL,	NULL,	NULL,	''),
(1501,	299,	551,	1,	63,	2,	1572,	4.400,	NULL,	NULL,	NULL,	''),
(1502,	296,	1563,	4,	3,	3,	1559,	10.800,	NULL,	NULL,	NULL,	''),
(1503,	297,	420,	4,	3,	3,	1563,	2.000,	NULL,	NULL,	NULL,	''),
(1504,	297,	528,	1,	3,	3,	1564,	4.600,	NULL,	NULL,	NULL,	''),
(1505,	297,	753,	4,	63,	2,	1565,	2.500,	NULL,	NULL,	NULL,	''),
(1506,	297,	767,	4,	3,	3,	1566,	2.500,	NULL,	NULL,	NULL,	''),
(1507,	297,	1071,	5,	3,	3,	1562,	4.500,	NULL,	NULL,	NULL,	''),
(1508,	297,	1344,	2,	3,	29,	1561,	2.700,	NULL,	NULL,	NULL,	''),
(1509,	297,	1353,	5,	3,	3,	1560,	5.200,	NULL,	NULL,	NULL,	''),
(1510,	292,	528,	1,	3,	3,	1554,	4.600,	NULL,	NULL,	NULL,	''),
(1511,	292,	753,	1,	63,	2,	1555,	2.400,	NULL,	NULL,	NULL,	''),
(1512,	292,	766,	1,	3,	3,	1556,	2.500,	NULL,	NULL,	NULL,	''),
(1513,	289,	551,	1,	63,	2,	1519,	4.400,	NULL,	NULL,	NULL,	''),
(1514,	287,	1353,	1,	3,	3,	1514,	5.200,	NULL,	NULL,	NULL,	''),
(1515,	286,	932,	1,	3,	24,	1511,	3.600,	NULL,	NULL,	NULL,	''),
(1516,	286,	1312,	1,	1,	55,	1512,	1.600,	NULL,	NULL,	NULL,	''),
(1517,	286,	1312,	1,	1,	84,	1513,	3.000,	NULL,	NULL,	NULL,	''),
(1518,	285,	420,	1,	3,	3,	1506,	2.000,	NULL,	NULL,	NULL,	''),
(1519,	285,	972,	1,	3,	3,	1507,	3.600,	NULL,	NULL,	NULL,	''),
(1520,	308,	848,	1,	3,	3,	1596,	3.200,	NULL,	NULL,	NULL,	''),
(1521,	308,	1486,	1,	7,	3,	1595,	2.000,	NULL,	NULL,	NULL,	''),
(1522,	309,	1444,	1,	3,	3,	1597,	4.400,	NULL,	NULL,	NULL,	''),
(1523,	305,	848,	1,	3,	5,	1592,	4.200,	NULL,	NULL,	NULL,	''),
(1524,	307,	1563,	2,	3,	110,	1594,	10.800,	NULL,	NULL,	NULL,	''),
(1525,	303,	314,	2,	1,	3,	1586,	1.300,	NULL,	NULL,	NULL,	''),
(1526,	303,	450,	2,	1,	3,	1585,	1.000,	NULL,	NULL,	NULL,	''),
(1527,	310,	753,	4,	63,	3,	1599,	1.800,	NULL,	NULL,	NULL,	'4kg'),
(1528,	310,	766,	2,	3,	3,	1600,	2.300,	NULL,	NULL,	NULL,	''),
(1529,	310,	848,	2,	3,	3,	1601,	3.100,	NULL,	NULL,	NULL,	''),
(1530,	310,	1111,	1,	3,	3,	1602,	5.200,	NULL,	NULL,	NULL,	''),
(1531,	310,	1839,	4,	63,	3,	1598,	1.785,	NULL,	NULL,	NULL,	''),
(1532,	312,	53,	1,	7,	3,	1608,	2.200,	NULL,	NULL,	NULL,	''),
(1533,	312,	275,	1,	3,	3,	1609,	3.400,	NULL,	NULL,	NULL,	''),
(1534,	312,	829,	1,	3,	4,	1610,	3.200,	NULL,	NULL,	NULL,	''),
(1535,	312,	1344,	1,	3,	29,	1611,	2.800,	NULL,	NULL,	NULL,	''),
(1536,	311,	1570,	60,	4,	74,	1603,	1.850,	NULL,	NULL,	NULL,	''),
(1537,	313,	178,	2,	3,	3,	1616,	10.800,	NULL,	NULL,	NULL,	''),
(1538,	313,	1071,	2,	3,	3,	1615,	4.500,	NULL,	NULL,	NULL,	''),
(1539,	313,	1145,	4,	3,	3,	1612,	2.900,	NULL,	NULL,	NULL,	''),
(1540,	313,	1344,	1,	3,	20,	1613,	3.800,	NULL,	NULL,	NULL,	''),
(1541,	313,	1353,	2,	3,	3,	1614,	5.200,	NULL,	NULL,	NULL,	''),
(1542,	314,	682,	1,	3,	3,	1621,	11.600,	NULL,	NULL,	NULL,	''),
(1543,	314,	1425,	4,	1,	3,	1622,	1.900,	NULL,	NULL,	NULL,	''),
(1544,	317,	651,	2,	4,	3,	1644,	2.100,	NULL,	NULL,	NULL,	''),
(1545,	317,	1425,	2,	1,	3,	1645,	1.900,	NULL,	NULL,	NULL,	''),
(1546,	315,	279,	1,	3,	3,	1630,	3.500,	NULL,	NULL,	NULL,	''),
(1547,	315,	752,	1,	3,	3,	1631,	9.200,	NULL,	NULL,	NULL,	''),
(1548,	315,	972,	1,	3,	3,	1632,	3.600,	NULL,	NULL,	NULL,	''),
(1549,	315,	1123,	2,	3,	3,	1633,	3.000,	NULL,	NULL,	NULL,	''),
(1550,	315,	1344,	1,	3,	25,	1634,	3.800,	NULL,	NULL,	NULL,	''),
(1551,	315,	1444,	1,	3,	3,	1635,	4.200,	NULL,	NULL,	NULL,	''),
(1552,	315,	1587,	1,	3,	3,	1636,	3.800,	NULL,	NULL,	NULL,	''),
(1553,	298,	178,	1,	3,	3,	1569,	10.800,	NULL,	NULL,	NULL,	''),
(1554,	298,	1251,	1,	3,	3,	1570,	4.000,	NULL,	NULL,	NULL,	''),
(1555,	316,	848,	1,	3,	3,	1640,	3.200,	NULL,	NULL,	NULL,	''),
(1556,	316,	1071,	2,	3,	3,	1641,	4.500,	NULL,	NULL,	NULL,	''),
(1557,	316,	1298,	3,	1,	3,	1637,	1.500,	NULL,	NULL,	NULL,	''),
(1558,	316,	1344,	1,	3,	20,	1638,	3.800,	NULL,	NULL,	NULL,	''),
(1559,	316,	1626,	2,	3,	3,	1639,	3.000,	NULL,	NULL,	NULL,	''),
(1562,	320,	1698,	1,	3,	3,	1675,	1.200,	NULL,	NULL,	NULL,	''),
(1587,	318,	170,	10,	3,	2,	1652,	0.000,	NULL,	NULL,	NULL,	''),
(1588,	318,	285,	5,	4,	3,	1658,	0.000,	NULL,	NULL,	NULL,	''),
(1589,	318,	288,	5,	4,	3,	1659,	0.000,	NULL,	NULL,	NULL,	''),
(1590,	318,	291,	5,	4,	3,	1657,	0.000,	NULL,	NULL,	NULL,	''),
(1591,	318,	314,	1,	3,	2,	1665,	0.000,	NULL,	NULL,	NULL,	''),
(1592,	318,	388,	1,	3,	3,	1667,	0.000,	NULL,	NULL,	NULL,	''),
(1593,	318,	394,	1,	3,	3,	1668,	0.000,	NULL,	NULL,	NULL,	''),
(1594,	318,	420,	40,	3,	3,	1666,	0.000,	NULL,	NULL,	NULL,	''),
(1595,	318,	528,	10,	3,	3,	1669,	0.000,	NULL,	NULL,	NULL,	''),
(1596,	318,	676,	10,	3,	3,	1664,	0.000,	NULL,	NULL,	NULL,	''),
(1597,	318,	799,	5,	3,	3,	1663,	0.000,	NULL,	NULL,	NULL,	''),
(1598,	318,	809,	2,	3,	2,	1661,	0.000,	NULL,	NULL,	NULL,	''),
(1599,	318,	844,	2,	3,	2,	1660,	0.000,	NULL,	NULL,	NULL,	''),
(1600,	318,	848,	5,	3,	3,	1662,	0.000,	NULL,	NULL,	NULL,	''),
(1601,	318,	932,	1,	3,	55,	1653,	0.000,	NULL,	NULL,	NULL,	''),
(1602,	318,	1071,	15,	3,	3,	1649,	0.000,	NULL,	NULL,	NULL,	''),
(1603,	318,	1203,	1,	3,	3,	1655,	0.000,	NULL,	NULL,	NULL,	''),
(1604,	318,	1269,	1,	3,	3,	1647,	0.000,	NULL,	NULL,	NULL,	''),
(1605,	318,	1563,	2,	3,	3,	1654,	0.000,	NULL,	NULL,	NULL,	''),
(1606,	318,	1587,	3,	3,	3,	1651,	0.000,	NULL,	NULL,	NULL,	''),
(1607,	318,	1608,	4,	3,	3,	1650,	0.000,	NULL,	NULL,	NULL,	''),
(1608,	318,	1723,	1,	3,	3,	1656,	0.000,	NULL,	NULL,	NULL,	''),
(1609,	318,	1766,	20,	3,	3,	1648,	0.000,	NULL,	NULL,	NULL,	''),
(1610,	318,	1959,	5,	1,	3,	1646,	0.000,	NULL,	NULL,	NULL,	''),
(1611,	336,	766,	1,	3,	3,	1709,	2.500,	NULL,	NULL,	NULL,	''),
(1612,	336,	1166,	1,	3,	3,	1708,	2.600,	NULL,	NULL,	NULL,	''),
(1613,	336,	1353,	1,	3,	3,	1710,	5.200,	NULL,	NULL,	NULL,	''),
(1614,	335,	848,	1,	3,	3,	1707,	3.200,	NULL,	NULL,	NULL,	''),
(1615,	331,	1251,	3,	4,	3,	1694,	0.500,	NULL,	NULL,	NULL,	''),
(1616,	331,	1570,	4,	4,	74,	1695,	1.900,	NULL,	NULL,	NULL,	''),
(1617,	325,	428,	2,	3,	3,	1687,	4.600,	NULL,	NULL,	NULL,	''),
(1618,	327,	1498,	2,	3,	3,	1686,	6.800,	NULL,	NULL,	NULL,	''),
(1619,	333,	753,	4,	63,	3,	1700,	1.800,	NULL,	NULL,	NULL,	'4kg '),
(1620,	333,	766,	2,	3,	3,	1699,	2.200,	NULL,	NULL,	NULL,	''),
(1621,	333,	1179,	5,	3,	3,	1697,	2.500,	NULL,	NULL,	NULL,	''),
(1622,	333,	1839,	4,	63,	3,	1698,	1.800,	NULL,	NULL,	NULL,	''),
(1623,	328,	1251,	1,	3,	3,	1691,	4.000,	NULL,	NULL,	NULL,	''),
(1624,	337,	168,	1,	3,	3,	1712,	2.200,	NULL,	NULL,	NULL,	''),
(1625,	337,	1344,	1,	3,	29,	1711,	2.800,	NULL,	NULL,	NULL,	''),
(1626,	337,	1491,	1,	3,	3,	1713,	1.800,	NULL,	NULL,	NULL,	''),
(1627,	338,	178,	5,	1,	3,	1718,	1.100,	NULL,	NULL,	NULL,	''),
(1628,	338,	279,	5,	4,	3,	1714,	0.400,	NULL,	NULL,	NULL,	''),
(1629,	338,	551,	1,	63,	3,	1716,	4.300,	NULL,	NULL,	NULL,	''),
(1630,	338,	766,	1,	3,	3,	1715,	2.300,	NULL,	NULL,	NULL,	''),
(1631,	338,	1514,	1,	7,	3,	1717,	2.200,	NULL,	NULL,	NULL,	''),
(1632,	326,	420,	2,	3,	3,	1685,	1.900,	NULL,	NULL,	NULL,	''),
(1633,	324,	528,	1,	3,	3,	1680,	4.600,	NULL,	NULL,	NULL,	''),
(1634,	324,	676,	1,	3,	3,	1683,	13.200,	NULL,	NULL,	NULL,	''),
(1635,	324,	753,	2,	63,	3,	1682,	1.900,	NULL,	NULL,	NULL,	''),
(1636,	324,	766,	1,	3,	3,	1681,	2.400,	NULL,	NULL,	NULL,	''),
(1637,	340,	799,	3,	3,	3,	1721,	3.100,	NULL,	NULL,	NULL,	''),
(1638,	340,	848,	1,	3,	3,	1720,	3.200,	NULL,	NULL,	NULL,	''),
(1639,	323,	1251,	1,	3,	3,	1679,	4.000,	NULL,	NULL,	NULL,	''),
(1640,	322,	423,	2,	3,	3,	1678,	2.200,	NULL,	NULL,	NULL,	''),
(1641,	319,	676,	1,	3,	3,	1672,	13.200,	NULL,	NULL,	NULL,	''),
(1642,	319,	1071,	1,	3,	3,	1673,	4.500,	NULL,	NULL,	NULL,	''),
(1643,	321,	766,	1,	3,	3,	1676,	2.400,	NULL,	NULL,	NULL,	''),
(1644,	342,	168,	1,	3,	3,	1722,	2.100,	NULL,	NULL,	NULL,	''),
(1645,	342,	420,	1,	3,	3,	1723,	2.000,	NULL,	NULL,	NULL,	''),
(1646,	344,	1526,	1,	3,	3,	1725,	7.500,	NULL,	NULL,	NULL,	''),
(1647,	343,	528,	1,	63,	3,	1724,	4.800,	NULL,	NULL,	NULL,	''),
(1648,	293,	933,	2,	3,	3,	1537,	3.800,	NULL,	NULL,	NULL,	''),
(1660,	349,	420,	100,	3,	3,	1741,	0.000,	NULL,	NULL,	NULL,	''),
(1661,	349,	528,	10,	3,	3,	1745,	0.000,	NULL,	NULL,	NULL,	''),
(1662,	349,	753,	30,	63,	3,	1744,	0.000,	NULL,	NULL,	NULL,	''),
(1663,	349,	766,	20,	3,	3,	1743,	0.000,	NULL,	NULL,	NULL,	''),
(1664,	349,	799,	10,	3,	5,	1735,	0.000,	NULL,	NULL,	NULL,	''),
(1665,	349,	836,	10,	3,	3,	1736,	0.000,	NULL,	NULL,	NULL,	''),
(1666,	349,	876,	20,	3,	3,	1737,	0.000,	NULL,	NULL,	NULL,	''),
(1667,	349,	969,	5,	3,	3,	1742,	0.000,	NULL,	NULL,	NULL,	''),
(1668,	349,	1498,	15,	3,	23,	1740,	0.000,	NULL,	NULL,	NULL,	''),
(1669,	349,	1514,	20,	3,	3,	1739,	0.000,	NULL,	NULL,	NULL,	''),
(1670,	349,	1839,	10,	63,	3,	1738,	0.000,	NULL,	NULL,	NULL,	''),
(1671,	348,	676,	1,	3,	3,	1734,	13.100,	NULL,	NULL,	NULL,	''),
(1672,	348,	766,	1,	3,	3,	1733,	2.300,	NULL,	NULL,	NULL,	''),
(1673,	350,	766,	1,	3,	3,	1746,	2.200,	NULL,	NULL,	NULL,	''),
(1701,	351,	142,	12,	4,	3,	1772,	0.900,	NULL,	NULL,	NULL,	''),
(1702,	351,	154,	1,	3,	2,	1773,	28.800,	NULL,	NULL,	NULL,	''),
(1703,	351,	282,	15,	3,	33,	1763,	18.800,	NULL,	NULL,	NULL,	''),
(1704,	351,	285,	24,	4,	3,	1768,	1.800,	NULL,	NULL,	NULL,	''),
(1705,	351,	288,	36,	4,	3,	1767,	1.700,	NULL,	NULL,	NULL,	''),
(1706,	351,	290,	12,	4,	3,	1750,	2.000,	NULL,	NULL,	NULL,	''),
(1707,	351,	358,	2,	3,	3,	1764,	6.800,	NULL,	NULL,	NULL,	''),
(1708,	351,	419,	40,	4,	3,	1771,	0.600,	NULL,	NULL,	NULL,	''),
(1709,	351,	449,	20,	1,	3,	1766,	1.700,	NULL,	NULL,	NULL,	''),
(1710,	351,	519,	24,	4,	3,	1749,	0.600,	NULL,	NULL,	NULL,	''),
(1711,	351,	533,	2,	1,	3,	1765,	4.800,	NULL,	NULL,	NULL,	''),
(1712,	351,	576,	12,	4,	4,	1770,	0.600,	NULL,	NULL,	NULL,	''),
(1713,	351,	742,	5,	3,	74,	1762,	10.500,	NULL,	NULL,	NULL,	''),
(1714,	351,	752,	3,	3,	3,	1761,	10.800,	NULL,	NULL,	NULL,	''),
(1715,	351,	933,	25,	7,	3,	1758,	3.800,	NULL,	NULL,	NULL,	''),
(1716,	351,	955,	1,	63,	3,	1759,	9.800,	NULL,	NULL,	NULL,	''),
(1717,	351,	1111,	30,	3,	3,	1757,	5.200,	NULL,	NULL,	NULL,	''),
(1718,	351,	1124,	50,	3,	3,	1748,	4.500,	NULL,	NULL,	NULL,	''),
(1719,	351,	1131,	50,	3,	3,	1747,	4.600,	NULL,	NULL,	NULL,	''),
(1720,	351,	1203,	15,	3,	3,	1756,	4.200,	NULL,	NULL,	NULL,	''),
(1721,	351,	1229,	5,	3,	3,	1754,	4.200,	NULL,	NULL,	NULL,	''),
(1722,	351,	1251,	25,	3,	3,	1755,	3.800,	NULL,	NULL,	NULL,	''),
(1723,	351,	1260,	5,	3,	3,	1769,	3.800,	NULL,	NULL,	NULL,	''),
(1724,	351,	1394,	1,	3,	3,	1753,	13.800,	NULL,	NULL,	NULL,	''),
(1725,	351,	1563,	10,	3,	3,	1752,	11.800,	NULL,	NULL,	NULL,	''),
(1726,	351,	1637,	3,	3,	3,	1751,	3.800,	NULL,	NULL,	NULL,	''),
(1727,	351,	1906,	1,	3,	2,	1760,	0.000,	NULL,	NULL,	NULL,	''),
(1728,	362,	367,	2,	3,	3,	1792,	3.000,	NULL,	NULL,	NULL,	''),
(1729,	361,	1766,	1,	3,	3,	1791,	2.400,	NULL,	NULL,	NULL,	''),
(1730,	370,	1649,	1,	63,	2,	1804,	3.800,	NULL,	NULL,	NULL,	''),
(1731,	369,	1166,	3,	3,	3,	1803,	2.600,	NULL,	NULL,	NULL,	''),
(1732,	368,	1622,	1,	3,	3,	1802,	5.200,	NULL,	NULL,	NULL,	''),
(1733,	367,	1166,	1,	3,	3,	1800,	2.600,	NULL,	NULL,	NULL,	''),
(1734,	367,	1563,	1,	3,	110,	1801,	11.800,	NULL,	NULL,	NULL,	''),
(1735,	366,	528,	1,	3,	3,	1799,	4.600,	NULL,	NULL,	NULL,	''),
(1736,	366,	766,	1,	3,	3,	1797,	2.200,	NULL,	NULL,	NULL,	''),
(1737,	366,	1071,	1,	3,	3,	1798,	4.200,	NULL,	NULL,	NULL,	''),
(1738,	364,	682,	1,	7,	3,	1794,	11.400,	NULL,	NULL,	NULL,	''),
(1739,	363,	74,	1,	7,	13,	1793,	2.200,	NULL,	NULL,	NULL,	''),
(1740,	360,	799,	1,	3,	4,	1785,	1.400,	NULL,	NULL,	NULL,	''),
(1741,	360,	799,	1,	3,	38,	1786,	3.000,	NULL,	NULL,	NULL,	''),
(1742,	360,	1344,	2,	3,	25,	1789,	3.400,	NULL,	NULL,	NULL,	''),
(1743,	360,	1470,	1,	3,	3,	1788,	7.500,	NULL,	NULL,	NULL,	''),
(1744,	360,	1839,	3,	63,	2,	1790,	1.800,	NULL,	NULL,	NULL,	''),
(1745,	360,	1978,	2,	3,	3,	1787,	2.300,	NULL,	NULL,	NULL,	''),
(1746,	358,	785,	1,	3,	3,	1780,	6.200,	NULL,	NULL,	NULL,	''),
(1747,	357,	1563,	1,	3,	110,	1779,	11.800,	NULL,	NULL,	NULL,	''),
(1794,	405,	285,	6,	4,	3,	1983,	1.800,	NULL,	NULL,	NULL,	''),
(1795,	405,	1726,	1,	3,	3,	1982,	4.400,	NULL,	NULL,	NULL,	''),
(1796,	407,	682,	1,	3,	3,	1986,	11.200,	NULL,	NULL,	NULL,	''),
(1797,	407,	766,	1,	3,	3,	1985,	2.200,	NULL,	NULL,	NULL,	''),
(1798,	407,	1344,	1,	3,	20,	1987,	3.800,	NULL,	NULL,	NULL,	''),
(1799,	406,	1131,	2,	3,	6,	1984,	5.200,	NULL,	NULL,	NULL,	''),
(1800,	400,	170,	2,	3,	3,	1954,	7.000,	NULL,	NULL,	NULL,	''),
(1801,	400,	420,	2,	3,	3,	1951,	1.900,	NULL,	NULL,	NULL,	''),
(1802,	400,	528,	1,	3,	3,	1950,	4.600,	NULL,	NULL,	NULL,	''),
(1803,	400,	766,	2,	3,	3,	1952,	2.200,	NULL,	NULL,	NULL,	''),
(1804,	400,	848,	1,	3,	5,	1949,	4.200,	NULL,	NULL,	NULL,	''),
(1805,	400,	1071,	1,	3,	3,	1953,	4.200,	NULL,	NULL,	NULL,	''),
(1806,	400,	1353,	1,	3,	3,	1948,	4.800,	NULL,	NULL,	NULL,	''),
(1807,	408,	742,	2,	3,	3,	1988,	10.500,	NULL,	NULL,	NULL,	''),
(1808,	410,	881,	1,	3,	4,	1996,	1.500,	NULL,	NULL,	NULL,	''),
(1809,	410,	1425,	1,	1,	3,	1997,	2.000,	NULL,	NULL,	NULL,	''),
(1810,	410,	1727,	1,	4,	3,	1998,	4.400,	NULL,	NULL,	NULL,	''),
(1811,	411,	1131,	1,	3,	3,	1999,	4.800,	NULL,	NULL,	NULL,	''),
(1812,	413,	1111,	10,	3,	2,	2002,	5.100,	NULL,	NULL,	NULL,	''),
(1813,	412,	1251,	1,	4,	3,	2000,	0.500,	NULL,	NULL,	NULL,	''),
(1814,	414,	753,	1,	63,	2,	2003,	2.000,	NULL,	NULL,	NULL,	''),
(1815,	415,	933,	1,	3,	3,	2004,	3.800,	NULL,	NULL,	NULL,	''),
(1816,	416,	1251,	1,	3,	3,	2005,	4.000,	NULL,	NULL,	NULL,	''),
(1817,	417,	178,	1,	3,	3,	2006,	10.800,	NULL,	NULL,	NULL,	''),
(1818,	417,	799,	1,	3,	5,	2008,	3.600,	NULL,	NULL,	NULL,	''),
(1819,	417,	848,	2,	3,	38,	2009,	3.200,	NULL,	NULL,	NULL,	''),
(1820,	417,	881,	3,	3,	3,	2007,	1.500,	NULL,	NULL,	NULL,	''),
(1821,	417,	1626,	2,	3,	105,	2010,	3.000,	NULL,	NULL,	NULL,	''),
(1822,	418,	1491,	1,	3,	3,	2011,	1.700,	NULL,	NULL,	NULL,	''),
(1823,	419,	332,	1,	63,	2,	2013,	1.200,	NULL,	NULL,	NULL,	''),
(1824,	419,	1587,	2,	3,	3,	2012,	3.900,	NULL,	NULL,	NULL,	''),
(1825,	420,	753,	1,	3,	5,	2015,	4.700,	NULL,	NULL,	NULL,	''),
(1826,	420,	753,	1,	63,	2,	2014,	2.100,	NULL,	NULL,	NULL,	''),
(1827,	420,	766,	1,	3,	3,	2016,	2.200,	NULL,	NULL,	NULL,	''),
(1828,	421,	168,	2,	3,	3,	2017,	2.100,	NULL,	NULL,	NULL,	''),
(1829,	421,	1344,	1,	3,	31,	2018,	3.200,	NULL,	NULL,	NULL,	''),
(1830,	422,	94,	1,	7,	14,	2024,	2.200,	NULL,	NULL,	NULL,	''),
(1831,	422,	152,	10,	1,	3,	2025,	1.100,	NULL,	NULL,	NULL,	''),
(1832,	422,	279,	1,	3,	5,	2026,	2.800,	NULL,	NULL,	NULL,	''),
(1833,	422,	799,	1,	3,	3,	2027,	3.000,	NULL,	NULL,	NULL,	''),
(1834,	422,	1353,	2,	3,	2,	2028,	4.800,	NULL,	NULL,	NULL,	''),
(1835,	426,	753,	1,	63,	2,	2037,	2.200,	NULL,	NULL,	NULL,	''),
(1836,	423,	1567,	1,	3,	3,	2029,	9.800,	NULL,	NULL,	NULL,	''),
(1837,	427,	753,	1,	63,	2,	2038,	2.500,	NULL,	NULL,	NULL,	''),
(1838,	425,	1626,	1,	3,	105,	2036,	3.000,	NULL,	NULL,	NULL,	''),
(1839,	424,	625,	1,	3,	3,	2033,	4.200,	NULL,	NULL,	NULL,	''),
(1840,	424,	1587,	1,	3,	3,	2034,	3.900,	NULL,	NULL,	NULL,	''),
(1841,	424,	1626,	1,	3,	105,	2035,	3.000,	NULL,	NULL,	NULL,	''),
(1842,	428,	1563,	1,	3,	110,	2039,	11.800,	NULL,	NULL,	NULL,	''),
(1844,	430,	275,	3,	3,	3,	2042,	2.800,	NULL,	NULL,	NULL,	''),
(1845,	430,	1251,	1,	3,	3,	2043,	4.000,	NULL,	NULL,	NULL,	''),
(1846,	404,	1470,	1,	3,	3,	1972,	7.800,	NULL,	NULL,	NULL,	''),
(1847,	404,	1587,	6,	3,	3,	1973,	3.900,	NULL,	NULL,	NULL,	''),
(1848,	403,	421,	1,	3,	3,	1978,	1.900,	NULL,	NULL,	NULL,	''),
(1849,	403,	753,	1,	3,	5,	1979,	4.700,	NULL,	NULL,	NULL,	''),
(1850,	403,	1071,	2,	3,	3,	1980,	4.200,	NULL,	NULL,	NULL,	''),
(1851,	403,	1470,	1,	3,	3,	1981,	7.800,	NULL,	NULL,	NULL,	''),
(1852,	402,	420,	3,	3,	3,	1965,	1.800,	NULL,	NULL,	NULL,	''),
(1853,	402,	876,	3,	3,	3,	1967,	4.000,	NULL,	NULL,	NULL,	''),
(1854,	402,	1066,	2,	3,	3,	1966,	4.500,	NULL,	NULL,	NULL,	''),
(1856,	401,	1131,	2,	3,	6,	1964,	5.200,	NULL,	NULL,	NULL,	''),
(1857,	401,	1344,	1,	3,	29,	1962,	2.600,	NULL,	NULL,	NULL,	''),
(1858,	401,	1626,	1,	3,	105,	1963,	3.000,	NULL,	NULL,	NULL,	''),
(1859,	395,	388,	1,	1,	3,	1955,	0.800,	NULL,	NULL,	NULL,	''),
(1860,	395,	420,	3,	3,	3,	1956,	1.900,	NULL,	NULL,	NULL,	''),
(1861,	395,	528,	1,	3,	3,	1957,	4.600,	NULL,	NULL,	NULL,	''),
(1862,	395,	758,	5,	63,	2,	1958,	2.500,	NULL,	NULL,	NULL,	''),
(1863,	395,	766,	1,	3,	3,	1959,	2.200,	NULL,	NULL,	NULL,	''),
(1864,	395,	884,	20,	1,	3,	1960,	1.300,	NULL,	NULL,	NULL,	''),
(1865,	395,	1071,	1,	3,	3,	1961,	4.200,	NULL,	NULL,	NULL,	''),
(1868,	397,	753,	1,	3,	2,	1945,	2.200,	NULL,	NULL,	NULL,	''),
(1869,	396,	1353,	1,	3,	3,	1944,	4.800,	NULL,	NULL,	NULL,	''),
(1870,	394,	1491,	3,	3,	3,	1925,	1.700,	NULL,	NULL,	NULL,	''),
(1871,	434,	881,	1,	3,	3,	2053,	1.400,	NULL,	NULL,	NULL,	''),
(1872,	391,	752,	1,	3,	3,	1921,	9.200,	NULL,	NULL,	NULL,	''),
(1873,	393,	1978,	1,	63,	3,	1923,	2.400,	NULL,	NULL,	NULL,	''),
(1874,	392,	752,	1,	3,	3,	1926,	9.200,	NULL,	NULL,	NULL,	''),
(1875,	390,	152,	5,	1,	3,	1919,	1.080,	NULL,	NULL,	NULL,	''),
(1876,	389,	314,	1,	1,	3,	1915,	1.300,	NULL,	NULL,	NULL,	''),
(1877,	389,	575,	1,	4,	3,	1916,	0.600,	NULL,	NULL,	NULL,	''),
(1878,	389,	1044,	1,	1,	4,	1917,	0.700,	NULL,	NULL,	NULL,	''),
(1879,	388,	57,	3,	7,	13,	1905,	1.900,	NULL,	NULL,	NULL,	''),
(1880,	388,	76,	3,	7,	13,	1904,	2.100,	NULL,	NULL,	NULL,	''),
(1881,	388,	459,	1,	1,	3,	1901,	1.600,	NULL,	NULL,	NULL,	''),
(1882,	388,	576,	3,	1,	3,	1903,	0.600,	NULL,	NULL,	NULL,	''),
(1883,	388,	955,	1,	1,	3,	1902,	1.800,	NULL,	NULL,	NULL,	''),
(1884,	388,	1229,	4,	4,	3,	1900,	0.550,	NULL,	NULL,	NULL,	''),
(1885,	388,	1251,	2,	4,	3,	1899,	0.500,	NULL,	NULL,	NULL,	''),
(1886,	429,	1071,	1,	3,	3,	2041,	4.200,	NULL,	NULL,	NULL,	''),
(1887,	431,	881,	4,	3,	4,	2045,	1.800,	NULL,	NULL,	NULL,	''),
(1888,	432,	848,	30,	3,	3,	2047,	3.000,	NULL,	NULL,	NULL,	''),
(1889,	432,	876,	30,	3,	3,	2048,	3.900,	NULL,	NULL,	NULL,	''),
(1890,	432,	1353,	40,	3,	3,	2049,	4.900,	NULL,	NULL,	NULL,	'40pcs'),
(1891,	432,	1514,	20,	3,	3,	2046,	7.800,	NULL,	NULL,	NULL,	''),
(1892,	433,	1071,	1,	3,	3,	2051,	4.400,	NULL,	NULL,	NULL,	''),
(1893,	436,	682,	1,	3,	3,	2056,	11.200,	NULL,	NULL,	NULL,	''),
(1894,	437,	358,	1,	3,	3,	2057,	6.800,	NULL,	NULL,	NULL,	''),
(1895,	435,	753,	1,	63,	2,	2054,	2.500,	NULL,	NULL,	NULL,	''),
(1896,	435,	1131,	2,	3,	6,	2055,	5.200,	NULL,	NULL,	NULL,	''),
(1897,	438,	33,	1,	3,	13,	2064,	6.800,	NULL,	NULL,	NULL,	''),
(1898,	438,	74,	1,	3,	13,	2065,	9.500,	NULL,	NULL,	NULL,	''),
(1899,	438,	528,	2,	3,	3,	2066,	4.600,	NULL,	NULL,	NULL,	''),
(1900,	438,	807,	1,	3,	3,	2067,	12.000,	NULL,	NULL,	NULL,	''),
(1901,	438,	1127,	1,	3,	3,	2068,	3.200,	NULL,	NULL,	NULL,	''),
(1902,	438,	1179,	3,	3,	3,	2069,	2.400,	NULL,	NULL,	NULL,	''),
(1903,	439,	168,	3,	3,	3,	2074,	2.100,	NULL,	NULL,	NULL,	''),
(1904,	439,	753,	1,	63,	2,	2071,	2.200,	NULL,	NULL,	NULL,	''),
(1905,	439,	766,	1,	3,	3,	2073,	2.200,	NULL,	NULL,	NULL,	''),
(1906,	439,	799,	1,	3,	38,	2072,	2.900,	NULL,	NULL,	NULL,	''),
(1907,	439,	1071,	1,	3,	3,	2070,	4.200,	NULL,	NULL,	NULL,	''),
(1908,	448,	285,	1,	4,	3,	2091,	1.800,	NULL,	NULL,	NULL,	''),
(1909,	448,	291,	1,	4,	3,	2090,	1.900,	NULL,	NULL,	NULL,	''),
(1910,	440,	170,	3,	3,	3,	2076,	7.000,	NULL,	NULL,	NULL,	''),
(1911,	440,	279,	2,	3,	5,	2075,	2.800,	NULL,	NULL,	NULL,	''),
(1912,	440,	1071,	4,	3,	3,	2077,	4.200,	NULL,	NULL,	NULL,	''),
(1913,	441,	152,	3,	1,	2,	2078,	1.100,	NULL,	NULL,	NULL,	''),
(1914,	442,	799,	1,	3,	5,	2079,	3.600,	NULL,	NULL,	NULL,	''),
(1915,	450,	423,	1,	3,	3,	2094,	2.200,	NULL,	NULL,	NULL,	''),
(1916,	450,	676,	1,	3,	3,	2093,	13.500,	NULL,	NULL,	NULL,	''),
(1917,	451,	1344,	1,	3,	20,	2095,	3.800,	NULL,	NULL,	NULL,	''),
(1918,	443,	753,	1,	63,	2,	2082,	2.500,	NULL,	NULL,	NULL,	''),
(1919,	443,	766,	1,	3,	3,	2083,	2.200,	NULL,	NULL,	NULL,	''),
(1920,	443,	848,	1,	3,	38,	2084,	3.200,	NULL,	NULL,	NULL,	''),
(1921,	443,	932,	1,	3,	79,	2081,	2.200,	NULL,	NULL,	NULL,	''),
(1922,	443,	1659,	1,	63,	2,	2080,	3.800,	NULL,	NULL,	NULL,	''),
(1923,	444,	1626,	1,	3,	105,	2085,	3.000,	NULL,	NULL,	NULL,	''),
(1924,	445,	848,	1,	3,	5,	2086,	4.200,	NULL,	NULL,	NULL,	''),
(1925,	449,	1622,	10,	3,	3,	2092,	5.200,	NULL,	NULL,	NULL,	''),
(1926,	399,	682,	1,	3,	3,	1947,	11.200,	NULL,	NULL,	NULL,	''),
(1927,	398,	388,	1,	3,	3,	1946,	3.000,	NULL,	NULL,	NULL,	''),
(1928,	452,	1626,	1,	3,	71,	2096,	3.000,	NULL,	NULL,	NULL,	''),
(1929,	447,	170,	2,	3,	3,	2089,	7.000,	NULL,	NULL,	NULL,	''),
(1930,	446,	848,	1,	3,	38,	2087,	3.200,	NULL,	NULL,	NULL,	''),
(1931,	446,	1626,	1,	3,	105,	2088,	3.000,	NULL,	NULL,	NULL,	''),
(1950,	453,	57,	3,	3,	7,	2105,	0.000,	NULL,	NULL,	NULL,	''),
(1951,	453,	170,	10,	3,	2,	2098,	0.000,	NULL,	NULL,	NULL,	''),
(1952,	453,	178,	1,	3,	2,	2107,	0.000,	NULL,	NULL,	NULL,	''),
(1953,	453,	420,	40,	3,	3,	2114,	1.800,	NULL,	NULL,	NULL,	''),
(1954,	453,	791,	3,	10,	2,	2110,	0.000,	NULL,	NULL,	NULL,	''),
(1955,	453,	799,	10,	3,	2,	2112,	2.900,	NULL,	NULL,	NULL,	''),
(1956,	453,	799,	10,	3,	22,	2097,	0.000,	NULL,	NULL,	NULL,	''),
(1957,	453,	809,	3,	3,	2,	2109,	0.000,	NULL,	NULL,	NULL,	''),
(1958,	453,	848,	10,	3,	3,	2113,	3.000,	NULL,	NULL,	NULL,	''),
(1959,	453,	848,	10,	3,	22,	2111,	1.700,	NULL,	NULL,	NULL,	''),
(1960,	453,	932,	5,	3,	55,	2104,	0.000,	NULL,	NULL,	NULL,	''),
(1961,	453,	1071,	20,	3,	3,	2103,	0.000,	NULL,	NULL,	NULL,	''),
(1962,	453,	1353,	10,	3,	3,	2106,	0.000,	NULL,	NULL,	NULL,	''),
(1963,	453,	1563,	1,	3,	110,	2100,	0.000,	NULL,	NULL,	NULL,	''),
(1964,	453,	1565,	1,	3,	2,	2101,	0.000,	NULL,	NULL,	NULL,	''),
(1965,	453,	1587,	5,	3,	3,	2099,	0.000,	NULL,	NULL,	NULL,	''),
(1966,	453,	1626,	20,	3,	105,	2108,	0.000,	NULL,	NULL,	NULL,	''),
(1967,	453,	1978,	5,	63,	3,	2102,	0.000,	NULL,	NULL,	NULL,	''),
(1987,	454,	249,	3,	63,	3,	2118,	1.000,	NULL,	NULL,	NULL,	''),
(1988,	454,	314,	1,	3,	2,	2122,	6.800,	NULL,	NULL,	NULL,	''),
(1989,	454,	452,	10,	1,	3,	2119,	0.800,	NULL,	NULL,	NULL,	''),
(1990,	454,	753,	10,	3,	5,	2115,	4.600,	NULL,	NULL,	NULL,	''),
(1991,	454,	755,	10,	1,	3,	2120,	1.600,	NULL,	NULL,	NULL,	''),
(1992,	454,	765,	6,	1,	3,	2116,	1.600,	NULL,	NULL,	NULL,	''),
(1993,	454,	799,	5,	3,	3,	2133,	2.900,	NULL,	NULL,	NULL,	''),
(1994,	454,	807,	3,	3,	2,	2131,	12.000,	NULL,	NULL,	NULL,	''),
(1995,	454,	848,	5,	3,	3,	2132,	3.000,	NULL,	NULL,	NULL,	''),
(1996,	454,	933,	5,	7,	3,	2130,	4.600,	NULL,	NULL,	NULL,	''),
(1997,	454,	969,	5,	3,	2,	2127,	7.200,	NULL,	NULL,	NULL,	''),
(1998,	454,	1071,	20,	3,	3,	2129,	4.100,	NULL,	NULL,	NULL,	''),
(1999,	454,	1203,	1,	3,	3,	2123,	3.800,	NULL,	NULL,	NULL,	''),
(2000,	454,	1269,	1,	3,	2,	2128,	17.500,	NULL,	NULL,	NULL,	''),
(2001,	454,	1563,	2,	3,	3,	2126,	11.700,	NULL,	NULL,	NULL,	''),
(2002,	454,	1587,	5,	3,	3,	2125,	3.800,	NULL,	NULL,	NULL,	''),
(2003,	454,	1723,	1,	3,	3,	2124,	4.200,	NULL,	NULL,	NULL,	''),
(2004,	454,	1893,	1,	3,	3,	2117,	4.800,	NULL,	NULL,	NULL,	''),
(2005,	454,	1959,	5,	1,	3,	2121,	1.400,	NULL,	NULL,	NULL,	''),
(2020,	473,	1145,	6,	3,	3,	2300,	2.400,	NULL,	NULL,	NULL,	''),
(2021,	465,	178,	1,	3,	3,	2262,	10.800,	NULL,	NULL,	NULL,	''),
(2022,	465,	528,	1,	3,	3,	2264,	4.000,	NULL,	NULL,	NULL,	''),
(2023,	465,	766,	2,	3,	3,	2265,	2.200,	NULL,	NULL,	NULL,	''),
(2024,	465,	1071,	1,	3,	3,	2266,	4.400,	NULL,	NULL,	NULL,	''),
(2025,	465,	1251,	1,	3,	3,	2260,	4.000,	NULL,	NULL,	NULL,	''),
(2026,	465,	1344,	5,	3,	29,	2263,	2.600,	NULL,	NULL,	NULL,	''),
(2027,	465,	1587,	1,	3,	3,	2261,	3.900,	NULL,	NULL,	NULL,	''),
(2028,	474,	1344,	1,	3,	20,	2301,	3.700,	NULL,	NULL,	NULL,	''),
(2029,	472,	57,	2,	3,	13,	2295,	8.800,	NULL,	NULL,	NULL,	''),
(2030,	472,	420,	2,	3,	3,	2296,	1.900,	NULL,	NULL,	NULL,	''),
(2031,	472,	693,	1,	3,	3,	2293,	16.500,	NULL,	NULL,	NULL,	''),
(2032,	472,	753,	8,	63,	3,	2299,	1.800,	NULL,	NULL,	NULL,	'4kg'),
(2033,	472,	766,	4,	3,	3,	2297,	2.200,	NULL,	NULL,	NULL,	''),
(2034,	472,	1111,	2,	3,	3,	2294,	5.200,	NULL,	NULL,	NULL,	''),
(2035,	472,	1839,	6,	63,	3,	2298,	1.800,	NULL,	NULL,	NULL,	''),
(2036,	471,	178,	1,	3,	2,	2290,	10.800,	NULL,	NULL,	NULL,	''),
(2037,	471,	192,	1,	3,	3,	2289,	5.800,	NULL,	NULL,	NULL,	''),
(2038,	471,	810,	1,	3,	2,	2292,	12.000,	NULL,	NULL,	NULL,	''),
(2039,	471,	1563,	1,	3,	110,	2291,	11.700,	NULL,	NULL,	NULL,	''),
(2040,	466,	848,	1,	3,	38,	2273,	3.400,	NULL,	NULL,	NULL,	''),
(2041,	466,	1565,	3,	1,	3,	2274,	1.300,	NULL,	NULL,	NULL,	''),
(2042,	466,	1587,	1,	3,	2,	2275,	6.200,	NULL,	NULL,	NULL,	''),
(2043,	467,	799,	1,	3,	5,	2276,	3.600,	NULL,	NULL,	NULL,	''),
(2044,	464,	766,	2,	3,	3,	2259,	2.200,	NULL,	NULL,	NULL,	''),
(2045,	463,	1498,	2,	3,	3,	2257,	6.800,	NULL,	NULL,	NULL,	''),
(2046,	463,	1563,	1,	3,	110,	2258,	11.800,	NULL,	NULL,	NULL,	''),
(2047,	462,	420,	1,	3,	3,	2253,	1.900,	NULL,	NULL,	NULL,	''),
(2048,	462,	676,	1,	3,	3,	2254,	13.400,	NULL,	NULL,	NULL,	''),
(2049,	462,	972,	1,	3,	3,	2255,	3.200,	NULL,	NULL,	NULL,	''),
(2050,	462,	1344,	1,	3,	103,	2256,	2.100,	NULL,	NULL,	NULL,	''),
(2051,	478,	933,	1,	3,	3,	2306,	3.800,	NULL,	NULL,	NULL,	''),
(2052,	478,	1444,	1,	3,	3,	2307,	2.800,	NULL,	NULL,	NULL,	''),
(2053,	478,	1587,	1,	3,	3,	2308,	3.900,	NULL,	NULL,	NULL,	''),
(2054,	470,	799,	3,	3,	3,	2288,	3.000,	NULL,	NULL,	NULL,	''),
(2055,	468,	799,	1,	3,	38,	2278,	2.900,	NULL,	NULL,	NULL,	''),
(2056,	468,	848,	1,	3,	38,	2277,	3.200,	NULL,	NULL,	NULL,	''),
(2057,	468,	972,	1,	3,	3,	2279,	3.200,	NULL,	NULL,	NULL,	''),
(2105,	503,	45,	1,	3,	3,	2378,	2.800,	0.00,	0.000,	2.800,	''),
(2106,	503,	1563,	1,	6,	3,	2377,	1.400,	0.00,	0.000,	1.400,	''),
(2107,	484,	528,	1,	3,	3,	2319,	4.200,	0.00,	0.000,	4.200,	''),
(2108,	484,	676,	1,	3,	3,	2320,	13.700,	0.00,	0.000,	13.700,	''),
(2109,	484,	753,	1,	63,	3,	2318,	1.900,	0.00,	0.000,	1.900,	''),
(2110,	484,	972,	0,	3,	4,	2322,	0.000,	0.00,	0.000,	0.000,	''),
(2111,	484,	1145,	1,	3,	3,	2321,	2.300,	0.00,	0.000,	2.300,	''),
(2116,	507,	1251,	15,	3,	3,	2394,	3.990,	0.00,	0.000,	59.850,	''),
(2117,	499,	1425,	1,	1,	3,	2372,	2.000,	0.00,	0.000,	2.000,	''),
(2118,	501,	1587,	5,	3,	3,	2374,	4.400,	0.00,	0.000,	22.000,	''),
(2119,	501,	1610,	1,	3,	3,	2375,	4.400,	0.00,	0.000,	4.400,	''),
(2120,	502,	1626,	2,	3,	105,	2376,	2.900,	0.00,	0.000,	5.800,	''),
(2121,	492,	1251,	6,	4,	3,	2339,	0.550,	0.00,	0.000,	3.300,	''),
(2122,	483,	1647,	60,	63,	3,	2317,	0.650,	0.00,	0.000,	39.000,	''),
(2123,	496,	799,	5,	3,	3,	2366,	2.900,	0.00,	0.000,	14.500,	''),
(2124,	496,	848,	8,	3,	3,	2367,	3.100,	0.00,	0.000,	24.800,	''),
(2125,	495,	676,	1,	3,	3,	2362,	0.000,	0.00,	0.000,	0.000,	''),
(2126,	495,	753,	1,	63,	2,	2363,	0.000,	0.00,	0.000,	0.000,	'2'),
(2127,	495,	766,	1,	3,	3,	2364,	0.000,	0.00,	0.000,	0.000,	''),
(2128,	495,	1071,	1,	3,	3,	2365,	4.400,	0.00,	0.000,	4.400,	''),
(2129,	494,	168,	5,	3,	3,	2382,	2.100,	0.00,	0.000,	10.500,	''),
(2130,	494,	170,	3,	3,	3,	2383,	6.900,	0.00,	0.000,	20.700,	''),
(2131,	494,	528,	1,	3,	3,	2384,	3.800,	0.00,	0.000,	3.800,	''),
(2132,	494,	682,	1,	3,	3,	2385,	11.200,	0.00,	0.000,	11.200,	''),
(2133,	494,	766,	1,	3,	3,	2386,	2.200,	0.00,	0.000,	2.200,	''),
(2134,	494,	799,	10,	3,	3,	2387,	2.900,	0.00,	0.000,	29.000,	''),
(2135,	494,	848,	10,	3,	3,	2388,	3.000,	0.00,	0.000,	30.000,	''),
(2136,	494,	932,	1,	3,	24,	2389,	3.600,	0.00,	0.000,	3.600,	''),
(2137,	494,	969,	1,	3,	3,	2390,	7.500,	0.00,	0.000,	7.500,	''),
(2138,	494,	1071,	2,	3,	3,	2391,	4.300,	0.00,	0.000,	8.600,	''),
(2139,	494,	1127,	15,	3,	3,	2392,	3.200,	0.00,	0.000,	48.000,	''),
(2140,	490,	1563,	1,	3,	110,	2337,	11.800,	0.00,	0.000,	11.800,	''),
(2141,	488,	807,	1,	3,	3,	2335,	12.000,	0.00,	0.000,	12.000,	''),
(2142,	487,	57,	2,	7,	15,	2329,	2.000,	0.00,	0.000,	4.000,	''),
(2143,	487,	168,	1,	3,	3,	2333,	2.200,	0.00,	0.000,	2.200,	''),
(2144,	487,	799,	1,	3,	3,	2332,	3.200,	0.00,	0.000,	3.200,	''),
(2145,	487,	1344,	1,	3,	25,	2334,	3.200,	0.00,	0.000,	3.200,	''),
(2146,	487,	1626,	1,	3,	3,	2330,	2.800,	0.00,	0.000,	2.800,	''),
(2147,	487,	1647,	3,	63,	2,	2328,	3.800,	0.00,	0.000,	11.400,	''),
(2148,	487,	1766,	1,	3,	3,	2331,	2.300,	0.00,	0.000,	2.300,	''),
(2149,	489,	766,	2,	3,	3,	2336,	2.200,	0.00,	0.000,	4.400,	''),
(2150,	486,	152,	1,	1,	3,	2325,	1.100,	0.00,	0.000,	1.320,	''),
(2151,	486,	420,	1,	3,	3,	2327,	1.900,	0.00,	0.000,	1.900,	''),
(2152,	486,	676,	1,	3,	3,	2326,	13.800,	0.00,	0.000,	6.900,	''),
(2153,	485,	1491,	5,	3,	3,	2323,	1.700,	0.00,	0.000,	8.500,	''),
(2154,	485,	1498,	6,	3,	3,	2324,	6.800,	0.00,	0.000,	40.800,	''),
(2155,	482,	676,	1,	3,	3,	2316,	13.600,	0.00,	0.000,	13.600,	''),
(2156,	482,	1071,	1,	3,	4,	2315,	4.200,	0.00,	0.000,	4.200,	''),
(2157,	522,	1587,	1,	3,	3,	2432,	4.400,	0.00,	0.000,	4.400,	''),
(2158,	527,	1131,	10,	3,	3,	2462,	4.800,	0.00,	0.000,	48.000,	''),
(2159,	527,	1174,	1,	3,	3,	2461,	3.600,	0.00,	0.000,	3.600,	''),
(2160,	529,	57,	1,	3,	13,	2555,	8.600,	0.00,	0.000,	8.600,	''),
(2161,	529,	420,	1,	3,	3,	2556,	1.900,	0.00,	0.000,	1.900,	''),
(2162,	529,	528,	4,	3,	3,	2557,	3.600,	0.00,	0.000,	14.400,	''),
(2163,	529,	753,	4,	63,	3,	2558,	1.700,	0.00,	0.000,	6.800,	'4kg'),
(2164,	529,	766,	2,	3,	3,	2559,	2.200,	0.00,	0.000,	4.400,	''),
(2165,	529,	848,	3,	3,	3,	2560,	3.100,	0.00,	0.000,	9.300,	''),
(2166,	529,	1071,	1,	3,	3,	2561,	4.300,	0.00,	0.000,	4.300,	''),
(2167,	529,	1839,	4,	63,	3,	2562,	1.800,	0.00,	0.000,	7.200,	''),
(2168,	540,	1071,	1,	3,	3,	2611,	4.400,	0.00,	0.000,	4.400,	''),
(2169,	531,	753,	1,	63,	3,	2563,	2.400,	0.00,	0.000,	2.400,	''),
(2170,	531,	848,	1,	3,	22,	2565,	1.800,	0.00,	0.000,	1.800,	''),
(2171,	531,	1138,	3,	3,	3,	2566,	2.600,	0.00,	0.000,	7.800,	''),
(2172,	531,	1587,	1,	3,	3,	2567,	4.400,	0.00,	0.000,	4.400,	''),
(2173,	531,	1766,	1,	3,	3,	2564,	2.300,	0.00,	0.000,	2.300,	''),
(2174,	541,	168,	2,	3,	3,	2615,	2.100,	0.00,	0.000,	4.200,	''),
(2175,	541,	423,	1,	3,	3,	2613,	2.100,	0.00,	0.000,	2.100,	''),
(2176,	541,	624,	1,	3,	44,	2612,	6.300,	0.00,	0.000,	6.300,	''),
(2177,	541,	1138,	2,	3,	3,	2614,	2.600,	0.00,	0.000,	5.200,	''),
(2178,	538,	753,	1,	63,	3,	2608,	1.900,	0.00,	0.000,	1.900,	'second'),
(2179,	538,	766,	1,	3,	3,	2607,	2.200,	0.00,	0.000,	2.200,	''),
(2180,	532,	57,	1,	7,	14,	2573,	2.200,	0.00,	0.000,	2.200,	''),
(2181,	532,	152,	2,	1,	3,	2577,	1.100,	0.00,	0.000,	2.200,	''),
(2182,	532,	178,	3,	1,	3,	2574,	1.100,	0.00,	0.000,	3.300,	''),
(2183,	532,	682,	1,	3,	3,	2568,	12.000,	0.00,	0.000,	6.000,	''),
(2184,	532,	933,	1,	7,	3,	2572,	4.800,	0.00,	0.000,	4.800,	''),
(2185,	532,	1071,	1,	3,	3,	2569,	4.400,	0.00,	0.000,	4.400,	''),
(2186,	532,	1131,	1,	3,	3,	2571,	4.800,	0.00,	0.000,	4.800,	''),
(2187,	532,	1251,	2,	4,	3,	2576,	0.550,	0.00,	0.000,	1.100,	''),
(2188,	532,	1563,	2,	6,	110,	2570,	1.475,	0.00,	0.000,	2.950,	''),
(2189,	532,	1766,	1,	3,	3,	2575,	2.300,	0.00,	0.000,	2.300,	''),
(2190,	530,	676,	1,	3,	3,	2513,	13.800,	0.00,	0.000,	6.900,	''),
(2191,	530,	753,	1,	63,	3,	2512,	1.900,	0.00,	0.000,	1.900,	''),
(2192,	530,	766,	1,	3,	3,	2514,	2.300,	0.00,	0.000,	2.300,	''),
(2193,	530,	799,	1,	3,	3,	2515,	2.900,	0.00,	0.000,	2.900,	''),
(2194,	530,	848,	1,	3,	3,	2516,	3.200,	0.00,	0.000,	3.200,	''),
(2195,	530,	1587,	1,	3,	3,	2517,	4.500,	0.00,	0.000,	4.500,	''),
(2196,	530,	1959,	2,	1,	3,	2518,	1.400,	0.00,	0.000,	2.800,	''),
(2197,	517,	771,	10,	1,	3,	2408,	1.600,	0.00,	0.000,	16.000,	''),
(2198,	518,	1131,	1,	3,	3,	2409,	4.500,	0.00,	0.000,	4.500,	''),
(2199,	528,	551,	1,	63,	3,	2467,	4.300,	0.00,	0.000,	4.300,	''),
(2200,	528,	753,	1,	63,	3,	2463,	1.900,	0.00,	0.000,	1.900,	'sECOND'),
(2201,	528,	1111,	1,	3,	3,	2466,	5.200,	0.00,	0.000,	5.200,	''),
(2202,	528,	1124,	1,	3,	3,	2465,	4.500,	0.00,	0.000,	4.500,	''),
(2203,	528,	1251,	2,	4,	3,	2464,	0.550,	0.00,	0.000,	1.100,	''),
(2204,	528,	1298,	5,	1,	3,	2468,	1.600,	0.00,	0.000,	7.200,	''),
(2205,	521,	307,	1,	1,	3,	2447,	1.400,	0.00,	0.000,	1.400,	''),
(2206,	521,	367,	1,	1,	3,	2448,	0.900,	0.00,	0.000,	0.450,	''),
(2207,	521,	398,	1,	1,	3,	2449,	0.900,	0.00,	0.000,	0.450,	''),
(2208,	521,	420,	1,	3,	3,	2450,	2.000,	0.00,	0.000,	2.000,	''),
(2209,	521,	446,	2,	1,	3,	2451,	0.350,	0.00,	0.000,	0.700,	''),
(2210,	521,	528,	1,	1,	3,	2452,	0.800,	0.00,	0.000,	0.800,	''),
(2211,	521,	753,	1,	63,	3,	2453,	2.200,	0.00,	0.000,	2.200,	'SECOND'),
(2212,	521,	766,	1,	3,	3,	2454,	2.200,	0.00,	0.000,	2.200,	''),
(2213,	521,	1312,	1,	63,	84,	2455,	2.800,	0.00,	0.000,	2.800,	''),
(2214,	521,	1647,	1,	63,	2,	2456,	3.800,	0.00,	0.000,	3.800,	''),
(2215,	524,	753,	1,	63,	3,	2434,	2.400,	0.00,	0.000,	2.400,	''),
(2216,	524,	1344,	1,	3,	25,	2435,	3.500,	0.00,	0.000,	3.500,	''),
(2217,	524,	1659,	1,	63,	2,	2436,	3.800,	0.00,	0.000,	3.800,	''),
(2218,	515,	836,	1,	3,	3,	2405,	6.000,	0.00,	0.000,	6.000,	''),
(2219,	515,	848,	1,	3,	3,	2406,	3.200,	0.00,	0.000,	3.200,	''),
(2220,	514,	682,	1,	3,	3,	2404,	11.200,	0.00,	0.000,	5.600,	''),
(2221,	514,	753,	1,	63,	2,	2403,	2.100,	0.00,	0.000,	2.100,	''),
(2222,	514,	766,	1,	3,	3,	2402,	2.200,	0.00,	0.000,	2.200,	''),
(2223,	511,	428,	1,	3,	3,	2399,	4.000,	0.00,	0.000,	4.000,	''),
(2224,	512,	1071,	1,	3,	3,	2400,	4.400,	0.00,	0.000,	4.400,	''),
(2225,	509,	753,	1,	63,	2,	2396,	1.700,	0.00,	0.000,	1.700,	''),
(2226,	508,	1839,	3,	63,	2,	2395,	1.800,	0.00,	0.000,	5.400,	''),
(2227,	506,	1563,	1,	3,	110,	2393,	11.800,	0.00,	0.000,	11.800,	''),
(2228,	498,	1251,	1,	3,	3,	2371,	4.000,	0.00,	0.000,	4.000,	''),
(2229,	497,	388,	1,	3,	3,	2369,	3.500,	0.00,	0.000,	3.500,	''),
(2230,	497,	394,	1,	3,	3,	2368,	3.500,	0.00,	0.000,	3.500,	''),
(2231,	526,	1111,	1,	3,	3,	2460,	5.200,	0.00,	0.000,	5.200,	''),
(2232,	525,	1071,	1,	1,	3,	2457,	4.400,	0.00,	0.000,	4.400,	''),
(2233,	539,	753,	2,	63,	3,	2609,	1.900,	0.00,	0.000,	3.800,	''),
(2234,	537,	1251,	2,	4,	3,	2606,	0.550,	0.00,	0.000,	1.100,	''),
(2235,	533,	168,	4,	3,	3,	2601,	2.100,	0.00,	0.000,	8.400,	''),
(2236,	533,	766,	1,	3,	3,	2602,	2.200,	0.00,	0.000,	2.200,	''),
(2237,	533,	799,	1,	3,	5,	2603,	3.600,	0.00,	0.000,	3.600,	''),
(2238,	533,	848,	1,	3,	5,	2604,	4.200,	0.00,	0.000,	4.200,	''),
(2239,	533,	1345,	1,	3,	20,	2605,	3.700,	0.00,	0.000,	3.700,	''),
(2240,	534,	170,	3,	3,	3,	2588,	7.000,	0.00,	0.000,	21.000,	''),
(2241,	534,	742,	2,	3,	3,	2585,	10.500,	0.00,	0.000,	21.000,	''),
(2242,	534,	1353,	8,	3,	3,	2586,	4.800,	0.00,	0.000,	38.400,	''),
(2243,	534,	1526,	2,	3,	3,	2587,	9.200,	0.00,	0.000,	18.400,	''),
(2244,	519,	1251,	2,	4,	3,	2410,	0.550,	0.00,	0.000,	1.100,	''),
(2245,	504,	152,	20,	1,	3,	2379,	1.080,	0.00,	0.000,	21.600,	''),
(2246,	505,	807,	2,	3,	3,	2381,	12.000,	0.00,	0.000,	24.000,	''),
(2247,	505,	1251,	1,	3,	3,	2380,	4.000,	0.00,	0.000,	4.000,	''),
(2248,	536,	1251,	3,	4,	3,	2592,	0.550,	0.00,	0.000,	1.650,	''),
(2249,	536,	1893,	3,	4,	3,	2591,	0.650,	0.00,	0.000,	1.950,	''),
(2250,	510,	1124,	2,	3,	3,	2398,	4.500,	0.00,	0.000,	9.000,	''),
(2251,	510,	1344,	1,	3,	29,	2397,	2.500,	0.00,	0.000,	2.500,	''),
(2252,	535,	168,	1,	3,	3,	2589,	2.100,	0.00,	0.000,	2.100,	''),
(2253,	535,	676,	1,	3,	3,	2590,	13.800,	0.00,	0.000,	6.900,	''),
(2254,	523,	168,	2,	3,	3,	2433,	2.200,	0.00,	0.000,	4.400,	''),
(2255,	516,	753,	1,	63,	3,	2407,	2.000,	0.00,	0.000,	2.000,	''),
(2256,	500,	551,	10,	6,	3,	2373,	0.180,	0.00,	0.000,	1.800,	''),
(2257,	479,	766,	3,	3,	3,	2313,	0.000,	0.00,	0.000,	0.000,	''),
(2258,	480,	753,	1,	63,	3,	2312,	0.000,	0.00,	0.000,	0.000,	''),
(2259,	513,	932,	1,	3,	24,	2401,	3.000,	0.00,	0.000,	3.000,	''),
(2295,	560,	152,	3,	1,	3,	2654,	1.200,	0.00,	0.000,	3.600,	''),
(2296,	560,	181,	3,	1,	3,	2655,	1.200,	0.00,	0.000,	3.600,	''),
(2297,	564,	1138,	10,	3,	3,	2672,	2.500,	0.00,	0.000,	25.000,	''),
(2298,	548,	1963,	1,	63,	2,	2630,	1.200,	0.00,	0.000,	1.200,	''),
(2299,	571,	1587,	4,	3,	3,	2685,	4.500,	0.00,	0.000,	18.000,	''),
(2300,	569,	808,	1,	10,	3,	2683,	6.500,	0.00,	0.000,	6.500,	''),
(2301,	572,	1727,	1,	3,	3,	2686,	4.500,	0.00,	0.000,	4.500,	''),
(2302,	575,	808,	10,	3,	3,	2693,	6.400,	0.00,	0.000,	64.000,	''),
(2303,	575,	1587,	4,	3,	3,	2692,	4.500,	0.00,	0.000,	18.000,	''),
(2304,	574,	1587,	4,	3,	3,	2691,	4.500,	0.00,	0.000,	18.000,	''),
(2305,	561,	94,	1,	7,	15,	2657,	2.200,	0.00,	0.000,	2.200,	''),
(2306,	597,	799,	1,	3,	3,	2730,	2.900,	0.00,	0.000,	2.900,	''),
(2307,	597,	836,	1,	3,	3,	2733,	6.000,	0.00,	0.000,	6.000,	''),
(2308,	597,	1351,	1,	3,	20,	2732,	6.800,	0.00,	0.000,	6.800,	''),
(2309,	597,	1353,	1,	3,	3,	2731,	4.800,	0.00,	0.000,	4.800,	''),
(2310,	597,	1587,	2,	3,	3,	2734,	4.500,	0.00,	0.000,	9.000,	''),
(2311,	592,	1353,	1,	3,	3,	2723,	4.800,	0.00,	0.000,	4.800,	''),
(2312,	577,	1649,	25,	63,	3,	2695,	0.650,	0.00,	0.000,	16.250,	''),
(2313,	593,	1251,	2,	4,	3,	2722,	0.500,	0.00,	0.000,	1.000,	''),
(2314,	598,	33,	1,	3,	4,	2735,	1.500,	0.00,	0.000,	1.500,	''),
(2315,	595,	1111,	10,	3,	3,	2725,	5.200,	0.00,	0.000,	52.000,	''),
(2316,	595,	1587,	30,	3,	3,	2726,	4.400,	0.00,	0.000,	132.000,	''),
(2317,	591,	420,	1,	3,	3,	2716,	1.800,	0.00,	0.000,	1.800,	''),
(2318,	591,	528,	1,	3,	3,	2714,	3.500,	0.00,	0.000,	3.500,	''),
(2319,	591,	676,	2,	3,	4,	2719,	11.800,	0.00,	0.000,	23.600,	''),
(2320,	591,	766,	2,	3,	3,	2717,	2.300,	0.00,	0.000,	4.600,	''),
(2321,	591,	1071,	1,	3,	3,	2715,	4.300,	0.00,	0.000,	4.300,	''),
(2322,	591,	1839,	4,	63,	3,	2718,	1.700,	0.00,	0.000,	6.800,	''),
(2323,	589,	1470,	10,	3,	3,	2712,	9.200,	0.00,	0.000,	92.000,	''),
(2324,	596,	152,	10,	1,	3,	2729,	1.080,	0.00,	0.000,	10.800,	''),
(2325,	596,	1622,	1,	3,	3,	2727,	5.200,	0.00,	0.000,	5.200,	''),
(2326,	596,	1830,	6,	4,	3,	2728,	0.700,	0.00,	0.000,	4.200,	''),
(2327,	587,	65,	1,	7,	13,	2710,	2.500,	0.00,	0.000,	2.500,	''),
(2328,	587,	1145,	1,	3,	3,	2709,	2.700,	0.00,	0.000,	2.700,	''),
(2329,	544,	676,	1,	3,	3,	2619,	13.800,	0.00,	0.000,	6.900,	''),
(2330,	543,	799,	1,	3,	5,	2617,	3.600,	0.00,	0.000,	3.600,	''),
(2331,	543,	848,	1,	3,	5,	2618,	4.200,	0.00,	0.000,	4.200,	''),
(2332,	542,	848,	1,	3,	5,	2616,	4.200,	0.00,	0.000,	4.200,	''),
(2335,	545,	170,	1,	3,	3,	2621,	6.900,	0.00,	0.000,	6.900,	''),
(2336,	545,	1444,	2,	3,	3,	2620,	2.900,	0.00,	0.000,	5.800,	''),
(2337,	546,	799,	1,	3,	3,	2626,	3.200,	0.00,	0.000,	3.200,	''),
(2338,	546,	848,	2,	3,	3,	2622,	3.300,	0.00,	0.000,	6.600,	''),
(2339,	546,	932,	1,	3,	79,	2625,	2.000,	0.00,	0.000,	2.000,	''),
(2340,	546,	1514,	1,	7,	3,	2627,	2.300,	0.00,	0.000,	2.300,	''),
(2341,	546,	1587,	1,	3,	3,	2624,	4.500,	0.00,	0.000,	4.500,	''),
(2342,	546,	1626,	2,	3,	3,	2623,	2.900,	0.00,	0.000,	5.800,	''),
(2343,	546,	1959,	1,	1,	3,	2628,	1.500,	0.00,	0.000,	0.750,	''),
(2344,	588,	1071,	1,	3,	3,	2711,	4.400,	0.00,	0.000,	4.400,	''),
(2345,	582,	73,	1,	3,	9,	2702,	10.200,	0.00,	0.000,	10.200,	''),
(2346,	582,	1587,	1,	3,	3,	2701,	4.400,	0.00,	0.000,	4.400,	''),
(2347,	581,	1145,	2,	3,	3,	2700,	1.500,	0.00,	0.000,	3.000,	''),
(2348,	580,	1839,	1,	63,	3,	2699,	1.800,	0.00,	0.000,	1.800,	''),
(2349,	579,	753,	5,	63,	2,	2698,	1.700,	0.00,	0.000,	8.500,	''),
(2350,	579,	766,	2,	3,	3,	2697,	2.300,	0.00,	0.000,	4.600,	''),
(2351,	578,	420,	3,	3,	3,	2696,	1.900,	0.00,	0.000,	5.700,	''),
(2352,	594,	528,	3,	3,	3,	2724,	3.500,	0.00,	0.000,	10.500,	''),
(2353,	586,	848,	1,	3,	38,	2708,	3.200,	0.00,	0.000,	3.200,	''),
(2354,	590,	1145,	1,	3,	3,	2713,	2.800,	0.00,	0.000,	2.800,	''),
(2355,	565,	1071,	1,	3,	3,	2673,	4.400,	0.00,	0.000,	4.400,	''),
(2356,	565,	1344,	1,	3,	20,	2674,	3.800,	0.00,	0.000,	3.800,	''),
(2357,	551,	799,	4,	3,	38,	2639,	2.900,	0.00,	0.000,	11.600,	''),
(2358,	550,	423,	1,	3,	3,	2637,	2.200,	0.00,	0.000,	2.200,	''),
(2359,	550,	528,	1,	3,	3,	2636,	3.600,	0.00,	0.000,	3.600,	''),
(2360,	550,	1470,	1,	3,	3,	2638,	8.500,	0.00,	0.000,	8.500,	''),
(2361,	550,	1626,	3,	3,	105,	2635,	2.800,	0.00,	0.000,	8.400,	''),
(2362,	585,	423,	2,	3,	3,	2707,	2.200,	0.00,	0.000,	4.400,	''),
(2363,	585,	969,	1,	3,	3,	2706,	7.000,	0.00,	0.000,	7.000,	''),
(2364,	585,	1563,	1,	3,	110,	2705,	11.800,	0.00,	0.000,	11.800,	''),
(2365,	584,	1839,	2,	63,	3,	2704,	1.800,	0.00,	0.000,	3.600,	''),
(2366,	583,	170,	5,	3,	3,	2703,	7.000,	0.00,	0.000,	35.000,	''),
(2367,	576,	1251,	6,	4,	3,	2694,	0.500,	0.00,	0.000,	3.000,	''),
(2368,	573,	752,	5,	3,	23,	2689,	9.800,	0.00,	0.000,	49.000,	''),
(2369,	573,	753,	20,	63,	2,	2690,	1.700,	0.00,	0.000,	34.000,	''),
(2370,	570,	848,	1,	3,	38,	2684,	3.300,	0.00,	0.000,	3.300,	''),
(2371,	568,	170,	1,	3,	3,	2682,	6.900,	0.00,	0.000,	6.900,	''),
(2372,	568,	388,	2,	1,	3,	2680,	0.900,	0.00,	0.000,	1.800,	''),
(2373,	568,	394,	2,	1,	3,	2681,	0.900,	0.00,	0.000,	1.800,	''),
(2374,	568,	1622,	1,	3,	3,	2679,	5.200,	0.00,	0.000,	5.200,	''),
(2375,	567,	178,	1,	3,	3,	2678,	10.800,	0.00,	0.000,	10.800,	''),
(2376,	567,	667,	1,	3,	3,	2677,	18.000,	0.00,	0.000,	9.000,	''),
(2377,	567,	1587,	1,	3,	3,	2676,	4.500,	0.00,	0.000,	4.500,	''),
(2378,	566,	1587,	3,	3,	3,	2675,	4.500,	0.00,	0.000,	13.500,	''),
(2379,	563,	73,	1,	3,	9,	2664,	10.200,	0.00,	0.000,	10.200,	''),
(2380,	563,	170,	1,	3,	3,	2663,	7.000,	0.00,	0.000,	7.000,	''),
(2381,	563,	420,	3,	3,	3,	2667,	1.900,	0.00,	0.000,	5.700,	''),
(2382,	563,	528,	1,	3,	3,	2665,	3.600,	0.00,	0.000,	3.600,	''),
(2383,	563,	676,	2,	3,	3,	2662,	13.600,	0.00,	0.000,	27.200,	''),
(2384,	563,	753,	3,	63,	3,	2671,	1.800,	0.00,	0.000,	5.400,	''),
(2385,	563,	932,	2,	3,	24,	2661,	2.800,	0.00,	0.000,	5.600,	''),
(2386,	563,	1071,	3,	3,	3,	2670,	4.300,	0.00,	0.000,	12.900,	''),
(2387,	563,	1111,	2,	3,	2,	2660,	5.200,	0.00,	0.000,	10.400,	''),
(2388,	563,	1514,	1,	3,	2,	2669,	8.500,	0.00,	0.000,	8.500,	''),
(2389,	563,	1526,	1,	3,	2,	2668,	9.200,	0.00,	0.000,	9.200,	''),
(2390,	563,	1839,	1,	63,	3,	2666,	1.800,	0.00,	0.000,	1.800,	''),
(2391,	559,	799,	1,	3,	5,	2651,	3.600,	0.00,	0.000,	3.600,	''),
(2392,	562,	766,	1,	3,	3,	2659,	2.300,	0.00,	0.000,	2.300,	''),
(2393,	558,	742,	6,	4,	73,	2648,	0.900,	0.00,	0.000,	5.400,	''),
(2394,	558,	1444,	6,	3,	3,	2649,	2.600,	0.00,	0.000,	15.600,	''),
(2395,	557,	1626,	1,	3,	105,	2647,	2.800,	0.00,	0.000,	2.800,	''),
(2396,	556,	1298,	5,	1,	4,	2646,	1.500,	0.00,	0.000,	7.500,	''),
(2397,	554,	766,	1,	3,	3,	2642,	2.200,	0.00,	0.000,	2.200,	''),
(2398,	555,	1251,	1,	3,	3,	2643,	4.000,	0.00,	0.000,	4.000,	''),
(2399,	555,	1444,	2,	3,	3,	2644,	2.600,	0.00,	0.000,	5.200,	''),
(2400,	553,	551,	1,	63,	2,	2641,	4.000,	0.00,	0.000,	4.000,	''),
(2401,	549,	152,	10,	1,	3,	2634,	1.100,	0.00,	0.000,	11.000,	''),
(2402,	549,	170,	1,	3,	3,	2632,	7.000,	0.00,	0.000,	7.000,	''),
(2403,	549,	1071,	1,	3,	3,	2631,	4.200,	0.00,	0.000,	4.200,	''),
(2404,	549,	1344,	2,	3,	29,	2633,	2.500,	0.00,	0.000,	5.000,	''),
(2405,	552,	766,	1,	3,	3,	2640,	2.200,	0.00,	0.000,	2.200,	''),
(2430,	628,	152,	2,	1,	3,	2798,	1.100,	0.00,	0.000,	1.760,	''),
(2431,	628,	682,	1,	3,	3,	2800,	11.200,	0.00,	0.000,	5.600,	''),
(2432,	628,	1138,	2,	3,	3,	2797,	2.600,	0.00,	0.000,	5.200,	''),
(2433,	628,	1344,	1,	3,	25,	2799,	3.000,	0.00,	0.000,	3.000,	''),
(2434,	627,	836,	2,	10,	3,	2796,	6.400,	0.00,	0.000,	12.800,	''),
(2435,	603,	639,	1,	3,	3,	2742,	4.200,	0.00,	0.000,	4.200,	''),
(2436,	606,	766,	1,	3,	3,	2746,	2.300,	0.00,	0.000,	2.300,	''),
(2437,	605,	1131,	5,	3,	3,	2745,	4.400,	0.00,	0.000,	22.000,	''),
(2438,	605,	1563,	4,	3,	110,	2744,	11.800,	0.00,	0.000,	47.200,	''),
(2439,	604,	799,	1,	3,	38,	2743,	3.000,	0.00,	0.000,	3.000,	''),
(2440,	607,	168,	1,	3,	3,	2747,	2.200,	0.00,	0.000,	2.200,	''),
(2441,	608,	1071,	2,	3,	3,	2754,	4.400,	0.00,	0.000,	8.800,	''),
(2442,	608,	1111,	1,	3,	3,	2755,	5.200,	0.00,	0.000,	5.200,	''),
(2443,	608,	1127,	1,	3,	3,	2756,	3.200,	0.00,	0.000,	3.200,	''),
(2444,	608,	1131,	3,	3,	3,	2757,	3.900,	0.00,	0.000,	11.700,	''),
(2445,	608,	1444,	2,	3,	3,	2758,	2.500,	0.00,	0.000,	5.000,	''),
(2446,	608,	1626,	2,	3,	105,	2759,	2.700,	0.00,	0.000,	5.400,	''),
(2447,	609,	1071,	1,	3,	3,	2761,	4.400,	0.00,	0.000,	4.400,	''),
(2448,	601,	676,	1,	3,	3,	2740,	13.600,	0.00,	0.000,	13.600,	''),
(2449,	601,	766,	1,	3,	3,	2738,	2.200,	0.00,	0.000,	2.200,	''),
(2450,	601,	1071,	1,	3,	3,	2739,	4.400,	0.00,	0.000,	4.400,	''),
(2451,	646,	168,	1,	3,	3,	2850,	2.200,	0.00,	0.000,	2.200,	''),
(2452,	646,	420,	1,	3,	3,	2851,	2.000,	0.00,	0.000,	2.000,	''),
(2453,	646,	766,	1,	3,	3,	2852,	2.300,	0.00,	0.000,	2.300,	''),
(2454,	646,	1260,	3,	4,	3,	2853,	0.500,	0.00,	0.000,	1.500,	''),
(2455,	644,	766,	1,	3,	3,	2831,	2.300,	0.00,	0.000,	2.300,	''),
(2456,	640,	74,	6,	6,	14,	2822,	9.300,	0.00,	0.000,	55.800,	''),
(2457,	640,	753,	3,	3,	5,	2820,	4.600,	0.00,	0.000,	13.800,	''),
(2458,	640,	1978,	2,	63,	3,	2821,	2.400,	0.00,	0.000,	4.800,	''),
(2459,	638,	420,	3,	3,	3,	2815,	1.900,	0.00,	0.000,	5.700,	''),
(2460,	638,	676,	1,	3,	3,	2818,	13.800,	0.00,	0.000,	6.900,	''),
(2461,	638,	753,	1,	3,	5,	2814,	4.700,	0.00,	0.000,	4.700,	''),
(2462,	638,	876,	2,	3,	3,	2817,	3.900,	0.00,	0.000,	7.800,	''),
(2463,	638,	932,	1,	3,	24,	2816,	3.300,	0.00,	0.000,	3.300,	''),
(2464,	638,	1127,	3,	3,	3,	2812,	3.200,	0.00,	0.000,	9.600,	''),
(2465,	638,	1563,	1,	3,	3,	2813,	8.800,	0.00,	0.000,	8.800,	''),
(2466,	637,	1727,	1,	3,	3,	2811,	3.600,	0.00,	0.000,	3.600,	''),
(2467,	635,	1587,	1,	3,	3,	2809,	4.600,	0.00,	0.000,	4.600,	''),
(2468,	636,	1727,	3,	3,	3,	2810,	3.800,	0.00,	0.000,	11.400,	''),
(2469,	632,	1251,	4,	4,	3,	2806,	0.500,	0.00,	0.000,	2.000,	''),
(2470,	634,	1587,	3,	3,	3,	2808,	4.500,	0.00,	0.000,	13.500,	''),
(2471,	633,	742,	5,	4,	3,	2807,	1.750,	0.00,	0.000,	8.750,	''),
(2472,	630,	1251,	2,	4,	3,	2804,	0.500,	0.00,	0.000,	1.000,	''),
(2473,	629,	1365,	3,	3,	3,	2802,	3.100,	0.00,	0.000,	9.300,	''),
(2474,	616,	388,	2,	3,	3,	2776,	3.200,	0.00,	0.000,	6.400,	''),
(2475,	615,	18,	1,	7,	3,	2772,	2.200,	0.00,	0.000,	2.200,	''),
(2476,	615,	31,	1,	3,	13,	2774,	8.800,	0.00,	0.000,	8.800,	''),
(2477,	615,	799,	3,	3,	5,	2775,	4.600,	0.00,	0.000,	13.800,	''),
(2478,	615,	1587,	1,	3,	3,	2773,	4.600,	0.00,	0.000,	4.600,	''),
(2479,	619,	894,	2,	3,	3,	2780,	1.500,	0.00,	0.000,	3.000,	''),
(2480,	618,	279,	1,	3,	3,	2779,	4.000,	0.00,	0.000,	4.000,	''),
(2481,	620,	1978,	1,	63,	3,	2781,	2.400,	0.00,	0.000,	2.400,	''),
(2482,	614,	1626,	2,	3,	71,	2771,	2.500,	0.00,	0.000,	5.000,	''),
(2483,	602,	1344,	1,	3,	25,	2741,	3.000,	0.00,	0.000,	3.000,	''),
(2484,	623,	752,	1,	4,	3,	2789,	2.700,	0.00,	0.000,	2.700,	''),
(2485,	626,	932,	1,	3,	5,	2795,	5.800,	0.00,	0.000,	5.800,	''),
(2486,	625,	178,	4,	1,	3,	2793,	1.200,	0.00,	0.000,	4.800,	''),
(2487,	625,	1843,	5,	1,	3,	2794,	1.500,	0.00,	0.000,	7.500,	''),
(2488,	622,	848,	1,	3,	5,	2788,	4.600,	0.00,	0.000,	4.600,	''),
(2489,	617,	152,	3,	1,	3,	2777,	1.100,	0.00,	0.000,	3.300,	''),
(2490,	617,	676,	1,	3,	3,	2778,	13.700,	0.00,	0.000,	13.700,	''),
(2491,	613,	753,	1,	3,	5,	2770,	4.700,	0.00,	0.000,	4.700,	''),
(2492,	611,	766,	2,	3,	3,	2764,	2.300,	0.00,	0.000,	4.600,	''),
(2493,	611,	1563,	1,	3,	110,	2763,	8.500,	0.00,	0.000,	8.500,	''),
(2494,	648,	31,	1,	3,	13,	2856,	8.800,	0.00,	0.000,	8.800,	''),
(2495,	648,	1587,	1,	3,	3,	2855,	4.600,	0.00,	0.000,	4.600,	''),
(2496,	643,	168,	1,	3,	3,	2830,	2.200,	0.00,	0.000,	2.200,	''),
(2497,	647,	753,	1,	63,	3,	2854,	1.900,	0.00,	0.000,	1.900,	''),
(2498,	621,	152,	3,	1,	3,	2785,	1.100,	0.00,	0.000,	3.300,	''),
(2499,	621,	528,	1,	3,	3,	2783,	3.600,	0.00,	0.000,	3.600,	''),
(2500,	621,	753,	1,	3,	5,	2786,	4.700,	0.00,	0.000,	4.700,	''),
(2501,	621,	1071,	1,	3,	3,	2787,	4.400,	0.00,	0.000,	4.400,	''),
(2502,	621,	1344,	5,	3,	29,	2784,	2.400,	0.00,	0.000,	12.000,	''),
(2503,	621,	1365,	3,	3,	3,	2782,	3.000,	0.00,	0.000,	9.000,	''),
(2504,	624,	33,	2,	3,	4,	2790,	1.500,	0.00,	0.000,	3.000,	''),
(2505,	641,	420,	1,	3,	3,	2823,	1.800,	0.00,	0.000,	1.800,	''),
(2506,	641,	753,	4,	63,	3,	2826,	1.700,	0.00,	0.000,	6.800,	''),
(2507,	641,	766,	4,	3,	3,	2825,	2.200,	0.00,	0.000,	8.800,	''),
(2508,	641,	1839,	2,	63,	3,	2824,	1.700,	0.00,	0.000,	3.400,	''),
(2509,	612,	423,	1,	3,	3,	2766,	2.200,	0.00,	0.000,	2.200,	''),
(2510,	612,	676,	1,	3,	3,	2765,	13.600,	0.00,	0.000,	13.600,	''),
(2511,	612,	753,	1,	3,	5,	2769,	4.700,	0.00,	0.000,	4.700,	''),
(2512,	612,	766,	1,	3,	3,	2768,	2.300,	0.00,	0.000,	2.300,	''),
(2513,	612,	1071,	1,	3,	3,	2767,	4.400,	0.00,	0.000,	4.400,	''),
(2514,	649,	766,	1,	3,	3,	2857,	2.300,	0.00,	0.000,	2.300,	''),
(2515,	649,	1344,	1,	3,	20,	2858,	3.700,	0.00,	0.000,	3.700,	''),
(2516,	610,	742,	5,	3,	3,	2762,	10.500,	0.00,	0.000,	52.500,	''),
(2517,	642,	57,	1,	7,	15,	2828,	2.200,	0.00,	0.000,	2.200,	''),
(2518,	642,	1365,	1,	3,	3,	2827,	3.000,	0.00,	0.000,	3.000,	''),
(2519,	642,	1766,	1,	3,	3,	2829,	2.000,	0.00,	0.000,	2.000,	''),
(2520,	639,	1649,	10,	63,	3,	2819,	0.750,	0.00,	0.000,	7.500,	''),
(2526,	650,	1071,	2,	3,	3,	2859,	4.400,	0.00,	0.000,	8.800,	''),
(2570,	667,	388,	1,	3,	3,	2899,	3.000,	0.00,	0.000,	3.000,	''),
(2571,	679,	750,	1,	1,	3,	2944,	3.400,	0.00,	0.000,	1.700,	''),
(2572,	679,	1251,	2,	4,	3,	2943,	0.500,	0.00,	0.000,	1.000,	''),
(2573,	670,	848,	1,	3,	22,	2903,	1.800,	0.00,	0.000,	1.800,	''),
(2574,	661,	1166,	2,	3,	3,	2888,	2.600,	0.00,	0.000,	5.200,	''),
(2575,	677,	150,	1,	3,	3,	2931,	2.200,	0.00,	0.000,	2.200,	''),
(2576,	677,	848,	2,	3,	38,	2934,	3.500,	0.00,	0.000,	7.000,	''),
(2577,	677,	1061,	1,	3,	3,	2935,	3.000,	0.00,	0.000,	3.000,	''),
(2578,	677,	1124,	1,	3,	3,	2938,	4.500,	0.00,	0.000,	4.500,	''),
(2579,	677,	1344,	1,	3,	29,	2933,	2.500,	0.00,	0.000,	2.500,	''),
(2580,	677,	1345,	2,	3,	20,	2932,	3.800,	0.00,	0.000,	7.600,	''),
(2581,	677,	1425,	3,	1,	3,	2937,	1.900,	0.00,	0.000,	5.700,	''),
(2582,	677,	1470,	1,	3,	3,	2936,	9.200,	0.00,	0.000,	9.200,	''),
(2583,	676,	1425,	2,	1,	3,	2930,	1.900,	0.00,	0.000,	3.800,	''),
(2584,	682,	1830,	6,	3,	3,	2947,	0.700,	0.00,	0.000,	4.200,	''),
(2585,	681,	1579,	2,	3,	3,	2946,	4.800,	0.00,	0.000,	9.600,	''),
(2586,	672,	1098,	1,	3,	3,	2905,	6.400,	0.00,	0.000,	6.400,	''),
(2587,	683,	170,	2,	3,	3,	2949,	7.000,	0.00,	0.000,	14.000,	''),
(2588,	683,	420,	1,	3,	3,	2950,	1.900,	0.00,	0.000,	1.900,	''),
(2589,	683,	766,	10,	3,	3,	2948,	2.200,	0.00,	0.000,	22.000,	''),
(2590,	660,	1131,	4,	3,	6,	2886,	4.500,	0.00,	0.000,	18.000,	''),
(2591,	660,	1174,	4,	3,	3,	2887,	3.500,	0.00,	0.000,	14.000,	''),
(2592,	660,	1365,	5,	3,	3,	2885,	2.700,	0.00,	0.000,	13.500,	''),
(2593,	658,	752,	2,	3,	3,	2882,	10.200,	0.00,	0.000,	20.400,	''),
(2594,	695,	1579,	1,	3,	3,	2972,	4.800,	0.00,	0.000,	4.800,	''),
(2595,	652,	420,	2,	3,	3,	2861,	1.900,	0.00,	0.000,	3.800,	''),
(2596,	652,	1301,	1,	63,	3,	2862,	8.500,	0.00,	0.000,	8.500,	''),
(2597,	656,	1251,	1,	3,	3,	2878,	3.900,	0.00,	0.000,	3.900,	''),
(2600,	680,	625,	2,	3,	3,	2945,	4.000,	0.00,	0.000,	8.000,	''),
(2601,	690,	912,	1,	1,	3,	2964,	1.300,	0.00,	0.000,	1.300,	''),
(2602,	688,	152,	10,	1,	3,	2962,	1.080,	0.00,	0.000,	10.800,	''),
(2603,	689,	912,	2,	1,	3,	2963,	1.300,	0.00,	0.000,	2.080,	''),
(2604,	684,	848,	1,	3,	3,	2951,	3.500,	0.00,	0.000,	3.500,	''),
(2605,	675,	170,	10,	3,	3,	2915,	7.000,	0.00,	0.000,	70.000,	''),
(2606,	686,	766,	2,	3,	3,	2960,	2.300,	0.00,	0.000,	4.600,	''),
(2607,	686,	1491,	1,	3,	3,	2958,	1.700,	0.00,	0.000,	1.700,	''),
(2608,	686,	1610,	1,	3,	3,	2959,	4.800,	0.00,	0.000,	4.800,	''),
(2609,	654,	152,	3,	1,	3,	2866,	1.100,	0.00,	0.000,	3.300,	''),
(2610,	654,	170,	2,	3,	3,	2876,	7.000,	0.00,	0.000,	14.000,	''),
(2611,	654,	178,	1,	3,	3,	2872,	10.800,	0.00,	0.000,	10.800,	''),
(2612,	654,	420,	2,	3,	3,	2873,	1.900,	0.00,	0.000,	3.800,	''),
(2613,	654,	528,	1,	3,	3,	2874,	3.600,	0.00,	0.000,	3.600,	''),
(2614,	654,	799,	1,	3,	5,	2867,	3.800,	0.00,	0.000,	3.800,	''),
(2615,	654,	799,	1,	3,	38,	2870,	3.400,	0.00,	0.000,	3.400,	''),
(2616,	654,	836,	1,	3,	3,	2868,	6.400,	0.00,	0.000,	6.400,	''),
(2617,	654,	848,	1,	3,	38,	2869,	3.400,	0.00,	0.000,	3.400,	''),
(2618,	654,	1071,	1,	3,	3,	2875,	4.400,	0.00,	0.000,	4.400,	''),
(2619,	654,	1470,	1,	3,	3,	2871,	8.500,	0.00,	0.000,	8.500,	''),
(2620,	699,	753,	1,	63,	2,	2979,	1.700,	0.00,	0.000,	1.700,	''),
(2621,	699,	766,	1,	3,	3,	2980,	2.300,	0.00,	0.000,	2.300,	''),
(2622,	698,	753,	2,	3,	3,	2977,	1.800,	0.00,	0.000,	3.600,	''),
(2623,	698,	1071,	1,	3,	3,	2978,	4.300,	0.00,	0.000,	4.300,	''),
(2627,	704,	766,	1,	3,	3,	2987,	2.300,	0.00,	0.000,	2.300,	''),
(2628,	706,	972,	1,	3,	3,	2997,	3.300,	0.00,	0.000,	3.300,	''),
(2629,	705,	73,	2,	3,	9,	2994,	10.800,	0.00,	0.000,	21.600,	''),
(2630,	705,	76,	2,	3,	13,	2995,	10.200,	0.00,	0.000,	20.400,	''),
(2631,	705,	753,	4,	63,	2,	2996,	1.800,	0.00,	0.000,	7.200,	''),
(2632,	708,	682,	1,	3,	3,	3005,	11.200,	0.00,	0.000,	11.200,	''),
(2633,	707,	45,	1,	3,	3,	2998,	2.800,	0.00,	0.000,	2.800,	''),
(2634,	707,	972,	1,	3,	3,	2999,	3.000,	0.00,	0.000,	3.000,	''),
(2635,	707,	1138,	2,	3,	3,	3001,	2.600,	0.00,	0.000,	5.200,	''),
(2636,	707,	1365,	1,	3,	3,	3000,	3.000,	0.00,	0.000,	3.000,	''),
(2637,	712,	423,	1,	3,	3,	3020,	2.200,	0.00,	0.000,	2.200,	''),
(2638,	712,	1344,	1,	3,	20,	3019,	3.800,	0.00,	0.000,	3.800,	''),
(2639,	710,	152,	2,	1,	3,	3013,	1.100,	0.00,	0.000,	2.200,	''),
(2640,	710,	551,	1,	63,	3,	3015,	4.200,	0.00,	0.000,	4.200,	''),
(2641,	710,	848,	1,	3,	3,	3012,	3.500,	0.00,	0.000,	3.500,	''),
(2642,	710,	1071,	1,	3,	3,	3014,	4.300,	0.00,	0.000,	4.300,	''),
(2643,	710,	1344,	2,	3,	20,	3016,	3.700,	0.00,	0.000,	7.400,	''),
(2644,	703,	752,	1,	3,	23,	2985,	10.200,	0.00,	0.000,	10.200,	''),
(2645,	701,	912,	2,	1,	3,	2982,	1.300,	0.00,	0.000,	2.990,	''),
(2646,	702,	807,	1,	3,	2,	2983,	12.400,	0.00,	0.000,	12.400,	''),
(2647,	702,	836,	4,	3,	3,	2984,	6.400,	0.00,	0.000,	25.600,	''),
(2648,	713,	420,	2,	3,	3,	3021,	2.000,	0.00,	0.000,	4.000,	''),
(2649,	711,	33,	1,	3,	4,	3017,	1.500,	0.00,	0.000,	1.500,	''),
(2650,	711,	1124,	2,	3,	3,	3018,	4.500,	0.00,	0.000,	9.000,	''),
(2651,	709,	33,	1,	3,	4,	3010,	1.500,	0.00,	0.000,	1.500,	''),
(2652,	709,	168,	1,	3,	3,	3006,	2.200,	0.00,	0.000,	2.200,	''),
(2653,	709,	848,	2,	3,	22,	3009,	1.500,	0.00,	0.000,	3.000,	''),
(2654,	709,	1098,	1,	3,	3,	3008,	6.500,	0.00,	0.000,	6.500,	''),
(2655,	709,	1470,	2,	7,	3,	3007,	2.400,	0.00,	0.000,	4.800,	''),
(2656,	709,	1626,	2,	3,	105,	3011,	2.800,	0.00,	0.000,	5.600,	''),
(2657,	714,	799,	1,	3,	4,	3022,	1.400,	0.00,	0.000,	1.400,	''),
(2658,	714,	912,	1,	1,	3,	3023,	1.300,	0.00,	0.000,	1.820,	''),
(2659,	697,	1251,	4,	4,	3,	2974,	0.500,	0.00,	0.000,	2.000,	''),
(2660,	700,	799,	5,	3,	5,	2981,	3.800,	0.00,	0.000,	19.000,	''),
(2661,	696,	799,	2,	3,	38,	2973,	3.500,	0.00,	0.000,	7.000,	''),
(2662,	666,	528,	1,	3,	3,	2894,	3.600,	0.00,	0.000,	3.600,	''),
(2663,	666,	676,	1,	3,	3,	2898,	13.700,	0.00,	0.000,	13.700,	''),
(2664,	666,	753,	1,	3,	2,	2895,	1.800,	0.00,	0.000,	1.800,	''),
(2665,	666,	766,	1,	3,	3,	2896,	2.300,	0.00,	0.000,	2.300,	''),
(2666,	666,	1071,	1,	3,	3,	2897,	4.400,	0.00,	0.000,	4.400,	''),
(2668,	665,	420,	1,	3,	3,	2893,	2.000,	0.00,	0.000,	2.000,	''),
(2669,	716,	799,	1,	3,	38,	3029,	3.500,	0.00,	0.000,	3.500,	''),
(2677,	715,	170,	1,	3,	3,	3034,	7.000,	0.00,	0.000,	7.000,	''),
(2678,	715,	249,	2,	63,	2,	3035,	1.000,	0.00,	0.000,	2.000,	''),
(2679,	715,	676,	1,	3,	3,	3036,	13.800,	0.00,	0.000,	6.900,	''),
(2680,	715,	753,	1,	3,	5,	3037,	4.700,	0.00,	0.000,	4.700,	''),
(2681,	663,	848,	2,	3,	5,	2892,	4.600,	0.00,	0.000,	9.200,	''),
(2682,	659,	152,	10,	1,	3,	2884,	1.100,	0.00,	0.000,	11.000,	''),
(2683,	657,	799,	1,	3,	5,	2879,	3.800,	0.00,	0.000,	3.800,	''),
(2684,	657,	848,	1,	3,	5,	2880,	4.600,	0.00,	0.000,	4.600,	''),
(2685,	657,	1526,	1,	3,	3,	2881,	9.200,	0.00,	0.000,	9.200,	''),
(2686,	655,	388,	1,	3,	3,	2877,	3.200,	0.00,	0.000,	3.200,	''),
(2687,	653,	152,	3,	1,	3,	2865,	1.100,	0.00,	0.000,	3.300,	''),
(2688,	653,	791,	2,	3,	3,	2863,	12.000,	0.00,	0.000,	24.000,	''),
(2689,	653,	1587,	1,	3,	3,	2864,	4.800,	0.00,	0.000,	4.800,	''),
(2690,	673,	792,	1,	3,	3,	2923,	12.800,	0.00,	0.000,	12.800,	''),
(2691,	673,	809,	1,	3,	3,	2924,	12.200,	0.00,	0.000,	12.200,	''),
(2692,	673,	836,	1,	3,	3,	2925,	6.400,	0.00,	0.000,	6.400,	''),
(2693,	673,	1444,	4,	3,	3,	2926,	2.800,	0.00,	0.000,	11.200,	''),
(2694,	673,	1491,	5,	3,	3,	2927,	1.800,	0.00,	0.000,	9.000,	''),
(2695,	673,	1622,	5,	3,	3,	2928,	5.200,	0.00,	0.000,	26.000,	''),
(2696,	673,	1723,	1,	3,	3,	2929,	3.600,	0.00,	0.000,	3.600,	''),
(2697,	674,	1071,	1,	3,	3,	2914,	4.400,	0.00,	0.000,	4.400,	''),
(2698,	674,	1166,	1,	3,	3,	2913,	2.800,	0.00,	0.000,	2.800,	''),
(2699,	678,	777,	1,	3,	3,	2942,	6.200,	0.00,	0.000,	6.200,	''),
(2700,	678,	836,	2,	10,	5,	2940,	6.600,	0.00,	0.000,	13.200,	''),
(2701,	678,	1251,	1,	3,	3,	2939,	4.000,	0.00,	0.000,	4.000,	''),
(2702,	678,	1610,	1,	3,	3,	2941,	4.800,	0.00,	0.000,	4.800,	''),
(2703,	685,	420,	2,	3,	3,	2953,	1.900,	0.00,	0.000,	3.800,	''),
(2704,	685,	528,	1,	3,	3,	2957,	3.600,	0.00,	0.000,	3.600,	''),
(2705,	685,	766,	1,	3,	3,	2954,	2.200,	0.00,	0.000,	2.200,	''),
(2706,	685,	876,	2,	3,	3,	2952,	3.900,	0.00,	0.000,	7.800,	''),
(2707,	685,	1127,	3,	3,	3,	2955,	3.200,	0.00,	0.000,	9.600,	''),
(2708,	685,	1611,	2,	3,	3,	2956,	4.800,	0.00,	0.000,	9.600,	''),
(2709,	687,	1131,	2,	3,	3,	2961,	3.900,	0.00,	0.000,	7.800,	''),
(2710,	692,	752,	1,	4,	3,	2966,	2.700,	0.00,	0.000,	2.700,	''),
(2711,	691,	1251,	1,	3,	3,	2965,	4.000,	0.00,	0.000,	4.000,	''),
(2712,	693,	1587,	1,	3,	3,	2967,	4.800,	0.00,	0.000,	4.800,	''),
(2713,	694,	420,	1,	3,	3,	2969,	1.900,	0.00,	0.000,	1.900,	''),
(2714,	694,	766,	2,	3,	3,	2970,	2.200,	0.00,	0.000,	4.400,	''),
(2715,	694,	1071,	1,	3,	3,	2968,	4.200,	0.00,	0.000,	4.200,	''),
(2716,	694,	1839,	4,	63,	3,	2971,	1.800,	0.00,	0.000,	7.200,	''),
(2717,	718,	894,	1,	3,	3,	3040,	1.500,	0.00,	0.000,	1.500,	''),
(2718,	717,	1166,	2,	3,	3,	3038,	2.900,	0.00,	0.000,	5.800,	''),
(2719,	717,	1626,	1,	3,	105,	3039,	2.700,	0.00,	0.000,	2.700,	''),
(2720,	668,	752,	1,	4,	3,	2900,	2.500,	0.00,	0.000,	2.500,	''),
(2721,	668,	1127,	1,	3,	3,	2901,	3.200,	0.00,	0.000,	3.200,	''),
(2722,	671,	1587,	1,	3,	3,	2904,	4.900,	0.00,	0.000,	4.900,	''),
(2723,	664,	1251,	10,	3,	3,	2891,	3.780,	0.00,	0.000,	37.800,	''),
(2724,	662,	1978,	2,	63,	2,	2889,	2.400,	0.00,	0.000,	4.800,	''),
(2725,	669,	780,	1,	3,	3,	2902,	6.200,	0.00,	0.000,	6.200,	''),
(2743,	782,	799,	2,	3,	38,	3162,	3.500,	0.00,	0.000,	7.000,	''),
(2744,	782,	1353,	1,	3,	3,	3163,	4.800,	0.00,	0.000,	4.800,	''),
(2745,	785,	420,	1,	3,	3,	3168,	2.000,	0.00,	0.000,	2.000,	''),
(2746,	785,	528,	3,	3,	3,	3166,	3.000,	0.00,	0.000,	9.000,	''),
(2747,	785,	753,	4,	63,	3,	3171,	1.700,	0.00,	0.000,	6.800,	''),
(2748,	785,	766,	4,	3,	3,	3169,	2.300,	0.00,	0.000,	9.200,	''),
(2749,	785,	1071,	1,	3,	3,	3167,	4.200,	0.00,	0.000,	4.200,	''),
(2750,	785,	1839,	4,	63,	3,	3170,	1.700,	5.00,	0.340,	7.140,	''),
(2751,	787,	551,	2,	63,	3,	3176,	3.800,	5.00,	0.380,	7.980,	''),
(2752,	787,	676,	1,	3,	3,	3174,	13.500,	0.00,	0.000,	13.500,	''),
(2753,	787,	766,	1,	3,	3,	3175,	2.300,	0.00,	0.000,	2.300,	''),
(2754,	786,	1166,	5,	3,	3,	3173,	2.900,	0.00,	0.000,	14.500,	''),
(2755,	783,	1563,	1,	6,	3,	3164,	1.000,	0.00,	0.000,	1.000,	''),
(2756,	781,	676,	1,	3,	3,	3160,	13.600,	0.00,	0.000,	13.600,	''),
(2757,	781,	1839,	1,	63,	2,	3161,	1.750,	5.00,	0.088,	1.838,	''),
(2758,	780,	152,	6,	1,	3,	3157,	1.100,	0.00,	0.000,	6.160,	''),
(2759,	779,	836,	2,	3,	5,	3156,	6.800,	0.00,	0.000,	13.600,	''),
(2760,	778,	73,	2,	3,	9,	3155,	10.800,	0.00,	0.000,	21.600,	''),
(2761,	778,	742,	1,	3,	3,	3154,	10.500,	0.00,	0.000,	10.500,	''),
(2762,	778,	752,	2,	3,	3,	3153,	10.800,	0.00,	0.000,	21.600,	''),
(2763,	773,	74,	5,	3,	13,	3148,	9.500,	0.00,	0.000,	47.500,	''),
(2764,	773,	123,	1,	3,	3,	3146,	16.800,	0.00,	0.000,	16.800,	''),
(2765,	773,	742,	3,	3,	3,	3147,	10.500,	0.00,	0.000,	31.500,	''),
(2766,	773,	848,	10,	3,	5,	3145,	4.500,	0.00,	0.000,	45.000,	''),
(2767,	772,	799,	1,	3,	5,	3144,	3.800,	0.00,	0.000,	3.800,	''),
(2768,	771,	1626,	3,	3,	71,	3143,	2.500,	0.00,	0.000,	7.500,	''),
(2769,	770,	682,	1,	3,	3,	3142,	11.000,	0.00,	0.000,	5.500,	''),
(2770,	770,	1344,	1,	3,	20,	3141,	3.700,	0.00,	0.000,	3.700,	''),
(2771,	757,	528,	1,	3,	3,	3121,	3.000,	0.00,	0.000,	3.000,	''),
(2772,	757,	1131,	1,	3,	3,	3120,	3.800,	0.00,	0.000,	3.800,	''),
(2773,	758,	1587,	1,	3,	3,	3122,	5.200,	0.00,	0.000,	5.200,	''),
(2774,	750,	792,	5,	3,	2,	3111,	12.000,	0.00,	0.000,	60.000,	''),
(2775,	750,	1498,	5,	3,	3,	3110,	6.800,	0.00,	0.000,	34.000,	''),
(2776,	765,	752,	1,	4,	3,	3133,	2.700,	0.00,	0.000,	2.700,	''),
(2777,	763,	1251,	1,	3,	3,	3130,	3.850,	5.00,	0.193,	4.043,	''),
(2778,	775,	1647,	10,	63,	3,	3150,	0.650,	0.00,	0.000,	6.500,	''),
(2779,	762,	767,	1,	1,	3,	3129,	1.500,	0.00,	0.000,	0.750,	''),
(2780,	761,	420,	1,	3,	3,	3127,	2.100,	0.00,	0.000,	2.100,	''),
(2781,	761,	753,	1,	63,	3,	3125,	1.900,	0.00,	0.000,	1.900,	''),
(2782,	761,	799,	1,	3,	5,	3126,	3.900,	0.00,	0.000,	3.900,	''),
(2783,	761,	1138,	9,	3,	3,	3128,	2.550,	0.00,	0.000,	22.950,	''),
(2784,	760,	799,	1,	3,	5,	3124,	3.800,	0.00,	0.000,	3.800,	''),
(2785,	759,	1444,	5,	3,	3,	3123,	2.800,	0.00,	0.000,	14.000,	''),
(2786,	756,	1251,	6,	4,	3,	3119,	0.500,	5.00,	0.150,	3.150,	''),
(2787,	788,	836,	1,	10,	3,	3177,	6.400,	0.00,	0.000,	6.400,	''),
(2788,	776,	1839,	1,	63,	3,	3151,	1.620,	5.00,	0.081,	1.701,	''),
(2789,	774,	1336,	1,	3,	101,	3149,	2.000,	0.00,	0.000,	2.000,	''),
(2790,	769,	420,	2,	3,	3,	3140,	2.000,	0.00,	0.000,	4.000,	''),
(2791,	769,	551,	5,	6,	3,	3139,	0.200,	5.00,	0.050,	1.050,	''),
(2792,	768,	1444,	1,	3,	3,	3138,	2.500,	0.00,	0.000,	2.500,	''),
(2793,	777,	1723,	1,	4,	3,	3152,	1.500,	0.00,	0.000,	1.500,	''),
(2794,	766,	752,	1,	3,	3,	3134,	10.800,	0.00,	0.000,	10.800,	''),
(2795,	764,	152,	10,	1,	3,	3132,	1.080,	0.00,	0.000,	10.800,	''),
(2796,	764,	1563,	3,	6,	110,	3131,	1.000,	0.00,	0.000,	3.000,	''),
(2797,	749,	420,	1,	3,	3,	3109,	2.000,	0.00,	0.000,	2.000,	''),
(2798,	749,	528,	1,	3,	3,	3107,	3.600,	0.00,	0.000,	3.600,	''),
(2799,	749,	676,	1,	3,	3,	3108,	13.600,	0.00,	0.000,	6.800,	''),
(2800,	749,	972,	1,	3,	3,	3106,	2.900,	0.00,	0.000,	2.900,	''),
(2801,	754,	972,	1,	3,	3,	3116,	3.000,	0.00,	0.000,	3.000,	''),
(2802,	754,	1071,	2,	3,	3,	3115,	4.400,	0.00,	0.000,	8.800,	''),
(2803,	755,	1344,	2,	3,	29,	3117,	2.200,	0.00,	0.000,	4.400,	''),
(2804,	767,	1251,	1,	3,	3,	3137,	3.850,	5.00,	0.193,	4.043,	''),
(2809,	810,	676,	1,	3,	3,	3225,	13.500,	0.00,	0.000,	13.500,	''),
(2810,	809,	799,	1,	3,	38,	3222,	3.500,	0.00,	0.000,	3.500,	''),
(2811,	809,	932,	2,	3,	79,	3221,	2.000,	0.00,	0.000,	4.000,	''),
(2812,	809,	1071,	1,	3,	3,	3220,	4.400,	0.00,	0.000,	4.400,	''),
(2813,	809,	1098,	1,	3,	3,	3223,	6.600,	0.00,	0.000,	6.600,	''),
(2814,	809,	1138,	4,	3,	3,	3224,	2.600,	0.00,	0.000,	10.400,	''),
(2815,	808,	152,	2,	1,	3,	3215,	1.100,	0.00,	0.000,	2.200,	''),
(2816,	808,	249,	1,	63,	2,	3217,	1.000,	0.00,	0.000,	1.000,	''),
(2817,	808,	799,	1,	3,	5,	3219,	3.800,	0.00,	0.000,	3.800,	''),
(2818,	808,	848,	1,	3,	5,	3218,	4.600,	0.00,	0.000,	4.600,	''),
(2819,	808,	1839,	1,	63,	2,	3216,	1.700,	5.00,	0.085,	1.785,	''),
(2820,	807,	799,	1,	3,	3,	3214,	3.500,	0.00,	0.000,	3.500,	''),
(2821,	805,	1251,	1,	3,	3,	3212,	3.850,	5.00,	0.193,	4.043,	''),
(2822,	806,	1563,	2,	3,	3,	3213,	7.400,	0.00,	0.000,	14.800,	''),
(2823,	804,	1166,	2,	3,	3,	3211,	2.900,	0.00,	0.000,	5.800,	''),
(2824,	803,	73,	1,	3,	9,	3210,	10.800,	0.00,	0.000,	10.800,	''),
(2825,	803,	170,	2,	3,	3,	3209,	7.000,	0.00,	0.000,	14.000,	''),
(2826,	803,	275,	1,	3,	3,	3207,	4.000,	0.00,	0.000,	4.000,	''),
(2827,	803,	799,	1,	3,	5,	3208,	3.800,	0.00,	0.000,	3.800,	''),
(2828,	803,	1587,	1,	3,	3,	3206,	5.200,	0.00,	0.000,	5.200,	''),
(2829,	802,	682,	1,	3,	3,	3203,	11.000,	0.00,	0.000,	11.000,	''),
(2830,	802,	753,	1,	63,	2,	3204,	1.800,	0.00,	0.000,	1.800,	''),
(2831,	802,	799,	1,	3,	38,	3205,	3.200,	0.00,	0.000,	3.200,	''),
(2832,	801,	752,	1,	3,	3,	3196,	10.800,	0.00,	0.000,	10.800,	''),
(2833,	801,	1098,	3,	3,	3,	3198,	6.400,	0.00,	0.000,	19.200,	''),
(2834,	801,	1491,	5,	3,	3,	3199,	1.600,	0.00,	0.000,	8.000,	''),
(2835,	801,	1623,	5,	3,	3,	3197,	5.200,	0.00,	0.000,	26.000,	''),
(2836,	800,	1166,	3,	3,	3,	3195,	2.900,	0.00,	0.000,	8.700,	''),
(2837,	799,	799,	1,	3,	5,	3194,	3.800,	0.00,	0.000,	3.800,	''),
(2838,	797,	551,	1,	63,	2,	3190,	3.800,	5.00,	0.190,	3.990,	''),
(2839,	811,	1344,	2,	3,	3,	3226,	3.200,	0.00,	0.000,	6.400,	''),
(2840,	812,	1127,	1,	3,	3,	3227,	3.000,	0.00,	0.000,	3.000,	''),
(2841,	817,	551,	1,	63,	3,	3232,	3.900,	5.00,	0.195,	4.095,	''),
(2842,	816,	848,	3,	10,	5,	3231,	4.500,	0.00,	0.000,	13.500,	''),
(2843,	815,	676,	3,	7,	3,	3230,	1.200,	0.00,	0.000,	3.600,	''),
(2844,	814,	152,	2,	1,	3,	3229,	1.200,	0.00,	0.000,	2.400,	''),
(2845,	818,	691,	1,	3,	3,	3234,	13.600,	0.00,	0.000,	13.600,	''),
(2846,	818,	753,	1,	63,	2,	3233,	2.500,	0.00,	0.000,	2.500,	''),
(2847,	813,	1127,	1,	3,	3,	3228,	3.000,	0.00,	0.000,	3.000,	''),
(2848,	798,	45,	1,	3,	2,	3191,	5.500,	0.00,	0.000,	5.500,	''),
(2849,	798,	1099,	3,	3,	4,	3193,	0.800,	0.00,	0.000,	2.400,	''),
(2850,	798,	1166,	3,	3,	3,	3192,	2.900,	0.00,	0.000,	8.700,	''),
(2851,	795,	1425,	3,	1,	3,	3188,	1.900,	0.00,	0.000,	5.130,	''),
(2852,	794,	1425,	1,	1,	3,	3187,	1.900,	0.00,	0.000,	1.140,	''),
(2853,	790,	876,	1,	3,	3,	3181,	4.000,	0.00,	0.000,	4.000,	''),
(2854,	789,	73,	1,	7,	3,	3180,	2.400,	0.00,	0.000,	2.400,	''),
(2855,	789,	76,	1,	7,	3,	3179,	2.200,	0.00,	0.000,	2.200,	''),
(2856,	789,	1071,	1,	3,	3,	3178,	4.400,	0.00,	0.000,	4.400,	''),
(2857,	793,	551,	1,	63,	2,	3186,	3.800,	5.00,	0.190,	3.990,	''),
(2858,	793,	1344,	1,	3,	25,	3185,	3.200,	0.00,	0.000,	3.200,	''),
(2859,	791,	528,	1,	3,	3,	3182,	3.200,	0.00,	0.000,	3.200,	''),
(2860,	792,	528,	3,	3,	3,	3184,	3.000,	0.00,	0.000,	9.000,	''),
(2861,	796,	152,	1,	1,	3,	3189,	1.200,	0.00,	0.000,	1.200,	''),
(2862,	820,	275,	1,	3,	5,	3236,	4.000,	0.00,	0.000,	4.000,	''),
(2863,	819,	168,	1,	3,	3,	3235,	2.200,	0.00,	0.000,	2.200,	''),
(2864,	830,	168,	1,	3,	3,	3262,	1.800,	0.00,	0.000,	1.800,	''),
(2865,	830,	848,	1,	3,	38,	3264,	3.600,	0.00,	0.000,	3.600,	''),
(2866,	830,	1166,	1,	3,	3,	3261,	3.000,	0.00,	0.000,	3.000,	''),
(2867,	830,	1344,	1,	3,	25,	3265,	3.500,	0.00,	0.000,	3.500,	''),
(2868,	830,	1626,	1,	3,	3,	3263,	2.800,	0.00,	0.000,	2.800,	''),
(2869,	829,	1124,	1,	3,	3,	3260,	3.400,	0.00,	0.000,	3.400,	''),
(2870,	832,	57,	1,	3,	15,	3277,	8.800,	0.00,	0.000,	8.800,	''),
(2871,	832,	625,	1,	3,	3,	3282,	4.200,	0.00,	0.000,	4.200,	''),
(2872,	832,	766,	1,	3,	3,	3275,	2.300,	0.00,	0.000,	2.300,	''),
(2873,	832,	799,	1,	3,	38,	3274,	3.200,	0.00,	0.000,	3.200,	''),
(2874,	832,	894,	4,	3,	3,	3280,	1.500,	0.00,	0.000,	6.000,	''),
(2875,	832,	1099,	2,	3,	4,	3278,	0.800,	0.00,	0.000,	1.600,	''),
(2876,	832,	1166,	5,	3,	3,	3279,	2.900,	0.00,	0.000,	14.500,	''),
(2877,	832,	1344,	2,	3,	25,	3281,	3.100,	0.00,	0.000,	6.200,	''),
(2878,	832,	1625,	1,	3,	3,	3283,	2.600,	0.00,	0.000,	2.600,	''),
(2879,	832,	1839,	1,	63,	3,	3276,	1.750,	5.00,	0.088,	1.838,	''),
(2880,	833,	1099,	1,	3,	4,	3284,	0.800,	0.00,	0.000,	0.800,	''),
(2881,	835,	1124,	1,	3,	3,	3288,	2.000,	0.00,	0.000,	2.000,	''),
(2882,	834,	168,	1,	3,	3,	3287,	1.800,	0.00,	0.000,	1.800,	''),
(2883,	834,	1127,	1,	3,	3,	3286,	3.000,	0.00,	0.000,	3.000,	''),
(2884,	837,	275,	2,	4,	3,	3297,	0.400,	0.00,	0.000,	0.800,	''),
(2885,	837,	742,	1,	4,	2,	3296,	1.800,	0.00,	0.000,	1.800,	''),
(2886,	837,	1124,	2,	3,	3,	3298,	3.400,	0.00,	0.000,	6.800,	''),
(2887,	837,	1131,	2,	3,	6,	3299,	4.600,	0.00,	0.000,	9.200,	''),
(2888,	838,	1127,	1,	3,	3,	3301,	2.900,	0.00,	0.000,	2.900,	''),
(2889,	838,	1166,	1,	3,	3,	3300,	3.000,	0.00,	0.000,	3.000,	''),
(2890,	839,	742,	2,	4,	3,	3302,	1.800,	0.00,	0.000,	3.600,	''),
(2891,	839,	1131,	1,	3,	6,	3303,	4.600,	0.00,	0.000,	4.600,	''),
(2892,	828,	57,	1,	7,	3,	3256,	2.200,	0.00,	0.000,	2.200,	''),
(2893,	828,	799,	1,	3,	38,	3254,	3.600,	0.00,	0.000,	3.600,	''),
(2894,	828,	1166,	1,	3,	3,	3257,	3.000,	0.00,	0.000,	3.000,	''),
(2895,	828,	1473,	1,	7,	3,	3255,	2.400,	0.00,	0.000,	2.400,	''),
(2896,	825,	753,	1,	63,	2,	3246,	2.200,	0.00,	0.000,	2.200,	''),
(2897,	825,	848,	1,	3,	38,	3247,	3.600,	0.00,	0.000,	3.600,	''),
(2898,	825,	1470,	1,	7,	3,	3248,	2.400,	0.00,	0.000,	2.400,	''),
(2899,	827,	57,	1,	7,	3,	3251,	2.300,	0.00,	0.000,	2.300,	''),
(2900,	827,	1353,	1,	3,	3,	3252,	4.800,	0.00,	0.000,	4.800,	''),
(2901,	827,	1610,	1,	3,	3,	3253,	4.800,	0.00,	0.000,	4.800,	''),
(2902,	826,	58,	1,	3,	15,	3250,	9.200,	0.00,	0.000,	9.200,	''),
(2903,	826,	1344,	1,	3,	20,	3249,	3.800,	0.00,	0.000,	3.800,	''),
(2904,	824,	1626,	1,	3,	3,	3245,	2.800,	0.00,	0.000,	2.800,	''),
(2905,	823,	799,	1,	3,	38,	3244,	3.600,	0.00,	0.000,	3.600,	''),
(2906,	822,	45,	1,	3,	22,	3243,	1.300,	0.00,	0.000,	1.300,	''),
(2907,	821,	45,	2,	3,	22,	3239,	1.300,	0.00,	0.000,	2.600,	''),
(2908,	821,	168,	2,	3,	3,	3241,	2.200,	0.00,	0.000,	4.400,	''),
(2909,	821,	420,	1,	3,	3,	3238,	2.100,	0.00,	0.000,	2.100,	''),
(2910,	821,	676,	1,	3,	3,	3242,	13.500,	0.00,	0.000,	13.500,	''),
(2911,	821,	1071,	1,	3,	3,	3240,	4.400,	0.00,	0.000,	4.400,	''),
(2912,	821,	1563,	3,	6,	3,	3237,	0.800,	0.00,	0.000,	2.400,	''),
(2913,	860,	152,	10,	1,	3,	3352,	1.100,	0.00,	0.000,	11.000,	''),
(2914,	858,	178,	1,	3,	3,	3346,	10.800,	0.00,	0.000,	10.800,	''),
(2915,	858,	1252,	1,	3,	3,	3345,	3.850,	5.00,	0.193,	4.043,	''),
(2916,	857,	1251,	6,	4,	3,	3344,	0.500,	5.00,	0.150,	3.150,	''),
(2917,	856,	57,	1,	3,	15,	3343,	8.900,	0.00,	0.000,	8.900,	''),
(2918,	856,	1098,	2,	3,	3,	3341,	6.500,	0.00,	0.000,	13.000,	''),
(2919,	856,	1166,	1,	3,	3,	3339,	3.000,	0.00,	0.000,	3.000,	''),
(2920,	856,	1353,	1,	3,	3,	3340,	4.800,	0.00,	0.000,	4.800,	''),
(2921,	856,	1470,	1,	3,	3,	3342,	8.500,	0.00,	0.000,	8.500,	''),
(2922,	842,	742,	2,	3,	74,	3338,	10.500,	0.00,	0.000,	21.000,	''),
(2923,	842,	1587,	2,	3,	3,	3337,	5.500,	0.00,	0.000,	11.000,	''),
(2924,	855,	932,	2,	3,	24,	3336,	3.000,	0.00,	0.000,	6.000,	''),
(2925,	854,	420,	1,	3,	3,	3327,	2.100,	0.00,	0.000,	2.100,	''),
(2926,	854,	766,	2,	3,	3,	3328,	2.300,	0.00,	0.000,	4.600,	''),
(2927,	854,	848,	1,	3,	38,	3326,	3.500,	0.00,	0.000,	3.500,	''),
(2928,	854,	1131,	1,	3,	6,	3325,	4.400,	0.00,	0.000,	4.400,	''),
(2929,	853,	1251,	1,	3,	3,	3324,	3.850,	5.00,	0.193,	4.043,	''),
(2930,	866,	753,	1,	3,	5,	3365,	4.700,	0.00,	0.000,	4.700,	''),
(2931,	866,	766,	2,	3,	3,	3364,	2.300,	0.00,	0.000,	4.600,	''),
(2932,	866,	1626,	2,	3,	105,	3363,	2.600,	0.00,	0.000,	5.200,	''),
(2933,	865,	528,	1,	3,	3,	3361,	3.200,	0.00,	0.000,	3.200,	''),
(2934,	865,	1563,	3,	3,	110,	3362,	7.200,	0.00,	0.000,	21.600,	''),
(2935,	862,	1563,	1,	3,	110,	3358,	6.800,	0.00,	0.000,	6.800,	''),
(2936,	859,	57,	1,	3,	13,	3350,	8.800,	0.00,	0.000,	8.800,	''),
(2937,	859,	76,	1,	7,	15,	3348,	2.200,	0.00,	0.000,	2.200,	''),
(2938,	859,	152,	6,	1,	3,	3351,	1.100,	0.00,	0.000,	6.600,	''),
(2939,	859,	836,	2,	3,	3,	3349,	6.400,	0.00,	0.000,	12.800,	''),
(2940,	859,	1251,	1,	3,	3,	3347,	3.850,	5.00,	0.193,	4.043,	''),
(2941,	864,	170,	2,	1,	3,	3360,	0.600,	0.00,	0.000,	1.200,	''),
(2942,	863,	152,	2,	1,	3,	3359,	1.100,	0.00,	0.000,	2.200,	''),
(2943,	880,	33,	1,	3,	4,	3408,	1.400,	0.00,	0.000,	1.400,	''),
(2944,	880,	881,	1,	3,	3,	3407,	1.600,	0.00,	0.000,	1.600,	''),
(2945,	880,	1344,	1,	3,	103,	3409,	2.000,	0.00,	0.000,	2.000,	''),
(2946,	882,	57,	2,	3,	13,	3404,	8.600,	0.00,	0.000,	17.200,	''),
(2947,	882,	420,	2,	3,	3,	3402,	2.000,	0.00,	0.000,	4.000,	''),
(2948,	882,	528,	5,	3,	3,	3397,	3.000,	0.00,	0.000,	15.000,	''),
(2949,	882,	753,	8,	63,	3,	3398,	1.700,	0.00,	0.000,	13.600,	''),
(2950,	882,	766,	2,	3,	3,	3403,	2.200,	0.00,	0.000,	4.400,	''),
(2951,	882,	1060,	1,	3,	3,	3401,	4.800,	0.00,	0.000,	4.800,	''),
(2952,	882,	1344,	3,	3,	25,	3396,	3.000,	0.00,	0.000,	9.000,	''),
(2953,	882,	1839,	6,	63,	3,	3399,	1.700,	5.00,	0.510,	10.710,	''),
(2954,	882,	1978,	1,	63,	3,	3400,	2.200,	5.00,	0.110,	2.310,	''),
(2955,	878,	1251,	4,	4,	3,	3390,	0.500,	5.00,	0.100,	2.100,	''),
(2956,	877,	752,	5,	4,	3,	3389,	2.700,	0.00,	0.000,	13.500,	''),
(2957,	874,	677,	1,	3,	3,	3384,	13.600,	0.00,	0.000,	13.600,	''),
(2958,	873,	1066,	1,	3,	3,	3383,	4.400,	0.00,	0.000,	4.400,	''),
(2959,	872,	528,	1,	3,	3,	3379,	3.000,	0.00,	0.000,	3.000,	''),
(2960,	872,	551,	1,	63,	3,	3382,	3.800,	5.00,	0.190,	3.990,	''),
(2961,	872,	676,	1,	3,	3,	3378,	13.600,	0.00,	0.000,	6.800,	''),
(2962,	872,	753,	1,	63,	2,	3381,	1.800,	0.00,	0.000,	1.800,	''),
(2963,	872,	766,	1,	3,	3,	3380,	2.300,	0.00,	0.000,	2.300,	''),
(2964,	871,	752,	1,	4,	3,	3377,	2.700,	0.00,	0.000,	2.700,	''),
(2968,	868,	858,	2,	3,	3,	3369,	4.200,	0.00,	0.000,	8.400,	''),
(2969,	868,	1071,	1,	3,	4,	3367,	4.000,	0.00,	0.000,	4.000,	''),
(2970,	868,	1365,	1,	3,	3,	3368,	3.000,	0.00,	0.000,	3.000,	''),
(2971,	869,	1766,	1,	3,	3,	3370,	1.500,	0.00,	0.000,	1.500,	''),
(2972,	870,	423,	1,	3,	3,	3373,	2.200,	0.00,	0.000,	2.200,	''),
(2973,	870,	682,	1,	3,	3,	3376,	11.000,	0.00,	0.000,	11.000,	''),
(2974,	870,	753,	1,	63,	2,	3372,	2.100,	0.00,	0.000,	2.100,	''),
(2975,	870,	766,	1,	3,	3,	3371,	2.300,	0.00,	0.000,	2.300,	''),
(2976,	870,	799,	1,	3,	5,	3375,	4.000,	0.00,	0.000,	4.000,	''),
(2977,	870,	1060,	1,	3,	3,	3374,	4.800,	0.00,	0.000,	4.800,	''),
(2978,	886,	969,	1,	3,	2,	3422,	6.800,	0.00,	0.000,	6.800,	''),
(2979,	884,	279,	1,	3,	3,	3414,	3.900,	0.00,	0.000,	3.900,	''),
(2980,	884,	420,	1,	3,	3,	3413,	2.100,	0.00,	0.000,	2.100,	''),
(2981,	884,	1060,	1,	3,	3,	3412,	5.400,	0.00,	0.000,	5.400,	''),
(2982,	884,	1098,	2,	3,	3,	3417,	6.500,	0.00,	0.000,	13.000,	''),
(2983,	884,	1365,	2,	3,	3,	3416,	3.200,	0.00,	0.000,	6.400,	''),
(2984,	884,	1563,	1,	3,	110,	3415,	7.200,	0.00,	0.000,	7.200,	''),
(2985,	883,	1365,	1,	3,	3,	3411,	3.200,	0.00,	0.000,	3.200,	''),
(2986,	883,	1526,	1,	3,	3,	3410,	9.200,	0.00,	0.000,	9.200,	''),
(2987,	851,	799,	1,	3,	38,	3320,	3.200,	0.00,	0.000,	3.200,	''),
(2988,	851,	1344,	1,	3,	25,	3321,	3.100,	0.00,	0.000,	3.100,	''),
(2989,	850,	792,	2,	3,	3,	3319,	12.000,	0.00,	0.000,	24.000,	''),
(2990,	846,	420,	2,	3,	3,	3314,	2.100,	0.00,	0.000,	4.200,	''),
(2991,	847,	152,	4,	1,	3,	3315,	1.100,	0.00,	0.000,	4.400,	''),
(2992,	845,	116,	1,	3,	15,	3313,	9.500,	0.00,	0.000,	9.500,	''),
(2993,	844,	682,	1,	3,	3,	3312,	11.000,	0.00,	0.000,	11.000,	''),
(2994,	844,	1060,	1,	3,	3,	3311,	4.800,	0.00,	0.000,	4.800,	''),
(2995,	844,	1344,	1,	3,	20,	3310,	3.800,	0.00,	0.000,	3.800,	''),
(2996,	852,	1131,	3,	3,	6,	3330,	4.400,	0.00,	0.000,	13.200,	''),
(2997,	890,	31,	1,	3,	13,	3430,	8.700,	0.00,	0.000,	8.700,	''),
(2998,	890,	420,	1,	3,	3,	3428,	2.100,	0.00,	0.000,	2.100,	''),
(2999,	890,	682,	1,	3,	3,	3427,	11.000,	0.00,	0.000,	5.500,	''),
(3000,	890,	753,	1,	63,	3,	3426,	1.900,	0.00,	0.000,	1.900,	''),
(3001,	890,	766,	1,	3,	3,	3429,	2.300,	0.00,	0.000,	2.300,	''),
(3002,	891,	31,	1,	3,	13,	3431,	8.800,	0.00,	0.000,	8.800,	''),
(3003,	891,	676,	1,	3,	3,	3432,	13.500,	0.00,	0.000,	13.500,	''),
(3008,	848,	388,	15,	3,	3,	3317,	3.400,	0.00,	0.000,	51.000,	''),
(3009,	848,	410,	15,	3,	3,	3316,	3.300,	0.00,	0.000,	49.500,	''),
(3010,	861,	420,	2,	3,	3,	3356,	2.100,	0.00,	0.000,	4.200,	''),
(3011,	861,	528,	1,	3,	3,	3354,	3.000,	0.00,	0.000,	3.000,	''),
(3012,	861,	676,	1,	3,	3,	3357,	13.500,	0.00,	0.000,	13.500,	''),
(3013,	861,	753,	1,	63,	2,	3355,	2.100,	0.00,	0.000,	2.100,	''),
(3014,	861,	1071,	2,	3,	3,	3353,	3.900,	0.00,	0.000,	7.800,	''),
(3015,	887,	799,	1,	3,	3,	3423,	2.000,	0.00,	0.000,	2.000,	'BALADIYA MUDHEER'),
(3016,	875,	1649,	40,	63,	3,	3385,	0.650,	0.00,	0.000,	26.000,	''),
(3017,	888,	1131,	20,	7,	3,	3424,	3.400,	0.00,	0.000,	68.000,	''),
(3018,	867,	1839,	3,	63,	3,	3366,	1.700,	5.00,	0.255,	5.355,	''),
(3019,	876,	799,	1,	3,	3,	3386,	1.400,	0.00,	0.000,	1.400,	''),
(3020,	876,	1353,	1,	3,	3,	3387,	4.800,	0.00,	0.000,	4.800,	''),
(3021,	879,	1649,	20,	63,	3,	3391,	0.650,	0.00,	0.000,	13.000,	''),
(3022,	889,	1166,	8,	3,	3,	3425,	2.800,	0.00,	0.000,	22.400,	''),
(3023,	881,	1839,	2,	63,	3,	3395,	1.700,	5.00,	0.170,	3.570,	''),
(3024,	849,	1370,	2,	1,	3,	3318,	7.700,	0.00,	0.000,	12.320,	''),
(3025,	843,	1138,	6,	3,	3,	3309,	2.500,	0.00,	0.000,	15.000,	''),
(3026,	841,	753,	1,	63,	3,	3305,	1.700,	0.00,	0.000,	1.700,	''),
(3027,	841,	766,	1,	3,	3,	3306,	2.200,	0.00,	0.000,	2.200,	''),
(3028,	841,	1071,	1,	3,	3,	3307,	4.400,	0.00,	0.000,	4.400,	''),
(3029,	885,	170,	2,	3,	3,	3419,	6.900,	0.00,	0.000,	13.800,	''),
(3030,	885,	836,	10,	10,	3,	3421,	6.400,	0.00,	0.000,	64.000,	''),
(3031,	885,	1131,	10,	3,	6,	3418,	4.300,	0.00,	0.000,	43.000,	''),
(3032,	885,	1587,	4,	3,	3,	3420,	5.400,	0.00,	0.000,	21.600,	''),
(3033,	897,	1124,	1,	3,	3,	3442,	3.500,	0.00,	0.000,	3.500,	''),
(3034,	896,	676,	1,	3,	3,	3441,	13.500,	0.00,	0.000,	13.500,	''),
(3035,	896,	753,	2,	63,	3,	3437,	1.700,	0.00,	0.000,	3.400,	'4kg'),
(3036,	896,	766,	1,	3,	3,	3438,	2.200,	0.00,	0.000,	2.200,	''),
(3037,	896,	969,	1,	3,	3,	3439,	6.600,	0.00,	0.000,	6.600,	''),
(3038,	896,	1659,	20,	63,	3,	3440,	0.650,	0.00,	0.000,	13.000,	''),
(3039,	917,	528,	1,	3,	3,	3517,	3.000,	0.00,	0.000,	3.000,	''),
(3040,	917,	753,	4,	63,	2,	3518,	2.100,	0.00,	0.000,	8.400,	''),
(3041,	917,	766,	1,	3,	3,	3519,	2.300,	0.00,	0.000,	2.300,	''),
(3042,	917,	1061,	1,	3,	3,	3520,	4.800,	0.00,	0.000,	4.800,	''),
(3043,	917,	1312,	3,	63,	84,	3521,	3.000,	0.00,	0.000,	9.000,	''),
(3044,	917,	1563,	1,	3,	111,	3522,	6.800,	0.00,	0.000,	6.800,	''),
(3045,	920,	753,	1,	63,	3,	3500,	2.100,	0.00,	0.000,	2.100,	''),
(3046,	918,	682,	1,	3,	3,	3497,	11.000,	0.00,	0.000,	11.000,	''),
(3047,	918,	766,	2,	3,	3,	3498,	2.300,	0.00,	0.000,	4.600,	''),
(3048,	914,	676,	2,	3,	3,	3483,	13.500,	0.00,	0.000,	27.000,	''),
(3049,	914,	693,	1,	3,	3,	3484,	16.500,	0.00,	0.000,	16.500,	''),
(3050,	914,	753,	2,	63,	2,	3485,	2.100,	0.00,	0.000,	4.200,	''),
(3051,	914,	1344,	1,	3,	20,	3486,	3.800,	0.00,	0.000,	3.800,	''),
(3052,	909,	882,	1,	3,	22,	3472,	2.000,	0.00,	0.000,	2.000,	''),
(3053,	909,	1166,	1,	3,	3,	3471,	2.600,	0.00,	0.000,	2.600,	''),
(3054,	912,	932,	1,	3,	79,	3476,	2.000,	0.00,	0.000,	2.000,	''),
(3055,	912,	1626,	1,	3,	71,	3477,	2.800,	0.00,	0.000,	2.800,	''),
(3056,	911,	1099,	1,	3,	4,	3474,	0.800,	0.00,	0.000,	0.800,	''),
(3057,	911,	1124,	1,	3,	3,	3475,	3.200,	0.00,	0.000,	3.200,	''),
(3058,	907,	1124,	1,	3,	3,	3468,	3.500,	0.00,	0.000,	3.500,	''),
(3059,	907,	1138,	1,	3,	3,	3467,	2.600,	0.00,	0.000,	2.600,	''),
(3060,	907,	1336,	1,	3,	29,	3466,	3.000,	0.00,	0.000,	3.000,	''),
(3061,	907,	1425,	2,	1,	3,	3469,	2.000,	0.00,	0.000,	3.000,	''),
(3062,	906,	799,	1,	3,	22,	3464,	1.400,	0.00,	0.000,	1.400,	''),
(3063,	906,	1098,	1,	1,	3,	3465,	0.800,	0.00,	0.000,	0.800,	''),
(3064,	903,	766,	1,	3,	3,	3453,	2.300,	0.00,	0.000,	2.300,	''),
(3065,	903,	799,	1,	3,	22,	3450,	1.400,	0.00,	0.000,	1.400,	''),
(3066,	903,	1298,	1,	1,	3,	3452,	1.400,	0.00,	0.000,	1.400,	''),
(3067,	903,	1344,	1,	3,	25,	3451,	3.600,	0.00,	0.000,	3.600,	''),
(3068,	905,	152,	1,	1,	3,	3458,	1.200,	0.00,	0.000,	0.720,	''),
(3069,	905,	742,	5,	4,	3,	3459,	0.900,	0.00,	0.000,	4.500,	''),
(3070,	905,	854,	1,	3,	3,	3463,	14.800,	0.00,	0.000,	14.800,	''),
(3071,	905,	1098,	1,	3,	3,	3460,	6.800,	0.00,	0.000,	6.800,	''),
(3072,	905,	1124,	1,	3,	3,	3461,	3.500,	0.00,	0.000,	3.500,	''),
(3073,	905,	1565,	4,	1,	3,	3457,	1.300,	0.00,	0.000,	4.810,	''),
(3074,	905,	1622,	1,	3,	3,	3462,	5.200,	0.00,	0.000,	5.200,	''),
(3075,	904,	848,	1,	3,	38,	3454,	3.500,	0.00,	0.000,	3.500,	''),
(3076,	904,	1439,	1,	3,	1,	3456,	2.800,	0.00,	0.000,	2.800,	''),
(3077,	904,	1587,	1,	3,	3,	3455,	5.500,	0.00,	0.000,	5.500,	''),
(3078,	902,	1470,	1,	3,	3,	3449,	8.800,	0.00,	0.000,	8.800,	''),
(3079,	902,	1626,	2,	3,	111,	3448,	2.800,	0.00,	0.000,	5.600,	''),
(3080,	901,	1344,	1,	3,	25,	3447,	3.600,	0.00,	0.000,	3.600,	''),
(3081,	899,	753,	1,	63,	2,	3445,	1.800,	0.00,	0.000,	1.800,	''),
(3082,	898,	18,	1,	7,	3,	3443,	2.200,	0.00,	0.000,	2.200,	''),
(3083,	898,	1336,	1,	3,	29,	3444,	3.000,	0.00,	0.000,	3.000,	''),
(3084,	908,	742,	1,	4,	3,	3470,	1.800,	0.00,	0.000,	1.800,	''),
(3085,	910,	752,	1,	3,	3,	3473,	10.800,	0.00,	0.000,	10.800,	''),
(3086,	942,	1344,	1,	3,	2,	3575,	2.200,	0.00,	0.000,	2.200,	''),
(3087,	943,	33,	1,	3,	4,	3594,	1.400,	0.00,	0.000,	1.400,	''),
(3088,	943,	168,	1,	3,	3,	3595,	2.200,	0.00,	0.000,	2.200,	''),
(3089,	943,	677,	1,	3,	3,	3596,	13.800,	0.00,	0.000,	6.900,	''),
(3090,	943,	766,	1,	3,	3,	3597,	2.300,	0.00,	0.000,	2.300,	''),
(3091,	943,	882,	1,	3,	22,	3598,	2.000,	0.00,	0.000,	2.000,	''),
(3092,	943,	1071,	1,	3,	3,	3599,	4.000,	0.00,	0.000,	4.000,	''),
(3093,	943,	1099,	1,	3,	4,	3600,	0.900,	0.00,	0.000,	0.900,	''),
(3094,	943,	1365,	1,	3,	3,	3601,	3.200,	0.00,	0.000,	3.200,	''),
(3095,	943,	1659,	1,	63,	3,	3602,	0.800,	0.00,	0.000,	0.800,	''),
(3096,	943,	1659,	1,	63,	3,	3603,	0.800,	0.00,	0.000,	0.800,	''),
(3097,	941,	1166,	1,	3,	3,	3574,	2.500,	0.00,	0.000,	2.500,	''),
(3098,	939,	1840,	1,	3,	2,	3572,	1.750,	5.00,	0.088,	1.838,	''),
(3099,	940,	753,	1,	63,	2,	3573,	2.100,	0.00,	0.000,	2.100,	''),
(3100,	935,	1646,	1,	63,	4,	3568,	0.700,	0.00,	0.000,	0.700,	''),
(3101,	934,	1365,	1,	3,	3,	3567,	3.200,	0.00,	0.000,	3.200,	''),
(3102,	932,	1365,	1,	3,	3,	3565,	3.200,	0.00,	0.000,	3.200,	''),
(3103,	931,	168,	3,	3,	3,	3563,	2.200,	0.00,	0.000,	6.600,	''),
(3104,	931,	170,	1,	3,	3,	3564,	7.000,	0.00,	0.000,	7.000,	''),
(3105,	931,	1060,	2,	3,	3,	3561,	4.800,	0.00,	0.000,	9.600,	''),
(3106,	931,	1127,	1,	3,	3,	3559,	2.800,	0.00,	0.000,	2.800,	''),
(3107,	931,	1298,	5,	1,	3,	3562,	1.400,	0.00,	0.000,	7.000,	''),
(3108,	931,	1839,	1,	63,	2,	3560,	1.750,	5.00,	0.088,	1.838,	''),
(3109,	930,	1138,	26,	3,	3,	3558,	2.400,	0.00,	0.000,	62.400,	''),
(3110,	929,	799,	1,	3,	22,	3555,	1.500,	0.00,	0.000,	1.500,	''),
(3111,	929,	1099,	1,	3,	4,	3556,	0.800,	0.00,	0.000,	0.800,	''),
(3112,	924,	275,	4,	4,	3,	3535,	0.400,	0.00,	0.000,	1.600,	''),
(3113,	924,	799,	1,	3,	38,	3536,	3.500,	0.00,	0.000,	3.500,	''),
(3114,	924,	969,	1,	3,	3,	3537,	6.800,	0.00,	0.000,	6.800,	''),
(3115,	924,	1344,	1,	3,	29,	3538,	3.000,	0.00,	0.000,	3.000,	''),
(3116,	924,	1344,	1,	10,	25,	3539,	3.800,	0.00,	0.000,	3.800,	''),
(3117,	928,	45,	2,	3,	3,	3553,	2.800,	0.00,	0.000,	5.600,	''),
(3118,	927,	753,	2,	63,	2,	3548,	1.700,	0.00,	0.000,	3.400,	''),
(3119,	927,	799,	2,	3,	38,	3549,	3.200,	0.00,	0.000,	6.400,	''),
(3120,	927,	1060,	1,	3,	3,	3547,	4.800,	0.00,	0.000,	4.800,	''),
(3121,	927,	1099,	4,	3,	4,	3550,	0.800,	0.00,	0.000,	3.200,	''),
(3122,	927,	1138,	4,	3,	3,	3551,	2.900,	0.00,	0.000,	11.600,	''),
(3123,	927,	1563,	1,	3,	110,	3552,	6.800,	0.00,	0.000,	6.800,	''),
(3124,	925,	57,	1,	7,	13,	3543,	2.300,	0.00,	0.000,	2.300,	''),
(3125,	925,	76,	1,	7,	13,	3544,	2.200,	0.00,	0.000,	2.200,	''),
(3126,	925,	277,	1,	4,	3,	3540,	1.800,	0.00,	0.000,	1.800,	''),
(3127,	925,	766,	1,	3,	3,	3541,	2.300,	0.00,	0.000,	2.300,	''),
(3128,	925,	1138,	1,	3,	3,	3542,	2.600,	0.00,	0.000,	2.600,	''),
(3129,	916,	848,	1,	3,	3,	3528,	3.500,	0.00,	0.000,	3.500,	''),
(3130,	916,	932,	1,	3,	79,	3529,	2.000,	0.00,	0.000,	2.000,	''),
(3131,	923,	1563,	1,	6,	110,	3503,	0.900,	0.00,	0.000,	0.900,	''),
(3132,	922,	799,	1,	3,	22,	3504,	1.400,	0.00,	0.000,	1.400,	''),
(3133,	895,	1127,	3,	3,	3,	3436,	2.900,	0.00,	0.000,	8.700,	''),
(3134,	915,	1123,	1,	3,	3,	3487,	2.500,	0.00,	0.000,	2.500,	''),
(3135,	913,	1124,	1,	3,	3,	3478,	3.000,	0.00,	0.000,	3.000,	''),
(3136,	892,	753,	2,	63,	3,	3433,	1.750,	0.00,	0.000,	3.500,	''),
(3137,	937,	1099,	1,	3,	4,	3570,	0.900,	0.00,	0.000,	0.900,	''),
(3138,	936,	1659,	1,	63,	3,	3569,	0.800,	0.00,	0.000,	0.800,	''),
(3139,	921,	170,	2,	1,	3,	3501,	0.500,	0.00,	0.000,	1.000,	''),
(3140,	933,	1138,	1,	3,	3,	3566,	2.600,	0.00,	0.000,	2.600,	''),
(3141,	938,	1099,	1,	3,	4,	3571,	0.900,	0.00,	0.000,	0.900,	''),
(3142,	926,	742,	2,	4,	3,	3546,	1.750,	0.00,	0.000,	3.500,	''),
(3194,	955,	152,	1,	1,	3,	3655,	1.200,	0.00,	0.000,	1.560,	''),
(3195,	955,	766,	1,	3,	3,	3654,	2.300,	0.00,	0.000,	2.300,	''),
(3196,	982,	1124,	1,	3,	3,	3737,	2.500,	0.00,	0.000,	2.500,	''),
(3197,	992,	676,	1,	3,	3,	3762,	13.200,	0.00,	0.000,	13.200,	''),
(3198,	1025,	1044,	1,	3,	3,	3856,	2.500,	0.00,	0.000,	2.500,	''),
(3199,	1025,	1071,	1,	3,	3,	3857,	3.900,	0.00,	0.000,	3.900,	''),
(3200,	1029,	742,	2,	4,	3,	3863,	1.800,	0.00,	0.000,	3.600,	''),
(3201,	1029,	1260,	2,	4,	4,	3864,	0.625,	5.00,	0.063,	1.313,	''),
(3202,	1030,	1131,	4,	3,	3,	3874,	3.000,	0.00,	0.000,	12.000,	''),
(3203,	1028,	1124,	2,	3,	3,	3860,	3.200,	0.00,	0.000,	6.400,	''),
(3204,	1032,	57,	1,	3,	15,	3878,	8.800,	0.00,	0.000,	8.800,	''),
(3205,	1032,	753,	8,	63,	2,	3881,	1.700,	0.00,	0.000,	13.600,	''),
(3206,	1032,	766,	4,	3,	3,	3879,	2.300,	0.00,	0.000,	9.200,	''),
(3207,	1032,	799,	4,	3,	5,	3880,	4.000,	0.00,	0.000,	16.000,	''),
(3208,	1032,	1839,	5,	63,	3,	3882,	1.700,	5.00,	0.425,	8.925,	''),
(3209,	1033,	168,	2,	3,	3,	3885,	2.200,	0.00,	0.000,	4.400,	''),
(3210,	1033,	848,	1,	3,	38,	3883,	3.500,	0.00,	0.000,	3.500,	''),
(3211,	1033,	1468,	1,	3,	3,	3884,	8.500,	0.00,	0.000,	8.500,	''),
(3212,	950,	45,	1,	3,	22,	3625,	1.300,	0.00,	0.000,	1.300,	''),
(3213,	950,	152,	3,	1,	3,	3623,	1.100,	0.00,	0.000,	3.300,	''),
(3214,	950,	170,	1,	3,	3,	3622,	6.900,	0.00,	0.000,	6.900,	''),
(3215,	950,	528,	1,	3,	3,	3628,	2.900,	0.00,	0.000,	2.900,	''),
(3216,	950,	753,	1,	63,	3,	3630,	1.800,	0.00,	0.000,	1.800,	''),
(3217,	950,	766,	1,	3,	3,	3631,	2.300,	0.00,	0.000,	2.300,	''),
(3218,	950,	1060,	1,	3,	3,	3629,	4.900,	0.00,	0.000,	4.900,	''),
(3219,	950,	1344,	1,	3,	20,	3624,	3.500,	0.00,	0.000,	3.500,	''),
(3220,	950,	1563,	2,	6,	110,	3626,	0.900,	0.00,	0.000,	1.800,	''),
(3221,	950,	1649,	1,	63,	2,	3627,	3.700,	0.00,	0.000,	3.700,	''),
(3222,	949,	168,	8,	3,	3,	3621,	2.200,	0.00,	0.000,	17.600,	''),
(3223,	948,	766,	1,	3,	3,	3619,	2.300,	0.00,	0.000,	2.300,	''),
(3224,	948,	1127,	1,	3,	3,	3620,	2.800,	0.00,	0.000,	2.800,	''),
(3225,	945,	420,	1,	3,	3,	3607,	2.100,	0.00,	0.000,	2.100,	''),
(3226,	945,	676,	1,	3,	3,	3608,	13.600,	0.00,	0.000,	6.800,	''),
(3227,	945,	1127,	2,	3,	3,	3606,	2.800,	0.00,	0.000,	5.600,	''),
(3228,	945,	1563,	2,	6,	111,	3605,	0.800,	0.00,	0.000,	1.600,	''),
(3229,	1023,	753,	2,	63,	2,	3850,	1.700,	0.00,	0.000,	3.400,	''),
(3230,	1023,	799,	2,	3,	38,	3849,	3.200,	0.00,	0.000,	6.400,	''),
(3231,	1023,	1138,	1,	3,	3,	3851,	2.400,	0.00,	0.000,	2.400,	''),
(3232,	1022,	1174,	1,	3,	3,	3848,	3.000,	0.00,	0.000,	3.000,	''),
(3233,	1021,	287,	2,	4,	3,	3845,	1.700,	0.00,	0.000,	3.400,	''),
(3234,	1021,	1131,	8,	3,	3,	3847,	3.200,	0.00,	0.000,	25.600,	''),
(3235,	1021,	1166,	1,	3,	3,	3844,	2.800,	0.00,	0.000,	2.800,	''),
(3236,	1021,	1626,	2,	3,	105,	3846,	2.800,	0.00,	0.000,	5.600,	''),
(3237,	1018,	48,	1,	3,	2,	3840,	15.000,	0.00,	0.000,	15.000,	''),
(3238,	1018,	1201,	1,	3,	3,	3839,	3.800,	5.00,	0.190,	3.990,	''),
(3239,	1017,	57,	1,	3,	15,	3831,	8.800,	0.00,	0.000,	8.800,	''),
(3240,	1017,	168,	4,	3,	3,	3836,	2.200,	0.00,	0.000,	8.800,	''),
(3241,	1017,	667,	1,	3,	3,	3837,	18.000,	0.00,	0.000,	9.000,	''),
(3242,	1017,	676,	1,	3,	3,	3838,	13.200,	0.00,	0.000,	13.200,	''),
(3243,	1017,	799,	1,	3,	5,	3833,	4.000,	0.00,	0.000,	4.000,	''),
(3244,	1017,	848,	1,	3,	5,	3834,	4.500,	0.00,	0.000,	4.500,	''),
(3245,	1017,	848,	2,	3,	38,	3835,	3.500,	0.00,	0.000,	7.000,	''),
(3246,	1017,	1344,	2,	3,	103,	3832,	2.100,	0.00,	0.000,	4.200,	''),
(3247,	1008,	152,	2,	1,	3,	3808,	1.100,	0.00,	0.000,	2.420,	''),
(3248,	1013,	676,	1,	3,	3,	3815,	13.200,	0.00,	0.000,	13.200,	''),
(3249,	1012,	1124,	1,	3,	3,	3814,	2.800,	0.00,	0.000,	2.800,	''),
(3250,	1011,	423,	1,	3,	3,	3813,	2.200,	0.00,	0.000,	2.200,	''),
(3251,	1011,	677,	1,	3,	3,	3812,	13.200,	0.00,	0.000,	13.200,	''),
(3252,	1007,	752,	2,	4,	3,	3807,	3.000,	0.00,	0.000,	6.000,	''),
(3253,	1006,	799,	1,	3,	38,	3806,	3.200,	0.00,	0.000,	3.200,	''),
(3254,	1006,	1201,	1,	4,	3,	3803,	1.950,	5.00,	0.098,	2.048,	''),
(3255,	1006,	1565,	2,	1,	3,	3802,	1.300,	0.00,	0.000,	2.080,	''),
(3256,	1006,	1626,	1,	3,	105,	3805,	2.800,	0.00,	0.000,	2.800,	''),
(3257,	1006,	1727,	1,	4,	3,	3804,	1.800,	0.00,	0.000,	1.800,	''),
(3258,	952,	552,	1,	63,	2,	3646,	3.900,	5.00,	0.195,	4.095,	''),
(3259,	979,	753,	2,	63,	2,	3727,	2.100,	0.00,	0.000,	4.200,	''),
(3260,	978,	1098,	1,	1,	3,	3726,	6.500,	0.00,	0.000,	6.500,	''),
(3261,	1005,	676,	1,	3,	3,	3801,	13.200,	0.00,	0.000,	6.600,	''),
(3262,	1002,	178,	4,	3,	3,	3785,	11.200,	0.00,	0.000,	44.800,	''),
(3263,	1002,	420,	4,	3,	3,	3795,	2.100,	0.00,	0.000,	8.400,	''),
(3264,	1002,	528,	2,	3,	3,	3794,	2.800,	0.00,	0.000,	5.600,	''),
(3265,	1002,	625,	2,	1,	2,	3788,	4.200,	0.00,	0.000,	8.400,	''),
(3266,	1002,	836,	1,	3,	3,	3787,	6.500,	0.00,	0.000,	6.500,	''),
(3267,	1002,	848,	1,	3,	38,	3786,	3.500,	0.00,	0.000,	3.500,	''),
(3268,	1002,	969,	1,	3,	3,	3792,	6.600,	0.00,	0.000,	6.600,	''),
(3269,	1002,	1098,	3,	3,	3,	3793,	6.500,	0.00,	0.000,	19.500,	''),
(3270,	1002,	1131,	4,	3,	3,	3789,	3.000,	0.00,	0.000,	12.000,	''),
(3271,	1002,	1353,	5,	3,	3,	3791,	4.800,	0.00,	0.000,	24.000,	''),
(3272,	1002,	1587,	1,	3,	3,	3790,	5.500,	0.00,	0.000,	5.500,	''),
(3273,	1002,	1621,	1,	3,	3,	3783,	10.500,	0.00,	0.000,	10.500,	''),
(3274,	1002,	1851,	2,	3,	3,	3784,	12.500,	0.00,	0.000,	25.000,	''),
(3275,	1000,	1426,	1,	1,	3,	3780,	1.900,	0.00,	0.000,	1.900,	''),
(3276,	991,	168,	1,	3,	3,	3757,	2.200,	0.00,	0.000,	2.200,	''),
(3277,	991,	932,	3,	6,	24,	3758,	0.600,	0.00,	0.000,	1.800,	''),
(3278,	991,	969,	1,	3,	3,	3761,	6.800,	0.00,	0.000,	6.800,	''),
(3279,	991,	1138,	1,	3,	3,	3756,	2.500,	0.00,	0.000,	2.500,	''),
(3280,	991,	1344,	1,	3,	20,	3760,	3.800,	0.00,	0.000,	3.800,	''),
(3281,	991,	1626,	1,	3,	111,	3759,	2.600,	0.00,	0.000,	2.600,	''),
(3282,	986,	168,	1,	3,	3,	3748,	2.200,	0.00,	0.000,	2.200,	''),
(3283,	986,	676,	1,	3,	3,	3750,	13.200,	0.00,	0.000,	6.600,	''),
(3284,	986,	932,	3,	6,	24,	3747,	0.600,	0.00,	0.000,	1.800,	''),
(3285,	986,	1344,	2,	3,	20,	3751,	3.800,	0.00,	0.000,	7.600,	''),
(3286,	986,	1563,	1,	3,	110,	3749,	6.800,	0.00,	0.000,	6.800,	''),
(3287,	996,	777,	1,	3,	2,	3770,	6.200,	0.00,	0.000,	6.200,	''),
(3288,	998,	288,	4,	4,	3,	3775,	1.700,	0.00,	0.000,	6.800,	''),
(3289,	998,	742,	1,	3,	3,	3776,	10.500,	0.00,	0.000,	10.500,	''),
(3290,	998,	1830,	2,	4,	3,	3777,	0.700,	0.00,	0.000,	1.400,	''),
(3291,	994,	170,	2,	3,	3,	3764,	7.000,	0.00,	0.000,	14.000,	''),
(3292,	993,	1131,	1,	3,	3,	3763,	3.200,	0.00,	0.000,	3.200,	''),
(3293,	987,	799,	1,	3,	5,	3752,	4.000,	0.00,	0.000,	4.000,	''),
(3294,	983,	1251,	10,	3,	3,	3738,	3.600,	5.00,	1.800,	37.800,	''),
(3301,	985,	799,	1,	3,	38,	3745,	3.200,	0.00,	0.000,	3.200,	''),
(3302,	985,	1131,	1,	3,	3,	3746,	3.200,	0.00,	0.000,	3.200,	''),
(3303,	976,	1425,	2,	1,	3,	3724,	1.900,	0.00,	0.000,	3.800,	''),
(3304,	975,	485,	1,	63,	3,	3723,	3.200,	5.00,	0.160,	3.360,	''),
(3305,	967,	170,	1,	3,	3,	3696,	7.000,	0.00,	0.000,	7.000,	''),
(3306,	967,	528,	1,	3,	3,	3698,	2.900,	0.00,	0.000,	2.900,	''),
(3307,	967,	753,	1,	3,	5,	3693,	4.700,	0.00,	0.000,	4.700,	''),
(3308,	967,	766,	1,	3,	3,	3694,	2.300,	0.00,	0.000,	2.300,	''),
(3309,	967,	1071,	2,	3,	3,	3697,	3.800,	0.00,	0.000,	7.600,	''),
(3310,	967,	1839,	1,	63,	3,	3695,	1.750,	5.00,	0.088,	1.838,	''),
(3311,	973,	753,	1,	63,	2,	3720,	1.700,	0.00,	0.000,	1.700,	''),
(3312,	973,	766,	1,	3,	3,	3721,	2.300,	0.00,	0.000,	2.300,	''),
(3313,	971,	766,	2,	3,	3,	3702,	2.200,	0.00,	0.000,	4.400,	''),
(3314,	972,	314,	2,	1,	3,	3714,	1.300,	0.00,	0.000,	2.600,	''),
(3315,	972,	367,	1,	1,	3,	3715,	1.000,	0.00,	0.000,	1.000,	''),
(3316,	972,	398,	1,	1,	3,	3716,	1.000,	0.00,	0.000,	1.000,	''),
(3317,	972,	791,	1,	3,	3,	3717,	12.000,	0.00,	0.000,	12.000,	''),
(3318,	972,	848,	1,	3,	5,	3718,	4.500,	0.00,	0.000,	4.500,	''),
(3319,	972,	1491,	1,	3,	3,	3719,	1.600,	0.00,	0.000,	1.600,	''),
(3320,	969,	1830,	10,	4,	3,	3700,	0.700,	0.00,	0.000,	7.000,	''),
(3321,	965,	682,	1,	3,	3,	3689,	11.000,	0.00,	0.000,	5.500,	''),
(3322,	965,	753,	1,	63,	2,	3690,	2.100,	0.00,	0.000,	2.100,	''),
(3323,	965,	767,	1,	3,	3,	3691,	2.300,	0.00,	0.000,	2.300,	''),
(3324,	965,	1839,	1,	63,	2,	3688,	1.750,	5.00,	0.088,	1.838,	''),
(3325,	964,	1312,	1,	63,	84,	3679,	3.000,	0.00,	0.000,	3.000,	''),
(3326,	964,	1353,	1,	3,	3,	3681,	4.800,	0.00,	0.000,	4.800,	''),
(3327,	964,	1766,	1,	3,	3,	3680,	1.500,	0.00,	0.000,	1.500,	''),
(3328,	963,	742,	5,	3,	3,	3677,	10.500,	0.00,	0.000,	52.500,	''),
(3329,	963,	1498,	4,	3,	23,	3678,	6.800,	0.00,	0.000,	27.200,	''),
(3330,	962,	810,	3,	3,	3,	3676,	12.000,	0.00,	0.000,	36.000,	''),
(3331,	962,	1496,	2,	3,	3,	3675,	6.200,	0.00,	0.000,	12.400,	''),
(3332,	961,	1098,	5,	3,	3,	3672,	6.400,	0.00,	0.000,	32.000,	''),
(3333,	961,	1610,	5,	3,	3,	3673,	5.000,	0.00,	0.000,	25.000,	''),
(3334,	961,	1637,	1,	3,	3,	3674,	5.800,	0.00,	0.000,	5.800,	''),
(3335,	951,	57,	1,	7,	13,	3665,	2.200,	0.00,	0.000,	2.200,	''),
(3336,	951,	170,	1,	3,	3,	3666,	7.000,	0.00,	0.000,	7.000,	''),
(3337,	951,	676,	1,	3,	3,	3667,	13.600,	0.00,	0.000,	6.800,	''),
(3338,	951,	969,	1,	3,	3,	3668,	6.800,	0.00,	0.000,	6.800,	''),
(3339,	951,	1138,	1,	3,	3,	3669,	2.500,	0.00,	0.000,	2.500,	''),
(3340,	951,	1344,	1,	3,	20,	3670,	3.800,	0.00,	0.000,	3.800,	''),
(3341,	951,	1563,	1,	3,	110,	3671,	6.800,	0.00,	0.000,	6.800,	''),
(3342,	959,	1071,	1,	3,	3,	3662,	3.800,	0.00,	0.000,	3.800,	''),
(3343,	958,	848,	2,	3,	5,	3661,	4.500,	0.00,	0.000,	9.000,	''),
(3344,	947,	753,	1,	63,	2,	3618,	1.700,	0.00,	0.000,	1.700,	''),
(3345,	947,	766,	1,	3,	3,	3617,	2.300,	0.00,	0.000,	2.300,	''),
(3346,	956,	972,	1,	3,	4,	3656,	3.000,	0.00,	0.000,	3.000,	''),
(3347,	954,	423,	1,	3,	3,	3651,	2.200,	0.00,	0.000,	2.200,	''),
(3348,	954,	753,	1,	63,	2,	3653,	1.800,	0.00,	0.000,	1.800,	''),
(3349,	954,	766,	1,	3,	3,	3652,	2.200,	0.00,	0.000,	2.200,	''),
(3350,	954,	933,	1,	7,	3,	3650,	4.800,	0.00,	0.000,	4.800,	''),
(3351,	954,	1131,	1,	3,	3,	3649,	3.300,	0.00,	0.000,	3.300,	''),
(3352,	954,	1626,	1,	3,	71,	3648,	2.600,	0.00,	0.000,	2.600,	''),
(3353,	953,	1229,	1,	3,	3,	3647,	4.200,	5.00,	0.210,	4.410,	''),
(3354,	990,	178,	1,	3,	3,	3755,	11.200,	0.00,	0.000,	11.200,	''),
(3355,	900,	1060,	1,	3,	3,	3446,	4.800,	0.00,	0.000,	4.800,	''),
(3356,	989,	1570,	4,	4,	74,	3754,	1.900,	0.00,	0.000,	7.600,	''),
(3357,	966,	1251,	1,	3,	3,	3692,	3.850,	5.00,	0.193,	4.043,	''),
(3358,	1020,	848,	1,	3,	38,	3843,	3.500,	0.00,	0.000,	3.500,	''),
(3359,	1001,	576,	2,	4,	3,	3781,	0.600,	0.00,	0.000,	1.200,	''),
(3360,	1001,	1978,	1,	63,	3,	3782,	2.300,	5.00,	0.115,	2.415,	''),
(3361,	1004,	528,	1,	3,	3,	3797,	2.900,	0.00,	0.000,	2.900,	''),
(3362,	1004,	682,	1,	3,	3,	3800,	11.000,	0.00,	0.000,	5.500,	''),
(3363,	1004,	753,	1,	63,	3,	3798,	2.000,	0.00,	0.000,	2.000,	''),
(3364,	1004,	766,	1,	3,	3,	3799,	2.300,	0.00,	0.000,	2.300,	''),
(3365,	1010,	1174,	1,	3,	3,	3811,	3.200,	0.00,	0.000,	3.200,	''),
(3366,	1009,	1131,	2,	3,	6,	3809,	4.000,	0.00,	0.000,	8.000,	''),
(3367,	1009,	1344,	2,	3,	20,	3810,	3.800,	0.00,	0.000,	7.600,	''),
(3368,	1055,	1127,	1,	3,	3,	3942,	3.000,	0.00,	0.000,	3.000,	''),
(3369,	1054,	1565,	6,	1,	3,	3941,	1.300,	0.00,	0.000,	7.280,	''),
(3370,	1034,	420,	1,	3,	3,	3886,	2.000,	0.00,	0.000,	2.000,	''),
(3371,	1034,	753,	4,	63,	3,	3890,	1.700,	0.00,	0.000,	6.800,	'4kg'),
(3372,	1034,	766,	2,	3,	3,	3888,	2.200,	0.00,	0.000,	4.400,	''),
(3373,	1034,	1060,	1,	3,	3,	3887,	4.800,	0.00,	0.000,	4.800,	''),
(3374,	1034,	1839,	2,	63,	3,	3889,	1.708,	5.00,	0.171,	3.587,	''),
(3375,	1016,	742,	1,	3,	74,	3829,	10.500,	0.00,	0.000,	10.500,	''),
(3376,	1016,	1124,	2,	3,	3,	3828,	2.800,	0.00,	0.000,	5.600,	''),
(3377,	1016,	1201,	2,	3,	3,	3827,	3.900,	5.00,	0.390,	8.190,	''),
(3378,	1016,	1353,	1,	3,	3,	3830,	5.000,	0.00,	0.000,	5.000,	''),
(3379,	988,	752,	3,	4,	3,	3753,	3.000,	0.00,	0.000,	9.000,	''),
(3380,	1043,	766,	2,	3,	3,	3904,	2.300,	0.00,	0.000,	4.600,	''),
(3381,	1019,	799,	1,	3,	22,	3841,	1.500,	0.00,	0.000,	1.500,	''),
(3382,	1019,	1726,	1,	3,	3,	3842,	3.700,	0.00,	0.000,	3.700,	''),
(3383,	1015,	881,	2,	3,	22,	3825,	1.500,	0.00,	0.000,	3.000,	''),
(3384,	1015,	1044,	1,	3,	3,	3826,	2.000,	0.00,	0.000,	2.000,	''),
(3385,	1015,	1124,	2,	3,	3,	3824,	2.800,	0.00,	0.000,	5.600,	''),
(3386,	946,	45,	1,	3,	22,	3616,	1.400,	0.00,	0.000,	1.400,	''),
(3387,	946,	57,	1,	3,	13,	3615,	8.800,	0.00,	0.000,	8.800,	''),
(3388,	946,	528,	2,	3,	3,	3610,	3.000,	0.00,	0.000,	6.000,	''),
(3389,	946,	753,	2,	63,	3,	3612,	1.900,	0.00,	0.000,	3.800,	''),
(3390,	946,	766,	1,	3,	3,	3611,	2.300,	0.00,	0.000,	2.300,	''),
(3391,	946,	969,	1,	3,	2,	3609,	6.900,	0.00,	0.000,	6.900,	''),
(3392,	946,	1344,	1,	3,	25,	3613,	3.200,	0.00,	0.000,	3.200,	''),
(3393,	946,	1344,	1,	3,	103,	3614,	1.900,	0.00,	0.000,	1.900,	''),
(3394,	1027,	1647,	30,	63,	3,	3859,	0.650,	0.00,	0.000,	19.500,	''),
(3395,	1024,	1166,	1,	3,	3,	3853,	2.800,	0.00,	0.000,	2.800,	''),
(3396,	1024,	1601,	1,	3,	23,	3852,	0.800,	0.00,	0.000,	0.800,	''),
(3397,	1014,	45,	1,	3,	3,	3819,	2.600,	0.00,	0.000,	2.600,	''),
(3398,	1014,	551,	6,	6,	3,	3816,	0.180,	5.00,	0.054,	1.134,	''),
(3399,	1014,	766,	1,	3,	3,	3817,	2.300,	0.00,	0.000,	2.300,	''),
(3400,	1014,	834,	2,	3,	22,	3818,	2.000,	0.00,	0.000,	4.000,	''),
(3401,	1014,	848,	1,	3,	3,	3820,	3.500,	0.00,	0.000,	3.500,	''),
(3402,	1014,	1179,	2,	3,	3,	3821,	2.800,	0.00,	0.000,	5.600,	''),
(3403,	1014,	1344,	1,	3,	29,	3822,	2.300,	0.00,	0.000,	2.300,	''),
(3404,	1014,	1365,	1,	3,	3,	3823,	3.200,	0.00,	0.000,	3.200,	''),
(3405,	1003,	848,	1,	3,	5,	3796,	4.500,	0.00,	0.000,	4.500,	''),
(3406,	981,	1124,	10,	3,	3,	3736,	2.800,	0.00,	0.000,	28.000,	''),
(3407,	968,	1071,	1,	3,	3,	3699,	3.800,	0.00,	0.000,	3.800,	''),
(3408,	980,	45,	1,	3,	22,	3728,	1.400,	0.00,	0.000,	1.400,	''),
(3409,	980,	168,	1,	3,	3,	3729,	2.300,	0.00,	0.000,	2.300,	''),
(3410,	980,	799,	1,	3,	3,	3734,	3.300,	0.00,	0.000,	3.300,	''),
(3411,	980,	932,	2,	6,	24,	3730,	0.800,	0.00,	0.000,	1.600,	''),
(3412,	980,	1127,	2,	3,	3,	3733,	2.800,	0.00,	0.000,	5.600,	''),
(3413,	980,	1344,	2,	3,	20,	3735,	3.700,	0.00,	0.000,	7.400,	''),
(3414,	980,	1514,	1,	7,	3,	3732,	2.300,	0.00,	0.000,	2.300,	''),
(3415,	980,	1626,	1,	3,	71,	3731,	2.600,	0.00,	0.000,	2.600,	''),
(3416,	974,	1131,	10,	3,	3,	3722,	3.000,	0.00,	0.000,	30.000,	''),
(3417,	957,	1251,	4,	4,	3,	3659,	0.475,	5.00,	0.095,	1.995,	''),
(3418,	997,	1098,	1,	3,	3,	3771,	6.500,	0.00,	0.000,	6.500,	''),
(3419,	995,	836,	1,	3,	3,	3765,	6.400,	0.00,	0.000,	6.400,	''),
(3420,	995,	858,	1,	3,	3,	3766,	4.200,	0.00,	0.000,	4.200,	''),
(3421,	995,	1351,	1,	3,	20,	3767,	6.800,	0.00,	0.000,	6.800,	''),
(3422,	1026,	420,	1,	3,	3,	3869,	2.100,	0.00,	0.000,	2.100,	''),
(3423,	1026,	528,	1,	3,	3,	3870,	2.800,	0.00,	0.000,	2.800,	''),
(3424,	1026,	799,	1,	3,	3,	3871,	3.300,	0.00,	0.000,	3.300,	''),
(3425,	1026,	848,	1,	3,	3,	3872,	3.500,	0.00,	0.000,	3.500,	''),
(3426,	984,	683,	1,	3,	3,	3743,	11.200,	0.00,	0.000,	5.600,	''),
(3427,	984,	753,	2,	63,	2,	3741,	1.700,	0.00,	0.000,	3.400,	''),
(3428,	984,	766,	2,	3,	3,	3742,	2.300,	0.00,	0.000,	4.600,	''),
(3429,	984,	1131,	5,	3,	3,	3744,	3.000,	0.00,	0.000,	15.000,	''),
(3430,	984,	1344,	1,	3,	25,	3740,	3.600,	0.00,	0.000,	3.600,	''),
(3431,	984,	1587,	1,	3,	3,	3739,	5.500,	0.00,	0.000,	5.500,	''),
(3432,	919,	1626,	1,	3,	111,	3499,	2.800,	0.00,	0.000,	2.800,	''),
(3433,	894,	682,	1,	3,	3,	3435,	11.000,	0.00,	0.000,	5.500,	''),
(3434,	1060,	178,	1,	3,	3,	3953,	11.200,	0.00,	0.000,	11.200,	''),
(3435,	1060,	282,	3,	4,	33,	3958,	1.600,	0.00,	0.000,	4.800,	''),
(3436,	1060,	284,	4,	4,	3,	3956,	1.900,	0.00,	0.000,	7.600,	''),
(3437,	1060,	287,	3,	4,	3,	3955,	1.700,	0.00,	0.000,	5.100,	''),
(3438,	1060,	290,	2,	4,	3,	3957,	2.000,	0.00,	0.000,	4.000,	''),
(3439,	1060,	423,	1,	3,	3,	3949,	2.200,	0.00,	0.000,	2.200,	''),
(3440,	1060,	506,	4,	1,	3,	3954,	2.000,	0.00,	0.000,	8.000,	''),
(3441,	1060,	1060,	2,	3,	3,	3952,	4.800,	0.00,	0.000,	9.600,	''),
(3442,	1060,	1166,	4,	3,	3,	3951,	2.800,	0.00,	0.000,	11.200,	''),
(3443,	1060,	1344,	1,	3,	25,	3948,	3.200,	0.00,	0.000,	3.200,	''),
(3444,	1060,	1659,	1,	63,	2,	3950,	3.800,	0.00,	0.000,	3.800,	''),
(3445,	1059,	1131,	1,	3,	3,	3947,	3.200,	0.00,	0.000,	3.200,	''),
(3446,	1058,	887,	1,	3,	3,	3946,	3.800,	0.00,	0.000,	3.800,	''),
(3447,	1058,	1127,	1,	3,	3,	3945,	3.000,	0.00,	0.000,	3.000,	''),
(3448,	1053,	1251,	1,	3,	3,	3940,	3.850,	5.00,	0.193,	4.043,	''),
(3449,	1052,	752,	1,	3,	3,	3939,	11.800,	0.00,	0.000,	11.800,	''),
(3450,	1052,	1251,	2,	4,	3,	3937,	0.500,	5.00,	0.050,	1.050,	''),
(3451,	1052,	1563,	2,	6,	111,	3938,	0.900,	0.00,	0.000,	1.800,	''),
(3452,	1051,	57,	1,	3,	13,	3933,	9.200,	0.00,	0.000,	9.200,	''),
(3453,	1051,	1138,	1,	3,	3,	3934,	2.500,	0.00,	0.000,	2.500,	''),
(3454,	1051,	1166,	1,	3,	3,	3935,	2.900,	0.00,	0.000,	2.900,	''),
(3455,	1051,	1563,	1,	3,	110,	3936,	6.800,	0.00,	0.000,	6.800,	''),
(3456,	1050,	152,	2,	1,	3,	3920,	1.100,	0.00,	0.000,	1.870,	''),
(3457,	1050,	755,	0,	1,	3,	3917,	1.800,	0.00,	0.000,	0.540,	''),
(3458,	1050,	771,	2,	1,	3,	3924,	1.500,	0.00,	0.000,	3.000,	''),
(3459,	1050,	848,	1,	3,	4,	3925,	2.000,	0.00,	0.000,	2.000,	''),
(3460,	1050,	1127,	1,	3,	3,	3921,	2.800,	0.00,	0.000,	2.800,	''),
(3461,	1050,	1166,	1,	3,	3,	3922,	2.900,	0.00,	0.000,	2.900,	''),
(3462,	1050,	1336,	1,	3,	101,	3926,	3.000,	0.00,	0.000,	3.000,	''),
(3463,	1050,	1570,	1,	4,	3,	3919,	1.900,	0.00,	0.000,	1.900,	''),
(3464,	1050,	1610,	1,	1,	23,	3918,	0.900,	0.00,	0.000,	0.900,	''),
(3465,	1050,	1959,	1,	1,	3,	3923,	1.400,	0.00,	0.000,	0.700,	''),
(3466,	1049,	676,	1,	3,	3,	3915,	13.200,	0.00,	0.000,	6.600,	''),
(3467,	1049,	848,	1,	3,	3,	3916,	3.600,	0.00,	0.000,	3.600,	''),
(3468,	1048,	799,	2,	3,	38,	3914,	3.200,	0.00,	0.000,	6.400,	''),
(3469,	1047,	799,	2,	3,	38,	3912,	3.400,	0.00,	0.000,	6.800,	''),
(3470,	1047,	1587,	2,	3,	3,	3913,	5.500,	0.00,	0.000,	11.000,	''),
(3471,	1046,	528,	1,	3,	3,	3911,	2.800,	0.00,	0.000,	2.800,	''),
(3472,	1045,	1138,	1,	3,	3,	3909,	2.500,	0.00,	0.000,	2.500,	''),
(3473,	1045,	1345,	1,	3,	31,	3910,	3.600,	0.00,	0.000,	3.600,	''),
(3474,	1044,	753,	2,	63,	3,	3907,	2.100,	0.00,	0.000,	4.200,	''),
(3475,	1044,	766,	2,	3,	3,	3908,	2.200,	0.00,	0.000,	4.400,	''),
(3476,	1044,	1060,	1,	3,	3,	3906,	4.800,	0.00,	0.000,	4.800,	''),
(3477,	1044,	1344,	1,	3,	25,	3905,	3.200,	0.00,	0.000,	3.200,	''),
(3478,	1042,	33,	1,	3,	4,	3899,	1.400,	0.00,	0.000,	1.400,	''),
(3479,	1042,	528,	1,	3,	3,	3901,	2.800,	0.00,	0.000,	2.800,	''),
(3480,	1042,	676,	1,	3,	3,	3902,	13.000,	0.00,	0.000,	13.000,	''),
(3481,	1042,	753,	1,	63,	3,	3900,	1.700,	0.00,	0.000,	1.700,	''),
(3482,	1041,	682,	1,	3,	3,	3898,	10.900,	0.00,	0.000,	10.900,	''),
(3483,	1040,	1563,	1,	3,	110,	3896,	6.800,	0.00,	0.000,	6.800,	''),
(3484,	1039,	1131,	4,	3,	3,	3895,	3.200,	0.00,	0.000,	12.800,	''),
(3485,	1038,	950,	2,	3,	3,	3894,	3.800,	0.00,	0.000,	7.600,	''),
(3486,	1037,	291,	1,	4,	3,	3893,	2.000,	0.00,	0.000,	2.000,	''),
(3487,	1036,	178,	1,	3,	4,	3892,	11.200,	0.00,	0.000,	11.200,	''),
(3488,	1035,	848,	1,	3,	38,	3891,	3.500,	0.00,	0.000,	3.500,	''),
(3489,	960,	420,	1,	3,	3,	3663,	2.100,	0.00,	0.000,	2.100,	''),
(3490,	960,	676,	1,	3,	3,	3664,	13.500,	0.00,	0.000,	6.750,	''),
(3491,	1031,	168,	1,	3,	3,	3876,	2.100,	0.00,	0.000,	2.100,	''),
(3492,	1031,	420,	1,	3,	3,	3877,	2.000,	0.00,	0.000,	2.000,	''),
(3493,	1031,	848,	1,	3,	3,	3875,	3.400,	0.00,	0.000,	3.400,	''),
(3494,	1062,	1251,	1,	3,	3,	3963,	3.850,	5.00,	0.193,	4.043,	''),
(3495,	1063,	1251,	1,	3,	3,	3964,	3.850,	5.00,	0.193,	4.043,	''),
(3496,	1064,	766,	1,	3,	3,	3965,	2.300,	0.00,	0.000,	2.300,	''),
(3497,	1064,	848,	1,	3,	3,	3966,	3.600,	0.00,	0.000,	3.600,	''),
(3498,	1064,	1344,	1,	3,	31,	3967,	3.500,	0.00,	0.000,	3.500,	''),
(3499,	1065,	528,	1,	3,	3,	3968,	2.800,	0.00,	0.000,	2.800,	''),
(3500,	1065,	753,	1,	3,	39,	3969,	4.500,	0.00,	0.000,	4.500,	''),
(3501,	1065,	753,	1,	63,	3,	3970,	2.100,	0.00,	0.000,	2.100,	''),
(3502,	1065,	1839,	4,	63,	2,	3971,	1.700,	5.00,	0.340,	7.140,	''),
(3503,	1066,	1166,	2,	3,	3,	3974,	2.800,	0.00,	0.000,	5.600,	''),
(3504,	1066,	1353,	1,	3,	3,	3972,	4.800,	0.00,	0.000,	4.800,	''),
(3505,	1066,	1563,	1,	3,	110,	3973,	6.800,	0.00,	0.000,	6.800,	''),
(3506,	1068,	753,	1,	3,	5,	3977,	4.700,	0.00,	0.000,	4.700,	''),
(3507,	1068,	766,	1,	3,	3,	3976,	2.300,	0.00,	0.000,	2.300,	''),
(3508,	1068,	817,	1,	3,	3,	3978,	3.200,	0.00,	0.000,	3.200,	''),
(3509,	1068,	969,	1,	3,	2,	3979,	6.800,	0.00,	0.000,	6.800,	''),
(3510,	1069,	45,	6,	3,	2,	3983,	4.600,	0.00,	0.000,	27.600,	''),
(3511,	1069,	170,	2,	3,	3,	3980,	6.900,	0.00,	0.000,	13.800,	''),
(3512,	1069,	1127,	10,	3,	3,	3985,	2.700,	0.00,	0.000,	27.000,	''),
(3513,	1069,	1365,	5,	3,	3,	3984,	3.000,	0.00,	0.000,	15.000,	''),
(3514,	1069,	1587,	1,	3,	3,	3982,	5.500,	0.00,	0.000,	5.500,	''),
(3515,	1069,	1610,	1,	3,	3,	3981,	5.000,	0.00,	0.000,	5.000,	''),
(3516,	1070,	682,	1,	3,	3,	3987,	10.800,	0.00,	0.000,	10.800,	''),
(3517,	1070,	758,	1,	63,	2,	3986,	2.100,	0.00,	0.000,	2.100,	''),
(3518,	1071,	45,	1,	3,	7,	3989,	4.800,	0.00,	0.000,	4.800,	''),
(3519,	1071,	168,	1,	3,	3,	3988,	2.300,	0.00,	0.000,	2.300,	''),
(3520,	1071,	766,	2,	3,	3,	3991,	2.300,	0.00,	0.000,	4.600,	''),
(3521,	1071,	1071,	1,	3,	3,	3990,	3.700,	0.00,	0.000,	3.700,	''),
(3522,	1072,	742,	3,	4,	74,	3994,	1.800,	0.00,	0.000,	5.400,	''),
(3523,	1072,	1174,	1,	3,	3,	3992,	2.900,	0.00,	0.000,	2.900,	''),
(3524,	1072,	1563,	1,	3,	110,	3993,	6.800,	0.00,	0.000,	6.800,	''),
(3525,	1073,	1131,	2,	3,	3,	3995,	3.500,	0.00,	0.000,	7.000,	''),
(3526,	1074,	528,	1,	3,	3,	3997,	2.800,	0.00,	0.000,	2.800,	''),
(3527,	1074,	1565,	2,	1,	3,	3996,	1.300,	0.00,	0.000,	2.080,	''),
(3528,	1075,	753,	1,	63,	2,	3999,	1.800,	0.00,	0.000,	1.800,	''),
(3529,	1075,	1127,	1,	3,	3,	3998,	2.800,	0.00,	0.000,	2.800,	''),
(3530,	1076,	676,	1,	3,	3,	4000,	13.200,	0.00,	0.000,	13.200,	''),
(3531,	1077,	766,	1,	3,	3,	4001,	2.300,	0.00,	0.000,	2.300,	''),
(3532,	1078,	753,	1,	63,	3,	4002,	1.800,	0.00,	0.000,	1.800,	''),
(3533,	1079,	1312,	1,	63,	55,	4005,	1.600,	0.00,	0.000,	1.600,	''),
(3534,	1079,	1659,	2,	63,	3,	4006,	0.700,	0.00,	0.000,	1.400,	''),
(3535,	1080,	676,	1,	3,	3,	4012,	13.000,	0.00,	0.000,	6.500,	''),
(3536,	1080,	848,	1,	3,	22,	4013,	1.900,	0.00,	0.000,	1.900,	''),
(3537,	1080,	1131,	1,	3,	3,	4014,	2.900,	0.00,	0.000,	2.900,	''),
(3538,	1080,	1344,	1,	3,	25,	4015,	3.200,	0.00,	0.000,	3.200,	''),
(3539,	1080,	1659,	1,	63,	3,	4016,	0.700,	0.00,	0.000,	0.700,	''),
(3540,	1081,	1071,	1,	3,	3,	4019,	3.700,	0.00,	0.000,	3.700,	''),
(3541,	1082,	1131,	3,	3,	3,	4030,	3.200,	0.00,	0.000,	9.600,	''),
(3542,	1083,	57,	1,	7,	13,	4022,	2.200,	0.00,	0.000,	2.200,	''),
(3543,	1083,	1138,	1,	3,	3,	4021,	2.600,	0.00,	0.000,	2.600,	''),
(3544,	1084,	528,	1,	3,	3,	4023,	2.800,	0.00,	0.000,	2.800,	''),
(3545,	1085,	1587,	1,	3,	3,	4028,	5.500,	0.00,	0.000,	5.500,	''),
(3546,	1085,	1610,	1,	3,	3,	4029,	5.000,	0.00,	0.000,	5.000,	''),
(3547,	1086,	1563,	1,	6,	3,	4027,	0.900,	0.00,	0.000,	0.900,	''),
(3548,	1087,	682,	1,	3,	3,	4033,	11.000,	0.00,	0.000,	5.500,	''),
(3549,	1087,	799,	1,	3,	38,	4034,	3.200,	0.00,	0.000,	3.200,	''),
(3550,	1088,	168,	1,	3,	3,	4035,	2.200,	0.00,	0.000,	2.200,	''),
(3551,	1088,	836,	2,	10,	5,	4036,	0.700,	0.00,	0.000,	1.400,	''),
(3552,	1088,	1166,	1,	3,	3,	4039,	2.800,	0.00,	0.000,	2.800,	''),
(3553,	1088,	1470,	1,	7,	3,	4037,	2.400,	0.00,	0.000,	2.400,	''),
(3554,	1088,	1563,	1,	6,	110,	4038,	0.900,	0.00,	0.000,	0.900,	''),
(3555,	1089,	1099,	1,	3,	4,	4040,	0.900,	0.00,	0.000,	0.900,	''),
(3556,	1090,	1071,	1,	3,	3,	4041,	3.900,	0.00,	0.000,	3.900,	''),
(3557,	1090,	1138,	2,	3,	3,	4042,	2.500,	0.00,	0.000,	5.000,	''),
(3558,	1091,	932,	1,	6,	23,	4043,	0.800,	0.00,	0.000,	0.800,	''),
(3559,	1092,	1138,	1,	3,	3,	4044,	2.500,	0.00,	0.000,	2.500,	''),
(3560,	1093,	1390,	1,	1,	3,	4045,	0.500,	5.00,	0.023,	0.473,	''),
(3561,	1094,	282,	1,	4,	33,	4046,	1.600,	0.00,	0.000,	1.600,	''),
(3562,	1094,	799,	1,	3,	38,	4048,	3.200,	0.00,	0.000,	3.200,	''),
(3563,	1094,	1251,	1,	3,	3,	4047,	3.850,	5.00,	0.193,	4.043,	''),
(3564,	1095,	799,	3,	3,	22,	4049,	1.400,	0.00,	0.000,	4.200,	''),
(3565,	1096,	45,	1,	7,	22,	4050,	1.200,	0.00,	0.000,	1.200,	''),
(3566,	1096,	168,	1,	3,	3,	4052,	2.000,	0.00,	0.000,	2.000,	''),
(3567,	1096,	799,	1,	10,	22,	4051,	1.400,	0.00,	0.000,	1.400,	''),
(3568,	1096,	1099,	1,	3,	4,	4053,	1.000,	0.00,	0.000,	1.000,	''),
(3569,	1096,	1127,	1,	3,	3,	4054,	3.000,	0.00,	0.000,	3.000,	''),
(3570,	1097,	753,	1,	63,	2,	4056,	1.700,	0.00,	0.000,	1.700,	''),
(3571,	1097,	766,	1,	3,	3,	4055,	2.300,	0.00,	0.000,	2.300,	''),
(3572,	1098,	799,	1,	3,	22,	4058,	1.400,	0.00,	0.000,	1.400,	''),
(3573,	1098,	932,	2,	6,	48,	4057,	0.600,	0.00,	0.000,	1.200,	''),
(3574,	1099,	777,	1,	3,	2,	4059,	6.200,	0.00,	0.000,	6.200,	''),
(3575,	1100,	57,	1,	7,	13,	4061,	2.200,	0.00,	0.000,	2.200,	''),
(3576,	1100,	1344,	1,	3,	20,	4062,	3.800,	0.00,	0.000,	3.800,	''),
(3577,	1100,	1563,	1,	6,	110,	4060,	0.800,	0.00,	0.000,	0.800,	''),
(3578,	1102,	1723,	1,	3,	3,	4064,	3.800,	0.00,	0.000,	3.800,	''),
(3579,	1104,	33,	1,	3,	4,	4068,	1.400,	0.00,	0.000,	1.400,	''),
(3580,	1104,	168,	1,	3,	3,	4070,	2.200,	0.00,	0.000,	2.200,	''),
(3581,	1104,	848,	1,	3,	38,	4071,	3.500,	0.00,	0.000,	3.500,	''),
(3582,	1104,	1174,	1,	3,	3,	4069,	3.000,	0.00,	0.000,	3.000,	''),
(3583,	1104,	1365,	1,	3,	3,	4072,	3.400,	0.00,	0.000,	3.400,	''),
(3584,	1103,	848,	1,	3,	38,	4065,	3.500,	0.00,	0.000,	3.500,	''),
(3585,	1103,	1166,	1,	3,	3,	4066,	2.800,	0.00,	0.000,	2.800,	''),
(3586,	1103,	1174,	1,	3,	3,	4067,	3.200,	0.00,	0.000,	3.200,	''),
(3587,	1105,	1099,	2,	3,	4,	4073,	0.900,	0.00,	0.000,	1.800,	''),
(3588,	1106,	1492,	1,	3,	3,	4074,	1.500,	0.00,	0.000,	1.500,	''),
(3589,	1107,	57,	1,	3,	7,	4078,	9.800,	0.00,	0.000,	9.800,	''),
(3590,	1107,	168,	1,	3,	3,	4075,	2.200,	0.00,	0.000,	2.200,	''),
(3591,	1107,	1169,	6,	3,	3,	4076,	2.800,	0.00,	0.000,	16.800,	''),
(3592,	1107,	1344,	2,	3,	25,	4077,	3.800,	0.00,	0.000,	7.600,	''),
(3593,	1108,	1124,	1,	3,	3,	4079,	2.500,	0.00,	0.000,	2.500,	''),
(3594,	1111,	528,	1,	3,	3,	4086,	2.800,	0.00,	0.000,	2.800,	''),
(3595,	1112,	894,	1,	3,	3,	4088,	1.500,	0.00,	0.000,	1.500,	''),
(3596,	1112,	1060,	1,	3,	3,	4090,	4.800,	0.00,	0.000,	4.800,	''),
(3597,	1112,	1099,	1,	3,	4,	4087,	1.000,	0.00,	0.000,	1.000,	''),
(3598,	1112,	1127,	1,	3,	3,	4089,	2.800,	0.00,	0.000,	2.800,	''),
(3599,	1112,	1344,	1,	3,	20,	4092,	3.800,	0.00,	0.000,	3.800,	''),
(3600,	1112,	1365,	1,	3,	3,	4091,	3.200,	0.00,	0.000,	3.200,	''),
(3601,	1113,	528,	1,	3,	3,	4096,	2.800,	0.00,	0.000,	2.800,	''),
(3602,	1113,	976,	1,	3,	3,	4094,	1.300,	0.00,	0.000,	1.300,	''),
(3603,	1113,	1060,	1,	3,	3,	4097,	4.800,	0.00,	0.000,	4.800,	''),
(3604,	1113,	1099,	2,	3,	4,	4095,	0.800,	0.00,	0.000,	1.600,	''),
(3605,	1113,	1470,	1,	3,	3,	4098,	8.500,	0.00,	0.000,	8.500,	''),
(3606,	1113,	1587,	1,	3,	3,	4093,	5.500,	0.00,	0.000,	5.500,	''),
(3607,	1114,	1365,	1,	3,	3,	4099,	3.200,	0.00,	0.000,	3.200,	''),
(3608,	1115,	976,	2,	3,	3,	4100,	1.300,	0.00,	0.000,	2.600,	''),
(3609,	1116,	799,	1,	3,	22,	4101,	1.300,	0.00,	0.000,	1.300,	''),
(3610,	1117,	1131,	1,	3,	6,	4102,	3.800,	0.00,	0.000,	3.800,	''),
(3611,	1118,	1336,	1,	3,	103,	4103,	2.200,	0.00,	0.000,	2.200,	''),
(3612,	1119,	1127,	1,	3,	3,	4104,	2.800,	0.00,	0.000,	2.800,	''),
(3613,	1120,	676,	1,	3,	3,	4105,	13.000,	0.00,	0.000,	6.500,	''),
(3614,	1121,	799,	1,	10,	22,	4109,	1.400,	0.00,	0.000,	1.400,	''),
(3615,	1121,	932,	1,	6,	5,	4108,	0.700,	0.00,	0.000,	0.700,	''),
(3616,	1121,	1124,	1,	3,	3,	4107,	2.800,	0.00,	0.000,	2.800,	''),
(3617,	1121,	1626,	1,	3,	3,	4106,	2.600,	0.00,	0.000,	2.600,	''),
(3618,	1110,	682,	1,	3,	3,	4085,	11.000,	0.00,	0.000,	11.000,	''),
(3619,	1110,	972,	1,	3,	3,	4084,	3.000,	0.00,	0.000,	3.000,	''),
(3620,	1109,	168,	1,	3,	3,	4083,	2.300,	0.00,	0.000,	2.300,	''),
(3621,	1109,	799,	1,	3,	4,	4080,	1.400,	0.00,	0.000,	1.400,	''),
(3622,	1109,	1174,	1,	3,	3,	4081,	3.200,	0.00,	0.000,	3.200,	''),
(3623,	1109,	1626,	1,	3,	33,	4082,	2.600,	0.00,	0.000,	2.600,	''),
(3624,	1101,	799,	1,	3,	22,	4063,	1.400,	0.00,	0.000,	1.400,	''),
(3625,	1067,	766,	1,	3,	3,	3975,	2.200,	0.00,	0.000,	2.200,	''),
(3626,	1061,	848,	1,	3,	38,	3960,	3.500,	0.00,	0.000,	3.500,	''),
(3627,	1061,	1127,	1,	3,	3,	3961,	3.000,	0.00,	0.000,	3.000,	''),
(3628,	1061,	1365,	1,	3,	3,	3959,	3.200,	0.00,	0.000,	3.200,	''),
(3629,	1061,	1835,	1,	3,	3,	3962,	3.800,	5.00,	0.190,	3.990,	''),
(3630,	1057,	1365,	1,	3,	3,	3944,	3.200,	0.00,	0.000,	3.200,	''),
(3631,	977,	848,	15,	3,	22,	3725,	1.800,	0.00,	0.000,	27.000,	''),
(3632,	970,	152,	10,	1,	3,	3701,	1.080,	0.00,	0.000,	10.800,	''),
(3633,	999,	1158,	4,	3,	3,	3778,	3.000,	0.00,	0.000,	12.000,	''),
(3634,	1122,	152,	3,	1,	3,	4110,	1.100,	0.00,	0.000,	3.300,	''),
(3635,	1123,	452,	1,	1,	3,	4111,	0.800,	0.00,	0.000,	0.800,	''),
(3636,	1123,	1251,	4,	4,	3,	4112,	0.500,	5.00,	0.100,	2.100,	''),
(3637,	1124,	116,	1,	3,	15,	4113,	9.500,	0.00,	0.000,	9.500,	''),
(3638,	1124,	836,	3,	3,	5,	4114,	6.800,	0.00,	0.000,	20.400,	''),
(3639,	1125,	152,	20,	1,	3,	4115,	1.080,	0.00,	0.000,	21.600,	''),
(3640,	1126,	1251,	1,	3,	3,	4116,	3.850,	5.00,	0.193,	4.043,	''),
(3641,	1127,	1251,	3,	3,	3,	4117,	3.700,	5.00,	0.555,	11.655,	''),
(3642,	1128,	152,	3,	1,	3,	4120,	1.200,	0.00,	0.000,	3.600,	''),
(3643,	1128,	528,	1,	3,	3,	4121,	2.800,	0.00,	0.000,	2.800,	''),
(3644,	1128,	753,	1,	3,	5,	4119,	4.700,	0.00,	0.000,	4.700,	''),
(3645,	1128,	766,	1,	3,	3,	4118,	2.300,	0.00,	0.000,	2.300,	''),
(3646,	1129,	1071,	1,	3,	3,	4128,	3.600,	0.00,	0.000,	3.600,	''),
(3647,	1129,	1131,	1,	3,	3,	4129,	3.000,	0.00,	0.000,	3.000,	''),
(3648,	1129,	1470,	1,	3,	3,	4127,	8.500,	0.00,	0.000,	8.500,	''),
(3649,	1129,	1502,	1,	3,	3,	4126,	9.200,	0.00,	0.000,	9.200,	''),
(3650,	1129,	1626,	4,	3,	71,	4130,	2.600,	0.00,	0.000,	10.400,	''),
(3651,	1130,	423,	1,	3,	3,	4131,	2.200,	0.00,	0.000,	2.200,	''),
(3652,	1130,	528,	2,	3,	3,	4132,	2.800,	0.00,	0.000,	5.600,	''),
(3653,	1131,	1098,	1,	3,	3,	4133,	6.500,	0.00,	0.000,	6.500,	''),
(3654,	1132,	1587,	1,	3,	3,	4134,	5.500,	0.00,	0.000,	5.500,	''),
(3655,	1133,	753,	1,	63,	3,	4135,	1.800,	0.00,	0.000,	1.800,	''),
(3656,	1133,	766,	1,	3,	3,	4136,	2.200,	0.00,	0.000,	2.200,	''),
(3657,	1133,	799,	1,	3,	3,	4137,	3.500,	0.00,	0.000,	3.500,	''),
(3658,	1133,	1344,	1,	3,	25,	4138,	3.200,	0.00,	0.000,	3.200,	''),
(3659,	1134,	799,	1,	3,	38,	4139,	3.500,	0.00,	0.000,	3.500,	''),
(3660,	1134,	1839,	2,	63,	2,	4140,	1.700,	5.00,	0.170,	3.570,	''),
(3661,	1136,	420,	1,	3,	3,	4142,	2.100,	0.00,	0.000,	2.100,	''),
(3662,	1135,	753,	2,	63,	2,	4141,	2.100,	0.00,	0.000,	4.200,	''),
(3663,	1137,	799,	1,	3,	3,	4143,	3.500,	0.00,	0.000,	3.500,	''),
(3664,	1144,	752,	3,	4,	3,	4161,	3.400,	0.00,	0.000,	10.200,	''),
(3665,	1138,	1251,	2,	3,	3,	4144,	3.850,	5.00,	0.385,	8.085,	''),
(3666,	1139,	753,	5,	63,	3,	4145,	1.800,	0.00,	0.000,	9.000,	''),
(3667,	1140,	116,	1,	3,	15,	4146,	9.500,	0.00,	0.000,	9.500,	''),
(3668,	1140,	279,	1,	3,	5,	4149,	3.900,	0.00,	0.000,	3.900,	''),
(3669,	1140,	420,	3,	3,	3,	4154,	2.100,	0.00,	0.000,	6.300,	''),
(3670,	1140,	528,	1,	3,	3,	4153,	2.900,	0.00,	0.000,	2.900,	''),
(3671,	1140,	848,	1,	3,	5,	4152,	4.800,	0.00,	0.000,	4.800,	''),
(3672,	1140,	1060,	1,	3,	3,	4150,	4.900,	0.00,	0.000,	4.900,	''),
(3673,	1140,	1127,	6,	3,	3,	4151,	2.700,	0.00,	0.000,	16.200,	''),
(3674,	1140,	1498,	1,	3,	23,	4147,	6.800,	0.00,	0.000,	6.800,	''),
(3675,	1140,	1563,	1,	3,	110,	4148,	6.700,	0.00,	0.000,	6.700,	''),
(3676,	1141,	882,	1,	3,	3,	4156,	2.000,	0.00,	0.000,	2.000,	''),
(3677,	1141,	1442,	1,	7,	4,	4155,	0.900,	0.00,	0.000,	0.900,	''),
(3678,	1142,	275,	6,	3,	3,	4157,	4.000,	0.00,	0.000,	24.000,	''),
(3679,	1142,	1587,	12,	3,	3,	4158,	5.500,	0.00,	0.000,	66.000,	''),
(3680,	1143,	766,	1,	3,	3,	4160,	2.300,	0.00,	0.000,	2.300,	''),
(3681,	1143,	848,	1,	3,	38,	4159,	3.500,	0.00,	0.000,	3.500,	''),
(3682,	1145,	1978,	2,	63,	2,	4162,	2.200,	5.00,	0.220,	4.620,	''),
(3683,	1146,	551,	1,	63,	3,	4163,	3.850,	5.00,	0.193,	4.043,	''),
(3684,	1147,	57,	1,	3,	13,	4165,	8.800,	0.00,	0.000,	8.800,	''),
(3685,	1147,	551,	1,	63,	2,	4166,	3.900,	5.00,	0.195,	4.095,	''),
(3686,	1147,	1514,	1,	3,	3,	4164,	8.500,	0.00,	0.000,	8.500,	''),
(3687,	1154,	799,	5,	3,	22,	4183,	1.400,	0.00,	0.000,	7.000,	''),
(3688,	1154,	848,	5,	3,	22,	4184,	1.900,	0.00,	0.000,	9.500,	''),
(3689,	1154,	848,	1,	10,	5,	4185,	4.800,	0.00,	0.000,	4.800,	''),
(3690,	1148,	1124,	1,	3,	3,	4167,	2.500,	0.00,	0.000,	2.500,	''),
(3691,	1148,	1344,	1,	3,	25,	4168,	3.300,	0.00,	0.000,	3.300,	''),
(3692,	1149,	168,	15,	3,	3,	4175,	2.200,	0.00,	0.000,	33.000,	''),
(3693,	1149,	1078,	1,	3,	3,	4174,	3.800,	0.00,	0.000,	3.800,	''),
(3694,	1149,	1439,	1,	3,	23,	4176,	2.800,	0.00,	0.000,	2.800,	''),
(3695,	1150,	799,	1,	3,	5,	4173,	4.000,	0.00,	0.000,	4.000,	''),
(3696,	1150,	848,	1,	3,	5,	4172,	4.800,	0.00,	0.000,	4.800,	''),
(3697,	1150,	876,	1,	3,	3,	4171,	3.900,	0.00,	0.000,	3.900,	''),
(3698,	1151,	753,	1,	63,	3,	4177,	2.100,	0.00,	0.000,	2.100,	''),
(3699,	1152,	682,	1,	3,	3,	4178,	11.000,	0.00,	0.000,	11.000,	''),
(3700,	1153,	676,	10,	3,	3,	4179,	13.000,	0.00,	0.000,	130.000,	''),
(3701,	1155,	57,	1,	3,	13,	4188,	8.600,	0.00,	0.000,	8.600,	''),
(3702,	1155,	528,	2,	3,	3,	4191,	2.800,	0.00,	0.000,	5.600,	''),
(3703,	1155,	676,	1,	3,	3,	4186,	13.000,	0.00,	0.000,	13.000,	''),
(3704,	1155,	753,	4,	63,	3,	4192,	1.700,	0.00,	0.000,	6.800,	'4kg'),
(3705,	1155,	766,	2,	3,	3,	4190,	2.200,	0.00,	0.000,	4.400,	''),
(3706,	1155,	1098,	1,	3,	3,	4189,	6.500,	0.00,	0.000,	6.500,	''),
(3707,	1155,	1344,	1,	3,	25,	4187,	3.200,	0.00,	0.000,	3.200,	''),
(3708,	1156,	1514,	1,	7,	4,	4193,	2.400,	0.00,	0.000,	2.400,	''),
(3709,	1157,	314,	1,	1,	3,	4194,	1.300,	0.00,	0.000,	1.690,	''),
(3710,	1157,	1251,	2,	4,	3,	4195,	0.500,	5.00,	0.050,	1.050,	''),
(3711,	1158,	848,	1,	3,	3,	4196,	3.500,	0.00,	0.000,	3.500,	''),
(3712,	1158,	1563,	1,	3,	110,	4197,	6.700,	0.00,	0.000,	6.700,	''),
(3713,	1159,	799,	1,	3,	3,	4198,	3.400,	0.00,	0.000,	3.400,	''),
(3714,	1159,	1166,	5,	3,	3,	4199,	2.700,	0.00,	0.000,	13.500,	''),
(3715,	1159,	1839,	2,	63,	3,	4200,	1.700,	5.00,	0.170,	3.570,	''),
(3716,	1171,	57,	1,	3,	13,	4256,	8.600,	0.00,	0.000,	8.600,	''),
(3717,	1171,	65,	1,	3,	7,	4257,	12.500,	0.00,	0.000,	12.500,	''),
(3718,	1171,	279,	1,	3,	3,	4250,	4.000,	0.00,	0.000,	4.000,	''),
(3719,	1171,	420,	2,	3,	3,	4247,	2.000,	0.00,	0.000,	4.000,	''),
(3720,	1171,	799,	1,	3,	3,	4251,	3.400,	0.00,	0.000,	3.400,	''),
(3721,	1171,	848,	1,	3,	3,	4252,	3.500,	0.00,	0.000,	3.500,	''),
(3722,	1171,	932,	2,	3,	79,	4249,	1.800,	0.00,	0.000,	3.600,	''),
(3723,	1171,	1127,	2,	3,	3,	4248,	2.700,	0.00,	0.000,	5.400,	''),
(3724,	1171,	1138,	10,	3,	3,	4254,	2.300,	0.00,	0.000,	23.000,	''),
(3725,	1171,	1166,	10,	3,	3,	4255,	2.700,	0.00,	0.000,	27.000,	''),
(3726,	1171,	1344,	3,	3,	25,	4246,	3.200,	0.00,	0.000,	9.600,	''),
(3727,	1171,	1587,	1,	3,	3,	4253,	5.800,	0.00,	0.000,	5.800,	''),
(3728,	1160,	57,	1,	7,	13,	4203,	2.200,	0.00,	0.000,	2.200,	''),
(3729,	1160,	932,	1,	6,	24,	4201,	0.600,	0.00,	0.000,	0.600,	''),
(3730,	1160,	1138,	1,	3,	3,	4204,	2.000,	0.00,	0.000,	2.000,	''),
(3731,	1160,	1251,	2,	4,	3,	4202,	0.500,	5.00,	0.050,	1.050,	''),
(3732,	1161,	152,	5,	1,	3,	4205,	1.100,	0.00,	0.000,	5.500,	''),
(3733,	1161,	1138,	1,	3,	3,	4207,	2.400,	0.00,	0.000,	2.400,	''),
(3734,	1161,	1353,	1,	3,	3,	4208,	4.800,	0.00,	0.000,	4.800,	''),
(3735,	1161,	1563,	4,	6,	110,	4206,	0.850,	0.00,	0.000,	3.400,	''),
(3736,	1162,	753,	1,	3,	5,	4209,	4.800,	0.00,	0.000,	4.800,	''),
(3737,	1163,	1835,	1,	3,	3,	4210,	3.808,	5.00,	0.190,	3.998,	''),
(3738,	1164,	57,	2,	7,	13,	4212,	2.200,	0.00,	0.000,	4.400,	''),
(3739,	1164,	65,	2,	3,	13,	4213,	11.600,	0.00,	0.000,	23.200,	''),
(3740,	1164,	168,	3,	3,	3,	4211,	2.200,	0.00,	0.000,	6.600,	''),
(3741,	1164,	1098,	5,	3,	3,	4214,	6.500,	0.00,	0.000,	32.500,	''),
(3742,	1165,	152,	10,	1,	3,	4215,	1.100,	0.00,	0.000,	11.000,	''),
(3743,	1166,	420,	1,	3,	3,	4219,	2.000,	0.00,	0.000,	2.000,	''),
(3744,	1166,	932,	1,	3,	22,	4217,	1.800,	0.00,	0.000,	1.800,	''),
(3745,	1166,	1078,	1,	3,	3,	4218,	3.800,	0.00,	0.000,	3.800,	''),
(3746,	1166,	1344,	1,	3,	20,	4216,	3.700,	0.00,	0.000,	3.700,	''),
(3747,	1167,	57,	3,	7,	13,	4259,	2.200,	0.00,	0.000,	6.600,	''),
(3748,	1167,	76,	1,	7,	13,	4260,	2.200,	0.00,	0.000,	2.200,	''),
(3749,	1167,	170,	1,	3,	3,	4261,	6.800,	0.00,	0.000,	6.800,	''),
(3750,	1167,	275,	1,	3,	3,	4262,	4.000,	0.00,	0.000,	4.000,	''),
(3751,	1167,	799,	2,	3,	38,	4263,	3.500,	0.00,	0.000,	7.000,	''),
(3752,	1167,	836,	2,	3,	3,	4264,	6.500,	0.00,	0.000,	13.000,	''),
(3753,	1167,	932,	1,	3,	79,	4265,	1.800,	0.00,	0.000,	1.800,	''),
(3754,	1167,	1098,	1,	3,	3,	4266,	6.500,	0.00,	0.000,	6.500,	''),
(3755,	1167,	1131,	3,	3,	3,	4267,	3.200,	0.00,	0.000,	9.600,	''),
(3756,	1167,	1138,	1,	3,	3,	4268,	2.400,	0.00,	0.000,	2.400,	''),
(3757,	1167,	1344,	3,	3,	20,	4258,	3.600,	0.00,	0.000,	10.800,	''),
(3758,	1167,	1470,	2,	7,	3,	4269,	2.400,	0.00,	0.000,	4.800,	''),
(3759,	1167,	1626,	3,	3,	71,	4270,	2.800,	0.00,	0.000,	8.400,	''),
(3760,	1168,	753,	1,	3,	5,	4232,	4.700,	0.00,	0.000,	4.700,	''),
(3761,	1169,	766,	1,	3,	3,	4233,	2.300,	0.00,	0.000,	2.300,	''),
(3762,	1170,	753,	1,	3,	3,	4279,	2.100,	0.00,	0.000,	2.100,	''),
(3763,	1172,	170,	1,	3,	3,	4276,	6.900,	0.00,	0.000,	6.900,	''),
(3764,	1172,	275,	1,	3,	3,	4273,	4.000,	0.00,	0.000,	4.000,	''),
(3765,	1172,	848,	1,	3,	5,	4274,	4.800,	0.00,	0.000,	4.800,	''),
(3766,	1172,	1390,	2,	1,	3,	4271,	0.500,	5.00,	0.050,	1.050,	''),
(3767,	1172,	1470,	1,	3,	3,	4275,	9.200,	0.00,	0.000,	9.200,	''),
(3768,	1172,	1563,	4,	6,	110,	4272,	0.800,	0.00,	0.000,	3.200,	''),
(3769,	1173,	1138,	2,	3,	3,	4278,	2.400,	0.00,	0.000,	4.800,	''),
(3770,	1173,	1166,	2,	3,	3,	4277,	2.800,	0.00,	0.000,	5.600,	''),
(3771,	1174,	1251,	1,	4,	3,	4280,	0.500,	5.00,	0.025,	0.525,	''),
(3772,	1175,	279,	1,	3,	3,	4283,	4.000,	0.00,	0.000,	4.000,	''),
(3773,	1175,	423,	1,	3,	3,	4282,	2.200,	0.00,	0.000,	2.200,	''),
(3774,	1175,	667,	1,	3,	3,	4284,	18.000,	0.00,	0.000,	9.000,	''),
(3775,	1175,	810,	1,	3,	3,	4289,	12.800,	0.00,	0.000,	12.800,	''),
(3776,	1175,	969,	1,	3,	3,	4286,	6.500,	0.00,	0.000,	6.500,	''),
(3777,	1175,	1131,	7,	3,	3,	4281,	3.000,	0.00,	0.000,	21.000,	''),
(3778,	1175,	1365,	1,	3,	3,	4288,	3.200,	0.00,	0.000,	3.200,	''),
(3779,	1175,	1498,	1,	3,	3,	4287,	6.800,	0.00,	0.000,	6.800,	''),
(3780,	1175,	1626,	3,	3,	3,	4285,	2.400,	0.00,	0.000,	7.200,	''),
(3781,	1176,	848,	1,	3,	3,	4290,	3.600,	0.00,	0.000,	3.600,	''),
(3782,	1176,	1587,	1,	3,	3,	4291,	5.500,	0.00,	0.000,	5.500,	''),
(3783,	1177,	1365,	10,	3,	3,	4292,	3.000,	0.00,	0.000,	30.000,	''),
(3784,	1178,	969,	1,	3,	3,	4293,	6.500,	0.00,	0.000,	6.500,	''),
(3785,	1179,	1365,	1,	3,	2,	4311,	3.000,	0.00,	0.000,	3.000,	''),
(3786,	1180,	750,	1,	1,	3,	4296,	3.200,	0.00,	0.000,	1.600,	''),
(3787,	1180,	1251,	2,	4,	3,	4295,	0.500,	5.00,	0.050,	1.050,	''),
(3788,	1181,	168,	1,	3,	3,	4297,	2.200,	0.00,	0.000,	2.200,	''),
(3789,	1182,	275,	4,	4,	3,	4304,	0.400,	0.00,	0.000,	1.600,	''),
(3790,	1182,	799,	1,	3,	22,	4305,	1.400,	0.00,	0.000,	1.400,	''),
(3791,	1182,	894,	1,	3,	3,	4306,	1.500,	0.00,	0.000,	1.500,	''),
(3792,	1182,	932,	1,	3,	79,	4307,	1.800,	0.00,	0.000,	1.800,	''),
(3793,	1182,	1138,	1,	3,	3,	4308,	2.500,	0.00,	0.000,	2.500,	''),
(3794,	1182,	1365,	1,	3,	3,	4309,	3.200,	0.00,	0.000,	3.200,	''),
(3795,	1197,	1659,	20,	63,	3,	4333,	0.650,	0.00,	0.000,	13.000,	''),
(3874,	1248,	1251,	5,	4,	3,	4501,	0.485,	5.00,	0.121,	2.546,	''),
(3875,	1249,	1251,	1,	3,	3,	4502,	3.850,	5.00,	0.193,	4.043,	''),
(3876,	1247,	1659,	30,	63,	3,	4492,	0.750,	0.00,	0.000,	22.500,	''),
(3877,	1246,	420,	1,	3,	3,	4484,	2.100,	0.00,	0.000,	2.100,	''),
(3878,	1246,	1301,	1,	63,	3,	4485,	8.600,	0.00,	0.000,	8.600,	''),
(3879,	1245,	753,	2,	3,	5,	4478,	4.700,	0.00,	0.000,	9.400,	''),
(3880,	1245,	799,	2,	3,	22,	4481,	1.400,	0.00,	0.000,	2.800,	''),
(3881,	1245,	836,	1,	3,	5,	4482,	6.800,	0.00,	0.000,	6.800,	''),
(3882,	1245,	1071,	2,	3,	3,	4479,	3.700,	0.00,	0.000,	7.400,	''),
(3883,	1245,	1166,	3,	3,	3,	4480,	2.800,	0.00,	0.000,	8.400,	''),
(3884,	1245,	1353,	1,	3,	3,	4483,	4.800,	0.00,	0.000,	4.800,	''),
(3885,	1244,	932,	3,	3,	79,	4499,	1.800,	0.00,	0.000,	5.400,	''),
(3886,	1243,	1131,	1,	7,	3,	4468,	3.200,	0.00,	0.000,	3.200,	''),
(3887,	1243,	1166,	1,	3,	3,	4467,	2.800,	0.00,	0.000,	2.800,	''),
(3888,	1243,	1174,	1,	3,	3,	4469,	3.000,	0.00,	0.000,	3.000,	''),
(3889,	1242,	753,	1,	63,	2,	4466,	1.700,	0.00,	0.000,	1.700,	''),
(3890,	1241,	420,	1,	3,	3,	4493,	2.200,	0.00,	0.000,	2.200,	''),
(3891,	1241,	528,	1,	3,	3,	4494,	2.800,	0.00,	0.000,	2.800,	''),
(3892,	1241,	1071,	1,	3,	3,	4495,	3.600,	0.00,	0.000,	3.600,	''),
(3893,	1241,	1131,	2,	3,	3,	4496,	3.000,	0.00,	0.000,	6.000,	''),
(3894,	1241,	1365,	1,	3,	2,	4497,	3.000,	0.00,	0.000,	3.000,	''),
(3895,	1241,	1626,	2,	3,	105,	4498,	2.500,	0.00,	0.000,	5.000,	''),
(3896,	1240,	420,	1,	3,	3,	4458,	2.100,	0.00,	0.000,	2.100,	''),
(3897,	1240,	676,	1,	3,	3,	4459,	13.000,	0.00,	0.000,	6.500,	''),
(3898,	1240,	799,	1,	3,	22,	4456,	1.500,	0.00,	0.000,	1.500,	''),
(3899,	1240,	1071,	1,	3,	3,	4457,	3.600,	0.00,	0.000,	3.600,	''),
(3900,	1239,	33,	3,	3,	4,	4455,	1.300,	0.00,	0.000,	3.900,	''),
(3901,	1239,	73,	1,	3,	9,	4451,	10.800,	0.00,	0.000,	10.800,	''),
(3902,	1239,	116,	1,	3,	15,	4450,	9.500,	0.00,	0.000,	9.500,	''),
(3903,	1239,	279,	1,	3,	5,	4448,	4.000,	0.00,	0.000,	4.000,	''),
(3904,	1239,	420,	2,	3,	3,	4445,	2.100,	0.00,	0.000,	4.200,	''),
(3905,	1239,	1166,	4,	3,	3,	4452,	2.700,	0.00,	0.000,	10.800,	''),
(3906,	1239,	1336,	3,	3,	29,	4454,	3.000,	0.00,	0.000,	9.000,	''),
(3907,	1239,	1353,	2,	3,	3,	4453,	4.800,	0.00,	0.000,	9.600,	''),
(3908,	1239,	1514,	1,	3,	3,	4446,	8.500,	0.00,	0.000,	8.500,	''),
(3909,	1239,	1610,	1,	3,	3,	4447,	5.400,	0.00,	0.000,	5.400,	''),
(3910,	1239,	1723,	2,	3,	3,	4449,	3.500,	0.00,	0.000,	7.000,	''),
(3911,	1238,	1071,	1,	3,	3,	4444,	3.600,	0.00,	0.000,	3.600,	''),
(3912,	1183,	45,	1,	3,	3,	4314,	2.800,	0.00,	0.000,	2.800,	''),
(3913,	1183,	799,	1,	3,	22,	4313,	1.400,	0.00,	0.000,	1.400,	''),
(3914,	1183,	1138,	1,	3,	3,	4312,	2.400,	0.00,	0.000,	2.400,	''),
(3915,	1184,	528,	2,	3,	3,	4316,	2.800,	0.00,	0.000,	5.600,	''),
(3916,	1184,	753,	2,	63,	2,	4317,	1.700,	0.00,	0.000,	3.400,	''),
(3917,	1184,	766,	1,	3,	3,	4315,	2.300,	0.00,	0.000,	2.300,	''),
(3918,	1185,	1131,	1,	3,	3,	4318,	3.200,	0.00,	0.000,	3.200,	''),
(3919,	1186,	152,	30,	1,	3,	4319,	1.080,	0.00,	0.000,	32.400,	''),
(3920,	1187,	799,	1,	3,	3,	4320,	3.500,	0.00,	0.000,	3.500,	''),
(3921,	1188,	528,	2,	3,	3,	4321,	2.800,	0.00,	0.000,	5.600,	''),
(3922,	1188,	676,	2,	3,	3,	4322,	13.000,	0.00,	0.000,	26.000,	''),
(3923,	1189,	551,	1,	63,	3,	4323,	3.800,	5.00,	0.190,	3.990,	''),
(3924,	1190,	1365,	1,	3,	3,	4324,	3.200,	0.00,	0.000,	3.200,	''),
(3925,	1191,	848,	1,	3,	3,	4325,	3.500,	0.00,	0.000,	3.500,	''),
(3926,	1192,	1131,	1,	3,	6,	4326,	4.000,	0.00,	0.000,	2.000,	''),
(3927,	1193,	152,	1,	1,	3,	4328,	1.100,	0.00,	0.000,	1.100,	''),
(3928,	1193,	279,	2,	4,	5,	4327,	0.500,	0.00,	0.000,	1.000,	''),
(3929,	1193,	1131,	1,	7,	3,	4329,	3.200,	0.00,	0.000,	3.200,	''),
(3930,	1194,	45,	2,	3,	7,	4330,	4.800,	0.00,	0.000,	9.600,	''),
(3931,	1196,	1659,	1,	63,	2,	4332,	3.900,	0.00,	0.000,	3.900,	''),
(3932,	1198,	1353,	1,	3,	3,	4334,	4.800,	0.00,	0.000,	4.800,	''),
(3937,	1199,	1442,	0,	3,	23,	4337,	2.800,	0.00,	0.000,	0.700,	''),
(3938,	1199,	1563,	1,	6,	110,	4336,	0.800,	0.00,	0.000,	0.800,	''),
(3939,	1200,	1131,	1,	3,	3,	4338,	3.200,	0.00,	0.000,	3.200,	''),
(3940,	1209,	799,	1,	3,	22,	4351,	1.400,	0.00,	0.000,	1.400,	''),
(3941,	1209,	1344,	1,	3,	103,	4352,	2.200,	0.00,	0.000,	2.200,	''),
(3942,	1209,	1439,	1,	4,	23,	4350,	0.900,	0.00,	0.000,	0.900,	''),
(3943,	1210,	1098,	1,	3,	3,	4353,	6.500,	0.00,	0.000,	6.500,	''),
(3944,	1205,	1491,	2,	3,	3,	4344,	1.400,	0.00,	0.000,	2.800,	''),
(3945,	1202,	1131,	1,	3,	3,	4340,	3.500,	0.00,	0.000,	3.500,	''),
(3946,	1203,	1174,	1,	3,	3,	4341,	3.000,	0.00,	0.000,	3.000,	''),
(3947,	1204,	1131,	5,	3,	3,	4342,	3.000,	0.00,	0.000,	15.000,	''),
(3948,	1206,	753,	1,	63,	2,	4346,	1.800,	0.00,	0.000,	1.800,	''),
(3949,	1206,	1365,	1,	3,	3,	4345,	3.200,	0.00,	0.000,	3.200,	''),
(3950,	1216,	168,	5,	3,	3,	4365,	2.300,	0.00,	0.000,	11.500,	''),
(3951,	1216,	932,	3,	3,	22,	4367,	1.800,	0.00,	0.000,	5.400,	''),
(3952,	1216,	1365,	1,	3,	3,	4362,	3.200,	0.00,	0.000,	3.200,	''),
(3953,	1216,	1443,	1,	3,	23,	4363,	2.800,	0.00,	0.000,	2.800,	''),
(3954,	1216,	1514,	1,	3,	3,	4364,	8.500,	0.00,	0.000,	8.500,	''),
(3955,	1216,	1587,	2,	3,	3,	4366,	5.800,	0.00,	0.000,	11.600,	''),
(3956,	1217,	1439,	1,	4,	23,	4382,	0.800,	0.00,	0.000,	0.800,	''),
(3957,	1218,	1099,	1,	3,	4,	4369,	0.900,	0.00,	0.000,	0.900,	''),
(3958,	1220,	799,	1,	3,	38,	4378,	3.500,	0.00,	0.000,	3.500,	''),
(3959,	1220,	848,	1,	3,	5,	4376,	4.800,	0.00,	0.000,	4.800,	''),
(3960,	1220,	1344,	3,	3,	29,	4375,	2.200,	0.00,	0.000,	6.600,	''),
(3961,	1220,	1439,	2,	3,	23,	4377,	2.800,	0.00,	0.000,	5.600,	''),
(3962,	1221,	528,	1,	3,	3,	4383,	2.800,	0.00,	0.000,	2.800,	''),
(3963,	1221,	1071,	2,	3,	3,	4384,	3.800,	0.00,	0.000,	7.600,	''),
(3964,	1219,	168,	1,	3,	3,	4374,	2.300,	0.00,	0.000,	2.300,	''),
(3965,	1219,	799,	1,	3,	22,	4371,	1.500,	0.00,	0.000,	1.500,	''),
(3966,	1219,	1251,	2,	4,	3,	4370,	0.500,	5.00,	0.050,	1.050,	''),
(3967,	1219,	1365,	1,	3,	3,	4373,	3.100,	0.00,	0.000,	3.100,	''),
(3968,	1219,	1498,	1,	3,	3,	4372,	6.800,	0.00,	0.000,	6.800,	''),
(3969,	1222,	765,	2,	1,	3,	4388,	1.700,	0.00,	0.000,	2.550,	''),
(3970,	1222,	799,	1,	3,	22,	4386,	1.400,	0.00,	0.000,	1.400,	''),
(3971,	1222,	1124,	1,	3,	3,	4387,	2.800,	0.00,	0.000,	2.800,	''),
(3972,	1222,	1251,	2,	4,	3,	4385,	0.500,	5.00,	0.050,	1.050,	''),
(3973,	1223,	65,	1,	7,	14,	4396,	2.600,	0.00,	0.000,	2.600,	''),
(3974,	1223,	152,	2,	1,	3,	4397,	1.100,	0.00,	0.000,	2.310,	''),
(3975,	1223,	765,	1,	1,	3,	4398,	1.700,	0.00,	0.000,	0.850,	''),
(3976,	1223,	844,	1,	10,	3,	4399,	14.800,	0.00,	0.000,	14.800,	''),
(3977,	1223,	1060,	1,	3,	3,	4400,	4.800,	0.00,	0.000,	4.800,	''),
(3978,	1223,	1098,	1,	3,	3,	4401,	6.500,	0.00,	0.000,	6.500,	''),
(3979,	1223,	1659,	1,	63,	3,	4402,	0.800,	0.00,	0.000,	0.800,	''),
(3980,	1226,	1344,	1,	10,	103,	4410,	2.200,	0.00,	0.000,	2.200,	''),
(3981,	1224,	1344,	1,	3,	29,	4403,	2.200,	0.00,	0.000,	2.200,	''),
(3982,	1225,	848,	1,	3,	38,	4414,	3.500,	0.00,	0.000,	3.500,	''),
(3983,	1227,	73,	1,	7,	8,	4411,	2.300,	0.00,	0.000,	2.300,	''),
(3984,	1227,	848,	1,	3,	38,	4413,	3.500,	0.00,	0.000,	3.500,	''),
(3985,	1227,	1344,	1,	3,	29,	4412,	2.200,	0.00,	0.000,	2.200,	''),
(3986,	1201,	1179,	1,	3,	3,	4339,	2.800,	0.00,	0.000,	2.800,	''),
(3987,	1208,	799,	1,	3,	3,	4349,	3.500,	0.00,	0.000,	3.500,	''),
(3988,	1208,	1365,	1,	3,	3,	4348,	3.200,	0.00,	0.000,	3.200,	''),
(3989,	1211,	1071,	1,	3,	3,	4354,	3.800,	0.00,	0.000,	3.800,	''),
(3990,	1212,	932,	1,	3,	79,	4355,	2.000,	0.00,	0.000,	2.000,	''),
(3991,	1212,	1425,	2,	1,	3,	4356,	1.500,	0.00,	0.000,	3.000,	''),
(3992,	1212,	1563,	1,	3,	110,	4357,	6.800,	0.00,	0.000,	6.800,	''),
(3995,	1214,	57,	1,	7,	13,	4360,	2.000,	0.00,	0.000,	2.000,	''),
(3996,	1215,	932,	1,	3,	79,	4361,	2.000,	0.00,	0.000,	2.000,	''),
(3997,	1273,	450,	1,	1,	3,	4553,	0.900,	0.00,	0.000,	0.900,	''),
(3998,	1272,	1563,	1,	3,	110,	4552,	6.500,	0.00,	0.000,	6.500,	''),
(3999,	1270,	1066,	1,	3,	3,	4549,	3.700,	0.00,	0.000,	3.700,	''),
(4000,	1269,	682,	1,	3,	3,	4547,	11.000,	0.00,	0.000,	5.500,	''),
(4001,	1269,	1124,	3,	3,	3,	4548,	2.800,	0.00,	0.000,	8.400,	''),
(4002,	1268,	1127,	70,	3,	3,	4546,	2.600,	0.00,	0.000,	182.000,	''),
(4003,	1268,	1563,	2,	3,	110,	4545,	6.700,	0.00,	0.000,	13.400,	''),
(4004,	1267,	777,	1,	10,	3,	4544,	6.200,	0.00,	0.000,	6.200,	''),
(4005,	1266,	1166,	3,	3,	3,	4543,	2.800,	0.00,	0.000,	8.400,	''),
(4006,	1265,	836,	1,	3,	3,	4542,	6.400,	0.00,	0.000,	6.400,	''),
(4007,	1264,	1251,	1,	3,	3,	4541,	3.850,	5.00,	0.096,	2.021,	''),
(4008,	1263,	1344,	1,	3,	20,	4540,	3.600,	0.00,	0.000,	3.600,	''),
(4009,	1263,	1610,	1,	3,	3,	4539,	5.000,	0.00,	0.000,	5.000,	''),
(4010,	1261,	848,	1,	3,	5,	4535,	4.800,	0.00,	0.000,	4.800,	''),
(4011,	1261,	1587,	3,	3,	3,	4536,	5.800,	0.00,	0.000,	17.400,	''),
(4012,	1261,	1610,	2,	3,	3,	4537,	5.000,	0.00,	0.000,	10.000,	''),
(4013,	1260,	1166,	1,	3,	3,	4531,	2.800,	0.00,	0.000,	2.800,	''),
(4014,	1262,	1131,	20,	7,	3,	4538,	2.900,	0.00,	0.000,	58.000,	''),
(4015,	1258,	571,	2,	63,	3,	4526,	1.000,	0.00,	0.000,	2.000,	''),
(4016,	1259,	766,	3,	3,	3,	4530,	2.200,	0.00,	0.000,	6.600,	''),
(4017,	1259,	1351,	7,	3,	20,	4528,	6.800,	0.00,	0.000,	47.600,	''),
(4018,	1259,	1425,	1,	1,	3,	4529,	1.500,	0.00,	0.000,	1.500,	''),
(4019,	1259,	1587,	2,	3,	3,	4527,	5.800,	0.00,	0.000,	11.600,	''),
(4020,	1257,	571,	1,	63,	3,	4525,	1.000,	0.00,	0.000,	1.000,	''),
(4021,	1256,	799,	2,	3,	3,	4524,	3.500,	0.00,	0.000,	7.000,	''),
(4022,	1256,	836,	2,	3,	3,	4522,	6.400,	0.00,	0.000,	12.800,	''),
(4023,	1256,	848,	2,	3,	3,	4523,	3.500,	0.00,	0.000,	7.000,	''),
(4024,	1255,	1060,	2,	3,	3,	4521,	4.800,	0.00,	0.000,	9.600,	''),
(4025,	1254,	170,	1,	3,	3,	4520,	6.800,	0.00,	0.000,	6.800,	''),
(4026,	1253,	682,	1,	3,	3,	4517,	10.800,	0.00,	0.000,	5.400,	''),
(4027,	1253,	753,	1,	63,	2,	4519,	2.000,	0.00,	0.000,	2.000,	''),
(4028,	1253,	766,	1,	3,	3,	4518,	2.300,	0.00,	0.000,	2.300,	''),
(4029,	1252,	74,	1,	3,	13,	4511,	9.400,	0.00,	0.000,	9.400,	''),
(4030,	1252,	420,	2,	3,	3,	4512,	2.100,	0.00,	0.000,	4.200,	''),
(4031,	1252,	753,	5,	63,	2,	4513,	1.600,	0.00,	0.000,	8.000,	''),
(4032,	1252,	799,	1,	3,	38,	4514,	3.500,	0.00,	0.000,	3.500,	''),
(4033,	1252,	1060,	1,	3,	3,	4515,	4.800,	0.00,	0.000,	4.800,	''),
(4034,	1252,	1839,	5,	63,	2,	4516,	1.700,	5.00,	0.425,	8.925,	''),
(4035,	1251,	1251,	10,	3,	3,	4504,	3.600,	5.00,	1.800,	37.800,	''),
(4036,	1250,	1498,	2,	3,	23,	4503,	6.800,	0.00,	0.000,	13.600,	''),
(4037,	1237,	1353,	1,	3,	3,	4443,	4.800,	0.00,	0.000,	4.800,	''),
(4038,	1236,	682,	1,	3,	3,	4442,	11.000,	0.00,	0.000,	5.500,	''),
(4039,	1236,	799,	1,	3,	3,	4440,	3.500,	0.00,	0.000,	3.500,	''),
(4040,	1236,	1138,	1,	3,	3,	4441,	2.600,	0.00,	0.000,	2.600,	''),
(4041,	1235,	1174,	2,	3,	3,	4439,	3.000,	0.00,	0.000,	6.000,	''),
(4042,	1234,	31,	2,	7,	15,	4438,	2.200,	0.00,	0.000,	4.400,	''),
(4043,	1234,	1345,	1,	3,	20,	4437,	3.600,	0.00,	0.000,	3.600,	''),
(4044,	1233,	1166,	2,	3,	3,	4436,	2.800,	0.00,	0.000,	5.600,	''),
(4045,	1232,	168,	1,	3,	3,	4435,	2.200,	0.00,	0.000,	2.200,	''),
(4046,	1231,	249,	1,	63,	2,	4434,	1.000,	0.00,	0.000,	1.000,	''),
(4047,	1230,	168,	1,	3,	3,	4433,	2.300,	0.00,	0.000,	2.300,	''),
(4048,	1230,	799,	1,	3,	38,	4431,	3.500,	0.00,	0.000,	3.500,	''),
(4049,	1230,	1659,	1,	63,	3,	4432,	0.800,	0.00,	0.000,	0.800,	''),
(4050,	1229,	57,	1,	7,	12,	4425,	2.200,	0.00,	0.000,	2.200,	''),
(4051,	1229,	168,	1,	3,	3,	4426,	2.300,	0.00,	0.000,	2.300,	''),
(4052,	1229,	848,	2,	3,	38,	4427,	3.500,	0.00,	0.000,	7.000,	''),
(4053,	1229,	1166,	2,	3,	3,	4428,	2.800,	0.00,	0.000,	5.600,	''),
(4054,	1229,	1353,	1,	4,	3,	4429,	4.800,	0.00,	0.000,	4.800,	''),
(4055,	1229,	1587,	1,	3,	3,	4430,	5.500,	0.00,	0.000,	5.500,	''),
(4056,	1228,	682,	1,	3,	3,	4416,	10.800,	0.00,	0.000,	10.800,	''),
(4057,	1228,	753,	1,	63,	2,	4418,	2.100,	0.00,	0.000,	2.100,	''),
(4058,	1228,	766,	1,	3,	3,	4417,	2.300,	0.00,	0.000,	2.300,	''),
(4059,	1228,	1839,	1,	63,	3,	4415,	1.750,	5.00,	0.088,	1.838,	''),
(4060,	1213,	1365,	1,	3,	3,	4359,	3.200,	0.00,	0.000,	3.200,	''),
(4061,	1213,	1439,	1,	4,	23,	4358,	0.900,	0.00,	0.000,	0.900,	''),
(4062,	1207,	1099,	3,	3,	4,	4347,	0.800,	0.00,	0.000,	2.400,	''),
(4063,	1283,	1060,	3,	3,	3,	4593,	4.800,	0.00,	0.000,	14.400,	''),
(4064,	1284,	1830,	6,	4,	3,	4594,	0.700,	0.00,	0.000,	4.200,	''),
(4065,	1285,	766,	1,	3,	3,	4595,	2.300,	0.00,	0.000,	2.300,	''),
(4066,	1305,	753,	1,	63,	3,	4663,	1.600,	0.00,	0.000,	1.600,	''),
(4070,	1287,	1251,	1,	3,	3,	4600,	3.850,	5.00,	0.193,	4.043,	''),
(4074,	1304,	969,	1,	3,	3,	4662,	6.400,	0.00,	0.000,	6.400,	''),
(4075,	1303,	682,	1,	3,	3,	4661,	11.000,	0.00,	0.000,	5.500,	''),
(4076,	1302,	1610,	1,	3,	3,	4660,	5.000,	0.00,	0.000,	5.000,	''),
(4077,	1301,	1071,	1,	3,	3,	4659,	3.600,	0.00,	0.000,	3.600,	''),
(4078,	1300,	753,	2,	63,	2,	4658,	1.900,	0.00,	0.000,	3.800,	''),
(4079,	1299,	676,	1,	3,	3,	4653,	13.000,	0.00,	0.000,	13.000,	''),
(4080,	1298,	168,	1,	3,	3,	4654,	2.200,	0.00,	0.000,	2.200,	''),
(4081,	1298,	799,	1,	3,	38,	4655,	3.500,	0.00,	0.000,	3.500,	''),
(4082,	1298,	1131,	1,	3,	6,	4656,	3.800,	0.00,	0.000,	3.800,	''),
(4083,	1298,	1344,	1,	3,	20,	4657,	3.800,	0.00,	0.000,	3.800,	''),
(4084,	1297,	423,	2,	3,	3,	4648,	2.200,	0.00,	0.000,	4.400,	''),
(4085,	1297,	1336,	3,	3,	29,	4649,	3.000,	0.00,	0.000,	9.000,	''),
(4086,	1279,	848,	1,	3,	38,	4589,	3.500,	0.00,	0.000,	3.500,	''),
(4087,	1292,	57,	1,	7,	13,	4642,	2.200,	0.00,	0.000,	2.200,	''),
(4088,	1292,	168,	1,	3,	3,	4636,	2.200,	0.00,	0.000,	2.200,	''),
(4089,	1292,	753,	1,	3,	3,	4639,	1.800,	0.00,	0.000,	1.800,	''),
(4090,	1292,	1138,	1,	3,	3,	4637,	2.400,	0.00,	0.000,	2.400,	''),
(4091,	1292,	1312,	1,	63,	2,	4638,	3.000,	0.00,	0.000,	3.000,	''),
(4092,	1292,	1336,	1,	3,	29,	4640,	3.000,	0.00,	0.000,	3.000,	''),
(4093,	1292,	1526,	1,	7,	3,	4641,	2.200,	0.00,	0.000,	2.200,	''),
(4094,	1293,	1425,	1,	1,	3,	4621,	1.500,	0.00,	0.000,	1.500,	''),
(4095,	1277,	57,	1,	3,	13,	4584,	8.600,	0.00,	0.000,	8.600,	''),
(4096,	1277,	420,	1,	3,	3,	4576,	2.100,	0.00,	0.000,	2.100,	''),
(4097,	1277,	676,	1,	3,	3,	4575,	12.900,	0.00,	0.000,	12.900,	''),
(4098,	1277,	753,	4,	63,	3,	4581,	1.700,	0.00,	0.000,	6.800,	''),
(4099,	1277,	766,	2,	3,	3,	4582,	2.200,	0.00,	0.000,	4.400,	''),
(4100,	1277,	799,	2,	3,	3,	4579,	3.400,	0.00,	0.000,	6.800,	''),
(4101,	1277,	1166,	5,	3,	3,	4583,	2.700,	0.00,	0.000,	13.500,	''),
(4102,	1277,	1344,	1,	3,	25,	4577,	3.200,	0.00,	0.000,	3.200,	''),
(4103,	1277,	1839,	3,	63,	3,	4580,	1.700,	5.00,	0.255,	5.355,	''),
(4104,	1277,	1978,	1,	63,	3,	4578,	2.200,	5.00,	0.110,	2.310,	''),
(4105,	1276,	799,	1,	3,	38,	4567,	3.500,	0.00,	0.000,	3.500,	''),
(4106,	1276,	848,	1,	3,	5,	4570,	4.800,	0.00,	0.000,	4.800,	''),
(4107,	1276,	932,	2,	3,	79,	4568,	1.800,	0.00,	0.000,	3.600,	''),
(4108,	1276,	1098,	1,	3,	3,	4571,	6.500,	0.00,	0.000,	6.500,	''),
(4109,	1276,	1610,	1,	3,	3,	4569,	5.000,	0.00,	0.000,	5.000,	''),
(4110,	1281,	1659,	20,	63,	3,	4591,	0.750,	0.00,	0.000,	15.000,	''),
(4111,	1282,	848,	2,	3,	38,	4592,	3.500,	0.00,	0.000,	7.000,	''),
(4112,	1291,	799,	1,	3,	38,	4613,	3.500,	0.00,	0.000,	3.500,	''),
(4113,	1290,	57,	1,	7,	13,	4610,	2.200,	0.00,	0.000,	2.200,	''),
(4114,	1290,	169,	1,	3,	3,	4603,	2.200,	0.00,	0.000,	2.200,	''),
(4115,	1290,	848,	1,	4,	5,	4609,	0.500,	0.00,	0.000,	0.500,	''),
(4116,	1290,	932,	1,	6,	5,	4608,	0.600,	0.00,	0.000,	0.600,	''),
(4117,	1290,	1166,	1,	3,	3,	4606,	2.800,	0.00,	0.000,	2.800,	''),
(4118,	1290,	1263,	1,	4,	23,	4607,	1.400,	0.00,	0.000,	1.400,	''),
(4119,	1290,	1365,	1,	3,	3,	4611,	3.000,	0.00,	0.000,	3.000,	''),
(4120,	1290,	1491,	1,	3,	3,	4605,	1.500,	0.00,	0.000,	1.500,	''),
(4121,	1290,	1587,	1,	4,	23,	4604,	1.400,	0.00,	0.000,	1.400,	''),
(4122,	1290,	1626,	1,	3,	71,	4612,	2.800,	0.00,	0.000,	2.800,	''),
(4123,	1289,	152,	1,	1,	3,	4602,	1.200,	0.00,	0.000,	0.840,	''),
(4124,	1288,	1563,	1,	6,	110,	4601,	0.800,	0.00,	0.000,	0.800,	''),
(4125,	1286,	528,	1,	3,	3,	4597,	2.800,	0.00,	0.000,	2.800,	''),
(4126,	1286,	799,	1,	3,	38,	4596,	3.500,	0.00,	0.000,	3.500,	''),
(4127,	1280,	424,	1,	3,	3,	4590,	2.200,	0.00,	0.000,	2.200,	''),
(4128,	1295,	1659,	1,	63,	4,	4644,	0.800,	0.00,	0.000,	0.800,	''),
(4129,	1294,	1131,	1,	3,	6,	4643,	3.800,	0.00,	0.000,	3.800,	''),
(4130,	1296,	528,	3,	3,	3,	4645,	2.800,	0.00,	0.000,	8.400,	''),
(4131,	1275,	810,	1,	3,	3,	4566,	12.000,	0.00,	0.000,	12.000,	''),
(4132,	1275,	1201,	1,	3,	3,	4565,	3.800,	5.00,	0.190,	3.990,	''),
(4133,	1274,	420,	3,	3,	3,	4572,	2.100,	0.00,	0.000,	6.300,	''),
(4134,	1274,	1071,	2,	3,	3,	4573,	3.500,	0.00,	0.000,	7.000,	''),
(4135,	1274,	1563,	1,	3,	110,	4574,	6.500,	0.00,	0.000,	6.500,	''),
(4136,	1278,	753,	1,	63,	2,	4587,	1.600,	0.00,	0.000,	1.600,	''),
(4137,	1278,	1098,	1,	3,	3,	4588,	6.500,	0.00,	0.000,	6.500,	''),
(4138,	1306,	1263,	1,	3,	23,	4664,	5.200,	0.00,	0.000,	5.200,	''),
(4139,	1307,	676,	1,	3,	4,	4665,	11.800,	0.00,	0.000,	5.900,	''),
(4140,	1308,	76,	3,	7,	13,	4678,	2.200,	0.00,	0.000,	6.600,	''),
(4141,	1308,	170,	1,	3,	3,	4679,	7.000,	0.00,	0.000,	7.000,	''),
(4142,	1308,	275,	1,	3,	3,	4680,	4.000,	0.00,	0.000,	4.000,	''),
(4143,	1308,	420,	1,	3,	3,	4681,	2.100,	0.00,	0.000,	2.100,	''),
(4144,	1308,	452,	1,	1,	22,	4682,	1.000,	0.00,	0.000,	1.000,	''),
(4145,	1308,	753,	1,	63,	3,	4683,	2.100,	0.00,	0.000,	2.100,	''),
(4146,	1308,	1044,	1,	3,	3,	4684,	2.800,	0.00,	0.000,	2.800,	''),
(4147,	1308,	1060,	1,	3,	3,	4685,	4.800,	0.00,	0.000,	4.800,	''),
(4148,	1308,	1166,	3,	3,	3,	4686,	2.800,	0.00,	0.000,	8.400,	''),
(4149,	1308,	1201,	2,	3,	3,	4687,	3.800,	5.00,	0.380,	7.980,	''),
(4150,	1308,	1312,	1,	63,	84,	4688,	3.200,	0.00,	0.000,	3.200,	''),
(4151,	1308,	1336,	2,	3,	29,	4689,	3.000,	0.00,	0.000,	6.000,	''),
(4152,	1309,	423,	1,	3,	3,	4692,	2.200,	0.00,	0.000,	2.200,	''),
(4153,	1309,	571,	1,	63,	3,	4690,	1.000,	0.00,	0.000,	1.000,	''),
(4154,	1309,	1166,	2,	3,	3,	4691,	2.800,	0.00,	0.000,	5.600,	''),
(4155,	1310,	45,	1,	3,	3,	4694,	2.800,	0.00,	0.000,	2.800,	''),
(4156,	1310,	1352,	1,	3,	20,	4695,	6.800,	0.00,	0.000,	6.800,	''),
(4157,	1310,	1514,	1,	7,	4,	4693,	2.400,	0.00,	0.000,	2.400,	''),
(4158,	1311,	1312,	1,	63,	84,	4696,	3.200,	0.00,	0.000,	3.200,	''),
(4159,	1311,	1317,	1,	63,	4,	4697,	1.200,	0.00,	0.000,	1.200,	''),
(4160,	1312,	170,	2,	3,	3,	4702,	6.800,	0.00,	0.000,	13.600,	''),
(4161,	1312,	932,	2,	3,	24,	4700,	3.600,	0.00,	0.000,	7.200,	''),
(4162,	1312,	1060,	4,	3,	3,	4698,	4.800,	0.00,	0.000,	19.200,	''),
(4163,	1312,	1124,	10,	3,	3,	4701,	2.500,	0.00,	0.000,	25.000,	''),
(4164,	1312,	1344,	10,	3,	29,	4699,	2.200,	0.00,	0.000,	22.000,	''),
(4165,	1313,	170,	1,	3,	3,	4715,	6.800,	0.00,	0.000,	6.800,	''),
(4166,	1313,	423,	1,	3,	3,	4716,	2.200,	0.00,	0.000,	2.200,	''),
(4167,	1313,	1166,	2,	3,	3,	4717,	2.800,	0.00,	0.000,	5.600,	''),
(4168,	1314,	170,	4,	3,	3,	4720,	6.800,	0.00,	0.000,	27.200,	''),
(4169,	1314,	420,	20,	3,	3,	4718,	2.100,	0.00,	0.000,	42.000,	''),
(4170,	1314,	753,	30,	3,	3,	4721,	1.600,	0.00,	0.000,	48.000,	''),
(4171,	1314,	1071,	10,	3,	3,	4719,	3.400,	0.00,	0.000,	34.000,	''),
(4172,	1315,	691,	1,	3,	3,	4722,	13.000,	0.00,	0.000,	13.000,	''),
(4173,	1317,	528,	1,	3,	3,	4724,	2.800,	0.00,	0.000,	2.800,	''),
(4174,	1318,	799,	1,	3,	3,	4725,	3.500,	0.00,	0.000,	3.500,	''),
(4175,	1319,	1071,	1,	3,	3,	4727,	3.400,	0.00,	0.000,	3.400,	''),
(4176,	1319,	1626,	1,	3,	71,	4726,	2.600,	0.00,	0.000,	2.600,	''),
(4177,	1320,	753,	1,	63,	2,	4728,	2.100,	0.00,	0.000,	2.100,	''),
(4178,	1321,	691,	1,	3,	3,	4730,	13.000,	0.00,	0.000,	13.000,	''),
(4179,	1321,	799,	1,	3,	3,	4729,	3.500,	0.00,	0.000,	3.500,	''),
(4180,	1322,	1470,	1,	3,	3,	4731,	8.500,	0.00,	0.000,	8.500,	''),
(4181,	1323,	1098,	1,	3,	3,	4734,	6.500,	0.00,	0.000,	6.500,	''),
(4182,	1324,	682,	1,	3,	3,	4735,	11.000,	0.00,	0.000,	5.500,	''),
(4183,	1325,	1336,	2,	3,	100,	4736,	3.000,	0.00,	0.000,	6.000,	''),
(4184,	1326,	1563,	1,	3,	110,	4737,	6.500,	0.00,	0.000,	6.500,	''),
(4185,	1328,	691,	2,	3,	3,	4739,	13.000,	0.00,	0.000,	26.000,	''),
(4186,	1327,	1298,	1,	1,	3,	4738,	1.500,	0.00,	0.000,	1.500,	''),
(4187,	1329,	753,	1,	63,	2,	4740,	1.700,	0.00,	0.000,	1.700,	''),
(4188,	1330,	1659,	1,	63,	70,	4747,	3.900,	0.00,	0.000,	3.900,	''),
(4189,	1331,	758,	1,	63,	3,	4744,	1.700,	0.00,	0.000,	1.700,	''),
(4190,	1331,	766,	1,	3,	3,	4745,	2.300,	0.00,	0.000,	2.300,	''),
(4191,	1332,	1336,	1,	3,	20,	4746,	3.600,	0.00,	0.000,	3.600,	''),
(4192,	1334,	168,	5,	1,	3,	4749,	1.200,	0.00,	0.000,	6.000,	''),
(4193,	1335,	1251,	1,	3,	3,	4750,	3.850,	5.00,	0.193,	4.043,	''),
(4194,	1336,	275,	2,	4,	3,	4756,	0.400,	0.00,	0.000,	0.800,	''),
(4195,	1336,	848,	1,	3,	22,	4757,	1.900,	0.00,	0.000,	1.900,	''),
(4196,	1336,	932,	1,	3,	79,	4758,	1.900,	0.00,	0.000,	1.900,	''),
(4197,	1336,	1353,	1,	3,	3,	4755,	4.800,	0.00,	0.000,	4.800,	''),
(4198,	1337,	1443,	1,	4,	23,	4759,	0.800,	0.00,	0.000,	0.800,	''),
(4199,	1337,	1626,	1,	3,	71,	4760,	2.600,	0.00,	0.000,	2.600,	''),
(4200,	1339,	76,	1,	7,	14,	4775,	2.200,	0.00,	0.000,	2.200,	''),
(4201,	1339,	168,	1,	3,	3,	4776,	2.200,	0.00,	0.000,	2.200,	''),
(4202,	1339,	178,	4,	1,	3,	4777,	1.200,	0.00,	0.000,	4.320,	''),
(4203,	1339,	848,	1,	3,	38,	4778,	3.500,	0.00,	0.000,	3.500,	''),
(4204,	1339,	932,	1,	3,	79,	4779,	1.900,	0.00,	0.000,	1.900,	''),
(4205,	1339,	1078,	1,	3,	3,	4780,	3.800,	0.00,	0.000,	3.800,	''),
(4206,	1339,	1166,	2,	3,	3,	4781,	2.800,	0.00,	0.000,	5.600,	''),
(4207,	1339,	1174,	1,	3,	3,	4782,	3.000,	0.00,	0.000,	3.000,	''),
(4208,	1339,	1354,	1,	3,	3,	4783,	4.800,	0.00,	0.000,	4.800,	''),
(4209,	1339,	1461,	1,	3,	23,	4784,	3.000,	0.00,	0.000,	3.000,	''),
(4210,	1339,	1470,	1,	7,	3,	4785,	2.400,	0.00,	0.000,	2.400,	''),
(4211,	1339,	1625,	1,	3,	3,	4786,	2.800,	0.00,	0.000,	2.800,	''),
(4212,	1339,	1726,	1,	4,	3,	4787,	1.500,	0.00,	0.000,	1.500,	''),
(4213,	1340,	275,	5,	4,	3,	4788,	0.400,	0.00,	0.000,	2.000,	''),
(4214,	1340,	848,	1,	3,	38,	4793,	3.500,	0.00,	0.000,	3.500,	''),
(4215,	1340,	894,	1,	3,	3,	4792,	1.400,	0.00,	0.000,	1.400,	''),
(4216,	1340,	1166,	1,	3,	3,	4789,	2.800,	0.00,	0.000,	2.800,	''),
(4217,	1340,	1344,	1,	3,	29,	4790,	2.400,	0.00,	0.000,	2.400,	''),
(4218,	1340,	1626,	1,	3,	71,	4791,	2.600,	0.00,	0.000,	2.600,	''),
(4219,	1341,	45,	1,	3,	3,	4797,	2.800,	0.00,	0.000,	2.800,	''),
(4220,	1341,	799,	1,	3,	38,	4796,	3.500,	0.00,	0.000,	3.500,	''),
(4221,	1341,	932,	1,	3,	79,	4798,	1.800,	0.00,	0.000,	1.800,	''),
(4222,	1341,	1174,	3,	3,	3,	4799,	3.000,	0.00,	0.000,	9.000,	''),
(4223,	1341,	1353,	1,	3,	3,	4794,	4.800,	0.00,	0.000,	4.800,	''),
(4224,	1341,	1498,	1,	3,	3,	4795,	6.800,	0.00,	0.000,	6.800,	''),
(4225,	1342,	275,	2,	4,	3,	4800,	0.400,	0.00,	0.000,	0.800,	''),
(4226,	1342,	799,	1,	3,	38,	4802,	3.600,	0.00,	0.000,	3.600,	''),
(4227,	1342,	932,	1,	6,	24,	4801,	0.700,	0.00,	0.000,	0.700,	''),
(4228,	1342,	1124,	1,	3,	3,	4803,	2.500,	0.00,	0.000,	2.500,	''),
(4229,	1342,	1264,	1,	10,	3,	4805,	1.400,	0.00,	0.000,	1.400,	''),
(4230,	1342,	1470,	1,	7,	3,	4804,	2.400,	0.00,	0.000,	2.400,	''),
(4231,	1343,	168,	2,	3,	3,	4822,	2.300,	0.00,	0.000,	4.600,	''),
(4232,	1343,	420,	1,	3,	3,	4823,	2.100,	0.00,	0.000,	2.100,	''),
(4233,	1343,	691,	1,	3,	3,	4824,	13.000,	0.00,	0.000,	6.500,	''),
(4234,	1343,	848,	1,	4,	5,	4825,	4.500,	0.00,	0.000,	2.250,	''),
(4235,	1343,	1071,	1,	3,	3,	4826,	3.400,	0.00,	0.000,	3.400,	''),
(4236,	1343,	1387,	4,	1,	3,	4827,	0.500,	5.00,	0.100,	2.100,	''),
(4237,	1344,	178,	1,	3,	3,	4812,	11.200,	0.00,	0.000,	11.200,	''),
(4238,	1344,	676,	1,	3,	3,	4815,	13.000,	0.00,	0.000,	6.500,	''),
(4239,	1344,	676,	1,	3,	4,	4814,	11.800,	0.00,	0.000,	5.900,	''),
(4240,	1344,	1344,	1,	3,	20,	4813,	3.600,	0.00,	0.000,	3.600,	''),
(4241,	1345,	1344,	1,	3,	20,	4923,	3.600,	0.00,	0.000,	3.600,	''),
(4242,	1346,	275,	2,	4,	3,	4832,	0.400,	0.00,	0.000,	0.800,	''),
(4243,	1346,	848,	1,	3,	38,	4833,	3.500,	0.00,	0.000,	3.500,	''),
(4244,	1346,	1166,	2,	3,	3,	4834,	2.800,	0.00,	0.000,	5.600,	''),
(4245,	1347,	848,	1,	3,	38,	4851,	1.900,	0.00,	0.000,	1.900,	''),
(4246,	1347,	1166,	1,	3,	3,	4852,	2.800,	0.00,	0.000,	2.800,	''),
(4247,	1347,	1353,	1,	3,	3,	4853,	3.000,	0.00,	0.000,	3.000,	''),
(4248,	1347,	1470,	1,	7,	3,	4854,	2.400,	0.00,	0.000,	2.400,	''),
(4249,	1348,	57,	1,	7,	10,	4840,	2.500,	0.00,	0.000,	2.500,	''),
(4250,	1348,	275,	5,	4,	3,	4839,	0.400,	0.00,	0.000,	2.000,	''),
(4251,	1348,	799,	1,	3,	38,	4842,	3.500,	0.00,	0.000,	3.500,	''),
(4252,	1348,	1127,	1,	3,	3,	4841,	2.800,	0.00,	0.000,	2.800,	''),
(4253,	1348,	1351,	1,	3,	20,	4843,	6.800,	0.00,	0.000,	6.800,	''),
(4258,	1354,	45,	1,	3,	7,	4871,	4.600,	0.00,	0.000,	4.600,	''),
(4259,	1354,	178,	3,	1,	3,	4873,	1.200,	0.00,	0.000,	3.600,	''),
(4260,	1354,	528,	2,	3,	3,	4872,	2.800,	0.00,	0.000,	5.600,	''),
(4261,	1354,	848,	1,	3,	38,	4870,	3.500,	0.00,	0.000,	3.500,	''),
(4262,	1354,	1839,	1,	63,	2,	4869,	1.700,	5.00,	0.085,	1.785,	''),
(4263,	1353,	275,	1,	3,	3,	4864,	4.000,	0.00,	0.000,	4.000,	''),
(4264,	1353,	667,	1,	3,	3,	4857,	18.000,	0.00,	0.000,	18.000,	''),
(4265,	1353,	799,	1,	3,	38,	4865,	3.500,	0.00,	0.000,	3.500,	''),
(4266,	1353,	882,	1,	3,	22,	4863,	2.000,	0.00,	0.000,	2.000,	''),
(4267,	1353,	1071,	1,	3,	3,	4868,	3.600,	0.00,	0.000,	3.600,	''),
(4268,	1353,	1078,	1,	3,	3,	4860,	3.800,	0.00,	0.000,	3.800,	''),
(4269,	1353,	1080,	1,	3,	3,	4859,	3.800,	0.00,	0.000,	3.800,	''),
(4270,	1353,	1166,	2,	3,	3,	4862,	2.800,	0.00,	0.000,	5.600,	''),
(4271,	1353,	1201,	1,	3,	3,	4861,	3.800,	5.00,	0.190,	3.990,	''),
(4272,	1353,	1399,	1,	3,	3,	4866,	12.800,	5.00,	0.640,	13.440,	''),
(4273,	1353,	1563,	1,	3,	110,	4856,	6.800,	0.00,	0.000,	6.800,	''),
(4274,	1353,	1587,	1,	3,	3,	4867,	5.800,	0.00,	0.000,	5.800,	''),
(4275,	1353,	1659,	2,	63,	3,	4858,	0.800,	0.00,	0.000,	1.600,	''),
(4276,	1349,	76,	1,	6,	9,	4846,	10.300,	0.00,	0.000,	10.300,	''),
(4277,	1349,	249,	1,	63,	2,	4847,	1.000,	0.00,	0.000,	1.000,	''),
(4278,	1349,	275,	1,	3,	3,	4844,	4.000,	0.00,	0.000,	4.000,	''),
(4279,	1349,	423,	1,	3,	3,	4845,	2.200,	0.00,	0.000,	2.200,	''),
(4280,	1350,	168,	1,	3,	3,	4849,	2.200,	0.00,	0.000,	2.200,	''),
(4281,	1351,	1071,	1,	3,	3,	4850,	3.500,	0.00,	0.000,	3.500,	''),
(4282,	1352,	1626,	1,	3,	71,	4855,	2.600,	0.00,	0.000,	2.600,	''),
(4283,	1355,	799,	1,	3,	22,	4875,	1.400,	0.00,	0.000,	1.400,	''),
(4284,	1355,	1127,	1,	3,	3,	4874,	2.800,	0.00,	0.000,	2.800,	''),
(4285,	1406,	1098,	2,	3,	3,	5045,	6.500,	0.00,	0.000,	13.000,	''),
(4286,	1407,	1060,	2,	3,	3,	5052,	4.800,	0.00,	0.000,	9.600,	''),
(4287,	1408,	1365,	2,	3,	3,	5053,	3.000,	0.00,	0.000,	6.000,	''),
(4288,	1409,	1659,	10,	63,	3,	5054,	0.750,	0.00,	0.000,	7.500,	''),
(4289,	1410,	683,	1,	3,	3,	5055,	10.800,	0.00,	0.000,	5.400,	''),
(4290,	1411,	1365,	1,	3,	3,	5056,	3.200,	0.00,	0.000,	3.200,	''),
(4291,	1412,	423,	1,	3,	3,	5057,	2.200,	0.00,	0.000,	2.200,	''),
(4292,	1413,	753,	1,	63,	3,	5059,	1.800,	0.00,	0.000,	1.800,	''),
(4293,	1413,	766,	1,	3,	3,	5058,	2.300,	0.00,	0.000,	2.300,	''),
(4294,	1414,	836,	1,	3,	3,	5060,	6.500,	0.00,	0.000,	6.500,	''),
(4295,	1415,	249,	1,	63,	3,	5061,	1.000,	0.00,	0.000,	1.000,	''),
(4296,	1415,	420,	1,	3,	3,	5062,	2.100,	0.00,	0.000,	2.100,	''),
(4297,	1415,	848,	1,	3,	38,	5063,	3.500,	0.00,	0.000,	3.500,	''),
(4298,	1415,	1365,	1,	3,	3,	5064,	3.200,	0.00,	0.000,	3.200,	''),
(4299,	1416,	1127,	1,	3,	3,	5065,	2.900,	0.00,	0.000,	2.900,	''),
(4300,	1442,	799,	1,	3,	22,	5117,	1.400,	0.00,	0.000,	1.400,	''),
(4301,	1442,	1131,	4,	3,	3,	5118,	2.900,	0.00,	0.000,	11.600,	''),
(4302,	1441,	551,	1,	63,	2,	5114,	3.800,	5.00,	0.190,	3.990,	''),
(4303,	1441,	753,	1,	63,	3,	5115,	2.100,	0.00,	0.000,	2.100,	''),
(4304,	1441,	766,	2,	3,	3,	5116,	2.300,	0.00,	0.000,	4.600,	''),
(4305,	1438,	1098,	2,	3,	3,	5111,	6.500,	0.00,	0.000,	13.000,	''),
(4306,	1437,	168,	2,	3,	3,	5109,	2.200,	0.00,	0.000,	4.400,	''),
(4307,	1437,	1071,	1,	3,	3,	5108,	3.400,	0.00,	0.000,	3.400,	''),
(4308,	1437,	1344,	2,	3,	25,	5110,	3.600,	0.00,	0.000,	7.200,	''),
(4309,	1436,	1251,	1,	3,	3,	5107,	3.825,	5.00,	0.191,	4.016,	''),
(4310,	1435,	1251,	1,	3,	3,	5106,	3.850,	5.00,	0.193,	4.043,	''),
(4311,	1434,	420,	1,	3,	3,	5105,	2.100,	0.00,	0.000,	2.100,	''),
(4312,	1433,	882,	1,	3,	22,	5101,	2.000,	0.00,	0.000,	2.000,	''),
(4313,	1433,	1071,	1,	3,	4,	5102,	3.300,	0.00,	0.000,	3.300,	''),
(4314,	1433,	1563,	4,	6,	110,	5103,	0.900,	0.00,	0.000,	3.600,	''),
(4315,	1433,	1830,	4,	4,	3,	5104,	0.700,	0.00,	0.000,	2.800,	''),
(4316,	1432,	752,	1,	3,	3,	5096,	13.800,	0.00,	0.000,	13.800,	''),
(4317,	1431,	170,	1,	3,	3,	5095,	6.800,	0.00,	0.000,	6.800,	''),
(4318,	1431,	1626,	2,	3,	71,	5094,	2.300,	0.00,	0.000,	4.600,	''),
(4319,	1430,	752,	2,	3,	3,	5093,	14.100,	0.00,	0.000,	28.200,	''),
(4320,	1430,	836,	2,	3,	5,	5092,	6.800,	0.00,	0.000,	13.600,	''),
(4321,	1429,	1251,	3,	4,	3,	5091,	0.500,	5.00,	0.075,	1.575,	''),
(4322,	1428,	799,	1,	3,	38,	5089,	3.500,	0.00,	0.000,	3.500,	''),
(4323,	1428,	1121,	2,	3,	3,	5090,	13.800,	0.00,	0.000,	27.600,	''),
(4324,	1427,	420,	3,	3,	3,	5146,	2.100,	0.00,	0.000,	6.300,	''),
(4325,	1427,	676,	1,	3,	3,	5147,	13.000,	0.00,	0.000,	6.500,	''),
(4326,	1427,	858,	2,	3,	3,	5148,	3.800,	0.00,	0.000,	7.600,	''),
(4327,	1427,	1587,	1,	3,	3,	5149,	5.600,	0.00,	0.000,	5.600,	''),
(4328,	1426,	1425,	1,	1,	3,	5084,	1.200,	0.00,	0.000,	1.200,	''),
(4329,	1425,	752,	3,	3,	3,	5083,	13.800,	0.00,	0.000,	41.400,	''),
(4330,	1424,	57,	1,	3,	13,	5150,	8.600,	0.00,	0.000,	8.600,	''),
(4331,	1424,	420,	1,	3,	3,	5151,	2.000,	0.00,	0.000,	2.000,	''),
(4332,	1424,	528,	2,	3,	3,	5152,	2.500,	0.00,	0.000,	5.000,	''),
(4333,	1424,	676,	1,	3,	3,	5153,	12.900,	0.00,	0.000,	12.900,	''),
(4334,	1424,	753,	4,	63,	3,	5154,	1.700,	0.00,	0.000,	6.800,	''),
(4335,	1424,	766,	2,	3,	3,	5155,	2.200,	0.00,	0.000,	4.400,	''),
(4336,	1424,	799,	2,	3,	3,	5156,	3.400,	0.00,	0.000,	6.800,	''),
(4337,	1424,	1060,	1,	3,	3,	5157,	4.600,	0.00,	0.000,	4.600,	''),
(4338,	1424,	1344,	1,	3,	25,	5158,	3.100,	0.00,	0.000,	3.100,	''),
(4339,	1424,	1839,	3,	63,	3,	5159,	1.700,	5.00,	0.255,	5.355,	''),
(4340,	1423,	1587,	2,	3,	3,	5072,	5.800,	0.00,	0.000,	11.600,	''),
(4341,	1422,	1563,	1,	3,	110,	5071,	6.500,	0.00,	0.000,	6.500,	''),
(4342,	1421,	848,	1,	3,	22,	5070,	1.900,	0.00,	0.000,	1.900,	''),
(4343,	1316,	317,	1,	3,	3,	4723,	5.800,	0.00,	0.000,	5.800,	''),
(4344,	1338,	1174,	1,	3,	3,	4761,	3.000,	0.00,	0.000,	3.000,	''),
(4345,	1356,	1726,	1,	4,	3,	4877,	1.200,	0.00,	0.000,	1.200,	''),
(4346,	1357,	34,	1,	3,	4,	4879,	1.400,	0.00,	0.000,	1.400,	''),
(4347,	1357,	1123,	1,	3,	3,	4878,	2.800,	0.00,	0.000,	2.800,	''),
(4348,	1357,	1387,	2,	1,	3,	4880,	0.500,	5.00,	0.050,	1.050,	''),
(4349,	1358,	848,	1,	3,	22,	4883,	1.900,	0.00,	0.000,	1.900,	''),
(4350,	1358,	932,	1,	3,	79,	4882,	2.000,	0.00,	0.000,	2.000,	''),
(4351,	1358,	1563,	1,	6,	110,	4881,	0.900,	0.00,	0.000,	0.900,	''),
(4352,	1359,	799,	1,	3,	22,	4885,	1.400,	0.00,	0.000,	1.400,	''),
(4353,	1359,	1174,	1,	3,	3,	4886,	3.000,	0.00,	0.000,	3.000,	''),
(4354,	1359,	1563,	1,	6,	110,	4884,	0.900,	0.00,	0.000,	0.900,	''),
(4355,	1360,	279,	1,	3,	3,	4888,	4.000,	0.00,	0.000,	4.000,	''),
(4356,	1360,	811,	1,	3,	3,	4890,	6.400,	0.00,	0.000,	6.400,	''),
(4357,	1360,	932,	1,	3,	79,	4887,	1.800,	0.00,	0.000,	1.800,	''),
(4358,	1360,	1139,	1,	3,	3,	4889,	2.500,	0.00,	0.000,	2.500,	''),
(4359,	1360,	1351,	1,	3,	20,	4891,	6.800,	0.00,	0.000,	6.800,	''),
(4360,	1361,	682,	1,	3,	3,	4892,	11.000,	0.00,	0.000,	5.500,	''),
(4361,	1362,	45,	2,	3,	7,	4895,	5.000,	0.00,	0.000,	10.000,	''),
(4362,	1362,	848,	1,	3,	38,	4894,	3.500,	0.00,	0.000,	3.500,	''),
(4363,	1362,	1099,	6,	3,	4,	4896,	0.900,	0.00,	0.000,	5.400,	''),
(4364,	1362,	1166,	2,	3,	3,	4893,	2.800,	0.00,	0.000,	5.600,	''),
(4365,	1363,	1344,	1,	3,	31,	4897,	3.500,	0.00,	0.000,	3.500,	''),
(4366,	1364,	168,	1,	3,	3,	4922,	2.200,	0.00,	0.000,	2.200,	''),
(4367,	1365,	1131,	1,	3,	6,	4902,	3.800,	0.00,	0.000,	1.900,	''),
(4368,	1366,	275,	4,	4,	3,	4915,	0.400,	0.00,	0.000,	1.600,	''),
(4369,	1366,	1344,	1,	3,	20,	4916,	3.800,	0.00,	0.000,	3.800,	''),
(4370,	1367,	551,	2,	63,	3,	4920,	3.800,	5.00,	0.380,	7.980,	''),
(4371,	1367,	753,	2,	4,	2,	4918,	2.100,	0.00,	0.000,	4.200,	''),
(4372,	1367,	766,	1,	3,	3,	4919,	2.300,	0.00,	0.000,	2.300,	''),
(4373,	1367,	1978,	1,	63,	3,	4917,	2.200,	5.00,	0.110,	2.310,	''),
(4374,	1368,	676,	1,	3,	3,	4921,	13.000,	0.00,	0.000,	6.500,	''),
(4375,	1369,	765,	1,	1,	3,	4925,	1.800,	0.00,	0.000,	0.900,	''),
(4376,	1369,	1201,	1,	3,	3,	4924,	3.800,	5.00,	0.095,	1.995,	''),
(4377,	1370,	1099,	3,	3,	4,	4926,	0.900,	0.00,	0.000,	2.700,	''),
(4378,	1370,	1166,	2,	3,	3,	4927,	2.800,	0.00,	0.000,	5.600,	''),
(4379,	1371,	932,	1,	3,	79,	4930,	1.900,	0.00,	0.000,	1.900,	''),
(4380,	1371,	1071,	1,	3,	3,	4931,	3.700,	0.00,	0.000,	3.700,	''),
(4381,	1372,	799,	1,	3,	22,	4932,	1.400,	0.00,	0.000,	1.400,	''),
(4382,	1373,	168,	1,	3,	3,	4933,	2.200,	0.00,	0.000,	2.200,	''),
(4383,	1373,	275,	2,	4,	3,	4937,	0.400,	0.00,	0.000,	0.800,	''),
(4384,	1373,	848,	1,	3,	22,	4936,	1.900,	0.00,	0.000,	1.900,	''),
(4385,	1373,	1201,	1,	4,	3,	4935,	1.900,	5.00,	0.095,	1.995,	''),
(4386,	1373,	1263,	1,	4,	23,	4939,	1.400,	0.00,	0.000,	1.400,	''),
(4387,	1373,	1353,	1,	3,	3,	4940,	4.800,	0.00,	0.000,	4.800,	''),
(4388,	1373,	1433,	1,	3,	23,	4938,	0.900,	0.00,	0.000,	0.900,	''),
(4389,	1373,	1470,	1,	7,	3,	4934,	2.400,	0.00,	0.000,	2.400,	''),
(4390,	1374,	676,	1,	3,	3,	4943,	13.000,	0.00,	0.000,	6.500,	''),
(4391,	1374,	1251,	1,	4,	3,	4942,	0.480,	5.00,	0.024,	0.504,	''),
(4392,	1374,	1344,	1,	3,	25,	4941,	3.600,	0.00,	0.000,	3.600,	''),
(4393,	1376,	1099,	1,	3,	4,	4947,	0.900,	0.00,	0.000,	0.900,	''),
(4394,	1377,	1174,	1,	3,	3,	4949,	3.000,	0.00,	0.000,	3.000,	''),
(4395,	1377,	1344,	1,	3,	29,	4948,	2.200,	0.00,	0.000,	2.200,	''),
(4396,	1378,	848,	1,	10,	22,	4950,	2.000,	0.00,	0.000,	2.000,	''),
(4397,	1378,	1131,	1,	3,	3,	4952,	3.000,	0.00,	0.000,	3.000,	''),
(4398,	1378,	1336,	1,	3,	29,	4951,	2.400,	0.00,	0.000,	2.400,	''),
(4399,	1380,	676,	1,	3,	3,	4963,	13.000,	0.00,	0.000,	13.000,	''),
(4400,	1380,	753,	1,	63,	2,	4960,	1.600,	0.00,	0.000,	1.600,	''),
(4401,	1380,	766,	4,	3,	3,	4961,	2.200,	0.00,	0.000,	8.800,	''),
(4402,	1380,	1071,	1,	3,	3,	4962,	3.400,	0.00,	0.000,	3.400,	''),
(4403,	1384,	57,	2,	3,	15,	4995,	8.800,	0.00,	0.000,	17.600,	''),
(4404,	1384,	420,	10,	3,	3,	4996,	2.100,	0.00,	0.000,	21.000,	''),
(4405,	1384,	528,	3,	3,	3,	4994,	2.500,	0.00,	0.000,	7.500,	''),
(4406,	1384,	752,	3,	3,	3,	4997,	13.800,	0.00,	0.000,	41.400,	''),
(4407,	1384,	766,	2,	3,	3,	4998,	3.200,	0.00,	0.000,	6.400,	''),
(4408,	1384,	799,	10,	3,	3,	4999,	3.500,	0.00,	0.000,	35.000,	''),
(4409,	1384,	848,	10,	3,	3,	5000,	3.500,	0.00,	0.000,	35.000,	''),
(4410,	1384,	932,	2,	3,	1,	5001,	3.500,	0.00,	0.000,	7.000,	''),
(4411,	1384,	1071,	12,	3,	3,	5002,	3.200,	0.00,	0.000,	38.400,	''),
(4412,	1384,	1078,	3,	3,	3,	5003,	3.800,	0.00,	0.000,	11.400,	''),
(4413,	1384,	1526,	3,	3,	2,	5004,	8.800,	0.00,	0.000,	26.400,	''),
(4414,	1382,	752,	1,	3,	3,	4968,	13.800,	0.00,	0.000,	13.800,	''),
(4415,	1405,	452,	2,	1,	3,	5044,	1.000,	0.00,	0.000,	1.500,	''),
(4416,	1404,	249,	1,	63,	3,	5041,	1.000,	0.00,	0.000,	1.000,	''),
(4417,	1404,	682,	1,	3,	3,	5042,	11.000,	0.00,	0.000,	11.000,	''),
(4418,	1404,	1839,	1,	63,	3,	5043,	1.700,	5.00,	0.085,	1.785,	''),
(4419,	1403,	1066,	1,	3,	3,	5040,	3.200,	0.00,	0.000,	3.200,	''),
(4420,	1402,	693,	1,	3,	3,	5039,	16.800,	0.00,	0.000,	16.800,	''),
(4421,	1402,	753,	1,	63,	2,	5035,	2.100,	0.00,	0.000,	2.100,	''),
(4422,	1402,	766,	1,	3,	3,	5037,	2.300,	0.00,	0.000,	2.300,	''),
(4423,	1402,	1433,	1,	3,	23,	5036,	2.800,	0.00,	0.000,	2.800,	''),
(4424,	1402,	1470,	1,	7,	3,	5038,	2.400,	0.00,	0.000,	2.400,	''),
(4425,	1401,	752,	1,	4,	3,	5034,	3.500,	0.00,	0.000,	3.500,	''),
(4426,	1401,	1251,	6,	4,	3,	5033,	0.480,	5.00,	0.144,	3.024,	''),
(4427,	1400,	848,	1,	3,	22,	5032,	1.900,	0.00,	0.000,	1.900,	''),
(4428,	1399,	528,	5,	3,	3,	5046,	2.800,	0.00,	0.000,	14.000,	''),
(4429,	1399,	753,	5,	63,	3,	5047,	1.600,	0.00,	0.000,	8.000,	''),
(4430,	1399,	766,	2,	3,	3,	5048,	2.300,	0.00,	0.000,	4.600,	''),
(4431,	1399,	1071,	2,	3,	3,	5049,	3.400,	0.00,	0.000,	6.800,	''),
(4432,	1399,	1344,	1,	3,	20,	5050,	3.600,	0.00,	0.000,	3.600,	''),
(4433,	1399,	1839,	2,	63,	3,	5051,	1.700,	5.00,	0.170,	3.570,	''),
(4434,	1398,	178,	1,	3,	3,	5024,	10.800,	0.00,	0.000,	10.800,	''),
(4435,	1398,	753,	2,	63,	2,	5022,	1.600,	0.00,	0.000,	3.200,	''),
(4436,	1398,	766,	1,	3,	3,	5021,	2.300,	0.00,	0.000,	2.300,	''),
(4437,	1398,	1344,	1,	3,	20,	5023,	3.500,	0.00,	0.000,	3.500,	''),
(4450,	1388,	1622,	1,	3,	3,	5006,	5.000,	0.00,	0.000,	5.000,	''),
(4451,	1387,	752,	2,	4,	3,	5007,	3.400,	0.00,	0.000,	6.800,	''),
(4452,	1386,	676,	1,	3,	3,	4993,	13.000,	0.00,	0.000,	13.000,	''),
(4453,	1386,	753,	1,	63,	3,	4991,	2.100,	0.00,	0.000,	2.100,	''),
(4454,	1386,	766,	1,	3,	3,	4992,	2.300,	0.00,	0.000,	2.300,	''),
(4455,	1394,	848,	1,	3,	38,	5016,	3.500,	0.00,	0.000,	3.500,	''),
(4456,	1393,	1071,	2,	3,	3,	5015,	3.200,	0.00,	0.000,	6.400,	''),
(4457,	1392,	314,	2,	1,	3,	5014,	1.300,	0.00,	0.000,	2.600,	''),
(4458,	1391,	1587,	10,	3,	3,	5013,	5.500,	0.00,	0.000,	55.000,	''),
(4459,	1390,	753,	1,	63,	2,	5011,	2.100,	0.00,	0.000,	2.100,	''),
(4460,	1390,	766,	1,	3,	3,	5010,	2.300,	0.00,	0.000,	2.300,	''),
(4461,	1389,	423,	2,	3,	3,	5009,	2.200,	0.00,	0.000,	4.400,	''),
(4462,	1389,	1131,	2,	3,	3,	5008,	2.700,	0.00,	0.000,	5.400,	''),
(4463,	1385,	799,	1,	3,	3,	4990,	3.500,	0.00,	0.000,	3.500,	''),
(4464,	1383,	528,	1,	3,	3,	4969,	2.800,	0.00,	0.000,	2.800,	''),
(4465,	1381,	848,	2,	3,	38,	4966,	3.500,	0.00,	0.000,	7.000,	''),
(4466,	1381,	932,	1,	3,	79,	4964,	2.000,	0.00,	0.000,	2.000,	''),
(4467,	1381,	1138,	2,	3,	3,	4965,	2.400,	0.00,	0.000,	4.800,	''),
(4468,	1381,	1563,	1,	3,	110,	4967,	6.400,	0.00,	0.000,	6.400,	''),
(4469,	1379,	765,	1,	1,	3,	4954,	1.700,	0.00,	0.000,	1.190,	''),
(4470,	1379,	848,	1,	3,	38,	4958,	3.500,	0.00,	0.000,	3.500,	''),
(4471,	1379,	1044,	1,	3,	3,	4955,	2.800,	0.00,	0.000,	2.800,	''),
(4472,	1379,	1071,	1,	3,	3,	4953,	3.800,	0.00,	0.000,	3.800,	''),
(4473,	1379,	1166,	2,	3,	3,	4957,	2.800,	0.00,	0.000,	5.600,	''),
(4474,	1379,	1336,	3,	3,	29,	4959,	3.000,	0.00,	0.000,	9.000,	''),
(4475,	1379,	1470,	1,	7,	3,	4956,	2.400,	0.00,	0.000,	2.400,	''),
(4476,	1397,	178,	3,	1,	3,	5020,	1.200,	0.00,	0.000,	3.600,	''),
(4477,	1397,	1060,	1,	3,	3,	5019,	4.800,	0.00,	0.000,	4.800,	''),
(4478,	1396,	1131,	15,	3,	3,	5018,	2.900,	0.00,	0.000,	43.500,	''),
(4479,	1395,	528,	1,	3,	3,	5017,	2.800,	0.00,	0.000,	2.800,	''),
(4480,	1417,	1514,	1,	3,	3,	5066,	8.400,	0.00,	0.000,	8.400,	''),
(4481,	1418,	1099,	1,	3,	4,	5067,	0.900,	0.00,	0.000,	0.900,	''),
(4482,	1419,	168,	1,	3,	3,	5068,	2.200,	0.00,	0.000,	2.200,	''),
(4483,	1420,	1060,	1,	3,	3,	5069,	4.800,	0.00,	0.000,	4.800,	''),
(4484,	1439,	1726,	1,	4,	3,	5112,	1.900,	0.00,	0.000,	1.900,	''),
(4485,	1443,	799,	1,	3,	38,	5123,	3.500,	0.00,	0.000,	3.500,	''),
(4486,	1443,	1099,	2,	3,	4,	5120,	0.900,	0.00,	0.000,	1.800,	''),
(4487,	1443,	1131,	1,	3,	3,	5121,	3.000,	0.00,	0.000,	3.000,	''),
(4488,	1443,	1344,	1,	3,	29,	5122,	2.200,	0.00,	0.000,	2.200,	''),
(4489,	1443,	1565,	2,	1,	3,	5119,	1.300,	0.00,	0.000,	2.470,	''),
(4490,	1445,	752,	1,	3,	3,	5131,	14.200,	0.00,	0.000,	14.200,	''),
(4491,	1445,	766,	1,	3,	3,	5132,	2.300,	0.00,	0.000,	2.300,	''),
(4492,	1445,	799,	1,	3,	38,	5133,	3.500,	0.00,	0.000,	3.500,	''),
(4493,	1445,	848,	1,	3,	38,	5134,	3.500,	0.00,	0.000,	3.500,	''),
(4494,	1445,	1839,	1,	63,	3,	5130,	1.730,	5.00,	0.087,	1.817,	''),
(4495,	1446,	882,	2,	3,	22,	5129,	2.000,	0.00,	0.000,	4.000,	''),
(4496,	1447,	1166,	4,	3,	3,	5135,	2.700,	0.00,	0.000,	10.800,	''),
(4497,	1448,	753,	2,	63,	2,	5136,	1.700,	0.00,	0.000,	3.400,	''),
(4498,	1448,	1345,	2,	3,	20,	5140,	3.500,	0.00,	0.000,	7.000,	''),
(4499,	1448,	1365,	2,	3,	3,	5137,	3.000,	0.00,	0.000,	6.000,	''),
(4500,	1448,	1766,	2,	3,	3,	5139,	0.800,	0.00,	0.000,	1.600,	''),
(4501,	1448,	1767,	2,	3,	3,	5138,	1.700,	0.00,	0.000,	3.400,	''),
(4502,	1449,	1127,	4,	3,	3,	5141,	2.700,	0.00,	0.000,	10.800,	''),
(4503,	1452,	753,	2,	63,	2,	5163,	2.000,	0.00,	0.000,	4.000,	''),
(4504,	1452,	766,	1,	3,	3,	5162,	2.300,	0.00,	0.000,	2.300,	''),
(4505,	1453,	551,	2,	63,	2,	5167,	3.800,	5.00,	0.380,	7.980,	''),
(4506,	1453,	1127,	2,	3,	3,	5164,	2.800,	0.00,	0.000,	5.600,	''),
(4507,	1453,	1312,	1,	63,	84,	5165,	3.000,	0.00,	0.000,	3.000,	''),
(4508,	1453,	1840,	1,	3,	2,	5166,	1.700,	5.00,	0.085,	1.785,	''),
(4509,	1454,	799,	15,	3,	22,	5168,	1.400,	0.00,	0.000,	21.000,	''),
(4510,	1455,	766,	1,	3,	3,	5169,	2.300,	0.00,	0.000,	2.300,	''),
(4511,	1455,	1071,	1,	3,	3,	5170,	3.200,	0.00,	0.000,	3.200,	''),
(4512,	1456,	45,	1,	3,	7,	5172,	4.800,	0.00,	0.000,	4.800,	''),
(4513,	1456,	1071,	1,	3,	3,	5171,	3.200,	0.00,	0.000,	3.200,	''),
(4514,	1456,	1099,	1,	3,	4,	5173,	1.000,	0.00,	0.000,	1.000,	''),
(4515,	1457,	168,	1,	3,	3,	5174,	2.200,	0.00,	0.000,	2.200,	''),
(4516,	1457,	799,	1,	3,	22,	5176,	1.400,	0.00,	0.000,	1.400,	''),
(4517,	1457,	848,	1,	3,	22,	5177,	1.900,	0.00,	0.000,	1.900,	''),
(4518,	1457,	1138,	4,	3,	3,	5179,	2.400,	0.00,	0.000,	9.600,	''),
(4519,	1457,	1344,	1,	3,	20,	5180,	3.500,	0.00,	0.000,	3.500,	''),
(4520,	1457,	1425,	6,	1,	3,	5178,	1.900,	0.00,	0.000,	11.400,	''),
(4521,	1457,	1626,	1,	3,	71,	5175,	2.400,	0.00,	0.000,	2.400,	''),
(4522,	1458,	420,	1,	3,	3,	5181,	2.100,	0.00,	0.000,	2.100,	''),
(4523,	1459,	1839,	2,	63,	3,	5182,	1.800,	5.00,	0.180,	3.780,	''),
(4524,	1461,	799,	1,	3,	22,	5184,	1.400,	0.00,	0.000,	1.400,	''),
(4525,	1462,	32,	1,	7,	15,	5188,	2.200,	0.00,	0.000,	2.200,	''),
(4526,	1462,	849,	1,	3,	4,	5190,	1.900,	0.00,	0.000,	1.900,	''),
(4527,	1462,	1099,	1,	3,	4,	5185,	1.000,	0.00,	0.000,	1.000,	''),
(4528,	1462,	1174,	1,	3,	3,	5191,	3.200,	0.00,	0.000,	3.200,	''),
(4529,	1462,	1365,	1,	3,	3,	5189,	3.200,	0.00,	0.000,	3.200,	''),
(4530,	1462,	1468,	1,	7,	3,	5187,	2.400,	0.00,	0.000,	2.400,	''),
(4531,	1462,	1767,	1,	3,	22,	5186,	2.600,	0.00,	0.000,	2.600,	''),
(4532,	1460,	1127,	1,	3,	3,	5183,	2.800,	0.00,	0.000,	2.800,	''),
(4533,	1463,	808,	1,	3,	3,	5193,	6.500,	0.00,	0.000,	6.500,	''),
(4534,	1464,	752,	1,	4,	23,	5194,	3.200,	0.00,	0.000,	3.200,	''),
(4535,	1466,	1425,	2,	1,	3,	5204,	1.900,	0.00,	0.000,	3.800,	''),
(4536,	1466,	1563,	2,	6,	110,	5205,	0.900,	0.00,	0.000,	1.800,	''),
(4537,	1467,	528,	1,	3,	3,	5206,	2.500,	0.00,	0.000,	2.500,	''),
(4538,	1468,	752,	1,	3,	3,	5207,	13.800,	0.00,	0.000,	13.800,	''),
(4539,	1469,	753,	1,	63,	3,	5208,	2.100,	0.00,	0.000,	2.100,	''),
(4540,	1470,	753,	1,	63,	3,	5209,	2.100,	0.00,	0.000,	2.100,	''),
(4541,	1471,	753,	1,	3,	5,	5210,	4.200,	0.00,	0.000,	4.200,	''),
(4542,	1472,	170,	2,	3,	2,	5216,	6.800,	0.00,	0.000,	13.600,	''),
(4543,	1472,	528,	1,	3,	3,	5212,	2.800,	0.00,	0.000,	2.800,	''),
(4544,	1472,	1387,	5,	1,	3,	5211,	0.500,	5.00,	0.113,	2.363,	''),
(4545,	1472,	1439,	1,	3,	23,	5215,	2.400,	0.00,	0.000,	2.400,	''),
(4546,	1472,	1587,	1,	3,	3,	5214,	5.800,	0.00,	0.000,	5.800,	''),
(4547,	1472,	1626,	1,	3,	71,	5213,	2.600,	0.00,	0.000,	2.600,	''),
(4548,	1473,	932,	1,	6,	24,	5217,	0.800,	0.00,	0.000,	0.800,	''),
(4549,	1473,	1131,	2,	3,	3,	5218,	3.500,	0.00,	0.000,	7.000,	''),
(4550,	1474,	1131,	2,	3,	3,	5219,	3.500,	0.00,	0.000,	7.000,	''),
(4551,	1475,	168,	2,	1,	3,	5220,	1.200,	0.00,	0.000,	2.400,	''),
(4552,	1476,	31,	1,	3,	13,	5228,	8.800,	0.00,	0.000,	8.800,	''),
(4553,	1476,	168,	1,	1,	3,	5229,	1.200,	0.00,	0.000,	1.680,	''),
(4554,	1476,	168,	2,	3,	3,	5230,	2.300,	0.00,	0.000,	4.600,	''),
(4555,	1476,	236,	1,	1,	3,	5231,	1.800,	0.00,	0.000,	0.900,	''),
(4556,	1476,	236,	1,	1,	3,	5232,	1.800,	0.00,	0.000,	0.900,	''),
(4557,	1476,	1071,	2,	3,	3,	5233,	3.400,	0.00,	0.000,	6.800,	''),
(4558,	1476,	1138,	3,	3,	3,	5234,	2.300,	0.00,	0.000,	6.900,	''),
(4559,	1477,	932,	2,	3,	79,	5235,	1.800,	0.00,	0.000,	3.600,	''),
(4560,	1478,	676,	2,	3,	3,	5238,	13.000,	0.00,	0.000,	26.000,	''),
(4561,	1478,	799,	1,	3,	3,	5237,	3.500,	0.00,	0.000,	3.500,	''),
(4562,	1478,	848,	1,	3,	3,	5236,	3.500,	0.00,	0.000,	3.500,	''),
(4563,	1479,	57,	1,	3,	13,	5272,	8.800,	0.00,	0.000,	8.800,	''),
(4564,	1479,	73,	1,	3,	7,	5270,	10.800,	0.00,	0.000,	10.800,	''),
(4565,	1479,	116,	1,	3,	15,	5271,	9.200,	0.00,	0.000,	9.200,	''),
(4566,	1479,	168,	15,	3,	4,	5260,	1.700,	0.00,	0.000,	25.500,	''),
(4567,	1479,	420,	2,	3,	3,	5251,	2.100,	0.00,	0.000,	4.200,	''),
(4568,	1479,	528,	2,	3,	3,	5254,	2.500,	0.00,	0.000,	5.000,	''),
(4569,	1479,	682,	2,	3,	3,	5250,	10.700,	0.00,	0.000,	21.400,	''),
(4570,	1479,	752,	2,	3,	3,	5242,	13.800,	0.00,	0.000,	27.600,	''),
(4571,	1479,	753,	3,	3,	5,	5259,	4.500,	0.00,	0.000,	13.500,	''),
(4572,	1479,	753,	10,	63,	3,	5258,	1.700,	0.00,	0.000,	17.000,	''),
(4573,	1479,	799,	5,	3,	3,	5244,	3.400,	0.00,	0.000,	17.000,	''),
(4574,	1479,	799,	5,	3,	4,	5262,	1.400,	0.00,	0.000,	7.000,	''),
(4575,	1479,	848,	5,	3,	3,	5245,	3.500,	0.00,	0.000,	17.500,	''),
(4576,	1479,	848,	1,	3,	4,	5264,	1.900,	0.00,	0.000,	1.900,	''),
(4577,	1479,	882,	5,	3,	4,	5263,	2.000,	0.00,	0.000,	10.000,	''),
(4578,	1479,	932,	5,	3,	22,	5267,	1.800,	0.00,	0.000,	9.000,	''),
(4579,	1479,	933,	4,	7,	3,	5266,	4.200,	0.00,	0.000,	16.800,	''),
(4580,	1479,	1060,	2,	3,	3,	5252,	4.800,	0.00,	0.000,	9.600,	''),
(4581,	1479,	1071,	5,	3,	3,	5275,	3.200,	0.00,	0.000,	16.000,	''),
(4582,	1479,	1098,	2,	3,	3,	5248,	6.500,	0.00,	0.000,	13.000,	''),
(4583,	1479,	1138,	20,	3,	3,	5274,	2.300,	0.00,	0.000,	46.000,	''),
(4584,	1479,	1174,	6,	3,	3,	5253,	2.900,	0.00,	0.000,	17.400,	''),
(4585,	1479,	1261,	5,	3,	23,	5243,	5.200,	0.00,	0.000,	26.000,	''),
(4586,	1479,	1312,	10,	63,	4,	5240,	0.300,	0.00,	0.000,	3.000,	''),
(4587,	1479,	1312,	10,	63,	92,	5239,	0.800,	0.00,	0.000,	8.000,	''),
(4588,	1479,	1344,	2,	3,	20,	5249,	3.600,	0.00,	0.000,	7.200,	''),
(4589,	1479,	1344,	10,	3,	29,	5255,	2.100,	0.00,	0.000,	21.000,	''),
(4590,	1479,	1365,	10,	3,	3,	5261,	3.200,	0.00,	0.000,	32.000,	''),
(4591,	1479,	1439,	2,	3,	3,	5246,	2.600,	0.00,	0.000,	5.200,	''),
(4592,	1479,	1498,	1,	3,	3,	5247,	6.800,	0.00,	0.000,	6.800,	''),
(4593,	1479,	1526,	3,	3,	3,	5273,	8.900,	0.00,	0.000,	26.700,	''),
(4594,	1479,	1587,	5,	3,	3,	5269,	5.800,	0.00,	0.000,	29.000,	''),
(4595,	1479,	1610,	5,	3,	3,	5268,	5.200,	0.00,	0.000,	26.000,	''),
(4596,	1479,	1626,	8,	3,	71,	5265,	2.400,	0.00,	0.000,	19.200,	''),
(4597,	1479,	1659,	10,	63,	3,	5256,	0.750,	0.00,	0.000,	7.500,	''),
(4598,	1479,	1659,	15,	63,	4,	5257,	0.300,	0.00,	0.000,	4.500,	''),
(4599,	1479,	1766,	10,	3,	3,	5241,	1.200,	0.00,	0.000,	12.000,	''),
(4600,	1480,	1626,	1,	3,	71,	5276,	2.600,	0.00,	0.000,	2.600,	''),
(4601,	1481,	168,	1,	3,	4,	5277,	1.700,	0.00,	0.000,	1.700,	''),
(4602,	1482,	1044,	3,	1,	3,	5278,	0.800,	0.00,	0.000,	2.400,	''),
(4603,	1483,	766,	2,	3,	3,	5279,	2.300,	0.00,	0.000,	4.600,	''),
(4604,	1484,	1626,	1,	3,	3,	5280,	2.300,	0.00,	0.000,	2.300,	''),
(4605,	1485,	848,	1,	3,	3,	5282,	3.500,	0.00,	0.000,	3.500,	''),
(4606,	1485,	1610,	1,	3,	3,	5281,	4.800,	0.00,	0.000,	4.800,	''),
(4607,	1486,	1344,	1,	3,	20,	5283,	3.600,	0.00,	0.000,	3.600,	''),
(4608,	1486,	1425,	1,	1,	3,	5284,	2.000,	0.00,	0.000,	2.000,	''),
(4609,	1486,	1425,	6,	1,	3,	5285,	1.900,	0.00,	0.000,	11.400,	''),
(4610,	1487,	753,	1,	63,	2,	5286,	2.100,	0.00,	0.000,	2.100,	''),
(4611,	1488,	168,	1,	3,	3,	5288,	2.300,	0.00,	0.000,	2.300,	''),
(4612,	1488,	799,	2,	3,	22,	5287,	1.400,	0.00,	0.000,	2.800,	''),
(4613,	1489,	73,	1,	7,	7,	5289,	2.400,	0.00,	0.000,	2.400,	''),
(4614,	1489,	799,	1,	3,	3,	5292,	3.500,	0.00,	0.000,	3.500,	''),
(4615,	1489,	848,	1,	3,	3,	5291,	3.500,	0.00,	0.000,	3.500,	''),
(4616,	1489,	1166,	4,	3,	3,	5294,	2.800,	0.00,	0.000,	11.200,	''),
(4617,	1489,	1336,	1,	3,	29,	5293,	2.500,	0.00,	0.000,	2.500,	''),
(4618,	1489,	1526,	1,	7,	3,	5290,	2.400,	0.00,	0.000,	2.400,	''),
(4619,	1490,	799,	2,	3,	3,	5296,	3.500,	0.00,	0.000,	7.000,	''),
(4620,	1490,	1131,	1,	3,	3,	5295,	3.200,	0.00,	0.000,	3.200,	''),
(4621,	1465,	1425,	1,	1,	3,	5195,	2.000,	0.00,	0.000,	2.000,	''),
(4622,	1491,	1138,	2,	3,	3,	5297,	2.500,	0.00,	0.000,	5.000,	''),
(4623,	1492,	45,	1,	3,	22,	5309,	1.300,	0.00,	0.000,	1.300,	''),
(4624,	1492,	45,	1,	3,	22,	5310,	1.300,	0.00,	0.000,	1.300,	''),
(4625,	1492,	1344,	1,	3,	103,	5311,	2.000,	0.00,	0.000,	2.000,	''),
(4626,	1492,	1426,	1,	1,	3,	5312,	2.000,	0.00,	0.000,	2.000,	''),
(4627,	1492,	1491,	1,	3,	3,	5313,	1.600,	0.00,	0.000,	1.600,	''),
(4628,	1492,	1563,	2,	6,	110,	5314,	0.900,	0.00,	0.000,	1.800,	''),
(4629,	1493,	171,	3,	3,	3,	5319,	6.800,	0.00,	0.000,	20.400,	''),
(4630,	1493,	420,	3,	3,	3,	5317,	2.100,	0.00,	0.000,	6.300,	''),
(4631,	1493,	528,	1,	3,	3,	5318,	2.800,	0.00,	0.000,	2.800,	''),
(4632,	1493,	1526,	1,	3,	3,	5315,	9.200,	0.00,	0.000,	9.200,	''),
(4633,	1493,	1563,	1,	3,	110,	5316,	6.500,	0.00,	0.000,	6.500,	''),
(4634,	1494,	799,	1,	3,	22,	5320,	1.400,	0.00,	0.000,	1.400,	''),
(4635,	1494,	1166,	1,	3,	3,	5321,	2.800,	0.00,	0.000,	2.800,	''),
(4636,	1495,	45,	6,	3,	7,	5323,	4.600,	0.00,	0.000,	27.600,	''),
(4637,	1496,	676,	1,	3,	3,	5324,	13.000,	0.00,	0.000,	6.500,	''),
(4638,	1497,	1312,	1,	63,	55,	5325,	1.600,	0.00,	0.000,	1.600,	''),
(4639,	1498,	1166,	1,	3,	3,	5326,	2.800,	0.00,	0.000,	2.800,	''),
(4640,	1533,	1060,	20,	3,	3,	5453,	4.500,	0.00,	0.000,	90.000,	''),
(4641,	1534,	933,	1,	3,	3,	5458,	4.200,	0.00,	0.000,	4.200,	''),
(4642,	1535,	168,	1,	3,	3,	5462,	2.200,	0.00,	0.000,	2.200,	''),
(4643,	1536,	1498,	2,	3,	3,	5463,	6.800,	0.00,	0.000,	13.600,	''),
(4644,	1537,	1044,	2,	1,	3,	5464,	0.800,	0.00,	0.000,	1.200,	''),
(4645,	1538,	682,	1,	3,	3,	5467,	10.600,	0.00,	0.000,	5.300,	''),
(4646,	1538,	693,	1,	3,	3,	5468,	16.500,	0.00,	0.000,	16.500,	''),
(4647,	1538,	753,	8,	63,	2,	5469,	1.600,	0.00,	0.000,	12.800,	''),
(4648,	1538,	766,	4,	3,	3,	5466,	2.200,	0.00,	0.000,	8.800,	''),
(4649,	1538,	1344,	1,	3,	20,	5465,	3.600,	0.00,	0.000,	3.600,	''),
(4650,	1539,	753,	6,	63,	2,	5473,	2.000,	0.00,	0.000,	12.000,	''),
(4651,	1539,	799,	2,	3,	38,	5474,	3.500,	0.00,	0.000,	7.000,	''),
(4652,	1539,	972,	1,	3,	22,	5475,	2.000,	0.00,	0.000,	2.000,	''),
(4653,	1540,	753,	1,	63,	2,	5476,	1.700,	0.00,	0.000,	1.700,	''),
(4654,	1541,	753,	2,	63,	3,	5482,	1.700,	0.00,	0.000,	3.400,	'4kg'),
(4655,	1541,	766,	1,	3,	3,	5479,	2.300,	0.00,	0.000,	2.300,	''),
(4656,	1541,	848,	1,	3,	3,	5477,	3.400,	0.00,	0.000,	3.400,	''),
(4657,	1541,	1344,	1,	3,	25,	5478,	3.200,	0.00,	0.000,	3.200,	''),
(4658,	1541,	1659,	2,	63,	2,	5481,	3.900,	0.00,	0.000,	7.800,	''),
(4659,	1541,	1839,	1,	63,	3,	5480,	1.800,	5.00,	0.090,	1.890,	''),
(4660,	1542,	676,	1,	3,	3,	5483,	13.000,	0.00,	0.000,	13.000,	''),
(4661,	1543,	152,	20,	1,	3,	5484,	1.100,	0.00,	0.000,	22.000,	''),
(4662,	1546,	168,	1,	3,	3,	5489,	2.200,	0.00,	0.000,	2.200,	''),
(4663,	1545,	1779,	1,	1,	3,	5487,	1.000,	0.00,	0.000,	1.000,	''),
(4664,	1499,	752,	1,	3,	3,	5327,	14.200,	0.00,	0.000,	14.200,	''),
(4665,	1499,	1078,	1,	4,	3,	5328,	1.800,	0.00,	0.000,	1.800,	''),
(4666,	1499,	1726,	1,	4,	3,	5329,	1.900,	0.00,	0.000,	1.900,	''),
(4667,	1500,	1131,	1,	3,	3,	5332,	3.200,	0.00,	0.000,	3.200,	''),
(4668,	1500,	1470,	1,	7,	4,	5331,	2.400,	0.00,	0.000,	2.400,	''),
(4669,	1500,	1563,	1,	3,	110,	5330,	0.900,	0.00,	0.000,	0.900,	''),
(4670,	1547,	1779,	1,	1,	3,	5490,	1.000,	0.00,	0.000,	1.000,	''),
(4671,	1501,	676,	3,	3,	3,	5334,	13.000,	0.00,	0.000,	39.000,	''),
(4672,	1548,	765,	1,	1,	3,	5494,	1.700,	0.00,	0.000,	1.700,	''),
(4673,	1502,	848,	1,	3,	22,	5335,	1.800,	0.00,	0.000,	1.800,	''),
(4674,	1502,	1131,	1,	3,	3,	5336,	3.200,	0.00,	0.000,	3.200,	''),
(4676,	1503,	73,	1,	7,	9,	5345,	2.400,	0.00,	0.000,	2.400,	''),
(4677,	1503,	799,	1,	3,	38,	5346,	3.500,	0.00,	0.000,	3.500,	''),
(4678,	1503,	1131,	1,	3,	3,	5347,	3.200,	0.00,	0.000,	3.200,	''),
(4679,	1503,	1166,	1,	3,	3,	5348,	2.800,	0.00,	0.000,	2.800,	''),
(4680,	1503,	1365,	1,	3,	3,	5349,	3.000,	0.00,	0.000,	3.000,	''),
(4681,	1503,	1563,	1,	3,	109,	5350,	6.800,	0.00,	0.000,	6.800,	''),
(4682,	1503,	1587,	1,	4,	23,	5351,	1.300,	0.00,	0.000,	1.300,	''),
(4683,	1503,	1767,	1,	3,	22,	5352,	1.700,	0.00,	0.000,	1.700,	''),
(4684,	1504,	1131,	1,	3,	3,	5395,	3.000,	0.00,	0.000,	3.000,	''),
(4685,	1505,	799,	1,	3,	38,	5360,	3.500,	0.00,	0.000,	3.500,	''),
(4686,	1505,	1127,	1,	3,	3,	5361,	2.900,	0.00,	0.000,	2.900,	''),
(4687,	1505,	1131,	1,	3,	3,	5362,	3.200,	0.00,	0.000,	3.200,	''),
(4688,	1505,	1344,	1,	3,	20,	5363,	3.600,	0.00,	0.000,	3.600,	''),
(4689,	1505,	1433,	1,	3,	23,	5359,	2.800,	0.00,	0.000,	2.800,	''),
(4690,	1505,	1627,	1,	3,	3,	5364,	2.600,	0.00,	0.000,	2.600,	''),
(4691,	1506,	76,	1,	7,	13,	5371,	2.200,	0.00,	0.000,	2.200,	''),
(4692,	1506,	932,	1,	3,	79,	5372,	2.000,	0.00,	0.000,	2.000,	''),
(4693,	1506,	1166,	1,	3,	3,	5373,	2.800,	0.00,	0.000,	2.800,	''),
(4694,	1506,	1353,	2,	3,	3,	5374,	4.800,	0.00,	0.000,	9.600,	''),
(4695,	1506,	1439,	1,	3,	23,	5375,	2.800,	0.00,	0.000,	2.800,	''),
(4696,	1506,	1514,	1,	7,	4,	5376,	2.400,	0.00,	0.000,	2.400,	''),
(4698,	1549,	1251,	10,	3,	3,	5492,	3.600,	5.00,	1.800,	37.800,	''),
(4699,	1507,	1344,	1,	3,	20,	5377,	3.500,	0.00,	0.000,	3.500,	''),
(4700,	1551,	1830,	2,	4,	3,	5495,	0.700,	0.00,	0.000,	1.400,	''),
(4701,	1508,	168,	1,	3,	3,	5382,	2.200,	0.00,	0.000,	2.200,	''),
(4702,	1552,	1060,	1,	3,	3,	5496,	4.500,	0.00,	0.000,	4.500,	''),
(4703,	1509,	848,	1,	3,	38,	5380,	3.500,	0.00,	0.000,	3.500,	''),
(4704,	1509,	1344,	1,	3,	29,	5381,	2.300,	0.00,	0.000,	2.300,	''),
(4705,	1553,	848,	2,	3,	38,	5501,	3.500,	0.00,	0.000,	7.000,	''),
(4706,	1553,	1344,	1,	3,	20,	5502,	3.600,	0.00,	0.000,	3.600,	''),
(4707,	1510,	1060,	1,	3,	3,	5387,	4.800,	0.00,	0.000,	4.800,	''),
(4708,	1510,	1659,	1,	63,	3,	5386,	0.800,	0.00,	0.000,	0.800,	''),
(4709,	1511,	1344,	1,	3,	29,	5391,	2.200,	0.00,	0.000,	2.200,	''),
(4710,	1511,	1659,	1,	63,	2,	5392,	3.900,	0.00,	0.000,	3.900,	''),
(4711,	1554,	45,	1,	3,	3,	5499,	2.600,	0.00,	0.000,	2.600,	''),
(4712,	1554,	1491,	2,	3,	3,	5500,	1.400,	0.00,	0.000,	2.800,	''),
(4713,	1512,	168,	2,	3,	3,	5397,	2.200,	0.00,	0.000,	4.400,	''),
(4714,	1512,	170,	1,	3,	3,	5398,	6.800,	0.00,	0.000,	6.800,	''),
(4715,	1512,	178,	2,	3,	3,	5399,	10.800,	0.00,	0.000,	21.600,	''),
(4716,	1512,	420,	1,	3,	3,	5396,	2.100,	0.00,	0.000,	2.100,	''),
(4717,	1513,	46,	1,	3,	3,	5401,	1.000,	0.00,	0.000,	1.000,	''),
(4718,	1513,	1131,	1,	3,	6,	5400,	2.000,	0.00,	0.000,	2.000,	''),
(4719,	1555,	57,	1,	7,	13,	5512,	2.000,	0.00,	0.000,	2.000,	''),
(4720,	1555,	528,	2,	3,	3,	5513,	2.500,	0.00,	0.000,	5.000,	''),
(4721,	1555,	753,	2,	3,	3,	5511,	1.700,	0.00,	0.000,	3.400,	''),
(4722,	1555,	766,	2,	3,	3,	5510,	2.200,	0.00,	0.000,	4.400,	''),
(4723,	1555,	1344,	1,	3,	29,	5514,	2.200,	0.00,	0.000,	2.200,	''),
(4724,	1514,	677,	1,	3,	3,	5403,	13.000,	0.00,	0.000,	13.000,	''),
(4725,	1514,	766,	1,	3,	3,	5402,	2.200,	0.00,	0.000,	2.200,	''),
(4726,	1557,	848,	2,	3,	38,	5515,	3.500,	0.00,	0.000,	7.000,	''),
(4727,	1515,	1166,	2,	3,	3,	5405,	2.800,	0.00,	0.000,	5.600,	''),
(4728,	1515,	1344,	2,	3,	29,	5404,	2.300,	0.00,	0.000,	4.600,	''),
(4729,	1558,	682,	1,	3,	3,	5525,	10.600,	0.00,	0.000,	5.300,	''),
(4730,	1558,	1344,	1,	3,	20,	5526,	3.200,	0.00,	0.000,	3.200,	''),
(4731,	1558,	1587,	1,	3,	3,	5527,	5.600,	0.00,	0.000,	5.600,	''),
(4732,	1558,	1779,	1,	4,	3,	5524,	0.900,	0.00,	0.000,	0.900,	''),
(4733,	1516,	753,	1,	63,	2,	5410,	2.100,	0.00,	0.000,	2.100,	''),
(4734,	1516,	799,	1,	3,	38,	5411,	3.500,	0.00,	0.000,	3.500,	''),
(4735,	1516,	1131,	1,	3,	6,	5412,	3.800,	0.00,	0.000,	3.800,	''),
(4736,	1516,	1138,	2,	3,	3,	5413,	2.500,	0.00,	0.000,	5.000,	''),
(4737,	1559,	501,	2,	1,	3,	5529,	2.000,	0.00,	0.000,	4.000,	''),
(4738,	1517,	45,	1,	3,	3,	5414,	2.800,	0.00,	0.000,	2.800,	''),
(4739,	1560,	288,	3,	4,	3,	5530,	1.700,	0.00,	0.000,	5.100,	''),
(4740,	1518,	799,	1,	3,	38,	5416,	3.500,	0.00,	0.000,	3.500,	''),
(4741,	1518,	1124,	2,	3,	3,	5415,	3.000,	0.00,	0.000,	6.000,	''),
(4742,	1518,	1766,	2,	3,	3,	5417,	1.000,	0.00,	0.000,	2.000,	''),
(4743,	1519,	1138,	2,	3,	3,	5418,	2.800,	0.00,	0.000,	5.600,	''),
(4749,	1520,	168,	1,	3,	3,	5421,	2.200,	0.00,	0.000,	2.200,	''),
(4750,	1520,	799,	1,	3,	38,	5423,	3.500,	0.00,	0.000,	3.500,	''),
(4751,	1520,	1344,	1,	3,	20,	5422,	6.800,	0.00,	0.000,	6.800,	''),
(4752,	1520,	1514,	1,	7,	4,	5419,	0.800,	0.00,	0.000,	0.800,	''),
(4753,	1520,	1625,	1,	3,	3,	5420,	2.600,	0.00,	0.000,	2.600,	''),
(4754,	1521,	1124,	5,	3,	3,	5425,	2.900,	0.00,	0.000,	14.500,	''),
(4755,	1521,	1766,	4,	3,	3,	5424,	0.900,	0.00,	0.000,	3.600,	''),
(4756,	1522,	168,	1,	3,	3,	5426,	2.300,	0.00,	0.000,	2.300,	''),
(4757,	1522,	1071,	1,	3,	3,	5427,	3.200,	0.00,	0.000,	3.200,	''),
(4758,	1522,	1356,	1,	3,	3,	5428,	4.800,	0.00,	0.000,	4.800,	''),
(4759,	1523,	1344,	1,	3,	20,	5429,	3.600,	0.00,	0.000,	3.600,	''),
(4760,	1524,	1311,	1,	63,	55,	5430,	1.600,	0.00,	0.000,	1.600,	''),
(4761,	1525,	1344,	2,	3,	20,	5434,	3.600,	0.00,	0.000,	7.200,	''),
(4762,	1526,	1344,	2,	3,	25,	5432,	3.500,	0.00,	0.000,	7.000,	''),
(4763,	1527,	528,	1,	3,	3,	5435,	2.500,	0.00,	0.000,	2.500,	''),
(4764,	1527,	1071,	2,	3,	3,	5436,	3.000,	0.00,	0.000,	6.000,	''),
(4765,	1561,	1783,	0,	1,	3,	5532,	8.000,	0.00,	0.000,	0.800,	''),
(4766,	1561,	1856,	0,	1,	3,	5531,	8.000,	0.00,	0.000,	0.800,	''),
(4767,	1562,	758,	1,	63,	3,	5539,	2.500,	0.00,	0.000,	2.500,	''),
(4768,	1562,	758,	1,	63,	3,	5540,	2.500,	0.00,	0.000,	2.500,	''),
(4769,	1528,	752,	20,	3,	3,	5442,	13.800,	0.00,	0.000,	276.000,	''),
(4770,	1528,	848,	50,	3,	22,	5441,	1.800,	0.00,	0.000,	90.000,	''),
(4771,	1528,	1498,	10,	3,	23,	5443,	6.800,	0.00,	0.000,	68.000,	''),
(4772,	1528,	1563,	10,	3,	3,	5444,	6.500,	0.00,	0.000,	65.000,	''),
(4773,	1528,	1723,	2,	3,	3,	5445,	4.200,	0.00,	0.000,	8.400,	''),
(4774,	1563,	528,	1,	3,	3,	5536,	2.500,	0.00,	0.000,	2.500,	''),
(4775,	1529,	420,	1,	3,	3,	5446,	2.000,	0.00,	0.000,	2.000,	''),
(4776,	1564,	152,	2,	1,	3,	5537,	1.100,	0.00,	0.000,	2.200,	''),
(4777,	1530,	1839,	1,	63,	2,	5447,	1.750,	5.00,	0.088,	1.838,	''),
(4778,	1565,	1587,	2,	4,	23,	5538,	1.300,	0.00,	0.000,	2.600,	''),
(4779,	1566,	282,	1,	4,	33,	5541,	1.500,	0.00,	0.000,	1.500,	''),
(4780,	1531,	1839,	1,	63,	2,	5448,	1.750,	5.00,	0.088,	1.838,	''),
(4781,	1567,	836,	3,	10,	3,	5550,	6.500,	0.00,	0.000,	19.500,	''),
(4782,	1567,	1098,	2,	3,	3,	5551,	6.500,	0.00,	0.000,	13.000,	''),
(4783,	1567,	1124,	1,	3,	3,	5552,	2.800,	0.00,	0.000,	2.800,	''),
(4784,	1567,	1138,	1,	3,	3,	5553,	2.800,	0.00,	0.000,	2.800,	''),
(4785,	1567,	1263,	2,	4,	23,	5554,	1.300,	0.00,	0.000,	2.600,	''),
(4786,	1567,	1365,	3,	3,	3,	5555,	3.200,	0.00,	0.000,	9.600,	''),
(4787,	1567,	1587,	2,	4,	23,	5549,	1.300,	0.00,	0.000,	2.600,	''),
(4788,	1568,	848,	1,	3,	3,	5559,	3.500,	0.00,	0.000,	3.500,	''),
(4789,	1568,	1166,	1,	3,	3,	5558,	2.700,	0.00,	0.000,	2.700,	''),
(4790,	1568,	1565,	2,	1,	3,	5560,	1.300,	0.00,	0.000,	1.950,	''),
(4791,	1569,	1060,	12,	3,	3,	5562,	4.500,	0.00,	0.000,	54.000,	''),
(4792,	1569,	1610,	10,	3,	3,	5561,	4.500,	0.00,	0.000,	45.000,	''),
(4793,	1570,	45,	1,	3,	3,	5563,	2.600,	0.00,	0.000,	2.600,	''),
(4794,	1570,	168,	1,	3,	3,	5565,	2.200,	0.00,	0.000,	2.200,	''),
(4795,	1570,	1626,	1,	3,	71,	5564,	2.600,	0.00,	0.000,	2.600,	''),
(4796,	1571,	848,	1,	3,	38,	5566,	3.400,	0.00,	0.000,	3.400,	''),
(4797,	1571,	1587,	1,	3,	3,	5567,	5.500,	0.00,	0.000,	5.500,	''),
(4798,	1532,	420,	1,	3,	3,	5459,	2.100,	0.00,	0.000,	2.100,	''),
(4799,	1532,	1353,	1,	3,	3,	5460,	4.800,	0.00,	0.000,	4.800,	''),
(4800,	1532,	1626,	1,	3,	71,	5461,	2.300,	0.00,	0.000,	2.300,	''),
(4801,	1572,	848,	1,	3,	38,	5569,	3.500,	0.00,	0.000,	3.500,	''),
(4802,	1572,	1251,	2,	4,	3,	5570,	0.500,	5.00,	0.050,	1.050,	''),
(4803,	1573,	1312,	1,	63,	55,	5571,	1.500,	0.00,	0.000,	1.500,	''),
(4804,	1574,	420,	1,	3,	3,	5576,	2.000,	0.00,	0.000,	2.000,	''),
(4805,	1574,	528,	1,	3,	3,	5575,	2.500,	0.00,	0.000,	2.500,	''),
(4806,	1574,	682,	1,	3,	3,	5573,	10.600,	0.00,	0.000,	5.300,	''),
(4807,	1574,	1127,	3,	3,	3,	5577,	2.600,	0.00,	0.000,	7.800,	''),
(4808,	1574,	1131,	2,	3,	3,	5572,	3.700,	0.00,	0.000,	7.400,	''),
(4809,	1574,	1587,	1,	3,	3,	5574,	5.500,	0.00,	0.000,	5.500,	''),
(4810,	1575,	420,	1,	3,	3,	5582,	2.000,	0.00,	0.000,	2.000,	''),
(4811,	1575,	506,	1,	1,	3,	5580,	2.000,	0.00,	0.000,	2.000,	''),
(4812,	1575,	799,	1,	3,	38,	5584,	3.500,	0.00,	0.000,	3.500,	''),
(4813,	1575,	848,	1,	3,	38,	5583,	3.400,	0.00,	0.000,	3.400,	''),
(4814,	1575,	1124,	3,	3,	3,	5581,	2.500,	0.00,	0.000,	7.500,	''),
(4815,	1575,	1365,	3,	3,	3,	5586,	3.000,	0.00,	0.000,	9.000,	''),
(4816,	1575,	1565,	2,	1,	3,	5579,	1.300,	0.00,	0.000,	2.080,	''),
(4817,	1575,	1587,	1,	3,	3,	5585,	5.500,	0.00,	0.000,	5.500,	''),
(4818,	1575,	1626,	1,	3,	71,	5578,	2.400,	0.00,	0.000,	2.400,	''),
(4819,	1576,	752,	1,	3,	3,	5587,	14.200,	0.00,	0.000,	14.200,	''),
(4820,	1577,	752,	1,	4,	3,	5588,	3.550,	0.00,	0.000,	3.550,	''),
(4821,	1578,	1365,	2,	3,	3,	5589,	3.200,	0.00,	0.000,	6.400,	''),
(4822,	1579,	551,	1,	63,	3,	5593,	3.800,	5.00,	0.190,	3.990,	''),
(4823,	1579,	682,	1,	3,	3,	5594,	10.800,	0.00,	0.000,	10.800,	''),
(4824,	1579,	1563,	3,	6,	110,	5595,	0.900,	0.00,	0.000,	2.700,	''),
(4825,	1580,	1251,	1,	3,	3,	5597,	3.850,	5.00,	0.193,	4.043,	''),
(4826,	1581,	168,	1,	3,	3,	5598,	2.200,	0.00,	0.000,	2.200,	''),
(4827,	1556,	65,	1,	3,	13,	5509,	11.400,	0.00,	0.000,	11.400,	''),
(4828,	1556,	766,	1,	3,	3,	5508,	2.200,	0.00,	0.000,	2.200,	''),
(4829,	1556,	1779,	2,	4,	3,	5506,	0.900,	0.00,	0.000,	1.800,	''),
(4830,	1556,	1839,	1,	63,	3,	5507,	1.700,	5.00,	0.085,	1.785,	''),
(4831,	1544,	152,	25,	1,	3,	5486,	1.080,	0.00,	0.000,	27.000,	''),
(4832,	1550,	1779,	4,	1,	3,	5493,	0.800,	0.00,	0.000,	3.200,	''),
(4833,	1582,	420,	2,	3,	3,	5602,	2.100,	0.00,	0.000,	4.200,	''),
(4834,	1582,	528,	2,	3,	3,	5601,	2.600,	0.00,	0.000,	5.200,	''),
(4835,	1582,	682,	1,	3,	3,	5604,	10.800,	0.00,	0.000,	10.800,	''),
(4836,	1582,	753,	5,	63,	3,	5600,	2.000,	0.00,	0.000,	10.000,	''),
(4837,	1582,	766,	1,	3,	3,	5603,	2.300,	0.00,	0.000,	2.300,	''),
(4838,	1582,	1071,	2,	3,	3,	5599,	3.200,	0.00,	0.000,	6.400,	''),
(4839,	1583,	170,	2,	3,	3,	5605,	6.800,	0.00,	0.000,	13.600,	''),
(4840,	1584,	848,	1,	3,	38,	5606,	3.500,	0.00,	0.000,	3.500,	''),
(4841,	1584,	1131,	1,	3,	3,	5607,	3.000,	0.00,	0.000,	3.000,	''),
(4842,	1585,	766,	1,	3,	3,	5608,	2.300,	0.00,	0.000,	2.300,	''),
(4843,	1587,	1344,	1,	3,	20,	5615,	3.400,	0.00,	0.000,	3.400,	''),
(4844,	1586,	152,	3,	1,	3,	5614,	1.100,	0.00,	0.000,	3.740,	''),
(4845,	1586,	168,	2,	3,	3,	5612,	2.200,	0.00,	0.000,	4.400,	''),
(4846,	1586,	178,	1,	3,	3,	5611,	10.800,	0.00,	0.000,	10.800,	''),
(4847,	1586,	190,	9,	1,	3,	5610,	0.475,	0.00,	0.000,	4.038,	''),
(4848,	1586,	682,	1,	3,	3,	5613,	10.800,	0.00,	0.000,	5.400,	''),
(4849,	1586,	1166,	1,	3,	3,	5609,	2.700,	0.00,	0.000,	2.700,	''),
(4850,	1588,	420,	1,	3,	3,	5620,	2.000,	0.00,	0.000,	2.000,	''),
(4851,	1588,	551,	1,	63,	3,	5616,	3.800,	5.00,	0.190,	3.990,	''),
(4852,	1588,	667,	1,	3,	60,	5617,	13.200,	0.00,	0.000,	13.200,	''),
(4853,	1588,	676,	1,	3,	3,	5618,	12.800,	0.00,	0.000,	12.800,	''),
(4854,	1588,	753,	4,	63,	3,	5624,	1.700,	0.00,	0.000,	6.800,	'4kg'),
(4855,	1588,	766,	2,	3,	3,	5623,	2.200,	0.00,	0.000,	4.400,	''),
(4856,	1588,	799,	3,	3,	3,	5621,	3.400,	0.00,	0.000,	10.200,	''),
(4857,	1588,	1098,	1,	3,	3,	5619,	6.500,	0.00,	0.000,	6.500,	''),
(4858,	1588,	1839,	2,	63,	3,	5622,	1.700,	5.00,	0.170,	3.570,	''),
(4859,	1589,	676,	1,	3,	3,	5626,	13.000,	0.00,	0.000,	13.000,	''),
(4860,	1589,	766,	3,	3,	3,	5625,	2.200,	0.00,	0.000,	6.600,	''),
(4861,	1590,	152,	10,	1,	3,	5627,	1.080,	0.00,	0.000,	10.800,	''),
(4862,	1591,	1563,	1,	6,	110,	5629,	0.800,	0.00,	0.000,	0.800,	''),
(4863,	1592,	152,	3,	1,	3,	5630,	1.100,	0.00,	0.000,	3.300,	''),
(4864,	1593,	1563,	2,	3,	110,	5631,	6.700,	0.00,	0.000,	13.400,	''),
(4865,	1594,	152,	3,	1,	3,	5633,	1.100,	0.00,	0.000,	3.300,	''),
(4866,	1594,	799,	1,	3,	22,	5634,	1.400,	0.00,	0.000,	1.400,	''),
(4867,	1594,	848,	1,	3,	22,	5635,	1.900,	0.00,	0.000,	1.900,	''),
(4868,	1594,	848,	1,	3,	38,	5636,	3.500,	0.00,	0.000,	3.500,	''),
(4869,	1594,	972,	1,	3,	22,	5632,	2.000,	0.00,	0.000,	2.000,	''),
(4870,	1594,	1367,	1,	3,	20,	5637,	6.800,	0.00,	0.000,	6.800,	''),
(4872,	1596,	168,	82,	3,	3,	5639,	2.200,	0.00,	0.000,	180.400,	''),
(4873,	1597,	1659,	10,	63,	3,	5640,	0.750,	0.00,	0.000,	7.500,	''),
(4874,	1595,	501,	1,	1,	3,	5638,	2.000,	0.00,	0.000,	2.000,	''),
(4875,	1598,	275,	1,	3,	5,	5657,	4.700,	0.00,	0.000,	4.700,	''),
(4876,	1598,	667,	1,	3,	60,	5658,	13.200,	0.00,	0.000,	13.200,	''),
(4877,	1598,	765,	6,	1,	3,	5659,	1.700,	0.00,	0.000,	10.200,	''),
(4878,	1598,	1251,	4,	4,	3,	5660,	0.500,	5.00,	0.100,	2.100,	''),
(4879,	1598,	1425,	2,	1,	3,	5661,	1.900,	0.00,	0.000,	3.800,	''),
(4880,	1599,	76,	1,	7,	14,	5648,	2.200,	0.00,	0.000,	2.200,	''),
(4881,	1599,	932,	2,	6,	24,	5654,	0.800,	0.00,	0.000,	1.600,	''),
(4882,	1599,	1166,	1,	3,	3,	5647,	2.800,	0.00,	0.000,	2.800,	''),
(4883,	1599,	1344,	1,	3,	20,	5652,	3.800,	0.00,	0.000,	3.800,	''),
(4884,	1599,	1365,	1,	3,	3,	5650,	3.200,	0.00,	0.000,	3.200,	''),
(4885,	1599,	1425,	1,	1,	3,	5649,	1.900,	0.00,	0.000,	1.900,	''),
(4886,	1599,	1470,	2,	7,	3,	5653,	2.400,	0.00,	0.000,	4.800,	''),
(4887,	1599,	1563,	1,	3,	110,	5651,	6.500,	0.00,	0.000,	6.500,	''),
(4888,	1599,	1626,	1,	3,	71,	5655,	2.600,	0.00,	0.000,	2.600,	''),
(4889,	1599,	1659,	2,	63,	3,	5656,	0.800,	0.00,	0.000,	1.600,	''),
(4890,	1602,	1626,	2,	3,	71,	5664,	2.300,	0.00,	0.000,	4.600,	''),
(4891,	1601,	528,	1,	3,	3,	5663,	2.600,	0.00,	0.000,	2.600,	''),
(4892,	1603,	766,	1,	3,	3,	5667,	2.300,	0.00,	0.000,	2.300,	''),
(4893,	1603,	1251,	2,	4,	3,	5666,	0.500,	5.00,	0.050,	1.050,	''),
(4894,	1603,	1830,	2,	4,	3,	5665,	0.700,	0.00,	0.000,	1.400,	''),
(4895,	1600,	1166,	1,	3,	3,	5662,	2.800,	0.00,	0.000,	2.800,	''),
(4896,	1604,	1563,	1,	6,	110,	5668,	0.900,	0.00,	0.000,	0.900,	''),
(4897,	1605,	1131,	8,	3,	3,	5669,	2.800,	0.00,	0.000,	22.400,	''),
(4898,	1606,	799,	1,	3,	22,	5670,	1.400,	0.00,	0.000,	1.400,	''),
(4899,	1606,	1131,	2,	3,	3,	5673,	2.800,	0.00,	0.000,	5.600,	''),
(4900,	1606,	1365,	1,	3,	3,	5671,	3.200,	0.00,	0.000,	3.200,	''),
(4901,	1606,	1626,	1,	3,	71,	5672,	2.400,	0.00,	0.000,	2.400,	''),
(4903,	1608,	1425,	2,	1,	3,	5675,	1.900,	0.00,	0.000,	3.800,	''),
(4904,	1609,	1131,	1,	3,	6,	5676,	3.800,	0.00,	0.000,	1.900,	''),
(4905,	1610,	178,	3,	3,	3,	5677,	10.800,	0.00,	0.000,	32.400,	''),
(4906,	1611,	1978,	10,	63,	2,	5679,	2.200,	5.00,	1.100,	23.100,	''),
(4907,	1607,	1131,	2,	3,	3,	5674,	2.800,	0.00,	0.000,	5.600,	''),
(4909,	1612,	848,	1,	3,	38,	5680,	3.500,	0.00,	0.000,	3.500,	''),
(4910,	1613,	1353,	1,	3,	3,	5683,	4.800,	0.00,	0.000,	4.800,	''),
(4911,	1613,	1830,	1,	4,	3,	5682,	0.700,	0.00,	0.000,	0.700,	''),
(4912,	1614,	1251,	3,	4,	3,	5684,	0.500,	5.00,	0.075,	1.575,	''),
(4913,	1615,	799,	1,	3,	38,	5686,	3.500,	0.00,	0.000,	3.500,	''),
(4914,	1615,	1353,	1,	3,	3,	5687,	4.800,	0.00,	0.000,	4.800,	''),
(4919,	1616,	528,	4,	3,	3,	5691,	2.500,	0.00,	0.000,	10.000,	''),
(4920,	1616,	682,	1,	3,	3,	5688,	10.800,	0.00,	0.000,	10.800,	''),
(4921,	1616,	753,	3,	63,	2,	5690,	1.700,	0.00,	0.000,	5.100,	''),
(4922,	1616,	766,	2,	3,	3,	5689,	2.300,	0.00,	0.000,	4.600,	''),
(4923,	1619,	1344,	1,	3,	103,	5708,	2.000,	0.00,	0.000,	2.000,	''),
(4924,	1622,	178,	2,	1,	3,	5716,	1.200,	0.00,	0.000,	2.520,	''),
(4925,	1622,	429,	5,	4,	3,	5719,	0.600,	0.00,	0.000,	3.000,	''),
(4926,	1622,	576,	5,	4,	3,	5720,	0.550,	0.00,	0.000,	2.750,	''),
(4927,	1622,	848,	1,	3,	38,	5721,	3.500,	0.00,	0.000,	3.500,	''),
(4928,	1622,	932,	1,	3,	79,	5713,	1.800,	0.00,	0.000,	1.800,	''),
(4929,	1622,	1251,	1,	4,	3,	5715,	3.800,	5.00,	0.190,	3.990,	''),
(4930,	1622,	1464,	2,	1,	3,	5717,	1.400,	5.00,	0.140,	2.940,	''),
(4931,	1622,	1565,	4,	1,	3,	5714,	1.300,	0.00,	0.000,	4.550,	''),
(4932,	1622,	1587,	1,	3,	3,	5718,	5.600,	0.00,	0.000,	5.600,	''),
(4933,	1623,	667,	1,	3,	3,	5722,	18.000,	0.00,	0.000,	18.000,	''),
(4934,	1624,	33,	1,	3,	11,	5727,	6.800,	0.00,	0.000,	6.800,	''),
(4935,	1624,	73,	2,	7,	8,	5725,	2.200,	0.00,	0.000,	4.400,	''),
(4936,	1624,	279,	4,	4,	5,	5724,	0.500,	0.00,	0.000,	2.000,	''),
(4937,	1624,	1166,	1,	3,	3,	5726,	2.700,	0.00,	0.000,	2.700,	''),
(4938,	1624,	1263,	1,	4,	23,	5723,	1.400,	0.00,	0.000,	1.400,	''),
(4939,	1624,	1344,	1,	3,	25,	5728,	3.200,	0.00,	0.000,	3.200,	''),
(4940,	1625,	74,	5,	6,	10,	5735,	9.400,	0.00,	0.000,	47.000,	''),
(4941,	1625,	836,	5,	3,	5,	5736,	6.800,	0.00,	0.000,	34.000,	''),
(4942,	1625,	848,	15,	3,	22,	5737,	1.800,	0.00,	0.000,	27.000,	''),
(4943,	1618,	168,	1,	3,	3,	5697,	2.200,	0.00,	0.000,	2.200,	''),
(4944,	1618,	1166,	3,	3,	3,	5701,	2.700,	0.00,	0.000,	8.100,	''),
(4945,	1618,	1565,	4,	1,	3,	5698,	1.300,	0.00,	0.000,	5.330,	''),
(4946,	1618,	1610,	1,	3,	3,	5700,	4.500,	0.00,	0.000,	4.500,	''),
(4947,	1618,	1766,	2,	3,	3,	5699,	1.200,	0.00,	0.000,	2.400,	''),
(4948,	1620,	178,	2,	1,	3,	5709,	1.100,	0.00,	0.000,	2.640,	''),
(4949,	1620,	848,	1,	3,	3,	5711,	3.500,	0.00,	0.000,	3.500,	''),
(4950,	1620,	1464,	1,	1,	3,	5710,	1.400,	5.00,	0.070,	1.470,	''),
(4951,	1621,	752,	2,	3,	3,	5712,	13.800,	0.00,	0.000,	27.600,	''),
(4952,	1617,	170,	15,	3,	2,	5703,	6.800,	0.00,	0.000,	102.000,	''),
(4953,	1617,	848,	10,	3,	5,	5704,	4.800,	0.00,	0.000,	48.000,	''),
(4954,	1617,	932,	15,	3,	24,	5705,	3.600,	0.00,	0.000,	54.000,	''),
(4955,	1617,	1131,	2,	3,	3,	5702,	2.900,	0.00,	0.000,	5.800,	''),
(4956,	1617,	1563,	8,	3,	3,	5706,	6.500,	0.00,	0.000,	52.000,	''),
(4957,	1617,	1626,	10,	3,	3,	5707,	2.300,	0.00,	0.000,	23.000,	''),
(4958,	1626,	1124,	1,	3,	3,	5731,	2.500,	0.00,	0.000,	2.500,	''),
(4959,	1626,	1830,	2,	4,	3,	5732,	0.700,	0.00,	0.000,	1.400,	''),
(4960,	1627,	1312,	1,	63,	55,	5733,	1.200,	0.00,	0.000,	1.200,	''),
(4966,	1628,	753,	3,	63,	3,	5734,	2.600,	0.00,	0.000,	7.800,	''),
(4967,	1782,	1098,	1,	3,	3,	6168,	6.500,	0.00,	0.000,	6.500,	''),
(4968,	1783,	933,	1,	7,	3,	6170,	3.800,	0.00,	0.000,	3.800,	''),
(4969,	1784,	766,	2,	3,	3,	6171,	2.300,	0.00,	0.000,	4.600,	''),
(4970,	1629,	506,	1,	1,	3,	5738,	2.200,	0.00,	0.000,	1.100,	''),
(4971,	1630,	1131,	1,	3,	6,	5739,	3.500,	0.00,	0.000,	3.500,	''),
(4972,	1631,	298,	1,	4,	3,	5742,	1.600,	0.00,	0.000,	1.600,	''),
(4973,	1785,	848,	1,	3,	38,	6172,	3.500,	0.00,	0.000,	3.500,	''),
(4974,	1632,	57,	1,	7,	12,	5745,	2.200,	0.00,	0.000,	2.200,	''),
(4975,	1632,	76,	1,	7,	13,	5744,	2.200,	0.00,	0.000,	2.200,	''),
(4976,	1632,	799,	1,	3,	38,	5746,	3.500,	0.00,	0.000,	3.500,	''),
(4977,	1632,	1312,	2,	63,	55,	5747,	1.200,	0.00,	0.000,	2.400,	''),
(4978,	1632,	1353,	1,	3,	3,	5743,	4.800,	0.00,	0.000,	4.800,	''),
(4980,	1633,	1166,	2,	3,	3,	5748,	2.800,	0.00,	0.000,	5.600,	''),
(4981,	1683,	279,	2,	4,	36,	5890,	0.500,	0.00,	0.000,	1.000,	''),
(4982,	1683,	1166,	1,	3,	3,	5891,	2.800,	0.00,	0.000,	2.800,	''),
(4983,	1683,	1565,	2,	1,	3,	5889,	1.300,	0.00,	0.000,	2.730,	''),
(4984,	1684,	1127,	2,	3,	3,	5897,	2.700,	0.00,	0.000,	5.400,	''),
(4985,	1684,	1131,	1,	3,	6,	5895,	3.800,	0.00,	0.000,	3.800,	''),
(4986,	1684,	1179,	4,	3,	3,	5896,	2.800,	0.00,	0.000,	11.200,	''),
(4987,	1685,	1098,	1,	3,	3,	5898,	6.500,	0.00,	0.000,	6.500,	''),
(4988,	1686,	1179,	2,	3,	3,	5899,	2.800,	0.00,	0.000,	5.600,	''),
(4989,	1687,	753,	2,	63,	3,	5900,	2.100,	0.00,	0.000,	4.200,	''),
(4990,	1688,	211,	1,	1,	3,	5901,	1.700,	0.00,	0.000,	2.210,	''),
(4991,	1689,	753,	1,	63,	3,	5903,	1.700,	0.00,	0.000,	1.700,	''),
(4992,	1689,	766,	1,	3,	3,	5905,	2.300,	0.00,	0.000,	2.300,	''),
(4993,	1689,	1071,	1,	3,	3,	5904,	3.200,	0.00,	0.000,	3.200,	''),
(4994,	1689,	1166,	1,	3,	3,	5902,	2.800,	0.00,	0.000,	2.800,	''),
(4995,	1690,	1179,	1,	3,	3,	5906,	2.700,	0.00,	0.000,	2.700,	''),
(4996,	1691,	1179,	5,	3,	3,	5907,	2.700,	0.00,	0.000,	13.500,	''),
(4997,	1634,	848,	1,	3,	22,	5749,	1.800,	0.00,	0.000,	1.800,	''),
(4998,	1635,	282,	2,	4,	3,	5752,	1.600,	0.00,	0.000,	3.200,	''),
(4999,	1635,	799,	1,	3,	22,	5750,	1.400,	0.00,	0.000,	1.400,	''),
(5000,	1635,	1098,	1,	3,	3,	5751,	6.500,	0.00,	0.000,	6.500,	''),
(5001,	1635,	1344,	1,	3,	20,	5753,	3.600,	0.00,	0.000,	3.600,	''),
(5002,	1636,	1891,	1,	4,	3,	5754,	0.700,	0.00,	0.000,	0.700,	''),
(5003,	1637,	420,	4,	3,	3,	5758,	2.000,	0.00,	0.000,	8.000,	''),
(5004,	1637,	528,	1,	3,	3,	5755,	2.500,	0.00,	0.000,	2.500,	''),
(5005,	1637,	799,	2,	3,	38,	5756,	3.500,	0.00,	0.000,	7.000,	''),
(5006,	1637,	1071,	2,	3,	3,	5757,	3.200,	0.00,	0.000,	6.400,	''),
(5007,	1638,	667,	1,	3,	3,	5759,	18.000,	0.00,	0.000,	18.000,	''),
(5008,	1639,	1312,	2,	63,	92,	5760,	0.900,	0.00,	0.000,	1.800,	''),
(5009,	1641,	753,	1,	63,	2,	5762,	2.100,	0.00,	0.000,	2.100,	''),
(5010,	1642,	753,	1,	63,	2,	5763,	1.700,	0.00,	0.000,	1.700,	''),
(5011,	1643,	799,	1,	3,	22,	5764,	1.700,	0.00,	0.000,	1.700,	''),
(5012,	1644,	1131,	1,	3,	3,	5765,	2.000,	0.00,	0.000,	2.000,	''),
(5013,	1645,	1353,	1,	3,	3,	5766,	5.000,	0.00,	0.000,	5.000,	''),
(5014,	1646,	777,	1,	3,	2,	5775,	6.800,	0.00,	0.000,	6.800,	''),
(5015,	1646,	1066,	1,	3,	3,	5774,	3.200,	0.00,	0.000,	3.200,	''),
(5016,	1647,	848,	1,	3,	3,	5771,	3.500,	0.00,	0.000,	3.500,	''),
(5017,	1648,	752,	3,	3,	23,	5772,	13.800,	0.00,	0.000,	41.400,	''),
(5018,	1649,	1131,	2,	3,	3,	5777,	2.800,	0.00,	0.000,	5.600,	''),
(5019,	1649,	1344,	2,	3,	103,	5776,	2.000,	0.00,	0.000,	4.000,	''),
(5020,	1650,	1344,	1,	3,	103,	5778,	2.000,	0.00,	0.000,	2.000,	''),
(5021,	1651,	57,	1,	3,	15,	5785,	8.800,	0.00,	0.000,	8.800,	''),
(5022,	1651,	279,	1,	3,	3,	5779,	4.700,	0.00,	0.000,	4.700,	''),
(5023,	1651,	420,	1,	3,	3,	5781,	2.000,	0.00,	0.000,	2.000,	''),
(5024,	1651,	528,	2,	3,	3,	5782,	2.500,	0.00,	0.000,	5.000,	''),
(5025,	1651,	753,	1,	3,	5,	5786,	4.000,	0.00,	0.000,	4.000,	''),
(5026,	1651,	848,	6,	3,	22,	5787,	1.900,	0.00,	0.000,	11.400,	''),
(5027,	1651,	882,	5,	3,	22,	5788,	1.500,	0.00,	0.000,	7.500,	''),
(5028,	1651,	1124,	5,	3,	3,	5789,	2.500,	0.00,	0.000,	12.500,	''),
(5029,	1651,	1166,	10,	3,	3,	5790,	2.700,	0.00,	0.000,	27.000,	''),
(5030,	1651,	1510,	1,	3,	3,	5780,	8.700,	0.00,	0.000,	8.700,	''),
(5031,	1651,	1563,	1,	3,	110,	5784,	6.500,	0.00,	0.000,	6.500,	''),
(5032,	1651,	1626,	3,	3,	71,	5783,	2.200,	0.00,	0.000,	6.600,	''),
(5033,	1652,	279,	4,	4,	5,	5792,	0.500,	0.00,	0.000,	2.000,	''),
(5034,	1653,	1425,	1,	1,	3,	5793,	2.000,	0.00,	0.000,	2.000,	''),
(5035,	1653,	1625,	1,	3,	3,	5794,	2.500,	0.00,	0.000,	2.500,	''),
(5036,	1654,	753,	5,	63,	3,	5796,	1.600,	0.00,	0.000,	8.000,	''),
(5037,	1654,	766,	1,	3,	3,	5795,	2.300,	0.00,	0.000,	2.300,	''),
(5038,	1654,	799,	2,	3,	3,	5797,	3.500,	0.00,	0.000,	7.000,	''),
(5039,	1655,	933,	1,	3,	3,	5798,	4.800,	0.00,	0.000,	4.800,	''),
(5040,	1655,	1131,	1,	3,	3,	5799,	3.200,	0.00,	0.000,	3.200,	''),
(5041,	1656,	168,	1,	3,	3,	5800,	2.200,	0.00,	0.000,	2.200,	''),
(5042,	1656,	767,	1,	3,	3,	5801,	2.300,	0.00,	0.000,	2.300,	''),
(5043,	1657,	18,	1,	3,	7,	5804,	10.500,	0.00,	0.000,	10.500,	''),
(5044,	1657,	1344,	1,	3,	103,	5802,	23.000,	0.00,	0.000,	23.000,	''),
(5045,	1657,	1353,	1,	3,	3,	5803,	4.800,	0.00,	0.000,	4.800,	''),
(5046,	1659,	799,	1,	3,	3,	5807,	3.500,	0.00,	0.000,	3.500,	''),
(5047,	1659,	1066,	1,	3,	3,	5806,	3.000,	0.00,	0.000,	3.000,	''),
(5048,	1660,	799,	1,	3,	3,	5808,	3.500,	0.00,	0.000,	3.500,	''),
(5049,	1661,	76,	1,	3,	7,	5809,	10.500,	0.00,	0.000,	10.500,	''),
(5050,	1661,	1336,	1,	3,	29,	5810,	2.300,	0.00,	0.000,	2.300,	''),
(5051,	1661,	1353,	1,	3,	3,	5811,	4.800,	0.00,	0.000,	4.800,	''),
(5052,	1662,	279,	2,	4,	5,	5814,	0.500,	0.00,	0.000,	1.000,	''),
(5053,	1662,	753,	1,	63,	3,	5813,	2.200,	0.00,	0.000,	2.200,	''),
(5054,	1662,	932,	1,	6,	24,	5812,	0.800,	0.00,	0.000,	0.800,	''),
(5055,	1662,	1124,	1,	3,	3,	5816,	2.800,	0.00,	0.000,	2.800,	''),
(5056,	1662,	1312,	1,	63,	92,	5815,	1.000,	0.00,	0.000,	1.000,	''),
(5057,	1663,	799,	1,	3,	4,	5819,	1.500,	0.00,	0.000,	1.500,	''),
(5058,	1663,	1425,	1,	1,	3,	5820,	2.000,	0.00,	0.000,	1.000,	''),
(5059,	1664,	848,	1,	10,	22,	5821,	1.900,	0.00,	0.000,	1.900,	''),
(5060,	1665,	168,	3,	1,	3,	5823,	1.200,	0.00,	0.000,	3.360,	''),
(5061,	1665,	1044,	2,	1,	3,	5822,	0.800,	0.00,	0.000,	1.520,	''),
(5062,	1665,	1071,	1,	3,	3,	5824,	3.200,	0.00,	0.000,	3.200,	''),
(5063,	1666,	57,	2,	3,	13,	5828,	8.800,	0.00,	0.000,	17.600,	''),
(5064,	1666,	766,	1,	3,	3,	5825,	2.300,	0.00,	0.000,	2.300,	''),
(5065,	1666,	848,	1,	3,	22,	5826,	1.900,	0.00,	0.000,	1.900,	''),
(5066,	1666,	848,	1,	3,	38,	5827,	3.500,	0.00,	0.000,	3.500,	''),
(5067,	1666,	1344,	3,	3,	20,	5829,	3.500,	0.00,	0.000,	10.500,	''),
(5068,	1667,	170,	1,	3,	3,	5833,	6.800,	0.00,	0.000,	6.800,	''),
(5069,	1667,	275,	1,	3,	5,	5830,	4.800,	0.00,	0.000,	4.800,	''),
(5070,	1667,	766,	1,	3,	3,	5832,	2.300,	0.00,	0.000,	2.300,	''),
(5071,	1667,	1839,	2,	63,	2,	5831,	1.800,	5.00,	0.180,	3.780,	''),
(5072,	1668,	45,	1,	3,	22,	5834,	1.100,	0.00,	0.000,	1.100,	''),
(5073,	1668,	799,	1,	10,	22,	5835,	1.500,	0.00,	0.000,	1.500,	''),
(5074,	1668,	1345,	1,	3,	3,	5836,	2.200,	0.00,	0.000,	2.200,	''),
(5075,	1669,	33,	1,	3,	4,	5838,	1.400,	0.00,	0.000,	1.400,	''),
(5076,	1669,	168,	1,	3,	3,	5839,	2.200,	0.00,	0.000,	2.200,	''),
(5077,	1669,	799,	1,	3,	22,	5837,	1.400,	0.00,	0.000,	1.400,	''),
(5078,	1670,	1344,	1,	3,	20,	5840,	3.600,	0.00,	0.000,	3.600,	''),
(5079,	1671,	168,	1,	3,	3,	5843,	1.800,	0.00,	0.000,	1.800,	''),
(5080,	1671,	1353,	1,	3,	3,	5841,	4.900,	0.00,	0.000,	4.900,	''),
(5081,	1671,	1563,	1,	3,	110,	5842,	6.500,	0.00,	0.000,	6.500,	''),
(5082,	1672,	766,	2,	3,	3,	5892,	2.300,	0.00,	0.000,	4.600,	''),
(5083,	1672,	1621,	1,	3,	3,	5893,	10.000,	0.00,	0.000,	10.000,	''),
(5084,	1672,	1851,	1,	3,	3,	5894,	12.500,	0.00,	0.000,	12.500,	''),
(5085,	1673,	1166,	2,	3,	3,	5847,	2.800,	0.00,	0.000,	5.600,	''),
(5086,	1674,	77,	1,	7,	13,	5863,	2.200,	0.00,	0.000,	2.200,	''),
(5087,	1674,	799,	1,	3,	38,	5864,	3.500,	0.00,	0.000,	3.500,	''),
(5088,	1674,	1127,	1,	3,	3,	5865,	2.800,	0.00,	0.000,	2.800,	''),
(5089,	1674,	1264,	2,	10,	4,	5866,	1.300,	0.00,	0.000,	2.600,	''),
(5090,	1674,	1365,	1,	3,	3,	5867,	3.200,	0.00,	0.000,	3.200,	''),
(5091,	1674,	1434,	2,	10,	4,	5868,	0.900,	0.00,	0.000,	1.800,	''),
(5092,	1675,	168,	2,	1,	3,	5856,	1.200,	0.00,	0.000,	2.880,	''),
(5093,	1675,	753,	4,	63,	3,	5855,	2.600,	0.00,	0.000,	10.400,	''),
(5094,	1675,	1071,	1,	3,	3,	5854,	3.000,	0.00,	0.000,	3.000,	''),
(5095,	1676,	57,	1,	7,	13,	5873,	2.200,	0.00,	0.000,	2.200,	''),
(5096,	1676,	1071,	1,	3,	3,	5872,	3.200,	0.00,	0.000,	3.200,	''),
(5097,	1677,	279,	1,	3,	3,	5870,	4.700,	0.00,	0.000,	4.700,	''),
(5098,	1678,	1839,	1,	63,	2,	5874,	1.700,	5.00,	0.085,	1.785,	''),
(5099,	1679,	275,	4,	4,	3,	5875,	0.500,	0.00,	0.000,	2.000,	''),
(5100,	1680,	1060,	1,	3,	3,	5877,	4.500,	0.00,	0.000,	4.500,	''),
(5101,	1682,	284,	1,	4,	3,	5881,	1.900,	0.00,	0.000,	1.900,	''),
(5102,	1682,	288,	2,	4,	3,	5882,	1.700,	0.00,	0.000,	3.400,	''),
(5103,	1682,	298,	3,	4,	3,	5880,	1.600,	0.00,	0.000,	4.800,	''),
(5104,	1682,	799,	1,	3,	22,	5883,	1.400,	0.00,	0.000,	1.400,	''),
(5105,	1682,	1078,	1,	3,	3,	5887,	3.800,	0.00,	0.000,	3.800,	''),
(5106,	1682,	1131,	1,	3,	3,	5885,	2.800,	0.00,	0.000,	2.800,	''),
(5107,	1682,	1201,	1,	3,	3,	5888,	3.800,	5.00,	0.190,	3.990,	''),
(5108,	1682,	1353,	1,	3,	3,	5886,	4.800,	0.00,	0.000,	4.800,	''),
(5109,	1682,	1626,	1,	3,	71,	5884,	2.600,	0.00,	0.000,	2.600,	''),
(5110,	1682,	1959,	2,	1,	3,	5879,	1.400,	0.00,	0.000,	2.800,	''),
(5111,	1692,	682,	1,	3,	3,	5908,	10.800,	0.00,	0.000,	10.800,	''),
(5112,	1692,	1344,	2,	3,	20,	5909,	3.600,	0.00,	0.000,	7.200,	''),
(5113,	1693,	45,	1,	3,	3,	5910,	2.600,	0.00,	0.000,	2.600,	''),
(5114,	1693,	848,	1,	3,	38,	5914,	3.500,	0.00,	0.000,	3.500,	''),
(5115,	1693,	1131,	2,	3,	3,	5911,	3.800,	0.00,	0.000,	7.600,	''),
(5116,	1693,	1622,	1,	3,	3,	5913,	4.800,	0.00,	0.000,	4.800,	''),
(5117,	1693,	1766,	1,	3,	3,	5912,	1.000,	0.00,	0.000,	1.000,	''),
(5118,	1694,	848,	1,	3,	3,	5915,	3.500,	0.00,	0.000,	3.500,	''),
(5119,	1695,	1425,	1,	1,	3,	5916,	2.000,	0.00,	0.000,	1.000,	''),
(5120,	1696,	1626,	1,	3,	71,	5917,	2.300,	0.00,	0.000,	2.300,	''),
(5121,	1697,	1124,	3,	3,	3,	5918,	2.600,	0.00,	0.000,	7.800,	''),
(5122,	1697,	1131,	4,	3,	3,	5919,	2.800,	0.00,	0.000,	11.200,	''),
(5123,	1698,	275,	2,	4,	3,	5923,	0.500,	0.00,	0.000,	1.000,	''),
(5124,	1698,	848,	1,	3,	22,	5922,	1.900,	0.00,	0.000,	1.900,	''),
(5125,	1698,	1131,	1,	3,	3,	5920,	2.800,	0.00,	0.000,	2.800,	''),
(5126,	1698,	1344,	1,	3,	29,	5921,	2.300,	0.00,	0.000,	2.300,	''),
(5127,	1699,	528,	1,	3,	3,	5929,	2.500,	0.00,	0.000,	2.500,	''),
(5128,	1699,	753,	1,	63,	2,	5930,	2.100,	0.00,	0.000,	2.100,	''),
(5129,	1699,	766,	1,	3,	3,	5931,	2.300,	0.00,	0.000,	2.300,	''),
(5130,	1699,	1071,	1,	3,	3,	5932,	3.200,	0.00,	0.000,	3.200,	''),
(5131,	1699,	1839,	1,	63,	3,	5933,	1.800,	5.00,	0.090,	1.890,	''),
(5132,	1700,	1071,	1,	3,	3,	5935,	3.200,	0.00,	0.000,	3.200,	''),
(5133,	1700,	1131,	2,	3,	3,	5937,	2.800,	0.00,	0.000,	5.600,	''),
(5134,	1700,	1626,	1,	3,	71,	5934,	2.500,	0.00,	0.000,	2.500,	''),
(5135,	1700,	1766,	2,	3,	3,	5936,	1.000,	0.00,	0.000,	2.000,	''),
(5136,	1701,	1626,	1,	3,	71,	5938,	2.600,	0.00,	0.000,	2.600,	''),
(5137,	1702,	1251,	3,	4,	3,	5939,	0.500,	5.00,	0.075,	1.575,	''),
(5138,	1703,	279,	2,	4,	3,	5955,	0.500,	0.00,	0.000,	1.000,	''),
(5139,	1703,	848,	1,	10,	22,	5956,	2.000,	0.00,	0.000,	2.000,	''),
(5140,	1703,	932,	1,	6,	24,	5957,	0.800,	0.00,	0.000,	0.800,	''),
(5141,	1703,	1131,	1,	3,	3,	5958,	2.800,	0.00,	0.000,	2.800,	''),
(5142,	1703,	1264,	1,	10,	3,	5959,	1.300,	0.00,	0.000,	1.300,	''),
(5143,	1703,	1440,	1,	3,	23,	5960,	0.900,	0.00,	0.000,	0.900,	''),
(5144,	1703,	1514,	1,	7,	3,	5954,	2.400,	0.00,	0.000,	2.400,	''),
(5145,	1703,	1626,	1,	3,	71,	5961,	2.300,	0.00,	0.000,	2.300,	''),
(5146,	1704,	178,	2,	1,	3,	5970,	1.100,	0.00,	0.000,	2.200,	''),
(5147,	1704,	528,	2,	63,	3,	5971,	2.500,	0.00,	0.000,	5.000,	''),
(5148,	1704,	753,	2,	63,	2,	5972,	2.000,	0.00,	0.000,	4.000,	''),
(5149,	1704,	799,	1,	3,	38,	5973,	3.500,	0.00,	0.000,	3.500,	''),
(5150,	1704,	848,	1,	3,	38,	5974,	3.500,	0.00,	0.000,	3.500,	''),
(5151,	1704,	1044,	1,	3,	3,	5975,	2.800,	0.00,	0.000,	2.800,	''),
(5152,	1704,	1344,	4,	3,	29,	5976,	2.000,	0.00,	0.000,	8.000,	''),
(5153,	1704,	1563,	1,	6,	110,	5977,	0.800,	0.00,	0.000,	0.800,	''),
(5154,	1705,	1336,	1,	3,	29,	5978,	2.200,	0.00,	0.000,	2.200,	''),
(5155,	1706,	1131,	2,	3,	3,	5979,	2.800,	0.00,	0.000,	5.600,	''),
(5156,	1706,	1365,	1,	3,	3,	5980,	3.200,	0.00,	0.000,	3.200,	''),
(5157,	1707,	1344,	1,	3,	25,	5981,	2.200,	0.00,	0.000,	2.200,	''),
(5158,	1708,	528,	1,	3,	3,	5983,	2.500,	0.00,	0.000,	2.500,	''),
(5159,	1708,	676,	1,	3,	3,	5984,	13.000,	0.00,	0.000,	13.000,	''),
(5160,	1708,	753,	1,	63,	3,	5982,	1.600,	0.00,	0.000,	1.600,	''),
(5161,	1709,	676,	6,	3,	3,	5986,	12.800,	0.00,	0.000,	76.800,	''),
(5162,	1709,	1344,	1,	3,	20,	5985,	3.400,	0.00,	0.000,	3.400,	''),
(5163,	1710,	57,	1,	7,	13,	5991,	1.900,	0.00,	0.000,	1.900,	''),
(5164,	1710,	116,	1,	7,	13,	5990,	2.000,	0.00,	0.000,	2.000,	''),
(5165,	1710,	152,	1,	1,	3,	5987,	1.100,	0.00,	0.000,	1.100,	''),
(5166,	1710,	1229,	2,	4,	3,	5988,	0.550,	5.00,	0.055,	1.155,	''),
(5167,	1710,	1251,	2,	4,	3,	5989,	0.500,	5.00,	0.050,	1.050,	''),
(5168,	1786,	753,	1,	63,	3,	6173,	2.600,	0.00,	0.000,	2.600,	''),
(5169,	1711,	528,	2,	3,	3,	5992,	2.500,	0.00,	0.000,	5.000,	''),
(5170,	1787,	1251,	2,	4,	3,	6174,	0.500,	5.00,	0.050,	1.050,	''),
(5171,	1787,	1353,	1,	3,	3,	6175,	4.800,	0.00,	0.000,	4.800,	''),
(5172,	1712,	1131,	3,	3,	3,	5994,	2.600,	0.00,	0.000,	7.800,	''),
(5173,	1788,	1839,	2,	63,	3,	6176,	1.800,	5.00,	0.180,	3.780,	''),
(5174,	1713,	178,	1,	3,	3,	5995,	10.800,	0.00,	0.000,	10.800,	''),
(5175,	1789,	420,	1,	3,	3,	6179,	2.000,	0.00,	0.000,	2.000,	''),
(5176,	1789,	848,	1,	3,	38,	6177,	3.500,	0.00,	0.000,	3.500,	''),
(5177,	1789,	932,	2,	6,	24,	6180,	0.700,	0.00,	0.000,	1.400,	''),
(5178,	1789,	1344,	1,	3,	29,	6178,	2.200,	0.00,	0.000,	2.200,	''),
(5179,	1714,	932,	1,	3,	24,	5996,	3.600,	0.00,	0.000,	3.600,	''),
(5180,	1715,	753,	1,	63,	3,	5997,	1.800,	0.00,	0.000,	1.800,	''),
(5181,	1716,	1131,	1,	7,	3,	5998,	2.000,	0.00,	0.000,	2.000,	''),
(5182,	1717,	1124,	2,	3,	3,	5999,	3.000,	0.00,	0.000,	6.000,	''),
(5183,	1718,	932,	15,	3,	79,	6000,	1.800,	0.00,	0.000,	27.000,	''),
(5184,	1718,	1251,	1,	3,	3,	6001,	3.850,	5.00,	0.193,	4.043,	''),
(5185,	1719,	836,	5,	3,	3,	6002,	6.400,	0.00,	0.000,	32.000,	''),
(5186,	1791,	753,	1,	63,	3,	6188,	2.100,	0.00,	0.000,	2.100,	''),
(5187,	1791,	1264,	1,	3,	3,	6189,	5.200,	0.00,	0.000,	5.200,	''),
(5188,	1720,	1251,	1,	3,	3,	6003,	3.850,	5.00,	0.193,	4.043,	''),
(5189,	1721,	148,	1,	1,	3,	6004,	4.200,	0.00,	0.000,	4.200,	''),
(5190,	1793,	753,	1,	63,	3,	6190,	2.000,	0.00,	0.000,	2.000,	''),
(5191,	1723,	501,	4,	1,	3,	6011,	2.000,	0.00,	0.000,	8.000,	''),
(5192,	1723,	1078,	2,	3,	6,	6012,	3.800,	0.00,	0.000,	7.600,	''),
(5193,	1723,	1491,	10,	3,	3,	6013,	1.400,	0.00,	0.000,	14.000,	''),
(5194,	1723,	1496,	4,	3,	23,	6014,	6.800,	0.00,	0.000,	27.200,	''),
(5195,	1794,	1839,	1,	63,	3,	6191,	1.800,	5.00,	0.090,	1.890,	''),
(5196,	1724,	1587,	5,	3,	3,	6016,	5.400,	0.00,	0.000,	27.000,	''),
(5197,	1795,	799,	1,	3,	38,	6194,	3.500,	0.00,	0.000,	3.500,	''),
(5198,	1795,	848,	1,	3,	38,	6193,	3.500,	0.00,	0.000,	3.500,	''),
(5199,	1795,	932,	1,	3,	79,	6192,	2.000,	0.00,	0.000,	2.000,	''),
(5200,	1796,	799,	1,	3,	3,	6196,	3.500,	0.00,	0.000,	3.500,	''),
(5201,	1796,	848,	1,	3,	3,	6195,	3.300,	0.00,	0.000,	3.300,	''),
(5202,	1725,	1839,	1,	63,	3,	6017,	1.800,	5.00,	0.090,	1.890,	''),
(5203,	1797,	676,	1,	3,	3,	6203,	13.000,	0.00,	0.000,	6.500,	''),
(5204,	1797,	799,	2,	3,	22,	6202,	1.400,	0.00,	0.000,	2.800,	''),
(5205,	1797,	799,	1,	3,	38,	6199,	3.500,	0.00,	0.000,	3.500,	''),
(5206,	1797,	848,	1,	3,	22,	6201,	1.900,	0.00,	0.000,	1.900,	''),
(5207,	1797,	848,	1,	3,	38,	6200,	3.500,	0.00,	0.000,	3.500,	''),
(5208,	1797,	1390,	4,	1,	3,	6197,	0.250,	5.00,	0.050,	1.050,	''),
(5209,	1797,	1587,	1,	3,	3,	6198,	5.200,	0.00,	0.000,	5.200,	''),
(5210,	1726,	57,	1,	3,	13,	6022,	8.800,	0.00,	0.000,	8.800,	''),
(5211,	1726,	1098,	2,	3,	3,	6020,	6.500,	0.00,	0.000,	13.000,	''),
(5212,	1726,	1131,	1,	3,	3,	6018,	2.600,	0.00,	0.000,	2.600,	''),
(5213,	1726,	1353,	1,	3,	3,	6019,	4.800,	0.00,	0.000,	4.800,	''),
(5214,	1726,	1514,	1,	3,	3,	6021,	8.500,	0.00,	0.000,	8.500,	''),
(5215,	1798,	1251,	3,	4,	3,	6204,	0.500,	5.00,	0.075,	1.575,	''),
(5216,	1799,	1124,	1,	3,	3,	6205,	2.500,	0.00,	0.000,	2.500,	''),
(5217,	1727,	551,	1,	63,	3,	6024,	3.800,	5.00,	0.190,	3.990,	''),
(5218,	1727,	682,	1,	3,	3,	6023,	10.600,	0.00,	0.000,	5.300,	''),
(5219,	1727,	799,	1,	3,	38,	6025,	3.500,	0.00,	0.000,	3.500,	''),
(5220,	1727,	1344,	1,	3,	20,	6026,	3.500,	0.00,	0.000,	3.500,	''),
(5221,	1800,	1071,	2,	3,	3,	6206,	3.200,	0.00,	0.000,	6.400,	''),
(5222,	1728,	528,	2,	3,	3,	6027,	2.500,	0.00,	0.000,	5.000,	''),
(5223,	1802,	170,	1,	3,	3,	6210,	6.800,	0.00,	0.000,	6.800,	''),
(5224,	1802,	420,	1,	3,	3,	6208,	1.900,	0.00,	0.000,	1.900,	''),
(5225,	1802,	753,	1,	63,	3,	6209,	1.600,	0.00,	0.000,	1.600,	''),
(5226,	1729,	420,	2,	3,	3,	6031,	1.900,	0.00,	0.000,	3.800,	''),
(5227,	1729,	528,	2,	3,	3,	6028,	2.500,	0.00,	0.000,	5.000,	''),
(5228,	1729,	753,	5,	63,	3,	6032,	1.700,	0.00,	0.000,	8.500,	''),
(5229,	1729,	766,	1,	3,	3,	6029,	2.300,	0.00,	0.000,	2.300,	''),
(5230,	1729,	1071,	2,	3,	3,	6030,	3.200,	0.00,	0.000,	6.400,	''),
(5231,	1730,	1344,	2,	3,	29,	6033,	2.000,	0.00,	0.000,	4.000,	''),
(5232,	1803,	1659,	95,	63,	3,	6212,	0.725,	0.00,	0.000,	68.875,	''),
(5233,	1804,	73,	1,	7,	8,	6213,	2.100,	0.00,	0.000,	2.100,	''),
(5234,	1731,	423,	1,	3,	3,	6039,	1.900,	0.00,	0.000,	1.900,	''),
(5235,	1731,	528,	1,	3,	3,	6040,	2.500,	0.00,	0.000,	2.500,	''),
(5236,	1731,	752,	1,	4,	3,	6041,	3.550,	0.00,	0.000,	3.550,	''),
(5237,	1731,	1071,	1,	3,	3,	6042,	3.200,	0.00,	0.000,	3.200,	''),
(5238,	1731,	1127,	1,	3,	3,	6043,	2.500,	0.00,	0.000,	2.500,	''),
(5239,	1805,	249,	1,	63,	3,	6214,	1.000,	0.00,	0.000,	1.000,	''),
(5240,	1806,	528,	1,	3,	3,	6215,	2.500,	0.00,	0.000,	2.500,	''),
(5241,	1806,	766,	1,	3,	3,	6216,	2.300,	0.00,	0.000,	2.300,	''),
(5242,	1806,	1071,	1,	3,	3,	6217,	3.000,	0.00,	0.000,	3.000,	''),
(5243,	1732,	1839,	5,	63,	3,	6044,	1.800,	5.00,	0.450,	9.450,	''),
(5244,	1733,	682,	2,	3,	3,	6046,	10.800,	0.00,	0.000,	16.200,	''),
(5245,	1807,	45,	2,	3,	22,	6218,	1.100,	0.00,	0.000,	2.200,	''),
(5246,	1734,	766,	1,	3,	3,	6047,	2.300,	0.00,	0.000,	2.300,	''),
(5247,	1808,	1166,	1,	3,	3,	6222,	2.600,	0.00,	0.000,	2.600,	''),
(5248,	1808,	1563,	1,	3,	111,	6223,	6.500,	0.00,	0.000,	6.500,	''),
(5249,	1808,	1626,	1,	3,	71,	6224,	2.400,	0.00,	0.000,	2.400,	''),
(5250,	1735,	1839,	25,	63,	3,	6048,	1.820,	5.00,	2.275,	47.775,	''),
(5251,	1809,	1251,	1,	3,	3,	6225,	3.850,	5.00,	0.193,	4.043,	''),
(5252,	1737,	528,	1,	3,	3,	6050,	2.600,	0.00,	0.000,	2.600,	''),
(5253,	1738,	551,	1,	63,	3,	6052,	3.800,	5.00,	0.190,	3.990,	''),
(5254,	1738,	1514,	1,	7,	3,	6051,	2.300,	0.00,	0.000,	2.300,	''),
(5255,	1812,	73,	1,	7,	9,	6229,	2.300,	0.00,	0.000,	2.300,	''),
(5256,	1739,	1563,	1,	3,	110,	6054,	6.500,	0.00,	0.000,	6.500,	''),
(5257,	1811,	799,	1,	3,	38,	6227,	3.500,	0.00,	0.000,	3.500,	''),
(5258,	1810,	1766,	2,	3,	3,	6226,	1.000,	0.00,	0.000,	2.000,	''),
(5259,	1740,	676,	2,	3,	3,	6055,	13.000,	0.00,	0.000,	26.000,	''),
(5260,	1741,	332,	1,	63,	3,	6056,	1.200,	0.00,	0.000,	1.200,	''),
(5261,	1742,	501,	2,	1,	3,	6058,	2.000,	0.00,	0.000,	3.200,	''),
(5262,	1742,	1078,	2,	3,	3,	6057,	3.800,	0.00,	0.000,	7.600,	''),
(5263,	1744,	799,	2,	3,	38,	6062,	3.400,	0.00,	0.000,	6.800,	''),
(5264,	1743,	799,	1,	3,	5,	6061,	5.200,	0.00,	0.000,	5.200,	''),
(5265,	1743,	848,	1,	3,	5,	6060,	4.800,	0.00,	0.000,	4.800,	''),
(5266,	1745,	667,	1,	3,	60,	6063,	13.200,	0.00,	0.000,	13.200,	''),
(5267,	1745,	693,	1,	3,	3,	6064,	16.500,	0.00,	0.000,	16.500,	''),
(5268,	1746,	423,	1,	3,	3,	6065,	1.900,	0.00,	0.000,	1.900,	''),
(5269,	1746,	753,	2,	63,	3,	6068,	2.600,	0.00,	0.000,	5.200,	''),
(5270,	1746,	766,	2,	3,	3,	6067,	2.300,	0.00,	0.000,	4.600,	''),
(5271,	1746,	1659,	1,	63,	2,	6066,	4.200,	0.00,	0.000,	4.200,	''),
(5272,	1747,	799,	1,	3,	5,	6069,	5.200,	0.00,	0.000,	5.200,	''),
(5273,	1748,	1563,	1,	3,	110,	6070,	6.500,	0.00,	0.000,	6.500,	''),
(5274,	1749,	551,	1,	63,	3,	6071,	3.800,	5.00,	0.190,	3.990,	''),
(5275,	1750,	423,	1,	3,	3,	6073,	1.900,	0.00,	0.000,	1.900,	''),
(5276,	1750,	682,	1,	3,	3,	6074,	10.600,	0.00,	0.000,	10.600,	''),
(5277,	1750,	766,	1,	3,	3,	6072,	2.300,	0.00,	0.000,	2.300,	''),
(5278,	1750,	799,	1,	3,	5,	6077,	5.200,	0.00,	0.000,	5.200,	''),
(5279,	1750,	848,	1,	3,	5,	6076,	4.800,	0.00,	0.000,	4.800,	''),
(5280,	1750,	1071,	1,	3,	3,	6075,	3.200,	0.00,	0.000,	3.200,	''),
(5281,	1751,	1839,	10,	63,	3,	6078,	1.800,	5.00,	0.900,	18.900,	''),
(5282,	1752,	1071,	1,	3,	3,	6079,	3.200,	0.00,	0.000,	3.200,	''),
(5283,	1753,	1251,	1,	3,	3,	6080,	3.850,	5.00,	0.193,	4.043,	''),
(5284,	1754,	1498,	5,	3,	3,	6081,	6.800,	0.00,	0.000,	34.000,	''),
(5285,	1755,	1565,	4,	1,	3,	6082,	1.300,	0.00,	0.000,	4.680,	''),
(5286,	1756,	753,	3,	63,	3,	6085,	2.100,	0.00,	0.000,	6.300,	''),
(5287,	1756,	766,	1,	3,	3,	6084,	2.300,	0.00,	0.000,	2.300,	''),
(5288,	1756,	1344,	1,	3,	25,	6086,	3.400,	0.00,	0.000,	3.400,	''),
(5289,	1756,	1659,	1,	63,	2,	6083,	4.200,	0.00,	0.000,	4.200,	''),
(5290,	1757,	420,	2,	3,	3,	6093,	1.900,	0.00,	0.000,	3.800,	''),
(5291,	1757,	766,	1,	3,	3,	6094,	2.300,	0.00,	0.000,	2.300,	''),
(5292,	1757,	799,	2,	3,	38,	6095,	3.500,	0.00,	0.000,	7.000,	''),
(5293,	1757,	848,	1,	3,	38,	6096,	3.500,	0.00,	0.000,	3.500,	''),
(5294,	1757,	1344,	2,	3,	29,	6097,	2.000,	0.00,	0.000,	4.000,	''),
(5295,	1758,	1098,	5,	3,	3,	6092,	6.500,	0.00,	0.000,	32.500,	''),
(5296,	1759,	932,	1,	3,	79,	6098,	1.900,	0.00,	0.000,	1.900,	''),
(5297,	1760,	766,	1,	3,	3,	6099,	2.300,	0.00,	0.000,	2.300,	''),
(5298,	1761,	1425,	1,	1,	3,	6100,	1.900,	0.00,	0.000,	1.900,	''),
(5299,	1762,	799,	1,	3,	38,	6101,	3.500,	0.00,	0.000,	3.500,	''),
(5300,	1762,	1587,	1,	3,	3,	6102,	5.500,	0.00,	0.000,	5.500,	''),
(5301,	1763,	799,	1,	3,	38,	6103,	3.500,	0.00,	0.000,	3.500,	''),
(5302,	1764,	1344,	1,	3,	20,	6106,	3.400,	0.00,	0.000,	3.400,	''),
(5303,	1765,	1131,	1,	3,	6,	6108,	3.600,	0.00,	0.000,	3.600,	''),
(5304,	1766,	1078,	1,	3,	3,	6109,	3.800,	0.00,	0.000,	3.800,	''),
(5305,	1766,	1282,	1,	3,	23,	6111,	5.200,	0.00,	0.000,	5.200,	''),
(5306,	1766,	1587,	1,	3,	23,	6110,	4.900,	0.00,	0.000,	4.900,	''),
(5307,	1767,	766,	1,	3,	3,	6113,	2.300,	0.00,	0.000,	2.300,	''),
(5308,	1768,	288,	1,	4,	3,	6114,	1.700,	0.00,	0.000,	1.700,	''),
(5309,	1769,	753,	4,	63,	2,	6116,	1.600,	0.00,	0.000,	6.400,	''),
(5310,	1769,	932,	2,	3,	79,	6115,	1.800,	0.00,	0.000,	3.600,	''),
(5311,	1769,	1587,	1,	3,	3,	6117,	5.500,	0.00,	0.000,	5.500,	''),
(5312,	1769,	1622,	1,	3,	3,	6118,	4.800,	0.00,	0.000,	4.800,	''),
(5313,	1770,	932,	5,	3,	24,	6121,	3.500,	0.00,	0.000,	17.500,	''),
(5314,	1771,	682,	1,	3,	3,	6128,	10.600,	0.00,	0.000,	10.600,	''),
(5315,	1771,	799,	5,	3,	22,	6129,	1.400,	0.00,	0.000,	7.000,	''),
(5316,	1771,	848,	5,	3,	22,	6130,	1.900,	0.00,	0.000,	9.500,	''),
(5317,	1772,	1622,	5,	3,	3,	6131,	4.800,	0.00,	0.000,	24.000,	''),
(5318,	1773,	420,	1,	3,	3,	6138,	2.000,	0.00,	0.000,	2.000,	''),
(5319,	1773,	753,	3,	63,	3,	6132,	1.600,	0.00,	0.000,	4.800,	''),
(5320,	1773,	799,	5,	3,	4,	6136,	1.400,	0.00,	0.000,	7.000,	''),
(5321,	1773,	932,	1,	3,	24,	6134,	3.600,	0.00,	0.000,	3.600,	''),
(5322,	1773,	1071,	2,	3,	3,	6133,	3.000,	0.00,	0.000,	6.000,	''),
(5323,	1773,	1127,	5,	3,	3,	6135,	2.500,	0.00,	0.000,	12.500,	''),
(5324,	1773,	1587,	1,	3,	3,	6137,	5.200,	0.00,	0.000,	5.200,	''),
(5325,	1774,	1166,	1,	3,	3,	6140,	2.700,	0.00,	0.000,	2.700,	''),
(5326,	1774,	1425,	6,	1,	3,	6141,	1.900,	0.00,	0.000,	11.400,	''),
(5327,	1775,	676,	1,	3,	3,	6144,	12.800,	0.00,	0.000,	6.400,	''),
(5328,	1775,	848,	2,	3,	3,	6142,	3.300,	0.00,	0.000,	6.600,	''),
(5329,	1775,	1587,	1,	3,	23,	6143,	4.900,	0.00,	0.000,	4.900,	''),
(5330,	1777,	753,	10,	63,	3,	6146,	1.600,	0.00,	0.000,	16.000,	''),
(5331,	1777,	1261,	3,	3,	3,	6148,	5.200,	0.00,	0.000,	15.600,	''),
(5332,	1777,	1491,	3,	3,	3,	6150,	1.400,	0.00,	0.000,	4.200,	''),
(5333,	1777,	1563,	4,	3,	111,	6149,	6.500,	0.00,	0.000,	26.000,	''),
(5334,	1777,	1587,	2,	3,	23,	6147,	4.900,	0.00,	0.000,	9.800,	''),
(5335,	1778,	57,	1,	7,	13,	6152,	2.200,	0.00,	0.000,	2.200,	''),
(5336,	1778,	1549,	1,	7,	3,	6151,	2.300,	0.00,	0.000,	2.300,	''),
(5337,	1779,	1229,	2,	4,	3,	6153,	0.550,	5.00,	0.055,	1.155,	''),
(5338,	1780,	528,	1,	3,	3,	6157,	2.600,	0.00,	0.000,	2.600,	''),
(5339,	1780,	753,	1,	3,	5,	6156,	4.000,	0.00,	0.000,	4.000,	''),
(5340,	1780,	753,	1,	63,	3,	6154,	1.700,	0.00,	0.000,	1.700,	''),
(5341,	1780,	766,	1,	3,	3,	6155,	2.300,	0.00,	0.000,	2.300,	''),
(5342,	1781,	31,	1,	3,	13,	6166,	8.600,	0.00,	0.000,	8.600,	''),
(5343,	1781,	420,	2,	3,	3,	6165,	1.900,	0.00,	0.000,	3.800,	''),
(5344,	1781,	676,	1,	3,	3,	6161,	12.800,	0.00,	0.000,	12.800,	''),
(5345,	1781,	753,	10,	63,	3,	6163,	1.600,	0.00,	0.000,	16.000,	''),
(5346,	1781,	766,	5,	3,	3,	6164,	2.200,	0.00,	0.000,	11.000,	''),
(5347,	1781,	799,	2,	3,	3,	6159,	3.400,	0.00,	0.000,	6.800,	''),
(5348,	1781,	1166,	6,	3,	3,	6160,	2.500,	0.00,	0.000,	15.000,	''),
(5349,	1781,	1344,	2,	3,	25,	6158,	3.200,	0.00,	0.000,	6.400,	''),
(5350,	1781,	1526,	1,	3,	3,	6167,	7.800,	0.00,	0.000,	7.800,	''),
(5351,	1781,	1839,	6,	63,	3,	6162,	1.700,	5.00,	0.510,	10.710,	''),
(5352,	1776,	667,	1,	3,	58,	6145,	22.000,	0.00,	0.000,	22.000,	''),
(5353,	1722,	932,	20,	3,	24,	6006,	3.500,	0.00,	0.000,	70.000,	''),
(5354,	1813,	1098,	7,	3,	3,	6230,	6.500,	0.00,	0.000,	45.500,	''),
(5355,	1814,	1891,	1,	4,	3,	6231,	0.700,	0.00,	0.000,	0.700,	''),
(5356,	1815,	1587,	1,	3,	3,	6232,	5.500,	0.00,	0.000,	5.500,	''),
(5357,	1816,	799,	1,	3,	22,	6234,	1.400,	0.00,	0.000,	1.400,	''),
(5358,	1816,	1131,	1,	3,	3,	6235,	3.200,	0.00,	0.000,	3.200,	''),
(5359,	1816,	1131,	3,	3,	3,	6236,	2.600,	0.00,	0.000,	7.800,	''),
(5360,	1816,	1625,	1,	3,	3,	6233,	2.400,	0.00,	0.000,	2.400,	''),
(5361,	1817,	551,	1,	63,	3,	6237,	4.000,	5.00,	0.200,	4.200,	''),
(5362,	1818,	73,	2,	3,	9,	6242,	10.600,	0.00,	0.000,	21.200,	''),
(5363,	1818,	116,	1,	3,	13,	6243,	9.800,	0.00,	0.000,	9.800,	''),
(5364,	1818,	972,	5,	3,	3,	6244,	3.000,	0.00,	0.000,	15.000,	''),
(5365,	1818,	1587,	3,	3,	3,	6245,	5.200,	0.00,	0.000,	15.600,	''),
(5366,	1819,	1839,	2,	63,	3,	6246,	1.800,	5.00,	0.180,	3.780,	''),
(5367,	1820,	45,	1,	3,	7,	6250,	4.600,	0.00,	0.000,	4.600,	''),
(5368,	1820,	57,	1,	3,	13,	6251,	8.900,	0.00,	0.000,	8.900,	''),
(5369,	1820,	528,	1,	3,	3,	6249,	2.500,	0.00,	0.000,	2.500,	''),
(5370,	1821,	1344,	1,	3,	29,	6252,	2.200,	0.00,	0.000,	2.200,	''),
(5371,	1822,	753,	8,	63,	3,	6253,	1.700,	0.00,	0.000,	13.600,	''),
(5372,	1823,	676,	1,	3,	3,	6254,	12.800,	0.00,	0.000,	12.800,	''),
(5373,	1823,	766,	1,	3,	3,	6255,	2.300,	0.00,	0.000,	2.300,	''),
(5374,	1824,	1563,	1,	3,	111,	6256,	6.500,	0.00,	0.000,	6.500,	''),
(5375,	1825,	682,	1,	3,	3,	6259,	10.600,	0.00,	0.000,	10.600,	''),
(5376,	1825,	753,	1,	63,	2,	6257,	2.100,	0.00,	0.000,	2.100,	''),
(5377,	1825,	1839,	1,	63,	3,	6258,	1.850,	5.00,	0.093,	1.943,	''),
(5378,	1826,	752,	2,	4,	46,	6260,	2.500,	0.00,	0.000,	5.000,	''),
(5379,	1827,	190,	2,	1,	3,	6261,	0.500,	0.00,	0.000,	1.000,	''),
(5380,	1828,	972,	2,	3,	3,	6262,	3.600,	0.00,	0.000,	7.200,	''),
(5381,	1829,	753,	1,	63,	3,	6263,	2.000,	0.00,	0.000,	2.000,	''),
(5382,	1830,	279,	2,	3,	5,	6264,	4.600,	0.00,	0.000,	9.200,	''),
(5383,	1831,	752,	1,	1,	46,	6265,	3.500,	0.00,	0.000,	3.500,	''),
(5384,	1832,	972,	1,	3,	3,	6266,	3.500,	0.00,	0.000,	3.500,	''),
(5385,	1833,	1468,	1,	3,	3,	6267,	7.800,	0.00,	0.000,	7.800,	''),
(5386,	1834,	420,	1,	3,	3,	6272,	2.000,	0.00,	0.000,	2.000,	''),
(5387,	1834,	693,	1,	3,	3,	6273,	16.200,	0.00,	0.000,	16.200,	''),
(5388,	1834,	766,	1,	3,	3,	6274,	2.300,	0.00,	0.000,	2.300,	''),
(5389,	1835,	767,	1,	1,	3,	6271,	1.600,	0.00,	0.000,	0.800,	''),
(5390,	1837,	1261,	1,	3,	23,	6279,	5.000,	0.00,	0.000,	5.000,	''),
(5391,	1837,	1625,	1,	3,	3,	6278,	2.300,	0.00,	0.000,	2.300,	''),
(5392,	1838,	676,	2,	3,	3,	6282,	13.000,	0.00,	0.000,	26.000,	''),
(5393,	1838,	753,	1,	63,	3,	6280,	2.100,	0.00,	0.000,	2.100,	''),
(5394,	1838,	766,	1,	3,	3,	6281,	2.300,	0.00,	0.000,	2.300,	''),
(5395,	1839,	528,	2,	3,	3,	6283,	2.600,	0.00,	0.000,	5.200,	''),
(5396,	1839,	682,	1,	3,	3,	6284,	10.500,	0.00,	0.000,	10.500,	''),
(5397,	1840,	799,	1,	3,	3,	6285,	3.500,	0.00,	0.000,	3.500,	''),
(5398,	1842,	1166,	1,	3,	3,	6293,	2.800,	0.00,	0.000,	2.800,	''),
(5399,	1841,	528,	6,	3,	3,	6287,	2.500,	0.00,	0.000,	15.000,	''),
(5400,	1841,	682,	2,	3,	3,	6289,	10.800,	0.00,	0.000,	21.600,	''),
(5401,	1841,	799,	60,	10,	22,	6286,	1.300,	0.00,	0.000,	78.000,	''),
(5402,	1841,	1071,	5,	3,	3,	6288,	3.200,	0.00,	0.000,	16.000,	''),
(5403,	1841,	1425,	1,	1,	3,	6291,	1.900,	0.00,	0.000,	1.900,	''),
(5404,	1841,	1531,	2,	3,	3,	6292,	5.800,	0.00,	0.000,	11.600,	''),
(5405,	1841,	1626,	3,	3,	71,	6290,	2.200,	0.00,	0.000,	6.600,	''),
(5406,	1843,	57,	1,	7,	13,	6319,	2.200,	0.00,	0.000,	2.200,	''),
(5407,	1843,	799,	1,	10,	22,	6320,	1.400,	0.00,	0.000,	1.400,	''),
(5408,	1843,	932,	1,	3,	22,	6321,	2.000,	0.00,	0.000,	2.000,	''),
(5409,	1843,	1261,	1,	4,	23,	6317,	1.300,	0.00,	0.000,	1.300,	''),
(5410,	1843,	1468,	1,	7,	3,	6322,	2.400,	0.00,	0.000,	2.400,	''),
(5411,	1843,	1626,	1,	3,	110,	6318,	2.300,	0.00,	0.000,	2.300,	''),
(5412,	1844,	752,	1,	3,	3,	6298,	13.800,	0.00,	0.000,	13.800,	''),
(5413,	1845,	1179,	1,	3,	3,	6299,	2.800,	0.00,	0.000,	2.800,	''),
(5414,	1846,	625,	1,	3,	3,	6300,	4.200,	0.00,	0.000,	4.200,	''),
(5415,	1847,	420,	1,	3,	3,	6307,	2.000,	0.00,	0.000,	2.000,	''),
(5416,	1847,	752,	1,	3,	3,	6308,	13.800,	0.00,	0.000,	13.800,	''),
(5417,	1847,	753,	2,	63,	3,	6309,	2.100,	0.00,	0.000,	4.200,	''),
(5418,	1847,	799,	1,	10,	3,	6310,	3.500,	0.00,	0.000,	3.500,	''),
(5419,	1847,	848,	2,	10,	3,	6311,	3.300,	0.00,	0.000,	6.600,	''),
(5420,	1847,	1071,	1,	3,	3,	6312,	3.200,	0.00,	0.000,	3.200,	''),
(5421,	1848,	1767,	1,	3,	22,	6313,	2.000,	0.00,	0.000,	2.000,	''),
(5422,	1849,	1078,	1,	3,	3,	6314,	3.800,	0.00,	0.000,	3.800,	''),
(5423,	1849,	1263,	1,	4,	23,	6315,	1.300,	0.00,	0.000,	1.300,	''),
(5424,	1850,	799,	1,	3,	5,	6316,	7.800,	0.00,	0.000,	7.800,	''),
(5425,	1851,	18,	1,	7,	14,	6323,	2.200,	0.00,	0.000,	2.200,	''),
(5426,	1852,	1344,	1,	3,	3,	6324,	2.200,	0.00,	0.000,	2.200,	''),
(5427,	1853,	1344,	2,	3,	29,	6326,	2.200,	0.00,	0.000,	4.400,	''),
(5428,	1853,	1767,	1,	3,	22,	6325,	3.500,	0.00,	0.000,	3.500,	''),
(5429,	1854,	1179,	1,	3,	3,	6327,	2.800,	0.00,	0.000,	2.800,	''),
(5430,	1855,	57,	1,	7,	11,	6330,	2.300,	0.00,	0.000,	2.300,	''),
(5431,	1855,	799,	1,	4,	5,	6328,	0.500,	0.00,	0.000,	0.500,	''),
(5432,	1855,	1312,	1,	63,	92,	6329,	1.300,	0.00,	0.000,	1.300,	''),
(5433,	1856,	1344,	3,	3,	103,	6331,	2.000,	0.00,	0.000,	6.000,	''),
(5434,	1857,	1563,	1,	6,	110,	6332,	0.900,	0.00,	0.000,	0.900,	''),
(5435,	1858,	1425,	2,	1,	3,	6333,	2.000,	0.00,	0.000,	4.000,	''),
(5436,	1859,	1131,	1,	3,	3,	6334,	2.800,	0.00,	0.000,	2.800,	''),
(5437,	1859,	1766,	1,	3,	3,	6335,	1.000,	0.00,	0.000,	1.000,	''),
(5438,	1860,	1626,	1,	3,	71,	6336,	2.000,	0.00,	0.000,	2.000,	''),
(5439,	1861,	1425,	2,	1,	3,	6337,	1.500,	0.00,	0.000,	2.250,	''),
(5440,	1862,	1767,	1,	3,	22,	6338,	3.500,	0.00,	0.000,	3.500,	''),
(5441,	1863,	799,	1,	3,	38,	6339,	3.500,	0.00,	0.000,	3.500,	''),
(5442,	1864,	57,	1,	3,	15,	6341,	9.200,	0.00,	0.000,	9.200,	''),
(5443,	1864,	168,	1,	3,	3,	6342,	2.200,	0.00,	0.000,	2.200,	''),
(5444,	1864,	528,	1,	3,	3,	6343,	2.500,	0.00,	0.000,	2.500,	''),
(5445,	1864,	682,	1,	3,	3,	6340,	10.600,	0.00,	0.000,	5.300,	''),
(5446,	1865,	799,	1,	4,	5,	6345,	0.600,	0.00,	0.000,	0.600,	''),
(5447,	1865,	1425,	2,	1,	3,	6346,	2.000,	0.00,	0.000,	4.000,	''),
(5448,	1866,	275,	4,	3,	5,	6347,	0.500,	0.00,	0.000,	2.000,	''),
(5449,	1867,	1131,	1,	3,	3,	6348,	3.000,	0.00,	0.000,	3.000,	''),
(5450,	1868,	1131,	2,	3,	3,	6349,	3.000,	0.00,	0.000,	6.000,	''),
(5451,	1869,	1098,	1,	3,	3,	6351,	6.500,	0.00,	0.000,	6.500,	''),
(5452,	1869,	1565,	2,	1,	3,	6350,	1.300,	0.00,	0.000,	2.730,	''),
(5453,	1870,	972,	1,	3,	3,	6352,	3.500,	0.00,	0.000,	3.500,	''),
(5454,	1870,	1344,	1,	3,	103,	6353,	2.500,	0.00,	0.000,	2.500,	''),
(5455,	1870,	1647,	1,	63,	112,	6354,	0.400,	0.00,	0.000,	0.400,	''),
(5456,	1871,	1344,	1,	3,	20,	6355,	3.500,	0.00,	0.000,	3.500,	''),
(5457,	1872,	45,	1,	3,	3,	6356,	2.600,	0.00,	0.000,	2.600,	''),
(5458,	1872,	848,	1,	3,	3,	6358,	3.500,	0.00,	0.000,	3.500,	''),
(5459,	1872,	1344,	2,	3,	29,	6357,	2.200,	0.00,	0.000,	4.400,	''),
(5460,	1873,	799,	1,	3,	22,	6361,	1.400,	0.00,	0.000,	1.400,	''),
(5461,	1873,	1071,	3,	1,	4,	6359,	0.530,	0.00,	0.000,	1.590,	''),
(5462,	1873,	1166,	1,	3,	3,	6363,	2.700,	0.00,	0.000,	2.700,	''),
(5463,	1873,	1353,	1,	3,	3,	6364,	4.800,	0.00,	0.000,	4.800,	''),
(5464,	1873,	1565,	2,	1,	3,	6362,	1.300,	0.00,	0.000,	2.340,	''),
(5465,	1873,	1587,	1,	4,	23,	6360,	1.300,	0.00,	0.000,	1.300,	''),
(5466,	1874,	799,	1,	3,	5,	6365,	5.200,	0.00,	0.000,	5.200,	''),
(5467,	1875,	848,	1,	3,	22,	6371,	1.900,	0.00,	0.000,	1.900,	''),
(5468,	1875,	1166,	2,	3,	3,	6372,	2.700,	0.00,	0.000,	5.400,	''),
(5469,	1875,	1514,	1,	7,	3,	6373,	2.300,	0.00,	0.000,	2.300,	''),
(5470,	1876,	528,	2,	3,	3,	6368,	2.500,	0.00,	0.000,	5.000,	''),
(5471,	1876,	682,	1,	3,	3,	6370,	10.600,	0.00,	0.000,	10.600,	''),
(5472,	1876,	753,	1,	63,	3,	6369,	2.100,	0.00,	0.000,	2.100,	''),
(5473,	1877,	836,	3,	3,	3,	6374,	6.400,	0.00,	0.000,	19.200,	''),
(5474,	1877,	1587,	1,	3,	3,	6375,	5.200,	0.00,	0.000,	5.200,	''),
(5475,	1878,	1166,	1,	3,	3,	6377,	2.700,	0.00,	0.000,	2.700,	''),
(5476,	1878,	1312,	1,	63,	4,	6376,	0.300,	0.00,	0.000,	0.300,	''),
(5477,	1879,	275,	5,	4,	5,	6385,	0.500,	0.00,	0.000,	2.500,	''),
(5478,	1879,	1071,	1,	3,	3,	6386,	3.200,	0.00,	0.000,	3.200,	''),
(5479,	1879,	1131,	1,	3,	3,	6387,	3.000,	0.00,	0.000,	3.000,	''),
(5480,	1879,	1344,	1,	3,	25,	6384,	3.600,	0.00,	0.000,	3.600,	''),
(5481,	1879,	1565,	2,	1,	3,	6388,	1.300,	0.00,	0.000,	2.340,	''),
(5482,	1879,	1647,	1,	63,	3,	6389,	0.800,	0.00,	0.000,	0.800,	''),
(5483,	1880,	848,	1,	3,	38,	6391,	3.500,	0.00,	0.000,	3.500,	''),
(5484,	1880,	1344,	1,	3,	29,	6390,	2.200,	0.00,	0.000,	2.200,	''),
(5485,	1881,	753,	3,	63,	3,	6392,	1.800,	0.00,	0.000,	5.400,	''),
(5486,	1882,	57,	1,	7,	13,	6393,	2.200,	0.00,	0.000,	2.200,	''),
(5487,	1882,	168,	1,	3,	3,	6396,	2.200,	0.00,	0.000,	2.200,	''),
(5488,	1882,	848,	1,	3,	38,	6394,	3.500,	0.00,	0.000,	3.500,	''),
(5489,	1882,	1344,	1,	3,	29,	6397,	2.200,	0.00,	0.000,	2.200,	''),
(5490,	1882,	1626,	1,	3,	71,	6395,	2.400,	0.00,	0.000,	2.400,	''),
(5491,	1888,	848,	1,	3,	38,	6415,	3.500,	0.00,	0.000,	3.500,	''),
(5492,	1887,	1390,	2,	1,	3,	6414,	0.250,	5.00,	0.025,	0.525,	''),
(5493,	1886,	848,	1,	3,	38,	6413,	3.500,	0.00,	0.000,	3.500,	''),
(5494,	1886,	1166,	1,	3,	3,	6412,	2.800,	0.00,	0.000,	2.800,	''),
(5495,	1885,	57,	1,	3,	15,	6410,	9.000,	0.00,	0.000,	9.000,	''),
(5496,	1885,	1344,	3,	3,	25,	6411,	3.600,	0.00,	0.000,	10.800,	''),
(5497,	1884,	57,	1,	7,	13,	6400,	2.200,	0.00,	0.000,	2.200,	''),
(5498,	1884,	676,	1,	3,	3,	6405,	13.200,	0.00,	0.000,	6.600,	''),
(5499,	1884,	753,	1,	63,	2,	6402,	2.600,	0.00,	0.000,	2.600,	''),
(5500,	1884,	799,	2,	3,	22,	6403,	1.400,	0.00,	0.000,	2.800,	''),
(5501,	1884,	933,	1,	7,	3,	6404,	3.800,	0.00,	0.000,	3.800,	''),
(5502,	1884,	1514,	1,	7,	3,	6401,	2.300,	0.00,	0.000,	2.300,	''),
(5503,	1883,	1298,	2,	1,	3,	6407,	1.500,	0.00,	0.000,	3.000,	''),
(5517,	1912,	1251,	10,	3,	3,	6536,	3.600,	5.00,	1.800,	37.800,	''),
(5538,	1891,	753,	2,	63,	2,	6429,	1.600,	0.00,	0.000,	3.200,	''),
(5539,	1891,	1071,	1,	3,	3,	6428,	3.000,	0.00,	0.000,	3.000,	''),
(5540,	1892,	249,	1,	63,	3,	6430,	1.000,	0.00,	0.000,	1.000,	''),
(5541,	1893,	932,	93,	3,	24,	6432,	3.500,	0.00,	0.000,	325.500,	''),
(5542,	1894,	57,	1,	7,	15,	6436,	2.200,	0.00,	0.000,	2.200,	''),
(5543,	1894,	152,	5,	1,	3,	6437,	1.100,	0.00,	0.000,	5.500,	''),
(5544,	1894,	168,	1,	3,	3,	6433,	2.200,	0.00,	0.000,	2.200,	''),
(5545,	1894,	420,	1,	3,	3,	6434,	1.900,	0.00,	0.000,	1.900,	''),
(5546,	1894,	766,	1,	3,	3,	6435,	2.300,	0.00,	0.000,	2.300,	''),
(5547,	1894,	969,	1,	3,	3,	6440,	5.800,	0.00,	0.000,	5.800,	''),
(5548,	1894,	1138,	3,	3,	3,	6439,	2.000,	0.00,	0.000,	6.000,	''),
(5549,	1894,	1344,	4,	3,	25,	6441,	3.200,	0.00,	0.000,	12.800,	''),
(5550,	1894,	1563,	1,	3,	110,	6438,	6.500,	0.00,	0.000,	6.500,	''),
(5551,	1895,	420,	1,	3,	3,	6446,	1.900,	0.00,	0.000,	1.900,	''),
(5552,	1895,	676,	1,	3,	3,	6447,	12.600,	0.00,	0.000,	6.300,	''),
(5553,	1895,	766,	1,	3,	3,	6448,	2.300,	0.00,	0.000,	2.300,	''),
(5554,	1895,	1071,	1,	3,	4,	6449,	3.000,	0.00,	0.000,	3.000,	''),
(5555,	1896,	73,	1,	3,	9,	6451,	10.600,	0.00,	0.000,	10.600,	''),
(5556,	1896,	1251,	1,	3,	3,	6450,	3.800,	5.00,	0.190,	3.990,	''),
(5557,	1897,	1498,	2,	3,	3,	6453,	6.600,	0.00,	0.000,	13.200,	''),
(5558,	1898,	57,	2,	3,	13,	6455,	8.700,	0.00,	0.000,	17.400,	''),
(5559,	1898,	102,	2,	3,	15,	6454,	8.800,	0.00,	0.000,	17.600,	''),
(5560,	1898,	753,	10,	63,	3,	6456,	1.600,	0.00,	0.000,	16.000,	''),
(5561,	1899,	836,	1,	3,	3,	6460,	6.400,	0.00,	0.000,	6.400,	''),
(5562,	1899,	1131,	1,	7,	3,	6459,	2.500,	0.00,	0.000,	2.500,	''),
(5563,	1899,	1298,	2,	1,	3,	6457,	1.500,	0.00,	0.000,	3.000,	''),
(5564,	1899,	1563,	1,	6,	110,	6458,	0.900,	0.00,	0.000,	0.900,	''),
(5565,	1900,	528,	1,	3,	3,	6469,	2.500,	0.00,	0.000,	2.500,	''),
(5566,	1900,	1071,	1,	3,	3,	6470,	2.800,	0.00,	0.000,	2.800,	''),
(5567,	1900,	1978,	1,	63,	3,	6471,	2.300,	5.00,	0.115,	2.415,	''),
(5568,	1901,	752,	20,	3,	23,	6472,	13.800,	0.00,	0.000,	276.000,	''),
(5569,	1902,	753,	1,	63,	2,	6477,	2.100,	0.00,	0.000,	2.100,	''),
(5570,	1902,	799,	1,	3,	38,	6473,	3.500,	0.00,	0.000,	3.500,	''),
(5571,	1902,	1071,	1,	3,	3,	6475,	3.000,	0.00,	0.000,	3.000,	''),
(5572,	1902,	1127,	1,	3,	3,	6478,	2.500,	0.00,	0.000,	2.500,	''),
(5573,	1902,	1131,	1,	3,	3,	6480,	2.700,	0.00,	0.000,	2.700,	''),
(5574,	1902,	1166,	1,	3,	3,	6479,	2.700,	0.00,	0.000,	2.700,	''),
(5575,	1902,	1344,	1,	3,	29,	6474,	2.000,	0.00,	0.000,	2.000,	''),
(5576,	1902,	1839,	1,	63,	3,	6476,	1.800,	5.00,	0.090,	1.890,	''),
(5577,	1903,	1251,	4,	4,	3,	6481,	0.490,	5.00,	0.098,	2.058,	''),
(5578,	1904,	752,	5,	3,	1,	6483,	13.800,	0.00,	0.000,	69.000,	''),
(5579,	1905,	279,	2,	3,	3,	6484,	4.700,	0.00,	0.000,	9.400,	''),
(5580,	1906,	848,	1,	3,	3,	6485,	3.300,	0.00,	0.000,	3.300,	''),
(5581,	1907,	682,	2,	3,	3,	6486,	10.500,	0.00,	0.000,	21.000,	''),
(5582,	1908,	1839,	2,	63,	3,	6487,	1.800,	5.00,	0.180,	3.780,	''),
(5583,	1909,	420,	10,	3,	3,	6489,	1.800,	0.00,	0.000,	18.000,	''),
(5584,	1909,	752,	10,	3,	3,	6488,	13.800,	0.00,	0.000,	138.000,	''),
(5585,	1910,	170,	1,	3,	3,	6492,	6.400,	0.00,	0.000,	6.400,	''),
(5586,	1910,	420,	1,	3,	3,	6490,	1.900,	0.00,	0.000,	1.900,	''),
(5587,	1910,	753,	5,	63,	2,	6493,	1.600,	0.00,	0.000,	8.000,	''),
(5588,	1910,	766,	1,	3,	3,	6491,	2.300,	0.00,	0.000,	2.300,	''),
(5589,	1910,	1071,	2,	3,	3,	6494,	3.000,	0.00,	0.000,	6.000,	''),
(5590,	1911,	1251,	5,	4,	3,	6495,	0.500,	5.00,	0.125,	2.625,	''),
(5591,	1913,	766,	1,	3,	3,	6501,	2.300,	0.00,	0.000,	2.300,	''),
(5616,	1976,	57,	5,	3,	13,	6714,	8.600,	NULL,	NULL,	NULL,	''),
(5617,	1976,	116,	2,	3,	15,	6713,	8.800,	NULL,	NULL,	NULL,	''),
(5618,	1976,	170,	6,	3,	2,	6715,	6.300,	NULL,	NULL,	NULL,	''),
(5619,	1976,	275,	2,	3,	5,	6718,	4.500,	NULL,	NULL,	NULL,	''),
(5620,	1976,	420,	20,	3,	3,	6720,	1.800,	NULL,	NULL,	NULL,	''),
(5621,	1976,	528,	7,	3,	3,	6719,	2.500,	NULL,	NULL,	NULL,	''),
(5622,	1976,	667,	5,	3,	3,	6704,	18.000,	NULL,	NULL,	NULL,	''),
(5623,	1976,	676,	5,	3,	3,	6703,	12.500,	NULL,	NULL,	NULL,	''),
(5624,	1976,	753,	5,	3,	5,	6723,	4.200,	NULL,	NULL,	NULL,	''),
(5625,	1976,	753,	5,	63,	3,	6724,	1.700,	NULL,	NULL,	NULL,	''),
(5626,	1976,	766,	7,	3,	3,	6721,	2.300,	NULL,	NULL,	NULL,	''),
(5627,	1976,	799,	5,	3,	3,	6712,	3.500,	NULL,	NULL,	NULL,	''),
(5628,	1976,	807,	3,	3,	2,	6710,	14.200,	NULL,	NULL,	NULL,	''),
(5629,	1976,	848,	5,	3,	3,	6711,	3.300,	NULL,	NULL,	NULL,	''),
(5630,	1976,	848,	50,	3,	22,	6702,	1.850,	NULL,	NULL,	NULL,	''),
(5631,	1976,	932,	5,	3,	55,	6717,	5.200,	NULL,	NULL,	NULL,	''),
(5632,	1976,	995,	20,	3,	3,	6727,	NULL,	NULL,	NULL,	NULL,	NULL),
(5633,	1976,	1071,	10,	3,	3,	6722,	2.900,	NULL,	NULL,	NULL,	''),
(5634,	1976,	1127,	20,	3,	3,	6707,	2.400,	NULL,	NULL,	NULL,	''),
(5635,	1976,	1138,	40,	3,	3,	6708,	2.200,	NULL,	NULL,	NULL,	''),
(5636,	1976,	1166,	60,	3,	3,	6709,	2.600,	NULL,	NULL,	NULL,	''),
(5637,	1976,	1514,	2,	3,	3,	6706,	7.800,	NULL,	NULL,	NULL,	''),
(5638,	1976,	1587,	4,	3,	3,	6716,	5.200,	NULL,	NULL,	NULL,	''),
(5639,	1976,	1767,	20,	3,	3,	6705,	2.500,	NULL,	NULL,	NULL,	''),
(5643,	1914,	528,	30,	3,	3,	6502,	2.500,	0.00,	0.000,	75.000,	''),
(5644,	1915,	152,	20,	1,	3,	6503,	1.080,	0.00,	0.000,	21.600,	''),
(5645,	1916,	57,	2,	7,	15,	6504,	1.800,	0.00,	0.000,	3.600,	''),
(5646,	1916,	528,	1,	3,	3,	6505,	2.600,	0.00,	0.000,	2.600,	''),
(5647,	1916,	767,	1,	1,	3,	6506,	1.500,	0.00,	0.000,	1.500,	''),
(5648,	1916,	1626,	1,	3,	71,	6507,	2.200,	0.00,	0.000,	2.200,	''),
(5649,	1988,	33,	200,	3,	4,	6806,	1.300,	0.00,	0.000,	260.000,	''),
(5650,	1988,	33,	1,	3,	9,	6798,	6.800,	0.00,	0.000,	6.800,	''),
(5651,	1988,	57,	2,	3,	15,	6802,	8.800,	0.00,	0.000,	17.600,	''),
(5652,	1988,	116,	2,	3,	15,	6801,	9.800,	0.00,	0.000,	19.600,	''),
(5653,	1988,	168,	200,	3,	3,	6804,	2.100,	0.00,	0.000,	420.000,	''),
(5654,	1988,	195,	2,	3,	2,	6795,	6.200,	0.00,	0.000,	12.400,	''),
(5655,	1988,	376,	10,	3,	3,	6790,	2.200,	0.00,	0.000,	22.000,	''),
(5656,	1988,	420,	10,	3,	3,	6789,	1.800,	0.00,	0.000,	18.000,	''),
(5657,	1988,	441,	2,	3,	3,	6781,	1.400,	0.00,	0.000,	2.800,	''),
(5658,	1988,	528,	10,	3,	3,	6791,	2.600,	0.00,	0.000,	26.000,	''),
(5659,	1988,	551,	1,	63,	3,	6785,	3.900,	5.00,	0.195,	4.095,	''),
(5660,	1988,	682,	2,	3,	3,	6784,	10.500,	0.00,	0.000,	21.000,	''),
(5661,	1988,	693,	2,	3,	3,	6783,	16.000,	0.00,	0.000,	32.000,	''),
(5662,	1988,	753,	3,	3,	5,	6788,	4.700,	0.00,	0.000,	14.100,	''),
(5663,	1988,	753,	3,	3,	39,	6787,	4.700,	0.00,	0.000,	14.100,	''),
(5664,	1988,	753,	10,	63,	3,	6792,	1.700,	0.00,	0.000,	17.000,	'second'),
(5665,	1988,	766,	3,	3,	3,	6786,	2.300,	0.00,	0.000,	6.900,	''),
(5666,	1988,	799,	100,	3,	4,	6807,	1.400,	0.00,	0.000,	140.000,	''),
(5667,	1988,	848,	100,	3,	4,	6808,	1.900,	0.00,	0.000,	190.000,	''),
(5668,	1988,	969,	2,	3,	3,	6800,	5.900,	0.00,	0.000,	11.800,	''),
(5669,	1988,	992,	2,	3,	3,	6780,	1.400,	0.00,	0.000,	2.800,	''),
(5670,	1988,	1071,	10,	3,	3,	6799,	2.800,	0.00,	0.000,	28.000,	''),
(5671,	1988,	1138,	150,	3,	3,	6803,	2.000,	0.00,	0.000,	300.000,	''),
(5672,	1988,	1344,	100,	3,	29,	6809,	2.100,	0.00,	0.000,	210.000,	''),
(5673,	1988,	1344,	100,	3,	103,	6810,	1.850,	0.00,	0.000,	185.000,	''),
(5674,	1988,	1491,	150,	3,	3,	6805,	1.400,	0.00,	0.000,	210.000,	''),
(5675,	1988,	1514,	2,	3,	3,	6794,	7.900,	0.00,	0.000,	15.800,	''),
(5676,	1988,	1587,	10,	3,	5,	6793,	4.200,	0.00,	0.000,	42.000,	''),
(5677,	1988,	1626,	50,	3,	71,	6797,	2.000,	0.00,	0.000,	100.000,	''),
(5678,	1988,	1695,	2,	3,	3,	6782,	1.000,	0.00,	0.000,	2.000,	''),
(5679,	1988,	1766,	20,	3,	3,	6796,	0.900,	0.00,	0.000,	18.000,	''),
(5680,	1918,	57,	1,	3,	15,	6514,	8.800,	0.00,	0.000,	8.800,	''),
(5681,	1918,	528,	5,	3,	3,	6515,	2.500,	0.00,	0.000,	12.500,	''),
(5682,	1918,	799,	3,	3,	38,	6517,	3.500,	0.00,	0.000,	10.500,	''),
(5683,	1918,	848,	2,	3,	38,	6518,	3.300,	0.00,	0.000,	6.600,	''),
(5684,	1918,	1071,	3,	3,	3,	6512,	2.800,	0.00,	0.000,	8.400,	''),
(5685,	1918,	1344,	2,	3,	20,	6513,	3.600,	0.00,	0.000,	7.200,	''),
(5686,	1918,	1839,	3,	63,	3,	6516,	1.800,	5.00,	0.270,	5.670,	''),
(5687,	1919,	1131,	2,	3,	3,	6519,	2.500,	0.00,	0.000,	5.000,	''),
(5688,	1920,	848,	1,	3,	22,	6520,	1.900,	0.00,	0.000,	1.900,	''),
(5689,	1921,	753,	1,	63,	3,	6521,	1.800,	0.00,	0.000,	1.800,	''),
(5690,	1922,	682,	1,	3,	3,	6523,	10.600,	0.00,	0.000,	5.300,	''),
(5691,	1922,	848,	1,	3,	38,	6522,	3.300,	0.00,	0.000,	3.300,	''),
(5692,	1923,	1251,	1,	3,	3,	6524,	3.800,	5.00,	0.190,	3.990,	''),
(5693,	1924,	682,	1,	3,	3,	6527,	10.600,	0.00,	0.000,	10.600,	''),
(5694,	1924,	753,	1,	63,	3,	6526,	1.600,	0.00,	0.000,	1.600,	''),
(5695,	1924,	1344,	1,	3,	20,	6525,	3.600,	0.00,	0.000,	3.600,	''),
(5696,	1925,	1131,	6,	3,	3,	6528,	2.500,	0.00,	0.000,	15.000,	''),
(5697,	1926,	676,	1,	3,	3,	6539,	12.600,	0.00,	0.000,	12.600,	''),
(5698,	1926,	753,	1,	63,	3,	6540,	2.100,	0.00,	0.000,	2.100,	''),
(5699,	1926,	766,	1,	3,	3,	6541,	2.300,	0.00,	0.000,	2.300,	''),
(5700,	1926,	1072,	1,	3,	3,	6542,	2.800,	0.00,	0.000,	2.800,	''),
(5701,	1927,	528,	2,	3,	3,	6533,	2.500,	0.00,	0.000,	5.000,	''),
(5702,	1928,	279,	1,	3,	5,	6538,	3.800,	0.00,	0.000,	3.800,	''),
(5703,	1928,	1251,	1,	3,	3,	6537,	3.900,	5.00,	0.195,	4.095,	''),
(5704,	1929,	791,	1,	3,	3,	6543,	12.500,	0.00,	0.000,	12.500,	''),
(5705,	1930,	753,	10,	63,	3,	6546,	1.600,	0.00,	0.000,	16.000,	''),
(5706,	1930,	766,	5,	3,	3,	6547,	2.300,	0.00,	0.000,	11.500,	''),
(5707,	1930,	1138,	10,	3,	3,	6548,	2.000,	0.00,	0.000,	20.000,	''),
(5708,	1930,	1344,	3,	3,	25,	6544,	3.400,	0.00,	0.000,	10.200,	''),
(5709,	1930,	1978,	1,	63,	3,	6545,	2.300,	5.00,	0.115,	2.415,	''),
(5710,	1931,	752,	1,	4,	23,	6549,	3.500,	0.00,	0.000,	3.500,	''),
(5711,	1932,	1138,	2,	3,	3,	6550,	2.200,	0.00,	0.000,	4.400,	''),
(5712,	1933,	799,	1,	3,	38,	6554,	3.500,	0.00,	0.000,	3.500,	''),
(5713,	1933,	933,	1,	7,	4,	6553,	3.800,	0.00,	0.000,	3.800,	''),
(5714,	1933,	1071,	1,	3,	3,	6555,	2.900,	0.00,	0.000,	2.900,	''),
(5715,	1933,	1078,	1,	3,	3,	6551,	3.800,	0.00,	0.000,	3.800,	''),
(5716,	1933,	1138,	4,	3,	3,	6552,	2.200,	0.00,	0.000,	8.800,	''),
(5717,	1934,	1131,	9,	3,	3,	6557,	2.700,	0.00,	0.000,	24.300,	''),
(5718,	1935,	1425,	1,	1,	3,	6559,	1.900,	0.00,	0.000,	1.900,	''),
(5719,	1935,	1830,	3,	4,	3,	6560,	0.700,	0.00,	0.000,	2.100,	''),
(5720,	1936,	1078,	2,	3,	3,	6562,	3.800,	0.00,	0.000,	7.600,	''),
(5721,	1936,	1425,	3,	1,	3,	6561,	1.900,	0.00,	0.000,	5.700,	''),
(5722,	1937,	799,	2,	3,	3,	6564,	3.600,	0.00,	0.000,	7.200,	''),
(5723,	1937,	1622,	1,	3,	3,	6563,	4.900,	0.00,	0.000,	4.900,	''),
(5724,	1938,	178,	1,	3,	3,	6565,	10.800,	0.00,	0.000,	10.800,	''),
(5725,	1939,	1622,	10,	3,	3,	6566,	4.800,	0.00,	0.000,	48.000,	''),
(5726,	1940,	57,	1,	3,	13,	6578,	8.800,	0.00,	0.000,	8.800,	''),
(5727,	1940,	60,	1,	3,	9,	6577,	11.800,	0.00,	0.000,	11.800,	''),
(5728,	1940,	178,	1,	3,	3,	6572,	10.800,	0.00,	0.000,	10.800,	''),
(5729,	1940,	420,	3,	3,	3,	6570,	1.800,	0.00,	0.000,	5.400,	''),
(5730,	1940,	528,	3,	3,	3,	6574,	2.500,	0.00,	0.000,	7.500,	''),
(5731,	1940,	552,	2,	63,	3,	6573,	3.800,	5.00,	0.380,	7.980,	''),
(5732,	1940,	766,	10,	3,	3,	6575,	2.200,	0.00,	0.000,	22.000,	''),
(5733,	1940,	771,	2,	1,	3,	6567,	1.600,	0.00,	0.000,	3.200,	''),
(5734,	1940,	799,	1,	3,	5,	6580,	5.200,	0.00,	0.000,	5.200,	''),
(5735,	1940,	799,	1,	3,	38,	6581,	3.500,	0.00,	0.000,	3.500,	''),
(5736,	1940,	848,	1,	3,	5,	6579,	4.800,	0.00,	0.000,	4.800,	''),
(5737,	1940,	848,	1,	3,	38,	6582,	3.300,	0.00,	0.000,	3.300,	''),
(5738,	1940,	1071,	2,	3,	3,	6571,	2.900,	0.00,	0.000,	5.800,	''),
(5739,	1940,	1127,	3,	3,	3,	6584,	2.500,	0.00,	0.000,	7.500,	''),
(5740,	1940,	1131,	2,	3,	3,	6585,	2.200,	0.00,	0.000,	4.400,	''),
(5741,	1940,	1138,	5,	3,	3,	6587,	2.600,	0.00,	0.000,	13.000,	''),
(5742,	1940,	1166,	10,	3,	3,	6586,	2.600,	0.00,	0.000,	26.000,	''),
(5743,	1940,	1298,	3,	1,	3,	6568,	1.400,	0.00,	0.000,	4.200,	''),
(5744,	1940,	1344,	5,	3,	103,	6576,	1.900,	0.00,	0.000,	9.500,	''),
(5745,	1940,	1526,	1,	3,	3,	6569,	7.400,	0.00,	0.000,	7.400,	''),
(5746,	1940,	1626,	3,	3,	71,	6583,	2.200,	0.00,	0.000,	6.600,	''),
(5747,	1941,	676,	2,	3,	3,	6590,	12.600,	0.00,	0.000,	25.200,	''),
(5748,	1941,	836,	1,	3,	3,	6588,	6.500,	0.00,	0.000,	6.500,	''),
(5749,	1941,	1835,	1,	3,	3,	6589,	3.800,	5.00,	0.190,	3.990,	''),
(5750,	1942,	168,	2,	3,	3,	6640,	2.200,	0.00,	0.000,	4.400,	''),
(5751,	1942,	420,	1,	3,	3,	6641,	1.900,	0.00,	0.000,	1.900,	''),
(5752,	1942,	528,	1,	3,	3,	6642,	2.700,	0.00,	0.000,	2.700,	''),
(5753,	1942,	753,	1,	63,	3,	6643,	1.900,	0.00,	0.000,	1.900,	''),
(5754,	1942,	799,	1,	3,	3,	6644,	3.600,	0.00,	0.000,	3.600,	''),
(5755,	1942,	848,	2,	3,	3,	6645,	3.700,	0.00,	0.000,	7.400,	''),
(5756,	1942,	932,	1,	3,	24,	6646,	5.200,	0.00,	0.000,	5.200,	''),
(5757,	1942,	992,	1,	3,	3,	6647,	1.600,	0.00,	0.000,	1.600,	''),
(5758,	1942,	1071,	1,	3,	3,	6639,	3.000,	0.00,	0.000,	3.000,	''),
(5759,	1942,	1344,	1,	3,	20,	6648,	3.800,	0.00,	0.000,	3.800,	''),
(5760,	1942,	1514,	1,	3,	3,	6649,	8.500,	0.00,	0.000,	8.500,	''),
(5761,	1942,	1610,	1,	3,	3,	6650,	4.900,	0.00,	0.000,	4.900,	''),
(5762,	1943,	178,	8,	1,	3,	6604,	1.100,	0.00,	0.000,	8.470,	''),
(5763,	1943,	766,	2,	3,	3,	6602,	2.300,	0.00,	0.000,	4.600,	''),
(5764,	1943,	1839,	2,	63,	3,	6603,	1.800,	5.00,	0.180,	3.780,	''),
(5765,	1944,	528,	1,	3,	3,	6612,	2.500,	0.00,	0.000,	2.500,	''),
(5766,	1944,	753,	1,	63,	3,	6613,	1.700,	0.00,	0.000,	1.700,	''),
(5767,	1944,	1978,	1,	63,	3,	6614,	2.300,	5.00,	0.115,	2.415,	''),
(5768,	1945,	1251,	1,	3,	3,	6608,	3.850,	5.00,	0.193,	4.043,	''),
(5769,	1946,	753,	1,	63,	3,	6615,	1.800,	0.00,	0.000,	1.800,	''),
(5770,	1947,	1587,	1,	3,	3,	6616,	5.300,	0.00,	0.000,	5.300,	''),
(5771,	1948,	753,	10,	63,	3,	6620,	1.600,	0.00,	0.000,	16.000,	''),
(5772,	1948,	766,	5,	3,	3,	6621,	2.300,	0.00,	0.000,	11.500,	''),
(5773,	1948,	1839,	8,	63,	3,	6622,	1.800,	5.00,	0.720,	15.120,	''),
(5774,	1949,	1344,	1,	3,	20,	6624,	3.800,	0.00,	0.000,	3.800,	''),
(5775,	1949,	1626,	1,	3,	71,	6623,	2.200,	0.00,	0.000,	2.200,	''),
(5776,	1950,	1514,	10,	3,	3,	6625,	7.800,	0.00,	0.000,	78.000,	''),
(5777,	1951,	676,	1,	3,	3,	6653,	12.800,	0.00,	0.000,	6.400,	''),
(5778,	1951,	753,	1,	63,	3,	6654,	2.100,	0.00,	0.000,	2.100,	''),
(5779,	1952,	682,	1,	3,	3,	6657,	10.600,	0.00,	0.000,	5.300,	''),
(5780,	1953,	152,	1,	1,	3,	6636,	1.200,	0.00,	0.000,	1.200,	''),
(5781,	1953,	275,	6,	4,	3,	6633,	0.500,	0.00,	0.000,	3.000,	''),
(5782,	1953,	881,	1,	3,	4,	6632,	1.600,	0.00,	0.000,	1.600,	''),
(5783,	1953,	1138,	1,	3,	3,	6631,	2.100,	0.00,	0.000,	2.100,	''),
(5784,	1953,	1344,	1,	3,	29,	6634,	2.300,	0.00,	0.000,	2.300,	''),
(5785,	1953,	1425,	1,	1,	3,	6635,	1.900,	0.00,	0.000,	0.950,	''),
(5786,	1954,	152,	1,	1,	3,	6637,	1.100,	0.00,	0.000,	1.100,	''),
(5787,	1955,	1353,	1,	3,	3,	6655,	4.800,	0.00,	0.000,	4.800,	''),
(5788,	1956,	420,	5,	3,	3,	6656,	1.800,	0.00,	0.000,	9.000,	''),
(5789,	1958,	528,	1,	3,	3,	6661,	2.500,	0.00,	0.000,	2.500,	''),
(5790,	1958,	753,	1,	3,	5,	6662,	4.700,	0.00,	0.000,	4.700,	''),
(5791,	1959,	1425,	1,	1,	3,	6663,	1.900,	0.00,	0.000,	1.900,	''),
(5792,	1960,	848,	4,	3,	3,	6664,	3.300,	0.00,	0.000,	13.200,	''),
(5793,	1960,	848,	20,	3,	4,	6665,	1.900,	0.00,	0.000,	38.000,	''),
(5794,	1961,	76,	1,	3,	8,	6667,	10.200,	0.00,	0.000,	10.200,	''),
(5795,	1961,	423,	1,	3,	3,	6668,	1.900,	0.00,	0.000,	1.900,	''),
(5796,	1961,	753,	2,	63,	3,	6666,	2.600,	0.00,	0.000,	5.200,	''),
(5797,	1961,	1071,	1,	3,	3,	6669,	3.000,	0.00,	0.000,	3.000,	''),
(5798,	1962,	528,	1,	3,	3,	6670,	2.600,	0.00,	0.000,	2.600,	''),
(5799,	1963,	170,	2,	3,	3,	6671,	6.300,	0.00,	0.000,	12.600,	''),
(5800,	1963,	848,	2,	3,	5,	6672,	4.800,	0.00,	0.000,	9.600,	''),
(5801,	1963,	1071,	4,	3,	3,	6673,	2.900,	0.00,	0.000,	11.600,	''),
(5802,	1964,	1131,	1,	3,	6,	6677,	3.800,	0.00,	0.000,	1.900,	''),
(5803,	1964,	1491,	1,	3,	3,	6678,	1.400,	0.00,	0.000,	1.400,	''),
(5804,	1965,	818,	2,	10,	3,	6679,	0.800,	0.00,	0.000,	1.600,	''),
(5805,	1966,	22,	1,	3,	11,	6680,	15.000,	0.00,	0.000,	15.000,	''),
(5806,	1967,	57,	1,	3,	13,	6683,	8.500,	0.00,	0.000,	8.500,	''),
(5807,	1967,	420,	1,	3,	3,	6686,	1.800,	0.00,	0.000,	1.800,	''),
(5808,	1967,	676,	2,	3,	3,	6684,	12.500,	0.00,	0.000,	25.000,	''),
(5809,	1967,	753,	10,	63,	3,	6689,	1.600,	0.00,	0.000,	16.000,	''),
(5810,	1967,	766,	4,	3,	3,	6687,	2.200,	0.00,	0.000,	8.800,	''),
(5811,	1967,	1071,	1,	3,	3,	6685,	2.800,	0.00,	0.000,	2.800,	''),
(5812,	1967,	1138,	5,	3,	3,	6682,	2.000,	0.00,	0.000,	10.000,	''),
(5813,	1967,	1166,	5,	3,	3,	6681,	2.600,	0.00,	0.000,	13.000,	''),
(5814,	1967,	1839,	6,	63,	3,	6688,	1.700,	5.00,	0.510,	10.710,	''),
(5815,	1968,	932,	10,	3,	79,	6690,	2.000,	0.00,	0.000,	20.000,	''),
(5816,	1970,	420,	1,	3,	3,	6692,	1.800,	0.00,	0.000,	1.800,	''),
(5817,	1970,	676,	1,	3,	3,	6693,	12.600,	0.00,	0.000,	6.300,	''),
(5818,	1971,	45,	1,	3,	3,	6697,	2.600,	0.00,	0.000,	2.600,	''),
(5819,	1971,	420,	1,	3,	3,	6696,	1.800,	0.00,	0.000,	1.800,	''),
(5820,	1971,	766,	1,	3,	3,	6695,	2.300,	0.00,	0.000,	2.300,	''),
(5821,	1971,	1166,	3,	3,	3,	6694,	2.200,	0.00,	0.000,	6.600,	''),
(5822,	1972,	178,	5,	1,	3,	6698,	1.100,	0.00,	0.000,	5.500,	''),
(5823,	1973,	420,	2,	3,	3,	6699,	1.800,	0.00,	0.000,	3.600,	''),
(5824,	2037,	799,	1,	10,	22,	6937,	1.400,	0.00,	0.000,	1.400,	''),
(5825,	2037,	1072,	1,	3,	3,	6938,	2.800,	0.00,	0.000,	2.800,	''),
(5826,	2039,	528,	1,	3,	3,	6941,	2.500,	0.00,	0.000,	2.500,	''),
(5827,	2038,	682,	1,	3,	3,	6940,	10.600,	0.00,	0.000,	10.600,	''),
(5828,	2038,	753,	1,	63,	3,	6939,	1.600,	0.00,	0.000,	1.600,	''),
(5829,	2036,	692,	1,	3,	3,	6936,	12.500,	0.00,	0.000,	12.500,	''),
(5830,	2035,	1071,	1,	3,	3,	6935,	2.800,	0.00,	0.000,	2.800,	''),
(5831,	2034,	170,	3,	3,	3,	6934,	6.300,	0.00,	0.000,	18.900,	''),
(5832,	2033,	152,	1,	1,	3,	6933,	1.200,	0.00,	0.000,	1.320,	''),
(5833,	2032,	932,	1,	3,	24,	6931,	5.400,	0.00,	0.000,	5.400,	''),
(5834,	2032,	1491,	10,	3,	3,	6932,	1.300,	0.00,	0.000,	13.000,	''),
(5835,	2031,	420,	1,	3,	3,	6930,	1.800,	0.00,	0.000,	1.800,	''),
(5836,	2031,	933,	1,	3,	3,	6929,	3.800,	0.00,	0.000,	3.800,	''),
(5837,	2030,	1179,	1,	3,	3,	6926,	2.700,	0.00,	0.000,	2.700,	''),
(5838,	2030,	1344,	1,	3,	20,	6928,	3.600,	0.00,	0.000,	3.600,	''),
(5839,	2030,	1344,	1,	3,	103,	6927,	2.200,	0.00,	0.000,	2.200,	''),
(5840,	2029,	753,	2,	63,	3,	6925,	2.200,	0.00,	0.000,	4.400,	''),
(5841,	2029,	1131,	1,	3,	6,	6924,	2.600,	0.00,	0.000,	2.600,	''),
(5842,	2028,	1388,	1,	3,	3,	6923,	8.000,	5.00,	0.400,	8.400,	''),
(5843,	2028,	1622,	1,	3,	3,	6922,	4.800,	0.00,	0.000,	4.800,	''),
(5844,	2027,	682,	1,	3,	3,	6921,	10.600,	0.00,	0.000,	5.300,	''),
(5845,	2026,	799,	1,	3,	3,	6920,	3.500,	0.00,	0.000,	3.500,	''),
(5846,	2025,	1570,	60,	4,	74,	6919,	1.850,	0.00,	0.000,	111.000,	''),
(5847,	2024,	1425,	1,	1,	3,	6918,	2.000,	0.00,	0.000,	2.000,	''),
(5848,	2023,	152,	1,	3,	3,	6915,	1.200,	0.00,	0.000,	1.200,	''),
(5849,	2023,	178,	1,	1,	3,	6917,	1.200,	0.00,	0.000,	1.200,	''),
(5850,	2023,	1251,	1,	4,	3,	6916,	0.500,	5.00,	0.025,	0.525,	''),
(5851,	2022,	178,	3,	1,	3,	6913,	1.200,	0.00,	0.000,	3.600,	''),
(5852,	2021,	848,	1,	3,	38,	6912,	4.800,	0.00,	0.000,	4.800,	''),
(5853,	2020,	1426,	1,	1,	3,	6911,	1.900,	0.00,	0.000,	1.900,	''),
(5854,	2019,	57,	1,	7,	14,	6906,	2.100,	0.00,	0.000,	2.100,	''),
(5855,	2019,	848,	1,	3,	3,	6909,	3.600,	0.00,	0.000,	3.600,	''),
(5856,	2019,	1179,	3,	3,	3,	6910,	2.700,	0.00,	0.000,	8.100,	''),
(5857,	2019,	1353,	1,	3,	3,	6908,	4.800,	0.00,	0.000,	4.800,	''),
(5858,	2019,	1514,	1,	7,	3,	6907,	2.200,	0.00,	0.000,	2.200,	''),
(5859,	2018,	667,	1,	3,	60,	6905,	13.200,	0.00,	0.000,	13.200,	''),
(5860,	2018,	1344,	1,	3,	31,	6904,	3.600,	0.00,	0.000,	3.600,	''),
(5861,	2018,	1881,	1,	3,	3,	6903,	1.300,	0.00,	0.000,	1.300,	''),
(5862,	2017,	876,	1,	3,	3,	6902,	4.000,	0.00,	0.000,	4.000,	''),
(5863,	2016,	1344,	1,	3,	25,	6901,	3.600,	0.00,	0.000,	3.600,	''),
(5864,	2016,	1626,	1,	3,	71,	6900,	2.300,	0.00,	0.000,	2.300,	''),
(5865,	1969,	1131,	1,	3,	6,	6691,	3.800,	0.00,	0.000,	1.900,	''),
(5866,	1974,	152,	2,	1,	3,	6700,	1.200,	0.00,	0.000,	2.760,	''),
(5867,	1975,	1978,	1,	63,	3,	6811,	2.200,	5.00,	0.110,	2.310,	''),
(5868,	1977,	1563,	2,	3,	110,	6725,	6.200,	0.00,	0.000,	12.400,	''),
(5870,	1978,	1251,	4,	4,	3,	6726,	0.500,	5.00,	0.100,	2.100,	''),
(5871,	1979,	57,	2,	7,	15,	6738,	2.100,	0.00,	0.000,	4.200,	''),
(5872,	1979,	73,	1,	7,	9,	6740,	2.200,	0.00,	0.000,	2.200,	''),
(5873,	1979,	74,	1,	7,	11,	6739,	2.000,	0.00,	0.000,	2.000,	''),
(5874,	1979,	116,	1,	7,	15,	6730,	2.000,	0.00,	0.000,	2.000,	''),
(5875,	1979,	152,	3,	1,	3,	6733,	1.100,	0.00,	0.000,	3.300,	''),
(5876,	1979,	766,	1,	3,	3,	6728,	2.300,	0.00,	0.000,	2.300,	''),
(5877,	1979,	798,	1,	3,	3,	6732,	3.500,	0.00,	0.000,	3.500,	''),
(5878,	1979,	799,	1,	3,	4,	6736,	1.400,	0.00,	0.000,	1.400,	''),
(5879,	1979,	848,	1,	3,	4,	6737,	1.900,	0.00,	0.000,	1.900,	''),
(5880,	1979,	882,	1,	3,	4,	6735,	2.000,	0.00,	0.000,	2.000,	''),
(5881,	1979,	1514,	2,	7,	3,	6734,	1.700,	0.00,	0.000,	3.400,	''),
(5882,	1979,	1563,	3,	6,	110,	6729,	0.800,	0.00,	0.000,	2.400,	''),
(5883,	1979,	1579,	1,	3,	3,	6731,	4.500,	0.00,	0.000,	4.500,	''),
(5884,	1979,	1966,	2,	63,	3,	6741,	1.400,	0.00,	0.000,	2.800,	''),
(5885,	1980,	152,	10,	1,	3,	6742,	1.080,	0.00,	0.000,	10.800,	''),
(5886,	1981,	279,	1,	3,	5,	6744,	4.700,	0.00,	0.000,	4.700,	''),
(5887,	1981,	676,	1,	3,	3,	6747,	12.500,	0.00,	0.000,	12.500,	''),
(5888,	1981,	834,	1,	3,	4,	6745,	2.000,	0.00,	0.000,	2.000,	''),
(5889,	1981,	848,	1,	3,	3,	6746,	3.300,	0.00,	0.000,	3.300,	''),
(5890,	1981,	1251,	4,	4,	3,	6743,	0.500,	5.00,	0.100,	2.100,	''),
(5891,	1982,	1425,	1,	1,	3,	6748,	2.000,	0.00,	0.000,	2.000,	''),
(5892,	1983,	1131,	1,	3,	6,	6749,	3.600,	0.00,	0.000,	3.600,	''),
(5893,	1984,	799,	1,	3,	3,	6752,	3.500,	0.00,	0.000,	3.500,	''),
(5894,	1984,	848,	2,	3,	3,	6753,	3.300,	0.00,	0.000,	6.600,	''),
(5895,	1984,	1071,	2,	3,	3,	6751,	2.800,	0.00,	0.000,	5.600,	''),
(5896,	1984,	1839,	1,	63,	3,	6750,	1.800,	5.00,	0.090,	1.890,	''),
(5898,	1985,	1251,	3,	4,	3,	6754,	0.500,	5.00,	0.075,	1.575,	''),
(5899,	1986,	73,	1,	7,	9,	6767,	2.200,	0.00,	0.000,	2.200,	''),
(5900,	1986,	116,	1,	7,	14,	6768,	2.200,	0.00,	0.000,	2.200,	''),
(5901,	1986,	420,	1,	3,	3,	6769,	1.800,	0.00,	0.000,	1.800,	''),
(5902,	1986,	529,	1,	3,	3,	6770,	2.600,	0.00,	0.000,	2.600,	''),
(5903,	1986,	766,	1,	3,	3,	6771,	2.300,	0.00,	0.000,	2.300,	''),
(5904,	1986,	848,	1,	3,	22,	6772,	1.900,	0.00,	0.000,	1.900,	''),
(5905,	1986,	992,	3,	3,	2,	6773,	1.200,	0.00,	0.000,	3.600,	''),
(5906,	1986,	1071,	1,	3,	3,	6774,	2.900,	0.00,	0.000,	2.900,	''),
(5907,	1986,	1127,	4,	3,	3,	6775,	2.400,	0.00,	0.000,	9.600,	''),
(5908,	1986,	1166,	3,	3,	3,	6776,	2.600,	0.00,	0.000,	7.800,	''),
(5909,	1986,	1312,	1,	63,	84,	6777,	2.600,	0.00,	0.000,	2.600,	''),
(5910,	1986,	1425,	2,	1,	3,	6778,	1.900,	0.00,	0.000,	3.800,	''),
(5911,	1987,	551,	5,	6,	4,	6779,	0.200,	5.00,	0.050,	1.050,	''),
(5912,	1989,	1124,	3,	3,	3,	6813,	2.600,	0.00,	0.000,	7.800,	''),
(5913,	1990,	370,	1,	3,	3,	6814,	5.500,	0.00,	0.000,	5.500,	''),
(5914,	1991,	423,	1,	3,	3,	6815,	2.000,	0.00,	0.000,	2.000,	''),
(5915,	1991,	848,	1,	3,	38,	6816,	3.300,	0.00,	0.000,	3.300,	''),
(5916,	1992,	57,	1,	7,	15,	6826,	1.900,	0.00,	0.000,	1.900,	''),
(5917,	1992,	168,	1,	3,	3,	6817,	2.200,	0.00,	0.000,	2.200,	''),
(5918,	1992,	282,	1,	4,	33,	6824,	1.600,	0.00,	0.000,	1.600,	''),
(5919,	1992,	848,	1,	3,	4,	6823,	1.900,	0.00,	0.000,	1.900,	''),
(5920,	1992,	1127,	2,	3,	3,	6820,	2.500,	0.00,	0.000,	5.000,	''),
(5921,	1992,	1131,	1,	3,	6,	6821,	3.500,	0.00,	0.000,	3.500,	''),
(5922,	1992,	1251,	1,	4,	4,	6819,	0.500,	5.00,	0.025,	0.525,	''),
(5923,	1992,	1353,	1,	3,	3,	6822,	4.800,	0.00,	0.000,	4.800,	''),
(5924,	1992,	1425,	1,	1,	3,	6825,	1.900,	0.00,	0.000,	0.950,	''),
(5925,	1992,	1514,	1,	7,	3,	6818,	2.300,	0.00,	0.000,	1.150,	''),
(5926,	1993,	1622,	2,	3,	3,	6827,	4.800,	0.00,	0.000,	9.600,	''),
(5927,	1994,	1565,	2,	1,	3,	6828,	1.300,	0.00,	0.000,	2.080,	''),
(5928,	1995,	1166,	2,	3,	3,	6831,	2.800,	0.00,	0.000,	5.600,	''),
(5929,	1995,	1201,	1,	3,	3,	6833,	4.300,	5.00,	0.215,	4.515,	''),
(5930,	1995,	1426,	1,	3,	3,	6829,	12.800,	0.00,	0.000,	12.800,	''),
(5931,	1995,	1570,	5,	4,	3,	6832,	2.000,	0.00,	0.000,	10.000,	''),
(5932,	1995,	1626,	1,	3,	71,	6830,	2.400,	0.00,	0.000,	2.400,	''),
(5933,	1995,	1726,	1,	3,	3,	6834,	3.600,	0.00,	0.000,	3.600,	''),
(5934,	1997,	799,	1,	3,	4,	6837,	1.400,	0.00,	0.000,	1.400,	''),
(5935,	1997,	1071,	1,	3,	3,	6838,	3.000,	0.00,	0.000,	3.000,	''),
(5936,	1997,	1179,	3,	3,	3,	6839,	2.800,	0.00,	0.000,	8.400,	''),
(5937,	1998,	1434,	1,	3,	2,	6841,	4.000,	0.00,	0.000,	4.000,	''),
(5938,	1998,	1570,	5,	4,	3,	6840,	2.000,	0.00,	0.000,	10.000,	''),
(5939,	1999,	1818,	1,	4,	3,	6842,	0.900,	0.00,	0.000,	0.900,	''),
(5940,	1999,	1891,	1,	4,	3,	6843,	0.700,	0.00,	0.000,	0.700,	''),
(5941,	2000,	1839,	2,	63,	3,	6844,	1.800,	5.00,	0.180,	3.780,	''),
(5942,	2001,	969,	1,	3,	3,	6850,	5.900,	0.00,	0.000,	5.900,	''),
(5943,	2002,	178,	3,	1,	3,	6849,	1.100,	0.00,	0.000,	2.860,	''),
(5944,	2002,	551,	1,	63,	3,	6848,	3.900,	5.00,	0.195,	4.095,	''),
(5945,	2002,	848,	1,	3,	3,	6847,	3.500,	0.00,	0.000,	3.500,	''),
(5946,	2002,	1071,	1,	3,	3,	6846,	2.900,	0.00,	0.000,	2.900,	''),
(5947,	2004,	170,	1,	3,	3,	6852,	6.600,	0.00,	0.000,	6.600,	''),
(5948,	2004,	799,	1,	3,	38,	6855,	3.500,	0.00,	0.000,	3.500,	''),
(5949,	2004,	848,	2,	3,	38,	6856,	3.500,	0.00,	0.000,	7.000,	''),
(5950,	2004,	933,	2,	3,	3,	6854,	3.800,	0.00,	0.000,	7.600,	''),
(5951,	2004,	1078,	1,	3,	3,	6853,	3.800,	0.00,	0.000,	3.800,	''),
(5952,	2004,	1166,	4,	3,	3,	6857,	2.700,	0.00,	0.000,	10.800,	''),
(5953,	2004,	1563,	1,	3,	111,	6858,	6.500,	0.00,	0.000,	6.500,	''),
(5954,	2004,	1626,	12,	3,	71,	6859,	2.200,	0.00,	0.000,	26.400,	''),
(5955,	2005,	420,	2,	3,	3,	6860,	2.000,	0.00,	0.000,	4.000,	''),
(5956,	2005,	1587,	1,	3,	3,	6861,	5.400,	0.00,	0.000,	5.400,	''),
(5957,	2006,	45,	2,	3,	7,	6870,	4.200,	0.00,	0.000,	8.400,	''),
(5958,	2006,	848,	1,	3,	3,	6865,	3.600,	0.00,	0.000,	3.600,	''),
(5959,	2006,	933,	1,	3,	3,	6862,	3.900,	0.00,	0.000,	3.900,	''),
(5960,	2006,	1098,	2,	3,	3,	6868,	6.500,	0.00,	0.000,	13.000,	''),
(5961,	2006,	1131,	1,	3,	3,	6867,	2.500,	0.00,	0.000,	2.500,	''),
(5962,	2006,	1131,	2,	3,	6,	6866,	3.500,	0.00,	0.000,	7.000,	''),
(5963,	2006,	1345,	1,	3,	20,	6869,	3.700,	0.00,	0.000,	3.700,	''),
(5964,	2006,	1353,	1,	3,	3,	6864,	4.800,	0.00,	0.000,	4.800,	''),
(5965,	2006,	1622,	1,	3,	3,	6863,	4.800,	0.00,	0.000,	4.800,	''),
(5966,	2007,	57,	1,	7,	13,	6880,	2.000,	0.00,	0.000,	2.000,	''),
(5967,	2007,	771,	1,	1,	3,	6881,	1.600,	0.00,	0.000,	0.800,	''),
(5968,	2007,	1131,	1,	3,	3,	6882,	2.400,	0.00,	0.000,	2.400,	''),
(5969,	2007,	1344,	1,	3,	103,	6883,	1.900,	0.00,	0.000,	1.900,	''),
(5970,	2007,	1626,	1,	3,	71,	6884,	2.200,	0.00,	0.000,	2.200,	''),
(5971,	2008,	1071,	1,	3,	3,	6874,	2.900,	0.00,	0.000,	2.900,	''),
(5972,	2009,	528,	1,	3,	3,	6885,	2.500,	0.00,	0.000,	2.500,	''),
(5973,	2010,	676,	1,	3,	3,	6886,	12.600,	0.00,	0.000,	6.300,	''),
(5974,	2010,	753,	2,	63,	3,	6888,	2.600,	0.00,	0.000,	5.200,	'fayha'),
(5975,	2010,	766,	1,	3,	3,	6887,	2.300,	0.00,	0.000,	2.300,	''),
(5976,	2010,	1621,	1,	3,	3,	6890,	9.000,	0.00,	0.000,	9.000,	''),
(5977,	2010,	1839,	2,	63,	3,	6889,	1.800,	5.00,	0.180,	3.780,	''),
(5978,	2011,	73,	1,	7,	9,	6891,	2.400,	0.00,	0.000,	2.400,	''),
(5979,	2011,	1351,	2,	3,	20,	6892,	6.800,	0.00,	0.000,	13.600,	''),
(5980,	2012,	771,	1,	1,	3,	6894,	1.600,	0.00,	0.000,	1.600,	''),
(5981,	2012,	1978,	1,	63,	3,	6893,	2.200,	5.00,	0.110,	2.310,	''),
(5982,	2013,	1839,	1,	63,	3,	6895,	1.800,	5.00,	0.090,	1.890,	''),
(5983,	2014,	152,	2,	3,	3,	6897,	1.100,	0.00,	0.000,	2.090,	''),
(5984,	2014,	765,	1,	1,	3,	6896,	1.700,	0.00,	0.000,	0.850,	''),
(5985,	2015,	528,	1,	3,	3,	6899,	2.500,	0.00,	0.000,	2.500,	''),
(5986,	2015,	1251,	1,	3,	3,	6898,	3.840,	5.00,	0.192,	4.032,	''),
(5987,	2040,	682,	1,	3,	3,	6943,	10.600,	0.00,	0.000,	5.300,	''),
(5988,	2040,	753,	1,	63,	3,	6942,	2.100,	0.00,	0.000,	2.100,	''),
(5989,	2041,	1174,	1,	3,	3,	6945,	3.000,	0.00,	0.000,	3.000,	''),
(5990,	2041,	1766,	1,	3,	3,	6944,	1.000,	0.00,	0.000,	1.000,	''),
(5991,	2042,	1071,	1,	3,	3,	6946,	2.800,	0.00,	0.000,	2.800,	''),
(5992,	2043,	73,	1,	7,	7,	6947,	2.400,	0.00,	0.000,	2.400,	''),
(5993,	2043,	766,	1,	3,	3,	6948,	2.300,	0.00,	0.000,	2.300,	''),
(5994,	2043,	799,	2,	10,	3,	6950,	3.500,	0.00,	0.000,	7.000,	''),
(5995,	2043,	932,	2,	3,	79,	6949,	2.000,	0.00,	0.000,	4.000,	''),
(5996,	2043,	1179,	4,	3,	3,	6953,	2.700,	0.00,	0.000,	10.800,	''),
(5997,	2043,	1344,	2,	3,	100,	6952,	2.200,	0.00,	0.000,	4.400,	''),
(5998,	2043,	1566,	9,	1,	3,	6954,	1.300,	0.00,	0.000,	11.180,	''),
(5999,	2043,	1622,	2,	3,	3,	6951,	4.800,	0.00,	0.000,	9.600,	''),
(6001,	2045,	1179,	1,	3,	3,	6956,	2.700,	0.00,	0.000,	2.700,	''),
(6002,	2044,	1138,	1,	3,	3,	6955,	2.200,	0.00,	0.000,	2.200,	''),
(6003,	2072,	528,	1,	3,	3,	7011,	2.500,	0.00,	0.000,	2.500,	''),
(6004,	2072,	676,	2,	3,	3,	7014,	12.600,	0.00,	0.000,	18.900,	''),
(6005,	2072,	753,	1,	63,	3,	7012,	1.600,	0.00,	0.000,	1.600,	''),
(6006,	2072,	1071,	2,	3,	3,	7013,	2.800,	0.00,	0.000,	5.600,	''),
(6007,	2071,	1179,	1,	3,	3,	7010,	2.700,	0.00,	0.000,	2.700,	''),
(6008,	2069,	1071,	1,	3,	3,	7008,	3.000,	0.00,	0.000,	3.000,	''),
(6009,	2068,	31,	1,	3,	15,	7007,	8.800,	0.00,	0.000,	8.800,	''),
(6010,	2067,	1565,	2,	1,	3,	7006,	1.300,	0.00,	0.000,	2.600,	''),
(6011,	2066,	1425,	6,	1,	3,	7005,	1.900,	0.00,	0.000,	11.400,	''),
(6012,	2065,	682,	1,	3,	3,	7004,	11.200,	0.00,	0.000,	5.600,	''),
(6013,	2065,	1312,	4,	63,	4,	7003,	0.250,	0.00,	0.000,	1.000,	''),
(6014,	2064,	848,	1,	3,	38,	7002,	3.500,	0.00,	0.000,	3.500,	''),
(6015,	2064,	1053,	1,	3,	3,	7001,	2.800,	0.00,	0.000,	2.800,	''),
(6016,	2063,	282,	1,	3,	33,	6999,	18.800,	0.00,	0.000,	18.800,	''),
(6017,	2062,	1251,	1,	3,	3,	6998,	3.850,	5.00,	0.193,	4.043,	''),
(6018,	2061,	964,	1,	1,	3,	6997,	3.200,	0.00,	0.000,	1.600,	''),
(6019,	2060,	969,	1,	3,	2,	6994,	5.800,	0.00,	0.000,	5.800,	''),
(6020,	2060,	1344,	1,	3,	20,	6993,	3.600,	0.00,	0.000,	3.600,	''),
(6021,	2060,	1563,	1,	3,	111,	6995,	6.500,	0.00,	0.000,	6.500,	''),
(6022,	2060,	1626,	2,	3,	71,	6996,	2.200,	0.00,	0.000,	4.400,	''),
(6023,	2059,	1131,	1,	3,	6,	6989,	3.800,	0.00,	0.000,	1.900,	''),
(6024,	2058,	45,	1,	3,	3,	6985,	2.600,	0.00,	0.000,	2.600,	''),
(6025,	2058,	799,	1,	3,	38,	6987,	3.500,	0.00,	0.000,	3.500,	''),
(6026,	2058,	1353,	1,	3,	3,	6988,	4.800,	0.00,	0.000,	4.800,	''),
(6027,	2058,	1587,	2,	4,	23,	6984,	1.300,	0.00,	0.000,	2.600,	''),
(6028,	2058,	1626,	1,	3,	71,	6986,	2.300,	0.00,	0.000,	2.300,	''),
(6029,	2057,	420,	2,	3,	3,	6981,	1.800,	0.00,	0.000,	3.600,	'car'),
(6030,	2057,	753,	3,	63,	2,	6983,	2.100,	0.00,	0.000,	6.300,	''),
(6031,	2057,	1071,	1,	3,	3,	6982,	2.900,	0.00,	0.000,	2.900,	''),
(6032,	2056,	423,	1,	3,	3,	6979,	2.000,	0.00,	0.000,	2.000,	''),
(6033,	2055,	1526,	1,	7,	3,	6978,	2.200,	0.00,	0.000,	2.200,	''),
(6034,	2054,	766,	1,	3,	3,	6977,	2.300,	0.00,	0.000,	2.300,	''),
(6035,	2052,	1131,	1,	3,	3,	6975,	2.900,	0.00,	0.000,	2.900,	''),
(6036,	2051,	1138,	1,	3,	3,	6974,	2.200,	0.00,	0.000,	2.200,	''),
(6037,	2050,	1127,	1,	3,	3,	6973,	2.600,	0.00,	0.000,	2.600,	''),
(6038,	2048,	1127,	1,	3,	3,	6971,	2.500,	0.00,	0.000,	2.500,	''),
(6039,	2047,	288,	1,	4,	3,	6970,	1.800,	0.00,	0.000,	1.800,	''),
(6040,	2047,	1251,	1,	3,	3,	6969,	3.850,	5.00,	0.193,	4.043,	''),
(6041,	2046,	682,	1,	3,	3,	6964,	10.600,	0.00,	0.000,	5.300,	''),
(6042,	2046,	863,	1,	3,	3,	6965,	1.600,	0.00,	0.000,	1.600,	''),
(6043,	2046,	863,	1,	10,	3,	6966,	1.600,	0.00,	0.000,	1.600,	''),
(6044,	2046,	932,	1,	3,	79,	6967,	2.000,	0.00,	0.000,	2.000,	''),
(6045,	2046,	1071,	1,	3,	3,	6963,	2.800,	0.00,	0.000,	2.800,	''),
(6046,	2046,	1881,	3,	10,	3,	6968,	1.200,	0.00,	0.000,	3.600,	''),
(6127,	2102,	1127,	5,	3,	3,	7103,	2.400,	0.00,	0.000,	12.000,	''),
(6128,	2101,	2021,	10,	3,	3,	7105,	4.700,	5.00,	2.350,	49.350,	''),
(6129,	2101,	2026,	2,	3,	130,	7104,	8.500,	5.00,	0.850,	17.850,	''),
(6130,	2100,	528,	1,	3,	3,	7101,	2.500,	0.00,	0.000,	2.500,	''),
(6131,	2099,	799,	20,	3,	4,	7100,	1.400,	0.00,	0.000,	28.000,	''),
(6132,	2098,	682,	1,	3,	3,	7099,	10.600,	0.00,	0.000,	10.600,	''),
(6133,	2098,	753,	1,	63,	3,	7098,	1.700,	0.00,	0.000,	1.700,	''),
(6134,	2098,	766,	1,	3,	3,	7097,	2.300,	0.00,	0.000,	2.300,	''),
(6135,	2097,	1587,	10,	3,	3,	7096,	5.200,	0.00,	0.000,	52.000,	''),
(6137,	2073,	933,	8,	7,	3,	7016,	3.800,	0.00,	0.000,	30.400,	''),
(6138,	2073,	1587,	4,	3,	3,	7015,	5.000,	0.00,	0.000,	20.000,	''),
(6139,	2078,	45,	60,	3,	22,	7042,	0.750,	0.00,	0.000,	45.000,	'second sale'),
(6141,	2092,	282,	1,	3,	33,	7086,	18.500,	0.00,	0.000,	18.500,	''),
(6142,	2091,	1587,	4,	3,	3,	7085,	5.200,	0.00,	0.000,	20.800,	''),
(6143,	2095,	807,	6,	3,	2,	7092,	14.200,	0.00,	0.000,	85.200,	''),
(6195,	2118,	528,	1,	3,	3,	7196,	2.500,	0.00,	0.000,	2.500,	''),
(6196,	2117,	168,	1,	3,	3,	7193,	2.200,	0.00,	0.000,	2.200,	''),
(6197,	2117,	799,	1,	3,	5,	7195,	5.500,	0.00,	0.000,	5.500,	''),
(6198,	2117,	848,	1,	3,	5,	7194,	5.500,	0.00,	0.000,	5.500,	''),
(6199,	2116,	799,	1,	3,	5,	7189,	5.500,	0.00,	0.000,	5.500,	''),
(6200,	2116,	818,	1,	10,	2,	7190,	7.800,	0.00,	0.000,	7.800,	''),
(6201,	2116,	848,	1,	3,	5,	7191,	5.500,	0.00,	0.000,	5.500,	''),
(6202,	2116,	1353,	3,	3,	3,	7192,	4.800,	0.00,	0.000,	14.400,	''),
(6203,	2115,	1138,	5,	3,	3,	7180,	2.000,	0.00,	0.000,	10.000,	''),
(6204,	2114,	799,	1,	3,	38,	7179,	3.500,	0.00,	0.000,	3.500,	''),
(6205,	2114,	1166,	1,	3,	3,	7177,	2.500,	0.00,	0.000,	2.500,	''),
(6206,	2114,	1587,	1,	3,	3,	7178,	5.300,	0.00,	0.000,	5.300,	''),
(6207,	2119,	932,	5,	3,	24,	7197,	5.400,	0.00,	0.000,	27.000,	''),
(6208,	2113,	116,	3,	3,	15,	7171,	9.200,	0.00,	0.000,	27.600,	''),
(6209,	2113,	753,	5,	3,	5,	7172,	4.500,	0.00,	0.000,	22.500,	''),
(6210,	2113,	753,	50,	63,	3,	7173,	1.600,	0.00,	0.000,	80.000,	'second 4kg'),
(6211,	2113,	766,	5,	3,	3,	7174,	2.300,	0.00,	0.000,	11.500,	''),
(6212,	2113,	1071,	5,	3,	3,	7175,	2.700,	0.00,	0.000,	13.500,	''),
(6213,	2113,	1626,	10,	3,	71,	7176,	2.000,	0.00,	0.000,	20.000,	''),
(6214,	2112,	932,	1,	3,	24,	7143,	5.400,	0.00,	0.000,	5.400,	''),
(6215,	2111,	1622,	1,	3,	3,	7142,	4.700,	0.00,	0.000,	4.700,	''),
(6216,	2110,	57,	1,	3,	13,	7130,	8.600,	0.00,	0.000,	8.600,	''),
(6217,	2110,	420,	2,	3,	3,	7133,	1.700,	0.00,	0.000,	3.400,	''),
(6218,	2110,	676,	1,	3,	3,	7129,	12.500,	0.00,	0.000,	12.500,	''),
(6219,	2110,	753,	10,	63,	3,	7136,	1.600,	0.00,	0.000,	16.000,	''),
(6220,	2110,	766,	5,	3,	3,	7134,	2.200,	0.00,	0.000,	11.000,	''),
(6221,	2110,	799,	2,	3,	3,	7132,	3.400,	0.00,	0.000,	6.800,	''),
(6222,	2110,	1839,	8,	63,	3,	7135,	1.800,	5.00,	0.720,	15.120,	''),
(6223,	2110,	1978,	1,	63,	3,	7131,	2.200,	5.00,	0.110,	2.310,	''),
(6224,	2109,	753,	1,	3,	5,	7137,	4.500,	0.00,	0.000,	4.500,	''),
(6225,	2109,	753,	5,	63,	3,	7138,	1.600,	0.00,	0.000,	8.000,	'second 4kg'),
(6226,	2109,	799,	5,	3,	22,	7139,	1.400,	0.00,	0.000,	7.000,	''),
(6227,	2109,	1078,	1,	3,	3,	7140,	3.800,	0.00,	0.000,	3.800,	''),
(6228,	2109,	1127,	3,	3,	3,	7141,	2.500,	0.00,	0.000,	7.500,	''),
(6229,	2107,	171,	2,	3,	3,	7119,	6.300,	0.00,	0.000,	12.600,	''),
(6230,	2107,	178,	1,	3,	3,	7117,	10.800,	0.00,	0.000,	10.800,	''),
(6231,	2107,	528,	1,	3,	3,	7118,	2.500,	0.00,	0.000,	2.500,	''),
(6232,	2107,	676,	1,	3,	3,	7112,	12.600,	0.00,	0.000,	12.600,	''),
(6233,	2107,	753,	1,	3,	39,	7114,	4.700,	0.00,	0.000,	4.700,	''),
(6234,	2107,	799,	1,	3,	38,	7116,	3.500,	0.00,	0.000,	3.500,	''),
(6235,	2107,	969,	1,	3,	3,	7110,	5.900,	0.00,	0.000,	5.900,	''),
(6236,	2107,	1344,	5,	3,	29,	7111,	2.000,	0.00,	0.000,	10.000,	''),
(6237,	2107,	1514,	1,	3,	3,	7115,	7.800,	0.00,	0.000,	7.800,	''),
(6238,	2107,	1839,	2,	63,	3,	7113,	1.800,	5.00,	0.180,	3.780,	''),
(6239,	2122,	1570,	10,	4,	74,	7206,	1.850,	0.00,	0.000,	18.500,	''),
(6240,	2121,	506,	4,	1,	3,	7203,	2.000,	0.00,	0.000,	8.000,	''),
(6241,	2121,	1514,	50,	3,	3,	7205,	7.500,	0.00,	0.000,	375.000,	''),
(6242,	2121,	1587,	20,	3,	3,	7204,	5.200,	0.00,	0.000,	104.000,	''),
(6243,	2106,	1251,	2,	3,	3,	7109,	3.850,	5.00,	0.385,	8.085,	''),
(6244,	2105,	1251,	1,	3,	3,	7108,	3.850,	5.00,	0.193,	4.043,	''),
(6245,	2104,	1622,	2,	3,	3,	7107,	4.800,	0.00,	0.000,	9.600,	''),
(6246,	2103,	282,	6,	4,	33,	7106,	1.575,	0.00,	0.000,	9.450,	''),
(6247,	2096,	2021,	3,	3,	3,	7093,	4.700,	5.00,	0.705,	14.805,	''),
(6248,	2094,	969,	1,	3,	3,	7091,	5.700,	0.00,	0.000,	5.700,	''),
(6249,	2093,	1312,	10,	63,	55,	7087,	1.400,	0.00,	0.000,	14.000,	''),
(6250,	2093,	1312,	40,	63,	79,	7089,	0.500,	0.00,	0.000,	20.000,	''),
(6251,	2093,	1312,	6,	63,	84,	7090,	2.400,	0.00,	0.000,	14.400,	''),
(6252,	2093,	1312,	15,	63,	92,	7088,	0.950,	0.00,	0.000,	14.250,	''),
(6253,	2090,	501,	4,	1,	3,	7084,	2.000,	0.00,	0.000,	8.000,	''),
(6254,	2089,	528,	1,	3,	3,	7082,	2.500,	0.00,	0.000,	2.500,	''),
(6255,	2088,	170,	10,	3,	3,	7081,	6.300,	0.00,	0.000,	63.000,	''),
(6256,	2087,	932,	1,	3,	24,	7079,	5.500,	0.00,	0.000,	5.500,	''),
(6257,	2087,	1491,	3,	3,	3,	7080,	1.400,	0.00,	0.000,	4.200,	''),
(6258,	2086,	370,	1,	3,	3,	7070,	5.500,	0.00,	0.000,	5.500,	''),
(6259,	2086,	401,	1,	3,	3,	7071,	5.500,	0.00,	0.000,	5.500,	''),
(6260,	2086,	752,	2,	3,	23,	7072,	13.800,	0.00,	0.000,	27.600,	''),
(6261,	2086,	791,	2,	3,	3,	7073,	12.500,	0.00,	0.000,	25.000,	''),
(6262,	2086,	809,	2,	3,	3,	7074,	14.200,	0.00,	0.000,	28.400,	''),
(6263,	2086,	836,	2,	10,	3,	7075,	6.500,	0.00,	0.000,	13.000,	''),
(6264,	2086,	1201,	3,	3,	3,	7076,	4.000,	5.00,	0.600,	12.600,	''),
(6265,	2086,	1251,	1,	3,	3,	7077,	3.800,	5.00,	0.190,	3.990,	''),
(6266,	2086,	1491,	10,	3,	3,	7069,	1.400,	0.00,	0.000,	14.000,	''),
(6267,	2086,	1726,	10,	3,	3,	7078,	3.500,	0.00,	0.000,	35.000,	''),
(6268,	2085,	753,	15,	63,	3,	7094,	1.600,	0.00,	0.000,	24.000,	'second 4kg'),
(6269,	2085,	848,	15,	3,	3,	7095,	3.700,	0.00,	0.000,	55.500,	''),
(6270,	2084,	178,	1,	3,	3,	7056,	10.800,	0.00,	0.000,	10.800,	''),
(6271,	2083,	753,	20,	63,	3,	7144,	1.600,	0.00,	0.000,	32.000,	'second 4kg'),
(6272,	2082,	423,	1,	3,	3,	7053,	1.900,	0.00,	0.000,	1.900,	''),
(6273,	2082,	1626,	1,	3,	71,	7052,	2.100,	0.00,	0.000,	2.100,	''),
(6274,	2081,	170,	1,	3,	3,	7050,	6.400,	0.00,	0.000,	6.400,	''),
(6275,	2081,	420,	2,	3,	3,	7049,	1.900,	0.00,	0.000,	3.800,	''),
(6276,	2081,	676,	1,	3,	3,	7051,	12.600,	0.00,	0.000,	12.600,	''),
(6277,	2081,	753,	2,	63,	3,	7048,	1.700,	0.00,	0.000,	3.400,	''),
(6278,	2081,	766,	1,	3,	3,	7047,	2.300,	0.00,	0.000,	2.300,	''),
(6279,	2081,	1071,	1,	3,	3,	7046,	2.800,	0.00,	0.000,	2.800,	''),
(6280,	2080,	1071,	1,	3,	3,	7045,	2.800,	0.00,	0.000,	2.800,	''),
(6281,	2079,	1098,	2,	3,	3,	7043,	6.500,	0.00,	0.000,	13.000,	''),
(6282,	2077,	1131,	1,	3,	3,	7041,	2.500,	0.00,	0.000,	2.500,	''),
(6283,	2076,	57,	15,	3,	13,	7145,	8.800,	0.00,	0.000,	132.000,	''),
(6284,	2076,	116,	5,	3,	15,	7146,	9.200,	0.00,	0.000,	46.000,	''),
(6285,	2076,	168,	100,	3,	3,	7147,	2.100,	0.00,	0.000,	210.000,	''),
(6286,	2076,	195,	20,	3,	3,	7148,	6.300,	0.00,	0.000,	126.000,	''),
(6287,	2076,	528,	2,	3,	3,	7149,	2.500,	0.00,	0.000,	5.000,	''),
(6288,	2076,	753,	4,	3,	5,	7150,	4.500,	0.00,	0.000,	18.000,	''),
(6289,	2076,	753,	20,	63,	3,	7151,	1.600,	0.00,	0.000,	32.000,	'second 4kg'),
(6290,	2076,	799,	40,	3,	4,	7152,	1.400,	0.00,	0.000,	56.000,	''),
(6291,	2076,	848,	60,	3,	4,	7153,	1.850,	0.00,	0.000,	111.000,	''),
(6292,	2076,	881,	50,	3,	4,	7154,	1.500,	0.00,	0.000,	75.000,	''),
(6293,	2076,	932,	10,	3,	24,	7155,	5.300,	0.00,	0.000,	53.000,	''),
(6294,	2076,	932,	5,	3,	79,	7156,	1.900,	0.00,	0.000,	9.500,	''),
(6295,	2076,	1127,	10,	3,	3,	7157,	2.400,	0.00,	0.000,	24.000,	''),
(6296,	2076,	1131,	20,	3,	6,	7158,	3.500,	0.00,	0.000,	70.000,	''),
(6297,	2076,	1179,	80,	3,	3,	7159,	2.600,	0.00,	0.000,	208.000,	''),
(6298,	2076,	1344,	20,	3,	20,	7160,	3.600,	0.00,	0.000,	72.000,	''),
(6299,	2076,	1345,	50,	3,	103,	7161,	1.850,	0.00,	0.000,	92.500,	''),
(6300,	2076,	1526,	11,	3,	2,	7162,	7.500,	0.00,	0.000,	82.500,	''),
(6301,	2076,	1626,	20,	3,	71,	7163,	2.000,	0.00,	0.000,	40.000,	''),
(6302,	2076,	1766,	10,	3,	3,	7164,	0.900,	0.00,	0.000,	9.000,	''),
(6303,	2075,	314,	1,	1,	3,	7019,	1.300,	0.00,	0.000,	1.300,	''),
(6304,	2074,	753,	1,	63,	3,	7018,	1.900,	0.00,	0.000,	1.900,	''),
(6305,	2128,	752,	1,	3,	23,	7219,	13.800,	0.00,	0.000,	13.800,	''),
(6306,	2127,	799,	4,	3,	38,	7218,	3.500,	0.00,	0.000,	14.000,	''),
(6307,	2126,	1514,	1,	3,	3,	7217,	7.800,	0.00,	0.000,	7.800,	''),
(6308,	2125,	152,	1,	1,	3,	7216,	1.100,	0.00,	0.000,	1.100,	''),
(6309,	2124,	123,	1,	4,	3,	7211,	1.000,	0.00,	0.000,	1.000,	''),
(6310,	2123,	123,	1,	3,	3,	7212,	20.800,	0.00,	0.000,	20.800,	''),
(6311,	2123,	528,	20,	3,	3,	7213,	2.500,	0.00,	0.000,	50.000,	''),
(6312,	2123,	752,	5,	3,	23,	7214,	13.800,	0.00,	0.000,	69.000,	''),
(6313,	2123,	1491,	50,	3,	3,	7215,	1.400,	0.00,	0.000,	70.000,	''),
(6314,	2130,	76,	1,	7,	13,	7234,	2.200,	0.00,	0.000,	2.200,	''),
(6315,	2130,	153,	2,	1,	4,	7235,	1.200,	0.00,	0.000,	2.640,	''),
(6316,	2130,	249,	1,	63,	4,	7236,	1.000,	0.00,	0.000,	1.000,	''),
(6317,	2130,	423,	1,	3,	3,	7237,	2.000,	0.00,	0.000,	2.000,	''),
(6318,	2130,	972,	1,	3,	4,	7238,	3.600,	0.00,	0.000,	3.600,	''),
(6319,	2130,	1166,	2,	3,	3,	7239,	2.600,	0.00,	0.000,	5.200,	''),
(6320,	2130,	1351,	1,	3,	3,	7240,	6.800,	0.00,	0.000,	6.800,	''),
(6321,	2129,	676,	1,	3,	3,	7226,	12.600,	0.00,	0.000,	6.300,	''),
(6322,	2129,	1251,	1,	4,	3,	7225,	0.500,	5.00,	0.025,	0.525,	''),
(6323,	2120,	152,	3,	1,	3,	7221,	1.100,	0.00,	0.000,	3.300,	''),
(6324,	2120,	676,	1,	3,	3,	7222,	12.600,	0.00,	0.000,	6.300,	''),
(6325,	2120,	1071,	1,	3,	3,	7223,	2.800,	0.00,	0.000,	2.800,	''),
(6326,	2120,	1351,	1,	3,	20,	7220,	6.800,	0.00,	0.000,	6.800,	''),
(6327,	2120,	1563,	4,	6,	3,	7224,	0.800,	0.00,	0.000,	3.200,	''),
(6328,	2132,	753,	1,	3,	5,	7243,	4.000,	0.00,	0.000,	4.000,	''),
(6329,	2132,	766,	1,	3,	3,	7244,	2.300,	0.00,	0.000,	2.300,	''),
(6330,	2049,	1127,	1,	3,	3,	6972,	2.500,	0.00,	0.000,	2.500,	''),
(6331,	2133,	682,	1,	3,	3,	7246,	10.600,	0.00,	0.000,	5.300,	''),
(6332,	2131,	1563,	1,	6,	110,	7245,	0.800,	0.00,	0.000,	0.800,	''),
(6345,	2145,	57,	1,	3,	13,	7278,	9.200,	0.00,	0.000,	9.200,	''),
(6346,	2145,	73,	1,	3,	9,	7277,	10.400,	0.00,	0.000,	10.400,	''),
(6347,	2145,	123,	1,	3,	3,	7282,	20.800,	0.00,	0.000,	20.800,	''),
(6348,	2145,	528,	2,	3,	3,	7281,	2.500,	0.00,	0.000,	5.000,	''),
(6349,	2145,	682,	1,	3,	3,	7275,	10.500,	0.00,	0.000,	10.500,	''),
(6350,	2145,	753,	10,	63,	3,	7272,	1.600,	0.00,	0.000,	16.000,	''),
(6351,	2145,	766,	2,	3,	3,	7273,	2.200,	0.00,	0.000,	4.400,	''),
(6352,	2145,	799,	2,	3,	38,	7271,	3.700,	0.00,	0.000,	7.400,	''),
(6353,	2145,	1138,	10,	3,	3,	7280,	2.000,	0.00,	0.000,	20.000,	''),
(6354,	2145,	1166,	10,	3,	3,	7279,	2.600,	0.00,	0.000,	26.000,	''),
(6355,	2145,	1344,	10,	3,	29,	7274,	2.200,	0.00,	0.000,	22.000,	''),
(6356,	2145,	1514,	1,	3,	3,	7283,	7.500,	0.00,	0.000,	7.500,	''),
(6357,	2145,	1526,	1,	3,	3,	7284,	7.000,	0.00,	0.000,	7.000,	''),
(6358,	2145,	1626,	5,	3,	71,	7276,	2.000,	0.00,	0.000,	10.000,	''),
(6373,	2134,	1425,	6,	1,	3,	7249,	1.900,	0.00,	0.000,	11.400,	''),
(6374,	2159,	170,	1,	3,	3,	7322,	6.300,	0.00,	0.000,	6.300,	''),
(6375,	2159,	528,	1,	3,	3,	7320,	2.600,	0.00,	0.000,	2.600,	''),
(6376,	2159,	1344,	1,	3,	25,	7321,	3.600,	0.00,	0.000,	3.600,	''),
(6377,	2137,	1587,	30,	3,	3,	7253,	5.200,	0.00,	0.000,	156.000,	''),
(6378,	2138,	1124,	1,	3,	3,	7254,	2.800,	0.00,	0.000,	2.800,	''),
(6379,	2139,	1344,	2,	3,	20,	7255,	3.600,	0.00,	0.000,	7.200,	''),
(6380,	2140,	31,	2,	7,	15,	7257,	2.200,	0.00,	0.000,	4.400,	''),
(6381,	2140,	168,	2,	3,	3,	7256,	2.200,	0.00,	0.000,	4.400,	''),
(6382,	2140,	848,	1,	10,	3,	7259,	3.500,	0.00,	0.000,	3.500,	''),
(6383,	2140,	932,	1,	3,	79,	7260,	2.000,	0.00,	0.000,	2.000,	''),
(6384,	2140,	1138,	1,	3,	3,	7261,	2.200,	0.00,	0.000,	2.200,	''),
(6385,	2140,	1138,	2,	3,	3,	7262,	2.200,	0.00,	0.000,	4.400,	''),
(6386,	2140,	1367,	1,	3,	20,	7258,	6.800,	0.00,	0.000,	6.800,	''),
(6387,	2141,	848,	1,	3,	3,	7263,	3.500,	0.00,	0.000,	3.500,	''),
(6388,	2142,	753,	2,	63,	3,	7266,	2.100,	0.00,	0.000,	4.200,	''),
(6389,	2142,	1312,	1,	63,	84,	7265,	2.800,	0.00,	0.000,	2.800,	''),
(6390,	2142,	1659,	2,	63,	2,	7264,	4.200,	0.00,	0.000,	8.400,	''),
(6391,	2143,	528,	1,	3,	3,	7268,	2.500,	0.00,	0.000,	2.500,	''),
(6392,	2143,	676,	1,	3,	3,	7269,	12.600,	0.00,	0.000,	12.600,	''),
(6393,	2143,	766,	1,	3,	3,	7267,	2.300,	0.00,	0.000,	2.300,	''),
(6394,	2144,	682,	1,	3,	3,	7270,	10.500,	0.00,	0.000,	10.500,	''),
(6395,	2146,	528,	1,	3,	4,	7285,	2.500,	0.00,	0.000,	2.500,	''),
(6396,	2146,	753,	1,	63,	3,	7286,	2.100,	0.00,	0.000,	2.100,	''),
(6397,	2147,	682,	1,	3,	3,	7287,	10.500,	0.00,	0.000,	10.500,	''),
(6398,	2148,	676,	1,	3,	3,	7288,	12.600,	0.00,	0.000,	6.300,	''),
(6399,	2149,	1251,	4,	4,	3,	7290,	0.500,	5.00,	0.100,	2.100,	''),
(6400,	2150,	766,	1,	3,	3,	7292,	2.300,	0.00,	0.000,	2.300,	''),
(6401,	2150,	1071,	1,	3,	3,	7291,	2.800,	0.00,	0.000,	2.800,	''),
(6402,	2150,	1344,	1,	3,	20,	7293,	3.600,	0.00,	0.000,	3.600,	''),
(6403,	2151,	45,	1,	3,	7,	7295,	3.900,	0.00,	0.000,	3.900,	''),
(6404,	2151,	1390,	6,	1,	3,	7294,	0.500,	5.00,	0.138,	2.888,	''),
(6405,	2152,	170,	2,	3,	3,	7297,	6.300,	0.00,	0.000,	12.600,	''),
(6406,	2152,	1138,	4,	3,	3,	7299,	2.000,	0.00,	0.000,	8.000,	''),
(6407,	2152,	1179,	4,	3,	3,	7298,	2.600,	0.00,	0.000,	10.400,	''),
(6408,	2152,	1526,	1,	3,	3,	7296,	7.200,	0.00,	0.000,	7.200,	''),
(6409,	2154,	1353,	6,	3,	3,	7305,	4.900,	0.00,	0.000,	29.400,	''),
(6410,	2155,	528,	4,	3,	3,	7306,	2.500,	0.00,	0.000,	10.000,	''),
(6411,	2156,	753,	1,	63,	3,	7310,	2.000,	0.00,	0.000,	2.000,	''),
(6412,	2156,	766,	1,	3,	3,	7311,	2.300,	0.00,	0.000,	2.300,	''),
(6413,	2156,	1179,	1,	3,	3,	7307,	2.700,	0.00,	0.000,	2.700,	''),
(6414,	2156,	1344,	1,	3,	20,	7309,	3.600,	0.00,	0.000,	3.600,	''),
(6415,	2156,	1344,	1,	3,	29,	7308,	2.400,	0.00,	0.000,	2.400,	''),
(6416,	2157,	423,	1,	3,	3,	7312,	1.900,	0.00,	0.000,	1.900,	''),
(6417,	2157,	1127,	1,	3,	3,	7316,	2.500,	0.00,	0.000,	2.500,	''),
(6418,	2157,	1131,	1,	3,	6,	7315,	3.500,	0.00,	0.000,	3.500,	''),
(6419,	2157,	1353,	1,	3,	3,	7314,	5.000,	0.00,	0.000,	5.000,	''),
(6420,	2157,	1626,	2,	3,	71,	7313,	2.200,	0.00,	0.000,	4.400,	''),
(6421,	2158,	551,	1,	63,	3,	7318,	4.000,	5.00,	0.200,	4.200,	''),
(6422,	2158,	753,	1,	63,	3,	7319,	1.800,	0.00,	0.000,	1.800,	'second ll'),
(6423,	2158,	1978,	1,	63,	3,	7317,	2.200,	5.00,	0.110,	2.310,	''),
(6424,	2160,	152,	2,	1,	3,	7323,	1.200,	0.00,	0.000,	2.400,	''),
(6425,	2160,	682,	1,	3,	3,	7325,	10.500,	0.00,	0.000,	10.500,	''),
(6426,	2160,	753,	1,	63,	3,	7324,	1.700,	0.00,	0.000,	1.700,	''),
(6427,	2161,	932,	1,	3,	24,	7326,	5.800,	0.00,	0.000,	5.800,	''),
(6428,	2162,	551,	1,	63,	3,	7327,	3.900,	5.00,	0.195,	4.095,	''),
(6429,	2163,	57,	1,	7,	15,	7331,	1.900,	0.00,	0.000,	1.900,	''),
(6430,	2163,	152,	3,	1,	3,	7328,	1.100,	0.00,	0.000,	3.300,	''),
(6431,	2163,	676,	1,	3,	3,	7330,	12.600,	0.00,	0.000,	6.300,	''),
(6432,	2163,	1138,	1,	3,	3,	7332,	2.200,	0.00,	0.000,	2.200,	''),
(6433,	2163,	1563,	2,	6,	111,	7329,	0.900,	0.00,	0.000,	1.800,	''),
(6434,	2164,	420,	1,	3,	3,	7333,	1.700,	0.00,	0.000,	1.700,	''),
(6435,	2165,	932,	4,	6,	48,	7334,	0.500,	0.00,	0.000,	2.000,	''),
(6436,	2166,	1071,	1,	3,	3,	7335,	3.000,	0.00,	0.000,	3.000,	''),
(6437,	2167,	57,	1,	3,	13,	7348,	9.000,	0.00,	0.000,	9.000,	''),
(6438,	2167,	73,	1,	3,	9,	7349,	10.200,	0.00,	0.000,	10.200,	''),
(6439,	2167,	420,	5,	3,	3,	7336,	1.700,	0.00,	0.000,	8.500,	''),
(6440,	2167,	693,	1,	3,	3,	7340,	16.200,	0.00,	0.000,	16.200,	''),
(6441,	2167,	753,	5,	63,	3,	7339,	1.700,	0.00,	0.000,	8.500,	''),
(6442,	2167,	766,	1,	3,	3,	7337,	2.300,	0.00,	0.000,	2.300,	''),
(6443,	2167,	799,	4,	3,	3,	7344,	3.800,	0.00,	0.000,	15.200,	''),
(6444,	2167,	799,	10,	3,	22,	7345,	1.450,	0.00,	0.000,	14.500,	''),
(6445,	2167,	932,	1,	3,	24,	7342,	5.500,	0.00,	0.000,	5.500,	''),
(6446,	2167,	1071,	5,	3,	3,	7338,	2.800,	0.00,	0.000,	14.000,	''),
(6447,	2167,	1127,	10,	3,	3,	7343,	2.500,	0.00,	0.000,	25.000,	''),
(6448,	2167,	1514,	1,	3,	3,	7347,	7.600,	0.00,	0.000,	7.600,	''),
(6449,	2167,	1531,	1,	3,	3,	7346,	5.900,	0.00,	0.000,	5.900,	''),
(6450,	2167,	1587,	2,	3,	3,	7341,	5.200,	0.00,	0.000,	10.400,	''),
(6451,	2168,	753,	2,	63,	3,	7353,	1.600,	0.00,	0.000,	3.200,	''),
(6452,	2168,	766,	3,	3,	3,	7354,	2.300,	0.00,	0.000,	6.900,	''),
(6453,	2168,	1071,	1,	3,	3,	7355,	2.900,	0.00,	0.000,	2.900,	''),
(6454,	2169,	33,	10,	3,	4,	7356,	1.200,	0.00,	0.000,	12.000,	''),
(6455,	2170,	57,	1,	7,	14,	7374,	1.800,	0.00,	0.000,	1.800,	''),
(6456,	2170,	152,	10,	1,	3,	7375,	1.080,	0.00,	0.000,	10.800,	''),
(6457,	2170,	178,	5,	1,	3,	7376,	1.100,	0.00,	0.000,	5.170,	''),
(6458,	2170,	765,	3,	1,	3,	7377,	1.600,	0.00,	0.000,	4.800,	''),
(6459,	2170,	799,	1,	3,	3,	7378,	3.700,	0.00,	0.000,	3.700,	''),
(6460,	2170,	1080,	1,	3,	3,	7379,	3.200,	0.00,	0.000,	3.200,	''),
(6461,	2170,	1179,	3,	3,	3,	7380,	2.700,	0.00,	0.000,	8.100,	''),
(6462,	2170,	1344,	1,	3,	20,	7381,	3.700,	0.00,	0.000,	3.700,	''),
(6463,	2170,	1353,	1,	3,	3,	7382,	4.900,	0.00,	0.000,	4.900,	''),
(6464,	2170,	1514,	2,	7,	3,	7383,	2.100,	0.00,	0.000,	4.200,	''),
(6465,	2170,	1565,	5,	1,	3,	7373,	1.300,	0.00,	0.000,	6.110,	''),
(6466,	2170,	1726,	1,	3,	3,	7384,	3.500,	0.00,	0.000,	3.500,	''),
(6467,	2170,	1843,	3,	1,	3,	7385,	1.400,	5.00,	0.210,	4.410,	''),
(6468,	2171,	932,	1,	3,	24,	7369,	5.400,	0.00,	0.000,	5.400,	''),
(6469,	2172,	152,	5,	1,	3,	7370,	1.100,	0.00,	0.000,	5.500,	''),
(6470,	2173,	152,	2,	1,	3,	7371,	1.100,	0.00,	0.000,	2.200,	''),
(6471,	2174,	1353,	1,	3,	3,	7372,	5.200,	0.00,	0.000,	5.200,	''),
(6472,	2175,	65,	1,	3,	13,	7390,	11.500,	0.00,	0.000,	11.500,	''),
(6473,	2175,	528,	1,	3,	3,	7392,	2.500,	0.00,	0.000,	2.500,	''),
(6474,	2175,	676,	1,	3,	3,	7395,	12.500,	0.00,	0.000,	6.250,	''),
(6475,	2175,	791,	1,	3,	3,	7388,	12.000,	0.00,	0.000,	12.000,	''),
(6476,	2175,	932,	1,	3,	24,	7391,	5.800,	0.00,	0.000,	5.800,	''),
(6477,	2175,	932,	1,	3,	79,	7389,	2.000,	0.00,	0.000,	2.000,	''),
(6478,	2175,	992,	1,	3,	3,	7387,	1.800,	0.00,	0.000,	1.800,	''),
(6479,	2175,	1356,	1,	3,	7,	7386,	5.200,	0.00,	0.000,	5.200,	''),
(6480,	2175,	1565,	13,	1,	3,	7394,	1.600,	0.00,	0.000,	20.800,	''),
(6481,	2175,	1864,	1,	3,	3,	7393,	1.000,	0.00,	0.000,	1.000,	''),
(6482,	2176,	152,	10,	1,	3,	7396,	1.080,	0.00,	0.000,	10.800,	''),
(6483,	2176,	528,	5,	3,	3,	7397,	2.500,	0.00,	0.000,	12.500,	''),
(6484,	2177,	766,	1,	3,	3,	7415,	2.300,	0.00,	0.000,	2.300,	''),
(6485,	2177,	932,	1,	3,	22,	7416,	2.000,	0.00,	0.000,	2.000,	''),
(6486,	2177,	1179,	3,	3,	3,	7417,	2.700,	0.00,	0.000,	8.100,	''),
(6487,	2177,	1353,	1,	3,	3,	7418,	5.200,	0.00,	0.000,	5.200,	''),
(6488,	2178,	1251,	10,	3,	3,	7403,	3.600,	5.00,	1.800,	37.800,	''),
(6489,	2179,	528,	5,	3,	3,	7404,	2.500,	0.00,	0.000,	12.500,	''),
(6490,	2180,	45,	1,	3,	3,	7407,	2.400,	0.00,	0.000,	2.400,	''),
(6491,	2180,	753,	1,	63,	3,	7413,	1.600,	0.00,	0.000,	1.600,	''),
(6492,	2180,	848,	1,	3,	3,	7410,	4.000,	0.00,	0.000,	4.000,	''),
(6493,	2180,	1071,	1,	3,	3,	7412,	2.800,	0.00,	0.000,	2.800,	''),
(6494,	2180,	1131,	1,	3,	3,	7409,	2.400,	0.00,	0.000,	2.400,	''),
(6495,	2180,	1312,	1,	63,	55,	7406,	1.200,	0.00,	0.000,	1.200,	''),
(6496,	2180,	1344,	1,	3,	29,	7408,	2.400,	0.00,	0.000,	2.400,	''),
(6497,	2180,	1659,	1,	63,	3,	7405,	0.800,	0.00,	0.000,	0.800,	''),
(6498,	2180,	1766,	1,	3,	3,	7411,	0.800,	0.00,	0.000,	0.800,	''),
(6499,	2181,	752,	1,	4,	3,	7414,	3.800,	0.00,	0.000,	3.800,	''),
(6500,	2182,	1563,	1,	3,	111,	7419,	6.200,	0.00,	0.000,	6.200,	''),
(6501,	2183,	420,	1,	3,	3,	7420,	1.700,	0.00,	0.000,	1.700,	''),
(6502,	2184,	1353,	2,	3,	3,	7421,	5.000,	0.00,	0.000,	10.000,	''),
(6503,	2185,	682,	1,	3,	3,	7423,	10.600,	0.00,	0.000,	5.300,	''),
(6504,	2185,	753,	1,	63,	3,	7422,	1.900,	0.00,	0.000,	1.900,	''),
(6505,	2186,	420,	3,	3,	3,	7431,	1.600,	0.00,	0.000,	4.800,	''),
(6506,	2186,	528,	1,	3,	3,	7425,	2.500,	0.00,	0.000,	2.500,	''),
(6507,	2186,	663,	1,	3,	3,	7428,	10.500,	0.00,	0.000,	5.250,	''),
(6508,	2186,	753,	4,	3,	3,	7426,	1.600,	0.00,	0.000,	6.400,	''),
(6509,	2186,	766,	1,	3,	3,	7429,	2.300,	0.00,	0.000,	2.300,	''),
(6510,	2186,	932,	1,	3,	24,	7430,	5.400,	0.00,	0.000,	5.400,	''),
(6511,	2186,	1127,	7,	3,	3,	7427,	2.500,	0.00,	0.000,	17.500,	''),
(6512,	2186,	1587,	1,	3,	3,	7424,	5.200,	0.00,	0.000,	5.200,	''),
(6513,	2187,	932,	1,	3,	79,	7432,	2.400,	0.00,	0.000,	2.400,	''),
(6514,	2187,	1353,	2,	3,	3,	7433,	5.200,	0.00,	0.000,	10.400,	''),
(6516,	2188,	551,	1,	63,	3,	7434,	3.800,	5.00,	0.190,	3.990,	''),
(6517,	2189,	170,	4,	3,	3,	7448,	6.300,	0.00,	0.000,	25.200,	''),
(6518,	2189,	285,	3,	4,	3,	7435,	1.900,	0.00,	0.000,	5.700,	''),
(6519,	2189,	420,	5,	3,	3,	7441,	1.700,	0.00,	0.000,	8.500,	''),
(6520,	2189,	528,	3,	3,	3,	7446,	2.500,	0.00,	0.000,	7.500,	''),
(6521,	2189,	693,	1,	3,	3,	7438,	16.000,	0.00,	0.000,	16.000,	''),
(6522,	2189,	753,	1,	3,	5,	7445,	4.200,	0.00,	0.000,	4.200,	''),
(6523,	2189,	753,	3,	63,	3,	7444,	1.700,	0.00,	0.000,	5.100,	''),
(6524,	2189,	766,	2,	3,	3,	7440,	2.300,	0.00,	0.000,	4.600,	''),
(6525,	2189,	799,	2,	3,	3,	7437,	3.700,	0.00,	0.000,	7.400,	''),
(6526,	2189,	1071,	3,	3,	3,	7442,	2.800,	0.00,	0.000,	8.400,	''),
(6527,	2189,	1127,	2,	3,	3,	7447,	2.500,	0.00,	0.000,	5.000,	''),
(6528,	2189,	1344,	2,	3,	25,	7443,	3.600,	0.00,	0.000,	7.200,	''),
(6529,	2189,	1626,	3,	3,	71,	7436,	2.100,	0.00,	0.000,	6.300,	''),
(6530,	2189,	1839,	2,	63,	3,	7439,	1.900,	5.00,	0.190,	3.990,	''),
(6531,	2190,	753,	1,	3,	39,	7449,	4.400,	0.00,	0.000,	4.400,	''),
(6532,	2191,	803,	2,	3,	2,	7450,	7.800,	0.00,	0.000,	15.600,	''),
(6533,	2192,	808,	3,	3,	2,	7451,	12.800,	0.00,	0.000,	38.400,	''),
(6534,	2193,	1344,	15,	3,	29,	7452,	2.300,	0.00,	0.000,	34.500,	''),
(6535,	2194,	33,	80,	3,	4,	7455,	1.200,	0.00,	0.000,	96.000,	''),
(6536,	2194,	65,	6,	3,	13,	7458,	11.200,	0.00,	0.000,	67.200,	''),
(6537,	2194,	170,	10,	3,	3,	7454,	6.300,	0.00,	0.000,	63.000,	''),
(6538,	2194,	420,	5,	3,	3,	7457,	1.600,	0.00,	0.000,	8.000,	''),
(6539,	2194,	423,	10,	3,	3,	7453,	1.800,	0.00,	0.000,	18.000,	''),
(6540,	2194,	1587,	5,	3,	3,	7456,	5.200,	0.00,	0.000,	26.000,	''),
(6541,	2195,	766,	1,	3,	3,	7463,	2.300,	0.00,	0.000,	2.300,	''),
(6542,	2196,	808,	10,	3,	2,	7464,	12.800,	0.00,	0.000,	128.000,	''),
(6543,	2197,	528,	1,	3,	3,	7465,	2.500,	0.00,	0.000,	2.500,	''),
(6544,	2197,	753,	2,	63,	3,	7467,	2.600,	0.00,	0.000,	5.200,	''),
(6545,	2197,	766,	2,	3,	3,	7466,	2.300,	0.00,	0.000,	4.600,	''),
(6546,	2198,	551,	2,	63,	3,	7470,	3.900,	5.00,	0.390,	8.190,	''),
(6547,	2198,	753,	1,	63,	3,	7469,	1.800,	0.00,	0.000,	1.800,	''),
(6548,	2198,	766,	2,	3,	3,	7468,	2.300,	0.00,	0.000,	4.600,	''),
(6549,	2199,	168,	5,	3,	3,	7474,	2.300,	0.00,	0.000,	11.500,	''),
(6550,	2199,	170,	1,	3,	3,	7476,	6.400,	0.00,	0.000,	6.400,	''),
(6551,	2199,	799,	2,	3,	3,	7478,	3.800,	0.00,	0.000,	7.600,	''),
(6552,	2199,	807,	2,	3,	3,	7477,	14.200,	0.00,	0.000,	28.400,	''),
(6553,	2199,	1066,	1,	3,	3,	7473,	3.200,	0.00,	0.000,	3.200,	''),
(6554,	2199,	1071,	1,	3,	3,	7472,	2.800,	0.00,	0.000,	2.800,	''),
(6555,	2199,	1622,	5,	3,	3,	7471,	4.800,	0.00,	0.000,	24.000,	''),
(6556,	2199,	1626,	5,	3,	71,	7475,	2.200,	0.00,	0.000,	11.000,	''),
(6557,	2200,	933,	10,	7,	3,	7479,	3.900,	0.00,	0.000,	39.000,	''),
(6558,	2201,	48,	2,	3,	9,	7480,	15.300,	0.00,	0.000,	30.600,	''),
(6559,	2202,	753,	1,	63,	3,	7481,	1.800,	0.00,	0.000,	1.800,	''),
(6560,	2202,	766,	1,	3,	3,	7482,	2.300,	0.00,	0.000,	2.300,	''),
(6561,	2203,	753,	10,	63,	3,	7484,	1.700,	0.00,	0.000,	17.000,	''),
(6562,	2203,	766,	4,	3,	3,	7483,	2.300,	0.00,	0.000,	9.200,	''),
(6563,	2204,	1390,	5,	1,	3,	7487,	0.500,	5.00,	0.125,	2.625,	''),
(6564,	2205,	528,	1,	3,	3,	7488,	2.400,	0.00,	0.000,	2.400,	''),
(6594,	2250,	250,	1,	3,	3,	7608,	1.100,	0.00,	0.000,	1.100,	''),
(6595,	2250,	1344,	1,	3,	20,	7610,	3.600,	0.00,	0.000,	3.600,	''),
(6596,	2250,	1425,	1,	1,	3,	7607,	1.900,	0.00,	0.000,	1.900,	''),
(6597,	2250,	1486,	1,	7,	3,	7609,	2.400,	0.00,	0.000,	2.400,	''),
(6598,	2206,	799,	1,	3,	5,	7490,	5.900,	0.00,	0.000,	5.900,	''),
(6599,	2206,	848,	1,	3,	5,	7489,	5.900,	0.00,	0.000,	5.900,	''),
(6600,	2206,	1179,	3,	3,	3,	7493,	2.700,	0.00,	0.000,	8.100,	''),
(6601,	2206,	1390,	5,	1,	3,	7491,	0.550,	5.00,	0.124,	2.599,	''),
(6602,	2206,	1622,	1,	3,	3,	7492,	4.800,	0.00,	0.000,	4.800,	''),
(6603,	2207,	307,	3,	1,	3,	7495,	1.300,	0.00,	0.000,	3.380,	''),
(6604,	2207,	420,	1,	3,	3,	7496,	1.800,	0.00,	0.000,	1.800,	''),
(6605,	2207,	753,	1,	63,	3,	7497,	1.800,	0.00,	0.000,	1.800,	''),
(6606,	2207,	766,	1,	3,	3,	7498,	2.300,	0.00,	0.000,	2.300,	''),
(6607,	2207,	1044,	2,	1,	3,	7494,	0.800,	0.00,	0.000,	1.200,	''),
(6608,	2208,	753,	2,	3,	39,	7500,	4.200,	0.00,	0.000,	8.400,	''),
(6609,	2208,	1066,	1,	3,	3,	7499,	3.200,	0.00,	0.000,	3.200,	''),
(6610,	2209,	1514,	60,	3,	3,	7501,	7.500,	0.00,	0.000,	450.000,	''),
(6611,	2210,	1365,	2,	3,	3,	7502,	3.000,	0.00,	0.000,	6.000,	''),
(6612,	2211,	1526,	1,	3,	3,	7503,	7.200,	0.00,	0.000,	7.200,	''),
(6613,	2212,	528,	1,	3,	3,	7505,	2.500,	0.00,	0.000,	2.500,	''),
(6614,	2212,	676,	1,	3,	3,	7506,	12.600,	0.00,	0.000,	12.600,	''),
(6615,	2212,	1071,	1,	3,	3,	7504,	2.800,	0.00,	0.000,	2.800,	''),
(6616,	2213,	1649,	3,	63,	2,	7507,	4.200,	0.00,	0.000,	12.600,	''),
(6617,	2214,	752,	1,	3,	23,	7508,	14.200,	0.00,	0.000,	14.200,	''),
(6618,	2215,	551,	8,	6,	3,	7510,	0.200,	5.00,	0.080,	1.680,	''),
(6619,	2215,	753,	1,	63,	3,	7513,	1.900,	0.00,	0.000,	1.900,	''),
(6620,	2215,	767,	3,	1,	3,	7511,	1.400,	0.00,	0.000,	3.500,	''),
(6621,	2215,	848,	1,	3,	3,	7515,	4.200,	0.00,	0.000,	4.200,	''),
(6622,	2215,	1179,	2,	3,	3,	7514,	2.800,	0.00,	0.000,	5.600,	''),
(6623,	2215,	1390,	3,	1,	3,	7509,	0.600,	5.00,	0.087,	1.827,	''),
(6624,	2215,	1626,	1,	3,	111,	7512,	2.200,	0.00,	0.000,	2.200,	''),
(6625,	2216,	753,	20,	63,	3,	7517,	1.600,	0.00,	0.000,	32.000,	'second 4kg'),
(6626,	2216,	766,	2,	3,	3,	7516,	2.300,	0.00,	0.000,	4.600,	''),
(6627,	2217,	992,	1,	3,	3,	7519,	1.500,	0.00,	0.000,	1.500,	''),
(6628,	2217,	1044,	1,	3,	3,	7518,	2.000,	0.00,	0.000,	2.000,	''),
(6629,	2218,	528,	1,	63,	3,	7520,	2.500,	0.00,	0.000,	2.500,	''),
(6630,	2219,	170,	1,	3,	3,	7523,	6.400,	0.00,	0.000,	6.400,	''),
(6631,	2220,	1131,	4,	3,	6,	7524,	3.500,	0.00,	0.000,	12.250,	''),
(6632,	2221,	420,	8,	3,	3,	7528,	1.700,	0.00,	0.000,	13.600,	''),
(6633,	2221,	753,	8,	3,	5,	7526,	4.300,	0.00,	0.000,	34.400,	''),
(6634,	2221,	969,	1,	3,	3,	7527,	5.900,	0.00,	0.000,	5.900,	''),
(6635,	2221,	992,	4,	3,	3,	7530,	1.500,	0.00,	0.000,	6.000,	''),
(6636,	2221,	1071,	8,	3,	3,	7529,	2.800,	0.00,	0.000,	22.400,	''),
(6637,	2221,	1514,	1,	3,	3,	7525,	7.800,	0.00,	0.000,	7.800,	''),
(6638,	2222,	1626,	1,	3,	71,	7531,	2.200,	0.00,	0.000,	2.200,	''),
(6639,	2223,	932,	2,	6,	48,	7532,	0.600,	0.00,	0.000,	1.200,	''),
(6640,	2224,	178,	2,	3,	3,	7534,	10.800,	0.00,	0.000,	21.600,	''),
(6641,	2224,	279,	1,	3,	3,	7539,	4.300,	0.00,	0.000,	4.300,	''),
(6642,	2224,	528,	1,	3,	3,	7533,	2.500,	0.00,	0.000,	2.500,	''),
(6643,	2224,	766,	3,	3,	3,	7536,	2.300,	0.00,	0.000,	6.900,	''),
(6644,	2224,	792,	1,	3,	3,	7537,	14.200,	0.00,	0.000,	14.200,	''),
(6645,	2224,	799,	1,	3,	3,	7541,	3.700,	0.00,	0.000,	3.700,	''),
(6646,	2224,	848,	1,	3,	5,	7538,	5.900,	0.00,	0.000,	5.900,	''),
(6647,	2224,	933,	1,	7,	3,	7540,	3.800,	0.00,	0.000,	3.800,	''),
(6648,	2224,	1390,	8,	1,	3,	7535,	0.500,	5.00,	0.188,	3.938,	''),
(6649,	2224,	1622,	2,	3,	3,	7542,	4.800,	0.00,	0.000,	9.600,	''),
(6650,	2225,	766,	2,	3,	3,	7543,	2.300,	0.00,	0.000,	4.600,	''),
(6651,	2226,	45,	1,	3,	22,	7545,	1.300,	0.00,	0.000,	1.300,	''),
(6652,	2226,	1131,	1,	3,	6,	7544,	3.500,	0.00,	0.000,	3.500,	''),
(6653,	2227,	1735,	3,	3,	3,	7546,	2.200,	0.00,	0.000,	6.600,	''),
(6654,	2228,	753,	1,	63,	3,	7547,	1.800,	0.00,	0.000,	1.800,	''),
(6655,	2228,	766,	1,	3,	3,	7548,	2.300,	0.00,	0.000,	2.300,	''),
(6656,	2229,	170,	1,	3,	3,	7555,	6.300,	0.00,	0.000,	6.300,	''),
(6657,	2229,	799,	1,	3,	5,	7554,	5.900,	0.00,	0.000,	5.900,	''),
(6658,	2229,	848,	1,	3,	5,	7553,	5.900,	0.00,	0.000,	5.900,	''),
(6659,	2229,	1138,	1,	3,	3,	7550,	2.100,	0.00,	0.000,	2.100,	''),
(6660,	2229,	1179,	2,	3,	3,	7549,	2.700,	0.00,	0.000,	5.400,	''),
(6661,	2229,	1353,	2,	3,	3,	7552,	5.200,	0.00,	0.000,	10.400,	''),
(6662,	2229,	1526,	1,	3,	3,	7551,	7.500,	0.00,	0.000,	7.500,	''),
(6663,	2230,	992,	1,	3,	3,	7556,	1.400,	0.00,	0.000,	1.400,	''),
(6664,	2231,	1626,	2,	3,	71,	7557,	2.300,	0.00,	0.000,	4.600,	''),
(6665,	2232,	758,	1,	63,	3,	7559,	2.500,	0.00,	0.000,	2.500,	''),
(6666,	2232,	1071,	1,	3,	3,	7558,	3.000,	0.00,	0.000,	3.000,	''),
(6667,	2233,	152,	1,	1,	3,	7603,	1.100,	0.00,	0.000,	1.100,	''),
(6668,	2233,	1336,	1,	3,	29,	7604,	2.300,	0.00,	0.000,	2.300,	''),
(6669,	2233,	1626,	1,	3,	105,	7605,	2.200,	0.00,	0.000,	2.200,	''),
(6670,	2233,	1647,	1,	63,	3,	7606,	0.850,	0.00,	0.000,	0.850,	''),
(6671,	2234,	758,	1,	63,	3,	7565,	2.600,	0.00,	0.000,	2.600,	''),
(6672,	2235,	1078,	1,	4,	3,	7567,	1.900,	0.00,	0.000,	1.900,	''),
(6673,	2235,	1201,	1,	3,	3,	7566,	3.800,	5.00,	0.190,	3.990,	''),
(6674,	2236,	57,	5,	3,	15,	7571,	9.000,	0.00,	0.000,	45.000,	''),
(6675,	2236,	932,	5,	3,	48,	7568,	4.800,	0.00,	0.000,	24.000,	''),
(6676,	2236,	1514,	1,	3,	2,	7570,	7.500,	0.00,	0.000,	7.500,	''),
(6677,	2236,	1526,	3,	3,	3,	7569,	7.300,	0.00,	0.000,	21.900,	''),
(6678,	2237,	123,	2,	4,	3,	7572,	1.100,	0.00,	0.000,	2.200,	''),
(6679,	2238,	625,	1,	3,	3,	7574,	4.200,	0.00,	0.000,	4.200,	''),
(6680,	2238,	1881,	2,	3,	3,	7573,	1.000,	0.00,	0.000,	2.000,	''),
(6681,	2239,	753,	1,	63,	3,	7575,	1.900,	0.00,	0.000,	1.900,	''),
(6682,	2239,	1138,	2,	3,	3,	7577,	2.000,	0.00,	0.000,	4.000,	''),
(6683,	2239,	1344,	1,	3,	25,	7576,	3.600,	0.00,	0.000,	3.600,	''),
(6684,	2240,	1626,	1,	3,	105,	7578,	2.200,	0.00,	0.000,	2.200,	''),
(6685,	2241,	992,	1,	3,	3,	7579,	1.500,	0.00,	0.000,	1.500,	''),
(6686,	2242,	932,	1,	3,	79,	7581,	2.000,	0.00,	0.000,	2.000,	''),
(6687,	2242,	1425,	1,	1,	3,	7580,	2.000,	0.00,	0.000,	2.000,	''),
(6688,	2243,	420,	1,	3,	3,	7584,	1.900,	0.00,	0.000,	1.900,	''),
(6689,	2243,	753,	1,	63,	3,	7582,	2.000,	0.00,	0.000,	2.000,	''),
(6690,	2243,	1344,	2,	3,	29,	7583,	2.400,	0.00,	0.000,	4.800,	''),
(6691,	2244,	807,	6,	3,	2,	7585,	14.200,	0.00,	0.000,	85.200,	''),
(6692,	2245,	123,	1,	4,	3,	7586,	1.000,	0.00,	0.000,	1.000,	''),
(6693,	2247,	420,	1,	3,	3,	7588,	1.700,	0.00,	0.000,	1.700,	''),
(6694,	2248,	57,	1,	3,	14,	7597,	9.000,	0.00,	0.000,	9.000,	''),
(6695,	2248,	766,	1,	3,	3,	7598,	2.400,	0.00,	0.000,	2.400,	''),
(6696,	2248,	848,	1,	3,	5,	7599,	5.900,	0.00,	0.000,	5.900,	''),
(6697,	2248,	932,	1,	3,	79,	7596,	2.100,	0.00,	0.000,	2.100,	''),
(6698,	2248,	932,	1,	3,	79,	7600,	2.100,	0.00,	0.000,	2.100,	''),
(6699,	2248,	1344,	1,	3,	20,	7601,	3.800,	0.00,	0.000,	3.800,	''),
(6700,	2248,	1514,	1,	3,	3,	7602,	7.800,	0.00,	0.000,	7.800,	''),
(6701,	2249,	1491,	15,	3,	3,	7595,	1.400,	0.00,	0.000,	21.000,	''),
(6702,	2251,	168,	1,	3,	3,	7611,	2.300,	0.00,	0.000,	2.300,	''),
(6703,	2252,	170,	2,	3,	3,	7613,	6.400,	0.00,	0.000,	12.800,	''),
(6704,	2252,	528,	3,	3,	3,	7615,	2.500,	0.00,	0.000,	7.500,	''),
(6705,	2252,	876,	3,	3,	3,	7614,	4.200,	0.00,	0.000,	12.600,	''),
(6706,	2252,	1365,	2,	3,	2,	7612,	3.300,	0.00,	0.000,	6.600,	''),
(6707,	2252,	1622,	3,	3,	3,	7616,	4.800,	0.00,	0.000,	14.400,	''),
(6708,	2253,	753,	1,	3,	3,	7617,	1.600,	0.00,	0.000,	1.600,	''),
(6709,	2246,	76,	1,	7,	10,	7653,	2.200,	0.00,	0.000,	2.200,	''),
(6710,	2246,	1201,	1,	3,	3,	7654,	3.800,	5.00,	0.190,	3.990,	''),
(6711,	2246,	1563,	2,	6,	110,	7651,	0.800,	0.00,	0.000,	1.600,	''),
(6712,	2246,	1622,	1,	3,	3,	7652,	4.800,	0.00,	0.000,	4.800,	''),
(6713,	2153,	57,	1,	3,	15,	7302,	9.200,	0.00,	0.000,	9.200,	''),
(6714,	2153,	76,	1,	3,	15,	7301,	9.500,	0.00,	0.000,	9.500,	''),
(6715,	2153,	420,	2,	3,	3,	7303,	1.700,	0.00,	0.000,	3.400,	''),
(6716,	2153,	528,	1,	3,	3,	7300,	2.500,	0.00,	0.000,	2.500,	''),
(6717,	2153,	1071,	1,	3,	3,	7304,	2.800,	0.00,	0.000,	2.800,	''),
(6718,	2254,	848,	1,	3,	5,	7620,	5.800,	0.00,	0.000,	5.800,	''),
(6719,	2254,	1474,	1,	3,	3,	7618,	6.500,	0.00,	0.000,	6.500,	''),
(6720,	2254,	1587,	1,	3,	3,	7619,	5.200,	0.00,	0.000,	5.200,	''),
(6721,	2255,	76,	1,	7,	14,	7621,	2.200,	0.00,	0.000,	2.200,	''),
(6722,	2256,	799,	2,	4,	5,	7622,	0.600,	0.00,	0.000,	1.200,	''),
(6723,	2256,	1124,	1,	3,	3,	7627,	2.800,	0.00,	0.000,	2.800,	''),
(6724,	2256,	1390,	3,	1,	3,	7624,	0.600,	5.00,	0.084,	1.764,	''),
(6725,	2256,	1565,	2,	1,	3,	7625,	1.300,	0.00,	0.000,	2.600,	''),
(6726,	2256,	1601,	1,	1,	3,	7623,	1.300,	0.00,	0.000,	1.300,	''),
(6727,	2256,	1766,	1,	3,	3,	7626,	1.000,	0.00,	0.000,	1.000,	''),
(6728,	2257,	31,	1,	3,	15,	7629,	9.000,	0.00,	0.000,	9.000,	''),
(6729,	2257,	807,	1,	3,	3,	7631,	14.200,	0.00,	0.000,	14.200,	''),
(6730,	2257,	932,	1,	3,	24,	7632,	5.500,	0.00,	0.000,	5.500,	''),
(6731,	2257,	1312,	1,	63,	84,	7628,	2.400,	0.00,	0.000,	2.400,	''),
(6732,	2257,	1365,	3,	3,	2,	7633,	3.200,	0.00,	0.000,	9.600,	''),
(6733,	2257,	1474,	1,	3,	3,	7630,	6.500,	0.00,	0.000,	6.500,	''),
(6734,	2258,	932,	1,	3,	24,	7634,	5.400,	0.00,	0.000,	5.400,	''),
(6735,	2259,	168,	2,	3,	3,	7635,	2.300,	0.00,	0.000,	4.600,	''),
(6736,	2260,	170,	1,	3,	3,	7636,	6.300,	0.00,	0.000,	6.300,	''),
(6737,	2260,	528,	1,	3,	3,	7637,	2.000,	0.00,	0.000,	2.000,	''),
(6738,	2261,	676,	1,	3,	3,	7641,	12.500,	0.00,	0.000,	6.250,	''),
(6739,	2261,	753,	1,	3,	3,	7638,	1.700,	0.00,	0.000,	1.700,	''),
(6740,	2261,	1131,	2,	3,	3,	7642,	2.600,	0.00,	0.000,	5.200,	''),
(6741,	2261,	1470,	1,	7,	3,	7640,	2.400,	0.00,	0.000,	2.400,	''),
(6742,	2261,	1563,	3,	6,	110,	7639,	0.800,	0.00,	0.000,	2.400,	''),
(6743,	2262,	275,	3,	4,	5,	7662,	0.500,	0.00,	0.000,	1.500,	''),
(6744,	2262,	753,	1,	63,	3,	7663,	1.700,	0.00,	0.000,	1.700,	''),
(6745,	2262,	932,	1,	3,	79,	7664,	2.600,	0.00,	0.000,	2.600,	''),
(6746,	2262,	1166,	2,	3,	3,	7665,	2.600,	0.00,	0.000,	5.200,	''),
(6747,	2262,	1425,	1,	1,	3,	7666,	2.000,	0.00,	0.000,	2.000,	''),
(6748,	2262,	1565,	2,	1,	3,	7667,	1.300,	0.00,	0.000,	2.340,	''),
(6749,	2263,	76,	1,	7,	14,	7648,	2.200,	0.00,	0.000,	2.200,	''),
(6750,	2263,	1127,	1,	3,	3,	7650,	2.660,	0.00,	0.000,	2.660,	''),
(6751,	2263,	1336,	1,	3,	29,	7649,	2.500,	0.00,	0.000,	2.500,	''),
(6752,	2264,	45,	1,	3,	22,	7670,	1.200,	0.00,	0.000,	1.200,	''),
(6753,	2264,	1131,	1,	3,	6,	7669,	3.500,	0.00,	0.000,	3.500,	''),
(6754,	2264,	1336,	1,	3,	20,	7671,	3.600,	0.00,	0.000,	3.600,	''),
(6755,	2264,	1491,	1,	3,	3,	7668,	1.400,	0.00,	0.000,	1.400,	''),
(6756,	2265,	31,	1,	3,	15,	7683,	9.000,	0.00,	0.000,	9.000,	''),
(6757,	2265,	170,	1,	3,	3,	7682,	6.300,	0.00,	0.000,	6.300,	''),
(6758,	2265,	876,	1,	3,	3,	7684,	4.000,	0.00,	0.000,	4.000,	''),
(6759,	2265,	1166,	5,	3,	3,	7685,	2.500,	0.00,	0.000,	12.500,	''),
(6760,	2265,	1579,	1,	3,	3,	7686,	4.200,	0.00,	0.000,	4.200,	''),
(6761,	2266,	848,	1,	3,	3,	7676,	1.900,	0.00,	0.000,	1.900,	''),
(6762,	2266,	1336,	1,	3,	29,	7677,	2.200,	0.00,	0.000,	2.200,	''),
(6763,	2267,	766,	1,	3,	3,	7688,	2.300,	0.00,	0.000,	2.300,	''),
(6764,	2267,	1071,	1,	3,	3,	7687,	2.800,	0.00,	0.000,	2.800,	''),
(6765,	2267,	1344,	2,	3,	25,	7690,	3.400,	0.00,	0.000,	6.800,	''),
(6766,	2267,	1563,	3,	3,	110,	7689,	0.700,	0.00,	0.000,	2.100,	''),
(6767,	2268,	1251,	2,	4,	3,	7691,	0.475,	5.00,	0.048,	0.997,	''),
(6768,	2269,	45,	1,	3,	27,	7699,	1.100,	0.00,	0.000,	1.100,	''),
(6769,	2269,	275,	3,	4,	5,	7700,	0.500,	0.00,	0.000,	1.500,	''),
(6770,	2269,	1365,	1,	3,	2,	7698,	3.200,	0.00,	0.000,	3.200,	''),
(6771,	2269,	1565,	2,	1,	3,	7701,	1.300,	0.00,	0.000,	2.080,	''),
(6772,	2283,	57,	4,	3,	14,	7747,	8.900,	0.00,	0.000,	35.600,	''),
(6773,	2283,	73,	2,	3,	9,	7743,	10.200,	0.00,	0.000,	20.400,	''),
(6774,	2283,	76,	2,	3,	14,	7746,	9.500,	0.00,	0.000,	19.000,	''),
(6775,	2283,	170,	5,	3,	3,	7748,	6.300,	0.00,	0.000,	31.500,	''),
(6776,	2283,	420,	5,	3,	3,	7749,	1.600,	0.00,	0.000,	8.000,	''),
(6777,	2283,	528,	1,	3,	3,	7739,	2.500,	0.00,	0.000,	2.500,	''),
(6778,	2283,	676,	1,	3,	3,	7740,	12.500,	0.00,	0.000,	12.500,	''),
(6779,	2283,	753,	1,	3,	5,	7738,	4.300,	0.00,	0.000,	4.300,	''),
(6780,	2283,	753,	5,	63,	3,	7750,	1.600,	0.00,	0.000,	8.000,	'second'),
(6781,	2283,	766,	2,	3,	3,	7752,	2.300,	0.00,	0.000,	4.600,	''),
(6782,	2283,	1127,	25,	3,	3,	7753,	2.400,	0.00,	0.000,	60.000,	''),
(6783,	2283,	1344,	3,	3,	20,	7737,	3.500,	0.00,	0.000,	10.500,	''),
(6784,	2283,	1491,	10,	3,	3,	7742,	1.400,	0.00,	0.000,	14.000,	''),
(6785,	2283,	1526,	3,	3,	3,	7741,	7.300,	0.00,	0.000,	21.900,	''),
(6786,	2283,	1587,	4,	3,	3,	7751,	5.200,	0.00,	0.000,	20.800,	''),
(6787,	2283,	1626,	10,	3,	105,	7745,	2.100,	0.00,	0.000,	21.000,	''),
(6788,	2283,	1766,	10,	3,	3,	7744,	0.800,	0.00,	0.000,	8.000,	''),
(6789,	2284,	753,	3,	63,	3,	7754,	1.600,	0.00,	0.000,	4.800,	''),
(6790,	2285,	676,	1,	3,	3,	7758,	12.600,	0.00,	0.000,	6.300,	''),
(6791,	2285,	766,	2,	3,	3,	7759,	2.300,	0.00,	0.000,	4.600,	''),
(6792,	2285,	799,	1,	3,	38,	7760,	3.700,	0.00,	0.000,	3.700,	''),
(6793,	2286,	275,	1,	3,	3,	7763,	4.800,	0.00,	0.000,	4.800,	''),
(6794,	2286,	753,	1,	63,	2,	7762,	2.600,	0.00,	0.000,	2.600,	''),
(6795,	2286,	753,	4,	63,	3,	7761,	1.700,	0.00,	0.000,	6.800,	''),
(6796,	2286,	858,	2,	3,	3,	7764,	4.500,	0.00,	0.000,	9.000,	''),
(6797,	2286,	1353,	2,	3,	3,	7765,	5.200,	0.00,	0.000,	10.400,	''),
(6798,	2287,	1622,	2,	3,	3,	7766,	4.800,	0.00,	0.000,	9.600,	''),
(6799,	2288,	57,	4,	7,	13,	7785,	2.000,	0.00,	0.000,	8.000,	''),
(6800,	2288,	848,	4,	3,	38,	7786,	4.200,	0.00,	0.000,	16.800,	''),
(6801,	2288,	1514,	1,	3,	3,	7787,	8.000,	0.00,	0.000,	8.000,	''),
(6802,	2289,	1344,	2,	3,	20,	7779,	3.800,	0.00,	0.000,	7.600,	''),
(6803,	2290,	168,	5,	3,	3,	7783,	2.300,	0.00,	0.000,	11.500,	''),
(6804,	2290,	799,	4,	3,	3,	7781,	3.700,	0.00,	0.000,	14.800,	''),
(6805,	2290,	848,	1,	3,	3,	7782,	4.200,	0.00,	0.000,	4.200,	''),
(6806,	2290,	1166,	5,	3,	3,	7784,	2.600,	0.00,	0.000,	13.000,	''),
(6807,	2290,	1498,	1,	3,	3,	7780,	6.600,	0.00,	0.000,	6.600,	''),
(6808,	2291,	528,	1,	3,	3,	7789,	2.500,	0.00,	0.000,	2.500,	''),
(6809,	2291,	682,	2,	3,	3,	7793,	10.600,	0.00,	0.000,	21.200,	''),
(6810,	2291,	753,	1,	3,	3,	7791,	1.700,	0.00,	0.000,	1.700,	''),
(6811,	2291,	766,	1,	3,	3,	7792,	2.300,	0.00,	0.000,	2.300,	''),
(6812,	2291,	1071,	1,	3,	4,	7788,	2.600,	0.00,	0.000,	2.600,	''),
(6813,	2291,	1659,	1,	63,	2,	7790,	3.900,	0.00,	0.000,	3.900,	''),
(6814,	2270,	275,	3,	4,	5,	7703,	0.400,	0.00,	0.000,	1.200,	''),
(6815,	2270,	1131,	1,	3,	6,	7702,	3.800,	0.00,	0.000,	3.800,	''),
(6816,	2270,	1565,	2,	1,	3,	7704,	1.300,	0.00,	0.000,	2.990,	''),
(6817,	2271,	753,	1,	3,	3,	7705,	2.000,	0.00,	0.000,	2.000,	''),
(6818,	2271,	1071,	1,	3,	3,	7706,	3.000,	0.00,	0.000,	3.000,	''),
(6819,	2272,	275,	3,	4,	3,	7707,	0.500,	0.00,	0.000,	1.500,	''),
(6820,	2292,	1587,	1,	3,	3,	7794,	5.200,	0.00,	0.000,	5.200,	''),
(6821,	2293,	170,	1,	3,	3,	7796,	6.300,	0.00,	0.000,	6.300,	''),
(6822,	2293,	420,	2,	3,	3,	7801,	1.700,	0.00,	0.000,	3.400,	''),
(6823,	2293,	528,	1,	3,	3,	7795,	2.500,	0.00,	0.000,	2.500,	''),
(6824,	2293,	676,	1,	3,	3,	7797,	12.600,	0.00,	0.000,	12.600,	''),
(6825,	2293,	753,	1,	3,	5,	7800,	4.700,	0.00,	0.000,	4.700,	''),
(6826,	2293,	766,	2,	3,	3,	7798,	2.300,	0.00,	0.000,	4.600,	''),
(6827,	2293,	1071,	2,	3,	3,	7799,	2.700,	0.00,	0.000,	5.400,	''),
(6828,	2273,	1503,	2,	7,	3,	7708,	2.000,	0.00,	0.000,	4.000,	''),
(6829,	2273,	1576,	1,	3,	3,	7709,	4.200,	0.00,	0.000,	4.200,	''),
(6830,	2274,	1565,	2,	1,	3,	7710,	1.300,	0.00,	0.000,	2.080,	''),
(6831,	2294,	676,	1,	3,	3,	7806,	12.600,	0.00,	0.000,	6.300,	''),
(6832,	2294,	848,	2,	3,	38,	7805,	4.200,	0.00,	0.000,	8.400,	''),
(6833,	2294,	933,	1,	7,	3,	7804,	3.800,	0.00,	0.000,	3.800,	''),
(6834,	2294,	1098,	2,	3,	3,	7803,	6.500,	0.00,	0.000,	13.000,	''),
(6835,	2294,	1353,	2,	3,	3,	7802,	5.200,	0.00,	0.000,	10.400,	''),
(6836,	2294,	1514,	1,	7,	3,	7807,	2.300,	0.00,	0.000,	2.300,	''),
(6837,	2275,	31,	1,	7,	14,	7711,	2.200,	0.00,	0.000,	2.200,	''),
(6838,	2275,	1491,	1,	3,	3,	7713,	1.400,	0.00,	0.000,	1.400,	''),
(6839,	2275,	1504,	1,	7,	3,	7712,	2.200,	0.00,	0.000,	2.200,	''),
(6840,	2276,	1174,	1,	3,	3,	7714,	3.300,	0.00,	0.000,	3.300,	''),
(6841,	2295,	1071,	1,	3,	3,	7808,	2.700,	0.00,	0.000,	2.700,	''),
(6842,	2277,	76,	1,	3,	13,	7717,	9.500,	0.00,	0.000,	9.500,	''),
(6843,	2277,	168,	1,	3,	3,	7721,	2.300,	0.00,	0.000,	2.300,	''),
(6844,	2277,	803,	1,	3,	3,	7715,	7.800,	0.00,	0.000,	7.800,	''),
(6845,	2277,	932,	1,	3,	79,	7718,	2.000,	0.00,	0.000,	2.000,	''),
(6846,	2277,	1071,	1,	3,	3,	7722,	2.800,	0.00,	0.000,	2.800,	''),
(6847,	2277,	1174,	1,	3,	3,	7720,	3.300,	0.00,	0.000,	3.300,	''),
(6848,	2277,	1365,	1,	3,	2,	7716,	3.200,	0.00,	0.000,	3.200,	''),
(6849,	2277,	1622,	1,	3,	3,	7719,	4.800,	0.00,	0.000,	4.800,	''),
(6850,	2296,	528,	1,	3,	3,	7810,	2.500,	0.00,	0.000,	2.500,	''),
(6851,	2296,	766,	1,	3,	3,	7809,	2.300,	0.00,	0.000,	2.300,	''),
(6852,	2298,	423,	2,	3,	3,	7822,	1.800,	0.00,	0.000,	3.600,	''),
(6853,	2298,	528,	1,	3,	3,	7821,	2.500,	0.00,	0.000,	2.500,	''),
(6854,	2298,	836,	1,	3,	3,	7817,	6.500,	0.00,	0.000,	6.500,	''),
(6855,	2298,	933,	1,	7,	3,	7820,	3.800,	0.00,	0.000,	3.800,	''),
(6856,	2298,	1071,	1,	3,	3,	7819,	2.600,	0.00,	0.000,	2.600,	''),
(6857,	2298,	1131,	2,	3,	3,	7818,	2.200,	0.00,	0.000,	4.400,	''),
(6858,	2298,	1626,	2,	3,	71,	7816,	2.100,	0.00,	0.000,	4.200,	''),
(6859,	2278,	1425,	6,	3,	3,	7723,	1.900,	0.00,	0.000,	11.400,	''),
(6860,	2299,	168,	20,	3,	3,	7823,	2.200,	0.00,	0.000,	44.000,	''),
(6861,	2299,	170,	5,	3,	3,	7824,	6.300,	0.00,	0.000,	31.500,	''),
(6862,	2279,	1071,	1,	3,	3,	7724,	2.600,	0.00,	0.000,	2.600,	''),
(6863,	2280,	676,	1,	3,	3,	7727,	12.600,	0.00,	0.000,	12.600,	''),
(6864,	2280,	753,	1,	63,	3,	7726,	1.600,	0.00,	0.000,	1.600,	''),
(6865,	2280,	1071,	1,	3,	3,	7725,	2.700,	0.00,	0.000,	2.700,	''),
(6866,	2281,	45,	2,	3,	2,	7771,	4.000,	0.00,	0.000,	8.000,	''),
(6867,	2281,	168,	4,	3,	3,	7772,	2.300,	0.00,	0.000,	9.200,	''),
(6868,	2281,	799,	4,	3,	3,	7773,	3.700,	0.00,	0.000,	14.800,	''),
(6869,	2281,	932,	1,	3,	24,	7774,	5.500,	0.00,	0.000,	5.500,	''),
(6870,	2281,	1071,	1,	3,	3,	7775,	2.800,	0.00,	0.000,	2.800,	''),
(6871,	2281,	1127,	4,	3,	3,	7776,	2.400,	0.00,	0.000,	9.600,	''),
(6872,	2281,	1344,	3,	3,	103,	7777,	2.000,	0.00,	0.000,	6.000,	''),
(6873,	2281,	1353,	1,	3,	3,	7778,	5.200,	0.00,	0.000,	5.200,	''),
(6874,	2300,	170,	10,	3,	3,	7828,	6.200,	0.00,	0.000,	62.000,	''),
(6875,	2300,	858,	10,	3,	3,	7826,	4.000,	0.00,	0.000,	40.000,	''),
(6876,	2300,	1174,	15,	3,	3,	7825,	3.300,	0.00,	0.000,	49.500,	''),
(6877,	2300,	1559,	30,	3,	3,	7827,	1.850,	0.00,	0.000,	55.500,	''),
(6878,	2282,	848,	10,	3,	38,	7736,	4.200,	0.00,	0.000,	42.000,	''),
(6879,	2301,	1570,	2,	4,	3,	7829,	1.900,	0.00,	0.000,	3.800,	''),
(6880,	2302,	423,	1,	3,	3,	7918,	1.800,	0.00,	0.000,	1.800,	''),
(6881,	2302,	693,	1,	3,	3,	7919,	16.000,	0.00,	0.000,	16.000,	''),
(6882,	2302,	799,	1,	3,	5,	7920,	5.800,	0.00,	0.000,	5.800,	''),
(6883,	2302,	992,	1,	3,	3,	7921,	1.500,	0.00,	0.000,	1.500,	''),
(6884,	2303,	753,	1,	63,	3,	7856,	2.100,	0.00,	0.000,	2.100,	''),
(6885,	2303,	766,	1,	3,	3,	7857,	2.300,	0.00,	0.000,	2.300,	''),
(6886,	2303,	1071,	1,	3,	3,	7858,	2.700,	0.00,	0.000,	2.700,	''),
(6887,	2304,	506,	4,	1,	3,	7848,	2.000,	0.00,	0.000,	8.000,	''),
(6888,	2304,	528,	20,	3,	3,	7849,	2.500,	0.00,	0.000,	50.000,	''),
(6889,	2304,	876,	4,	3,	3,	7850,	4.200,	0.00,	0.000,	16.800,	''),
(6890,	2304,	1353,	5,	3,	3,	7851,	5.200,	0.00,	0.000,	26.000,	''),
(6891,	2304,	1622,	2,	3,	3,	7852,	4.800,	0.00,	0.000,	9.600,	''),
(6892,	2305,	57,	2,	7,	14,	7871,	1.900,	0.00,	0.000,	3.800,	''),
(6893,	2305,	76,	2,	7,	14,	7870,	2.200,	0.00,	0.000,	4.400,	''),
(6894,	2305,	168,	1,	3,	3,	7872,	2.400,	0.00,	0.000,	2.400,	''),
(6895,	2305,	275,	4,	4,	5,	7865,	0.470,	0.00,	0.000,	1.880,	''),
(6896,	2305,	528,	1,	3,	3,	7860,	2.800,	0.00,	0.000,	2.800,	''),
(6897,	2305,	752,	1,	4,	3,	7873,	3.900,	0.00,	0.000,	3.900,	''),
(6898,	2305,	799,	1,	3,	22,	7859,	1.600,	0.00,	0.000,	1.600,	''),
(6899,	2305,	848,	1,	3,	3,	7869,	4.400,	0.00,	0.000,	4.400,	''),
(6900,	2305,	933,	1,	7,	3,	7862,	3.900,	0.00,	0.000,	3.900,	''),
(6901,	2305,	1127,	2,	3,	3,	7868,	2.600,	0.00,	0.000,	5.200,	''),
(6902,	2305,	1353,	1,	3,	3,	7861,	5.200,	0.00,	0.000,	5.200,	''),
(6903,	2305,	1514,	2,	7,	3,	7867,	2.300,	0.00,	0.000,	4.600,	''),
(6904,	2305,	1563,	2,	6,	111,	7863,	0.900,	0.00,	0.000,	1.800,	''),
(6905,	2305,	1587,	2,	4,	23,	7864,	1.100,	0.00,	0.000,	2.200,	''),
(6906,	2305,	1626,	1,	3,	71,	7866,	2.400,	0.00,	0.000,	2.400,	''),
(6907,	2308,	799,	10,	3,	4,	7874,	1.500,	0.00,	0.000,	15.000,	''),
(6908,	2309,	858,	1,	3,	3,	7876,	4.500,	0.00,	0.000,	4.500,	''),
(6909,	2309,	1124,	1,	3,	3,	7875,	2.600,	0.00,	0.000,	2.600,	''),
(6910,	2310,	1637,	3,	3,	3,	7877,	5.800,	0.00,	0.000,	17.400,	''),
(6911,	2311,	314,	1,	3,	3,	7878,	5.800,	0.00,	0.000,	5.800,	''),
(6912,	2312,	682,	1,	3,	3,	7900,	10.500,	0.00,	0.000,	10.500,	''),
(6913,	2312,	753,	2,	3,	3,	7901,	1.600,	0.00,	0.000,	3.200,	''),
(6914,	2312,	766,	1,	3,	3,	7902,	2.300,	0.00,	0.000,	2.300,	''),
(6915,	2312,	1071,	1,	3,	3,	7903,	2.600,	0.00,	0.000,	2.600,	''),
(6916,	2312,	1839,	2,	63,	3,	7904,	1.700,	5.00,	0.170,	3.570,	''),
(6917,	2313,	236,	2,	1,	3,	7886,	1.800,	0.00,	0.000,	3.600,	''),
(6918,	2313,	848,	1,	3,	5,	7885,	5.800,	0.00,	0.000,	5.800,	''),
(6919,	2313,	1626,	2,	3,	71,	7887,	2.200,	0.00,	0.000,	4.400,	''),
(6920,	2314,	76,	1,	3,	13,	7965,	9.800,	0.00,	0.000,	9.800,	''),
(6921,	2315,	528,	3,	3,	3,	7895,	2.500,	0.00,	0.000,	7.500,	''),
(6922,	2316,	168,	2,	3,	3,	7896,	2.300,	0.00,	0.000,	4.600,	''),
(6923,	2317,	876,	40,	3,	3,	7897,	4.200,	0.00,	0.000,	168.000,	''),
(6924,	2318,	809,	5,	3,	3,	7942,	14.200,	0.00,	0.000,	71.000,	''),
(6925,	2318,	1627,	5,	3,	3,	7943,	4.200,	0.00,	0.000,	21.000,	''),
(6926,	2333,	1717,	1,	3,	3,	7966,	2.800,	0.00,	0.000,	2.800,	''),
(6927,	2319,	1071,	1,	3,	4,	7911,	2.700,	0.00,	0.000,	2.700,	''),
(6928,	2334,	799,	2,	3,	5,	7971,	5.800,	0.00,	0.000,	11.600,	''),
(6929,	2334,	848,	2,	3,	5,	7972,	5.800,	0.00,	0.000,	11.600,	''),
(6930,	2320,	101,	1,	3,	9,	7912,	10.800,	0.00,	0.000,	10.800,	''),
(6931,	2335,	799,	5,	3,	3,	7973,	3.200,	0.00,	0.000,	16.000,	''),
(6932,	2335,	876,	4,	3,	3,	7974,	4.000,	0.00,	0.000,	16.000,	''),
(6933,	2321,	33,	25,	3,	4,	7913,	1.200,	0.00,	0.000,	30.000,	''),
(6934,	2322,	53,	1,	7,	10,	7922,	2.200,	0.00,	0.000,	2.200,	''),
(6935,	2336,	33,	3,	3,	3,	7995,	1.300,	0.00,	0.000,	3.900,	''),
(6936,	2336,	848,	1,	3,	5,	7996,	5.800,	0.00,	0.000,	5.800,	''),
(6937,	2336,	1433,	2,	3,	4,	7997,	1.200,	0.00,	0.000,	2.400,	''),
(6938,	2336,	1570,	4,	4,	3,	7998,	1.900,	0.00,	0.000,	7.600,	''),
(6939,	2336,	1839,	4,	63,	3,	7999,	1.700,	5.00,	0.340,	7.140,	''),
(6940,	2323,	1078,	1,	3,	3,	7967,	3.800,	0.00,	0.000,	3.800,	''),
(6941,	2323,	1201,	1,	3,	3,	7968,	4.200,	5.00,	0.210,	4.410,	''),
(6942,	2323,	1251,	1,	3,	3,	7969,	4.000,	5.00,	0.100,	2.100,	''),
(6943,	2323,	1559,	1,	1,	3,	7970,	3.800,	0.00,	0.000,	3.800,	''),
(6944,	2337,	799,	1,	3,	38,	7986,	3.800,	0.00,	0.000,	3.800,	''),
(6945,	2338,	844,	1,	3,	3,	7988,	13.800,	0.00,	0.000,	13.800,	''),
(6946,	2338,	876,	1,	3,	3,	7987,	4.000,	0.00,	0.000,	4.000,	''),
(6947,	2338,	1071,	3,	3,	3,	7989,	2.500,	0.00,	0.000,	7.500,	''),
(6948,	2324,	168,	10,	3,	3,	7937,	2.300,	0.00,	0.000,	23.000,	''),
(6949,	2324,	171,	2,	3,	3,	7938,	6.300,	0.00,	0.000,	12.600,	''),
(6950,	2324,	753,	2,	3,	5,	7939,	4.700,	0.00,	0.000,	9.400,	''),
(6951,	2340,	1959,	3,	1,	3,	8001,	1.400,	0.00,	0.000,	4.200,	''),
(6952,	2325,	45,	1,	3,	7,	7945,	4.000,	0.00,	0.000,	4.000,	''),
(6953,	2325,	1353,	1,	3,	3,	7944,	5.200,	0.00,	0.000,	5.200,	''),
(6954,	2341,	792,	1,	3,	3,	8013,	14.200,	0.00,	0.000,	14.200,	''),
(6955,	2341,	799,	10,	3,	3,	8014,	3.200,	0.00,	0.000,	32.000,	''),
(6956,	2341,	876,	15,	3,	3,	8015,	4.000,	0.00,	0.000,	60.000,	''),
(6957,	2341,	1127,	10,	3,	3,	8016,	2.400,	0.00,	0.000,	24.000,	''),
(6958,	2341,	1610,	3,	3,	3,	8017,	3.800,	0.00,	0.000,	11.400,	''),
(6959,	2341,	1626,	10,	3,	71,	8018,	2.000,	0.00,	0.000,	20.000,	''),
(6960,	2326,	1526,	2,	3,	3,	7946,	7.000,	0.00,	0.000,	14.000,	''),
(6964,	2327,	799,	8,	3,	4,	7959,	3.200,	0.00,	0.000,	25.600,	''),
(6965,	2328,	1131,	4,	3,	6,	7948,	3.600,	0.00,	0.000,	14.400,	''),
(6966,	2329,	807,	2,	3,	2,	7949,	14.200,	0.00,	0.000,	28.400,	''),
(6967,	2330,	676,	1,	3,	3,	7956,	12.600,	0.00,	0.000,	12.600,	''),
(6968,	2330,	1526,	1,	3,	3,	7957,	7.000,	0.00,	0.000,	7.000,	''),
(6969,	2330,	1570,	5,	4,	3,	7958,	1.900,	0.00,	0.000,	9.500,	''),
(6970,	2331,	73,	1,	3,	7,	7962,	10.300,	0.00,	0.000,	10.300,	''),
(6971,	2331,	1353,	1,	3,	3,	7960,	5.200,	0.00,	0.000,	5.200,	''),
(6972,	2331,	1610,	1,	3,	3,	7961,	3.800,	0.00,	0.000,	3.800,	''),
(6973,	2332,	1563,	1,	3,	105,	7963,	6.000,	0.00,	0.000,	6.000,	''),
(6974,	2383,	676,	1,	3,	3,	8171,	12.600,	0.00,	0.000,	6.300,	''),
(6975,	2384,	45,	1,	6,	7,	8177,	4.200,	0.00,	0.000,	4.200,	''),
(6976,	2384,	766,	1,	3,	3,	8174,	2.300,	0.00,	0.000,	2.300,	''),
(6977,	2384,	836,	1,	3,	3,	8175,	6.400,	0.00,	0.000,	6.400,	''),
(6978,	2384,	1131,	1,	3,	6,	8172,	3.800,	0.00,	0.000,	3.800,	''),
(6979,	2384,	1353,	2,	3,	3,	8176,	5.200,	0.00,	0.000,	10.400,	''),
(6980,	2384,	1514,	1,	3,	3,	8178,	7.800,	0.00,	0.000,	7.800,	''),
(6981,	2384,	1622,	1,	3,	3,	8173,	4.800,	0.00,	0.000,	4.800,	''),
(6982,	2385,	682,	2,	3,	3,	8179,	10.500,	0.00,	0.000,	21.000,	''),
(6983,	2385,	766,	2,	3,	3,	8180,	2.300,	0.00,	0.000,	4.600,	''),
(6984,	2386,	1071,	1,	3,	3,	8181,	2.600,	0.00,	0.000,	2.600,	''),
(6985,	2342,	1131,	2,	3,	3,	8022,	2.200,	0.00,	0.000,	4.400,	''),
(6986,	2342,	1174,	1,	3,	3,	8023,	3.400,	0.00,	0.000,	3.400,	''),
(6987,	2342,	1627,	1,	3,	3,	8021,	4.400,	0.00,	0.000,	4.400,	''),
(6988,	2343,	557,	2,	3,	3,	8024,	6.400,	5.00,	0.640,	13.440,	''),
(6989,	2344,	682,	1,	3,	3,	8025,	10.500,	0.00,	0.000,	10.500,	''),
(6990,	2345,	45,	3,	3,	7,	8029,	4.000,	0.00,	0.000,	12.000,	''),
(6991,	2345,	76,	1,	3,	15,	8028,	9.700,	0.00,	0.000,	9.700,	''),
(6992,	2345,	420,	3,	3,	3,	8034,	1.700,	0.00,	0.000,	5.100,	''),
(6993,	2345,	528,	1,	3,	3,	8035,	2.600,	0.00,	0.000,	2.600,	''),
(6994,	2345,	682,	2,	3,	3,	8037,	10.500,	0.00,	0.000,	21.000,	''),
(6995,	2345,	753,	6,	63,	3,	8036,	1.700,	0.00,	0.000,	10.200,	'second'),
(6996,	2345,	766,	2,	3,	3,	8033,	2.300,	0.00,	0.000,	4.600,	''),
(6997,	2345,	799,	1,	3,	3,	8032,	3.800,	0.00,	0.000,	3.800,	''),
(6998,	2345,	1344,	2,	3,	20,	8030,	3.600,	0.00,	0.000,	7.200,	''),
(6999,	2345,	1351,	1,	3,	20,	8031,	6.800,	0.00,	0.000,	6.800,	''),
(7000,	2345,	1353,	1,	3,	3,	8027,	5.200,	0.00,	0.000,	5.200,	''),
(7001,	2345,	1626,	5,	3,	33,	8026,	2.000,	0.00,	0.000,	10.000,	''),
(7002,	2346,	742,	1,	3,	3,	8039,	10.500,	0.00,	0.000,	10.500,	''),
(7003,	2346,	752,	1,	4,	3,	8038,	3.800,	0.00,	0.000,	3.800,	''),
(7004,	2347,	1514,	2,	3,	3,	8040,	7.500,	0.00,	0.000,	15.000,	''),
(7005,	2348,	168,	1,	3,	3,	8051,	2.300,	0.00,	0.000,	2.300,	''),
(7006,	2348,	1071,	1,	3,	3,	8052,	2.500,	0.00,	0.000,	2.500,	''),
(7007,	2348,	1353,	1,	3,	3,	8053,	5.200,	0.00,	0.000,	5.200,	''),
(7008,	2348,	1626,	1,	3,	71,	8054,	2.200,	0.00,	0.000,	2.200,	''),
(7009,	2348,	1766,	1,	3,	3,	8055,	0.900,	0.00,	0.000,	0.900,	''),
(7010,	2349,	168,	2,	3,	3,	8064,	1.200,	0.00,	0.000,	2.400,	''),
(7011,	2349,	753,	3,	63,	3,	8065,	1.600,	0.00,	0.000,	4.800,	''),
(7012,	2349,	766,	2,	3,	3,	8066,	2.300,	0.00,	0.000,	4.600,	''),
(7013,	2349,	799,	1,	3,	38,	8067,	3.800,	0.00,	0.000,	3.800,	''),
(7014,	2349,	1071,	1,	3,	3,	8068,	2.600,	0.00,	0.000,	2.600,	''),
(7015,	2349,	1344,	2,	3,	29,	8069,	2.300,	0.00,	0.000,	4.600,	''),
(7016,	2350,	799,	1,	3,	38,	8062,	3.800,	0.00,	0.000,	3.800,	''),
(7017,	2351,	807,	4,	3,	3,	8063,	14.200,	0.00,	0.000,	56.800,	''),
(7018,	2352,	1353,	15,	3,	3,	8070,	5.200,	0.00,	0.000,	78.000,	''),
(7019,	2353,	1251,	1,	3,	3,	8072,	3.850,	5.00,	0.193,	4.043,	''),
(7020,	2353,	1854,	0,	1,	3,	8071,	7.800,	0.00,	0.000,	1.560,	''),
(7021,	2354,	1312,	2,	63,	84,	8073,	2.800,	0.00,	0.000,	5.600,	''),
(7023,	2387,	1201,	1,	3,	3,	8182,	4.200,	5.00,	0.210,	4.410,	''),
(7024,	2388,	31,	1,	3,	15,	8190,	9.200,	0.00,	0.000,	9.200,	''),
(7025,	2388,	168,	6,	3,	3,	8191,	2.300,	0.00,	0.000,	13.800,	''),
(7026,	2388,	1353,	1,	3,	3,	8192,	5.200,	0.00,	0.000,	5.200,	''),
(7027,	2388,	1365,	1,	3,	2,	8193,	3.200,	0.00,	0.000,	3.200,	''),
(7028,	2389,	799,	1,	3,	3,	8189,	3.800,	0.00,	0.000,	3.800,	''),
(7029,	2390,	1344,	1,	3,	25,	8194,	3.300,	0.00,	0.000,	3.300,	''),
(7030,	2391,	758,	1,	63,	3,	8199,	2.600,	0.00,	0.000,	2.600,	''),
(7031,	2391,	1174,	3,	3,	3,	8200,	3.400,	0.00,	0.000,	10.200,	''),
(7032,	2355,	1174,	3,	3,	3,	8075,	3.400,	0.00,	0.000,	10.200,	''),
(7033,	2356,	766,	1,	3,	3,	8076,	2.300,	0.00,	0.000,	2.300,	''),
(7034,	2357,	1570,	3,	4,	3,	8077,	1.900,	0.00,	0.000,	5.700,	''),
(7035,	2358,	1425,	1,	1,	3,	8078,	1.700,	0.00,	0.000,	1.700,	''),
(7036,	2359,	57,	1,	7,	14,	8080,	1.900,	0.00,	0.000,	1.900,	''),
(7037,	2359,	168,	1,	3,	3,	8087,	2.400,	0.00,	0.000,	2.400,	''),
(7038,	2359,	279,	1,	3,	5,	8091,	4.700,	0.00,	0.000,	4.700,	''),
(7039,	2359,	420,	1,	3,	3,	8082,	1.800,	0.00,	0.000,	1.800,	''),
(7040,	2359,	799,	2,	3,	22,	8090,	1.600,	0.00,	0.000,	3.200,	''),
(7041,	2359,	1071,	1,	3,	3,	8084,	2.900,	0.00,	0.000,	2.900,	''),
(7042,	2359,	1098,	1,	3,	3,	8081,	6.700,	0.00,	0.000,	6.700,	''),
(7043,	2359,	1131,	1,	3,	6,	8089,	3.800,	0.00,	0.000,	3.800,	''),
(7044,	2359,	1344,	2,	3,	20,	8088,	3.800,	0.00,	0.000,	7.600,	''),
(7045,	2359,	1514,	2,	7,	3,	8083,	2.300,	0.00,	0.000,	4.600,	''),
(7046,	2359,	1563,	1,	6,	111,	8079,	0.800,	0.00,	0.000,	0.800,	''),
(7047,	2359,	1587,	1,	3,	3,	8085,	5.200,	0.00,	0.000,	5.200,	''),
(7048,	2359,	1622,	2,	3,	3,	8092,	4.800,	0.00,	0.000,	9.600,	''),
(7049,	2359,	1766,	1,	3,	3,	8086,	1.000,	0.00,	0.000,	1.000,	''),
(7050,	2360,	170,	1,	3,	3,	8093,	6.300,	0.00,	0.000,	6.300,	''),
(7051,	2361,	876,	1,	3,	3,	8094,	4.000,	0.00,	0.000,	4.000,	''),
(7052,	2362,	1425,	3,	1,	3,	8095,	1.900,	0.00,	0.000,	5.700,	''),
(7053,	2363,	1179,	2,	3,	3,	8096,	2.700,	0.00,	0.000,	5.400,	''),
(7054,	2364,	1201,	2,	3,	3,	8097,	3.800,	5.00,	0.380,	7.980,	''),
(7055,	2365,	766,	1,	3,	3,	8099,	2.300,	0.00,	0.000,	2.300,	''),
(7056,	2365,	848,	1,	3,	5,	8098,	5.800,	0.00,	0.000,	5.800,	''),
(7057,	2366,	799,	6,	3,	22,	8110,	1.500,	0.00,	0.000,	9.000,	''),
(7058,	2367,	33,	4,	3,	4,	8101,	1.200,	0.00,	0.000,	4.800,	''),
(7059,	2368,	799,	1,	3,	3,	8106,	3.700,	0.00,	0.000,	3.700,	''),
(7060,	2368,	1514,	1,	3,	3,	8105,	7.500,	0.00,	0.000,	7.500,	''),
(7061,	2369,	72,	1,	7,	14,	8103,	2.200,	0.00,	0.000,	2.200,	''),
(7062,	2369,	876,	1,	3,	3,	8104,	4.000,	0.00,	0.000,	4.000,	''),
(7063,	2370,	551,	1,	63,	3,	8107,	3.800,	5.00,	0.190,	3.990,	''),
(7064,	2370,	876,	1,	3,	3,	8109,	4.000,	0.00,	0.000,	4.000,	''),
(7065,	2370,	1839,	1,	63,	3,	8108,	1.700,	5.00,	0.085,	1.785,	''),
(7066,	2371,	1839,	1,	63,	3,	8111,	1.700,	5.00,	0.085,	1.785,	''),
(7067,	2372,	753,	2,	3,	3,	8115,	1.600,	0.00,	0.000,	3.200,	''),
(7068,	2372,	1071,	1,	3,	3,	8116,	2.500,	0.00,	0.000,	2.500,	''),
(7069,	2373,	752,	1,	4,	23,	8114,	3.500,	0.00,	0.000,	3.500,	''),
(7070,	2374,	170,	1,	3,	3,	8117,	6.300,	0.00,	0.000,	6.300,	''),
(7071,	2374,	799,	1,	3,	3,	8119,	3.800,	0.00,	0.000,	3.800,	''),
(7072,	2374,	799,	1,	3,	5,	8118,	5.800,	0.00,	0.000,	5.800,	''),
(7073,	2375,	799,	2,	3,	5,	8120,	5.800,	0.00,	0.000,	11.600,	''),
(7074,	2375,	848,	2,	3,	5,	8121,	5.900,	0.00,	0.000,	11.800,	''),
(7075,	2376,	1839,	1,	63,	3,	8122,	1.750,	5.00,	0.088,	1.838,	''),
(7076,	2377,	429,	5,	4,	3,	8128,	0.700,	0.00,	0.000,	3.500,	''),
(7077,	2377,	1251,	1,	3,	3,	8129,	3.800,	5.00,	0.190,	3.990,	''),
(7078,	2378,	65,	1,	3,	14,	8136,	11.300,	0.00,	0.000,	11.300,	''),
(7079,	2378,	420,	1,	3,	3,	8132,	1.700,	0.00,	0.000,	1.700,	''),
(7080,	2378,	766,	1,	3,	3,	8134,	2.300,	0.00,	0.000,	2.300,	''),
(7081,	2378,	799,	1,	3,	3,	8131,	3.800,	0.00,	0.000,	3.800,	''),
(7082,	2378,	1071,	1,	3,	3,	8133,	2.800,	0.00,	0.000,	2.800,	''),
(7083,	2378,	1174,	1,	3,	3,	8130,	3.400,	0.00,	0.000,	3.400,	''),
(7084,	2378,	1344,	2,	3,	20,	8135,	3.600,	0.00,	0.000,	7.200,	''),
(7085,	2379,	170,	1,	3,	3,	8146,	6.300,	0.00,	0.000,	6.300,	''),
(7086,	2379,	420,	2,	3,	3,	8147,	1.600,	0.00,	0.000,	3.200,	''),
(7087,	2379,	528,	1,	3,	3,	8148,	2.500,	0.00,	0.000,	2.500,	''),
(7088,	2379,	799,	1,	3,	5,	8149,	6.000,	0.00,	0.000,	6.000,	''),
(7089,	2379,	848,	1,	3,	5,	8150,	5.800,	0.00,	0.000,	5.800,	''),
(7090,	2379,	1098,	1,	3,	3,	8151,	6.500,	0.00,	0.000,	6.500,	''),
(7091,	2379,	1336,	2,	3,	29,	8152,	2.500,	0.00,	0.000,	5.000,	''),
(7092,	2379,	1344,	1,	3,	20,	8153,	3.600,	0.00,	0.000,	3.600,	''),
(7093,	2379,	1390,	10,	1,	3,	8145,	0.500,	5.00,	0.250,	5.250,	''),
(7094,	2380,	57,	2,	7,	14,	8163,	1.900,	0.00,	0.000,	3.800,	''),
(7095,	2380,	168,	2,	3,	3,	8159,	2.300,	0.00,	0.000,	4.600,	''),
(7096,	2380,	858,	2,	3,	3,	8160,	4.200,	0.00,	0.000,	8.400,	''),
(7097,	2380,	894,	2,	3,	3,	8155,	1.300,	0.00,	0.000,	2.600,	''),
(7098,	2380,	1174,	2,	3,	3,	8158,	3.400,	0.00,	0.000,	6.800,	''),
(7099,	2380,	1263,	1,	3,	23,	8154,	5.800,	0.00,	0.000,	5.800,	''),
(7100,	2380,	1344,	2,	3,	103,	8164,	1.900,	0.00,	0.000,	3.800,	''),
(7101,	2380,	1526,	2,	7,	3,	8162,	2.100,	0.00,	0.000,	4.200,	''),
(7102,	2380,	1563,	1,	3,	111,	8157,	6.000,	0.00,	0.000,	6.000,	''),
(7103,	2380,	1587,	1,	3,	3,	8161,	5.200,	0.00,	0.000,	5.200,	''),
(7104,	2380,	1626,	2,	3,	71,	8156,	2.000,	0.00,	0.000,	4.000,	''),
(7105,	2381,	753,	1,	63,	3,	8165,	1.600,	0.00,	0.000,	1.600,	''),
(7106,	2381,	1839,	1,	63,	3,	8166,	1.700,	5.00,	0.085,	1.785,	''),
(7107,	2382,	170,	1,	3,	3,	8167,	6.300,	0.00,	0.000,	6.300,	''),
(7108,	2382,	528,	1,	3,	3,	8170,	2.500,	0.00,	0.000,	2.500,	''),
(7109,	2382,	1344,	1,	3,	20,	8169,	3.600,	0.00,	0.000,	3.600,	''),
(7110,	2382,	1353,	1,	3,	3,	8168,	5.300,	0.00,	0.000,	5.300,	''),
(7111,	2433,	1353,	1,	3,	3,	8294,	5.400,	0.00,	0.000,	5.400,	''),
(7112,	2434,	1353,	1,	3,	3,	8295,	5.400,	0.00,	0.000,	5.400,	''),
(7113,	2435,	1078,	1,	3,	3,	8296,	3.800,	0.00,	0.000,	3.800,	''),
(7114,	2392,	31,	1,	3,	13,	8207,	9.000,	0.00,	0.000,	9.000,	''),
(7115,	2392,	420,	2,	3,	3,	8202,	1.600,	0.00,	0.000,	3.200,	''),
(7116,	2392,	753,	1,	3,	5,	8201,	4.700,	0.00,	0.000,	4.700,	''),
(7117,	2392,	1071,	2,	3,	3,	8203,	2.500,	0.00,	0.000,	5.000,	''),
(7118,	2392,	1344,	1,	3,	20,	8206,	3.600,	0.00,	0.000,	3.600,	''),
(7119,	2392,	1351,	1,	3,	25,	8205,	6.600,	0.00,	0.000,	6.600,	''),
(7120,	2392,	1587,	1,	3,	3,	8204,	5.200,	0.00,	0.000,	5.200,	''),
(7121,	2436,	663,	1,	3,	3,	8297,	10.600,	0.00,	0.000,	5.300,	''),
(7122,	2437,	168,	1,	3,	3,	8300,	2.300,	0.00,	0.000,	2.300,	''),
(7123,	2437,	753,	2,	3,	3,	8299,	2.600,	0.00,	0.000,	5.200,	''),
(7124,	2437,	932,	2,	3,	79,	8301,	2.200,	0.00,	0.000,	4.400,	''),
(7125,	2437,	1071,	1,	3,	3,	8303,	2.700,	0.00,	0.000,	2.700,	''),
(7126,	2437,	1166,	1,	3,	3,	8298,	2.700,	0.00,	0.000,	2.700,	''),
(7127,	2437,	1622,	1,	3,	3,	8302,	4.800,	0.00,	0.000,	4.800,	''),
(7128,	2393,	1174,	1,	3,	3,	8208,	3.200,	0.00,	0.000,	3.200,	''),
(7129,	2438,	876,	2,	3,	3,	8305,	4.200,	0.00,	0.000,	8.400,	''),
(7130,	2438,	1587,	1,	4,	2,	8304,	1.100,	0.00,	0.000,	1.100,	''),
(7131,	2394,	753,	10,	63,	3,	8212,	1.600,	0.00,	0.000,	16.000,	''),
(7132,	2394,	766,	5,	3,	3,	8209,	2.300,	0.00,	0.000,	11.500,	''),
(7133,	2394,	799,	2,	3,	3,	8210,	3.800,	0.00,	0.000,	7.600,	''),
(7134,	2394,	1839,	5,	63,	3,	8211,	1.700,	5.00,	0.425,	8.925,	''),
(7135,	2395,	799,	2,	3,	22,	8213,	1.500,	0.00,	0.000,	3.000,	''),
(7136,	2396,	76,	1,	7,	13,	8219,	2.200,	0.00,	0.000,	2.200,	''),
(7137,	2396,	765,	1,	1,	3,	8218,	1.600,	0.00,	0.000,	0.800,	''),
(7138,	2396,	1127,	1,	3,	3,	8214,	2.500,	0.00,	0.000,	2.500,	''),
(7139,	2396,	1353,	1,	3,	3,	8217,	5.200,	0.00,	0.000,	5.200,	''),
(7140,	2396,	1565,	3,	1,	3,	8215,	1.300,	0.00,	0.000,	4.160,	''),
(7141,	2396,	1622,	1,	3,	3,	8216,	4.800,	0.00,	0.000,	4.800,	''),
(7142,	2397,	752,	1,	4,	23,	8220,	3.500,	0.00,	0.000,	3.500,	''),
(7143,	2400,	367,	1,	3,	3,	8230,	5.500,	0.00,	0.000,	5.500,	''),
(7144,	2398,	1625,	1,	3,	3,	8221,	2.000,	0.00,	0.000,	2.000,	''),
(7145,	2399,	31,	1,	7,	13,	8224,	2.300,	0.00,	0.000,	2.300,	''),
(7146,	2399,	420,	1,	3,	3,	8225,	1.600,	0.00,	0.000,	1.600,	''),
(7147,	2399,	753,	1,	63,	3,	8222,	1.600,	0.00,	0.000,	1.600,	''),
(7148,	2399,	766,	1,	3,	3,	8226,	2.300,	0.00,	0.000,	2.300,	''),
(7149,	2399,	799,	1,	3,	3,	8228,	3.800,	0.00,	0.000,	3.800,	''),
(7150,	2399,	1353,	1,	3,	3,	8229,	5.200,	0.00,	0.000,	5.200,	''),
(7151,	2399,	1514,	1,	7,	3,	8227,	2.200,	0.00,	0.000,	2.200,	''),
(7152,	2399,	1647,	2,	63,	3,	8223,	0.800,	0.00,	0.000,	1.600,	''),
(7153,	2401,	1078,	1,	3,	3,	8231,	3.800,	0.00,	0.000,	3.800,	''),
(7154,	2402,	1587,	1,	3,	3,	8232,	5.200,	0.00,	0.000,	5.200,	''),
(7155,	2403,	753,	10,	63,	3,	8233,	1.600,	0.00,	0.000,	16.000,	''),
(7156,	2403,	1071,	5,	3,	3,	8234,	2.700,	0.00,	0.000,	13.500,	''),
(7157,	2404,	799,	5,	3,	3,	8236,	3.800,	0.00,	0.000,	19.000,	''),
(7158,	2404,	1587,	1,	3,	3,	8235,	5.200,	0.00,	0.000,	5.200,	''),
(7159,	2405,	168,	1,	3,	3,	8237,	2.300,	0.00,	0.000,	2.300,	''),
(7160,	2406,	528,	3,	3,	3,	8238,	2.500,	0.00,	0.000,	7.500,	''),
(7161,	2407,	528,	1,	3,	3,	8239,	2.500,	0.00,	0.000,	2.500,	''),
(7162,	2408,	528,	1,	3,	3,	8240,	2.500,	0.00,	0.000,	2.500,	''),
(7163,	2409,	31,	1,	3,	14,	8242,	9.300,	0.00,	0.000,	9.300,	''),
(7164,	2409,	682,	1,	3,	3,	8243,	10.500,	0.00,	0.000,	10.500,	''),
(7165,	2409,	1344,	1,	3,	25,	8241,	3.400,	0.00,	0.000,	3.400,	''),
(7166,	2410,	168,	2,	3,	3,	8245,	2.300,	0.00,	0.000,	4.600,	''),
(7167,	2410,	1351,	1,	3,	25,	8244,	6.600,	0.00,	0.000,	6.600,	''),
(7168,	2411,	1839,	1,	63,	3,	8246,	1.700,	5.00,	0.085,	1.785,	''),
(7169,	2413,	1131,	2,	3,	6,	8248,	3.500,	0.00,	0.000,	7.000,	''),
(7170,	2412,	1251,	1,	3,	3,	8247,	3.850,	5.00,	0.193,	4.043,	''),
(7171,	2414,	168,	8,	3,	3,	8249,	2.300,	0.00,	0.000,	18.400,	''),
(7172,	2414,	1131,	6,	3,	3,	8250,	2.500,	0.00,	0.000,	15.000,	''),
(7173,	2414,	1138,	6,	3,	3,	8251,	2.000,	0.00,	0.000,	12.000,	''),
(7174,	2414,	1166,	8,	3,	3,	8252,	2.600,	0.00,	0.000,	20.800,	''),
(7175,	2415,	753,	1,	63,	3,	8253,	1.600,	0.00,	0.000,	1.600,	''),
(7176,	2416,	1491,	1,	3,	3,	8254,	1.500,	0.00,	0.000,	1.500,	''),
(7177,	2417,	1570,	3,	4,	3,	8255,	1.900,	0.00,	0.000,	5.700,	''),
(7178,	2418,	799,	1,	3,	22,	8257,	1.500,	0.00,	0.000,	1.500,	''),
(7179,	2418,	1344,	1,	3,	103,	8256,	2.000,	0.00,	0.000,	2.000,	''),
(7180,	2418,	1626,	1,	3,	71,	8258,	2.200,	0.00,	0.000,	2.200,	''),
(7181,	2419,	73,	1,	3,	9,	8259,	10.200,	0.00,	0.000,	10.200,	''),
(7182,	2419,	848,	1,	3,	5,	8260,	5.800,	0.00,	0.000,	5.800,	''),
(7183,	2420,	848,	1,	3,	3,	8261,	4.500,	0.00,	0.000,	4.500,	''),
(7184,	2421,	76,	1,	7,	14,	8269,	2.200,	0.00,	0.000,	2.200,	''),
(7185,	2421,	275,	2,	4,	5,	8263,	0.500,	0.00,	0.000,	1.000,	''),
(7186,	2421,	753,	1,	63,	3,	8268,	1.600,	0.00,	0.000,	1.600,	''),
(7187,	2421,	799,	1,	3,	3,	8267,	3.800,	0.00,	0.000,	3.800,	''),
(7188,	2421,	894,	1,	3,	3,	8264,	1.300,	0.00,	0.000,	1.300,	''),
(7189,	2421,	1491,	1,	3,	3,	8266,	1.500,	0.00,	0.000,	1.500,	''),
(7190,	2421,	1563,	2,	6,	110,	8262,	0.800,	0.00,	0.000,	1.600,	''),
(7191,	2421,	1625,	1,	3,	3,	8265,	2.200,	0.00,	0.000,	2.200,	''),
(7192,	2422,	807,	1,	3,	3,	8270,	14.200,	0.00,	0.000,	14.200,	''),
(7193,	2423,	528,	1,	3,	3,	8274,	2.600,	0.00,	0.000,	2.600,	''),
(7194,	2423,	753,	1,	3,	39,	8273,	4.700,	0.00,	0.000,	4.700,	''),
(7195,	2423,	766,	1,	3,	3,	8271,	2.300,	0.00,	0.000,	2.300,	''),
(7196,	2423,	1353,	1,	3,	3,	8272,	5.200,	0.00,	0.000,	5.200,	''),
(7197,	2424,	799,	2,	3,	5,	8275,	6.000,	0.00,	0.000,	12.000,	''),
(7198,	2425,	57,	1,	7,	14,	8278,	2.400,	0.00,	0.000,	2.400,	''),
(7199,	2425,	168,	1,	3,	3,	8279,	2.300,	0.00,	0.000,	2.300,	''),
(7200,	2425,	799,	1,	3,	3,	8282,	3.800,	0.00,	0.000,	3.800,	''),
(7201,	2425,	932,	1,	3,	79,	8277,	2.000,	0.00,	0.000,	2.000,	''),
(7202,	2425,	1351,	1,	3,	25,	8276,	6.800,	0.00,	0.000,	6.800,	''),
(7203,	2425,	1503,	1,	7,	3,	8280,	2.300,	0.00,	0.000,	2.300,	''),
(7204,	2425,	1622,	1,	3,	3,	8281,	4.800,	0.00,	0.000,	4.800,	''),
(7205,	2426,	1131,	1,	3,	6,	8283,	2.500,	0.00,	0.000,	2.500,	''),
(7206,	2427,	420,	2,	3,	3,	8284,	1.700,	0.00,	0.000,	3.400,	''),
(7207,	2428,	1830,	2,	4,	3,	8285,	0.700,	0.00,	0.000,	1.400,	''),
(7208,	2429,	752,	2,	3,	3,	8286,	14.200,	0.00,	0.000,	28.400,	''),
(7209,	2430,	45,	1,	3,	7,	8289,	4.000,	0.00,	0.000,	4.000,	''),
(7210,	2430,	753,	1,	3,	3,	8287,	1.600,	0.00,	0.000,	1.600,	''),
(7211,	2430,	1071,	1,	3,	3,	8288,	2.500,	0.00,	0.000,	2.500,	''),
(7212,	2431,	1131,	1,	3,	6,	8290,	3.700,	0.00,	0.000,	3.700,	''),
(7213,	2432,	1071,	1,	3,	3,	8291,	2.800,	0.00,	0.000,	2.800,	''),
(7214,	2297,	799,	1,	3,	38,	7814,	3.800,	0.00,	0.000,	3.800,	''),
(7215,	2297,	1098,	1,	3,	3,	7815,	6.500,	0.00,	0.000,	6.500,	''),
(7216,	2297,	1166,	2,	3,	3,	7813,	2.700,	0.00,	0.000,	5.400,	''),
(7246,	2439,	766,	1,	3,	3,	8306,	2.300,	0.00,	0.000,	2.300,	''),
(7247,	2439,	1071,	1,	3,	3,	8307,	2.800,	0.00,	0.000,	2.800,	''),
(7248,	2440,	1570,	3,	4,	3,	8308,	1.660,	0.00,	0.000,	4.980,	''),
(7250,	2441,	876,	1,	3,	3,	8310,	4.200,	0.00,	0.000,	4.200,	''),
(7251,	2441,	1344,	1,	3,	25,	8309,	3.400,	0.00,	0.000,	3.400,	''),
(7252,	2442,	1201,	1,	4,	3,	8311,	2.000,	5.00,	0.100,	2.100,	''),
(7253,	2443,	753,	2,	63,	3,	8313,	2.100,	0.00,	0.000,	4.200,	''),
(7254,	2443,	766,	2,	3,	3,	8314,	2.300,	0.00,	0.000,	4.600,	''),
(7255,	2443,	1344,	1,	3,	20,	8312,	3.600,	0.00,	0.000,	3.600,	''),
(7256,	2443,	1839,	2,	63,	3,	8315,	1.700,	5.00,	0.170,	3.570,	''),
(7257,	2444,	767,	1,	1,	3,	8316,	1.600,	0.00,	0.000,	1.600,	''),
(7258,	2445,	170,	1,	3,	3,	8322,	6.300,	0.00,	0.000,	6.300,	''),
(7259,	2445,	282,	6,	4,	33,	8323,	1.600,	0.00,	0.000,	9.600,	''),
(7260,	2445,	752,	1,	4,	23,	8317,	3.800,	0.00,	0.000,	3.800,	''),
(7261,	2445,	1078,	2,	3,	3,	8321,	3.800,	0.00,	0.000,	7.600,	''),
(7262,	2445,	1179,	2,	3,	3,	8320,	2.800,	0.00,	0.000,	5.600,	''),
(7263,	2445,	1587,	1,	3,	3,	8319,	5.200,	0.00,	0.000,	5.200,	''),
(7264,	2445,	1622,	1,	3,	3,	8318,	4.800,	0.00,	0.000,	4.800,	''),
(7267,	2446,	178,	2,	1,	3,	8324,	1.500,	0.00,	0.000,	3.000,	''),
(7268,	2446,	282,	2,	4,	1,	8325,	1.600,	0.00,	0.000,	3.200,	''),
(7269,	2446,	1131,	1,	3,	6,	8326,	3.800,	0.00,	0.000,	3.800,	''),
(7270,	2447,	1138,	4,	3,	3,	8327,	2.000,	0.00,	0.000,	8.000,	''),
(7272,	2448,	394,	1,	3,	3,	8377,	5.500,	0.00,	0.000,	5.500,	''),
(7273,	2449,	676,	2,	3,	3,	8361,	12.500,	0.00,	0.000,	25.000,	''),
(7274,	2449,	1488,	1,	3,	3,	8362,	7.500,	0.00,	0.000,	7.500,	''),
(7275,	2449,	1491,	2,	3,	3,	8363,	1.500,	0.00,	0.000,	3.000,	''),
(7276,	2449,	1563,	1,	3,	3,	8364,	6.000,	0.00,	0.000,	6.000,	''),
(7277,	2450,	33,	1,	3,	4,	8338,	1.000,	0.00,	0.000,	1.000,	''),
(7278,	2451,	282,	3,	4,	33,	8341,	1.600,	0.00,	0.000,	4.800,	''),
(7279,	2451,	1127,	1,	3,	3,	8342,	2.500,	0.00,	0.000,	2.500,	''),
(7280,	2451,	1514,	1,	7,	3,	8339,	1.900,	0.00,	0.000,	1.900,	''),
(7281,	2451,	1565,	5,	1,	3,	8340,	1.300,	0.00,	0.000,	5.850,	''),
(7282,	2452,	76,	1,	7,	12,	8344,	2.200,	0.00,	0.000,	2.200,	''),
(7283,	2452,	168,	1,	3,	3,	8350,	2.300,	0.00,	0.000,	2.300,	''),
(7284,	2452,	799,	1,	3,	3,	8349,	3.800,	0.00,	0.000,	3.800,	''),
(7285,	2452,	1131,	1,	3,	3,	8345,	3.800,	0.00,	0.000,	3.800,	''),
(7286,	2452,	1282,	1,	3,	23,	8347,	6.200,	0.00,	0.000,	6.200,	''),
(7287,	2452,	1353,	1,	3,	3,	8346,	5.200,	0.00,	0.000,	5.200,	''),
(7288,	2452,	1503,	1,	7,	3,	8343,	2.200,	0.00,	0.000,	2.200,	''),
(7289,	2452,	1584,	1,	3,	3,	8348,	5.200,	0.00,	0.000,	5.200,	''),
(7290,	2453,	31,	1,	7,	12,	8357,	2.200,	0.00,	0.000,	2.200,	''),
(7291,	2453,	168,	1,	3,	3,	8356,	2.300,	0.00,	0.000,	2.300,	''),
(7292,	2453,	933,	1,	7,	3,	8353,	3.800,	0.00,	0.000,	3.800,	''),
(7293,	2453,	1131,	1,	3,	6,	8355,	3.600,	0.00,	0.000,	3.600,	''),
(7294,	2453,	1138,	1,	3,	3,	8351,	2.000,	0.00,	0.000,	2.000,	''),
(7295,	2453,	1356,	1,	3,	3,	8354,	5.200,	0.00,	0.000,	5.200,	''),
(7296,	2453,	1503,	1,	7,	3,	8358,	2.200,	0.00,	0.000,	2.200,	''),
(7297,	2453,	1622,	1,	3,	3,	8352,	4.800,	0.00,	0.000,	4.800,	''),
(7298,	2454,	1127,	1,	3,	3,	8360,	2.500,	0.00,	0.000,	2.500,	''),
(7299,	2454,	1174,	1,	3,	3,	8359,	3.200,	0.00,	0.000,	3.200,	''),
(7304,	2455,	168,	1,	3,	3,	8365,	2.300,	0.00,	0.000,	2.300,	''),
(7305,	2456,	1071,	1,	3,	3,	8366,	2.800,	0.00,	0.000,	2.800,	''),
(7306,	2457,	57,	1,	7,	14,	8371,	2.100,	0.00,	0.000,	2.100,	''),
(7307,	2457,	168,	2,	3,	3,	8376,	2.300,	0.00,	0.000,	4.600,	''),
(7308,	2457,	279,	3,	4,	3,	8369,	0.500,	0.00,	0.000,	1.500,	''),
(7309,	2457,	799,	1,	3,	3,	8374,	3.800,	0.00,	0.000,	3.800,	''),
(7310,	2457,	1179,	3,	3,	3,	8375,	2.600,	0.00,	0.000,	7.800,	''),
(7311,	2457,	1201,	1,	3,	3,	8368,	4.000,	5.00,	0.200,	4.200,	''),
(7312,	2457,	1353,	1,	3,	3,	8373,	5.200,	0.00,	0.000,	5.200,	''),
(7313,	2457,	1514,	1,	7,	3,	8372,	2.200,	0.00,	0.000,	2.200,	''),
(7314,	2457,	1565,	4,	1,	3,	8370,	1.300,	0.00,	0.000,	4.680,	''),
(7315,	2457,	1587,	1,	3,	3,	8367,	5.200,	0.00,	0.000,	5.200,	''),
(7317,	2458,	1044,	2,	3,	3,	8378,	2.800,	0.00,	0.000,	5.600,	''),
(7318,	2459,	76,	1,	7,	14,	8379,	2.200,	0.00,	0.000,	2.200,	''),
(7336,	2460,	1344,	1,	3,	20,	8380,	3.500,	0.00,	0.000,	3.500,	''),
(7337,	2461,	876,	1,	3,	3,	8381,	4.000,	0.00,	0.000,	4.000,	''),
(7338,	2462,	858,	1,	3,	3,	8382,	4.000,	0.00,	0.000,	4.000,	''),
(7339,	2463,	420,	10,	3,	3,	8393,	1.600,	0.00,	0.000,	16.000,	''),
(7340,	2463,	528,	10,	3,	3,	8394,	2.400,	0.00,	0.000,	24.000,	''),
(7341,	2463,	766,	3,	3,	3,	8395,	2.300,	0.00,	0.000,	6.900,	''),
(7342,	2463,	799,	5,	3,	3,	8396,	3.200,	0.00,	0.000,	16.000,	''),
(7343,	2463,	1131,	2,	3,	6,	8397,	3.500,	0.00,	0.000,	7.000,	''),
(7344,	2464,	170,	5,	3,	3,	8399,	6.300,	0.00,	0.000,	31.500,	''),
(7345,	2464,	1570,	10,	4,	74,	8398,	1.900,	0.00,	0.000,	19.000,	''),
(7346,	2465,	1570,	2,	4,	74,	8400,	1.900,	0.00,	0.000,	3.800,	''),
(7347,	2466,	45,	1,	3,	7,	8402,	4.000,	0.00,	0.000,	4.000,	''),
(7348,	2466,	799,	1,	3,	3,	8401,	3.800,	0.00,	0.000,	3.800,	''),
(7349,	2467,	57,	1,	3,	15,	8403,	8.900,	0.00,	0.000,	8.900,	''),
(7350,	2467,	1514,	1,	3,	3,	8404,	7.500,	0.00,	0.000,	7.500,	''),
(7356,	2468,	76,	1,	7,	15,	8405,	2.200,	0.00,	0.000,	2.200,	''),
(7357,	2470,	1425,	1,	1,	3,	8407,	1.900,	0.00,	0.000,	1.900,	''),
(7364,	2469,	799,	2,	4,	5,	8406,	0.600,	0.00,	0.000,	1.200,	''),
(7365,	2471,	1127,	1,	3,	3,	8408,	2.500,	0.00,	0.000,	2.500,	''),
(7366,	2472,	1131,	1,	3,	6,	8409,	3.600,	0.00,	0.000,	3.600,	''),
(7367,	2473,	1514,	1,	7,	3,	8410,	2.100,	0.00,	0.000,	2.100,	''),
(7368,	2474,	682,	1,	3,	3,	8411,	10.600,	0.00,	0.000,	5.300,	''),
(7369,	2475,	170,	1,	3,	3,	8413,	6.300,	0.00,	0.000,	6.300,	''),
(7370,	2475,	836,	2,	3,	3,	8414,	6.500,	0.00,	0.000,	13.000,	''),
(7371,	2475,	1071,	1,	3,	3,	8412,	2.600,	0.00,	0.000,	2.600,	''),
(7372,	2476,	33,	2,	3,	4,	8416,	1.300,	0.00,	0.000,	2.600,	''),
(7373,	2476,	799,	2,	3,	3,	8415,	3.800,	0.00,	0.000,	7.600,	''),
(7374,	2476,	1344,	1,	3,	31,	8417,	3.500,	0.00,	0.000,	3.500,	''),
(7375,	2477,	1131,	1,	3,	6,	8418,	3.600,	0.00,	0.000,	3.600,	''),
(7376,	2478,	528,	1,	3,	3,	8419,	2.500,	0.00,	0.000,	2.500,	''),
(7377,	2479,	755,	1,	3,	3,	8420,	1.500,	0.00,	0.000,	1.500,	''),
(7378,	2480,	932,	1,	3,	24,	8424,	5.300,	0.00,	0.000,	5.300,	''),
(7379,	2480,	932,	6,	3,	79,	8425,	2.200,	0.00,	0.000,	13.200,	''),
(7380,	2480,	1610,	4,	3,	3,	8426,	3.800,	0.00,	0.000,	15.200,	''),
(7381,	2481,	1131,	1,	3,	3,	8427,	2.300,	0.00,	0.000,	2.300,	''),
(7382,	2482,	170,	3,	3,	4,	8457,	6.300,	0.00,	0.000,	18.900,	''),
(7383,	2482,	836,	3,	3,	3,	8458,	6.500,	0.00,	0.000,	19.500,	''),
(7384,	2482,	932,	3,	3,	79,	8459,	2.200,	0.00,	0.000,	6.600,	''),
(7385,	2482,	1160,	6,	3,	3,	8460,	2.600,	0.00,	0.000,	15.600,	''),
(7386,	2482,	1353,	3,	4,	3,	8461,	5.200,	0.00,	0.000,	15.600,	''),
(7387,	2482,	1587,	3,	3,	3,	8462,	5.000,	0.00,	0.000,	15.000,	''),
(7388,	2482,	1622,	3,	3,	3,	8463,	4.800,	0.00,	0.000,	14.400,	''),
(7389,	2483,	57,	1,	7,	16,	8432,	2.200,	0.00,	0.000,	2.200,	''),
(7390,	2483,	76,	1,	7,	14,	8431,	2.300,	0.00,	0.000,	2.300,	''),
(7391,	2483,	932,	1,	3,	79,	8434,	2.400,	0.00,	0.000,	2.400,	''),
(7392,	2483,	1098,	1,	3,	3,	8433,	6.900,	0.00,	0.000,	6.900,	''),
(7393,	2483,	1179,	1,	3,	3,	8436,	2.800,	0.00,	0.000,	2.800,	''),
(7394,	2483,	1201,	1,	3,	3,	8437,	4.200,	5.00,	0.210,	4.410,	''),
(7395,	2483,	1563,	2,	6,	111,	8430,	0.800,	0.00,	0.000,	1.600,	''),
(7396,	2483,	1622,	1,	3,	3,	8435,	4.800,	0.00,	0.000,	4.800,	''),
(7397,	2484,	1353,	1,	3,	3,	8438,	5.200,	0.00,	0.000,	5.200,	''),
(7398,	2485,	168,	1,	3,	3,	8445,	2.300,	0.00,	0.000,	2.300,	''),
(7399,	2485,	752,	1,	4,	23,	8446,	3.800,	0.00,	0.000,	3.800,	''),
(7400,	2485,	992,	1,	3,	3,	8447,	1.500,	0.00,	0.000,	1.500,	''),
(7401,	2485,	1071,	1,	3,	3,	8448,	2.800,	0.00,	0.000,	2.800,	''),
(7402,	2485,	1174,	1,	3,	3,	8449,	3.400,	0.00,	0.000,	3.400,	''),
(7403,	2485,	1344,	1,	3,	20,	8444,	3.800,	0.00,	0.000,	3.800,	''),
(7404,	2486,	21,	1,	3,	10,	8466,	9.400,	0.00,	0.000,	9.400,	''),
(7405,	2486,	21,	3,	7,	10,	8467,	2.350,	0.00,	0.000,	7.050,	''),
(7406,	2487,	178,	2,	1,	3,	8468,	1.200,	0.00,	0.000,	2.640,	''),
(7435,	2488,	1174,	1,	3,	3,	8469,	3.300,	0.00,	0.000,	3.300,	''),
(7436,	2490,	178,	3,	3,	3,	8482,	10.800,	0.00,	0.000,	32.400,	''),
(7437,	2490,	178,	1,	3,	3,	8483,	6.000,	0.00,	0.000,	6.000,	''),
(7438,	2489,	21,	1,	7,	8,	8476,	2.300,	0.00,	0.000,	2.300,	''),
(7439,	2489,	76,	1,	7,	13,	8471,	2.200,	0.00,	0.000,	2.200,	''),
(7440,	2489,	168,	1,	3,	3,	8478,	2.300,	0.00,	0.000,	2.300,	''),
(7441,	2489,	168,	1,	3,	4,	8477,	1.800,	0.00,	0.000,	1.800,	''),
(7442,	2489,	275,	2,	4,	5,	8480,	0.500,	0.00,	0.000,	1.000,	''),
(7443,	2489,	799,	1,	3,	3,	8473,	3.800,	0.00,	0.000,	3.800,	''),
(7444,	2489,	876,	1,	3,	3,	8472,	4.200,	0.00,	0.000,	4.200,	''),
(7445,	2489,	1174,	1,	3,	3,	8479,	3.400,	0.00,	0.000,	3.400,	''),
(7446,	2489,	1336,	1,	3,	29,	8470,	2.300,	0.00,	0.000,	2.300,	''),
(7447,	2489,	1353,	1,	3,	3,	8481,	5.200,	0.00,	0.000,	5.200,	''),
(7448,	2489,	1514,	1,	7,	3,	8475,	2.400,	0.00,	0.000,	2.400,	''),
(7449,	2489,	1622,	1,	3,	3,	8474,	4.800,	0.00,	0.000,	4.800,	''),
(7450,	2491,	1131,	4,	3,	3,	8486,	2.500,	0.00,	0.000,	10.000,	''),
(7451,	2491,	1514,	1,	7,	3,	8485,	2.300,	0.00,	0.000,	2.300,	''),
(7452,	2492,	1131,	3,	3,	3,	8487,	2.300,	0.00,	0.000,	6.900,	''),
(7453,	2493,	1353,	1,	3,	3,	8488,	5.200,	0.00,	0.000,	5.200,	''),
(7454,	2494,	932,	1,	6,	24,	8489,	1.000,	0.00,	0.000,	1.000,	''),
(7455,	2495,	168,	1,	3,	3,	8491,	2.300,	0.00,	0.000,	2.300,	''),
(7456,	2495,	767,	1,	3,	3,	8490,	2.300,	0.00,	0.000,	2.300,	''),
(7457,	2495,	799,	1,	3,	38,	8492,	3.800,	0.00,	0.000,	3.800,	''),
(7458,	2496,	420,	1,	3,	3,	8494,	1.600,	0.00,	0.000,	1.600,	''),
(7459,	2496,	520,	1,	3,	3,	8493,	2.500,	0.00,	0.000,	2.500,	''),
(7460,	2497,	848,	1,	4,	5,	8512,	0.600,	0.00,	0.000,	0.600,	''),
(7461,	2497,	1526,	1,	7,	3,	8513,	2.200,	0.00,	0.000,	2.200,	''),
(7462,	2498,	168,	1,	3,	3,	8508,	2.300,	0.00,	0.000,	2.300,	''),
(7463,	2498,	753,	1,	63,	3,	8509,	1.700,	0.00,	0.000,	1.700,	''),
(7464,	2498,	799,	1,	3,	38,	8510,	3.800,	0.00,	0.000,	3.800,	''),
(7465,	2498,	1344,	1,	3,	20,	8511,	3.800,	0.00,	0.000,	3.800,	''),
(7466,	2499,	932,	1,	6,	24,	8515,	1.000,	0.00,	0.000,	1.000,	''),
(7467,	2499,	1344,	2,	3,	100,	8517,	2.300,	0.00,	0.000,	4.600,	''),
(7468,	2499,	1563,	2,	6,	110,	8516,	0.800,	0.00,	0.000,	1.600,	''),
(7469,	2499,	1626,	1,	3,	71,	8514,	2.300,	0.00,	0.000,	2.300,	''),
(7470,	2500,	766,	1,	3,	3,	8523,	2.300,	0.00,	0.000,	2.300,	''),
(7471,	2500,	799,	1,	3,	38,	8524,	3.800,	0.00,	0.000,	3.800,	''),
(7472,	2500,	894,	1,	3,	3,	8525,	1.300,	0.00,	0.000,	1.300,	''),
(7473,	2500,	1131,	1,	3,	3,	8522,	2.500,	0.00,	0.000,	2.500,	''),
(7474,	2500,	1498,	1,	3,	3,	8526,	6.500,	0.00,	0.000,	6.500,	''),
(7475,	2501,	753,	1,	63,	3,	8527,	2.500,	0.00,	0.000,	2.500,	''),
(7476,	2502,	667,	1,	3,	3,	8528,	18.000,	0.00,	0.000,	9.000,	''),
(7477,	2503,	1514,	1,	7,	3,	8529,	2.200,	0.00,	0.000,	2.200,	''),
(7478,	2504,	1138,	1,	3,	3,	8530,	2.200,	0.00,	0.000,	2.200,	''),
(7479,	2505,	799,	1,	3,	3,	8531,	3.800,	0.00,	0.000,	3.800,	''),
(7480,	2505,	1767,	2,	3,	3,	8532,	0.900,	0.00,	0.000,	1.800,	''),
(7481,	2507,	275,	1,	3,	3,	8554,	4.800,	0.00,	0.000,	4.800,	''),
(7482,	2507,	799,	1,	3,	38,	8553,	3.400,	0.00,	0.000,	3.400,	''),
(7483,	2506,	57,	1,	7,	12,	8534,	2.200,	0.00,	0.000,	2.200,	''),
(7484,	2506,	168,	1,	3,	3,	8538,	2.300,	0.00,	0.000,	2.300,	''),
(7485,	2506,	932,	1,	3,	79,	8535,	2.200,	0.00,	0.000,	2.200,	''),
(7486,	2506,	1166,	2,	3,	3,	8537,	2.600,	0.00,	0.000,	5.200,	''),
(7487,	2506,	1344,	1,	3,	20,	8533,	3.800,	0.00,	0.000,	3.800,	''),
(7488,	2506,	1491,	1,	3,	3,	8536,	1.400,	0.00,	0.000,	1.400,	''),
(7489,	2508,	33,	1,	3,	4,	8542,	1.400,	0.00,	0.000,	1.400,	''),
(7490,	2508,	799,	1,	3,	38,	8541,	3.400,	0.00,	0.000,	3.400,	''),
(7491,	2508,	1071,	1,	3,	3,	8543,	2.800,	0.00,	0.000,	2.800,	''),
(7492,	2508,	1355,	1,	3,	4,	8540,	1.800,	0.00,	0.000,	1.800,	''),
(7493,	2509,	799,	1,	3,	38,	8544,	3.800,	0.00,	0.000,	3.800,	''),
(7494,	2510,	1071,	1,	3,	3,	8545,	2.600,	0.00,	0.000,	2.600,	''),
(7495,	2511,	45,	1,	3,	7,	8546,	4.200,	0.00,	0.000,	4.200,	''),
(7496,	2511,	799,	1,	3,	3,	8549,	3.800,	0.00,	0.000,	3.800,	''),
(7497,	2511,	932,	1,	3,	79,	8548,	2.200,	0.00,	0.000,	2.200,	''),
(7498,	2511,	1344,	1,	3,	20,	8550,	3.800,	0.00,	0.000,	3.800,	''),
(7499,	2511,	1579,	1,	3,	3,	8547,	4.200,	0.00,	0.000,	4.200,	''),
(7500,	2612,	848,	2,	3,	38,	8926,	4.200,	0.00,	0.000,	8.400,	''),
(7501,	2513,	168,	1,	3,	3,	8556,	2.300,	0.00,	0.000,	2.300,	''),
(7502,	2513,	799,	1,	3,	3,	8557,	3.800,	0.00,	0.000,	3.800,	''),
(7503,	2513,	932,	1,	3,	79,	8555,	2.200,	0.00,	0.000,	2.200,	''),
(7504,	2514,	168,	1,	3,	3,	8561,	2.300,	0.00,	0.000,	2.300,	''),
(7505,	2514,	799,	2,	3,	38,	8563,	3.800,	0.00,	0.000,	7.600,	''),
(7506,	2514,	932,	1,	6,	24,	8559,	1.000,	0.00,	0.000,	1.000,	''),
(7507,	2514,	1138,	1,	3,	3,	8560,	2.200,	0.00,	0.000,	2.200,	''),
(7508,	2514,	1526,	1,	7,	3,	8558,	2.000,	0.00,	0.000,	2.000,	''),
(7509,	2514,	1587,	1,	3,	3,	8562,	5.000,	0.00,	0.000,	5.000,	''),
(7510,	2515,	45,	1,	3,	7,	8566,	4.200,	0.00,	0.000,	4.200,	''),
(7511,	2515,	932,	1,	3,	79,	8564,	2.200,	0.00,	0.000,	2.200,	''),
(7512,	2515,	1626,	1,	3,	71,	8565,	2.300,	0.00,	0.000,	2.300,	''),
(7513,	2512,	168,	1,	3,	3,	8551,	2.200,	0.00,	0.000,	2.200,	''),
(7514,	2516,	932,	1,	7,	24,	8567,	1.000,	0.00,	0.000,	1.000,	''),
(7515,	2517,	170,	1,	3,	3,	8568,	6.400,	0.00,	0.000,	6.400,	''),
(7516,	2517,	799,	1,	3,	3,	8571,	3.500,	0.00,	0.000,	3.500,	''),
(7517,	2517,	1344,	2,	3,	72,	8570,	2.200,	0.00,	0.000,	4.400,	''),
(7518,	2517,	1353,	1,	3,	3,	8569,	5.200,	0.00,	0.000,	5.200,	''),
(7519,	2517,	1622,	1,	3,	3,	8572,	4.800,	0.00,	0.000,	4.800,	''),
(7520,	2518,	1071,	1,	3,	3,	8573,	2.600,	0.00,	0.000,	2.600,	''),
(7521,	2519,	168,	1,	3,	3,	8574,	2.300,	0.00,	0.000,	2.300,	''),
(7522,	2520,	1071,	1,	3,	3,	8575,	2.600,	0.00,	0.000,	2.600,	''),
(7523,	2521,	1071,	1,	3,	3,	8576,	2.600,	0.00,	0.000,	2.600,	''),
(7524,	2522,	170,	1,	3,	2,	8577,	6.400,	0.00,	0.000,	6.400,	''),
(7525,	2523,	932,	6,	3,	79,	8579,	2.200,	0.00,	0.000,	13.200,	''),
(7526,	2523,	1390,	3,	1,	3,	8578,	0.600,	5.00,	0.087,	1.827,	''),
(7527,	2524,	57,	1,	6,	11,	8591,	2.200,	0.00,	0.000,	2.200,	''),
(7528,	2524,	170,	1,	3,	3,	8592,	6.300,	0.00,	0.000,	6.300,	''),
(7529,	2524,	1169,	1,	3,	3,	8593,	2.200,	0.00,	0.000,	2.200,	''),
(7530,	2524,	1344,	1,	3,	20,	8594,	3.800,	0.00,	0.000,	3.800,	''),
(7531,	2524,	1526,	1,	7,	3,	8595,	2.200,	0.00,	0.000,	2.200,	''),
(7532,	2524,	1622,	1,	3,	3,	8596,	4.800,	0.00,	0.000,	4.800,	''),
(7533,	2525,	76,	1,	7,	12,	8588,	2.200,	0.00,	0.000,	2.200,	''),
(7534,	2525,	799,	1,	3,	38,	8590,	3.400,	0.00,	0.000,	3.400,	''),
(7535,	2525,	1127,	1,	3,	3,	8589,	2.600,	0.00,	0.000,	2.600,	''),
(7536,	2525,	1353,	1,	3,	3,	8587,	5.200,	0.00,	0.000,	5.200,	''),
(7537,	2526,	799,	1,	3,	3,	8599,	3.800,	0.00,	0.000,	3.800,	''),
(7538,	2526,	894,	2,	3,	3,	8600,	1.300,	0.00,	0.000,	2.600,	''),
(7539,	2526,	932,	1,	3,	79,	8598,	2.200,	0.00,	0.000,	2.200,	''),
(7540,	2526,	1344,	1,	3,	72,	8597,	2.300,	0.00,	0.000,	2.300,	''),
(7541,	2527,	168,	1,	3,	3,	8601,	1.700,	0.00,	0.000,	1.700,	''),
(7542,	2527,	1626,	1,	3,	71,	8602,	2.300,	0.00,	0.000,	2.300,	''),
(7543,	2528,	894,	1,	3,	3,	8604,	1.300,	0.00,	0.000,	1.300,	''),
(7544,	2528,	932,	1,	3,	79,	8603,	2.200,	0.00,	0.000,	2.200,	''),
(7545,	2529,	1355,	1,	3,	4,	8605,	1.800,	0.00,	0.000,	1.800,	''),
(7546,	2530,	1626,	1,	3,	71,	8606,	2.300,	0.00,	0.000,	2.300,	''),
(7547,	2531,	682,	1,	3,	3,	8607,	10.600,	0.00,	0.000,	10.600,	''),
(7548,	2531,	753,	2,	63,	3,	8610,	1.600,	0.00,	0.000,	3.200,	''),
(7549,	2531,	766,	2,	3,	3,	8609,	2.300,	0.00,	0.000,	4.600,	''),
(7550,	2531,	1071,	2,	3,	3,	8608,	2.600,	0.00,	0.000,	5.200,	''),
(7551,	2532,	932,	2,	3,	79,	8611,	2.300,	0.00,	0.000,	4.600,	''),
(7552,	2533,	1425,	0,	1,	3,	8617,	2.000,	0.00,	0.000,	0.600,	''),
(7553,	2534,	76,	2,	7,	12,	8613,	2.200,	0.00,	0.000,	4.400,	''),
(7554,	2534,	799,	2,	3,	38,	8614,	3.800,	0.00,	0.000,	7.600,	''),
(7555,	2534,	1344,	1,	3,	20,	8615,	3.800,	0.00,	0.000,	3.800,	''),
(7556,	2535,	66,	1,	3,	9,	8620,	12.800,	0.00,	0.000,	12.800,	''),
(7557,	2535,	1098,	1,	3,	3,	8619,	6.500,	0.00,	0.000,	6.500,	''),
(7558,	2535,	1587,	1,	3,	3,	8618,	5.200,	0.00,	0.000,	5.200,	''),
(7559,	2536,	82,	2,	3,	4,	8627,	1.300,	0.00,	0.000,	2.600,	''),
(7560,	2536,	168,	2,	3,	3,	8628,	2.300,	0.00,	0.000,	4.600,	''),
(7561,	2536,	1127,	3,	3,	3,	8629,	2.600,	0.00,	0.000,	7.800,	''),
(7562,	2536,	1344,	3,	3,	4,	8630,	1.800,	0.00,	0.000,	5.400,	''),
(7563,	2536,	1470,	3,	7,	3,	8631,	2.200,	0.00,	0.000,	6.600,	''),
(7564,	2536,	1587,	1,	3,	3,	8632,	5.200,	0.00,	0.000,	5.200,	''),
(7565,	2538,	799,	1,	3,	38,	8635,	3.800,	0.00,	0.000,	3.800,	''),
(7566,	2538,	1166,	1,	3,	3,	8638,	2.600,	0.00,	0.000,	2.600,	''),
(7567,	2538,	1174,	1,	3,	3,	8639,	3.400,	0.00,	0.000,	3.400,	''),
(7568,	2538,	1353,	1,	3,	3,	8640,	5.200,	0.00,	0.000,	5.200,	''),
(7569,	2538,	1514,	1,	7,	3,	8637,	2.200,	0.00,	0.000,	2.200,	''),
(7570,	2538,	1587,	1,	3,	3,	8634,	5.200,	0.00,	0.000,	5.200,	''),
(7571,	2538,	1622,	1,	3,	3,	8636,	4.800,	0.00,	0.000,	4.800,	''),
(7572,	2537,	1659,	1,	63,	3,	8633,	2.000,	0.00,	0.000,	2.000,	''),
(7573,	2539,	33,	30,	3,	4,	8649,	1.300,	0.00,	0.000,	39.000,	''),
(7574,	2539,	742,	5,	3,	3,	8650,	10.500,	0.00,	0.000,	52.500,	''),
(7575,	2539,	1098,	5,	3,	3,	8651,	6.500,	0.00,	0.000,	32.500,	''),
(7576,	2539,	1622,	5,	3,	3,	8652,	4.800,	0.00,	0.000,	24.000,	''),
(7577,	2540,	1570,	30,	4,	3,	8653,	1.850,	0.00,	0.000,	55.500,	''),
(7578,	2541,	876,	20,	3,	3,	8655,	4.000,	0.00,	0.000,	80.000,	''),
(7579,	2542,	676,	1,	3,	3,	8658,	12.500,	0.00,	0.000,	12.500,	''),
(7580,	2542,	753,	1,	63,	3,	8657,	1.600,	0.00,	0.000,	1.600,	''),
(7581,	2542,	766,	1,	3,	3,	8656,	2.200,	0.00,	0.000,	2.200,	''),
(7582,	2543,	1353,	1,	3,	3,	8661,	5.400,	0.00,	0.000,	5.400,	''),
(7583,	2544,	282,	1,	3,	33,	8682,	18.800,	0.00,	0.000,	18.800,	''),
(7584,	2544,	285,	1,	4,	3,	8683,	1.900,	0.00,	0.000,	1.900,	''),
(7585,	2544,	288,	1,	4,	3,	8684,	1.700,	0.00,	0.000,	1.700,	''),
(7586,	2544,	423,	1,	3,	3,	8685,	1.800,	0.00,	0.000,	1.800,	''),
(7587,	2544,	528,	1,	3,	3,	8686,	2.500,	0.00,	0.000,	2.500,	''),
(7588,	2544,	1071,	1,	3,	3,	8687,	2.600,	0.00,	0.000,	2.600,	''),
(7589,	2544,	1131,	2,	3,	6,	8688,	3.500,	0.00,	0.000,	7.000,	''),
(7590,	2544,	1514,	1,	3,	3,	8689,	7.800,	0.00,	0.000,	7.800,	''),
(7591,	2544,	1563,	1,	3,	111,	8690,	5.800,	0.00,	0.000,	5.800,	''),
(7592,	2544,	1626,	2,	3,	71,	8691,	2.100,	0.00,	0.000,	4.200,	''),
(7593,	2715,	152,	5,	1,	3,	9268,	1.200,	0.00,	0.000,	6.360,	''),
(7594,	2715,	1514,	1,	7,	3,	9269,	2.200,	0.00,	0.000,	2.200,	''),
(7595,	2714,	168,	2,	3,	3,	9260,	2.300,	0.00,	0.000,	4.600,	''),
(7596,	2714,	170,	1,	3,	3,	9261,	6.300,	0.00,	0.000,	6.300,	''),
(7597,	2714,	1563,	3,	6,	110,	9259,	0.800,	0.00,	0.000,	2.400,	''),
(7598,	2713,	57,	1,	3,	13,	9263,	9.000,	0.00,	0.000,	9.000,	''),
(7599,	2713,	170,	1,	3,	3,	9262,	6.300,	0.00,	0.000,	6.300,	''),
(7600,	2712,	1978,	1,	63,	3,	9257,	2.200,	5.00,	0.110,	2.310,	''),
(7601,	2711,	799,	1,	3,	38,	9256,	3.800,	0.00,	0.000,	3.800,	''),
(7602,	2711,	876,	1,	3,	3,	9255,	4.400,	0.00,	0.000,	4.400,	''),
(7603,	2710,	876,	1,	3,	3,	9253,	4.000,	0.00,	0.000,	4.000,	''),
(7604,	2710,	1626,	1,	3,	71,	9254,	2.300,	0.00,	0.000,	2.300,	''),
(7605,	2709,	836,	1,	3,	3,	9252,	7.000,	0.00,	0.000,	7.000,	''),
(7606,	2708,	1174,	1,	3,	3,	9249,	3.200,	0.00,	0.000,	3.200,	''),
(7607,	2707,	742,	1,	4,	74,	9248,	1.800,	0.00,	0.000,	1.800,	''),
(7608,	2706,	1260,	1,	3,	3,	9251,	3.800,	5.00,	0.190,	3.990,	''),
(7609,	2705,	753,	2,	63,	2,	9245,	2.600,	0.00,	0.000,	5.200,	''),
(7610,	2705,	1839,	3,	63,	3,	9246,	1.700,	5.00,	0.255,	5.355,	''),
(7611,	2704,	57,	1,	3,	15,	9243,	9.000,	0.00,	0.000,	9.000,	''),
(7612,	2704,	676,	1,	3,	3,	9244,	12.200,	0.00,	0.000,	12.200,	''),
(7613,	2704,	1514,	1,	3,	3,	9242,	7.500,	0.00,	0.000,	7.500,	''),
(7614,	2703,	742,	2,	4,	74,	9241,	1.800,	0.00,	0.000,	3.600,	''),
(7615,	2702,	31,	1,	7,	15,	9237,	2.200,	0.00,	0.000,	2.200,	''),
(7616,	2702,	420,	1,	3,	3,	9231,	1.800,	0.00,	0.000,	1.800,	''),
(7617,	2702,	427,	1,	4,	3,	9234,	0.600,	0.00,	0.000,	0.600,	''),
(7618,	2702,	799,	2,	4,	5,	9238,	0.600,	0.00,	0.000,	1.200,	''),
(7619,	2702,	848,	1,	4,	5,	9233,	0.600,	0.00,	0.000,	0.600,	''),
(7620,	2702,	894,	1,	3,	3,	9232,	1.300,	0.00,	0.000,	1.300,	''),
(7621,	2702,	1071,	1,	3,	3,	9239,	2.700,	0.00,	0.000,	2.700,	''),
(7622,	2702,	1131,	1,	3,	3,	9236,	2.600,	0.00,	0.000,	2.600,	''),
(7623,	2702,	1356,	1,	3,	3,	9240,	5.200,	0.00,	0.000,	5.200,	''),
(7624,	2702,	1470,	1,	7,	3,	9230,	2.300,	0.00,	0.000,	2.300,	''),
(7625,	2702,	1570,	2,	4,	3,	9235,	2.000,	0.00,	0.000,	4.000,	''),
(7626,	2701,	548,	0,	1,	3,	9228,	8.000,	0.00,	0.000,	0.800,	''),
(7627,	2701,	1553,	2,	4,	3,	9229,	0.650,	0.00,	0.000,	1.300,	''),
(7628,	2700,	1251,	2,	3,	3,	9227,	3.800,	5.00,	0.380,	7.980,	''),
(7629,	2699,	799,	3,	3,	3,	9226,	3.700,	0.00,	0.000,	11.100,	''),
(7630,	2697,	876,	1,	3,	3,	9224,	4.200,	0.00,	0.000,	4.200,	''),
(7631,	2696,	799,	1,	3,	3,	9223,	3.700,	0.00,	0.000,	3.700,	''),
(7632,	2695,	1649,	1,	63,	2,	9220,	3.900,	0.00,	0.000,	3.900,	''),
(7633,	2694,	1251,	1,	3,	3,	9219,	4.000,	5.00,	0.200,	4.200,	''),
(7634,	2692,	753,	1,	63,	3,	9217,	1.700,	0.00,	0.000,	1.700,	''),
(7635,	2693,	1425,	2,	1,	3,	9221,	1.900,	0.00,	0.000,	3.800,	''),
(7636,	2691,	1131,	2,	3,	3,	9216,	2.600,	0.00,	0.000,	5.200,	''),
(7637,	2690,	808,	1,	10,	3,	9215,	7.000,	0.00,	0.000,	7.000,	''),
(7638,	2689,	766,	2,	3,	3,	9214,	2.300,	0.00,	0.000,	4.600,	''),
(7639,	2688,	848,	3,	3,	5,	9203,	5.800,	0.00,	0.000,	17.400,	''),
(7640,	2687,	85,	2,	3,	4,	9204,	1.200,	0.00,	0.000,	2.400,	''),
(7641,	2687,	683,	1,	3,	3,	9205,	10.600,	0.00,	0.000,	5.300,	''),
(7642,	2687,	799,	1,	3,	3,	9206,	4.200,	0.00,	0.000,	4.200,	''),
(7643,	2687,	894,	1,	3,	3,	9207,	1.300,	0.00,	0.000,	1.300,	''),
(7644,	2687,	1344,	2,	3,	29,	9208,	2.200,	0.00,	0.000,	4.400,	''),
(7645,	2687,	1491,	1,	3,	3,	9209,	1.400,	0.00,	0.000,	1.400,	''),
(7646,	2687,	1626,	1,	3,	71,	9210,	2.200,	0.00,	0.000,	2.200,	''),
(7647,	2687,	1766,	2,	3,	3,	9211,	0.900,	0.00,	0.000,	1.800,	''),
(7648,	2686,	170,	1,	3,	3,	9178,	6.300,	0.00,	0.000,	6.300,	''),
(7649,	2686,	420,	1,	3,	3,	9171,	1.600,	0.00,	0.000,	1.600,	''),
(7650,	2686,	766,	1,	3,	3,	9172,	2.300,	0.00,	0.000,	2.300,	''),
(7651,	2686,	972,	1,	3,	3,	9175,	3.600,	0.00,	0.000,	3.600,	''),
(7652,	2686,	1071,	1,	3,	3,	9174,	2.500,	0.00,	0.000,	2.500,	''),
(7653,	2686,	1127,	2,	3,	3,	9176,	2.300,	0.00,	0.000,	4.600,	''),
(7654,	2686,	1179,	4,	3,	3,	9177,	2.400,	0.00,	0.000,	9.600,	''),
(7655,	2686,	1622,	1,	3,	3,	9173,	4.800,	0.00,	0.000,	4.800,	''),
(7656,	2683,	742,	2,	3,	74,	9157,	10.500,	0.00,	0.000,	21.000,	''),
(7657,	2684,	682,	1,	3,	3,	9169,	10.700,	0.00,	0.000,	10.700,	''),
(7658,	2682,	1289,	2,	63,	3,	9156,	6.800,	0.00,	0.000,	13.600,	''),
(7659,	2681,	1251,	4,	4,	3,	9155,	0.500,	5.00,	0.100,	2.100,	''),
(7660,	2633,	799,	2,	3,	38,	8992,	3.800,	0.00,	0.000,	7.600,	''),
(7661,	2633,	1127,	3,	3,	3,	8993,	2.500,	0.00,	0.000,	7.500,	''),
(7662,	2633,	1353,	1,	3,	3,	8994,	5.200,	0.00,	0.000,	5.200,	''),
(7663,	2633,	1659,	1,	63,	3,	8995,	0.800,	0.00,	0.000,	0.800,	''),
(7664,	2634,	528,	1,	3,	3,	8990,	2.500,	0.00,	0.000,	2.500,	''),
(7665,	2635,	894,	1,	3,	3,	8991,	1.400,	0.00,	0.000,	1.400,	''),
(7666,	2636,	1312,	1,	63,	84,	8996,	2.500,	0.00,	0.000,	2.500,	''),
(7667,	2637,	57,	1,	3,	13,	8997,	9.000,	0.00,	0.000,	9.000,	''),
(7668,	2638,	45,	1,	3,	7,	9000,	4.500,	0.00,	0.000,	4.500,	''),
(7669,	2638,	799,	1,	3,	38,	8999,	3.800,	0.00,	0.000,	3.800,	''),
(7670,	2638,	1344,	1,	3,	29,	8998,	2.300,	0.00,	0.000,	2.300,	''),
(7671,	2639,	33,	80,	3,	4,	9002,	1.125,	0.00,	0.000,	90.000,	''),
(7672,	2640,	676,	1,	3,	3,	9003,	12.200,	0.00,	0.000,	6.100,	''),
(7673,	2641,	752,	1,	3,	23,	9005,	14.200,	0.00,	0.000,	14.200,	''),
(7674,	2641,	1201,	1,	3,	3,	9004,	4.000,	5.00,	0.200,	4.200,	''),
(7675,	2642,	799,	1,	4,	5,	9006,	0.600,	0.00,	0.000,	0.600,	''),
(7676,	2642,	1131,	1,	3,	3,	9007,	2.300,	0.00,	0.000,	2.300,	''),
(7677,	2643,	752,	1,	4,	3,	9008,	3.600,	0.00,	0.000,	3.600,	''),
(7678,	2644,	551,	1,	63,	3,	9009,	3.950,	5.00,	0.198,	4.148,	''),
(7701,	2651,	420,	3,	3,	3,	9044,	1.600,	0.00,	0.000,	4.800,	''),
(7702,	2651,	848,	2,	3,	38,	9045,	4.200,	0.00,	0.000,	8.400,	''),
(7703,	2651,	1071,	2,	3,	3,	9046,	2.600,	0.00,	0.000,	5.200,	''),
(7704,	2651,	1344,	2,	3,	29,	9047,	2.300,	0.00,	0.000,	4.600,	''),
(7705,	2651,	1622,	1,	3,	3,	9048,	4.800,	0.00,	0.000,	4.800,	''),
(7706,	2650,	933,	1,	3,	3,	9025,	3.900,	0.00,	0.000,	3.900,	''),
(7707,	2650,	1498,	1,	3,	3,	9026,	6.800,	0.00,	0.000,	6.800,	''),
(7708,	2649,	420,	2,	3,	3,	9023,	1.600,	0.00,	0.000,	3.200,	''),
(7709,	2649,	676,	1,	3,	3,	9024,	12.200,	0.00,	0.000,	6.100,	''),
(7710,	2649,	753,	1,	63,	3,	9022,	1.600,	0.00,	0.000,	1.600,	''),
(7711,	2652,	65,	2,	3,	8,	9032,	12.500,	0.00,	0.000,	25.000,	''),
(7712,	2652,	282,	1,	3,	33,	9035,	18.800,	0.00,	0.000,	18.800,	''),
(7713,	2652,	288,	12,	4,	3,	9031,	1.800,	0.00,	0.000,	21.600,	''),
(7714,	2652,	933,	2,	7,	3,	9033,	3.800,	0.00,	0.000,	7.600,	''),
(7715,	2652,	1203,	4,	3,	3,	9034,	4.200,	5.00,	0.840,	17.640,	''),
(7716,	2654,	528,	4,	3,	3,	9055,	2.500,	0.00,	0.000,	10.000,	''),
(7717,	2658,	58,	1,	3,	13,	9115,	9.200,	0.00,	0.000,	9.200,	''),
(7718,	2658,	753,	2,	63,	3,	9116,	1.600,	0.00,	0.000,	3.200,	''),
(7719,	2658,	767,	1,	3,	3,	9117,	2.300,	0.00,	0.000,	2.300,	''),
(7720,	2658,	799,	1,	3,	38,	9118,	3.800,	0.00,	0.000,	3.800,	''),
(7721,	2658,	1344,	1,	3,	20,	9119,	3.800,	0.00,	0.000,	3.800,	''),
(7722,	2658,	1491,	2,	3,	3,	9120,	1.400,	0.00,	0.000,	2.800,	''),
(7723,	2659,	848,	1,	3,	38,	9082,	4.200,	0.00,	0.000,	4.200,	''),
(7724,	2660,	279,	1,	3,	5,	9088,	4.800,	0.00,	0.000,	4.800,	''),
(7725,	2660,	752,	2,	4,	3,	9084,	3.800,	0.00,	0.000,	7.600,	''),
(7726,	2660,	848,	1,	3,	3,	9086,	4.200,	0.00,	0.000,	4.200,	''),
(7727,	2660,	1080,	1,	3,	3,	9089,	3.800,	0.00,	0.000,	3.800,	''),
(7728,	2660,	1098,	1,	3,	3,	9087,	6.500,	0.00,	0.000,	6.500,	''),
(7729,	2660,	1131,	4,	3,	3,	9091,	2.400,	0.00,	0.000,	9.600,	''),
(7730,	2660,	1179,	1,	3,	3,	9083,	2.500,	0.00,	0.000,	2.500,	''),
(7731,	2660,	1201,	1,	3,	3,	9090,	4.000,	5.00,	0.200,	4.200,	''),
(7732,	2660,	1353,	1,	3,	3,	9092,	5.200,	0.00,	0.000,	5.200,	''),
(7733,	2660,	1491,	3,	3,	3,	9093,	1.600,	0.00,	0.000,	4.800,	''),
(7734,	2660,	1570,	10,	4,	74,	9085,	1.900,	0.00,	0.000,	19.000,	''),
(7735,	2545,	932,	10,	3,	24,	8695,	5.500,	0.00,	0.000,	55.000,	''),
(7736,	2545,	1353,	20,	3,	3,	8696,	5.100,	0.00,	0.000,	102.000,	''),
(7737,	2546,	33,	2,	3,	11,	8694,	6.500,	0.00,	0.000,	13.000,	''),
(7738,	2547,	170,	1,	3,	3,	8698,	6.300,	0.00,	0.000,	6.300,	''),
(7739,	2547,	528,	1,	3,	3,	8697,	2.500,	0.00,	0.000,	2.500,	''),
(7740,	2547,	753,	5,	63,	3,	8703,	1.600,	0.00,	0.000,	8.000,	''),
(7741,	2547,	766,	1,	3,	3,	8701,	2.300,	0.00,	0.000,	2.300,	''),
(7742,	2547,	799,	1,	3,	5,	8699,	5.900,	0.00,	0.000,	5.900,	''),
(7743,	2547,	848,	1,	3,	3,	8700,	5.900,	0.00,	0.000,	5.900,	''),
(7744,	2547,	932,	1,	3,	24,	8702,	5.300,	0.00,	0.000,	5.300,	''),
(7745,	2547,	1071,	3,	3,	3,	8704,	2.600,	0.00,	0.000,	7.800,	''),
(7746,	2548,	758,	1,	63,	3,	8705,	2.500,	0.00,	0.000,	2.500,	''),
(7747,	2549,	73,	2,	3,	9,	8753,	10.800,	0.00,	0.000,	21.600,	''),
(7748,	2549,	170,	2,	3,	3,	8754,	6.300,	0.00,	0.000,	12.600,	''),
(7749,	2549,	807,	2,	3,	3,	8755,	14.200,	0.00,	0.000,	28.400,	''),
(7750,	2549,	1071,	1,	3,	3,	8756,	2.800,	0.00,	0.000,	2.800,	''),
(7751,	2549,	1127,	2,	3,	3,	8757,	2.800,	0.00,	0.000,	5.600,	''),
(7752,	2549,	1166,	2,	3,	3,	8758,	2.600,	0.00,	0.000,	5.200,	''),
(7753,	2549,	1353,	5,	3,	3,	8759,	5.200,	0.00,	0.000,	26.000,	''),
(7754,	2549,	1514,	2,	3,	3,	8760,	7.800,	0.00,	0.000,	15.600,	''),
(7755,	2550,	932,	1,	3,	3,	8714,	2.200,	0.00,	0.000,	2.200,	''),
(7756,	2550,	1344,	1,	3,	20,	8715,	3.600,	0.00,	0.000,	3.600,	''),
(7757,	2551,	799,	1,	3,	3,	8735,	3.700,	0.00,	0.000,	3.700,	''),
(7758,	2551,	1071,	1,	3,	3,	8736,	2.600,	0.00,	0.000,	2.600,	''),
(7759,	2551,	1344,	1,	3,	25,	8734,	3.800,	0.00,	0.000,	3.800,	''),
(7760,	2552,	1098,	2,	3,	3,	8719,	6.500,	0.00,	0.000,	13.000,	''),
(7761,	2553,	1353,	4,	3,	3,	8720,	5.200,	0.00,	0.000,	20.800,	''),
(7762,	2554,	57,	1,	3,	14,	8765,	9.200,	0.00,	0.000,	9.200,	''),
(7763,	2554,	168,	2,	3,	3,	8766,	2.300,	0.00,	0.000,	4.600,	''),
(7764,	2554,	279,	1,	3,	5,	8767,	4.600,	0.00,	0.000,	4.600,	''),
(7765,	2554,	932,	2,	3,	79,	8764,	2.300,	0.00,	0.000,	4.600,	''),
(7766,	2554,	1071,	2,	3,	3,	8768,	2.900,	0.00,	0.000,	5.800,	''),
(7767,	2554,	1166,	8,	3,	3,	8763,	2.600,	0.00,	0.000,	20.800,	''),
(7768,	2554,	1344,	5,	3,	20,	8769,	3.500,	0.00,	0.000,	17.500,	''),
(7769,	2554,	1425,	6,	1,	3,	8770,	1.900,	0.00,	0.000,	11.400,	''),
(7770,	2554,	1442,	1,	3,	23,	8762,	5.200,	0.00,	0.000,	5.200,	''),
(7771,	2554,	1526,	1,	3,	3,	8771,	7.500,	0.00,	0.000,	7.500,	''),
(7772,	2554,	1563,	4,	3,	111,	8772,	6.000,	0.00,	0.000,	24.000,	''),
(7773,	2554,	1610,	1,	3,	3,	8773,	4.800,	0.00,	0.000,	4.800,	''),
(7774,	2554,	1626,	2,	3,	71,	8774,	2.200,	0.00,	0.000,	4.400,	''),
(7775,	2554,	1766,	3,	3,	3,	8775,	1.000,	0.00,	0.000,	3.000,	''),
(7776,	2555,	799,	1,	3,	3,	8738,	3.800,	0.00,	0.000,	3.800,	''),
(7777,	2555,	1626,	1,	3,	111,	8737,	2.200,	0.00,	0.000,	2.200,	''),
(7778,	2556,	147,	2,	1,	3,	8739,	4.200,	0.00,	0.000,	6.300,	''),
(7779,	2557,	1570,	10,	4,	3,	8740,	1.900,	0.00,	0.000,	19.000,	''),
(7780,	2559,	1251,	2,	3,	3,	8761,	3.850,	5.00,	0.385,	8.085,	''),
(7781,	2560,	1353,	6,	3,	3,	8776,	5.200,	0.00,	0.000,	31.200,	''),
(7782,	2561,	1229,	1,	3,	3,	8777,	3.850,	5.00,	0.193,	4.043,	''),
(7783,	2562,	1353,	1,	3,	3,	8778,	5.200,	0.00,	0.000,	5.200,	''),
(7784,	2563,	799,	2,	3,	3,	8780,	3.800,	0.00,	0.000,	7.600,	''),
(7785,	2563,	932,	1,	6,	24,	8779,	0.900,	0.00,	0.000,	0.900,	''),
(7786,	2563,	1491,	2,	3,	3,	8781,	1.450,	0.00,	0.000,	2.900,	''),
(7787,	2564,	285,	2,	4,	3,	8782,	1.900,	0.00,	0.000,	3.800,	''),
(7788,	2564,	288,	2,	4,	3,	8783,	1.700,	0.00,	0.000,	3.400,	''),
(7795,	2558,	682,	1,	3,	3,	8747,	10.600,	0.00,	0.000,	10.600,	''),
(7796,	2558,	753,	1,	3,	5,	8748,	4.700,	0.00,	0.000,	4.700,	''),
(7797,	2558,	753,	1,	63,	3,	8749,	2.100,	0.00,	0.000,	2.100,	''),
(7798,	2558,	799,	1,	3,	5,	8750,	5.800,	0.00,	0.000,	5.800,	''),
(7799,	2558,	992,	1,	3,	3,	8751,	1.500,	0.00,	0.000,	1.500,	''),
(7800,	2558,	1071,	1,	3,	3,	8752,	2.600,	0.00,	0.000,	2.600,	''),
(7801,	2583,	932,	2,	3,	79,	8856,	2.100,	0.00,	0.000,	4.200,	''),
(7802,	2584,	876,	3,	10,	3,	8852,	4.000,	0.00,	0.000,	12.000,	''),
(7803,	2584,	933,	3,	7,	3,	8851,	3.800,	0.00,	0.000,	11.400,	''),
(7804,	2584,	1071,	2,	3,	3,	8849,	2.500,	0.00,	0.000,	5.000,	''),
(7805,	2584,	1353,	3,	3,	3,	8853,	5.200,	0.00,	0.000,	15.600,	''),
(7806,	2584,	1514,	1,	3,	3,	8850,	7.500,	0.00,	0.000,	7.500,	''),
(7807,	2585,	393,	1,	3,	3,	8855,	3.800,	0.00,	0.000,	3.800,	''),
(7808,	2585,	1587,	1,	3,	3,	8854,	5.200,	0.00,	0.000,	5.200,	''),
(7809,	2565,	73,	1,	7,	9,	8796,	2.400,	0.00,	0.000,	2.400,	''),
(7810,	2565,	168,	1,	3,	3,	8797,	2.300,	0.00,	0.000,	2.300,	''),
(7811,	2565,	551,	1,	63,	2,	8798,	3.800,	5.00,	0.190,	3.990,	''),
(7812,	2565,	742,	2,	4,	3,	8799,	1.800,	0.00,	0.000,	3.600,	''),
(7813,	2565,	932,	1,	3,	79,	8800,	2.200,	0.00,	0.000,	2.200,	''),
(7814,	2565,	1127,	1,	3,	3,	8801,	2.600,	0.00,	0.000,	2.600,	''),
(7815,	2565,	1131,	1,	3,	3,	8802,	2.200,	0.00,	0.000,	2.200,	''),
(7816,	2565,	1353,	1,	3,	3,	8803,	5.200,	0.00,	0.000,	5.200,	''),
(7817,	2565,	1436,	1,	7,	23,	8804,	1.300,	0.00,	0.000,	1.300,	''),
(7818,	2565,	1563,	1,	6,	111,	8805,	0.800,	0.00,	0.000,	0.800,	''),
(7819,	2565,	1587,	1,	4,	3,	8806,	2.500,	0.00,	0.000,	2.500,	''),
(7820,	2565,	1622,	1,	3,	3,	8807,	4.800,	0.00,	0.000,	4.800,	''),
(7821,	2586,	57,	1,	7,	12,	8858,	2.200,	0.00,	0.000,	2.200,	''),
(7822,	2586,	742,	1,	4,	3,	8857,	1.800,	0.00,	0.000,	1.800,	''),
(7823,	2586,	836,	1,	3,	3,	8859,	6.500,	0.00,	0.000,	6.500,	''),
(7824,	2586,	1138,	1,	3,	3,	8860,	2.100,	0.00,	0.000,	2.100,	''),
(7825,	2586,	1353,	1,	3,	3,	8861,	5.200,	0.00,	0.000,	5.200,	''),
(7826,	2566,	420,	3,	3,	3,	8810,	1.600,	0.00,	0.000,	4.800,	''),
(7827,	2566,	528,	1,	3,	3,	8809,	2.500,	0.00,	0.000,	2.500,	''),
(7828,	2566,	1563,	1,	3,	111,	8808,	6.000,	0.00,	0.000,	6.000,	''),
(7829,	2587,	753,	2,	63,	3,	8868,	2.500,	0.00,	0.000,	5.000,	''),
(7830,	2587,	799,	2,	3,	38,	8869,	3.800,	0.00,	0.000,	7.600,	''),
(7831,	2587,	933,	1,	7,	3,	8870,	3.800,	0.00,	0.000,	3.800,	''),
(7832,	2587,	1353,	1,	3,	3,	8871,	5.200,	0.00,	0.000,	5.200,	''),
(7833,	2588,	276,	1,	3,	3,	8865,	4.700,	0.00,	0.000,	4.700,	''),
(7834,	2567,	168,	1,	3,	3,	8829,	2.300,	0.00,	0.000,	2.300,	''),
(7835,	2567,	682,	1,	3,	3,	8830,	10.500,	0.00,	0.000,	10.500,	''),
(7836,	2567,	753,	2,	63,	3,	8831,	2.100,	0.00,	0.000,	4.200,	''),
(7837,	2567,	766,	2,	3,	3,	8832,	2.300,	0.00,	0.000,	4.600,	''),
(7838,	2567,	799,	1,	3,	38,	8833,	3.800,	0.00,	0.000,	3.800,	''),
(7839,	2567,	1127,	1,	3,	3,	8834,	2.400,	0.00,	0.000,	2.400,	''),
(7840,	2567,	1344,	1,	3,	29,	8835,	2.200,	0.00,	0.000,	2.200,	''),
(7841,	2567,	1839,	1,	63,	3,	8836,	1.700,	5.00,	0.085,	1.785,	''),
(7842,	2589,	528,	3,	3,	3,	8867,	2.500,	0.00,	0.000,	7.500,	''),
(7843,	2589,	1526,	1,	3,	3,	8866,	6.800,	0.00,	0.000,	6.800,	''),
(7844,	2568,	799,	1,	3,	38,	8820,	3.400,	0.00,	0.000,	3.400,	''),
(7845,	2590,	848,	20,	3,	38,	8876,	4.200,	0.00,	0.000,	84.000,	''),
(7846,	2569,	1353,	1,	3,	3,	8821,	5.200,	0.00,	0.000,	5.200,	''),
(7847,	2591,	742,	1,	3,	3,	8873,	10.500,	0.00,	0.000,	5.250,	''),
(7848,	2570,	279,	1,	3,	3,	8824,	4.800,	0.00,	0.000,	4.800,	''),
(7849,	2570,	894,	1,	3,	3,	8825,	1.400,	0.00,	0.000,	1.400,	''),
(7850,	2592,	766,	1,	3,	3,	8874,	2.300,	0.00,	0.000,	2.300,	''),
(7851,	2593,	752,	1,	4,	3,	8875,	3.600,	0.00,	0.000,	3.600,	''),
(7852,	2571,	1353,	6,	3,	3,	8826,	5.200,	0.00,	0.000,	31.200,	''),
(7853,	2594,	752,	1,	4,	3,	8878,	3.600,	0.00,	0.000,	3.600,	''),
(7854,	2594,	1138,	1,	3,	3,	8877,	2.200,	0.00,	0.000,	2.200,	''),
(7855,	2572,	33,	30,	3,	4,	8827,	1.200,	0.00,	0.000,	36.000,	''),
(7856,	2573,	1491,	1,	3,	3,	8828,	1.500,	0.00,	0.000,	1.500,	''),
(7857,	2574,	1766,	1,	3,	3,	8838,	0.800,	0.00,	0.000,	0.800,	''),
(7858,	2574,	1767,	1,	3,	3,	8837,	1.700,	0.00,	0.000,	1.700,	''),
(7859,	2595,	848,	5,	3,	3,	8879,	4.200,	0.00,	0.000,	21.000,	''),
(7860,	2596,	808,	1,	3,	3,	8880,	7.000,	0.00,	0.000,	7.000,	''),
(7861,	2575,	1353,	5,	3,	3,	8839,	5.200,	0.00,	0.000,	26.000,	''),
(7862,	2597,	1251,	2,	3,	3,	8881,	3.850,	5.00,	0.385,	8.085,	''),
(7863,	2598,	848,	2,	3,	38,	8882,	4.200,	0.00,	0.000,	8.400,	''),
(7864,	2576,	1131,	1,	3,	3,	8840,	1.900,	0.00,	0.000,	1.900,	''),
(7865,	2599,	676,	1,	3,	3,	8883,	12.600,	0.00,	0.000,	6.300,	''),
(7866,	2600,	742,	4,	4,	3,	8888,	1.800,	0.00,	0.000,	7.200,	''),
(7867,	2600,	1201,	2,	3,	3,	8889,	4.200,	5.00,	0.420,	8.820,	''),
(7868,	2577,	1353,	1,	3,	3,	8841,	5.200,	0.00,	0.000,	5.200,	''),
(7869,	2578,	1353,	1,	3,	4,	8842,	5.200,	0.00,	0.000,	5.200,	''),
(7870,	2601,	1491,	7,	7,	3,	8885,	1.300,	0.00,	0.000,	9.100,	''),
(7871,	2579,	528,	2,	3,	3,	8844,	2.500,	0.00,	0.000,	5.000,	''),
(7872,	2579,	1071,	1,	3,	3,	8843,	2.500,	0.00,	0.000,	2.500,	''),
(7873,	2602,	2021,	2,	3,	3,	8890,	4.700,	5.00,	0.470,	9.870,	''),
(7874,	2580,	932,	20,	3,	3,	8845,	2.100,	0.00,	0.000,	42.000,	''),
(7875,	2581,	1071,	1,	3,	3,	8846,	2.700,	0.00,	0.000,	2.700,	''),
(7876,	2582,	876,	6,	3,	3,	8847,	4.000,	0.00,	0.000,	24.000,	''),
(7877,	2603,	528,	1,	3,	3,	8892,	2.500,	0.00,	0.000,	2.500,	''),
(7878,	2603,	799,	3,	3,	3,	8891,	3.800,	0.00,	0.000,	11.400,	''),
(7879,	2603,	807,	1,	3,	3,	8894,	14.200,	0.00,	0.000,	14.200,	''),
(7880,	2603,	969,	1,	3,	3,	8893,	5.700,	0.00,	0.000,	5.700,	''),
(7881,	2604,	1252,	1,	3,	3,	8895,	3.850,	5.00,	0.193,	4.043,	''),
(7882,	2605,	799,	2,	3,	3,	8899,	3.800,	0.00,	0.000,	7.600,	''),
(7883,	2605,	808,	1,	3,	3,	8898,	7.000,	0.00,	0.000,	7.000,	''),
(7884,	2605,	1526,	1,	7,	3,	8896,	2.300,	0.00,	0.000,	2.300,	''),
(7885,	2605,	1563,	2,	3,	111,	8897,	7.800,	0.00,	0.000,	15.600,	''),
(7886,	2606,	168,	2,	3,	3,	8903,	2.300,	0.00,	0.000,	4.600,	''),
(7887,	2606,	420,	1,	3,	3,	8902,	1.700,	0.00,	0.000,	1.700,	''),
(7888,	2606,	799,	1,	3,	3,	8900,	3.800,	0.00,	0.000,	3.800,	''),
(7889,	2606,	932,	1,	3,	79,	8901,	2.200,	0.00,	0.000,	2.200,	''),
(7890,	2606,	1138,	2,	3,	3,	8905,	2.000,	0.00,	0.000,	4.000,	''),
(7891,	2606,	1344,	3,	3,	99,	8906,	2.400,	0.00,	0.000,	7.200,	''),
(7892,	2606,	1526,	2,	7,	3,	8904,	2.200,	0.00,	0.000,	4.400,	''),
(7893,	2607,	1766,	10,	3,	3,	8907,	0.800,	0.00,	0.000,	8.000,	''),
(7894,	2609,	420,	1,	3,	3,	8911,	1.600,	0.00,	0.000,	1.600,	''),
(7895,	2609,	848,	1,	3,	3,	8910,	4.200,	0.00,	0.000,	4.200,	''),
(7896,	2610,	168,	1,	3,	3,	8920,	2.300,	0.00,	0.000,	2.300,	''),
(7897,	2610,	676,	1,	3,	3,	8921,	12.800,	0.00,	0.000,	12.800,	''),
(7898,	2610,	848,	1,	3,	3,	8919,	4.200,	0.00,	0.000,	4.200,	''),
(7899,	2610,	1138,	2,	3,	3,	8922,	1.900,	0.00,	0.000,	3.800,	''),
(7900,	2610,	1179,	2,	3,	3,	8923,	2.500,	0.00,	0.000,	5.000,	''),
(7901,	2610,	1351,	1,	3,	20,	8924,	6.800,	0.00,	0.000,	6.800,	''),
(7902,	2610,	1767,	1,	3,	3,	8925,	2.200,	0.00,	0.000,	2.200,	''),
(7903,	2611,	1251,	1,	3,	3,	8934,	3.850,	5.00,	0.193,	4.043,	''),
(7904,	2613,	799,	10,	3,	38,	8927,	3.800,	0.00,	0.000,	38.000,	''),
(7905,	2613,	1610,	6,	3,	3,	8928,	3.800,	0.00,	0.000,	22.800,	''),
(7906,	2614,	282,	1,	4,	33,	8929,	1.600,	0.00,	0.000,	1.600,	''),
(7907,	2614,	742,	1,	4,	74,	8930,	1.800,	0.00,	0.000,	1.800,	''),
(7908,	2615,	1626,	3,	3,	71,	8945,	2.100,	0.00,	0.000,	6.300,	''),
(7909,	2615,	1839,	1,	63,	3,	8946,	1.700,	5.00,	0.085,	1.785,	''),
(7910,	2616,	57,	1,	3,	13,	8957,	9.200,	0.00,	0.000,	9.200,	''),
(7911,	2616,	799,	1,	3,	38,	8958,	3.800,	0.00,	0.000,	3.800,	''),
(7912,	2616,	932,	1,	3,	79,	8959,	2.200,	0.00,	0.000,	2.200,	''),
(7913,	2616,	1344,	2,	3,	29,	8960,	2.300,	0.00,	0.000,	4.600,	''),
(7914,	2616,	1491,	1,	3,	3,	8961,	1.400,	0.00,	0.000,	1.400,	''),
(7915,	2616,	1610,	1,	3,	3,	8962,	5.200,	0.00,	0.000,	5.200,	''),
(7916,	2617,	1830,	3,	4,	3,	8941,	0.700,	0.00,	0.000,	2.100,	''),
(7917,	2618,	682,	1,	3,	3,	8942,	10.800,	0.00,	0.000,	10.800,	''),
(7918,	2619,	799,	1,	3,	3,	8943,	3.700,	0.00,	0.000,	3.700,	''),
(7919,	2619,	1587,	1,	3,	3,	8944,	5.200,	0.00,	0.000,	5.200,	''),
(7920,	2620,	22,	1,	3,	14,	8947,	15.400,	0.00,	0.000,	15.400,	''),
(7921,	2620,	420,	2,	3,	3,	8948,	1.600,	0.00,	0.000,	3.200,	''),
(7922,	2620,	1071,	3,	3,	3,	8949,	2.600,	0.00,	0.000,	7.800,	''),
(7923,	2620,	1767,	2,	3,	3,	8950,	2.200,	0.00,	0.000,	4.400,	''),
(7924,	2621,	799,	1,	3,	5,	8951,	6.000,	0.00,	0.000,	6.000,	''),
(7925,	2622,	1526,	1,	7,	3,	8952,	1.000,	0.00,	0.000,	1.000,	''),
(7926,	2624,	682,	1,	3,	3,	8964,	10.600,	0.00,	0.000,	5.300,	''),
(7927,	2623,	1565,	8,	1,	3,	8963,	1.300,	0.00,	0.000,	10.660,	''),
(7928,	2625,	894,	1,	3,	3,	8965,	1.400,	0.00,	0.000,	1.400,	''),
(7929,	2626,	1351,	2,	3,	25,	8966,	6.700,	0.00,	0.000,	13.400,	''),
(7930,	2626,	1587,	1,	3,	3,	8967,	5.200,	0.00,	0.000,	5.200,	''),
(7931,	2627,	178,	1,	3,	3,	8973,	10.800,	0.00,	0.000,	10.800,	''),
(7932,	2627,	551,	16,	6,	3,	8974,	0.160,	5.00,	0.128,	2.688,	''),
(7933,	2627,	682,	1,	3,	3,	8975,	10.500,	0.00,	0.000,	10.500,	''),
(7934,	2627,	753,	6,	63,	3,	8976,	1.600,	0.00,	0.000,	9.600,	''),
(7935,	2627,	1071,	2,	3,	3,	8977,	2.500,	0.00,	0.000,	5.000,	''),
(7936,	2628,	742,	2,	4,	73,	8978,	0.900,	0.00,	0.000,	1.800,	''),
(7937,	2629,	551,	6,	6,	3,	8979,	0.160,	5.00,	0.048,	1.008,	''),
(7938,	2630,	57,	1,	7,	14,	8980,	1.900,	0.00,	0.000,	1.900,	''),
(7939,	2630,	799,	1,	3,	3,	8981,	3.500,	0.00,	0.000,	3.500,	''),
(7940,	2630,	1353,	1,	3,	3,	8982,	5.200,	0.00,	0.000,	5.200,	''),
(7941,	2631,	752,	1,	3,	23,	8983,	14.200,	0.00,	0.000,	14.200,	''),
(7942,	2632,	753,	1,	3,	5,	8985,	4.700,	0.00,	0.000,	4.700,	''),
(7943,	2665,	168,	1,	3,	3,	9108,	2.300,	0.00,	0.000,	2.300,	''),
(7944,	2665,	249,	1,	63,	3,	9111,	1.000,	0.00,	0.000,	1.000,	''),
(7945,	2665,	932,	1,	3,	79,	9109,	2.200,	0.00,	0.000,	2.200,	''),
(7946,	2665,	1127,	2,	3,	3,	9110,	2.400,	0.00,	0.000,	4.800,	''),
(7947,	2665,	1344,	7,	3,	20,	9114,	3.500,	0.00,	0.000,	24.500,	''),
(7948,	2665,	1563,	1,	3,	111,	9112,	6.000,	0.00,	0.000,	6.000,	''),
(7949,	2665,	1626,	5,	3,	71,	9113,	2.000,	0.00,	0.000,	10.000,	''),
(7950,	2685,	799,	1,	3,	3,	9170,	3.800,	0.00,	0.000,	3.800,	''),
(7951,	2680,	31,	4,	7,	15,	9152,	2.200,	0.00,	0.000,	8.800,	''),
(7952,	2680,	932,	4,	3,	79,	9153,	2.200,	0.00,	0.000,	8.800,	''),
(7953,	2680,	1131,	4,	3,	3,	9154,	2.600,	0.00,	0.000,	10.400,	''),
(7954,	2679,	420,	1,	3,	3,	9158,	1.600,	0.00,	0.000,	1.600,	''),
(7955,	2679,	1071,	1,	3,	3,	9159,	2.400,	0.00,	0.000,	2.400,	''),
(7956,	2679,	1179,	1,	3,	3,	9160,	2.400,	0.00,	0.000,	2.400,	''),
(7957,	2679,	1344,	1,	3,	25,	9161,	3.400,	0.00,	0.000,	3.400,	''),
(7958,	2679,	1649,	1,	63,	3,	9162,	0.800,	0.00,	0.000,	0.800,	''),
(7959,	2678,	45,	1,	3,	7,	9145,	4.500,	0.00,	0.000,	4.500,	''),
(7960,	2678,	1344,	2,	3,	29,	9144,	2.300,	0.00,	0.000,	4.600,	''),
(7961,	2677,	420,	1,	3,	3,	9142,	1.700,	0.00,	0.000,	1.700,	''),
(7962,	2677,	1659,	2,	63,	3,	9143,	0.800,	0.00,	0.000,	1.600,	''),
(7963,	2676,	1766,	2,	3,	3,	9141,	0.900,	0.00,	0.000,	1.800,	''),
(7964,	2675,	57,	1,	7,	12,	9138,	2.000,	0.00,	0.000,	2.000,	''),
(7965,	2675,	848,	1,	3,	38,	9139,	4.200,	0.00,	0.000,	4.200,	''),
(7966,	2675,	1353,	1,	3,	3,	9140,	5.200,	0.00,	0.000,	5.200,	''),
(7967,	2674,	676,	1,	3,	3,	9135,	12.200,	0.00,	0.000,	12.200,	''),
(7968,	2674,	753,	2,	3,	39,	9137,	4.700,	0.00,	0.000,	9.400,	''),
(7969,	2674,	753,	3,	63,	2,	9136,	2.100,	0.00,	0.000,	6.300,	''),
(7970,	2673,	1351,	5,	3,	3,	9134,	5.200,	0.00,	0.000,	26.000,	''),
(7971,	2672,	753,	2,	63,	3,	9133,	1.800,	0.00,	0.000,	3.600,	''),
(7972,	2672,	799,	1,	3,	38,	9130,	3.800,	0.00,	0.000,	3.800,	''),
(7973,	2672,	1071,	1,	3,	3,	9131,	2.900,	0.00,	0.000,	2.900,	''),
(7974,	2672,	1353,	1,	3,	3,	9132,	5.200,	0.00,	0.000,	5.200,	''),
(7975,	2671,	1312,	1,	63,	84,	9129,	2.500,	0.00,	0.000,	2.500,	''),
(7976,	2670,	1251,	2,	3,	3,	9128,	3.850,	5.00,	0.385,	8.085,	''),
(7977,	2669,	742,	1,	3,	3,	9127,	10.500,	0.00,	0.000,	10.500,	''),
(7978,	2668,	799,	1,	3,	38,	9125,	3.800,	0.00,	0.000,	3.800,	''),
(7979,	2668,	1201,	1,	3,	3,	9126,	4.200,	5.00,	0.210,	4.410,	''),
(7980,	2667,	799,	1,	1,	3,	9123,	0.700,	0.00,	0.000,	0.700,	''),
(7981,	2667,	1131,	4,	3,	3,	9122,	2.600,	0.00,	0.000,	10.400,	''),
(7982,	2667,	1570,	1,	4,	74,	9124,	1.900,	0.00,	0.000,	1.900,	''),
(7983,	2666,	848,	6,	3,	3,	9121,	4.200,	0.00,	0.000,	25.200,	''),
(7984,	2608,	57,	1,	3,	13,	8955,	9.000,	0.00,	0.000,	9.000,	''),
(7985,	2608,	551,	1,	63,	3,	8956,	3.800,	5.00,	0.190,	3.990,	''),
(7986,	2608,	799,	1,	3,	38,	8953,	3.800,	0.00,	0.000,	3.800,	''),
(7987,	2608,	1839,	3,	63,	3,	8954,	1.700,	5.00,	0.255,	5.355,	''),
(7988,	2664,	1425,	2,	1,	3,	9105,	1.900,	0.00,	0.000,	3.800,	''),
(7989,	2664,	1565,	2,	1,	3,	9107,	1.300,	0.00,	0.000,	2.470,	''),
(7990,	2664,	1570,	4,	3,	74,	9106,	2.000,	0.00,	0.000,	8.000,	''),
(7991,	2663,	848,	30,	3,	3,	9097,	4.200,	0.00,	0.000,	126.000,	''),
(7992,	2663,	1839,	20,	63,	3,	9098,	1.700,	5.00,	1.700,	35.700,	''),
(7993,	2662,	528,	1,	3,	3,	9096,	2.500,	0.00,	0.000,	2.500,	''),
(7994,	2661,	1127,	2,	3,	3,	9095,	2.600,	0.00,	0.000,	5.200,	''),
(7995,	2661,	1491,	1,	3,	3,	9094,	1.400,	0.00,	0.000,	1.400,	''),
(7996,	2645,	178,	1,	1,	3,	9010,	1.200,	0.00,	0.000,	1.200,	''),
(7997,	2646,	1131,	1,	3,	3,	9011,	2.300,	0.00,	0.000,	2.300,	''),
(7998,	2647,	57,	1,	3,	14,	9015,	9.200,	0.00,	0.000,	9.200,	''),
(7999,	2647,	170,	1,	3,	3,	9014,	6.300,	0.00,	0.000,	6.300,	''),
(8000,	2647,	799,	2,	3,	3,	9016,	3.800,	0.00,	0.000,	7.600,	''),
(8001,	2647,	933,	1,	7,	3,	9012,	3.900,	0.00,	0.000,	3.900,	''),
(8002,	2647,	1138,	2,	3,	3,	9018,	2.000,	0.00,	0.000,	4.000,	''),
(8003,	2647,	1353,	2,	3,	3,	9019,	5.200,	0.00,	0.000,	10.400,	''),
(8004,	2647,	1498,	1,	3,	3,	9017,	6.800,	0.00,	0.000,	6.800,	''),
(8005,	2647,	1626,	2,	3,	71,	9013,	2.200,	0.00,	0.000,	4.400,	''),
(8006,	2648,	33,	1,	3,	4,	9021,	1.400,	0.00,	0.000,	1.400,	''),
(8007,	2648,	799,	1,	3,	38,	9020,	3.800,	0.00,	0.000,	3.800,	''),
(8008,	2653,	876,	1,	3,	3,	9038,	4.200,	0.00,	0.000,	4.200,	''),
(8009,	2653,	1201,	1,	3,	3,	9037,	4.200,	5.00,	0.210,	4.410,	''),
(8010,	2653,	1622,	1,	3,	3,	9036,	4.800,	0.00,	0.000,	4.800,	''),
(8011,	2655,	676,	2,	3,	3,	9163,	12.200,	0.00,	0.000,	24.400,	''),
(8012,	2655,	752,	1,	3,	23,	9164,	14.200,	0.00,	0.000,	14.200,	''),
(8013,	2655,	753,	2,	3,	3,	9165,	2.100,	0.00,	0.000,	4.200,	''),
(8014,	2655,	1344,	10,	3,	20,	9166,	3.600,	0.00,	0.000,	36.000,	''),
(8015,	2655,	1563,	3,	3,	110,	9167,	6.000,	0.00,	0.000,	18.000,	''),
(8016,	2656,	799,	3,	3,	3,	9056,	3.500,	0.00,	0.000,	10.500,	''),
(8017,	2657,	1098,	2,	3,	3,	9057,	6.400,	0.00,	0.000,	12.800,	''),
(8018,	2716,	876,	1,	3,	3,	9270,	4.200,	0.00,	0.000,	4.200,	''),
(8019,	2716,	1353,	1,	3,	3,	9272,	5.200,	0.00,	0.000,	5.200,	''),
(8020,	2716,	1622,	1,	3,	3,	9271,	4.800,	0.00,	0.000,	4.800,	''),
(8021,	2717,	1659,	1,	63,	3,	9281,	0.800,	0.00,	0.000,	0.800,	''),
(8023,	2719,	1127,	1,	3,	3,	9277,	2.300,	0.00,	0.000,	2.300,	''),
(8024,	2719,	1131,	1,	3,	3,	9275,	2.500,	0.00,	0.000,	2.500,	''),
(8025,	2719,	1570,	1,	4,	74,	9276,	1.900,	0.00,	0.000,	1.900,	''),
(8029,	2722,	76,	2,	3,	13,	9293,	9.600,	0.00,	0.000,	19.200,	''),
(8030,	2722,	168,	7,	3,	3,	9294,	2.300,	0.00,	0.000,	16.100,	''),
(8031,	2722,	876,	15,	3,	3,	9295,	4.000,	0.00,	0.000,	60.000,	''),
(8032,	2722,	1491,	10,	3,	3,	9296,	1.300,	0.00,	0.000,	13.000,	''),
(8033,	2722,	1526,	1,	3,	3,	9297,	6.800,	0.00,	0.000,	6.800,	''),
(8034,	2723,	1166,	2,	3,	3,	9292,	2.500,	0.00,	0.000,	5.000,	''),
(8035,	2724,	1610,	5,	3,	3,	9302,	3.800,	0.00,	0.000,	19.000,	''),
(8036,	2725,	676,	1,	3,	3,	9304,	12.000,	0.00,	0.000,	12.000,	''),
(8037,	2726,	682,	1,	3,	3,	9305,	10.800,	0.00,	0.000,	10.800,	''),
(8038,	2726,	753,	2,	63,	3,	9307,	1.600,	0.00,	0.000,	3.200,	''),
(8039,	2726,	766,	2,	3,	3,	9306,	2.300,	0.00,	0.000,	4.600,	''),
(8040,	2727,	682,	1,	3,	3,	9319,	11.000,	0.00,	0.000,	5.500,	''),
(8041,	2727,	753,	1,	63,	3,	9317,	1.600,	0.00,	0.000,	1.600,	''),
(8042,	2727,	766,	1,	3,	3,	9318,	2.300,	0.00,	0.000,	2.300,	''),
(8043,	2728,	57,	1,	7,	13,	9315,	2.200,	0.00,	0.000,	2.200,	''),
(8044,	2728,	876,	1,	3,	4,	9311,	4.200,	0.00,	0.000,	4.200,	'grapes b'),
(8045,	2728,	933,	1,	3,	3,	9313,	3.800,	0.00,	0.000,	3.800,	'kiwi'),
(8046,	2728,	1166,	2,	3,	3,	9310,	2.500,	0.00,	0.000,	5.000,	''),
(8047,	2728,	1344,	1,	3,	29,	9316,	2.400,	0.00,	0.000,	2.400,	''),
(8048,	2728,	1514,	1,	7,	3,	9314,	2.200,	0.00,	0.000,	2.200,	'pears'),
(8049,	2728,	1610,	1,	3,	3,	9312,	5.200,	0.00,	0.000,	5.200,	''),
(8050,	2728,	1622,	1,	3,	3,	9309,	4.800,	0.00,	0.000,	4.800,	'p'),
(8051,	2729,	1166,	1,	3,	3,	9320,	2.500,	0.00,	0.000,	2.500,	''),
(8052,	2729,	1622,	1,	3,	3,	9321,	4.800,	0.00,	0.000,	4.800,	''),
(8053,	2730,	57,	1,	3,	14,	9322,	9.000,	0.00,	0.000,	9.000,	''),
(8054,	2731,	742,	3,	4,	74,	9329,	1.850,	0.00,	0.000,	5.550,	''),
(8055,	2731,	848,	3,	4,	5,	9330,	0.500,	0.00,	0.000,	1.500,	''),
(8056,	2731,	933,	1,	7,	3,	9324,	3.800,	0.00,	0.000,	3.800,	''),
(8057,	2731,	1071,	2,	1,	3,	9327,	0.500,	0.00,	0.000,	1.000,	''),
(8058,	2731,	1098,	1,	3,	3,	9331,	6.500,	0.00,	0.000,	6.500,	''),
(8059,	2731,	1131,	10,	3,	3,	9332,	2.300,	0.00,	0.000,	23.000,	''),
(8060,	2731,	1353,	1,	3,	3,	9323,	5.200,	0.00,	0.000,	5.200,	''),
(8061,	2731,	1387,	3,	1,	3,	9326,	0.500,	5.00,	0.063,	1.313,	''),
(8062,	2731,	1622,	1,	3,	3,	9328,	4.800,	0.00,	0.000,	4.800,	''),
(8063,	2731,	1659,	1,	63,	3,	9325,	0.800,	0.00,	0.000,	0.800,	''),
(8064,	2732,	836,	1,	10,	4,	9333,	7.000,	0.00,	0.000,	7.000,	''),
(8065,	2733,	57,	1,	7,	10,	9335,	2.200,	0.00,	0.000,	2.200,	''),
(8066,	2733,	1514,	1,	7,	3,	9334,	2.200,	0.00,	0.000,	2.200,	''),
(8067,	2734,	667,	1,	3,	3,	9338,	17.700,	0.00,	0.000,	17.700,	''),
(8068,	2734,	676,	1,	3,	3,	9337,	12.200,	0.00,	0.000,	12.200,	''),
(8069,	2734,	1071,	1,	3,	3,	9336,	2.500,	0.00,	0.000,	2.500,	''),
(8070,	2735,	314,	1,	1,	3,	9340,	1.300,	0.00,	0.000,	0.845,	''),
(8071,	2735,	1587,	1,	4,	23,	9339,	1.000,	0.00,	0.000,	1.000,	''),
(8072,	2736,	753,	1,	63,	3,	9341,	1.600,	0.00,	0.000,	1.600,	''),
(8073,	2737,	1138,	2,	3,	3,	9342,	1.900,	0.00,	0.000,	3.800,	''),
(8074,	2737,	1344,	1,	3,	25,	9343,	3.500,	0.00,	0.000,	3.500,	''),
(8075,	2738,	1127,	1,	3,	3,	9344,	2.500,	0.00,	0.000,	2.500,	''),
(8076,	2739,	1344,	2,	3,	31,	9345,	3.600,	0.00,	0.000,	7.200,	''),
(8077,	2740,	551,	6,	6,	3,	9346,	0.180,	5.00,	0.054,	1.134,	''),
(8078,	2741,	57,	1,	7,	13,	9349,	2.200,	0.00,	0.000,	2.200,	''),
(8079,	2741,	79,	1,	7,	13,	9350,	2.200,	0.00,	0.000,	2.200,	''),
(8080,	2741,	676,	1,	3,	3,	9351,	12.200,	0.00,	0.000,	6.100,	''),
(8081,	2741,	1127,	2,	3,	3,	9348,	2.500,	0.00,	0.000,	5.000,	''),
(8082,	2741,	1344,	1,	3,	20,	9347,	3.800,	0.00,	0.000,	3.800,	''),
(8083,	2742,	972,	1,	3,	3,	9352,	3.600,	0.00,	0.000,	3.600,	''),
(8084,	2743,	932,	1,	3,	79,	9353,	2.200,	0.00,	0.000,	2.200,	''),
(8085,	2744,	33,	10,	3,	4,	9354,	1.300,	0.00,	0.000,	13.000,	''),
(8086,	2745,	676,	2,	3,	3,	9357,	12.800,	0.00,	0.000,	25.600,	''),
(8087,	2745,	753,	2,	63,	3,	9355,	2.600,	0.00,	0.000,	5.200,	''),
(8088,	2745,	766,	1,	3,	3,	9356,	2.300,	0.00,	0.000,	2.300,	''),
(8089,	2746,	768,	3,	1,	3,	9358,	1.400,	0.00,	0.000,	4.200,	''),
(8090,	2747,	57,	1,	3,	13,	9361,	8.900,	0.00,	0.000,	8.900,	''),
(8091,	2747,	876,	1,	3,	3,	9360,	4.000,	0.00,	0.000,	4.000,	''),
(8092,	2747,	1344,	1,	3,	20,	9362,	3.500,	0.00,	0.000,	3.500,	''),
(8093,	2747,	1426,	1,	3,	3,	9359,	2.000,	0.00,	0.000,	1.000,	''),
(8094,	2748,	57,	1,	7,	13,	9372,	2.200,	0.00,	0.000,	2.200,	''),
(8095,	2748,	168,	2,	3,	3,	9369,	2.300,	0.00,	0.000,	4.600,	''),
(8096,	2748,	676,	1,	3,	3,	9370,	12.200,	0.00,	0.000,	6.100,	''),
(8097,	2748,	753,	1,	63,	3,	9363,	2.100,	0.00,	0.000,	2.100,	''),
(8098,	2748,	766,	1,	3,	3,	9365,	2.300,	0.00,	0.000,	2.300,	''),
(8099,	2748,	876,	1,	3,	3,	9366,	4.400,	0.00,	0.000,	4.400,	''),
(8100,	2748,	932,	1,	3,	79,	9368,	2.200,	0.00,	0.000,	2.200,	''),
(8101,	2748,	1071,	1,	3,	3,	9364,	2.600,	0.00,	0.000,	2.600,	''),
(8102,	2748,	1174,	3,	3,	3,	9373,	3.200,	0.00,	0.000,	9.600,	''),
(8103,	2748,	1344,	1,	3,	25,	9374,	3.800,	0.00,	0.000,	3.800,	''),
(8104,	2748,	1504,	1,	7,	3,	9371,	2.200,	0.00,	0.000,	2.200,	''),
(8105,	2748,	1610,	1,	3,	3,	9367,	4.800,	0.00,	0.000,	4.800,	''),
(8106,	2748,	1659,	1,	63,	2,	9375,	4.000,	0.00,	0.000,	4.000,	''),
(8107,	2749,	1071,	1,	3,	3,	9376,	2.600,	0.00,	0.000,	2.600,	''),
(8108,	2750,	799,	1,	3,	5,	9377,	5.800,	0.00,	0.000,	5.800,	''),
(8109,	2750,	894,	3,	3,	3,	9378,	1.500,	0.00,	0.000,	4.500,	''),
(8110,	2752,	1622,	1,	3,	3,	9380,	4.800,	0.00,	0.000,	4.800,	''),
(8111,	2753,	932,	1,	3,	79,	9381,	2.200,	0.00,	0.000,	2.200,	''),
(8112,	2754,	752,	1,	4,	23,	9382,	3.500,	0.00,	0.000,	3.500,	''),
(8113,	2755,	858,	1,	3,	3,	9383,	4.000,	0.00,	0.000,	4.000,	''),
(8114,	2756,	858,	1,	3,	3,	9384,	4.000,	0.00,	0.000,	4.000,	''),
(8115,	2756,	1622,	1,	3,	3,	9385,	4.800,	0.00,	0.000,	4.800,	''),
(8116,	2757,	1344,	1,	3,	25,	9386,	3.800,	0.00,	0.000,	3.800,	''),
(8117,	2758,	691,	1,	3,	3,	9387,	12.000,	0.00,	0.000,	6.000,	''),
(8118,	2759,	1839,	3,	63,	3,	9388,	1.700,	5.00,	0.255,	5.355,	''),
(8119,	2760,	858,	1,	3,	3,	9389,	4.000,	0.00,	0.000,	4.000,	''),
(8120,	2761,	858,	1,	3,	3,	9391,	4.000,	0.00,	0.000,	4.000,	''),
(8121,	2761,	1071,	1,	3,	3,	9392,	2.600,	0.00,	0.000,	2.600,	''),
(8122,	2761,	1174,	1,	3,	3,	9390,	3.500,	0.00,	0.000,	3.500,	''),
(8123,	2762,	1166,	1,	3,	3,	9393,	2.700,	0.00,	0.000,	2.700,	''),
(8124,	2763,	1425,	2,	1,	3,	9395,	1.900,	0.00,	0.000,	3.800,	''),
(8125,	2764,	676,	1,	3,	3,	9398,	12.500,	0.00,	0.000,	6.250,	''),
(8126,	2764,	753,	1,	63,	3,	9399,	1.900,	0.00,	0.000,	1.900,	''),
(8127,	2766,	33,	1,	3,	4,	9411,	1.200,	0.00,	0.000,	1.200,	''),
(8128,	2766,	553,	17,	6,	3,	9405,	0.200,	5.00,	0.170,	3.570,	''),
(8129,	2766,	848,	3,	4,	5,	9409,	0.600,	0.00,	0.000,	1.800,	''),
(8130,	2766,	1071,	1,	1,	3,	9404,	0.600,	0.00,	0.000,	0.600,	''),
(8131,	2766,	1131,	1,	3,	3,	9408,	2.500,	0.00,	0.000,	2.500,	''),
(8132,	2766,	1344,	1,	3,	72,	9406,	1.800,	0.00,	0.000,	1.800,	''),
(8133,	2766,	1563,	2,	6,	110,	9410,	0.800,	0.00,	0.000,	1.600,	''),
(8134,	2766,	1626,	1,	3,	71,	9407,	2.000,	0.00,	0.000,	2.000,	''),
(8135,	2766,	1766,	2,	3,	3,	9412,	0.900,	0.00,	0.000,	1.800,	''),
(8136,	2767,	676,	1,	3,	3,	9413,	12.000,	0.00,	0.000,	6.000,	''),
(8137,	2768,	1166,	2,	3,	3,	9414,	2.500,	0.00,	0.000,	5.000,	''),
(8138,	2769,	57,	1,	7,	12,	9417,	2.200,	0.00,	0.000,	2.200,	''),
(8139,	2769,	753,	1,	63,	3,	9415,	1.800,	0.00,	0.000,	1.800,	''),
(8140,	2769,	836,	1,	3,	3,	9418,	7.000,	0.00,	0.000,	7.000,	''),
(8141,	2769,	1563,	1,	6,	111,	9416,	0.800,	0.00,	0.000,	0.800,	''),
(8142,	2770,	932,	2,	3,	79,	9419,	2.200,	0.00,	0.000,	4.400,	''),
(8143,	2771,	57,	2,	7,	13,	9420,	2.300,	0.00,	0.000,	4.600,	''),
(8144,	2771,	1514,	1,	7,	3,	9421,	2.200,	0.00,	0.000,	2.200,	''),
(8145,	2772,	682,	1,	3,	3,	9426,	10.600,	0.00,	0.000,	10.600,	''),
(8146,	2772,	753,	2,	63,	3,	9428,	1.600,	0.00,	0.000,	3.200,	''),
(8147,	2772,	766,	3,	3,	3,	9427,	2.300,	0.00,	0.000,	6.900,	''),
(8148,	2773,	932,	1,	3,	79,	9423,	2.200,	0.00,	0.000,	2.200,	''),
(8149,	2774,	848,	3,	4,	4,	9425,	0.600,	0.00,	0.000,	1.800,	''),
(8150,	2774,	1345,	1,	3,	103,	9424,	2.000,	0.00,	0.000,	2.000,	''),
(8151,	2775,	1351,	1,	3,	25,	9431,	6.800,	0.00,	0.000,	6.800,	''),
(8152,	2775,	1766,	3,	3,	3,	9432,	0.900,	0.00,	0.000,	2.700,	''),
(8153,	2776,	1570,	2,	4,	74,	9430,	1.900,	0.00,	0.000,	3.800,	''),
(8154,	2777,	76,	1,	7,	11,	9433,	2.200,	0.00,	0.000,	2.200,	''),
(8155,	2778,	858,	1,	3,	3,	9434,	4.200,	0.00,	0.000,	4.200,	''),
(8156,	2779,	33,	1,	3,	4,	9436,	1.500,	0.00,	0.000,	1.500,	''),
(8157,	2779,	168,	2,	3,	3,	9437,	2.300,	0.00,	0.000,	4.600,	''),
(8158,	2779,	799,	2,	3,	3,	9435,	3.500,	0.00,	0.000,	7.000,	''),
(8159,	2779,	1344,	2,	3,	29,	9438,	2.200,	0.00,	0.000,	4.400,	''),
(8160,	2780,	753,	2,	63,	3,	9453,	1.600,	0.00,	0.000,	3.200,	''),
(8161,	2780,	766,	1,	3,	3,	9454,	2.200,	0.00,	0.000,	2.200,	''),
(8162,	2780,	1071,	1,	3,	3,	9455,	2.500,	0.00,	0.000,	2.500,	''),
(8163,	2781,	152,	5,	1,	3,	9507,	1.100,	0.00,	0.000,	4.950,	''),
(8164,	2781,	420,	2,	3,	3,	9508,	1.600,	0.00,	0.000,	3.200,	''),
(8165,	2781,	676,	1,	3,	3,	9509,	12.200,	0.00,	0.000,	12.200,	''),
(8166,	2781,	972,	1,	3,	3,	9510,	3.600,	0.00,	0.000,	3.600,	''),
(8167,	2781,	1251,	1,	4,	4,	9511,	0.480,	5.00,	0.024,	0.504,	''),
(8168,	2781,	1563,	2,	6,	111,	9512,	0.800,	0.00,	0.000,	1.600,	''),
(8169,	2781,	1626,	1,	3,	71,	9513,	2.100,	0.00,	0.000,	2.100,	''),
(8170,	2782,	551,	1,	63,	3,	9473,	3.900,	5.00,	0.195,	4.095,	''),
(8171,	2783,	153,	4,	1,	3,	9491,	1.100,	0.00,	0.000,	4.400,	''),
(8172,	2783,	367,	1,	1,	3,	9492,	1.300,	0.00,	0.000,	1.300,	''),
(8173,	2783,	398,	1,	1,	3,	9493,	1.300,	0.00,	0.000,	1.300,	''),
(8174,	2783,	932,	3,	3,	79,	9494,	2.200,	0.00,	0.000,	6.600,	''),
(8175,	2783,	1563,	1,	6,	111,	9495,	0.800,	0.00,	0.000,	0.800,	''),
(8176,	2784,	1526,	1,	3,	3,	9496,	6.800,	0.00,	0.000,	6.800,	''),
(8177,	2785,	288,	4,	4,	3,	9497,	1.700,	0.00,	0.000,	6.800,	''),
(8178,	2785,	291,	5,	4,	3,	9498,	2.000,	0.00,	0.000,	10.000,	''),
(8179,	2786,	152,	140,	1,	3,	9499,	1.080,	0.00,	0.000,	151.200,	''),
(8180,	2787,	279,	1,	3,	3,	9500,	4.800,	0.00,	0.000,	4.800,	''),
(8181,	2788,	317,	1,	3,	3,	9506,	5.800,	0.00,	0.000,	5.800,	''),
(8182,	2789,	1071,	2,	3,	3,	9503,	2.400,	0.00,	0.000,	4.800,	''),
(8183,	2789,	1563,	1,	3,	110,	9502,	6.000,	0.00,	0.000,	6.000,	''),
(8184,	2790,	168,	1,	3,	3,	9504,	2.200,	0.00,	0.000,	2.200,	''),
(8185,	2791,	1344,	2,	3,	25,	9505,	3.600,	0.00,	0.000,	7.200,	''),
(8186,	2792,	551,	2,	63,	3,	9514,	3.850,	5.00,	0.385,	8.085,	''),
(8187,	2793,	1839,	2,	63,	3,	9515,	1.700,	5.00,	0.170,	3.570,	''),
(8188,	2794,	682,	1,	3,	3,	9522,	10.600,	0.00,	0.000,	5.300,	''),
(8189,	2794,	766,	1,	3,	3,	9523,	2.300,	0.00,	0.000,	2.300,	''),
(8190,	2794,	799,	1,	3,	38,	9524,	3.200,	0.00,	0.000,	3.200,	''),
(8191,	2794,	1127,	1,	3,	3,	9525,	2.200,	0.00,	0.000,	2.200,	''),
(8192,	2794,	1166,	1,	3,	3,	9526,	2.300,	0.00,	0.000,	2.300,	''),
(8193,	2794,	1839,	1,	63,	3,	9527,	1.700,	5.00,	0.085,	1.785,	''),
(8194,	2795,	969,	2,	3,	3,	9528,	5.500,	0.00,	0.000,	11.000,	''),
(8195,	2796,	45,	1,	3,	7,	9537,	3.900,	0.00,	0.000,	3.900,	''),
(8196,	2796,	682,	1,	3,	3,	9538,	10.600,	0.00,	0.000,	5.300,	''),
(8197,	2796,	753,	1,	63,	2,	9539,	2.100,	0.00,	0.000,	2.100,	''),
(8198,	2796,	766,	1,	3,	3,	9540,	2.400,	0.00,	0.000,	2.400,	''),
(8199,	2796,	1839,	1,	63,	3,	9541,	1.700,	5.00,	0.085,	1.785,	''),
(8200,	2797,	152,	10,	1,	3,	9542,	1.100,	0.00,	0.000,	11.000,	''),
(8201,	2798,	33,	20,	3,	4,	9543,	1.200,	0.00,	0.000,	24.000,	''),
(8202,	2799,	1251,	10,	3,	3,	9605,	3.600,	5.00,	1.800,	37.800,	''),
(8203,	2800,	766,	2,	3,	3,	9545,	2.400,	0.00,	0.000,	4.800,	''),
(8204,	2801,	48,	1,	3,	9,	9546,	15.400,	0.00,	0.000,	15.400,	''),
(8205,	2801,	528,	1,	3,	3,	9549,	2.500,	0.00,	0.000,	2.500,	''),
(8206,	2801,	1649,	4,	63,	3,	9548,	0.800,	0.00,	0.000,	3.200,	''),
(8207,	2801,	1649,	4,	63,	4,	9547,	0.500,	0.00,	0.000,	2.000,	''),
(8208,	2801,	1726,	1,	3,	3,	9550,	3.500,	0.00,	0.000,	3.500,	''),
(8209,	2802,	766,	5,	3,	3,	9555,	2.400,	0.00,	0.000,	12.000,	''),
(8210,	2802,	972,	3,	3,	3,	9556,	3.500,	0.00,	0.000,	10.500,	''),
(8211,	2803,	1351,	7,	3,	20,	9559,	6.500,	0.00,	0.000,	45.500,	''),
(8212,	2803,	1514,	4,	3,	3,	9560,	7.200,	0.00,	0.000,	28.800,	''),
(8213,	2804,	76,	1,	3,	14,	9561,	9.500,	0.00,	0.000,	9.500,	''),
(8214,	2805,	808,	1,	3,	3,	9563,	7.000,	0.00,	0.000,	7.000,	''),
(8215,	2805,	1514,	1,	7,	3,	9562,	2.100,	0.00,	0.000,	2.100,	''),
(8216,	2806,	76,	1,	7,	14,	9568,	2.000,	0.00,	0.000,	2.000,	''),
(8217,	2806,	420,	2,	3,	3,	9567,	1.700,	0.00,	0.000,	3.400,	''),
(8218,	2806,	1127,	3,	3,	3,	9569,	2.200,	0.00,	0.000,	6.600,	''),
(8219,	2806,	1563,	1,	3,	111,	9570,	6.000,	0.00,	0.000,	6.000,	''),
(8220,	2807,	317,	1,	3,	3,	9571,	5.800,	0.00,	0.000,	5.800,	''),
(8221,	2808,	766,	2,	3,	3,	9572,	2.400,	0.00,	0.000,	4.800,	''),
(8222,	2808,	1071,	2,	3,	3,	9573,	2.400,	0.00,	0.000,	4.800,	''),
(8223,	2809,	766,	1,	3,	3,	9574,	2.400,	0.00,	0.000,	2.400,	''),
(8224,	2810,	753,	2,	63,	3,	9576,	1.600,	0.00,	0.000,	3.200,	''),
(8225,	2810,	766,	1,	3,	3,	9577,	2.400,	0.00,	0.000,	2.400,	''),
(8226,	2810,	1839,	2,	63,	3,	9575,	1.700,	5.00,	0.170,	3.570,	''),
(8227,	2811,	1251,	1,	3,	3,	9578,	3.800,	5.00,	0.190,	3.990,	''),
(8228,	2812,	170,	40,	3,	3,	9579,	6.300,	0.00,	0.000,	252.000,	''),
(8229,	2812,	420,	50,	3,	3,	9580,	1.600,	0.00,	0.000,	80.000,	''),
(8230,	2814,	420,	1,	3,	3,	9591,	1.600,	0.00,	0.000,	1.600,	''),
(8231,	2814,	528,	1,	3,	3,	9586,	2.500,	0.00,	0.000,	2.500,	''),
(8232,	2814,	799,	4,	3,	3,	9589,	3.200,	0.00,	0.000,	12.800,	''),
(8233,	2814,	799,	2,	3,	5,	9588,	6.000,	0.00,	0.000,	12.000,	''),
(8234,	2814,	848,	2,	3,	5,	9587,	5.800,	0.00,	0.000,	11.600,	''),
(8235,	2814,	1127,	5,	3,	3,	9592,	2.200,	0.00,	0.000,	11.000,	''),
(8236,	2814,	1526,	1,	3,	3,	9590,	6.800,	0.00,	0.000,	6.800,	''),
(8237,	2814,	1610,	2,	3,	3,	9585,	3.900,	0.00,	0.000,	7.800,	''),
(8238,	2815,	57,	1,	3,	13,	9597,	9.000,	0.00,	0.000,	9.000,	''),
(8239,	2815,	279,	1,	3,	3,	9593,	4.700,	0.00,	0.000,	4.700,	''),
(8240,	2815,	848,	1,	3,	5,	9596,	5.800,	0.00,	0.000,	5.800,	''),
(8241,	2815,	1587,	1,	3,	3,	9594,	5.200,	0.00,	0.000,	5.200,	''),
(8242,	2815,	1610,	1,	3,	3,	9595,	3.600,	0.00,	0.000,	3.600,	''),
(8243,	2813,	887,	2,	3,	3,	9583,	3.800,	0.00,	0.000,	7.600,	''),
(8244,	2813,	1201,	2,	3,	3,	9584,	4.200,	5.00,	0.420,	8.820,	''),
(8245,	2816,	932,	2,	3,	79,	9599,	2.200,	0.00,	0.000,	4.400,	''),
(8246,	2816,	1563,	3,	6,	111,	9598,	0.800,	0.00,	0.000,	2.400,	''),
(8247,	2818,	317,	1,	3,	3,	9606,	5.800,	0.00,	0.000,	5.800,	''),
(8248,	2819,	1251,	1,	3,	3,	9607,	3.850,	5.00,	0.193,	4.043,	''),
(8249,	2820,	314,	2,	1,	3,	9608,	1.300,	0.00,	0.000,	2.600,	''),
(8250,	2820,	1491,	1,	3,	3,	9609,	1.300,	0.00,	0.000,	1.300,	''),
(8251,	2821,	667,	2,	3,	3,	9640,	18.000,	0.00,	0.000,	36.000,	''),
(8252,	2821,	682,	2,	3,	3,	9641,	10.600,	0.00,	0.000,	21.200,	''),
(8253,	2822,	972,	1,	3,	3,	9611,	3.600,	0.00,	0.000,	3.600,	''),
(8254,	2824,	1839,	1,	63,	3,	9615,	1.700,	5.00,	0.085,	1.785,	''),
(8255,	2825,	1251,	2,	3,	3,	9616,	3.850,	5.00,	0.385,	8.085,	''),
(8256,	2826,	1839,	100,	63,	3,	9618,	1.700,	5.00,	8.500,	178.500,	''),
(8257,	2827,	1344,	1,	3,	20,	9628,	3.600,	0.00,	0.000,	3.600,	''),
(8258,	2827,	1563,	3,	6,	111,	9629,	0.800,	0.00,	0.000,	2.400,	''),
(8259,	2827,	1626,	2,	3,	71,	9630,	2.200,	0.00,	0.000,	4.400,	''),
(8260,	2828,	753,	12,	63,	3,	9645,	1.600,	0.00,	0.000,	19.200,	''),
(8261,	2828,	1839,	6,	63,	3,	9646,	1.700,	5.00,	0.510,	10.710,	''),
(8262,	2829,	1174,	5,	3,	3,	9634,	3.200,	0.00,	0.000,	16.000,	''),
(8263,	2830,	57,	1,	7,	14,	9642,	2.000,	0.00,	0.000,	2.000,	''),
(8264,	2830,	420,	2,	3,	3,	9643,	1.600,	0.00,	0.000,	3.200,	''),
(8265,	2831,	682,	1,	3,	3,	9644,	10.600,	0.00,	0.000,	5.300,	''),
(8266,	2832,	1292,	1,	63,	3,	9647,	7.400,	0.00,	0.000,	7.400,	''),
(8267,	2833,	551,	10,	6,	3,	9663,	0.160,	5.00,	0.080,	1.680,	''),
(8268,	2833,	682,	1,	3,	3,	9664,	10.600,	0.00,	0.000,	5.300,	''),
(8269,	2833,	799,	1,	3,	38,	9665,	3.000,	0.00,	0.000,	3.000,	''),
(8270,	2833,	1166,	2,	3,	3,	9666,	2.300,	0.00,	0.000,	4.600,	''),
(8271,	2833,	1298,	3,	1,	3,	9667,	1.400,	0.00,	0.000,	4.200,	''),
(8272,	2833,	1344,	1,	3,	20,	9668,	3.600,	0.00,	0.000,	3.600,	''),
(8273,	2833,	1839,	2,	63,	3,	9669,	1.700,	5.00,	0.170,	3.570,	''),
(8274,	2834,	1251,	1,	3,	3,	9652,	3.850,	5.00,	0.193,	4.043,	''),
(8275,	2835,	501,	4,	1,	3,	9653,	2.000,	0.00,	0.000,	8.000,	''),
(8276,	2836,	551,	1,	63,	3,	9654,	4.000,	5.00,	0.200,	4.200,	''),
(8277,	2837,	1251,	1,	3,	3,	9655,	3.850,	5.00,	0.193,	4.043,	''),
(8278,	2838,	1251,	3,	4,	3,	9670,	0.500,	5.00,	0.075,	1.575,	''),
(8279,	2839,	152,	1,	1,	3,	9675,	1.100,	0.00,	0.000,	1.100,	''),
(8280,	2839,	766,	1,	3,	3,	9676,	2.400,	0.00,	0.000,	2.400,	''),
(8281,	2839,	1251,	1,	3,	3,	9677,	3.850,	5.00,	0.193,	4.043,	''),
(8282,	2839,	1563,	4,	6,	105,	9678,	0.800,	0.00,	0.000,	3.200,	''),
(8283,	2840,	1251,	1,	3,	3,	9679,	3.850,	5.00,	0.193,	4.043,	''),
(8284,	2841,	152,	1,	1,	3,	9680,	1.100,	0.00,	0.000,	1.100,	''),
(8285,	2842,	799,	15,	3,	38,	9681,	3.000,	0.00,	0.000,	45.000,	''),
(8286,	2843,	76,	1,	3,	15,	9682,	9.500,	0.00,	0.000,	9.500,	''),
(8287,	2843,	1514,	1,	3,	3,	9683,	7.200,	0.00,	0.000,	7.200,	''),
(8288,	2844,	420,	1,	3,	3,	9684,	1.600,	0.00,	0.000,	1.600,	''),
(8289,	2844,	1626,	8,	3,	71,	9685,	1.900,	0.00,	0.000,	15.200,	''),
(8290,	2845,	753,	1,	63,	3,	9686,	1.600,	0.00,	0.000,	1.600,	''),
(8291,	2845,	969,	1,	3,	3,	9687,	5.500,	0.00,	0.000,	5.500,	''),
(8292,	2846,	1563,	2,	3,	111,	9688,	5.900,	0.00,	0.000,	11.800,	''),
(8293,	2847,	766,	1,	3,	3,	9689,	2.400,	0.00,	0.000,	2.400,	''),
(8294,	2847,	1344,	1,	3,	20,	9691,	3.600,	0.00,	0.000,	3.600,	''),
(8295,	2847,	1514,	1,	3,	3,	9692,	7.400,	0.00,	0.000,	7.400,	''),
(8296,	2847,	1622,	1,	3,	3,	9690,	4.800,	0.00,	0.000,	4.800,	''),
(8297,	2848,	152,	7,	1,	3,	9693,	1.100,	0.00,	0.000,	7.920,	''),
(8298,	2925,	1526,	1,	7,	3,	9971,	2.200,	0.00,	0.000,	2.200,	''),
(8299,	2924,	420,	10,	3,	3,	9968,	1.600,	0.00,	0.000,	16.000,	''),
(8300,	2924,	676,	10,	3,	56,	9969,	12.400,	0.00,	0.000,	124.000,	''),
(8301,	2924,	766,	10,	3,	3,	9970,	2.400,	0.00,	0.000,	24.000,	''),
(8302,	2923,	57,	1,	3,	15,	9963,	9.000,	0.00,	0.000,	9.000,	''),
(8303,	2923,	170,	2,	3,	3,	9964,	6.300,	0.00,	0.000,	12.600,	''),
(8304,	2923,	1526,	1,	3,	3,	9962,	6.500,	0.00,	0.000,	6.500,	''),
(8305,	2922,	76,	1,	7,	13,	9957,	2.200,	0.00,	0.000,	2.200,	''),
(8306,	2922,	799,	5,	4,	5,	9956,	0.800,	0.00,	0.000,	4.000,	''),
(8307,	2922,	1251,	2,	3,	3,	9959,	0.490,	5.00,	0.049,	1.029,	''),
(8308,	2922,	1353,	1,	3,	3,	9958,	5.400,	0.00,	0.000,	5.400,	''),
(8309,	2922,	1622,	1,	3,	3,	9960,	4.800,	0.00,	0.000,	4.800,	''),
(8310,	2922,	1766,	1,	3,	3,	9961,	0.900,	0.00,	0.000,	0.900,	''),
(8311,	2921,	1166,	1,	3,	3,	9955,	2.300,	0.00,	0.000,	2.300,	''),
(8312,	2883,	152,	20,	1,	3,	9855,	1.090,	0.00,	0.000,	21.800,	''),
(8313,	2884,	682,	1,	3,	3,	9856,	10.600,	0.00,	0.000,	5.300,	''),
(8314,	2885,	1166,	2,	3,	3,	9857,	2.300,	0.00,	0.000,	4.600,	''),
(8315,	2886,	551,	1,	63,	3,	9861,	3.800,	5.00,	0.190,	3.990,	''),
(8316,	2886,	676,	1,	3,	3,	9862,	12.000,	0.00,	0.000,	12.000,	''),
(8317,	2886,	1659,	1,	63,	2,	9863,	3.900,	0.00,	0.000,	3.900,	''),
(8318,	2887,	1626,	2,	3,	71,	9864,	2.100,	0.00,	0.000,	4.200,	''),
(8319,	2888,	73,	2,	7,	9,	9866,	2.400,	0.00,	0.000,	4.800,	''),
(8320,	2888,	168,	1,	3,	3,	9865,	2.200,	0.00,	0.000,	2.200,	''),
(8321,	2889,	152,	4,	1,	3,	9867,	1.100,	0.00,	0.000,	4.180,	''),
(8322,	2890,	753,	1,	63,	3,	9868,	1.700,	0.00,	0.000,	1.700,	''),
(8323,	2891,	954,	1,	1,	3,	9869,	1.800,	0.00,	0.000,	1.800,	''),
(8324,	2892,	676,	1,	3,	3,	9870,	12.500,	0.00,	0.000,	12.500,	''),
(8325,	2893,	753,	2,	63,	3,	9871,	1.600,	0.00,	0.000,	3.200,	''),
(8326,	2893,	1072,	1,	3,	3,	9872,	2.400,	0.00,	0.000,	2.400,	''),
(8327,	2894,	676,	1,	3,	3,	9873,	12.600,	0.00,	0.000,	6.300,	''),
(8328,	2895,	765,	2,	1,	3,	9874,	1.700,	0.00,	0.000,	3.400,	''),
(8329,	2896,	676,	1,	3,	4,	9875,	11.600,	0.00,	0.000,	5.800,	''),
(8330,	2897,	753,	3,	63,	3,	9877,	1.600,	0.00,	0.000,	4.800,	''),
(8331,	2897,	766,	2,	3,	3,	9876,	2.400,	0.00,	0.000,	4.800,	''),
(8332,	2898,	1127,	1,	1,	3,	9879,	2.400,	0.00,	0.000,	2.400,	''),
(8333,	2898,	1622,	1,	3,	3,	9878,	4.800,	0.00,	0.000,	4.800,	''),
(8334,	2899,	73,	1,	7,	9,	9884,	2.400,	0.00,	0.000,	2.400,	''),
(8335,	2899,	676,	1,	3,	3,	9885,	12.000,	0.00,	0.000,	12.000,	''),
(8336,	2899,	753,	2,	63,	3,	9886,	2.100,	0.00,	0.000,	4.200,	''),
(8337,	2899,	1563,	3,	6,	110,	9887,	0.800,	0.00,	0.000,	2.400,	''),
(8338,	2900,	170,	1,	3,	3,	9892,	6.300,	0.00,	0.000,	6.300,	''),
(8339,	2900,	1138,	1,	3,	3,	9891,	1.900,	0.00,	0.000,	1.900,	''),
(8340,	2900,	1563,	2,	6,	111,	9890,	0.700,	0.00,	0.000,	1.400,	''),
(8341,	2900,	1626,	1,	3,	71,	9889,	1.900,	0.00,	0.000,	1.900,	''),
(8342,	2900,	1659,	1,	63,	3,	9888,	0.800,	0.00,	0.000,	0.800,	''),
(8343,	2901,	45,	1,	3,	7,	9944,	4.000,	0.00,	0.000,	4.000,	''),
(8344,	2901,	57,	1,	3,	14,	9945,	8.900,	0.00,	0.000,	8.900,	''),
(8345,	2901,	683,	1,	3,	3,	9946,	10.700,	0.00,	0.000,	10.700,	''),
(8346,	2901,	753,	1,	63,	3,	9947,	1.600,	0.00,	0.000,	1.600,	''),
(8347,	2901,	766,	1,	3,	3,	9948,	2.400,	0.00,	0.000,	2.400,	''),
(8348,	2901,	1166,	1,	3,	3,	9949,	2.300,	0.00,	0.000,	2.300,	''),
(8349,	2901,	1344,	1,	3,	20,	9950,	3.500,	0.00,	0.000,	3.500,	''),
(8350,	2902,	1251,	4,	4,	3,	9901,	0.500,	5.00,	0.100,	2.100,	''),
(8351,	2903,	551,	1,	63,	3,	9902,	3.800,	5.00,	0.190,	3.990,	''),
(8352,	2903,	799,	2,	3,	38,	9903,	3.200,	0.00,	0.000,	6.400,	''),
(8353,	2903,	1881,	10,	3,	3,	9904,	1.600,	0.00,	0.000,	16.000,	''),
(8354,	2904,	1127,	1,	3,	3,	9905,	2.100,	0.00,	0.000,	2.100,	''),
(8355,	2905,	753,	1,	3,	5,	9906,	4.700,	0.00,	0.000,	4.700,	''),
(8356,	2906,	676,	1,	3,	3,	9907,	12.000,	0.00,	0.000,	6.000,	''),
(8357,	2907,	551,	4,	63,	3,	9908,	3.800,	5.00,	0.760,	15.960,	''),
(8358,	2907,	753,	2,	63,	3,	9909,	1.600,	0.00,	0.000,	3.200,	''),
(8359,	2907,	766,	2,	3,	3,	9910,	2.300,	0.00,	0.000,	4.600,	''),
(8360,	2908,	168,	5,	3,	4,	9911,	1.700,	0.00,	0.000,	8.500,	''),
(8361,	2908,	766,	1,	3,	3,	9912,	2.400,	0.00,	0.000,	2.400,	''),
(8362,	2909,	676,	1,	3,	3,	9914,	12.000,	0.00,	0.000,	12.000,	''),
(8363,	2909,	1251,	3,	4,	3,	9913,	0.450,	5.00,	0.068,	1.418,	''),
(8364,	2910,	506,	1,	3,	3,	9915,	8.000,	0.00,	0.000,	8.000,	''),
(8365,	2911,	1251,	3,	3,	3,	9916,	3.800,	5.00,	0.570,	11.970,	''),
(8366,	2912,	876,	2,	3,	3,	9917,	3.900,	0.00,	0.000,	7.800,	''),
(8367,	2913,	676,	1,	3,	3,	9918,	12.000,	0.00,	0.000,	6.000,	''),
(8368,	2914,	1251,	2,	4,	3,	9919,	0.480,	5.00,	0.048,	1.008,	''),
(8369,	2915,	753,	2,	63,	3,	9920,	1.600,	0.00,	0.000,	3.200,	''),
(8370,	2916,	771,	2,	1,	3,	9922,	1.600,	0.00,	0.000,	3.200,	''),
(8371,	2916,	836,	1,	10,	5,	9921,	0.700,	0.00,	0.000,	0.700,	''),
(8372,	2916,	1166,	2,	3,	3,	9927,	2.300,	0.00,	0.000,	4.600,	''),
(8373,	2916,	1344,	1,	3,	29,	9926,	2.300,	0.00,	0.000,	2.300,	''),
(8374,	2916,	1563,	2,	6,	111,	9923,	0.800,	0.00,	0.000,	1.600,	''),
(8375,	2916,	1622,	1,	3,	3,	9925,	4.800,	0.00,	0.000,	4.800,	''),
(8376,	2916,	1766,	1,	3,	3,	9924,	0.800,	0.00,	0.000,	0.800,	''),
(8377,	2917,	168,	2,	3,	3,	9936,	2.200,	0.00,	0.000,	4.400,	''),
(8378,	2917,	178,	4,	1,	3,	9935,	1.100,	0.00,	0.000,	4.070,	''),
(8379,	2917,	551,	1,	63,	3,	9938,	3.800,	5.00,	0.190,	3.990,	''),
(8380,	2917,	766,	1,	3,	3,	9939,	2.300,	0.00,	0.000,	2.300,	''),
(8381,	2917,	1138,	1,	3,	3,	9937,	1.800,	0.00,	0.000,	1.800,	''),
(8382,	2918,	394,	1,	3,	3,	9942,	5.200,	0.00,	0.000,	5.200,	''),
(8383,	2918,	1251,	1,	3,	3,	9943,	3.800,	5.00,	0.190,	3.990,	''),
(8384,	2919,	876,	1,	3,	3,	9951,	4.000,	0.00,	0.000,	4.000,	''),
(8385,	2920,	676,	1,	3,	3,	9954,	12.500,	0.00,	0.000,	12.500,	''),
(8386,	2920,	1251,	1,	3,	3,	9952,	3.850,	5.00,	0.193,	4.043,	''),
(8387,	2920,	1563,	1,	3,	110,	9953,	6.000,	0.00,	0.000,	6.000,	''),
(8388,	2849,	420,	1,	3,	3,	9697,	1.600,	0.00,	0.000,	1.600,	''),
(8389,	2849,	423,	2,	3,	3,	9696,	1.500,	0.00,	0.000,	3.000,	''),
(8390,	2849,	753,	1,	63,	3,	9695,	1.600,	0.00,	0.000,	1.600,	''),
(8391,	2849,	933,	1,	3,	3,	9694,	3.800,	0.00,	0.000,	3.800,	''),
(8392,	2850,	1298,	300,	1,	3,	9698,	1.400,	0.00,	0.000,	420.000,	''),
(8393,	2851,	279,	1,	3,	5,	9702,	4.700,	0.00,	0.000,	4.700,	''),
(8394,	2851,	682,	1,	3,	3,	9703,	10.600,	0.00,	0.000,	10.600,	''),
(8395,	2851,	766,	1,	3,	3,	9704,	2.400,	0.00,	0.000,	2.400,	''),
(8396,	2852,	401,	1,	1,	3,	9705,	1.200,	0.00,	0.000,	1.200,	''),
(8397,	2853,	799,	1,	3,	38,	9724,	3.500,	0.00,	0.000,	3.500,	''),
(8398,	2853,	1201,	1,	3,	3,	9725,	4.200,	5.00,	0.210,	4.410,	''),
(8399,	2853,	1353,	1,	3,	3,	9726,	5.400,	0.00,	0.000,	5.400,	''),
(8400,	2853,	1526,	1,	7,	3,	9727,	2.000,	0.00,	0.000,	2.000,	''),
(8401,	2853,	1565,	2,	1,	3,	9728,	1.300,	0.00,	0.000,	1.950,	''),
(8402,	2853,	1622,	1,	3,	3,	9729,	4.800,	0.00,	0.000,	4.800,	''),
(8403,	2853,	1726,	1,	3,	3,	9730,	3.800,	0.00,	0.000,	3.800,	''),
(8404,	2854,	152,	10,	1,	3,	9712,	1.100,	0.00,	0.000,	11.000,	''),
(8405,	2854,	1071,	1,	3,	4,	9714,	2.500,	0.00,	0.000,	2.500,	''),
(8406,	2854,	1344,	2,	3,	20,	9716,	3.600,	0.00,	0.000,	7.200,	''),
(8407,	2854,	1563,	1,	3,	111,	9715,	6.000,	0.00,	0.000,	6.000,	''),
(8408,	2854,	1626,	1,	3,	71,	9713,	2.200,	0.00,	0.000,	2.200,	''),
(8409,	2855,	152,	10,	1,	3,	9735,	1.100,	0.00,	0.000,	11.000,	''),
(8410,	2855,	676,	1,	3,	3,	9736,	12.000,	0.00,	0.000,	12.000,	''),
(8411,	2855,	752,	1,	3,	4,	9737,	14.200,	0.00,	0.000,	14.200,	''),
(8412,	2855,	1251,	2,	3,	3,	9738,	3.850,	5.00,	0.385,	8.085,	''),
(8413,	2856,	152,	50,	1,	3,	9739,	1.100,	0.00,	0.000,	55.000,	''),
(8414,	2857,	766,	2,	3,	3,	9740,	2.400,	0.00,	0.000,	4.800,	''),
(8415,	2858,	753,	2,	3,	3,	9744,	2.600,	0.00,	0.000,	5.200,	'fAYHA'),
(8416,	2858,	753,	2,	63,	3,	9743,	1.600,	0.00,	0.000,	3.200,	''),
(8417,	2858,	766,	2,	3,	3,	9741,	2.300,	0.00,	0.000,	4.600,	''),
(8418,	2858,	1839,	2,	63,	3,	9742,	1.700,	5.00,	0.170,	3.570,	''),
(8419,	2859,	152,	2,	1,	3,	9746,	1.100,	0.00,	0.000,	2.640,	''),
(8420,	2859,	1563,	2,	6,	111,	9745,	0.700,	0.00,	0.000,	1.400,	''),
(8421,	2860,	152,	2,	1,	3,	9751,	1.100,	0.00,	0.000,	2.420,	''),
(8422,	2860,	799,	1,	3,	38,	9748,	3.400,	0.00,	0.000,	3.400,	''),
(8423,	2860,	1174,	1,	3,	3,	9749,	3.200,	0.00,	0.000,	3.200,	''),
(8424,	2860,	1201,	1,	3,	3,	9747,	4.200,	5.00,	0.210,	4.410,	''),
(8425,	2860,	1353,	1,	3,	3,	9750,	5.400,	0.00,	0.000,	5.400,	''),
(8426,	2860,	1565,	2,	1,	3,	9752,	1.300,	0.00,	0.000,	1.950,	''),
(8427,	2861,	152,	2,	1,	3,	9753,	1.100,	0.00,	0.000,	2.200,	''),
(8428,	2862,	168,	1,	3,	3,	9823,	2.200,	0.00,	0.000,	2.200,	''),
(8429,	2862,	279,	1,	3,	5,	9824,	4.700,	0.00,	0.000,	4.700,	''),
(8430,	2862,	799,	1,	3,	38,	9822,	3.000,	0.00,	0.000,	3.000,	''),
(8431,	2862,	1066,	1,	3,	3,	9825,	3.000,	0.00,	0.000,	3.000,	''),
(8432,	2862,	1098,	1,	3,	3,	9826,	6.500,	0.00,	0.000,	6.500,	''),
(8433,	2862,	1166,	8,	3,	3,	9827,	2.300,	0.00,	0.000,	18.400,	''),
(8434,	2862,	1344,	1,	3,	20,	9828,	3.600,	0.00,	0.000,	3.600,	''),
(8435,	2862,	1563,	4,	6,	110,	9829,	0.800,	0.00,	0.000,	3.200,	''),
(8436,	2862,	1622,	2,	3,	3,	9830,	4.800,	0.00,	0.000,	9.600,	''),
(8437,	2863,	1071,	3,	3,	3,	9762,	2.400,	0.00,	0.000,	7.200,	''),
(8438,	2863,	1839,	10,	63,	3,	9763,	1.700,	5.00,	0.850,	17.850,	''),
(8439,	2864,	808,	1,	3,	3,	9767,	6.900,	0.00,	0.000,	6.900,	''),
(8440,	2864,	1251,	2,	4,	3,	9766,	0.500,	5.00,	0.050,	1.050,	''),
(8441,	2864,	1439,	1,	4,	23,	9764,	1.500,	0.00,	0.000,	1.500,	''),
(8442,	2864,	1563,	2,	6,	111,	9765,	0.800,	0.00,	0.000,	1.600,	''),
(8443,	2865,	1401,	30,	4,	3,	9768,	0.185,	5.00,	0.278,	5.828,	''),
(8444,	2866,	152,	10,	1,	3,	9779,	1.080,	0.00,	0.000,	10.800,	''),
(8445,	2866,	168,	1,	3,	3,	9777,	2.200,	0.00,	0.000,	2.200,	''),
(8446,	2866,	1179,	2,	3,	3,	9780,	2.300,	0.00,	0.000,	4.600,	''),
(8447,	2866,	1344,	1,	3,	20,	9781,	3.600,	0.00,	0.000,	3.600,	''),
(8448,	2866,	1563,	2,	6,	111,	9778,	0.800,	0.00,	0.000,	1.600,	''),
(8449,	2867,	152,	5,	1,	3,	9782,	1.100,	0.00,	0.000,	5.500,	''),
(8450,	2867,	753,	1,	63,	3,	9783,	1.600,	0.00,	0.000,	1.600,	''),
(8451,	2867,	766,	2,	3,	3,	9784,	2.400,	0.00,	0.000,	4.800,	''),
(8452,	2868,	753,	1,	63,	3,	9786,	1.800,	0.00,	0.000,	1.800,	''),
(8453,	2868,	766,	1,	3,	3,	9787,	2.400,	0.00,	0.000,	2.400,	''),
(8454,	2868,	1344,	2,	3,	103,	9785,	1.900,	0.00,	0.000,	3.800,	''),
(8455,	2869,	528,	1,	3,	3,	9841,	2.500,	0.00,	0.000,	2.500,	''),
(8456,	2869,	753,	1,	63,	3,	9842,	1.600,	0.00,	0.000,	1.600,	''),
(8457,	2869,	766,	1,	3,	3,	9843,	2.400,	0.00,	0.000,	2.400,	''),
(8458,	2870,	766,	1,	3,	3,	9790,	2.400,	0.00,	0.000,	2.400,	''),
(8459,	2870,	1344,	1,	3,	20,	9791,	3.600,	0.00,	0.000,	3.600,	''),
(8460,	2871,	501,	1,	1,	3,	9793,	2.000,	0.00,	0.000,	2.000,	''),
(8461,	2871,	799,	1,	3,	5,	9792,	6.000,	0.00,	0.000,	6.000,	''),
(8462,	2872,	152,	10,	1,	3,	9795,	1.100,	0.00,	0.000,	11.000,	''),
(8463,	2873,	152,	20,	1,	3,	9796,	1.080,	0.00,	0.000,	21.600,	''),
(8464,	2874,	57,	1,	3,	13,	9806,	8.900,	0.00,	0.000,	8.900,	''),
(8465,	2874,	60,	1,	3,	9,	9807,	11.500,	0.00,	0.000,	11.500,	''),
(8466,	2874,	420,	3,	3,	3,	9798,	1.600,	0.00,	0.000,	4.800,	''),
(8467,	2874,	528,	2,	3,	3,	9805,	2.400,	0.00,	0.000,	4.800,	''),
(8468,	2874,	753,	5,	63,	3,	9799,	1.600,	0.00,	0.000,	8.000,	''),
(8469,	2874,	771,	2,	1,	3,	9801,	1.500,	0.00,	0.000,	3.000,	''),
(8470,	2874,	1071,	2,	3,	3,	9803,	2.400,	0.00,	0.000,	4.800,	''),
(8471,	2874,	1127,	3,	3,	3,	9802,	2.200,	0.00,	0.000,	6.600,	''),
(8472,	2874,	1179,	10,	3,	3,	9804,	2.200,	0.00,	0.000,	22.000,	''),
(8473,	2874,	1587,	1,	3,	3,	9800,	5.200,	0.00,	0.000,	5.200,	''),
(8474,	2874,	1703,	20,	1,	3,	9797,	0.100,	0.00,	0.000,	2.000,	''),
(8475,	2875,	808,	1,	3,	3,	9820,	6.900,	0.00,	0.000,	6.900,	''),
(8476,	2875,	1201,	1,	3,	3,	9821,	4.200,	5.00,	0.210,	4.410,	''),
(8477,	2876,	753,	5,	63,	3,	9814,	1.600,	0.00,	0.000,	8.000,	''),
(8478,	2876,	766,	3,	3,	3,	9812,	2.300,	0.00,	0.000,	6.900,	''),
(8479,	2876,	1839,	5,	63,	3,	9813,	1.700,	5.00,	0.425,	8.925,	''),
(8480,	2876,	2021,	4,	3,	3,	9811,	4.700,	5.00,	0.940,	19.740,	''),
(8481,	2878,	676,	1,	3,	3,	9844,	12.000,	0.00,	0.000,	12.000,	''),
(8482,	2878,	753,	1,	63,	3,	9845,	2.100,	0.00,	0.000,	2.100,	''),
(8483,	2878,	766,	1,	3,	3,	9846,	2.400,	0.00,	0.000,	2.400,	''),
(8484,	2879,	1251,	2,	4,	4,	9837,	0.500,	5.00,	0.050,	1.050,	''),
(8485,	2880,	682,	1,	3,	3,	9850,	10.600,	0.00,	0.000,	10.600,	''),
(8486,	2880,	766,	1,	3,	3,	9851,	2.400,	0.00,	0.000,	2.400,	''),
(8487,	2880,	1127,	1,	3,	3,	9852,	2.200,	0.00,	0.000,	2.200,	''),
(8488,	2881,	152,	2,	1,	3,	9853,	1.100,	0.00,	0.000,	2.200,	''),
(8489,	2882,	170,	1,	3,	3,	9854,	6.300,	0.00,	0.000,	6.300,	''),
(8490,	2926,	45,	1,	3,	7,	10014,	3.900,	0.00,	0.000,	3.900,	''),
(8491,	2926,	932,	2,	6,	24,	10013,	0.900,	0.00,	0.000,	1.800,	''),
(8492,	2926,	963,	1,	1,	3,	10015,	3.200,	0.00,	0.000,	3.200,	''),
(8493,	2926,	1127,	5,	3,	3,	10016,	2.200,	0.00,	0.000,	11.000,	''),
(8494,	2926,	1344,	1,	3,	20,	10017,	3.600,	0.00,	0.000,	3.600,	''),
(8495,	2926,	1390,	3,	1,	3,	10018,	0.600,	5.00,	0.075,	1.575,	''),
(8496,	2926,	1563,	1,	3,	110,	10019,	6.800,	0.00,	0.000,	6.800,	''),
(8497,	2926,	1625,	1,	3,	3,	10020,	2.100,	0.00,	0.000,	2.100,	''),
(8498,	2927,	667,	1,	3,	3,	9986,	18.000,	0.00,	0.000,	9.000,	''),
(8499,	2927,	1839,	1,	63,	3,	9985,	1.700,	5.00,	0.085,	1.785,	''),
(8500,	2928,	753,	1,	63,	3,	9987,	1.600,	0.00,	0.000,	1.600,	''),
(8501,	2928,	766,	1,	3,	3,	9988,	2.400,	0.00,	0.000,	2.400,	''),
(8502,	2929,	57,	1,	3,	13,	9990,	9.000,	0.00,	0.000,	9.000,	''),
(8503,	2929,	1138,	1,	3,	3,	9991,	1.800,	0.00,	0.000,	1.800,	''),
(8504,	2930,	45,	1,	3,	7,	9997,	3.900,	0.00,	0.000,	3.900,	''),
(8505,	2930,	168,	2,	3,	3,	9998,	2.200,	0.00,	0.000,	4.400,	''),
(8506,	2930,	753,	1,	63,	3,	9999,	2.100,	0.00,	0.000,	2.100,	''),
(8507,	2930,	766,	1,	3,	3,	10000,	2.400,	0.00,	0.000,	2.400,	''),
(8508,	2930,	1344,	2,	3,	29,	10001,	2.300,	0.00,	0.000,	4.600,	''),
(8509,	2931,	676,	1,	3,	56,	10002,	12.500,	0.00,	0.000,	12.500,	''),
(8510,	3036,	1251,	1,	3,	3,	10471,	3.810,	5.00,	0.191,	4.001,	''),
(8511,	3035,	766,	2,	3,	3,	10470,	2.500,	0.00,	0.000,	5.000,	''),
(8512,	3033,	45,	1,	3,	7,	10451,	4.200,	0.00,	0.000,	4.200,	''),
(8513,	3033,	168,	1,	3,	3,	10450,	2.200,	0.00,	0.000,	2.200,	''),
(8514,	3033,	1138,	4,	3,	3,	10453,	1.800,	0.00,	0.000,	7.200,	''),
(8515,	3033,	1622,	1,	3,	3,	10452,	4.800,	0.00,	0.000,	4.800,	''),
(8516,	3032,	972,	1,	3,	3,	10449,	3.600,	0.00,	0.000,	3.600,	''),
(8517,	3031,	753,	1,	63,	3,	10442,	2.600,	0.00,	0.000,	2.600,	'fayha'),
(8518,	3031,	1251,	2,	3,	3,	10443,	3.800,	5.00,	0.380,	7.980,	''),
(8526,	2718,	501,	1,	1,	3,	9274,	2.000,	0.00,	0.000,	1.000,	''),
(8527,	2720,	1071,	1,	3,	3,	9279,	2.600,	0.00,	0.000,	2.600,	''),
(8528,	2720,	1127,	2,	3,	3,	9280,	2.300,	0.00,	0.000,	4.600,	''),
(8529,	2720,	1570,	2,	4,	74,	9278,	1.900,	0.00,	0.000,	3.800,	''),
(8530,	2932,	76,	1,	7,	14,	10023,	2.200,	0.00,	0.000,	2.200,	''),
(8531,	2932,	1166,	1,	3,	3,	10025,	2.300,	0.00,	0.000,	2.300,	''),
(8532,	2932,	1353,	1,	3,	3,	10022,	5.400,	0.00,	0.000,	5.400,	''),
(8533,	2932,	1434,	1,	7,	3,	10024,	1.300,	0.00,	0.000,	1.300,	''),
(8534,	2932,	1563,	1,	6,	110,	10026,	6.000,	0.00,	0.000,	6.000,	''),
(8535,	2932,	1659,	1,	63,	3,	10021,	0.900,	0.00,	0.000,	0.900,	''),
(8536,	2933,	676,	1,	3,	3,	10027,	12.500,	0.00,	0.000,	12.500,	''),
(8537,	2934,	876,	1,	10,	3,	10037,	4.000,	0.00,	0.000,	4.000,	''),
(8538,	2934,	1434,	2,	3,	3,	10034,	1.300,	0.00,	0.000,	2.600,	''),
(8539,	2934,	1587,	1,	3,	3,	10035,	5.500,	0.00,	0.000,	5.500,	''),
(8540,	2934,	1622,	1,	3,	3,	10036,	4.800,	0.00,	0.000,	4.800,	''),
(8541,	2935,	753,	3,	63,	3,	10029,	1.600,	0.00,	0.000,	4.800,	''),
(8542,	2935,	766,	1,	3,	3,	10030,	2.400,	0.00,	0.000,	2.400,	''),
(8543,	2935,	1839,	2,	63,	3,	10031,	1.700,	5.00,	0.170,	3.570,	''),
(8544,	2936,	682,	1,	3,	3,	10033,	10.800,	0.00,	0.000,	10.800,	''),
(8545,	2936,	753,	1,	63,	3,	10032,	2.100,	0.00,	0.000,	2.100,	''),
(8550,	2937,	57,	1,	3,	13,	10040,	9.000,	0.00,	0.000,	9.000,	''),
(8551,	2937,	420,	1,	3,	3,	10039,	1.600,	0.00,	0.000,	1.600,	''),
(8552,	2937,	676,	1,	3,	56,	10041,	12.600,	0.00,	0.000,	12.600,	''),
(8553,	2937,	1344,	1,	3,	20,	10038,	3.600,	0.00,	0.000,	3.600,	''),
(8556,	2938,	1344,	2,	3,	20,	10043,	3.600,	0.00,	0.000,	7.200,	''),
(8557,	2938,	1353,	1,	3,	3,	10042,	5.400,	0.00,	0.000,	5.400,	''),
(8558,	2939,	1251,	10,	3,	3,	10044,	3.850,	5.00,	1.925,	40.425,	''),
(8559,	2940,	168,	1,	3,	3,	10048,	2.200,	0.00,	0.000,	2.200,	''),
(8560,	2940,	969,	1,	3,	3,	10045,	5.500,	0.00,	0.000,	5.500,	''),
(8561,	2940,	1138,	5,	3,	3,	10049,	2.300,	0.00,	0.000,	11.500,	''),
(8562,	2940,	1344,	1,	3,	20,	10046,	3.600,	0.00,	0.000,	3.600,	''),
(8563,	2940,	1563,	1,	3,	110,	10047,	6.000,	0.00,	0.000,	6.000,	''),
(8564,	2941,	1071,	1,	3,	3,	10050,	2.400,	0.00,	0.000,	2.400,	''),
(8565,	2942,	682,	1,	3,	3,	10052,	10.800,	0.00,	0.000,	5.400,	''),
(8566,	2942,	1071,	1,	3,	3,	10051,	2.400,	0.00,	0.000,	2.400,	''),
(8567,	2943,	766,	1,	3,	4,	10053,	2.400,	0.00,	0.000,	2.400,	''),
(8568,	2944,	753,	1,	63,	3,	10075,	2.100,	0.00,	0.000,	2.100,	''),
(8569,	2944,	766,	1,	3,	3,	10076,	2.400,	0.00,	0.000,	2.400,	''),
(8570,	2944,	1659,	1,	63,	2,	10077,	3.900,	0.00,	0.000,	3.900,	''),
(8571,	2945,	76,	1,	7,	3,	10068,	2.200,	0.00,	0.000,	2.200,	''),
(8572,	2945,	168,	1,	3,	3,	10069,	2.200,	0.00,	0.000,	2.200,	''),
(8573,	2945,	423,	1,	3,	3,	10070,	1.800,	0.00,	0.000,	1.800,	''),
(8574,	2945,	676,	1,	3,	56,	10067,	12.600,	0.00,	0.000,	12.600,	''),
(8575,	2945,	932,	1,	6,	24,	10071,	0.900,	0.00,	0.000,	0.900,	''),
(8576,	2945,	1138,	1,	3,	3,	10072,	1.800,	0.00,	0.000,	1.800,	''),
(8577,	2945,	1344,	1,	3,	20,	10073,	3.600,	0.00,	0.000,	3.600,	''),
(8578,	2945,	1626,	1,	3,	71,	10074,	2.100,	0.00,	0.000,	2.100,	''),
(8579,	2946,	73,	1,	7,	10,	10078,	2.400,	0.00,	0.000,	2.400,	''),
(8580,	2947,	45,	1,	3,	7,	10079,	4.000,	0.00,	0.000,	4.000,	''),
(8581,	2947,	528,	1,	3,	3,	10080,	2.500,	0.00,	0.000,	2.500,	''),
(8582,	2948,	528,	3,	3,	3,	10081,	2.500,	0.00,	0.000,	7.500,	''),
(8583,	2949,	676,	1,	3,	3,	10084,	12.600,	0.00,	0.000,	12.600,	''),
(8584,	2949,	766,	1,	3,	3,	10083,	2.400,	0.00,	0.000,	2.400,	''),
(8585,	2950,	420,	10,	3,	3,	10104,	1.600,	0.00,	0.000,	16.000,	''),
(8586,	2950,	528,	6,	3,	3,	10103,	2.500,	0.00,	0.000,	15.000,	''),
(8587,	2950,	753,	10,	63,	3,	10102,	1.600,	0.00,	0.000,	16.000,	''),
(8588,	2950,	766,	5,	3,	3,	10105,	2.400,	0.00,	0.000,	12.000,	''),
(8589,	2950,	1526,	3,	3,	3,	10106,	6.500,	0.00,	0.000,	19.500,	''),
(8590,	2950,	1626,	3,	3,	71,	10107,	2.100,	0.00,	0.000,	6.300,	''),
(8591,	2951,	528,	1,	3,	3,	10087,	2.500,	0.00,	0.000,	2.500,	''),
(8592,	2952,	33,	1,	7,	3,	10088,	2.000,	0.00,	0.000,	2.000,	''),
(8593,	2952,	76,	1,	7,	11,	10089,	2.200,	0.00,	0.000,	2.200,	''),
(8594,	2952,	1563,	1,	3,	110,	10090,	6.200,	0.00,	0.000,	6.200,	''),
(8595,	2953,	682,	1,	3,	3,	10091,	10.800,	0.00,	0.000,	10.800,	''),
(8596,	2954,	1138,	3,	3,	3,	10096,	1.800,	0.00,	0.000,	5.400,	''),
(8597,	2955,	803,	1,	3,	3,	10101,	7.800,	0.00,	0.000,	7.800,	''),
(8598,	2956,	1127,	1,	3,	3,	10108,	2.100,	0.00,	0.000,	2.100,	''),
(8599,	2957,	1174,	1,	3,	3,	10109,	3.200,	0.00,	0.000,	3.200,	''),
(8600,	2958,	528,	2,	3,	3,	10111,	2.500,	0.00,	0.000,	5.000,	''),
(8601,	2958,	753,	1,	63,	3,	10110,	1.600,	0.00,	0.000,	1.600,	''),
(8602,	2959,	1353,	1,	3,	3,	10112,	5.500,	0.00,	0.000,	5.500,	''),
(8603,	2960,	753,	1,	63,	3,	10115,	2.100,	0.00,	0.000,	2.100,	''),
(8604,	2960,	766,	2,	3,	3,	10114,	2.300,	0.00,	0.000,	4.600,	''),
(8605,	2960,	1659,	2,	63,	2,	10116,	3.900,	0.00,	0.000,	7.800,	''),
(8606,	2960,	2021,	1,	3,	3,	10113,	4.700,	5.00,	0.235,	4.935,	''),
(8607,	2961,	1071,	1,	3,	3,	10118,	2.400,	0.00,	0.000,	2.400,	''),
(8608,	2961,	1839,	2,	63,	3,	10117,	1.700,	5.00,	0.170,	3.570,	''),
(8609,	2962,	168,	2,	3,	3,	10121,	2.200,	0.00,	0.000,	4.400,	''),
(8610,	2962,	676,	1,	3,	3,	10122,	12.600,	0.00,	0.000,	12.600,	''),
(8611,	2962,	848,	1,	3,	5,	10119,	5.800,	0.00,	0.000,	5.800,	''),
(8612,	2962,	1626,	1,	3,	71,	10120,	2.200,	0.00,	0.000,	2.200,	''),
(8613,	2963,	528,	1,	3,	3,	10123,	2.500,	0.00,	0.000,	2.500,	''),
(8614,	2963,	676,	1,	3,	3,	10125,	12.600,	0.00,	0.000,	6.300,	''),
(8615,	2963,	1839,	2,	63,	3,	10124,	1.700,	5.00,	0.170,	3.570,	''),
(8616,	2964,	1166,	1,	3,	3,	10127,	2.300,	0.00,	0.000,	2.300,	''),
(8617,	2964,	1344,	1,	3,	29,	10128,	2.300,	0.00,	0.000,	2.300,	''),
(8618,	2964,	1526,	1,	7,	3,	10126,	2.000,	0.00,	0.000,	2.000,	''),
(8619,	2966,	168,	1,	3,	3,	10133,	2.200,	0.00,	0.000,	2.200,	''),
(8620,	2966,	528,	1,	3,	3,	10130,	2.500,	0.00,	0.000,	2.500,	''),
(8621,	2966,	1138,	1,	3,	3,	10132,	1.800,	0.00,	0.000,	1.800,	''),
(8622,	2966,	1344,	1,	3,	25,	10131,	3.600,	0.00,	0.000,	3.600,	''),
(8623,	2967,	1251,	3,	3,	3,	10134,	3.800,	5.00,	0.570,	11.970,	''),
(8624,	3056,	799,	1,	3,	38,	10533,	3.400,	0.00,	0.000,	3.400,	''),
(8625,	3055,	528,	1,	3,	3,	10552,	2.500,	0.00,	0.000,	2.500,	''),
(8626,	3055,	682,	1,	3,	3,	10553,	10.600,	0.00,	0.000,	5.300,	''),
(8627,	3034,	275,	3,	4,	5,	10480,	0.500,	0.00,	0.000,	1.500,	''),
(8628,	3034,	286,	1,	4,	3,	10481,	1.700,	0.00,	0.000,	1.700,	''),
(8629,	3034,	1131,	3,	3,	6,	10482,	3.600,	0.00,	0.000,	10.800,	''),
(8630,	3034,	1344,	1,	3,	20,	10483,	3.600,	0.00,	0.000,	3.600,	''),
(8631,	3034,	1626,	1,	3,	71,	10484,	2.200,	0.00,	0.000,	2.200,	''),
(8632,	3037,	205,	1,	1,	3,	10475,	7.800,	0.00,	0.000,	4.680,	''),
(8633,	3037,	752,	2,	3,	3,	10476,	14.200,	0.00,	0.000,	28.400,	''),
(8634,	3038,	1131,	3,	3,	6,	10473,	3.000,	0.00,	0.000,	9.000,	''),
(8635,	3038,	1251,	1,	3,	3,	10474,	3.810,	5.00,	0.191,	4.001,	''),
(8636,	3039,	501,	0,	1,	3,	10478,	2.000,	0.00,	0.000,	0.500,	''),
(8637,	3039,	876,	1,	3,	3,	10477,	4.200,	0.00,	0.000,	4.200,	''),
(8638,	3040,	676,	1,	3,	56,	10479,	12.500,	0.00,	0.000,	12.500,	''),
(8639,	3041,	446,	1,	3,	3,	10485,	0.500,	0.00,	0.000,	0.500,	''),
(8640,	3041,	753,	1,	63,	3,	10487,	1.800,	0.00,	0.000,	1.800,	''),
(8641,	3041,	766,	1,	3,	3,	10486,	2.500,	0.00,	0.000,	2.500,	''),
(8642,	3042,	752,	3,	4,	3,	10488,	3.550,	0.00,	0.000,	10.650,	''),
(8643,	3043,	753,	1,	3,	5,	10489,	4.700,	0.00,	0.000,	4.700,	''),
(8644,	3044,	551,	1,	63,	3,	10490,	3.810,	5.00,	0.191,	4.001,	''),
(8645,	3045,	933,	1,	7,	3,	10493,	3.800,	0.00,	0.000,	3.800,	''),
(8646,	3045,	1891,	1,	3,	3,	10494,	5.800,	0.00,	0.000,	5.800,	''),
(8647,	3046,	1344,	2,	3,	25,	10495,	3.400,	0.00,	0.000,	6.800,	''),
(8648,	3047,	771,	1,	1,	3,	10496,	1.500,	0.00,	0.000,	1.500,	''),
(8649,	3048,	168,	2,	3,	3,	10500,	2.200,	0.00,	0.000,	4.400,	''),
(8650,	3048,	799,	1,	3,	38,	10501,	3.500,	0.00,	0.000,	3.500,	''),
(8651,	3048,	1345,	1,	3,	20,	10502,	3.800,	0.00,	0.000,	3.800,	''),
(8652,	3048,	1514,	1,	3,	3,	10503,	7.600,	0.00,	0.000,	7.600,	''),
(8653,	3049,	170,	3,	3,	3,	10512,	6.300,	0.00,	0.000,	18.900,	''),
(8654,	3049,	279,	2,	3,	5,	10504,	4.500,	0.00,	0.000,	9.000,	''),
(8655,	3049,	420,	5,	3,	3,	10516,	1.700,	0.00,	0.000,	8.500,	''),
(8656,	3049,	528,	4,	3,	3,	10513,	2.400,	0.00,	0.000,	9.600,	''),
(8657,	3049,	551,	1,	63,	3,	10515,	3.900,	5.00,	0.195,	4.095,	''),
(8658,	3049,	753,	1,	3,	5,	10505,	4.200,	0.00,	0.000,	4.200,	''),
(8659,	3049,	753,	5,	63,	3,	10517,	1.600,	0.00,	0.000,	8.000,	''),
(8660,	3049,	766,	10,	3,	3,	10518,	2.400,	0.00,	0.000,	24.000,	''),
(8661,	3049,	799,	1,	3,	5,	10519,	5.900,	0.00,	0.000,	5.900,	''),
(8662,	3049,	848,	1,	3,	5,	10520,	5.900,	0.00,	0.000,	5.900,	''),
(8663,	3049,	1071,	5,	3,	3,	10514,	2.400,	0.00,	0.000,	12.000,	''),
(8664,	3049,	1127,	4,	3,	3,	10508,	2.000,	0.00,	0.000,	8.000,	''),
(8665,	3049,	1131,	2,	3,	6,	10509,	2.800,	0.00,	0.000,	5.600,	''),
(8666,	3049,	1179,	10,	3,	3,	10510,	2.050,	0.00,	0.000,	20.500,	''),
(8667,	3049,	1353,	1,	3,	3,	10507,	5.400,	0.00,	0.000,	5.400,	''),
(8668,	3049,	1526,	1,	3,	3,	10506,	6.500,	0.00,	0.000,	6.500,	''),
(8669,	3049,	1563,	1,	3,	111,	10511,	5.800,	0.00,	0.000,	5.800,	''),
(8670,	3050,	33,	1,	3,	4,	10521,	1.200,	0.00,	0.000,	1.200,	''),
(8671,	3051,	1251,	1,	3,	3,	10523,	3.850,	5.00,	0.193,	4.043,	''),
(8672,	3051,	1563,	2,	6,	110,	10522,	0.800,	0.00,	0.000,	1.600,	''),
(8673,	3052,	752,	1,	4,	23,	10524,	3.500,	0.00,	0.000,	3.500,	''),
(8674,	3053,	1839,	2,	63,	3,	10525,	1.700,	5.00,	0.170,	3.570,	''),
(8675,	3054,	528,	1,	3,	3,	10527,	2.500,	0.00,	0.000,	2.500,	''),
(8676,	3054,	551,	1,	63,	3,	10529,	3.900,	5.00,	0.195,	4.095,	''),
(8677,	3054,	682,	1,	3,	3,	10526,	10.600,	0.00,	0.000,	5.300,	''),
(8678,	3054,	766,	1,	3,	3,	10528,	2.500,	0.00,	0.000,	2.500,	''),
(8679,	3054,	1703,	30,	1,	3,	10530,	0.110,	0.00,	0.000,	3.300,	''),
(8680,	2983,	168,	1,	3,	3,	10210,	2.200,	0.00,	0.000,	2.200,	''),
(8681,	2983,	170,	1,	3,	3,	10211,	6.300,	0.00,	0.000,	6.300,	''),
(8682,	2983,	753,	2,	63,	3,	10212,	2.100,	0.00,	0.000,	4.200,	''),
(8683,	2983,	799,	1,	3,	38,	10213,	3.500,	0.00,	0.000,	3.500,	''),
(8684,	2983,	1071,	1,	3,	3,	10214,	2.400,	0.00,	0.000,	2.400,	''),
(8685,	2983,	1491,	2,	3,	3,	10215,	1.300,	0.00,	0.000,	2.600,	''),
(8686,	2983,	1526,	1,	3,	3,	10216,	6.500,	0.00,	0.000,	6.500,	''),
(8687,	2984,	420,	10,	3,	3,	10254,	1.600,	0.00,	0.000,	16.000,	''),
(8688,	2984,	799,	25,	3,	38,	10255,	3.500,	0.00,	0.000,	87.500,	''),
(8689,	2984,	848,	5,	3,	5,	10256,	5.800,	0.00,	0.000,	29.000,	''),
(8690,	2985,	682,	1,	3,	3,	10228,	10.800,	0.00,	0.000,	10.800,	''),
(8691,	2985,	753,	2,	63,	3,	10229,	1.700,	0.00,	0.000,	3.400,	''),
(8692,	2985,	766,	2,	3,	3,	10227,	2.400,	0.00,	0.000,	4.800,	''),
(8693,	2986,	73,	1,	7,	12,	10245,	2.400,	0.00,	0.000,	2.400,	''),
(8694,	2986,	933,	1,	7,	3,	10246,	3.800,	0.00,	0.000,	3.800,	''),
(8695,	2986,	1251,	1,	4,	3,	10247,	0.495,	5.00,	0.025,	0.520,	''),
(8696,	2986,	1353,	1,	3,	3,	10248,	5.400,	0.00,	0.000,	5.400,	''),
(8697,	2986,	1434,	2,	7,	3,	10249,	1.200,	0.00,	0.000,	2.400,	'p'),
(8698,	2986,	1622,	1,	3,	3,	10250,	4.800,	0.00,	0.000,	4.800,	'pom'),
(8699,	2986,	1712,	4,	4,	3,	10251,	0.400,	0.00,	0.000,	1.600,	''),
(8701,	2965,	33,	1,	3,	4,	10129,	1.600,	0.00,	0.000,	1.600,	''),
(8702,	2968,	420,	1,	3,	3,	10135,	1.600,	0.00,	0.000,	1.600,	''),
(8703,	2969,	676,	12,	3,	3,	10137,	12.200,	0.00,	0.000,	146.400,	''),
(8704,	2970,	1563,	1,	3,	110,	10138,	6.000,	0.00,	0.000,	6.000,	''),
(8705,	2971,	766,	1,	3,	3,	10143,	2.400,	0.00,	0.000,	2.400,	''),
(8706,	2971,	1353,	1,	3,	3,	10144,	5.500,	0.00,	0.000,	5.500,	''),
(8707,	2971,	1433,	1,	3,	23,	10145,	4.800,	0.00,	0.000,	4.800,	''),
(8708,	2971,	1587,	1,	3,	3,	10146,	5.200,	0.00,	0.000,	5.200,	''),
(8709,	2972,	1071,	4,	3,	3,	10147,	2.400,	0.00,	0.000,	9.600,	''),
(8710,	2973,	501,	4,	1,	3,	10148,	2.000,	0.00,	0.000,	8.000,	''),
(8711,	2975,	170,	1,	3,	3,	10164,	6.400,	0.00,	0.000,	6.400,	''),
(8712,	2975,	1353,	1,	3,	3,	10165,	5.400,	0.00,	0.000,	5.400,	''),
(8713,	2975,	1514,	1,	7,	3,	10163,	2.200,	0.00,	0.000,	2.200,	''),
(8714,	2974,	799,	1,	3,	38,	10159,	3.500,	0.00,	0.000,	3.500,	''),
(8715,	2974,	932,	1,	3,	24,	10160,	5.400,	0.00,	0.000,	5.400,	''),
(8716,	2974,	1138,	1,	3,	3,	10161,	1.800,	0.00,	0.000,	1.800,	''),
(8717,	2974,	1563,	1,	6,	110,	10162,	0.800,	0.00,	0.000,	0.800,	''),
(8718,	2976,	766,	1,	3,	3,	10166,	2.400,	0.00,	0.000,	2.400,	''),
(8719,	2977,	676,	1,	3,	3,	10167,	12.500,	0.00,	0.000,	12.500,	''),
(8720,	2978,	1071,	1,	3,	3,	10168,	2.500,	0.00,	0.000,	2.500,	''),
(8721,	2978,	1626,	2,	3,	71,	10169,	2.200,	0.00,	0.000,	4.400,	''),
(8722,	2979,	170,	1,	3,	3,	10187,	6.300,	0.00,	0.000,	6.300,	''),
(8723,	2979,	420,	2,	3,	3,	10188,	1.600,	0.00,	0.000,	3.200,	''),
(8724,	2979,	528,	1,	3,	3,	10189,	2.500,	0.00,	0.000,	2.500,	''),
(8725,	2979,	766,	1,	3,	3,	10190,	2.400,	0.00,	0.000,	2.400,	''),
(8726,	2979,	1071,	1,	3,	3,	10191,	2.500,	0.00,	0.000,	2.500,	''),
(8727,	2979,	1098,	1,	3,	3,	10192,	6.500,	0.00,	0.000,	6.500,	''),
(8728,	2979,	1344,	2,	3,	4,	10193,	2.200,	0.00,	0.000,	4.400,	''),
(8729,	2979,	1353,	1,	3,	3,	10194,	5.400,	0.00,	0.000,	5.400,	''),
(8730,	2980,	799,	1,	3,	38,	10176,	3.500,	0.00,	0.000,	3.500,	''),
(8731,	2980,	1139,	1,	3,	3,	10177,	1.800,	0.00,	0.000,	1.800,	''),
(8732,	2980,	1514,	1,	7,	3,	10178,	2.200,	0.00,	0.000,	2.200,	''),
(8733,	2981,	76,	1,	7,	9,	10197,	2.200,	0.00,	0.000,	2.200,	''),
(8734,	2981,	1166,	1,	3,	3,	10198,	2.400,	0.00,	0.000,	2.400,	''),
(8735,	2981,	1353,	1,	3,	3,	10200,	5.500,	0.00,	0.000,	5.500,	''),
(8736,	2981,	1622,	1,	3,	3,	10201,	4.800,	0.00,	0.000,	4.800,	''),
(8737,	2981,	1626,	1,	3,	71,	10199,	2.200,	0.00,	0.000,	2.200,	''),
(8738,	2982,	1166,	2,	3,	3,	10202,	2.500,	0.00,	0.000,	5.000,	''),
(8739,	3005,	1312,	1,	63,	84,	10336,	2.400,	0.00,	0.000,	2.400,	''),
(8740,	3005,	1563,	2,	6,	111,	10335,	0.800,	0.00,	0.000,	1.600,	''),
(8743,	2987,	1071,	1,	3,	3,	10236,	2.500,	0.00,	0.000,	2.500,	''),
(8744,	2988,	168,	1,	3,	3,	10237,	2.200,	0.00,	0.000,	2.200,	''),
(8745,	2989,	876,	3,	3,	3,	10253,	4.000,	0.00,	0.000,	12.000,	''),
(8746,	2990,	969,	1,	3,	3,	10257,	5.500,	0.00,	0.000,	5.500,	''),
(8747,	2991,	45,	1,	7,	10,	10261,	2.400,	0.00,	0.000,	2.400,	''),
(8748,	2991,	1127,	1,	3,	3,	10262,	2.400,	0.00,	0.000,	2.400,	''),
(8749,	2991,	1344,	1,	3,	29,	10260,	2.300,	0.00,	0.000,	2.300,	''),
(8750,	2992,	766,	1,	3,	3,	10263,	2.400,	0.00,	0.000,	2.400,	''),
(8751,	2993,	753,	12,	63,	3,	10270,	1.600,	0.00,	0.000,	19.200,	''),
(8752,	2993,	766,	5,	3,	3,	10271,	2.400,	0.00,	0.000,	12.000,	''),
(8753,	2993,	799,	2,	3,	38,	10272,	3.500,	0.00,	0.000,	7.000,	''),
(8754,	2993,	1344,	1,	3,	20,	10273,	3.600,	0.00,	0.000,	3.600,	''),
(8755,	2993,	1526,	1,	7,	4,	10274,	2.000,	0.00,	0.000,	2.000,	''),
(8756,	2993,	1839,	6,	63,	3,	10275,	1.700,	5.00,	0.510,	10.710,	''),
(8757,	2994,	528,	1,	3,	3,	10281,	2.400,	0.00,	0.000,	2.400,	''),
(8758,	2994,	676,	2,	3,	3,	10282,	12.000,	0.00,	0.000,	24.000,	''),
(8759,	2994,	766,	1,	3,	3,	10283,	2.400,	0.00,	0.000,	2.400,	''),
(8760,	2995,	1098,	2,	3,	3,	10284,	6.500,	0.00,	0.000,	13.000,	''),
(8761,	2996,	33,	20,	3,	4,	10287,	1.200,	0.00,	0.000,	24.000,	''),
(8762,	2997,	367,	2,	1,	3,	10289,	1.100,	0.00,	0.000,	2.200,	''),
(8763,	2997,	398,	2,	1,	3,	10288,	1.100,	0.00,	0.000,	2.200,	''),
(8764,	2997,	1251,	5,	3,	3,	10291,	3.700,	5.00,	0.925,	19.425,	''),
(8765,	2997,	1251,	5,	4,	3,	10290,	0.470,	5.00,	0.118,	2.468,	''),
(8766,	2998,	766,	1,	3,	3,	10293,	2.400,	0.00,	0.000,	2.400,	''),
(8767,	2999,	420,	3,	3,	3,	10308,	1.600,	0.00,	0.000,	4.800,	''),
(8768,	2999,	766,	1,	3,	3,	10309,	2.400,	0.00,	0.000,	2.400,	''),
(8769,	2999,	969,	1,	3,	3,	10310,	5.400,	0.00,	0.000,	5.400,	''),
(8770,	2999,	1563,	3,	6,	110,	10311,	0.800,	0.00,	0.000,	2.400,	''),
(8771,	2999,	1626,	1,	3,	71,	10312,	2.200,	0.00,	0.000,	2.200,	''),
(8772,	3000,	1251,	1,	3,	3,	10302,	3.750,	5.00,	0.188,	3.938,	''),
(8773,	3001,	528,	1,	3,	3,	10316,	2.500,	0.00,	0.000,	2.500,	''),
(8774,	3001,	766,	2,	3,	3,	10317,	2.400,	0.00,	0.000,	4.800,	''),
(8775,	3001,	1839,	1,	63,	3,	10318,	1.700,	5.00,	0.085,	1.785,	''),
(8776,	3002,	168,	4,	3,	3,	10322,	2.200,	0.00,	0.000,	8.800,	''),
(8777,	3002,	1587,	2,	3,	3,	10323,	5.200,	0.00,	0.000,	10.400,	''),
(8778,	3002,	1610,	2,	3,	3,	10324,	3.600,	0.00,	0.000,	7.200,	''),
(8779,	3003,	168,	3,	3,	3,	10343,	2.200,	0.00,	0.000,	6.600,	''),
(8780,	3003,	170,	1,	3,	3,	10344,	6.300,	0.00,	0.000,	6.300,	''),
(8781,	3003,	420,	2,	3,	3,	10342,	1.600,	0.00,	0.000,	3.200,	''),
(8782,	3003,	528,	1,	3,	3,	10345,	2.500,	0.00,	0.000,	2.500,	''),
(8783,	3003,	676,	1,	3,	3,	10346,	12.200,	0.00,	0.000,	12.200,	''),
(8784,	3003,	766,	1,	3,	3,	10347,	2.400,	0.00,	0.000,	2.400,	''),
(8785,	3003,	799,	1,	3,	38,	10341,	3.500,	0.00,	0.000,	3.500,	''),
(8786,	3003,	1071,	2,	3,	3,	10348,	2.500,	0.00,	0.000,	5.000,	''),
(8787,	3006,	1251,	1,	3,	3,	10338,	3.800,	5.00,	0.190,	3.990,	''),
(8788,	3006,	1251,	4,	4,	3,	10337,	0.480,	5.00,	0.096,	2.016,	''),
(8789,	3007,	1353,	5,	3,	3,	10340,	5.400,	0.00,	0.000,	27.000,	''),
(8790,	3007,	1498,	2,	3,	3,	10339,	6.800,	0.00,	0.000,	13.600,	''),
(8791,	3008,	676,	1,	3,	56,	10349,	12.500,	0.00,	0.000,	12.500,	''),
(8792,	3009,	1526,	1,	3,	3,	10350,	6.500,	0.00,	0.000,	6.500,	''),
(8794,	3010,	969,	2,	3,	3,	10353,	5.400,	0.00,	0.000,	10.800,	''),
(8795,	3011,	170,	1,	3,	3,	10355,	6.300,	0.00,	0.000,	6.300,	''),
(8796,	3011,	420,	5,	3,	3,	10357,	1.700,	0.00,	0.000,	8.500,	''),
(8797,	3011,	791,	1,	3,	3,	10359,	12.200,	0.00,	0.000,	12.200,	''),
(8798,	3011,	799,	2,	3,	3,	10358,	3.400,	0.00,	0.000,	6.800,	''),
(8799,	3011,	933,	2,	3,	3,	10354,	3.800,	0.00,	0.000,	7.600,	''),
(8800,	3011,	1563,	1,	3,	110,	10356,	6.200,	0.00,	0.000,	6.200,	''),
(8801,	3012,	932,	1,	3,	79,	10360,	2.300,	0.00,	0.000,	2.300,	''),
(8802,	3013,	1830,	2,	4,	3,	10361,	0.700,	0.00,	0.000,	1.400,	''),
(8803,	3014,	420,	2,	3,	3,	10365,	1.700,	0.00,	0.000,	3.400,	''),
(8804,	3014,	676,	1,	3,	56,	10366,	12.500,	0.00,	0.000,	6.250,	''),
(8805,	3014,	1301,	1,	63,	3,	10367,	6.800,	0.00,	0.000,	6.800,	''),
(8806,	3015,	1071,	1,	3,	3,	10368,	2.400,	0.00,	0.000,	2.400,	''),
(8807,	3016,	1251,	1,	3,	3,	10370,	3.810,	5.00,	0.191,	4.001,	''),
(8814,	3018,	170,	1,	3,	2,	10387,	6.300,	0.00,	0.000,	6.300,	''),
(8815,	3018,	528,	1,	3,	3,	10385,	2.600,	0.00,	0.000,	2.600,	''),
(8816,	3018,	676,	1,	3,	56,	10384,	12.600,	0.00,	0.000,	12.600,	''),
(8817,	3018,	799,	1,	3,	5,	10383,	6.000,	0.00,	0.000,	6.000,	''),
(8818,	3018,	1071,	1,	3,	3,	10386,	2.500,	0.00,	0.000,	2.500,	''),
(8824,	3019,	667,	1,	3,	3,	10393,	17.800,	0.00,	0.000,	8.900,	''),
(8825,	3019,	682,	1,	3,	3,	10394,	10.800,	0.00,	0.000,	10.800,	''),
(8826,	3019,	753,	1,	3,	2,	10395,	2.100,	0.00,	0.000,	2.100,	''),
(8827,	3019,	766,	1,	3,	3,	10396,	2.500,	0.00,	0.000,	2.500,	''),
(8828,	3019,	771,	1,	1,	3,	10397,	1.500,	0.00,	0.000,	1.500,	''),
(8829,	3020,	682,	1,	3,	3,	10400,	10.700,	0.00,	0.000,	10.700,	''),
(8830,	3020,	1659,	1,	63,	2,	10398,	3.900,	0.00,	0.000,	3.900,	''),
(8831,	3020,	1839,	2,	63,	3,	10399,	1.700,	5.00,	0.170,	3.570,	''),
(8832,	3021,	170,	1,	3,	3,	10407,	6.300,	0.00,	0.000,	6.300,	''),
(8833,	3021,	420,	1,	3,	3,	10402,	1.700,	0.00,	0.000,	1.700,	''),
(8834,	3021,	528,	3,	3,	3,	10409,	2.500,	0.00,	0.000,	7.500,	''),
(8835,	3021,	682,	1,	3,	3,	10408,	10.800,	0.00,	0.000,	10.800,	''),
(8836,	3021,	693,	1,	3,	3,	10406,	16.000,	0.00,	0.000,	8.000,	''),
(8837,	3021,	753,	1,	3,	5,	10401,	4.200,	0.00,	0.000,	4.200,	''),
(8838,	3021,	753,	2,	63,	3,	10412,	1.700,	0.00,	0.000,	3.400,	''),
(8839,	3021,	766,	1,	3,	3,	10411,	2.500,	0.00,	0.000,	2.500,	''),
(8840,	3021,	955,	1,	1,	3,	10404,	1.800,	0.00,	0.000,	1.800,	''),
(8841,	3021,	1050,	1,	3,	3,	10403,	10.800,	0.00,	0.000,	10.800,	''),
(8842,	3021,	1071,	3,	3,	3,	10410,	2.400,	0.00,	0.000,	7.200,	''),
(8843,	3021,	1344,	2,	3,	25,	10405,	3.300,	0.00,	0.000,	6.600,	''),
(8844,	3021,	1344,	2,	3,	103,	10413,	1.900,	0.00,	0.000,	3.800,	''),
(8845,	3022,	528,	1,	3,	3,	10419,	2.500,	0.00,	0.000,	2.500,	''),
(8846,	3022,	1071,	1,	3,	3,	10420,	2.400,	0.00,	0.000,	2.400,	''),
(8847,	3022,	1353,	1,	3,	3,	10421,	5.400,	0.00,	0.000,	5.400,	''),
(8848,	3022,	1626,	1,	3,	71,	10422,	2.000,	0.00,	0.000,	2.000,	''),
(8849,	3022,	1839,	1,	63,	3,	10423,	1.700,	5.00,	0.085,	1.785,	''),
(8850,	3023,	528,	1,	3,	3,	10424,	2.400,	0.00,	0.000,	2.400,	''),
(8851,	3024,	1251,	15,	3,	3,	10425,	3.600,	5.00,	2.700,	56.700,	''),
(8852,	3025,	446,	3,	3,	3,	10427,	0.500,	0.00,	0.000,	1.500,	''),
(8853,	3025,	682,	5,	3,	3,	10426,	10.700,	0.00,	0.000,	53.500,	''),
(8854,	3026,	1071,	1,	3,	3,	10428,	2.500,	0.00,	0.000,	2.500,	''),
(8855,	3027,	676,	1,	3,	56,	10429,	12.500,	0.00,	0.000,	12.500,	''),
(8856,	3028,	836,	1,	3,	3,	10432,	6.800,	0.00,	0.000,	6.800,	''),
(8857,	3028,	1622,	1,	3,	3,	10433,	4.800,	0.00,	0.000,	4.800,	''),
(8858,	3029,	168,	1,	3,	3,	10445,	2.200,	0.00,	0.000,	2.200,	''),
(8859,	3029,	676,	2,	7,	3,	10444,	1.200,	0.00,	0.000,	2.400,	''),
(8860,	3029,	1071,	1,	3,	3,	10446,	2.600,	0.00,	0.000,	2.600,	''),
(8861,	3029,	1127,	2,	3,	3,	10447,	2.400,	0.00,	0.000,	4.800,	''),
(8862,	3029,	1344,	1,	3,	20,	10448,	3.800,	0.00,	0.000,	3.800,	''),
(8863,	3030,	836,	1,	3,	3,	10440,	6.600,	0.00,	0.000,	6.600,	''),
(8864,	3030,	1186,	1,	3,	3,	10439,	2.600,	0.00,	0.000,	2.600,	''),
(8865,	3030,	1353,	1,	3,	3,	10441,	5.400,	0.00,	0.000,	5.400,	''),
(8866,	3030,	1526,	1,	7,	3,	10438,	0.700,	0.00,	0.000,	0.700,	''),
(8867,	3004,	76,	1,	7,	12,	10333,	2.200,	0.00,	0.000,	2.200,	''),
(8868,	3004,	1526,	1,	7,	3,	10334,	1.900,	0.00,	0.000,	1.900,	''),
(8869,	3017,	423,	1,	3,	3,	10377,	1.700,	0.00,	0.000,	1.700,	''),
(8870,	3017,	682,	1,	3,	3,	10378,	10.800,	0.00,	0.000,	10.800,	''),
(8871,	3017,	753,	1,	63,	2,	10379,	2.100,	0.00,	0.000,	2.100,	''),
(8872,	3017,	799,	1,	3,	5,	10380,	6.000,	0.00,	0.000,	6.000,	''),
(8873,	3017,	1071,	1,	3,	3,	10381,	2.400,	0.00,	0.000,	2.400,	''),
(8874,	3017,	1839,	1,	63,	3,	10382,	1.700,	5.00,	0.085,	1.785,	''),
(8885,	3057,	753,	1,	63,	3,	10534,	2.100,	0.00,	0.000,	2.100,	''),
(8886,	3057,	766,	1,	3,	3,	10536,	2.500,	0.00,	0.000,	2.500,	''),
(8887,	3057,	1839,	1,	63,	3,	10535,	1.700,	5.00,	0.085,	1.785,	''),
(8888,	3058,	1690,	5,	1,	3,	10537,	0.110,	0.00,	0.000,	0.550,	''),
(8889,	3059,	1127,	2,	3,	3,	10539,	2.200,	0.00,	0.000,	4.400,	''),
(8890,	3060,	753,	2,	3,	39,	10541,	4.600,	0.00,	0.000,	9.200,	''),
(8891,	3061,	676,	1,	3,	56,	10542,	12.600,	0.00,	0.000,	6.300,	''),
(8892,	3062,	279,	1,	3,	5,	10544,	4.700,	0.00,	0.000,	4.700,	''),
(8893,	3062,	933,	1,	7,	3,	10543,	3.800,	0.00,	0.000,	3.800,	''),
(8894,	3063,	170,	1,	3,	3,	10548,	6.300,	0.00,	0.000,	6.300,	''),
(8895,	3063,	766,	1,	3,	3,	10547,	2.500,	0.00,	0.000,	2.500,	''),
(8896,	3063,	1251,	4,	4,	3,	10546,	0.490,	5.00,	0.098,	2.058,	''),
(8897,	3063,	1563,	5,	6,	105,	10545,	0.700,	0.00,	0.000,	3.500,	''),
(8898,	3064,	45,	1,	3,	7,	10549,	4.000,	0.00,	0.000,	4.000,	''),
(8899,	3065,	76,	1,	7,	11,	10557,	2.200,	0.00,	0.000,	2.200,	''),
(8900,	3065,	799,	1,	3,	38,	10555,	3.500,	0.00,	0.000,	3.500,	''),
(8901,	3065,	933,	1,	7,	4,	10554,	3.800,	0.00,	0.000,	3.800,	''),
(8902,	3065,	1138,	2,	3,	3,	10559,	1.800,	0.00,	0.000,	3.600,	''),
(8903,	3065,	1353,	1,	3,	3,	10558,	5.400,	0.00,	0.000,	5.400,	''),
(8904,	3065,	1526,	1,	7,	3,	10556,	2.000,	0.00,	0.000,	2.000,	''),
(8905,	3066,	65,	1,	7,	12,	10560,	2.400,	0.00,	0.000,	2.400,	''),
(8906,	3066,	933,	1,	7,	3,	10561,	3.800,	0.00,	0.000,	3.800,	''),
(8907,	3067,	501,	2,	1,	3,	10563,	2.000,	0.00,	0.000,	4.000,	''),
(8908,	3067,	1071,	2,	1,	3,	10562,	0.500,	0.00,	0.000,	1.000,	''),
(8909,	3067,	1166,	3,	3,	3,	10564,	2.200,	0.00,	0.000,	6.600,	''),
(8910,	3068,	168,	1,	3,	3,	10569,	2.200,	0.00,	0.000,	2.200,	''),
(8911,	3068,	178,	2,	1,	3,	10567,	1.200,	0.00,	0.000,	2.400,	''),
(8912,	3068,	249,	1,	63,	4,	10566,	1.000,	0.00,	0.000,	1.000,	''),
(8913,	3068,	551,	5,	6,	3,	10565,	0.160,	5.00,	0.040,	0.840,	''),
(8914,	3068,	1166,	2,	3,	3,	10568,	2.200,	0.00,	0.000,	4.400,	''),
(8915,	3068,	1514,	1,	3,	3,	10570,	7.400,	0.00,	0.000,	7.400,	''),
(8916,	3069,	1071,	1,	3,	3,	10571,	2.400,	0.00,	0.000,	2.400,	''),
(8917,	3070,	1127,	2,	3,	3,	10572,	2.200,	0.00,	0.000,	4.400,	''),
(8918,	3071,	1138,	1,	3,	3,	10573,	1.900,	0.00,	0.000,	1.900,	''),
(8919,	3072,	170,	2,	3,	3,	10576,	6.300,	0.00,	0.000,	12.600,	''),
(8920,	3072,	420,	2,	3,	3,	10575,	1.700,	0.00,	0.000,	3.400,	''),
(8921,	3072,	1071,	2,	3,	3,	10574,	2.500,	0.00,	0.000,	5.000,	''),
(8922,	3073,	168,	1,	3,	3,	10587,	2.200,	0.00,	0.000,	2.200,	''),
(8923,	3073,	170,	1,	3,	3,	10588,	6.300,	0.00,	0.000,	6.300,	''),
(8924,	3073,	420,	1,	3,	3,	10589,	1.700,	0.00,	0.000,	1.700,	''),
(8925,	3073,	667,	1,	3,	3,	10590,	17.800,	0.00,	0.000,	17.800,	''),
(8926,	3073,	766,	1,	3,	3,	10591,	2.500,	0.00,	0.000,	2.500,	''),
(8927,	3073,	799,	1,	3,	38,	10592,	3.500,	0.00,	0.000,	3.500,	''),
(8928,	3073,	969,	1,	3,	3,	10593,	5.500,	0.00,	0.000,	5.500,	''),
(8929,	3073,	1071,	1,	3,	3,	10594,	2.500,	0.00,	0.000,	2.500,	''),
(8930,	3073,	1127,	2,	3,	3,	10595,	2.100,	0.00,	0.000,	4.200,	''),
(8931,	3073,	1839,	1,	63,	3,	10596,	1.700,	5.00,	0.085,	1.785,	''),
(8942,	3074,	420,	1,	3,	3,	10599,	1.700,	0.00,	0.000,	1.700,	''),
(8943,	3074,	528,	1,	3,	3,	10597,	2.400,	0.00,	0.000,	2.400,	''),
(8944,	3074,	682,	1,	3,	3,	10598,	10.600,	0.00,	0.000,	10.600,	''),
(8945,	3074,	753,	1,	63,	3,	10600,	1.600,	0.00,	0.000,	1.600,	''),
(8946,	3074,	766,	1,	3,	3,	10601,	2.500,	0.00,	0.000,	2.500,	''),
(8947,	3075,	799,	3,	3,	5,	10602,	6.000,	0.00,	0.000,	18.000,	''),
(8948,	3076,	57,	1,	7,	12,	10620,	2.200,	0.00,	0.000,	2.200,	''),
(8949,	3076,	170,	1,	3,	3,	10621,	6.300,	0.00,	0.000,	6.300,	''),
(8950,	3076,	753,	1,	3,	3,	10619,	2.600,	0.00,	0.000,	2.600,	''),
(8951,	3076,	1138,	1,	3,	3,	10622,	1.900,	0.00,	0.000,	1.900,	''),
(8952,	3076,	1344,	2,	3,	20,	10623,	3.500,	0.00,	0.000,	7.000,	''),
(8953,	3077,	1251,	1,	3,	3,	10608,	3.810,	5.00,	0.191,	4.001,	''),
(8954,	3078,	45,	1,	3,	7,	10609,	4.000,	0.00,	0.000,	4.000,	''),
(8955,	3078,	1251,	1,	3,	3,	10610,	3.810,	5.00,	0.191,	4.001,	''),
(8956,	3079,	766,	4,	3,	3,	10611,	2.500,	0.00,	0.000,	10.000,	''),
(8957,	3079,	969,	1,	3,	3,	10612,	5.500,	0.00,	0.000,	5.500,	''),
(8958,	3079,	1344,	1,	3,	20,	10613,	3.600,	0.00,	0.000,	3.600,	''),
(8959,	3079,	1587,	1,	3,	3,	10614,	5.200,	0.00,	0.000,	5.200,	''),
(8960,	3080,	969,	1,	3,	3,	10624,	5.500,	0.00,	0.000,	5.500,	''),
(8961,	3081,	369,	1,	3,	3,	10626,	3.500,	0.00,	0.000,	3.500,	''),
(8962,	3082,	528,	1,	3,	3,	10627,	2.500,	0.00,	0.000,	2.500,	''),
(8963,	3082,	1839,	1,	63,	3,	10628,	1.700,	5.00,	0.085,	1.785,	''),
(8964,	3083,	168,	1,	3,	3,	10630,	2.200,	0.00,	0.000,	2.200,	''),
(8965,	3083,	676,	2,	3,	56,	10633,	12.500,	0.00,	0.000,	18.750,	''),
(8966,	3083,	766,	1,	3,	3,	10632,	2.500,	0.00,	0.000,	2.500,	''),
(8967,	3083,	1138,	1,	3,	3,	10629,	1.800,	0.00,	0.000,	1.800,	''),
(8968,	3083,	1563,	1,	3,	110,	10631,	6.000,	0.00,	0.000,	6.000,	''),
(8969,	3084,	1138,	6,	3,	3,	10634,	1.800,	0.00,	0.000,	10.800,	''),
(8970,	3085,	1839,	6,	63,	3,	10635,	1.700,	5.00,	0.510,	10.710,	''),
(8971,	3086,	57,	1,	7,	11,	10636,	2.200,	0.00,	0.000,	2.200,	''),
(8972,	3086,	1186,	1,	3,	3,	10639,	2.300,	0.00,	0.000,	2.300,	''),
(8973,	3086,	1353,	1,	3,	3,	10640,	5.400,	0.00,	0.000,	5.400,	''),
(8974,	3086,	1526,	1,	7,	3,	10637,	2.000,	0.00,	0.000,	2.000,	''),
(8975,	3086,	1587,	2,	4,	3,	10638,	1.000,	0.00,	0.000,	2.000,	''),
(8976,	3087,	528,	3,	3,	3,	10641,	2.500,	0.00,	0.000,	7.500,	''),
(8977,	3088,	528,	1,	3,	3,	10645,	2.500,	0.00,	0.000,	2.500,	''),
(8978,	3088,	753,	5,	63,	3,	10643,	1.600,	0.00,	0.000,	8.000,	''),
(8979,	3088,	766,	4,	3,	3,	10646,	2.500,	0.00,	0.000,	10.000,	''),
(8980,	3088,	969,	1,	3,	3,	10642,	5.500,	0.00,	0.000,	5.500,	''),
(8981,	3088,	1127,	2,	3,	3,	10644,	2.200,	0.00,	0.000,	4.400,	''),
(8982,	3089,	848,	1,	3,	38,	10647,	4.200,	0.00,	0.000,	4.200,	''),
(8983,	3090,	528,	1,	3,	3,	10648,	2.500,	0.00,	0.000,	2.500,	''),
(8984,	3091,	753,	1,	63,	3,	10649,	1.700,	0.00,	0.000,	1.700,	''),
(8985,	3092,	676,	1,	3,	56,	10650,	12.600,	0.00,	0.000,	6.300,	''),
(8986,	3093,	420,	2,	3,	3,	10651,	1.700,	0.00,	0.000,	3.400,	''),
(8987,	3093,	753,	2,	63,	3,	10654,	1.700,	0.00,	0.000,	3.400,	''),
(8988,	3093,	799,	2,	3,	38,	10652,	3.500,	0.00,	0.000,	7.000,	''),
(8989,	3093,	1565,	2,	1,	3,	10655,	1.300,	0.00,	0.000,	2.860,	''),
(8990,	3093,	1587,	1,	3,	3,	10653,	5.200,	0.00,	0.000,	5.200,	''),
(8991,	3094,	753,	2,	63,	3,	10656,	2.100,	0.00,	0.000,	4.200,	''),
(8992,	3095,	1563,	2,	6,	110,	10657,	0.800,	0.00,	0.000,	1.600,	''),
(8993,	3096,	1131,	1,	3,	6,	10659,	3.000,	0.00,	0.000,	3.000,	''),
(8994,	3096,	1174,	1,	3,	3,	10658,	3.200,	0.00,	0.000,	3.200,	''),
(8995,	3097,	21,	1,	7,	12,	10708,	2.200,	0.00,	0.000,	2.200,	''),
(8996,	3097,	57,	2,	7,	13,	10709,	2.200,	0.00,	0.000,	4.400,	''),
(8997,	3097,	168,	1,	3,	3,	10710,	2.200,	0.00,	0.000,	2.200,	''),
(8998,	3097,	170,	1,	3,	3,	10711,	6.300,	0.00,	0.000,	6.300,	''),
(8999,	3097,	766,	1,	3,	3,	10712,	2.500,	0.00,	0.000,	2.500,	''),
(9000,	3097,	1514,	1,	7,	3,	10713,	2.000,	0.00,	0.000,	2.000,	''),
(9001,	3097,	1839,	1,	63,	3,	10714,	1.715,	5.00,	0.086,	1.801,	''),
(9002,	3098,	1127,	2,	3,	3,	10677,	2.200,	0.00,	0.000,	4.400,	''),
(9003,	3098,	1344,	1,	3,	25,	10675,	3.600,	0.00,	0.000,	3.600,	''),
(9004,	3098,	1344,	1,	3,	29,	10676,	2.300,	0.00,	0.000,	2.300,	''),
(9005,	3098,	1433,	1,	3,	23,	10674,	4.800,	0.00,	0.000,	4.800,	''),
(9006,	3099,	1131,	1,	3,	6,	10679,	3.000,	0.00,	0.000,	1.500,	''),
(9007,	3099,	1353,	1,	3,	3,	10678,	5.400,	0.00,	0.000,	5.400,	''),
(9008,	3100,	1659,	2,	63,	2,	10680,	3.900,	0.00,	0.000,	7.800,	''),
(9009,	3101,	1251,	1,	3,	3,	10681,	3.800,	5.00,	0.190,	3.990,	''),
(9010,	3102,	170,	1,	3,	3,	10682,	6.300,	0.00,	0.000,	6.300,	''),
(9011,	3103,	1563,	1,	3,	3,	10683,	6.000,	0.00,	0.000,	6.000,	''),
(9012,	3104,	57,	2,	7,	12,	10687,	2.200,	0.00,	0.000,	4.400,	''),
(9013,	3104,	682,	1,	3,	3,	10688,	10.800,	0.00,	0.000,	5.400,	''),
(9014,	3104,	933,	1,	3,	3,	10685,	3.800,	0.00,	0.000,	3.800,	''),
(9015,	3104,	1098,	1,	3,	3,	10684,	6.500,	0.00,	0.000,	6.500,	''),
(9016,	3104,	1166,	5,	3,	3,	10689,	2.300,	0.00,	0.000,	11.500,	''),
(9017,	3104,	1351,	2,	3,	20,	10690,	6.600,	0.00,	0.000,	13.200,	''),
(9018,	3104,	1514,	2,	7,	3,	10686,	2.200,	0.00,	0.000,	4.400,	''),
(9019,	3105,	57,	1,	7,	14,	10703,	2.100,	0.00,	0.000,	2.100,	''),
(9020,	3105,	1563,	2,	6,	110,	10704,	0.700,	0.00,	0.000,	1.400,	''),
(9021,	3106,	168,	2,	3,	3,	10700,	2.300,	0.00,	0.000,	4.600,	''),
(9022,	3106,	420,	1,	3,	3,	10696,	1.700,	0.00,	0.000,	1.700,	''),
(9023,	3106,	528,	2,	3,	3,	10701,	2.600,	0.00,	0.000,	5.200,	''),
(9024,	3106,	753,	2,	63,	3,	10695,	1.700,	0.00,	0.000,	3.400,	''),
(9025,	3106,	766,	1,	3,	3,	10699,	2.500,	0.00,	0.000,	2.500,	''),
(9026,	3106,	1071,	3,	3,	3,	10702,	2.600,	0.00,	0.000,	7.800,	''),
(9027,	3106,	1138,	1,	3,	3,	10697,	1.900,	0.00,	0.000,	1.900,	''),
(9028,	3106,	1626,	1,	3,	71,	10698,	2.200,	0.00,	0.000,	2.200,	''),
(9029,	3107,	168,	1,	3,	3,	10707,	2.200,	0.00,	0.000,	2.200,	''),
(9030,	3107,	799,	1,	3,	38,	10706,	3.500,	0.00,	0.000,	3.500,	''),
(9031,	3107,	1563,	1,	6,	111,	10705,	0.700,	0.00,	0.000,	0.700,	''),
(9032,	3108,	57,	1,	3,	13,	10715,	9.200,	0.00,	0.000,	9.200,	''),
(9033,	3109,	1312,	1,	63,	84,	10716,	2.600,	0.00,	0.000,	2.600,	''),
(9034,	3110,	528,	1,	3,	3,	10717,	2.500,	0.00,	0.000,	2.500,	''),
(9035,	3111,	1839,	1,	63,	3,	10718,	1.700,	5.00,	0.085,	1.785,	''),
(9036,	3112,	57,	1,	7,	13,	10732,	2.200,	0.00,	0.000,	2.200,	''),
(9037,	3112,	676,	1,	3,	3,	10733,	12.600,	0.00,	0.000,	6.300,	''),
(9038,	3112,	1066,	1,	3,	3,	10734,	2.800,	0.00,	0.000,	2.800,	''),
(9039,	3112,	1166,	3,	3,	3,	10735,	2.300,	0.00,	0.000,	6.900,	''),
(9040,	3112,	1353,	1,	3,	3,	10736,	5.400,	0.00,	0.000,	5.400,	''),
(9041,	3113,	168,	1,	3,	3,	10724,	2.200,	0.00,	0.000,	2.200,	''),
(9042,	3113,	1186,	1,	3,	3,	10725,	2.200,	0.00,	0.000,	2.200,	''),
(9043,	3113,	1353,	1,	3,	3,	10726,	5.500,	0.00,	0.000,	5.500,	''),
(9044,	3114,	676,	1,	3,	3,	10737,	12.000,	0.00,	0.000,	12.000,	''),
(9045,	3115,	676,	1,	3,	3,	10740,	13.000,	0.00,	0.000,	6.500,	''),
(9046,	3116,	528,	20,	3,	3,	10745,	2.500,	0.00,	0.000,	50.000,	''),
(9047,	3116,	753,	20,	63,	3,	10746,	1.600,	0.00,	0.000,	32.000,	''),
(9048,	3116,	766,	30,	3,	3,	10747,	2.500,	0.00,	0.000,	75.000,	''),
(9049,	3116,	1839,	20,	63,	3,	10748,	1.700,	5.00,	1.700,	35.700,	''),
(9050,	3117,	76,	1,	3,	7,	10750,	9.800,	0.00,	0.000,	9.800,	''),
(9051,	3117,	752,	1,	3,	3,	10751,	14.200,	0.00,	0.000,	14.200,	''),
(9052,	3118,	168,	1,	3,	3,	10752,	2.200,	0.00,	0.000,	2.200,	''),
(9053,	3118,	420,	1,	3,	3,	10754,	1.700,	0.00,	0.000,	1.700,	''),
(9054,	3118,	1138,	1,	3,	3,	10756,	1.800,	0.00,	0.000,	1.800,	''),
(9055,	3118,	1344,	1,	3,	29,	10755,	2.300,	0.00,	0.000,	2.300,	''),
(9056,	3118,	1839,	1,	63,	3,	10753,	1.750,	5.00,	0.088,	1.838,	''),
(9057,	3119,	275,	2,	4,	5,	10759,	0.500,	0.00,	0.000,	1.000,	''),
(9058,	3119,	848,	2,	4,	5,	10760,	0.600,	0.00,	0.000,	1.200,	''),
(9059,	3119,	1131,	1,	3,	3,	10761,	3.000,	0.00,	0.000,	3.000,	''),
(9060,	3119,	1263,	1,	4,	4,	10758,	1.200,	0.00,	0.000,	1.200,	''),
(9061,	3119,	1726,	1,	4,	3,	10757,	3.000,	0.00,	0.000,	1.500,	''),
(9062,	3120,	1353,	1,	3,	3,	10762,	5.400,	0.00,	0.000,	5.400,	''),
(9063,	3121,	1186,	1,	3,	3,	10763,	2.400,	0.00,	0.000,	2.400,	''),
(9064,	3122,	1138,	2,	3,	3,	10767,	1.900,	0.00,	0.000,	3.800,	''),
(9065,	3123,	1622,	1,	3,	3,	10768,	4.800,	0.00,	0.000,	4.800,	''),
(9066,	3124,	676,	1,	3,	3,	10769,	12.400,	0.00,	0.000,	6.200,	''),
(9067,	3125,	1839,	1,	63,	3,	10770,	1.700,	5.00,	0.085,	1.785,	''),
(9068,	3126,	1186,	1,	3,	3,	10771,	2.200,	0.00,	0.000,	2.200,	''),
(9069,	3127,	799,	1,	4,	5,	10774,	0.700,	0.00,	0.000,	0.700,	''),
(9070,	3127,	848,	1,	4,	5,	10776,	0.700,	0.00,	0.000,	0.700,	''),
(9071,	3127,	1344,	1,	3,	29,	10775,	2.300,	0.00,	0.000,	2.300,	''),
(9072,	3128,	57,	1,	3,	13,	10782,	9.000,	0.00,	0.000,	9.000,	''),
(9073,	3128,	76,	1,	3,	13,	10783,	9.600,	0.00,	0.000,	9.600,	''),
(9074,	3128,	168,	2,	3,	3,	10784,	2.260,	0.00,	0.000,	4.520,	''),
(9075,	3128,	799,	1,	3,	38,	10785,	3.500,	0.00,	0.000,	3.500,	''),
(9076,	3128,	1514,	1,	3,	3,	10786,	7.400,	0.00,	0.000,	7.400,	''),
(9077,	3129,	1344,	1,	3,	25,	10787,	3.400,	0.00,	0.000,	3.400,	''),
(9078,	3130,	33,	1,	3,	4,	10790,	1.400,	0.00,	0.000,	1.400,	''),
(9079,	3130,	799,	1,	3,	38,	10789,	3.500,	0.00,	0.000,	3.500,	''),
(9080,	3130,	1166,	1,	3,	3,	10788,	2.300,	0.00,	0.000,	2.300,	''),
(9081,	3130,	1491,	1,	3,	3,	10791,	1.400,	0.00,	0.000,	1.400,	''),
(9082,	3131,	33,	15,	3,	4,	10818,	1.200,	0.00,	0.000,	18.000,	''),
(9083,	3131,	799,	5,	3,	38,	10819,	3.500,	0.00,	0.000,	17.500,	''),
(9084,	3131,	1138,	10,	3,	3,	10820,	1.800,	0.00,	0.000,	18.000,	''),
(9085,	3131,	1186,	20,	3,	3,	10821,	2.100,	0.00,	0.000,	42.000,	''),
(9086,	3131,	1587,	2,	3,	3,	10822,	5.200,	0.00,	0.000,	10.400,	''),
(9087,	3132,	275,	2,	4,	5,	10804,	0.500,	0.00,	0.000,	1.000,	''),
(9088,	3132,	799,	1,	3,	38,	10807,	3.500,	0.00,	0.000,	3.500,	''),
(9089,	3132,	1131,	1,	3,	6,	10806,	3.000,	0.00,	0.000,	3.000,	''),
(9090,	3132,	1514,	1,	7,	3,	10805,	2.200,	0.00,	0.000,	2.200,	''),
(9091,	3133,	753,	3,	63,	3,	10825,	2.100,	0.00,	0.000,	6.300,	''),
(9092,	3134,	170,	2,	3,	3,	10840,	6.400,	0.00,	0.000,	12.800,	''),
(9093,	3134,	667,	1,	3,	3,	10841,	18.000,	0.00,	0.000,	18.000,	''),
(9094,	3134,	676,	2,	3,	56,	10842,	12.600,	0.00,	0.000,	25.200,	''),
(9095,	3134,	753,	2,	3,	3,	10843,	1.800,	0.00,	0.000,	3.600,	''),
(9096,	3134,	766,	1,	3,	3,	10844,	2.500,	0.00,	0.000,	2.500,	''),
(9097,	3134,	1138,	6,	3,	3,	10845,	1.800,	0.00,	0.000,	10.800,	''),
(9098,	3135,	1839,	4,	63,	3,	10831,	1.700,	5.00,	0.340,	7.140,	''),
(9099,	3136,	1835,	2,	3,	3,	10832,	4.600,	5.00,	0.460,	9.660,	''),
(9100,	3137,	1298,	1,	1,	3,	10839,	1.400,	0.00,	0.000,	1.400,	''),
(9101,	3138,	76,	1,	3,	15,	10858,	9.600,	0.00,	0.000,	9.600,	''),
(9102,	3138,	423,	1,	3,	3,	10859,	1.800,	0.00,	0.000,	1.800,	''),
(9103,	3138,	766,	1,	3,	3,	10860,	2.500,	0.00,	0.000,	2.500,	''),
(9104,	3138,	848,	1,	3,	38,	10861,	4.200,	0.00,	0.000,	4.200,	''),
(9105,	3138,	1071,	1,	3,	3,	10862,	2.500,	0.00,	0.000,	2.500,	''),
(9106,	3138,	1138,	1,	3,	3,	10863,	1.800,	0.00,	0.000,	1.800,	''),
(9107,	3138,	1491,	1,	3,	4,	10864,	1.300,	0.00,	0.000,	1.300,	''),
(9108,	3138,	1562,	1,	3,	3,	10865,	6.000,	0.00,	0.000,	6.000,	''),
(9109,	3138,	1622,	1,	3,	3,	10866,	4.800,	0.00,	0.000,	4.800,	''),
(9110,	3139,	676,	1,	3,	3,	10867,	12.600,	0.00,	0.000,	6.300,	''),
(9111,	3140,	168,	1,	3,	3,	10875,	2.200,	0.00,	0.000,	2.200,	''),
(9112,	3140,	682,	1,	3,	3,	10876,	10.600,	0.00,	0.000,	10.600,	''),
(9113,	3140,	753,	1,	63,	3,	10877,	1.800,	0.00,	0.000,	1.800,	''),
(9114,	3140,	766,	1,	3,	3,	10878,	2.500,	0.00,	0.000,	2.500,	''),
(9115,	3140,	969,	1,	3,	3,	10879,	5.500,	0.00,	0.000,	5.500,	''),
(9116,	3140,	1344,	1,	3,	103,	10880,	2.000,	0.00,	0.000,	2.000,	''),
(9117,	3140,	1526,	1,	7,	3,	10881,	2.200,	0.00,	0.000,	2.200,	''),
(9118,	3141,	279,	3,	4,	3,	10887,	0.500,	0.00,	0.000,	1.500,	''),
(9119,	3141,	1186,	1,	3,	3,	10888,	2.300,	0.00,	0.000,	2.300,	''),
(9120,	3141,	1264,	1,	10,	3,	10886,	1.200,	0.00,	0.000,	1.200,	''),
(9121,	3142,	682,	1,	3,	3,	10885,	10.600,	0.00,	0.000,	5.300,	''),
(9122,	3142,	1138,	1,	3,	3,	10884,	1.800,	0.00,	0.000,	1.800,	''),
(9123,	3143,	1138,	2,	3,	3,	10890,	1.900,	0.00,	0.000,	3.800,	''),
(9124,	3144,	1563,	4,	6,	110,	10891,	0.850,	0.00,	0.000,	3.400,	''),
(9125,	3145,	501,	0,	1,	3,	10892,	2.000,	0.00,	0.000,	0.600,	''),
(9126,	3145,	765,	1,	1,	3,	10893,	1.700,	0.00,	0.000,	1.700,	''),
(9127,	3145,	972,	1,	3,	3,	10894,	3.600,	0.00,	0.000,	3.600,	''),
(9129,	3146,	848,	4,	3,	38,	10899,	4.000,	0.00,	0.000,	16.000,	''),
(9130,	3147,	1044,	1,	1,	3,	10897,	1.000,	0.00,	0.000,	0.900,	''),
(9131,	3148,	1344,	1,	3,	20,	10900,	3.600,	0.00,	0.000,	3.600,	''),
(9132,	3148,	1563,	1,	6,	105,	10901,	0.800,	0.00,	0.000,	0.800,	''),
(9133,	3149,	168,	1,	3,	3,	10913,	2.200,	0.00,	0.000,	2.200,	''),
(9134,	3149,	249,	1,	63,	4,	10914,	1.000,	0.00,	0.000,	1.000,	''),
(9135,	3149,	420,	1,	3,	3,	10915,	1.800,	0.00,	0.000,	1.800,	''),
(9136,	3149,	799,	2,	4,	38,	10916,	0.600,	0.00,	0.000,	1.200,	''),
(9137,	3149,	1071,	2,	3,	3,	10917,	2.500,	0.00,	0.000,	5.000,	''),
(9138,	3149,	1166,	1,	3,	3,	10918,	2.400,	0.00,	0.000,	2.400,	''),
(9139,	3149,	1201,	1,	3,	3,	10919,	4.200,	5.00,	0.105,	2.205,	''),
(9140,	3149,	1344,	1,	3,	25,	10920,	3.800,	0.00,	0.000,	3.800,	''),
(9141,	3149,	1626,	3,	3,	71,	10921,	2.200,	0.00,	0.000,	6.600,	''),
(9142,	3149,	1667,	1,	1,	3,	10922,	1.300,	5.00,	0.065,	1.365,	''),
(9143,	3149,	1726,	1,	3,	3,	10923,	3.600,	0.00,	0.000,	1.800,	''),
(9144,	3150,	420,	1,	3,	3,	10927,	1.800,	0.00,	0.000,	1.800,	''),
(9145,	3150,	500,	2,	4,	3,	10926,	0.600,	0.00,	0.000,	1.200,	''),
(9146,	3150,	753,	1,	63,	3,	10928,	2.100,	0.00,	0.000,	2.100,	''),
(9147,	3150,	1044,	1,	1,	3,	10925,	1.000,	0.00,	0.000,	0.700,	''),
(9148,	3151,	1127,	1,	3,	3,	10974,	2.200,	0.00,	0.000,	2.200,	''),
(9149,	3152,	1127,	1,	3,	3,	10930,	2.200,	0.00,	0.000,	2.200,	''),
(9150,	3153,	1166,	2,	3,	3,	10931,	2.200,	0.00,	0.000,	4.400,	''),
(9151,	3154,	76,	1,	7,	11,	10943,	2.200,	0.00,	0.000,	2.200,	''),
(9152,	3154,	168,	1,	3,	3,	10944,	2.200,	0.00,	0.000,	2.200,	''),
(9153,	3154,	1071,	1,	3,	3,	10945,	2.500,	0.00,	0.000,	2.500,	''),
(9154,	3154,	1127,	1,	3,	3,	10946,	2.200,	0.00,	0.000,	2.200,	''),
(9155,	3154,	1344,	1,	3,	72,	10947,	2.000,	0.00,	0.000,	2.000,	''),
(9156,	3155,	1138,	1,	3,	3,	10936,	1.800,	0.00,	0.000,	1.800,	''),
(9157,	3156,	57,	1,	7,	13,	10957,	2.200,	0.00,	0.000,	2.200,	''),
(9158,	3156,	178,	1,	1,	3,	10958,	1.200,	0.00,	0.000,	1.200,	''),
(9159,	3156,	420,	1,	3,	3,	10959,	1.800,	0.00,	0.000,	1.800,	''),
(9160,	3156,	446,	1,	3,	3,	10960,	0.500,	0.00,	0.000,	0.500,	''),
(9161,	3156,	766,	2,	3,	3,	10961,	2.600,	0.00,	0.000,	5.200,	''),
(9162,	3156,	799,	1,	3,	38,	10962,	3.500,	0.00,	0.000,	3.500,	''),
(9163,	3156,	1514,	1,	7,	3,	10963,	2.200,	0.00,	0.000,	2.200,	''),
(9164,	3156,	1626,	1,	3,	71,	10964,	2.300,	0.00,	0.000,	2.300,	''),
(9165,	3156,	1659,	1,	63,	2,	10965,	3.900,	0.00,	0.000,	3.900,	''),
(9166,	3157,	1138,	1,	3,	3,	10966,	2.000,	0.00,	0.000,	2.000,	''),
(9167,	3158,	753,	1,	63,	3,	10971,	2.100,	0.00,	0.000,	2.100,	''),
(9168,	3158,	766,	1,	3,	3,	10969,	2.500,	0.00,	0.000,	2.500,	''),
(9169,	3158,	1262,	2,	4,	3,	10968,	1.600,	0.00,	0.000,	3.200,	''),
(9170,	3158,	1440,	2,	7,	3,	10967,	1.200,	0.00,	0.000,	2.400,	''),
(9171,	3158,	1647,	2,	63,	3,	10970,	0.900,	0.00,	0.000,	1.800,	''),
(9172,	3159,	1131,	1,	3,	6,	10972,	3.000,	0.00,	0.000,	1.500,	''),
(9173,	3160,	306,	1,	3,	3,	10977,	8.800,	0.00,	0.000,	8.800,	''),
(9174,	3161,	766,	1,	3,	3,	10976,	2.500,	0.00,	0.000,	2.500,	''),
(9175,	3162,	1098,	2,	3,	3,	10979,	6.500,	0.00,	0.000,	13.000,	''),
(9176,	3163,	420,	2,	3,	3,	11002,	1.700,	0.00,	0.000,	3.400,	''),
(9177,	3163,	528,	1,	3,	3,	11003,	2.500,	0.00,	0.000,	2.500,	''),
(9178,	3163,	676,	1,	3,	3,	11004,	12.000,	0.00,	0.000,	12.000,	''),
(9179,	3163,	753,	1,	63,	3,	11005,	1.800,	0.00,	0.000,	1.800,	''),
(9180,	3163,	969,	1,	3,	3,	11006,	5.500,	0.00,	0.000,	5.500,	''),
(9181,	3163,	1344,	1,	3,	20,	11007,	3.600,	0.00,	0.000,	3.600,	''),
(9182,	3164,	848,	1,	3,	38,	11011,	4.200,	0.00,	0.000,	4.200,	''),
(9183,	3164,	1044,	1,	3,	3,	11012,	4.800,	0.00,	0.000,	4.800,	''),
(9184,	3164,	1514,	1,	3,	3,	11013,	7.200,	0.00,	0.000,	7.200,	''),
(9185,	3165,	1587,	4,	3,	3,	11014,	5.200,	0.00,	0.000,	20.800,	''),
(9186,	3166,	420,	1,	3,	3,	11022,	1.700,	0.00,	0.000,	1.700,	''),
(9187,	3166,	528,	2,	3,	3,	11023,	2.500,	0.00,	0.000,	5.000,	''),
(9188,	3166,	676,	1,	3,	56,	11024,	12.500,	0.00,	0.000,	12.500,	''),
(9189,	3166,	766,	1,	3,	3,	11025,	2.600,	0.00,	0.000,	2.600,	''),
(9190,	3166,	799,	1,	3,	3,	11026,	3.500,	0.00,	0.000,	3.500,	''),
(9191,	3166,	848,	1,	3,	3,	11027,	4.000,	0.00,	0.000,	4.000,	''),
(9192,	3166,	1071,	2,	3,	3,	11028,	2.500,	0.00,	0.000,	5.000,	''),
(9193,	3167,	156,	1,	3,	3,	11035,	3.800,	0.00,	0.000,	3.800,	''),
(9194,	3167,	170,	1,	3,	3,	11036,	6.300,	0.00,	0.000,	6.300,	''),
(9195,	3167,	528,	2,	3,	3,	11037,	2.500,	0.00,	0.000,	5.000,	''),
(9196,	3167,	933,	2,	7,	3,	11038,	3.800,	0.00,	0.000,	7.600,	''),
(9197,	3167,	1353,	1,	3,	3,	11039,	5.400,	0.00,	0.000,	5.400,	''),
(9198,	3167,	1839,	2,	63,	3,	11040,	1.700,	5.00,	0.170,	3.570,	''),
(9199,	3168,	1044,	2,	3,	3,	11042,	4.800,	0.00,	0.000,	9.600,	''),
(9200,	3169,	972,	1,	3,	3,	11043,	3.600,	0.00,	0.000,	3.600,	''),
(9201,	3170,	150,	1,	3,	3,	11044,	3.800,	0.00,	0.000,	3.800,	''),
(9202,	3171,	969,	1,	3,	3,	11045,	5.500,	0.00,	0.000,	5.500,	''),
(9203,	3172,	1835,	1,	3,	3,	11047,	4.600,	5.00,	0.230,	4.830,	''),
(9204,	3173,	766,	1,	3,	3,	11048,	2.600,	0.00,	0.000,	2.600,	''),
(9205,	3173,	774,	6,	1,	3,	11049,	0.700,	0.00,	0.000,	4.200,	''),
(9206,	3174,	178,	1,	3,	3,	11050,	10.800,	0.00,	0.000,	10.800,	''),
(9207,	3175,	306,	3,	1,	3,	11053,	1.400,	0.00,	0.000,	4.200,	''),
(9208,	3175,	1251,	3,	1,	3,	11051,	0.480,	5.00,	0.072,	1.512,	''),
(9209,	3175,	1839,	1,	63,	3,	11052,	1.700,	5.00,	0.085,	1.785,	''),
(9210,	3176,	753,	5,	63,	3,	11054,	1.700,	0.00,	0.000,	8.500,	''),
(9211,	3177,	1835,	1,	3,	3,	11055,	4.600,	5.00,	0.230,	4.830,	''),
(9212,	3178,	1044,	1,	3,	3,	11056,	4.800,	0.00,	0.000,	4.800,	''),
(9213,	3179,	306,	1,	3,	3,	11057,	8.800,	0.00,	0.000,	8.800,	''),
(9214,	3180,	306,	1,	1,	3,	11058,	1.300,	0.00,	0.000,	1.300,	''),
(9215,	3181,	848,	1,	3,	38,	11059,	4.200,	0.00,	0.000,	4.200,	''),
(9216,	3182,	528,	2,	3,	3,	11060,	2.500,	0.00,	0.000,	5.000,	''),
(9217,	3182,	766,	2,	3,	3,	11061,	2.600,	0.00,	0.000,	5.200,	''),
(9218,	3183,	156,	4,	3,	3,	11069,	3.800,	0.00,	0.000,	15.200,	''),
(9219,	3184,	766,	2,	3,	3,	11064,	2.500,	0.00,	0.000,	5.000,	''),
(9220,	3185,	528,	1,	3,	3,	11068,	2.500,	0.00,	0.000,	2.500,	''),
(9221,	3186,	168,	2,	3,	3,	11075,	2.200,	0.00,	0.000,	4.400,	''),
(9222,	3186,	170,	1,	3,	3,	11074,	6.300,	0.00,	0.000,	6.300,	''),
(9223,	3186,	279,	1,	3,	3,	11070,	4.700,	0.00,	0.000,	4.700,	''),
(9224,	3186,	1138,	2,	3,	3,	11072,	1.700,	0.00,	0.000,	3.400,	''),
(9225,	3186,	1174,	3,	3,	3,	11073,	3.200,	0.00,	0.000,	9.600,	''),
(9226,	3186,	1353,	2,	3,	3,	11071,	5.400,	0.00,	0.000,	10.800,	''),
(9227,	3187,	766,	2,	3,	3,	11076,	2.600,	0.00,	0.000,	5.200,	''),
(9228,	3188,	1978,	2,	63,	3,	11077,	2.200,	5.00,	0.220,	4.620,	''),
(9229,	3189,	528,	1,	3,	3,	11078,	2.500,	0.00,	0.000,	2.500,	''),
(9230,	3190,	753,	1,	63,	3,	11079,	2.600,	0.00,	0.000,	2.600,	''),
(9231,	3191,	156,	1,	3,	3,	11080,	3.900,	0.00,	0.000,	3.900,	''),
(9232,	3191,	306,	2,	1,	3,	11081,	1.400,	0.00,	0.000,	2.800,	''),
(9233,	3191,	1131,	5,	3,	6,	11082,	2.800,	0.00,	0.000,	14.000,	''),
(9234,	3192,	972,	1,	3,	3,	11083,	3.600,	0.00,	0.000,	3.600,	''),
(9235,	3193,	21,	1,	3,	9,	11088,	9.500,	0.00,	0.000,	9.500,	''),
(9236,	3193,	306,	1,	3,	3,	11089,	8.800,	0.00,	0.000,	8.800,	''),
(9237,	3193,	808,	1,	10,	3,	11090,	6.700,	0.00,	0.000,	6.700,	''),
(9238,	3193,	1367,	1,	3,	20,	11091,	6.400,	0.00,	0.000,	6.400,	''),
(9239,	3194,	423,	10,	3,	3,	11092,	1.800,	0.00,	0.000,	18.000,	''),
(9240,	3195,	73,	2,	3,	9,	11140,	10.200,	0.00,	0.000,	20.400,	''),
(9241,	3195,	150,	1,	3,	3,	11141,	3.800,	0.00,	0.000,	3.800,	''),
(9242,	3195,	170,	3,	3,	3,	11142,	6.300,	0.00,	0.000,	18.900,	''),
(9243,	3195,	528,	2,	3,	3,	11143,	4.200,	0.00,	0.000,	8.400,	'RAIN NEW'),
(9244,	3195,	752,	1,	3,	3,	11144,	14.200,	0.00,	0.000,	14.200,	''),
(9245,	3195,	876,	5,	3,	3,	11145,	4.000,	0.00,	0.000,	20.000,	''),
(9246,	3195,	932,	2,	3,	24,	11146,	5.400,	0.00,	0.000,	10.800,	''),
(9247,	3195,	1514,	1,	3,	3,	11139,	7.400,	0.00,	0.000,	7.400,	''),
(9248,	3195,	1563,	1,	3,	111,	11147,	6.000,	0.00,	0.000,	6.000,	''),
(9249,	3196,	420,	1,	3,	3,	11101,	1.700,	0.00,	0.000,	1.700,	''),
(9250,	3196,	1526,	1,	3,	3,	11099,	6.500,	0.00,	0.000,	6.500,	''),
(9251,	3196,	1587,	1,	3,	3,	11100,	5.200,	0.00,	0.000,	5.200,	''),
(9252,	3197,	1626,	1,	3,	71,	11102,	2.000,	0.00,	0.000,	2.000,	''),
(9253,	3198,	676,	3,	3,	4,	11103,	11.000,	0.00,	0.000,	33.000,	''),
(9254,	3199,	676,	1,	3,	3,	11104,	12.000,	0.00,	0.000,	12.000,	''),
(9255,	3200,	848,	1,	3,	38,	11105,	4.200,	0.00,	0.000,	4.200,	''),
(9256,	3200,	1353,	1,	3,	3,	11106,	5.400,	0.00,	0.000,	5.400,	''),
(9257,	3201,	766,	8,	3,	3,	11107,	2.600,	0.00,	0.000,	20.800,	''),
(9258,	3202,	279,	1,	3,	5,	11108,	4.700,	0.00,	0.000,	4.700,	''),
(9259,	3202,	420,	1,	3,	3,	11111,	1.700,	0.00,	0.000,	1.700,	''),
(9260,	3202,	528,	1,	3,	3,	11109,	4.200,	0.00,	0.000,	4.200,	'RAIN'),
(9261,	3202,	1071,	1,	3,	3,	11110,	2.400,	0.00,	0.000,	2.400,	''),
(9262,	3203,	57,	3,	7,	14,	11112,	1.900,	0.00,	0.000,	5.700,	''),
(9263,	3203,	1353,	2,	3,	3,	11113,	5.400,	0.00,	0.000,	10.800,	''),
(9264,	3204,	33,	20,	3,	4,	11115,	1.200,	0.00,	0.000,	24.000,	''),
(9265,	3205,	528,	1,	3,	3,	11116,	2.500,	0.00,	0.000,	2.500,	''),
(9266,	3206,	306,	2,	1,	3,	11118,	1.400,	0.00,	0.000,	2.100,	''),
(9267,	3206,	528,	1,	3,	3,	11119,	2.500,	0.00,	0.000,	2.500,	''),
(9268,	3206,	1251,	1,	3,	3,	11117,	3.810,	5.00,	0.191,	4.001,	''),
(9269,	3207,	1071,	1,	3,	3,	11120,	2.500,	0.00,	0.000,	2.500,	''),
(9270,	3208,	306,	2,	1,	3,	11121,	1.500,	0.00,	0.000,	2.700,	''),
(9271,	3209,	420,	1,	3,	3,	11137,	1.700,	0.00,	0.000,	1.700,	''),
(9272,	3209,	676,	1,	3,	56,	11138,	12.500,	0.00,	0.000,	12.500,	''),
(9273,	3210,	682,	1,	3,	3,	11148,	10.200,	0.00,	0.000,	10.200,	''),
(9274,	3211,	1251,	1,	3,	3,	11150,	3.810,	5.00,	0.191,	4.001,	''),
(9275,	3212,	33,	1,	7,	14,	11154,	1.800,	0.00,	0.000,	1.800,	''),
(9276,	3212,	682,	1,	3,	3,	11152,	10.400,	0.00,	0.000,	5.200,	''),
(9277,	3212,	1138,	2,	3,	3,	11153,	1.600,	0.00,	0.000,	3.200,	''),
(9278,	3212,	1344,	1,	3,	25,	11155,	3.400,	0.00,	0.000,	3.400,	''),
(9279,	3212,	1767,	4,	1,	3,	11151,	0.300,	0.00,	0.000,	1.080,	''),
(9280,	3213,	150,	1,	3,	3,	11159,	3.800,	0.00,	0.000,	3.800,	''),
(9281,	3213,	807,	1,	3,	3,	11156,	14.200,	0.00,	0.000,	14.200,	''),
(9282,	3213,	1251,	1,	3,	3,	11158,	3.800,	5.00,	0.190,	3.990,	''),
(9283,	3213,	1726,	1,	3,	3,	11157,	3.500,	0.00,	0.000,	3.500,	''),
(9284,	3214,	420,	4,	3,	3,	11161,	1.700,	0.00,	0.000,	6.800,	''),
(9285,	3214,	1622,	2,	3,	3,	11160,	4.800,	0.00,	0.000,	9.600,	''),
(9286,	3214,	1839,	3,	63,	3,	11162,	1.700,	5.00,	0.255,	5.355,	''),
(9287,	3215,	306,	1,	3,	3,	11163,	8.800,	0.00,	0.000,	8.800,	''),
(9288,	3216,	766,	1,	3,	3,	11164,	2.600,	0.00,	0.000,	2.600,	''),
(9289,	3217,	876,	4,	3,	3,	11165,	4.200,	0.00,	0.000,	16.800,	''),
(9290,	3217,	1174,	7,	3,	3,	11166,	3.000,	0.00,	0.000,	21.000,	''),
(9291,	3217,	1587,	1,	3,	3,	11167,	5.200,	0.00,	0.000,	5.200,	''),
(9292,	3218,	420,	1,	3,	3,	11168,	1.700,	0.00,	0.000,	1.700,	''),
(9293,	3219,	1251,	1,	4,	3,	11169,	0.500,	5.00,	0.025,	0.525,	''),
(9294,	3220,	1071,	1,	3,	3,	11170,	2.500,	0.00,	0.000,	2.500,	''),
(9295,	3221,	31,	1,	7,	15,	11171,	2.200,	0.00,	0.000,	2.200,	''),
(9296,	3221,	1563,	1,	3,	110,	11172,	6.000,	0.00,	0.000,	6.000,	''),
(9297,	3222,	1626,	1,	3,	71,	11173,	2.000,	0.00,	0.000,	2.000,	''),
(9298,	3223,	501,	4,	1,	3,	11174,	2.000,	0.00,	0.000,	8.000,	''),
(9299,	3224,	306,	2,	3,	3,	11175,	8.800,	0.00,	0.000,	17.600,	''),
(9300,	3225,	682,	1,	3,	3,	11179,	10.200,	0.00,	0.000,	10.200,	''),
(9301,	3225,	753,	1,	63,	3,	11176,	1.800,	0.00,	0.000,	1.800,	''),
(9302,	3225,	766,	1,	3,	3,	11177,	2.600,	0.00,	0.000,	2.600,	''),
(9303,	3225,	1978,	1,	63,	3,	11178,	2.200,	5.00,	0.110,	2.310,	''),
(9304,	3226,	1587,	1,	3,	3,	11180,	4.900,	0.00,	0.000,	4.900,	''),
(9305,	3227,	1353,	2,	3,	3,	11182,	5.400,	0.00,	0.000,	10.800,	''),
(9306,	3227,	1565,	12,	1,	3,	11181,	1.300,	0.00,	0.000,	14.950,	''),
(9307,	3228,	676,	1,	3,	3,	11186,	12.400,	0.00,	0.000,	6.200,	''),
(9308,	3228,	1138,	1,	3,	3,	11183,	1.800,	0.00,	0.000,	1.800,	''),
(9309,	3228,	1344,	1,	3,	103,	11184,	2.000,	0.00,	0.000,	2.000,	''),
(9310,	3228,	1563,	4,	6,	110,	11185,	0.800,	0.00,	0.000,	3.200,	''),
(9311,	3229,	370,	1,	3,	3,	11188,	4.000,	0.00,	0.000,	4.000,	''),
(9312,	3229,	401,	1,	3,	3,	11187,	4.000,	0.00,	0.000,	4.000,	''),
(9313,	3230,	168,	4,	3,	3,	11198,	2.100,	0.00,	0.000,	8.400,	''),
(9314,	3230,	420,	2,	3,	3,	11204,	1.700,	0.00,	0.000,	3.400,	''),
(9315,	3230,	682,	1,	3,	3,	11201,	10.200,	0.00,	0.000,	10.200,	''),
(9316,	3230,	753,	3,	63,	3,	11203,	2.100,	0.00,	0.000,	6.300,	''),
(9317,	3230,	766,	1,	3,	3,	11200,	2.600,	0.00,	0.000,	2.600,	''),
(9318,	3230,	1071,	2,	3,	3,	11202,	2.400,	0.00,	0.000,	4.800,	''),
(9319,	3230,	1344,	4,	3,	29,	11199,	2.100,	0.00,	0.000,	8.400,	''),
(9320,	3230,	1839,	1,	63,	3,	11197,	1.700,	5.00,	0.085,	1.785,	''),
(9321,	3231,	57,	1,	3,	13,	11194,	9.000,	0.00,	0.000,	9.000,	''),
(9322,	3231,	551,	1,	63,	3,	11193,	3.900,	5.00,	0.195,	4.095,	''),
(9323,	3231,	1526,	1,	3,	3,	11191,	6.500,	0.00,	0.000,	6.500,	''),
(9324,	3231,	1839,	3,	63,	3,	11192,	1.700,	5.00,	0.255,	5.355,	''),
(9325,	3232,	551,	1,	63,	3,	11195,	3.900,	5.00,	0.195,	4.095,	''),
(9326,	3232,	1839,	3,	63,	3,	11196,	1.700,	5.00,	0.255,	5.355,	''),
(9327,	3233,	1071,	1,	3,	3,	11205,	2.500,	0.00,	0.000,	2.500,	''),
(9328,	3234,	1401,	30,	4,	3,	11206,	0.095,	5.00,	0.143,	2.993,	''),
(9329,	3235,	57,	2,	3,	13,	11207,	8.900,	0.00,	0.000,	17.800,	''),
(9330,	3235,	306,	1,	3,	3,	11208,	8.800,	0.00,	0.000,	8.800,	''),
(9331,	3236,	676,	2,	3,	3,	11212,	11.800,	0.00,	0.000,	23.600,	''),
(9332,	3236,	753,	5,	63,	3,	11211,	1.700,	0.00,	0.000,	8.500,	''),
(9333,	3236,	766,	2,	3,	3,	11209,	2.500,	0.00,	0.000,	5.000,	''),
(9334,	3236,	1839,	5,	63,	3,	11210,	1.700,	5.00,	0.425,	8.925,	''),
(9335,	3237,	170,	1,	3,	3,	11215,	6.200,	0.00,	0.000,	6.200,	''),
(9336,	3237,	1071,	1,	3,	3,	11213,	2.400,	0.00,	0.000,	2.400,	''),
(9337,	3237,	1839,	4,	63,	3,	11214,	1.700,	5.00,	0.340,	7.140,	''),
(9338,	3238,	766,	1,	3,	3,	11216,	2.400,	0.00,	0.000,	2.400,	''),
(9339,	3238,	1563,	1,	3,	111,	11217,	6.000,	0.00,	0.000,	6.000,	''),
(9340,	3239,	420,	1,	3,	3,	11218,	1.700,	0.00,	0.000,	1.700,	''),
(9341,	3240,	1138,	10,	3,	3,	11220,	1.600,	0.00,	0.000,	16.000,	''),
(9342,	3240,	1166,	10,	3,	3,	11219,	2.200,	0.00,	0.000,	22.000,	''),
(9343,	3241,	1978,	2,	3,	3,	11221,	2.200,	5.00,	0.220,	4.620,	''),
(9344,	3242,	1353,	1,	3,	3,	11237,	4.000,	0.00,	0.000,	4.000,	''),
(9345,	3243,	676,	1,	3,	3,	11231,	12.000,	0.00,	0.000,	6.000,	''),
(9346,	3243,	1344,	1,	3,	20,	11230,	3.600,	0.00,	0.000,	3.600,	''),
(9347,	3244,	31,	1,	3,	13,	11229,	9.000,	0.00,	0.000,	9.000,	''),
(9348,	3244,	676,	1,	3,	4,	11228,	12.000,	0.00,	0.000,	12.000,	''),
(9349,	3244,	753,	1,	63,	3,	11226,	2.600,	0.00,	0.000,	2.600,	''),
(9350,	3244,	766,	1,	3,	3,	11225,	2.600,	0.00,	0.000,	2.600,	''),
(9351,	3244,	1071,	2,	3,	3,	11227,	2.400,	0.00,	0.000,	4.800,	''),
(9352,	3245,	45,	1,	3,	7,	11232,	3.900,	0.00,	0.000,	3.900,	''),
(9353,	3246,	57,	1,	7,	13,	11233,	2.200,	0.00,	0.000,	2.200,	''),
(9354,	3246,	275,	2,	4,	3,	11234,	0.500,	0.00,	0.000,	1.000,	''),
(9355,	3246,	1127,	1,	3,	3,	11236,	1.900,	0.00,	0.000,	1.900,	''),
(9356,	3246,	1626,	2,	3,	71,	11235,	2.200,	0.00,	0.000,	4.400,	''),
(9357,	3247,	676,	1,	3,	56,	11241,	12.500,	0.00,	0.000,	12.500,	''),
(9358,	3248,	799,	1,	3,	3,	11242,	3.500,	0.00,	0.000,	3.500,	''),
(9359,	3248,	1587,	1,	3,	3,	11243,	5.200,	0.00,	0.000,	5.200,	''),
(9360,	3249,	682,	1,	3,	3,	11244,	10.600,	0.00,	0.000,	5.300,	''),
(9361,	3250,	676,	1,	3,	56,	11248,	12.500,	0.00,	0.000,	12.500,	''),
(9362,	3250,	753,	1,	63,	3,	11249,	1.800,	0.00,	0.000,	1.800,	''),
(9363,	3250,	766,	1,	3,	3,	11250,	2.600,	0.00,	0.000,	2.600,	''),
(9364,	3251,	1131,	2,	3,	3,	11251,	2.500,	0.00,	0.000,	5.000,	''),
(9365,	3252,	752,	1,	4,	23,	11252,	3.550,	0.00,	0.000,	3.550,	''),
(9366,	3253,	1345,	1,	3,	103,	11253,	2.000,	0.00,	0.000,	2.000,	''),
(9367,	3254,	528,	1,	3,	3,	11254,	2.500,	0.00,	0.000,	2.500,	''),
(9368,	3254,	969,	1,	3,	3,	11255,	5.500,	0.00,	0.000,	5.500,	''),
(9369,	3255,	1839,	4,	63,	3,	11256,	1.700,	5.00,	0.340,	7.140,	''),
(9370,	3256,	753,	1,	63,	3,	11257,	1.800,	0.00,	0.000,	1.800,	''),
(9371,	3257,	676,	1,	3,	56,	11260,	12.600,	0.00,	0.000,	6.300,	''),
(9372,	3257,	766,	1,	3,	3,	11262,	2.600,	0.00,	0.000,	2.600,	''),
(9373,	3257,	969,	1,	3,	3,	11266,	5.500,	0.00,	0.000,	5.500,	''),
(9374,	3257,	1098,	1,	3,	3,	11261,	6.500,	0.00,	0.000,	6.500,	''),
(9375,	3257,	1251,	4,	4,	3,	11258,	0.490,	5.00,	0.098,	2.058,	''),
(9376,	3257,	1351,	1,	3,	25,	11265,	6.800,	0.00,	0.000,	6.800,	''),
(9377,	3257,	1514,	1,	7,	3,	11259,	2.200,	0.00,	0.000,	2.200,	''),
(9378,	3257,	1622,	1,	3,	3,	11264,	4.800,	0.00,	0.000,	4.800,	''),
(9379,	3257,	1766,	1,	3,	3,	11263,	0.800,	0.00,	0.000,	0.800,	''),
(9388,	3283,	156,	1,	3,	3,	11322,	3.800,	0.00,	0.000,	3.800,	''),
(9389,	3283,	364,	1,	3,	3,	11323,	3.200,	0.00,	0.000,	3.200,	''),
(9390,	3283,	394,	1,	3,	3,	11321,	3.200,	0.00,	0.000,	3.200,	''),
(9391,	3284,	1563,	3,	3,	110,	11324,	0.800,	0.00,	0.000,	2.400,	''),
(9392,	3285,	1563,	2,	3,	110,	11325,	0.800,	0.00,	0.000,	1.600,	''),
(9393,	3286,	156,	1,	3,	3,	11327,	3.200,	0.00,	0.000,	3.200,	''),
(9394,	3286,	1131,	2,	3,	3,	11326,	2.200,	0.00,	0.000,	4.400,	''),
(9395,	3287,	1138,	2,	3,	3,	11328,	1.700,	0.00,	0.000,	3.400,	''),
(9396,	3288,	1138,	1,	3,	3,	11329,	1.700,	0.00,	0.000,	1.700,	''),
(9397,	3289,	848,	2,	4,	5,	11333,	0.500,	0.00,	0.000,	1.000,	''),
(9398,	3289,	1138,	1,	3,	3,	11332,	1.700,	0.00,	0.000,	1.700,	''),
(9399,	3289,	1563,	3,	3,	110,	11334,	0.800,	0.00,	0.000,	2.400,	''),
(9400,	3290,	168,	1,	3,	3,	11335,	2.100,	0.00,	0.000,	2.100,	''),
(9401,	3290,	676,	1,	3,	3,	11336,	12.000,	0.00,	0.000,	12.000,	''),
(9402,	3290,	1344,	1,	3,	20,	11337,	3.500,	0.00,	0.000,	3.500,	''),
(9403,	3291,	1138,	1,	3,	3,	11344,	1.600,	0.00,	0.000,	1.600,	''),
(9404,	3291,	1344,	1,	3,	20,	11346,	3.500,	0.00,	0.000,	3.500,	''),
(9405,	3291,	1491,	1,	3,	3,	11345,	1.500,	0.00,	0.000,	1.500,	''),
(9406,	3292,	1044,	3,	3,	3,	11347,	4.800,	0.00,	0.000,	14.400,	''),
(9407,	3293,	528,	1,	3,	3,	11349,	2.500,	0.00,	0.000,	2.500,	''),
(9408,	3293,	767,	1,	3,	3,	11348,	2.600,	0.00,	0.000,	2.600,	''),
(9409,	3294,	306,	2,	3,	3,	11350,	8.800,	0.00,	0.000,	17.600,	''),
(9410,	3294,	1044,	4,	3,	3,	11351,	4.800,	0.00,	0.000,	19.200,	''),
(9411,	3295,	306,	1,	3,	3,	11352,	8.800,	0.00,	0.000,	8.800,	''),
(9412,	3296,	178,	1,	3,	3,	11353,	10.800,	0.00,	0.000,	10.800,	''),
(9413,	3296,	1098,	1,	3,	3,	11354,	6.400,	0.00,	0.000,	6.400,	''),
(9414,	3297,	57,	2,	7,	13,	11358,	1.900,	0.00,	0.000,	3.800,	''),
(9415,	3297,	76,	1,	7,	13,	11357,	2.100,	0.00,	0.000,	2.100,	''),
(9416,	3297,	1044,	1,	1,	3,	11356,	0.900,	0.00,	0.000,	0.900,	''),
(9417,	3297,	1131,	3,	3,	6,	11355,	2.800,	0.00,	0.000,	8.400,	''),
(9418,	3298,	1044,	3,	3,	3,	11360,	4.800,	0.00,	0.000,	14.400,	''),
(9419,	3299,	168,	2,	3,	3,	11418,	2.100,	0.00,	0.000,	4.200,	''),
(9420,	3299,	528,	1,	3,	3,	11419,	2.500,	0.00,	0.000,	2.500,	'second'),
(9421,	3299,	1044,	4,	3,	3,	11420,	4.800,	0.00,	0.000,	19.200,	''),
(9422,	3299,	1066,	1,	3,	3,	11417,	2.800,	0.00,	0.000,	2.800,	''),
(9423,	3299,	1071,	1,	3,	3,	11421,	2.400,	0.00,	0.000,	2.400,	''),
(9424,	3299,	1344,	1,	3,	25,	11422,	3.500,	0.00,	0.000,	3.500,	''),
(9425,	3300,	1100,	1,	3,	3,	11368,	5.800,	0.00,	0.000,	5.800,	''),
(9426,	3301,	420,	2,	3,	3,	11397,	1.700,	0.00,	0.000,	3.400,	''),
(9427,	3301,	676,	1,	3,	3,	11398,	12.000,	0.00,	0.000,	12.000,	''),
(9428,	3301,	766,	1,	3,	3,	11399,	2.600,	0.00,	0.000,	2.600,	''),
(9429,	3301,	1626,	1,	3,	3,	11400,	2.200,	0.00,	0.000,	2.200,	''),
(9430,	3302,	528,	1,	3,	3,	11390,	2.500,	0.00,	0.000,	2.500,	'second'),
(9431,	3302,	667,	1,	3,	3,	11392,	17.800,	0.00,	0.000,	8.900,	''),
(9432,	3302,	676,	1,	3,	3,	11393,	11.900,	0.00,	0.000,	11.900,	''),
(9433,	3302,	753,	2,	63,	3,	11387,	1.800,	0.00,	0.000,	3.600,	''),
(9434,	3302,	766,	2,	3,	3,	11391,	2.500,	0.00,	0.000,	5.000,	''),
(9435,	3302,	1610,	1,	3,	3,	11388,	3.900,	0.00,	0.000,	3.900,	''),
(9436,	3302,	1839,	2,	63,	3,	11389,	1.700,	5.00,	0.170,	3.570,	''),
(9437,	3303,	306,	1,	3,	3,	11394,	8.800,	0.00,	0.000,	8.800,	''),
(9438,	3304,	1044,	5,	3,	3,	11395,	4.800,	0.00,	0.000,	24.000,	''),
(9439,	3305,	766,	1,	3,	3,	11396,	2.600,	0.00,	0.000,	2.600,	''),
(9440,	3306,	774,	1,	3,	3,	11401,	6.900,	0.00,	0.000,	6.900,	''),
(9441,	3307,	1186,	9,	3,	3,	11402,	1.900,	0.00,	0.000,	17.100,	''),
(9442,	3308,	1978,	1,	63,	3,	11403,	2.200,	5.00,	0.110,	2.310,	''),
(9443,	3309,	1353,	5,	3,	3,	11406,	5.400,	0.00,	0.000,	27.000,	''),
(9444,	3309,	1498,	2,	3,	3,	11407,	6.800,	0.00,	0.000,	13.600,	''),
(9445,	3310,	551,	1,	63,	3,	11411,	3.800,	5.00,	0.190,	3.990,	''),
(9446,	3310,	660,	1,	3,	3,	11412,	10.800,	0.00,	0.000,	10.800,	''),
(9447,	3310,	753,	1,	63,	3,	11410,	1.800,	0.00,	0.000,	1.800,	''),
(9448,	3310,	766,	1,	3,	3,	11408,	2.500,	0.00,	0.000,	2.500,	''),
(9449,	3310,	1978,	1,	3,	3,	11409,	2.300,	5.00,	0.115,	2.415,	''),
(9450,	3311,	76,	1,	3,	15,	11415,	9.800,	0.00,	0.000,	9.800,	''),
(9451,	3311,	848,	3,	3,	3,	11416,	4.300,	0.00,	0.000,	12.900,	''),
(9452,	3312,	1839,	2,	63,	3,	11423,	1.700,	5.00,	0.170,	3.570,	''),
(9453,	3313,	682,	1,	3,	3,	11430,	10.200,	0.00,	0.000,	5.100,	''),
(9454,	3313,	753,	1,	63,	3,	11431,	1.800,	0.00,	0.000,	1.800,	''),
(9455,	3313,	799,	1,	3,	38,	11432,	3.400,	0.00,	0.000,	3.400,	''),
(9456,	3313,	1071,	1,	3,	3,	11433,	2.400,	0.00,	0.000,	2.400,	''),
(9457,	3313,	1626,	1,	3,	71,	11429,	2.000,	0.00,	0.000,	2.000,	''),
(9458,	3313,	1839,	1,	63,	3,	11434,	1.700,	5.00,	0.085,	1.785,	''),
(9459,	3314,	57,	1,	7,	13,	11437,	2.200,	0.00,	0.000,	2.200,	''),
(9460,	3314,	1353,	1,	3,	3,	11435,	5.400,	0.00,	0.000,	5.400,	''),
(9461,	3314,	1526,	1,	7,	3,	11438,	2.000,	0.00,	0.000,	2.000,	''),
(9462,	3314,	1626,	1,	3,	71,	11436,	2.100,	0.00,	0.000,	2.100,	''),
(9463,	3315,	282,	3,	4,	33,	11455,	1.600,	0.00,	0.000,	4.800,	''),
(9464,	3315,	753,	1,	63,	3,	11456,	1.800,	0.00,	0.000,	1.800,	''),
(9465,	3315,	766,	1,	3,	3,	11457,	2.600,	0.00,	0.000,	2.600,	''),
(9466,	3315,	933,	1,	7,	3,	11458,	3.800,	0.00,	0.000,	3.800,	''),
(9467,	3315,	1563,	1,	3,	110,	11459,	6.000,	0.00,	0.000,	6.000,	''),
(9468,	3316,	1251,	1,	3,	3,	11451,	3.810,	5.00,	0.191,	4.001,	''),
(9469,	3317,	753,	1,	3,	39,	11452,	4.200,	0.00,	0.000,	4.200,	''),
(9470,	3318,	1251,	1,	3,	3,	11453,	3.810,	5.00,	0.191,	4.001,	''),
(9471,	3319,	676,	1,	3,	4,	11454,	11.000,	0.00,	0.000,	11.000,	''),
(9472,	3320,	57,	1,	3,	13,	11463,	8.900,	0.00,	0.000,	8.900,	''),
(9473,	3320,	73,	1,	3,	9,	11464,	10.200,	0.00,	0.000,	10.200,	''),
(9474,	3320,	76,	1,	3,	15,	11462,	9.800,	0.00,	0.000,	9.800,	''),
(9475,	3320,	150,	2,	3,	3,	11460,	3.800,	0.00,	0.000,	7.600,	''),
(9476,	3320,	676,	2,	3,	56,	11461,	12.500,	0.00,	0.000,	25.000,	''),
(9477,	3320,	753,	1,	3,	5,	11465,	4.200,	0.00,	0.000,	4.200,	''),
(9478,	3321,	420,	2,	3,	3,	11468,	1.700,	0.00,	0.000,	3.400,	''),
(9479,	3321,	1189,	3,	3,	3,	11466,	1.900,	0.00,	0.000,	5.700,	''),
(9480,	3321,	1587,	1,	3,	3,	11467,	5.200,	0.00,	0.000,	5.200,	''),
(9481,	3322,	502,	1,	1,	3,	11469,	2.000,	0.00,	0.000,	2.000,	''),
(9482,	3323,	1626,	1,	3,	71,	11470,	2.200,	0.00,	0.000,	2.200,	''),
(9483,	3324,	1251,	10,	3,	3,	11471,	3.600,	5.00,	1.800,	37.800,	''),
(9484,	3325,	73,	1,	7,	9,	11474,	2.400,	0.00,	0.000,	2.400,	''),
(9485,	3325,	279,	4,	4,	3,	11472,	0.500,	0.00,	0.000,	2.000,	''),
(9486,	3325,	808,	1,	3,	3,	11475,	6.800,	0.00,	0.000,	6.800,	''),
(9487,	3325,	933,	1,	7,	3,	11473,	3.800,	0.00,	0.000,	3.800,	''),
(9488,	3326,	933,	1,	7,	3,	11476,	3.800,	0.00,	0.000,	3.800,	''),
(9489,	3327,	1251,	1,	3,	3,	11483,	3.810,	5.00,	0.191,	4.001,	''),
(9490,	3327,	1298,	3,	1,	3,	11484,	1.400,	0.00,	0.000,	4.200,	''),
(9491,	3327,	1959,	2,	1,	3,	11485,	1.400,	0.00,	0.000,	2.800,	''),
(9492,	3328,	1514,	1,	3,	3,	11486,	7.000,	0.00,	0.000,	7.000,	''),
(9493,	3329,	528,	2,	3,	3,	11488,	3.200,	0.00,	0.000,	6.400,	''),
(9494,	3329,	766,	1,	3,	3,	11487,	2.600,	0.00,	0.000,	2.600,	''),
(9495,	3330,	799,	2,	4,	5,	11493,	0.600,	0.00,	0.000,	1.200,	''),
(9496,	3330,	1174,	1,	3,	3,	11494,	3.200,	0.00,	0.000,	3.200,	''),
(9497,	3330,	1344,	1,	3,	72,	11495,	1.900,	0.00,	0.000,	1.900,	''),
(9498,	3330,	1353,	1,	3,	3,	11496,	5.400,	0.00,	0.000,	5.400,	''),
(9499,	3331,	156,	1,	3,	3,	11497,	3.800,	0.00,	0.000,	3.800,	''),
(9500,	3332,	753,	5,	63,	3,	11498,	1.800,	0.00,	0.000,	9.000,	''),
(9501,	3332,	766,	3,	3,	3,	11499,	2.500,	0.00,	0.000,	7.500,	''),
(9502,	3333,	676,	1,	3,	3,	11504,	11.800,	0.00,	0.000,	11.800,	''),
(9503,	3333,	753,	2,	63,	3,	11505,	1.800,	0.00,	0.000,	3.600,	''),
(9504,	3333,	766,	1,	3,	3,	11506,	2.500,	0.00,	0.000,	2.500,	''),
(9505,	3333,	1071,	1,	3,	3,	11507,	2.400,	0.00,	0.000,	2.400,	''),
(9506,	3333,	1839,	2,	63,	3,	11508,	1.700,	5.00,	0.170,	3.570,	''),
(9507,	3334,	420,	5,	3,	3,	11509,	1.600,	0.00,	0.000,	8.000,	''),
(9511,	3335,	1659,	1,	63,	2,	11510,	4.200,	0.00,	0.000,	4.200,	''),
(9512,	3336,	1491,	2,	3,	3,	11511,	1.300,	0.00,	0.000,	2.600,	''),
(9513,	3337,	1491,	5,	3,	3,	11512,	1.300,	0.00,	0.000,	6.500,	''),
(9514,	3338,	65,	1,	3,	13,	11520,	11.200,	0.00,	0.000,	11.200,	''),
(9515,	3338,	170,	1,	3,	3,	11521,	6.000,	0.00,	0.000,	6.000,	''),
(9516,	3338,	528,	1,	3,	3,	11522,	2.500,	0.00,	0.000,	2.500,	''),
(9517,	3338,	753,	2,	63,	3,	11523,	1.800,	0.00,	0.000,	3.600,	''),
(9518,	3338,	766,	2,	3,	3,	11524,	2.600,	0.00,	0.000,	5.200,	''),
(9519,	3338,	1071,	1,	3,	3,	11525,	2.400,	0.00,	0.000,	2.400,	''),
(9520,	3338,	1344,	5,	3,	4,	11526,	1.900,	0.00,	0.000,	9.500,	''),
(9521,	3339,	753,	5,	63,	3,	11529,	1.700,	0.00,	0.000,	8.500,	''),
(9522,	3339,	766,	2,	3,	3,	11527,	2.500,	0.00,	0.000,	5.000,	''),
(9523,	3339,	1839,	6,	63,	3,	11528,	1.700,	5.00,	0.510,	10.710,	''),
(9524,	3340,	755,	1,	1,	3,	11530,	1.700,	0.00,	0.000,	1.700,	''),
(9525,	3341,	1434,	1,	10,	3,	11532,	1.200,	0.00,	0.000,	1.200,	''),
(9526,	3342,	528,	1,	3,	3,	11534,	2.500,	0.00,	0.000,	2.500,	''),
(9527,	3342,	766,	1,	3,	3,	11533,	2.600,	0.00,	0.000,	2.600,	''),
(9528,	3343,	1131,	1,	3,	6,	11538,	3.000,	0.00,	0.000,	3.000,	''),
(9529,	3344,	1044,	1,	3,	3,	11539,	5.200,	0.00,	0.000,	5.200,	''),
(9530,	3345,	420,	1,	3,	3,	11543,	1.600,	0.00,	0.000,	1.600,	''),
(9531,	3345,	753,	1,	63,	3,	11544,	1.800,	0.00,	0.000,	1.800,	''),
(9532,	3345,	1622,	2,	3,	3,	11545,	4.800,	0.00,	0.000,	9.600,	''),
(9533,	3346,	753,	1,	63,	3,	11546,	1.800,	0.00,	0.000,	1.800,	''),
(9534,	3346,	1839,	1,	63,	3,	11547,	1.714,	5.00,	0.086,	1.800,	''),
(9535,	3347,	1174,	1,	3,	3,	11548,	3.100,	0.00,	0.000,	3.100,	''),
(9536,	3348,	208,	1,	1,	3,	11549,	4.900,	0.00,	0.000,	4.900,	''),
(9537,	3349,	1587,	23,	3,	3,	11734,	5.200,	0.00,	0.000,	119.600,	''),
(9538,	3350,	528,	1,	3,	3,	11556,	2.500,	0.00,	0.000,	2.500,	''),
(9539,	3350,	753,	1,	63,	3,	11557,	1.800,	0.00,	0.000,	1.800,	''),
(9540,	3350,	969,	1,	3,	3,	11558,	5.200,	0.00,	0.000,	5.200,	''),
(9541,	3350,	1071,	1,	3,	4,	11559,	2.400,	0.00,	0.000,	2.400,	''),
(9542,	3350,	1344,	1,	3,	20,	11560,	3.500,	0.00,	0.000,	3.500,	''),
(9543,	3351,	279,	2,	4,	5,	11565,	0.500,	0.00,	0.000,	1.000,	''),
(9544,	3351,	676,	1,	3,	4,	11566,	11.000,	0.00,	0.000,	11.000,	''),
(9545,	3351,	676,	1,	3,	56,	11567,	12.500,	0.00,	0.000,	12.500,	''),
(9546,	3351,	1127,	2,	3,	3,	11568,	2.000,	0.00,	0.000,	4.000,	''),
(9547,	3352,	1839,	4,	63,	3,	11569,	1.700,	5.00,	0.340,	7.140,	''),
(9548,	3353,	528,	5,	3,	3,	11573,	3.500,	0.00,	0.000,	17.500,	''),
(9549,	3353,	1514,	6,	3,	3,	11574,	6.800,	0.00,	0.000,	40.800,	''),
(9550,	3353,	1610,	12,	3,	3,	11575,	3.600,	0.00,	0.000,	43.200,	''),
(9551,	3354,	170,	1,	3,	3,	11576,	5.800,	0.00,	0.000,	5.800,	''),
(9552,	3355,	753,	5,	63,	3,	11577,	1.800,	0.00,	0.000,	9.000,	''),
(9553,	3356,	1251,	4,	4,	3,	11578,	0.480,	5.00,	0.096,	2.016,	''),
(9554,	3357,	21,	5,	3,	9,	11580,	9.500,	0.00,	0.000,	47.500,	''),
(9555,	3358,	1131,	14,	3,	3,	11582,	2.300,	0.00,	0.000,	32.200,	''),
(9556,	3359,	33,	1,	3,	4,	11585,	1.200,	0.00,	0.000,	1.200,	''),
(9557,	3359,	152,	10,	1,	3,	11583,	1.080,	0.00,	0.000,	10.800,	''),
(9558,	3359,	528,	3,	3,	3,	11586,	3.300,	0.00,	0.000,	9.900,	'RAIN'),
(9559,	3359,	753,	20,	63,	3,	11587,	1.700,	0.00,	0.000,	34.000,	''),
(9560,	3359,	766,	10,	3,	3,	11588,	2.450,	0.00,	0.000,	24.500,	''),
(9561,	3359,	1071,	3,	3,	3,	11584,	2.400,	0.00,	0.000,	7.200,	''),
(9562,	3360,	766,	1,	3,	3,	11589,	2.600,	0.00,	0.000,	2.600,	''),
(9563,	3361,	65,	2,	7,	10,	11596,	2.400,	0.00,	0.000,	4.800,	''),
(9564,	3361,	848,	2,	3,	4,	11594,	4.200,	0.00,	0.000,	8.400,	''),
(9565,	3361,	1166,	4,	3,	3,	11591,	2.300,	0.00,	0.000,	9.200,	''),
(9566,	3361,	1344,	1,	3,	20,	11593,	3.800,	0.00,	0.000,	3.800,	''),
(9567,	3361,	1514,	1,	7,	3,	11595,	2.200,	0.00,	0.000,	2.200,	''),
(9568,	3361,	1622,	1,	3,	3,	11590,	4.800,	0.00,	0.000,	4.800,	''),
(9569,	3361,	1767,	1,	3,	3,	11592,	2.500,	0.00,	0.000,	2.500,	''),
(9570,	3362,	933,	1,	7,	3,	11597,	3.800,	0.00,	0.000,	3.800,	''),
(9571,	3363,	551,	1,	63,	3,	11598,	3.810,	5.00,	0.191,	4.001,	''),
(9572,	3364,	250,	1,	63,	3,	11600,	1.000,	0.00,	0.000,	1.000,	''),
(9573,	3364,	753,	1,	63,	3,	11599,	1.800,	0.00,	0.000,	1.800,	''),
(9574,	3365,	799,	3,	3,	5,	11604,	5.800,	0.00,	0.000,	17.400,	''),
(9575,	3365,	933,	8,	3,	3,	11605,	3.800,	0.00,	0.000,	30.400,	''),
(9576,	3365,	1066,	1,	3,	3,	11606,	1.800,	0.00,	0.000,	1.800,	''),
(9577,	3366,	1839,	10,	63,	3,	11608,	1.700,	5.00,	0.850,	17.850,	''),
(9578,	3367,	21,	1,	7,	13,	11610,	2.200,	0.00,	0.000,	2.200,	''),
(9579,	3367,	420,	1,	3,	3,	11611,	1.800,	0.00,	0.000,	1.800,	''),
(9580,	3367,	803,	1,	1,	3,	11609,	0.900,	0.00,	0.000,	0.450,	''),
(9581,	3367,	1344,	1,	3,	29,	11612,	2.200,	0.00,	0.000,	2.200,	''),
(9582,	3368,	211,	1,	1,	3,	11613,	1.800,	0.00,	0.000,	1.800,	''),
(9583,	3369,	279,	5,	4,	3,	11640,	0.480,	0.00,	0.000,	2.400,	''),
(9584,	3369,	682,	1,	3,	3,	11641,	10.600,	0.00,	0.000,	5.300,	''),
(9585,	3369,	1166,	5,	3,	3,	11642,	2.200,	0.00,	0.000,	11.000,	''),
(9586,	3369,	1353,	1,	3,	3,	11643,	5.400,	0.00,	0.000,	5.400,	''),
(9587,	3370,	676,	1,	3,	3,	11626,	11.800,	0.00,	0.000,	11.800,	''),
(9588,	3371,	1251,	1,	3,	4,	11627,	3.810,	5.00,	0.191,	4.001,	''),
(9589,	3372,	1891,	1,	3,	3,	11628,	5.800,	0.00,	0.000,	5.800,	''),
(9590,	3373,	170,	2,	3,	3,	11630,	5.700,	0.00,	0.000,	11.400,	''),
(9591,	3373,	178,	1,	3,	3,	11629,	10.800,	0.00,	0.000,	10.800,	''),
(9592,	3373,	799,	2,	3,	3,	11634,	3.400,	0.00,	0.000,	6.800,	''),
(9593,	3373,	848,	2,	3,	3,	11635,	4.400,	0.00,	0.000,	8.800,	''),
(9594,	3373,	1344,	2,	3,	29,	11633,	2.200,	0.00,	0.000,	4.400,	''),
(9595,	3373,	1353,	1,	3,	3,	11631,	5.500,	0.00,	0.000,	5.500,	''),
(9596,	3373,	1587,	1,	3,	3,	11632,	5.200,	0.00,	0.000,	5.200,	''),
(9597,	3374,	598,	1,	3,	3,	11645,	0.800,	0.00,	0.000,	0.800,	''),
(9598,	3375,	676,	1,	3,	3,	11646,	11.900,	0.00,	0.000,	11.900,	''),
(9599,	3376,	1626,	2,	3,	71,	11647,	2.100,	0.00,	0.000,	4.200,	''),
(9600,	3377,	1127,	4,	3,	4,	11648,	2.000,	0.00,	0.000,	8.000,	''),
(9601,	3378,	753,	2,	63,	3,	11650,	2.600,	0.00,	0.000,	5.200,	''),
(9602,	3378,	1839,	2,	63,	3,	11649,	1.700,	5.00,	0.170,	3.570,	''),
(9603,	3379,	1839,	10,	63,	3,	11651,	1.700,	5.00,	0.850,	17.850,	''),
(9604,	3380,	152,	10,	1,	3,	11739,	1.080,	0.00,	0.000,	10.800,	''),
(9605,	3380,	420,	2,	3,	3,	11740,	1.600,	0.00,	0.000,	3.200,	''),
(9606,	3380,	528,	1,	3,	3,	11741,	3.200,	0.00,	0.000,	3.200,	''),
(9607,	3380,	676,	2,	3,	56,	11742,	12.500,	0.00,	0.000,	18.750,	''),
(9608,	3380,	933,	2,	3,	3,	11743,	3.800,	0.00,	0.000,	7.600,	''),
(9609,	3380,	1044,	1,	3,	3,	11744,	4.900,	0.00,	0.000,	4.900,	''),
(9610,	3380,	1071,	2,	3,	3,	11745,	2.300,	0.00,	0.000,	4.600,	''),
(9611,	3380,	1127,	17,	3,	3,	11746,	2.200,	0.00,	0.000,	37.400,	''),
(9612,	3380,	1138,	23,	3,	3,	11747,	1.600,	0.00,	0.000,	36.800,	''),
(9613,	3380,	1344,	4,	3,	25,	11748,	3.200,	0.00,	0.000,	12.800,	''),
(9614,	3380,	1425,	3,	1,	3,	11749,	1.900,	0.00,	0.000,	5.700,	''),
(9615,	3380,	1563,	1,	3,	111,	11750,	5.700,	0.00,	0.000,	5.700,	''),
(9616,	3380,	1626,	6,	3,	71,	11751,	2.000,	0.00,	0.000,	12.000,	''),
(9617,	3381,	279,	5,	4,	3,	11665,	0.480,	0.00,	0.000,	2.400,	''),
(9618,	3381,	799,	1,	3,	38,	11669,	3.400,	0.00,	0.000,	3.400,	''),
(9619,	3381,	1127,	1,	3,	3,	11670,	2.000,	0.00,	0.000,	2.000,	''),
(9620,	3381,	1264,	1,	1,	3,	11666,	1.200,	0.00,	0.000,	1.200,	''),
(9621,	3381,	1353,	1,	3,	3,	11668,	5.400,	0.00,	0.000,	5.400,	''),
(9622,	3381,	1434,	1,	1,	3,	11667,	1.200,	0.00,	0.000,	1.200,	''),
(9623,	3382,	667,	1,	3,	3,	11692,	17.800,	0.00,	0.000,	8.900,	''),
(9624,	3382,	676,	1,	3,	3,	11693,	11.800,	0.00,	0.000,	5.900,	''),
(9625,	3383,	420,	1,	3,	3,	11678,	1.700,	0.00,	0.000,	1.700,	''),
(9626,	3383,	765,	3,	1,	3,	11677,	1.600,	0.00,	0.000,	4.800,	''),
(9627,	3384,	765,	1,	1,	3,	11679,	1.700,	0.00,	0.000,	0.850,	''),
(9628,	3385,	33,	1,	3,	4,	11687,	1.200,	0.00,	0.000,	1.200,	''),
(9629,	3385,	156,	1,	3,	3,	11685,	3.700,	0.00,	0.000,	3.700,	''),
(9630,	3385,	528,	1,	3,	3,	11682,	3.200,	0.00,	0.000,	3.200,	''),
(9631,	3385,	676,	1,	3,	3,	11683,	11.800,	0.00,	0.000,	5.900,	''),
(9632,	3385,	753,	1,	63,	3,	11680,	1.700,	0.00,	0.000,	1.700,	''),
(9633,	3385,	766,	1,	3,	3,	11681,	2.500,	0.00,	0.000,	2.500,	''),
(9634,	3385,	1138,	2,	3,	3,	11686,	1.600,	0.00,	0.000,	3.200,	''),
(9635,	3385,	1344,	1,	3,	25,	11688,	3.400,	0.00,	0.000,	3.400,	''),
(9636,	3385,	1425,	2,	1,	3,	11684,	1.900,	0.00,	0.000,	3.800,	''),
(9637,	3386,	1071,	1,	3,	3,	11689,	2.400,	0.00,	0.000,	2.400,	''),
(9638,	3387,	753,	12,	3,	39,	11695,	4.400,	0.00,	0.000,	52.800,	''),
(9639,	3388,	1127,	2,	3,	3,	11696,	2.200,	0.00,	0.000,	4.400,	''),
(9640,	3389,	1124,	3,	3,	3,	11697,	2.100,	0.00,	0.000,	6.300,	''),
(9641,	3390,	799,	1,	3,	3,	11698,	3.400,	0.00,	0.000,	3.400,	''),
(9642,	3391,	150,	1,	3,	3,	11700,	3.800,	0.00,	0.000,	3.800,	''),
(9643,	3391,	933,	1,	3,	3,	11701,	3.800,	0.00,	0.000,	3.800,	''),
(9644,	3391,	1201,	1,	3,	3,	11699,	4.200,	5.00,	0.105,	2.205,	''),
(9645,	3392,	528,	1,	3,	3,	11727,	2.500,	0.00,	0.000,	2.500,	''),
(9646,	3392,	553,	3,	63,	3,	11728,	3.800,	5.00,	0.570,	11.970,	''),
(9647,	3392,	676,	1,	3,	3,	11729,	11.800,	0.00,	0.000,	5.900,	''),
(9648,	3392,	753,	2,	63,	3,	11730,	2.100,	0.00,	0.000,	4.200,	''),
(9649,	3392,	766,	2,	3,	3,	11731,	2.600,	0.00,	0.000,	5.200,	''),
(9650,	3393,	31,	2,	3,	15,	11709,	9.000,	0.00,	0.000,	18.000,	''),
(9651,	3393,	1344,	1,	3,	20,	11708,	3.500,	0.00,	0.000,	3.500,	''),
(9652,	3394,	168,	2,	3,	3,	11713,	2.100,	0.00,	0.000,	4.200,	''),
(9653,	3394,	178,	6,	1,	3,	11712,	1.200,	0.00,	0.000,	7.200,	''),
(9654,	3394,	528,	1,	3,	3,	11711,	3.200,	0.00,	0.000,	3.200,	''),
(9655,	3394,	598,	1,	3,	3,	11710,	1.000,	0.00,	0.000,	1.000,	''),
(9656,	3395,	799,	1,	3,	3,	11714,	3.400,	0.00,	0.000,	3.400,	''),
(9657,	3396,	420,	1,	3,	3,	11715,	1.700,	0.00,	0.000,	1.700,	''),
(9658,	3396,	676,	1,	3,	3,	11717,	11.800,	0.00,	0.000,	11.800,	''),
(9659,	3396,	1071,	3,	3,	3,	11718,	2.400,	0.00,	0.000,	7.200,	''),
(9660,	3396,	1344,	1,	3,	25,	11716,	3.300,	0.00,	0.000,	3.300,	''),
(9661,	3397,	178,	5,	1,	3,	11719,	1.100,	0.00,	0.000,	5.500,	''),
(9662,	3398,	1839,	6,	63,	3,	11720,	1.700,	5.00,	0.510,	10.710,	''),
(9663,	3399,	1071,	2,	3,	3,	11721,	2.400,	0.00,	0.000,	4.800,	''),
(9664,	3400,	1071,	2,	3,	3,	11733,	2.500,	0.00,	0.000,	5.000,	''),
(9665,	3401,	420,	1,	3,	3,	11736,	1.600,	0.00,	0.000,	1.600,	''),
(9666,	3401,	799,	1,	3,	3,	11735,	3.400,	0.00,	0.000,	3.400,	''),
(9667,	3402,	691,	1,	3,	3,	11737,	12.600,	0.00,	0.000,	6.300,	''),
(9668,	3402,	766,	1,	3,	3,	11738,	2.600,	0.00,	0.000,	2.600,	''),
(9669,	3403,	152,	1,	1,	3,	11763,	1.200,	0.00,	0.000,	1.200,	''),
(9670,	3403,	168,	2,	3,	3,	11764,	2.100,	0.00,	0.000,	4.200,	''),
(9671,	3403,	799,	1,	3,	3,	11765,	3.400,	0.00,	0.000,	3.400,	''),
(9672,	3403,	1071,	1,	3,	3,	11766,	2.400,	0.00,	0.000,	2.400,	''),
(9673,	3403,	1839,	2,	63,	3,	11767,	1.700,	5.00,	0.170,	3.570,	''),
(9674,	3404,	753,	7,	63,	3,	11768,	2.100,	0.00,	0.000,	14.700,	''),
(9675,	3404,	1071,	5,	3,	3,	11769,	2.400,	0.00,	0.000,	12.000,	''),
(9676,	3405,	676,	1,	3,	56,	11772,	12.500,	0.00,	0.000,	12.500,	''),
(9677,	3406,	150,	4,	3,	3,	11771,	3.800,	0.00,	0.000,	15.200,	''),
(9678,	3407,	170,	1,	3,	3,	11773,	5.700,	0.00,	0.000,	5.700,	''),
(9679,	3408,	152,	2,	1,	3,	11776,	1.200,	0.00,	0.000,	2.040,	''),
(9680,	3408,	753,	1,	3,	3,	11779,	1.800,	0.00,	0.000,	1.800,	''),
(9681,	3408,	1044,	1,	1,	3,	11777,	1.200,	0.00,	0.000,	1.200,	''),
(9682,	3408,	1260,	2,	4,	3,	11775,	0.500,	5.00,	0.050,	1.050,	''),
(9683,	3408,	1466,	1,	1,	3,	11774,	1.400,	5.00,	0.035,	0.735,	''),
(9684,	3408,	1830,	2,	4,	3,	11778,	0.700,	0.00,	0.000,	1.400,	''),
(9685,	3409,	528,	1,	3,	3,	11781,	2.500,	0.00,	0.000,	2.500,	''),
(9686,	3409,	753,	2,	63,	3,	11780,	1.800,	0.00,	0.000,	3.600,	''),
(9687,	3409,	766,	4,	3,	3,	11782,	2.500,	0.00,	0.000,	10.000,	''),
(9688,	3410,	1353,	1,	3,	3,	11783,	5.500,	0.00,	0.000,	5.500,	''),
(9689,	3411,	501,	1,	1,	3,	11787,	2.200,	0.00,	0.000,	1.100,	''),
(9690,	3411,	1044,	1,	3,	3,	11786,	5.200,	0.00,	0.000,	5.200,	''),
(9691,	3412,	1044,	3,	3,	3,	11788,	4.800,	0.00,	0.000,	14.400,	''),
(9692,	3259,	1353,	1,	3,	3,	11270,	5.400,	0.00,	0.000,	5.400,	''),
(9693,	3259,	1587,	1,	3,	3,	11269,	5.200,	0.00,	0.000,	5.200,	''),
(9694,	3260,	1344,	1,	3,	3,	11271,	3.600,	0.00,	0.000,	3.600,	''),
(9695,	3261,	1166,	1,	3,	3,	11272,	2.300,	0.00,	0.000,	2.300,	''),
(9696,	3261,	1344,	1,	3,	29,	11273,	2.300,	0.00,	0.000,	2.300,	''),
(9697,	3262,	168,	1,	3,	3,	11275,	2.200,	0.00,	0.000,	2.200,	''),
(9698,	3262,	799,	1,	3,	38,	11274,	3.500,	0.00,	0.000,	3.500,	''),
(9699,	3262,	1174,	1,	3,	3,	11276,	3.000,	0.00,	0.000,	3.000,	''),
(9700,	3263,	1044,	1,	1,	3,	11277,	1.000,	0.00,	0.000,	0.700,	''),
(9701,	3264,	1251,	1,	3,	3,	11278,	3.810,	5.00,	0.191,	4.001,	''),
(9702,	3265,	1174,	1,	3,	3,	11279,	3.100,	0.00,	0.000,	3.100,	''),
(9703,	3266,	57,	1,	7,	13,	11286,	2.400,	0.00,	0.000,	2.400,	''),
(9704,	3266,	168,	1,	3,	3,	11287,	2.300,	0.00,	0.000,	2.300,	''),
(9705,	3266,	1127,	1,	3,	3,	11285,	2.000,	0.00,	0.000,	2.000,	''),
(9706,	3266,	1344,	1,	3,	25,	11288,	3.600,	0.00,	0.000,	3.600,	''),
(9707,	3267,	1839,	2,	63,	3,	11291,	1.720,	5.00,	0.172,	3.612,	''),
(9708,	3268,	1626,	1,	3,	33,	11289,	2.000,	0.00,	0.000,	2.000,	''),
(9709,	3269,	799,	1,	3,	38,	11290,	3.400,	0.00,	0.000,	3.400,	''),
(9717,	3275,	33,	1,	3,	4,	11300,	1.300,	0.00,	0.000,	1.300,	''),
(9718,	3275,	1138,	1,	3,	3,	11301,	1.700,	0.00,	0.000,	1.700,	''),
(9719,	3274,	168,	2,	3,	3,	11299,	2.100,	0.00,	0.000,	4.200,	''),
(9720,	3270,	1138,	1,	3,	3,	11293,	1.700,	0.00,	0.000,	1.700,	''),
(9721,	3271,	168,	1,	3,	3,	11294,	2.200,	0.00,	0.000,	2.200,	''),
(9722,	3271,	1127,	1,	3,	3,	11295,	2.200,	0.00,	0.000,	2.200,	''),
(9723,	3272,	279,	1,	3,	3,	11296,	4.800,	0.00,	0.000,	4.800,	''),
(9724,	3272,	420,	2,	3,	3,	11297,	1.700,	0.00,	0.000,	3.400,	''),
(9725,	3273,	1353,	1,	3,	3,	11298,	5.500,	0.00,	0.000,	5.500,	''),
(9726,	3276,	528,	1,	3,	3,	11303,	4.200,	0.00,	0.000,	4.200,	''),
(9727,	3276,	969,	1,	3,	3,	11304,	5.500,	0.00,	0.000,	5.500,	''),
(9728,	3276,	1344,	1,	3,	72,	11302,	2.000,	0.00,	0.000,	2.000,	''),
(9729,	3277,	1344,	1,	3,	25,	11305,	3.500,	0.00,	0.000,	3.500,	''),
(9730,	3278,	1563,	1,	3,	110,	11307,	5.900,	0.00,	0.000,	5.900,	''),
(9731,	3279,	45,	1,	6,	4,	11308,	0.900,	0.00,	0.000,	0.900,	''),
(9732,	3279,	279,	1,	4,	5,	11309,	0.500,	0.00,	0.000,	0.500,	''),
(9733,	3279,	799,	1,	3,	4,	11310,	1.800,	0.00,	0.000,	1.800,	''),
(9734,	3282,	33,	1,	3,	4,	11318,	1.200,	0.00,	0.000,	1.200,	''),
(9735,	3282,	168,	1,	3,	3,	11319,	2.200,	0.00,	0.000,	2.200,	''),
(9736,	3282,	1344,	1,	3,	20,	11320,	3.600,	0.00,	0.000,	3.600,	''),
(9737,	3282,	1839,	2,	63,	3,	11317,	1.714,	5.00,	0.171,	3.599,	''),
(9738,	3280,	1072,	1,	3,	3,	11312,	2.500,	0.00,	0.000,	2.500,	''),
(9739,	3281,	76,	1,	7,	12,	11313,	2.200,	0.00,	0.000,	2.200,	''),
(9740,	3281,	1138,	1,	3,	3,	11315,	1.900,	0.00,	0.000,	1.900,	''),
(9741,	3281,	1344,	1,	3,	29,	11316,	2.400,	0.00,	0.000,	2.400,	''),
(9742,	3281,	1626,	1,	3,	71,	11314,	2.200,	0.00,	0.000,	2.200,	''),
(9743,	3413,	31,	1,	7,	15,	11793,	2.200,	0.00,	0.000,	2.200,	''),
(9744,	3413,	168,	1,	3,	3,	11795,	2.200,	0.00,	0.000,	2.200,	''),
(9745,	3413,	799,	1,	3,	3,	11792,	3.500,	0.00,	0.000,	3.500,	''),
(9746,	3413,	1179,	2,	3,	3,	11790,	2.200,	0.00,	0.000,	4.400,	''),
(9747,	3413,	1353,	1,	3,	3,	11796,	5.500,	0.00,	0.000,	5.500,	''),
(9748,	3413,	1439,	2,	4,	23,	11789,	1.200,	0.00,	0.000,	2.400,	''),
(9749,	3413,	1565,	5,	1,	3,	11791,	1.300,	0.00,	0.000,	5.850,	''),
(9750,	3413,	1767,	1,	3,	3,	11794,	2.100,	0.00,	0.000,	2.100,	''),
(9751,	3414,	170,	1,	3,	3,	11797,	6.000,	0.00,	0.000,	6.000,	''),
(9752,	3493,	969,	1,	3,	3,	12099,	5.000,	0.00,	0.000,	5.000,	''),
(9753,	3492,	152,	20,	1,	3,	12098,	1.100,	0.00,	0.000,	22.000,	''),
(9754,	3415,	1127,	2,	3,	3,	11798,	1.900,	0.00,	0.000,	3.800,	''),
(9755,	3416,	275,	1,	3,	3,	11800,	4.700,	0.00,	0.000,	4.700,	''),
(9756,	3416,	1061,	1,	3,	3,	11801,	3.600,	0.00,	0.000,	3.600,	'lam'),
(9757,	3416,	1127,	1,	3,	3,	11799,	1.900,	0.00,	0.000,	1.900,	''),
(9758,	3416,	1344,	1,	3,	31,	11803,	3.500,	0.00,	0.000,	3.500,	''),
(9759,	3416,	1736,	1,	3,	3,	11802,	2.200,	0.00,	0.000,	2.200,	''),
(9760,	3417,	168,	2,	3,	3,	11804,	2.100,	0.00,	0.000,	4.200,	''),
(9761,	3418,	1659,	2,	63,	4,	11805,	0.400,	0.00,	0.000,	0.800,	''),
(9762,	3419,	1044,	2,	3,	3,	11806,	5.200,	0.00,	0.000,	10.400,	''),
(9763,	3420,	73,	1,	7,	8,	11812,	2.300,	0.00,	0.000,	2.300,	''),
(9764,	3420,	150,	3,	3,	3,	11813,	3.800,	0.00,	0.000,	11.400,	''),
(9765,	3420,	178,	2,	1,	3,	11810,	1.200,	0.00,	0.000,	2.400,	''),
(9766,	3420,	598,	1,	3,	3,	11808,	1.000,	0.00,	0.000,	1.000,	''),
(9767,	3420,	1344,	2,	3,	20,	11811,	3.500,	0.00,	0.000,	7.000,	''),
(9768,	3420,	1563,	1,	3,	110,	11809,	6.000,	0.00,	0.000,	6.000,	''),
(9769,	3420,	1626,	1,	3,	71,	11807,	1.900,	0.00,	0.000,	1.900,	''),
(9770,	3421,	1659,	1,	63,	2,	11814,	4.200,	0.00,	0.000,	4.200,	''),
(9771,	3423,	676,	6,	3,	56,	11816,	12.500,	0.00,	0.000,	75.000,	''),
(9780,	3424,	279,	5,	4,	5,	11818,	0.500,	0.00,	0.000,	2.500,	''),
(9781,	3424,	598,	1,	3,	3,	11820,	1.000,	0.00,	0.000,	1.000,	''),
(9782,	3424,	1311,	1,	63,	84,	11821,	2.600,	0.00,	0.000,	2.600,	''),
(9783,	3424,	1649,	1,	63,	3,	11819,	0.800,	0.00,	0.000,	0.800,	''),
(9784,	3425,	31,	1,	7,	15,	11823,	2.200,	0.00,	0.000,	2.200,	''),
(9785,	3425,	799,	1,	3,	3,	11825,	3.500,	0.00,	0.000,	3.500,	''),
(9786,	3425,	1093,	1,	3,	3,	11822,	5.800,	0.00,	0.000,	5.800,	''),
(9787,	3425,	1344,	1,	3,	72,	11824,	0.200,	0.00,	0.000,	0.200,	''),
(9788,	3426,	1835,	1,	3,	3,	11826,	4.500,	5.00,	0.225,	4.725,	''),
(9789,	3427,	420,	1,	3,	3,	11827,	1.700,	0.00,	0.000,	1.700,	''),
(9790,	3428,	1351,	1,	3,	3,	11828,	6.400,	0.00,	0.000,	6.400,	''),
(9791,	3429,	152,	5,	1,	3,	11829,	1.100,	0.00,	0.000,	5.500,	''),
(9792,	3430,	766,	1,	3,	3,	11830,	2.600,	0.00,	0.000,	2.600,	''),
(9793,	3430,	1659,	1,	63,	2,	11831,	4.200,	0.00,	0.000,	4.200,	''),
(9794,	3431,	170,	1,	3,	3,	11833,	5.800,	0.00,	0.000,	5.800,	''),
(9795,	3431,	848,	1,	3,	3,	11834,	4.400,	0.00,	0.000,	4.400,	''),
(9796,	3431,	1260,	2,	4,	3,	11832,	0.500,	5.00,	0.050,	1.050,	''),
(9797,	3432,	528,	6,	3,	3,	11835,	3.200,	0.00,	0.000,	19.200,	''),
(9798,	3433,	152,	7,	1,	3,	11836,	1.200,	0.00,	0.000,	8.400,	''),
(9799,	3433,	152,	2,	3,	3,	11837,	11.400,	0.00,	0.000,	22.800,	''),
(9800,	3434,	1563,	1,	3,	110,	11839,	6.200,	0.00,	0.000,	6.200,	''),
(9801,	3434,	1626,	2,	3,	71,	11838,	2.000,	0.00,	0.000,	4.000,	''),
(9802,	3435,	170,	1,	3,	3,	11840,	5.800,	0.00,	0.000,	5.800,	''),
(9803,	3435,	799,	1,	3,	5,	11842,	6.000,	0.00,	0.000,	6.000,	''),
(9804,	3435,	1100,	1,	3,	3,	11841,	5.800,	0.00,	0.000,	5.800,	''),
(9805,	3435,	1563,	1,	3,	110,	11843,	6.200,	0.00,	0.000,	6.200,	''),
(9806,	3436,	152,	2,	1,	3,	11871,	1.200,	0.00,	0.000,	2.400,	''),
(9807,	3436,	420,	1,	3,	3,	11872,	1.600,	0.00,	0.000,	1.600,	''),
(9808,	3436,	691,	1,	3,	3,	11873,	12.600,	0.00,	0.000,	6.300,	''),
(9809,	3436,	767,	1,	3,	3,	11874,	2.600,	0.00,	0.000,	2.600,	''),
(9810,	3436,	1071,	2,	3,	3,	11875,	2.400,	0.00,	0.000,	4.800,	''),
(9811,	3436,	1344,	1,	3,	20,	11870,	3.500,	0.00,	0.000,	3.500,	''),
(9812,	3436,	1563,	3,	6,	110,	11876,	0.800,	0.00,	0.000,	2.400,	''),
(9813,	3437,	1131,	1,	3,	3,	11865,	2.400,	0.00,	0.000,	2.400,	''),
(9814,	3438,	57,	3,	7,	15,	11867,	2.200,	0.00,	0.000,	6.600,	''),
(9815,	3438,	676,	1,	3,	3,	11868,	5.900,	0.00,	0.000,	2.950,	''),
(9816,	3438,	1131,	5,	3,	3,	11869,	2.200,	0.00,	0.000,	11.000,	''),
(9817,	3438,	1526,	1,	7,	3,	11866,	2.200,	0.00,	0.000,	2.200,	''),
(9818,	3439,	682,	2,	3,	3,	11877,	10.200,	0.00,	0.000,	20.400,	''),
(9819,	3440,	1131,	1,	3,	3,	11878,	2.500,	0.00,	0.000,	2.500,	''),
(9820,	3440,	1344,	1,	3,	29,	11880,	2.500,	0.00,	0.000,	2.500,	''),
(9821,	3440,	1470,	1,	7,	3,	11879,	1.000,	0.00,	0.000,	1.000,	''),
(9822,	3441,	1071,	1,	3,	3,	11888,	2.300,	0.00,	0.000,	2.300,	''),
(9823,	3441,	1127,	1,	3,	3,	11886,	2.200,	0.00,	0.000,	2.200,	''),
(9824,	3441,	1626,	1,	3,	71,	11887,	2.200,	0.00,	0.000,	2.200,	''),
(9825,	3442,	848,	1,	3,	38,	11882,	4.400,	0.00,	0.000,	4.400,	''),
(9826,	3442,	972,	1,	3,	3,	11885,	3.600,	0.00,	0.000,	3.600,	''),
(9827,	3442,	1138,	1,	3,	3,	11883,	1.600,	0.00,	0.000,	1.600,	''),
(9828,	3442,	1565,	2,	1,	3,	11884,	1.200,	0.00,	0.000,	2.160,	''),
(9829,	3443,	275,	2,	4,	3,	11889,	0.500,	0.00,	0.000,	1.000,	''),
(9830,	3444,	799,	1,	3,	38,	11891,	3.400,	0.00,	0.000,	3.400,	''),
(9831,	3444,	1491,	2,	3,	3,	11890,	1.300,	0.00,	0.000,	2.600,	''),
(9832,	3444,	1766,	1,	3,	3,	11892,	1.000,	0.00,	0.000,	1.000,	''),
(9833,	3445,	551,	1,	63,	3,	11899,	3.810,	5.00,	0.191,	4.001,	''),
(9834,	3445,	676,	1,	3,	56,	11900,	12.500,	0.00,	0.000,	12.500,	''),
(9835,	3446,	45,	1,	3,	7,	11894,	4.200,	0.00,	0.000,	4.200,	''),
(9836,	3446,	1610,	1,	3,	3,	11895,	3.800,	0.00,	0.000,	3.800,	''),
(9837,	3447,	1312,	1,	63,	84,	11897,	2.600,	0.00,	0.000,	2.600,	''),
(9838,	3447,	1353,	1,	3,	3,	11898,	5.400,	0.00,	0.000,	5.400,	''),
(9839,	3448,	551,	3,	6,	3,	11908,	0.160,	5.00,	0.024,	0.504,	''),
(9840,	3448,	1131,	1,	3,	6,	11909,	2.800,	0.00,	0.000,	2.800,	''),
(9841,	3448,	1464,	1,	1,	3,	11910,	1.300,	5.00,	0.033,	0.683,	''),
(9842,	3449,	1659,	2,	63,	3,	11907,	0.800,	0.00,	0.000,	1.600,	''),
(9843,	3450,	31,	1,	7,	15,	11920,	2.200,	0.00,	0.000,	2.200,	''),
(9844,	3450,	279,	1,	4,	3,	11921,	0.500,	0.00,	0.000,	0.500,	'sto'),
(9845,	3450,	676,	1,	3,	3,	11922,	5.900,	0.00,	0.000,	2.950,	''),
(9846,	3450,	1071,	1,	3,	3,	11923,	2.400,	0.00,	0.000,	2.400,	''),
(9847,	3450,	1127,	3,	3,	3,	11924,	1.900,	0.00,	0.000,	5.700,	''),
(9848,	3450,	1166,	1,	3,	3,	11925,	2.100,	0.00,	0.000,	2.100,	''),
(9849,	3450,	1344,	1,	3,	103,	11926,	1.900,	0.00,	0.000,	1.900,	''),
(9850,	3450,	1563,	2,	6,	110,	11927,	0.800,	0.00,	0.000,	1.600,	'pin'),
(9851,	3450,	1625,	1,	3,	3,	11928,	2.100,	0.00,	0.000,	2.100,	''),
(9852,	3451,	57,	1,	7,	11,	11930,	2.200,	0.00,	0.000,	2.200,	''),
(9853,	3451,	152,	1,	1,	3,	11929,	1.200,	0.00,	0.000,	1.320,	''),
(9854,	3451,	1702,	5,	1,	3,	11931,	0.100,	0.00,	0.000,	0.500,	''),
(9855,	3452,	799,	2,	3,	38,	11934,	3.500,	0.00,	0.000,	7.000,	''),
(9856,	3453,	1186,	2,	3,	3,	11935,	2.000,	0.00,	0.000,	4.000,	''),
(9857,	3454,	765,	1,	1,	3,	11936,	1.700,	0.00,	0.000,	1.700,	''),
(9858,	3455,	57,	1,	3,	15,	11959,	9.000,	0.00,	0.000,	9.000,	''),
(9859,	3455,	598,	2,	3,	3,	11958,	0.900,	0.00,	0.000,	1.800,	''),
(9860,	3455,	799,	2,	3,	38,	11960,	3.500,	0.00,	0.000,	7.000,	''),
(9861,	3455,	902,	5,	1,	3,	11961,	1.300,	0.00,	0.000,	6.500,	''),
(9862,	3455,	1100,	1,	3,	3,	11962,	5.800,	0.00,	0.000,	5.800,	''),
(9863,	3455,	1514,	1,	3,	3,	11963,	6.800,	0.00,	0.000,	6.800,	''),
(9864,	3455,	2003,	1,	3,	3,	11964,	5.800,	0.00,	0.000,	5.800,	''),
(9865,	3456,	1166,	2,	3,	3,	11940,	2.200,	0.00,	0.000,	4.400,	''),
(9866,	3457,	1127,	1,	3,	3,	11945,	2.400,	0.00,	0.000,	2.400,	''),
(9867,	3458,	152,	1,	1,	3,	11965,	1.100,	0.00,	0.000,	1.100,	''),
(9868,	3459,	153,	1,	1,	3,	11969,	1.100,	0.00,	0.000,	1.100,	''),
(9869,	3460,	1766,	1,	3,	3,	11975,	1.000,	0.00,	0.000,	1.000,	''),
(9870,	3461,	1626,	1,	3,	71,	11972,	2.000,	0.00,	0.000,	2.000,	''),
(9871,	3462,	682,	1,	3,	3,	11978,	10.400,	0.00,	0.000,	5.200,	''),
(9872,	3462,	1344,	1,	3,	72,	11977,	2.000,	0.00,	0.000,	2.000,	''),
(9882,	3470,	766,	1,	3,	3,	11986,	2.600,	0.00,	0.000,	2.600,	''),
(9883,	3470,	972,	1,	3,	3,	11989,	3.600,	0.00,	0.000,	3.600,	''),
(9884,	3470,	1044,	1,	3,	3,	11988,	5.400,	0.00,	0.000,	5.400,	''),
(9885,	3470,	1480,	1,	3,	3,	11987,	6.800,	0.00,	0.000,	6.800,	''),
(9886,	3471,	57,	1,	7,	11,	11994,	2.600,	0.00,	0.000,	2.600,	''),
(9887,	3471,	168,	1,	3,	3,	11995,	2.600,	0.00,	0.000,	2.600,	''),
(9888,	3471,	1127,	1,	3,	3,	11996,	2.800,	0.00,	0.000,	2.800,	''),
(9889,	3471,	1353,	1,	3,	3,	11997,	6.000,	0.00,	0.000,	6.000,	''),
(9890,	3472,	31,	1,	7,	15,	12006,	2.200,	0.00,	0.000,	2.200,	''),
(9891,	3472,	1179,	1,	3,	3,	12004,	2.200,	0.00,	0.000,	2.200,	''),
(9892,	3472,	1344,	1,	3,	29,	12005,	2.300,	0.00,	0.000,	2.300,	''),
(9893,	3473,	799,	1,	3,	38,	12016,	3.500,	0.00,	0.000,	3.500,	''),
(9894,	3473,	1626,	1,	3,	71,	12017,	2.200,	0.00,	0.000,	2.200,	''),
(9895,	3474,	168,	1,	3,	3,	12018,	2.100,	0.00,	0.000,	2.100,	''),
(9896,	3474,	753,	1,	63,	3,	12019,	2.100,	0.00,	0.000,	2.100,	''),
(9897,	3474,	766,	1,	3,	3,	12020,	2.600,	0.00,	0.000,	2.600,	''),
(9898,	3475,	31,	1,	7,	15,	12030,	2.200,	0.00,	0.000,	2.200,	''),
(9899,	3475,	168,	1,	3,	3,	12031,	2.200,	0.00,	0.000,	2.200,	''),
(9900,	3475,	992,	1,	1,	3,	12032,	1.200,	0.00,	0.000,	1.680,	''),
(9901,	3475,	1138,	1,	3,	3,	12033,	1.800,	0.00,	0.000,	1.800,	''),
(9902,	3475,	1344,	1,	3,	29,	12034,	2.300,	0.00,	0.000,	2.300,	''),
(9903,	3475,	1470,	1,	7,	3,	12035,	2.300,	0.00,	0.000,	2.300,	''),
(9904,	3475,	1626,	1,	3,	71,	12036,	2.200,	0.00,	0.000,	2.200,	''),
(9905,	3475,	1767,	2,	1,	22,	12037,	0.500,	0.00,	0.000,	1.000,	''),
(9906,	3476,	848,	1,	3,	3,	12039,	4.400,	0.00,	0.000,	4.400,	''),
(9907,	3476,	1587,	1,	4,	3,	12038,	0.800,	0.00,	0.000,	0.800,	''),
(9908,	3477,	33,	1,	7,	12,	12042,	1.800,	0.00,	0.000,	1.800,	''),
(9909,	3477,	682,	1,	3,	3,	12043,	10.400,	0.00,	0.000,	5.200,	''),
(9910,	3477,	1344,	1,	3,	29,	12041,	2.200,	0.00,	0.000,	2.200,	''),
(9911,	3478,	170,	1,	3,	3,	12045,	5.700,	0.00,	0.000,	5.700,	''),
(9912,	3478,	766,	1,	3,	3,	12044,	2.600,	0.00,	0.000,	2.600,	''),
(9913,	3479,	799,	1,	3,	3,	12050,	3.500,	0.00,	0.000,	3.500,	''),
(9914,	3479,	1127,	1,	3,	3,	12049,	2.200,	0.00,	0.000,	2.200,	''),
(9915,	3479,	1260,	1,	4,	3,	12051,	0.500,	5.00,	0.025,	0.525,	''),
(9916,	3479,	1344,	1,	3,	103,	12047,	1.900,	0.00,	0.000,	1.900,	''),
(9917,	3479,	1470,	1,	7,	3,	12048,	2.300,	0.00,	0.000,	2.300,	''),
(9918,	3479,	1587,	1,	4,	3,	12046,	1.000,	0.00,	0.000,	1.000,	''),
(9919,	3480,	528,	1,	3,	3,	12053,	2.500,	0.00,	0.000,	2.500,	''),
(9920,	3480,	676,	1,	3,	3,	12054,	11.800,	0.00,	0.000,	11.800,	''),
(9921,	3480,	753,	1,	63,	3,	12052,	1.800,	0.00,	0.000,	1.800,	''),
(9922,	3481,	57,	2,	7,	15,	12056,	2.100,	0.00,	0.000,	4.200,	''),
(9923,	3481,	528,	2,	3,	3,	12059,	3.200,	0.00,	0.000,	6.400,	''),
(9924,	3481,	676,	1,	3,	3,	12060,	11.800,	0.00,	0.000,	5.900,	''),
(9925,	3481,	799,	1,	3,	3,	12058,	3.400,	0.00,	0.000,	3.400,	''),
(9926,	3481,	848,	1,	3,	3,	12057,	4.400,	0.00,	0.000,	4.400,	''),
(9927,	3481,	1514,	2,	7,	3,	12055,	1.900,	0.00,	0.000,	3.800,	''),
(9928,	3482,	1251,	30,	3,	3,	12076,	3.700,	5.00,	5.550,	116.550,	''),
(9929,	3463,	799,	2,	3,	38,	11974,	3.500,	0.00,	0.000,	7.000,	''),
(9930,	3464,	152,	10,	1,	3,	11976,	1.100,	0.00,	0.000,	11.000,	''),
(9931,	3465,	76,	1,	7,	10,	11979,	2.200,	0.00,	0.000,	2.200,	''),
(9932,	3466,	1127,	1,	3,	3,	11980,	2.000,	0.00,	0.000,	2.000,	''),
(9933,	3467,	1127,	1,	3,	3,	11981,	2.000,	0.00,	0.000,	2.000,	''),
(9934,	3468,	848,	1,	3,	38,	11982,	4.500,	0.00,	0.000,	4.500,	''),
(9935,	3469,	21,	4,	3,	9,	12013,	9.500,	0.00,	0.000,	38.000,	''),
(9936,	3469,	1344,	4,	3,	25,	12014,	3.600,	0.00,	0.000,	14.400,	''),
(9937,	3469,	1344,	10,	3,	103,	12015,	2.000,	0.00,	0.000,	20.000,	''),
(9938,	3483,	57,	1,	7,	15,	12063,	2.200,	0.00,	0.000,	2.200,	''),
(9939,	3483,	1514,	1,	7,	3,	12062,	2.000,	0.00,	0.000,	2.000,	''),
(9944,	3484,	152,	3,	1,	3,	12072,	1.100,	0.00,	0.000,	3.300,	''),
(9945,	3484,	370,	1,	3,	3,	12073,	3.400,	0.00,	0.000,	3.400,	''),
(9946,	3484,	799,	1,	4,	5,	12074,	0.600,	0.00,	0.000,	0.600,	''),
(9947,	3484,	972,	1,	3,	3,	12075,	3.600,	0.00,	0.000,	3.600,	''),
(9948,	3485,	1044,	2,	3,	3,	12077,	5.200,	0.00,	0.000,	10.400,	''),
(9949,	3486,	1044,	4,	3,	3,	12078,	5.200,	0.00,	0.000,	20.800,	''),
(9950,	3487,	676,	1,	3,	3,	12080,	11.900,	0.00,	0.000,	11.900,	''),
(9951,	3488,	1131,	1,	3,	3,	12082,	2.200,	0.00,	0.000,	2.200,	''),
(9952,	3488,	1179,	1,	3,	3,	12081,	2.200,	0.00,	0.000,	2.200,	''),
(9953,	3489,	1044,	3,	3,	3,	12083,	5.200,	0.00,	0.000,	15.600,	''),
(9954,	3490,	1251,	1,	3,	3,	12085,	3.850,	5.00,	0.193,	4.043,	''),
(9955,	3491,	152,	3,	1,	3,	12092,	1.100,	0.00,	0.000,	2.750,	''),
(9956,	3491,	420,	2,	3,	3,	12093,	1.600,	0.00,	0.000,	3.200,	''),
(9957,	3491,	676,	2,	3,	3,	12094,	12.000,	0.00,	0.000,	18.000,	''),
(9958,	3491,	969,	1,	3,	3,	12095,	5.400,	0.00,	0.000,	5.400,	''),
(9959,	3491,	1563,	3,	6,	110,	12096,	0.800,	0.00,	0.000,	2.400,	''),
(9960,	3491,	1626,	1,	3,	71,	12097,	2.000,	0.00,	0.000,	2.000,	''),
(9961,	3494,	753,	1,	63,	3,	12104,	2.600,	0.00,	0.000,	2.600,	''),
(9962,	3494,	766,	1,	3,	3,	12105,	2.700,	0.00,	0.000,	2.700,	''),
(9963,	3494,	1127,	1,	3,	3,	12106,	1.900,	0.00,	0.000,	1.900,	''),
(9964,	3494,	1131,	2,	3,	3,	12107,	2.200,	0.00,	0.000,	4.400,	''),
(9965,	3495,	152,	2,	1,	3,	12108,	1.100,	0.00,	0.000,	2.090,	''),
(9966,	3496,	1251,	5,	4,	3,	12109,	0.480,	5.00,	0.120,	2.520,	''),
(9967,	3497,	285,	5,	1,	3,	12110,	1.900,	0.00,	0.000,	9.500,	''),
(9968,	3497,	1251,	1,	3,	3,	12111,	3.810,	5.00,	0.191,	4.001,	''),
(9969,	3498,	766,	2,	3,	3,	12112,	2.600,	0.00,	0.000,	5.200,	''),
(9970,	3499,	682,	3,	3,	3,	12114,	10.400,	0.00,	0.000,	31.200,	''),
(9971,	3500,	528,	1,	3,	3,	12116,	3.100,	0.00,	0.000,	3.100,	''),
(9972,	3500,	753,	2,	63,	3,	12117,	1.600,	0.00,	0.000,	3.200,	''),
(9973,	3500,	766,	1,	3,	3,	12115,	2.500,	0.00,	0.000,	2.500,	''),
(9975,	3502,	766,	3,	3,	3,	12121,	2.600,	0.00,	0.000,	7.800,	''),
(9976,	3502,	1839,	1,	63,	3,	12122,	1.714,	5.00,	0.086,	1.800,	''),
(9977,	3503,	1959,	6,	1,	3,	12123,	1.300,	0.00,	0.000,	7.800,	''),
(9978,	3504,	1526,	1,	3,	3,	12124,	6.200,	0.00,	0.000,	6.200,	''),
(9979,	3505,	122,	1,	3,	23,	12127,	3.500,	0.00,	0.000,	3.500,	''),
(9980,	3505,	168,	1,	3,	3,	12125,	2.100,	0.00,	0.000,	2.100,	''),
(9981,	3505,	799,	1,	3,	38,	12126,	3.400,	0.00,	0.000,	3.400,	''),
(9982,	3505,	1100,	1,	3,	3,	12128,	5.800,	0.00,	0.000,	5.800,	''),
(9983,	3506,	76,	1,	7,	11,	12129,	2.000,	0.00,	0.000,	2.000,	''),
(9984,	3507,	799,	2,	3,	5,	12130,	6.000,	0.00,	0.000,	12.000,	''),
(9985,	3508,	73,	2,	7,	9,	12133,	2.200,	0.00,	0.000,	4.400,	''),
(9986,	3508,	76,	2,	7,	14,	12134,	2.200,	0.00,	0.000,	4.400,	''),
(9987,	3508,	168,	4,	3,	3,	12132,	2.200,	0.00,	0.000,	8.800,	''),
(9988,	3508,	799,	2,	3,	3,	12131,	3.400,	0.00,	0.000,	6.800,	''),
(9989,	3508,	1344,	5,	3,	29,	12135,	2.000,	0.00,	0.000,	10.000,	''),
(9990,	3509,	1251,	1,	3,	3,	12136,	3.810,	5.00,	0.191,	4.001,	''),
(9991,	3510,	156,	1,	3,	3,	12137,	3.800,	0.00,	0.000,	3.800,	''),
(9992,	3511,	122,	1,	4,	23,	12138,	0.800,	0.00,	0.000,	0.800,	''),
(9993,	3511,	1138,	1,	3,	3,	12139,	1.500,	0.00,	0.000,	1.500,	''),
(9994,	3512,	676,	3,	3,	56,	12153,	12.500,	0.00,	0.000,	37.500,	''),
(9995,	3512,	753,	10,	63,	3,	12154,	1.600,	0.00,	0.000,	16.000,	''),
(9996,	3512,	766,	10,	3,	3,	12155,	2.500,	0.00,	0.000,	25.000,	''),
(9997,	3512,	1138,	10,	3,	3,	12156,	1.500,	0.00,	0.000,	15.000,	''),
(9998,	3512,	1839,	10,	63,	3,	12157,	1.700,	5.00,	0.850,	17.850,	''),
(9999,	3513,	1959,	1,	1,	3,	12158,	1.400,	0.00,	0.000,	1.400,	''),
(10000,	3514,	682,	1,	3,	3,	12159,	10.200,	0.00,	0.000,	10.200,	''),
(10001,	3515,	203,	0,	1,	3,	12165,	7.800,	0.00,	0.000,	3.120,	''),
(10002,	3515,	419,	1,	4,	3,	12166,	0.600,	0.00,	0.000,	0.600,	''),
(10003,	3515,	575,	1,	4,	3,	12167,	0.550,	0.00,	0.000,	0.550,	''),
(10004,	3515,	1051,	2,	3,	3,	12168,	3.800,	0.00,	0.000,	7.600,	''),
(10005,	3515,	1891,	2,	4,	3,	12169,	5.800,	0.00,	0.000,	11.600,	''),
(10006,	3516,	45,	1,	3,	7,	12193,	4.500,	0.00,	0.000,	4.500,	''),
(10007,	3516,	168,	2,	3,	3,	12194,	2.100,	0.00,	0.000,	4.200,	''),
(10008,	3516,	279,	1,	3,	3,	12195,	4.800,	0.00,	0.000,	4.800,	''),
(10009,	3516,	799,	2,	3,	38,	12196,	3.500,	0.00,	0.000,	7.000,	''),
(10010,	3516,	969,	2,	3,	3,	12197,	5.400,	0.00,	0.000,	10.800,	''),
(10011,	3516,	1351,	2,	3,	25,	12198,	6.400,	0.00,	0.000,	12.800,	''),
(10012,	3517,	420,	1,	3,	3,	12279,	1.600,	0.00,	0.000,	1.600,	''),
(10013,	3517,	676,	1,	3,	3,	12280,	12.200,	0.00,	0.000,	12.200,	''),
(10014,	3517,	682,	1,	3,	3,	12281,	10.200,	0.00,	0.000,	10.200,	''),
(10015,	3517,	753,	2,	63,	3,	12282,	1.600,	0.00,	0.000,	3.200,	''),
(10016,	3517,	766,	2,	3,	3,	12283,	2.600,	0.00,	0.000,	5.200,	''),
(10017,	3517,	1839,	1,	63,	3,	12284,	1.700,	5.00,	0.085,	1.785,	''),
(10018,	3518,	1649,	1,	63,	2,	12206,	4.200,	0.00,	0.000,	4.200,	''),
(10019,	3518,	1839,	2,	63,	3,	12205,	1.700,	5.00,	0.170,	3.570,	''),
(10020,	3520,	45,	1,	3,	8,	12222,	4.000,	0.00,	0.000,	4.000,	''),
(10021,	3520,	168,	1,	3,	3,	12224,	2.200,	0.00,	0.000,	2.200,	''),
(10022,	3520,	249,	1,	3,	2,	12218,	2.000,	0.00,	0.000,	2.000,	''),
(10023,	3520,	279,	1,	3,	5,	12223,	4.600,	0.00,	0.000,	4.600,	''),
(10024,	3520,	1127,	3,	3,	3,	12220,	1.800,	0.00,	0.000,	5.400,	''),
(10025,	3520,	1344,	8,	3,	25,	12225,	3.000,	0.00,	0.000,	24.000,	''),
(10026,	3520,	1439,	1,	3,	23,	12219,	4.700,	0.00,	0.000,	4.700,	''),
(10027,	3520,	1626,	5,	3,	71,	12221,	2.000,	0.00,	0.000,	10.000,	''),
(10028,	3519,	753,	1,	63,	3,	12216,	1.600,	0.00,	0.000,	1.600,	''),
(10029,	3519,	766,	1,	3,	3,	12217,	2.600,	0.00,	0.000,	2.600,	''),
(10030,	3521,	799,	1,	3,	38,	12226,	3.500,	0.00,	0.000,	3.500,	''),
(10031,	3521,	1127,	2,	3,	3,	12228,	2.000,	0.00,	0.000,	4.000,	''),
(10032,	3521,	1433,	1,	3,	23,	12227,	3.800,	0.00,	0.000,	3.800,	''),
(10033,	3522,	1071,	1,	3,	3,	12229,	2.500,	0.00,	0.000,	2.500,	''),
(10034,	3524,	1712,	8,	4,	3,	12231,	0.400,	0.00,	0.000,	3.200,	''),
(10035,	3525,	1563,	2,	3,	110,	12233,	6.000,	0.00,	0.000,	12.000,	''),
(10036,	3526,	1301,	1,	63,	3,	12234,	6.200,	0.00,	0.000,	6.200,	''),
(10037,	3523,	1251,	5,	3,	3,	12230,	3.600,	5.00,	0.900,	18.900,	''),
(10038,	3527,	799,	1,	3,	38,	12245,	3.400,	0.00,	0.000,	3.400,	''),
(10039,	3527,	836,	2,	10,	3,	12244,	6.400,	0.00,	0.000,	12.800,	''),
(10040,	3528,	1312,	1,	63,	84,	12239,	2.600,	0.00,	0.000,	2.600,	''),
(10041,	3529,	682,	1,	3,	3,	12240,	10.200,	0.00,	0.000,	5.100,	''),
(10042,	3530,	74,	15,	3,	13,	12298,	9.600,	0.00,	0.000,	144.000,	''),
(10043,	3530,	1491,	20,	3,	3,	12297,	1.400,	0.00,	0.000,	28.000,	''),
(10044,	3530,	1622,	15,	3,	3,	12296,	4.800,	0.00,	0.000,	72.000,	''),
(10045,	3531,	766,	3,	3,	3,	12243,	2.500,	0.00,	0.000,	7.500,	''),
(10046,	3532,	156,	1,	3,	3,	12246,	3.800,	0.00,	0.000,	3.800,	''),
(10047,	3533,	150,	1,	3,	3,	12248,	3.800,	0.00,	0.000,	3.800,	''),
(10048,	3533,	279,	2,	3,	5,	12247,	4.600,	0.00,	0.000,	9.200,	''),
(10049,	3533,	1353,	2,	3,	3,	12250,	5.500,	0.00,	0.000,	11.000,	''),
(10050,	3533,	1622,	1,	3,	3,	12249,	4.800,	0.00,	0.000,	4.800,	''),
(10051,	3534,	972,	1,	3,	3,	12257,	3.600,	0.00,	0.000,	3.600,	''),
(10052,	3534,	1138,	2,	3,	3,	12258,	1.700,	0.00,	0.000,	3.400,	''),
(10053,	3534,	1166,	2,	3,	3,	12259,	2.200,	0.00,	0.000,	4.400,	''),
(10054,	3534,	1344,	1,	3,	25,	12260,	3.200,	0.00,	0.000,	3.200,	''),
(10055,	3534,	1353,	1,	3,	3,	12261,	5.500,	0.00,	0.000,	5.500,	''),
(10056,	3534,	1563,	1,	3,	110,	12262,	6.000,	0.00,	0.000,	6.000,	''),
(10057,	3534,	1766,	1,	3,	3,	12263,	1.000,	0.00,	0.000,	1.000,	''),
(10058,	3535,	76,	1,	3,	7,	12264,	10.200,	0.00,	0.000,	10.200,	''),
(10059,	3536,	1835,	2,	3,	3,	12266,	4.500,	5.00,	0.450,	9.450,	''),
(10060,	3537,	551,	2,	63,	3,	12269,	3.810,	5.00,	0.381,	8.001,	''),
(10061,	3537,	682,	1,	3,	3,	12270,	10.200,	0.00,	0.000,	10.200,	''),
(10062,	3538,	420,	3,	3,	3,	12277,	1.700,	0.00,	0.000,	5.100,	''),
(10063,	3538,	1344,	10,	3,	29,	12278,	2.000,	0.00,	0.000,	20.000,	''),
(10064,	3539,	1839,	15,	63,	3,	12285,	1.700,	5.00,	1.275,	26.775,	''),
(10065,	3540,	178,	1,	3,	3,	12292,	10.800,	0.00,	0.000,	10.800,	''),
(10066,	3540,	808,	1,	3,	3,	12288,	6.800,	0.00,	0.000,	6.800,	''),
(10067,	3540,	1071,	1,	3,	3,	12287,	2.500,	0.00,	0.000,	2.500,	''),
(10068,	3540,	1124,	1,	3,	3,	12286,	2.000,	0.00,	0.000,	2.000,	''),
(10069,	3540,	1179,	3,	3,	3,	12289,	2.100,	0.00,	0.000,	6.300,	''),
(10070,	3540,	1344,	3,	3,	29,	12291,	2.000,	0.00,	0.000,	6.000,	''),
(10071,	3540,	1563,	1,	3,	111,	12290,	6.000,	0.00,	0.000,	6.000,	''),
(10072,	3541,	774,	1,	3,	3,	12293,	6.200,	0.00,	0.000,	6.200,	''),
(10073,	3542,	150,	1,	3,	3,	12294,	3.800,	0.00,	0.000,	3.800,	''),
(10074,	3544,	1839,	3,	63,	3,	12299,	1.715,	5.00,	0.257,	5.402,	''),
(10075,	3543,	1839,	1,	63,	3,	12295,	1.715,	5.00,	0.086,	1.801,	''),
(10076,	3545,	57,	1,	7,	15,	12302,	2.200,	0.00,	0.000,	2.200,	''),
(10077,	3545,	195,	1,	3,	3,	12303,	5.700,	0.00,	0.000,	5.700,	''),
(10078,	3545,	1138,	2,	3,	3,	12301,	1.600,	0.00,	0.000,	3.200,	''),
(10079,	3545,	1344,	2,	3,	20,	12304,	3.500,	0.00,	0.000,	7.000,	''),
(10080,	3545,	1626,	1,	3,	71,	12300,	2.100,	0.00,	0.000,	2.100,	''),
(10081,	3547,	753,	7,	63,	3,	12307,	1.600,	0.00,	0.000,	11.200,	''),
(10082,	3548,	676,	1,	3,	56,	12308,	12.500,	0.00,	0.000,	12.500,	''),
(10083,	3549,	676,	3,	3,	56,	12317,	12.500,	0.00,	0.000,	37.500,	''),
(10084,	3549,	766,	1,	3,	3,	12318,	2.600,	0.00,	0.000,	2.600,	''),
(10085,	3552,	152,	1,	3,	3,	12315,	10.800,	0.00,	0.000,	10.800,	''),
(10088,	3553,	1174,	1,	3,	3,	12365,	3.200,	0.00,	0.000,	3.200,	''),
(10089,	3553,	1626,	1,	3,	71,	12364,	2.200,	0.00,	0.000,	2.200,	''),
(10090,	3554,	8,	1,	3,	13,	12335,	11.400,	0.00,	0.000,	11.400,	''),
(10091,	3554,	170,	1,	3,	3,	12336,	5.800,	0.00,	0.000,	5.800,	''),
(10092,	3554,	485,	1,	63,	3,	12333,	2.800,	5.00,	0.140,	2.940,	''),
(10093,	3554,	528,	1,	3,	3,	12337,	3.000,	0.00,	0.000,	3.000,	''),
(10094,	3554,	551,	1,	63,	3,	12334,	4.000,	5.00,	0.200,	4.200,	''),
(10095,	3554,	598,	1,	3,	3,	12338,	0.900,	0.00,	0.000,	0.900,	''),
(10096,	3554,	753,	1,	63,	3,	12339,	1.800,	0.00,	0.000,	1.800,	''),
(10097,	3554,	766,	1,	3,	3,	12340,	2.600,	0.00,	0.000,	2.600,	''),
(10098,	3554,	808,	1,	3,	3,	12341,	6.700,	0.00,	0.000,	6.700,	''),
(10099,	3554,	969,	1,	3,	3,	12342,	5.900,	0.00,	0.000,	5.900,	''),
(10100,	3554,	1179,	1,	3,	3,	12343,	2.100,	0.00,	0.000,	2.100,	''),
(10101,	3554,	1353,	1,	3,	3,	12344,	5.500,	0.00,	0.000,	5.500,	''),
(10102,	3554,	1514,	1,	7,	3,	12345,	2.200,	0.00,	0.000,	2.200,	''),
(10103,	3554,	1622,	1,	3,	3,	12346,	4.800,	0.00,	0.000,	4.800,	''),
(10104,	3554,	1649,	1,	63,	2,	12347,	4.200,	0.00,	0.000,	4.200,	''),
(10105,	3554,	1766,	2,	3,	3,	12348,	0.800,	0.00,	0.000,	1.600,	''),
(10106,	3555,	152,	1,	1,	3,	12352,	1.200,	0.00,	0.000,	0.960,	''),
(10107,	3555,	799,	20,	3,	3,	12353,	3.300,	0.00,	0.000,	66.000,	''),
(10108,	3556,	85,	1,	3,	4,	12350,	1.200,	0.00,	0.000,	1.200,	''),
(10109,	3556,	1491,	1,	3,	3,	12351,	1.300,	0.00,	0.000,	1.300,	''),
(10110,	3557,	420,	2,	3,	3,	12355,	1.600,	0.00,	0.000,	3.200,	''),
(10111,	3557,	753,	1,	63,	3,	12354,	1.600,	0.00,	0.000,	1.600,	''),
(10112,	3558,	1131,	1,	3,	3,	12356,	2.200,	0.00,	0.000,	2.200,	''),
(10113,	3558,	1131,	1,	3,	6,	12357,	2.800,	0.00,	0.000,	2.800,	''),
(10114,	3559,	1835,	4,	3,	3,	12359,	4.500,	5.00,	0.900,	18.900,	''),
(10115,	3560,	676,	1,	3,	56,	12361,	12.600,	0.00,	0.000,	6.300,	''),
(10116,	3560,	1312,	1,	63,	84,	12360,	2.600,	0.00,	0.000,	2.600,	''),
(10117,	3561,	1071,	1,	3,	3,	12362,	2.400,	0.00,	0.000,	2.400,	''),
(10118,	3562,	1839,	3,	63,	3,	12363,	1.700,	5.00,	0.255,	5.355,	''),
(10119,	3563,	753,	1,	63,	3,	12366,	2.100,	0.00,	0.000,	2.100,	''),
(10120,	3564,	766,	1,	3,	3,	12371,	2.500,	0.00,	0.000,	2.500,	''),
(10121,	3564,	1071,	1,	3,	4,	12372,	2.400,	0.00,	0.000,	2.400,	''),
(10122,	3564,	1610,	1,	3,	3,	12373,	3.600,	0.00,	0.000,	3.600,	''),
(10123,	3564,	1839,	1,	63,	3,	12374,	1.700,	5.00,	0.085,	1.785,	''),
(10124,	3565,	753,	4,	63,	3,	12378,	1.600,	0.00,	0.000,	6.400,	''),
(10125,	3565,	766,	1,	3,	3,	12379,	2.500,	0.00,	0.000,	2.500,	''),
(10126,	3565,	1839,	3,	63,	3,	12380,	1.715,	5.00,	0.257,	5.402,	''),
(10127,	3566,	799,	1,	3,	5,	12385,	6.000,	0.00,	0.000,	6.000,	''),
(10128,	3566,	1839,	5,	63,	3,	12386,	1.700,	5.00,	0.425,	8.925,	''),
(10129,	3567,	420,	10,	3,	3,	12383,	1.600,	0.00,	0.000,	16.000,	''),
(10130,	3568,	753,	1,	63,	3,	12384,	1.600,	0.00,	0.000,	1.600,	''),
(10131,	3569,	168,	1,	3,	3,	12388,	2.200,	0.00,	0.000,	2.200,	''),
(10132,	3569,	1166,	2,	3,	3,	12387,	2.200,	0.00,	0.000,	4.400,	''),
(10133,	3570,	1344,	1,	3,	25,	12389,	2.500,	0.00,	0.000,	2.500,	''),
(10134,	3571,	682,	1,	3,	3,	12390,	10.200,	0.00,	0.000,	5.100,	''),
(10135,	3572,	168,	1,	3,	3,	12391,	2.200,	0.00,	0.000,	2.200,	''),
(10136,	3572,	1166,	2,	3,	3,	12392,	2.300,	0.00,	0.000,	4.600,	''),
(10137,	3573,	753,	2,	63,	3,	12405,	2.600,	0.00,	0.000,	5.200,	''),
(10138,	3573,	766,	1,	3,	3,	12406,	2.600,	0.00,	0.000,	2.600,	''),
(10139,	3574,	676,	1,	3,	56,	12395,	12.600,	0.00,	0.000,	6.300,	''),
(10140,	3575,	1251,	1,	3,	3,	12396,	3.810,	5.00,	0.191,	4.001,	''),
(10141,	3576,	57,	1,	7,	10,	12397,	2.200,	0.00,	0.000,	2.200,	''),
(10142,	3577,	551,	10,	6,	3,	12399,	0.160,	5.00,	0.080,	1.680,	''),
(10143,	3577,	1563,	4,	6,	110,	12400,	0.800,	0.00,	0.000,	3.200,	''),
(10144,	3578,	124,	1,	3,	23,	12403,	3.200,	0.00,	0.000,	3.200,	''),
(10145,	3578,	972,	1,	3,	3,	12402,	3.600,	0.00,	0.000,	3.600,	''),
(10146,	3578,	1186,	2,	3,	3,	12401,	2.000,	0.00,	0.000,	4.000,	''),
(10147,	3579,	1071,	1,	3,	3,	12404,	2.500,	0.00,	0.000,	2.500,	''),
(10148,	3580,	682,	1,	3,	3,	12409,	10.200,	0.00,	0.000,	5.100,	''),
(10149,	3580,	753,	2,	63,	3,	12410,	1.700,	0.00,	0.000,	3.400,	''),
(10150,	3580,	766,	2,	3,	3,	12411,	2.500,	0.00,	0.000,	5.000,	''),
(10151,	3581,	765,	2,	1,	3,	12412,	1.700,	0.00,	0.000,	2.550,	''),
(10152,	3582,	1344,	1,	3,	31,	12413,	3.300,	0.00,	0.000,	3.300,	''),
(10153,	3583,	676,	1,	3,	3,	12416,	12.200,	0.00,	0.000,	12.200,	''),
(10154,	3583,	766,	1,	3,	3,	12414,	2.500,	0.00,	0.000,	2.500,	''),
(10155,	3583,	1839,	1,	63,	3,	12415,	1.715,	5.00,	0.086,	1.801,	''),
(10156,	3584,	16,	1,	3,	8,	12417,	9.800,	0.00,	0.000,	9.800,	''),
(10158,	3586,	753,	1,	3,	5,	12427,	4.600,	0.00,	0.000,	4.600,	''),
(10159,	3586,	1839,	1,	63,	3,	12426,	1.700,	5.00,	0.085,	1.785,	''),
(10160,	3585,	676,	2,	3,	3,	12418,	12.500,	0.00,	0.000,	25.000,	''),
(10161,	3587,	57,	1,	7,	14,	12421,	2.200,	0.00,	0.000,	2.200,	''),
(10162,	3587,	1127,	1,	3,	3,	12422,	2.000,	0.00,	0.000,	2.000,	''),
(10163,	3588,	1659,	2,	63,	112,	12423,	0.500,	0.00,	0.000,	1.000,	''),
(10164,	3546,	753,	5,	63,	3,	12311,	1.600,	0.00,	0.000,	8.000,	''),
(10165,	3546,	1312,	8,	63,	84,	12312,	2.500,	0.00,	0.000,	20.000,	''),
(10166,	3550,	1351,	1,	3,	20,	12313,	6.400,	0.00,	0.000,	6.400,	''),
(10167,	3501,	799,	1,	3,	5,	12118,	6.000,	0.00,	0.000,	6.000,	''),
(10168,	3589,	693,	1,	3,	3,	12425,	17.000,	0.00,	0.000,	17.000,	''),
(10169,	3590,	170,	2,	3,	3,	12428,	5.700,	0.00,	0.000,	11.400,	''),
(10170,	3591,	152,	2,	1,	3,	12433,	1.200,	0.00,	0.000,	2.400,	''),
(10171,	3591,	420,	1,	3,	3,	12432,	1.700,	0.00,	0.000,	1.700,	''),
(10172,	3591,	682,	1,	3,	3,	12431,	10.200,	0.00,	0.000,	5.100,	''),
(10173,	3591,	1071,	1,	3,	3,	12430,	2.500,	0.00,	0.000,	2.500,	''),
(10174,	3591,	1179,	6,	3,	3,	12434,	2.100,	0.00,	0.000,	12.600,	''),
(10175,	3591,	1309,	1,	63,	84,	12429,	2.600,	0.00,	0.000,	2.600,	''),
(10176,	3592,	1839,	1,	63,	3,	12435,	1.700,	5.00,	0.085,	1.785,	''),
(10177,	3593,	1587,	1,	4,	23,	12436,	0.900,	0.00,	0.000,	0.900,	''),
(10178,	3594,	679,	1,	3,	56,	12437,	12.600,	0.00,	0.000,	12.600,	''),
(10179,	3595,	31,	2,	7,	15,	12438,	2.200,	0.00,	0.000,	4.400,	''),
(10180,	3595,	168,	1,	3,	3,	12440,	2.200,	0.00,	0.000,	2.200,	''),
(10181,	3595,	192,	1,	3,	3,	12441,	5.800,	0.00,	0.000,	5.800,	''),
(10182,	3595,	1131,	2,	3,	3,	12443,	2.200,	0.00,	0.000,	4.400,	''),
(10183,	3595,	1179,	2,	3,	3,	12444,	2.200,	0.00,	0.000,	4.400,	''),
(10184,	3595,	1344,	1,	3,	29,	12439,	2.200,	0.00,	0.000,	2.200,	''),
(10185,	3595,	1626,	1,	3,	105,	12442,	2.200,	0.00,	0.000,	2.200,	''),
(10186,	3596,	1344,	3,	3,	20,	12445,	3.500,	0.00,	0.000,	10.500,	''),
(10187,	3597,	528,	2,	3,	3,	12448,	2.500,	0.00,	0.000,	5.000,	''),
(10188,	3597,	753,	1,	63,	3,	12447,	1.700,	0.00,	0.000,	1.700,	''),
(10189,	3597,	766,	2,	3,	3,	12446,	2.500,	0.00,	0.000,	5.000,	''),
(10190,	3598,	753,	1,	63,	3,	12449,	1.700,	0.00,	0.000,	1.700,	''),
(10191,	3599,	933,	1,	3,	3,	12452,	3.800,	0.00,	0.000,	3.800,	''),
(10192,	3599,	1166,	2,	3,	3,	12451,	2.200,	0.00,	0.000,	4.400,	''),
(10193,	3599,	1563,	2,	6,	110,	12450,	0.800,	0.00,	0.000,	1.600,	''),
(10194,	3600,	676,	1,	3,	56,	12465,	12.500,	0.00,	0.000,	12.500,	''),
(10195,	3600,	753,	3,	63,	2,	12464,	1.700,	0.00,	0.000,	5.100,	''),
(10196,	3601,	766,	1,	3,	3,	12469,	2.500,	0.00,	0.000,	2.500,	''),
(10197,	3602,	1659,	1,	63,	2,	12455,	4.200,	0.00,	0.000,	4.200,	''),
(10198,	3603,	1351,	1,	3,	2,	12456,	6.400,	0.00,	0.000,	6.400,	''),
(10199,	3604,	122,	1,	3,	23,	12458,	2.800,	0.00,	0.000,	2.800,	''),
(10200,	3604,	170,	1,	3,	3,	12457,	5.700,	0.00,	0.000,	5.700,	''),
(10201,	3604,	840,	1,	3,	3,	12459,	6.700,	0.00,	0.000,	6.700,	''),
(10202,	3604,	1174,	3,	3,	3,	12463,	2.800,	0.00,	0.000,	8.400,	''),
(10203,	3604,	1351,	1,	3,	3,	12461,	6.400,	0.00,	0.000,	6.400,	''),
(10204,	3604,	1470,	2,	7,	3,	12462,	2.200,	0.00,	0.000,	4.400,	''),
(10205,	3604,	1587,	1,	3,	3,	12460,	5.200,	0.00,	0.000,	5.200,	''),
(10206,	3605,	73,	2,	7,	8,	12466,	2.400,	0.00,	0.000,	4.800,	''),
(10207,	3605,	1470,	2,	7,	3,	12468,	2.200,	0.00,	0.000,	4.400,	''),
(10208,	3605,	1563,	2,	6,	110,	12467,	0.800,	0.00,	0.000,	1.600,	''),
(10209,	3551,	1891,	1,	3,	3,	12314,	6.200,	0.00,	0.000,	6.200,	''),
(10210,	3606,	1353,	1,	3,	3,	12470,	5.400,	0.00,	0.000,	5.400,	''),
(10211,	3607,	92,	1,	3,	4,	12471,	1.200,	0.00,	0.000,	1.200,	''),
(10212,	3607,	1174,	1,	3,	3,	12474,	3.000,	0.00,	0.000,	3.000,	''),
(10213,	3607,	1344,	1,	3,	29,	12473,	2.300,	0.00,	0.000,	2.300,	''),
(10214,	3607,	1491,	1,	3,	3,	12472,	1.500,	0.00,	0.000,	1.500,	''),
(10215,	3608,	1174,	1,	3,	3,	12475,	3.000,	0.00,	0.000,	3.000,	''),
(10216,	3609,	170,	1,	3,	2,	12478,	6.000,	0.00,	0.000,	6.000,	''),
(10217,	3609,	421,	2,	3,	3,	12477,	1.700,	0.00,	0.000,	3.400,	''),
(10218,	3609,	1071,	2,	3,	3,	12476,	2.500,	0.00,	0.000,	5.000,	''),
(10219,	3609,	1470,	1,	3,	3,	12479,	6.800,	0.00,	0.000,	6.800,	''),
(10220,	3610,	528,	1,	3,	3,	12481,	3.000,	0.00,	0.000,	3.000,	''),
(10221,	3610,	676,	1,	3,	56,	12482,	12.500,	0.00,	0.000,	6.250,	''),
(10222,	3610,	766,	1,	3,	3,	12480,	2.500,	0.00,	0.000,	2.500,	''),
(10223,	3611,	420,	1,	3,	3,	12484,	1.700,	0.00,	0.000,	1.700,	''),
(10224,	3611,	501,	1,	1,	3,	12485,	2.000,	0.00,	0.000,	2.000,	''),
(10225,	3611,	1470,	1,	3,	3,	12483,	6.800,	0.00,	0.000,	6.800,	''),
(10226,	3612,	753,	1,	63,	3,	12486,	1.800,	0.00,	0.000,	1.800,	''),
(10227,	3612,	766,	1,	3,	3,	12487,	2.500,	0.00,	0.000,	2.500,	''),
(10228,	3613,	1071,	1,	3,	3,	12488,	2.500,	0.00,	0.000,	2.500,	''),
(10229,	3614,	1100,	3,	3,	3,	12489,	5.800,	0.00,	0.000,	17.400,	''),
(10230,	3615,	1127,	1,	3,	3,	12490,	2.200,	0.00,	0.000,	2.200,	''),
(10231,	3616,	528,	2,	3,	3,	12491,	2.500,	0.00,	0.000,	5.000,	''),
(10232,	3617,	528,	2,	3,	3,	12492,	3.200,	0.00,	0.000,	6.400,	''),
(10233,	3618,	528,	1,	3,	3,	12493,	3.000,	0.00,	0.000,	3.000,	''),
(10234,	3619,	1260,	2,	4,	3,	12494,	0.500,	5.00,	0.050,	1.050,	''),
(10235,	3620,	1626,	1,	3,	105,	12495,	2.200,	0.00,	0.000,	2.200,	''),
(10236,	3621,	799,	1,	3,	5,	12496,	6.000,	0.00,	0.000,	6.000,	''),
(10237,	3622,	57,	2,	3,	15,	12498,	9.000,	0.00,	0.000,	18.000,	''),
(10238,	3622,	1344,	1,	3,	20,	12497,	3.500,	0.00,	0.000,	3.500,	''),
(10239,	3623,	170,	2,	3,	2,	12499,	5.700,	0.00,	0.000,	11.400,	''),
(10240,	3623,	528,	1,	3,	3,	12502,	2.500,	0.00,	0.000,	2.500,	''),
(10241,	3623,	753,	1,	63,	3,	12501,	1.600,	0.00,	0.000,	1.600,	''),
(10242,	3623,	766,	1,	3,	3,	12500,	2.500,	0.00,	0.000,	2.500,	''),
(10243,	3624,	529,	1,	3,	3,	12552,	2.500,	0.00,	0.000,	2.500,	''),
(10244,	3624,	753,	1,	63,	3,	12553,	1.600,	0.00,	0.000,	1.600,	''),
(10245,	3624,	766,	1,	3,	3,	12554,	2.500,	0.00,	0.000,	2.500,	''),
(10246,	3624,	1839,	1,	63,	3,	12555,	1.700,	5.00,	0.085,	1.785,	''),
(10247,	3625,	168,	2,	3,	3,	12515,	2.100,	0.00,	0.000,	4.200,	''),
(10248,	3625,	528,	1,	3,	3,	12516,	3.000,	0.00,	0.000,	3.000,	''),
(10249,	3625,	676,	2,	3,	56,	12517,	12.500,	0.00,	0.000,	25.000,	''),
(10250,	3625,	753,	2,	63,	3,	12518,	2.600,	0.00,	0.000,	5.200,	''),
(10251,	3625,	766,	1,	3,	3,	12519,	2.500,	0.00,	0.000,	2.500,	''),
(10252,	3625,	1312,	2,	63,	84,	12520,	2.500,	0.00,	0.000,	5.000,	''),
(10253,	3625,	1659,	2,	63,	2,	12521,	4.200,	0.00,	0.000,	8.400,	''),
(10254,	3626,	1128,	1,	3,	3,	12522,	1.800,	0.00,	0.000,	1.800,	''),
(10255,	3627,	682,	1,	3,	3,	12523,	10.200,	0.00,	0.000,	10.200,	''),
(10256,	3628,	1124,	4,	3,	3,	12524,	2.000,	0.00,	0.000,	8.000,	''),
(10257,	3629,	1251,	1,	3,	3,	12526,	3.800,	5.00,	0.190,	3.990,	''),
(10258,	3630,	420,	1,	3,	3,	12527,	1.600,	0.00,	0.000,	1.600,	''),
(10259,	3631,	150,	1,	3,	3,	12532,	3.800,	0.00,	0.000,	3.800,	''),
(10260,	3631,	1127,	1,	3,	3,	12531,	1.900,	0.00,	0.000,	1.900,	''),
(10261,	3631,	1344,	2,	3,	20,	12533,	3.500,	0.00,	0.000,	7.000,	''),
(10262,	3632,	1131,	2,	3,	3,	12529,	2.200,	0.00,	0.000,	4.400,	''),
(10263,	3675,	92,	1,	3,	4,	12689,	1.500,	0.00,	0.000,	1.500,	''),
(10264,	3675,	122,	1,	3,	23,	12684,	3.000,	0.00,	0.000,	3.000,	''),
(10265,	3675,	168,	1,	3,	3,	12686,	2.200,	0.00,	0.000,	2.200,	''),
(10266,	3675,	933,	1,	3,	3,	12687,	3.800,	0.00,	0.000,	3.800,	''),
(10267,	3675,	1174,	1,	3,	3,	12688,	3.000,	0.00,	0.000,	3.000,	''),
(10268,	3675,	1351,	1,	3,	2,	12690,	6.200,	0.00,	0.000,	6.200,	''),
(10269,	3675,	1491,	1,	3,	3,	12685,	1.300,	0.00,	0.000,	1.300,	''),
(10270,	3633,	1131,	1,	3,	3,	12530,	2.200,	0.00,	0.000,	2.200,	''),
(10271,	3634,	45,	1,	3,	7,	12534,	3.800,	0.00,	0.000,	3.800,	''),
(10272,	3635,	528,	1,	3,	3,	12541,	3.000,	0.00,	0.000,	3.000,	''),
(10273,	3635,	667,	1,	3,	3,	12542,	17.700,	0.00,	0.000,	17.700,	''),
(10274,	3635,	676,	1,	3,	56,	12543,	12.500,	0.00,	0.000,	12.500,	''),
(10275,	3635,	1071,	1,	3,	3,	12544,	2.500,	0.00,	0.000,	2.500,	''),
(10276,	3635,	1127,	5,	3,	3,	12545,	1.900,	0.00,	0.000,	9.500,	''),
(10277,	3636,	1766,	1,	3,	3,	12540,	0.600,	0.00,	0.000,	0.600,	''),
(10278,	3637,	1312,	1,	63,	84,	12546,	2.600,	0.00,	0.000,	2.600,	''),
(10279,	3638,	275,	3,	4,	5,	12549,	0.500,	0.00,	0.000,	1.500,	''),
(10280,	3638,	277,	1,	4,	3,	12548,	1.900,	0.00,	0.000,	1.900,	''),
(10281,	3638,	283,	1,	4,	3,	12547,	1.900,	0.00,	0.000,	1.900,	'ra'),
(10282,	3639,	1344,	1,	3,	100,	12551,	2.300,	0.00,	0.000,	2.300,	''),
(10283,	3639,	1491,	1,	3,	3,	12550,	1.300,	0.00,	0.000,	1.300,	''),
(10284,	3640,	551,	1,	63,	3,	12557,	3.810,	5.00,	0.191,	4.001,	''),
(10285,	3640,	1563,	1,	3,	110,	12556,	6.000,	0.00,	0.000,	6.000,	''),
(10286,	3641,	1344,	1,	3,	20,	12559,	3.500,	0.00,	0.000,	3.500,	''),
(10287,	3641,	1626,	1,	3,	71,	12558,	2.200,	0.00,	0.000,	2.200,	''),
(10288,	3642,	57,	1,	7,	11,	12561,	2.200,	0.00,	0.000,	2.200,	''),
(10289,	3642,	1351,	1,	3,	25,	12560,	6.400,	0.00,	0.000,	6.400,	''),
(10290,	3643,	1131,	1,	3,	3,	12562,	2.200,	0.00,	0.000,	2.200,	'mango'),
(10291,	3644,	76,	1,	7,	12,	12563,	2.200,	0.00,	0.000,	2.200,	''),
(10292,	3644,	122,	2,	4,	23,	12565,	0.800,	0.00,	0.000,	1.600,	''),
(10293,	3644,	156,	1,	3,	3,	12564,	3.800,	0.00,	0.000,	3.800,	''),
(10294,	3644,	423,	1,	3,	3,	12566,	1.800,	0.00,	0.000,	1.800,	''),
(10295,	3644,	799,	4,	4,	5,	12567,	0.600,	0.00,	0.000,	2.400,	''),
(10296,	3644,	1659,	1,	63,	2,	12569,	4.200,	0.00,	0.000,	4.200,	''),
(10297,	3644,	1702,	6,	1,	3,	12568,	0.120,	0.00,	0.000,	0.720,	''),
(10298,	3645,	1298,	1,	1,	3,	12570,	1.400,	0.00,	0.000,	1.400,	''),
(10299,	3646,	122,	1,	4,	23,	12577,	0.900,	0.00,	0.000,	0.900,	''),
(10300,	3646,	799,	2,	4,	5,	12578,	0.600,	0.00,	0.000,	1.200,	''),
(10301,	3646,	1166,	1,	3,	3,	12579,	2.200,	0.00,	0.000,	2.200,	''),
(10302,	3646,	1263,	1,	4,	23,	12580,	1.100,	0.00,	0.000,	1.100,	''),
(10303,	3646,	1344,	1,	3,	99,	12581,	2.200,	0.00,	0.000,	2.200,	''),
(10304,	3646,	1460,	1,	7,	3,	12582,	1.100,	0.00,	0.000,	1.100,	'pec'),
(10305,	3647,	168,	1,	3,	3,	12584,	2.100,	0.00,	0.000,	2.100,	''),
(10306,	3647,	1563,	2,	6,	110,	12583,	0.800,	0.00,	0.000,	1.600,	''),
(10307,	3648,	57,	1,	7,	13,	12606,	2.200,	0.00,	0.000,	2.200,	''),
(10308,	3648,	667,	1,	3,	63,	12607,	18.000,	0.00,	0.000,	18.000,	''),
(10309,	3648,	753,	1,	63,	3,	12608,	2.000,	0.00,	0.000,	2.000,	''),
(10310,	3648,	969,	1,	3,	3,	12605,	5.000,	0.00,	0.000,	5.000,	''),
(10311,	3648,	1166,	1,	3,	3,	12609,	2.100,	0.00,	0.000,	2.100,	''),
(10312,	3648,	1344,	2,	3,	20,	12610,	3.600,	0.00,	0.000,	7.200,	''),
(10313,	3649,	178,	1,	1,	3,	12596,	1.200,	0.00,	0.000,	1.680,	''),
(10314,	3649,	370,	1,	3,	3,	12597,	3.400,	0.00,	0.000,	3.400,	''),
(10315,	3650,	156,	1,	3,	3,	12598,	3.800,	0.00,	0.000,	3.800,	''),
(10316,	3650,	420,	1,	3,	3,	12602,	1.600,	0.00,	0.000,	1.600,	''),
(10317,	3650,	676,	1,	3,	56,	12600,	12.500,	0.00,	0.000,	6.250,	''),
(10318,	3650,	932,	1,	3,	24,	12603,	5.200,	0.00,	0.000,	5.200,	''),
(10319,	3650,	1587,	1,	3,	3,	12601,	5.200,	0.00,	0.000,	5.200,	''),
(10320,	3650,	1978,	1,	63,	3,	12599,	2.200,	5.00,	0.110,	2.310,	''),
(10321,	3651,	156,	1,	3,	3,	12604,	3.800,	0.00,	0.000,	3.800,	''),
(10322,	3652,	1131,	1,	3,	6,	12611,	3.000,	0.00,	0.000,	3.000,	''),
(10323,	3653,	57,	1,	7,	13,	12627,	2.200,	0.00,	0.000,	2.200,	''),
(10324,	3653,	1166,	1,	3,	3,	12628,	2.300,	0.00,	0.000,	2.300,	''),
(10325,	3653,	1251,	1,	4,	3,	12629,	0.480,	5.00,	0.024,	0.504,	''),
(10326,	3653,	1344,	1,	3,	29,	12630,	2.300,	0.00,	0.000,	2.300,	''),
(10327,	3654,	676,	1,	3,	56,	12622,	12.500,	0.00,	0.000,	12.500,	''),
(10328,	3654,	766,	2,	3,	3,	12623,	2.500,	0.00,	0.000,	5.000,	''),
(10329,	3654,	1071,	1,	3,	3,	12624,	2.400,	0.00,	0.000,	2.400,	''),
(10330,	3654,	1166,	2,	3,	3,	12625,	2.100,	0.00,	0.000,	4.200,	''),
(10331,	3654,	1839,	3,	63,	3,	12626,	1.700,	5.00,	0.255,	5.355,	''),
(10332,	3655,	57,	1,	7,	10,	12632,	2.200,	0.00,	0.000,	2.200,	''),
(10333,	3655,	1127,	1,	3,	3,	12633,	2.000,	0.00,	0.000,	2.000,	''),
(10334,	3655,	1166,	1,	3,	3,	12634,	2.300,	0.00,	0.000,	2.300,	''),
(10335,	3655,	1344,	1,	3,	29,	12635,	2.300,	0.00,	0.000,	2.300,	''),
(10336,	3655,	1344,	1,	10,	25,	12636,	3.600,	0.00,	0.000,	3.600,	''),
(10337,	3655,	1514,	1,	7,	3,	12631,	2.200,	0.00,	0.000,	2.200,	''),
(10338,	3656,	57,	2,	7,	10,	12637,	2.200,	0.00,	0.000,	4.400,	''),
(10346,	3657,	765,	1,	1,	3,	12644,	1.700,	0.00,	0.000,	0.850,	''),
(10347,	3657,	1071,	1,	3,	3,	12639,	2.500,	0.00,	0.000,	2.500,	''),
(10348,	3657,	1131,	2,	3,	3,	12643,	2.200,	0.00,	0.000,	4.400,	''),
(10349,	3657,	1344,	1,	3,	20,	12638,	3.400,	0.00,	0.000,	3.400,	''),
(10350,	3657,	1434,	2,	1,	3,	12641,	0.800,	0.00,	0.000,	1.600,	''),
(10351,	3657,	1526,	1,	7,	3,	12640,	2.000,	0.00,	0.000,	2.000,	''),
(10352,	3657,	1622,	1,	3,	3,	12642,	4.800,	0.00,	0.000,	4.800,	''),
(10353,	3658,	765,	1,	1,	3,	12646,	1.700,	0.00,	0.000,	0.850,	''),
(10354,	3658,	1298,	1,	1,	3,	12645,	1.400,	0.00,	0.000,	0.700,	''),
(10355,	3659,	156,	1,	3,	3,	12648,	3.800,	0.00,	0.000,	3.800,	''),
(10356,	3659,	1344,	1,	3,	29,	12647,	2.200,	0.00,	0.000,	2.200,	''),
(10357,	3660,	1131,	2,	3,	3,	12659,	2.200,	0.00,	0.000,	4.400,	''),
(10358,	3660,	1174,	1,	3,	3,	12658,	2.900,	0.00,	0.000,	2.900,	''),
(10359,	3660,	1344,	2,	3,	29,	12660,	2.200,	0.00,	0.000,	4.400,	''),
(10360,	3661,	1138,	1,	3,	3,	12650,	1.600,	0.00,	0.000,	1.600,	''),
(10361,	3662,	122,	1,	4,	23,	12651,	0.900,	0.00,	0.000,	0.900,	''),
(10362,	3662,	1127,	2,	3,	3,	12652,	2.100,	0.00,	0.000,	4.200,	''),
(10363,	3663,	168,	1,	3,	3,	12655,	2.100,	0.00,	0.000,	2.100,	''),
(10364,	3663,	1344,	1,	3,	29,	12654,	2.200,	0.00,	0.000,	2.200,	''),
(10365,	3664,	1174,	1,	3,	3,	12661,	2.900,	0.00,	0.000,	2.900,	''),
(10366,	3665,	168,	1,	3,	3,	12662,	2.100,	0.00,	0.000,	2.100,	''),
(10367,	3667,	178,	2,	3,	3,	12667,	10.800,	0.00,	0.000,	21.600,	''),
(10368,	3667,	774,	1,	10,	3,	12665,	6.800,	0.00,	0.000,	6.800,	''),
(10369,	3667,	1353,	2,	3,	3,	12666,	5.500,	0.00,	0.000,	11.000,	''),
(10370,	3666,	1127,	1,	3,	3,	12664,	1.900,	0.00,	0.000,	1.900,	''),
(10371,	3666,	1563,	2,	6,	110,	12663,	0.800,	0.00,	0.000,	1.600,	''),
(10372,	3668,	57,	2,	7,	12,	12670,	2.200,	0.00,	0.000,	4.400,	''),
(10373,	3668,	168,	2,	3,	3,	12675,	2.100,	0.00,	0.000,	4.200,	''),
(10374,	3668,	765,	1,	1,	3,	12668,	1.700,	0.00,	0.000,	0.850,	''),
(10375,	3668,	774,	1,	1,	3,	12669,	0.700,	0.00,	0.000,	0.700,	''),
(10376,	3668,	799,	2,	3,	38,	12672,	3.500,	0.00,	0.000,	7.000,	''),
(10377,	3668,	1174,	1,	3,	3,	12671,	2.900,	0.00,	0.000,	2.900,	''),
(10378,	3668,	1344,	1,	3,	20,	12674,	3.600,	0.00,	0.000,	3.600,	''),
(10379,	3668,	1344,	1,	3,	72,	12673,	2.000,	0.00,	0.000,	2.000,	''),
(10380,	3669,	1138,	1,	3,	3,	12676,	1.600,	0.00,	0.000,	1.600,	''),
(10381,	3670,	1071,	6,	3,	3,	12677,	2.500,	0.00,	0.000,	15.000,	''),
(10382,	3671,	1127,	1,	3,	3,	12681,	2.100,	0.00,	0.000,	2.100,	''),
(10383,	3672,	57,	1,	7,	11,	12679,	2.200,	0.00,	0.000,	2.200,	''),
(10384,	3672,	1344,	2,	3,	20,	12680,	3.600,	0.00,	0.000,	7.200,	''),
(10385,	3673,	122,	1,	3,	23,	12682,	3.000,	0.00,	0.000,	3.000,	''),
(10386,	3674,	168,	1,	3,	3,	12683,	2.100,	0.00,	0.000,	2.100,	''),
(10387,	3676,	528,	1,	3,	3,	12693,	3.000,	0.00,	0.000,	3.000,	''),
(10388,	3676,	676,	2,	3,	56,	12694,	12.400,	0.00,	0.000,	24.800,	''),
(10389,	3677,	57,	2,	7,	15,	12696,	1.900,	0.00,	0.000,	3.800,	''),
(10390,	3677,	420,	1,	3,	3,	12697,	1.700,	0.00,	0.000,	1.700,	''),
(10391,	3677,	528,	2,	3,	3,	12700,	3.000,	0.00,	0.000,	6.000,	''),
(10392,	3677,	676,	1,	3,	3,	12695,	12.500,	0.00,	0.000,	6.250,	''),
(10393,	3677,	753,	2,	63,	3,	12699,	1.600,	0.00,	0.000,	3.200,	''),
(10394,	3677,	766,	1,	3,	3,	12698,	2.600,	0.00,	0.000,	2.600,	''),
(10395,	3679,	152,	2,	1,	3,	12710,	1.100,	0.00,	0.000,	2.200,	''),
(10396,	3679,	1563,	1,	6,	110,	12711,	0.800,	0.00,	0.000,	0.800,	''),
(10398,	3680,	168,	4,	3,	3,	12712,	2.100,	0.00,	0.000,	8.400,	''),
(10399,	3678,	152,	2,	3,	3,	12709,	10.800,	0.00,	0.000,	21.600,	''),
(10400,	3678,	420,	3,	3,	3,	12707,	1.600,	0.00,	0.000,	4.800,	''),
(10401,	3678,	682,	1,	3,	3,	12701,	10.800,	0.00,	0.000,	10.800,	''),
(10402,	3678,	766,	1,	3,	3,	12704,	2.500,	0.00,	0.000,	2.500,	''),
(10403,	3678,	969,	1,	3,	3,	12702,	5.400,	0.00,	0.000,	5.400,	''),
(10404,	3678,	1044,	5,	3,	3,	12708,	4.900,	0.00,	0.000,	24.500,	''),
(10405,	3678,	1127,	10,	3,	3,	12705,	1.800,	0.00,	0.000,	18.000,	''),
(10406,	3678,	1344,	1,	3,	25,	12706,	3.300,	0.00,	0.000,	3.300,	''),
(10407,	3678,	1626,	1,	3,	71,	12703,	2.200,	0.00,	0.000,	2.200,	''),
(10408,	3681,	152,	4,	1,	3,	12720,	1.100,	0.00,	0.000,	4.400,	''),
(10409,	3681,	420,	2,	3,	4,	12721,	1.600,	0.00,	0.000,	3.200,	''),
(10410,	3681,	528,	1,	3,	3,	12722,	3.000,	0.00,	0.000,	3.000,	''),
(10411,	3681,	753,	1,	63,	3,	12723,	1.800,	0.00,	0.000,	1.800,	''),
(10412,	3681,	766,	1,	3,	3,	12724,	2.600,	0.00,	0.000,	2.600,	''),
(10413,	3681,	1344,	1,	3,	20,	12725,	3.600,	0.00,	0.000,	3.600,	''),
(10414,	3681,	1425,	3,	1,	3,	12726,	1.900,	0.00,	0.000,	4.750,	''),
(10415,	3682,	282,	4,	3,	33,	12727,	18.500,	0.00,	0.000,	74.000,	''),
(10416,	3683,	33,	30,	3,	4,	12737,	1.400,	0.00,	0.000,	42.000,	''),
(10417,	3683,	152,	8,	1,	3,	12738,	1.100,	0.00,	0.000,	8.800,	''),
(10418,	3683,	1425,	1,	1,	3,	12739,	1.900,	0.00,	0.000,	2.660,	''),
(10419,	3684,	766,	2,	3,	3,	12732,	2.500,	0.00,	0.000,	5.000,	''),
(10420,	3685,	676,	1,	3,	3,	12733,	12.500,	0.00,	0.000,	6.250,	''),
(10424,	3688,	1498,	2,	3,	3,	12741,	6.800,	0.00,	0.000,	13.600,	''),
(10425,	3686,	753,	1,	63,	3,	12734,	2.600,	0.00,	0.000,	2.600,	''),
(10426,	3686,	1071,	1,	3,	3,	12735,	2.300,	0.00,	0.000,	2.300,	''),
(10427,	3687,	1563,	1,	3,	110,	12736,	6.000,	0.00,	0.000,	6.000,	''),
(10428,	3689,	753,	5,	63,	3,	12742,	1.700,	0.00,	0.000,	8.500,	''),
(10429,	3689,	1312,	20,	63,	84,	12743,	2.500,	0.00,	0.000,	50.000,	''),
(10430,	3691,	1098,	2,	3,	3,	12747,	6.500,	0.00,	0.000,	13.000,	''),
(10431,	3692,	279,	6,	3,	3,	12750,	4.500,	0.00,	0.000,	27.000,	''),
(10432,	3692,	1563,	5,	3,	110,	12751,	5.900,	0.00,	0.000,	29.500,	''),
(10433,	3693,	528,	1,	3,	3,	12752,	3.000,	0.00,	0.000,	3.000,	''),
(10434,	3694,	152,	3,	1,	3,	12753,	1.100,	0.00,	0.000,	3.300,	''),
(10435,	3695,	168,	1,	3,	3,	12754,	2.100,	0.00,	0.000,	2.100,	''),
(10436,	3696,	1131,	3,	7,	3,	12756,	2.000,	0.00,	0.000,	6.000,	''),
(10437,	3696,	1344,	1,	3,	25,	12755,	3.600,	0.00,	0.000,	3.600,	''),
(10438,	3697,	1839,	1,	63,	3,	12757,	1.814,	5.00,	0.091,	1.905,	''),
(10439,	3698,	676,	1,	3,	3,	12758,	12.500,	0.00,	0.000,	12.500,	''),
(10440,	3699,	932,	1,	3,	24,	12759,	5.000,	0.00,	0.000,	5.000,	''),
(10441,	3700,	420,	1,	3,	3,	12760,	1.600,	0.00,	0.000,	1.600,	''),
(10442,	3700,	528,	1,	3,	3,	12761,	3.000,	0.00,	0.000,	3.000,	''),
(10443,	3700,	667,	1,	3,	3,	12764,	17.800,	0.00,	0.000,	8.900,	''),
(10444,	3700,	753,	1,	63,	3,	12762,	1.800,	0.00,	0.000,	1.800,	''),
(10445,	3700,	766,	2,	3,	3,	12763,	2.500,	0.00,	0.000,	5.000,	''),
(10446,	3701,	1491,	5,	3,	3,	12765,	1.300,	0.00,	0.000,	6.500,	''),
(10447,	3702,	76,	1,	7,	13,	12775,	2.200,	0.00,	0.000,	2.200,	''),
(10448,	3702,	420,	2,	3,	3,	12776,	1.600,	0.00,	0.000,	3.200,	''),
(10449,	3702,	753,	1,	63,	3,	12777,	1.800,	0.00,	0.000,	1.800,	''),
(10450,	3702,	766,	1,	3,	3,	12778,	2.600,	0.00,	0.000,	2.600,	''),
(10451,	3702,	799,	1,	4,	5,	12774,	0.700,	0.00,	0.000,	0.700,	''),
(10452,	3703,	753,	1,	63,	3,	12769,	1.800,	0.00,	0.000,	1.800,	''),
(10453,	3704,	682,	1,	3,	3,	12771,	10.800,	0.00,	0.000,	10.800,	''),
(10454,	3704,	1344,	1,	3,	20,	12770,	3.500,	0.00,	0.000,	3.500,	''),
(10455,	3705,	33,	10,	3,	4,	12773,	1.400,	0.00,	0.000,	14.000,	''),
(10456,	3706,	753,	1,	63,	3,	12780,	1.800,	0.00,	0.000,	1.800,	''),
(10457,	3706,	1626,	1,	3,	71,	12779,	2.200,	0.00,	0.000,	2.200,	''),
(10458,	3707,	676,	1,	3,	56,	12781,	12.800,	0.00,	0.000,	12.800,	''),
(10459,	3708,	1044,	2,	1,	3,	12792,	1.000,	0.00,	0.000,	1.800,	''),
(10460,	3708,	1251,	1,	3,	3,	12793,	3.810,	5.00,	0.191,	4.001,	''),
(10461,	3709,	753,	1,	63,	3,	12785,	1.800,	0.00,	0.000,	1.800,	''),
(10462,	3709,	766,	1,	3,	3,	12784,	2.500,	0.00,	0.000,	2.500,	''),
(10463,	3709,	1839,	1,	63,	3,	12783,	1.800,	5.00,	0.090,	1.890,	''),
(10464,	3710,	1835,	2,	3,	3,	12795,	4.500,	5.00,	0.450,	9.450,	''),
(10465,	3711,	766,	1,	3,	3,	12796,	2.600,	0.00,	0.000,	2.600,	''),
(10466,	3712,	207,	0,	1,	3,	12798,	8.000,	0.00,	0.000,	0.800,	''),
(10467,	3712,	1298,	1,	1,	3,	12797,	1.600,	0.00,	0.000,	1.600,	''),
(10468,	3712,	1854,	0,	1,	3,	12799,	8.000,	0.00,	0.000,	0.800,	''),
(10469,	3713,	1251,	1,	3,	3,	12800,	3.850,	5.00,	0.193,	4.043,	''),
(10470,	3714,	1579,	1,	3,	3,	12801,	3.400,	0.00,	0.000,	3.400,	''),
(10471,	3715,	152,	1,	1,	3,	12802,	1.100,	0.00,	0.000,	1.100,	''),
(10472,	3715,	682,	1,	3,	3,	12803,	10.800,	0.00,	0.000,	5.400,	''),
(10473,	3715,	1344,	1,	3,	20,	12804,	3.500,	0.00,	0.000,	3.500,	''),
(10474,	3716,	932,	10,	3,	79,	12805,	2.000,	0.00,	0.000,	20.000,	''),
(10475,	3717,	1835,	6,	3,	3,	12806,	4.500,	5.00,	1.350,	28.350,	''),
(10476,	3718,	1251,	10,	3,	3,	12807,	3.600,	5.00,	1.800,	37.800,	''),
(10477,	3719,	1353,	4,	3,	3,	12808,	5.500,	0.00,	0.000,	22.000,	''),
(10478,	3720,	152,	3,	1,	3,	12825,	1.100,	0.00,	0.000,	2.750,	''),
(10479,	3720,	676,	1,	3,	56,	12826,	12.800,	0.00,	0.000,	12.800,	''),
(10480,	3720,	753,	1,	63,	3,	12827,	1.800,	0.00,	0.000,	1.800,	''),
(10481,	3720,	1071,	1,	3,	3,	12828,	2.300,	0.00,	0.000,	2.300,	''),
(10482,	3720,	1138,	1,	3,	3,	12829,	1.500,	0.00,	0.000,	1.500,	''),
(10483,	3721,	676,	2,	3,	56,	12819,	12.800,	0.00,	0.000,	25.600,	''),
(10486,	3722,	1563,	1,	3,	110,	12830,	5.900,	0.00,	0.000,	5.900,	''),
(10487,	3723,	932,	3,	3,	79,	12833,	2.000,	0.00,	0.000,	6.000,	''),
(10488,	3724,	766,	1,	3,	3,	12834,	2.500,	0.00,	0.000,	2.500,	''),
(10489,	3725,	1138,	1,	3,	3,	12835,	1.500,	0.00,	0.000,	1.500,	''),
(10490,	3726,	528,	1,	3,	3,	12851,	3.000,	0.00,	0.000,	3.000,	''),
(10491,	3726,	1071,	1,	3,	3,	12852,	2.300,	0.00,	0.000,	2.300,	''),
(10492,	3726,	1127,	5,	3,	3,	12853,	1.800,	0.00,	0.000,	9.000,	''),
(10493,	3727,	1298,	1,	1,	3,	12844,	1.400,	0.00,	0.000,	1.400,	''),
(10494,	3728,	676,	1,	3,	56,	12848,	12.800,	0.00,	0.000,	12.800,	''),
(10495,	3728,	753,	1,	3,	5,	12849,	4.600,	0.00,	0.000,	4.600,	''),
(10496,	3728,	753,	1,	3,	39,	12850,	4.600,	0.00,	0.000,	4.600,	''),
(10497,	3729,	1131,	2,	3,	6,	12868,	2.800,	0.00,	0.000,	5.600,	''),
(10498,	3730,	65,	1,	3,	13,	12860,	11.200,	0.00,	0.000,	11.200,	''),
(10499,	3730,	170,	2,	3,	3,	12859,	5.800,	0.00,	0.000,	11.600,	''),
(10500,	3730,	799,	1,	3,	5,	12858,	6.000,	0.00,	0.000,	6.000,	''),
(10501,	3730,	808,	1,	10,	3,	12857,	6.600,	0.00,	0.000,	6.600,	''),
(10502,	3730,	933,	2,	7,	3,	12856,	4.000,	0.00,	0.000,	8.000,	''),
(10503,	3730,	1526,	1,	3,	3,	12855,	6.400,	0.00,	0.000,	6.400,	''),
(10504,	3731,	501,	4,	1,	3,	12861,	2.000,	0.00,	0.000,	8.000,	''),
(10505,	3732,	528,	1,	3,	3,	12865,	2.500,	0.00,	0.000,	2.500,	''),
(10506,	3732,	682,	1,	3,	3,	12866,	10.800,	0.00,	0.000,	5.400,	''),
(10507,	3732,	753,	1,	63,	3,	12867,	1.800,	0.00,	0.000,	1.800,	''),
(10508,	3733,	799,	1,	3,	5,	12874,	5.800,	0.00,	0.000,	5.800,	''),
(10509,	3733,	808,	3,	3,	3,	12875,	6.500,	0.00,	0.000,	19.500,	''),
(10510,	3733,	932,	1,	3,	24,	12876,	5.000,	0.00,	0.000,	5.000,	''),
(10511,	3733,	1610,	2,	3,	3,	12877,	3.400,	0.00,	0.000,	6.800,	''),
(10512,	3733,	1766,	5,	3,	3,	12878,	0.400,	0.00,	0.000,	2.000,	''),
(10513,	3734,	33,	1,	3,	4,	12899,	1.400,	0.00,	0.000,	1.400,	''),
(10514,	3734,	152,	10,	1,	3,	12900,	1.100,	0.00,	0.000,	11.000,	''),
(10515,	3734,	170,	1,	3,	3,	12901,	5.800,	0.00,	0.000,	5.800,	''),
(10516,	3734,	969,	4,	3,	3,	12902,	5.900,	0.00,	0.000,	23.600,	''),
(10517,	3734,	1138,	4,	3,	3,	12903,	1.400,	0.00,	0.000,	5.600,	''),
(10518,	3734,	1344,	3,	3,	20,	12904,	3.600,	0.00,	0.000,	10.800,	''),
(10519,	3734,	1563,	1,	3,	110,	12905,	6.000,	0.00,	0.000,	6.000,	''),
(10520,	3735,	501,	1,	1,	3,	12898,	2.000,	0.00,	0.000,	1.000,	''),
(10521,	3736,	150,	1,	3,	3,	12906,	3.800,	0.00,	0.000,	3.800,	''),
(10522,	3736,	676,	1,	3,	3,	12907,	12.500,	0.00,	0.000,	12.500,	''),
(10523,	3737,	501,	1,	3,	3,	12908,	8.000,	0.00,	0.000,	8.000,	''),
(10524,	3737,	736,	1,	3,	3,	12909,	26.800,	0.00,	0.000,	13.400,	''),
(10525,	3738,	1626,	1,	3,	71,	12910,	2.200,	0.00,	0.000,	2.200,	''),
(10526,	3739,	152,	7,	1,	3,	12915,	1.100,	0.00,	0.000,	7.700,	''),
(10527,	3739,	1257,	2,	3,	3,	12916,	3.810,	5.00,	0.381,	8.001,	''),
(10528,	3739,	1563,	4,	3,	110,	12917,	6.000,	0.00,	0.000,	24.000,	''),
(10529,	3740,	1251,	1,	3,	3,	12914,	3.810,	5.00,	0.191,	4.001,	''),
(10530,	3741,	799,	3,	4,	5,	12918,	0.600,	0.00,	0.000,	1.800,	''),
(10531,	3742,	33,	1,	3,	4,	12919,	1.500,	0.00,	0.000,	1.500,	''),
(10532,	3742,	932,	1,	3,	79,	12920,	2.100,	0.00,	0.000,	2.100,	''),
(10533,	3742,	1344,	2,	3,	25,	12921,	3.400,	0.00,	0.000,	6.800,	''),
(10534,	3743,	57,	1,	3,	13,	12927,	9.000,	0.00,	0.000,	9.000,	''),
(10535,	3743,	902,	2,	1,	3,	12928,	1.200,	0.00,	0.000,	2.400,	''),
(10537,	3744,	168,	1,	3,	3,	12924,	2.200,	0.00,	0.000,	2.200,	''),
(10538,	3745,	767,	3,	1,	3,	12929,	1.600,	0.00,	0.000,	4.800,	''),
(10539,	3745,	1835,	1,	3,	3,	12930,	4.500,	5.00,	0.225,	4.725,	''),
(10540,	3746,	152,	10,	1,	3,	12931,	1.080,	0.00,	0.000,	10.800,	''),
(10541,	3747,	1100,	1,	3,	3,	12932,	5.800,	0.00,	0.000,	5.800,	''),
(10542,	3748,	932,	1,	3,	79,	12934,	2.000,	0.00,	0.000,	2.000,	''),
(10543,	3748,	1626,	1,	3,	71,	12933,	2.200,	0.00,	0.000,	2.200,	''),
(10544,	3749,	1131,	1,	3,	3,	12935,	2.800,	0.00,	0.000,	2.800,	''),
(10545,	3749,	1131,	1,	3,	3,	12936,	2.000,	0.00,	0.000,	2.000,	''),
(10546,	3750,	420,	1,	3,	3,	12939,	1.600,	0.00,	0.000,	1.600,	''),
(10547,	3750,	753,	4,	63,	3,	12941,	1.700,	0.00,	0.000,	6.800,	''),
(10548,	3750,	766,	3,	3,	3,	12940,	2.500,	0.00,	0.000,	7.500,	''),
(10549,	3750,	1071,	1,	3,	3,	12938,	2.300,	0.00,	0.000,	2.300,	''),
(10550,	3750,	1138,	5,	3,	3,	12937,	1.400,	0.00,	0.000,	7.000,	''),
(10551,	3750,	1839,	6,	63,	3,	12942,	1.700,	5.00,	0.510,	10.710,	''),
(10552,	3751,	2021,	2,	3,	3,	12943,	4.700,	5.00,	0.470,	9.870,	''),
(10553,	3752,	1131,	1,	3,	6,	12973,	2.800,	0.00,	0.000,	2.800,	''),
(10554,	3752,	1353,	1,	3,	3,	12974,	5.500,	0.00,	0.000,	5.500,	''),
(10555,	3752,	1439,	2,	4,	23,	12975,	1.200,	0.00,	0.000,	2.400,	''),
(10556,	3752,	1587,	1,	4,	33,	12972,	1.000,	0.00,	0.000,	1.000,	''),
(10557,	3752,	1726,	1,	3,	3,	12976,	3.400,	0.00,	0.000,	3.400,	''),
(10558,	3753,	1839,	2,	63,	3,	12948,	1.800,	5.00,	0.180,	3.780,	''),
(10559,	3754,	1313,	1,	63,	84,	12949,	2.600,	0.00,	0.000,	2.600,	''),
(10560,	3754,	1353,	1,	3,	3,	12950,	5.500,	0.00,	0.000,	5.500,	''),
(10561,	3755,	799,	2,	3,	5,	12952,	6.000,	0.00,	0.000,	12.000,	''),
(10562,	3755,	811,	2,	3,	3,	12951,	6.700,	0.00,	0.000,	13.400,	''),
(10563,	3756,	753,	3,	63,	3,	12970,	1.800,	0.00,	0.000,	5.400,	''),
(10564,	3756,	766,	3,	3,	3,	12969,	2.500,	0.00,	0.000,	7.500,	''),
(10565,	3756,	1344,	1,	3,	20,	12971,	3.800,	0.00,	0.000,	3.800,	''),
(10566,	3757,	808,	1,	3,	3,	12957,	6.800,	0.00,	0.000,	6.800,	''),
(10567,	3757,	933,	1,	7,	3,	12958,	4.000,	0.00,	0.000,	4.000,	''),
(10568,	3757,	1563,	3,	6,	110,	12956,	0.800,	0.00,	0.000,	2.400,	''),
(10569,	3758,	420,	2,	3,	3,	12962,	1.600,	0.00,	0.000,	3.200,	''),
(10570,	3758,	753,	1,	3,	5,	12966,	4.200,	0.00,	0.000,	4.200,	''),
(10571,	3758,	753,	10,	63,	3,	12967,	1.800,	0.00,	0.000,	18.000,	''),
(10572,	3758,	765,	5,	3,	3,	12965,	2.500,	0.00,	0.000,	12.500,	''),
(10573,	3758,	932,	1,	3,	79,	12959,	2.000,	0.00,	0.000,	2.000,	''),
(10574,	3758,	1071,	2,	3,	3,	12963,	2.200,	0.00,	0.000,	4.400,	''),
(10575,	3758,	1610,	1,	3,	3,	12961,	3.400,	0.00,	0.000,	3.400,	''),
(10576,	3758,	1626,	1,	3,	71,	12960,	2.200,	0.00,	0.000,	2.200,	''),
(10577,	3758,	1839,	5,	63,	3,	12964,	1.800,	5.00,	0.450,	9.450,	''),
(10578,	3759,	932,	1,	3,	79,	12968,	2.000,	0.00,	0.000,	2.000,	''),
(10579,	3760,	774,	1,	3,	3,	12978,	6.700,	0.00,	0.000,	6.700,	''),
(10580,	3761,	420,	1,	3,	3,	12979,	1.600,	0.00,	0.000,	1.600,	''),
(10587,	3762,	168,	1,	3,	3,	12986,	2.100,	0.00,	0.000,	2.100,	''),
(10588,	3762,	528,	1,	3,	3,	12987,	3.000,	0.00,	0.000,	3.000,	''),
(10589,	3762,	753,	3,	63,	2,	12988,	1.800,	0.00,	0.000,	5.400,	''),
(10590,	3762,	766,	3,	3,	3,	12989,	2.000,	0.00,	0.000,	6.000,	''),
(10591,	3762,	969,	1,	3,	3,	12990,	5.000,	0.00,	0.000,	5.000,	''),
(10592,	3762,	1138,	2,	3,	3,	12991,	1.500,	0.00,	0.000,	3.000,	''),
(10593,	3763,	1353,	1,	3,	3,	12992,	5.500,	0.00,	0.000,	5.500,	''),
(10594,	3764,	1344,	1,	3,	25,	12994,	3.500,	0.00,	0.000,	3.500,	''),
(10595,	3765,	57,	1,	7,	12,	12997,	2.200,	0.00,	0.000,	2.200,	''),
(10596,	3765,	1344,	1,	3,	72,	12998,	1.800,	0.00,	0.000,	1.800,	''),
(10597,	3766,	1131,	1,	3,	6,	13001,	2.800,	0.00,	0.000,	2.800,	''),
(10598,	3766,	1131,	2,	7,	3,	13002,	2.200,	0.00,	0.000,	4.400,	''),
(10599,	3767,	676,	1,	3,	3,	13006,	12.600,	0.00,	0.000,	6.300,	''),
(10600,	3767,	1251,	3,	4,	3,	13007,	0.480,	5.00,	0.072,	1.512,	''),
(10601,	3767,	1425,	1,	1,	3,	13005,	1.900,	0.00,	0.000,	0.950,	''),
(10608,	3782,	1071,	3,	3,	3,	13140,	2.100,	NULL,	NULL,	NULL,	''),
(10609,	3782,	1138,	2,	3,	3,	13141,	1.400,	NULL,	NULL,	NULL,	''),
(10610,	3782,	1312,	8,	63,	84,	13142,	2.500,	NULL,	NULL,	NULL,	''),
(10611,	3782,	1344,	1,	3,	25,	13143,	3.300,	NULL,	NULL,	NULL,	''),
(10612,	3783,	676,	1,	3,	56,	13072,	12.800,	0.00,	0.000,	12.800,	''),
(10613,	3783,	1251,	1,	4,	3,	13073,	0.480,	5.00,	0.024,	0.504,	''),
(10614,	3783,	1312,	1,	63,	84,	13074,	2.600,	0.00,	0.000,	2.600,	''),
(10615,	3783,	1891,	1,	4,	3,	13075,	0.700,	0.00,	0.000,	0.700,	''),
(10616,	3784,	767,	1,	1,	3,	13077,	1.600,	0.00,	0.000,	0.800,	''),
(10617,	3784,	1726,	2,	3,	3,	13078,	3.600,	0.00,	0.000,	7.200,	''),
(10618,	3784,	1959,	1,	1,	3,	13076,	1.600,	0.00,	0.000,	0.800,	''),
(10619,	3785,	753,	1,	63,	3,	13080,	1.800,	0.00,	0.000,	1.800,	''),
(10620,	3785,	1071,	1,	3,	3,	13079,	2.200,	0.00,	0.000,	2.200,	''),
(10621,	3786,	152,	3,	1,	3,	13179,	1.100,	0.00,	0.000,	3.300,	''),
(10622,	3786,	178,	1,	1,	3,	13177,	1.100,	0.00,	0.000,	1.100,	''),
(10623,	3786,	528,	1,	3,	3,	13180,	2.900,	0.00,	0.000,	2.900,	''),
(10624,	3786,	551,	5,	6,	3,	13178,	0.200,	5.00,	0.050,	1.050,	''),
(10625,	3786,	676,	1,	3,	3,	13181,	12.500,	0.00,	0.000,	6.250,	''),
(10626,	3786,	753,	2,	63,	3,	13182,	1.700,	0.00,	0.000,	3.400,	''),
(10627,	3786,	1344,	1,	3,	20,	13183,	3.500,	0.00,	0.000,	3.500,	''),
(10628,	3786,	1626,	1,	3,	71,	13184,	2.200,	0.00,	0.000,	2.200,	''),
(10629,	3787,	156,	1,	3,	3,	13088,	3.800,	0.00,	0.000,	3.800,	''),
(10630,	3787,	1301,	1,	63,	3,	13089,	6.800,	0.00,	0.000,	6.800,	''),
(10631,	3788,	799,	2,	3,	5,	13090,	5.900,	0.00,	0.000,	11.800,	''),
(10632,	3789,	682,	1,	3,	3,	13091,	10.800,	0.00,	0.000,	5.400,	''),
(10633,	3790,	1610,	1,	3,	3,	13092,	3.600,	0.00,	0.000,	3.600,	''),
(10634,	3791,	1563,	1,	3,	111,	13097,	6.000,	0.00,	0.000,	6.000,	''),
(10635,	3780,	501,	0,	1,	3,	13059,	2.000,	0.00,	0.000,	0.400,	''),
(10636,	3780,	667,	1,	3,	63,	13060,	18.000,	0.00,	0.000,	9.000,	''),
(10637,	3780,	682,	1,	3,	3,	13061,	10.800,	0.00,	0.000,	10.800,	''),
(10638,	3780,	766,	2,	3,	3,	13062,	2.500,	0.00,	0.000,	5.000,	''),
(10639,	3781,	1344,	1,	3,	103,	13063,	2.000,	0.00,	0.000,	2.000,	''),
(10640,	3779,	553,	1,	63,	3,	13054,	3.800,	5.00,	0.190,	3.990,	''),
(10641,	3778,	156,	1,	3,	3,	13053,	3.800,	0.00,	0.000,	3.800,	''),
(10642,	3777,	178,	4,	1,	3,	13050,	1.200,	0.00,	0.000,	4.800,	''),
(10643,	3777,	682,	2,	3,	3,	13051,	10.800,	0.00,	0.000,	21.600,	''),
(10644,	3777,	753,	4,	63,	3,	13052,	1.800,	0.00,	0.000,	7.200,	''),
(10645,	3777,	766,	3,	3,	3,	13048,	2.500,	0.00,	0.000,	7.500,	''),
(10646,	3777,	1344,	1,	3,	20,	13049,	3.500,	0.00,	0.000,	3.500,	''),
(10647,	3776,	932,	1,	3,	79,	13046,	2.200,	0.00,	0.000,	2.200,	''),
(10648,	3776,	1060,	1,	3,	3,	13047,	3.500,	0.00,	0.000,	3.500,	''),
(10649,	3775,	676,	1,	3,	3,	13041,	12.500,	0.00,	0.000,	12.500,	''),
(10650,	3775,	753,	1,	63,	3,	13042,	1.800,	0.00,	0.000,	1.800,	''),
(10651,	3775,	766,	1,	3,	3,	13043,	2.500,	0.00,	0.000,	2.500,	''),
(10652,	3775,	1131,	2,	3,	6,	13044,	2.800,	0.00,	0.000,	5.600,	''),
(10653,	3775,	1166,	3,	3,	3,	13045,	2.000,	0.00,	0.000,	6.000,	''),
(10654,	3774,	676,	1,	3,	3,	13019,	12.600,	0.00,	0.000,	6.300,	''),
(10655,	3774,	1839,	1,	63,	3,	13018,	1.800,	5.00,	0.090,	1.890,	''),
(10656,	3773,	682,	2,	3,	3,	13020,	10.800,	0.00,	0.000,	21.600,	''),
(10657,	3772,	1251,	1,	3,	3,	13016,	3.810,	5.00,	0.191,	4.001,	''),
(10658,	3771,	682,	1,	3,	3,	13015,	10.800,	0.00,	0.000,	5.400,	''),
(10659,	3770,	933,	1,	7,	3,	13014,	3.900,	0.00,	0.000,	3.900,	''),
(10660,	3769,	156,	1,	3,	3,	13009,	3.800,	0.00,	0.000,	3.800,	''),
(10661,	3769,	799,	1,	3,	5,	13012,	6.000,	0.00,	0.000,	6.000,	''),
(10662,	3769,	933,	1,	7,	3,	13011,	4.000,	0.00,	0.000,	4.000,	''),
(10663,	3769,	1353,	1,	3,	3,	13013,	5.500,	0.00,	0.000,	5.500,	''),
(10664,	3769,	1425,	2,	1,	3,	13010,	1.900,	0.00,	0.000,	3.990,	''),
(10665,	3768,	753,	1,	63,	3,	13008,	1.800,	0.00,	0.000,	1.800,	''),
(10666,	3826,	168,	2,	3,	3,	13300,	2.200,	0.00,	0.000,	4.400,	''),
(10667,	3826,	528,	1,	3,	3,	13299,	3.000,	0.00,	0.000,	3.000,	''),
(10668,	3826,	799,	1,	3,	5,	13298,	6.000,	0.00,	0.000,	6.000,	''),
(10669,	3827,	1563,	1,	3,	111,	13303,	6.000,	0.00,	0.000,	6.000,	''),
(10670,	3828,	18,	1,	7,	13,	13310,	2.200,	0.00,	0.000,	2.200,	''),
(10671,	3828,	31,	2,	7,	15,	13311,	2.200,	0.00,	0.000,	4.400,	''),
(10672,	3828,	152,	4,	1,	3,	13309,	1.200,	0.00,	0.000,	4.800,	''),
(10673,	3828,	466,	2,	4,	1,	13304,	1.200,	0.00,	0.000,	2.400,	''),
(10674,	3828,	932,	2,	6,	24,	13307,	0.800,	0.00,	0.000,	1.600,	''),
(10675,	3828,	1131,	1,	3,	3,	13308,	2.000,	0.00,	0.000,	2.000,	''),
(10676,	3828,	1261,	2,	4,	3,	13305,	1.200,	0.00,	0.000,	2.400,	''),
(10677,	3828,	1622,	1,	3,	3,	13312,	4.800,	0.00,	0.000,	4.800,	''),
(10678,	3828,	1726,	1,	3,	3,	13306,	3.400,	0.00,	0.000,	3.400,	''),
(10679,	3829,	753,	1,	63,	3,	13313,	1.800,	0.00,	0.000,	1.800,	'second'),
(10680,	3830,	122,	1,	4,	23,	13333,	1.200,	0.00,	0.000,	1.200,	''),
(10681,	3831,	420,	1,	3,	3,	13316,	1.700,	0.00,	0.000,	1.700,	''),
(10682,	3831,	528,	1,	3,	3,	13315,	3.000,	0.00,	0.000,	3.000,	''),
(10683,	3831,	678,	1,	3,	3,	13318,	12.800,	0.00,	0.000,	6.400,	''),
(10684,	3831,	1626,	3,	3,	71,	13317,	2.200,	0.00,	0.000,	6.600,	''),
(10685,	3832,	21,	2,	7,	7,	13320,	2.200,	0.00,	0.000,	4.400,	''),
(10686,	3833,	766,	1,	3,	3,	13373,	2.500,	0.00,	0.000,	2.500,	''),
(10687,	3833,	1312,	1,	63,	84,	13374,	2.500,	0.00,	0.000,	2.500,	''),
(10688,	3834,	528,	5,	3,	3,	13327,	3.000,	0.00,	0.000,	15.000,	''),
(10689,	3834,	676,	2,	3,	56,	13328,	12.800,	0.00,	0.000,	25.600,	''),
(10690,	3834,	753,	20,	63,	3,	13326,	1.700,	0.00,	0.000,	34.000,	''),
(10691,	3834,	766,	5,	3,	3,	13325,	2.400,	0.00,	0.000,	12.000,	''),
(10692,	3834,	799,	1,	4,	5,	13323,	0.700,	0.00,	0.000,	0.700,	''),
(10693,	3834,	932,	1,	6,	79,	13324,	0.900,	0.00,	0.000,	0.900,	''),
(10694,	3835,	420,	1,	3,	3,	13329,	1.600,	0.00,	0.000,	1.600,	''),
(10695,	3836,	676,	1,	3,	4,	13332,	10.800,	0.00,	0.000,	10.800,	''),
(10696,	3837,	1344,	1,	3,	72,	13334,	2.000,	0.00,	0.000,	2.000,	''),
(10697,	3838,	168,	1,	3,	3,	13339,	2.200,	0.00,	0.000,	2.200,	''),
(10698,	3838,	1179,	1,	3,	3,	13340,	2.000,	0.00,	0.000,	2.000,	''),
(10699,	3838,	1344,	1,	3,	72,	13341,	1.900,	0.00,	0.000,	1.900,	''),
(10700,	3838,	1563,	2,	6,	110,	13342,	0.800,	0.00,	0.000,	1.600,	''),
(10701,	3839,	1131,	1,	3,	3,	13343,	3.000,	0.00,	0.000,	3.000,	''),
(10702,	3839,	1131,	2,	3,	3,	13344,	2.200,	0.00,	0.000,	4.400,	''),
(10703,	3840,	972,	1,	3,	3,	13345,	3.600,	0.00,	0.000,	3.600,	''),
(10704,	3841,	57,	2,	7,	15,	13350,	2.100,	0.00,	0.000,	4.200,	''),
(10705,	3841,	76,	2,	7,	15,	13349,	2.000,	0.00,	0.000,	4.000,	''),
(10706,	3841,	156,	1,	3,	3,	13357,	3.800,	0.00,	0.000,	3.800,	''),
(10707,	3841,	420,	1,	3,	3,	13353,	1.600,	0.00,	0.000,	1.600,	''),
(10708,	3841,	557,	1,	3,	3,	13359,	6.400,	5.00,	0.320,	6.720,	''),
(10709,	3841,	753,	1,	63,	3,	13348,	1.600,	0.00,	0.000,	1.600,	''),
(10710,	3841,	799,	1,	3,	5,	13360,	6.000,	0.00,	0.000,	6.000,	''),
(10711,	3841,	933,	1,	7,	3,	13358,	4.000,	0.00,	0.000,	4.000,	''),
(10712,	3841,	1060,	1,	3,	3,	13355,	3.300,	0.00,	0.000,	3.300,	''),
(10713,	3841,	1131,	1,	3,	3,	13352,	1.900,	0.00,	0.000,	1.900,	''),
(10714,	3841,	1138,	1,	3,	3,	13351,	1.400,	0.00,	0.000,	1.400,	''),
(10715,	3841,	1312,	1,	63,	55,	13347,	2.300,	0.00,	0.000,	2.300,	''),
(10716,	3841,	1344,	3,	3,	20,	13362,	3.500,	0.00,	0.000,	10.500,	''),
(10717,	3841,	1563,	1,	3,	111,	13361,	6.000,	0.00,	0.000,	6.000,	''),
(10718,	3841,	1579,	1,	3,	3,	13354,	3.800,	0.00,	0.000,	3.800,	''),
(10719,	3841,	1659,	2,	63,	3,	13346,	0.800,	0.00,	0.000,	1.600,	''),
(10720,	3841,	1735,	1,	3,	3,	13356,	2.000,	0.00,	0.000,	2.000,	''),
(10721,	3842,	799,	1,	3,	5,	13364,	6.000,	0.00,	0.000,	6.000,	''),
(10722,	3842,	972,	1,	3,	3,	13363,	3.600,	0.00,	0.000,	3.600,	''),
(10723,	3843,	1127,	1,	3,	3,	13366,	1.800,	0.00,	0.000,	1.800,	''),
(10724,	3843,	1839,	2,	63,	3,	13365,	1.800,	5.00,	0.180,	3.780,	''),
(10725,	3844,	1124,	1,	3,	3,	13367,	2.100,	0.00,	0.000,	2.100,	''),
(10726,	3845,	120,	1,	4,	23,	13368,	1.000,	0.00,	0.000,	1.000,	''),
(10727,	3846,	120,	1,	4,	23,	13369,	0.800,	0.00,	0.000,	0.800,	''),
(10728,	3846,	799,	1,	4,	5,	13370,	0.600,	0.00,	0.000,	0.600,	''),
(10729,	3846,	1060,	1,	3,	3,	13372,	3.800,	0.00,	0.000,	3.800,	''),
(10730,	3846,	1179,	1,	3,	3,	13371,	2.000,	0.00,	0.000,	2.000,	''),
(10731,	3847,	1344,	1,	3,	29,	13375,	2.000,	0.00,	0.000,	2.000,	''),
(10732,	3848,	766,	1,	3,	3,	13376,	2.500,	0.00,	0.000,	2.500,	''),
(10733,	3848,	1060,	1,	3,	3,	13378,	3.800,	0.00,	0.000,	3.800,	''),
(10734,	3848,	1344,	1,	3,	31,	13377,	3.500,	0.00,	0.000,	3.500,	''),
(10738,	3792,	753,	1,	63,	3,	13098,	2.600,	0.00,	0.000,	2.600,	''),
(10739,	3792,	1839,	1,	63,	3,	13099,	1.800,	5.00,	0.090,	1.890,	''),
(10740,	3793,	156,	1,	3,	3,	13112,	3.700,	0.00,	0.000,	3.700,	''),
(10741,	3793,	170,	1,	3,	3,	13113,	4.000,	0.00,	0.000,	4.000,	''),
(10742,	3793,	682,	1,	3,	3,	13114,	10.800,	0.00,	0.000,	5.400,	''),
(10743,	3793,	766,	1,	3,	3,	13115,	2.600,	0.00,	0.000,	2.600,	''),
(10744,	3793,	1610,	1,	3,	3,	13116,	3.600,	0.00,	0.000,	3.600,	''),
(10749,	3794,	420,	1,	3,	3,	13103,	1.700,	0.00,	0.000,	1.700,	''),
(10750,	3794,	528,	1,	3,	3,	13105,	3.000,	0.00,	0.000,	3.000,	''),
(10751,	3794,	1060,	1,	3,	3,	13106,	3.400,	0.00,	0.000,	3.400,	''),
(10752,	3794,	1138,	2,	3,	3,	13104,	1.400,	0.00,	0.000,	2.800,	''),
(10753,	3795,	1060,	1,	3,	3,	13117,	3.300,	0.00,	0.000,	3.300,	''),
(10754,	3796,	178,	1,	3,	3,	13120,	10.800,	0.00,	0.000,	10.800,	''),
(10755,	3796,	753,	2,	3,	39,	13118,	4.400,	0.00,	0.000,	8.800,	''),
(10756,	3796,	1066,	1,	3,	3,	13119,	2.200,	0.00,	0.000,	2.200,	''),
(10757,	3797,	279,	6,	4,	3,	13121,	0.500,	0.00,	0.000,	3.000,	''),
(10758,	3798,	676,	1,	3,	56,	13122,	12.800,	0.00,	0.000,	6.400,	''),
(10759,	3799,	279,	1,	3,	3,	13123,	4.600,	0.00,	0.000,	4.600,	''),
(10760,	3799,	1138,	2,	3,	3,	13124,	1.400,	0.00,	0.000,	2.800,	''),
(10761,	3800,	57,	1,	7,	10,	13228,	2.200,	0.00,	0.000,	2.200,	''),
(10762,	3800,	168,	2,	3,	3,	13229,	2.200,	0.00,	0.000,	4.400,	''),
(10763,	3800,	279,	1,	3,	3,	13230,	4.600,	0.00,	0.000,	4.600,	''),
(10764,	3800,	466,	1,	4,	1,	13231,	1.200,	0.00,	0.000,	1.200,	''),
(10765,	3800,	799,	2,	4,	5,	13232,	0.600,	0.00,	0.000,	1.200,	''),
(10766,	3800,	1127,	2,	3,	3,	13233,	2.100,	0.00,	0.000,	4.200,	''),
(10767,	3800,	1353,	1,	3,	3,	13234,	5.500,	0.00,	0.000,	5.500,	''),
(10768,	3800,	1434,	1,	10,	4,	13235,	1.100,	0.00,	0.000,	1.100,	''),
(10769,	3800,	1587,	1,	4,	3,	13236,	0.900,	0.00,	0.000,	0.900,	''),
(10770,	3800,	1626,	1,	3,	71,	13237,	2.400,	0.00,	0.000,	2.400,	''),
(10771,	3801,	1044,	3,	1,	3,	13133,	0.900,	0.00,	0.000,	2.250,	''),
(10772,	3802,	766,	1,	3,	3,	13139,	2.600,	0.00,	0.000,	2.600,	''),
(10773,	3802,	1622,	1,	3,	3,	13138,	4.800,	0.00,	0.000,	4.800,	''),
(10774,	3803,	1044,	2,	3,	3,	13150,	4.800,	0.00,	0.000,	9.600,	''),
(10775,	3804,	57,	1,	3,	14,	13202,	9.000,	0.00,	0.000,	9.000,	''),
(10776,	3804,	420,	1,	3,	3,	13203,	1.700,	0.00,	0.000,	1.700,	''),
(10777,	3804,	753,	5,	63,	3,	13204,	1.800,	0.00,	0.000,	9.000,	''),
(10778,	3804,	766,	2,	3,	3,	13205,	2.500,	0.00,	0.000,	5.000,	''),
(10779,	3804,	1060,	1,	3,	3,	13206,	3.300,	0.00,	0.000,	3.300,	''),
(10780,	3804,	1839,	1,	63,	3,	13201,	1.800,	5.00,	0.090,	1.890,	''),
(10781,	3804,	1978,	1,	63,	3,	13207,	2.200,	5.00,	0.110,	2.310,	''),
(10782,	3805,	178,	2,	3,	3,	13167,	10.800,	0.00,	0.000,	21.600,	''),
(10783,	3805,	249,	1,	63,	4,	13168,	1.200,	0.00,	0.000,	1.200,	''),
(10784,	3805,	420,	1,	3,	3,	13159,	1.600,	0.00,	0.000,	1.600,	''),
(10785,	3805,	501,	1,	3,	3,	13158,	8.000,	0.00,	0.000,	8.000,	''),
(10786,	3805,	753,	3,	63,	3,	13169,	1.800,	0.00,	0.000,	5.400,	''),
(10787,	3805,	766,	3,	3,	3,	13172,	2.500,	0.00,	0.000,	7.500,	''),
(10788,	3805,	808,	2,	3,	4,	13170,	6.500,	0.00,	0.000,	13.000,	''),
(10789,	3805,	932,	3,	3,	79,	13163,	2.000,	0.00,	0.000,	6.000,	''),
(10790,	3805,	955,	1,	1,	3,	13161,	1.800,	0.00,	0.000,	1.800,	''),
(10791,	3805,	1060,	1,	3,	3,	13165,	3.300,	0.00,	0.000,	3.300,	''),
(10792,	3805,	1174,	6,	3,	3,	13166,	2.600,	0.00,	0.000,	15.600,	''),
(10793,	3805,	1344,	2,	3,	19,	13164,	3.500,	0.00,	0.000,	7.000,	''),
(10794,	3805,	1563,	2,	3,	111,	13162,	5.900,	0.00,	0.000,	11.800,	''),
(10795,	3805,	1622,	3,	3,	3,	13171,	4.800,	0.00,	0.000,	14.400,	''),
(10796,	3805,	1839,	3,	63,	3,	13160,	1.800,	5.00,	0.270,	5.670,	''),
(10797,	3806,	799,	1,	4,	5,	13173,	0.600,	0.00,	0.000,	0.600,	''),
(10798,	3806,	1124,	3,	3,	3,	13175,	2.200,	0.00,	0.000,	6.600,	''),
(10799,	3806,	1174,	1,	3,	3,	13174,	2.700,	0.00,	0.000,	2.700,	''),
(10800,	3807,	969,	1,	3,	3,	13185,	5.000,	0.00,	0.000,	5.000,	''),
(10801,	3808,	21,	1,	3,	11,	13186,	9.500,	0.00,	0.000,	9.500,	''),
(10802,	3809,	736,	1,	10,	4,	13238,	0.600,	0.00,	0.000,	0.600,	''),
(10803,	3810,	33,	1,	3,	9,	13252,	6.200,	0.00,	0.000,	6.200,	''),
(10804,	3810,	682,	1,	3,	3,	13253,	10.700,	0.00,	0.000,	10.700,	''),
(10805,	3811,	1124,	1,	3,	3,	13241,	2.200,	0.00,	0.000,	2.200,	''),
(10806,	3812,	450,	3,	1,	3,	13243,	0.800,	0.00,	0.000,	2.400,	''),
(10807,	3812,	955,	4,	1,	3,	13242,	2.000,	0.00,	0.000,	8.000,	''),
(10808,	3812,	1717,	1,	3,	3,	13244,	3.200,	0.00,	0.000,	3.200,	''),
(10809,	3812,	1978,	1,	63,	3,	13245,	2.200,	5.00,	0.110,	2.310,	''),
(10810,	3813,	1260,	2,	4,	3,	13246,	0.500,	5.00,	0.050,	1.050,	''),
(10811,	3814,	57,	2,	7,	14,	13262,	1.900,	0.00,	0.000,	3.800,	''),
(10812,	3814,	168,	1,	3,	3,	13263,	2.100,	0.00,	0.000,	2.100,	''),
(10813,	3814,	178,	5,	1,	3,	13264,	1.100,	0.00,	0.000,	5.500,	''),
(10814,	3814,	420,	1,	3,	3,	13265,	1.700,	0.00,	0.000,	1.700,	''),
(10815,	3814,	551,	1,	63,	3,	13261,	3.900,	5.00,	0.195,	4.095,	''),
(10816,	3814,	1179,	1,	3,	3,	13266,	2.000,	0.00,	0.000,	2.000,	''),
(10817,	3814,	1298,	3,	1,	3,	13267,	1.400,	0.00,	0.000,	4.200,	''),
(10818,	3815,	1260,	1,	4,	3,	13254,	0.500,	5.00,	0.025,	0.525,	''),
(10819,	3816,	1044,	1,	3,	3,	13268,	4.800,	0.00,	0.000,	4.800,	''),
(10820,	3817,	1044,	1,	3,	3,	13270,	4.800,	0.00,	0.000,	4.800,	''),
(10821,	3818,	1514,	1,	3,	3,	13271,	6.800,	0.00,	0.000,	6.800,	''),
(10822,	3819,	130,	2,	4,	23,	13275,	1.300,	0.00,	0.000,	2.600,	''),
(10823,	3819,	750,	1,	1,	3,	13272,	3.400,	0.00,	0.000,	1.700,	''),
(10824,	3819,	963,	1,	1,	3,	13274,	3.400,	0.00,	0.000,	1.700,	''),
(10825,	3819,	1127,	1,	3,	3,	13273,	2.200,	0.00,	0.000,	2.200,	''),
(10826,	3820,	676,	2,	3,	3,	13276,	12.500,	0.00,	0.000,	25.000,	''),
(10827,	3821,	76,	1,	3,	13,	13277,	9.500,	0.00,	0.000,	9.500,	''),
(10829,	3822,	682,	3,	3,	3,	13281,	10.800,	0.00,	0.000,	32.400,	''),
(10830,	3822,	753,	10,	63,	3,	13282,	1.700,	0.00,	0.000,	17.000,	''),
(10831,	3822,	766,	3,	3,	3,	13283,	2.500,	0.00,	0.000,	7.500,	''),
(10832,	3822,	1839,	3,	63,	3,	13284,	1.800,	5.00,	0.270,	5.670,	''),
(10833,	3824,	1563,	5,	6,	110,	13302,	0.600,	0.00,	0.000,	3.000,	''),
(10834,	3823,	528,	1,	3,	3,	13286,	3.000,	0.00,	0.000,	3.000,	''),
(10835,	3823,	682,	1,	3,	3,	13285,	10.800,	0.00,	0.000,	10.800,	''),
(10836,	3823,	766,	1,	3,	3,	13287,	2.500,	0.00,	0.000,	2.500,	''),
(10837,	3823,	1312,	2,	63,	84,	13288,	2.600,	0.00,	0.000,	5.200,	''),
(10838,	3825,	76,	1,	7,	14,	13292,	2.200,	0.00,	0.000,	2.200,	''),
(10839,	3825,	130,	1,	4,	23,	13294,	1.200,	0.00,	0.000,	1.200,	''),
(10840,	3825,	420,	1,	3,	3,	13290,	1.700,	0.00,	0.000,	1.700,	''),
(10841,	3825,	766,	1,	3,	3,	13291,	2.600,	0.00,	0.000,	2.600,	''),
(10842,	3825,	972,	3,	1,	3,	13293,	0.500,	0.00,	0.000,	1.500,	''),
(10843,	3825,	1127,	1,	3,	3,	13296,	1.900,	0.00,	0.000,	1.900,	''),
(10844,	3825,	1251,	2,	4,	3,	13295,	0.500,	5.00,	0.050,	1.050,	''),
(10845,	3825,	1344,	1,	3,	19,	13297,	3.500,	0.00,	0.000,	3.500,	''),
(10846,	3849,	682,	1,	3,	3,	13379,	11.000,	0.00,	0.000,	5.500,	''),
(10847,	3850,	76,	1,	7,	13,	13380,	2.200,	0.00,	0.000,	2.200,	''),
(10848,	3851,	1131,	1,	3,	6,	13381,	1.500,	0.00,	0.000,	1.500,	''),
(10849,	3852,	275,	2,	4,	3,	13383,	0.500,	0.00,	0.000,	1.000,	''),
(10850,	3854,	1044,	3,	3,	3,	13386,	4.800,	0.00,	0.000,	14.400,	''),
(10851,	3853,	972,	1,	3,	3,	13385,	3.600,	0.00,	0.000,	3.600,	''),
(10852,	3853,	1044,	1,	1,	3,	13384,	1.000,	0.00,	0.000,	1.100,	''),
(10853,	3855,	676,	1,	3,	3,	13392,	12.500,	0.00,	0.000,	12.500,	''),
(10854,	3855,	799,	5,	4,	5,	13393,	0.600,	0.00,	0.000,	3.000,	''),
(10855,	3855,	1442,	1,	3,	23,	13394,	4.000,	0.00,	0.000,	4.000,	''),
(10856,	3855,	1491,	2,	3,	3,	13395,	1.300,	0.00,	0.000,	2.600,	''),
(10857,	3855,	1563,	1,	3,	105,	13396,	6.000,	0.00,	0.000,	6.000,	''),
(10858,	3856,	123,	3,	4,	2,	13397,	1.000,	0.00,	0.000,	3.000,	''),
(10859,	3857,	152,	1,	3,	3,	13398,	10.800,	0.00,	0.000,	10.800,	''),
(10860,	3857,	152,	2,	3,	3,	13401,	10.800,	0.00,	0.000,	21.600,	''),
(10861,	3857,	420,	10,	3,	3,	13402,	1.600,	0.00,	0.000,	16.000,	''),
(10862,	3857,	528,	10,	3,	3,	13403,	2.900,	0.00,	0.000,	29.000,	''),
(10863,	3857,	766,	5,	3,	3,	13399,	2.500,	0.00,	0.000,	12.500,	''),
(10864,	3857,	1839,	3,	63,	3,	13400,	1.800,	5.00,	0.270,	5.670,	''),
(10865,	3858,	932,	1,	6,	24,	13404,	0.900,	0.00,	0.000,	0.900,	''),
(10866,	3859,	676,	1,	3,	3,	13405,	12.500,	0.00,	0.000,	12.500,	''),
(10867,	3860,	31,	1,	7,	13,	13410,	2.200,	0.00,	0.000,	2.200,	''),
(10868,	3860,	122,	1,	4,	23,	13408,	0.900,	0.00,	0.000,	0.900,	''),
(10869,	3860,	420,	1,	3,	3,	13409,	1.700,	0.00,	0.000,	1.700,	''),
(10870,	3860,	466,	1,	4,	1,	13414,	1.200,	0.00,	0.000,	1.200,	''),
(10871,	3860,	799,	1,	4,	5,	13406,	0.600,	0.00,	0.000,	0.600,	''),
(10872,	3860,	932,	1,	6,	1,	13407,	0.900,	0.00,	0.000,	0.900,	''),
(10873,	3860,	1127,	2,	3,	3,	13415,	2.200,	0.00,	0.000,	4.400,	''),
(10874,	3860,	1174,	1,	3,	3,	13413,	2.800,	0.00,	0.000,	2.800,	''),
(10875,	3860,	1344,	1,	3,	4,	13412,	2.000,	0.00,	0.000,	2.000,	''),
(10876,	3860,	1626,	1,	3,	71,	13411,	2.300,	0.00,	0.000,	2.300,	''),
(10877,	3861,	170,	1,	3,	2,	13416,	5.700,	0.00,	0.000,	5.700,	''),
(10878,	3862,	932,	1,	6,	24,	13417,	0.900,	0.00,	0.000,	0.900,	''),
(10879,	3863,	501,	0,	1,	3,	13435,	2.000,	0.00,	0.000,	0.500,	''),
(10880,	3863,	766,	1,	3,	3,	13436,	2.500,	0.00,	0.000,	2.500,	''),
(10881,	3863,	799,	1,	4,	5,	13437,	0.600,	0.00,	0.000,	0.600,	''),
(10882,	3863,	1060,	1,	3,	3,	13438,	3.400,	0.00,	0.000,	3.400,	''),
(10883,	3863,	1344,	1,	3,	72,	13439,	2.000,	0.00,	0.000,	2.000,	''),
(10884,	3863,	1563,	1,	3,	105,	13440,	6.000,	0.00,	0.000,	6.000,	''),
(10885,	3864,	33,	1,	3,	9,	13445,	6.200,	0.00,	0.000,	6.200,	''),
(10886,	3864,	168,	4,	3,	3,	13446,	2.100,	0.00,	0.000,	8.400,	''),
(10887,	3864,	1138,	5,	3,	3,	13447,	1.400,	0.00,	0.000,	7.000,	''),
(10888,	3864,	1186,	4,	3,	3,	13448,	1.800,	0.00,	0.000,	7.200,	''),
(10889,	3865,	678,	2,	3,	3,	13449,	12.500,	0.00,	0.000,	25.000,	''),
(10890,	3866,	168,	1,	3,	3,	13450,	2.200,	0.00,	0.000,	2.200,	''),
(10891,	3868,	765,	1,	1,	3,	13454,	1.700,	0.00,	0.000,	1.700,	''),
(10892,	3867,	168,	1,	3,	3,	13527,	2.200,	0.00,	0.000,	2.200,	''),
(10893,	3867,	1174,	1,	3,	3,	13528,	3.000,	0.00,	0.000,	3.000,	''),
(10894,	3867,	1735,	2,	3,	3,	13529,	1.500,	0.00,	0.000,	3.000,	''),
(10895,	3869,	1726,	2,	3,	3,	13455,	3.400,	0.00,	0.000,	6.800,	''),
(10896,	3870,	16,	1,	7,	13,	13457,	2.200,	0.00,	0.000,	2.200,	''),
(10897,	3870,	551,	1,	63,	3,	13456,	3.800,	5.00,	0.190,	3.990,	''),
(10898,	3871,	1251,	3,	1,	3,	13458,	0.480,	5.00,	0.072,	1.512,	''),
(10899,	3872,	57,	1,	7,	10,	13465,	2.200,	0.00,	0.000,	2.200,	''),
(10900,	3872,	765,	1,	1,	3,	13466,	1.700,	0.00,	0.000,	0.850,	''),
(10901,	3872,	1127,	2,	3,	3,	13467,	2.000,	0.00,	0.000,	4.000,	''),
(10902,	3872,	1344,	1,	3,	20,	13468,	3.600,	0.00,	0.000,	3.600,	''),
(10903,	3872,	1351,	2,	3,	20,	13469,	6.200,	0.00,	0.000,	12.400,	''),
(10904,	3873,	682,	1,	3,	3,	13471,	10.800,	0.00,	0.000,	10.800,	''),
(10905,	3873,	753,	1,	63,	3,	13470,	1.800,	0.00,	0.000,	1.800,	''),
(10906,	3874,	1344,	1,	3,	72,	13473,	1.900,	0.00,	0.000,	1.900,	''),
(10907,	3875,	1127,	1,	3,	3,	13474,	2.000,	0.00,	0.000,	2.000,	''),
(10908,	3876,	1127,	1,	3,	3,	13475,	1.300,	0.00,	0.000,	1.300,	''),
(10937,	3887,	753,	1,	63,	3,	13538,	2.600,	0.00,	0.000,	2.600,	''),
(10938,	3887,	932,	1,	7,	79,	13539,	2.200,	0.00,	0.000,	2.200,	''),
(10939,	3887,	1127,	2,	3,	3,	13540,	2.000,	0.00,	0.000,	4.000,	''),
(10940,	3887,	1131,	3,	3,	6,	13541,	2.800,	0.00,	0.000,	7.000,	''),
(10941,	3887,	1344,	1,	3,	29,	13542,	2.200,	0.00,	0.000,	2.200,	''),
(10942,	3887,	1626,	1,	3,	71,	13543,	2.400,	0.00,	0.000,	2.400,	''),
(10943,	3887,	1659,	1,	63,	2,	13544,	4.200,	0.00,	0.000,	4.200,	''),
(10944,	3888,	420,	1,	3,	3,	13523,	1.600,	0.00,	0.000,	1.600,	''),
(10945,	3889,	33,	1,	3,	4,	13525,	1.500,	0.00,	0.000,	1.500,	''),
(10946,	3889,	1344,	1,	3,	72,	13524,	2.000,	0.00,	0.000,	2.000,	''),
(10947,	3889,	1470,	1,	7,	3,	13526,	2.000,	0.00,	0.000,	2.000,	''),
(10948,	3890,	1626,	2,	3,	71,	13530,	2.400,	0.00,	0.000,	4.800,	''),
(10950,	3877,	1127,	1,	3,	3,	13476,	1.900,	0.00,	0.000,	1.900,	''),
(10951,	3878,	156,	1,	3,	3,	13477,	3.800,	0.00,	0.000,	3.800,	''),
(10952,	3878,	170,	1,	3,	3,	13479,	5.800,	0.00,	0.000,	5.800,	''),
(10953,	3878,	1044,	1,	3,	3,	13478,	4.800,	0.00,	0.000,	4.800,	''),
(10954,	3878,	1127,	3,	3,	3,	13482,	1.900,	0.00,	0.000,	5.700,	''),
(10955,	3878,	1345,	1,	3,	25,	13480,	3.600,	0.00,	0.000,	3.600,	''),
(10956,	3878,	1563,	3,	6,	111,	13481,	0.800,	0.00,	0.000,	2.400,	''),
(10957,	3879,	1959,	1,	1,	3,	13484,	1.400,	0.00,	0.000,	1.400,	''),
(10958,	3880,	682,	1,	3,	3,	13485,	10.800,	0.00,	0.000,	5.400,	''),
(10959,	3881,	753,	1,	63,	3,	13488,	1.800,	0.00,	0.000,	1.800,	''),
(10960,	3881,	1312,	2,	63,	84,	13489,	2.600,	0.00,	0.000,	5.200,	''),
(10961,	3882,	753,	2,	63,	3,	13491,	1.800,	0.00,	0.000,	3.600,	''),
(10962,	3883,	57,	1,	7,	11,	13492,	2.200,	0.00,	0.000,	2.200,	''),
(10963,	3883,	1071,	1,	3,	3,	13494,	2.200,	0.00,	0.000,	2.200,	''),
(10964,	3883,	1138,	1,	3,	3,	13493,	1.500,	0.00,	0.000,	1.500,	''),
(10965,	3883,	1344,	1,	3,	25,	13495,	3.600,	0.00,	0.000,	3.600,	''),
(10966,	3884,	152,	2,	1,	3,	13499,	1.100,	0.00,	0.000,	1.870,	''),
(10967,	3884,	844,	1,	3,	3,	13498,	14.200,	0.00,	0.000,	14.200,	''),
(10968,	3885,	1312,	3,	63,	84,	13497,	2.600,	0.00,	0.000,	7.800,	''),
(10969,	3886,	57,	1,	7,	10,	13546,	2.200,	0.00,	0.000,	2.200,	''),
(10970,	3886,	76,	1,	7,	12,	13547,	2.200,	0.00,	0.000,	2.200,	''),
(10971,	3886,	676,	1,	3,	3,	13548,	12.800,	0.00,	0.000,	6.400,	''),
(10972,	3886,	753,	1,	63,	3,	13549,	1.800,	0.00,	0.000,	1.800,	''),
(10973,	3886,	799,	2,	4,	5,	13550,	0.600,	0.00,	0.000,	1.200,	''),
(10974,	3886,	932,	1,	3,	79,	13551,	2.200,	0.00,	0.000,	2.200,	''),
(10975,	3886,	1138,	5,	3,	3,	13552,	1.500,	0.00,	0.000,	7.500,	''),
(10976,	3886,	1434,	2,	10,	4,	13553,	1.000,	0.00,	0.000,	2.000,	''),
(10977,	3886,	1514,	1,	7,	3,	13554,	2.000,	0.00,	0.000,	2.000,	''),
(10978,	3891,	1344,	1,	3,	25,	13545,	3.500,	0.00,	0.000,	3.500,	''),
(10979,	3892,	1344,	2,	3,	72,	13558,	2.000,	0.00,	0.000,	4.000,	''),
(10980,	3893,	1312,	1,	63,	45,	13559,	1.400,	0.00,	0.000,	1.400,	''),
(10981,	3894,	1647,	2,	63,	3,	13560,	0.800,	0.00,	0.000,	1.600,	''),
(10982,	3895,	76,	1,	7,	15,	13561,	2.200,	0.00,	0.000,	2.200,	''),
(10983,	3895,	420,	1,	3,	3,	13562,	1.600,	0.00,	0.000,	1.600,	''),
(10984,	3895,	528,	1,	3,	3,	13563,	3.000,	0.00,	0.000,	3.000,	''),
(10985,	3895,	667,	1,	3,	3,	13564,	17.800,	0.00,	0.000,	8.900,	''),
(10986,	3896,	753,	1,	63,	3,	13565,	1.800,	0.00,	0.000,	1.800,	''),
(10987,	3896,	1060,	1,	3,	3,	13566,	3.300,	0.00,	0.000,	3.300,	''),
(10988,	3897,	1839,	150,	63,	3,	13569,	1.700,	5.00,	12.750,	267.750,	''),
(10989,	3898,	420,	2,	3,	3,	13575,	1.600,	0.00,	0.000,	3.200,	''),
(10990,	3898,	969,	1,	3,	3,	13576,	5.000,	0.00,	0.000,	5.000,	''),
(10991,	3898,	1344,	1,	3,	20,	13577,	3.500,	0.00,	0.000,	3.500,	''),
(10992,	3898,	1563,	4,	6,	111,	13578,	0.800,	0.00,	0.000,	3.200,	''),
(10993,	3898,	1626,	1,	3,	71,	13579,	2.300,	0.00,	0.000,	2.300,	''),
(10994,	3899,	1839,	1,	63,	3,	13580,	1.900,	5.00,	0.095,	1.995,	''),
(10995,	3900,	766,	2,	3,	3,	13582,	2.500,	0.00,	0.000,	5.000,	''),
(10997,	3901,	753,	1,	63,	4,	13583,	1.800,	0.00,	0.000,	1.800,	''),
(10998,	3902,	152,	3,	3,	3,	13584,	1.100,	0.00,	0.000,	2.970,	''),
(10999,	3903,	1044,	1,	1,	3,	13585,	0.900,	0.00,	0.000,	0.900,	''),
(11000,	3904,	799,	2,	4,	5,	13586,	0.700,	0.00,	0.000,	1.400,	''),
(11001,	3904,	932,	1,	3,	79,	13587,	2.200,	0.00,	0.000,	2.200,	''),
(11002,	3905,	152,	2,	1,	3,	13588,	1.100,	0.00,	0.000,	2.420,	''),
(11003,	3905,	932,	1,	3,	79,	13589,	2.000,	0.00,	0.000,	2.000,	''),
(11004,	3906,	808,	1,	3,	3,	13590,	6.500,	0.00,	0.000,	6.500,	''),
(11005,	3907,	753,	5,	63,	3,	13591,	1.700,	0.00,	0.000,	8.500,	''),
(11006,	3908,	152,	7,	1,	3,	13594,	1.100,	0.00,	0.000,	7.150,	''),
(11007,	3908,	774,	1,	10,	3,	13595,	6.500,	0.00,	0.000,	6.500,	''),
(11008,	3909,	170,	1,	3,	3,	13604,	5.800,	0.00,	0.000,	5.800,	''),
(11009,	3909,	420,	2,	3,	3,	13605,	1.600,	0.00,	0.000,	3.200,	''),
(11010,	3909,	528,	1,	3,	3,	13606,	2.900,	0.00,	0.000,	2.900,	''),
(11011,	3909,	678,	1,	3,	3,	13607,	12.600,	0.00,	0.000,	12.600,	''),
(11012,	3909,	753,	2,	63,	3,	13608,	1.800,	0.00,	0.000,	3.600,	''),
(11013,	3909,	766,	1,	3,	3,	13609,	2.500,	0.00,	0.000,	2.500,	''),
(11014,	3909,	1060,	2,	3,	3,	13610,	3.400,	0.00,	0.000,	6.800,	''),
(11015,	3909,	1839,	1,	63,	3,	13611,	1.900,	5.00,	0.095,	1.995,	''),
(11016,	3910,	932,	1,	3,	79,	13615,	2.000,	0.00,	0.000,	2.000,	''),
(11017,	3911,	1124,	1,	3,	3,	13613,	1.900,	0.00,	0.000,	1.900,	''),
(11018,	3912,	450,	2,	1,	3,	13614,	0.800,	0.00,	0.000,	1.600,	''),
(11019,	3913,	170,	1,	3,	3,	13754,	5.800,	0.00,	0.000,	5.800,	''),
(11020,	3913,	420,	2,	3,	3,	13755,	1.600,	0.00,	0.000,	3.200,	''),
(11021,	3913,	528,	2,	3,	3,	13756,	2.900,	0.00,	0.000,	5.800,	''),
(11022,	3913,	753,	2,	63,	3,	13757,	1.800,	0.00,	0.000,	3.600,	''),
(11023,	3913,	766,	2,	3,	3,	13758,	2.500,	0.00,	0.000,	5.000,	''),
(11024,	3913,	1060,	1,	3,	3,	13759,	3.400,	0.00,	0.000,	3.400,	''),
(11025,	3913,	1351,	1,	3,	20,	13760,	5.800,	0.00,	0.000,	5.800,	''),
(11026,	3914,	1251,	3,	4,	3,	13617,	0.480,	5.00,	0.072,	1.512,	''),
(11027,	3915,	306,	2,	1,	3,	13625,	1.400,	0.00,	0.000,	2.660,	''),
(11028,	3915,	1717,	1,	3,	3,	13626,	3.200,	0.00,	0.000,	3.200,	''),
(11029,	3916,	1717,	1,	3,	3,	13627,	3.200,	0.00,	0.000,	3.200,	''),
(11030,	3917,	753,	1,	3,	5,	13628,	4.500,	0.00,	0.000,	4.500,	''),
(11031,	3918,	677,	1,	3,	56,	13632,	12.800,	0.00,	0.000,	12.800,	''),
(11032,	3918,	753,	2,	3,	39,	13630,	4.600,	0.00,	0.000,	9.200,	''),
(11033,	3918,	766,	3,	3,	3,	13631,	2.500,	0.00,	0.000,	7.500,	''),
(11034,	3918,	1839,	3,	63,	3,	13629,	1.900,	5.00,	0.285,	5.985,	''),
(11035,	3919,	652,	1,	3,	3,	13637,	4.800,	0.00,	0.000,	4.800,	''),
(11036,	3919,	799,	3,	3,	5,	13638,	5.900,	0.00,	0.000,	17.700,	''),
(11037,	3919,	808,	5,	3,	3,	13639,	6.500,	0.00,	0.000,	32.500,	''),
(11038,	3920,	57,	1,	3,	14,	13635,	9.000,	0.00,	0.000,	9.000,	''),
(11039,	3920,	73,	1,	3,	9,	13636,	10.200,	0.00,	0.000,	10.200,	''),
(11040,	3921,	153,	10,	1,	3,	13640,	1.100,	0.00,	0.000,	11.000,	''),
(11041,	3922,	76,	5,	3,	15,	13641,	9.800,	0.00,	0.000,	49.000,	''),
(11042,	3923,	420,	1,	3,	3,	13646,	1.600,	0.00,	0.000,	1.600,	''),
(11043,	3923,	682,	1,	3,	3,	13643,	10.800,	0.00,	0.000,	10.800,	''),
(11044,	3923,	753,	1,	3,	5,	13645,	4.600,	0.00,	0.000,	4.600,	''),
(11045,	3923,	932,	1,	3,	24,	13642,	5.000,	0.00,	0.000,	5.000,	''),
(11046,	3923,	969,	1,	3,	3,	13647,	4.900,	0.00,	0.000,	4.900,	''),
(11047,	3923,	1060,	1,	3,	3,	13648,	3.300,	0.00,	0.000,	3.300,	''),
(11048,	3923,	1839,	1,	63,	3,	13644,	1.900,	5.00,	0.095,	1.995,	''),
(11049,	3924,	450,	1,	1,	3,	13649,	0.800,	0.00,	0.000,	0.800,	''),
(11050,	3925,	156,	1,	3,	3,	13650,	3.600,	0.00,	0.000,	3.600,	''),
(11051,	3955,	1626,	1,	3,	71,	13772,	2.200,	0.00,	0.000,	2.200,	''),
(11052,	3956,	420,	1,	3,	3,	13777,	1.600,	0.00,	0.000,	1.600,	''),
(11053,	3956,	688,	2,	3,	3,	13773,	12.000,	0.00,	0.000,	24.000,	''),
(11054,	3956,	753,	4,	63,	3,	13779,	1.700,	0.00,	0.000,	6.800,	''),
(11055,	3956,	766,	2,	3,	3,	13778,	2.500,	0.00,	0.000,	5.000,	''),
(11056,	3956,	968,	1,	3,	3,	13775,	3.300,	0.00,	0.000,	3.300,	''),
(11057,	3956,	1344,	1,	3,	25,	13774,	3.100,	0.00,	0.000,	3.100,	''),
(11058,	3956,	1717,	1,	3,	3,	13776,	3.200,	0.00,	0.000,	3.200,	''),
(11059,	3956,	1839,	6,	63,	3,	13780,	1.800,	5.00,	0.540,	11.340,	''),
(11060,	3957,	1526,	1,	3,	3,	13781,	6.200,	0.00,	0.000,	6.200,	''),
(11061,	3958,	21,	1,	3,	9,	13782,	9.500,	0.00,	0.000,	9.500,	''),
(11062,	3959,	693,	1,	3,	3,	13783,	15.500,	0.00,	0.000,	15.500,	''),
(11063,	3960,	1388,	1,	3,	3,	13784,	8.000,	5.00,	0.400,	8.400,	''),
(11064,	3961,	1251,	4,	3,	3,	13785,	3.800,	5.00,	0.760,	15.960,	''),
(11065,	3962,	57,	1,	3,	13,	13794,	9.000,	0.00,	0.000,	9.000,	''),
(11066,	3962,	279,	1,	3,	3,	13795,	4.500,	0.00,	0.000,	4.500,	''),
(11067,	3962,	1152,	1,	3,	3,	13796,	5.500,	0.00,	0.000,	5.500,	''),
(11068,	3962,	1166,	4,	3,	3,	13797,	1.500,	0.00,	0.000,	6.000,	''),
(11069,	3962,	1174,	1,	3,	3,	13798,	2.700,	0.00,	0.000,	2.700,	''),
(11070,	3962,	1344,	1,	3,	25,	13799,	3.400,	0.00,	0.000,	3.400,	''),
(11071,	3962,	1514,	1,	3,	3,	13800,	6.200,	0.00,	0.000,	6.200,	''),
(11072,	3962,	1766,	3,	3,	3,	13801,	0.500,	0.00,	0.000,	1.500,	''),
(11073,	3963,	676,	1,	3,	3,	13805,	12.600,	0.00,	0.000,	6.300,	''),
(11074,	3963,	932,	2,	6,	24,	13802,	0.900,	0.00,	0.000,	1.800,	''),
(11075,	3963,	1344,	1,	3,	25,	13804,	3.600,	0.00,	0.000,	3.600,	''),
(11076,	3963,	1491,	1,	3,	3,	13803,	1.300,	0.00,	0.000,	1.300,	''),
(11077,	3964,	667,	1,	3,	63,	13806,	17.900,	0.00,	0.000,	17.900,	''),
(11078,	3965,	122,	1,	4,	23,	13812,	1.000,	0.00,	0.000,	1.000,	''),
(11079,	3965,	279,	5,	4,	5,	13811,	0.600,	0.00,	0.000,	3.000,	''),
(11080,	3965,	799,	1,	4,	5,	13810,	0.600,	0.00,	0.000,	0.600,	''),
(11081,	3965,	1127,	1,	3,	3,	13808,	0.200,	0.00,	0.000,	0.200,	''),
(11082,	3965,	1344,	2,	3,	29,	13813,	2.200,	0.00,	0.000,	4.400,	''),
(11083,	3965,	1433,	1,	1,	23,	13807,	2.000,	0.00,	0.000,	2.000,	''),
(11084,	3965,	1587,	1,	4,	4,	13809,	0.900,	0.00,	0.000,	0.900,	''),
(11085,	3926,	528,	1,	3,	3,	13669,	2.800,	0.00,	0.000,	2.800,	''),
(11086,	3926,	651,	1,	3,	6,	13670,	4.200,	0.00,	0.000,	4.200,	''),
(11087,	3926,	808,	1,	3,	3,	13671,	6.500,	0.00,	0.000,	6.500,	''),
(11088,	3926,	1127,	1,	3,	3,	13672,	1.800,	0.00,	0.000,	1.800,	''),
(11089,	3926,	1351,	1,	3,	20,	13673,	5.800,	0.00,	0.000,	5.800,	''),
(11090,	3927,	963,	1,	1,	3,	13664,	3.200,	0.00,	0.000,	3.200,	''),
(11091,	3966,	1563,	1,	6,	110,	13814,	0.900,	0.00,	0.000,	0.900,	''),
(11092,	3967,	249,	1,	63,	3,	13815,	1.200,	0.00,	0.000,	1.200,	''),
(11093,	3928,	1839,	2,	63,	3,	13667,	1.900,	5.00,	0.190,	3.990,	''),
(11094,	3968,	420,	1,	3,	3,	13818,	1.600,	0.00,	0.000,	1.600,	''),
(11095,	3968,	676,	2,	3,	4,	13816,	10.800,	0.00,	0.000,	16.200,	''),
(11096,	3968,	1626,	1,	3,	71,	13817,	2.200,	0.00,	0.000,	2.200,	''),
(11097,	3929,	501,	4,	1,	3,	13668,	2.000,	0.00,	0.000,	8.000,	''),
(11098,	3969,	1872,	1,	3,	3,	13820,	11.800,	0.00,	0.000,	11.800,	''),
(11099,	3969,	1992,	1,	1,	3,	13819,	1.800,	0.00,	0.000,	1.800,	''),
(11100,	3970,	76,	1,	7,	13,	13828,	10.200,	0.00,	0.000,	10.200,	''),
(11101,	3970,	170,	1,	3,	3,	13829,	5.800,	0.00,	0.000,	5.800,	''),
(11102,	3970,	808,	1,	10,	3,	13830,	6.500,	0.00,	0.000,	6.500,	''),
(11103,	3970,	932,	1,	3,	24,	13831,	5.200,	0.00,	0.000,	5.200,	''),
(11104,	3970,	1174,	2,	3,	3,	13832,	3.000,	0.00,	0.000,	6.000,	''),
(11105,	3970,	1351,	2,	3,	20,	13833,	6.000,	0.00,	0.000,	12.000,	''),
(11106,	3970,	1626,	1,	3,	71,	13834,	2.400,	0.00,	0.000,	2.400,	''),
(11107,	3930,	57,	1,	7,	12,	13696,	2.200,	0.00,	0.000,	2.200,	''),
(11108,	3930,	178,	1,	3,	3,	13697,	10.800,	0.00,	0.000,	10.800,	''),
(11109,	3930,	1044,	4,	3,	3,	13698,	0.800,	0.00,	0.000,	3.040,	''),
(11110,	3930,	1131,	1,	3,	3,	13699,	2.000,	0.00,	0.000,	2.000,	''),
(11111,	3930,	1514,	1,	7,	3,	13700,	2.000,	0.00,	0.000,	2.000,	''),
(11112,	3971,	1959,	5,	1,	3,	13836,	1.400,	0.00,	0.000,	6.720,	''),
(11113,	3931,	551,	1,	63,	3,	13676,	3.810,	5.00,	0.191,	4.001,	''),
(11114,	3972,	1071,	1,	3,	3,	13837,	2.400,	0.00,	0.000,	2.400,	''),
(11115,	3973,	1124,	1,	3,	3,	13838,	2.200,	0.00,	0.000,	2.200,	''),
(11116,	3932,	501,	1,	1,	3,	13679,	2.000,	0.00,	0.000,	2.000,	''),
(11117,	3932,	1044,	1,	3,	3,	13680,	4.800,	0.00,	0.000,	4.800,	''),
(11118,	3974,	1124,	1,	3,	3,	13839,	2.000,	0.00,	0.000,	2.000,	''),
(11119,	3975,	932,	2,	6,	24,	13840,	0.900,	0.00,	0.000,	1.800,	''),
(11120,	3933,	682,	1,	3,	3,	13701,	10.800,	0.00,	0.000,	5.400,	''),
(11121,	3934,	152,	5,	1,	3,	13702,	1.080,	0.00,	0.000,	5.400,	''),
(11122,	3934,	682,	1,	3,	3,	13703,	10.800,	0.00,	0.000,	10.800,	''),
(11123,	3976,	152,	10,	1,	3,	13845,	1.100,	0.00,	0.000,	11.000,	''),
(11124,	3976,	309,	1,	3,	3,	13846,	8.800,	0.00,	0.000,	8.800,	''),
(11125,	3976,	766,	1,	3,	3,	13847,	2.600,	0.00,	0.000,	2.600,	''),
(11126,	3976,	1138,	1,	3,	3,	13848,	1.600,	0.00,	0.000,	1.600,	''),
(11127,	3935,	1766,	10,	3,	3,	13704,	0.400,	0.00,	0.000,	4.000,	''),
(11128,	3977,	279,	2,	7,	3,	13849,	4.500,	0.00,	0.000,	9.000,	''),
(11129,	3977,	377,	1,	3,	3,	13851,	1.300,	0.00,	0.000,	1.300,	''),
(11130,	3977,	528,	1,	3,	3,	13850,	2.800,	0.00,	0.000,	2.800,	''),
(11131,	3977,	1166,	12,	3,	3,	13852,	2.000,	0.00,	0.000,	24.000,	''),
(11132,	3978,	420,	1,	3,	3,	13853,	1.600,	0.00,	0.000,	1.600,	''),
(11133,	3978,	1717,	2,	3,	3,	13854,	3.200,	0.00,	0.000,	6.400,	''),
(11134,	3936,	753,	2,	63,	3,	13707,	1.700,	0.00,	0.000,	3.400,	''),
(11135,	3936,	1127,	2,	3,	3,	13706,	1.900,	0.00,	0.000,	3.800,	''),
(11136,	3936,	1766,	2,	3,	3,	13705,	0.800,	0.00,	0.000,	1.600,	''),
(11137,	3979,	1565,	5,	1,	3,	13855,	1.300,	0.00,	0.000,	6.760,	''),
(11138,	3937,	1766,	30,	3,	3,	13708,	0.800,	0.00,	0.000,	24.000,	''),
(11139,	3980,	178,	1,	3,	3,	13867,	10.800,	0.00,	0.000,	10.800,	''),
(11140,	3980,	799,	5,	3,	5,	13868,	5.900,	0.00,	0.000,	29.500,	''),
(11141,	3980,	1201,	5,	3,	3,	13869,	4.200,	5.00,	1.050,	22.050,	''),
(11142,	3981,	693,	1,	3,	3,	13864,	16.000,	0.00,	0.000,	16.000,	''),
(11143,	3981,	1344,	1,	3,	103,	13863,	2.000,	0.00,	0.000,	2.000,	''),
(11144,	3981,	1959,	1,	1,	3,	13862,	1.400,	0.00,	0.000,	1.400,	''),
(11145,	3982,	1127,	1,	3,	3,	13865,	1.800,	0.00,	0.000,	1.800,	''),
(11146,	3938,	682,	1,	3,	3,	13709,	10.800,	0.00,	0.000,	5.400,	''),
(11147,	3983,	1127,	1,	3,	3,	13866,	2.000,	0.00,	0.000,	2.000,	''),
(11148,	3939,	766,	2,	3,	3,	13710,	2.500,	0.00,	0.000,	5.000,	''),
(11149,	3939,	1071,	2,	3,	3,	13711,	2.200,	0.00,	0.000,	4.400,	''),
(11150,	3984,	1344,	1,	3,	25,	13870,	3.000,	0.00,	0.000,	3.000,	''),
(11151,	3985,	420,	1,	3,	3,	13871,	1.600,	0.00,	0.000,	1.600,	''),
(11152,	3985,	766,	3,	3,	3,	13872,	2.500,	0.00,	0.000,	7.500,	''),
(11153,	3940,	1071,	1,	3,	3,	13712,	2.200,	0.00,	0.000,	2.200,	''),
(11154,	3986,	1179,	2,	3,	3,	13873,	1.900,	0.00,	0.000,	3.800,	''),
(11155,	3987,	152,	5,	1,	3,	13881,	1.080,	0.00,	0.000,	5.400,	''),
(11156,	3987,	178,	1,	3,	3,	13882,	10.800,	0.00,	0.000,	10.800,	''),
(11157,	3987,	766,	1,	3,	3,	13883,	2.500,	0.00,	0.000,	2.500,	''),
(11158,	3987,	767,	4,	1,	3,	13884,	1.300,	0.00,	0.000,	5.200,	''),
(11159,	3987,	932,	1,	3,	24,	13885,	5.000,	0.00,	0.000,	5.000,	''),
(11160,	3987,	1138,	10,	3,	3,	13886,	1.300,	0.00,	0.000,	13.000,	''),
(11161,	3987,	1959,	2,	1,	3,	13887,	1.600,	0.00,	0.000,	3.200,	''),
(11162,	3941,	450,	3,	1,	3,	13713,	0.800,	0.00,	0.000,	2.320,	''),
(11163,	3988,	45,	1,	3,	7,	13888,	4.000,	0.00,	0.000,	4.000,	''),
(11164,	3988,	76,	1,	3,	7,	13892,	10.200,	0.00,	0.000,	10.200,	''),
(11165,	3988,	752,	1,	4,	3,	13890,	3.500,	0.00,	0.000,	3.500,	''),
(11166,	3988,	799,	1,	3,	5,	13891,	6.000,	0.00,	0.000,	6.000,	''),
(11167,	3988,	1959,	5,	1,	3,	13889,	1.400,	0.00,	0.000,	7.000,	''),
(11168,	3942,	682,	1,	3,	3,	13714,	10.800,	0.00,	0.000,	10.800,	''),
(11169,	3943,	682,	1,	3,	3,	13719,	10.800,	0.00,	0.000,	5.400,	''),
(11170,	3943,	766,	1,	3,	3,	13720,	2.500,	0.00,	0.000,	2.500,	''),
(11171,	3943,	1060,	1,	3,	4,	13721,	3.400,	0.00,	0.000,	3.400,	''),
(11172,	3943,	1127,	5,	3,	3,	13722,	1.900,	0.00,	0.000,	9.500,	''),
(11173,	3944,	799,	1,	3,	5,	13723,	6.000,	0.00,	0.000,	6.000,	''),
(11174,	3945,	122,	2,	4,	23,	13726,	1.000,	0.00,	0.000,	2.000,	''),
(11175,	3945,	156,	1,	3,	3,	13727,	3.800,	0.00,	0.000,	3.800,	''),
(11176,	3945,	1174,	3,	3,	3,	13724,	2.900,	0.00,	0.000,	8.700,	''),
(11177,	3945,	1435,	2,	7,	23,	13725,	2.000,	0.00,	0.000,	4.000,	''),
(11178,	3946,	1835,	1,	3,	3,	13728,	4.500,	5.00,	0.225,	4.725,	''),
(11179,	3947,	799,	1,	3,	5,	13729,	6.000,	0.00,	0.000,	6.000,	''),
(11184,	3948,	152,	2,	1,	3,	13730,	1.200,	0.00,	0.000,	2.400,	''),
(11185,	3948,	168,	1,	3,	3,	13732,	2.200,	0.00,	0.000,	2.200,	''),
(11186,	3948,	1166,	1,	3,	3,	13731,	2.200,	0.00,	0.000,	2.200,	''),
(11187,	3948,	1344,	1,	3,	25,	13733,	3.600,	0.00,	0.000,	3.600,	''),
(11188,	3949,	156,	1,	3,	3,	13734,	3.800,	0.00,	0.000,	3.800,	''),
(11189,	3950,	876,	1,	3,	3,	13739,	4.200,	0.00,	0.000,	4.200,	''),
(11190,	3950,	1166,	1,	3,	3,	13738,	2.200,	0.00,	0.000,	2.200,	''),
(11191,	3950,	1435,	1,	1,	23,	13735,	1.100,	0.00,	0.000,	1.100,	''),
(11192,	3950,	1470,	1,	1,	3,	13736,	0.900,	0.00,	0.000,	0.900,	''),
(11193,	3950,	1878,	1,	10,	3,	13737,	2.500,	0.00,	0.000,	2.500,	''),
(11194,	3951,	168,	1,	3,	3,	13747,	2.200,	0.00,	0.000,	2.200,	''),
(11195,	3951,	420,	2,	3,	3,	13748,	1.600,	0.00,	0.000,	3.200,	''),
(11196,	3951,	528,	1,	3,	3,	13749,	3.000,	0.00,	0.000,	3.000,	''),
(11197,	3951,	1071,	3,	3,	3,	13750,	2.600,	0.00,	0.000,	7.800,	''),
(11198,	3951,	1138,	1,	3,	3,	13751,	1.800,	0.00,	0.000,	1.800,	''),
(11199,	3951,	1344,	1,	3,	25,	13752,	3.600,	0.00,	0.000,	3.600,	''),
(11200,	3951,	1344,	1,	3,	103,	13753,	2.100,	0.00,	0.000,	2.100,	''),
(11201,	3952,	450,	1,	1,	3,	13761,	0.800,	0.00,	0.000,	0.800,	''),
(11202,	3953,	1131,	2,	3,	6,	13762,	2.600,	0.00,	0.000,	5.200,	''),
(11203,	3953,	1174,	5,	3,	3,	13763,	2.600,	0.00,	0.000,	13.000,	''),
(11204,	3954,	450,	1,	1,	3,	13768,	0.800,	0.00,	0.000,	0.960,	''),
(11205,	3954,	1071,	1,	3,	3,	13769,	2.300,	0.00,	0.000,	2.300,	''),
(11206,	3954,	1344,	1,	3,	25,	13770,	3.400,	0.00,	0.000,	3.400,	''),
(11207,	3954,	1563,	2,	3,	110,	13771,	0.800,	0.00,	0.000,	1.600,	''),
(11208,	3989,	152,	10,	1,	3,	13893,	1.100,	0.00,	0.000,	11.000,	''),
(11209,	3990,	1174,	2,	3,	3,	13894,	2.700,	0.00,	0.000,	5.400,	''),
(11210,	3991,	528,	3,	3,	3,	13898,	2.800,	0.00,	0.000,	8.400,	''),
(11211,	3991,	753,	5,	63,	3,	13899,	2.000,	0.00,	0.000,	10.000,	''),
(11212,	3991,	766,	4,	3,	3,	13900,	2.500,	0.00,	0.000,	10.000,	''),
(11213,	3992,	152,	1,	3,	3,	13901,	10.800,	0.00,	0.000,	10.800,	''),
(11214,	3992,	1563,	2,	6,	110,	13902,	0.800,	0.00,	0.000,	1.600,	''),
(11215,	3993,	122,	1,	4,	23,	13903,	1.100,	0.00,	0.000,	1.100,	''),
(11216,	3994,	799,	1,	3,	5,	13904,	6.000,	0.00,	0.000,	6.000,	''),
(11217,	3995,	1563,	1,	3,	110,	13905,	6.000,	0.00,	0.000,	6.000,	''),
(11218,	3996,	1186,	1,	3,	3,	13906,	2.000,	0.00,	0.000,	2.000,	''),
(11219,	3997,	178,	2,	1,	3,	13907,	1.200,	0.00,	0.000,	2.400,	''),
(11220,	3998,	122,	2,	4,	23,	13912,	1.050,	0.00,	0.000,	2.100,	''),
(11221,	3998,	152,	2,	1,	3,	13910,	1.200,	0.00,	0.000,	2.400,	''),
(11222,	3998,	736,	4,	10,	4,	13911,	0.500,	0.00,	0.000,	2.000,	''),
(11223,	3998,	969,	1,	3,	3,	13913,	5.000,	0.00,	0.000,	5.000,	''),
(11224,	3998,	1425,	1,	1,	3,	13909,	1.900,	0.00,	0.000,	1.900,	''),
(11225,	3998,	1567,	3,	6,	3,	13908,	1.200,	0.00,	0.000,	3.600,	''),
(11226,	3999,	932,	2,	6,	24,	13914,	0.900,	0.00,	0.000,	1.800,	''),
(11227,	4000,	766,	1,	3,	3,	13915,	2.500,	0.00,	0.000,	2.500,	''),
(11228,	4001,	803,	1,	3,	3,	13916,	7.000,	0.00,	0.000,	7.000,	''),
(11229,	4002,	1044,	2,	3,	3,	13917,	4.800,	0.00,	0.000,	9.600,	''),
(11230,	4003,	152,	5,	1,	3,	13937,	1.100,	0.00,	0.000,	5.500,	''),
(11231,	4003,	168,	1,	3,	3,	13938,	2.200,	0.00,	0.000,	2.200,	''),
(11232,	4003,	678,	1,	3,	3,	13939,	12.600,	0.00,	0.000,	12.600,	''),
(11233,	4003,	682,	1,	3,	3,	13940,	10.800,	0.00,	0.000,	5.400,	''),
(11234,	4003,	1138,	10,	3,	3,	13941,	1.400,	0.00,	0.000,	14.000,	''),
(11235,	4003,	1344,	1,	3,	31,	13942,	3.400,	0.00,	0.000,	3.400,	''),
(11236,	4003,	1425,	1,	1,	3,	13943,	1.900,	0.00,	0.000,	1.900,	''),
(11237,	4003,	1563,	3,	6,	110,	13944,	0.800,	0.00,	0.000,	2.400,	''),
(11238,	4004,	1367,	1,	3,	20,	13925,	5.800,	0.00,	0.000,	5.800,	''),
(11239,	4005,	156,	1,	3,	3,	13927,	3.800,	0.00,	0.000,	3.800,	''),
(11240,	4005,	1138,	2,	3,	3,	13928,	1.500,	0.00,	0.000,	3.000,	''),
(11241,	4005,	1425,	1,	1,	3,	13926,	1.900,	0.00,	0.000,	1.900,	''),
(11242,	4006,	932,	3,	6,	24,	13945,	0.900,	0.00,	0.000,	2.700,	''),
(11243,	4007,	1344,	1,	3,	31,	13946,	3.400,	0.00,	0.000,	3.400,	''),
(11244,	4008,	168,	1,	3,	3,	13953,	2.200,	0.00,	0.000,	2.200,	''),
(11245,	4008,	420,	1,	3,	3,	13948,	1.500,	0.00,	0.000,	1.500,	''),
(11246,	4008,	766,	1,	3,	3,	13947,	2.500,	0.00,	0.000,	2.500,	'gi'),
(11247,	4008,	1124,	1,	3,	3,	13950,	2.000,	0.00,	0.000,	2.000,	''),
(11248,	4008,	1174,	1,	3,	3,	13951,	3.000,	0.00,	0.000,	3.000,	''),
(11249,	4008,	1563,	1,	3,	105,	13954,	6.000,	0.00,	0.000,	6.000,	''),
(11250,	4008,	1659,	1,	63,	3,	13952,	0.900,	0.00,	0.000,	0.900,	''),
(11251,	4008,	1726,	1,	3,	3,	13949,	3.400,	0.00,	0.000,	3.400,	''),
(11252,	4009,	152,	10,	1,	3,	13956,	1.100,	0.00,	0.000,	11.000,	''),
(11253,	4009,	1166,	2,	3,	3,	13955,	2.000,	0.00,	0.000,	4.000,	''),
(11254,	4009,	1425,	3,	1,	3,	13957,	1.900,	0.00,	0.000,	6.080,	''),
(11255,	4010,	766,	1,	3,	3,	13958,	2.500,	0.00,	0.000,	2.500,	''),
(11256,	4011,	1344,	1,	3,	31,	13970,	3.500,	0.00,	0.000,	3.500,	''),
(11257,	4012,	676,	1,	7,	3,	13961,	1.200,	0.00,	0.000,	1.200,	''),
(11258,	4012,	1563,	1,	6,	105,	13960,	0.800,	0.00,	0.000,	0.800,	''),
(11259,	4012,	1626,	1,	3,	105,	13962,	2.200,	0.00,	0.000,	2.200,	''),
(11260,	4013,	152,	2,	1,	3,	13966,	1.200,	0.00,	0.000,	2.400,	''),
(11261,	4013,	178,	2,	1,	3,	13964,	1.200,	0.00,	0.000,	2.400,	''),
(11262,	4013,	525,	1,	1,	3,	13965,	1.000,	0.00,	0.000,	0.500,	''),
(11263,	4013,	765,	1,	1,	3,	13963,	1.600,	0.00,	0.000,	1.600,	''),
(11264,	4014,	1071,	1,	3,	3,	13967,	2.500,	0.00,	0.000,	2.500,	''),
(11265,	4015,	1312,	1,	63,	79,	13968,	0.700,	0.00,	0.000,	0.700,	''),
(11266,	4016,	285,	1,	4,	33,	13969,	1.900,	0.00,	0.000,	1.900,	''),
(11267,	4017,	57,	1,	3,	15,	13989,	9.000,	0.00,	0.000,	9.000,	''),
(11268,	4017,	168,	1,	3,	3,	13990,	2.100,	0.00,	0.000,	2.100,	''),
(11269,	4017,	170,	1,	3,	3,	13991,	5.700,	0.00,	0.000,	5.700,	''),
(11270,	4017,	667,	1,	3,	3,	13992,	17.800,	0.00,	0.000,	17.800,	''),
(11271,	4017,	676,	2,	3,	3,	13993,	12.500,	0.00,	0.000,	25.000,	''),
(11272,	4017,	753,	2,	63,	3,	13994,	2.000,	0.00,	0.000,	4.000,	''),
(11273,	4017,	766,	2,	3,	3,	13995,	2.600,	0.00,	0.000,	5.200,	''),
(11274,	4017,	1071,	2,	3,	3,	13996,	2.200,	0.00,	0.000,	4.400,	''),
(11275,	4017,	1840,	2,	3,	3,	13997,	1.900,	5.00,	0.190,	3.990,	''),
(11276,	4018,	551,	1,	63,	3,	14000,	3.810,	5.00,	0.191,	4.001,	''),
(11277,	4018,	667,	1,	3,	60,	13999,	13.200,	0.00,	0.000,	13.200,	''),
(11278,	4018,	682,	1,	3,	3,	14001,	10.800,	0.00,	0.000,	10.800,	''),
(11279,	4018,	753,	1,	63,	3,	14002,	1.800,	0.00,	0.000,	1.800,	''),
(11280,	4018,	766,	1,	3,	3,	14003,	2.600,	0.00,	0.000,	2.600,	''),
(11281,	4018,	1071,	1,	3,	3,	13998,	2.200,	0.00,	0.000,	2.200,	''),
(11282,	4019,	1959,	1,	1,	3,	14004,	1.400,	0.00,	0.000,	0.700,	''),
(11283,	4020,	1131,	2,	3,	6,	14005,	2.800,	0.00,	0.000,	5.600,	''),
(11284,	4021,	170,	2,	3,	3,	14008,	5.800,	0.00,	0.000,	11.600,	''),
(11285,	4021,	420,	2,	3,	3,	14006,	1.600,	0.00,	0.000,	3.200,	''),
(11286,	4021,	1060,	3,	3,	3,	14007,	3.400,	0.00,	0.000,	10.200,	''),
(11287,	4022,	178,	1,	3,	3,	14021,	1.200,	0.00,	0.000,	1.200,	''),
(11288,	4022,	551,	6,	6,	3,	14022,	0.160,	5.00,	0.048,	1.008,	''),
(11289,	4022,	753,	1,	4,	39,	14023,	0.300,	0.00,	0.000,	0.300,	''),
(11290,	4022,	767,	1,	1,	3,	14024,	1.400,	0.00,	0.000,	1.400,	''),
(11291,	4022,	902,	1,	1,	3,	14020,	1.300,	0.00,	0.000,	1.300,	''),
(11292,	4022,	1298,	1,	1,	3,	14025,	1.400,	0.00,	0.000,	1.400,	''),
(11293,	4022,	1659,	1,	63,	3,	14026,	0.900,	0.00,	0.000,	0.900,	''),
(11294,	4023,	753,	2,	63,	3,	14016,	1.800,	0.00,	0.000,	3.600,	''),
(11295,	4023,	766,	2,	3,	3,	14018,	2.600,	0.00,	0.000,	5.200,	''),
(11296,	4023,	1138,	2,	3,	3,	14015,	1.500,	0.00,	0.000,	3.000,	''),
(11297,	4023,	1344,	1,	3,	20,	14017,	3.500,	0.00,	0.000,	3.500,	''),
(11298,	4023,	1839,	2,	63,	3,	14019,	1.900,	5.00,	0.190,	3.990,	''),
(11299,	4024,	501,	4,	1,	3,	14028,	2.000,	0.00,	0.000,	8.000,	''),
(11300,	4024,	753,	1,	63,	3,	14027,	1.800,	0.00,	0.000,	1.800,	''),
(11301,	4025,	678,	1,	3,	3,	14031,	12.600,	0.00,	0.000,	12.600,	''),
(11302,	4025,	753,	1,	63,	3,	14029,	1.800,	0.00,	0.000,	1.800,	''),
(11303,	4025,	766,	1,	3,	3,	14030,	2.500,	0.00,	0.000,	2.500,	''),
(11304,	4026,	1260,	1,	3,	3,	14032,	3.800,	5.00,	0.190,	3.990,	''),
(11305,	4027,	122,	1,	3,	23,	14036,	4.500,	0.00,	0.000,	4.500,	''),
(11306,	4027,	1100,	1,	3,	3,	14033,	5.800,	0.00,	0.000,	5.800,	''),
(11307,	4027,	1439,	1,	3,	23,	14035,	4.000,	0.00,	0.000,	4.000,	''),
(11308,	4027,	1470,	1,	3,	3,	14034,	6.500,	0.00,	0.000,	6.500,	''),
(11309,	4028,	73,	1,	7,	8,	14037,	2.400,	0.00,	0.000,	2.400,	''),
(11310,	4029,	933,	1,	7,	3,	14038,	4.000,	0.00,	0.000,	4.000,	''),
(11311,	4030,	1071,	2,	3,	3,	14039,	2.400,	0.00,	0.000,	4.800,	''),
(11312,	4031,	758,	1,	63,	3,	14041,	1.800,	0.00,	0.000,	1.800,	''),
(11313,	4031,	766,	1,	3,	3,	14040,	2.500,	0.00,	0.000,	2.500,	''),
(11314,	4032,	122,	1,	4,	23,	14042,	1.200,	0.00,	0.000,	1.200,	''),
(11315,	4032,	275,	2,	4,	3,	14044,	0.500,	0.00,	0.000,	1.000,	''),
(11316,	4032,	1344,	1,	3,	29,	14047,	2.300,	0.00,	0.000,	2.300,	''),
(11317,	4032,	1439,	1,	4,	3,	14043,	2.200,	0.00,	0.000,	2.200,	''),
(11318,	4032,	1470,	1,	7,	3,	14045,	2.000,	0.00,	0.000,	2.000,	''),
(11319,	4032,	1563,	2,	6,	110,	14046,	0.800,	0.00,	0.000,	1.600,	''),
(11320,	4033,	1437,	1,	3,	3,	14048,	7.500,	0.00,	0.000,	7.500,	''),
(11321,	4034,	152,	2,	3,	3,	14051,	10.800,	0.00,	0.000,	21.600,	''),
(11322,	4034,	168,	30,	3,	3,	14052,	2.100,	0.00,	0.000,	63.000,	''),
(11323,	4035,	688,	1,	3,	3,	14053,	12.000,	0.00,	0.000,	12.000,	''),
(11324,	4036,	450,	2,	1,	3,	14055,	0.800,	0.00,	0.000,	1.600,	''),
(11325,	4036,	450,	4,	1,	3,	14056,	0.800,	0.00,	0.000,	3.200,	''),
(11326,	4036,	1425,	6,	1,	3,	14054,	2.000,	0.00,	0.000,	12.000,	''),
(11327,	4037,	150,	1,	3,	3,	14058,	3.800,	0.00,	0.000,	3.800,	''),
(11328,	4037,	1425,	1,	1,	3,	14059,	2.000,	0.00,	0.000,	2.000,	''),
(11329,	4037,	1563,	3,	6,	110,	14057,	0.800,	0.00,	0.000,	2.400,	''),
(11330,	4038,	168,	1,	3,	3,	14061,	2.100,	0.00,	0.000,	2.100,	''),
(11331,	4038,	677,	1,	3,	3,	14060,	12.600,	0.00,	0.000,	6.300,	''),
(11332,	4038,	753,	1,	63,	3,	14062,	1.800,	0.00,	0.000,	1.800,	''),
(11333,	4039,	528,	1,	3,	3,	14063,	2.800,	0.00,	0.000,	2.800,	''),
(11334,	4040,	152,	2,	3,	3,	14066,	10.800,	0.00,	0.000,	21.600,	''),
(11335,	4040,	370,	1,	3,	3,	14065,	3.000,	0.00,	0.000,	3.000,	''),
(11336,	4040,	401,	1,	3,	3,	14064,	3.800,	0.00,	0.000,	3.800,	''),
(11337,	4041,	753,	1,	63,	3,	14067,	1.800,	0.00,	0.000,	1.800,	''),
(11338,	4042,	676,	3,	7,	3,	14068,	1.000,	0.00,	0.000,	3.000,	''),
(11339,	4043,	1344,	1,	3,	25,	14069,	3.500,	0.00,	0.000,	3.500,	''),
(11340,	4044,	152,	3,	1,	3,	14070,	1.200,	0.00,	0.000,	3.600,	''),
(11341,	4045,	370,	1,	1,	3,	14076,	0.900,	0.00,	0.000,	0.900,	''),
(11342,	4045,	401,	1,	1,	3,	14077,	0.900,	0.00,	0.000,	0.900,	''),
(11343,	4045,	573,	5,	4,	3,	14078,	0.550,	0.00,	0.000,	2.750,	''),
(11344,	4045,	1260,	1,	3,	3,	14075,	3.800,	5.00,	0.190,	3.990,	''),
(11345,	4046,	1647,	1,	63,	3,	14074,	0.900,	0.00,	0.000,	0.900,	''),
(11346,	4047,	678,	1,	3,	3,	14079,	12.600,	0.00,	0.000,	6.300,	''),
(11347,	4048,	682,	70,	3,	3,	14081,	10.600,	0.00,	0.000,	742.000,	''),
(11348,	4049,	73,	1,	7,	8,	14083,	2.400,	0.00,	0.000,	2.400,	''),
(11349,	4049,	170,	1,	3,	2,	14088,	5.800,	0.00,	0.000,	5.800,	''),
(11350,	4049,	420,	2,	3,	3,	14086,	1.600,	0.00,	0.000,	3.200,	''),
(11351,	4049,	753,	1,	63,	3,	14084,	2.600,	0.00,	0.000,	2.600,	''),
(11352,	4049,	799,	6,	4,	5,	14082,	0.600,	0.00,	0.000,	3.600,	''),
(11353,	4049,	1071,	1,	3,	3,	14085,	2.300,	0.00,	0.000,	2.300,	''),
(11354,	4049,	1344,	2,	3,	29,	14087,	2.300,	0.00,	0.000,	4.600,	''),
(11355,	4050,	33,	1,	3,	4,	14093,	1.500,	0.00,	0.000,	1.500,	''),
(11356,	4050,	122,	2,	4,	23,	14094,	1.200,	0.00,	0.000,	2.400,	''),
(11357,	4050,	123,	1,	4,	3,	14095,	1.000,	0.00,	0.000,	1.000,	''),
(11358,	4050,	1433,	2,	7,	23,	14096,	1.200,	0.00,	0.000,	2.400,	''),
(11359,	4051,	123,	1,	4,	3,	14099,	1.000,	0.00,	0.000,	1.000,	''),
(11360,	4051,	736,	2,	10,	3,	14100,	0.500,	0.00,	0.000,	1.000,	''),
(11361,	4052,	1344,	1,	3,	4,	14101,	2.000,	0.00,	0.000,	2.000,	''),
(11362,	4053,	122,	2,	4,	23,	14108,	1.100,	0.00,	0.000,	2.200,	''),
(11363,	4053,	156,	1,	3,	3,	14109,	3.800,	0.00,	0.000,	3.800,	''),
(11364,	4053,	168,	1,	3,	3,	14110,	2.100,	0.00,	0.000,	2.100,	''),
(11365,	4053,	1344,	3,	3,	4,	14111,	2.000,	0.00,	0.000,	6.000,	''),
(11366,	4053,	1434,	1,	3,	3,	14112,	4.200,	0.00,	0.000,	4.200,	''),
(11367,	4053,	1514,	1,	3,	3,	14113,	6.400,	0.00,	0.000,	6.400,	''),
(11368,	4054,	57,	1,	7,	10,	14120,	2.200,	0.00,	0.000,	2.200,	''),
(11369,	4054,	76,	1,	7,	12,	14121,	2.200,	0.00,	0.000,	2.200,	''),
(11370,	4054,	122,	2,	4,	23,	14114,	1.100,	0.00,	0.000,	2.200,	''),
(11371,	4054,	1071,	1,	3,	3,	14118,	2.200,	0.00,	0.000,	2.200,	''),
(11372,	4054,	1127,	1,	3,	3,	14116,	2.000,	0.00,	0.000,	2.000,	''),
(11373,	4054,	1138,	1,	3,	3,	14117,	1.500,	0.00,	0.000,	1.500,	''),
(11374,	4054,	1433,	1,	3,	23,	14115,	4.200,	0.00,	0.000,	4.200,	''),
(11375,	4054,	1514,	1,	7,	3,	14119,	2.000,	0.00,	0.000,	2.000,	''),
(11376,	4055,	682,	1,	3,	3,	14122,	10.800,	0.00,	0.000,	5.400,	''),
(11377,	4056,	766,	1,	3,	3,	14123,	2.600,	0.00,	0.000,	2.600,	''),
(11378,	4057,	753,	1,	63,	3,	14124,	2.600,	0.00,	0.000,	2.600,	''),
(11379,	4058,	122,	2,	4,	23,	14132,	1.100,	0.00,	0.000,	2.200,	''),
(11380,	4058,	152,	1,	1,	3,	14126,	1.100,	0.00,	0.000,	1.100,	''),
(11381,	4058,	676,	1,	3,	3,	14129,	6.200,	0.00,	0.000,	3.100,	''),
(11382,	4058,	1071,	1,	3,	3,	14135,	2.400,	0.00,	0.000,	2.400,	''),
(11383,	4058,	1127,	1,	3,	3,	14128,	2.000,	0.00,	0.000,	2.000,	''),
(11384,	4058,	1251,	1,	4,	3,	14131,	0.480,	5.00,	0.024,	0.504,	''),
(11385,	4058,	1344,	1,	10,	20,	14136,	3.600,	0.00,	0.000,	3.600,	''),
(11386,	4058,	1425,	1,	1,	3,	14125,	1.900,	0.00,	0.000,	1.900,	''),
(11387,	4058,	1570,	2,	4,	3,	14133,	1.900,	0.00,	0.000,	3.800,	''),
(11388,	4058,	1712,	3,	4,	3,	14127,	0.400,	0.00,	0.000,	1.200,	''),
(11389,	4058,	1726,	1,	3,	3,	14130,	3.600,	0.00,	0.000,	3.600,	''),
(11390,	4058,	1766,	1,	3,	3,	14134,	0.800,	0.00,	0.000,	0.800,	''),
(11391,	4059,	1344,	1,	3,	29,	14137,	2.200,	0.00,	0.000,	2.200,	''),
(11392,	4060,	306,	1,	1,	3,	14144,	1.400,	0.00,	0.000,	1.120,	''),
(11393,	4060,	799,	3,	4,	5,	14145,	0.700,	0.00,	0.000,	2.100,	''),
(11394,	4060,	1174,	1,	3,	3,	14146,	2.900,	0.00,	0.000,	2.900,	''),
(11395,	4060,	1425,	1,	1,	3,	14147,	2.000,	0.00,	0.000,	2.000,	''),
(11396,	4060,	1433,	1,	1,	23,	14148,	2.000,	0.00,	0.000,	2.000,	''),
(11397,	4060,	1766,	1,	3,	3,	14149,	0.800,	0.00,	0.000,	0.800,	''),
(11398,	4061,	799,	3,	4,	5,	14150,	0.700,	0.00,	0.000,	2.100,	''),
(11399,	4061,	1174,	1,	3,	3,	14151,	2.900,	0.00,	0.000,	2.900,	''),
(11400,	4062,	57,	1,	7,	13,	14162,	2.200,	0.00,	0.000,	2.200,	''),
(11401,	4062,	122,	2,	4,	23,	14163,	1.100,	0.00,	0.000,	2.200,	''),
(11402,	4062,	170,	1,	3,	3,	14161,	5.800,	0.00,	0.000,	5.800,	''),
(11403,	4062,	799,	3,	4,	5,	14164,	0.700,	0.00,	0.000,	2.100,	''),
(11404,	4062,	1071,	1,	3,	3,	14165,	2.400,	0.00,	0.000,	2.400,	''),
(11405,	4062,	1100,	1,	3,	3,	14166,	5.800,	0.00,	0.000,	5.800,	''),
(11406,	4062,	1127,	1,	3,	3,	14167,	2.000,	0.00,	0.000,	2.000,	''),
(11407,	4062,	1174,	1,	3,	3,	14168,	2.900,	0.00,	0.000,	2.900,	''),
(11408,	4062,	1433,	1,	7,	23,	14169,	1.100,	0.00,	0.000,	1.100,	''),
(11409,	4062,	1514,	1,	7,	3,	14170,	2.000,	0.00,	0.000,	2.000,	''),
(11410,	4063,	1835,	3,	3,	3,	14209,	4.500,	5.00,	0.675,	14.175,	''),
(11411,	4064,	168,	1,	3,	3,	14173,	2.200,	0.00,	0.000,	2.200,	''),
(11412,	4064,	1127,	3,	3,	3,	14175,	2.000,	0.00,	0.000,	6.000,	''),
(11413,	4064,	1166,	2,	3,	3,	14174,	2.200,	0.00,	0.000,	4.400,	''),
(11414,	4064,	1433,	4,	3,	4,	14172,	1.100,	0.00,	0.000,	4.400,	''),
(11415,	4065,	1131,	1,	3,	6,	14210,	2.800,	0.00,	0.000,	2.800,	''),
(11416,	4066,	168,	2,	3,	3,	14181,	2.200,	0.00,	0.000,	4.400,	''),
(11417,	4066,	178,	2,	1,	3,	14179,	1.200,	0.00,	0.000,	2.400,	''),
(11418,	4066,	753,	2,	63,	3,	14178,	1.800,	0.00,	0.000,	3.600,	''),
(11419,	4066,	1071,	1,	3,	3,	14180,	2.400,	0.00,	0.000,	2.400,	''),
(11420,	4066,	1839,	2,	63,	3,	14177,	1.900,	5.00,	0.190,	3.990,	''),
(11421,	4067,	1425,	30,	3,	3,	14182,	1.900,	0.00,	0.000,	57.000,	''),
(11422,	4068,	57,	1,	7,	11,	14183,	2.200,	0.00,	0.000,	2.200,	''),
(11423,	4068,	168,	1,	3,	3,	14188,	2.200,	0.00,	0.000,	2.200,	''),
(11424,	4068,	808,	1,	3,	3,	14185,	6.600,	0.00,	0.000,	6.600,	''),
(11425,	4068,	1138,	1,	3,	3,	14187,	1.600,	0.00,	0.000,	1.600,	''),
(11426,	4068,	1344,	1,	3,	29,	14186,	2.200,	0.00,	0.000,	2.200,	''),
(11427,	4068,	1766,	1,	3,	3,	14184,	0.800,	0.00,	0.000,	0.800,	''),
(11428,	4069,	682,	1,	3,	3,	14190,	10.800,	0.00,	0.000,	5.400,	''),
(11429,	4069,	799,	5,	4,	5,	14189,	0.600,	0.00,	0.000,	3.000,	''),
(11430,	4070,	122,	1,	4,	5,	14193,	1.100,	0.00,	0.000,	1.100,	''),
(11431,	4070,	1491,	1,	3,	3,	14192,	1.300,	0.00,	0.000,	1.300,	''),
(11432,	4070,	1587,	1,	4,	4,	14191,	0.800,	0.00,	0.000,	0.800,	''),
(11433,	4071,	279,	1,	3,	3,	14201,	4.800,	0.00,	0.000,	4.800,	''),
(11434,	4071,	306,	1,	3,	3,	14202,	8.800,	0.00,	0.000,	8.800,	''),
(11435,	4071,	766,	2,	3,	3,	14203,	2.600,	0.00,	0.000,	5.200,	''),
(11436,	4071,	932,	2,	6,	24,	14204,	0.900,	0.00,	0.000,	1.800,	''),
(11437,	4071,	969,	1,	3,	3,	14205,	5.000,	0.00,	0.000,	5.000,	''),
(11438,	4071,	1344,	2,	3,	31,	14206,	3.600,	0.00,	0.000,	7.200,	''),
(11439,	4071,	1959,	4,	1,	3,	14207,	1.400,	0.00,	0.000,	6.020,	''),
(11440,	4072,	1425,	6,	1,	3,	14208,	1.900,	0.00,	0.000,	11.400,	''),
(11441,	4073,	1131,	1,	3,	6,	14211,	2.800,	0.00,	0.000,	1.400,	''),
(11442,	4074,	1131,	1,	3,	6,	14212,	3.000,	0.00,	0.000,	3.000,	''),
(11443,	4075,	1127,	1,	3,	3,	14213,	1.800,	0.00,	0.000,	1.800,	''),
(11444,	4076,	57,	1,	7,	11,	14215,	2.200,	0.00,	0.000,	2.200,	''),
(11445,	4076,	76,	1,	7,	12,	14214,	2.200,	0.00,	0.000,	2.200,	''),
(11446,	4076,	122,	1,	3,	23,	14216,	4.200,	0.00,	0.000,	4.200,	''),
(11447,	4076,	1174,	1,	3,	3,	14217,	2.900,	0.00,	0.000,	2.900,	''),
(11448,	4077,	57,	1,	7,	12,	14256,	2.200,	0.00,	0.000,	2.200,	''),
(11449,	4077,	1131,	1,	3,	6,	14257,	2.800,	0.00,	0.000,	2.800,	''),
(11450,	4077,	1131,	1,	7,	3,	14258,	2.000,	0.00,	0.000,	2.000,	''),
(11451,	4077,	1514,	1,	7,	3,	14259,	2.000,	0.00,	0.000,	2.000,	''),
(11452,	4078,	57,	1,	7,	12,	14231,	2.200,	0.00,	0.000,	2.200,	''),
(11453,	4078,	736,	1,	3,	4,	14230,	0.500,	0.00,	0.000,	0.500,	''),
(11454,	4078,	1131,	1,	3,	6,	14232,	2.800,	0.00,	0.000,	2.800,	'm'),
(11455,	4078,	1131,	1,	7,	3,	14233,	2.000,	0.00,	0.000,	2.000,	''),
(11456,	4078,	1514,	1,	7,	3,	14234,	2.000,	0.00,	0.000,	2.000,	''),
(11457,	4079,	553,	1,	63,	3,	14236,	3.800,	5.00,	0.190,	3.990,	''),
(11458,	4079,	1958,	4,	1,	3,	14235,	1.500,	0.00,	0.000,	6.300,	''),
(11459,	4080,	122,	1,	4,	23,	14238,	1.200,	0.00,	0.000,	1.200,	''),
(11460,	4080,	932,	1,	6,	24,	14237,	0.900,	0.00,	0.000,	0.900,	''),
(11461,	4080,	1344,	1,	3,	31,	14239,	3.500,	0.00,	0.000,	3.500,	''),
(11462,	4081,	123,	1,	4,	3,	14265,	0.500,	0.00,	0.000,	0.500,	''),
(11463,	4081,	1626,	1,	3,	71,	14266,	2.300,	0.00,	0.000,	2.300,	''),
(11464,	4082,	1131,	5,	3,	6,	14267,	2.600,	0.00,	0.000,	13.000,	''),
(11465,	4083,	766,	1,	3,	3,	14287,	2.500,	0.00,	0.000,	2.500,	''),
(11466,	4084,	152,	2,	3,	3,	14273,	10.800,	0.00,	0.000,	21.600,	''),
(11467,	4084,	170,	3,	3,	3,	14271,	5.700,	0.00,	0.000,	17.100,	''),
(11468,	4084,	279,	1,	3,	3,	14272,	4.500,	0.00,	0.000,	4.500,	''),
(11469,	4084,	420,	1,	3,	3,	14270,	1.600,	0.00,	0.000,	1.600,	''),
(11476,	4085,	528,	1,	3,	3,	14282,	2.900,	0.00,	0.000,	2.900,	''),
(11477,	4085,	688,	1,	3,	3,	14281,	12.000,	0.00,	0.000,	12.000,	''),
(11478,	4085,	766,	2,	3,	3,	14283,	2.600,	0.00,	0.000,	5.200,	''),
(11479,	4087,	57,	1,	3,	14,	14285,	8.900,	0.00,	0.000,	8.900,	''),
(11480,	4087,	836,	1,	3,	3,	14284,	6.400,	0.00,	0.000,	6.400,	''),
(11481,	4089,	168,	1,	3,	3,	14289,	2.200,	0.00,	0.000,	2.200,	''),
(11482,	4089,	1514,	1,	7,	3,	14288,	1.900,	0.00,	0.000,	1.900,	''),
(11483,	4089,	1726,	1,	3,	3,	14290,	3.500,	0.00,	0.000,	3.500,	''),
(11484,	4088,	152,	5,	1,	3,	14286,	1.100,	0.00,	0.000,	5.500,	''),
(11485,	4086,	152,	5,	1,	3,	14277,	1.100,	0.00,	0.000,	5.500,	''),
(11486,	3690,	1071,	1,	3,	3,	12745,	2.400,	0.00,	0.000,	2.400,	''),
(11487,	3690,	1839,	1,	63,	3,	12744,	1.800,	5.00,	0.090,	1.890,	''),
(11488,	4090,	1251,	1,	3,	3,	14293,	3.810,	5.00,	0.191,	4.001,	''),
(11489,	4091,	420,	2,	3,	3,	14302,	1.600,	0.00,	0.000,	3.200,	''),
(11490,	4091,	1071,	1,	3,	3,	14303,	2.300,	0.00,	0.000,	2.300,	''),
(11491,	4091,	1127,	5,	3,	3,	14304,	1.600,	0.00,	0.000,	8.000,	''),
(11492,	4091,	1563,	1,	3,	111,	14305,	6.000,	0.00,	0.000,	6.000,	''),
(11493,	4092,	370,	1,	3,	3,	14299,	3.000,	0.00,	0.000,	3.000,	''),
(11494,	4093,	1131,	1,	3,	6,	14300,	2.800,	0.00,	0.000,	1.400,	''),
(11495,	4094,	799,	1,	3,	5,	14301,	6.000,	0.00,	0.000,	6.000,	''),
(11496,	4095,	742,	10,	3,	74,	14306,	10.500,	0.00,	0.000,	105.000,	''),
(11497,	4096,	250,	1,	63,	4,	14307,	1.200,	0.00,	0.000,	1.200,	''),
(11498,	4097,	1124,	2,	3,	3,	14311,	2.000,	0.00,	0.000,	4.000,	''),
(11499,	4097,	1127,	1,	3,	3,	14310,	2.000,	0.00,	0.000,	2.000,	''),
(11500,	4097,	1174,	1,	3,	3,	14308,	3.000,	0.00,	0.000,	3.000,	''),
(11501,	4097,	1563,	1,	3,	111,	14309,	6.000,	0.00,	0.000,	6.000,	''),
(11502,	4098,	1514,	1,	7,	3,	14312,	1.900,	0.00,	0.000,	1.900,	''),
(11503,	4099,	1891,	1,	3,	3,	14313,	5.900,	0.00,	0.000,	5.900,	''),
(11504,	4101,	420,	2,	3,	3,	14335,	1.600,	0.00,	0.000,	3.200,	''),
(11505,	4101,	766,	3,	3,	3,	14338,	2.600,	0.00,	0.000,	7.800,	''),
(11506,	4101,	1071,	2,	3,	3,	14337,	2.200,	0.00,	0.000,	4.400,	''),
(11507,	4101,	1610,	1,	3,	3,	14336,	3.400,	0.00,	0.000,	3.400,	''),
(11508,	4101,	1839,	4,	63,	3,	14339,	1.900,	5.00,	0.380,	7.980,	''),
(11509,	4102,	528,	1,	3,	3,	14334,	2.800,	0.00,	0.000,	2.800,	''),
(11510,	4102,	1344,	2,	3,	72,	14333,	1.800,	0.00,	0.000,	3.600,	''),
(11511,	4100,	65,	2,	3,	13,	14323,	10.800,	0.00,	0.000,	21.600,	''),
(11512,	4100,	73,	1,	3,	9,	14324,	10.200,	0.00,	0.000,	10.200,	''),
(11513,	4100,	170,	4,	3,	3,	14325,	5.700,	0.00,	0.000,	22.800,	''),
(11514,	4100,	753,	5,	3,	5,	14321,	4.200,	0.00,	0.000,	21.000,	''),
(11515,	4100,	766,	4,	3,	3,	14326,	2.600,	0.00,	0.000,	10.400,	''),
(11516,	4100,	969,	2,	3,	3,	14327,	5.200,	0.00,	0.000,	10.400,	''),
(11517,	4100,	1127,	30,	3,	3,	14328,	1.600,	0.00,	0.000,	48.000,	''),
(11518,	4100,	1480,	2,	3,	3,	14322,	6.500,	0.00,	0.000,	13.000,	''),
(11519,	4100,	1839,	4,	63,	3,	14329,	1.900,	5.00,	0.380,	7.980,	''),
(11520,	4103,	21,	1,	3,	9,	14340,	9.400,	0.00,	0.000,	9.400,	''),
(11521,	4104,	736,	4,	10,	4,	14341,	0.500,	0.00,	0.000,	2.000,	''),
(11527,	4105,	676,	1,	3,	3,	14342,	12.500,	0.00,	0.000,	6.250,	''),
(11528,	4106,	753,	5,	63,	3,	14343,	2.500,	0.00,	0.000,	12.500,	''),
(11529,	4106,	1344,	2,	3,	20,	14344,	3.600,	0.00,	0.000,	7.200,	''),
(11530,	4107,	501,	1,	1,	3,	14346,	2.000,	0.00,	0.000,	2.000,	''),
(11531,	4107,	1570,	2,	4,	3,	14345,	1.900,	0.00,	0.000,	3.800,	''),
(11532,	4108,	122,	1,	4,	23,	14351,	1.100,	0.00,	0.000,	1.100,	''),
(11533,	4108,	279,	1,	4,	5,	14352,	0.500,	0.00,	0.000,	0.500,	''),
(11534,	4108,	799,	1,	4,	5,	14353,	0.700,	0.00,	0.000,	0.700,	''),
(11535,	4109,	1526,	1,	3,	3,	14354,	5.700,	0.00,	0.000,	5.700,	''),
(11536,	4110,	170,	2,	3,	3,	14360,	5.700,	0.00,	0.000,	11.400,	''),
(11537,	4110,	190,	10,	1,	3,	14355,	0.450,	0.00,	0.000,	4.500,	''),
(11538,	4110,	682,	1,	3,	3,	14356,	10.800,	0.00,	0.000,	5.400,	''),
(11539,	4110,	1061,	1,	3,	3,	14359,	3.300,	0.00,	0.000,	3.300,	''),
(11540,	4110,	1166,	4,	3,	3,	14357,	2.000,	0.00,	0.000,	8.000,	''),
(11541,	4110,	1174,	2,	3,	3,	14358,	2.600,	0.00,	0.000,	5.200,	''),
(11542,	4111,	528,	1,	3,	3,	14361,	2.800,	0.00,	0.000,	2.800,	''),
(11543,	4111,	1344,	1,	3,	25,	14362,	3.200,	0.00,	0.000,	3.200,	''),
(11544,	4112,	178,	4,	1,	3,	14363,	1.200,	0.00,	0.000,	4.800,	''),
(11545,	4112,	1835,	1,	3,	3,	14364,	4.500,	5.00,	0.225,	4.725,	''),
(11546,	4113,	57,	1,	7,	10,	14365,	2.200,	0.00,	0.000,	2.200,	''),
(11547,	4114,	168,	1,	3,	3,	14368,	2.100,	0.00,	0.000,	2.100,	''),
(11548,	4114,	178,	2,	1,	3,	14367,	1.100,	0.00,	0.000,	2.200,	''),
(11549,	4114,	249,	1,	63,	3,	14369,	1.200,	0.00,	0.000,	1.200,	''),
(11550,	4114,	551,	5,	6,	3,	14366,	0.160,	5.00,	0.040,	0.840,	''),
(11568,	4121,	279,	2,	4,	3,	14391,	0.500,	0.00,	0.000,	1.000,	''),
(11569,	4121,	286,	2,	4,	3,	14390,	1.900,	0.00,	0.000,	3.800,	''),
(11570,	4115,	121,	1,	4,	23,	14372,	1.100,	0.00,	0.000,	1.100,	''),
(11571,	4115,	168,	1,	3,	3,	14376,	2.200,	0.00,	0.000,	2.200,	''),
(11572,	4115,	178,	1,	1,	3,	14374,	10.800,	0.00,	0.000,	10.800,	''),
(11573,	4115,	753,	1,	63,	3,	14373,	2.600,	0.00,	0.000,	2.600,	''),
(11574,	4115,	799,	1,	4,	5,	14370,	0.700,	0.00,	0.000,	0.700,	''),
(11575,	4115,	1124,	1,	3,	3,	14375,	2.000,	0.00,	0.000,	2.000,	''),
(11576,	4115,	1435,	1,	7,	4,	14371,	2.000,	0.00,	0.000,	2.000,	''),
(11577,	4117,	753,	1,	63,	3,	14380,	1.800,	0.00,	0.000,	1.800,	''),
(11578,	4117,	1138,	1,	3,	3,	14381,	1.500,	0.00,	0.000,	1.500,	''),
(11579,	4116,	1060,	1,	3,	3,	14382,	3.300,	0.00,	0.000,	3.300,	''),
(11580,	4116,	1174,	1,	3,	3,	14383,	2.800,	0.00,	0.000,	2.800,	''),
(11581,	4118,	676,	1,	3,	3,	14385,	12.500,	0.00,	0.000,	12.500,	''),
(11582,	4118,	1344,	1,	3,	103,	14384,	1.800,	0.00,	0.000,	1.800,	''),
(11583,	4119,	766,	1,	3,	3,	14386,	2.500,	0.00,	0.000,	2.500,	''),
(11584,	4120,	57,	1,	3,	15,	14389,	9.000,	0.00,	0.000,	9.000,	''),
(11585,	4120,	676,	1,	3,	3,	14387,	12.600,	0.00,	0.000,	12.600,	''),
(11586,	4120,	799,	1,	3,	5,	14388,	6.000,	0.00,	0.000,	6.000,	''),
(11587,	4122,	753,	1,	63,	3,	14392,	1.800,	0.00,	0.000,	1.800,	''),
(11588,	4123,	170,	2,	3,	2,	14394,	5.700,	0.00,	0.000,	11.400,	''),
(11589,	4123,	420,	3,	3,	3,	14393,	1.600,	0.00,	0.000,	4.800,	''),
(11590,	4124,	678,	1,	3,	3,	14395,	12.400,	0.00,	0.000,	12.400,	''),
(11591,	4125,	420,	1,	3,	3,	14400,	1.500,	0.00,	0.000,	1.500,	''),
(11592,	4125,	676,	1,	3,	3,	14401,	12.600,	0.00,	0.000,	12.600,	''),
(11593,	4125,	766,	2,	3,	3,	14402,	2.500,	0.00,	0.000,	5.000,	''),
(11594,	4125,	1344,	1,	3,	29,	14399,	2.000,	0.00,	0.000,	2.000,	''),
(11595,	4126,	31,	1,	7,	13,	14405,	2.200,	0.00,	0.000,	2.200,	''),
(11596,	4126,	1124,	1,	3,	3,	14403,	2.200,	0.00,	0.000,	2.200,	''),
(11597,	4126,	1510,	1,	7,	3,	14404,	2.200,	0.00,	0.000,	2.200,	''),
(11598,	4127,	152,	1,	1,	3,	14406,	1.200,	0.00,	0.000,	1.200,	''),
(11599,	4127,	753,	1,	63,	3,	14408,	1.800,	0.00,	0.000,	1.800,	''),
(11600,	4127,	1344,	2,	3,	25,	14409,	3.500,	0.00,	0.000,	7.000,	''),
(11601,	4127,	1626,	1,	3,	105,	14407,	2.300,	0.00,	0.000,	2.300,	''),
(11602,	4128,	933,	1,	3,	3,	14410,	4.000,	0.00,	0.000,	4.000,	''),
(11603,	4129,	1124,	6,	3,	3,	14411,	2.200,	0.00,	0.000,	13.200,	''),
(11604,	4130,	168,	1,	3,	3,	14413,	2.100,	0.00,	0.000,	2.100,	''),
(11605,	4130,	420,	1,	3,	3,	14414,	1.500,	0.00,	0.000,	1.500,	''),
(11606,	4130,	1071,	1,	3,	3,	14412,	2.200,	0.00,	0.000,	2.200,	''),
(11607,	4130,	1344,	1,	3,	20,	14415,	3.500,	0.00,	0.000,	3.500,	''),
(11608,	4131,	1839,	1,	63,	3,	14416,	1.900,	5.00,	0.095,	1.995,	''),
(11609,	4132,	528,	1,	3,	3,	14422,	2.800,	0.00,	0.000,	2.800,	''),
(11610,	4132,	551,	3,	63,	3,	14423,	3.800,	5.00,	0.570,	11.970,	''),
(11611,	4132,	679,	1,	3,	3,	14424,	12.500,	0.00,	0.000,	12.500,	''),
(11612,	4132,	766,	2,	3,	3,	14425,	2.600,	0.00,	0.000,	5.200,	''),
(11613,	4132,	1298,	2,	1,	3,	14426,	1.600,	0.00,	0.000,	3.200,	''),
(11614,	4133,	76,	1,	7,	11,	14427,	2.200,	0.00,	0.000,	2.200,	''),
(11615,	4133,	168,	1,	3,	3,	14428,	2.200,	0.00,	0.000,	2.200,	''),
(11616,	4133,	1174,	2,	3,	3,	14429,	3.000,	0.00,	0.000,	6.000,	''),
(11617,	4134,	766,	1,	3,	3,	14430,	2.500,	0.00,	0.000,	2.500,	''),
(11618,	4135,	122,	1,	4,	23,	14431,	1.200,	0.00,	0.000,	1.200,	''),
(11619,	4135,	799,	2,	4,	5,	14432,	0.600,	0.00,	0.000,	1.200,	''),
(11620,	4135,	1127,	2,	3,	3,	14434,	2.000,	0.00,	0.000,	4.000,	''),
(11621,	4135,	1174,	1,	3,	3,	14435,	3.000,	0.00,	0.000,	3.000,	''),
(11622,	4135,	1344,	1,	3,	29,	14433,	2.200,	0.00,	0.000,	2.200,	''),
(11623,	4136,	1351,	1,	3,	20,	14436,	6.000,	0.00,	0.000,	6.000,	''),
(11624,	4137,	753,	1,	63,	3,	14437,	1.800,	0.00,	0.000,	1.800,	''),
(11625,	4137,	766,	1,	3,	3,	14438,	2.500,	0.00,	0.000,	2.500,	''),
(11626,	4138,	1138,	4,	3,	3,	14439,	1.600,	0.00,	0.000,	6.400,	''),
(11627,	4139,	420,	2,	3,	3,	14448,	1.500,	0.00,	0.000,	3.000,	''),
(11628,	4139,	667,	1,	3,	60,	14449,	13.200,	0.00,	0.000,	13.200,	''),
(11629,	4139,	753,	1,	63,	3,	14450,	2.600,	0.00,	0.000,	2.600,	''),
(11630,	4139,	766,	1,	3,	3,	14451,	2.500,	0.00,	0.000,	2.500,	''),
(11631,	4139,	1563,	1,	3,	105,	14452,	6.000,	0.00,	0.000,	6.000,	''),
(11632,	4139,	1766,	6,	3,	3,	14447,	0.600,	0.00,	0.000,	3.600,	''),
(11633,	4139,	1839,	1,	63,	3,	14453,	1.900,	5.00,	0.095,	1.995,	''),
(11634,	4140,	152,	2,	1,	3,	14455,	1.200,	0.00,	0.000,	2.400,	''),
(11635,	4140,	168,	1,	3,	3,	14454,	2.100,	0.00,	0.000,	2.100,	''),
(11636,	4141,	420,	1,	3,	3,	14456,	1.500,	0.00,	0.000,	1.500,	''),
(11637,	4142,	122,	1,	3,	23,	14457,	4.400,	0.00,	0.000,	4.400,	''),
(11638,	4143,	152,	2,	1,	3,	14458,	1.200,	0.00,	0.000,	2.400,	''),
(11639,	4144,	152,	2,	3,	3,	14459,	10.800,	0.00,	0.000,	21.600,	''),
(11641,	4145,	1626,	1,	3,	105,	14460,	2.300,	0.00,	0.000,	2.300,	''),
(11646,	4146,	1131,	1,	3,	3,	14462,	1.500,	0.00,	0.000,	1.500,	''),
(11647,	4147,	420,	1,	3,	3,	14463,	1.500,	0.00,	0.000,	1.500,	''),
(11648,	4147,	766,	1,	3,	3,	14464,	2.500,	0.00,	0.000,	2.500,	''),
(11649,	4148,	1174,	1,	3,	3,	14465,	3.000,	0.00,	0.000,	3.000,	''),
(11650,	4149,	150,	1,	3,	3,	14466,	3.800,	0.00,	0.000,	3.800,	''),
(11651,	4150,	168,	1,	3,	3,	14473,	2.200,	0.00,	0.000,	2.200,	'bana'),
(11652,	4150,	420,	1,	3,	3,	14474,	1.500,	0.00,	0.000,	1.500,	''),
(11653,	4150,	678,	1,	3,	3,	14475,	12.400,	0.00,	0.000,	6.200,	''),
(11654,	4150,	1138,	2,	3,	3,	14476,	1.400,	0.00,	0.000,	2.800,	''),
(11655,	4150,	1344,	1,	3,	31,	14477,	3.200,	0.00,	0.000,	3.200,	''),
(11656,	4150,	1491,	1,	3,	3,	14478,	1.300,	0.00,	0.000,	1.300,	''),
(11657,	4151,	676,	1,	3,	3,	14479,	12.500,	0.00,	0.000,	12.500,	''),
(11658,	4152,	753,	2,	63,	3,	14480,	2.600,	0.00,	0.000,	5.200,	''),
(11659,	4153,	682,	1,	7,	3,	14481,	10.800,	0.00,	0.000,	10.800,	''),
(11660,	4154,	1138,	1,	3,	3,	14482,	1.400,	0.00,	0.000,	1.400,	''),
(11661,	4155,	33,	1,	3,	4,	14484,	1.300,	0.00,	0.000,	1.300,	''),
(11662,	4155,	676,	1,	3,	3,	14483,	12.500,	0.00,	0.000,	12.500,	''),
(11663,	4155,	1766,	1,	3,	3,	14485,	0.800,	0.00,	0.000,	0.800,	''),
(11664,	4157,	528,	1,	3,	3,	14487,	2.800,	0.00,	0.000,	2.800,	''),
(11665,	4156,	766,	1,	3,	3,	14486,	2.500,	0.00,	0.000,	2.500,	''),
(11666,	4158,	753,	1,	63,	3,	14488,	2.600,	0.00,	0.000,	2.600,	''),
(11667,	4159,	970,	1,	3,	3,	14489,	4.800,	0.00,	0.000,	4.800,	''),
(11668,	4160,	1312,	1,	63,	79,	14490,	0.900,	0.00,	0.000,	0.900,	''),
(11669,	4161,	73,	1,	7,	7,	14492,	2.400,	0.00,	0.000,	2.400,	''),
(11670,	4161,	798,	1,	3,	3,	14493,	4.200,	0.00,	0.000,	4.200,	''),
(11671,	4161,	1570,	2,	4,	3,	14491,	2.000,	0.00,	0.000,	4.000,	''),
(11672,	4162,	1298,	2,	1,	3,	14494,	1.600,	0.00,	0.000,	3.200,	''),
(11673,	4162,	1312,	1,	63,	55,	14495,	1.400,	0.00,	0.000,	1.400,	''),
(11674,	4163,	152,	4,	1,	3,	14500,	1.200,	0.00,	0.000,	4.800,	''),
(11675,	4163,	168,	1,	3,	3,	14497,	2.100,	0.00,	0.000,	2.100,	''),
(11676,	4163,	275,	1,	3,	5,	14499,	4.500,	0.00,	0.000,	4.500,	''),
(11677,	4163,	668,	1,	3,	3,	14496,	12.000,	0.00,	0.000,	6.000,	''),
(11678,	4163,	676,	1,	3,	4,	14498,	10.800,	0.00,	0.000,	10.800,	''),
(11679,	4164,	150,	1,	3,	3,	14503,	3.500,	0.00,	0.000,	3.500,	''),
(11680,	4164,	1138,	2,	3,	3,	14501,	1.500,	0.00,	0.000,	3.000,	''),
(11681,	4164,	1344,	1,	3,	25,	14502,	3.200,	0.00,	0.000,	3.200,	''),
(11682,	4165,	528,	1,	3,	3,	14505,	2.800,	0.00,	0.000,	2.800,	''),
(11683,	4165,	969,	1,	3,	3,	14504,	4.800,	0.00,	0.000,	4.800,	''),
(11684,	4166,	45,	1,	3,	3,	14510,	1.300,	0.00,	0.000,	1.300,	''),
(11685,	4166,	279,	2,	4,	5,	14506,	0.500,	0.00,	0.000,	1.000,	''),
(11686,	4166,	799,	3,	4,	5,	14507,	0.600,	0.00,	0.000,	1.800,	''),
(11687,	4166,	1124,	2,	3,	3,	14509,	2.200,	0.00,	0.000,	4.400,	''),
(11688,	4166,	1659,	1,	63,	3,	14508,	0.900,	0.00,	0.000,	0.900,	''),
(11689,	4167,	57,	1,	7,	14,	14511,	2.200,	0.00,	0.000,	2.200,	''),
(11690,	4167,	1138,	1,	3,	3,	14512,	1.600,	0.00,	0.000,	1.600,	''),
(11691,	4168,	57,	4,	3,	15,	14514,	9.000,	0.00,	0.000,	36.000,	''),
(11692,	4168,	73,	1,	3,	9,	14513,	10.200,	0.00,	0.000,	10.200,	''),
(11696,	4169,	501,	8,	1,	3,	14517,	2.000,	0.00,	0.000,	16.000,	''),
(11697,	4169,	753,	1,	63,	3,	14518,	2.600,	0.00,	0.000,	2.600,	''),
(11698,	4170,	1626,	2,	3,	71,	14519,	2.400,	0.00,	0.000,	4.800,	''),
(11699,	4171,	753,	1,	63,	3,	14520,	1.800,	0.00,	0.000,	1.800,	''),
(11700,	4171,	766,	1,	3,	3,	14521,	2.500,	0.00,	0.000,	2.500,	''),
(11701,	4172,	420,	10,	3,	3,	14522,	1.500,	0.00,	0.000,	15.000,	''),
(11702,	4173,	76,	1,	7,	10,	14524,	2.200,	0.00,	0.000,	2.200,	''),
(11703,	4173,	168,	1,	3,	3,	14523,	2.100,	0.00,	0.000,	2.100,	''),
(11704,	4173,	798,	1,	3,	22,	14527,	3.800,	0.00,	0.000,	3.800,	''),
(11705,	4173,	1071,	1,	3,	3,	14525,	2.400,	0.00,	0.000,	2.400,	''),
(11706,	4173,	1367,	1,	3,	20,	14528,	6.000,	0.00,	0.000,	6.000,	''),
(11707,	4173,	1491,	1,	3,	4,	14526,	1.400,	0.00,	0.000,	1.400,	''),
(11708,	4174,	1131,	1,	3,	3,	14529,	2.000,	0.00,	0.000,	2.000,	''),
(11709,	4175,	122,	2,	4,	23,	14542,	1.000,	0.00,	0.000,	2.000,	''),
(11710,	4175,	156,	1,	3,	3,	14543,	3.300,	0.00,	0.000,	3.300,	''),
(11711,	4175,	168,	1,	3,	3,	14544,	2.100,	0.00,	0.000,	2.100,	''),
(11712,	4175,	755,	1,	1,	3,	14545,	1.400,	0.00,	0.000,	1.400,	''),
(11713,	4175,	765,	1,	1,	3,	14546,	1.700,	0.00,	0.000,	1.700,	''),
(11714,	4175,	1071,	1,	3,	3,	14547,	2.400,	0.00,	0.000,	2.400,	''),
(11715,	4175,	1124,	1,	3,	3,	14548,	1.900,	0.00,	0.000,	1.900,	''),
(11716,	4175,	1367,	1,	3,	20,	14549,	6.000,	0.00,	0.000,	6.000,	''),
(11717,	4176,	1124,	1,	3,	3,	14533,	1.900,	0.00,	0.000,	1.900,	''),
(11718,	4177,	121,	2,	4,	23,	14550,	1.100,	0.00,	0.000,	2.200,	''),
(11719,	4178,	168,	2,	3,	3,	14557,	2.100,	0.00,	0.000,	4.200,	''),
(11720,	4178,	170,	1,	3,	3,	14555,	5.700,	0.00,	0.000,	5.700,	''),
(11721,	4178,	178,	2,	3,	3,	14552,	10.800,	0.00,	0.000,	21.600,	''),
(11722,	4178,	420,	2,	3,	3,	14553,	1.600,	0.00,	0.000,	3.200,	''),
(11723,	4178,	753,	3,	63,	3,	14554,	1.800,	0.00,	0.000,	5.400,	''),
(11724,	4178,	798,	2,	3,	22,	14556,	3.500,	0.00,	0.000,	7.000,	''),
(11725,	4178,	1610,	1,	3,	3,	14551,	3.400,	0.00,	0.000,	3.400,	''),
(11726,	4179,	1138,	1,	3,	3,	14558,	1.600,	0.00,	0.000,	1.600,	''),
(11729,	4180,	76,	1,	7,	11,	14564,	2.200,	0.00,	0.000,	2.200,	''),
(11730,	4180,	168,	1,	3,	3,	14559,	2.200,	0.00,	0.000,	2.200,	''),
(11731,	4180,	420,	1,	3,	3,	14560,	1.600,	0.00,	0.000,	1.600,	''),
(11732,	4180,	798,	1,	3,	22,	14561,	3.800,	0.00,	0.000,	3.800,	''),
(11733,	4180,	1437,	2,	7,	4,	14562,	2.000,	0.00,	0.000,	4.000,	''),
(11734,	4180,	1514,	1,	7,	3,	14563,	2.000,	0.00,	0.000,	2.000,	''),
(11735,	4181,	813,	1,	3,	3,	14565,	3.800,	0.00,	0.000,	3.800,	''),
(11736,	4182,	827,	1,	3,	3,	14566,	3.800,	0.00,	0.000,	3.800,	''),
(11737,	4183,	76,	1,	3,	8,	14567,	10.200,	0.00,	0.000,	10.200,	''),
(11738,	4183,	190,	2,	1,	3,	14568,	0.500,	0.00,	0.000,	1.200,	''),
(11739,	4183,	279,	1,	3,	5,	14570,	4.500,	0.00,	0.000,	4.500,	''),
(11740,	4183,	798,	1,	3,	22,	14571,	3.800,	0.00,	0.000,	3.800,	''),
(11741,	4183,	1367,	1,	3,	20,	14572,	6.000,	0.00,	0.000,	6.000,	''),
(11742,	4183,	1437,	1,	3,	23,	14569,	7.800,	0.00,	0.000,	7.800,	''),
(11746,	4184,	57,	1,	7,	12,	14577,	2.200,	0.00,	0.000,	2.200,	''),
(11747,	4184,	122,	1,	3,	23,	14578,	4.200,	0.00,	0.000,	4.200,	''),
(11748,	4184,	753,	2,	63,	3,	14573,	1.800,	0.00,	0.000,	3.600,	''),
(11749,	4184,	1138,	2,	3,	3,	14575,	1.600,	0.00,	0.000,	3.200,	''),
(11750,	4184,	1514,	1,	7,	3,	14576,	2.100,	0.00,	0.000,	2.100,	''),
(11751,	4184,	1610,	1,	3,	3,	14574,	3.800,	0.00,	0.000,	3.800,	''),
(11752,	4185,	1344,	1,	3,	29,	14579,	2.000,	0.00,	0.000,	2.000,	''),
(11753,	4186,	1138,	1,	3,	3,	14582,	2.000,	0.00,	0.000,	2.000,	''),
(11754,	4186,	1174,	1,	3,	3,	14583,	2.800,	0.00,	0.000,	2.800,	''),
(11756,	4187,	33,	1,	3,	4,	14585,	1.300,	0.00,	0.000,	1.300,	''),
(11757,	4188,	753,	1,	63,	3,	14587,	1.800,	0.00,	0.000,	1.800,	''),
(11759,	4189,	57,	2,	3,	13,	14609,	9.000,	0.00,	0.000,	18.000,	''),
(11760,	4189,	121,	5,	4,	23,	14610,	2.900,	0.00,	0.000,	14.500,	''),
(11761,	4189,	420,	5,	3,	3,	14611,	1.500,	0.00,	0.000,	7.500,	''),
(11762,	4189,	528,	5,	63,	3,	14612,	2.800,	0.00,	0.000,	14.000,	''),
(11763,	4189,	753,	10,	63,	3,	14613,	1.700,	0.00,	0.000,	17.000,	''),
(11764,	4189,	766,	5,	3,	3,	14614,	2.600,	0.00,	0.000,	13.000,	''),
(11765,	4189,	798,	5,	3,	3,	14615,	3.800,	0.00,	0.000,	19.000,	''),
(11766,	4189,	1071,	5,	3,	3,	14616,	2.200,	0.00,	0.000,	11.000,	''),
(11767,	4189,	1526,	5,	3,	3,	14617,	5.600,	0.00,	0.000,	28.000,	''),
(11768,	4189,	1839,	5,	63,	3,	14618,	1.900,	5.00,	0.475,	9.975,	''),
(11769,	4190,	122,	2,	4,	23,	14596,	1.100,	0.00,	0.000,	2.200,	''),
(11770,	4190,	798,	1,	3,	22,	14595,	3.900,	0.00,	0.000,	3.900,	''),
(11771,	4190,	1124,	1,	3,	3,	14594,	2.000,	0.00,	0.000,	2.000,	''),
(11772,	4191,	57,	1,	7,	12,	14597,	2.200,	0.00,	0.000,	2.200,	''),
(11773,	4192,	1124,	1,	3,	3,	14619,	2.000,	0.00,	0.000,	2.000,	''),
(11774,	4192,	1174,	1,	3,	3,	14620,	3.000,	0.00,	0.000,	3.000,	''),
(11775,	4193,	152,	2,	1,	3,	14621,	1.100,	0.00,	0.000,	2.200,	''),
(11776,	4194,	57,	2,	7,	13,	14623,	2.200,	0.00,	0.000,	4.400,	''),
(11777,	4194,	1344,	2,	3,	4,	14622,	1.900,	0.00,	0.000,	3.800,	''),
(11778,	4196,	45,	1,	3,	4,	14627,	1.200,	0.00,	0.000,	1.200,	''),
(11779,	4196,	279,	4,	4,	3,	14625,	0.450,	0.00,	0.000,	1.800,	''),
(11780,	4196,	799,	2,	3,	5,	14628,	0.600,	0.00,	0.000,	1.200,	''),
(11781,	4196,	1138,	1,	3,	3,	14626,	1.500,	0.00,	0.000,	1.500,	''),
(11782,	4196,	1174,	1,	3,	3,	14629,	2.800,	0.00,	0.000,	2.800,	''),
(11783,	4196,	1367,	1,	3,	3,	14631,	6.000,	0.00,	0.000,	6.000,	''),
(11784,	4196,	1565,	4,	1,	3,	14630,	1.300,	0.00,	0.000,	4.550,	''),
(11785,	4195,	678,	1,	3,	3,	14624,	12.500,	0.00,	0.000,	12.500,	''),
(11786,	4197,	799,	3,	4,	5,	14634,	0.600,	0.00,	0.000,	1.800,	''),
(11787,	4197,	1439,	1,	4,	23,	14635,	2.000,	0.00,	0.000,	2.000,	''),
(11788,	4198,	682,	1,	3,	3,	14637,	10.800,	0.00,	0.000,	10.800,	''),
(11789,	4198,	766,	2,	3,	3,	14636,	2.600,	0.00,	0.000,	5.200,	''),
(11790,	4199,	168,	1,	3,	3,	14641,	2.200,	0.00,	0.000,	2.200,	''),
(11791,	4199,	753,	1,	63,	3,	14642,	1.800,	0.00,	0.000,	1.800,	''),
(11792,	4199,	767,	1,	1,	3,	14640,	1.600,	0.00,	0.000,	0.800,	''),
(11793,	4199,	798,	1,	3,	22,	14638,	4.000,	0.00,	0.000,	4.000,	''),
(11794,	4199,	1186,	3,	3,	3,	14639,	1.900,	0.00,	0.000,	5.700,	''),
(11795,	4199,	1344,	1,	3,	29,	14643,	2.200,	0.00,	0.000,	2.200,	''),
(11796,	4200,	45,	1,	3,	4,	14648,	1.200,	0.00,	0.000,	1.200,	''),
(11797,	4200,	420,	1,	3,	3,	14649,	1.600,	0.00,	0.000,	1.600,	''),
(11798,	4200,	969,	2,	1,	2,	14650,	0.500,	0.00,	0.000,	1.000,	''),
(11799,	4200,	1336,	1,	3,	29,	14651,	2.200,	0.00,	0.000,	2.200,	''),
(11800,	4201,	168,	3,	3,	3,	14663,	2.100,	0.00,	0.000,	6.300,	''),
(11801,	4201,	420,	2,	3,	3,	14664,	1.600,	0.00,	0.000,	3.200,	''),
(11802,	4201,	688,	1,	3,	3,	14665,	12.000,	0.00,	0.000,	12.000,	''),
(11803,	4201,	798,	1,	3,	22,	14666,	3.800,	0.00,	0.000,	3.800,	''),
(11804,	4201,	992,	1,	3,	3,	14667,	1.800,	0.00,	0.000,	1.800,	''),
(11805,	4201,	1071,	2,	3,	3,	14668,	2.200,	0.00,	0.000,	4.400,	''),
(11806,	4201,	1138,	2,	3,	3,	14669,	1.400,	0.00,	0.000,	2.800,	''),
(11807,	4201,	1166,	3,	3,	3,	14670,	2.000,	0.00,	0.000,	6.000,	''),
(11808,	4201,	1344,	2,	3,	20,	14671,	3.600,	0.00,	0.000,	7.200,	''),
(11809,	4201,	1526,	1,	3,	3,	14672,	5.800,	0.00,	0.000,	5.800,	''),
(11810,	4201,	1659,	1,	63,	2,	14673,	4.200,	0.00,	0.000,	4.200,	''),
(11811,	4202,	168,	1,	3,	3,	14676,	2.200,	0.00,	0.000,	2.200,	''),
(11812,	4202,	798,	1,	3,	22,	14674,	4.000,	0.00,	0.000,	4.000,	''),
(11813,	4202,	1344,	1,	3,	29,	14677,	2.200,	0.00,	0.000,	2.200,	''),
(11814,	4202,	1526,	1,	7,	3,	14675,	2.000,	0.00,	0.000,	2.000,	''),
(11815,	4203,	45,	1,	3,	4,	14680,	1.200,	0.00,	0.000,	1.200,	''),
(11816,	4203,	152,	1,	1,	3,	14678,	1.100,	0.00,	0.000,	1.100,	''),
(11817,	4203,	969,	1,	1,	4,	14679,	0.500,	0.00,	0.000,	0.500,	''),
(11818,	4203,	1344,	2,	3,	29,	14681,	2.200,	0.00,	0.000,	4.400,	''),
(11819,	4204,	1978,	1,	63,	3,	14682,	2.300,	5.00,	0.115,	2.415,	''),
(11845,	4210,	753,	1,	63,	3,	14693,	1.800,	0.00,	0.000,	1.800,	''),
(11846,	4210,	766,	1,	3,	3,	14694,	2.500,	0.00,	0.000,	2.500,	''),
(11847,	4205,	1298,	1,	1,	3,	14683,	1.400,	0.00,	0.000,	1.820,	''),
(11848,	4206,	1312,	1,	63,	3,	14684,	0.400,	0.00,	0.000,	0.400,	''),
(11849,	4206,	1659,	1,	63,	3,	14685,	0.600,	0.00,	0.000,	0.600,	''),
(11850,	4207,	799,	1,	3,	3,	14686,	4.000,	0.00,	0.000,	4.000,	''),
(11851,	4208,	31,	1,	7,	13,	14689,	2.200,	0.00,	0.000,	2.200,	''),
(11852,	4208,	152,	3,	1,	3,	14690,	1.100,	0.00,	0.000,	3.300,	''),
(11853,	4208,	753,	1,	63,	3,	14691,	1.800,	0.00,	0.000,	1.800,	''),
(11854,	4208,	1179,	2,	3,	3,	14688,	2.000,	0.00,	0.000,	4.000,	''),
(11855,	4208,	1344,	1,	3,	20,	14687,	3.500,	0.00,	0.000,	3.500,	''),
(11857,	4209,	676,	3,	3,	3,	14692,	12.500,	0.00,	0.000,	37.500,	''),
(11858,	4211,	71,	1,	7,	9,	14695,	2.400,	0.00,	0.000,	2.400,	'app'),
(11859,	4211,	275,	1,	3,	5,	14696,	4.500,	0.00,	0.000,	4.500,	''),
(11860,	4211,	799,	1,	4,	5,	14700,	0.600,	0.00,	0.000,	0.600,	''),
(11861,	4211,	1179,	1,	3,	3,	14698,	2.200,	0.00,	0.000,	2.200,	''),
(11862,	4211,	1352,	1,	3,	20,	14697,	5.800,	0.00,	0.000,	5.800,	''),
(11863,	4211,	1587,	1,	4,	3,	14699,	1.000,	0.00,	0.000,	1.000,	''),
(11864,	4212,	152,	2,	1,	3,	14702,	1.100,	0.00,	0.000,	2.530,	''),
(11865,	4212,	1470,	1,	7,	3,	14701,	2.000,	0.00,	0.000,	2.000,	''),
(11866,	4213,	168,	1,	3,	3,	14711,	2.200,	0.00,	0.000,	2.200,	''),
(11867,	4213,	799,	1,	3,	22,	14712,	4.000,	0.00,	0.000,	4.000,	''),
(11868,	4213,	1367,	1,	3,	20,	14713,	6.000,	0.00,	0.000,	6.000,	''),
(11869,	4213,	1437,	1,	7,	4,	14714,	2.000,	0.00,	0.000,	2.000,	''),
(11870,	4214,	1138,	1,	3,	3,	14715,	1.600,	0.00,	0.000,	1.600,	''),
(11871,	4215,	33,	1,	3,	11,	14723,	6.200,	0.00,	0.000,	6.200,	''),
(11872,	4215,	168,	2,	3,	3,	14721,	2.200,	0.00,	0.000,	4.400,	''),
(11873,	4215,	799,	1,	3,	38,	14718,	4.000,	0.00,	0.000,	4.000,	''),
(11874,	4215,	1124,	1,	3,	3,	14719,	2.000,	0.00,	0.000,	2.000,	''),
(11875,	4215,	1367,	1,	3,	20,	14722,	6.200,	0.00,	0.000,	6.200,	''),
(11876,	4215,	1526,	1,	3,	3,	14720,	5.800,	0.00,	0.000,	5.800,	''),
(11877,	4215,	1610,	1,	3,	3,	14716,	3.800,	0.00,	0.000,	3.800,	''),
(11878,	4215,	1766,	1,	3,	3,	14717,	0.800,	0.00,	0.000,	0.800,	''),
(11879,	4216,	1138,	10,	3,	3,	14724,	1.500,	0.00,	0.000,	15.000,	''),
(11880,	4217,	168,	1,	3,	3,	14731,	2.200,	0.00,	0.000,	2.200,	''),
(11881,	4217,	765,	1,	1,	3,	14726,	1.600,	0.00,	0.000,	1.600,	''),
(11882,	4217,	1179,	2,	3,	3,	14730,	1.800,	0.00,	0.000,	3.600,	''),
(11883,	4217,	1229,	2,	4,	3,	14727,	0.600,	5.00,	0.060,	1.260,	''),
(11884,	4217,	1442,	1,	7,	23,	14728,	1.200,	0.00,	0.000,	1.200,	''),
(11885,	4217,	1470,	1,	7,	3,	14729,	2.000,	0.00,	0.000,	2.000,	''),
(11886,	4217,	1959,	1,	1,	3,	14725,	1.600,	0.00,	0.000,	1.600,	''),
(11887,	4218,	1766,	2,	3,	3,	14732,	0.500,	0.00,	0.000,	1.000,	''),
(11888,	4219,	1174,	1,	3,	3,	14733,	3.000,	0.00,	0.000,	3.000,	''),
(11889,	4220,	1138,	9,	3,	3,	14735,	1.500,	0.00,	0.000,	13.500,	''),
(11890,	4220,	1766,	3,	3,	3,	14734,	0.500,	0.00,	0.000,	1.500,	''),
(11891,	4221,	528,	1,	3,	3,	14737,	2.700,	0.00,	0.000,	2.700,	''),
(11892,	4221,	676,	2,	3,	3,	14738,	12.500,	0.00,	0.000,	25.000,	''),
(11893,	4222,	152,	5,	1,	3,	14739,	1.100,	0.00,	0.000,	5.500,	''),
(11894,	4222,	1563,	1,	6,	110,	14740,	0.800,	0.00,	0.000,	0.800,	''),
(11895,	4223,	152,	1,	1,	3,	14741,	1.100,	0.00,	0.000,	1.100,	''),
(11896,	4224,	972,	1,	3,	3,	14742,	3.600,	0.00,	0.000,	3.600,	''),
(11897,	4225,	1353,	1,	3,	3,	14743,	5.800,	0.00,	0.000,	5.800,	''),
(11898,	4226,	279,	5,	3,	3,	14744,	4.500,	0.00,	0.000,	22.500,	''),
(11899,	4227,	420,	2,	3,	3,	14747,	1.600,	0.00,	0.000,	3.200,	''),
(11900,	4227,	969,	1,	3,	3,	14748,	4.900,	0.00,	0.000,	4.900,	''),
(11901,	4228,	765,	1,	1,	3,	14749,	1.700,	0.00,	0.000,	1.700,	''),
(11902,	4229,	57,	2,	7,	13,	14755,	2.200,	0.00,	0.000,	4.400,	''),
(11903,	4229,	528,	1,	3,	3,	14756,	2.800,	0.00,	0.000,	2.800,	''),
(11904,	4229,	766,	1,	3,	3,	14757,	2.600,	0.00,	0.000,	2.600,	''),
(11905,	4229,	1071,	1,	3,	3,	14758,	2.300,	0.00,	0.000,	2.300,	''),
(11906,	4229,	1839,	1,	63,	3,	14759,	1.900,	5.00,	0.095,	1.995,	''),
(11907,	4230,	170,	1,	3,	3,	14760,	5.700,	0.00,	0.000,	5.700,	''),
(11908,	4230,	420,	8,	3,	3,	14763,	1.600,	0.00,	0.000,	12.800,	''),
(11909,	4230,	528,	1,	3,	3,	14761,	2.800,	0.00,	0.000,	2.800,	''),
(11910,	4230,	688,	1,	3,	3,	14764,	12.000,	0.00,	0.000,	12.000,	''),
(11911,	4230,	753,	2,	63,	3,	14762,	1.700,	0.00,	0.000,	3.400,	''),
(11912,	4231,	152,	10,	1,	3,	14772,	1.080,	0.00,	0.000,	10.800,	''),
(11913,	4231,	933,	1,	3,	3,	14773,	4.000,	0.00,	0.000,	4.000,	''),
(11914,	4231,	1251,	1,	3,	3,	14774,	3.800,	5.00,	0.190,	3.990,	''),
(11915,	4231,	1563,	2,	3,	110,	14775,	6.200,	0.00,	0.000,	12.400,	''),
(11916,	4231,	1891,	1,	3,	3,	14776,	6.000,	0.00,	0.000,	6.000,	''),
(11917,	4232,	1978,	1,	3,	3,	14771,	2.200,	5.00,	0.110,	2.310,	''),
(11918,	4233,	766,	2,	3,	3,	14777,	2.600,	0.00,	0.000,	5.200,	''),
(11919,	4234,	309,	2,	1,	3,	14779,	1.400,	0.00,	0.000,	2.800,	''),
(11920,	4235,	676,	1,	3,	3,	14784,	12.200,	0.00,	0.000,	12.200,	''),
(11921,	4235,	753,	15,	63,	3,	14781,	1.700,	0.00,	0.000,	25.500,	''),
(11922,	4235,	766,	5,	3,	3,	14783,	2.600,	0.00,	0.000,	13.000,	''),
(11923,	4235,	1071,	3,	3,	22,	14782,	2.200,	0.00,	0.000,	6.600,	''),
(11924,	4235,	1839,	3,	63,	3,	14780,	1.900,	5.00,	0.285,	5.985,	''),
(11925,	4236,	1251,	5,	4,	3,	14785,	0.480,	5.00,	0.120,	2.520,	''),
(11926,	4237,	420,	1,	3,	3,	14786,	3.200,	0.00,	0.000,	3.200,	''),
(11927,	4238,	753,	1,	3,	5,	14787,	4.700,	0.00,	0.000,	4.700,	''),
(11928,	4238,	1071,	1,	3,	3,	14788,	2.200,	0.00,	0.000,	2.200,	''),
(11929,	4239,	57,	1,	3,	13,	14805,	9.000,	0.00,	0.000,	9.000,	''),
(11930,	4239,	528,	4,	3,	3,	14806,	2.800,	0.00,	0.000,	11.200,	''),
(11931,	4239,	753,	5,	63,	3,	14807,	1.700,	0.00,	0.000,	8.500,	''),
(11932,	4239,	1174,	6,	3,	3,	14808,	2.400,	0.00,	0.000,	14.400,	''),
(11933,	4239,	1344,	10,	3,	29,	14809,	1.900,	0.00,	0.000,	19.000,	''),
(11934,	4239,	1367,	3,	3,	3,	14810,	5.800,	0.00,	0.000,	17.400,	''),
(11935,	4239,	1514,	1,	3,	3,	14811,	6.600,	0.00,	0.000,	6.600,	''),
(11936,	4239,	1726,	1,	3,	3,	14812,	3.500,	0.00,	0.000,	3.500,	''),
(11937,	4240,	1717,	2,	3,	3,	14796,	3.200,	0.00,	0.000,	6.400,	''),
(11938,	4241,	420,	6,	3,	3,	14815,	1.500,	0.00,	0.000,	9.000,	''),
(11939,	4241,	766,	2,	3,	3,	14816,	2.600,	0.00,	0.000,	5.200,	''),
(11940,	4242,	753,	1,	3,	39,	14818,	4.600,	0.00,	0.000,	4.600,	''),
(11941,	4242,	766,	1,	3,	3,	14817,	2.600,	0.00,	0.000,	2.600,	''),
(11942,	4243,	676,	1,	3,	3,	14822,	12.400,	0.00,	0.000,	12.400,	''),
(11943,	4243,	1353,	1,	3,	3,	14823,	5.500,	0.00,	0.000,	5.500,	''),
(11944,	4243,	1659,	1,	63,	2,	14824,	4.200,	0.00,	0.000,	4.200,	''),
(11945,	4244,	1251,	10,	3,	3,	14825,	3.600,	5.00,	1.800,	37.800,	''),
(11946,	4245,	293,	6,	4,	3,	14828,	1.800,	0.00,	0.000,	10.800,	''),
(11947,	4245,	1848,	1,	1,	3,	14829,	7.800,	5.00,	0.195,	4.095,	''),
(11948,	4246,	57,	1,	3,	13,	14836,	9.000,	0.00,	0.000,	9.000,	''),
(11949,	4246,	528,	1,	3,	3,	14837,	2.800,	0.00,	0.000,	2.800,	''),
(11950,	4246,	676,	1,	3,	3,	14838,	12.200,	0.00,	0.000,	12.200,	''),
(11951,	4246,	1839,	1,	63,	3,	14839,	1.900,	5.00,	0.095,	1.995,	''),
(11952,	4246,	1978,	1,	63,	3,	14835,	2.200,	5.00,	0.110,	2.310,	''),
(11953,	4247,	309,	2,	1,	3,	14833,	1.400,	0.00,	0.000,	2.800,	''),
(11954,	4248,	528,	1,	3,	3,	14834,	2.800,	0.00,	0.000,	2.800,	''),
(11955,	4249,	528,	1,	3,	3,	14846,	2.800,	0.00,	0.000,	2.800,	''),
(11956,	4249,	753,	1,	63,	3,	14847,	1.700,	0.00,	0.000,	1.700,	''),
(11957,	4249,	766,	1,	3,	3,	14848,	2.600,	0.00,	0.000,	2.600,	''),
(11958,	4249,	1071,	1,	3,	3,	14849,	2.200,	0.00,	0.000,	2.200,	''),
(11959,	4249,	1131,	2,	7,	3,	14850,	1.800,	0.00,	0.000,	3.600,	''),
(11960,	4249,	1626,	2,	1,	71,	14851,	2.300,	0.00,	0.000,	4.600,	''),
(11961,	4250,	1251,	1,	3,	3,	14852,	3.810,	5.00,	0.191,	4.001,	''),
(11962,	4251,	753,	5,	63,	3,	14853,	1.700,	0.00,	0.000,	8.500,	''),
(11963,	4252,	1839,	3,	63,	3,	14854,	1.900,	5.00,	0.285,	5.985,	''),
(11964,	4253,	810,	1,	3,	2,	14855,	13.800,	0.00,	0.000,	13.800,	''),
(11965,	4254,	168,	1,	3,	3,	14856,	2.200,	0.00,	0.000,	2.200,	''),
(11966,	4255,	420,	15,	3,	3,	14857,	1.600,	0.00,	0.000,	24.000,	''),
(11967,	4256,	33,	1,	3,	9,	14861,	6.200,	0.00,	0.000,	6.200,	''),
(11969,	4257,	676,	1,	3,	3,	14862,	12.400,	0.00,	0.000,	6.200,	''),
(11970,	4258,	130,	2,	3,	6,	14865,	2.000,	0.00,	0.000,	4.000,	''),
(11971,	4258,	420,	1,	3,	3,	14864,	1.600,	0.00,	0.000,	1.600,	''),
(11972,	4258,	682,	1,	3,	3,	14867,	10.800,	0.00,	0.000,	5.400,	''),
(11973,	4258,	799,	1,	3,	5,	14863,	6.000,	0.00,	0.000,	6.000,	''),
(11974,	4258,	1127,	4,	3,	3,	14866,	1.600,	0.00,	0.000,	6.400,	''),
(11975,	4259,	1131,	1,	3,	3,	14868,	2.000,	0.00,	0.000,	2.000,	''),
(11976,	4260,	65,	1,	3,	7,	15029,	11.800,	0.00,	0.000,	11.800,	''),
(11977,	4260,	130,	1,	3,	6,	15030,	1.900,	0.00,	0.000,	1.900,	''),
(11978,	4260,	152,	1,	3,	3,	15031,	10.800,	0.00,	0.000,	10.800,	''),
(11979,	4260,	420,	2,	3,	3,	15032,	1.600,	0.00,	0.000,	3.200,	''),
(11980,	4260,	528,	2,	3,	3,	15033,	2.800,	0.00,	0.000,	5.600,	''),
(11981,	4260,	1127,	5,	3,	3,	15034,	1.600,	0.00,	0.000,	8.000,	''),
(11982,	4260,	1131,	2,	3,	6,	15035,	2.600,	0.00,	0.000,	5.200,	''),
(11983,	4260,	1179,	10,	3,	3,	15036,	2.100,	0.00,	0.000,	21.000,	''),
(11984,	4260,	1344,	5,	3,	29,	15037,	2.000,	0.00,	0.000,	10.000,	''),
(11985,	4260,	1353,	1,	3,	3,	15038,	5.500,	0.00,	0.000,	5.500,	''),
(11986,	4261,	358,	1,	3,	3,	14880,	4.200,	0.00,	0.000,	4.200,	''),
(11987,	4262,	1201,	1,	3,	3,	14882,	4.000,	5.00,	0.200,	4.200,	''),
(11988,	4262,	1726,	1,	3,	3,	14881,	3.500,	0.00,	0.000,	3.500,	''),
(11989,	4263,	682,	1,	3,	3,	14883,	10.800,	0.00,	0.000,	5.400,	''),
(11990,	4264,	908,	10,	1,	3,	14884,	1.300,	0.00,	0.000,	12.480,	''),
(11991,	4265,	1174,	1,	3,	3,	14885,	2.500,	0.00,	0.000,	2.500,	''),
(11992,	4266,	1174,	1,	3,	3,	14886,	2.500,	0.00,	0.000,	2.500,	''),
(11993,	4267,	810,	1,	3,	3,	14887,	13.800,	0.00,	0.000,	13.800,	''),
(11994,	4267,	844,	1,	3,	3,	14888,	13.800,	0.00,	0.000,	13.800,	''),
(11995,	4268,	753,	1,	3,	39,	14889,	4.200,	0.00,	0.000,	4.200,	''),
(11996,	4269,	1251,	2,	4,	3,	14890,	0.500,	5.00,	0.050,	1.050,	''),
(11997,	4270,	1626,	1,	3,	71,	14891,	2.200,	0.00,	0.000,	2.200,	''),
(11998,	4271,	1353,	2,	3,	3,	14892,	5.500,	0.00,	0.000,	11.000,	''),
(11999,	4272,	1312,	1,	63,	3,	14893,	0.700,	0.00,	0.000,	0.700,	''),
(12000,	4274,	1830,	10,	4,	3,	14895,	0.700,	0.00,	0.000,	7.000,	''),
(12001,	4273,	1131,	1,	3,	3,	14894,	1.800,	0.00,	0.000,	1.800,	''),
(12002,	4275,	57,	1,	3,	13,	14904,	8.900,	0.00,	0.000,	8.900,	''),
(12003,	4275,	420,	1,	3,	3,	14896,	1.500,	0.00,	0.000,	1.500,	''),
(12004,	4275,	753,	4,	63,	3,	14899,	1.600,	0.00,	0.000,	6.400,	''),
(12005,	4275,	766,	2,	3,	3,	14897,	2.500,	0.00,	0.000,	5.000,	''),
(12006,	4275,	1071,	1,	3,	3,	14901,	2.200,	0.00,	0.000,	2.200,	''),
(12007,	4275,	1138,	4,	3,	3,	14902,	1.500,	0.00,	0.000,	6.000,	''),
(12008,	4275,	1166,	3,	3,	3,	14903,	2.100,	0.00,	0.000,	6.300,	''),
(12009,	4275,	1839,	4,	63,	3,	14898,	1.800,	5.00,	0.360,	7.560,	''),
(12010,	4275,	1978,	2,	63,	3,	14900,	2.200,	5.00,	0.220,	4.620,	''),
(12011,	4276,	122,	1,	4,	23,	14909,	0.900,	0.00,	0.000,	0.900,	''),
(12012,	4276,	799,	2,	4,	5,	14910,	0.600,	0.00,	0.000,	1.200,	''),
(12013,	4276,	932,	1,	6,	24,	14908,	0.100,	0.00,	0.000,	0.100,	''),
(12014,	4276,	1344,	2,	3,	29,	14911,	2.200,	0.00,	0.000,	4.400,	''),
(12015,	4276,	1626,	1,	3,	33,	14912,	2.400,	0.00,	0.000,	2.400,	''),
(12016,	4276,	1766,	1,	3,	3,	14913,	0.800,	0.00,	0.000,	0.800,	''),
(12017,	4277,	1353,	2,	3,	3,	14914,	5.500,	0.00,	0.000,	11.000,	''),
(12018,	4278,	152,	1,	1,	3,	14915,	1.200,	0.00,	0.000,	0.600,	''),
(12019,	4278,	650,	1,	3,	3,	14916,	4.800,	0.00,	0.000,	4.800,	''),
(12020,	4279,	676,	1,	3,	3,	14917,	12.200,	0.00,	0.000,	12.200,	''),
(12021,	4280,	168,	1,	3,	3,	14923,	2.200,	0.00,	0.000,	2.200,	''),
(12022,	4280,	676,	1,	3,	3,	14924,	12.600,	0.00,	0.000,	12.600,	''),
(12023,	4280,	1071,	3,	3,	3,	14925,	2.400,	0.00,	0.000,	7.200,	''),
(12024,	4280,	1563,	1,	3,	110,	14926,	6.200,	0.00,	0.000,	6.200,	''),
(12025,	4280,	1626,	1,	3,	71,	14927,	2.400,	0.00,	0.000,	2.400,	''),
(12026,	4282,	528,	1,	3,	3,	14929,	2.800,	0.00,	0.000,	2.800,	''),
(12027,	4282,	676,	1,	3,	3,	14930,	12.200,	0.00,	0.000,	12.200,	''),
(12028,	4281,	21,	1,	3,	10,	14928,	9.400,	0.00,	0.000,	9.400,	''),
(12029,	4283,	667,	1,	3,	63,	14936,	18.000,	0.00,	0.000,	18.000,	''),
(12030,	4283,	1526,	2,	3,	3,	14937,	5.800,	0.00,	0.000,	11.600,	''),
(12031,	4283,	1563,	1,	3,	110,	14938,	6.200,	0.00,	0.000,	6.200,	''),
(12032,	4283,	1567,	1,	3,	3,	14939,	7.800,	0.00,	0.000,	7.800,	''),
(12033,	4283,	1610,	4,	3,	3,	14940,	3.400,	0.00,	0.000,	13.600,	''),
(12034,	4284,	122,	1,	4,	23,	14944,	0.900,	0.00,	0.000,	0.900,	''),
(12035,	4284,	1100,	1,	3,	3,	14945,	5.800,	0.00,	0.000,	5.800,	''),
(12036,	4284,	1367,	1,	3,	20,	14946,	6.200,	0.00,	0.000,	6.200,	''),
(12037,	4285,	766,	1,	3,	3,	14947,	2.600,	0.00,	0.000,	2.600,	''),
(12038,	4286,	1131,	4,	7,	3,	14954,	2.000,	0.00,	0.000,	8.000,	''),
(12039,	4286,	1344,	2,	3,	29,	14955,	2.000,	0.00,	0.000,	4.000,	''),
(12040,	4286,	1626,	2,	3,	5,	14953,	2.400,	0.00,	0.000,	4.800,	''),
(12041,	4287,	190,	3,	3,	3,	14956,	0.500,	0.00,	0.000,	1.500,	''),
(12042,	4287,	525,	1,	1,	3,	14957,	2.000,	0.00,	0.000,	2.000,	''),
(12043,	4287,	676,	1,	3,	3,	14958,	12.400,	0.00,	0.000,	6.200,	''),
(12044,	4287,	1071,	1,	3,	3,	14959,	2.400,	0.00,	0.000,	2.400,	''),
(12045,	4287,	1835,	1,	3,	3,	14960,	4.500,	5.00,	0.225,	4.725,	''),
(12046,	4288,	76,	1,	7,	12,	14962,	2.200,	0.00,	0.000,	2.200,	''),
(12047,	4288,	969,	1,	1,	3,	14961,	0.500,	0.00,	0.000,	0.500,	''),
(12048,	4289,	122,	1,	4,	23,	14964,	0.900,	0.00,	0.000,	0.900,	''),
(12049,	4289,	767,	1,	1,	3,	14965,	1.500,	0.00,	0.000,	1.500,	''),
(12050,	4289,	932,	1,	6,	24,	14963,	1.000,	0.00,	0.000,	1.000,	''),
(12051,	4289,	1124,	1,	3,	3,	14967,	2.000,	0.00,	0.000,	2.000,	''),
(12052,	4289,	1138,	1,	3,	3,	14966,	1.700,	0.00,	0.000,	1.700,	''),
(12053,	4290,	753,	1,	63,	2,	14968,	2.600,	0.00,	0.000,	2.600,	''),
(12054,	4291,	753,	3,	63,	3,	14971,	1.800,	0.00,	0.000,	5.400,	''),
(12055,	4291,	1071,	1,	3,	3,	14970,	2.400,	0.00,	0.000,	2.400,	''),
(12056,	4291,	1526,	1,	7,	3,	14969,	2.000,	0.00,	0.000,	2.000,	''),
(12057,	4292,	1124,	1,	3,	3,	14973,	2.000,	0.00,	0.000,	2.000,	''),
(12058,	4292,	1174,	1,	3,	3,	14972,	3.000,	0.00,	0.000,	3.000,	''),
(12059,	4341,	678,	1,	3,	3,	15138,	12.400,	0.00,	0.000,	6.200,	''),
(12060,	4293,	57,	1,	3,	13,	14986,	9.200,	0.00,	0.000,	9.200,	''),
(12061,	4293,	420,	3,	3,	3,	14987,	1.600,	0.00,	0.000,	4.800,	''),
(12062,	4293,	528,	2,	3,	3,	14988,	2.800,	0.00,	0.000,	5.600,	''),
(12063,	4293,	682,	2,	3,	3,	14989,	10.800,	0.00,	0.000,	21.600,	''),
(12064,	4293,	753,	4,	63,	3,	14990,	1.800,	0.00,	0.000,	7.200,	''),
(12065,	4293,	766,	1,	3,	3,	14991,	2.600,	0.00,	0.000,	2.600,	''),
(12066,	4293,	969,	1,	3,	3,	14992,	4.800,	0.00,	0.000,	4.800,	''),
(12067,	4340,	682,	1,	3,	3,	15137,	11.000,	0.00,	0.000,	5.500,	''),
(12068,	4340,	799,	3,	4,	5,	15135,	0.600,	0.00,	0.000,	1.800,	''),
(12069,	4340,	1044,	1,	3,	3,	15136,	2.800,	0.00,	0.000,	2.800,	''),
(12070,	4339,	803,	2,	10,	3,	15134,	0.700,	0.00,	0.000,	1.400,	''),
(12071,	4294,	753,	1,	63,	3,	14993,	1.800,	0.00,	0.000,	1.800,	''),
(12072,	4294,	766,	1,	3,	3,	14994,	2.500,	0.00,	0.000,	2.500,	''),
(12073,	4295,	1344,	1,	3,	103,	14995,	2.000,	0.00,	0.000,	2.000,	''),
(12074,	4338,	150,	2,	3,	3,	15132,	3.400,	0.00,	0.000,	6.800,	''),
(12075,	4338,	168,	2,	3,	3,	15133,	2.200,	0.00,	0.000,	4.400,	''),
(12076,	4338,	1124,	2,	3,	3,	15131,	2.100,	0.00,	0.000,	4.200,	''),
(12077,	4337,	1567,	1,	6,	3,	15130,	1.300,	0.00,	0.000,	1.300,	''),
(12078,	4296,	1835,	5,	3,	3,	14998,	4.500,	5.00,	1.125,	23.625,	''),
(12079,	4336,	1353,	1,	3,	3,	15129,	5.500,	0.00,	0.000,	5.500,	''),
(12080,	4297,	676,	1,	3,	3,	14997,	12.600,	0.00,	0.000,	6.300,	''),
(12081,	4335,	152,	2,	1,	3,	15128,	1.200,	0.00,	0.000,	2.760,	''),
(12082,	4334,	420,	2,	3,	3,	15126,	1.600,	0.00,	0.000,	3.200,	''),
(12083,	4334,	1353,	2,	3,	3,	15127,	5.500,	0.00,	0.000,	11.000,	''),
(12084,	4334,	1767,	2,	3,	3,	15125,	1.600,	0.00,	0.000,	3.200,	''),
(12085,	4298,	766,	2,	3,	3,	15010,	2.600,	0.00,	0.000,	5.200,	''),
(12086,	4298,	1344,	2,	3,	20,	15011,	3.500,	0.00,	0.000,	7.000,	''),
(12087,	4298,	1353,	2,	3,	3,	15012,	5.500,	0.00,	0.000,	11.000,	''),
(12088,	4298,	1390,	14,	1,	3,	15013,	0.450,	5.00,	0.315,	6.615,	''),
(12089,	4298,	1659,	2,	63,	2,	15014,	4.200,	0.00,	0.000,	8.400,	''),
(12090,	4298,	1839,	5,	63,	3,	15015,	1.900,	5.00,	0.475,	9.975,	''),
(12091,	4299,	766,	1,	3,	3,	15016,	2.600,	0.00,	0.000,	2.600,	''),
(12092,	4333,	753,	1,	63,	3,	15124,	1.800,	0.00,	0.000,	1.800,	''),
(12093,	4300,	57,	1,	6,	4,	15022,	0.900,	0.00,	0.000,	0.900,	''),
(12094,	4300,	121,	1,	4,	23,	15026,	1.000,	0.00,	0.000,	1.000,	''),
(12095,	4300,	152,	2,	3,	3,	15027,	1.100,	0.00,	0.000,	2.310,	''),
(12096,	4300,	178,	2,	1,	3,	15021,	1.200,	0.00,	0.000,	2.400,	''),
(12097,	4300,	1080,	1,	3,	3,	15019,	3.500,	0.00,	0.000,	3.500,	''),
(12098,	4300,	1174,	1,	3,	3,	15017,	2.600,	0.00,	0.000,	2.600,	''),
(12099,	4300,	1201,	1,	4,	3,	15020,	4.200,	5.00,	0.210,	4.410,	''),
(12100,	4300,	1353,	1,	3,	3,	15018,	5.500,	0.00,	0.000,	5.500,	''),
(12101,	4300,	1390,	1,	1,	3,	15023,	0.500,	5.00,	0.035,	0.735,	''),
(12102,	4300,	1565,	2,	1,	3,	15024,	1.300,	0.00,	0.000,	2.210,	''),
(12103,	4300,	1610,	1,	3,	4,	15025,	0.900,	0.00,	0.000,	0.900,	''),
(12104,	4332,	279,	1,	3,	5,	15122,	4.500,	0.00,	0.000,	4.500,	''),
(12105,	4332,	501,	2,	1,	3,	15123,	2.000,	0.00,	0.000,	4.000,	''),
(12106,	4301,	667,	2,	3,	63,	15028,	18.000,	0.00,	0.000,	36.000,	''),
(12107,	4302,	1251,	1,	3,	3,	15039,	3.810,	5.00,	0.191,	4.001,	''),
(12108,	4303,	1179,	2,	3,	3,	15040,	2.200,	0.00,	0.000,	4.400,	''),
(12109,	4303,	1344,	1,	3,	20,	15042,	3.500,	0.00,	0.000,	3.500,	''),
(12110,	4303,	1563,	2,	3,	110,	15041,	0.800,	0.00,	0.000,	1.600,	''),
(12111,	4304,	76,	1,	7,	11,	15043,	2.200,	0.00,	0.000,	2.200,	''),
(12112,	4304,	976,	5,	3,	3,	15044,	0.600,	0.00,	0.000,	3.000,	''),
(12113,	4305,	152,	2,	1,	3,	15045,	1.200,	0.00,	0.000,	2.400,	''),
(12114,	4306,	682,	1,	3,	3,	15046,	10.800,	0.00,	0.000,	10.800,	''),
(12115,	4307,	1766,	1,	3,	3,	15047,	0.500,	0.00,	0.000,	0.500,	''),
(12116,	4308,	152,	3,	1,	3,	15049,	1.100,	0.00,	0.000,	3.300,	''),
(12117,	4308,	420,	1,	3,	3,	15050,	1.600,	0.00,	0.000,	1.600,	''),
(12118,	4308,	682,	1,	3,	3,	15048,	10.800,	0.00,	0.000,	5.400,	''),
(12119,	4308,	1138,	5,	3,	3,	15054,	1.600,	0.00,	0.000,	8.000,	''),
(12120,	4308,	1179,	4,	3,	3,	15053,	2.200,	0.00,	0.000,	8.800,	''),
(12121,	4308,	1344,	1,	3,	20,	15052,	3.500,	0.00,	0.000,	3.500,	''),
(12122,	4308,	1563,	3,	6,	105,	15051,	0.800,	0.00,	0.000,	2.400,	''),
(12123,	4331,	170,	1,	3,	2,	15120,	5.800,	0.00,	0.000,	5.800,	''),
(12124,	4331,	1353,	1,	3,	3,	15121,	5.500,	0.00,	0.000,	5.500,	''),
(12125,	4309,	1344,	2,	3,	25,	15055,	3.100,	0.00,	0.000,	6.200,	''),
(12126,	4330,	1124,	2,	3,	3,	15119,	2.100,	0.00,	0.000,	4.200,	''),
(12127,	4330,	1131,	1,	3,	3,	15118,	2.700,	0.00,	0.000,	2.700,	''),
(12128,	4310,	1131,	10,	3,	6,	15056,	2.500,	0.00,	0.000,	25.000,	''),
(12129,	4329,	799,	1,	3,	5,	15117,	7.800,	0.00,	0.000,	3.900,	''),
(12130,	4329,	1437,	1,	7,	23,	15116,	2.200,	0.00,	0.000,	2.200,	''),
(12131,	4329,	1563,	2,	6,	105,	15115,	0.800,	0.00,	0.000,	1.600,	''),
(12132,	4329,	1626,	1,	3,	105,	15114,	2.300,	0.00,	0.000,	2.300,	'pom'),
(12133,	4311,	168,	1,	1,	3,	15059,	0.500,	0.00,	0.000,	0.250,	''),
(12134,	4311,	367,	1,	1,	3,	15057,	0.900,	0.00,	0.000,	0.450,	''),
(12135,	4311,	1344,	1,	3,	20,	15061,	3.600,	0.00,	0.000,	3.600,	''),
(12136,	4311,	1470,	1,	7,	3,	15058,	2.000,	0.00,	0.000,	2.000,	''),
(12137,	4311,	1626,	1,	3,	105,	15060,	2.300,	0.00,	0.000,	2.300,	''),
(12138,	4328,	1127,	1,	3,	3,	15113,	2.200,	0.00,	0.000,	2.200,	''),
(12139,	4327,	122,	1,	4,	23,	15111,	1.000,	0.00,	0.000,	1.000,	''),
(12140,	4327,	1353,	1,	3,	3,	15112,	5.500,	0.00,	0.000,	5.500,	''),
(12141,	4327,	1626,	1,	3,	105,	15110,	2.300,	0.00,	0.000,	2.300,	''),
(12142,	4312,	1626,	1,	3,	105,	15063,	2.300,	0.00,	0.000,	2.300,	''),
(12143,	4312,	1839,	2,	63,	3,	15062,	1.900,	5.00,	0.190,	3.990,	''),
(12144,	4326,	122,	2,	4,	24,	15105,	1.000,	0.00,	0.000,	2.000,	''),
(12145,	4326,	130,	1,	3,	6,	15106,	2.000,	0.00,	0.000,	2.000,	''),
(12146,	4326,	420,	1,	3,	3,	15108,	1.600,	0.00,	0.000,	1.600,	''),
(12147,	4326,	969,	1,	3,	3,	15107,	5.000,	0.00,	0.000,	5.000,	''),
(12148,	4326,	1132,	1,	3,	3,	15102,	2.200,	0.00,	0.000,	2.200,	''),
(12149,	4326,	1174,	1,	3,	3,	15104,	2.800,	0.00,	0.000,	2.800,	''),
(12150,	4326,	1179,	2,	3,	3,	15103,	2.200,	0.00,	0.000,	4.400,	''),
(12151,	4326,	1312,	1,	63,	84,	15109,	3.000,	0.00,	0.000,	3.000,	''),
(12152,	4326,	1563,	1,	3,	105,	15101,	6.200,	0.00,	0.000,	6.200,	''),
(12153,	4313,	682,	1,	3,	3,	15064,	10.800,	0.00,	0.000,	10.800,	''),
(12154,	4325,	766,	1,	3,	3,	15100,	2.500,	0.00,	0.000,	2.500,	''),
(12155,	4314,	1312,	1,	63,	55,	15065,	1.400,	0.00,	0.000,	1.400,	''),
(12156,	4324,	76,	1,	7,	7,	15099,	2.200,	0.00,	0.000,	2.200,	''),
(12157,	4324,	1626,	2,	3,	105,	15098,	2.300,	0.00,	0.000,	4.600,	''),
(12158,	4315,	1251,	1,	4,	3,	15066,	0.500,	5.00,	0.025,	0.525,	''),
(12159,	4316,	766,	1,	3,	3,	15067,	2.600,	0.00,	0.000,	2.600,	''),
(12160,	4317,	57,	1,	3,	14,	15076,	9.000,	0.00,	0.000,	9.000,	''),
(12161,	4317,	122,	1,	4,	23,	15068,	1.000,	0.00,	0.000,	1.000,	''),
(12162,	4317,	178,	7,	1,	3,	15069,	1.100,	0.00,	0.000,	7.700,	''),
(12163,	4317,	420,	1,	3,	3,	15073,	1.600,	0.00,	0.000,	1.600,	''),
(12164,	4317,	766,	1,	3,	3,	15074,	2.500,	0.00,	0.000,	2.500,	''),
(12165,	4317,	1071,	2,	3,	3,	15075,	2.200,	0.00,	0.000,	4.400,	''),
(12166,	4317,	1124,	2,	3,	3,	15072,	2.000,	0.00,	0.000,	4.000,	''),
(12167,	4317,	1260,	2,	4,	3,	15070,	0.500,	5.00,	0.050,	1.050,	''),
(12168,	4317,	1344,	2,	3,	102,	15077,	3.500,	0.00,	0.000,	7.000,	''),
(12169,	4317,	1626,	1,	3,	105,	15071,	2.300,	0.00,	0.000,	2.300,	''),
(12170,	4318,	279,	2,	4,	5,	15078,	0.500,	0.00,	0.000,	1.000,	''),
(12171,	4318,	753,	1,	63,	3,	15079,	1.800,	0.00,	0.000,	1.800,	''),
(12172,	4318,	1344,	1,	3,	20,	15080,	3.500,	0.00,	0.000,	3.500,	''),
(12173,	4319,	1353,	5,	3,	3,	15081,	5.500,	0.00,	0.000,	27.500,	''),
(12174,	4320,	76,	1,	7,	15,	15085,	2.200,	0.00,	0.000,	2.200,	''),
(12175,	4320,	122,	1,	4,	23,	15089,	1.000,	0.00,	0.000,	1.000,	''),
(12176,	4320,	152,	2,	1,	3,	15092,	1.200,	0.00,	0.000,	2.400,	''),
(12177,	4320,	367,	1,	1,	3,	15083,	0.900,	0.00,	0.000,	0.900,	''),
(12178,	4320,	402,	1,	1,	3,	15082,	1.000,	0.00,	0.000,	1.000,	''),
(12179,	4320,	420,	1,	3,	3,	15091,	1.600,	0.00,	0.000,	1.600,	''),
(12180,	4320,	1044,	1,	1,	3,	15088,	1.000,	0.00,	0.000,	1.000,	''),
(12181,	4320,	1071,	1,	3,	3,	15087,	2.200,	0.00,	0.000,	2.200,	''),
(12182,	4320,	1174,	1,	3,	3,	15090,	2.800,	0.00,	0.000,	2.800,	''),
(12183,	4320,	1570,	1,	4,	3,	15084,	1.900,	0.00,	0.000,	1.900,	''),
(12184,	4320,	1570,	1,	4,	3,	15086,	1.900,	0.00,	0.000,	1.900,	''),
(12185,	4321,	152,	5,	1,	3,	15095,	1.100,	0.00,	0.000,	5.500,	''),
(12186,	4321,	676,	1,	3,	3,	15094,	12.200,	0.00,	0.000,	6.100,	''),
(12187,	4321,	1044,	1,	3,	3,	15093,	2.800,	0.00,	0.000,	2.800,	''),
(12188,	4323,	152,	5,	1,	3,	15097,	1.100,	0.00,	0.000,	5.500,	''),
(12189,	4322,	1659,	1,	63,	2,	15096,	4.200,	0.00,	0.000,	4.200,	''),
(12190,	4342,	668,	1,	3,	3,	15140,	12.000,	0.00,	0.000,	6.000,	''),
(12191,	4342,	1344,	1,	3,	20,	15139,	3.500,	0.00,	0.000,	3.500,	'');

DROP TABLE IF EXISTS `mr_products`;
CREATE TABLE `mr_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` double NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `price` decimal(15,3) DEFAULT NULL,
  `tax_percentage` decimal(15,2) DEFAULT NULL,
  `tax_amount` decimal(15,3) DEFAULT NULL,
  `total_amount` decimal(15,3) DEFAULT NULL,
  `remarks` text,
  `print` int(255) DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `material_requisition_id_product_id_unit_id_grade_id` (`material_requisition_id`,`product_id`,`unit_id`,`grade_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `mr_products` (`id`, `material_requisition_id`, `product_id`, `qty`, `unit_id`, `grade_id`, `price`, `tax_percentage`, `tax_amount`, `total_amount`, `remarks`, `print`, `deleted_at`) VALUES
(38,	16,	9,	0.8,	1,	9,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(39,	17,	9,	0.8,	1,	8,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(47,	21,	8,	1,	3,	8,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(66,	23,	551,	1,	63,	2,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(67,	23,	528,	2,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(68,	23,	1344,	1,	3,	25,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(69,	23,	677,	2,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(70,	23,	753,	2,	63,	2,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(71,	24,	1514,	15,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(72,	24,	932,	15,	3,	79,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(73,	24,	1626,	30,	3,	71,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(74,	24,	150,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(75,	24,	848,	25,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(76,	24,	799,	30,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(77,	24,	1587,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(78,	24,	1138,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(79,	24,	1344,	100,	3,	25,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(80,	24,	73,	1,	3,	9,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(81,	24,	18,	10,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(82,	24,	57,	50,	3,	17,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(83,	24,	753,	5,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(84,	24,	1978,	5,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(85,	24,	753,	30,	63,	3,	0.000,	NULL,	NULL,	NULL,	'second',	NULL,	NULL),
(86,	24,	766,	60,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(87,	24,	1071,	40,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(88,	24,	528,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(89,	24,	423,	30,	3,	3,	0.000,	NULL,	NULL,	NULL,	'TAWOOS',	NULL,	NULL),
(151,	30,	551,	1,	63,	2,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(152,	31,	293,	1,	4,	4,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(153,	31,	205,	0.1,	1,	4,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(154,	31,	1785,	0.3,	1,	4,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(155,	32,	753,	2,	63,	2,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(156,	32,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(157,	32,	1757,	1,	3,	3,	8.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(158,	33,	423,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(159,	25,	74,	1,	3,	13,	9.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(160,	25,	528,	2,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(161,	25,	551,	1,	63,	2,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(162,	25,	1071,	5,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(163,	25,	1766,	5,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(164,	34,	1298,	1,	1,	4,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(166,	35,	205,	0.1,	1,	4,	8.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(167,	36,	528,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(183,	38,	1854,	0.3,	1,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(184,	38,	1848,	0.1,	1,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(185,	38,	205,	0.1,	1,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(186,	38,	1371,	0.1,	1,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(187,	38,	547,	0.1,	1,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(188,	38,	1410,	1,	1,	4,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(192,	40,	279,	1,	3,	2,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(208,	42,	528,	25,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(223,	44,	150,	8,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(224,	44,	970,	1,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(225,	44,	1345,	4,	3,	25,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(226,	44,	1563,	4,	3,	105,	8.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(227,	45,	528,	15,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(228,	46,	57,	4,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(229,	46,	528,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(230,	46,	1071,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(231,	47,	799,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(232,	47,	420,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(233,	47,	1071,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(234,	48,	528,	4,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(235,	49,	1353,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(236,	49,	742,	1,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(237,	50,	1179,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(238,	50,	1563,	1,	3,	105,	8.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(239,	51,	1959,	7,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(240,	51,	1608,	9,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(241,	51,	1498,	7,	3,	23,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(242,	51,	1491,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(243,	51,	1526,	25,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(244,	51,	1298,	18,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(245,	51,	1289,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(246,	51,	1302,	11,	63,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(247,	51,	1251,	15,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(248,	51,	1111,	4,	3,	4,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(249,	51,	969,	25,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(250,	51,	932,	15,	3,	55,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(251,	51,	933,	10,	7,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(252,	51,	799,	95,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(253,	51,	836,	135,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(254,	51,	848,	40,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(255,	51,	774,	3,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(256,	51,	766,	110,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(257,	51,	755,	15,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(258,	51,	753,	40,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(259,	51,	420,	15,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(260,	51,	309,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(261,	51,	170,	17,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(262,	51,	60,	6,	3,	7,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(263,	51,	57,	55,	3,	17,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(264,	51,	74,	5,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(265,	51,	65,	7,	3,	7,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(266,	51,	76,	10,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(267,	51,	35,	4,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(268,	51,	1626,	130,	3,	71,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(269,	52,	18,	1,	3,	13,	10.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(270,	53,	676,	0.5,	3,	3,	12.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(271,	53,	528,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(272,	53,	420,	2,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(273,	53,	152,	2.9,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(274,	54,	933,	1,	7,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(275,	54,	753,	1,	63,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(285,	56,	848,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(286,	56,	1344,	2,	3,	20,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(287,	55,	1647,	1,	63,	70,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(288,	55,	18,	1,	7,	14,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(289,	55,	57,	1,	7,	14,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(290,	55,	152,	3,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(291,	55,	428,	1,	3,	2,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(292,	55,	932,	1,	3,	24,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(293,	55,	1145,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(294,	55,	1344,	2,	3,	20,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(295,	55,	1353,	1,	3,	2,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(296,	55,	1563,	1,	3,	111,	8.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(300,	57,	152,	2,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(301,	57,	1145,	3,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(302,	57,	1344,	2,	3,	20,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(306,	59,	932,	3,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(307,	59,	932,	1,	3,	55,	5.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(309,	60,	676,	1,	3,	3,	12.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(310,	61,	420,	1,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(311,	61,	753,	1,	63,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(312,	61,	368,	2,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(313,	61,	676,	0.5,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(314,	62,	1526,	1,	7,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(315,	62,	1251,	2,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(316,	62,	152,	2,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(317,	62,	428,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(318,	62,	1344,	1,	3,	29,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(319,	63,	758,	1,	63,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(320,	63,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(321,	63,	676,	1,	3,	3,	12.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(322,	64,	1570,	3,	4,	74,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(323,	64,	1626,	1,	3,	71,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(324,	64,	1353,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(325,	64,	170,	1,	3,	3,	6.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(326,	64,	18,	1,	7,	11,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(327,	64,	1179,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(328,	64,	291,	2,	4,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(329,	64,	285,	1,	4,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(330,	64,	288,	2,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(331,	64,	249,	1,	63,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(332,	64,	452,	1,	1,	3,	0.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(333,	64,	1990,	1,	1,	4,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(334,	64,	1981,	1,	1,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(335,	64,	367,	1,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(336,	64,	1229,	1,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(337,	64,	1251,	1,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(338,	64,	147,	0.5,	1,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(339,	64,	307,	1,	1,	3,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(340,	64,	150,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(341,	65,	420,	1,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(342,	66,	682,	1,	3,	3,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(344,	67,	249,	1,	3,	2,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(345,	68,	753,	1,	63,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(346,	69,	765,	2,	1,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(349,	71,	753,	1,	63,	3,	2.000,	NULL,	NULL,	NULL,	'SECOND',	NULL,	NULL),
(350,	71,	1344,	1,	3,	25,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(351,	71,	682,	1,	3,	3,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(352,	70,	152,	4,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(390,	80,	8,	1,	1,	9,	1.000,	NULL,	NULL,	NULL,	'test',	NULL,	NULL),
(398,	85,	369,	1,	1,	4,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(399,	85,	394,	1,	1,	4,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(400,	86,	1563,	1,	3,	3,	8.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(401,	87,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(402,	87,	676,	2,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(403,	87,	152,	10,	1,	4,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(404,	87,	1145,	2,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(405,	87,	1344,	2,	3,	25,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(408,	88,	168,	2,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(409,	88,	428,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(410,	89,	1828,	0.5,	1,	4,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(411,	89,	284,	2,	3,	4,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(412,	90,	1265,	4,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(414,	91,	932,	2,	6,	24,	0.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(419,	93,	753,	1,	63,	2,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(420,	93,	1659,	1,	63,	2,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(421,	92,	551,	1,	63,	2,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(422,	92,	1659,	1,	63,	2,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(424,	95,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(425,	95,	933,	1,	7,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(426,	95,	1587,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(427,	95,	1265,	1,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(428,	95,	1336,	3,	3,	29,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(429,	95,	152,	3,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(430,	95,	799,	2,	3,	3,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(431,	96,	676,	0.5,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(442,	98,	1353,	2,	3,	2,	4.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(443,	98,	57,	1,	3,	13,	9.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(444,	99,	1251,	2,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(445,	100,	676,	0.5,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(446,	101,	2003,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(447,	101,	551,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(448,	101,	48,	2,	3,	7,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(449,	101,	932,	2,	3,	55,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(450,	101,	26,	2,	3,	7,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(451,	101,	65,	2,	3,	7,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(452,	101,	774,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(453,	101,	1835,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(454,	102,	676,	1,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(455,	102,	753,	1,	63,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(456,	103,	1610,	0.5,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(457,	103,	682,	0.5,	3,	3,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(458,	103,	932,	1,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(459,	104,	1771,	4,	3,	3,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(461,	105,	1526,	1,	3,	3,	6.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(462,	106,	57,	1,	3,	15,	9.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(463,	106,	1344,	2,	3,	25,	3.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(464,	106,	420,	1,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(465,	106,	766,	4,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(466,	106,	753,	4,	63,	3,	1.900,	NULL,	NULL,	NULL,	'4kg',	NULL,	NULL),
(467,	107,	1138,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(468,	107,	753,	1,	63,	3,	2.000,	NULL,	NULL,	NULL,	'SECOND',	NULL,	NULL),
(469,	107,	682,	0.5,	3,	3,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(470,	108,	682,	0.5,	3,	3,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(471,	109,	1771,	1,	3,	3,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(472,	97,	33,	2,	3,	4,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(473,	97,	168,	6,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(474,	97,	420,	4,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(475,	97,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(476,	97,	799,	1,	3,	3,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(477,	97,	799,	2,	3,	22,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(478,	97,	848,	1,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(479,	97,	848,	2,	3,	22,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(480,	110,	1179,	5,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(481,	111,	1647,	1,	63,	2,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(482,	111,	766,	1,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(483,	111,	676,	0.5,	3,	3,	12.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(484,	111,	170,	1,	3,	3,	6.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(485,	111,	423,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(486,	111,	1344,	1,	3,	29,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(487,	111,	1312,	1,	63,	84,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(488,	111,	753,	2,	63,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(489,	111,	1608,	2,	4,	24,	0.750,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(490,	111,	1514,	2,	7,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(491,	111,	275,	1,	3,	5,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(492,	111,	1610,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(493,	111,	1439,	1,	3,	23,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(494,	111,	1265,	1,	3,	3,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(495,	111,	799,	2,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(496,	111,	932,	3,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(497,	111,	1071,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(498,	111,	1138,	5,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(525,	112,	18,	1,	7,	13,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(526,	112,	459,	1,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(527,	112,	652,	1,	3,	3,	12.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(528,	112,	1044,	2,	1,	3,	0.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(529,	112,	1179,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(530,	112,	1251,	4,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(531,	112,	1312,	1,	63,	84,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(532,	112,	1353,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(533,	112,	1388,	1,	3,	3,	8.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(534,	112,	1570,	15,	4,	74,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(535,	112,	1597,	3,	3,	3,	3.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(536,	112,	1727,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(537,	112,	1893,	6,	4,	3,	0.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(538,	113,	753,	1,	63,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(539,	113,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(540,	113,	1344,	1,	3,	25,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(543,	116,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(544,	117,	1626,	10,	3,	105,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(545,	117,	1526,	15,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(546,	117,	1514,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(547,	117,	195,	40,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(548,	117,	420,	70,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(549,	117,	766,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(550,	117,	1498,	10,	3,	23,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(551,	117,	18,	5,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(552,	117,	73,	5,	3,	9,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(553,	117,	57,	10,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(554,	117,	528,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(558,	119,	528,	1,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(559,	120,	1179,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(560,	120,	57,	1,	3,	13,	9.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(561,	120,	19,	1,	3,	7,	10.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(562,	120,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(563,	120,	1563,	1,	3,	110,	8.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(564,	120,	682,	1,	3,	3,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(565,	120,	170,	3,	3,	3,	6.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(571,	122,	1344,	4,	3,	4,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(572,	123,	528,	1,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(573,	117,	848,	10,	3,	5,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(574,	117,	799,	10,	3,	5,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(575,	124,	676,	1,	3,	3,	13.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(576,	125,	74,	1,	3,	15,	9.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(577,	126,	1353,	5,	3,	3,	4.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(578,	126,	1766,	10,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(579,	126,	676,	5,	3,	3,	12.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(581,	128,	57,	1,	3,	15,	9.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(582,	128,	551,	1,	63,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(583,	128,	766,	4,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(584,	128,	753,	6,	63,	3,	1.800,	NULL,	NULL,	NULL,	'4kg',	NULL,	NULL),
(585,	129,	170,	1,	3,	3,	6.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(586,	129,	420,	3,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(587,	129,	152,	3,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(588,	129,	57,	1,	3,	16,	8.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(589,	129,	799,	3,	3,	5,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(595,	130,	1251,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(596,	130,	742,	1,	3,	2,	10.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(597,	130,	1145,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(598,	130,	1179,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(599,	130,	1353,	2,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(600,	130,	1723,	1,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(603,	133,	1071,	1,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(604,	134,	932,	3,	3,	24,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(605,	134,	1839,	3,	63,	3,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(606,	134,	933,	7,	7,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(607,	134,	1563,	2,	3,	110,	8.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(608,	134,	1584,	2,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(609,	134,	969,	1,	3,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(610,	134,	76,	1,	3,	7,	10.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(611,	134,	968,	6,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(612,	134,	1514,	2,	3,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(613,	134,	766,	4,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(614,	134,	170,	7,	3,	3,	6.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(615,	134,	420,	15,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(616,	134,	840,	10,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(617,	134,	848,	10,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(618,	134,	799,	10,	3,	3,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(619,	135,	799,	6,	3,	3,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(622,	138,	57,	1,	7,	13,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(623,	138,	1298,	1.5,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(636,	140,	57,	4,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(637,	140,	152,	20,	1,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(638,	140,	423,	30,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(639,	140,	753,	15,	63,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(640,	140,	766,	15,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(641,	140,	848,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(642,	140,	1353,	5,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(643,	140,	1425,	6,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(644,	140,	1839,	3,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(645,	140,	1959,	2,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(646,	140,	1978,	2,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(651,	141,	528,	2,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(652,	141,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(698,	143,	249,	2,	63,	4,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(699,	143,	314,	2,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(700,	143,	170,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(701,	143,	848,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(702,	143,	799,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(703,	143,	1491,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(704,	143,	94,	2,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(705,	143,	933,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(706,	143,	1610,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(707,	143,	1587,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(708,	143,	1514,	3,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(709,	143,	1344,	30,	3,	103,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(710,	143,	1344,	10,	3,	20,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(711,	143,	1344,	30,	3,	29,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(712,	143,	676,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(713,	143,	667,	2,	3,	58,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(714,	143,	1839,	2,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(715,	143,	551,	2,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(716,	143,	528,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(717,	143,	420,	8,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(718,	143,	753,	4,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(719,	143,	753,	5,	63,	3,	0.000,	NULL,	NULL,	NULL,	'SUMAYYA',	NULL,	NULL),
(720,	143,	758,	5,	63,	3,	0.000,	NULL,	NULL,	NULL,	'FAYHA',	NULL,	NULL),
(721,	143,	1071,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(722,	143,	766,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(791,	142,	1959,	1,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(792,	142,	1138,	10,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(793,	142,	1080,	2,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(794,	142,	1439,	5,	3,	23,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(795,	142,	752,	3,	3,	3,	9.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(796,	142,	73,	2,	3,	8,	10.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(797,	142,	74,	4,	3,	10,	9.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(798,	142,	420,	15,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(799,	142,	528,	3,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(800,	142,	691,	6,	3,	3,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(801,	142,	753,	10,	63,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(802,	142,	766,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(803,	142,	799,	10,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(804,	142,	799,	10,	3,	22,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(805,	142,	848,	10,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(806,	142,	969,	1,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(807,	142,	1071,	10,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(808,	142,	1166,	20,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(809,	142,	1526,	5,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(810,	142,	1563,	1,	3,	110,	8.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(825,	145,	528,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(826,	145,	423,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(827,	145,	1071,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(828,	145,	758,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'FAYHA',	NULL,	NULL),
(829,	145,	1344,	1,	3,	20,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(830,	145,	275,	2,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(831,	145,	848,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(832,	145,	807,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(833,	145,	799,	3,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(834,	145,	799,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(835,	145,	1587,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(836,	145,	1563,	1,	3,	105,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(837,	145,	1138,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(838,	145,	170,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(839,	145,	1166,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(904,	144,	57,	1,	3,	15,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(905,	144,	76,	1,	3,	15,	9.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(906,	144,	170,	3,	3,	3,	6.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(907,	144,	211,	2,	1,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(908,	144,	249,	1,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(909,	144,	275,	1,	3,	5,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(910,	144,	420,	3,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(911,	144,	528,	3,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(912,	144,	551,	1,	63,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(913,	144,	693,	6,	3,	3,	16.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(914,	144,	799,	6,	3,	22,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(915,	144,	836,	2,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(916,	144,	848,	2,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(917,	144,	894,	5,	3,	4,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(918,	144,	1071,	5,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(919,	144,	1111,	2,	3,	4,	5.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(920,	144,	1344,	7,	3,	29,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(921,	144,	1514,	1,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(922,	146,	285,	5,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(923,	147,	1766,	8,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(924,	148,	1610,	2,	3,	3,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(925,	148,	1151,	30,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(926,	149,	1301,	1,	63,	2,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(928,	150,	933,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(929,	150,	279,	3,	3,	5,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(930,	151,	1587,	1,	3,	3,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(931,	151,	848,	2,	3,	5,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(932,	151,	1563,	1,	3,	105,	8.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(933,	152,	753,	2,	3,	5,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(934,	152,	1269,	1,	3,	3,	16.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(935,	152,	1252,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(936,	152,	809,	1,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(937,	152,	844,	1,	3,	3,	14.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(938,	153,	1179,	5,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(939,	153,	894,	5,	3,	3,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(940,	153,	1587,	1,	3,	3,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(941,	153,	1608,	2,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(942,	153,	799,	5,	3,	22,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(943,	153,	848,	5,	3,	4,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(944,	153,	1498,	1,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(945,	153,	73,	1,	3,	9,	10.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(946,	153,	753,	1,	3,	5,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(947,	153,	753,	5,	63,	3,	1.800,	NULL,	NULL,	NULL,	'SUMAYYA',	NULL,	NULL),
(948,	153,	766,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(949,	154,	1626,	2,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(950,	155,	1622,	20,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(951,	156,	848,	1,	3,	5,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(952,	156,	682,	1,	3,	3,	11.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(956,	157,	178,	4,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(957,	157,	1151,	1,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(958,	157,	1514,	1,	7,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(959,	158,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(960,	159,	1353,	1,	3,	2,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(961,	160,	1353,	1,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(962,	161,	1978,	1,	63,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(963,	161,	1893,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(964,	161,	1251,	2,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(966,	162,	932,	5,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(968,	163,	1251,	0.5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(973,	165,	683,	2,	3,	56,	12.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(974,	165,	1344,	2,	3,	25,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(975,	165,	766,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(976,	165,	1839,	3,	63,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(977,	165,	753,	4,	63,	3,	1.800,	NULL,	NULL,	NULL,	'4kg',	NULL,	NULL),
(978,	166,	1138,	2,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(979,	166,	1336,	2,	3,	29,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(980,	166,	848,	1,	3,	22,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(981,	166,	799,	1,	3,	22,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(982,	166,	275,	1,	3,	5,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(983,	166,	1766,	1,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(984,	166,	168,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(985,	164,	932,	10,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(988,	167,	799,	15,	3,	3,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(989,	168,	932,	20,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(990,	169,	1251,	2,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(991,	170,	57,	2,	7,	13,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(992,	171,	1563,	1,	3,	105,	8.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(993,	172,	528,	3,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(994,	173,	168,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(995,	173,	1127,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(996,	173,	1151,	3,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(998,	175,	753,	1,	63,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(999,	176,	765,	1,	1,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1000,	177,	1835,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1001,	178,	1312,	1,	63,	84,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1002,	178,	1071,	1,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1003,	179,	932,	1,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1004,	179,	1439,	1,	3,	23,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1005,	179,	1610,	1,	3,	3,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1006,	179,	150,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1007,	179,	420,	1,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1008,	179,	168,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1009,	179,	753,	1,	63,	3,	2.500,	NULL,	NULL,	NULL,	'FAYHA',	NULL,	NULL),
(1010,	179,	799,	2,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1011,	179,	1626,	1,	3,	105,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1012,	179,	1514,	2,	7,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1013,	179,	57,	2,	7,	13,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1014,	179,	1353,	1,	3,	3,	4.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1015,	179,	1166,	4,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1016,	180,	1309,	1,	63,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1017,	181,	94,	1,	3,	15,	9.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1018,	181,	57,	2,	3,	10,	9.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1019,	181,	1514,	2,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1020,	181,	1563,	4,	3,	105,	8.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1021,	181,	170,	2,	3,	3,	6.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1022,	182,	969,	10,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1023,	182,	1626,	10,	3,	105,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1024,	182,	1127,	50,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1025,	182,	676,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1026,	182,	693,	10,	3,	63,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1027,	182,	932,	10,	3,	24,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1028,	182,	170,	60,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1029,	183,	152,	20,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1030,	183,	753,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'FAYHA',	NULL,	NULL),
(1031,	183,	766,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'good',	NULL,	NULL),
(1032,	183,	423,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1033,	183,	1071,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1034,	183,	676,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1035,	183,	894,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1036,	183,	1344,	5,	3,	20,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1037,	183,	275,	4,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1038,	183,	1526,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1039,	183,	848,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1040,	183,	848,	2,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1041,	183,	807,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1042,	183,	799,	5,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1043,	183,	799,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1044,	183,	1179,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1045,	183,	168,	12,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1046,	183,	170,	5,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1047,	183,	73,	1,	3,	9,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1048,	183,	94,	1,	3,	15,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1049,	184,	1626,	2,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1050,	184,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1051,	185,	1766,	4,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1052,	185,	807,	1,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1053,	186,	314,	1,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1054,	187,	168,	2,	3,	3,	2.000,	NULL,	NULL,	NULL,	'COLOUR',	NULL,	NULL),
(1055,	187,	1622,	6,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1056,	187,	881,	5,	3,	4,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1057,	187,	753,	2,	3,	39,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1058,	187,	753,	2,	3,	5,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1059,	187,	969,	1,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1060,	187,	1071,	5,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1061,	174,	168,	2,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1062,	188,	1563,	1,	3,	105,	8.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1125,	196,	168,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1126,	196,	152,	4,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1127,	196,	178,	7,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1128,	196,	275,	1,	3,	5,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1129,	196,	691,	0.5,	3,	3,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1130,	196,	836,	1,	3,	3,	5.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1131,	196,	932,	1,	3,	79,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1132,	196,	1127,	2,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1133,	196,	1265,	2,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1134,	196,	1353,	1,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1135,	196,	1563,	1,	3,	105,	8.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1136,	196,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1137,	196,	1766,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1138,	197,	168,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1139,	197,	1491,	2,	3,	4,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1140,	197,	1610,	1,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1141,	197,	848,	10,	3,	22,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1142,	198,	1353,	1,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1143,	198,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1144,	198,	45,	1,	3,	7,	5.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1145,	199,	1251,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1146,	200,	1312,	1,	63,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1147,	201,	753,	5,	63,	3,	1.900,	NULL,	NULL,	NULL,	'second',	NULL,	NULL),
(1148,	202,	1431,	2,	7,	23,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1149,	202,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1150,	202,	168,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1151,	202,	1174,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1152,	202,	1766,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1153,	202,	1111,	1,	3,	3,	5.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1154,	203,	1570,	2,	4,	74,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1155,	204,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1156,	205,	170,	2,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1157,	206,	1766,	1,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1158,	206,	1127,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1159,	207,	1839,	2,	63,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1160,	208,	1179,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1161,	208,	1563,	1,	6,	105,	0.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1162,	208,	57,	1,	7,	13,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1163,	208,	1425,	1.5,	1,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1164,	209,	275,	3,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1165,	209,	932,	1,	3,	24,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1166,	209,	932,	1,	3,	55,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1167,	209,	848,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1168,	209,	848,	10,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1169,	209,	837,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1170,	209,	807,	3,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1171,	209,	1526,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1172,	209,	1514,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1173,	209,	799,	1,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1174,	209,	799,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1175,	209,	1608,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1176,	209,	1587,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1177,	209,	1166,	25,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1178,	209,	57,	1,	3,	13,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1179,	209,	678,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1180,	209,	1151,	10,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1181,	209,	551,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1182,	209,	753,	1,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1183,	209,	753,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'FAYHA',	NULL,	NULL),
(1184,	209,	766,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1185,	209,	1111,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1186,	209,	1071,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1187,	209,	423,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1188,	209,	528,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1189,	209,	1301,	1,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1214,	210,	170,	10,	3,	2,	7.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1215,	210,	57,	10,	3,	14,	9.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1216,	210,	152,	20,	1,	2,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1217,	210,	969,	5,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1218,	210,	1111,	10,	3,	2,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1219,	210,	1251,	2,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1220,	210,	1353,	30,	3,	2,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1221,	210,	1959,	5,	1,	3,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1222,	211,	766,	3,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1223,	212,	1111,	2,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1224,	213,	1610,	5,	1,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1225,	213,	752,	1,	3,	3,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1226,	213,	1265,	10,	7,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1227,	214,	676,	0.5,	3,	3,	12.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1228,	215,	1251,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1229,	216,	1587,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1230,	216,	1353,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1231,	216,	1111,	1,	3,	2,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1232,	216,	1514,	1,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1233,	216,	57,	1,	3,	13,	9.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1234,	217,	1491,	5,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1235,	218,	1626,	3,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1236,	218,	848,	3,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1237,	218,	1579,	1,	3,	3,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1238,	218,	972,	1,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1239,	218,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1240,	218,	1839,	1,	63,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1241,	218,	811,	1,	3,	3,	5.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1242,	219,	753,	1,	3,	5,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1243,	219,	766,	1,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1244,	219,	1071,	5,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1245,	219,	528,	5,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1246,	219,	420,	5,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1247,	219,	1151,	10,	1,	3,	1.150,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1248,	219,	275,	1,	3,	5,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1249,	219,	1439,	5,	3,	23,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1250,	219,	1265,	3,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1251,	219,	1610,	4,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1252,	219,	1587,	4,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1253,	219,	1498,	1,	3,	23,	6.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1254,	219,	1514,	4,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1255,	219,	932,	1,	3,	24,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1256,	219,	1138,	10,	3,	3,	2.450,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1257,	219,	1127,	10,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1258,	219,	1166,	30,	3,	3,	2.450,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1259,	219,	799,	8,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1260,	219,	848,	8,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1264,	220,	420,	2,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1265,	220,	682,	2,	3,	3,	11.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1266,	220,	766,	2,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1295,	221,	170,	2,	3,	3,	7.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1296,	221,	330,	1,	63,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1297,	221,	420,	3,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1298,	221,	528,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1299,	221,	836,	1,	3,	3,	5.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1300,	221,	969,	1,	3,	2,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1301,	221,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1302,	221,	1111,	2,	3,	3,	5.800,	NULL,	NULL,	NULL,	'BABY',	NULL,	NULL),
(1303,	221,	1251,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1304,	223,	1959,	1,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1306,	225,	1251,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1307,	222,	1439,	2,	3,	23,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1308,	222,	682,	1,	3,	3,	11.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1309,	222,	799,	1,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1310,	222,	848,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1311,	222,	1138,	5,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1312,	226,	22,	1,	3,	9,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1313,	226,	1622,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1314,	226,	1111,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'BABY',	NULL,	NULL),
(1315,	226,	1251,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1316,	226,	752,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1317,	226,	1626,	15,	3,	105,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1318,	226,	309,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1319,	226,	807,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1320,	227,	152,	10,	1,	3,	1.080,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1321,	227,	676,	1,	3,	3,	12.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1322,	228,	676,	1,	3,	3,	12.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1323,	228,	848,	3,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1324,	228,	932,	2,	3,	24,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1325,	228,	799,	2,	3,	5,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1326,	228,	848,	2,	3,	5,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1327,	228,	848,	10,	3,	22,	1.700,	NULL,	NULL,	NULL,	'NET SMALL',	NULL,	NULL),
(1328,	228,	420,	3,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1329,	228,	1626,	5,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1330,	229,	753,	1,	63,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1331,	230,	1174,	2,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1332,	231,	1111,	1,	3,	3,	5.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1333,	232,	1071,	1,	3,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1334,	233,	753,	10,	63,	3,	1.800,	NULL,	NULL,	NULL,	'4kg second',	NULL,	NULL),
(1335,	233,	1071,	8,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1336,	233,	420,	15,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1337,	233,	57,	2,	3,	15,	9.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1338,	233,	73,	1,	3,	11,	10.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1339,	233,	835,	10,	3,	3,	5.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1340,	233,	170,	8,	3,	3,	6.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1341,	233,	969,	2,	3,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1342,	233,	1584,	6,	3,	3,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1343,	233,	1265,	10,	7,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1344,	233,	932,	2,	3,	24,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1345,	233,	933,	7,	7,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1346,	233,	1111,	10,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1347,	234,	1251,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1348,	235,	1138,	1,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1349,	236,	332,	1,	63,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1350,	236,	1353,	10,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1351,	237,	1263,	1,	4,	23,	0.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1352,	237,	848,	1,	3,	4,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1355,	238,	682,	1,	3,	3,	11.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1356,	239,	1597,	0.5,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1357,	239,	1080,	0.5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1358,	240,	1514,	1,	7,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1359,	240,	1344,	1,	3,	103,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1360,	241,	1066,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1361,	241,	799,	1,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1362,	241,	848,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1363,	241,	45,	1,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1364,	241,	45,	1,	3,	7,	5.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1365,	241,	1112,	1,	3,	3,	5.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1366,	241,	1111,	1,	3,	3,	5.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1367,	241,	1353,	2,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1368,	241,	178,	2,	3,	3,	10.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1369,	242,	1425,	6,	1,	3,	1.850,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1370,	243,	275,	1,	3,	5,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1371,	244,	753,	1,	63,	3,	1.800,	NULL,	NULL,	NULL,	'second',	NULL,	NULL),
(1372,	245,	1265,	1,	3,	3,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1373,	245,	836,	1,	3,	3,	6.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1374,	246,	1622,	2,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1375,	246,	1111,	2,	3,	3,	5.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1376,	246,	170,	1,	3,	3,	7.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1377,	247,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1379,	249,	752,	1,	3,	3,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1380,	249,	170,	10,	3,	3,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1382,	248,	1978,	2,	63,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1395,	250,	152,	40,	1,	3,	1.080,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1396,	250,	168,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1397,	250,	848,	2,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1398,	250,	932,	1,	3,	79,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1399,	250,	1344,	4,	3,	25,	3.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1400,	250,	1425,	6,	1,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1401,	251,	314,	2,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1402,	252,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1403,	252,	1610,	2,	3,	3,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1404,	252,	1498,	2,	3,	23,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1405,	253,	766,	1,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1406,	253,	1353,	1,	3,	3,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1407,	254,	314,	2,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1438,	255,	170,	2,	3,	3,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1439,	255,	420,	3,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1440,	255,	528,	1,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1441,	255,	676,	5,	3,	3,	12.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1442,	255,	693,	2,	3,	3,	16.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1443,	255,	1071,	2,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1444,	255,	1526,	1,	3,	3,	7.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1445,	255,	1563,	1,	3,	110,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1446,	256,	178,	2,	3,	3,	10.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1448,	258,	1114,	1,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1449,	258,	1626,	1,	3,	3,	3.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1450,	259,	551,	5,	6,	3,	0.180,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1451,	259,	57,	1,	7,	13,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1452,	260,	152,	2.5,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1456,	261,	1251,	1,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1457,	261,	178,	1,	1,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1458,	261,	799,	1,	3,	22,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1459,	262,	1251,	1,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1460,	263,	1131,	2,	3,	3,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1461,	264,	168,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1462,	265,	1526,	1,	3,	3,	7.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1463,	266,	420,	4,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1464,	266,	1071,	6,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1465,	267,	168,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1466,	267,	742,	2,	3,	3,	10.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1467,	267,	420,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1468,	267,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1469,	267,	791,	1,	3,	3,	13.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1479,	270,	1179,	2,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1480,	271,	1174,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1481,	271,	1179,	2,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1484,	273,	423,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1485,	272,	31,	1,	3,	15,	9.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1486,	272,	1344,	1,	3,	20,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1488,	274,	1344,	1,	10,	25,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1490,	275,	753,	1,	63,	2,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1492,	276,	742,	1,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1494,	277,	1145,	4,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1495,	278,	676,	0.5,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1496,	279,	275,	3,	4,	5,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1498,	280,	1344,	1,	3,	25,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1499,	281,	742,	1,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1502,	283,	1145,	1,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1506,	285,	420,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1507,	285,	972,	1,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1511,	286,	932,	1,	3,	24,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1512,	286,	1312,	1,	1,	55,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1513,	286,	1312,	1,	1,	84,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1514,	287,	1353,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1517,	288,	676,	1.5,	3,	3,	13.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1519,	289,	551,	1,	63,	2,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1521,	290,	1298,	1,	1,	3,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1523,	291,	178,	1,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1537,	293,	933,	2,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1540,	295,	551,	2,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1541,	295,	285,	6,	4,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1542,	295,	291,	6,	4,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1543,	295,	1111,	6,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1544,	295,	1251,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1545,	295,	1610,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1546,	295,	799,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1547,	295,	848,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1548,	295,	57,	5,	3,	13,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1549,	295,	766,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1550,	295,	528,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1551,	295,	1071,	12,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1552,	295,	753,	2,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1553,	295,	1353,	8,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1554,	292,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1555,	292,	753,	1,	63,	2,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1556,	292,	766,	1,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1559,	296,	1563,	4,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1560,	297,	1353,	5,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1561,	297,	1344,	2,	3,	29,	2.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1562,	297,	1071,	5,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1563,	297,	420,	4,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1564,	297,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1565,	297,	753,	4,	63,	2,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1566,	297,	767,	4,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1569,	298,	178,	1,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1570,	298,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1572,	299,	551,	1,	63,	2,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1584,	302,	528,	2,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1585,	303,	450,	1.8,	1,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1586,	303,	314,	1.5,	1,	3,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1587,	300,	1265,	1,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1588,	300,	1500,	3,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1589,	300,	1563,	1,	3,	110,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1590,	304,	848,	1,	3,	22,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1592,	305,	848,	1,	3,	5,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1594,	307,	1563,	2,	3,	110,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1595,	308,	1486,	1,	7,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1596,	308,	848,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1597,	309,	1444,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1598,	310,	1839,	4,	63,	3,	1.785,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1599,	310,	753,	4,	63,	3,	1.800,	NULL,	NULL,	NULL,	'4kg',	NULL,	NULL),
(1600,	310,	766,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1601,	310,	848,	2,	3,	3,	3.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1602,	310,	1111,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1603,	311,	1570,	60,	4,	74,	1.850,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1608,	312,	53,	1,	7,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1609,	312,	275,	1,	3,	3,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1610,	312,	829,	1,	3,	4,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1611,	312,	1344,	1,	3,	29,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1612,	313,	1145,	4,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1613,	313,	1344,	1,	3,	20,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1614,	313,	1353,	2,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1615,	313,	1071,	2,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1616,	313,	178,	2,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1621,	314,	682,	0.5,	3,	3,	11.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1622,	314,	1425,	4,	1,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1630,	315,	279,	1,	3,	3,	3.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1631,	315,	752,	1,	3,	3,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1632,	315,	972,	1,	3,	3,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1633,	315,	1123,	2,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1634,	315,	1344,	1,	3,	25,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1635,	315,	1444,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1636,	315,	1587,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1637,	316,	1298,	3,	1,	3,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1638,	316,	1344,	1,	3,	20,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1639,	316,	1626,	2,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1640,	316,	848,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1641,	316,	1071,	2,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1644,	317,	651,	2,	4,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1645,	317,	1425,	2,	1,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1646,	318,	1959,	5,	1,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1647,	318,	1269,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1648,	318,	1766,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1649,	318,	1071,	15,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1650,	318,	1608,	4,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1651,	318,	1587,	3,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1652,	318,	170,	10,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1653,	318,	932,	1,	3,	55,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1654,	318,	1563,	2,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1655,	318,	1203,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1656,	318,	1723,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1657,	318,	291,	5,	4,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1658,	318,	285,	5,	4,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1659,	318,	288,	5,	4,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1660,	318,	844,	2,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1661,	318,	809,	2,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1662,	318,	848,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1663,	318,	799,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1664,	318,	676,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1665,	318,	314,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1666,	318,	420,	40,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1667,	318,	388,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1668,	318,	394,	1,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1669,	318,	528,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1672,	319,	676,	0.5,	3,	3,	13.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1673,	319,	1071,	1,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1675,	320,	1698,	1,	3,	3,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1676,	321,	766,	1,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1678,	322,	423,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1679,	323,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1680,	324,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1681,	324,	766,	1,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1682,	324,	753,	2,	63,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1683,	324,	676,	1,	3,	3,	13.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1685,	326,	420,	2,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1686,	327,	1498,	2,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1687,	325,	428,	2,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1691,	328,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1694,	331,	1251,	3,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1695,	331,	1570,	4,	4,	74,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1697,	333,	1179,	5,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1698,	333,	1839,	4,	63,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1699,	333,	766,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1700,	333,	753,	4,	63,	3,	1.800,	NULL,	NULL,	NULL,	'4kg ',	NULL,	NULL),
(1707,	335,	848,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1708,	336,	1166,	1,	3,	3,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1709,	336,	766,	1,	3,	3,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1710,	336,	1353,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1711,	337,	1344,	1,	3,	29,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1712,	337,	168,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1713,	337,	1491,	1,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1714,	338,	279,	5,	4,	3,	0.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1715,	338,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1716,	338,	551,	1,	63,	3,	4.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1717,	338,	1514,	1,	7,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1718,	338,	178,	5,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1720,	340,	848,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1721,	340,	799,	3,	3,	3,	3.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1722,	342,	168,	1,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1723,	342,	420,	1,	3,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1724,	343,	528,	1,	63,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1725,	344,	1526,	1,	3,	3,	7.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1728,	346,	2186,	2,	6,	176,	8.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1729,	346,	558,	3,	6,	2,	5.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1733,	348,	766,	1,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1734,	348,	676,	1,	3,	3,	13.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1735,	349,	799,	10,	3,	5,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1736,	349,	836,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1737,	349,	876,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1738,	349,	1839,	10,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1739,	349,	1514,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1740,	349,	1498,	15,	3,	23,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1741,	349,	420,	100,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1742,	349,	969,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1743,	349,	766,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1744,	349,	753,	30,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1745,	349,	528,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1746,	350,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1747,	351,	1131,	50,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1748,	351,	1124,	50,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1749,	351,	519,	24,	4,	3,	0.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1750,	351,	290,	12,	4,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1751,	351,	1637,	3,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1752,	351,	1563,	10,	3,	3,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1753,	351,	1394,	1,	3,	3,	13.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1754,	351,	1229,	5,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1755,	351,	1251,	25,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1756,	351,	1203,	15,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1757,	351,	1111,	30,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1758,	351,	933,	25,	7,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1759,	351,	955,	1,	63,	3,	9.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1760,	351,	1906,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1761,	351,	752,	3,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1762,	351,	742,	5,	3,	74,	10.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1763,	351,	282,	15,	3,	33,	18.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1764,	351,	358,	2,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1765,	351,	533,	2,	1,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1766,	351,	449,	20,	1,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1767,	351,	288,	36,	4,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1768,	351,	285,	24,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1769,	351,	1260,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1770,	351,	576,	12,	4,	4,	0.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1771,	351,	419,	40,	4,	3,	0.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1772,	351,	142,	12,	4,	3,	0.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1773,	351,	154,	1,	3,	2,	28.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1779,	357,	1563,	1,	3,	110,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1780,	358,	785,	1,	3,	3,	6.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1785,	360,	799,	1,	3,	4,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1786,	360,	799,	1,	3,	38,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1787,	360,	1978,	2,	3,	3,	2.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1788,	360,	1470,	1,	3,	3,	7.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1789,	360,	1344,	2,	3,	25,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1790,	360,	1839,	3,	63,	2,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1791,	361,	1766,	1,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1792,	362,	367,	2,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1793,	363,	74,	1,	7,	13,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1794,	364,	682,	0.5,	7,	3,	11.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1797,	366,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1798,	366,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1799,	366,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1800,	367,	1166,	1,	3,	3,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1801,	367,	1563,	1,	3,	110,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1802,	368,	1622,	1,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1803,	369,	1166,	3,	3,	3,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1804,	370,	1649,	1,	63,	2,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1899,	388,	1251,	2,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1900,	388,	1229,	4,	4,	3,	0.550,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1901,	388,	459,	1,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1902,	388,	955,	1,	1,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1903,	388,	576,	3,	1,	3,	0.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1904,	388,	76,	3,	7,	13,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1905,	388,	57,	3,	7,	13,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1915,	389,	314,	1.45,	1,	3,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1916,	389,	575,	1,	4,	3,	0.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1917,	389,	1044,	0.6,	1,	4,	0.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1919,	390,	152,	5,	1,	3,	1.080,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1921,	391,	752,	1,	3,	3,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1923,	393,	1978,	1,	63,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1925,	394,	1491,	3,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1926,	392,	752,	1,	3,	3,	9.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1944,	396,	1353,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1945,	397,	753,	1,	3,	2,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1946,	398,	388,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1947,	399,	682,	1,	3,	3,	11.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1948,	400,	1353,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1949,	400,	848,	1,	3,	5,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1950,	400,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1951,	400,	420,	2,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1952,	400,	766,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1953,	400,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1954,	400,	170,	2,	3,	3,	7.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1955,	395,	388,	1,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1956,	395,	420,	3,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1957,	395,	528,	1,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1958,	395,	758,	5,	63,	2,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1959,	395,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1960,	395,	884,	20,	1,	3,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1961,	395,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1962,	401,	1344,	1,	3,	29,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1963,	401,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1964,	401,	1131,	2,	3,	6,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1965,	402,	420,	3,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1966,	402,	1066,	2,	3,	3,	4.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1967,	402,	876,	3,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1972,	404,	1470,	1,	3,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1973,	404,	1587,	6,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1978,	403,	421,	1,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1979,	403,	753,	1,	3,	5,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1980,	403,	1071,	2,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1981,	403,	1470,	1,	3,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1982,	405,	1726,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1983,	405,	285,	6,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1984,	406,	1131,	1.5,	3,	6,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1985,	407,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1986,	407,	682,	0.5,	3,	3,	11.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1987,	407,	1344,	1,	3,	20,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1988,	408,	742,	2,	3,	3,	10.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1996,	410,	881,	1,	3,	4,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1997,	410,	1425,	1,	1,	3,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1998,	410,	1727,	0.5,	4,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(1999,	411,	1131,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2000,	412,	1251,	1,	4,	3,	0.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2002,	413,	1111,	10,	3,	2,	5.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2003,	414,	753,	1,	63,	2,	2.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2004,	415,	933,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2005,	416,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2006,	417,	178,	1,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2007,	417,	881,	3,	3,	3,	1.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2008,	417,	799,	1,	3,	5,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2009,	417,	848,	2,	3,	38,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2010,	417,	1626,	2,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2011,	418,	1491,	1,	3,	3,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2012,	419,	1587,	2,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2013,	419,	332,	1,	63,	2,	1.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2014,	420,	753,	1,	63,	2,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2015,	420,	753,	1,	3,	5,	4.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2016,	420,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2017,	421,	168,	2,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2018,	421,	1344,	1,	3,	31,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2024,	422,	94,	1,	7,	14,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2025,	422,	152,	10,	1,	3,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2026,	422,	279,	1,	3,	5,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2027,	422,	799,	1,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2028,	422,	1353,	2,	3,	2,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2029,	423,	1567,	1,	3,	3,	9.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2033,	424,	625,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2034,	424,	1587,	1,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2035,	424,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2036,	425,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2037,	426,	753,	1,	63,	2,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2038,	427,	753,	1,	63,	2,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2039,	428,	1563,	1,	3,	110,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2041,	429,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2042,	430,	275,	3,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2043,	430,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2045,	431,	881,	4,	3,	4,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2046,	432,	1514,	20,	3,	3,	7.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2047,	432,	848,	30,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2048,	432,	876,	30,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2049,	432,	1353,	40,	3,	3,	4.900,	NULL,	NULL,	NULL,	'40pcs',	NULL,	NULL),
(2051,	433,	1071,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2053,	434,	881,	1,	3,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2054,	435,	753,	1,	63,	2,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2055,	435,	1131,	1.5,	3,	6,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2056,	436,	682,	0.5,	3,	3,	11.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2057,	437,	358,	1,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2064,	438,	33,	1,	3,	13,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2065,	438,	74,	1,	3,	13,	9.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2066,	438,	528,	2,	3,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2067,	438,	807,	1,	3,	3,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2068,	438,	1127,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2069,	438,	1179,	3,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2070,	439,	1071,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2071,	439,	753,	1,	63,	2,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2072,	439,	799,	1,	3,	38,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2073,	439,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2074,	439,	168,	3,	3,	3,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2075,	440,	279,	2,	3,	5,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2076,	440,	170,	3,	3,	3,	7.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2077,	440,	1071,	4,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2078,	441,	152,	3.2,	1,	2,	1.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2079,	442,	799,	1,	3,	5,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2080,	443,	1659,	1,	63,	2,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2081,	443,	932,	1,	3,	79,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2082,	443,	753,	1,	63,	2,	2.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2083,	443,	766,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2084,	443,	848,	1,	3,	38,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2085,	444,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2086,	445,	848,	1,	3,	5,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2087,	446,	848,	1,	3,	38,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2088,	446,	1626,	1,	3,	105,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2089,	447,	170,	2,	3,	3,	7.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2090,	448,	291,	1,	4,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2091,	448,	285,	1,	4,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2092,	449,	1622,	10,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2093,	450,	676,	1,	3,	3,	13.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2094,	450,	423,	1,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2095,	451,	1344,	1,	3,	20,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2096,	452,	1626,	1,	3,	71,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2097,	453,	799,	10,	3,	22,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2098,	453,	170,	10,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2099,	453,	1587,	5,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2100,	453,	1563,	1,	3,	110,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2101,	453,	1565,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2102,	453,	1978,	5,	63,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2103,	453,	1071,	20,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2104,	453,	932,	5,	3,	55,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2105,	453,	57,	3,	3,	7,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2106,	453,	1353,	10,	3,	3,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2107,	453,	178,	1,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2108,	453,	1626,	20,	3,	105,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2109,	453,	809,	3,	3,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2110,	453,	791,	3,	10,	2,	0.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2111,	453,	848,	10,	3,	22,	1.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2112,	453,	799,	10,	3,	2,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2113,	453,	848,	10,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2114,	453,	420,	40,	3,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2115,	454,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2116,	454,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2117,	454,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2118,	454,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2119,	454,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2120,	454,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2121,	454,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2122,	454,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2123,	454,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2124,	454,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2125,	454,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2126,	454,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2127,	454,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2128,	454,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2129,	454,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2130,	454,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2131,	454,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2132,	454,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2133,	454,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2134,	455,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2135,	455,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2136,	455,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2137,	455,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2138,	455,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2139,	455,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2140,	455,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2141,	455,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2142,	455,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2143,	455,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2144,	455,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2145,	455,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2146,	455,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2147,	455,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2148,	455,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2149,	455,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2150,	455,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2151,	455,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2152,	455,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2153,	456,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2154,	456,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2155,	456,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2156,	456,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2157,	456,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2158,	456,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2159,	456,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2160,	456,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2161,	456,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2162,	456,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2163,	456,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2164,	456,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2165,	456,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2166,	456,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2167,	456,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2168,	456,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2169,	456,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2170,	456,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2171,	456,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2172,	457,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2173,	457,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2174,	457,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2175,	457,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2176,	457,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2177,	457,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2178,	457,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2179,	457,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2180,	457,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2181,	457,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2182,	457,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2183,	457,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2184,	457,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2185,	457,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2186,	457,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2187,	457,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2188,	457,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2189,	457,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2190,	457,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2191,	458,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2192,	458,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2193,	458,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2194,	458,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2195,	458,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2196,	458,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2197,	458,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2198,	458,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2199,	458,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2200,	458,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2201,	458,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2202,	458,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2203,	458,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2204,	458,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2205,	458,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2206,	458,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2207,	458,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2208,	458,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2209,	458,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2210,	459,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2211,	459,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2212,	459,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2213,	459,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2214,	459,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2215,	459,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2216,	459,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2217,	459,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2218,	459,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2219,	459,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2220,	459,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2221,	459,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2222,	459,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2223,	459,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2224,	459,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2225,	459,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2226,	459,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2227,	459,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2228,	459,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2229,	460,	753,	10,	3,	5,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2230,	460,	765,	6,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2231,	460,	1893,	1,	3,	3,	4.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2232,	460,	249,	3,	63,	3,	1.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2233,	460,	452,	10,	1,	3,	0.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2234,	460,	755,	10,	1,	3,	1.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2235,	460,	1959,	5,	1,	3,	1.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2236,	460,	314,	1,	3,	2,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2237,	460,	1203,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2238,	460,	1723,	1,	3,	3,	4.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2239,	460,	1587,	5,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2240,	460,	1563,	2,	3,	3,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2241,	460,	969,	5,	3,	2,	7.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2242,	460,	1269,	1,	3,	2,	17.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2243,	460,	1071,	20,	3,	3,	4.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2244,	460,	933,	5,	7,	3,	4.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2245,	460,	807,	3,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2246,	460,	848,	5,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2247,	460,	799,	5,	3,	3,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2253,	462,	420,	1,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2254,	462,	676,	0.5,	3,	3,	13.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2255,	462,	972,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2256,	462,	1344,	1,	3,	103,	2.100,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2257,	463,	1498,	2,	3,	3,	6.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2258,	463,	1563,	1,	3,	110,	11.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2259,	464,	766,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2260,	465,	1251,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2261,	465,	1587,	1,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2262,	465,	178,	1,	3,	3,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2263,	465,	1344,	5,	3,	29,	2.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2264,	465,	528,	1,	3,	3,	4.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2265,	465,	766,	2,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2266,	465,	1071,	1,	3,	3,	4.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2273,	466,	848,	1,	3,	38,	3.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2274,	466,	1565,	2.5,	1,	3,	1.300,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2275,	466,	1587,	1,	3,	2,	6.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2276,	467,	799,	1,	3,	5,	3.600,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2277,	468,	848,	1,	3,	38,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2278,	468,	799,	1,	3,	38,	2.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2279,	468,	972,	1,	3,	3,	3.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2288,	470,	799,	3,	3,	3,	3.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2289,	471,	192,	1,	3,	3,	5.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2290,	471,	178,	1,	3,	2,	10.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2291,	471,	1563,	1,	3,	110,	11.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2292,	471,	810,	1,	3,	2,	12.000,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2293,	472,	693,	1,	3,	3,	16.500,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2294,	472,	1111,	2,	3,	3,	5.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2295,	472,	57,	2,	3,	13,	8.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2296,	472,	420,	2,	3,	3,	1.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2297,	472,	766,	4,	3,	3,	2.200,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2298,	472,	1839,	6,	63,	3,	1.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2299,	472,	753,	8,	63,	3,	1.800,	NULL,	NULL,	NULL,	'4kg',	NULL,	NULL),
(2300,	473,	1145,	6,	3,	3,	2.400,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2301,	474,	1344,	1,	3,	20,	3.700,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2306,	478,	933,	1,	3,	3,	3.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2307,	478,	1444,	1,	3,	3,	2.800,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2308,	478,	1587,	1,	3,	3,	3.900,	NULL,	NULL,	NULL,	'',	NULL,	NULL),
(2312,	480,	753,	1,	63,	3,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(2313,	479,	766,	3,	3,	3,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(2315,	482,	1071,	1,	3,	4,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2316,	482,	676,	1,	3,	3,	13.600,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(2317,	483,	1647,	60,	63,	3,	0.650,	0.00,	0.000,	39.000,	'',	NULL,	NULL),
(2318,	484,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2319,	484,	528,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2320,	484,	676,	1,	3,	3,	13.700,	0.00,	0.000,	13.700,	'',	NULL,	NULL),
(2321,	484,	1145,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2322,	484,	972,	0,	3,	4,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(2323,	485,	1491,	5,	3,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2324,	485,	1498,	6,	3,	3,	6.800,	0.00,	0.000,	40.800,	'',	NULL,	NULL),
(2325,	486,	152,	1.2,	1,	3,	1.100,	0.00,	0.000,	1.320,	'',	NULL,	NULL),
(2326,	486,	676,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2327,	486,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2328,	487,	1647,	3,	63,	2,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(2329,	487,	57,	2,	7,	15,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2330,	487,	1626,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2331,	487,	1766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2332,	487,	799,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2333,	487,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2334,	487,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2335,	488,	807,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(2336,	489,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2337,	490,	1563,	1,	3,	110,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(2339,	492,	1251,	6,	4,	3,	0.550,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2362,	495,	676,	0.5,	3,	3,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(2363,	495,	753,	1,	63,	2,	0.000,	0.00,	0.000,	0.000,	'2',	NULL,	NULL),
(2364,	495,	766,	1,	3,	3,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(2365,	495,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2366,	496,	799,	5,	3,	3,	2.900,	0.00,	0.000,	14.500,	'',	NULL,	NULL),
(2367,	496,	848,	8,	3,	3,	3.100,	0.00,	0.000,	24.800,	'',	NULL,	NULL),
(2368,	497,	394,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(2369,	497,	388,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(2371,	498,	1251,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2372,	499,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2373,	500,	551,	10,	6,	3,	0.180,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2374,	501,	1587,	5,	3,	3,	4.400,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(2375,	501,	1610,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2376,	502,	1626,	2,	3,	105,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(2377,	503,	1563,	1,	6,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(2378,	503,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2379,	504,	152,	20,	1,	3,	1.080,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(2380,	505,	1251,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2381,	505,	807,	2,	3,	3,	12.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(2382,	494,	168,	5,	3,	3,	2.100,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(2383,	494,	170,	3,	3,	3,	6.900,	0.00,	0.000,	20.700,	'',	NULL,	NULL),
(2384,	494,	528,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2385,	494,	682,	1,	3,	3,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(2386,	494,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2387,	494,	799,	10,	3,	3,	2.900,	0.00,	0.000,	29.000,	'',	NULL,	NULL),
(2388,	494,	848,	10,	3,	3,	3.000,	0.00,	0.000,	30.000,	'',	NULL,	NULL),
(2389,	494,	932,	1,	3,	24,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2390,	494,	969,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(2391,	494,	1071,	2,	3,	3,	4.300,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(2392,	494,	1127,	15,	3,	3,	3.200,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(2393,	506,	1563,	1,	3,	110,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(2394,	507,	1251,	15,	3,	3,	3.990,	0.00,	0.000,	59.850,	'',	NULL,	NULL),
(2395,	508,	1839,	3,	63,	2,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(2396,	509,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(2397,	510,	1344,	1,	3,	29,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(2398,	510,	1124,	2,	3,	3,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(2399,	511,	428,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2400,	512,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2401,	513,	932,	1,	3,	24,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2402,	514,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2403,	514,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(2404,	514,	682,	0.5,	3,	3,	11.200,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(2405,	515,	836,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(2406,	515,	848,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2407,	516,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2408,	517,	771,	10,	1,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(2409,	518,	1131,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2410,	519,	1251,	2,	4,	3,	0.550,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(2432,	522,	1587,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2433,	523,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2434,	524,	753,	1,	63,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(2435,	524,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(2436,	524,	1659,	1,	63,	2,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2447,	521,	307,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(2448,	521,	367,	0.5,	1,	3,	0.900,	0.00,	0.000,	0.450,	'',	NULL,	NULL),
(2449,	521,	398,	0.5,	1,	3,	0.900,	0.00,	0.000,	0.450,	'',	NULL,	NULL),
(2450,	521,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2451,	521,	446,	2,	1,	3,	0.350,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(2452,	521,	528,	1,	1,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(2453,	521,	753,	1,	63,	3,	2.200,	0.00,	0.000,	2.200,	'SECOND',	NULL,	NULL),
(2454,	521,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2455,	521,	1312,	1,	63,	84,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2456,	521,	1647,	1,	63,	2,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2457,	525,	1071,	1,	1,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2460,	526,	1111,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2461,	527,	1174,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2462,	527,	1131,	10,	3,	3,	4.800,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(2463,	528,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'sECOND',	NULL,	NULL),
(2464,	528,	1251,	2,	4,	3,	0.550,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(2465,	528,	1124,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2466,	528,	1111,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2467,	528,	551,	1,	63,	3,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(2468,	528,	1298,	4.5,	1,	3,	1.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(2512,	530,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2513,	530,	676,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2514,	530,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2515,	530,	799,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(2516,	530,	848,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2517,	530,	1587,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2518,	530,	1959,	2,	1,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2555,	529,	57,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(2556,	529,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2557,	529,	528,	4,	3,	3,	3.600,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(2558,	529,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'4kg',	NULL,	NULL),
(2559,	529,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2560,	529,	848,	3,	3,	3,	3.100,	0.00,	0.000,	9.300,	'',	NULL,	NULL),
(2561,	529,	1071,	1,	3,	3,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(2562,	529,	1839,	4,	63,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(2563,	531,	753,	1,	63,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(2564,	531,	1766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2565,	531,	848,	1,	3,	22,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2566,	531,	1138,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(2567,	531,	1587,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2568,	532,	682,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(2569,	532,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2570,	532,	1563,	2,	6,	110,	1.475,	0.00,	0.000,	2.950,	'',	NULL,	NULL),
(2571,	532,	1131,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2572,	532,	933,	1,	7,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2573,	532,	57,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2574,	532,	178,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2575,	532,	1766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2576,	532,	1251,	2,	4,	3,	0.550,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(2577,	532,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2585,	534,	742,	2,	3,	3,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(2586,	534,	1353,	8,	3,	3,	4.800,	0.00,	0.000,	38.400,	'',	NULL,	NULL),
(2587,	534,	1526,	2,	3,	3,	9.200,	0.00,	0.000,	18.400,	'',	NULL,	NULL),
(2588,	534,	170,	3,	3,	3,	7.000,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(2589,	535,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(2590,	535,	676,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2591,	536,	1893,	3,	4,	3,	0.650,	0.00,	0.000,	1.950,	'',	NULL,	NULL),
(2592,	536,	1251,	3,	4,	3,	0.550,	0.00,	0.000,	1.650,	'',	NULL,	NULL),
(2601,	533,	168,	4,	3,	3,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(2602,	533,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2603,	533,	799,	1,	3,	5,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2604,	533,	848,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2605,	533,	1345,	1,	3,	20,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(2606,	537,	1251,	2,	4,	3,	0.550,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(2607,	538,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2608,	538,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'second',	NULL,	NULL),
(2609,	539,	753,	2,	63,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2611,	540,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2612,	541,	624,	1,	3,	44,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(2613,	541,	423,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(2614,	541,	1138,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2615,	541,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2616,	542,	848,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2617,	543,	799,	1,	3,	5,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2618,	543,	848,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2619,	544,	676,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2620,	545,	1444,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(2621,	545,	170,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2622,	546,	848,	2,	3,	3,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(2623,	546,	1626,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(2624,	546,	1587,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2625,	546,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2626,	546,	799,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2627,	546,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2628,	546,	1959,	0.5,	1,	3,	1.500,	0.00,	0.000,	0.750,	'',	NULL,	NULL),
(2630,	548,	1963,	1,	63,	2,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(2631,	549,	1071,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2632,	549,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(2633,	549,	1344,	2,	3,	29,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(2634,	549,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(2635,	550,	1626,	3,	3,	105,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(2636,	550,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2637,	550,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2638,	550,	1470,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2639,	551,	799,	4,	3,	38,	2.900,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(2640,	552,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2641,	553,	551,	1,	63,	2,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2642,	554,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2643,	555,	1251,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2644,	555,	1444,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2646,	556,	1298,	5,	1,	4,	1.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(2647,	557,	1626,	1,	3,	105,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2648,	558,	742,	6,	4,	73,	0.900,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(2649,	558,	1444,	6,	3,	3,	2.600,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(2651,	559,	799,	1,	3,	5,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2654,	560,	152,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2655,	560,	181,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2657,	561,	94,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2659,	562,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2660,	563,	1111,	2,	3,	2,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(2661,	563,	932,	2,	3,	24,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(2662,	563,	676,	2,	3,	3,	13.600,	0.00,	0.000,	27.200,	'',	NULL,	NULL),
(2663,	563,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(2664,	563,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(2665,	563,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2666,	563,	1839,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2667,	563,	420,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(2668,	563,	1526,	1,	3,	2,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(2669,	563,	1514,	1,	3,	2,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2670,	563,	1071,	3,	3,	3,	4.300,	0.00,	0.000,	12.900,	'',	NULL,	NULL),
(2671,	563,	753,	3,	63,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(2672,	564,	1138,	10,	3,	3,	2.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(2673,	565,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2674,	565,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2675,	566,	1587,	3,	3,	3,	4.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(2676,	567,	1587,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2677,	567,	667,	0.5,	3,	3,	18.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(2678,	567,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(2679,	568,	1622,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2680,	568,	388,	2,	1,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2681,	568,	394,	2,	1,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2682,	568,	170,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2683,	569,	808,	1,	10,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(2684,	570,	848,	1,	3,	38,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2685,	571,	1587,	4,	3,	3,	4.500,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(2686,	572,	1727,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2689,	573,	752,	5,	3,	23,	9.800,	0.00,	0.000,	49.000,	'',	NULL,	NULL),
(2690,	573,	753,	20,	63,	2,	1.700,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(2691,	574,	1587,	4,	3,	3,	4.500,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(2692,	575,	1587,	4,	3,	3,	4.500,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(2693,	575,	808,	10,	3,	3,	6.400,	0.00,	0.000,	64.000,	'',	NULL,	NULL),
(2694,	576,	1251,	6,	4,	3,	0.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2695,	577,	1649,	25,	63,	3,	0.650,	0.00,	0.000,	16.250,	'',	NULL,	NULL),
(2696,	578,	420,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(2697,	579,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2698,	579,	753,	5,	63,	2,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2699,	580,	1839,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2700,	581,	1145,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2701,	582,	1587,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2702,	582,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(2703,	583,	170,	5,	3,	3,	7.000,	0.00,	0.000,	35.000,	'',	NULL,	NULL),
(2704,	584,	1839,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2705,	585,	1563,	1,	3,	110,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(2706,	585,	969,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(2707,	585,	423,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2708,	586,	848,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2709,	587,	1145,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(2710,	587,	65,	1,	7,	13,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(2711,	588,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2712,	589,	1470,	10,	3,	3,	9.200,	0.00,	0.000,	92.000,	'',	NULL,	NULL),
(2713,	590,	1145,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2714,	591,	528,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(2715,	591,	1071,	1,	3,	3,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(2716,	591,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2717,	591,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2718,	591,	1839,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(2719,	591,	676,	2,	3,	4,	11.800,	0.00,	0.000,	23.600,	'',	NULL,	NULL),
(2722,	593,	1251,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(2723,	592,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2724,	594,	528,	3,	3,	3,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(2725,	595,	1111,	10,	3,	3,	5.200,	0.00,	0.000,	52.000,	'',	NULL,	NULL),
(2726,	595,	1587,	30,	3,	3,	4.400,	0.00,	0.000,	132.000,	'',	NULL,	NULL),
(2727,	596,	1622,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2728,	596,	1830,	6,	4,	3,	0.700,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2729,	596,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(2730,	597,	799,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(2731,	597,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2732,	597,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(2733,	597,	836,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(2734,	597,	1587,	2,	3,	3,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(2735,	598,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(2738,	601,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2739,	601,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2740,	601,	676,	1,	3,	3,	13.600,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(2741,	602,	1344,	1,	3,	25,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2742,	603,	639,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2743,	604,	799,	1,	3,	38,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2744,	605,	1563,	4,	3,	110,	11.800,	0.00,	0.000,	47.200,	'',	NULL,	NULL),
(2745,	605,	1131,	5,	3,	3,	4.400,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(2746,	606,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2747,	607,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2754,	608,	1071,	2,	3,	3,	4.400,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(2755,	608,	1111,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2756,	608,	1127,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2757,	608,	1131,	3,	3,	3,	3.900,	0.00,	0.000,	11.700,	'',	NULL,	NULL),
(2758,	608,	1444,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(2759,	608,	1626,	2,	3,	105,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(2761,	609,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2762,	610,	742,	5,	3,	3,	10.500,	0.00,	0.000,	52.500,	'',	NULL,	NULL),
(2763,	611,	1563,	1,	3,	110,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2764,	611,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2765,	612,	676,	1,	3,	3,	13.600,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(2766,	612,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2767,	612,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2768,	612,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2769,	612,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(2770,	613,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(2771,	614,	1626,	2,	3,	71,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(2772,	615,	18,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2773,	615,	1587,	1,	3,	3,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2774,	615,	31,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(2775,	615,	799,	3,	3,	5,	4.600,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(2776,	616,	388,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(2777,	617,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2778,	617,	676,	1,	3,	3,	13.700,	0.00,	0.000,	13.700,	'',	NULL,	NULL),
(2779,	618,	279,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2780,	619,	894,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2781,	620,	1978,	1,	63,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(2782,	621,	1365,	3,	3,	3,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(2783,	621,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2784,	621,	1344,	5,	3,	29,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(2785,	621,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2786,	621,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(2787,	621,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2788,	622,	848,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2789,	623,	752,	1,	4,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(2790,	624,	33,	2,	3,	4,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2793,	625,	178,	4,	1,	3,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2794,	625,	1843,	5,	1,	3,	1.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(2795,	626,	932,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(2796,	627,	836,	2,	10,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(2797,	628,	1138,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2798,	628,	152,	1.6,	1,	3,	1.100,	0.00,	0.000,	1.760,	'',	NULL,	NULL),
(2799,	628,	1344,	1,	3,	25,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2800,	628,	682,	0.5,	3,	3,	11.200,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(2802,	629,	1365,	3,	3,	3,	3.100,	0.00,	0.000,	9.300,	'',	NULL,	NULL),
(2804,	630,	1251,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(2805,	631,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(2806,	632,	1251,	4,	4,	3,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2807,	633,	742,	5,	4,	3,	1.750,	0.00,	0.000,	8.750,	'',	NULL,	NULL),
(2808,	634,	1587,	3,	3,	3,	4.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(2809,	635,	1587,	1,	3,	3,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2810,	636,	1727,	3,	3,	3,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(2811,	637,	1727,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2812,	638,	1127,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(2813,	638,	1563,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(2814,	638,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(2815,	638,	420,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(2816,	638,	932,	1,	3,	24,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2817,	638,	876,	2,	3,	3,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(2818,	638,	676,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(2819,	639,	1649,	10,	63,	3,	0.750,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(2820,	640,	753,	3,	3,	5,	4.600,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(2821,	640,	1978,	2,	63,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2822,	640,	74,	6,	6,	14,	9.300,	0.00,	0.000,	55.800,	'',	NULL,	NULL),
(2823,	641,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2824,	641,	1839,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(2825,	641,	766,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(2826,	641,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(2827,	642,	1365,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2828,	642,	57,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2829,	642,	1766,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2830,	643,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2831,	644,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2832,	645,	1839,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2850,	646,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2851,	646,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2852,	646,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2853,	646,	1260,	3,	4,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(2854,	647,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2855,	648,	1587,	1,	3,	3,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2856,	648,	31,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(2857,	649,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2858,	649,	1344,	1,	3,	20,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(2859,	650,	1071,	2,	3,	3,	4.400,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(2861,	652,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2862,	652,	1301,	1,	63,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2863,	653,	791,	2,	3,	3,	12.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(2864,	653,	1587,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2865,	653,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2866,	654,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2867,	654,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2868,	654,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(2869,	654,	848,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(2870,	654,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(2871,	654,	1470,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(2872,	654,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(2873,	654,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2874,	654,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2875,	654,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2876,	654,	170,	2,	3,	3,	7.000,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(2877,	655,	388,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2878,	656,	1251,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(2879,	657,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2880,	657,	848,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2881,	657,	1526,	1,	3,	3,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(2882,	658,	752,	2,	3,	3,	10.200,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(2884,	659,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(2885,	660,	1365,	5,	3,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(2886,	660,	1131,	4,	3,	6,	4.500,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(2887,	660,	1174,	4,	3,	3,	3.500,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(2888,	661,	1166,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(2889,	662,	1978,	2,	63,	2,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2891,	664,	1251,	10,	3,	3,	3.780,	0.00,	0.000,	37.800,	'',	NULL,	NULL),
(2892,	663,	848,	2,	3,	5,	4.600,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(2893,	665,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2894,	666,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2895,	666,	753,	1,	3,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2896,	666,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2897,	666,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2898,	666,	676,	1,	3,	3,	13.700,	0.00,	0.000,	13.700,	'',	NULL,	NULL),
(2899,	667,	388,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2900,	668,	752,	1,	4,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(2901,	668,	1127,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(2902,	669,	780,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(2903,	670,	848,	1,	3,	22,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(2904,	671,	1587,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(2905,	672,	1098,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(2913,	674,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2914,	674,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2915,	675,	170,	10,	3,	3,	7.000,	0.00,	0.000,	70.000,	'',	NULL,	NULL),
(2923,	673,	792,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(2924,	673,	809,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(2925,	673,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(2926,	673,	1444,	4,	3,	3,	2.800,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(2927,	673,	1491,	5,	3,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(2928,	673,	1622,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(2929,	673,	1723,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2930,	676,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2931,	677,	150,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2932,	677,	1345,	2,	3,	20,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(2933,	677,	1344,	1,	3,	29,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(2934,	677,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(2935,	677,	1061,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(2936,	677,	1470,	1,	3,	3,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(2937,	677,	1425,	3,	1,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(2938,	677,	1124,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(2939,	678,	1251,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2940,	678,	836,	2,	10,	5,	6.600,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(2941,	678,	1610,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2942,	678,	777,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(2943,	679,	1251,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(2944,	679,	750,	0.5,	1,	3,	3.400,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(2945,	680,	625,	2,	3,	3,	4.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(2946,	681,	1579,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(2947,	682,	1830,	6,	3,	3,	0.700,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2948,	683,	766,	10,	3,	3,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(2949,	683,	170,	2,	3,	3,	7.000,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(2950,	683,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2951,	684,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(2952,	685,	876,	2,	3,	3,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(2953,	685,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(2954,	685,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(2955,	685,	1127,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(2956,	685,	1611,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(2957,	685,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2958,	686,	1491,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(2959,	686,	1610,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2960,	686,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(2961,	687,	1131,	2,	3,	3,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(2962,	688,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(2963,	689,	912,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(2964,	690,	912,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(2965,	691,	1251,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(2966,	692,	752,	1,	4,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(2967,	693,	1587,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2968,	694,	1071,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(2969,	694,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(2970,	694,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(2971,	694,	1839,	4,	63,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(2972,	695,	1579,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(2973,	696,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(2974,	697,	1251,	4,	4,	3,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(2977,	698,	753,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(2978,	698,	1071,	1,	3,	3,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(2979,	699,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(2980,	699,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2981,	700,	799,	5,	3,	5,	3.800,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(2982,	701,	912,	2.3,	1,	3,	1.300,	0.00,	0.000,	2.990,	'',	NULL,	NULL),
(2983,	702,	807,	1,	3,	2,	12.400,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(2984,	702,	836,	4,	3,	3,	6.400,	0.00,	0.000,	25.600,	'',	NULL,	NULL),
(2985,	703,	752,	1,	3,	23,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(2987,	704,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(2994,	705,	73,	2,	3,	9,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(2995,	705,	76,	2,	3,	13,	10.200,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(2996,	705,	753,	4,	63,	2,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(2997,	706,	972,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(2998,	707,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(2999,	707,	972,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3000,	707,	1365,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3001,	707,	1138,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(3005,	708,	682,	1,	3,	3,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(3006,	709,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3007,	709,	1470,	2,	7,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3008,	709,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(3009,	709,	848,	2,	3,	22,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3010,	709,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3011,	709,	1626,	2,	3,	105,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3012,	710,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3013,	710,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3014,	710,	1071,	1,	3,	3,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(3015,	710,	551,	1,	63,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3016,	710,	1344,	2,	3,	20,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(3017,	711,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3018,	711,	1124,	2,	3,	3,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3019,	712,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3020,	712,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3021,	713,	420,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3022,	714,	799,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3023,	714,	912,	1.4,	1,	3,	1.300,	0.00,	0.000,	1.820,	'',	NULL,	NULL),
(3029,	716,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3034,	715,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3035,	715,	249,	2,	63,	2,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3036,	715,	676,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(3037,	715,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(3038,	717,	1166,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(3039,	717,	1626,	1,	3,	105,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(3040,	718,	894,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3053,	722,	1477,	2,	1,	2,	10.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(3054,	722,	646,	3,	4,	1,	8.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(3078,	733,	169,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3079,	733,	8,	2,	3,	8,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3087,	737,	1836,	1.2,	1,	3,	1.000,	5.00,	0.060,	1.260,	'',	NULL,	NULL),
(3088,	737,	9,	1,	3,	10,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(3089,	737,	8,	2,	1,	8,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3097,	740,	1,	1,	3,	2,	0.000,	0.00,	0.000,	0.000,	'',	NULL,	NULL),
(3106,	749,	972,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3107,	749,	528,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3108,	749,	676,	0.5,	3,	3,	13.600,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3109,	749,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3110,	750,	1498,	5,	3,	3,	6.800,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(3111,	750,	792,	5,	3,	2,	12.000,	0.00,	0.000,	60.000,	'',	NULL,	NULL),
(3115,	754,	1071,	2,	3,	3,	4.400,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3116,	754,	972,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3117,	755,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3119,	756,	1251,	6,	4,	3,	0.500,	5.00,	0.150,	3.150,	'',	NULL,	NULL),
(3120,	757,	1131,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3121,	757,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3122,	758,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(3123,	759,	1444,	5,	3,	3,	2.800,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(3124,	760,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3125,	761,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(3126,	761,	799,	1,	3,	5,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(3127,	761,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3128,	761,	1138,	9,	3,	3,	2.550,	0.00,	0.000,	22.950,	'',	NULL,	NULL),
(3129,	762,	767,	0.5,	1,	3,	1.500,	0.00,	0.000,	0.750,	'',	NULL,	NULL),
(3130,	763,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3131,	764,	1563,	3,	6,	110,	1.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3132,	764,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3133,	765,	752,	1,	4,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(3134,	766,	752,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3137,	767,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3138,	768,	1444,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3139,	769,	551,	5,	6,	3,	0.200,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(3140,	769,	420,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3141,	770,	1344,	1,	3,	20,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(3142,	770,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3143,	771,	1626,	3,	3,	71,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(3144,	772,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3145,	773,	848,	10,	3,	5,	4.500,	0.00,	0.000,	45.000,	'',	NULL,	NULL),
(3146,	773,	123,	1,	3,	3,	16.800,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(3147,	773,	742,	3,	3,	3,	10.500,	0.00,	0.000,	31.500,	'',	NULL,	NULL),
(3148,	773,	74,	5,	3,	13,	9.500,	0.00,	0.000,	47.500,	'',	NULL,	NULL),
(3149,	774,	1336,	1,	3,	101,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3150,	775,	1647,	10,	63,	3,	0.650,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(3151,	776,	1839,	1,	63,	3,	1.620,	5.00,	0.081,	1.701,	'',	NULL,	NULL),
(3152,	777,	1723,	1,	4,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3153,	778,	752,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(3154,	778,	742,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(3155,	778,	73,	2,	3,	9,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(3156,	779,	836,	2,	3,	5,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(3157,	780,	152,	5.6,	1,	3,	1.100,	0.00,	0.000,	6.160,	'',	NULL,	NULL),
(3160,	781,	676,	1,	3,	3,	13.600,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(3161,	781,	1839,	1,	63,	2,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(3162,	782,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3163,	782,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3164,	783,	1563,	1,	6,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(3166,	785,	528,	3,	3,	3,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3167,	785,	1071,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3168,	785,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3169,	785,	766,	4,	3,	3,	2.300,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3170,	785,	1839,	4,	63,	3,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(3171,	785,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3172,	784,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(3173,	786,	1166,	5,	3,	3,	2.900,	0.00,	0.000,	14.500,	'',	NULL,	NULL),
(3174,	787,	676,	1,	3,	3,	13.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3175,	787,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3176,	787,	551,	2,	63,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(3177,	788,	836,	1,	10,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3178,	789,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3179,	789,	76,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3180,	789,	73,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3181,	790,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3182,	791,	528,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3184,	792,	528,	3,	3,	3,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3185,	793,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3186,	793,	551,	1,	63,	2,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(3187,	794,	1425,	0.6,	1,	3,	1.900,	0.00,	0.000,	1.140,	'',	NULL,	NULL),
(3188,	795,	1425,	2.7,	1,	3,	1.900,	0.00,	0.000,	5.130,	'',	NULL,	NULL),
(3189,	796,	152,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(3190,	797,	551,	1,	63,	2,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(3191,	798,	45,	1,	3,	2,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3192,	798,	1166,	3,	3,	3,	2.900,	0.00,	0.000,	8.700,	'',	NULL,	NULL),
(3193,	798,	1099,	3,	3,	4,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3194,	799,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3195,	800,	1166,	3,	3,	3,	2.900,	0.00,	0.000,	8.700,	'',	NULL,	NULL),
(3196,	801,	752,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3197,	801,	1623,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(3198,	801,	1098,	3,	3,	3,	6.400,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(3199,	801,	1491,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(3203,	802,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3204,	802,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3205,	802,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3206,	803,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(3207,	803,	275,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3208,	803,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3209,	803,	170,	2,	3,	3,	7.000,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(3210,	803,	73,	1,	3,	9,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3211,	804,	1166,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(3212,	805,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3213,	806,	1563,	2,	3,	3,	7.400,	0.00,	0.000,	14.800,	'',	NULL,	NULL),
(3214,	807,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3215,	808,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3216,	808,	1839,	1,	63,	2,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(3217,	808,	249,	1,	63,	2,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(3218,	808,	848,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3219,	808,	799,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3220,	809,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3221,	809,	932,	2,	3,	79,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3222,	809,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3223,	809,	1098,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3224,	809,	1138,	4,	3,	3,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(3225,	810,	676,	1,	3,	3,	13.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3226,	811,	1344,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3227,	812,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3228,	813,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3229,	814,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3230,	815,	676,	3,	7,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3231,	816,	848,	3,	10,	5,	4.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3232,	817,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(3233,	818,	753,	1,	63,	2,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3234,	818,	691,	1,	3,	3,	13.600,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(3235,	819,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3236,	820,	275,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3237,	821,	1563,	3,	6,	3,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3238,	821,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3239,	821,	45,	2,	3,	22,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3240,	821,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3241,	821,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3242,	821,	676,	1,	3,	3,	13.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3243,	822,	45,	1,	3,	22,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(3244,	823,	799,	1,	3,	38,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3245,	824,	1626,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3246,	825,	753,	1,	63,	2,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3247,	825,	848,	1,	3,	38,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3248,	825,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3249,	826,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3250,	826,	58,	1,	3,	15,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3251,	827,	57,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3252,	827,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3253,	827,	1610,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3254,	828,	799,	1,	3,	38,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3255,	828,	1473,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3256,	828,	57,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3257,	828,	1166,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3260,	829,	1124,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(3261,	830,	1166,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3262,	830,	168,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3263,	830,	1626,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3264,	830,	848,	1,	3,	38,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3265,	830,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3266,	831,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3267,	831,	1166,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(3268,	831,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3269,	831,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3270,	831,	1124,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3271,	831,	1563,	1,	3,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(3272,	831,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3273,	831,	1312,	1,	63,	84,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3274,	832,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3275,	832,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3276,	832,	1839,	1,	63,	3,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(3277,	832,	57,	1,	3,	15,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3278,	832,	1099,	2,	3,	4,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(3279,	832,	1166,	5,	3,	3,	2.900,	0.00,	0.000,	14.500,	'',	NULL,	NULL),
(3280,	832,	894,	4,	3,	3,	1.500,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(3281,	832,	1344,	2,	3,	25,	3.100,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(3282,	832,	625,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3283,	832,	1625,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3284,	833,	1099,	1,	3,	4,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3286,	834,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3287,	834,	168,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3288,	835,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3289,	836,	528,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3290,	836,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3291,	836,	1131,	1,	7,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3292,	836,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3293,	836,	1353,	1,	3,	2,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3294,	836,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3295,	836,	31,	1,	3,	15,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3296,	837,	742,	1,	4,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3297,	837,	275,	2,	4,	3,	0.400,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3298,	837,	1124,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3299,	837,	1131,	2,	3,	6,	4.600,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3300,	838,	1166,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3301,	838,	1127,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3302,	839,	742,	2,	4,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3303,	839,	1131,	1,	3,	6,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3304,	840,	1251,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(3305,	841,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(3306,	841,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3307,	841,	1071,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3309,	843,	1138,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(3310,	844,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3311,	844,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3312,	844,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3313,	845,	116,	1,	3,	15,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(3314,	846,	420,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3315,	847,	152,	4,	1,	3,	1.100,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3316,	848,	410,	15,	3,	3,	3.300,	0.00,	0.000,	49.500,	'',	NULL,	NULL),
(3317,	848,	388,	15,	3,	3,	3.400,	0.00,	0.000,	51.000,	'',	NULL,	NULL),
(3318,	849,	1370,	1.6,	1,	3,	7.700,	0.00,	0.000,	12.320,	'',	NULL,	NULL),
(3319,	850,	792,	2,	3,	3,	12.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(3320,	851,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3321,	851,	1344,	1,	3,	25,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(3324,	853,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3325,	854,	1131,	1,	3,	6,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3326,	854,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3327,	854,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3328,	854,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3330,	852,	1131,	3,	3,	6,	4.400,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(3336,	855,	932,	2,	3,	24,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(3337,	842,	1587,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3338,	842,	742,	2,	3,	74,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(3339,	856,	1166,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3340,	856,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3341,	856,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(3342,	856,	1470,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(3343,	856,	57,	1,	3,	15,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(3344,	857,	1251,	6,	4,	3,	0.500,	5.00,	0.150,	3.150,	'',	NULL,	NULL),
(3345,	858,	1252,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3346,	858,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3347,	859,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3348,	859,	76,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3349,	859,	836,	2,	3,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(3350,	859,	57,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3351,	859,	152,	6,	1,	3,	1.100,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3352,	860,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3353,	861,	1071,	2,	3,	3,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(3354,	861,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3355,	861,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3356,	861,	420,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3357,	861,	676,	1,	3,	3,	13.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3358,	862,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3359,	863,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3360,	864,	170,	2,	1,	3,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(3361,	865,	528,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3362,	865,	1563,	3,	3,	110,	7.200,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(3363,	866,	1626,	2,	3,	105,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(3364,	866,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3365,	866,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(3366,	867,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(3367,	868,	1071,	1,	3,	4,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3368,	868,	1365,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3369,	868,	858,	2,	3,	3,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(3370,	869,	1766,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3371,	870,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3372,	870,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3373,	870,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3374,	870,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3375,	870,	799,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3376,	870,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3377,	871,	752,	1,	4,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(3378,	872,	676,	0.5,	3,	3,	13.600,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3379,	872,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3380,	872,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3381,	872,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3382,	872,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(3383,	873,	1066,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3384,	874,	677,	1,	3,	3,	13.600,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(3385,	875,	1649,	40,	63,	3,	0.650,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(3386,	876,	799,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3387,	876,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3389,	877,	752,	5,	4,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3390,	878,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(3391,	879,	1649,	20,	63,	3,	0.650,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(3395,	881,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(3396,	882,	1344,	3,	3,	25,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3397,	882,	528,	5,	3,	3,	3.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(3398,	882,	753,	8,	63,	3,	1.700,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(3399,	882,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(3400,	882,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(3401,	882,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3402,	882,	420,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3403,	882,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3404,	882,	57,	2,	3,	13,	8.600,	0.00,	0.000,	17.200,	'',	NULL,	NULL),
(3407,	880,	881,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(3408,	880,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3409,	880,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3410,	883,	1526,	1,	3,	3,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3411,	883,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3412,	884,	1060,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(3413,	884,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3414,	884,	279,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(3415,	884,	1563,	1,	3,	110,	7.200,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(3416,	884,	1365,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3417,	884,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(3418,	885,	1131,	10,	3,	6,	4.300,	0.00,	0.000,	43.000,	'',	NULL,	NULL),
(3419,	885,	170,	2,	3,	3,	6.900,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(3420,	885,	1587,	4,	3,	3,	5.400,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(3421,	885,	836,	10,	10,	3,	6.400,	0.00,	0.000,	64.000,	'',	NULL,	NULL),
(3422,	886,	969,	1,	3,	2,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3423,	887,	799,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'BALADIYA MUDHEER',	NULL,	NULL),
(3424,	888,	1131,	20,	7,	3,	3.400,	0.00,	0.000,	68.000,	'',	NULL,	NULL),
(3425,	889,	1166,	8,	3,	3,	2.800,	0.00,	0.000,	22.400,	'',	NULL,	NULL),
(3426,	890,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(3427,	890,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3428,	890,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3429,	890,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3430,	890,	31,	1,	3,	13,	8.700,	0.00,	0.000,	8.700,	'',	NULL,	NULL),
(3431,	891,	31,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3432,	891,	676,	1,	3,	3,	13.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3433,	892,	753,	2,	63,	3,	1.750,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3434,	893,	8,	2,	3,	9,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3435,	894,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3436,	895,	1127,	3,	3,	3,	2.900,	0.00,	0.000,	8.700,	'',	NULL,	NULL),
(3437,	896,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'4kg',	NULL,	NULL),
(3438,	896,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3439,	896,	969,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3440,	896,	1659,	20,	63,	3,	0.650,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(3441,	896,	676,	1,	3,	3,	13.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(3442,	897,	1124,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3443,	898,	18,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3444,	898,	1336,	1,	3,	29,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3445,	899,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3446,	900,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3447,	901,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3448,	902,	1626,	2,	3,	111,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3449,	902,	1470,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3450,	903,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3451,	903,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3452,	903,	1298,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3453,	903,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3454,	904,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3455,	904,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3456,	904,	1439,	1,	3,	1,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3457,	905,	1565,	3.7,	1,	3,	1.300,	0.00,	0.000,	4.810,	'',	NULL,	NULL),
(3458,	905,	152,	0.6,	1,	3,	1.200,	0.00,	0.000,	0.720,	'',	NULL,	NULL),
(3459,	905,	742,	5,	4,	3,	0.900,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(3460,	905,	1098,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3461,	905,	1124,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3462,	905,	1622,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(3463,	905,	854,	1,	3,	3,	14.800,	0.00,	0.000,	14.800,	'',	NULL,	NULL),
(3464,	906,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3465,	906,	1098,	1,	1,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3466,	907,	1336,	1,	3,	29,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3467,	907,	1138,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3468,	907,	1124,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3469,	907,	1425,	1.5,	1,	3,	2.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3470,	908,	742,	1,	4,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3471,	909,	1166,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3472,	909,	882,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3473,	910,	752,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3474,	911,	1099,	1,	3,	4,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3475,	911,	1124,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3476,	912,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3477,	912,	1626,	1,	3,	71,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3478,	913,	1124,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3483,	914,	676,	2,	3,	3,	13.500,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(3484,	914,	693,	1,	3,	3,	16.500,	0.00,	0.000,	16.500,	'',	NULL,	NULL),
(3485,	914,	753,	2,	63,	2,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3486,	914,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3487,	915,	1123,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3497,	918,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3498,	918,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3499,	919,	1626,	1,	3,	111,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3500,	920,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3501,	921,	170,	2,	1,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(3503,	923,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(3504,	922,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3517,	917,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3518,	917,	753,	4,	63,	2,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(3519,	917,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3520,	917,	1061,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3521,	917,	1312,	3,	63,	84,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3522,	917,	1563,	1,	3,	111,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3528,	916,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3529,	916,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3535,	924,	275,	4,	4,	3,	0.400,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(3536,	924,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3537,	924,	969,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3538,	924,	1344,	1,	3,	29,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3539,	924,	1344,	1,	10,	25,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3540,	925,	277,	1,	4,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3541,	925,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3542,	925,	1138,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3543,	925,	57,	1,	7,	13,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3544,	925,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3546,	926,	742,	2,	4,	3,	1.750,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3547,	927,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3548,	927,	753,	2,	63,	2,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(3549,	927,	799,	2,	3,	38,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3550,	927,	1099,	4,	3,	4,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3551,	927,	1138,	4,	3,	3,	2.900,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(3552,	927,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3553,	928,	45,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3555,	929,	799,	1,	3,	22,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3556,	929,	1099,	1,	3,	4,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3558,	930,	1138,	26,	3,	3,	2.400,	0.00,	0.000,	62.400,	'',	NULL,	NULL),
(3559,	931,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3560,	931,	1839,	1,	63,	2,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(3561,	931,	1060,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(3562,	931,	1298,	5,	1,	3,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3563,	931,	168,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3564,	931,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3565,	932,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3566,	933,	1138,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3567,	934,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3568,	935,	1646,	1,	63,	4,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(3569,	936,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3570,	937,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(3571,	938,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(3572,	939,	1840,	1,	3,	2,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(3573,	940,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3574,	941,	1166,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3575,	942,	1344,	1,	3,	2,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3594,	943,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3595,	943,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3596,	943,	677,	0.5,	3,	3,	13.800,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(3597,	943,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3598,	943,	882,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3599,	943,	1071,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3600,	943,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(3601,	943,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3602,	943,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3603,	943,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3604,	944,	438,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3605,	945,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(3606,	945,	1127,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3607,	945,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3608,	945,	676,	0.5,	3,	3,	13.600,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3609,	946,	969,	1,	3,	2,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(3610,	946,	528,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(3611,	946,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3612,	946,	753,	2,	63,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3613,	946,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3614,	946,	1344,	1,	3,	103,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(3615,	946,	57,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3616,	946,	45,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3617,	947,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3618,	947,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(3619,	948,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3620,	948,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3621,	949,	168,	8,	3,	3,	2.200,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(3622,	950,	170,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(3623,	950,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(3624,	950,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3625,	950,	45,	1,	3,	22,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(3626,	950,	1563,	2,	6,	110,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3627,	950,	1649,	1,	63,	2,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(3628,	950,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3629,	950,	1060,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(3630,	950,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3631,	950,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3646,	952,	552,	1,	63,	2,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(3647,	953,	1229,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(3648,	954,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3649,	954,	1131,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(3650,	954,	933,	1,	7,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3651,	954,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3652,	954,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3653,	954,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3654,	955,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3655,	955,	152,	1.3,	1,	3,	1.200,	0.00,	0.000,	1.560,	'',	NULL,	NULL),
(3656,	956,	972,	1,	3,	4,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3659,	957,	1251,	4,	4,	3,	0.475,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(3661,	958,	848,	2,	3,	5,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3662,	959,	1071,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3663,	960,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3664,	960,	676,	0.5,	3,	3,	13.500,	0.00,	0.000,	6.750,	'',	NULL,	NULL),
(3665,	951,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3666,	951,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3667,	951,	676,	0.5,	3,	3,	13.600,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3668,	951,	969,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3669,	951,	1138,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3670,	951,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3671,	951,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3672,	961,	1098,	5,	3,	3,	6.400,	0.00,	0.000,	32.000,	'',	NULL,	NULL),
(3673,	961,	1610,	5,	3,	3,	5.000,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(3674,	961,	1637,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(3675,	962,	1496,	2,	3,	3,	6.200,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(3676,	962,	810,	3,	3,	3,	12.000,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(3677,	963,	742,	5,	3,	3,	10.500,	0.00,	0.000,	52.500,	'',	NULL,	NULL),
(3678,	963,	1498,	4,	3,	23,	6.800,	0.00,	0.000,	27.200,	'',	NULL,	NULL),
(3679,	964,	1312,	1,	63,	84,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3680,	964,	1766,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3681,	964,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3688,	965,	1839,	1,	63,	2,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(3689,	965,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3690,	965,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3691,	965,	767,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3692,	966,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3693,	967,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(3694,	967,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3695,	967,	1839,	1,	63,	3,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(3696,	967,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3697,	967,	1071,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(3698,	967,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3699,	968,	1071,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3700,	969,	1830,	10,	4,	3,	0.700,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3701,	970,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3702,	971,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3714,	972,	314,	2,	1,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3715,	972,	367,	1,	1,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(3716,	972,	398,	1,	1,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(3717,	972,	791,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(3718,	972,	848,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(3719,	972,	1491,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(3720,	973,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(3721,	973,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3722,	974,	1131,	10,	3,	3,	3.000,	0.00,	0.000,	30.000,	'',	NULL,	NULL),
(3723,	975,	485,	1,	63,	3,	3.200,	5.00,	0.160,	3.360,	'',	NULL,	NULL),
(3724,	976,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3725,	977,	848,	15,	3,	22,	1.800,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(3726,	978,	1098,	1,	1,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(3727,	979,	753,	2,	63,	2,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3728,	980,	45,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3729,	980,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3730,	980,	932,	2,	6,	24,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(3731,	980,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3732,	980,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3733,	980,	1127,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3734,	980,	799,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(3735,	980,	1344,	2,	3,	20,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(3736,	981,	1124,	10,	3,	3,	2.800,	0.00,	0.000,	28.000,	'',	NULL,	NULL),
(3737,	982,	1124,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3738,	983,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(3739,	984,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3740,	984,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3741,	984,	753,	2,	63,	2,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(3742,	984,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3743,	984,	683,	0.5,	3,	3,	11.200,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3744,	984,	1131,	5,	3,	3,	3.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(3745,	985,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3746,	985,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3747,	986,	932,	3,	6,	24,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3748,	986,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3749,	986,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3750,	986,	676,	0.5,	3,	3,	13.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3751,	986,	1344,	2,	3,	20,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(3752,	987,	799,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3753,	988,	752,	3,	4,	3,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3754,	989,	1570,	4,	4,	74,	1.900,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(3755,	990,	178,	1,	3,	3,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(3756,	991,	1138,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3757,	991,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3758,	991,	932,	3,	6,	24,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3759,	991,	1626,	1,	3,	111,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3760,	991,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3761,	991,	969,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3762,	992,	676,	1,	3,	3,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(3763,	993,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3764,	994,	170,	2,	3,	3,	7.000,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(3765,	995,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3766,	995,	858,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3767,	995,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3770,	996,	777,	1,	3,	2,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(3771,	997,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(3775,	998,	288,	4,	4,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3776,	998,	742,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(3777,	998,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3778,	999,	1158,	4,	3,	3,	3.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(3780,	1000,	1426,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(3781,	1001,	576,	2,	4,	3,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(3782,	1001,	1978,	1,	63,	3,	2.300,	5.00,	0.115,	2.415,	'',	NULL,	NULL),
(3783,	1002,	1621,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(3784,	1002,	1851,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(3785,	1002,	178,	4,	3,	3,	11.200,	0.00,	0.000,	44.800,	'',	NULL,	NULL),
(3786,	1002,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3787,	1002,	836,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(3788,	1002,	625,	2,	1,	2,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(3789,	1002,	1131,	4,	3,	3,	3.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(3790,	1002,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3791,	1002,	1353,	5,	3,	3,	4.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(3792,	1002,	969,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3793,	1002,	1098,	3,	3,	3,	6.500,	0.00,	0.000,	19.500,	'',	NULL,	NULL),
(3794,	1002,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3795,	1002,	420,	4,	3,	3,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(3796,	1003,	848,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(3797,	1004,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3798,	1004,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3799,	1004,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3800,	1004,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3801,	1005,	676,	0.5,	3,	3,	13.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3802,	1006,	1565,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(3803,	1006,	1201,	1,	4,	3,	1.950,	5.00,	0.098,	2.048,	'',	NULL,	NULL),
(3804,	1006,	1727,	1,	4,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3805,	1006,	1626,	1,	3,	105,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3806,	1006,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3807,	1007,	752,	2,	4,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(3808,	1008,	152,	2.2,	1,	3,	1.100,	0.00,	0.000,	2.420,	'',	NULL,	NULL),
(3809,	1009,	1131,	2,	3,	6,	4.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(3810,	1009,	1344,	2,	3,	20,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(3811,	1010,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3812,	1011,	677,	1,	3,	3,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(3813,	1011,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3814,	1012,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3815,	1013,	676,	1,	3,	3,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(3816,	1014,	551,	6,	6,	3,	0.180,	5.00,	0.054,	1.134,	'',	NULL,	NULL),
(3817,	1014,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3818,	1014,	834,	2,	3,	22,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3819,	1014,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(3820,	1014,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3821,	1014,	1179,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3822,	1014,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3823,	1014,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3824,	1015,	1124,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3825,	1015,	881,	2,	3,	22,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3826,	1015,	1044,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3827,	1016,	1201,	2,	3,	3,	3.900,	5.00,	0.390,	8.190,	'',	NULL,	NULL),
(3828,	1016,	1124,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3829,	1016,	742,	1,	3,	74,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(3830,	1016,	1353,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(3831,	1017,	57,	1,	3,	15,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3832,	1017,	1344,	2,	3,	103,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3833,	1017,	799,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3834,	1017,	848,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(3835,	1017,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3836,	1017,	168,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3837,	1017,	667,	0.5,	3,	3,	18.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(3838,	1017,	676,	1,	3,	3,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(3839,	1018,	1201,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(3840,	1018,	48,	1,	3,	2,	15.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(3841,	1019,	799,	1,	3,	22,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(3842,	1019,	1726,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(3843,	1020,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3844,	1021,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3845,	1021,	287,	2,	4,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(3846,	1021,	1626,	2,	3,	105,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3847,	1021,	1131,	8,	3,	3,	3.200,	0.00,	0.000,	25.600,	'',	NULL,	NULL),
(3848,	1022,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3849,	1023,	799,	2,	3,	38,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3850,	1023,	753,	2,	63,	2,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(3851,	1023,	1138,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(3852,	1024,	1601,	1,	3,	23,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(3853,	1024,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3856,	1025,	1044,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3857,	1025,	1071,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(3859,	1027,	1647,	30,	63,	3,	0.650,	0.00,	0.000,	19.500,	'',	NULL,	NULL),
(3860,	1028,	1124,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3863,	1029,	742,	2,	4,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3864,	1029,	1260,	2,	4,	4,	0.625,	5.00,	0.063,	1.313,	'',	NULL,	NULL),
(3869,	1026,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3870,	1026,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3871,	1026,	799,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(3872,	1026,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3874,	1030,	1131,	4,	3,	3,	3.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(3875,	1031,	848,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(3876,	1031,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3877,	1031,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3878,	1032,	57,	1,	3,	15,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(3879,	1032,	766,	4,	3,	3,	2.300,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3880,	1032,	799,	4,	3,	5,	4.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(3881,	1032,	753,	8,	63,	2,	1.700,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(3882,	1032,	1839,	5,	63,	3,	1.700,	5.00,	0.425,	8.925,	'',	NULL,	NULL),
(3883,	1033,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3884,	1033,	1468,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(3885,	1033,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3886,	1034,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3887,	1034,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3888,	1034,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3889,	1034,	1839,	2,	63,	3,	1.708,	5.00,	0.171,	3.587,	'',	NULL,	NULL),
(3890,	1034,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'4kg',	NULL,	NULL),
(3891,	1035,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3892,	1036,	178,	1,	3,	4,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(3893,	1037,	291,	1,	4,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3894,	1038,	950,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(3895,	1039,	1131,	4,	3,	3,	3.200,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(3896,	1040,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3898,	1041,	682,	1,	3,	3,	10.900,	0.00,	0.000,	10.900,	'',	NULL,	NULL),
(3899,	1042,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(3900,	1042,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(3901,	1042,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3902,	1042,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(3904,	1043,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3905,	1044,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3906,	1044,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3907,	1044,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(3908,	1044,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(3909,	1045,	1138,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3910,	1045,	1345,	1,	3,	31,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3911,	1046,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3912,	1047,	799,	2,	3,	38,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3913,	1047,	1587,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(3914,	1048,	799,	2,	3,	38,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(3915,	1049,	676,	0.5,	3,	3,	13.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(3916,	1049,	848,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3917,	1050,	755,	0.3,	1,	3,	1.800,	0.00,	0.000,	0.540,	'',	NULL,	NULL),
(3918,	1050,	1610,	1,	1,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(3919,	1050,	1570,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(3920,	1050,	152,	1.7,	1,	3,	1.100,	0.00,	0.000,	1.870,	'',	NULL,	NULL),
(3921,	1050,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3922,	1050,	1166,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3923,	1050,	1959,	0.5,	1,	3,	1.400,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(3924,	1050,	771,	2,	1,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3925,	1050,	848,	1,	3,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(3926,	1050,	1336,	1,	3,	101,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3933,	1051,	57,	1,	3,	13,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(3934,	1051,	1138,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(3935,	1051,	1166,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3936,	1051,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3937,	1052,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(3938,	1052,	1563,	2,	6,	111,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(3939,	1052,	752,	1,	3,	3,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(3940,	1053,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3941,	1054,	1565,	5.6,	1,	3,	1.300,	0.00,	0.000,	7.280,	'',	NULL,	NULL),
(3942,	1055,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3943,	1056,	178,	1,	3,	3,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(3944,	1057,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3945,	1058,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3946,	1058,	887,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3947,	1059,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3948,	1060,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3949,	1060,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3950,	1060,	1659,	1,	63,	2,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(3951,	1060,	1166,	4,	3,	3,	2.800,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(3952,	1060,	1060,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(3953,	1060,	178,	1,	3,	3,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(3954,	1060,	506,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(3955,	1060,	287,	3,	4,	3,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(3956,	1060,	284,	4,	4,	3,	1.900,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(3957,	1060,	290,	2,	4,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(3958,	1060,	282,	3,	4,	33,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3959,	1061,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3960,	1061,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3961,	1061,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(3962,	1061,	1835,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(3963,	1062,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3964,	1063,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(3965,	1064,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3966,	1064,	848,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(3967,	1064,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(3968,	1065,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3969,	1065,	753,	1,	3,	39,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(3970,	1065,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3971,	1065,	1839,	4,	63,	2,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(3972,	1066,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3973,	1066,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3974,	1066,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(3975,	1067,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(3976,	1068,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3977,	1068,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(3978,	1068,	817,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(3979,	1068,	969,	1,	3,	2,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3980,	1069,	170,	2,	3,	3,	6.900,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(3981,	1069,	1610,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(3982,	1069,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(3983,	1069,	45,	6,	3,	2,	4.600,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(3984,	1069,	1365,	5,	3,	3,	3.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(3985,	1069,	1127,	10,	3,	3,	2.700,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(3986,	1070,	758,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(3987,	1070,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(3988,	1071,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(3989,	1071,	45,	1,	3,	7,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(3990,	1071,	1071,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(3991,	1071,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(3992,	1072,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(3993,	1072,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(3994,	1072,	742,	3,	4,	74,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(3995,	1073,	1131,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(3996,	1074,	1565,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(3997,	1074,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3998,	1075,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(3999,	1075,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4000,	1076,	676,	1,	3,	3,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(4001,	1077,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4002,	1078,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4005,	1079,	1312,	1,	63,	55,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4006,	1079,	1659,	2,	63,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4012,	1080,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4013,	1080,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4014,	1080,	1131,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(4015,	1080,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4016,	1080,	1659,	1,	63,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(4019,	1081,	1071,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(4021,	1083,	1138,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4022,	1083,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4023,	1084,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4027,	1086,	1563,	1,	6,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4028,	1085,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4029,	1085,	1610,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(4030,	1082,	1131,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(4033,	1087,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4034,	1087,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4035,	1088,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4036,	1088,	836,	2,	10,	5,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4037,	1088,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4038,	1088,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4039,	1088,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4040,	1089,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4041,	1090,	1071,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(4042,	1090,	1138,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(4043,	1091,	932,	1,	6,	23,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4044,	1092,	1138,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4045,	1093,	1390,	0.9,	1,	3,	0.500,	5.00,	0.023,	0.473,	'',	NULL,	NULL),
(4046,	1094,	282,	1,	4,	33,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4047,	1094,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(4048,	1094,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4049,	1095,	799,	3,	3,	22,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(4050,	1096,	45,	1,	7,	22,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(4051,	1096,	799,	1,	10,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4052,	1096,	168,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4053,	1096,	1099,	1,	3,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4054,	1096,	1127,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4055,	1097,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4056,	1097,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(4057,	1098,	932,	2,	6,	48,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(4058,	1098,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4059,	1099,	777,	1,	3,	2,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(4060,	1100,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4061,	1100,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4062,	1100,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4063,	1101,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4064,	1102,	1723,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4065,	1103,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4066,	1103,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4067,	1103,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4068,	1104,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4069,	1104,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4070,	1104,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4071,	1104,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4072,	1104,	1365,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4073,	1105,	1099,	2,	3,	4,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4074,	1106,	1492,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4075,	1107,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4076,	1107,	1169,	6,	3,	3,	2.800,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(4077,	1107,	1344,	2,	3,	25,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(4078,	1107,	57,	1,	3,	7,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(4079,	1108,	1124,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4080,	1109,	799,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4081,	1109,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4082,	1109,	1626,	1,	3,	33,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4083,	1109,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4084,	1110,	972,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4085,	1110,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(4086,	1111,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4087,	1112,	1099,	1,	3,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4088,	1112,	894,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4089,	1112,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4090,	1112,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4091,	1112,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4092,	1112,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4093,	1113,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4094,	1113,	976,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(4095,	1113,	1099,	2,	3,	4,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4096,	1113,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4097,	1113,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4098,	1113,	1470,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(4099,	1114,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4100,	1115,	976,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4101,	1116,	799,	1,	3,	22,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(4102,	1117,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4103,	1118,	1336,	1,	3,	103,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4104,	1119,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4105,	1120,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4106,	1121,	1626,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4107,	1121,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4108,	1121,	932,	1,	6,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(4109,	1121,	799,	1,	10,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4110,	1122,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(4111,	1123,	452,	1,	1,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4112,	1123,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(4113,	1124,	116,	1,	3,	15,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(4114,	1124,	836,	3,	3,	5,	6.800,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(4115,	1125,	152,	20,	1,	3,	1.080,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(4116,	1126,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(4117,	1127,	1251,	3,	3,	3,	3.700,	5.00,	0.555,	11.655,	'',	NULL,	NULL),
(4118,	1128,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4119,	1128,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(4120,	1128,	152,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4121,	1128,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4126,	1129,	1502,	1,	3,	3,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(4127,	1129,	1470,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(4128,	1129,	1071,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4129,	1129,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4130,	1129,	1626,	4,	3,	71,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(4131,	1130,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4132,	1130,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4133,	1131,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4134,	1132,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4135,	1133,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4136,	1133,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4137,	1133,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4138,	1133,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4139,	1134,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4140,	1134,	1839,	2,	63,	2,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(4141,	1135,	753,	2,	63,	2,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(4142,	1136,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4143,	1137,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4144,	1138,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(4145,	1139,	753,	5,	63,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(4146,	1140,	116,	1,	3,	15,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(4147,	1140,	1498,	1,	3,	23,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4148,	1140,	1563,	1,	3,	110,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(4149,	1140,	279,	1,	3,	5,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(4150,	1140,	1060,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(4151,	1140,	1127,	6,	3,	3,	2.700,	0.00,	0.000,	16.200,	'',	NULL,	NULL),
(4152,	1140,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4153,	1140,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(4154,	1140,	420,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(4155,	1141,	1442,	1,	7,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4156,	1141,	882,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4157,	1142,	275,	6,	3,	3,	4.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(4158,	1142,	1587,	12,	3,	3,	5.500,	0.00,	0.000,	66.000,	'',	NULL,	NULL),
(4159,	1143,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4160,	1143,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4161,	1144,	752,	3,	4,	3,	3.400,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(4162,	1145,	1978,	2,	63,	2,	2.200,	5.00,	0.220,	4.620,	'',	NULL,	NULL),
(4163,	1146,	551,	1,	63,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(4164,	1147,	1514,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(4165,	1147,	57,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(4166,	1147,	551,	1,	63,	2,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(4167,	1148,	1124,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4168,	1148,	1344,	1,	3,	25,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(4171,	1150,	876,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(4172,	1150,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4173,	1150,	799,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4174,	1149,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4175,	1149,	168,	15,	3,	3,	2.200,	0.00,	0.000,	33.000,	'',	NULL,	NULL),
(4176,	1149,	1439,	1,	3,	23,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4177,	1151,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4178,	1152,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(4179,	1153,	676,	10,	3,	3,	13.000,	0.00,	0.000,	130.000,	'',	NULL,	NULL),
(4183,	1154,	799,	5,	3,	22,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4184,	1154,	848,	5,	3,	22,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(4185,	1154,	848,	1,	10,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4186,	1155,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4187,	1155,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4188,	1155,	57,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(4189,	1155,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4190,	1155,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(4191,	1155,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4192,	1155,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'4kg',	NULL,	NULL),
(4193,	1156,	1514,	1,	7,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4194,	1157,	314,	1.3,	1,	3,	1.300,	0.00,	0.000,	1.690,	'',	NULL,	NULL),
(4195,	1157,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4196,	1158,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4197,	1158,	1563,	1,	3,	110,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(4198,	1159,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4199,	1159,	1166,	5,	3,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(4200,	1159,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(4201,	1160,	932,	1,	6,	24,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(4202,	1160,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4203,	1160,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4204,	1160,	1138,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4205,	1161,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4206,	1161,	1563,	4,	6,	110,	0.850,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4207,	1161,	1138,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4208,	1161,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4209,	1162,	753,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4210,	1163,	1835,	1,	3,	3,	3.808,	5.00,	0.190,	3.998,	'',	NULL,	NULL),
(4211,	1164,	168,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(4212,	1164,	57,	2,	7,	13,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(4213,	1164,	65,	2,	3,	13,	11.600,	0.00,	0.000,	23.200,	'',	NULL,	NULL),
(4214,	1164,	1098,	5,	3,	3,	6.500,	0.00,	0.000,	32.500,	'',	NULL,	NULL),
(4215,	1165,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(4216,	1166,	1344,	1,	3,	20,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(4217,	1166,	932,	1,	3,	22,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4218,	1166,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4219,	1166,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4232,	1168,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(4233,	1169,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4246,	1171,	1344,	3,	3,	25,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(4247,	1171,	420,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4248,	1171,	1127,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(4249,	1171,	932,	2,	3,	79,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4250,	1171,	279,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4251,	1171,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4252,	1171,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4253,	1171,	1587,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(4254,	1171,	1138,	10,	3,	3,	2.300,	0.00,	0.000,	23.000,	'',	NULL,	NULL),
(4255,	1171,	1166,	10,	3,	3,	2.700,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(4256,	1171,	57,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(4257,	1171,	65,	1,	3,	7,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(4258,	1167,	1344,	3,	3,	20,	3.600,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(4259,	1167,	57,	3,	7,	13,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(4260,	1167,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4261,	1167,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4262,	1167,	275,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4263,	1167,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4264,	1167,	836,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4265,	1167,	932,	1,	3,	79,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4266,	1167,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4267,	1167,	1131,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(4268,	1167,	1138,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4269,	1167,	1470,	2,	7,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4270,	1167,	1626,	3,	3,	71,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(4271,	1172,	1390,	2,	1,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4272,	1172,	1563,	4,	6,	110,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4273,	1172,	275,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4274,	1172,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4275,	1172,	1470,	1,	3,	3,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(4276,	1172,	170,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(4277,	1173,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4278,	1173,	1138,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4279,	1170,	753,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4280,	1174,	1251,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(4281,	1175,	1131,	7,	3,	3,	3.000,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(4282,	1175,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4283,	1175,	279,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4284,	1175,	667,	0.5,	3,	3,	18.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(4285,	1175,	1626,	3,	3,	3,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(4286,	1175,	969,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4287,	1175,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4288,	1175,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4289,	1175,	810,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(4290,	1176,	848,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4291,	1176,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4292,	1177,	1365,	10,	3,	3,	3.000,	0.00,	0.000,	30.000,	'',	NULL,	NULL),
(4293,	1178,	969,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4295,	1180,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4296,	1180,	750,	0.5,	1,	3,	3.200,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4297,	1181,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4304,	1182,	275,	4,	4,	3,	0.400,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4305,	1182,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4306,	1182,	894,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4307,	1182,	932,	1,	3,	79,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4308,	1182,	1138,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4309,	1182,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4311,	1179,	1365,	1,	3,	2,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4312,	1183,	1138,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4313,	1183,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4314,	1183,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4315,	1184,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4316,	1184,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4317,	1184,	753,	2,	63,	2,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4318,	1185,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4319,	1186,	152,	30,	1,	3,	1.080,	0.00,	0.000,	32.400,	'',	NULL,	NULL),
(4320,	1187,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4321,	1188,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4322,	1188,	676,	2,	3,	3,	13.000,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(4323,	1189,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(4324,	1190,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4325,	1191,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4326,	1192,	1131,	0.5,	3,	6,	4.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4327,	1193,	279,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4328,	1193,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(4329,	1193,	1131,	1,	7,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4330,	1194,	45,	2,	3,	7,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(4331,	1195,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4332,	1196,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(4333,	1197,	1659,	20,	63,	3,	0.650,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4334,	1198,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4336,	1199,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4337,	1199,	1442,	0.25,	3,	23,	2.800,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(4338,	1200,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4339,	1201,	1179,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4340,	1202,	1131,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4341,	1203,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4342,	1204,	1131,	5,	3,	3,	3.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(4344,	1205,	1491,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4345,	1206,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4346,	1206,	753,	1,	63,	2,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4347,	1207,	1099,	3,	3,	4,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4348,	1208,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4349,	1208,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4350,	1209,	1439,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4351,	1209,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4352,	1209,	1344,	1,	3,	103,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4353,	1210,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4354,	1211,	1071,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4355,	1212,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4356,	1212,	1425,	2,	1,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4357,	1212,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4358,	1213,	1439,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4359,	1213,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4360,	1214,	57,	1,	7,	13,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4361,	1215,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4362,	1216,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4363,	1216,	1443,	1,	3,	23,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4364,	1216,	1514,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(4365,	1216,	168,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(4366,	1216,	1587,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(4367,	1216,	932,	3,	3,	22,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(4369,	1218,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4370,	1219,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4371,	1219,	799,	1,	3,	22,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4372,	1219,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4373,	1219,	1365,	1,	3,	3,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(4374,	1219,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4375,	1220,	1344,	3,	3,	29,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(4376,	1220,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4377,	1220,	1439,	2,	3,	23,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4378,	1220,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4382,	1217,	1439,	1,	4,	23,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4383,	1221,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4384,	1221,	1071,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(4385,	1222,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4386,	1222,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4387,	1222,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4388,	1222,	765,	1.5,	1,	3,	1.700,	0.00,	0.000,	2.550,	'',	NULL,	NULL),
(4396,	1223,	65,	1,	7,	14,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4397,	1223,	152,	2.1,	1,	3,	1.100,	0.00,	0.000,	2.310,	'',	NULL,	NULL),
(4398,	1223,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(4399,	1223,	844,	1,	10,	3,	14.800,	0.00,	0.000,	14.800,	'',	NULL,	NULL),
(4400,	1223,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4401,	1223,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4402,	1223,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4403,	1224,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4410,	1226,	1344,	1,	10,	103,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4411,	1227,	73,	1,	7,	8,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4412,	1227,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4413,	1227,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4414,	1225,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4415,	1228,	1839,	1,	63,	3,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(4416,	1228,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(4417,	1228,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4418,	1228,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4425,	1229,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4426,	1229,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4427,	1229,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4428,	1229,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4429,	1229,	1353,	1,	4,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4430,	1229,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4431,	1230,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4432,	1230,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4433,	1230,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4434,	1231,	249,	1,	63,	2,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4435,	1232,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4436,	1233,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4437,	1234,	1345,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4438,	1234,	31,	2,	7,	15,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(4439,	1235,	1174,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(4440,	1236,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4441,	1236,	1138,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4442,	1236,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4443,	1237,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4444,	1238,	1071,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4445,	1239,	420,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(4446,	1239,	1514,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(4447,	1239,	1610,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(4448,	1239,	279,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4449,	1239,	1723,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4450,	1239,	116,	1,	3,	15,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(4451,	1239,	73,	1,	3,	9,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(4452,	1239,	1166,	4,	3,	3,	2.700,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(4453,	1239,	1353,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(4454,	1239,	1336,	3,	3,	29,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(4455,	1239,	33,	3,	3,	4,	1.300,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(4456,	1240,	799,	1,	3,	22,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4457,	1240,	1071,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4458,	1240,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4459,	1240,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4466,	1242,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(4467,	1243,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4468,	1243,	1131,	1,	7,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4469,	1243,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4478,	1245,	753,	2,	3,	5,	4.700,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(4479,	1245,	1071,	2,	3,	3,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(4480,	1245,	1166,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(4481,	1245,	799,	2,	3,	22,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4482,	1245,	836,	1,	3,	5,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4483,	1245,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4484,	1246,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4485,	1246,	1301,	1,	63,	3,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(4492,	1247,	1659,	30,	63,	3,	0.750,	0.00,	0.000,	22.500,	'',	NULL,	NULL),
(4493,	1241,	420,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4494,	1241,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4495,	1241,	1071,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4496,	1241,	1131,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(4497,	1241,	1365,	1,	3,	2,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4498,	1241,	1626,	2,	3,	105,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(4499,	1244,	932,	3,	3,	79,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(4501,	1248,	1251,	5,	4,	3,	0.485,	5.00,	0.121,	2.546,	'',	NULL,	NULL),
(4502,	1249,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(4503,	1250,	1498,	2,	3,	23,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(4504,	1251,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(4511,	1252,	74,	1,	3,	13,	9.400,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(4512,	1252,	420,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(4513,	1252,	753,	5,	63,	2,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(4514,	1252,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4515,	1252,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4516,	1252,	1839,	5,	63,	2,	1.700,	5.00,	0.425,	8.925,	'',	NULL,	NULL),
(4517,	1253,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(4518,	1253,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4519,	1253,	753,	1,	63,	2,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4520,	1254,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4521,	1255,	1060,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(4522,	1256,	836,	2,	3,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(4523,	1256,	848,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4524,	1256,	799,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4525,	1257,	571,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4526,	1258,	571,	2,	63,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4527,	1259,	1587,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(4528,	1259,	1351,	7,	3,	20,	6.800,	0.00,	0.000,	47.600,	'',	NULL,	NULL),
(4529,	1259,	1425,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4530,	1259,	766,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(4531,	1260,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4535,	1261,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4536,	1261,	1587,	3,	3,	3,	5.800,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(4537,	1261,	1610,	2,	3,	3,	5.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(4538,	1262,	1131,	20,	7,	3,	2.900,	0.00,	0.000,	58.000,	'',	NULL,	NULL),
(4539,	1263,	1610,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(4540,	1263,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4541,	1264,	1251,	0.5,	3,	3,	3.850,	5.00,	0.096,	2.021,	'',	NULL,	NULL),
(4542,	1265,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(4543,	1266,	1166,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(4544,	1267,	777,	1,	10,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(4545,	1268,	1563,	2,	3,	110,	6.700,	0.00,	0.000,	13.400,	'',	NULL,	NULL),
(4546,	1268,	1127,	70,	3,	3,	2.600,	0.00,	0.000,	182.000,	'',	NULL,	NULL),
(4547,	1269,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4548,	1269,	1124,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(4549,	1270,	1066,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(4550,	1271,	1477,	2,	3,	3,	10.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(4551,	1271,	392,	3,	1,	2,	8.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(4552,	1272,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4553,	1273,	450,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4565,	1275,	1201,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(4566,	1275,	810,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(4567,	1276,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4568,	1276,	932,	2,	3,	79,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4569,	1276,	1610,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(4570,	1276,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4571,	1276,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4572,	1274,	420,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(4573,	1274,	1071,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4574,	1274,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4575,	1277,	676,	1,	3,	3,	12.900,	0.00,	0.000,	12.900,	'',	NULL,	NULL),
(4576,	1277,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4577,	1277,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4578,	1277,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(4579,	1277,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4580,	1277,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(4581,	1277,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4582,	1277,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(4583,	1277,	1166,	5,	3,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(4584,	1277,	57,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(4587,	1278,	753,	1,	63,	2,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4588,	1278,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4589,	1279,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4590,	1280,	424,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4591,	1281,	1659,	20,	63,	3,	0.750,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(4592,	1282,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4593,	1283,	1060,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(4594,	1284,	1830,	6,	4,	3,	0.700,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(4595,	1285,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4596,	1286,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4597,	1286,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4600,	1287,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(4601,	1288,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4602,	1289,	152,	0.7,	1,	3,	1.200,	0.00,	0.000,	0.840,	'',	NULL,	NULL),
(4603,	1290,	169,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4604,	1290,	1587,	1,	4,	23,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4605,	1290,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4606,	1290,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4607,	1290,	1263,	1,	4,	23,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4608,	1290,	932,	1,	6,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(4609,	1290,	848,	1,	4,	5,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(4610,	1290,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4611,	1290,	1365,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4612,	1290,	1626,	1,	3,	71,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4613,	1291,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4621,	1293,	1425,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4636,	1292,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4637,	1292,	1138,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4638,	1292,	1312,	1,	63,	2,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4639,	1292,	753,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4640,	1292,	1336,	1,	3,	29,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4641,	1292,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4642,	1292,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4643,	1294,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4644,	1295,	1659,	1,	63,	4,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4645,	1296,	528,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(4648,	1297,	423,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(4649,	1297,	1336,	3,	3,	29,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(4653,	1299,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4654,	1298,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4655,	1298,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4656,	1298,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4657,	1298,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4658,	1300,	753,	2,	63,	2,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4659,	1301,	1071,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4660,	1302,	1610,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(4661,	1303,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4662,	1304,	969,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(4663,	1305,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4664,	1306,	1263,	1,	3,	23,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(4665,	1307,	676,	0.5,	3,	4,	11.800,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(4678,	1308,	76,	3,	7,	13,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(4679,	1308,	170,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4680,	1308,	275,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4681,	1308,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4682,	1308,	452,	1,	1,	22,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4683,	1308,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4684,	1308,	1044,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4685,	1308,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4686,	1308,	1166,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(4687,	1308,	1201,	2,	3,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(4688,	1308,	1312,	1,	63,	84,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4689,	1308,	1336,	2,	3,	29,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(4690,	1309,	571,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4691,	1309,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4692,	1309,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4693,	1310,	1514,	1,	7,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4694,	1310,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4695,	1310,	1352,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4696,	1311,	1312,	1,	63,	84,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(4697,	1311,	1317,	1,	63,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(4698,	1312,	1060,	4,	3,	3,	4.800,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(4699,	1312,	1344,	10,	3,	29,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(4700,	1312,	932,	2,	3,	24,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(4701,	1312,	1124,	10,	3,	3,	2.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(4702,	1312,	170,	2,	3,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(4715,	1313,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4716,	1313,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4717,	1313,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4718,	1314,	420,	20,	3,	3,	2.100,	0.00,	0.000,	42.000,	'',	NULL,	NULL),
(4719,	1314,	1071,	10,	3,	3,	3.400,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(4720,	1314,	170,	4,	3,	3,	6.800,	0.00,	0.000,	27.200,	'',	NULL,	NULL),
(4721,	1314,	753,	30,	3,	3,	1.600,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(4722,	1315,	691,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4723,	1316,	317,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(4724,	1317,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4725,	1318,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4726,	1319,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4727,	1319,	1071,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4728,	1320,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4729,	1321,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4730,	1321,	691,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4731,	1322,	1470,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(4734,	1323,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4735,	1324,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4736,	1325,	1336,	2,	3,	100,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(4737,	1326,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4738,	1327,	1298,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4739,	1328,	691,	2,	3,	3,	13.000,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(4740,	1329,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(4744,	1331,	758,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(4745,	1331,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4746,	1332,	1336,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4747,	1330,	1659,	1,	63,	70,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(4748,	1333,	8,	4,	3,	8,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4749,	1334,	168,	5,	1,	3,	1.200,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(4750,	1335,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(4755,	1336,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4756,	1336,	275,	2,	4,	3,	0.400,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4757,	1336,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4758,	1336,	932,	1,	3,	79,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4759,	1337,	1443,	1,	4,	23,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4760,	1337,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4761,	1338,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4775,	1339,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4776,	1339,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4777,	1339,	178,	3.6,	1,	3,	1.200,	0.00,	0.000,	4.320,	'',	NULL,	NULL),
(4778,	1339,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4779,	1339,	932,	1,	3,	79,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4780,	1339,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4781,	1339,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4782,	1339,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4783,	1339,	1354,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4784,	1339,	1461,	1,	3,	23,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4785,	1339,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4786,	1339,	1625,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4787,	1339,	1726,	1,	4,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(4788,	1340,	275,	5,	4,	3,	0.400,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4789,	1340,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4790,	1340,	1344,	1,	3,	29,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4791,	1340,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4792,	1340,	894,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4793,	1340,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4794,	1341,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4795,	1341,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4796,	1341,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4797,	1341,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4798,	1341,	932,	1,	3,	79,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4799,	1341,	1174,	3,	3,	3,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(4800,	1342,	275,	2,	4,	3,	0.400,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4801,	1342,	932,	1,	6,	24,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(4802,	1342,	799,	1,	3,	38,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4803,	1342,	1124,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4804,	1342,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4805,	1342,	1264,	1,	10,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4812,	1344,	178,	1,	3,	3,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(4813,	1344,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4814,	1344,	676,	0.5,	3,	4,	11.800,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(4815,	1344,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4822,	1343,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(4823,	1343,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4824,	1343,	691,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4825,	1343,	848,	0.5,	4,	5,	4.500,	0.00,	0.000,	2.250,	'',	NULL,	NULL),
(4826,	1343,	1071,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4827,	1343,	1387,	4,	1,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(4832,	1346,	275,	2,	4,	3,	0.400,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4833,	1346,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4834,	1346,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4839,	1348,	275,	5,	4,	3,	0.400,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4840,	1348,	57,	1,	7,	10,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4841,	1348,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4842,	1348,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4843,	1348,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4844,	1349,	275,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4845,	1349,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4846,	1349,	76,	1,	6,	9,	10.300,	0.00,	0.000,	10.300,	'',	NULL,	NULL),
(4847,	1349,	249,	1,	63,	2,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(4849,	1350,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4850,	1351,	1071,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4851,	1347,	848,	1,	3,	38,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4852,	1347,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4853,	1347,	1353,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4854,	1347,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4855,	1352,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(4856,	1353,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4857,	1353,	667,	1,	3,	3,	18.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(4858,	1353,	1659,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4859,	1353,	1080,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4860,	1353,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4861,	1353,	1201,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(4862,	1353,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4863,	1353,	882,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4864,	1353,	275,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4865,	1353,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4866,	1353,	1399,	1,	3,	3,	12.800,	5.00,	0.640,	13.440,	'',	NULL,	NULL),
(4867,	1353,	1587,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(4868,	1353,	1071,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4869,	1354,	1839,	1,	63,	2,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(4870,	1354,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4871,	1354,	45,	1,	3,	7,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(4872,	1354,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4873,	1354,	178,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4874,	1355,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4875,	1355,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4877,	1356,	1726,	1,	4,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(4878,	1357,	1123,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4879,	1357,	34,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4880,	1357,	1387,	2,	1,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(4881,	1358,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4882,	1358,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4883,	1358,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4884,	1359,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4885,	1359,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4886,	1359,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4887,	1360,	932,	1,	3,	79,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(4888,	1360,	279,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(4889,	1360,	1139,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(4890,	1360,	811,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(4891,	1360,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(4892,	1361,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(4893,	1362,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4894,	1362,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4895,	1362,	45,	2,	3,	7,	5.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(4896,	1362,	1099,	6,	3,	4,	0.900,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(4897,	1363,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4902,	1365,	1131,	0.5,	3,	6,	3.800,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4915,	1366,	275,	4,	4,	3,	0.400,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4916,	1366,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4917,	1367,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(4918,	1367,	753,	2,	4,	2,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(4919,	1367,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4920,	1367,	551,	2,	63,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(4921,	1368,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4922,	1364,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4923,	1345,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4924,	1369,	1201,	0.5,	3,	3,	3.800,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(4925,	1369,	765,	0.5,	1,	3,	1.800,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4926,	1370,	1099,	3,	3,	4,	0.900,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(4927,	1370,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4930,	1371,	932,	1,	3,	79,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4931,	1371,	1071,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(4932,	1372,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4933,	1373,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4934,	1373,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4935,	1373,	1201,	1,	4,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(4936,	1373,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(4937,	1373,	275,	2,	4,	3,	0.400,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(4938,	1373,	1433,	1,	3,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4939,	1373,	1263,	1,	4,	23,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(4940,	1373,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4941,	1374,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(4942,	1374,	1251,	1,	4,	3,	0.480,	5.00,	0.024,	0.504,	'',	NULL,	NULL),
(4943,	1374,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(4944,	1375,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4945,	1375,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4946,	1375,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(4947,	1376,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(4948,	1377,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(4949,	1377,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4950,	1378,	848,	1,	10,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4951,	1378,	1336,	1,	3,	29,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4952,	1378,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(4953,	1379,	1071,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(4954,	1379,	765,	0.7,	1,	3,	1.700,	0.00,	0.000,	1.190,	'',	NULL,	NULL),
(4955,	1379,	1044,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4956,	1379,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(4957,	1379,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(4958,	1379,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4959,	1379,	1336,	3,	3,	29,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(4960,	1380,	753,	1,	63,	2,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(4961,	1380,	766,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(4962,	1380,	1071,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(4963,	1380,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4964,	1381,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(4965,	1381,	1138,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(4966,	1381,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(4967,	1381,	1563,	1,	3,	110,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(4968,	1382,	752,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(4969,	1383,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(4990,	1385,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(4991,	1386,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(4992,	1386,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(4993,	1386,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(4994,	1384,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(4995,	1384,	57,	2,	3,	15,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(4996,	1384,	420,	10,	3,	3,	2.100,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(4997,	1384,	752,	3,	3,	3,	13.800,	0.00,	0.000,	41.400,	'',	NULL,	NULL),
(4998,	1384,	766,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(4999,	1384,	799,	10,	3,	3,	3.500,	0.00,	0.000,	35.000,	'',	NULL,	NULL),
(5000,	1384,	848,	10,	3,	3,	3.500,	0.00,	0.000,	35.000,	'',	NULL,	NULL),
(5001,	1384,	932,	2,	3,	1,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5002,	1384,	1071,	12,	3,	3,	3.200,	0.00,	0.000,	38.400,	'',	NULL,	NULL),
(5003,	1384,	1078,	3,	3,	3,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(5004,	1384,	1526,	3,	3,	2,	8.800,	0.00,	0.000,	26.400,	'',	NULL,	NULL),
(5006,	1388,	1622,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5007,	1387,	752,	2,	4,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5008,	1389,	1131,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(5009,	1389,	423,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5010,	1390,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5011,	1390,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5013,	1391,	1587,	10,	3,	3,	5.500,	0.00,	0.000,	55.000,	'',	NULL,	NULL),
(5014,	1392,	314,	2,	1,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5015,	1393,	1071,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(5016,	1394,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5017,	1395,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5018,	1396,	1131,	15,	3,	3,	2.900,	0.00,	0.000,	43.500,	'',	NULL,	NULL),
(5019,	1397,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5020,	1397,	178,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5021,	1398,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5022,	1398,	753,	2,	63,	2,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5023,	1398,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5024,	1398,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5032,	1400,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5033,	1401,	1251,	6,	4,	3,	0.480,	5.00,	0.144,	3.024,	'',	NULL,	NULL),
(5034,	1401,	752,	1,	4,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5035,	1402,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5036,	1402,	1433,	1,	3,	23,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5037,	1402,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5038,	1402,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5039,	1402,	693,	1,	3,	3,	16.800,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(5040,	1403,	1066,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5041,	1404,	249,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5042,	1404,	682,	1,	3,	3,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(5043,	1404,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(5044,	1405,	452,	1.5,	1,	3,	1.000,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(5045,	1406,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5046,	1399,	528,	5,	3,	3,	2.800,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(5047,	1399,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(5048,	1399,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5049,	1399,	1071,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5050,	1399,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5051,	1399,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(5052,	1407,	1060,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(5053,	1408,	1365,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(5054,	1409,	1659,	10,	63,	3,	0.750,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(5055,	1410,	683,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(5056,	1411,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5057,	1412,	423,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5058,	1413,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5059,	1413,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5060,	1414,	836,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5061,	1415,	249,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5062,	1415,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5063,	1415,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5064,	1415,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5065,	1416,	1127,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(5066,	1417,	1514,	1,	3,	3,	8.400,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(5067,	1418,	1099,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5068,	1419,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5069,	1420,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5070,	1421,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5071,	1422,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5072,	1423,	1587,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(5083,	1425,	752,	3,	3,	3,	13.800,	0.00,	0.000,	41.400,	'',	NULL,	NULL),
(5084,	1426,	1425,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(5089,	1428,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5090,	1428,	1121,	2,	3,	3,	13.800,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(5091,	1429,	1251,	3,	4,	3,	0.500,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(5092,	1430,	836,	2,	3,	5,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(5093,	1430,	752,	2,	3,	3,	14.100,	0.00,	0.000,	28.200,	'',	NULL,	NULL),
(5094,	1431,	1626,	2,	3,	71,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5095,	1431,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5096,	1432,	752,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(5101,	1433,	882,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5102,	1433,	1071,	1,	3,	4,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(5103,	1433,	1563,	4,	6,	110,	0.900,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5104,	1433,	1830,	4,	4,	3,	0.700,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5105,	1434,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5106,	1435,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(5107,	1436,	1251,	1,	3,	3,	3.825,	5.00,	0.191,	4.016,	'',	NULL,	NULL),
(5108,	1437,	1071,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5109,	1437,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5110,	1437,	1344,	2,	3,	25,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(5111,	1438,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5112,	1439,	1726,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5113,	1440,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5114,	1441,	551,	1,	63,	2,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(5115,	1441,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5116,	1441,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5117,	1442,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5118,	1442,	1131,	4,	3,	3,	2.900,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(5119,	1443,	1565,	1.9,	1,	3,	1.300,	0.00,	0.000,	2.470,	'',	NULL,	NULL),
(5120,	1443,	1099,	2,	3,	4,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5121,	1443,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5122,	1443,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5123,	1443,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5124,	1444,	8,	1,	1,	7,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(5129,	1446,	882,	2,	3,	22,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(5130,	1445,	1839,	1,	63,	3,	1.730,	5.00,	0.087,	1.817,	'',	NULL,	NULL),
(5131,	1445,	752,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(5132,	1445,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5133,	1445,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5134,	1445,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5135,	1447,	1166,	4,	3,	3,	2.700,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5136,	1448,	753,	2,	63,	2,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5137,	1448,	1365,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(5138,	1448,	1767,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5139,	1448,	1766,	2,	3,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5140,	1448,	1345,	2,	3,	20,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5141,	1449,	1127,	4,	3,	3,	2.700,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5146,	1427,	420,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(5147,	1427,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5148,	1427,	858,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(5149,	1427,	1587,	1,	3,	3,	5.600,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5150,	1424,	57,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(5151,	1424,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5152,	1424,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5153,	1424,	676,	1,	3,	3,	12.900,	0.00,	0.000,	12.900,	'',	NULL,	NULL),
(5154,	1424,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5155,	1424,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5156,	1424,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5157,	1424,	1060,	1,	3,	3,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5158,	1424,	1344,	1,	3,	25,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(5159,	1424,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(5160,	1450,	8,	5,	1,	8,	1.200,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(5161,	1451,	1,	2,	1,	1,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5162,	1452,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5163,	1452,	753,	2,	63,	2,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(5164,	1453,	1127,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5165,	1453,	1312,	1,	63,	84,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5166,	1453,	1840,	1,	3,	2,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(5167,	1453,	551,	2,	63,	2,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(5168,	1454,	799,	15,	3,	22,	1.400,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(5169,	1455,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5170,	1455,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5171,	1456,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5172,	1456,	45,	1,	3,	7,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5173,	1456,	1099,	1,	3,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5174,	1457,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5175,	1457,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5176,	1457,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5177,	1457,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5178,	1457,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(5179,	1457,	1138,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(5180,	1457,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5181,	1458,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5182,	1459,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(5183,	1460,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5184,	1461,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5185,	1462,	1099,	1,	3,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5186,	1462,	1767,	1,	3,	22,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5187,	1462,	1468,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5188,	1462,	32,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5189,	1462,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5190,	1462,	849,	1,	3,	4,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5191,	1462,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5193,	1463,	808,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5194,	1464,	752,	1,	4,	23,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5195,	1465,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5204,	1466,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5205,	1466,	1563,	2,	6,	110,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5206,	1467,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5207,	1468,	752,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(5208,	1469,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5209,	1470,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5210,	1471,	753,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(5211,	1472,	1387,	4.5,	1,	3,	0.500,	5.00,	0.113,	2.363,	'',	NULL,	NULL),
(5212,	1472,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5213,	1472,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5214,	1472,	1587,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(5215,	1472,	1439,	1,	3,	23,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5216,	1472,	170,	2,	3,	2,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(5217,	1473,	932,	1,	6,	24,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5218,	1473,	1131,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5219,	1474,	1131,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5220,	1475,	168,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5228,	1476,	31,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(5229,	1476,	168,	1.4,	1,	3,	1.200,	0.00,	0.000,	1.680,	'',	NULL,	NULL),
(5230,	1476,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5231,	1476,	236,	0.5,	1,	3,	1.800,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5232,	1476,	236,	0.5,	1,	3,	1.800,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5233,	1476,	1071,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5234,	1476,	1138,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(5235,	1477,	932,	2,	3,	79,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5236,	1478,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5237,	1478,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5238,	1478,	676,	2,	3,	3,	13.000,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(5239,	1479,	1312,	10,	63,	92,	0.800,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(5240,	1479,	1312,	10,	63,	4,	0.300,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5241,	1479,	1766,	10,	3,	3,	1.200,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(5242,	1479,	752,	2,	3,	3,	13.800,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(5243,	1479,	1261,	5,	3,	23,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(5244,	1479,	799,	5,	3,	3,	3.400,	0.00,	0.000,	17.000,	'',	NULL,	NULL),
(5245,	1479,	848,	5,	3,	3,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(5246,	1479,	1439,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(5247,	1479,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5248,	1479,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5249,	1479,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(5250,	1479,	682,	2,	3,	3,	10.700,	0.00,	0.000,	21.400,	'',	NULL,	NULL),
(5251,	1479,	420,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(5252,	1479,	1060,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(5253,	1479,	1174,	6,	3,	3,	2.900,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(5254,	1479,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5255,	1479,	1344,	10,	3,	29,	2.100,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(5256,	1479,	1659,	10,	63,	3,	0.750,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(5257,	1479,	1659,	15,	63,	4,	0.300,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(5258,	1479,	753,	10,	63,	3,	1.700,	0.00,	0.000,	17.000,	'',	NULL,	NULL),
(5259,	1479,	753,	3,	3,	5,	4.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(5260,	1479,	168,	15,	3,	4,	1.700,	0.00,	0.000,	25.500,	'',	NULL,	NULL),
(5261,	1479,	1365,	10,	3,	3,	3.200,	0.00,	0.000,	32.000,	'',	NULL,	NULL),
(5262,	1479,	799,	5,	3,	4,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5263,	1479,	882,	5,	3,	4,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(5264,	1479,	848,	1,	3,	4,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5265,	1479,	1626,	8,	3,	71,	2.400,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(5266,	1479,	933,	4,	7,	3,	4.200,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(5267,	1479,	932,	5,	3,	22,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(5268,	1479,	1610,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(5269,	1479,	1587,	5,	3,	3,	5.800,	0.00,	0.000,	29.000,	'',	NULL,	NULL),
(5270,	1479,	73,	1,	3,	7,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5271,	1479,	116,	1,	3,	15,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(5272,	1479,	57,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(5273,	1479,	1526,	3,	3,	3,	8.900,	0.00,	0.000,	26.700,	'',	NULL,	NULL),
(5274,	1479,	1138,	20,	3,	3,	2.300,	0.00,	0.000,	46.000,	'',	NULL,	NULL),
(5275,	1479,	1071,	5,	3,	3,	3.200,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(5276,	1480,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5277,	1481,	168,	1,	3,	4,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5278,	1482,	1044,	3,	1,	3,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5279,	1483,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5280,	1484,	1626,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5281,	1485,	1610,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5282,	1485,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5283,	1486,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5284,	1486,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5285,	1486,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(5286,	1487,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5287,	1488,	799,	2,	3,	22,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5288,	1488,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5289,	1489,	73,	1,	7,	7,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5290,	1489,	1526,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5291,	1489,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5292,	1489,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5293,	1489,	1336,	1,	3,	29,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5294,	1489,	1166,	4,	3,	3,	2.800,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(5295,	1490,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5296,	1490,	799,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5297,	1491,	1138,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5309,	1492,	45,	1,	3,	22,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(5310,	1492,	45,	1,	3,	22,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(5311,	1492,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5312,	1492,	1426,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5313,	1492,	1491,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5314,	1492,	1563,	2,	6,	110,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5315,	1493,	1526,	1,	3,	3,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(5316,	1493,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5317,	1493,	420,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(5318,	1493,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5319,	1493,	171,	3,	3,	3,	6.800,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(5320,	1494,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5321,	1494,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5323,	1495,	45,	6,	3,	7,	4.600,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(5324,	1496,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5325,	1497,	1312,	1,	63,	55,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5326,	1498,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5327,	1499,	752,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(5328,	1499,	1078,	1,	4,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5329,	1499,	1726,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5330,	1500,	1563,	1,	3,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5331,	1500,	1470,	1,	7,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5332,	1500,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5334,	1501,	676,	3,	3,	3,	13.000,	0.00,	0.000,	39.000,	'',	NULL,	NULL),
(5335,	1502,	848,	1,	3,	22,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5336,	1502,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5345,	1503,	73,	1,	7,	9,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5346,	1503,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5347,	1503,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5348,	1503,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5349,	1503,	1365,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5350,	1503,	1563,	1,	3,	109,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5351,	1503,	1587,	1,	4,	23,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(5352,	1503,	1767,	1,	3,	22,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5359,	1505,	1433,	1,	3,	23,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5360,	1505,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5361,	1505,	1127,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(5362,	1505,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5363,	1505,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5364,	1505,	1627,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5371,	1506,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5372,	1506,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5373,	1506,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5374,	1506,	1353,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(5375,	1506,	1439,	1,	3,	23,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5376,	1506,	1514,	1,	7,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5377,	1507,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5380,	1509,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5381,	1509,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5382,	1508,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5386,	1510,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5387,	1510,	1060,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5391,	1511,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5392,	1511,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(5395,	1504,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5396,	1512,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5397,	1512,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5398,	1512,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5399,	1512,	178,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(5400,	1513,	1131,	1,	3,	6,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5401,	1513,	46,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5402,	1514,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5403,	1514,	677,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5404,	1515,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5405,	1515,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5410,	1516,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5411,	1516,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5412,	1516,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5413,	1516,	1138,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5414,	1517,	45,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5415,	1518,	1124,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(5416,	1518,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5417,	1518,	1766,	2,	3,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5418,	1519,	1138,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5419,	1520,	1514,	1,	7,	4,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5420,	1520,	1625,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5421,	1520,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5422,	1520,	1344,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5423,	1520,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5424,	1521,	1766,	4,	3,	3,	0.900,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5425,	1521,	1124,	5,	3,	3,	2.900,	0.00,	0.000,	14.500,	'',	NULL,	NULL),
(5426,	1522,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5427,	1522,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5428,	1522,	1356,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5429,	1523,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5430,	1524,	1311,	1,	63,	55,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5432,	1526,	1344,	2,	3,	25,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5434,	1525,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(5435,	1527,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5436,	1527,	1071,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(5441,	1528,	848,	50,	3,	22,	1.800,	0.00,	0.000,	90.000,	'',	NULL,	NULL),
(5442,	1528,	752,	20,	3,	3,	13.800,	0.00,	0.000,	276.000,	'',	NULL,	NULL),
(5443,	1528,	1498,	10,	3,	23,	6.800,	0.00,	0.000,	68.000,	'',	NULL,	NULL),
(5444,	1528,	1563,	10,	3,	3,	6.500,	0.00,	0.000,	65.000,	'',	NULL,	NULL),
(5445,	1528,	1723,	2,	3,	3,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(5446,	1529,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5447,	1530,	1839,	1,	63,	2,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(5448,	1531,	1839,	1,	63,	2,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(5453,	1533,	1060,	20,	3,	3,	4.500,	0.00,	0.000,	90.000,	'',	NULL,	NULL),
(5458,	1534,	933,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(5459,	1532,	420,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5460,	1532,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5461,	1532,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5462,	1535,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5463,	1536,	1498,	2,	3,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(5464,	1537,	1044,	1.5,	1,	3,	0.800,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(5465,	1538,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5466,	1538,	766,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(5467,	1538,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(5468,	1538,	693,	1,	3,	3,	16.500,	0.00,	0.000,	16.500,	'',	NULL,	NULL),
(5469,	1538,	753,	8,	63,	2,	1.600,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(5473,	1539,	753,	6,	63,	2,	2.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(5474,	1539,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5475,	1539,	972,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5476,	1540,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5477,	1541,	848,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5478,	1541,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5479,	1541,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5480,	1541,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(5481,	1541,	1659,	2,	63,	2,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(5482,	1541,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'4kg',	NULL,	NULL),
(5483,	1542,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5484,	1543,	152,	20,	1,	3,	1.100,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(5486,	1544,	152,	25,	1,	3,	1.080,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(5487,	1545,	1779,	1,	1,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5489,	1546,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5490,	1547,	1779,	1,	1,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5492,	1549,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(5493,	1550,	1779,	4,	1,	3,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5494,	1548,	765,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5495,	1551,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5496,	1552,	1060,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(5499,	1554,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5500,	1554,	1491,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5501,	1553,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5502,	1553,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5506,	1556,	1779,	2,	4,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5507,	1556,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(5508,	1556,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5509,	1556,	65,	1,	3,	13,	11.400,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(5510,	1555,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5511,	1555,	753,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5512,	1555,	57,	1,	7,	13,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5513,	1555,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5514,	1555,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5515,	1557,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5524,	1558,	1779,	1,	4,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5525,	1558,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(5526,	1558,	1344,	1,	3,	20,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5527,	1558,	1587,	1,	3,	3,	5.600,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5529,	1559,	501,	2,	1,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(5530,	1560,	288,	3,	4,	3,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(5531,	1561,	1856,	0.1,	1,	3,	8.000,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5532,	1561,	1783,	0.1,	1,	3,	8.000,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5536,	1563,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5537,	1564,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5538,	1565,	1587,	2,	4,	23,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5539,	1562,	758,	1,	63,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5540,	1562,	758,	1,	63,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5541,	1566,	282,	1,	4,	33,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(5549,	1567,	1587,	2,	4,	23,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5550,	1567,	836,	3,	10,	3,	6.500,	0.00,	0.000,	19.500,	'',	NULL,	NULL),
(5551,	1567,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5552,	1567,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5553,	1567,	1138,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5554,	1567,	1263,	2,	4,	23,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5555,	1567,	1365,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(5558,	1568,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(5559,	1568,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5560,	1568,	1565,	1.5,	1,	3,	1.300,	0.00,	0.000,	1.950,	'',	NULL,	NULL),
(5561,	1569,	1610,	10,	3,	3,	4.500,	0.00,	0.000,	45.000,	'',	NULL,	NULL),
(5562,	1569,	1060,	12,	3,	3,	4.500,	0.00,	0.000,	54.000,	'',	NULL,	NULL),
(5563,	1570,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5564,	1570,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5565,	1570,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5566,	1571,	848,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5567,	1571,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(5569,	1572,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5570,	1572,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(5571,	1573,	1312,	1,	63,	55,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(5572,	1574,	1131,	2,	3,	3,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(5573,	1574,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(5574,	1574,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(5575,	1574,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5576,	1574,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5577,	1574,	1127,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(5578,	1575,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5579,	1575,	1565,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(5580,	1575,	506,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5581,	1575,	1124,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(5582,	1575,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5583,	1575,	848,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5584,	1575,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5585,	1575,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(5586,	1575,	1365,	3,	3,	3,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(5587,	1576,	752,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(5588,	1577,	752,	1,	4,	3,	3.550,	0.00,	0.000,	3.550,	'',	NULL,	NULL),
(5589,	1578,	1365,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(5593,	1579,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(5594,	1579,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5595,	1579,	1563,	3,	6,	110,	0.900,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(5597,	1580,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(5598,	1581,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5599,	1582,	1071,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(5600,	1582,	753,	5,	63,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(5601,	1582,	528,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(5602,	1582,	420,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(5603,	1582,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5604,	1582,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5605,	1583,	170,	2,	3,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(5606,	1584,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5607,	1584,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5608,	1585,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5609,	1586,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(5610,	1586,	190,	8.5,	1,	3,	0.475,	0.00,	0.000,	4.038,	'',	NULL,	NULL),
(5611,	1586,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5612,	1586,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5613,	1586,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(5614,	1586,	152,	3.4,	1,	3,	1.100,	0.00,	0.000,	3.740,	'',	NULL,	NULL),
(5615,	1587,	1344,	1,	3,	20,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5616,	1588,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(5617,	1588,	667,	1,	3,	60,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(5618,	1588,	676,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(5619,	1588,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5620,	1588,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5621,	1588,	799,	3,	3,	3,	3.400,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(5622,	1588,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(5623,	1588,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5624,	1588,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'4kg',	NULL,	NULL),
(5625,	1589,	766,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(5626,	1589,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5627,	1590,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5629,	1591,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5630,	1592,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(5631,	1593,	1563,	2,	3,	110,	6.700,	0.00,	0.000,	13.400,	'',	NULL,	NULL),
(5632,	1594,	972,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5633,	1594,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(5634,	1594,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5635,	1594,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5636,	1594,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5637,	1594,	1367,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5638,	1595,	501,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5639,	1596,	168,	82,	3,	3,	2.200,	0.00,	0.000,	180.400,	'',	NULL,	NULL),
(5640,	1597,	1659,	10,	63,	3,	0.750,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(5647,	1599,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5648,	1599,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5649,	1599,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5650,	1599,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5651,	1599,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5652,	1599,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5653,	1599,	1470,	2,	7,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5654,	1599,	932,	2,	6,	24,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5655,	1599,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5656,	1599,	1659,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5657,	1598,	275,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(5658,	1598,	667,	1,	3,	60,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(5659,	1598,	765,	6,	1,	3,	1.700,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(5660,	1598,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(5661,	1598,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5662,	1600,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5663,	1601,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5664,	1602,	1626,	2,	3,	71,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5665,	1603,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5666,	1603,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(5667,	1603,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5668,	1604,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5669,	1605,	1131,	8,	3,	3,	2.800,	0.00,	0.000,	22.400,	'',	NULL,	NULL),
(5670,	1606,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5671,	1606,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5672,	1606,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5673,	1606,	1131,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5674,	1607,	1131,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5675,	1608,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5676,	1609,	1131,	0.5,	3,	6,	3.800,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5677,	1610,	178,	3,	3,	3,	10.800,	0.00,	0.000,	32.400,	'',	NULL,	NULL),
(5679,	1611,	1978,	10,	63,	2,	2.200,	5.00,	1.100,	23.100,	'',	NULL,	NULL),
(5680,	1612,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5682,	1613,	1830,	1,	4,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(5683,	1613,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5684,	1614,	1251,	3,	4,	3,	0.500,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(5686,	1615,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5687,	1615,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5688,	1616,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5689,	1616,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5690,	1616,	753,	3,	63,	2,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(5691,	1616,	528,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(5697,	1618,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5698,	1618,	1565,	4.1,	1,	3,	1.300,	0.00,	0.000,	5.330,	'',	NULL,	NULL),
(5699,	1618,	1766,	2,	3,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5700,	1618,	1610,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(5701,	1618,	1166,	3,	3,	3,	2.700,	0.00,	0.000,	8.100,	'',	NULL,	NULL),
(5702,	1617,	1131,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(5703,	1617,	170,	15,	3,	2,	6.800,	0.00,	0.000,	102.000,	'',	NULL,	NULL),
(5704,	1617,	848,	10,	3,	5,	4.800,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(5705,	1617,	932,	15,	3,	24,	3.600,	0.00,	0.000,	54.000,	'',	NULL,	NULL),
(5706,	1617,	1563,	8,	3,	3,	6.500,	0.00,	0.000,	52.000,	'',	NULL,	NULL),
(5707,	1617,	1626,	10,	3,	3,	2.300,	0.00,	0.000,	23.000,	'',	NULL,	NULL),
(5708,	1619,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5709,	1620,	178,	2.4,	1,	3,	1.100,	0.00,	0.000,	2.640,	'',	NULL,	NULL),
(5710,	1620,	1464,	1,	1,	3,	1.400,	5.00,	0.070,	1.470,	'',	NULL,	NULL),
(5711,	1620,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5712,	1621,	752,	2,	3,	3,	13.800,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(5713,	1622,	932,	1,	3,	79,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5714,	1622,	1565,	3.5,	1,	3,	1.300,	0.00,	0.000,	4.550,	'',	NULL,	NULL),
(5715,	1622,	1251,	1,	4,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(5716,	1622,	178,	2.1,	1,	3,	1.200,	0.00,	0.000,	2.520,	'',	NULL,	NULL),
(5717,	1622,	1464,	2,	1,	3,	1.400,	5.00,	0.140,	2.940,	'',	NULL,	NULL),
(5718,	1622,	1587,	1,	3,	3,	5.600,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5719,	1622,	429,	5,	4,	3,	0.600,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5720,	1622,	576,	5,	4,	3,	0.550,	0.00,	0.000,	2.750,	'',	NULL,	NULL),
(5721,	1622,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5722,	1623,	667,	1,	3,	3,	18.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(5723,	1624,	1263,	1,	4,	23,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5724,	1624,	279,	4,	4,	5,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5725,	1624,	73,	2,	7,	8,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(5726,	1624,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(5727,	1624,	33,	1,	3,	11,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5728,	1624,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5731,	1626,	1124,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5732,	1626,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5733,	1627,	1312,	1,	63,	55,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(5734,	1628,	753,	3,	63,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(5735,	1625,	74,	5,	6,	10,	9.400,	0.00,	0.000,	47.000,	'',	NULL,	NULL),
(5736,	1625,	836,	5,	3,	5,	6.800,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(5737,	1625,	848,	15,	3,	22,	1.800,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(5738,	1629,	506,	0.5,	1,	3,	2.200,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(5739,	1630,	1131,	1,	3,	6,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5742,	1631,	298,	1,	4,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5743,	1632,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5744,	1632,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5745,	1632,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5746,	1632,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5747,	1632,	1312,	2,	63,	55,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5748,	1633,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5749,	1634,	848,	1,	3,	22,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5750,	1635,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5751,	1635,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5752,	1635,	282,	2,	4,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5753,	1635,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5754,	1636,	1891,	1,	4,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(5755,	1637,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5756,	1637,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5757,	1637,	1071,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(5758,	1637,	420,	4,	3,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(5759,	1638,	667,	1,	3,	3,	18.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(5760,	1639,	1312,	2,	63,	92,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5761,	1640,	8,	1,	1,	7,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5762,	1641,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5763,	1642,	753,	1,	63,	2,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5764,	1643,	799,	1,	3,	22,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5765,	1644,	1131,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5766,	1645,	1353,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5771,	1647,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5772,	1648,	752,	3,	3,	23,	13.800,	0.00,	0.000,	41.400,	'',	NULL,	NULL),
(5774,	1646,	1066,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5775,	1646,	777,	1,	3,	2,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5776,	1649,	1344,	2,	3,	103,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(5777,	1649,	1131,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5778,	1650,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5779,	1651,	279,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(5780,	1651,	1510,	1,	3,	3,	8.700,	0.00,	0.000,	8.700,	'',	NULL,	NULL),
(5781,	1651,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5782,	1651,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5783,	1651,	1626,	3,	3,	71,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(5784,	1651,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5785,	1651,	57,	1,	3,	15,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(5786,	1651,	753,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(5787,	1651,	848,	6,	3,	22,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(5788,	1651,	882,	5,	3,	22,	1.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(5789,	1651,	1124,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(5790,	1651,	1166,	10,	3,	3,	2.700,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(5792,	1652,	279,	4,	4,	5,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5793,	1653,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5794,	1653,	1625,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5795,	1654,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5796,	1654,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(5797,	1654,	799,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(5798,	1655,	933,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5799,	1655,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5800,	1656,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5801,	1656,	767,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5802,	1657,	1344,	1,	3,	103,	23.000,	0.00,	0.000,	23.000,	'',	NULL,	NULL),
(5803,	1657,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5804,	1657,	18,	1,	3,	7,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(5805,	1658,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5806,	1659,	1066,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5807,	1659,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5808,	1660,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5809,	1661,	76,	1,	3,	7,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(5810,	1661,	1336,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5811,	1661,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5812,	1662,	932,	1,	6,	24,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5813,	1662,	753,	1,	63,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5814,	1662,	279,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5815,	1662,	1312,	1,	63,	92,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5816,	1662,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5819,	1663,	799,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(5820,	1663,	1425,	0.5,	1,	3,	2.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5821,	1664,	848,	1,	10,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5822,	1665,	1044,	1.9,	1,	3,	0.800,	0.00,	0.000,	1.520,	'',	NULL,	NULL),
(5823,	1665,	168,	2.8,	1,	3,	1.200,	0.00,	0.000,	3.360,	'',	NULL,	NULL),
(5824,	1665,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5825,	1666,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5826,	1666,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5827,	1666,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5828,	1666,	57,	2,	3,	13,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(5829,	1666,	1344,	3,	3,	20,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(5830,	1667,	275,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5831,	1667,	1839,	2,	63,	2,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(5832,	1667,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5833,	1667,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(5834,	1668,	45,	1,	3,	22,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(5835,	1668,	799,	1,	10,	22,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(5836,	1668,	1345,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5837,	1669,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5838,	1669,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5839,	1669,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5840,	1670,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5841,	1671,	1353,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(5842,	1671,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5843,	1671,	168,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5847,	1673,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5854,	1675,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(5855,	1675,	753,	4,	63,	3,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(5856,	1675,	168,	2.4,	1,	3,	1.200,	0.00,	0.000,	2.880,	'',	NULL,	NULL),
(5863,	1674,	77,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5864,	1674,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5865,	1674,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5866,	1674,	1264,	2,	10,	4,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5867,	1674,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5868,	1674,	1434,	2,	10,	4,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5870,	1677,	279,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(5872,	1676,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5873,	1676,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5874,	1678,	1839,	1,	63,	2,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(5875,	1679,	275,	4,	4,	3,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5877,	1680,	1060,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(5878,	1681,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5879,	1682,	1959,	2,	1,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5880,	1682,	298,	3,	4,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5881,	1682,	284,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5882,	1682,	288,	2,	4,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5883,	1682,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(5884,	1682,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5885,	1682,	1131,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5886,	1682,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5887,	1682,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5888,	1682,	1201,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(5889,	1683,	1565,	2.1,	1,	3,	1.300,	0.00,	0.000,	2.730,	'',	NULL,	NULL),
(5890,	1683,	279,	2,	4,	36,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5891,	1683,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5892,	1672,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(5893,	1672,	1621,	1,	3,	3,	10.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(5894,	1672,	1851,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(5895,	1684,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(5896,	1684,	1179,	4,	3,	3,	2.800,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(5897,	1684,	1127,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(5898,	1685,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(5899,	1686,	1179,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5900,	1687,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(5901,	1688,	211,	1.3,	1,	3,	1.700,	0.00,	0.000,	2.210,	'',	NULL,	NULL),
(5902,	1689,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5903,	1689,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(5904,	1689,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5905,	1689,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5906,	1690,	1179,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(5907,	1691,	1179,	5,	3,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(5908,	1692,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5909,	1692,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(5910,	1693,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5911,	1693,	1131,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(5912,	1693,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5913,	1693,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(5914,	1693,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5915,	1694,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5916,	1695,	1425,	0.5,	1,	3,	2.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5917,	1696,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5918,	1697,	1124,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(5919,	1697,	1131,	4,	3,	3,	2.800,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(5920,	1698,	1131,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5921,	1698,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5922,	1698,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5923,	1698,	275,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5929,	1699,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5930,	1699,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(5931,	1699,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5932,	1699,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5933,	1699,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(5934,	1700,	1626,	1,	3,	71,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5935,	1700,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5936,	1700,	1766,	2,	3,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5937,	1700,	1131,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5938,	1701,	1626,	1,	3,	71,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(5939,	1702,	1251,	3,	4,	3,	0.500,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(5954,	1703,	1514,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(5955,	1703,	279,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(5956,	1703,	848,	1,	10,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5957,	1703,	932,	1,	6,	24,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5958,	1703,	1131,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5959,	1703,	1264,	1,	10,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(5960,	1703,	1440,	1,	3,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(5961,	1703,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(5970,	1704,	178,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5971,	1704,	528,	2,	63,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5972,	1704,	753,	2,	63,	2,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(5973,	1704,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5974,	1704,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(5975,	1704,	1044,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(5976,	1704,	1344,	4,	3,	29,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(5977,	1704,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(5978,	1705,	1336,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5979,	1706,	1131,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(5980,	1706,	1365,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(5981,	1707,	1344,	1,	3,	25,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(5982,	1708,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(5983,	1708,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(5984,	1708,	676,	1,	3,	3,	13.000,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(5985,	1709,	1344,	1,	3,	20,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(5986,	1709,	676,	6,	3,	3,	12.800,	0.00,	0.000,	76.800,	'',	NULL,	NULL),
(5987,	1710,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(5988,	1710,	1229,	2,	4,	3,	0.550,	5.00,	0.055,	1.155,	'',	NULL,	NULL),
(5989,	1710,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(5990,	1710,	116,	1,	7,	13,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5991,	1710,	57,	1,	7,	13,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(5992,	1711,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(5994,	1712,	1131,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(5995,	1713,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(5996,	1714,	932,	1,	3,	24,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(5997,	1715,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(5998,	1716,	1131,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(5999,	1717,	1124,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(6000,	1718,	932,	15,	3,	79,	1.800,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(6001,	1718,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6002,	1719,	836,	5,	3,	3,	6.400,	0.00,	0.000,	32.000,	'',	NULL,	NULL),
(6003,	1720,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6004,	1721,	148,	1,	1,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6006,	1722,	932,	20,	3,	24,	3.500,	0.00,	0.000,	70.000,	'',	NULL,	NULL),
(6011,	1723,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(6012,	1723,	1078,	2,	3,	6,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(6013,	1723,	1491,	10,	3,	3,	1.400,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(6014,	1723,	1496,	4,	3,	23,	6.800,	0.00,	0.000,	27.200,	'',	NULL,	NULL),
(6016,	1724,	1587,	5,	3,	3,	5.400,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(6017,	1725,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(6018,	1726,	1131,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6019,	1726,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6020,	1726,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(6021,	1726,	1514,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(6022,	1726,	57,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(6023,	1727,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6024,	1727,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(6025,	1727,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6026,	1727,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6027,	1728,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6028,	1729,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6029,	1729,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6030,	1729,	1071,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6031,	1729,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6032,	1729,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(6033,	1730,	1344,	2,	3,	29,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6039,	1731,	423,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6040,	1731,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6041,	1731,	752,	1,	4,	3,	3.550,	0.00,	0.000,	3.550,	'',	NULL,	NULL),
(6042,	1731,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6043,	1731,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6044,	1732,	1839,	5,	63,	3,	1.800,	5.00,	0.450,	9.450,	'',	NULL,	NULL),
(6046,	1733,	682,	1.5,	3,	3,	10.800,	0.00,	0.000,	16.200,	'',	NULL,	NULL),
(6047,	1734,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6048,	1735,	1839,	25,	63,	3,	1.820,	5.00,	2.275,	47.775,	'',	NULL,	NULL),
(6049,	1736,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(6050,	1737,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6051,	1738,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6052,	1738,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(6054,	1739,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6055,	1740,	676,	2,	3,	3,	13.000,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6056,	1741,	332,	1,	63,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(6057,	1742,	1078,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(6058,	1742,	501,	1.6,	1,	3,	2.000,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6060,	1743,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6061,	1743,	799,	1,	3,	5,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6062,	1744,	799,	2,	3,	38,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(6063,	1745,	667,	1,	3,	60,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(6064,	1745,	693,	1,	3,	3,	16.500,	0.00,	0.000,	16.500,	'',	NULL,	NULL),
(6065,	1746,	423,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6066,	1746,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6067,	1746,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(6068,	1746,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6069,	1747,	799,	1,	3,	5,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6070,	1748,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6071,	1749,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(6072,	1750,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6073,	1750,	423,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6074,	1750,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6075,	1750,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6076,	1750,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6077,	1750,	799,	1,	3,	5,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6078,	1751,	1839,	10,	63,	3,	1.800,	5.00,	0.900,	18.900,	'',	NULL,	NULL),
(6079,	1752,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6080,	1753,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6081,	1754,	1498,	5,	3,	3,	6.800,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(6082,	1755,	1565,	3.6,	1,	3,	1.300,	0.00,	0.000,	4.680,	'',	NULL,	NULL),
(6083,	1756,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6084,	1756,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6085,	1756,	753,	3,	63,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(6086,	1756,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(6092,	1758,	1098,	5,	3,	3,	6.500,	0.00,	0.000,	32.500,	'',	NULL,	NULL),
(6093,	1757,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6094,	1757,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6095,	1757,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(6096,	1757,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6097,	1757,	1344,	2,	3,	29,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6098,	1759,	932,	1,	3,	79,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6099,	1760,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6100,	1761,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6101,	1762,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6102,	1762,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(6103,	1763,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6106,	1764,	1344,	1,	3,	20,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(6108,	1765,	1131,	1,	3,	6,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6109,	1766,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6110,	1766,	1587,	1,	3,	23,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(6111,	1766,	1282,	1,	3,	23,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6113,	1767,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6114,	1768,	288,	1,	4,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(6115,	1769,	932,	2,	3,	79,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6116,	1769,	753,	4,	63,	2,	1.600,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6117,	1769,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(6118,	1769,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6121,	1770,	932,	5,	3,	24,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(6128,	1771,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6129,	1771,	799,	5,	3,	22,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(6130,	1771,	848,	5,	3,	22,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(6131,	1772,	1622,	5,	3,	3,	4.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(6132,	1773,	753,	3,	63,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6133,	1773,	1071,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(6134,	1773,	932,	1,	3,	24,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6135,	1773,	1127,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(6136,	1773,	799,	5,	3,	4,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(6137,	1773,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6138,	1773,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6140,	1774,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6141,	1774,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(6142,	1775,	848,	2,	3,	3,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6143,	1775,	1587,	1,	3,	23,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(6144,	1775,	676,	0.5,	3,	3,	12.800,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6145,	1776,	667,	1,	3,	58,	22.000,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(6146,	1777,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6147,	1777,	1587,	2,	3,	23,	4.900,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(6148,	1777,	1261,	3,	3,	3,	5.200,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(6149,	1777,	1563,	4,	3,	111,	6.500,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6150,	1777,	1491,	3,	3,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6151,	1778,	1549,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6152,	1778,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6153,	1779,	1229,	2,	4,	3,	0.550,	5.00,	0.055,	1.155,	'',	NULL,	NULL),
(6154,	1780,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(6155,	1780,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6156,	1780,	753,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6157,	1780,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6158,	1781,	1344,	2,	3,	25,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6159,	1781,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(6160,	1781,	1166,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(6161,	1781,	676,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(6162,	1781,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(6163,	1781,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6164,	1781,	766,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(6165,	1781,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6166,	1781,	31,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(6167,	1781,	1526,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6168,	1782,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6170,	1783,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6171,	1784,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(6172,	1785,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6173,	1786,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6174,	1787,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(6175,	1787,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6176,	1788,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(6177,	1789,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6178,	1789,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6179,	1789,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6180,	1789,	932,	2,	6,	24,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6181,	1790,	8,	2,	1,	7,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6184,	1792,	8,	2,	3,	8,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6188,	1791,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6189,	1791,	1264,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6190,	1793,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6191,	1794,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(6192,	1795,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6193,	1795,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6194,	1795,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6195,	1796,	848,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6196,	1796,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6197,	1797,	1390,	4,	1,	3,	0.250,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(6198,	1797,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6199,	1797,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6200,	1797,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6201,	1797,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6202,	1797,	799,	2,	3,	22,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6203,	1797,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6204,	1798,	1251,	3,	4,	3,	0.500,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(6205,	1799,	1124,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6206,	1800,	1071,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6207,	1801,	822,	1,	10,	33,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6208,	1802,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6209,	1802,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6210,	1802,	170,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(6212,	1803,	1659,	95,	63,	3,	0.725,	0.00,	0.000,	68.875,	'',	NULL,	NULL),
(6213,	1804,	73,	1,	7,	8,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6214,	1805,	249,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6215,	1806,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6216,	1806,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6217,	1806,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6218,	1807,	45,	2,	3,	22,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6222,	1808,	1166,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6223,	1808,	1563,	1,	3,	111,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6224,	1808,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6225,	1809,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6226,	1810,	1766,	2,	3,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6227,	1811,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6229,	1812,	73,	1,	7,	9,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6230,	1813,	1098,	7,	3,	3,	6.500,	0.00,	0.000,	45.500,	'',	NULL,	NULL),
(6231,	1814,	1891,	1,	4,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(6232,	1815,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(6233,	1816,	1625,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6234,	1816,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6235,	1816,	1131,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6236,	1816,	1131,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6237,	1817,	551,	1,	63,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(6242,	1818,	73,	2,	3,	9,	10.600,	0.00,	0.000,	21.200,	'',	NULL,	NULL),
(6243,	1818,	116,	1,	3,	13,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(6244,	1818,	972,	5,	3,	3,	3.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(6245,	1818,	1587,	3,	3,	3,	5.200,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(6246,	1819,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(6249,	1820,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6250,	1820,	45,	1,	3,	7,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(6251,	1820,	57,	1,	3,	13,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(6252,	1821,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6253,	1822,	753,	8,	63,	3,	1.700,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(6254,	1823,	676,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(6255,	1823,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6256,	1824,	1563,	1,	3,	111,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6257,	1825,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6258,	1825,	1839,	1,	63,	3,	1.850,	5.00,	0.093,	1.943,	'',	NULL,	NULL),
(6259,	1825,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6260,	1826,	752,	2,	4,	46,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6261,	1827,	190,	2,	1,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6262,	1828,	972,	2,	3,	3,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(6263,	1829,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6264,	1830,	279,	2,	3,	5,	4.600,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(6265,	1831,	752,	1,	1,	46,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6266,	1832,	972,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6267,	1833,	1468,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6271,	1835,	767,	0.5,	1,	3,	1.600,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(6272,	1834,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6273,	1834,	693,	1,	3,	3,	16.200,	0.00,	0.000,	16.200,	'',	NULL,	NULL),
(6274,	1834,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6275,	1836,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6276,	1836,	753,	1,	3,	3,	21.000,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(6277,	1836,	676,	2,	3,	3,	13.000,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6278,	1837,	1625,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6279,	1837,	1261,	1,	3,	23,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6280,	1838,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6281,	1838,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6282,	1838,	676,	2,	3,	3,	13.000,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6283,	1839,	528,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6284,	1839,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(6285,	1840,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6286,	1841,	799,	60,	10,	22,	1.300,	0.00,	0.000,	78.000,	'',	NULL,	NULL),
(6287,	1841,	528,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(6288,	1841,	1071,	5,	3,	3,	3.200,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6289,	1841,	682,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(6290,	1841,	1626,	3,	3,	71,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6291,	1841,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6292,	1841,	1531,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(6293,	1842,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6298,	1844,	752,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(6299,	1845,	1179,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6300,	1846,	625,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6307,	1847,	420,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6308,	1847,	752,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(6309,	1847,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6310,	1847,	799,	1,	10,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6311,	1847,	848,	2,	10,	3,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6312,	1847,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6313,	1848,	1767,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6314,	1849,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6315,	1849,	1263,	1,	4,	23,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(6316,	1850,	799,	1,	3,	5,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6317,	1843,	1261,	1,	4,	23,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(6318,	1843,	1626,	1,	3,	110,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6319,	1843,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6320,	1843,	799,	1,	10,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6321,	1843,	932,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6322,	1843,	1468,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6323,	1851,	18,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6324,	1852,	1344,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6325,	1853,	1767,	1,	3,	22,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6326,	1853,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6327,	1854,	1179,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6328,	1855,	799,	1,	4,	5,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(6329,	1855,	1312,	1,	63,	92,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(6330,	1855,	57,	1,	7,	11,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6331,	1856,	1344,	3,	3,	103,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(6332,	1857,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(6333,	1858,	1425,	2,	1,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6334,	1859,	1131,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6335,	1859,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6336,	1860,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6337,	1861,	1425,	1.5,	1,	3,	1.500,	0.00,	0.000,	2.250,	'',	NULL,	NULL),
(6338,	1862,	1767,	1,	3,	22,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6339,	1863,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6340,	1864,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6341,	1864,	57,	1,	3,	15,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(6342,	1864,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6343,	1864,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6345,	1865,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(6346,	1865,	1425,	2,	1,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6347,	1866,	275,	4,	3,	5,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6348,	1867,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6349,	1868,	1131,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(6350,	1869,	1565,	2.1,	1,	3,	1.300,	0.00,	0.000,	2.730,	'',	NULL,	NULL),
(6351,	1869,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6352,	1870,	972,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6353,	1870,	1344,	1,	3,	103,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6354,	1870,	1647,	1,	63,	112,	0.400,	0.00,	0.000,	0.400,	'',	NULL,	NULL),
(6355,	1871,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6356,	1872,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6357,	1872,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6358,	1872,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6359,	1873,	1071,	3,	1,	4,	0.530,	0.00,	0.000,	1.590,	'',	NULL,	NULL),
(6360,	1873,	1587,	1,	4,	23,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(6361,	1873,	799,	1,	3,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6362,	1873,	1565,	1.8,	1,	3,	1.300,	0.00,	0.000,	2.340,	'',	NULL,	NULL),
(6363,	1873,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6364,	1873,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6365,	1874,	799,	1,	3,	5,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6368,	1876,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6369,	1876,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6370,	1876,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6371,	1875,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6372,	1875,	1166,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(6373,	1875,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6374,	1877,	836,	3,	3,	3,	6.400,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(6375,	1877,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6376,	1878,	1312,	1,	63,	4,	0.300,	0.00,	0.000,	0.300,	'',	NULL,	NULL),
(6377,	1878,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6384,	1879,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6385,	1879,	275,	5,	4,	5,	0.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6386,	1879,	1071,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6387,	1879,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6388,	1879,	1565,	1.8,	1,	3,	1.300,	0.00,	0.000,	2.340,	'',	NULL,	NULL),
(6389,	1879,	1647,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(6390,	1880,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6391,	1880,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6392,	1881,	753,	3,	63,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(6393,	1882,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6394,	1882,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6395,	1882,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6396,	1882,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6397,	1882,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6400,	1884,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6401,	1884,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6402,	1884,	753,	1,	63,	2,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6403,	1884,	799,	2,	3,	22,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6404,	1884,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6405,	1884,	676,	0.5,	3,	3,	13.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6407,	1883,	1298,	2,	1,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6410,	1885,	57,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(6411,	1885,	1344,	3,	3,	25,	3.600,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(6412,	1886,	1166,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6413,	1886,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6414,	1887,	1390,	2,	1,	3,	0.250,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(6415,	1888,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6416,	1889,	297,	6,	4,	3,	8.000,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(6417,	1889,	11,	3,	1,	7,	8.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(6418,	1890,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(6419,	1890,	1526,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6420,	1890,	1344,	2,	3,	25,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6421,	1890,	1166,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(6422,	1890,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(6423,	1890,	766,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(6424,	1890,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6425,	1890,	676,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(6426,	1890,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6427,	1890,	31,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(6428,	1891,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6429,	1891,	753,	2,	63,	2,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6430,	1892,	249,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6432,	1893,	932,	93,	3,	24,	3.500,	0.00,	0.000,	325.500,	'',	NULL,	NULL),
(6433,	1894,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6434,	1894,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6435,	1894,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6436,	1894,	57,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6437,	1894,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(6438,	1894,	1563,	1,	3,	110,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6439,	1894,	1138,	3,	3,	3,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(6440,	1894,	969,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(6441,	1894,	1344,	4,	3,	25,	3.200,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(6446,	1895,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6447,	1895,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(6448,	1895,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6449,	1895,	1071,	1,	3,	4,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6450,	1896,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(6451,	1896,	73,	1,	3,	9,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6453,	1897,	1498,	2,	3,	3,	6.600,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(6454,	1898,	102,	2,	3,	15,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(6455,	1898,	57,	2,	3,	13,	8.700,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(6456,	1898,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6457,	1899,	1298,	2,	1,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6458,	1899,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(6459,	1899,	1131,	1,	7,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6460,	1899,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6469,	1900,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6470,	1900,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6471,	1900,	1978,	1,	63,	3,	2.300,	5.00,	0.115,	2.415,	'',	NULL,	NULL),
(6472,	1901,	752,	20,	3,	23,	13.800,	0.00,	0.000,	276.000,	'',	NULL,	NULL),
(6473,	1902,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6474,	1902,	1344,	1,	3,	29,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6475,	1902,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6476,	1902,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(6477,	1902,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6478,	1902,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6479,	1902,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6480,	1902,	1131,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6481,	1903,	1251,	4,	4,	3,	0.490,	5.00,	0.098,	2.058,	'',	NULL,	NULL),
(6483,	1904,	752,	5,	3,	1,	13.800,	0.00,	0.000,	69.000,	'',	NULL,	NULL),
(6484,	1905,	279,	2,	3,	3,	4.700,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(6485,	1906,	848,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6486,	1907,	682,	2,	3,	3,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(6487,	1908,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(6488,	1909,	752,	10,	3,	3,	13.800,	0.00,	0.000,	138.000,	'',	NULL,	NULL),
(6489,	1909,	420,	10,	3,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(6490,	1910,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6491,	1910,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6492,	1910,	170,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6493,	1910,	753,	5,	63,	2,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(6494,	1910,	1071,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(6495,	1911,	1251,	5,	4,	3,	0.500,	5.00,	0.125,	2.625,	'',	NULL,	NULL),
(6501,	1913,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6502,	1914,	528,	30,	3,	3,	2.500,	0.00,	0.000,	75.000,	'',	NULL,	NULL),
(6503,	1915,	152,	20,	1,	3,	1.080,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(6504,	1916,	57,	2,	7,	15,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6505,	1916,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6506,	1916,	767,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(6507,	1916,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6508,	1917,	57,	2,	7,	15,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6509,	1917,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6510,	1917,	767,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(6511,	1917,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6512,	1918,	1071,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(6513,	1918,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(6514,	1918,	57,	1,	3,	15,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(6515,	1918,	528,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(6516,	1918,	1839,	3,	63,	3,	1.800,	5.00,	0.270,	5.670,	'',	NULL,	NULL),
(6517,	1918,	799,	3,	3,	38,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(6518,	1918,	848,	2,	3,	38,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6519,	1919,	1131,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6520,	1920,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6521,	1921,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6522,	1922,	848,	1,	3,	38,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6523,	1922,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6524,	1923,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(6525,	1924,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6526,	1924,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6527,	1924,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6528,	1925,	1131,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(6533,	1927,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6536,	1912,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(6537,	1928,	1251,	1,	3,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(6538,	1928,	279,	1,	3,	5,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6539,	1926,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(6540,	1926,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6541,	1926,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6542,	1926,	1072,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6543,	1929,	791,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(6544,	1930,	1344,	3,	3,	25,	3.400,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(6545,	1930,	1978,	1,	63,	3,	2.300,	5.00,	0.115,	2.415,	'',	NULL,	NULL),
(6546,	1930,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6547,	1930,	766,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(6548,	1930,	1138,	10,	3,	3,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(6549,	1931,	752,	1,	4,	23,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6550,	1932,	1138,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6551,	1933,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6552,	1933,	1138,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(6553,	1933,	933,	1,	7,	4,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6554,	1933,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6555,	1933,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(6557,	1934,	1131,	9,	3,	3,	2.700,	0.00,	0.000,	24.300,	'',	NULL,	NULL),
(6559,	1935,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6560,	1935,	1830,	3,	4,	3,	0.700,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6561,	1936,	1425,	3,	1,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(6562,	1936,	1078,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(6563,	1937,	1622,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(6564,	1937,	799,	2,	3,	3,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(6565,	1938,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(6566,	1939,	1622,	10,	3,	3,	4.800,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(6567,	1940,	771,	2,	1,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(6568,	1940,	1298,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6569,	1940,	1526,	1,	3,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(6570,	1940,	420,	3,	3,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(6571,	1940,	1071,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(6572,	1940,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(6573,	1940,	552,	2,	63,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(6574,	1940,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(6575,	1940,	766,	10,	3,	3,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(6576,	1940,	1344,	5,	3,	103,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(6577,	1940,	60,	1,	3,	9,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(6578,	1940,	57,	1,	3,	13,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(6579,	1940,	848,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6580,	1940,	799,	1,	3,	5,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6581,	1940,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6582,	1940,	848,	1,	3,	38,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6583,	1940,	1626,	3,	3,	71,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6584,	1940,	1127,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(6585,	1940,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6586,	1940,	1166,	10,	3,	3,	2.600,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6587,	1940,	1138,	5,	3,	3,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(6588,	1941,	836,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6589,	1941,	1835,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(6590,	1941,	676,	2,	3,	3,	12.600,	0.00,	0.000,	25.200,	'',	NULL,	NULL),
(6602,	1943,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(6603,	1943,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(6604,	1943,	178,	7.7,	1,	3,	1.100,	0.00,	0.000,	8.470,	'',	NULL,	NULL),
(6608,	1945,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6612,	1944,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6613,	1944,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(6614,	1944,	1978,	1,	63,	3,	2.300,	5.00,	0.115,	2.415,	'',	NULL,	NULL),
(6615,	1946,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6616,	1947,	1587,	1,	3,	3,	5.300,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6620,	1948,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6621,	1948,	766,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(6622,	1948,	1839,	8,	63,	3,	1.800,	5.00,	0.720,	15.120,	'',	NULL,	NULL),
(6623,	1949,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6624,	1949,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6625,	1950,	1514,	10,	3,	3,	7.800,	0.00,	0.000,	78.000,	'',	NULL,	NULL),
(6631,	1953,	1138,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6632,	1953,	881,	1,	3,	4,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6633,	1953,	275,	6,	4,	3,	0.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6634,	1953,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6635,	1953,	1425,	0.5,	1,	3,	1.900,	0.00,	0.000,	0.950,	'',	NULL,	NULL),
(6636,	1953,	152,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(6637,	1954,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(6639,	1942,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6640,	1942,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6641,	1942,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6642,	1942,	528,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6643,	1942,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6644,	1942,	799,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6645,	1942,	848,	2,	3,	3,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(6646,	1942,	932,	1,	3,	24,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6647,	1942,	992,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6648,	1942,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6649,	1942,	1514,	1,	3,	3,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(6650,	1942,	1610,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(6653,	1951,	676,	0.5,	3,	3,	12.800,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(6654,	1951,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6655,	1955,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6656,	1956,	420,	5,	3,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(6657,	1952,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6659,	1957,	8,	1,	1,	8,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6660,	1957,	8,	2,	1,	7,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6661,	1958,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6662,	1958,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(6663,	1959,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6664,	1960,	848,	4,	3,	3,	3.300,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(6665,	1960,	848,	20,	3,	4,	1.900,	0.00,	0.000,	38.000,	'',	NULL,	NULL),
(6666,	1961,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(6667,	1961,	76,	1,	3,	8,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(6668,	1961,	423,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6669,	1961,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6670,	1962,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6671,	1963,	170,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(6672,	1963,	848,	2,	3,	5,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(6673,	1963,	1071,	4,	3,	3,	2.900,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(6677,	1964,	1131,	0.5,	3,	6,	3.800,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6678,	1964,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6679,	1965,	818,	2,	10,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6680,	1966,	22,	1,	3,	11,	15.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(6681,	1967,	1166,	5,	3,	3,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(6682,	1967,	1138,	5,	3,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(6683,	1967,	57,	1,	3,	13,	8.500,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(6684,	1967,	676,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(6685,	1967,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6686,	1967,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6687,	1967,	766,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(6688,	1967,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(6689,	1967,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(6690,	1968,	932,	10,	3,	79,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(6691,	1969,	1131,	0.5,	3,	6,	3.800,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6692,	1970,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6693,	1970,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(6694,	1971,	1166,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6695,	1971,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6696,	1971,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6697,	1971,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6698,	1972,	178,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(6699,	1973,	420,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6700,	1974,	152,	2.3,	1,	3,	1.200,	0.00,	0.000,	2.760,	'',	NULL,	NULL),
(6702,	1976,	848,	50,	3,	22,	1.850,	0.00,	0.000,	92.500,	'',	NULL,	NULL),
(6703,	1976,	676,	5,	3,	3,	12.500,	0.00,	0.000,	62.500,	'',	NULL,	NULL),
(6704,	1976,	667,	5,	3,	3,	18.000,	0.00,	0.000,	90.000,	'',	NULL,	NULL),
(6705,	1976,	1767,	20,	3,	3,	2.500,	0.00,	0.000,	50.000,	'',	NULL,	NULL),
(6706,	1976,	1514,	2,	3,	3,	7.800,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(6707,	1976,	1127,	20,	3,	3,	2.400,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(6708,	1976,	1138,	40,	3,	3,	2.200,	0.00,	0.000,	88.000,	'',	NULL,	NULL),
(6709,	1976,	1166,	60,	3,	3,	2.600,	0.00,	0.000,	156.000,	'',	NULL,	NULL),
(6710,	1976,	807,	3,	3,	2,	14.200,	0.00,	0.000,	42.600,	'',	NULL,	NULL),
(6711,	1976,	848,	5,	3,	3,	3.300,	0.00,	0.000,	16.500,	'',	NULL,	NULL),
(6712,	1976,	799,	5,	3,	3,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(6713,	1976,	116,	2,	3,	15,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(6714,	1976,	57,	5,	3,	13,	8.600,	0.00,	0.000,	43.000,	'',	NULL,	NULL),
(6715,	1976,	170,	6,	3,	2,	6.300,	0.00,	0.000,	37.800,	'',	NULL,	NULL),
(6716,	1976,	1587,	4,	3,	3,	5.200,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(6717,	1976,	932,	5,	3,	55,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6718,	1976,	275,	2,	3,	5,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(6719,	1976,	528,	7,	3,	3,	2.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(6720,	1976,	420,	20,	3,	3,	1.800,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(6721,	1976,	766,	7,	3,	3,	2.300,	0.00,	0.000,	16.100,	'',	NULL,	NULL),
(6722,	1976,	1071,	10,	3,	3,	2.900,	0.00,	0.000,	29.000,	'',	NULL,	NULL),
(6723,	1976,	753,	5,	3,	5,	4.200,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(6724,	1976,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(6725,	1977,	1563,	2,	3,	110,	6.200,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(6726,	1978,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(6727,	1976,	995,	20,	3,	3,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(6728,	1979,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6729,	1979,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6730,	1979,	116,	1,	7,	15,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6731,	1979,	1579,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(6732,	1979,	798,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6733,	1979,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6734,	1979,	1514,	2,	7,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(6735,	1979,	882,	1,	3,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6736,	1979,	799,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6737,	1979,	848,	1,	3,	4,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6738,	1979,	57,	2,	7,	15,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(6739,	1979,	74,	1,	7,	11,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6740,	1979,	73,	1,	7,	9,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6741,	1979,	1966,	2,	63,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6742,	1980,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(6743,	1981,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(6744,	1981,	279,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(6745,	1981,	834,	1,	3,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6746,	1981,	848,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6747,	1981,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(6748,	1982,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6749,	1983,	1131,	1,	3,	6,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6750,	1984,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(6751,	1984,	1071,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(6752,	1984,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6753,	1984,	848,	2,	3,	3,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6754,	1985,	1251,	3,	4,	3,	0.500,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(6767,	1986,	73,	1,	7,	9,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6768,	1986,	116,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6769,	1986,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6770,	1986,	529,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6771,	1986,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6772,	1986,	848,	1,	3,	22,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6773,	1986,	992,	3,	3,	2,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6774,	1986,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(6775,	1986,	1127,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(6776,	1986,	1166,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6777,	1986,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6778,	1986,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6779,	1987,	551,	5,	6,	4,	0.200,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(6780,	1988,	992,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6781,	1988,	441,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6782,	1988,	1695,	2,	3,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6783,	1988,	693,	2,	3,	3,	16.000,	0.00,	0.000,	32.000,	'',	NULL,	NULL),
(6784,	1988,	682,	2,	3,	3,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(6785,	1988,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(6786,	1988,	766,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(6787,	1988,	753,	3,	3,	39,	4.700,	0.00,	0.000,	14.100,	'',	NULL,	NULL),
(6788,	1988,	753,	3,	3,	5,	4.700,	0.00,	0.000,	14.100,	'',	NULL,	NULL),
(6789,	1988,	420,	10,	3,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(6790,	1988,	376,	10,	3,	3,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(6791,	1988,	528,	10,	3,	3,	2.600,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(6792,	1988,	753,	10,	63,	3,	1.700,	0.00,	0.000,	17.000,	'second',	NULL,	NULL),
(6793,	1988,	1587,	10,	3,	5,	4.200,	0.00,	0.000,	42.000,	'',	NULL,	NULL),
(6794,	1988,	1514,	2,	3,	3,	7.900,	0.00,	0.000,	15.800,	'',	NULL,	NULL),
(6795,	1988,	195,	2,	3,	2,	6.200,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(6796,	1988,	1766,	20,	3,	3,	0.900,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(6797,	1988,	1626,	50,	3,	71,	2.000,	0.00,	0.000,	100.000,	'',	NULL,	NULL),
(6798,	1988,	33,	1,	3,	9,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(6799,	1988,	1071,	10,	3,	3,	2.800,	0.00,	0.000,	28.000,	'',	NULL,	NULL),
(6800,	1988,	969,	2,	3,	3,	5.900,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(6801,	1988,	116,	2,	3,	15,	9.800,	0.00,	0.000,	19.600,	'',	NULL,	NULL),
(6802,	1988,	57,	2,	3,	15,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(6803,	1988,	1138,	150,	3,	3,	2.000,	0.00,	0.000,	300.000,	'',	NULL,	NULL),
(6804,	1988,	168,	200,	3,	3,	2.100,	0.00,	0.000,	420.000,	'',	NULL,	NULL),
(6805,	1988,	1491,	150,	3,	3,	1.400,	0.00,	0.000,	210.000,	'',	NULL,	NULL),
(6806,	1988,	33,	200,	3,	4,	1.300,	0.00,	0.000,	260.000,	'',	NULL,	NULL),
(6807,	1988,	799,	100,	3,	4,	1.400,	0.00,	0.000,	140.000,	'',	NULL,	NULL),
(6808,	1988,	848,	100,	3,	4,	1.900,	0.00,	0.000,	190.000,	'',	NULL,	NULL),
(6809,	1988,	1344,	100,	3,	29,	2.100,	0.00,	0.000,	210.000,	'',	NULL,	NULL),
(6810,	1988,	1344,	100,	3,	103,	1.850,	0.00,	0.000,	185.000,	'',	NULL,	NULL),
(6811,	1975,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(6813,	1989,	1124,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(6814,	1990,	370,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(6815,	1991,	423,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6816,	1991,	848,	1,	3,	38,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(6817,	1992,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6818,	1992,	1514,	0.5,	7,	3,	2.300,	0.00,	0.000,	1.150,	'',	NULL,	NULL),
(6819,	1992,	1251,	1,	4,	4,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(6820,	1992,	1127,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(6821,	1992,	1131,	1,	3,	6,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6822,	1992,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6823,	1992,	848,	1,	3,	4,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6824,	1992,	282,	1,	4,	33,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6825,	1992,	1425,	0.5,	1,	3,	1.900,	0.00,	0.000,	0.950,	'',	NULL,	NULL),
(6826,	1992,	57,	1,	7,	15,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6827,	1993,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(6828,	1994,	1565,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(6829,	1995,	1426,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(6830,	1995,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6831,	1995,	1166,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(6832,	1995,	1570,	5,	4,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(6833,	1995,	1201,	1,	3,	3,	4.300,	5.00,	0.215,	4.515,	'',	NULL,	NULL),
(6834,	1995,	1726,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6835,	1996,	932,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6836,	1996,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6837,	1997,	799,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6838,	1997,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6839,	1997,	1179,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(6840,	1998,	1570,	5,	4,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(6841,	1998,	1434,	1,	3,	2,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6842,	1999,	1818,	1,	4,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(6843,	1999,	1891,	1,	4,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(6844,	2000,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(6846,	2002,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(6847,	2002,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6848,	2002,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(6849,	2002,	178,	2.6,	1,	3,	1.100,	0.00,	0.000,	2.860,	'',	NULL,	NULL),
(6850,	2001,	969,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(6851,	2003,	250,	2,	63,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6852,	2004,	170,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(6853,	2004,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6854,	2004,	933,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(6855,	2004,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6856,	2004,	848,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(6857,	2004,	1166,	4,	3,	3,	2.700,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(6858,	2004,	1563,	1,	3,	111,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6859,	2004,	1626,	12,	3,	71,	2.200,	0.00,	0.000,	26.400,	'',	NULL,	NULL),
(6860,	2005,	420,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6861,	2005,	1587,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(6862,	2006,	933,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(6863,	2006,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6864,	2006,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6865,	2006,	848,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6866,	2006,	1131,	2,	3,	6,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(6867,	2006,	1131,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6868,	2006,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(6869,	2006,	1345,	1,	3,	20,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(6870,	2006,	45,	2,	3,	7,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(6874,	2008,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(6880,	2007,	57,	1,	7,	13,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6881,	2007,	771,	0.5,	1,	3,	1.600,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(6882,	2007,	1131,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6883,	2007,	1344,	1,	3,	103,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6884,	2007,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6885,	2009,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6886,	2010,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(6887,	2010,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6888,	2010,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'fayha',	NULL,	NULL),
(6889,	2010,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(6890,	2010,	1621,	1,	3,	3,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(6891,	2011,	73,	1,	7,	9,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6892,	2011,	1351,	2,	3,	20,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(6893,	2012,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(6894,	2012,	771,	1,	1,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6895,	2013,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(6896,	2014,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(6897,	2014,	152,	1.9,	3,	3,	1.100,	0.00,	0.000,	2.090,	'',	NULL,	NULL),
(6898,	2015,	1251,	1,	3,	3,	3.840,	5.00,	0.192,	4.032,	'',	NULL,	NULL),
(6899,	2015,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6900,	2016,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6901,	2016,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6902,	2017,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6903,	2018,	1881,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(6904,	2018,	1344,	1,	3,	31,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6905,	2018,	667,	1,	3,	60,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(6906,	2019,	57,	1,	7,	14,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6907,	2019,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6908,	2019,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6909,	2019,	848,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6910,	2019,	1179,	3,	3,	3,	2.700,	0.00,	0.000,	8.100,	'',	NULL,	NULL),
(6911,	2020,	1426,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6912,	2021,	848,	1,	3,	38,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6913,	2022,	178,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6915,	2023,	152,	1,	3,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(6916,	2023,	1251,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(6917,	2023,	178,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(6918,	2024,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6919,	2025,	1570,	60,	4,	74,	1.850,	0.00,	0.000,	111.000,	'',	NULL,	NULL),
(6920,	2026,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6921,	2027,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6922,	2028,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6923,	2028,	1388,	1,	3,	3,	8.000,	5.00,	0.400,	8.400,	'',	NULL,	NULL),
(6924,	2029,	1131,	1,	3,	6,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6925,	2029,	753,	2,	63,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6926,	2030,	1179,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6927,	2030,	1344,	1,	3,	103,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6928,	2030,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6929,	2031,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(6930,	2031,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6931,	2032,	932,	1,	3,	24,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(6932,	2032,	1491,	10,	3,	3,	1.300,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(6933,	2033,	152,	1.1,	1,	3,	1.200,	0.00,	0.000,	1.320,	'',	NULL,	NULL),
(6934,	2034,	170,	3,	3,	3,	6.300,	0.00,	0.000,	18.900,	'',	NULL,	NULL),
(6935,	2035,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6936,	2036,	692,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(6937,	2037,	799,	1,	10,	22,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(6938,	2037,	1072,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6939,	2038,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6940,	2038,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(6941,	2039,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6942,	2040,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(6943,	2040,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6944,	2041,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(6945,	2041,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(6946,	2042,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6947,	2043,	73,	1,	7,	7,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(6948,	2043,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6949,	2043,	932,	2,	3,	79,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(6950,	2043,	799,	2,	10,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(6951,	2043,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(6952,	2043,	1344,	2,	3,	100,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6953,	2043,	1179,	4,	3,	3,	2.700,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(6954,	2043,	1566,	8.6,	1,	3,	1.300,	0.00,	0.000,	11.180,	'',	NULL,	NULL),
(6955,	2044,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6956,	2045,	1179,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(6963,	2046,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(6964,	2046,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6965,	2046,	863,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6966,	2046,	863,	1,	10,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6967,	2046,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6968,	2046,	1881,	3,	10,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6969,	2047,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6970,	2047,	288,	1,	4,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(6971,	2048,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6972,	2049,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(6973,	2050,	1127,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6974,	2051,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6975,	2052,	1131,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(6976,	2053,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(6977,	2054,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6978,	2055,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(6979,	2056,	423,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(6981,	2057,	420,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'car',	NULL,	NULL),
(6982,	2057,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(6983,	2057,	753,	3,	63,	2,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(6984,	2058,	1587,	2,	4,	23,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6985,	2058,	45,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(6986,	2058,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(6987,	2058,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(6988,	2058,	1353,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(6989,	2059,	1131,	0.5,	3,	6,	3.800,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(6993,	2060,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(6994,	2060,	969,	1,	3,	2,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(6995,	2060,	1563,	1,	3,	111,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(6996,	2060,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(6997,	2061,	964,	0.5,	1,	3,	3.200,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(6998,	2062,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(6999,	2063,	282,	1,	3,	33,	18.800,	0.00,	0.000,	18.800,	'',	NULL,	NULL),
(7001,	2064,	1053,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7002,	2064,	848,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7003,	2065,	1312,	4,	63,	4,	0.250,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(7004,	2065,	682,	0.5,	3,	3,	11.200,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(7005,	2066,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(7006,	2067,	1565,	2,	1,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7007,	2068,	31,	1,	3,	15,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(7008,	2069,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(7009,	2070,	1179,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7010,	2071,	1179,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7011,	2072,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7012,	2072,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(7013,	2072,	1071,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(7014,	2072,	676,	1.5,	3,	3,	12.600,	0.00,	0.000,	18.900,	'',	NULL,	NULL),
(7015,	2073,	1587,	4,	3,	3,	5.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(7016,	2073,	933,	8,	7,	3,	3.800,	0.00,	0.000,	30.400,	'',	NULL,	NULL),
(7018,	2074,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7019,	2075,	314,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(7041,	2077,	1131,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7042,	2078,	45,	60,	3,	22,	0.750,	0.00,	0.000,	45.000,	'second sale',	NULL,	NULL),
(7043,	2079,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(7045,	2080,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7046,	2081,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7047,	2081,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7048,	2081,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(7049,	2081,	420,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7050,	2081,	170,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(7051,	2081,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7052,	2082,	1626,	1,	3,	71,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7053,	2082,	423,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7056,	2084,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(7069,	2086,	1491,	10,	3,	3,	1.400,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(7070,	2086,	370,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7071,	2086,	401,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7072,	2086,	752,	2,	3,	23,	13.800,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(7073,	2086,	791,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(7074,	2086,	809,	2,	3,	3,	14.200,	0.00,	0.000,	28.400,	'',	NULL,	NULL),
(7075,	2086,	836,	2,	10,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(7076,	2086,	1201,	3,	3,	3,	4.000,	5.00,	0.600,	12.600,	'',	NULL,	NULL),
(7077,	2086,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(7078,	2086,	1726,	10,	3,	3,	3.500,	0.00,	0.000,	35.000,	'',	NULL,	NULL),
(7079,	2087,	932,	1,	3,	24,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7080,	2087,	1491,	3,	3,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7081,	2088,	170,	10,	3,	3,	6.300,	0.00,	0.000,	63.000,	'',	NULL,	NULL),
(7082,	2089,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7084,	2090,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7085,	2091,	1587,	4,	3,	3,	5.200,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(7086,	2092,	282,	1,	3,	33,	18.500,	0.00,	0.000,	18.500,	'',	NULL,	NULL),
(7087,	2093,	1312,	10,	63,	55,	1.400,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(7088,	2093,	1312,	15,	63,	92,	0.950,	0.00,	0.000,	14.250,	'',	NULL,	NULL),
(7089,	2093,	1312,	40,	63,	79,	0.500,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(7090,	2093,	1312,	6,	63,	84,	2.400,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(7091,	2094,	969,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(7092,	2095,	807,	6,	3,	2,	14.200,	0.00,	0.000,	85.200,	'',	NULL,	NULL),
(7093,	2096,	2021,	3,	3,	3,	4.700,	5.00,	0.705,	14.805,	'',	NULL,	NULL),
(7094,	2085,	753,	15,	63,	3,	1.600,	0.00,	0.000,	24.000,	'second 4kg',	NULL,	NULL),
(7095,	2085,	848,	15,	3,	3,	3.700,	0.00,	0.000,	55.500,	'',	NULL,	NULL),
(7096,	2097,	1587,	10,	3,	3,	5.200,	0.00,	0.000,	52.000,	'',	NULL,	NULL),
(7097,	2098,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7098,	2098,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7099,	2098,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(7100,	2099,	799,	20,	3,	4,	1.400,	0.00,	0.000,	28.000,	'',	NULL,	NULL),
(7101,	2100,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7103,	2102,	1127,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(7104,	2101,	2026,	2,	3,	130,	8.500,	5.00,	0.850,	17.850,	'',	NULL,	NULL),
(7105,	2101,	2021,	10,	3,	3,	4.700,	5.00,	2.350,	49.350,	'',	NULL,	NULL),
(7106,	2103,	282,	6,	4,	33,	1.575,	0.00,	0.000,	9.450,	'',	NULL,	NULL),
(7107,	2104,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(7108,	2105,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(7109,	2106,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(7110,	2107,	969,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7111,	2107,	1344,	5,	3,	29,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(7112,	2107,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7113,	2107,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(7114,	2107,	753,	1,	3,	39,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(7115,	2107,	1514,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(7116,	2107,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7117,	2107,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(7118,	2107,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7119,	2107,	171,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7129,	2110,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(7130,	2110,	57,	1,	3,	13,	8.600,	0.00,	0.000,	8.600,	'',	NULL,	NULL),
(7131,	2110,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(7132,	2110,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(7133,	2110,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(7134,	2110,	766,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(7135,	2110,	1839,	8,	63,	3,	1.800,	5.00,	0.720,	15.120,	'',	NULL,	NULL),
(7136,	2110,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(7137,	2109,	753,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(7138,	2109,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'second 4kg',	NULL,	NULL),
(7139,	2109,	799,	5,	3,	22,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(7140,	2109,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7141,	2109,	1127,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7142,	2111,	1622,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(7143,	2112,	932,	1,	3,	24,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7144,	2083,	753,	20,	63,	3,	1.600,	0.00,	0.000,	32.000,	'second 4kg',	NULL,	NULL),
(7145,	2076,	57,	15,	3,	13,	8.800,	0.00,	0.000,	132.000,	'',	NULL,	NULL),
(7146,	2076,	116,	5,	3,	15,	9.200,	0.00,	0.000,	46.000,	'',	NULL,	NULL),
(7147,	2076,	168,	100,	3,	3,	2.100,	0.00,	0.000,	210.000,	'',	NULL,	NULL),
(7148,	2076,	195,	20,	3,	3,	6.300,	0.00,	0.000,	126.000,	'',	NULL,	NULL),
(7149,	2076,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(7150,	2076,	753,	4,	3,	5,	4.500,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(7151,	2076,	753,	20,	63,	3,	1.600,	0.00,	0.000,	32.000,	'second 4kg',	NULL,	NULL),
(7152,	2076,	799,	40,	3,	4,	1.400,	0.00,	0.000,	56.000,	'',	NULL,	NULL),
(7153,	2076,	848,	60,	3,	4,	1.850,	0.00,	0.000,	111.000,	'',	NULL,	NULL),
(7154,	2076,	881,	50,	3,	4,	1.500,	0.00,	0.000,	75.000,	'',	NULL,	NULL),
(7155,	2076,	932,	10,	3,	24,	5.300,	0.00,	0.000,	53.000,	'',	NULL,	NULL),
(7156,	2076,	932,	5,	3,	79,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(7157,	2076,	1127,	10,	3,	3,	2.400,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(7158,	2076,	1131,	20,	3,	6,	3.500,	0.00,	0.000,	70.000,	'',	NULL,	NULL),
(7159,	2076,	1179,	80,	3,	3,	2.600,	0.00,	0.000,	208.000,	'',	NULL,	NULL),
(7160,	2076,	1344,	20,	3,	20,	3.600,	0.00,	0.000,	72.000,	'',	NULL,	NULL),
(7161,	2076,	1345,	50,	3,	103,	1.850,	0.00,	0.000,	92.500,	'',	NULL,	NULL),
(7162,	2076,	1526,	11,	3,	2,	7.500,	0.00,	0.000,	82.500,	'',	NULL,	NULL),
(7163,	2076,	1626,	20,	3,	71,	2.000,	0.00,	0.000,	40.000,	'',	NULL,	NULL),
(7164,	2076,	1766,	10,	3,	3,	0.900,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(7171,	2113,	116,	3,	3,	15,	9.200,	0.00,	0.000,	27.600,	'',	NULL,	NULL),
(7172,	2113,	753,	5,	3,	5,	4.500,	0.00,	0.000,	22.500,	'',	NULL,	NULL),
(7173,	2113,	753,	50,	63,	3,	1.600,	0.00,	0.000,	80.000,	'second 4kg',	NULL,	NULL),
(7174,	2113,	766,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(7175,	2113,	1071,	5,	3,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(7176,	2113,	1626,	10,	3,	71,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(7177,	2114,	1166,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7178,	2114,	1587,	1,	3,	3,	5.300,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(7179,	2114,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7180,	2115,	1138,	5,	3,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(7189,	2116,	799,	1,	3,	5,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7190,	2116,	818,	1,	10,	2,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(7191,	2116,	848,	1,	3,	5,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7192,	2116,	1353,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(7193,	2117,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7194,	2117,	848,	1,	3,	5,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7195,	2117,	799,	1,	3,	5,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7196,	2118,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7197,	2119,	932,	5,	3,	24,	5.400,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(7203,	2121,	506,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7204,	2121,	1587,	20,	3,	3,	5.200,	0.00,	0.000,	104.000,	'',	NULL,	NULL),
(7205,	2121,	1514,	50,	3,	3,	7.500,	0.00,	0.000,	375.000,	'',	NULL,	NULL),
(7206,	2122,	1570,	10,	4,	74,	1.850,	0.00,	0.000,	18.500,	'',	NULL,	NULL),
(7211,	2124,	123,	1,	4,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(7212,	2123,	123,	1,	3,	3,	20.800,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(7213,	2123,	528,	20,	3,	3,	2.500,	0.00,	0.000,	50.000,	'',	NULL,	NULL),
(7214,	2123,	752,	5,	3,	23,	13.800,	0.00,	0.000,	69.000,	'',	NULL,	NULL),
(7215,	2123,	1491,	50,	3,	3,	1.400,	0.00,	0.000,	70.000,	'',	NULL,	NULL),
(7216,	2125,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(7217,	2126,	1514,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(7218,	2127,	799,	4,	3,	38,	3.500,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(7219,	2128,	752,	1,	3,	23,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(7220,	2120,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(7221,	2120,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(7222,	2120,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7223,	2120,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7224,	2120,	1563,	4,	6,	3,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7225,	2129,	1251,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(7226,	2129,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7234,	2130,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7235,	2130,	153,	2.2,	1,	4,	1.200,	0.00,	0.000,	2.640,	'',	NULL,	NULL),
(7236,	2130,	249,	1,	63,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(7237,	2130,	423,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7238,	2130,	972,	1,	3,	4,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7239,	2130,	1166,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7240,	2130,	1351,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(7243,	2132,	753,	1,	3,	5,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7244,	2132,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7245,	2131,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(7246,	2133,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(7249,	2134,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(7250,	2135,	1587,	30,	3,	3,	5.200,	0.00,	0.000,	156.000,	'',	NULL,	NULL),
(7251,	2136,	1587,	30,	3,	3,	5.200,	0.00,	0.000,	156.000,	'',	NULL,	NULL),
(7253,	2137,	1587,	30,	3,	3,	5.200,	0.00,	0.000,	156.000,	'',	NULL,	NULL),
(7254,	2138,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7255,	2139,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(7256,	2140,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7257,	2140,	31,	2,	7,	15,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7258,	2140,	1367,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(7259,	2140,	848,	1,	10,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7260,	2140,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7261,	2140,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7262,	2140,	1138,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7263,	2141,	848,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7264,	2142,	1659,	2,	63,	2,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(7265,	2142,	1312,	1,	63,	84,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7266,	2142,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7267,	2143,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7268,	2143,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7269,	2143,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7270,	2144,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(7271,	2145,	799,	2,	3,	38,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(7272,	2145,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(7273,	2145,	766,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7274,	2145,	1344,	10,	3,	29,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(7275,	2145,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(7276,	2145,	1626,	5,	3,	71,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(7277,	2145,	73,	1,	3,	9,	10.400,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7278,	2145,	57,	1,	3,	13,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(7279,	2145,	1166,	10,	3,	3,	2.600,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(7280,	2145,	1138,	10,	3,	3,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(7281,	2145,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(7282,	2145,	123,	1,	3,	3,	20.800,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(7283,	2145,	1514,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7284,	2145,	1526,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(7285,	2146,	528,	1,	3,	4,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7286,	2146,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7287,	2147,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(7288,	2148,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7290,	2149,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(7291,	2150,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7292,	2150,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7293,	2150,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7294,	2151,	1390,	5.5,	1,	3,	0.500,	5.00,	0.138,	2.888,	'',	NULL,	NULL),
(7295,	2151,	45,	1,	3,	7,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(7296,	2152,	1526,	1,	3,	3,	7.200,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(7297,	2152,	170,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7298,	2152,	1179,	4,	3,	3,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7299,	2152,	1138,	4,	3,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7300,	2153,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7301,	2153,	76,	1,	3,	15,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(7302,	2153,	57,	1,	3,	15,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(7303,	2153,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(7304,	2153,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7305,	2154,	1353,	6,	3,	3,	4.900,	0.00,	0.000,	29.400,	'',	NULL,	NULL),
(7306,	2155,	528,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(7307,	2156,	1179,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7308,	2156,	1344,	1,	3,	29,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7309,	2156,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7310,	2156,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7311,	2156,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7312,	2157,	423,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7313,	2157,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7314,	2157,	1353,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(7315,	2157,	1131,	1,	3,	6,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7316,	2157,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7317,	2158,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(7318,	2158,	551,	1,	63,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(7319,	2158,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'second ll',	NULL,	NULL),
(7320,	2159,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7321,	2159,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7322,	2159,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7323,	2160,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7324,	2160,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7325,	2160,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(7326,	2161,	932,	1,	3,	24,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7327,	2162,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(7328,	2163,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(7329,	2163,	1563,	2,	6,	111,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7330,	2163,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7331,	2163,	57,	1,	7,	15,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7332,	2163,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7333,	2164,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7334,	2165,	932,	4,	6,	48,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7335,	2166,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(7336,	2167,	420,	5,	3,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(7337,	2167,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7338,	2167,	1071,	5,	3,	3,	2.800,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(7339,	2167,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(7340,	2167,	693,	1,	3,	3,	16.200,	0.00,	0.000,	16.200,	'',	NULL,	NULL),
(7341,	2167,	1587,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7342,	2167,	932,	1,	3,	24,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7343,	2167,	1127,	10,	3,	3,	2.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(7344,	2167,	799,	4,	3,	3,	3.800,	0.00,	0.000,	15.200,	'',	NULL,	NULL),
(7345,	2167,	799,	10,	3,	22,	1.450,	0.00,	0.000,	14.500,	'',	NULL,	NULL),
(7346,	2167,	1531,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7347,	2167,	1514,	1,	3,	3,	7.600,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(7348,	2167,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(7349,	2167,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(7353,	2168,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7354,	2168,	766,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(7355,	2168,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(7356,	2169,	33,	10,	3,	4,	1.200,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(7369,	2171,	932,	1,	3,	24,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7370,	2172,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7371,	2173,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7372,	2174,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7373,	2170,	1565,	4.7,	1,	3,	1.300,	0.00,	0.000,	6.110,	'',	NULL,	NULL),
(7374,	2170,	57,	1,	7,	14,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7375,	2170,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(7376,	2170,	178,	4.7,	1,	3,	1.100,	0.00,	0.000,	5.170,	'',	NULL,	NULL),
(7377,	2170,	765,	3,	1,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7378,	2170,	799,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(7379,	2170,	1080,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7380,	2170,	1179,	3,	3,	3,	2.700,	0.00,	0.000,	8.100,	'',	NULL,	NULL),
(7381,	2170,	1344,	1,	3,	20,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(7382,	2170,	1353,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(7383,	2170,	1514,	2,	7,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7384,	2170,	1726,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7385,	2170,	1843,	3,	1,	3,	1.400,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(7386,	2175,	1356,	1,	3,	7,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7387,	2175,	992,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7388,	2175,	791,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(7389,	2175,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7390,	2175,	65,	1,	3,	13,	11.500,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(7391,	2175,	932,	1,	3,	24,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7392,	2175,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7393,	2175,	1864,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(7394,	2175,	1565,	13,	1,	3,	1.600,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(7395,	2175,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(7396,	2176,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(7397,	2176,	528,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(7403,	2178,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(7404,	2179,	528,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(7405,	2180,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(7406,	2180,	1312,	1,	63,	55,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(7407,	2180,	45,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7408,	2180,	1344,	1,	3,	29,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7409,	2180,	1131,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7410,	2180,	848,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7411,	2180,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(7412,	2180,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7413,	2180,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(7414,	2181,	752,	1,	4,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7415,	2177,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7416,	2177,	932,	1,	3,	22,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7417,	2177,	1179,	3,	3,	3,	2.700,	0.00,	0.000,	8.100,	'',	NULL,	NULL),
(7418,	2177,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7419,	2182,	1563,	1,	3,	111,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(7420,	2183,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7421,	2184,	1353,	2,	3,	3,	5.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(7422,	2185,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7423,	2185,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(7424,	2186,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7425,	2186,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7426,	2186,	753,	4,	3,	3,	1.600,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(7427,	2186,	1127,	7,	3,	3,	2.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(7428,	2186,	663,	0.5,	3,	3,	10.500,	0.00,	0.000,	5.250,	'',	NULL,	NULL),
(7429,	2186,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7430,	2186,	932,	1,	3,	24,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7431,	2186,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7432,	2187,	932,	1,	3,	79,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7433,	2187,	1353,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7434,	2188,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(7435,	2189,	285,	3,	4,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(7436,	2189,	1626,	3,	3,	71,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7437,	2189,	799,	2,	3,	3,	3.700,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(7438,	2189,	693,	1,	3,	3,	16.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(7439,	2189,	1839,	2,	63,	3,	1.900,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(7440,	2189,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7441,	2189,	420,	5,	3,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(7442,	2189,	1071,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(7443,	2189,	1344,	2,	3,	25,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(7444,	2189,	753,	3,	63,	3,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(7445,	2189,	753,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7446,	2189,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7447,	2189,	1127,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(7448,	2189,	170,	4,	3,	3,	6.300,	0.00,	0.000,	25.200,	'',	NULL,	NULL),
(7449,	2190,	753,	1,	3,	39,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7450,	2191,	803,	2,	3,	2,	7.800,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(7451,	2192,	808,	3,	3,	2,	12.800,	0.00,	0.000,	38.400,	'',	NULL,	NULL),
(7452,	2193,	1344,	15,	3,	29,	2.300,	0.00,	0.000,	34.500,	'',	NULL,	NULL),
(7453,	2194,	423,	10,	3,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(7454,	2194,	170,	10,	3,	3,	6.300,	0.00,	0.000,	63.000,	'',	NULL,	NULL),
(7455,	2194,	33,	80,	3,	4,	1.200,	0.00,	0.000,	96.000,	'',	NULL,	NULL),
(7456,	2194,	1587,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(7457,	2194,	420,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7458,	2194,	65,	6,	3,	13,	11.200,	0.00,	0.000,	67.200,	'',	NULL,	NULL),
(7463,	2195,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7464,	2196,	808,	10,	3,	2,	12.800,	0.00,	0.000,	128.000,	'',	NULL,	NULL),
(7465,	2197,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7466,	2197,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7467,	2197,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7468,	2198,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7469,	2198,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7470,	2198,	551,	2,	63,	3,	3.900,	5.00,	0.390,	8.190,	'',	NULL,	NULL),
(7471,	2199,	1622,	5,	3,	3,	4.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(7472,	2199,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7473,	2199,	1066,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7474,	2199,	168,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(7475,	2199,	1626,	5,	3,	71,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(7476,	2199,	170,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(7477,	2199,	807,	2,	3,	3,	14.200,	0.00,	0.000,	28.400,	'',	NULL,	NULL),
(7478,	2199,	799,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(7479,	2200,	933,	10,	7,	3,	3.900,	0.00,	0.000,	39.000,	'',	NULL,	NULL),
(7480,	2201,	48,	2,	3,	9,	15.300,	0.00,	0.000,	30.600,	'',	NULL,	NULL),
(7481,	2202,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7482,	2202,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7483,	2203,	766,	4,	3,	3,	2.300,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(7484,	2203,	753,	10,	63,	3,	1.700,	0.00,	0.000,	17.000,	'',	NULL,	NULL),
(7487,	2204,	1390,	5,	1,	3,	0.500,	5.00,	0.125,	2.625,	'',	NULL,	NULL),
(7488,	2205,	528,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7489,	2206,	848,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7490,	2206,	799,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7491,	2206,	1390,	4.5,	1,	3,	0.550,	5.00,	0.124,	2.599,	'',	NULL,	NULL),
(7492,	2206,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7493,	2206,	1179,	3,	3,	3,	2.700,	0.00,	0.000,	8.100,	'',	NULL,	NULL),
(7494,	2207,	1044,	1.5,	1,	3,	0.800,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(7495,	2207,	307,	2.6,	1,	3,	1.300,	0.00,	0.000,	3.380,	'',	NULL,	NULL),
(7496,	2207,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7497,	2207,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7498,	2207,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7499,	2208,	1066,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7500,	2208,	753,	2,	3,	39,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(7501,	2209,	1514,	60,	3,	3,	7.500,	0.00,	0.000,	450.000,	'',	NULL,	NULL),
(7502,	2210,	1365,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(7503,	2211,	1526,	1,	3,	3,	7.200,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(7504,	2212,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7505,	2212,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7506,	2212,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7507,	2213,	1649,	3,	63,	2,	4.200,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7508,	2214,	752,	1,	3,	23,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(7509,	2215,	1390,	2.9,	1,	3,	0.600,	5.00,	0.087,	1.827,	'',	NULL,	NULL),
(7510,	2215,	551,	8,	6,	3,	0.200,	5.00,	0.080,	1.680,	'',	NULL,	NULL),
(7511,	2215,	767,	2.5,	1,	3,	1.400,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7512,	2215,	1626,	1,	3,	111,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7513,	2215,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7514,	2215,	1179,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(7515,	2215,	848,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7516,	2216,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7517,	2216,	753,	20,	63,	3,	1.600,	0.00,	0.000,	32.000,	'second 4kg',	NULL,	NULL),
(7518,	2217,	1044,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7519,	2217,	992,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(7520,	2218,	528,	1,	63,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7523,	2219,	170,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(7524,	2220,	1131,	3.5,	3,	6,	3.500,	0.00,	0.000,	12.250,	'',	NULL,	NULL),
(7525,	2221,	1514,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(7526,	2221,	753,	8,	3,	5,	4.300,	0.00,	0.000,	34.400,	'',	NULL,	NULL),
(7527,	2221,	969,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7528,	2221,	420,	8,	3,	3,	1.700,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(7529,	2221,	1071,	8,	3,	3,	2.800,	0.00,	0.000,	22.400,	'',	NULL,	NULL),
(7530,	2221,	992,	4,	3,	3,	1.500,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(7531,	2222,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7532,	2223,	932,	2,	6,	48,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(7533,	2224,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7534,	2224,	178,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(7535,	2224,	1390,	7.5,	1,	3,	0.500,	5.00,	0.188,	3.938,	'',	NULL,	NULL),
(7536,	2224,	766,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(7537,	2224,	792,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(7538,	2224,	848,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7539,	2224,	279,	1,	3,	3,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(7540,	2224,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7541,	2224,	799,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(7542,	2224,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(7543,	2225,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7544,	2226,	1131,	1,	3,	6,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7545,	2226,	45,	1,	3,	22,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(7546,	2227,	1735,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(7547,	2228,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7548,	2228,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7549,	2229,	1179,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7550,	2229,	1138,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7551,	2229,	1526,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7552,	2229,	1353,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7553,	2229,	848,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7554,	2229,	799,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7555,	2229,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7556,	2230,	992,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(7557,	2231,	1626,	2,	3,	71,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7558,	2232,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(7559,	2232,	758,	1,	63,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7565,	2234,	758,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7566,	2235,	1201,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(7567,	2235,	1078,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7568,	2236,	932,	5,	3,	48,	4.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(7569,	2236,	1526,	3,	3,	3,	7.300,	0.00,	0.000,	21.900,	'',	NULL,	NULL),
(7570,	2236,	1514,	1,	3,	2,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7571,	2236,	57,	5,	3,	15,	9.000,	0.00,	0.000,	45.000,	'',	NULL,	NULL),
(7572,	2237,	123,	2,	4,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7573,	2238,	1881,	2,	3,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7574,	2238,	625,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7575,	2239,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7576,	2239,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7577,	2239,	1138,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7578,	2240,	1626,	1,	3,	105,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7579,	2241,	992,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(7580,	2242,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7581,	2242,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7582,	2243,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7583,	2243,	1344,	2,	3,	29,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7584,	2243,	420,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7585,	2244,	807,	6,	3,	2,	14.200,	0.00,	0.000,	85.200,	'',	NULL,	NULL),
(7586,	2245,	123,	1,	4,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(7588,	2247,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7595,	2249,	1491,	15,	3,	3,	1.400,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(7596,	2248,	932,	1,	3,	79,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7597,	2248,	57,	1,	3,	14,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(7598,	2248,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7599,	2248,	848,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(7600,	2248,	932,	1,	3,	79,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7601,	2248,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7602,	2248,	1514,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(7603,	2233,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(7604,	2233,	1336,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7605,	2233,	1626,	1,	3,	105,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7606,	2233,	1647,	1,	63,	3,	0.850,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(7607,	2250,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7608,	2250,	250,	1,	3,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(7609,	2250,	1486,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7610,	2250,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7611,	2251,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7612,	2252,	1365,	2,	3,	2,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(7613,	2252,	170,	2,	3,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(7614,	2252,	876,	3,	3,	3,	4.200,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7615,	2252,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7616,	2252,	1622,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(7617,	2253,	753,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(7618,	2254,	1474,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(7619,	2254,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7620,	2254,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7621,	2255,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7622,	2256,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(7623,	2256,	1601,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(7624,	2256,	1390,	2.8,	1,	3,	0.600,	5.00,	0.084,	1.764,	'',	NULL,	NULL),
(7625,	2256,	1565,	2,	1,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7626,	2256,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(7627,	2256,	1124,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7628,	2257,	1312,	1,	63,	84,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7629,	2257,	31,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(7630,	2257,	1474,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(7631,	2257,	807,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(7632,	2257,	932,	1,	3,	24,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7633,	2257,	1365,	3,	3,	2,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(7634,	2258,	932,	1,	3,	24,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7635,	2259,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7636,	2260,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7637,	2260,	528,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7638,	2261,	753,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7639,	2261,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7640,	2261,	1470,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7641,	2261,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(7642,	2261,	1131,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7648,	2263,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7649,	2263,	1336,	1,	3,	29,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7650,	2263,	1127,	1,	3,	3,	2.660,	0.00,	0.000,	2.660,	'',	NULL,	NULL),
(7651,	2246,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(7652,	2246,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7653,	2246,	76,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7654,	2246,	1201,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(7662,	2262,	275,	3,	4,	5,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(7663,	2262,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7664,	2262,	932,	1,	3,	79,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7665,	2262,	1166,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7666,	2262,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7667,	2262,	1565,	1.8,	1,	3,	1.300,	0.00,	0.000,	2.340,	'',	NULL,	NULL),
(7668,	2264,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(7669,	2264,	1131,	1,	3,	6,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(7670,	2264,	45,	1,	3,	22,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(7671,	2264,	1336,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7676,	2266,	848,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(7677,	2266,	1336,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7682,	2265,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7683,	2265,	31,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(7684,	2265,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7685,	2265,	1166,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(7686,	2265,	1579,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7687,	2267,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7688,	2267,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7689,	2267,	1563,	3,	3,	110,	0.700,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7690,	2267,	1344,	2,	3,	25,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(7691,	2268,	1251,	2,	4,	3,	0.475,	5.00,	0.048,	0.997,	'',	NULL,	NULL),
(7698,	2269,	1365,	1,	3,	2,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7699,	2269,	45,	1,	3,	27,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(7700,	2269,	275,	3,	4,	5,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(7701,	2269,	1565,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(7702,	2270,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7703,	2270,	275,	3,	4,	5,	0.400,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(7704,	2270,	1565,	2.3,	1,	3,	1.300,	0.00,	0.000,	2.990,	'',	NULL,	NULL),
(7705,	2271,	753,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7706,	2271,	1071,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(7707,	2272,	275,	3,	4,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(7708,	2273,	1503,	2,	7,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7709,	2273,	1576,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7710,	2274,	1565,	1.6,	1,	3,	1.300,	0.00,	0.000,	2.080,	'',	NULL,	NULL),
(7711,	2275,	31,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7712,	2275,	1504,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7713,	2275,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(7714,	2276,	1174,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(7715,	2277,	803,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(7716,	2277,	1365,	1,	3,	2,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7717,	2277,	76,	1,	3,	13,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(7718,	2277,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(7719,	2277,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7720,	2277,	1174,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(7721,	2277,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7722,	2277,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7723,	2278,	1425,	6,	3,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(7724,	2279,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7725,	2280,	1071,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7726,	2280,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(7727,	2280,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7736,	2282,	848,	10,	3,	38,	4.200,	0.00,	0.000,	42.000,	'',	NULL,	NULL),
(7737,	2283,	1344,	3,	3,	20,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(7738,	2283,	753,	1,	3,	5,	4.300,	0.00,	0.000,	4.300,	'',	NULL,	NULL),
(7739,	2283,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7740,	2283,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(7741,	2283,	1526,	3,	3,	3,	7.300,	0.00,	0.000,	21.900,	'',	NULL,	NULL),
(7742,	2283,	1491,	10,	3,	3,	1.400,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(7743,	2283,	73,	2,	3,	9,	10.200,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(7744,	2283,	1766,	10,	3,	3,	0.800,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7745,	2283,	1626,	10,	3,	105,	2.100,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(7746,	2283,	76,	2,	3,	14,	9.500,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(7747,	2283,	57,	4,	3,	14,	8.900,	0.00,	0.000,	35.600,	'',	NULL,	NULL),
(7748,	2283,	170,	5,	3,	3,	6.300,	0.00,	0.000,	31.500,	'',	NULL,	NULL),
(7749,	2283,	420,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7750,	2283,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'second',	NULL,	NULL),
(7751,	2283,	1587,	4,	3,	3,	5.200,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(7752,	2283,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7753,	2283,	1127,	25,	3,	3,	2.400,	0.00,	0.000,	60.000,	'',	NULL,	NULL),
(7754,	2284,	753,	3,	63,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7758,	2285,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7759,	2285,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7760,	2285,	799,	1,	3,	38,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(7761,	2286,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(7762,	2286,	753,	1,	63,	2,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7763,	2286,	275,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(7764,	2286,	858,	2,	3,	3,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(7765,	2286,	1353,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7766,	2287,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(7771,	2281,	45,	2,	3,	2,	4.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7772,	2281,	168,	4,	3,	3,	2.300,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(7773,	2281,	799,	4,	3,	3,	3.700,	0.00,	0.000,	14.800,	'',	NULL,	NULL),
(7774,	2281,	932,	1,	3,	24,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(7775,	2281,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7776,	2281,	1127,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(7777,	2281,	1344,	3,	3,	103,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(7778,	2281,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7779,	2289,	1344,	2,	3,	20,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(7780,	2290,	1498,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(7781,	2290,	799,	4,	3,	3,	3.700,	0.00,	0.000,	14.800,	'',	NULL,	NULL),
(7782,	2290,	848,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7783,	2290,	168,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(7784,	2290,	1166,	5,	3,	3,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(7785,	2288,	57,	4,	7,	13,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7786,	2288,	848,	4,	3,	38,	4.200,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(7787,	2288,	1514,	1,	3,	3,	8.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7788,	2291,	1071,	1,	3,	4,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7789,	2291,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7790,	2291,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(7791,	2291,	753,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(7792,	2291,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7793,	2291,	682,	2,	3,	3,	10.600,	0.00,	0.000,	21.200,	'',	NULL,	NULL),
(7794,	2292,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7795,	2293,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7796,	2293,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7797,	2293,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7798,	2293,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7799,	2293,	1071,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7800,	2293,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(7801,	2293,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(7802,	2294,	1353,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(7803,	2294,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(7804,	2294,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7805,	2294,	848,	2,	3,	38,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(7806,	2294,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(7807,	2294,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7808,	2295,	1071,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7809,	2296,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7810,	2296,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7813,	2297,	1166,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(7814,	2297,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7815,	2297,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(7816,	2298,	1626,	2,	3,	71,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(7817,	2298,	836,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(7818,	2298,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7819,	2298,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7820,	2298,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7821,	2298,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(7822,	2298,	423,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7823,	2299,	168,	20,	3,	3,	2.200,	0.00,	0.000,	44.000,	'',	NULL,	NULL),
(7824,	2299,	170,	5,	3,	3,	6.300,	0.00,	0.000,	31.500,	'',	NULL,	NULL),
(7825,	2300,	1174,	15,	3,	3,	3.300,	0.00,	0.000,	49.500,	'',	NULL,	NULL),
(7826,	2300,	858,	10,	3,	3,	4.000,	0.00,	0.000,	40.000,	'',	NULL,	NULL),
(7827,	2300,	1559,	30,	3,	3,	1.850,	0.00,	0.000,	55.500,	'',	NULL,	NULL),
(7828,	2300,	170,	10,	3,	3,	6.200,	0.00,	0.000,	62.000,	'',	NULL,	NULL),
(7829,	2301,	1570,	2,	4,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7848,	2304,	506,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(7849,	2304,	528,	20,	3,	3,	2.500,	0.00,	0.000,	50.000,	'',	NULL,	NULL),
(7850,	2304,	876,	4,	3,	3,	4.200,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(7851,	2304,	1353,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(7852,	2304,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(7856,	2303,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(7857,	2303,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7858,	2303,	1071,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7859,	2305,	799,	1,	3,	22,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(7860,	2305,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7861,	2305,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7862,	2305,	933,	1,	7,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(7863,	2305,	1563,	2,	6,	111,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7864,	2305,	1587,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7865,	2305,	275,	4,	4,	5,	0.470,	0.00,	0.000,	1.880,	'',	NULL,	NULL),
(7866,	2305,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7867,	2305,	1514,	2,	7,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7868,	2305,	1127,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7869,	2305,	848,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7870,	2305,	76,	2,	7,	14,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7871,	2305,	57,	2,	7,	14,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7872,	2305,	168,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7873,	2305,	752,	1,	4,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(7874,	2308,	799,	10,	3,	4,	1.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(7875,	2309,	1124,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7876,	2309,	858,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(7877,	2310,	1637,	3,	3,	3,	5.800,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(7878,	2311,	314,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7885,	2313,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7886,	2313,	236,	2,	1,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(7887,	2313,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(7895,	2315,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7896,	2316,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(7897,	2317,	876,	40,	3,	3,	4.200,	0.00,	0.000,	168.000,	'',	NULL,	NULL),
(7900,	2312,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(7901,	2312,	753,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(7902,	2312,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(7903,	2312,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(7904,	2312,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(7911,	2319,	1071,	1,	3,	4,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(7912,	2320,	101,	1,	3,	9,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(7913,	2321,	33,	25,	3,	4,	1.200,	0.00,	0.000,	30.000,	'',	NULL,	NULL),
(7918,	2302,	423,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(7919,	2302,	693,	1,	3,	3,	16.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(7920,	2302,	799,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7921,	2302,	992,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(7922,	2322,	53,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(7937,	2324,	168,	10,	3,	3,	2.300,	0.00,	0.000,	23.000,	'',	NULL,	NULL),
(7938,	2324,	171,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7939,	2324,	753,	2,	3,	5,	4.700,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(7942,	2318,	809,	5,	3,	3,	14.200,	0.00,	0.000,	71.000,	'',	NULL,	NULL),
(7943,	2318,	1627,	5,	3,	3,	4.200,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(7944,	2325,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7945,	2325,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7946,	2326,	1526,	2,	3,	3,	7.000,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(7948,	2328,	1131,	4,	3,	6,	3.600,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(7949,	2329,	807,	2,	3,	2,	14.200,	0.00,	0.000,	28.400,	'',	NULL,	NULL),
(7956,	2330,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(7957,	2330,	1526,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(7958,	2330,	1570,	5,	4,	3,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(7959,	2327,	799,	8,	3,	4,	3.200,	0.00,	0.000,	25.600,	'',	NULL,	NULL),
(7960,	2331,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(7961,	2331,	1610,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7962,	2331,	73,	1,	3,	7,	10.300,	0.00,	0.000,	10.300,	'',	NULL,	NULL),
(7963,	2332,	1563,	1,	3,	105,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(7965,	2314,	76,	1,	3,	13,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(7966,	2333,	1717,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(7967,	2323,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7968,	2323,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(7969,	2323,	1251,	0.5,	3,	3,	4.000,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(7970,	2323,	1559,	1,	1,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7971,	2334,	799,	2,	3,	5,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(7972,	2334,	848,	2,	3,	5,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(7973,	2335,	799,	5,	3,	3,	3.200,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(7974,	2335,	876,	4,	3,	3,	4.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(7986,	2337,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(7987,	2338,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(7988,	2338,	844,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(7989,	2338,	1071,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(7995,	2336,	33,	3,	3,	3,	1.300,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(7996,	2336,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(7997,	2336,	1433,	2,	3,	4,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(7998,	2336,	1570,	4,	4,	3,	1.900,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(7999,	2336,	1839,	4,	63,	3,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(8001,	2340,	1959,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8013,	2341,	792,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(8014,	2341,	799,	10,	3,	3,	3.200,	0.00,	0.000,	32.000,	'',	NULL,	NULL),
(8015,	2341,	876,	15,	3,	3,	4.000,	0.00,	0.000,	60.000,	'',	NULL,	NULL),
(8016,	2341,	1127,	10,	3,	3,	2.400,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(8017,	2341,	1610,	3,	3,	3,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(8018,	2341,	1626,	10,	3,	71,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(8021,	2342,	1627,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8022,	2342,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8023,	2342,	1174,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8024,	2343,	557,	2,	3,	3,	6.400,	5.00,	0.640,	13.440,	'',	NULL,	NULL),
(8025,	2344,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(8026,	2345,	1626,	5,	3,	33,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(8027,	2345,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8028,	2345,	76,	1,	3,	15,	9.700,	0.00,	0.000,	9.700,	'',	NULL,	NULL),
(8029,	2345,	45,	3,	3,	7,	4.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(8030,	2345,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(8031,	2345,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(8032,	2345,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8033,	2345,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8034,	2345,	420,	3,	3,	3,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(8035,	2345,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8036,	2345,	753,	6,	63,	3,	1.700,	0.00,	0.000,	10.200,	'second',	NULL,	NULL),
(8037,	2345,	682,	2,	3,	3,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(8038,	2346,	752,	1,	4,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8039,	2346,	742,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(8040,	2347,	1514,	2,	3,	3,	7.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(8041,	2339,	1766,	1,	3,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(8042,	2339,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8043,	2339,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8044,	2339,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8045,	2339,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8051,	2348,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8052,	2348,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8053,	2348,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8054,	2348,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8055,	2348,	1766,	1,	3,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(8062,	2350,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8063,	2351,	807,	4,	3,	3,	14.200,	0.00,	0.000,	56.800,	'',	NULL,	NULL),
(8064,	2349,	168,	2,	3,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8065,	2349,	753,	3,	63,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8066,	2349,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8067,	2349,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8068,	2349,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8069,	2349,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8070,	2352,	1353,	15,	3,	3,	5.200,	0.00,	0.000,	78.000,	'',	NULL,	NULL),
(8071,	2353,	1854,	0.2,	1,	3,	7.800,	0.00,	0.000,	1.560,	'',	NULL,	NULL),
(8072,	2353,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(8073,	2354,	1312,	2,	63,	84,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(8075,	2355,	1174,	3,	3,	3,	3.400,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(8076,	2356,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8077,	2357,	1570,	3,	4,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(8078,	2358,	1425,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8079,	2359,	1563,	1,	6,	111,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(8080,	2359,	57,	1,	7,	14,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(8081,	2359,	1098,	1,	3,	3,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(8082,	2359,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8083,	2359,	1514,	2,	7,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8084,	2359,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(8085,	2359,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8086,	2359,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8087,	2359,	168,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8088,	2359,	1344,	2,	3,	20,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8089,	2359,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8090,	2359,	799,	2,	3,	22,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8091,	2359,	279,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(8092,	2359,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(8093,	2360,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8094,	2361,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8095,	2362,	1425,	3,	1,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(8096,	2363,	1179,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(8097,	2364,	1201,	2,	3,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(8098,	2365,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8099,	2365,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8101,	2367,	33,	4,	3,	4,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8103,	2369,	72,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8104,	2369,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8105,	2368,	1514,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8106,	2368,	799,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(8107,	2370,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(8108,	2370,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(8109,	2370,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8110,	2366,	799,	6,	3,	22,	1.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(8111,	2371,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(8114,	2373,	752,	1,	4,	23,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8115,	2372,	753,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8116,	2372,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8117,	2374,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8118,	2374,	799,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8119,	2374,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8120,	2375,	799,	2,	3,	5,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(8121,	2375,	848,	2,	3,	5,	5.900,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(8122,	2376,	1839,	1,	63,	3,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(8128,	2377,	429,	5,	4,	3,	0.700,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8129,	2377,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(8130,	2378,	1174,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8131,	2378,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8132,	2378,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8133,	2378,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8134,	2378,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8135,	2378,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(8136,	2378,	65,	1,	3,	14,	11.300,	0.00,	0.000,	11.300,	'',	NULL,	NULL),
(8145,	2379,	1390,	10,	1,	3,	0.500,	5.00,	0.250,	5.250,	'',	NULL,	NULL),
(8146,	2379,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8147,	2379,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8148,	2379,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8149,	2379,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(8150,	2379,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8151,	2379,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(8152,	2379,	1336,	2,	3,	29,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8153,	2379,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8154,	2380,	1263,	1,	3,	23,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8155,	2380,	894,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8156,	2380,	1626,	2,	3,	71,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8157,	2380,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(8158,	2380,	1174,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(8159,	2380,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8160,	2380,	858,	2,	3,	3,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(8161,	2380,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8162,	2380,	1526,	2,	7,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8163,	2380,	57,	2,	7,	14,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8164,	2380,	1344,	2,	3,	103,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8165,	2381,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8166,	2381,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(8167,	2382,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8168,	2382,	1353,	1,	3,	3,	5.300,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(8169,	2382,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8170,	2382,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8171,	2383,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8172,	2384,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8173,	2384,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8174,	2384,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8175,	2384,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(8176,	2384,	1353,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(8177,	2384,	45,	1,	6,	7,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8178,	2384,	1514,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(8179,	2385,	682,	2,	3,	3,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(8180,	2385,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8181,	2386,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8182,	2387,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(8189,	2389,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8190,	2388,	31,	1,	3,	15,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(8191,	2388,	168,	6,	3,	3,	2.300,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(8192,	2388,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8193,	2388,	1365,	1,	3,	2,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8194,	2390,	1344,	1,	3,	25,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(8199,	2391,	758,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8200,	2391,	1174,	3,	3,	3,	3.400,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(8201,	2392,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(8202,	2392,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8203,	2392,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8204,	2392,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8205,	2392,	1351,	1,	3,	25,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(8206,	2392,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8207,	2392,	31,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(8208,	2393,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8209,	2394,	766,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(8210,	2394,	799,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8211,	2394,	1839,	5,	63,	3,	1.700,	5.00,	0.425,	8.925,	'',	NULL,	NULL),
(8212,	2394,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(8213,	2395,	799,	2,	3,	22,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(8214,	2396,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8215,	2396,	1565,	3.2,	1,	3,	1.300,	0.00,	0.000,	4.160,	'',	NULL,	NULL),
(8216,	2396,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8217,	2396,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8218,	2396,	765,	0.5,	1,	3,	1.600,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(8219,	2396,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8220,	2397,	752,	1,	4,	23,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8221,	2398,	1625,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(8222,	2399,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8223,	2399,	1647,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8224,	2399,	31,	1,	7,	13,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8225,	2399,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8226,	2399,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8227,	2399,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8228,	2399,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8229,	2399,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8230,	2400,	367,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(8231,	2401,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8232,	2402,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8233,	2403,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(8234,	2403,	1071,	5,	3,	3,	2.700,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(8235,	2404,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8236,	2404,	799,	5,	3,	3,	3.800,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(8237,	2405,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8238,	2406,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8239,	2407,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8240,	2408,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8241,	2409,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8242,	2409,	31,	1,	3,	14,	9.300,	0.00,	0.000,	9.300,	'',	NULL,	NULL),
(8243,	2409,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(8244,	2410,	1351,	1,	3,	25,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(8245,	2410,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8246,	2411,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(8247,	2412,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(8248,	2413,	1131,	2,	3,	6,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(8249,	2414,	168,	8,	3,	3,	2.300,	0.00,	0.000,	18.400,	'',	NULL,	NULL),
(8250,	2414,	1131,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(8251,	2414,	1138,	6,	3,	3,	2.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(8252,	2414,	1166,	8,	3,	3,	2.600,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(8253,	2415,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8254,	2416,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8255,	2417,	1570,	3,	4,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(8256,	2418,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(8257,	2418,	799,	1,	3,	22,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8258,	2418,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8259,	2419,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(8260,	2419,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8261,	2420,	848,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(8262,	2421,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8263,	2421,	275,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8264,	2421,	894,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(8265,	2421,	1625,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8266,	2421,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8267,	2421,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8268,	2421,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8269,	2421,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8270,	2422,	807,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(8271,	2423,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8272,	2423,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8273,	2423,	753,	1,	3,	39,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(8274,	2423,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8275,	2424,	799,	2,	3,	5,	6.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(8276,	2425,	1351,	1,	3,	25,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(8277,	2425,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(8278,	2425,	57,	1,	7,	14,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8279,	2425,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8280,	2425,	1503,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8281,	2425,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8282,	2425,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8283,	2426,	1131,	1,	3,	6,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8284,	2427,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8285,	2428,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8286,	2429,	752,	2,	3,	3,	14.200,	0.00,	0.000,	28.400,	'',	NULL,	NULL),
(8287,	2430,	753,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8288,	2430,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8289,	2430,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8290,	2431,	1131,	1,	3,	6,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(8291,	2432,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8294,	2433,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(8295,	2434,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(8296,	2435,	1078,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8297,	2436,	663,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(8298,	2437,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(8299,	2437,	753,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8300,	2437,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8301,	2437,	932,	2,	3,	79,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8302,	2437,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8303,	2437,	1071,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(8304,	2438,	1587,	1,	4,	2,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(8305,	2438,	876,	2,	3,	3,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(8306,	2439,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8307,	2439,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8308,	2440,	1570,	3,	4,	3,	1.660,	0.00,	0.000,	4.980,	'',	NULL,	NULL),
(8309,	2441,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8310,	2441,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8311,	2442,	1201,	1,	4,	3,	2.000,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(8312,	2443,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8313,	2443,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8314,	2443,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8315,	2443,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(8316,	2444,	767,	1,	1,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8317,	2445,	752,	1,	4,	23,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8318,	2445,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8319,	2445,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8320,	2445,	1179,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(8321,	2445,	1078,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8322,	2445,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8323,	2445,	282,	6,	4,	33,	1.600,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(8324,	2446,	178,	2,	1,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(8325,	2446,	282,	2,	4,	1,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8326,	2446,	1131,	1,	3,	6,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8327,	2447,	1138,	4,	3,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(8338,	2450,	33,	1,	3,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8339,	2451,	1514,	1,	7,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(8340,	2451,	1565,	4.5,	1,	3,	1.300,	0.00,	0.000,	5.850,	'',	NULL,	NULL),
(8341,	2451,	282,	3,	4,	33,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8342,	2451,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8343,	2452,	1503,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8344,	2452,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8345,	2452,	1131,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8346,	2452,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8347,	2452,	1282,	1,	3,	23,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(8348,	2452,	1584,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8349,	2452,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8350,	2452,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8351,	2453,	1138,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(8352,	2453,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8353,	2453,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8354,	2453,	1356,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8355,	2453,	1131,	1,	3,	6,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8356,	2453,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8357,	2453,	31,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8358,	2453,	1503,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8359,	2454,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8360,	2454,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8361,	2449,	676,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(8362,	2449,	1488,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8363,	2449,	1491,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(8364,	2449,	1563,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(8365,	2455,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8366,	2456,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8367,	2457,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8368,	2457,	1201,	1,	3,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(8369,	2457,	279,	3,	4,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8370,	2457,	1565,	3.6,	1,	3,	1.300,	0.00,	0.000,	4.680,	'',	NULL,	NULL),
(8371,	2457,	57,	1,	7,	14,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(8372,	2457,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8373,	2457,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8374,	2457,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8375,	2457,	1179,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(8376,	2457,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8377,	2448,	394,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(8378,	2458,	1044,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(8379,	2459,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8380,	2460,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8381,	2461,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8382,	2462,	858,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8393,	2463,	420,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(8394,	2463,	528,	10,	3,	3,	2.400,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(8395,	2463,	766,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(8396,	2463,	799,	5,	3,	3,	3.200,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(8397,	2463,	1131,	2,	3,	6,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(8398,	2464,	1570,	10,	4,	74,	1.900,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(8399,	2464,	170,	5,	3,	3,	6.300,	0.00,	0.000,	31.500,	'',	NULL,	NULL),
(8400,	2465,	1570,	2,	4,	74,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8401,	2466,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8402,	2466,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8403,	2467,	57,	1,	3,	15,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(8404,	2467,	1514,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8405,	2468,	76,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8406,	2469,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(8407,	2470,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(8408,	2471,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8409,	2472,	1131,	1,	3,	6,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8410,	2473,	1514,	1,	7,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(8411,	2474,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(8412,	2475,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8413,	2475,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8414,	2475,	836,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(8415,	2476,	799,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8416,	2476,	33,	2,	3,	4,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8417,	2476,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8418,	2477,	1131,	1,	3,	6,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8419,	2478,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8420,	2479,	755,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8424,	2480,	932,	1,	3,	24,	5.300,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(8425,	2480,	932,	6,	3,	79,	2.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(8426,	2480,	1610,	4,	3,	3,	3.800,	0.00,	0.000,	15.200,	'',	NULL,	NULL),
(8427,	2481,	1131,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8430,	2483,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8431,	2483,	76,	1,	7,	14,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8432,	2483,	57,	1,	7,	16,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8433,	2483,	1098,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(8434,	2483,	932,	1,	3,	79,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8435,	2483,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8436,	2483,	1179,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8437,	2483,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(8438,	2484,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8444,	2485,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8445,	2485,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8446,	2485,	752,	1,	4,	23,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8447,	2485,	992,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8448,	2485,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8449,	2485,	1174,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8457,	2482,	170,	3,	3,	4,	6.300,	0.00,	0.000,	18.900,	'',	NULL,	NULL),
(8458,	2482,	836,	3,	3,	3,	6.500,	0.00,	0.000,	19.500,	'',	NULL,	NULL),
(8459,	2482,	932,	3,	3,	79,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(8460,	2482,	1160,	6,	3,	3,	2.600,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(8461,	2482,	1353,	3,	4,	3,	5.200,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(8462,	2482,	1587,	3,	3,	3,	5.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(8463,	2482,	1622,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(8466,	2486,	21,	1,	3,	10,	9.400,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(8467,	2486,	21,	3,	7,	10,	2.350,	0.00,	0.000,	7.050,	'',	NULL,	NULL),
(8468,	2487,	178,	2.2,	1,	3,	1.200,	0.00,	0.000,	2.640,	'',	NULL,	NULL),
(8469,	2488,	1174,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(8470,	2489,	1336,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8471,	2489,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8472,	2489,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8473,	2489,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8474,	2489,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8475,	2489,	1514,	1,	7,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8476,	2489,	21,	1,	7,	8,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8477,	2489,	168,	1,	3,	4,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8478,	2489,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8479,	2489,	1174,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8480,	2489,	275,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8481,	2489,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8482,	2490,	178,	3,	3,	3,	10.800,	0.00,	0.000,	32.400,	'',	NULL,	NULL),
(8483,	2490,	178,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(8485,	2491,	1514,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8486,	2491,	1131,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(8487,	2492,	1131,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(8488,	2493,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8489,	2494,	932,	1,	6,	24,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8490,	2495,	767,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8491,	2495,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8492,	2495,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8493,	2496,	520,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8494,	2496,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8508,	2498,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8509,	2498,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8510,	2498,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8511,	2498,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8512,	2497,	848,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(8513,	2497,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8514,	2499,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8515,	2499,	932,	1,	6,	24,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8516,	2499,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8517,	2499,	1344,	2,	3,	100,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8522,	2500,	1131,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8523,	2500,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8524,	2500,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8525,	2500,	894,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(8526,	2500,	1498,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(8527,	2501,	753,	1,	63,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8528,	2502,	667,	0.5,	3,	3,	18.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(8529,	2503,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8530,	2504,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8531,	2505,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8532,	2505,	1767,	2,	3,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8533,	2506,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8534,	2506,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8535,	2506,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8536,	2506,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8537,	2506,	1166,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8538,	2506,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8540,	2508,	1355,	1,	3,	4,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8541,	2508,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8542,	2508,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8543,	2508,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8544,	2509,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8545,	2510,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8546,	2511,	45,	1,	3,	7,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8547,	2511,	1579,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8548,	2511,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8549,	2511,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8550,	2511,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8551,	2512,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8553,	2507,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8554,	2507,	275,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8555,	2513,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8556,	2513,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8557,	2513,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8558,	2514,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(8559,	2514,	932,	1,	6,	24,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8560,	2514,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8561,	2514,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8562,	2514,	1587,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8563,	2514,	799,	2,	3,	38,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8564,	2515,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8565,	2515,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8566,	2515,	45,	1,	3,	7,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8567,	2516,	932,	1,	7,	24,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8568,	2517,	170,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(8569,	2517,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8570,	2517,	1344,	2,	3,	72,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8571,	2517,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8572,	2517,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8573,	2518,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8574,	2519,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8575,	2520,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8576,	2521,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8577,	2522,	170,	1,	3,	2,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(8578,	2523,	1390,	2.9,	1,	3,	0.600,	5.00,	0.087,	1.827,	'',	NULL,	NULL),
(8579,	2523,	932,	6,	3,	79,	2.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(8587,	2525,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8588,	2525,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8589,	2525,	1127,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8590,	2525,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8591,	2524,	57,	1,	6,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8592,	2524,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8593,	2524,	1169,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8594,	2524,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8595,	2524,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8596,	2524,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8597,	2526,	1344,	1,	3,	72,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8598,	2526,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8599,	2526,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8600,	2526,	894,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8601,	2527,	168,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8602,	2527,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8603,	2528,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8604,	2528,	894,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(8605,	2529,	1355,	1,	3,	4,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8606,	2530,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8607,	2531,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(8608,	2531,	1071,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8609,	2531,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8610,	2531,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8611,	2532,	932,	2,	3,	79,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8613,	2534,	76,	2,	7,	12,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8614,	2534,	799,	2,	3,	38,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8615,	2534,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8617,	2533,	1425,	0.3,	1,	3,	2.000,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(8618,	2535,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8619,	2535,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(8620,	2535,	66,	1,	3,	9,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(8627,	2536,	82,	2,	3,	4,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8628,	2536,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8629,	2536,	1127,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(8630,	2536,	1344,	3,	3,	4,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(8631,	2536,	1470,	3,	7,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(8632,	2536,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8633,	2537,	1659,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(8634,	2538,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8635,	2538,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8636,	2538,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8637,	2538,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8638,	2538,	1166,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8639,	2538,	1174,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8640,	2538,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8649,	2539,	33,	30,	3,	4,	1.300,	0.00,	0.000,	39.000,	'',	NULL,	NULL),
(8650,	2539,	742,	5,	3,	3,	10.500,	0.00,	0.000,	52.500,	'',	NULL,	NULL),
(8651,	2539,	1098,	5,	3,	3,	6.500,	0.00,	0.000,	32.500,	'',	NULL,	NULL),
(8652,	2539,	1622,	5,	3,	3,	4.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(8653,	2540,	1570,	30,	4,	3,	1.850,	0.00,	0.000,	55.500,	'',	NULL,	NULL),
(8655,	2541,	876,	20,	3,	3,	4.000,	0.00,	0.000,	80.000,	'',	NULL,	NULL),
(8656,	2542,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8657,	2542,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8658,	2542,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(8661,	2543,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(8682,	2544,	282,	1,	3,	33,	18.800,	0.00,	0.000,	18.800,	'',	NULL,	NULL),
(8683,	2544,	285,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(8684,	2544,	288,	1,	4,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8685,	2544,	423,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8686,	2544,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8687,	2544,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8688,	2544,	1131,	2,	3,	6,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(8689,	2544,	1514,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(8690,	2544,	1563,	1,	3,	111,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8691,	2544,	1626,	2,	3,	71,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8694,	2546,	33,	2,	3,	11,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(8695,	2545,	932,	10,	3,	24,	5.500,	0.00,	0.000,	55.000,	'',	NULL,	NULL),
(8696,	2545,	1353,	20,	3,	3,	5.100,	0.00,	0.000,	102.000,	'',	NULL,	NULL),
(8697,	2547,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8698,	2547,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8699,	2547,	799,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(8700,	2547,	848,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(8701,	2547,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8702,	2547,	932,	1,	3,	24,	5.300,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(8703,	2547,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(8704,	2547,	1071,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(8705,	2548,	758,	1,	63,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8714,	2550,	932,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8715,	2550,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8719,	2552,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(8720,	2553,	1353,	4,	3,	3,	5.200,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(8734,	2551,	1344,	1,	3,	25,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8735,	2551,	799,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(8736,	2551,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8737,	2555,	1626,	1,	3,	111,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8738,	2555,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8739,	2556,	147,	1.5,	1,	3,	4.200,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8740,	2557,	1570,	10,	4,	3,	1.900,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(8747,	2558,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(8748,	2558,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(8749,	2558,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(8750,	2558,	799,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8751,	2558,	992,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8752,	2558,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8753,	2549,	73,	2,	3,	9,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(8754,	2549,	170,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(8755,	2549,	807,	2,	3,	3,	14.200,	0.00,	0.000,	28.400,	'',	NULL,	NULL),
(8756,	2549,	1071,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(8757,	2549,	1127,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(8758,	2549,	1166,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8759,	2549,	1353,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(8760,	2549,	1514,	2,	3,	3,	7.800,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(8761,	2559,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(8762,	2554,	1442,	1,	3,	23,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8763,	2554,	1166,	8,	3,	3,	2.600,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(8764,	2554,	932,	2,	3,	79,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8765,	2554,	57,	1,	3,	14,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(8766,	2554,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8767,	2554,	279,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8768,	2554,	1071,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(8769,	2554,	1344,	5,	3,	20,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(8770,	2554,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(8771,	2554,	1526,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8772,	2554,	1563,	4,	3,	111,	6.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(8773,	2554,	1610,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8774,	2554,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8775,	2554,	1766,	3,	3,	3,	1.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(8776,	2560,	1353,	6,	3,	3,	5.200,	0.00,	0.000,	31.200,	'',	NULL,	NULL),
(8777,	2561,	1229,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(8778,	2562,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8779,	2563,	932,	1,	6,	24,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(8780,	2563,	799,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8781,	2563,	1491,	2,	3,	3,	1.450,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(8782,	2564,	285,	2,	4,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8783,	2564,	288,	2,	4,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8796,	2565,	73,	1,	7,	9,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8797,	2565,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8798,	2565,	551,	1,	63,	2,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(8799,	2565,	742,	2,	4,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8800,	2565,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8801,	2565,	1127,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(8802,	2565,	1131,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8803,	2565,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8804,	2565,	1436,	1,	7,	23,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(8805,	2565,	1563,	1,	6,	111,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(8806,	2565,	1587,	1,	4,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8807,	2565,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8808,	2566,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(8809,	2566,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8810,	2566,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8820,	2568,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(8821,	2569,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8824,	2570,	279,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(8825,	2570,	894,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8826,	2571,	1353,	6,	3,	3,	5.200,	0.00,	0.000,	31.200,	'',	NULL,	NULL),
(8827,	2572,	33,	30,	3,	4,	1.200,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(8828,	2573,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(8829,	2567,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8830,	2567,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(8831,	2567,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8832,	2567,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8833,	2567,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8834,	2567,	1127,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(8835,	2567,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8836,	2567,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(8837,	2574,	1767,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8838,	2574,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(8839,	2575,	1353,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(8840,	2576,	1131,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(8841,	2577,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8842,	2578,	1353,	1,	3,	4,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8843,	2579,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8844,	2579,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8845,	2580,	932,	20,	3,	3,	2.100,	0.00,	0.000,	42.000,	'',	NULL,	NULL),
(8846,	2581,	1071,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(8847,	2582,	876,	6,	3,	3,	4.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(8849,	2584,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8850,	2584,	1514,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8851,	2584,	933,	3,	7,	3,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(8852,	2584,	876,	3,	10,	3,	4.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(8853,	2584,	1353,	3,	3,	3,	5.200,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(8854,	2585,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8855,	2585,	393,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8856,	2583,	932,	2,	3,	79,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8857,	2586,	742,	1,	4,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8858,	2586,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8859,	2586,	836,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(8860,	2586,	1138,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(8861,	2586,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8865,	2588,	276,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(8866,	2589,	1526,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(8867,	2589,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8868,	2587,	753,	2,	63,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8869,	2587,	799,	2,	3,	38,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8870,	2587,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8871,	2587,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8873,	2591,	742,	0.5,	3,	3,	10.500,	0.00,	0.000,	5.250,	'',	NULL,	NULL),
(8874,	2592,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8875,	2593,	752,	1,	4,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8876,	2590,	848,	20,	3,	38,	4.200,	0.00,	0.000,	84.000,	'',	NULL,	NULL),
(8877,	2594,	1138,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8878,	2594,	752,	1,	4,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(8879,	2595,	848,	5,	3,	3,	4.200,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(8880,	2596,	808,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(8881,	2597,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(8882,	2598,	848,	2,	3,	38,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(8883,	2599,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8885,	2601,	1491,	7,	7,	3,	1.300,	0.00,	0.000,	9.100,	'',	NULL,	NULL),
(8888,	2600,	742,	4,	4,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(8889,	2600,	1201,	2,	3,	3,	4.200,	5.00,	0.420,	8.820,	'',	NULL,	NULL),
(8890,	2602,	2021,	2,	3,	3,	4.700,	5.00,	0.470,	9.870,	'',	NULL,	NULL),
(8891,	2603,	799,	3,	3,	3,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(8892,	2603,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8893,	2603,	969,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(8894,	2603,	807,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(8895,	2604,	1252,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(8896,	2605,	1526,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8897,	2605,	1563,	2,	3,	111,	7.800,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(8898,	2605,	808,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(8899,	2605,	799,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8900,	2606,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8901,	2606,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8902,	2606,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(8903,	2606,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8904,	2606,	1526,	2,	7,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8905,	2606,	1138,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(8906,	2606,	1344,	3,	3,	99,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(8907,	2607,	1766,	10,	3,	3,	0.800,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(8910,	2609,	848,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8911,	2609,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8919,	2610,	848,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(8920,	2610,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8921,	2610,	676,	1,	3,	3,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(8922,	2610,	1138,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8923,	2610,	1179,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8924,	2610,	1351,	1,	3,	20,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(8925,	2610,	1767,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8926,	2612,	848,	2,	3,	38,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(8927,	2613,	799,	10,	3,	38,	3.800,	0.00,	0.000,	38.000,	'',	NULL,	NULL),
(8928,	2613,	1610,	6,	3,	3,	3.800,	0.00,	0.000,	22.800,	'',	NULL,	NULL),
(8929,	2614,	282,	1,	4,	33,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(8930,	2614,	742,	1,	4,	74,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8934,	2611,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(8941,	2617,	1830,	3,	4,	3,	0.700,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(8942,	2618,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(8943,	2619,	799,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(8944,	2619,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8945,	2615,	1626,	3,	3,	71,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(8946,	2615,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(8947,	2620,	22,	1,	3,	14,	15.400,	0.00,	0.000,	15.400,	'',	NULL,	NULL),
(8948,	2620,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(8949,	2620,	1071,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(8950,	2620,	1767,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(8951,	2621,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(8952,	2622,	1526,	1,	7,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(8953,	2608,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8954,	2608,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(8955,	2608,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(8956,	2608,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(8957,	2616,	57,	1,	3,	13,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(8958,	2616,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(8959,	2616,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(8960,	2616,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(8961,	2616,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8962,	2616,	1610,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8963,	2623,	1565,	8.2,	1,	3,	1.300,	0.00,	0.000,	10.660,	'',	NULL,	NULL),
(8964,	2624,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(8965,	2625,	894,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8966,	2626,	1351,	2,	3,	25,	6.700,	0.00,	0.000,	13.400,	'',	NULL,	NULL),
(8967,	2626,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8973,	2627,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(8974,	2627,	551,	16,	6,	3,	0.160,	5.00,	0.128,	2.688,	'',	NULL,	NULL),
(8975,	2627,	682,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(8976,	2627,	753,	6,	63,	3,	1.600,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(8977,	2627,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(8978,	2628,	742,	2,	4,	73,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(8979,	2629,	551,	6,	6,	3,	0.160,	5.00,	0.048,	1.008,	'',	NULL,	NULL),
(8980,	2630,	57,	1,	7,	14,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(8981,	2630,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(8982,	2630,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8983,	2631,	752,	1,	3,	23,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(8985,	2632,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(8990,	2634,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8991,	2635,	894,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(8992,	2633,	799,	2,	3,	38,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(8993,	2633,	1127,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(8994,	2633,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(8995,	2633,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(8996,	2636,	1312,	1,	63,	84,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(8997,	2637,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(8998,	2638,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(8999,	2638,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9000,	2638,	45,	1,	3,	7,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(9002,	2639,	33,	80,	3,	4,	1.125,	0.00,	0.000,	90.000,	'',	NULL,	NULL),
(9003,	2640,	676,	0.5,	3,	3,	12.200,	0.00,	0.000,	6.100,	'',	NULL,	NULL),
(9004,	2641,	1201,	1,	3,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(9005,	2641,	752,	1,	3,	23,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(9006,	2642,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(9007,	2642,	1131,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9008,	2643,	752,	1,	4,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9009,	2644,	551,	1,	63,	3,	3.950,	5.00,	0.198,	4.148,	'',	NULL,	NULL),
(9010,	2645,	178,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(9011,	2646,	1131,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9012,	2647,	933,	1,	7,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(9013,	2647,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9014,	2647,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9015,	2647,	57,	1,	3,	14,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(9016,	2647,	799,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(9017,	2647,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9018,	2647,	1138,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9019,	2647,	1353,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(9020,	2648,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9021,	2648,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(9022,	2649,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9023,	2649,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9024,	2649,	676,	0.5,	3,	3,	12.200,	0.00,	0.000,	6.100,	'',	NULL,	NULL),
(9025,	2650,	933,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(9026,	2650,	1498,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9031,	2652,	288,	12,	4,	3,	1.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(9032,	2652,	65,	2,	3,	8,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(9033,	2652,	933,	2,	7,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(9034,	2652,	1203,	4,	3,	3,	4.200,	5.00,	0.840,	17.640,	'',	NULL,	NULL),
(9035,	2652,	282,	1,	3,	33,	18.800,	0.00,	0.000,	18.800,	'',	NULL,	NULL),
(9036,	2653,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9037,	2653,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(9038,	2653,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9044,	2651,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9045,	2651,	848,	2,	3,	38,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(9046,	2651,	1071,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9047,	2651,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9048,	2651,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9055,	2654,	528,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(9056,	2656,	799,	3,	3,	3,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(9057,	2657,	1098,	2,	3,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(9082,	2659,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9083,	2660,	1179,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9084,	2660,	752,	2,	4,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(9085,	2660,	1570,	10,	4,	74,	1.900,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(9086,	2660,	848,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9087,	2660,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(9088,	2660,	279,	1,	3,	5,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9089,	2660,	1080,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9090,	2660,	1201,	1,	3,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(9091,	2660,	1131,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(9092,	2660,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9093,	2660,	1491,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9094,	2661,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(9095,	2661,	1127,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9096,	2662,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9097,	2663,	848,	30,	3,	3,	4.200,	0.00,	0.000,	126.000,	'',	NULL,	NULL),
(9098,	2663,	1839,	20,	63,	3,	1.700,	5.00,	1.700,	35.700,	'',	NULL,	NULL),
(9105,	2664,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9106,	2664,	1570,	4,	3,	74,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(9107,	2664,	1565,	1.9,	1,	3,	1.300,	0.00,	0.000,	2.470,	'',	NULL,	NULL),
(9108,	2665,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9109,	2665,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9110,	2665,	1127,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9111,	2665,	249,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(9112,	2665,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9113,	2665,	1626,	5,	3,	71,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(9114,	2665,	1344,	7,	3,	20,	3.500,	0.00,	0.000,	24.500,	'',	NULL,	NULL),
(9115,	2658,	58,	1,	3,	13,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(9116,	2658,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9117,	2658,	767,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9118,	2658,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9119,	2658,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9120,	2658,	1491,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(9121,	2666,	848,	6,	3,	3,	4.200,	0.00,	0.000,	25.200,	'',	NULL,	NULL),
(9122,	2667,	1131,	4,	3,	3,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(9123,	2667,	799,	1,	1,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(9124,	2667,	1570,	1,	4,	74,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(9125,	2668,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9126,	2668,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(9127,	2669,	742,	1,	3,	3,	10.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(9128,	2670,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(9129,	2671,	1312,	1,	63,	84,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9130,	2672,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9131,	2672,	1071,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(9132,	2672,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9133,	2672,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9134,	2673,	1351,	5,	3,	3,	5.200,	0.00,	0.000,	26.000,	'',	NULL,	NULL),
(9135,	2674,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(9136,	2674,	753,	3,	63,	2,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9137,	2674,	753,	2,	3,	39,	4.700,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(9138,	2675,	57,	1,	7,	12,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9139,	2675,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9140,	2675,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9141,	2676,	1766,	2,	3,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9142,	2677,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(9143,	2677,	1659,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9144,	2678,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9145,	2678,	45,	1,	3,	7,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(9152,	2680,	31,	4,	7,	15,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(9153,	2680,	932,	4,	3,	79,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(9154,	2680,	1131,	4,	3,	3,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(9155,	2681,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(9156,	2682,	1289,	2,	63,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(9157,	2683,	742,	2,	3,	74,	10.500,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(9158,	2679,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9159,	2679,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9160,	2679,	1179,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9161,	2679,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(9162,	2679,	1649,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9163,	2655,	676,	2,	3,	3,	12.200,	0.00,	0.000,	24.400,	'',	NULL,	NULL),
(9164,	2655,	752,	1,	3,	23,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(9165,	2655,	753,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9166,	2655,	1344,	10,	3,	20,	3.600,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(9167,	2655,	1563,	3,	3,	110,	6.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(9169,	2684,	682,	1,	3,	3,	10.700,	0.00,	0.000,	10.700,	'',	NULL,	NULL),
(9170,	2685,	799,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9171,	2686,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9172,	2686,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9173,	2686,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9174,	2686,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9175,	2686,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9176,	2686,	1127,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9177,	2686,	1179,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(9178,	2686,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9203,	2688,	848,	3,	3,	5,	5.800,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(9204,	2687,	85,	2,	3,	4,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9205,	2687,	683,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(9206,	2687,	799,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9207,	2687,	894,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(9208,	2687,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9209,	2687,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(9210,	2687,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9211,	2687,	1766,	2,	3,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9214,	2689,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9215,	2690,	808,	1,	10,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(9216,	2691,	1131,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9217,	2692,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(9219,	2694,	1251,	1,	3,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(9220,	2695,	1649,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(9221,	2693,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9223,	2696,	799,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(9224,	2697,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9225,	2698,	836,	1,	10,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9226,	2699,	799,	3,	3,	3,	3.700,	0.00,	0.000,	11.100,	'',	NULL,	NULL),
(9227,	2700,	1251,	2,	3,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(9228,	2701,	548,	0.1,	1,	3,	8.000,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9229,	2701,	1553,	2,	4,	3,	0.650,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(9230,	2702,	1470,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9231,	2702,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9232,	2702,	894,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(9233,	2702,	848,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(9234,	2702,	427,	1,	4,	3,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(9235,	2702,	1570,	2,	4,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9236,	2702,	1131,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9237,	2702,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9238,	2702,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(9239,	2702,	1071,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(9240,	2702,	1356,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9241,	2703,	742,	2,	4,	74,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9242,	2704,	1514,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(9243,	2704,	57,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9244,	2704,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(9245,	2705,	753,	2,	63,	2,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9246,	2705,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(9248,	2707,	742,	1,	4,	74,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9249,	2708,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9251,	2706,	1260,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(9252,	2709,	836,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(9253,	2710,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9254,	2710,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9255,	2711,	876,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9256,	2711,	799,	1,	3,	38,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9257,	2712,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(9259,	2714,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9260,	2714,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9261,	2714,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9262,	2713,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9263,	2713,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9268,	2715,	152,	5.3,	1,	3,	1.200,	0.00,	0.000,	6.360,	'',	NULL,	NULL),
(9269,	2715,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9270,	2716,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9271,	2716,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9272,	2716,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9274,	2718,	501,	0.5,	1,	3,	2.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(9275,	2719,	1131,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9276,	2719,	1570,	1,	4,	74,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(9277,	2719,	1127,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9278,	2720,	1570,	2,	4,	74,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9279,	2720,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9280,	2720,	1127,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9281,	2717,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9282,	2721,	848,	6,	4,	5,	0.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9283,	2721,	1179,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9284,	2721,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(9285,	2721,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9286,	2721,	57,	2,	7,	14,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9292,	2723,	1166,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(9293,	2722,	76,	2,	3,	13,	9.600,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(9294,	2722,	168,	7,	3,	3,	2.300,	0.00,	0.000,	16.100,	'',	NULL,	NULL),
(9295,	2722,	876,	15,	3,	3,	4.000,	0.00,	0.000,	60.000,	'',	NULL,	NULL),
(9296,	2722,	1491,	10,	3,	3,	1.300,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(9297,	2722,	1526,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9302,	2724,	1610,	5,	3,	3,	3.800,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(9304,	2725,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9305,	2726,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(9306,	2726,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9307,	2726,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9309,	2728,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'p',	NULL,	NULL),
(9310,	2728,	1166,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(9311,	2728,	876,	1,	3,	4,	4.200,	0.00,	0.000,	4.200,	'grapes b',	NULL,	NULL),
(9312,	2728,	1610,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9313,	2728,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'kiwi',	NULL,	NULL),
(9314,	2728,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'pears',	NULL,	NULL),
(9315,	2728,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9316,	2728,	1344,	1,	3,	29,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9317,	2727,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9318,	2727,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9319,	2727,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(9320,	2729,	1166,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9321,	2729,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9322,	2730,	57,	1,	3,	14,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9323,	2731,	1353,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9324,	2731,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9325,	2731,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9326,	2731,	1387,	2.5,	1,	3,	0.500,	5.00,	0.063,	1.313,	'',	NULL,	NULL),
(9327,	2731,	1071,	2,	1,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(9328,	2731,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9329,	2731,	742,	3,	4,	74,	1.850,	0.00,	0.000,	5.550,	'',	NULL,	NULL),
(9330,	2731,	848,	3,	4,	5,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(9331,	2731,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(9332,	2731,	1131,	10,	3,	3,	2.300,	0.00,	0.000,	23.000,	'',	NULL,	NULL),
(9333,	2732,	836,	1,	10,	4,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(9334,	2733,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9335,	2733,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9336,	2734,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9337,	2734,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(9338,	2734,	667,	1,	3,	3,	17.700,	0.00,	0.000,	17.700,	'',	NULL,	NULL),
(9339,	2735,	1587,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(9340,	2735,	314,	0.65,	1,	3,	1.300,	0.00,	0.000,	0.845,	'',	NULL,	NULL),
(9341,	2736,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9342,	2737,	1138,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9343,	2737,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9344,	2738,	1127,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9345,	2739,	1344,	2,	3,	31,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(9346,	2740,	551,	6,	6,	3,	0.180,	5.00,	0.054,	1.134,	'',	NULL,	NULL),
(9347,	2741,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9348,	2741,	1127,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(9349,	2741,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9350,	2741,	79,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9351,	2741,	676,	0.5,	3,	3,	12.200,	0.00,	0.000,	6.100,	'',	NULL,	NULL),
(9352,	2742,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9353,	2743,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9354,	2744,	33,	10,	3,	4,	1.300,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(9355,	2745,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9356,	2745,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9357,	2745,	676,	2,	3,	3,	12.800,	0.00,	0.000,	25.600,	'',	NULL,	NULL),
(9358,	2746,	768,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9359,	2747,	1426,	0.5,	3,	3,	2.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(9360,	2747,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9361,	2747,	57,	1,	3,	13,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(9362,	2747,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9363,	2748,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(9364,	2748,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9365,	2748,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9366,	2748,	876,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9367,	2748,	1610,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9368,	2748,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9369,	2748,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9370,	2748,	676,	0.5,	3,	3,	12.200,	0.00,	0.000,	6.100,	'',	NULL,	NULL),
(9371,	2748,	1504,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9372,	2748,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9373,	2748,	1174,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(9374,	2748,	1344,	1,	3,	25,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9375,	2748,	1659,	1,	63,	2,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9376,	2749,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9377,	2750,	799,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(9378,	2750,	894,	3,	3,	3,	1.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(9379,	2751,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9380,	2752,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9381,	2753,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9382,	2754,	752,	1,	4,	23,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9383,	2755,	858,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9384,	2756,	858,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9385,	2756,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9386,	2757,	1344,	1,	3,	25,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9387,	2758,	691,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9388,	2759,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(9389,	2760,	858,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9390,	2761,	1174,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9391,	2761,	858,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9392,	2761,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9393,	2762,	1166,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(9395,	2763,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9398,	2764,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(9399,	2764,	753,	1,	63,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(9403,	2765,	1179,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9404,	2766,	1071,	1,	1,	3,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(9405,	2766,	553,	17,	6,	3,	0.200,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(9406,	2766,	1344,	1,	3,	72,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9407,	2766,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9408,	2766,	1131,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9409,	2766,	848,	3,	4,	5,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9410,	2766,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9411,	2766,	33,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(9412,	2766,	1766,	2,	3,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9413,	2767,	676,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9414,	2768,	1166,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(9415,	2769,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9416,	2769,	1563,	1,	6,	111,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9417,	2769,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9418,	2769,	836,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(9419,	2770,	932,	2,	3,	79,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9420,	2771,	57,	2,	7,	13,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9421,	2771,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9423,	2773,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9424,	2774,	1345,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9425,	2774,	848,	3,	4,	4,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9426,	2772,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(9427,	2772,	766,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(9428,	2772,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9430,	2776,	1570,	2,	4,	74,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9431,	2775,	1351,	1,	3,	25,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9432,	2775,	1766,	3,	3,	3,	0.900,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(9433,	2777,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9434,	2778,	858,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9435,	2779,	799,	2,	3,	3,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(9436,	2779,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(9437,	2779,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9438,	2779,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9453,	2780,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9454,	2780,	766,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9455,	2780,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9473,	2782,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(9491,	2783,	153,	4,	1,	3,	1.100,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9492,	2783,	367,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(9493,	2783,	398,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(9494,	2783,	932,	3,	3,	79,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(9495,	2783,	1563,	1,	6,	111,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9496,	2784,	1526,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9497,	2785,	288,	4,	4,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9498,	2785,	291,	5,	4,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(9499,	2786,	152,	140,	1,	3,	1.080,	0.00,	0.000,	151.200,	'',	NULL,	NULL),
(9500,	2787,	279,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9502,	2789,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9503,	2789,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9504,	2790,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9505,	2791,	1344,	2,	3,	25,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(9506,	2788,	317,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(9507,	2781,	152,	4.5,	1,	3,	1.100,	0.00,	0.000,	4.950,	'',	NULL,	NULL),
(9508,	2781,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9509,	2781,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(9510,	2781,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9511,	2781,	1251,	1,	4,	4,	0.480,	5.00,	0.024,	0.504,	'',	NULL,	NULL),
(9512,	2781,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9513,	2781,	1626,	1,	3,	71,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(9514,	2792,	551,	2,	63,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(9515,	2793,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(9522,	2794,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(9523,	2794,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9524,	2794,	799,	1,	3,	38,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9525,	2794,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9526,	2794,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9527,	2794,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(9528,	2795,	969,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(9537,	2796,	45,	1,	3,	7,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(9538,	2796,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(9539,	2796,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(9540,	2796,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9541,	2796,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(9542,	2797,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(9543,	2798,	33,	20,	3,	4,	1.200,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(9545,	2800,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9546,	2801,	48,	1,	3,	9,	15.400,	0.00,	0.000,	15.400,	'',	NULL,	NULL),
(9547,	2801,	1649,	4,	63,	4,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9548,	2801,	1649,	4,	63,	3,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9549,	2801,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9550,	2801,	1726,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9555,	2802,	766,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9556,	2802,	972,	3,	3,	3,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(9559,	2803,	1351,	7,	3,	20,	6.500,	0.00,	0.000,	45.500,	'',	NULL,	NULL),
(9560,	2803,	1514,	4,	3,	3,	7.200,	0.00,	0.000,	28.800,	'',	NULL,	NULL),
(9561,	2804,	76,	1,	3,	14,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(9562,	2805,	1514,	1,	7,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(9563,	2805,	808,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(9567,	2806,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(9568,	2806,	76,	1,	7,	14,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9569,	2806,	1127,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(9570,	2806,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9571,	2807,	317,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(9572,	2808,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9573,	2808,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9574,	2809,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9575,	2810,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(9576,	2810,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9577,	2810,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9578,	2811,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(9579,	2812,	170,	40,	3,	3,	6.300,	0.00,	0.000,	252.000,	'',	NULL,	NULL),
(9580,	2812,	420,	50,	3,	3,	1.600,	0.00,	0.000,	80.000,	'',	NULL,	NULL),
(9583,	2813,	887,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(9584,	2813,	1201,	2,	3,	3,	4.200,	5.00,	0.420,	8.820,	'',	NULL,	NULL),
(9585,	2814,	1610,	2,	3,	3,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(9586,	2814,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9587,	2814,	848,	2,	3,	5,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(9588,	2814,	799,	2,	3,	5,	6.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9589,	2814,	799,	4,	3,	3,	3.200,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(9590,	2814,	1526,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(9591,	2814,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9592,	2814,	1127,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(9593,	2815,	279,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(9594,	2815,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9595,	2815,	1610,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9596,	2815,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(9597,	2815,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9598,	2816,	1563,	3,	6,	111,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9599,	2816,	932,	2,	3,	79,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9600,	2817,	1626,	5,	3,	71,	2.100,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(9601,	2817,	501,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9602,	2817,	76,	1,	3,	14,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(9603,	2817,	1514,	4,	3,	3,	7.400,	0.00,	0.000,	29.600,	'',	NULL,	NULL),
(9604,	2817,	799,	5,	3,	3,	3.200,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(9605,	2799,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(9606,	2818,	317,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(9607,	2819,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(9608,	2820,	314,	2,	1,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(9609,	2820,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(9611,	2822,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9612,	2823,	1726,	5,	3,	3,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(9615,	2824,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(9616,	2825,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(9618,	2826,	1839,	100,	63,	3,	1.700,	5.00,	8.500,	178.500,	'',	NULL,	NULL),
(9628,	2827,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9629,	2827,	1563,	3,	6,	111,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9630,	2827,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9634,	2829,	1174,	5,	3,	3,	3.200,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(9640,	2821,	667,	2,	3,	3,	18.000,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(9641,	2821,	682,	2,	3,	3,	10.600,	0.00,	0.000,	21.200,	'',	NULL,	NULL),
(9642,	2830,	57,	1,	7,	14,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9643,	2830,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9644,	2831,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(9645,	2828,	753,	12,	63,	3,	1.600,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(9646,	2828,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(9647,	2832,	1292,	1,	63,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(9652,	2834,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(9653,	2835,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(9654,	2836,	551,	1,	63,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(9655,	2837,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(9663,	2833,	551,	10,	6,	3,	0.160,	5.00,	0.080,	1.680,	'',	NULL,	NULL),
(9664,	2833,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(9665,	2833,	799,	1,	3,	38,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(9666,	2833,	1166,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9667,	2833,	1298,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9668,	2833,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9669,	2833,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(9670,	2838,	1251,	3,	4,	3,	0.500,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(9675,	2839,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(9676,	2839,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9677,	2839,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(9678,	2839,	1563,	4,	6,	105,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9679,	2840,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(9680,	2841,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(9681,	2842,	799,	15,	3,	38,	3.000,	0.00,	0.000,	45.000,	'',	NULL,	NULL),
(9682,	2843,	76,	1,	3,	15,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(9683,	2843,	1514,	1,	3,	3,	7.200,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(9684,	2844,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9685,	2844,	1626,	8,	3,	71,	1.900,	0.00,	0.000,	15.200,	'',	NULL,	NULL),
(9686,	2845,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9687,	2845,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(9688,	2846,	1563,	2,	3,	111,	5.900,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(9689,	2847,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9690,	2847,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9691,	2847,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9692,	2847,	1514,	1,	3,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(9693,	2848,	152,	7.2,	1,	3,	1.100,	0.00,	0.000,	7.920,	'',	NULL,	NULL),
(9694,	2849,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9695,	2849,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9696,	2849,	423,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(9697,	2849,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9698,	2850,	1298,	300,	1,	3,	1.400,	0.00,	0.000,	420.000,	'',	NULL,	NULL),
(9702,	2851,	279,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(9703,	2851,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(9704,	2851,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9705,	2852,	401,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(9712,	2854,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(9713,	2854,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9714,	2854,	1071,	1,	3,	4,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9715,	2854,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9716,	2854,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(9724,	2853,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9725,	2853,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(9726,	2853,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(9727,	2853,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9728,	2853,	1565,	1.5,	1,	3,	1.300,	0.00,	0.000,	1.950,	'',	NULL,	NULL),
(9729,	2853,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9730,	2853,	1726,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9735,	2855,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(9736,	2855,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9737,	2855,	752,	1,	3,	4,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(9738,	2855,	1251,	2,	3,	3,	3.850,	5.00,	0.385,	8.085,	'',	NULL,	NULL),
(9739,	2856,	152,	50,	1,	3,	1.100,	0.00,	0.000,	55.000,	'',	NULL,	NULL),
(9740,	2857,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9741,	2858,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9742,	2858,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(9743,	2858,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9744,	2858,	753,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'fAYHA',	NULL,	NULL),
(9745,	2859,	1563,	2,	6,	111,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(9746,	2859,	152,	2.4,	1,	3,	1.100,	0.00,	0.000,	2.640,	'',	NULL,	NULL),
(9747,	2860,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(9748,	2860,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(9749,	2860,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9750,	2860,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(9751,	2860,	152,	2.2,	1,	3,	1.100,	0.00,	0.000,	2.420,	'',	NULL,	NULL),
(9752,	2860,	1565,	1.5,	1,	3,	1.300,	0.00,	0.000,	1.950,	'',	NULL,	NULL),
(9753,	2861,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9762,	2863,	1071,	3,	3,	3,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(9763,	2863,	1839,	10,	63,	3,	1.700,	5.00,	0.850,	17.850,	'',	NULL,	NULL),
(9764,	2864,	1439,	1,	4,	23,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(9765,	2864,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9766,	2864,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(9767,	2864,	808,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(9768,	2865,	1401,	30,	4,	3,	0.185,	5.00,	0.278,	5.828,	'',	NULL,	NULL),
(9777,	2866,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9778,	2866,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9779,	2866,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(9780,	2866,	1179,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9781,	2866,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9782,	2867,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(9783,	2867,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9784,	2867,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9785,	2868,	1344,	2,	3,	103,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9786,	2868,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9787,	2868,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9790,	2870,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9791,	2870,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9792,	2871,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9793,	2871,	501,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9795,	2872,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(9796,	2873,	152,	20,	1,	3,	1.080,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(9797,	2874,	1703,	20,	1,	3,	0.100,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(9798,	2874,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9799,	2874,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(9800,	2874,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9801,	2874,	771,	2,	1,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(9802,	2874,	1127,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(9803,	2874,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9804,	2874,	1179,	10,	3,	3,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(9805,	2874,	528,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9806,	2874,	57,	1,	3,	13,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(9807,	2874,	60,	1,	3,	9,	11.500,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(9811,	2876,	2021,	4,	3,	3,	4.700,	5.00,	0.940,	19.740,	'',	NULL,	NULL),
(9812,	2876,	766,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(9813,	2876,	1839,	5,	63,	3,	1.700,	5.00,	0.425,	8.925,	'',	NULL,	NULL),
(9814,	2876,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(9817,	2877,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(9818,	2877,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9819,	2877,	1610,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(9820,	2875,	808,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(9821,	2875,	1201,	1,	3,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(9822,	2862,	799,	1,	3,	38,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(9823,	2862,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9824,	2862,	279,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(9825,	2862,	1066,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(9826,	2862,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(9827,	2862,	1166,	8,	3,	3,	2.300,	0.00,	0.000,	18.400,	'',	NULL,	NULL),
(9828,	2862,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(9829,	2862,	1563,	4,	6,	110,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9830,	2862,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(9837,	2879,	1251,	2,	4,	4,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(9841,	2869,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(9842,	2869,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9843,	2869,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9844,	2878,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9845,	2878,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(9846,	2878,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9850,	2880,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(9851,	2880,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9852,	2880,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9853,	2881,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9854,	2882,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9855,	2883,	152,	20,	1,	3,	1.090,	0.00,	0.000,	21.800,	'',	NULL,	NULL),
(9856,	2884,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(9857,	2885,	1166,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9861,	2886,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(9862,	2886,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9863,	2886,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(9864,	2887,	1626,	2,	3,	71,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9865,	2888,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9866,	2888,	73,	2,	7,	9,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9867,	2889,	152,	3.8,	1,	3,	1.100,	0.00,	0.000,	4.180,	'',	NULL,	NULL),
(9868,	2890,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(9869,	2891,	954,	1,	1,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9870,	2892,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(9871,	2893,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9872,	2893,	1072,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9873,	2894,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9874,	2895,	765,	2,	1,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(9875,	2896,	676,	0.5,	3,	4,	11.600,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(9876,	2897,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9877,	2897,	753,	3,	63,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9878,	2898,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9879,	2898,	1127,	1,	1,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9884,	2899,	73,	1,	7,	9,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9885,	2899,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9886,	2899,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(9887,	2899,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9888,	2900,	1659,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9889,	2900,	1626,	1,	3,	71,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(9890,	2900,	1563,	2,	6,	111,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(9891,	2900,	1138,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(9892,	2900,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(9901,	2902,	1251,	4,	4,	3,	0.500,	5.00,	0.100,	2.100,	'',	NULL,	NULL),
(9902,	2903,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(9903,	2903,	799,	2,	3,	38,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(9904,	2903,	1881,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(9905,	2904,	1127,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(9906,	2905,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(9907,	2906,	676,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9908,	2907,	551,	4,	63,	3,	3.800,	5.00,	0.760,	15.960,	'',	NULL,	NULL),
(9909,	2907,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9910,	2907,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9911,	2908,	168,	5,	3,	4,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(9912,	2908,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9913,	2909,	1251,	3,	4,	3,	0.450,	5.00,	0.068,	1.418,	'',	NULL,	NULL),
(9914,	2909,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(9915,	2910,	506,	1,	3,	3,	8.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(9916,	2911,	1251,	3,	3,	3,	3.800,	5.00,	0.570,	11.970,	'',	NULL,	NULL),
(9917,	2912,	876,	2,	3,	3,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(9918,	2913,	676,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9919,	2914,	1251,	2,	4,	3,	0.480,	5.00,	0.048,	1.008,	'',	NULL,	NULL),
(9920,	2915,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9921,	2916,	836,	1,	10,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(9922,	2916,	771,	2,	1,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(9923,	2916,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9924,	2916,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(9925,	2916,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9926,	2916,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9927,	2916,	1166,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(9935,	2917,	178,	3.7,	1,	3,	1.100,	0.00,	0.000,	4.070,	'',	NULL,	NULL),
(9936,	2917,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9937,	2917,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9938,	2917,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(9939,	2917,	766,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9942,	2918,	394,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(9943,	2918,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(9944,	2901,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9945,	2901,	57,	1,	3,	14,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(9946,	2901,	683,	1,	3,	3,	10.700,	0.00,	0.000,	10.700,	'',	NULL,	NULL),
(9947,	2901,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9948,	2901,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9949,	2901,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9950,	2901,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(9951,	2919,	876,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9952,	2920,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(9953,	2920,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(9954,	2920,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(9955,	2921,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(9956,	2922,	799,	5,	4,	5,	0.800,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(9957,	2922,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9958,	2922,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(9959,	2922,	1251,	2,	3,	3,	0.490,	5.00,	0.049,	1.029,	'',	NULL,	NULL),
(9960,	2922,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(9961,	2922,	1766,	1,	3,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(9962,	2923,	1526,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(9963,	2923,	57,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9964,	2923,	170,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(9968,	2924,	420,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(9969,	2924,	676,	10,	3,	56,	12.400,	0.00,	0.000,	124.000,	'',	NULL,	NULL),
(9970,	2924,	766,	10,	3,	3,	2.400,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(9971,	2925,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(9985,	2927,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(9986,	2927,	667,	0.5,	3,	3,	18.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9987,	2928,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(9988,	2928,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(9990,	2929,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(9991,	2929,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(9997,	2930,	45,	1,	3,	7,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(9998,	2930,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(9999,	2930,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10000,	2930,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10001,	2930,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(10002,	2931,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(10013,	2926,	932,	2,	6,	24,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10014,	2926,	45,	1,	3,	7,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(10015,	2926,	963,	1,	1,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(10016,	2926,	1127,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(10017,	2926,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10018,	2926,	1390,	2.5,	1,	3,	0.600,	5.00,	0.075,	1.575,	'',	NULL,	NULL),
(10019,	2926,	1563,	1,	3,	110,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(10020,	2926,	1625,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10021,	2932,	1659,	1,	63,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(10022,	2932,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10023,	2932,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10024,	2932,	1434,	1,	7,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(10025,	2932,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10026,	2932,	1563,	1,	6,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10027,	2933,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(10029,	2935,	753,	3,	63,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10030,	2935,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10031,	2935,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(10032,	2936,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10033,	2936,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10034,	2934,	1434,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10035,	2934,	1587,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10036,	2934,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10037,	2934,	876,	1,	10,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(10038,	2937,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10039,	2937,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10040,	2937,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(10041,	2937,	676,	1,	3,	56,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(10042,	2938,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10043,	2938,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(10044,	2939,	1251,	10,	3,	3,	3.850,	5.00,	1.925,	40.425,	'',	NULL,	NULL),
(10045,	2940,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10046,	2940,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10047,	2940,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10048,	2940,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10049,	2940,	1138,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(10050,	2941,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10051,	2942,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10052,	2942,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10053,	2943,	766,	1,	3,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10067,	2945,	676,	1,	3,	56,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(10068,	2945,	76,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10069,	2945,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10070,	2945,	423,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10071,	2945,	932,	1,	6,	24,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(10072,	2945,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10073,	2945,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10074,	2945,	1626,	1,	3,	71,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10075,	2944,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10076,	2944,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10077,	2944,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(10078,	2946,	73,	1,	7,	10,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10079,	2947,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(10080,	2947,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10081,	2948,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(10083,	2949,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10084,	2949,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(10087,	2951,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10088,	2952,	33,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10089,	2952,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10090,	2952,	1563,	1,	3,	110,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(10091,	2953,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10096,	2954,	1138,	3,	3,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10101,	2955,	803,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(10102,	2950,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(10103,	2950,	528,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(10104,	2950,	420,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(10105,	2950,	766,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(10106,	2950,	1526,	3,	3,	3,	6.500,	0.00,	0.000,	19.500,	'',	NULL,	NULL),
(10107,	2950,	1626,	3,	3,	71,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10108,	2956,	1127,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10109,	2957,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(10110,	2958,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10111,	2958,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(10112,	2959,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10113,	2960,	2021,	1,	3,	3,	4.700,	5.00,	0.235,	4.935,	'',	NULL,	NULL),
(10114,	2960,	766,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(10115,	2960,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10116,	2960,	1659,	2,	63,	2,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(10117,	2961,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(10118,	2961,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10119,	2962,	848,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(10120,	2962,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10121,	2962,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10122,	2962,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(10123,	2963,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10124,	2963,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(10125,	2963,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10126,	2964,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10127,	2964,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10128,	2964,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10129,	2965,	33,	1,	3,	4,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10130,	2966,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10131,	2966,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10132,	2966,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10133,	2966,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10134,	2967,	1251,	3,	3,	3,	3.800,	5.00,	0.570,	11.970,	'',	NULL,	NULL),
(10135,	2968,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10137,	2969,	676,	12,	3,	3,	12.200,	0.00,	0.000,	146.400,	'',	NULL,	NULL),
(10138,	2970,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10143,	2971,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10144,	2971,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10145,	2971,	1433,	1,	3,	23,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10146,	2971,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(10147,	2972,	1071,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(10148,	2973,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(10159,	2974,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10160,	2974,	932,	1,	3,	24,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10161,	2974,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10162,	2974,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(10163,	2975,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10164,	2975,	170,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(10165,	2975,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10166,	2976,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10167,	2977,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(10168,	2978,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10169,	2978,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10176,	2980,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10177,	2980,	1139,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10178,	2980,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10187,	2979,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10188,	2979,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(10189,	2979,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10190,	2979,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10191,	2979,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10192,	2979,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(10193,	2979,	1344,	2,	3,	4,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10194,	2979,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10197,	2981,	76,	1,	7,	9,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10198,	2981,	1166,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10199,	2981,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10200,	2981,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10201,	2981,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10202,	2982,	1166,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(10210,	2983,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10211,	2983,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10212,	2983,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10213,	2983,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10214,	2983,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10215,	2983,	1491,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10216,	2983,	1526,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(10227,	2985,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10228,	2985,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10229,	2985,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10236,	2987,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10237,	2988,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10245,	2986,	73,	1,	7,	12,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10246,	2986,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10247,	2986,	1251,	1,	4,	3,	0.495,	5.00,	0.025,	0.520,	'',	NULL,	NULL),
(10248,	2986,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10249,	2986,	1434,	2,	7,	3,	1.200,	0.00,	0.000,	2.400,	'p',	NULL,	NULL),
(10250,	2986,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'pom',	NULL,	NULL),
(10251,	2986,	1712,	4,	4,	3,	0.400,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10253,	2989,	876,	3,	3,	3,	4.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(10254,	2984,	420,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(10255,	2984,	799,	25,	3,	38,	3.500,	0.00,	0.000,	87.500,	'',	NULL,	NULL),
(10256,	2984,	848,	5,	3,	5,	5.800,	0.00,	0.000,	29.000,	'',	NULL,	NULL),
(10257,	2990,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10260,	2991,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10261,	2991,	45,	1,	7,	10,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10262,	2991,	1127,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10263,	2992,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10270,	2993,	753,	12,	63,	3,	1.600,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(10271,	2993,	766,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(10272,	2993,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(10273,	2993,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10274,	2993,	1526,	1,	7,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10275,	2993,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(10281,	2994,	528,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10282,	2994,	676,	2,	3,	3,	12.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(10283,	2994,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10284,	2995,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(10287,	2996,	33,	20,	3,	4,	1.200,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(10288,	2997,	398,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10289,	2997,	367,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10290,	2997,	1251,	5,	4,	3,	0.470,	5.00,	0.118,	2.468,	'',	NULL,	NULL),
(10291,	2997,	1251,	5,	3,	3,	3.700,	5.00,	0.925,	19.425,	'',	NULL,	NULL),
(10293,	2998,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10302,	3000,	1251,	1,	3,	3,	3.750,	5.00,	0.188,	3.938,	'',	NULL,	NULL),
(10308,	2999,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10309,	2999,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10310,	2999,	969,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10311,	2999,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10312,	2999,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10316,	3001,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10317,	3001,	766,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10318,	3001,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10322,	3002,	168,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(10323,	3002,	1587,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(10324,	3002,	1610,	2,	3,	3,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(10333,	3004,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10334,	3004,	1526,	1,	7,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(10335,	3005,	1563,	2,	6,	111,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10336,	3005,	1312,	1,	63,	84,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10337,	3006,	1251,	4,	4,	3,	0.480,	5.00,	0.096,	2.016,	'',	NULL,	NULL),
(10338,	3006,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(10339,	3007,	1498,	2,	3,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(10340,	3007,	1353,	5,	3,	3,	5.400,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(10341,	3003,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10342,	3003,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(10343,	3003,	168,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(10344,	3003,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10345,	3003,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10346,	3003,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(10347,	3003,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10348,	3003,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(10349,	3008,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(10350,	3009,	1526,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(10353,	3010,	969,	2,	3,	3,	5.400,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10354,	3011,	933,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(10355,	3011,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10356,	3011,	1563,	1,	3,	110,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(10357,	3011,	420,	5,	3,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(10358,	3011,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(10359,	3011,	791,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(10360,	3012,	932,	1,	3,	79,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10361,	3013,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(10365,	3014,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10366,	3014,	676,	0.5,	3,	56,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(10367,	3014,	1301,	1,	63,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(10368,	3015,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10370,	3016,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(10377,	3017,	423,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10378,	3017,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10379,	3017,	753,	1,	63,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10380,	3017,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10381,	3017,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10382,	3017,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10383,	3018,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10384,	3018,	676,	1,	3,	56,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(10385,	3018,	528,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10386,	3018,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10387,	3018,	170,	1,	3,	2,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10393,	3019,	667,	0.5,	3,	3,	17.800,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(10394,	3019,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10395,	3019,	753,	1,	3,	2,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10396,	3019,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10397,	3019,	771,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10398,	3020,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(10399,	3020,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(10400,	3020,	682,	1,	3,	3,	10.700,	0.00,	0.000,	10.700,	'',	NULL,	NULL),
(10401,	3021,	753,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10402,	3021,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10403,	3021,	1050,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10404,	3021,	955,	1,	1,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10405,	3021,	1344,	2,	3,	25,	3.300,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(10406,	3021,	693,	0.5,	3,	3,	16.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(10407,	3021,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10408,	3021,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10409,	3021,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(10410,	3021,	1071,	3,	3,	3,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(10411,	3021,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10412,	3021,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10413,	3021,	1344,	2,	3,	103,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10419,	3022,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10420,	3022,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10421,	3022,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10422,	3022,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10423,	3022,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10424,	3023,	528,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10425,	3024,	1251,	15,	3,	3,	3.600,	5.00,	2.700,	56.700,	'',	NULL,	NULL),
(10426,	3025,	682,	5,	3,	3,	10.700,	0.00,	0.000,	53.500,	'',	NULL,	NULL),
(10427,	3025,	446,	3,	3,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10428,	3026,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10429,	3027,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(10432,	3028,	836,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(10433,	3028,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10438,	3030,	1526,	1,	7,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(10439,	3030,	1186,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10440,	3030,	836,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(10441,	3030,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10442,	3031,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'fayha',	NULL,	NULL),
(10443,	3031,	1251,	2,	3,	3,	3.800,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(10444,	3029,	676,	2,	7,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10445,	3029,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10446,	3029,	1071,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10447,	3029,	1127,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10448,	3029,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10449,	3032,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10450,	3033,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10451,	3033,	45,	1,	3,	7,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10452,	3033,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10453,	3033,	1138,	4,	3,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(10470,	3035,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(10471,	3036,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(10473,	3038,	1131,	3,	3,	6,	3.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(10474,	3038,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(10475,	3037,	205,	0.6,	1,	3,	7.800,	0.00,	0.000,	4.680,	'',	NULL,	NULL),
(10476,	3037,	752,	2,	3,	3,	14.200,	0.00,	0.000,	28.400,	'',	NULL,	NULL),
(10477,	3039,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10478,	3039,	501,	0.25,	1,	3,	2.000,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(10479,	3040,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(10480,	3034,	275,	3,	4,	5,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10481,	3034,	286,	1,	4,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10482,	3034,	1131,	3,	3,	6,	3.600,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10483,	3034,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10484,	3034,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10485,	3041,	446,	1,	3,	3,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(10486,	3041,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10487,	3041,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10488,	3042,	752,	3,	4,	3,	3.550,	0.00,	0.000,	10.650,	'',	NULL,	NULL),
(10489,	3043,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(10490,	3044,	551,	1,	63,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(10493,	3045,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10494,	3045,	1891,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(10495,	3046,	1344,	2,	3,	25,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(10496,	3047,	771,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10500,	3048,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10501,	3048,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10502,	3048,	1345,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10503,	3048,	1514,	1,	3,	3,	7.600,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(10504,	3049,	279,	2,	3,	5,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(10505,	3049,	753,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10506,	3049,	1526,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(10507,	3049,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10508,	3049,	1127,	4,	3,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(10509,	3049,	1131,	2,	3,	6,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(10510,	3049,	1179,	10,	3,	3,	2.050,	0.00,	0.000,	20.500,	'',	NULL,	NULL),
(10511,	3049,	1563,	1,	3,	111,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(10512,	3049,	170,	3,	3,	3,	6.300,	0.00,	0.000,	18.900,	'',	NULL,	NULL),
(10513,	3049,	528,	4,	3,	3,	2.400,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(10514,	3049,	1071,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(10515,	3049,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(10516,	3049,	420,	5,	3,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(10517,	3049,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(10518,	3049,	766,	10,	3,	3,	2.400,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(10519,	3049,	799,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(10520,	3049,	848,	1,	3,	5,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(10521,	3050,	33,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10522,	3051,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10523,	3051,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(10524,	3052,	752,	1,	4,	23,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10525,	3053,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(10526,	3054,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(10527,	3054,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10528,	3054,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10529,	3054,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(10530,	3054,	1703,	30,	1,	3,	0.110,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(10533,	3056,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10534,	3057,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10535,	3057,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10536,	3057,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10537,	3058,	1690,	5,	1,	3,	0.110,	0.00,	0.000,	0.550,	'',	NULL,	NULL),
(10539,	3059,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10541,	3060,	753,	2,	3,	39,	4.600,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(10542,	3061,	676,	0.5,	3,	56,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10543,	3062,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10544,	3062,	279,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(10545,	3063,	1563,	5,	6,	105,	0.700,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10546,	3063,	1251,	4,	4,	3,	0.490,	5.00,	0.098,	2.058,	'',	NULL,	NULL),
(10547,	3063,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10548,	3063,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10549,	3064,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(10552,	3055,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10553,	3055,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(10554,	3065,	933,	1,	7,	4,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10555,	3065,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10556,	3065,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10557,	3065,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10558,	3065,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10559,	3065,	1138,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10560,	3066,	65,	1,	7,	12,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10561,	3066,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10562,	3067,	1071,	2,	1,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(10563,	3067,	501,	2,	1,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(10564,	3067,	1166,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(10565,	3068,	551,	5,	6,	3,	0.160,	5.00,	0.040,	0.840,	'',	NULL,	NULL),
(10566,	3068,	249,	1,	63,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(10567,	3068,	178,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10568,	3068,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10569,	3068,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10570,	3068,	1514,	1,	3,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(10571,	3069,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10572,	3070,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10573,	3071,	1138,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(10574,	3072,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(10575,	3072,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10576,	3072,	170,	2,	3,	3,	6.300,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(10587,	3073,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10588,	3073,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10589,	3073,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10590,	3073,	667,	1,	3,	3,	17.800,	0.00,	0.000,	17.800,	'',	NULL,	NULL),
(10591,	3073,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10592,	3073,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10593,	3073,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10594,	3073,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10595,	3073,	1127,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10596,	3073,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10597,	3074,	528,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10598,	3074,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(10599,	3074,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10600,	3074,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10601,	3074,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10602,	3075,	799,	3,	3,	5,	6.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(10608,	3077,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(10609,	3078,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(10610,	3078,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(10611,	3079,	766,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(10612,	3079,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10613,	3079,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10614,	3079,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(10619,	3076,	753,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10620,	3076,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10621,	3076,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10622,	3076,	1138,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(10623,	3076,	1344,	2,	3,	20,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(10624,	3080,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10626,	3081,	369,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10627,	3082,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10628,	3082,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10629,	3083,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10630,	3083,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10631,	3083,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10632,	3083,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10633,	3083,	676,	1.5,	3,	56,	12.500,	0.00,	0.000,	18.750,	'',	NULL,	NULL),
(10634,	3084,	1138,	6,	3,	3,	1.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10635,	3085,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(10636,	3086,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10637,	3086,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10638,	3086,	1587,	2,	4,	3,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10639,	3086,	1186,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10640,	3086,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10641,	3087,	528,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(10642,	3088,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10643,	3088,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(10644,	3088,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10645,	3088,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10646,	3088,	766,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(10647,	3089,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10648,	3090,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10649,	3091,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10650,	3092,	676,	0.5,	3,	56,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10651,	3093,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10652,	3093,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(10653,	3093,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(10654,	3093,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10655,	3093,	1565,	2.2,	1,	3,	1.300,	0.00,	0.000,	2.860,	'',	NULL,	NULL),
(10656,	3094,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10657,	3095,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(10658,	3096,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(10659,	3096,	1131,	1,	3,	6,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(10674,	3098,	1433,	1,	3,	23,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10675,	3098,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10676,	3098,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10677,	3098,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10678,	3099,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10679,	3099,	1131,	0.5,	3,	6,	3.000,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10680,	3100,	1659,	2,	63,	2,	3.900,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(10681,	3101,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(10682,	3102,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10683,	3103,	1563,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10684,	3104,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(10685,	3104,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10686,	3104,	1514,	2,	7,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10687,	3104,	57,	2,	7,	12,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10688,	3104,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10689,	3104,	1166,	5,	3,	3,	2.300,	0.00,	0.000,	11.500,	'',	NULL,	NULL),
(10690,	3104,	1351,	2,	3,	20,	6.600,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(10695,	3106,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10696,	3106,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10697,	3106,	1138,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(10698,	3106,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10699,	3106,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10700,	3106,	168,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(10701,	3106,	528,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(10702,	3106,	1071,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(10703,	3105,	57,	1,	7,	14,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10704,	3105,	1563,	2,	6,	110,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(10705,	3107,	1563,	1,	6,	111,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(10706,	3107,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10707,	3107,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10708,	3097,	21,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10709,	3097,	57,	2,	7,	13,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10710,	3097,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10711,	3097,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10712,	3097,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10713,	3097,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10714,	3097,	1839,	1,	63,	3,	1.715,	5.00,	0.086,	1.801,	'',	NULL,	NULL),
(10715,	3108,	57,	1,	3,	13,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(10716,	3109,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(10717,	3110,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10718,	3111,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10724,	3113,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10725,	3113,	1186,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10726,	3113,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10732,	3112,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10733,	3112,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10734,	3112,	1066,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(10735,	3112,	1166,	3,	3,	3,	2.300,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(10736,	3112,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10737,	3114,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(10740,	3115,	676,	0.5,	3,	3,	13.000,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(10745,	3116,	528,	20,	3,	3,	2.500,	0.00,	0.000,	50.000,	'',	NULL,	NULL),
(10746,	3116,	753,	20,	63,	3,	1.600,	0.00,	0.000,	32.000,	'',	NULL,	NULL),
(10747,	3116,	766,	30,	3,	3,	2.500,	0.00,	0.000,	75.000,	'',	NULL,	NULL),
(10748,	3116,	1839,	20,	63,	3,	1.700,	5.00,	1.700,	35.700,	'',	NULL,	NULL),
(10750,	3117,	76,	1,	3,	7,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(10751,	3117,	752,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(10752,	3118,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10753,	3118,	1839,	1,	63,	3,	1.750,	5.00,	0.088,	1.838,	'',	NULL,	NULL),
(10754,	3118,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10755,	3118,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10756,	3118,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10757,	3119,	1726,	0.5,	4,	3,	3.000,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10758,	3119,	1263,	1,	4,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10759,	3119,	275,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(10760,	3119,	848,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10761,	3119,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(10762,	3120,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(10763,	3121,	1186,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10767,	3122,	1138,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10768,	3123,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10769,	3124,	676,	0.5,	3,	3,	12.400,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(10770,	3125,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(10771,	3126,	1186,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10774,	3127,	799,	1,	4,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(10775,	3127,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10776,	3127,	848,	1,	4,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(10782,	3128,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(10783,	3128,	76,	1,	3,	13,	9.600,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(10784,	3128,	168,	2,	3,	3,	2.260,	0.00,	0.000,	4.520,	'',	NULL,	NULL),
(10785,	3128,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10786,	3128,	1514,	1,	3,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(10787,	3129,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10788,	3130,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10789,	3130,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10790,	3130,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(10791,	3130,	1491,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(10804,	3132,	275,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(10805,	3132,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10806,	3132,	1131,	1,	3,	6,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(10807,	3132,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10818,	3131,	33,	15,	3,	4,	1.200,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(10819,	3131,	799,	5,	3,	38,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(10820,	3131,	1138,	10,	3,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(10821,	3131,	1186,	20,	3,	3,	2.100,	0.00,	0.000,	42.000,	'',	NULL,	NULL),
(10822,	3131,	1587,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(10825,	3133,	753,	3,	63,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10831,	3135,	1839,	4,	63,	3,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(10832,	3136,	1835,	2,	3,	3,	4.600,	5.00,	0.460,	9.660,	'',	NULL,	NULL),
(10839,	3137,	1298,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(10840,	3134,	170,	2,	3,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(10841,	3134,	667,	1,	3,	3,	18.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(10842,	3134,	676,	2,	3,	56,	12.600,	0.00,	0.000,	25.200,	'',	NULL,	NULL),
(10843,	3134,	753,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10844,	3134,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10845,	3134,	1138,	6,	3,	3,	1.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(10858,	3138,	76,	1,	3,	15,	9.600,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(10859,	3138,	423,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10860,	3138,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10861,	3138,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(10862,	3138,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10863,	3138,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10864,	3138,	1491,	1,	3,	4,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(10865,	3138,	1562,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(10866,	3138,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(10867,	3139,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(10875,	3140,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10876,	3140,	682,	1,	3,	3,	10.600,	0.00,	0.000,	10.600,	'',	NULL,	NULL),
(10877,	3140,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10878,	3140,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10879,	3140,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(10880,	3140,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10881,	3140,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10884,	3142,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10885,	3142,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(10886,	3141,	1264,	1,	10,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10887,	3141,	279,	3,	4,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10888,	3141,	1186,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10890,	3143,	1138,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10891,	3144,	1563,	4,	6,	110,	0.850,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(10892,	3145,	501,	0.3,	1,	3,	2.000,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(10893,	3145,	765,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(10894,	3145,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10897,	3147,	1044,	0.9,	1,	3,	1.000,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(10899,	3146,	848,	4,	3,	38,	4.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(10900,	3148,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(10901,	3148,	1563,	1,	6,	105,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(10913,	3149,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10914,	3149,	249,	1,	63,	4,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(10915,	3149,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10916,	3149,	799,	2,	4,	38,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10917,	3149,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(10918,	3149,	1166,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10919,	3149,	1201,	0.5,	3,	3,	4.200,	5.00,	0.105,	2.205,	'',	NULL,	NULL),
(10920,	3149,	1344,	1,	3,	25,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(10921,	3149,	1626,	3,	3,	71,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(10922,	3149,	1667,	1,	1,	3,	1.300,	5.00,	0.065,	1.365,	'',	NULL,	NULL),
(10923,	3149,	1726,	0.5,	3,	3,	3.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10925,	3150,	1044,	0.7,	1,	3,	1.000,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(10926,	3150,	500,	2,	4,	3,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10927,	3150,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10928,	3150,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10930,	3152,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10931,	3153,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(10936,	3155,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10943,	3154,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10944,	3154,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10945,	3154,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10946,	3154,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10947,	3154,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10957,	3156,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10958,	3156,	178,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(10959,	3156,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10960,	3156,	446,	1,	3,	3,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(10961,	3156,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(10962,	3156,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(10963,	3156,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10964,	3156,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(10965,	3156,	1659,	1,	63,	2,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(10966,	3157,	1138,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(10967,	3158,	1440,	2,	7,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(10968,	3158,	1262,	2,	4,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(10969,	3158,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10970,	3158,	1647,	2,	63,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(10971,	3158,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(10972,	3159,	1131,	0.5,	3,	6,	3.000,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(10974,	3151,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(10976,	3161,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(10977,	3160,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(10979,	3162,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(11002,	3163,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11003,	3163,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11004,	3163,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11005,	3163,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11006,	3163,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11007,	3163,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11011,	3164,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11012,	3164,	1044,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11013,	3164,	1514,	1,	3,	3,	7.200,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(11014,	3165,	1587,	4,	3,	3,	5.200,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(11022,	3166,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11023,	3166,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11024,	3166,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11025,	3166,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11026,	3166,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11027,	3166,	848,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11028,	3166,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11035,	3167,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11036,	3167,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11037,	3167,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11038,	3167,	933,	2,	7,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(11039,	3167,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11040,	3167,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(11042,	3168,	1044,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(11043,	3169,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11044,	3170,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11045,	3171,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11047,	3172,	1835,	1,	3,	3,	4.600,	5.00,	0.230,	4.830,	'',	NULL,	NULL),
(11048,	3173,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11049,	3173,	774,	6,	1,	3,	0.700,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11050,	3174,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11051,	3175,	1251,	3,	1,	3,	0.480,	5.00,	0.072,	1.512,	'',	NULL,	NULL),
(11052,	3175,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(11053,	3175,	306,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11054,	3176,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(11055,	3177,	1835,	1,	3,	3,	4.600,	5.00,	0.230,	4.830,	'',	NULL,	NULL),
(11056,	3178,	1044,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11057,	3179,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11058,	3180,	306,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(11059,	3181,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11060,	3182,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11061,	3182,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11064,	3184,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11068,	3185,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11069,	3183,	156,	4,	3,	3,	3.800,	0.00,	0.000,	15.200,	'',	NULL,	NULL),
(11070,	3186,	279,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(11071,	3186,	1353,	2,	3,	3,	5.400,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11072,	3186,	1138,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11073,	3186,	1174,	3,	3,	3,	3.200,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(11074,	3186,	170,	1,	3,	3,	6.300,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11075,	3186,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11076,	3187,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11077,	3188,	1978,	2,	63,	3,	2.200,	5.00,	0.220,	4.620,	'',	NULL,	NULL),
(11078,	3189,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11079,	3190,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11080,	3191,	156,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(11081,	3191,	306,	2,	1,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(11082,	3191,	1131,	5,	3,	6,	2.800,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(11083,	3192,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11088,	3193,	21,	1,	3,	9,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(11089,	3193,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11090,	3193,	808,	1,	10,	3,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(11091,	3193,	1367,	1,	3,	20,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(11092,	3194,	423,	10,	3,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(11099,	3196,	1526,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(11100,	3196,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11101,	3196,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11102,	3197,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11103,	3198,	676,	3,	3,	4,	11.000,	0.00,	0.000,	33.000,	'',	NULL,	NULL),
(11104,	3199,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11105,	3200,	848,	1,	3,	38,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11106,	3200,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11107,	3201,	766,	8,	3,	3,	2.600,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(11108,	3202,	279,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(11109,	3202,	528,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'RAIN',	NULL,	NULL),
(11110,	3202,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11111,	3202,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11112,	3203,	57,	3,	7,	14,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(11113,	3203,	1353,	2,	3,	3,	5.400,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11115,	3204,	33,	20,	3,	4,	1.200,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(11116,	3205,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11117,	3206,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11118,	3206,	306,	1.5,	1,	3,	1.400,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11119,	3206,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11120,	3207,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11121,	3208,	306,	1.8,	1,	3,	1.500,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(11137,	3209,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11138,	3209,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11139,	3195,	1514,	1,	3,	3,	7.400,	0.00,	0.000,	7.400,	'',	NULL,	NULL),
(11140,	3195,	73,	2,	3,	9,	10.200,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(11141,	3195,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11142,	3195,	170,	3,	3,	3,	6.300,	0.00,	0.000,	18.900,	'',	NULL,	NULL),
(11143,	3195,	528,	2,	3,	3,	4.200,	0.00,	0.000,	8.400,	'RAIN NEW',	NULL,	NULL),
(11144,	3195,	752,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(11145,	3195,	876,	5,	3,	3,	4.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(11146,	3195,	932,	2,	3,	24,	5.400,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11147,	3195,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11148,	3210,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(11150,	3211,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11151,	3212,	1767,	3.6,	1,	3,	0.300,	0.00,	0.000,	1.080,	'',	NULL,	NULL),
(11152,	3212,	682,	0.5,	3,	3,	10.400,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11153,	3212,	1138,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11154,	3212,	33,	1,	7,	14,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11155,	3212,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11156,	3213,	807,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(11157,	3213,	1726,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11158,	3213,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(11159,	3213,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11160,	3214,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(11161,	3214,	420,	4,	3,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(11162,	3214,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(11163,	3215,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11164,	3216,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11165,	3217,	876,	4,	3,	3,	4.200,	0.00,	0.000,	16.800,	'',	NULL,	NULL),
(11166,	3217,	1174,	7,	3,	3,	3.000,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(11167,	3217,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11168,	3218,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11169,	3219,	1251,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(11170,	3220,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11171,	3221,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11172,	3221,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11173,	3222,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11174,	3223,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(11175,	3224,	306,	2,	3,	3,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(11176,	3225,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11177,	3225,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11178,	3225,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(11179,	3225,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(11180,	3226,	1587,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(11181,	3227,	1565,	11.5,	1,	3,	1.300,	0.00,	0.000,	14.950,	'',	NULL,	NULL),
(11182,	3227,	1353,	2,	3,	3,	5.400,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11183,	3228,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11184,	3228,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11185,	3228,	1563,	4,	6,	110,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11186,	3228,	676,	0.5,	3,	3,	12.400,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(11187,	3229,	401,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11188,	3229,	370,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11191,	3231,	1526,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(11192,	3231,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(11193,	3231,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(11194,	3231,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(11195,	3232,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(11196,	3232,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(11197,	3230,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(11198,	3230,	168,	4,	3,	3,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(11199,	3230,	1344,	4,	3,	29,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(11200,	3230,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11201,	3230,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(11202,	3230,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11203,	3230,	753,	3,	63,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11204,	3230,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11205,	3233,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11206,	3234,	1401,	30,	4,	3,	0.095,	5.00,	0.143,	2.993,	'',	NULL,	NULL),
(11207,	3235,	57,	2,	3,	13,	8.900,	0.00,	0.000,	17.800,	'',	NULL,	NULL),
(11208,	3235,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11209,	3236,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11210,	3236,	1839,	5,	63,	3,	1.700,	5.00,	0.425,	8.925,	'',	NULL,	NULL),
(11211,	3236,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(11212,	3236,	676,	2,	3,	3,	11.800,	0.00,	0.000,	23.600,	'',	NULL,	NULL),
(11213,	3237,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11214,	3237,	1839,	4,	63,	3,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(11215,	3237,	170,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(11216,	3238,	766,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11217,	3238,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11218,	3239,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11219,	3240,	1166,	10,	3,	3,	2.200,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(11220,	3240,	1138,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(11221,	3241,	1978,	2,	3,	3,	2.200,	5.00,	0.220,	4.620,	'',	NULL,	NULL),
(11225,	3244,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11226,	3244,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11227,	3244,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11228,	3244,	676,	1,	3,	4,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11229,	3244,	31,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(11230,	3243,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11231,	3243,	676,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11232,	3245,	45,	1,	3,	7,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(11233,	3246,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11234,	3246,	275,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11235,	3246,	1626,	2,	3,	71,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11236,	3246,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(11237,	3242,	1353,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11241,	3247,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11242,	3248,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11243,	3248,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11244,	3249,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(11248,	3250,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11249,	3250,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11250,	3250,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11251,	3251,	1131,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11252,	3252,	752,	1,	4,	23,	3.550,	0.00,	0.000,	3.550,	'',	NULL,	NULL),
(11253,	3253,	1345,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11254,	3254,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11255,	3254,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11256,	3255,	1839,	4,	63,	3,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(11257,	3256,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11258,	3257,	1251,	4,	4,	3,	0.490,	5.00,	0.098,	2.058,	'',	NULL,	NULL),
(11259,	3257,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11260,	3257,	676,	0.5,	3,	56,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11261,	3257,	1098,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(11262,	3257,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11263,	3257,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(11264,	3257,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11265,	3257,	1351,	1,	3,	25,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(11266,	3257,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11267,	3258,	1839,	7,	63,	3,	1.700,	5.00,	0.595,	12.495,	'',	NULL,	NULL),
(11269,	3259,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11270,	3259,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11271,	3260,	1344,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11272,	3261,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(11273,	3261,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(11274,	3262,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11275,	3262,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11276,	3262,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(11277,	3263,	1044,	0.7,	1,	3,	1.000,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(11278,	3264,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11279,	3265,	1174,	1,	3,	3,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(11285,	3266,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11286,	3266,	57,	1,	7,	13,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11287,	3266,	168,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(11288,	3266,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11289,	3268,	1626,	1,	3,	33,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11290,	3269,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11291,	3267,	1839,	2,	63,	3,	1.720,	5.00,	0.172,	3.612,	'',	NULL,	NULL),
(11293,	3270,	1138,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11294,	3271,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11295,	3271,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11296,	3272,	279,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11297,	3272,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11298,	3273,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11299,	3274,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11300,	3275,	33,	1,	3,	4,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(11301,	3275,	1138,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11302,	3276,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11303,	3276,	528,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11304,	3276,	969,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11305,	3277,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11307,	3278,	1563,	1,	3,	110,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(11308,	3279,	45,	1,	6,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(11309,	3279,	279,	1,	4,	5,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(11310,	3279,	799,	1,	3,	4,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11312,	3280,	1072,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11313,	3281,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11314,	3281,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11315,	3281,	1138,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(11316,	3281,	1344,	1,	3,	29,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11317,	3282,	1839,	2,	63,	3,	1.714,	5.00,	0.171,	3.599,	'',	NULL,	NULL),
(11318,	3282,	33,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11319,	3282,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11320,	3282,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11321,	3283,	394,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11322,	3283,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11323,	3283,	364,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11324,	3284,	1563,	3,	3,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11325,	3285,	1563,	2,	3,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11326,	3286,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11327,	3286,	156,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11328,	3287,	1138,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11329,	3288,	1138,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11332,	3289,	1138,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11333,	3289,	848,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11334,	3289,	1563,	3,	3,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11335,	3290,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11336,	3290,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11337,	3290,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11344,	3291,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11345,	3291,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(11346,	3291,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11347,	3292,	1044,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(11348,	3293,	767,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11349,	3293,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11350,	3294,	306,	2,	3,	3,	8.800,	0.00,	0.000,	17.600,	'',	NULL,	NULL),
(11351,	3294,	1044,	4,	3,	3,	4.800,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(11352,	3295,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11353,	3296,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11354,	3296,	1098,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(11355,	3297,	1131,	3,	3,	6,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(11356,	3297,	1044,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(11357,	3297,	76,	1,	7,	13,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11358,	3297,	57,	2,	7,	13,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11360,	3298,	1044,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(11368,	3300,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11387,	3302,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11388,	3302,	1610,	1,	3,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(11389,	3302,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(11390,	3302,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'second',	NULL,	NULL),
(11391,	3302,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11392,	3302,	667,	0.5,	3,	3,	17.800,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(11393,	3302,	676,	1,	3,	3,	11.900,	0.00,	0.000,	11.900,	'',	NULL,	NULL),
(11394,	3303,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11395,	3304,	1044,	5,	3,	3,	4.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(11396,	3305,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11397,	3301,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11398,	3301,	676,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11399,	3301,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11400,	3301,	1626,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11401,	3306,	774,	1,	3,	3,	6.900,	0.00,	0.000,	6.900,	'',	NULL,	NULL),
(11402,	3307,	1186,	9,	3,	3,	1.900,	0.00,	0.000,	17.100,	'',	NULL,	NULL),
(11403,	3308,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(11406,	3309,	1353,	5,	3,	3,	5.400,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(11407,	3309,	1498,	2,	3,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(11408,	3310,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11409,	3310,	1978,	1,	3,	3,	2.300,	5.00,	0.115,	2.415,	'',	NULL,	NULL),
(11410,	3310,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11411,	3310,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(11412,	3310,	660,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11415,	3311,	76,	1,	3,	15,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(11416,	3311,	848,	3,	3,	3,	4.300,	0.00,	0.000,	12.900,	'',	NULL,	NULL),
(11417,	3299,	1066,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(11418,	3299,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11419,	3299,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'second',	NULL,	NULL),
(11420,	3299,	1044,	4,	3,	3,	4.800,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(11421,	3299,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11422,	3299,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11423,	3312,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(11429,	3313,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11430,	3313,	682,	0.5,	3,	3,	10.200,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(11431,	3313,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11432,	3313,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11433,	3313,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11434,	3313,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(11435,	3314,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11436,	3314,	1626,	1,	3,	71,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11437,	3314,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11438,	3314,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11451,	3316,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11452,	3317,	753,	1,	3,	39,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11453,	3318,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11454,	3319,	676,	1,	3,	4,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(11455,	3315,	282,	3,	4,	33,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11456,	3315,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11457,	3315,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11458,	3315,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11459,	3315,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11460,	3320,	150,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(11461,	3320,	676,	2,	3,	56,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(11462,	3320,	76,	1,	3,	15,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(11463,	3320,	57,	1,	3,	13,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(11464,	3320,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(11465,	3320,	753,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11466,	3321,	1189,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(11467,	3321,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11468,	3321,	420,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11469,	3322,	502,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11470,	3323,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11471,	3324,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(11472,	3325,	279,	4,	4,	3,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11473,	3325,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11474,	3325,	73,	1,	7,	9,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11475,	3325,	808,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(11476,	3326,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11483,	3327,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11484,	3327,	1298,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11485,	3327,	1959,	2,	1,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(11486,	3328,	1514,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(11487,	3329,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11488,	3329,	528,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(11493,	3330,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11494,	3330,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11495,	3330,	1344,	1,	3,	72,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(11496,	3330,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11497,	3331,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11498,	3332,	753,	5,	63,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(11499,	3332,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(11504,	3333,	676,	1,	3,	3,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(11505,	3333,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11506,	3333,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11507,	3333,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11508,	3333,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(11509,	3334,	420,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(11510,	3335,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11511,	3336,	1491,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11512,	3337,	1491,	5,	3,	3,	1.300,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(11520,	3338,	65,	1,	3,	13,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(11521,	3338,	170,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11522,	3338,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11523,	3338,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11524,	3338,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11525,	3338,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11526,	3338,	1344,	5,	3,	4,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(11527,	3339,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11528,	3339,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(11529,	3339,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(11530,	3340,	755,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11532,	3341,	1434,	1,	10,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11533,	3342,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11534,	3342,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11538,	3343,	1131,	1,	3,	6,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(11539,	3344,	1044,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11543,	3345,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11544,	3345,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11545,	3345,	1622,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(11546,	3346,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11547,	3346,	1839,	1,	63,	3,	1.714,	5.00,	0.086,	1.800,	'',	NULL,	NULL),
(11548,	3347,	1174,	1,	3,	3,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(11549,	3348,	208,	1,	1,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(11556,	3350,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11557,	3350,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11558,	3350,	969,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11559,	3350,	1071,	1,	3,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11560,	3350,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11565,	3351,	279,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11566,	3351,	676,	1,	3,	4,	11.000,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(11567,	3351,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11568,	3351,	1127,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11569,	3352,	1839,	4,	63,	3,	1.700,	5.00,	0.340,	7.140,	'',	NULL,	NULL),
(11573,	3353,	528,	5,	3,	3,	3.500,	0.00,	0.000,	17.500,	'',	NULL,	NULL),
(11574,	3353,	1514,	6,	3,	3,	6.800,	0.00,	0.000,	40.800,	'',	NULL,	NULL),
(11575,	3353,	1610,	12,	3,	3,	3.600,	0.00,	0.000,	43.200,	'',	NULL,	NULL),
(11576,	3354,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11577,	3355,	753,	5,	63,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(11578,	3356,	1251,	4,	4,	3,	0.480,	5.00,	0.096,	2.016,	'',	NULL,	NULL),
(11580,	3357,	21,	5,	3,	9,	9.500,	0.00,	0.000,	47.500,	'',	NULL,	NULL),
(11582,	3358,	1131,	14,	3,	3,	2.300,	0.00,	0.000,	32.200,	'',	NULL,	NULL),
(11583,	3359,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11584,	3359,	1071,	3,	3,	3,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(11585,	3359,	33,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11586,	3359,	528,	3,	3,	3,	3.300,	0.00,	0.000,	9.900,	'RAIN',	NULL,	NULL),
(11587,	3359,	753,	20,	63,	3,	1.700,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(11588,	3359,	766,	10,	3,	3,	2.450,	0.00,	0.000,	24.500,	'',	NULL,	NULL),
(11589,	3360,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11590,	3361,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11591,	3361,	1166,	4,	3,	3,	2.300,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(11592,	3361,	1767,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11593,	3361,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11594,	3361,	848,	2,	3,	4,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(11595,	3361,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11596,	3361,	65,	2,	7,	10,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11597,	3362,	933,	1,	7,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11598,	3363,	551,	1,	63,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11599,	3364,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11600,	3364,	250,	1,	63,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11604,	3365,	799,	3,	3,	5,	5.800,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(11605,	3365,	933,	8,	3,	3,	3.800,	0.00,	0.000,	30.400,	'',	NULL,	NULL),
(11606,	3365,	1066,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11608,	3366,	1839,	10,	63,	3,	1.700,	5.00,	0.850,	17.850,	'',	NULL,	NULL),
(11609,	3367,	803,	0.5,	1,	3,	0.900,	0.00,	0.000,	0.450,	'',	NULL,	NULL),
(11610,	3367,	21,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11611,	3367,	420,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11612,	3367,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11613,	3368,	211,	1,	1,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11626,	3370,	676,	1,	3,	3,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(11627,	3371,	1251,	1,	3,	4,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11628,	3372,	1891,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11629,	3373,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11630,	3373,	170,	2,	3,	3,	5.700,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(11631,	3373,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11632,	3373,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11633,	3373,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11634,	3373,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(11635,	3373,	848,	2,	3,	3,	4.400,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(11640,	3369,	279,	5,	4,	3,	0.480,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11641,	3369,	682,	0.5,	3,	3,	10.600,	0.00,	0.000,	5.300,	'',	NULL,	NULL),
(11642,	3369,	1166,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(11643,	3369,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11645,	3374,	598,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(11646,	3375,	676,	1,	3,	3,	11.900,	0.00,	0.000,	11.900,	'',	NULL,	NULL),
(11647,	3376,	1626,	2,	3,	71,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11648,	3377,	1127,	4,	3,	4,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(11649,	3378,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(11650,	3378,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11651,	3379,	1839,	10,	63,	3,	1.700,	5.00,	0.850,	17.850,	'',	NULL,	NULL),
(11665,	3381,	279,	5,	4,	3,	0.480,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11666,	3381,	1264,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11667,	3381,	1434,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11668,	3381,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11669,	3381,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11670,	3381,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11677,	3383,	765,	3,	1,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11678,	3383,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11679,	3384,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(11680,	3385,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11681,	3385,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11682,	3385,	528,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11683,	3385,	676,	0.5,	3,	3,	11.800,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(11684,	3385,	1425,	2,	1,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11685,	3385,	156,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(11686,	3385,	1138,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11687,	3385,	33,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11688,	3385,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11689,	3386,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11692,	3382,	667,	0.5,	3,	3,	17.800,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(11693,	3382,	676,	0.5,	3,	3,	11.800,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(11695,	3387,	753,	12,	3,	39,	4.400,	0.00,	0.000,	52.800,	'',	NULL,	NULL),
(11696,	3388,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11697,	3389,	1124,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11698,	3390,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11699,	3391,	1201,	0.5,	3,	3,	4.200,	5.00,	0.105,	2.205,	'',	NULL,	NULL),
(11700,	3391,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11701,	3391,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11708,	3393,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11709,	3393,	31,	2,	3,	15,	9.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(11710,	3394,	598,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11711,	3394,	528,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11712,	3394,	178,	6,	1,	3,	1.200,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(11713,	3394,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11714,	3395,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11715,	3396,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11716,	3396,	1344,	1,	3,	25,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(11717,	3396,	676,	1,	3,	3,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(11718,	3396,	1071,	3,	3,	3,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(11719,	3397,	178,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11720,	3398,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(11721,	3399,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11727,	3392,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11728,	3392,	553,	3,	63,	3,	3.800,	5.00,	0.570,	11.970,	'',	NULL,	NULL),
(11729,	3392,	676,	0.5,	3,	3,	11.800,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(11730,	3392,	753,	2,	63,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11731,	3392,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11733,	3400,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(11734,	3349,	1587,	23,	3,	3,	5.200,	0.00,	0.000,	119.600,	'',	NULL,	NULL),
(11735,	3401,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11736,	3401,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11737,	3402,	691,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11738,	3402,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11739,	3380,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(11740,	3380,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11741,	3380,	528,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(11742,	3380,	676,	1.5,	3,	56,	12.500,	0.00,	0.000,	18.750,	'',	NULL,	NULL),
(11743,	3380,	933,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(11744,	3380,	1044,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(11745,	3380,	1071,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(11746,	3380,	1127,	17,	3,	3,	2.200,	0.00,	0.000,	37.400,	'',	NULL,	NULL),
(11747,	3380,	1138,	23,	3,	3,	1.600,	0.00,	0.000,	36.800,	'',	NULL,	NULL),
(11748,	3380,	1344,	4,	3,	25,	3.200,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(11749,	3380,	1425,	3,	1,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(11750,	3380,	1563,	1,	3,	111,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(11751,	3380,	1626,	6,	3,	71,	2.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11763,	3403,	152,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11764,	3403,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11765,	3403,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11766,	3403,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11767,	3403,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(11768,	3404,	753,	7,	63,	3,	2.100,	0.00,	0.000,	14.700,	'',	NULL,	NULL),
(11769,	3404,	1071,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(11771,	3406,	150,	4,	3,	3,	3.800,	0.00,	0.000,	15.200,	'',	NULL,	NULL),
(11772,	3405,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11773,	3407,	170,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(11774,	3408,	1466,	0.5,	1,	3,	1.400,	5.00,	0.035,	0.735,	'',	NULL,	NULL),
(11775,	3408,	1260,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(11776,	3408,	152,	1.7,	1,	3,	1.200,	0.00,	0.000,	2.040,	'',	NULL,	NULL),
(11777,	3408,	1044,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(11778,	3408,	1830,	2,	4,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(11779,	3408,	753,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11780,	3409,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11781,	3409,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11782,	3409,	766,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(11783,	3410,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11786,	3411,	1044,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11787,	3411,	501,	0.5,	1,	3,	2.200,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(11788,	3412,	1044,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(11789,	3413,	1439,	2,	4,	23,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11790,	3413,	1179,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11791,	3413,	1565,	4.5,	1,	3,	1.300,	0.00,	0.000,	5.850,	'',	NULL,	NULL),
(11792,	3413,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11793,	3413,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11794,	3413,	1767,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11795,	3413,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11796,	3413,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11797,	3414,	170,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11798,	3415,	1127,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11799,	3416,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(11800,	3416,	275,	1,	3,	3,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(11801,	3416,	1061,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'lam',	NULL,	NULL),
(11802,	3416,	1736,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11803,	3416,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11804,	3417,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11805,	3418,	1659,	2,	63,	4,	0.400,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(11806,	3419,	1044,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(11807,	3420,	1626,	1,	3,	71,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(11808,	3420,	598,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11809,	3420,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11810,	3420,	178,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11811,	3420,	1344,	2,	3,	20,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(11812,	3420,	73,	1,	7,	8,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(11813,	3420,	150,	3,	3,	3,	3.800,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(11814,	3421,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11816,	3423,	676,	6,	3,	56,	12.500,	0.00,	0.000,	75.000,	'',	NULL,	NULL),
(11817,	3422,	485,	1,	63,	3,	2.400,	5.00,	0.120,	2.520,	'',	NULL,	NULL),
(11818,	3424,	279,	5,	4,	5,	0.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11819,	3424,	1649,	1,	63,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(11820,	3424,	598,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11821,	3424,	1311,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11822,	3425,	1093,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11823,	3425,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11824,	3425,	1344,	1,	3,	72,	0.200,	0.00,	0.000,	0.200,	'',	NULL,	NULL),
(11825,	3425,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11826,	3426,	1835,	1,	3,	3,	4.500,	5.00,	0.225,	4.725,	'',	NULL,	NULL),
(11827,	3427,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11828,	3428,	1351,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(11829,	3429,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(11830,	3430,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11831,	3430,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11832,	3431,	1260,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(11833,	3431,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11834,	3431,	848,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11835,	3432,	528,	6,	3,	3,	3.200,	0.00,	0.000,	19.200,	'',	NULL,	NULL),
(11836,	3433,	152,	7,	1,	3,	1.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(11837,	3433,	152,	2,	3,	3,	11.400,	0.00,	0.000,	22.800,	'',	NULL,	NULL),
(11838,	3434,	1626,	2,	3,	71,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11839,	3434,	1563,	1,	3,	110,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(11840,	3435,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11841,	3435,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11842,	3435,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(11843,	3435,	1563,	1,	3,	110,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(11865,	3437,	1131,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11866,	3438,	1526,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11867,	3438,	57,	3,	7,	15,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(11868,	3438,	676,	0.5,	3,	3,	5.900,	0.00,	0.000,	2.950,	'',	NULL,	NULL),
(11869,	3438,	1131,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(11870,	3436,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(11871,	3436,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11872,	3436,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11873,	3436,	691,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(11874,	3436,	767,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11875,	3436,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(11876,	3436,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11877,	3439,	682,	2,	3,	3,	10.200,	0.00,	0.000,	20.400,	'',	NULL,	NULL),
(11878,	3440,	1131,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11879,	3440,	1470,	1,	7,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11880,	3440,	1344,	1,	3,	29,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(11882,	3442,	848,	1,	3,	38,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11883,	3442,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11884,	3442,	1565,	1.8,	1,	3,	1.200,	0.00,	0.000,	2.160,	'',	NULL,	NULL),
(11885,	3442,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11886,	3441,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11887,	3441,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11888,	3441,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(11889,	3443,	275,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11890,	3444,	1491,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11891,	3444,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(11892,	3444,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11894,	3446,	45,	1,	3,	7,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(11895,	3446,	1610,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(11897,	3447,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11898,	3447,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11899,	3445,	551,	1,	63,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(11900,	3445,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(11907,	3449,	1659,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(11908,	3448,	551,	3,	6,	3,	0.160,	5.00,	0.024,	0.504,	'',	NULL,	NULL),
(11909,	3448,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(11910,	3448,	1464,	0.5,	1,	3,	1.300,	5.00,	0.033,	0.683,	'',	NULL,	NULL),
(11920,	3450,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11921,	3450,	279,	1,	4,	3,	0.500,	0.00,	0.000,	0.500,	'sto',	NULL,	NULL),
(11922,	3450,	676,	0.5,	3,	3,	5.900,	0.00,	0.000,	2.950,	'',	NULL,	NULL),
(11923,	3450,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11924,	3450,	1127,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(11925,	3450,	1166,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11926,	3450,	1344,	1,	3,	103,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(11927,	3450,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'pin',	NULL,	NULL),
(11928,	3450,	1625,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(11929,	3451,	152,	1.1,	1,	3,	1.200,	0.00,	0.000,	1.320,	'',	NULL,	NULL),
(11930,	3451,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11931,	3451,	1702,	5,	1,	3,	0.100,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(11934,	3452,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(11935,	3453,	1186,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(11936,	3454,	765,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(11940,	3456,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(11945,	3457,	1127,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(11958,	3455,	598,	2,	3,	3,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(11959,	3455,	57,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(11960,	3455,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(11961,	3455,	902,	5,	1,	3,	1.300,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(11962,	3455,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11963,	3455,	1514,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(11964,	3455,	2003,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(11965,	3458,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(11969,	3459,	153,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(11972,	3461,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11974,	3463,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(11975,	3460,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(11976,	3464,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(11977,	3462,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11978,	3462,	682,	0.5,	3,	3,	10.400,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(11979,	3465,	76,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(11980,	3466,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11981,	3467,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(11982,	3468,	848,	1,	3,	38,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(11986,	3470,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11987,	3470,	1480,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(11988,	3470,	1044,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(11989,	3470,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(11994,	3471,	57,	1,	7,	11,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11995,	3471,	168,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(11996,	3471,	1127,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(11997,	3471,	1353,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12004,	3472,	1179,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12005,	3472,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12006,	3472,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12013,	3469,	21,	4,	3,	9,	9.500,	0.00,	0.000,	38.000,	'',	NULL,	NULL),
(12014,	3469,	1344,	4,	3,	25,	3.600,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(12015,	3469,	1344,	10,	3,	103,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(12016,	3473,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12017,	3473,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12018,	3474,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12019,	3474,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12020,	3474,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12030,	3475,	31,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12031,	3475,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12032,	3475,	992,	1.4,	1,	3,	1.200,	0.00,	0.000,	1.680,	'',	NULL,	NULL),
(12033,	3475,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12034,	3475,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12035,	3475,	1470,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12036,	3475,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12037,	3475,	1767,	2,	1,	22,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(12038,	3476,	1587,	1,	4,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(12039,	3476,	848,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12041,	3477,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12042,	3477,	33,	1,	7,	12,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12043,	3477,	682,	0.5,	3,	3,	10.400,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12044,	3478,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12045,	3478,	170,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(12046,	3479,	1587,	1,	4,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(12047,	3479,	1344,	1,	3,	103,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(12048,	3479,	1470,	1,	7,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12049,	3479,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12050,	3479,	799,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12051,	3479,	1260,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(12052,	3480,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12053,	3480,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12054,	3480,	676,	1,	3,	3,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(12055,	3481,	1514,	2,	7,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12056,	3481,	57,	2,	7,	15,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12057,	3481,	848,	1,	3,	3,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12058,	3481,	799,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12059,	3481,	528,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12060,	3481,	676,	0.5,	3,	3,	11.800,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(12062,	3483,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12063,	3483,	57,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12072,	3484,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(12073,	3484,	370,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12074,	3484,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(12075,	3484,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12076,	3482,	1251,	30,	3,	3,	3.700,	5.00,	5.550,	116.550,	'',	NULL,	NULL),
(12077,	3485,	1044,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(12078,	3486,	1044,	4,	3,	3,	5.200,	0.00,	0.000,	20.800,	'',	NULL,	NULL),
(12080,	3487,	676,	1,	3,	3,	11.900,	0.00,	0.000,	11.900,	'',	NULL,	NULL),
(12081,	3488,	1179,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12082,	3488,	1131,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12083,	3489,	1044,	3,	3,	3,	5.200,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(12085,	3490,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(12092,	3491,	152,	2.5,	1,	3,	1.100,	0.00,	0.000,	2.750,	'',	NULL,	NULL),
(12093,	3491,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12094,	3491,	676,	1.5,	3,	3,	12.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(12095,	3491,	969,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12096,	3491,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12097,	3491,	1626,	1,	3,	71,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12098,	3492,	152,	20,	1,	3,	1.100,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(12099,	3493,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12104,	3494,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12105,	3494,	766,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(12106,	3494,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(12107,	3494,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12108,	3495,	152,	1.9,	1,	3,	1.100,	0.00,	0.000,	2.090,	'',	NULL,	NULL),
(12109,	3496,	1251,	5,	4,	3,	0.480,	5.00,	0.120,	2.520,	'',	NULL,	NULL),
(12110,	3497,	285,	5,	1,	3,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(12111,	3497,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(12112,	3498,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12114,	3499,	682,	3,	3,	3,	10.400,	0.00,	0.000,	31.200,	'',	NULL,	NULL),
(12115,	3500,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12116,	3500,	528,	1,	3,	3,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(12117,	3500,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12118,	3501,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12121,	3502,	766,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(12122,	3502,	1839,	1,	63,	3,	1.714,	5.00,	0.086,	1.800,	'',	NULL,	NULL),
(12123,	3503,	1959,	6,	1,	3,	1.300,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(12124,	3504,	1526,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(12125,	3505,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12126,	3505,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12127,	3505,	122,	1,	3,	23,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12128,	3505,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(12129,	3506,	76,	1,	7,	11,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12130,	3507,	799,	2,	3,	5,	6.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(12131,	3508,	799,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12132,	3508,	168,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(12133,	3508,	73,	2,	7,	9,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12134,	3508,	76,	2,	7,	14,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12135,	3508,	1344,	5,	3,	29,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(12136,	3509,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(12137,	3510,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12138,	3511,	122,	1,	4,	23,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(12139,	3511,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12153,	3512,	676,	3,	3,	56,	12.500,	0.00,	0.000,	37.500,	'',	NULL,	NULL),
(12154,	3512,	753,	10,	63,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(12155,	3512,	766,	10,	3,	3,	2.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(12156,	3512,	1138,	10,	3,	3,	1.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(12157,	3512,	1839,	10,	63,	3,	1.700,	5.00,	0.850,	17.850,	'',	NULL,	NULL),
(12158,	3513,	1959,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(12159,	3514,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(12165,	3515,	203,	0.4,	1,	3,	7.800,	0.00,	0.000,	3.120,	'',	NULL,	NULL),
(12166,	3515,	419,	1,	4,	3,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(12167,	3515,	575,	1,	4,	3,	0.550,	0.00,	0.000,	0.550,	'',	NULL,	NULL),
(12168,	3515,	1051,	2,	3,	3,	3.800,	0.00,	0.000,	7.600,	'',	NULL,	NULL),
(12169,	3515,	1891,	2,	4,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(12193,	3516,	45,	1,	3,	7,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(12194,	3516,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12195,	3516,	279,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12196,	3516,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(12197,	3516,	969,	2,	3,	3,	5.400,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12198,	3516,	1351,	2,	3,	25,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(12205,	3518,	1839,	2,	63,	3,	1.700,	5.00,	0.170,	3.570,	'',	NULL,	NULL),
(12206,	3518,	1649,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12216,	3519,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12217,	3519,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12218,	3520,	249,	1,	3,	2,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12219,	3520,	1439,	1,	3,	23,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(12220,	3520,	1127,	3,	3,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12221,	3520,	1626,	5,	3,	71,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(12222,	3520,	45,	1,	3,	8,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(12223,	3520,	279,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(12224,	3520,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12225,	3520,	1344,	8,	3,	25,	3.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(12226,	3521,	799,	1,	3,	38,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12227,	3521,	1433,	1,	3,	23,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12228,	3521,	1127,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(12229,	3522,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12230,	3523,	1251,	5,	3,	3,	3.600,	5.00,	0.900,	18.900,	'',	NULL,	NULL),
(12231,	3524,	1712,	8,	4,	3,	0.400,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12233,	3525,	1563,	2,	3,	110,	6.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(12234,	3526,	1301,	1,	63,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(12239,	3528,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12240,	3529,	682,	0.5,	3,	3,	10.200,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(12243,	3531,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(12244,	3527,	836,	2,	10,	3,	6.400,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(12245,	3527,	799,	1,	3,	38,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12246,	3532,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12247,	3533,	279,	2,	3,	5,	4.600,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(12248,	3533,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12249,	3533,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12250,	3533,	1353,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(12257,	3534,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12258,	3534,	1138,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12259,	3534,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12260,	3534,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12261,	3534,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(12262,	3534,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12263,	3534,	1766,	1,	3,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(12264,	3535,	76,	1,	3,	7,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(12266,	3536,	1835,	2,	3,	3,	4.500,	5.00,	0.450,	9.450,	'',	NULL,	NULL),
(12269,	3537,	551,	2,	63,	3,	3.810,	5.00,	0.381,	8.001,	'',	NULL,	NULL),
(12270,	3537,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(12277,	3538,	420,	3,	3,	3,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(12278,	3538,	1344,	10,	3,	29,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(12279,	3517,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12280,	3517,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(12281,	3517,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(12282,	3517,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12283,	3517,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12284,	3517,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(12285,	3539,	1839,	15,	63,	3,	1.700,	5.00,	1.275,	26.775,	'',	NULL,	NULL),
(12286,	3540,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12287,	3540,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12288,	3540,	808,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12289,	3540,	1179,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(12290,	3540,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12291,	3540,	1344,	3,	3,	29,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12292,	3540,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12293,	3541,	774,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(12294,	3542,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12295,	3543,	1839,	1,	63,	3,	1.715,	5.00,	0.086,	1.801,	'',	NULL,	NULL),
(12296,	3530,	1622,	15,	3,	3,	4.800,	0.00,	0.000,	72.000,	'',	NULL,	NULL),
(12297,	3530,	1491,	20,	3,	3,	1.400,	0.00,	0.000,	28.000,	'',	NULL,	NULL),
(12298,	3530,	74,	15,	3,	13,	9.600,	0.00,	0.000,	144.000,	'',	NULL,	NULL),
(12299,	3544,	1839,	3,	63,	3,	1.715,	5.00,	0.257,	5.402,	'',	NULL,	NULL),
(12300,	3545,	1626,	1,	3,	71,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12301,	3545,	1138,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12302,	3545,	57,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12303,	3545,	195,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(12304,	3545,	1344,	2,	3,	20,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(12307,	3547,	753,	7,	63,	3,	1.600,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(12308,	3548,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12311,	3546,	753,	5,	63,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(12312,	3546,	1312,	8,	63,	84,	2.500,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(12313,	3550,	1351,	1,	3,	20,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12314,	3551,	1891,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(12315,	3552,	152,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12317,	3549,	676,	3,	3,	56,	12.500,	0.00,	0.000,	37.500,	'',	NULL,	NULL),
(12318,	3549,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12333,	3554,	485,	1,	63,	3,	2.800,	5.00,	0.140,	2.940,	'',	NULL,	NULL),
(12334,	3554,	551,	1,	63,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(12335,	3554,	8,	1,	3,	13,	11.400,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(12336,	3554,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(12337,	3554,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12338,	3554,	598,	1,	3,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(12339,	3554,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12340,	3554,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12341,	3554,	808,	1,	3,	3,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(12342,	3554,	969,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(12343,	3554,	1179,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12344,	3554,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(12345,	3554,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12346,	3554,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12347,	3554,	1649,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12348,	3554,	1766,	2,	3,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12350,	3556,	85,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(12351,	3556,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(12352,	3555,	152,	0.8,	1,	3,	1.200,	0.00,	0.000,	0.960,	'',	NULL,	NULL),
(12353,	3555,	799,	20,	3,	3,	3.300,	0.00,	0.000,	66.000,	'',	NULL,	NULL),
(12354,	3557,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12355,	3557,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12356,	3558,	1131,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12357,	3558,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(12359,	3559,	1835,	4,	3,	3,	4.500,	5.00,	0.900,	18.900,	'',	NULL,	NULL),
(12360,	3560,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12361,	3560,	676,	0.5,	3,	56,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(12362,	3561,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12363,	3562,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(12364,	3553,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12365,	3553,	1174,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12366,	3563,	753,	1,	63,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12371,	3564,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12372,	3564,	1071,	1,	3,	4,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12373,	3564,	1610,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12374,	3564,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(12378,	3565,	753,	4,	63,	3,	1.600,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12379,	3565,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12380,	3565,	1839,	3,	63,	3,	1.715,	5.00,	0.257,	5.402,	'',	NULL,	NULL),
(12383,	3567,	420,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(12384,	3568,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12385,	3566,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12386,	3566,	1839,	5,	63,	3,	1.700,	5.00,	0.425,	8.925,	'',	NULL,	NULL),
(12387,	3569,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12388,	3569,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12389,	3570,	1344,	1,	3,	25,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12390,	3571,	682,	0.5,	3,	3,	10.200,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(12391,	3572,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12392,	3572,	1166,	2,	3,	3,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(12395,	3574,	676,	0.5,	3,	56,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(12396,	3575,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(12397,	3576,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12399,	3577,	551,	10,	6,	3,	0.160,	5.00,	0.080,	1.680,	'',	NULL,	NULL),
(12400,	3577,	1563,	4,	6,	110,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12401,	3578,	1186,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(12402,	3578,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12403,	3578,	124,	1,	3,	23,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12404,	3579,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12405,	3573,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12406,	3573,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12409,	3580,	682,	0.5,	3,	3,	10.200,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(12410,	3580,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12411,	3580,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12412,	3581,	765,	1.5,	1,	3,	1.700,	0.00,	0.000,	2.550,	'',	NULL,	NULL),
(12413,	3582,	1344,	1,	3,	31,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(12414,	3583,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12415,	3583,	1839,	1,	63,	3,	1.715,	5.00,	0.086,	1.801,	'',	NULL,	NULL),
(12416,	3583,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(12417,	3584,	16,	1,	3,	8,	9.800,	0.00,	0.000,	9.800,	'',	NULL,	NULL),
(12418,	3585,	676,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(12421,	3587,	57,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12422,	3587,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12423,	3588,	1659,	2,	63,	112,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(12425,	3589,	693,	1,	3,	3,	17.000,	0.00,	0.000,	17.000,	'',	NULL,	NULL),
(12426,	3586,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(12427,	3586,	753,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(12428,	3590,	170,	2,	3,	3,	5.700,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(12429,	3591,	1309,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12430,	3591,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12431,	3591,	682,	0.5,	3,	3,	10.200,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(12432,	3591,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(12433,	3591,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12434,	3591,	1179,	6,	3,	3,	2.100,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(12435,	3592,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(12436,	3593,	1587,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(12437,	3594,	679,	1,	3,	56,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(12438,	3595,	31,	2,	7,	15,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12439,	3595,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12440,	3595,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12441,	3595,	192,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(12442,	3595,	1626,	1,	3,	105,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12443,	3595,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12444,	3595,	1179,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12445,	3596,	1344,	3,	3,	20,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(12446,	3597,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12447,	3597,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(12448,	3597,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12449,	3598,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(12450,	3599,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12451,	3599,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12452,	3599,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12455,	3602,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12456,	3603,	1351,	1,	3,	2,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12457,	3604,	170,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(12458,	3604,	122,	1,	3,	23,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(12459,	3604,	840,	1,	3,	3,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(12460,	3604,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12461,	3604,	1351,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12462,	3604,	1470,	2,	7,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12463,	3604,	1174,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(12464,	3600,	753,	3,	63,	2,	1.700,	0.00,	0.000,	5.100,	'',	NULL,	NULL),
(12465,	3600,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12466,	3605,	73,	2,	7,	8,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12467,	3605,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12468,	3605,	1470,	2,	7,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12469,	3601,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12470,	3606,	1353,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12471,	3607,	92,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(12472,	3607,	1491,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12473,	3607,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12474,	3607,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12475,	3608,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12476,	3609,	1071,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12477,	3609,	421,	2,	3,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12478,	3609,	170,	1,	3,	2,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12479,	3609,	1470,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12480,	3610,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12481,	3610,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12482,	3610,	676,	0.5,	3,	56,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(12483,	3611,	1470,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12484,	3611,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(12485,	3611,	501,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12486,	3612,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12487,	3612,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12488,	3613,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12489,	3614,	1100,	3,	3,	3,	5.800,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(12490,	3615,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12491,	3616,	528,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12492,	3617,	528,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12493,	3618,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12494,	3619,	1260,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(12495,	3620,	1626,	1,	3,	105,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12496,	3621,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12497,	3622,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12498,	3622,	57,	2,	3,	15,	9.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(12499,	3623,	170,	2,	3,	2,	5.700,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(12500,	3623,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12501,	3623,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12502,	3623,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12515,	3625,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12516,	3625,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12517,	3625,	676,	2,	3,	56,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(12518,	3625,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12519,	3625,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12520,	3625,	1312,	2,	63,	84,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12521,	3625,	1659,	2,	63,	2,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(12522,	3626,	1128,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12523,	3627,	682,	1,	3,	3,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(12524,	3628,	1124,	4,	3,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(12526,	3629,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(12527,	3630,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12529,	3632,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12530,	3633,	1131,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12531,	3631,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(12532,	3631,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12533,	3631,	1344,	2,	3,	20,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(12534,	3634,	45,	1,	3,	7,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12540,	3636,	1766,	1,	3,	3,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(12541,	3635,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12542,	3635,	667,	1,	3,	3,	17.700,	0.00,	0.000,	17.700,	'',	NULL,	NULL),
(12543,	3635,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12544,	3635,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12545,	3635,	1127,	5,	3,	3,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(12546,	3637,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12547,	3638,	283,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'ra',	NULL,	NULL),
(12548,	3638,	277,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(12549,	3638,	275,	3,	4,	5,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12550,	3639,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(12551,	3639,	1344,	1,	3,	100,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12552,	3624,	529,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12553,	3624,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12554,	3624,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12555,	3624,	1839,	1,	63,	3,	1.700,	5.00,	0.085,	1.785,	'',	NULL,	NULL),
(12556,	3640,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12557,	3640,	551,	1,	63,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(12558,	3641,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12559,	3641,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12560,	3642,	1351,	1,	3,	25,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12561,	3642,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12562,	3643,	1131,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'mango',	NULL,	NULL),
(12563,	3644,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12564,	3644,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12565,	3644,	122,	2,	4,	23,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12566,	3644,	423,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12567,	3644,	799,	4,	4,	5,	0.600,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12568,	3644,	1702,	6,	1,	3,	0.120,	0.00,	0.000,	0.720,	'',	NULL,	NULL),
(12569,	3644,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12570,	3645,	1298,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(12577,	3646,	122,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(12578,	3646,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(12579,	3646,	1166,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12580,	3646,	1263,	1,	4,	23,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(12581,	3646,	1344,	1,	3,	99,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12582,	3646,	1460,	1,	7,	3,	1.100,	0.00,	0.000,	1.100,	'pec',	NULL,	NULL),
(12583,	3647,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12584,	3647,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12596,	3649,	178,	1.4,	1,	3,	1.200,	0.00,	0.000,	1.680,	'',	NULL,	NULL),
(12597,	3649,	370,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12598,	3650,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12599,	3650,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(12600,	3650,	676,	0.5,	3,	56,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(12601,	3650,	1587,	1,	3,	3,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12602,	3650,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12603,	3650,	932,	1,	3,	24,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(12604,	3651,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12605,	3648,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12606,	3648,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12607,	3648,	667,	1,	3,	63,	18.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(12608,	3648,	753,	1,	63,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12609,	3648,	1166,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12610,	3648,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(12611,	3652,	1131,	1,	3,	6,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12622,	3654,	676,	1,	3,	56,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12623,	3654,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12624,	3654,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12625,	3654,	1166,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12626,	3654,	1839,	3,	63,	3,	1.700,	5.00,	0.255,	5.355,	'',	NULL,	NULL),
(12627,	3653,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12628,	3653,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12629,	3653,	1251,	1,	4,	3,	0.480,	5.00,	0.024,	0.504,	'',	NULL,	NULL),
(12630,	3653,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12631,	3655,	1514,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12632,	3655,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12633,	3655,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12634,	3655,	1166,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12635,	3655,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12636,	3655,	1344,	1,	10,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12637,	3656,	57,	2,	7,	10,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12638,	3657,	1344,	1,	3,	20,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12639,	3657,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12640,	3657,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12641,	3657,	1434,	2,	1,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12642,	3657,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12643,	3657,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12644,	3657,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(12645,	3658,	1298,	0.5,	1,	3,	1.400,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(12646,	3658,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(12647,	3659,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12648,	3659,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12650,	3661,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12651,	3662,	122,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(12652,	3662,	1127,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12654,	3663,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12655,	3663,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12658,	3660,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(12659,	3660,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12660,	3660,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12661,	3664,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(12662,	3665,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12663,	3666,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12664,	3666,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(12665,	3667,	774,	1,	10,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12666,	3667,	1353,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(12667,	3667,	178,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(12668,	3668,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(12669,	3668,	774,	1,	1,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(12670,	3668,	57,	2,	7,	12,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12671,	3668,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(12672,	3668,	799,	2,	3,	38,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(12673,	3668,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12674,	3668,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12675,	3668,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12676,	3669,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12677,	3670,	1071,	6,	3,	3,	2.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(12679,	3672,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12680,	3672,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(12681,	3671,	1127,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12682,	3673,	122,	1,	3,	23,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12683,	3674,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12684,	3675,	122,	1,	3,	23,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12685,	3675,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(12686,	3675,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12687,	3675,	933,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12688,	3675,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12689,	3675,	92,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12690,	3675,	1351,	1,	3,	2,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(12693,	3676,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12694,	3676,	676,	2,	3,	56,	12.400,	0.00,	0.000,	24.800,	'',	NULL,	NULL),
(12695,	3677,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(12696,	3677,	57,	2,	7,	15,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12697,	3677,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(12698,	3677,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12699,	3677,	753,	2,	63,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12700,	3677,	528,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12701,	3678,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12702,	3678,	969,	1,	3,	3,	5.400,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12703,	3678,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12704,	3678,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12705,	3678,	1127,	10,	3,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(12706,	3678,	1344,	1,	3,	25,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(12707,	3678,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12708,	3678,	1044,	5,	3,	3,	4.900,	0.00,	0.000,	24.500,	'',	NULL,	NULL),
(12709,	3678,	152,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(12710,	3679,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12711,	3679,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(12712,	3680,	168,	4,	3,	3,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(12720,	3681,	152,	4,	1,	3,	1.100,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12721,	3681,	420,	2,	3,	4,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12722,	3681,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12723,	3681,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12724,	3681,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12725,	3681,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12726,	3681,	1425,	2.5,	1,	3,	1.900,	0.00,	0.000,	4.750,	'',	NULL,	NULL),
(12727,	3682,	282,	4,	3,	33,	18.500,	0.00,	0.000,	74.000,	'',	NULL,	NULL),
(12732,	3684,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12733,	3685,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(12734,	3686,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12735,	3686,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12736,	3687,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12737,	3683,	33,	30,	3,	4,	1.400,	0.00,	0.000,	42.000,	'',	NULL,	NULL),
(12738,	3683,	152,	8,	1,	3,	1.100,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(12739,	3683,	1425,	1.4,	1,	3,	1.900,	0.00,	0.000,	2.660,	'',	NULL,	NULL),
(12741,	3688,	1498,	2,	3,	3,	6.800,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(12742,	3689,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(12743,	3689,	1312,	20,	63,	84,	2.500,	0.00,	0.000,	50.000,	'',	NULL,	NULL),
(12744,	3690,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(12745,	3690,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12747,	3691,	1098,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(12750,	3692,	279,	6,	3,	3,	4.500,	0.00,	0.000,	27.000,	'',	NULL,	NULL),
(12751,	3692,	1563,	5,	3,	110,	5.900,	0.00,	0.000,	29.500,	'',	NULL,	NULL),
(12752,	3693,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12753,	3694,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(12754,	3695,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12755,	3696,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(12756,	3696,	1131,	3,	7,	3,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12757,	3697,	1839,	1,	63,	3,	1.814,	5.00,	0.091,	1.905,	'',	NULL,	NULL),
(12758,	3698,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12759,	3699,	932,	1,	3,	24,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12760,	3700,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12761,	3700,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12762,	3700,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12763,	3700,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12764,	3700,	667,	0.5,	3,	3,	17.800,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(12765,	3701,	1491,	5,	3,	3,	1.300,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(12769,	3703,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12770,	3704,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12771,	3704,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12773,	3705,	33,	10,	3,	4,	1.400,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(12774,	3702,	799,	1,	4,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(12775,	3702,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12776,	3702,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12777,	3702,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12778,	3702,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12779,	3706,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12780,	3706,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12781,	3707,	676,	1,	3,	56,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(12783,	3709,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(12784,	3709,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12785,	3709,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12792,	3708,	1044,	1.8,	1,	3,	1.000,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12793,	3708,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(12795,	3710,	1835,	2,	3,	3,	4.500,	5.00,	0.450,	9.450,	'',	NULL,	NULL),
(12796,	3711,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12797,	3712,	1298,	1,	1,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12798,	3712,	207,	0.1,	1,	3,	8.000,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(12799,	3712,	1854,	0.1,	1,	3,	8.000,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(12800,	3713,	1251,	1,	3,	3,	3.850,	5.00,	0.193,	4.043,	'',	NULL,	NULL),
(12801,	3714,	1579,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12802,	3715,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(12803,	3715,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12804,	3715,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12805,	3716,	932,	10,	3,	79,	2.000,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(12806,	3717,	1835,	6,	3,	3,	4.500,	5.00,	1.350,	28.350,	'',	NULL,	NULL),
(12807,	3718,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(12808,	3719,	1353,	4,	3,	3,	5.500,	0.00,	0.000,	22.000,	'',	NULL,	NULL),
(12819,	3721,	676,	2,	3,	56,	12.800,	0.00,	0.000,	25.600,	'',	NULL,	NULL),
(12825,	3720,	152,	2.5,	1,	3,	1.100,	0.00,	0.000,	2.750,	'',	NULL,	NULL),
(12826,	3720,	676,	1,	3,	56,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(12827,	3720,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12828,	3720,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12829,	3720,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12830,	3722,	1563,	1,	3,	110,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(12833,	3723,	932,	3,	3,	79,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12834,	3724,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12835,	3725,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12844,	3727,	1298,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(12848,	3728,	676,	1,	3,	56,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(12849,	3728,	753,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(12850,	3728,	753,	1,	3,	39,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(12851,	3726,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12852,	3726,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12853,	3726,	1127,	5,	3,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(12855,	3730,	1526,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(12856,	3730,	933,	2,	7,	3,	4.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(12857,	3730,	808,	1,	10,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(12858,	3730,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12859,	3730,	170,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(12860,	3730,	65,	1,	3,	13,	11.200,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(12861,	3731,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(12865,	3732,	528,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(12866,	3732,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12867,	3732,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12868,	3729,	1131,	2,	3,	6,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(12874,	3733,	799,	1,	3,	5,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(12875,	3733,	808,	3,	3,	3,	6.500,	0.00,	0.000,	19.500,	'',	NULL,	NULL),
(12876,	3733,	932,	1,	3,	24,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12877,	3733,	1610,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12878,	3733,	1766,	5,	3,	3,	0.400,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12898,	3735,	501,	0.5,	1,	3,	2.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(12899,	3734,	33,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(12900,	3734,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(12901,	3734,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(12902,	3734,	969,	4,	3,	3,	5.900,	0.00,	0.000,	23.600,	'',	NULL,	NULL),
(12903,	3734,	1138,	4,	3,	3,	1.400,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(12904,	3734,	1344,	3,	3,	20,	3.600,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12905,	3734,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12906,	3736,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12907,	3736,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12908,	3737,	501,	1,	3,	3,	8.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(12909,	3737,	736,	0.5,	3,	3,	26.800,	0.00,	0.000,	13.400,	'',	NULL,	NULL),
(12910,	3738,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12914,	3740,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(12915,	3739,	152,	7,	1,	3,	1.100,	0.00,	0.000,	7.700,	'',	NULL,	NULL),
(12916,	3739,	1257,	2,	3,	3,	3.810,	5.00,	0.381,	8.001,	'',	NULL,	NULL),
(12917,	3739,	1563,	4,	3,	110,	6.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(12918,	3741,	799,	3,	4,	5,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(12919,	3742,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(12920,	3742,	932,	1,	3,	79,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12921,	3742,	1344,	2,	3,	25,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12924,	3744,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12927,	3743,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(12928,	3743,	902,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12929,	3745,	767,	3,	1,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(12930,	3745,	1835,	1,	3,	3,	4.500,	5.00,	0.225,	4.725,	'',	NULL,	NULL),
(12931,	3746,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(12932,	3747,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(12933,	3748,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12934,	3748,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12935,	3749,	1131,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(12936,	3749,	1131,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12937,	3750,	1138,	5,	3,	3,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(12938,	3750,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(12939,	3750,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12940,	3750,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(12941,	3750,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12942,	3750,	1839,	6,	63,	3,	1.700,	5.00,	0.510,	10.710,	'',	NULL,	NULL),
(12943,	3751,	2021,	2,	3,	3,	4.700,	5.00,	0.470,	9.870,	'',	NULL,	NULL),
(12948,	3753,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(12949,	3754,	1313,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(12950,	3754,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(12951,	3755,	811,	2,	3,	3,	6.700,	0.00,	0.000,	13.400,	'',	NULL,	NULL),
(12952,	3755,	799,	2,	3,	5,	6.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(12956,	3757,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12957,	3757,	808,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(12958,	3757,	933,	1,	7,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(12959,	3758,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12960,	3758,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12961,	3758,	1610,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12962,	3758,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(12963,	3758,	1071,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(12964,	3758,	1839,	5,	63,	3,	1.800,	5.00,	0.450,	9.450,	'',	NULL,	NULL),
(12965,	3758,	765,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(12966,	3758,	753,	1,	3,	5,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(12967,	3758,	753,	10,	63,	3,	1.800,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(12968,	3759,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(12969,	3756,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(12970,	3756,	753,	3,	63,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12971,	3756,	1344,	1,	3,	20,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(12972,	3752,	1587,	1,	4,	33,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(12973,	3752,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(12974,	3752,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(12975,	3752,	1439,	2,	4,	23,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(12976,	3752,	1726,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(12978,	3760,	774,	1,	3,	3,	6.700,	0.00,	0.000,	6.700,	'',	NULL,	NULL),
(12979,	3761,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(12986,	3762,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(12987,	3762,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12988,	3762,	753,	3,	63,	2,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(12989,	3762,	766,	3,	3,	3,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(12990,	3762,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(12991,	3762,	1138,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(12992,	3763,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(12994,	3764,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(12997,	3765,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(12998,	3765,	1344,	1,	3,	72,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13001,	3766,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13002,	3766,	1131,	2,	7,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13005,	3767,	1425,	0.5,	1,	3,	1.900,	0.00,	0.000,	0.950,	'',	NULL,	NULL),
(13006,	3767,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(13007,	3767,	1251,	3,	4,	3,	0.480,	5.00,	0.072,	1.512,	'',	NULL,	NULL),
(13008,	3768,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13009,	3769,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13010,	3769,	1425,	2.1,	1,	3,	1.900,	0.00,	0.000,	3.990,	'',	NULL,	NULL),
(13011,	3769,	933,	1,	7,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13012,	3769,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13013,	3769,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(13014,	3770,	933,	1,	7,	3,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(13015,	3771,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13016,	3772,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(13018,	3774,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(13019,	3774,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(13020,	3773,	682,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(13041,	3775,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(13042,	3775,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13043,	3775,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13044,	3775,	1131,	2,	3,	6,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(13045,	3775,	1166,	3,	3,	3,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13046,	3776,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13047,	3776,	1060,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13048,	3777,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(13049,	3777,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13050,	3777,	178,	4,	1,	3,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13051,	3777,	682,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(13052,	3777,	753,	4,	63,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(13053,	3778,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13054,	3779,	553,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(13059,	3780,	501,	0.2,	1,	3,	2.000,	0.00,	0.000,	0.400,	'',	NULL,	NULL),
(13060,	3780,	667,	0.5,	3,	63,	18.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13061,	3780,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13062,	3780,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13063,	3781,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13072,	3783,	676,	1,	3,	56,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(13073,	3783,	1251,	1,	4,	3,	0.480,	5.00,	0.024,	0.504,	'',	NULL,	NULL),
(13074,	3783,	1312,	1,	63,	84,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13075,	3783,	1891,	1,	4,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(13076,	3784,	1959,	0.5,	1,	3,	1.600,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(13077,	3784,	767,	0.5,	1,	3,	1.600,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(13078,	3784,	1726,	2,	3,	3,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(13079,	3785,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13080,	3785,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13088,	3787,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13089,	3787,	1301,	1,	63,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(13090,	3788,	799,	2,	3,	5,	5.900,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(13091,	3789,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13092,	3790,	1610,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13097,	3791,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13098,	3792,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13099,	3792,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(13103,	3794,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13104,	3794,	1138,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13105,	3794,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13106,	3794,	1060,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13112,	3793,	156,	1,	3,	3,	3.700,	0.00,	0.000,	3.700,	'',	NULL,	NULL),
(13113,	3793,	170,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13114,	3793,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13115,	3793,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13116,	3793,	1610,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13117,	3795,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13118,	3796,	753,	2,	3,	39,	4.400,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(13119,	3796,	1066,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13120,	3796,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13121,	3797,	279,	6,	4,	3,	0.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13122,	3798,	676,	0.5,	3,	56,	12.800,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(13123,	3799,	279,	1,	3,	3,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(13124,	3799,	1138,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13133,	3801,	1044,	2.5,	1,	3,	0.900,	0.00,	0.000,	2.250,	'',	NULL,	NULL),
(13138,	3802,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13139,	3802,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13140,	3782,	1071,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(13141,	3782,	1138,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13142,	3782,	1312,	8,	63,	84,	2.500,	0.00,	0.000,	20.000,	'',	NULL,	NULL),
(13143,	3782,	1344,	1,	3,	25,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13150,	3803,	1044,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(13158,	3805,	501,	1,	3,	3,	8.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(13159,	3805,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13160,	3805,	1839,	3,	63,	3,	1.800,	5.00,	0.270,	5.670,	'',	NULL,	NULL),
(13161,	3805,	955,	1,	1,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13162,	3805,	1563,	2,	3,	111,	5.900,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(13163,	3805,	932,	3,	3,	79,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13164,	3805,	1344,	2,	3,	19,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(13165,	3805,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13166,	3805,	1174,	6,	3,	3,	2.600,	0.00,	0.000,	15.600,	'',	NULL,	NULL),
(13167,	3805,	178,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(13168,	3805,	249,	1,	63,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13169,	3805,	753,	3,	63,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13170,	3805,	808,	2,	3,	4,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(13171,	3805,	1622,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(13172,	3805,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(13173,	3806,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(13174,	3806,	1174,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(13175,	3806,	1124,	3,	3,	3,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(13177,	3786,	178,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(13178,	3786,	551,	5,	6,	3,	0.200,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(13179,	3786,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13180,	3786,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(13181,	3786,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(13182,	3786,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13183,	3786,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13184,	3786,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13185,	3807,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13186,	3808,	21,	1,	3,	11,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(13201,	3804,	1839,	1,	63,	3,	1.800,	5.00,	0.090,	1.890,	'',	NULL,	NULL),
(13202,	3804,	57,	1,	3,	14,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13203,	3804,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13204,	3804,	753,	5,	63,	3,	1.800,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13205,	3804,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13206,	3804,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13207,	3804,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(13228,	3800,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13229,	3800,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13230,	3800,	279,	1,	3,	3,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(13231,	3800,	466,	1,	4,	1,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13232,	3800,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13233,	3800,	1127,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(13234,	3800,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(13235,	3800,	1434,	1,	10,	4,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(13236,	3800,	1587,	1,	4,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13237,	3800,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13238,	3809,	736,	1,	10,	4,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(13241,	3811,	1124,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13242,	3812,	955,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(13243,	3812,	450,	3,	1,	3,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13244,	3812,	1717,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13245,	3812,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(13246,	3813,	1260,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(13252,	3810,	33,	1,	3,	9,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(13253,	3810,	682,	1,	3,	3,	10.700,	0.00,	0.000,	10.700,	'',	NULL,	NULL),
(13254,	3815,	1260,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(13261,	3814,	551,	1,	63,	3,	3.900,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(13262,	3814,	57,	2,	7,	14,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13263,	3814,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(13264,	3814,	178,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(13265,	3814,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13266,	3814,	1179,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13267,	3814,	1298,	3,	1,	3,	1.400,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(13268,	3816,	1044,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13270,	3817,	1044,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13271,	3818,	1514,	1,	3,	3,	6.800,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(13272,	3819,	750,	0.5,	1,	3,	3.400,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13273,	3819,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13274,	3819,	963,	0.5,	1,	3,	3.400,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13275,	3819,	130,	2,	4,	23,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13276,	3820,	676,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(13277,	3821,	76,	1,	3,	13,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(13281,	3822,	682,	3,	3,	3,	10.800,	0.00,	0.000,	32.400,	'',	NULL,	NULL),
(13282,	3822,	753,	10,	63,	3,	1.700,	0.00,	0.000,	17.000,	'',	NULL,	NULL),
(13283,	3822,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(13284,	3822,	1839,	3,	63,	3,	1.800,	5.00,	0.270,	5.670,	'',	NULL,	NULL),
(13285,	3823,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13286,	3823,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13287,	3823,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13288,	3823,	1312,	2,	63,	84,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(13290,	3825,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13291,	3825,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13292,	3825,	76,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13293,	3825,	972,	3,	1,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(13294,	3825,	130,	1,	4,	23,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13295,	3825,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(13296,	3825,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13297,	3825,	1344,	1,	3,	19,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13298,	3826,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13299,	3826,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13300,	3826,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13302,	3824,	1563,	5,	6,	110,	0.600,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13303,	3827,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13304,	3828,	466,	2,	4,	1,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13305,	3828,	1261,	2,	4,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13306,	3828,	1726,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13307,	3828,	932,	2,	6,	24,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13308,	3828,	1131,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13309,	3828,	152,	4,	1,	3,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13310,	3828,	18,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13311,	3828,	31,	2,	7,	15,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13312,	3828,	1622,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13313,	3829,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'second',	NULL,	NULL),
(13315,	3831,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13316,	3831,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13317,	3831,	1626,	3,	3,	71,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(13318,	3831,	678,	0.5,	3,	3,	12.800,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(13320,	3832,	21,	2,	7,	7,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13323,	3834,	799,	1,	4,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(13324,	3834,	932,	1,	6,	79,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13325,	3834,	766,	5,	3,	3,	2.400,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(13326,	3834,	753,	20,	63,	3,	1.700,	0.00,	0.000,	34.000,	'',	NULL,	NULL),
(13327,	3834,	528,	5,	3,	3,	3.000,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(13328,	3834,	676,	2,	3,	56,	12.800,	0.00,	0.000,	25.600,	'',	NULL,	NULL),
(13329,	3835,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13332,	3836,	676,	1,	3,	4,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13333,	3830,	122,	1,	4,	23,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13334,	3837,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13339,	3838,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13340,	3838,	1179,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13341,	3838,	1344,	1,	3,	72,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13342,	3838,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13343,	3839,	1131,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13344,	3839,	1131,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13345,	3840,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13346,	3841,	1659,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13347,	3841,	1312,	1,	63,	55,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(13348,	3841,	753,	1,	63,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13349,	3841,	76,	2,	7,	15,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13350,	3841,	57,	2,	7,	15,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(13351,	3841,	1138,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(13352,	3841,	1131,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13353,	3841,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13354,	3841,	1579,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13355,	3841,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13356,	3841,	1735,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13357,	3841,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13358,	3841,	933,	1,	7,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13359,	3841,	557,	1,	3,	3,	6.400,	5.00,	0.320,	6.720,	'',	NULL,	NULL),
(13360,	3841,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13361,	3841,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13362,	3841,	1344,	3,	3,	20,	3.500,	0.00,	0.000,	10.500,	'',	NULL,	NULL),
(13363,	3842,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13364,	3842,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13365,	3843,	1839,	2,	63,	3,	1.800,	5.00,	0.180,	3.780,	'',	NULL,	NULL),
(13366,	3843,	1127,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13367,	3844,	1124,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(13368,	3845,	120,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(13369,	3846,	120,	1,	4,	23,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(13370,	3846,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(13371,	3846,	1179,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13372,	3846,	1060,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13373,	3833,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13374,	3833,	1312,	1,	63,	84,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13375,	3847,	1344,	1,	3,	29,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13376,	3848,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13377,	3848,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13378,	3848,	1060,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13379,	3849,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(13380,	3850,	76,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13381,	3851,	1131,	1,	3,	6,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(13383,	3852,	275,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(13384,	3853,	1044,	1.1,	1,	3,	1.000,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(13385,	3853,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13386,	3854,	1044,	3,	3,	3,	4.800,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(13392,	3855,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(13393,	3855,	799,	5,	4,	5,	0.600,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13394,	3855,	1442,	1,	3,	23,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13395,	3855,	1491,	2,	3,	3,	1.300,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13396,	3855,	1563,	1,	3,	105,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13397,	3856,	123,	3,	4,	2,	1.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13398,	3857,	152,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13399,	3857,	766,	5,	3,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(13400,	3857,	1839,	3,	63,	3,	1.800,	5.00,	0.270,	5.670,	'',	NULL,	NULL),
(13401,	3857,	152,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(13402,	3857,	420,	10,	3,	3,	1.600,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(13403,	3857,	528,	10,	3,	3,	2.900,	0.00,	0.000,	29.000,	'',	NULL,	NULL),
(13404,	3858,	932,	1,	6,	24,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13405,	3859,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(13406,	3860,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(13407,	3860,	932,	1,	6,	1,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13408,	3860,	122,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13409,	3860,	420,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13410,	3860,	31,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13411,	3860,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(13412,	3860,	1344,	1,	3,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13413,	3860,	1174,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13414,	3860,	466,	1,	4,	1,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13415,	3860,	1127,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13416,	3861,	170,	1,	3,	2,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(13417,	3862,	932,	1,	6,	24,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13435,	3863,	501,	0.25,	1,	3,	2.000,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(13436,	3863,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13437,	3863,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(13438,	3863,	1060,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13439,	3863,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13440,	3863,	1563,	1,	3,	105,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13445,	3864,	33,	1,	3,	9,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(13446,	3864,	168,	4,	3,	3,	2.100,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(13447,	3864,	1138,	5,	3,	3,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(13448,	3864,	1186,	4,	3,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(13449,	3865,	678,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(13450,	3866,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13454,	3868,	765,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(13455,	3869,	1726,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(13456,	3870,	551,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(13457,	3870,	16,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13458,	3871,	1251,	3,	1,	3,	0.480,	5.00,	0.072,	1.512,	'',	NULL,	NULL),
(13465,	3872,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13466,	3872,	765,	0.5,	1,	3,	1.700,	0.00,	0.000,	0.850,	'',	NULL,	NULL),
(13467,	3872,	1127,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13468,	3872,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13469,	3872,	1351,	2,	3,	20,	6.200,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(13470,	3873,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13471,	3873,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13473,	3874,	1344,	1,	3,	72,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13474,	3875,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13475,	3876,	1127,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(13476,	3877,	1127,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13477,	3878,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13478,	3878,	1044,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13479,	3878,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13480,	3878,	1345,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13481,	3878,	1563,	3,	6,	111,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13482,	3878,	1127,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(13484,	3879,	1959,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(13485,	3880,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13488,	3881,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13489,	3881,	1312,	2,	63,	84,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(13491,	3882,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13492,	3883,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13493,	3883,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(13494,	3883,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13495,	3883,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13497,	3885,	1312,	3,	63,	84,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(13498,	3884,	844,	1,	3,	3,	14.200,	0.00,	0.000,	14.200,	'',	NULL,	NULL),
(13499,	3884,	152,	1.7,	1,	3,	1.100,	0.00,	0.000,	1.870,	'',	NULL,	NULL),
(13523,	3888,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13524,	3889,	1344,	1,	3,	72,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13525,	3889,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(13526,	3889,	1470,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13527,	3867,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13528,	3867,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13529,	3867,	1735,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13530,	3890,	1626,	2,	3,	71,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13538,	3887,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13539,	3887,	932,	1,	7,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13540,	3887,	1127,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13541,	3887,	1131,	2.5,	3,	6,	2.800,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(13542,	3887,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13543,	3887,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13544,	3887,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(13545,	3891,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13546,	3886,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13547,	3886,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13548,	3886,	676,	0.5,	3,	3,	12.800,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(13549,	3886,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13550,	3886,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13551,	3886,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13552,	3886,	1138,	5,	3,	3,	1.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(13553,	3886,	1434,	2,	10,	4,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13554,	3886,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13558,	3892,	1344,	2,	3,	72,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13559,	3893,	1312,	1,	63,	45,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(13560,	3894,	1647,	2,	63,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13561,	3895,	76,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13562,	3895,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13563,	3895,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13564,	3895,	667,	0.5,	3,	3,	17.800,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(13565,	3896,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13566,	3896,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13569,	3897,	1839,	150,	63,	3,	1.700,	5.00,	12.750,	267.750,	'',	NULL,	NULL),
(13575,	3898,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13576,	3898,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13577,	3898,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13578,	3898,	1563,	4,	6,	111,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13579,	3898,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(13580,	3899,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(13582,	3900,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13583,	3901,	753,	1,	63,	4,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13584,	3902,	152,	2.7,	3,	3,	1.100,	0.00,	0.000,	2.970,	'',	NULL,	NULL),
(13585,	3903,	1044,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13586,	3904,	799,	2,	4,	5,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(13587,	3904,	932,	1,	3,	79,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13588,	3905,	152,	2.2,	1,	3,	1.100,	0.00,	0.000,	2.420,	'',	NULL,	NULL),
(13589,	3905,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13590,	3906,	808,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(13591,	3907,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(13594,	3908,	152,	6.5,	1,	3,	1.100,	0.00,	0.000,	7.150,	'',	NULL,	NULL),
(13595,	3908,	774,	1,	10,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(13604,	3909,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13605,	3909,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13606,	3909,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(13607,	3909,	678,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(13608,	3909,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13609,	3909,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13610,	3909,	1060,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(13611,	3909,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(13613,	3911,	1124,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13614,	3912,	450,	2,	1,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13615,	3910,	932,	1,	3,	79,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13617,	3914,	1251,	3,	4,	3,	0.480,	5.00,	0.072,	1.512,	'',	NULL,	NULL),
(13625,	3915,	306,	1.9,	1,	3,	1.400,	0.00,	0.000,	2.660,	'',	NULL,	NULL),
(13626,	3915,	1717,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13627,	3916,	1717,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13628,	3917,	753,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(13629,	3918,	1839,	3,	63,	3,	1.900,	5.00,	0.285,	5.985,	'',	NULL,	NULL),
(13630,	3918,	753,	2,	3,	39,	4.600,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(13631,	3918,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(13632,	3918,	677,	1,	3,	56,	12.800,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(13635,	3920,	57,	1,	3,	14,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13636,	3920,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(13637,	3919,	652,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13638,	3919,	799,	3,	3,	5,	5.900,	0.00,	0.000,	17.700,	'',	NULL,	NULL),
(13639,	3919,	808,	5,	3,	3,	6.500,	0.00,	0.000,	32.500,	'',	NULL,	NULL),
(13640,	3921,	153,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(13641,	3922,	76,	5,	3,	15,	9.800,	0.00,	0.000,	49.000,	'',	NULL,	NULL),
(13642,	3923,	932,	1,	3,	24,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13643,	3923,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13644,	3923,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(13645,	3923,	753,	1,	3,	5,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(13646,	3923,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13647,	3923,	969,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(13648,	3923,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13649,	3924,	450,	1,	1,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(13650,	3925,	156,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13664,	3927,	963,	1,	1,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13667,	3928,	1839,	2,	63,	3,	1.900,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(13668,	3929,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(13669,	3926,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13670,	3926,	651,	1,	3,	6,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(13671,	3926,	808,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(13672,	3926,	1127,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13673,	3926,	1351,	1,	3,	20,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13676,	3931,	551,	1,	63,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(13679,	3932,	501,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13680,	3932,	1044,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(13696,	3930,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13697,	3930,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13698,	3930,	1044,	3.8,	3,	3,	0.800,	0.00,	0.000,	3.040,	'',	NULL,	NULL),
(13699,	3930,	1131,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13700,	3930,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13701,	3933,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13702,	3934,	152,	5,	1,	3,	1.080,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13703,	3934,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13704,	3935,	1766,	10,	3,	3,	0.400,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13705,	3936,	1766,	2,	3,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13706,	3936,	1127,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13707,	3936,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13708,	3937,	1766,	30,	3,	3,	0.800,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(13709,	3938,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13710,	3939,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13711,	3939,	1071,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13712,	3940,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13713,	3941,	450,	2.9,	1,	3,	0.800,	0.00,	0.000,	2.320,	'',	NULL,	NULL),
(13714,	3942,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13719,	3943,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13720,	3943,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13721,	3943,	1060,	1,	3,	4,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13722,	3943,	1127,	5,	3,	3,	1.900,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(13723,	3944,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13724,	3945,	1174,	3,	3,	3,	2.900,	0.00,	0.000,	8.700,	'',	NULL,	NULL),
(13725,	3945,	1435,	2,	7,	23,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13726,	3945,	122,	2,	4,	23,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13727,	3945,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13728,	3946,	1835,	1,	3,	3,	4.500,	5.00,	0.225,	4.725,	'',	NULL,	NULL),
(13729,	3947,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13730,	3948,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13731,	3948,	1166,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13732,	3948,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13733,	3948,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13734,	3949,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13735,	3950,	1435,	1,	1,	23,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(13736,	3950,	1470,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13737,	3950,	1878,	1,	10,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13738,	3950,	1166,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13739,	3950,	876,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(13747,	3951,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13748,	3951,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13749,	3951,	528,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13750,	3951,	1071,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(13751,	3951,	1138,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13752,	3951,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13753,	3951,	1344,	1,	3,	103,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(13754,	3913,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13755,	3913,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13756,	3913,	528,	2,	3,	3,	2.900,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13757,	3913,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13758,	3913,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13759,	3913,	1060,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13760,	3913,	1351,	1,	3,	20,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13761,	3952,	450,	1,	1,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(13762,	3953,	1131,	2,	3,	6,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(13763,	3953,	1174,	5,	3,	3,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(13768,	3954,	450,	1.2,	1,	3,	0.800,	0.00,	0.000,	0.960,	'',	NULL,	NULL),
(13769,	3954,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(13770,	3954,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13771,	3954,	1563,	2,	3,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13772,	3955,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13773,	3956,	688,	2,	3,	3,	12.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(13774,	3956,	1344,	1,	3,	25,	3.100,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(13775,	3956,	968,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(13776,	3956,	1717,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13777,	3956,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13778,	3956,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13779,	3956,	753,	4,	63,	3,	1.700,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(13780,	3956,	1839,	6,	63,	3,	1.800,	5.00,	0.540,	11.340,	'',	NULL,	NULL),
(13781,	3957,	1526,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(13782,	3958,	21,	1,	3,	9,	9.500,	0.00,	0.000,	9.500,	'',	NULL,	NULL),
(13783,	3959,	693,	1,	3,	3,	15.500,	0.00,	0.000,	15.500,	'',	NULL,	NULL),
(13784,	3960,	1388,	1,	3,	3,	8.000,	5.00,	0.400,	8.400,	'',	NULL,	NULL),
(13785,	3961,	1251,	4,	3,	3,	3.800,	5.00,	0.760,	15.960,	'',	NULL,	NULL),
(13794,	3962,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13795,	3962,	279,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(13796,	3962,	1152,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(13797,	3962,	1166,	4,	3,	3,	1.500,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13798,	3962,	1174,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(13799,	3962,	1344,	1,	3,	25,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13800,	3962,	1514,	1,	3,	3,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(13801,	3962,	1766,	3,	3,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(13802,	3963,	932,	2,	6,	24,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13803,	3963,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(13804,	3963,	1344,	1,	3,	25,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13805,	3963,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(13806,	3964,	667,	1,	3,	63,	17.900,	0.00,	0.000,	17.900,	'',	NULL,	NULL),
(13807,	3965,	1433,	1,	1,	23,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13808,	3965,	1127,	1,	3,	3,	0.200,	0.00,	0.000,	0.200,	'',	NULL,	NULL),
(13809,	3965,	1587,	1,	4,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13810,	3965,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(13811,	3965,	279,	5,	4,	5,	0.600,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13812,	3965,	122,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(13813,	3965,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13814,	3966,	1563,	1,	6,	110,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13815,	3967,	249,	1,	63,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13816,	3968,	676,	1.5,	3,	4,	10.800,	0.00,	0.000,	16.200,	'',	NULL,	NULL),
(13817,	3968,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13818,	3968,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13819,	3969,	1992,	1,	1,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13820,	3969,	1872,	1,	3,	3,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(13828,	3970,	76,	1,	7,	13,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(13829,	3970,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13830,	3970,	808,	1,	10,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(13831,	3970,	932,	1,	3,	24,	5.200,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(13832,	3970,	1174,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13833,	3970,	1351,	2,	3,	20,	6.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(13834,	3970,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13836,	3971,	1959,	4.8,	1,	3,	1.400,	0.00,	0.000,	6.720,	'',	NULL,	NULL),
(13837,	3972,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13838,	3973,	1124,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13839,	3974,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13840,	3975,	932,	2,	6,	24,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13845,	3976,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(13846,	3976,	309,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(13847,	3976,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(13848,	3976,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13849,	3977,	279,	2,	7,	3,	4.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13850,	3977,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(13851,	3977,	377,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(13852,	3977,	1166,	12,	3,	3,	2.000,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(13853,	3978,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13854,	3978,	1717,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(13855,	3979,	1565,	5.2,	1,	3,	1.300,	0.00,	0.000,	6.760,	'',	NULL,	NULL),
(13862,	3981,	1959,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(13863,	3981,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13864,	3981,	693,	1,	3,	3,	16.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(13865,	3982,	1127,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13866,	3983,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13867,	3980,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13868,	3980,	799,	5,	3,	5,	5.900,	0.00,	0.000,	29.500,	'',	NULL,	NULL),
(13869,	3980,	1201,	5,	3,	3,	4.200,	5.00,	1.050,	22.050,	'',	NULL,	NULL),
(13870,	3984,	1344,	1,	3,	25,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13871,	3985,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13872,	3985,	766,	3,	3,	3,	2.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(13873,	3986,	1179,	2,	3,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13881,	3987,	152,	5,	1,	3,	1.080,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13882,	3987,	178,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13883,	3987,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13884,	3987,	767,	4,	1,	3,	1.300,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(13885,	3987,	932,	1,	3,	24,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13886,	3987,	1138,	10,	3,	3,	1.300,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(13887,	3987,	1959,	2,	1,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(13888,	3988,	45,	1,	3,	7,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13889,	3988,	1959,	5,	1,	3,	1.400,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(13890,	3988,	752,	1,	4,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13891,	3988,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13892,	3988,	76,	1,	3,	7,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(13893,	3989,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(13894,	3990,	1174,	2,	3,	3,	2.700,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13898,	3991,	528,	3,	3,	3,	2.800,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(13899,	3991,	753,	5,	63,	3,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(13900,	3991,	766,	4,	3,	3,	2.500,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(13901,	3992,	152,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(13902,	3992,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13903,	3993,	122,	1,	4,	23,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(13904,	3994,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13905,	3995,	1563,	1,	3,	110,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13906,	3996,	1186,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13907,	3997,	178,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13908,	3998,	1567,	3,	6,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(13909,	3998,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13910,	3998,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13911,	3998,	736,	4,	10,	4,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13912,	3998,	122,	2,	4,	23,	1.050,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(13913,	3998,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(13914,	3999,	932,	2,	6,	24,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(13915,	4000,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13916,	4001,	803,	1,	3,	3,	7.000,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(13917,	4002,	1044,	2,	3,	3,	4.800,	0.00,	0.000,	9.600,	'',	NULL,	NULL),
(13925,	4004,	1367,	1,	3,	20,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(13926,	4005,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13927,	4005,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(13928,	4005,	1138,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13937,	4003,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(13938,	4003,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13939,	4003,	678,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(13940,	4003,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(13941,	4003,	1138,	10,	3,	3,	1.400,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(13942,	4003,	1344,	1,	3,	31,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13943,	4003,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13944,	4003,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13945,	4006,	932,	3,	6,	24,	0.900,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(13946,	4007,	1344,	1,	3,	31,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13947,	4008,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'gi',	NULL,	NULL),
(13948,	4008,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(13949,	4008,	1726,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(13950,	4008,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(13951,	4008,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(13952,	4008,	1659,	1,	63,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(13953,	4008,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13954,	4008,	1563,	1,	3,	105,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(13955,	4009,	1166,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13956,	4009,	152,	10,	1,	3,	1.100,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(13957,	4009,	1425,	3.2,	1,	3,	1.900,	0.00,	0.000,	6.080,	'',	NULL,	NULL),
(13958,	4010,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13960,	4012,	1563,	1,	6,	105,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(13961,	4012,	676,	1,	7,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(13962,	4012,	1626,	1,	3,	105,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13963,	4013,	765,	1,	1,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(13964,	4013,	178,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13965,	4013,	525,	0.5,	1,	3,	1.000,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(13966,	4013,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(13967,	4014,	1071,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(13968,	4015,	1312,	1,	63,	79,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(13969,	4016,	285,	1,	4,	33,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(13970,	4011,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(13989,	4017,	57,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(13990,	4017,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(13991,	4017,	170,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(13992,	4017,	667,	1,	3,	3,	17.800,	0.00,	0.000,	17.800,	'',	NULL,	NULL),
(13993,	4017,	676,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(13994,	4017,	753,	2,	63,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(13995,	4017,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(13996,	4017,	1071,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(13997,	4017,	1840,	2,	3,	3,	1.900,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(13998,	4018,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(13999,	4018,	667,	1,	3,	60,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(14000,	4018,	551,	1,	63,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(14001,	4018,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14002,	4018,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14003,	4018,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14004,	4019,	1959,	0.5,	1,	3,	1.400,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(14005,	4020,	1131,	2,	3,	6,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(14006,	4021,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14007,	4021,	1060,	3,	3,	3,	3.400,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(14008,	4021,	170,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(14015,	4023,	1138,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14016,	4023,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14017,	4023,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14018,	4023,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14019,	4023,	1839,	2,	63,	3,	1.900,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(14020,	4022,	902,	1,	1,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(14021,	4022,	178,	1,	3,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14022,	4022,	551,	6,	6,	3,	0.160,	5.00,	0.048,	1.008,	'',	NULL,	NULL),
(14023,	4022,	753,	1,	4,	39,	0.300,	0.00,	0.000,	0.300,	'',	NULL,	NULL),
(14024,	4022,	767,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14025,	4022,	1298,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14026,	4022,	1659,	1,	63,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14027,	4024,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14028,	4024,	501,	4,	1,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(14029,	4025,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14030,	4025,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14031,	4025,	678,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(14032,	4026,	1260,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(14033,	4027,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14034,	4027,	1470,	1,	3,	3,	6.500,	0.00,	0.000,	6.500,	'',	NULL,	NULL),
(14035,	4027,	1439,	1,	3,	23,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14036,	4027,	122,	1,	3,	23,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(14037,	4028,	73,	1,	7,	8,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14038,	4029,	933,	1,	7,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14039,	4030,	1071,	2,	3,	3,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14040,	4031,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14041,	4031,	758,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14042,	4032,	122,	1,	4,	23,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14043,	4032,	1439,	1,	4,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14044,	4032,	275,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14045,	4032,	1470,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14046,	4032,	1563,	2,	6,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14047,	4032,	1344,	1,	3,	29,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14048,	4033,	1437,	1,	3,	3,	7.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(14051,	4034,	152,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14052,	4034,	168,	30,	3,	3,	2.100,	0.00,	0.000,	63.000,	'',	NULL,	NULL),
(14053,	4035,	688,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(14054,	4036,	1425,	6,	1,	3,	2.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(14055,	4036,	450,	2,	1,	3,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14056,	4036,	450,	4,	1,	3,	0.800,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14057,	4037,	1563,	3,	6,	110,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14058,	4037,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14059,	4037,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14060,	4038,	677,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(14061,	4038,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14062,	4038,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14063,	4039,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14064,	4040,	401,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14065,	4040,	370,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14066,	4040,	152,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14067,	4041,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14068,	4042,	676,	3,	7,	3,	1.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14069,	4043,	1344,	1,	3,	25,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14070,	4044,	152,	3,	1,	3,	1.200,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14074,	4046,	1647,	1,	63,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14075,	4045,	1260,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(14076,	4045,	370,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14077,	4045,	401,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14078,	4045,	573,	5,	4,	3,	0.550,	0.00,	0.000,	2.750,	'',	NULL,	NULL),
(14079,	4047,	678,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(14081,	4048,	682,	70,	3,	3,	10.600,	0.00,	0.000,	742.000,	'',	NULL,	NULL),
(14082,	4049,	799,	6,	4,	5,	0.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14083,	4049,	73,	1,	7,	8,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14084,	4049,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14085,	4049,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14086,	4049,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14087,	4049,	1344,	2,	3,	29,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(14088,	4049,	170,	1,	3,	2,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14093,	4050,	33,	1,	3,	4,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14094,	4050,	122,	2,	4,	23,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14095,	4050,	123,	1,	4,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14096,	4050,	1433,	2,	7,	23,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14099,	4051,	123,	1,	4,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14100,	4051,	736,	2,	10,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14101,	4052,	1344,	1,	3,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14108,	4053,	122,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14109,	4053,	156,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14110,	4053,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14111,	4053,	1344,	3,	3,	4,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14112,	4053,	1434,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14113,	4053,	1514,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(14114,	4054,	122,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14115,	4054,	1433,	1,	3,	23,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14116,	4054,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14117,	4054,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14118,	4054,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14119,	4054,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14120,	4054,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14121,	4054,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14122,	4055,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14123,	4056,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14124,	4057,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14125,	4058,	1425,	1,	1,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(14126,	4058,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14127,	4058,	1712,	3,	4,	3,	0.400,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14128,	4058,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14129,	4058,	676,	0.5,	3,	3,	6.200,	0.00,	0.000,	3.100,	'',	NULL,	NULL),
(14130,	4058,	1726,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14131,	4058,	1251,	1,	4,	3,	0.480,	5.00,	0.024,	0.504,	'',	NULL,	NULL),
(14132,	4058,	122,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14133,	4058,	1570,	2,	4,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14134,	4058,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14135,	4058,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14136,	4058,	1344,	1,	10,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14137,	4059,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14144,	4060,	306,	0.8,	1,	3,	1.400,	0.00,	0.000,	1.120,	'',	NULL,	NULL),
(14145,	4060,	799,	3,	4,	5,	0.700,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14146,	4060,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(14147,	4060,	1425,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14148,	4060,	1433,	1,	1,	23,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14149,	4060,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14150,	4061,	799,	3,	4,	5,	0.700,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14151,	4061,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(14161,	4062,	170,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14162,	4062,	57,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14163,	4062,	122,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14164,	4062,	799,	3,	4,	5,	0.700,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14165,	4062,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14166,	4062,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14167,	4062,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14168,	4062,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(14169,	4062,	1433,	1,	7,	23,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14170,	4062,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14172,	4064,	1433,	4,	3,	4,	1.100,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14173,	4064,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14174,	4064,	1166,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14175,	4064,	1127,	3,	3,	3,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14177,	4066,	1839,	2,	63,	3,	1.900,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(14178,	4066,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14179,	4066,	178,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14180,	4066,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14181,	4066,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14182,	4067,	1425,	30,	3,	3,	1.900,	0.00,	0.000,	57.000,	'',	NULL,	NULL),
(14183,	4068,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14184,	4068,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14185,	4068,	808,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(14186,	4068,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14187,	4068,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14188,	4068,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14189,	4069,	799,	5,	4,	5,	0.600,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14190,	4069,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14191,	4070,	1587,	1,	4,	4,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14192,	4070,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(14193,	4070,	122,	1,	4,	5,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14201,	4071,	279,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14202,	4071,	306,	1,	3,	3,	8.800,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(14203,	4071,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14204,	4071,	932,	2,	6,	24,	0.900,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14205,	4071,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(14206,	4071,	1344,	2,	3,	31,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(14207,	4071,	1959,	4.3,	1,	3,	1.400,	0.00,	0.000,	6.020,	'',	NULL,	NULL),
(14208,	4072,	1425,	6,	1,	3,	1.900,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(14209,	4063,	1835,	3,	3,	3,	4.500,	5.00,	0.675,	14.175,	'',	NULL,	NULL),
(14210,	4065,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14211,	4073,	1131,	0.5,	3,	6,	2.800,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14212,	4074,	1131,	1,	3,	6,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14213,	4075,	1127,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14214,	4076,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14215,	4076,	57,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14216,	4076,	122,	1,	3,	23,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14217,	4076,	1174,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(14230,	4078,	736,	1,	3,	4,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(14231,	4078,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14232,	4078,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'm',	NULL,	NULL),
(14233,	4078,	1131,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14234,	4078,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14235,	4079,	1958,	4.2,	1,	3,	1.500,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(14236,	4079,	553,	1,	63,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(14237,	4080,	932,	1,	6,	24,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14238,	4080,	122,	1,	4,	23,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14239,	4080,	1344,	1,	3,	31,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14256,	4077,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14257,	4077,	1131,	1,	3,	6,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14258,	4077,	1131,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14259,	4077,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14265,	4081,	123,	1,	4,	3,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(14266,	4081,	1626,	1,	3,	71,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14267,	4082,	1131,	5,	3,	6,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(14270,	4084,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14271,	4084,	170,	3,	3,	3,	5.700,	0.00,	0.000,	17.100,	'',	NULL,	NULL),
(14272,	4084,	279,	1,	3,	3,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(14273,	4084,	152,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14277,	4086,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(14281,	4085,	688,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(14282,	4085,	528,	1,	3,	3,	2.900,	0.00,	0.000,	2.900,	'',	NULL,	NULL),
(14283,	4085,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14284,	4087,	836,	1,	3,	3,	6.400,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(14285,	4087,	57,	1,	3,	14,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(14286,	4088,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(14288,	4089,	1514,	1,	7,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(14289,	4089,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14290,	4089,	1726,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14293,	4090,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(14299,	4092,	370,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14300,	4093,	1131,	0.5,	3,	6,	2.800,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14301,	4094,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14302,	4091,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14303,	4091,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14304,	4091,	1127,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(14305,	4091,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14306,	4095,	742,	10,	3,	74,	10.500,	0.00,	0.000,	105.000,	'',	NULL,	NULL),
(14307,	4096,	250,	1,	63,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14308,	4097,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14309,	4097,	1563,	1,	3,	111,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14310,	4097,	1127,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14311,	4097,	1124,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14312,	4098,	1514,	1,	7,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(14313,	4099,	1891,	1,	3,	3,	5.900,	0.00,	0.000,	5.900,	'',	NULL,	NULL),
(14321,	4100,	753,	5,	3,	5,	4.200,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(14322,	4100,	1480,	2,	3,	3,	6.500,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(14323,	4100,	65,	2,	3,	13,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14324,	4100,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(14325,	4100,	170,	4,	3,	3,	5.700,	0.00,	0.000,	22.800,	'',	NULL,	NULL),
(14326,	4100,	766,	4,	3,	3,	2.600,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(14327,	4100,	969,	2,	3,	3,	5.200,	0.00,	0.000,	10.400,	'',	NULL,	NULL),
(14328,	4100,	1127,	30,	3,	3,	1.600,	0.00,	0.000,	48.000,	'',	NULL,	NULL),
(14329,	4100,	1839,	4,	63,	3,	1.900,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(14330,	4083,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14333,	4102,	1344,	2,	3,	72,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14334,	4102,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14335,	4101,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14336,	4101,	1610,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(14337,	4101,	1071,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14338,	4101,	766,	3,	3,	3,	2.600,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(14339,	4101,	1839,	4,	63,	3,	1.900,	5.00,	0.380,	7.980,	'',	NULL,	NULL),
(14340,	4103,	21,	1,	3,	9,	9.400,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(14341,	4104,	736,	4,	10,	4,	0.500,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14342,	4105,	676,	0.5,	3,	3,	12.500,	0.00,	0.000,	6.250,	'',	NULL,	NULL),
(14343,	4106,	753,	5,	63,	3,	2.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(14344,	4106,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(14345,	4107,	1570,	2,	4,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14346,	4107,	501,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14351,	4108,	122,	1,	4,	23,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14352,	4108,	279,	1,	4,	5,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(14353,	4108,	799,	1,	4,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(14354,	4109,	1526,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(14355,	4110,	190,	10,	1,	3,	0.450,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(14356,	4110,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14357,	4110,	1166,	4,	3,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(14358,	4110,	1174,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14359,	4110,	1061,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(14360,	4110,	170,	2,	3,	3,	5.700,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(14361,	4111,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14362,	4111,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14363,	4112,	178,	4,	1,	3,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14364,	4112,	1835,	1,	3,	3,	4.500,	5.00,	0.225,	4.725,	'',	NULL,	NULL),
(14365,	4113,	57,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14366,	4114,	551,	5,	6,	3,	0.160,	5.00,	0.040,	0.840,	'',	NULL,	NULL),
(14367,	4114,	178,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14368,	4114,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14369,	4114,	249,	1,	63,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14370,	4115,	799,	1,	4,	5,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(14371,	4115,	1435,	1,	7,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14372,	4115,	121,	1,	4,	23,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14373,	4115,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14374,	4115,	178,	1,	1,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14375,	4115,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14376,	4115,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14380,	4117,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14381,	4117,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14382,	4116,	1060,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(14383,	4116,	1174,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14384,	4118,	1344,	1,	3,	103,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14385,	4118,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(14386,	4119,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14387,	4120,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(14388,	4120,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14389,	4120,	57,	1,	3,	15,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(14390,	4121,	286,	2,	4,	3,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14391,	4121,	279,	2,	4,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14392,	4122,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14393,	4123,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14394,	4123,	170,	2,	3,	2,	5.700,	0.00,	0.000,	11.400,	'',	NULL,	NULL),
(14395,	4124,	678,	1,	3,	3,	12.400,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(14399,	4125,	1344,	1,	3,	29,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14400,	4125,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14401,	4125,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(14402,	4125,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(14403,	4126,	1124,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14404,	4126,	1510,	1,	7,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14405,	4126,	31,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14406,	4127,	152,	1,	1,	3,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14407,	4127,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14408,	4127,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14409,	4127,	1344,	2,	3,	25,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(14410,	4128,	933,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14411,	4129,	1124,	6,	3,	3,	2.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(14412,	4130,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14413,	4130,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14414,	4130,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14415,	4130,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14416,	4131,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(14422,	4132,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14423,	4132,	551,	3,	63,	3,	3.800,	5.00,	0.570,	11.970,	'',	NULL,	NULL),
(14424,	4132,	679,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(14425,	4132,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14426,	4132,	1298,	2,	1,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14427,	4133,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14428,	4133,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14429,	4133,	1174,	2,	3,	3,	3.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14430,	4134,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14431,	4135,	122,	1,	4,	23,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14432,	4135,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14433,	4135,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14434,	4135,	1127,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14435,	4135,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14436,	4136,	1351,	1,	3,	20,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14437,	4137,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14438,	4137,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14439,	4138,	1138,	4,	3,	3,	1.600,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(14447,	4139,	1766,	6,	3,	3,	0.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14448,	4139,	420,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14449,	4139,	667,	1,	3,	60,	13.200,	0.00,	0.000,	13.200,	'',	NULL,	NULL),
(14450,	4139,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14451,	4139,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14452,	4139,	1563,	1,	3,	105,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14453,	4139,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(14454,	4140,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14455,	4140,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14456,	4141,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14457,	4142,	122,	1,	3,	23,	4.400,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14458,	4143,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14459,	4144,	152,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14460,	4145,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14462,	4146,	1131,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14463,	4147,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14464,	4147,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14465,	4148,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14466,	4149,	150,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14473,	4150,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'bana',	NULL,	NULL),
(14474,	4150,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14475,	4150,	678,	0.5,	3,	3,	12.400,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14476,	4150,	1138,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14477,	4150,	1344,	1,	3,	31,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14478,	4150,	1491,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(14479,	4151,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(14480,	4152,	753,	2,	63,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14481,	4153,	682,	1,	7,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14482,	4154,	1138,	1,	3,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14483,	4155,	676,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(14484,	4155,	33,	1,	3,	4,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(14485,	4155,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14486,	4156,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14487,	4157,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14488,	4158,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14489,	4159,	970,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14490,	4160,	1312,	1,	63,	79,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14491,	4161,	1570,	2,	4,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14492,	4161,	73,	1,	7,	7,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14493,	4161,	798,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14494,	4162,	1298,	2,	1,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14495,	4162,	1312,	1,	63,	55,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14496,	4163,	668,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14497,	4163,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14498,	4163,	676,	1,	3,	4,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14499,	4163,	275,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(14500,	4163,	152,	4,	1,	3,	1.200,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14501,	4164,	1138,	2,	3,	3,	1.500,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14502,	4164,	1344,	1,	3,	25,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14503,	4164,	150,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14504,	4165,	969,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14505,	4165,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14506,	4166,	279,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14507,	4166,	799,	3,	4,	5,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14508,	4166,	1659,	1,	63,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14509,	4166,	1124,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14510,	4166,	45,	1,	3,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(14511,	4167,	57,	1,	7,	14,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14512,	4167,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14513,	4168,	73,	1,	3,	9,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(14514,	4168,	57,	4,	3,	15,	9.000,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(14517,	4169,	501,	8,	1,	3,	2.000,	0.00,	0.000,	16.000,	'',	NULL,	NULL),
(14518,	4169,	753,	1,	63,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14519,	4170,	1626,	2,	3,	71,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14520,	4171,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14521,	4171,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14522,	4172,	420,	10,	3,	3,	1.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(14523,	4173,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14524,	4173,	76,	1,	7,	10,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14525,	4173,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14526,	4173,	1491,	1,	3,	4,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14527,	4173,	798,	1,	3,	22,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14528,	4173,	1367,	1,	3,	20,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14529,	4174,	1131,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14533,	4176,	1124,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(14542,	4175,	122,	2,	4,	23,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14543,	4175,	156,	1,	3,	3,	3.300,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(14544,	4175,	168,	1,	3,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14545,	4175,	755,	1,	1,	3,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(14546,	4175,	765,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(14547,	4175,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14548,	4175,	1124,	1,	3,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(14549,	4175,	1367,	1,	3,	20,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14550,	4177,	121,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14551,	4178,	1610,	1,	3,	3,	3.400,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(14552,	4178,	178,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14553,	4178,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14554,	4178,	753,	3,	63,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14555,	4178,	170,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(14556,	4178,	798,	2,	3,	22,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(14557,	4178,	168,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14558,	4179,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14559,	4180,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14560,	4180,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14561,	4180,	798,	1,	3,	22,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14562,	4180,	1437,	2,	7,	4,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14563,	4180,	1514,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14564,	4180,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14565,	4181,	813,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14566,	4182,	827,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14567,	4183,	76,	1,	3,	8,	10.200,	0.00,	0.000,	10.200,	'',	NULL,	NULL),
(14568,	4183,	190,	2.4,	1,	3,	0.500,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14569,	4183,	1437,	1,	3,	23,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(14570,	4183,	279,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(14571,	4183,	798,	1,	3,	22,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14572,	4183,	1367,	1,	3,	20,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14573,	4184,	753,	2,	63,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14574,	4184,	1610,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14575,	4184,	1138,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14576,	4184,	1514,	1,	7,	3,	2.100,	0.00,	0.000,	2.100,	'',	NULL,	NULL),
(14577,	4184,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14578,	4184,	122,	1,	3,	23,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14579,	4185,	1344,	1,	3,	29,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14582,	4186,	1138,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14583,	4186,	1174,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14585,	4187,	33,	1,	3,	4,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(14587,	4188,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14594,	4190,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14595,	4190,	798,	1,	3,	22,	3.900,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(14596,	4190,	122,	2,	4,	23,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14597,	4191,	57,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14609,	4189,	57,	2,	3,	13,	9.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(14610,	4189,	121,	5,	4,	23,	2.900,	0.00,	0.000,	14.500,	'',	NULL,	NULL),
(14611,	4189,	420,	5,	3,	3,	1.500,	0.00,	0.000,	7.500,	'',	NULL,	NULL),
(14612,	4189,	528,	5,	63,	3,	2.800,	0.00,	0.000,	14.000,	'',	NULL,	NULL),
(14613,	4189,	753,	10,	63,	3,	1.700,	0.00,	0.000,	17.000,	'',	NULL,	NULL),
(14614,	4189,	766,	5,	3,	3,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(14615,	4189,	798,	5,	3,	3,	3.800,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(14616,	4189,	1071,	5,	3,	3,	2.200,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(14617,	4189,	1526,	5,	3,	3,	5.600,	0.00,	0.000,	28.000,	'',	NULL,	NULL),
(14618,	4189,	1839,	5,	63,	3,	1.900,	5.00,	0.475,	9.975,	'',	NULL,	NULL),
(14619,	4192,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14620,	4192,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14621,	4193,	152,	2,	1,	3,	1.100,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14622,	4194,	1344,	2,	3,	4,	1.900,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14623,	4194,	57,	2,	7,	13,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14624,	4195,	678,	1,	3,	3,	12.500,	0.00,	0.000,	12.500,	'',	NULL,	NULL),
(14625,	4196,	279,	4,	4,	3,	0.450,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14626,	4196,	1138,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14627,	4196,	45,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14628,	4196,	799,	2,	3,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14629,	4196,	1174,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14630,	4196,	1565,	3.5,	1,	3,	1.300,	0.00,	0.000,	4.550,	'',	NULL,	NULL),
(14631,	4196,	1367,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14634,	4197,	799,	3,	4,	5,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14635,	4197,	1439,	1,	4,	23,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14636,	4198,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14637,	4198,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14638,	4199,	798,	1,	3,	22,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14639,	4199,	1186,	3,	3,	3,	1.900,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(14640,	4199,	767,	0.5,	1,	3,	1.600,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14641,	4199,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14642,	4199,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14643,	4199,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14648,	4200,	45,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14649,	4200,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14650,	4200,	969,	2,	1,	2,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14651,	4200,	1336,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14663,	4201,	168,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(14664,	4201,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14665,	4201,	688,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(14666,	4201,	798,	1,	3,	22,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14667,	4201,	992,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14668,	4201,	1071,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14669,	4201,	1138,	2,	3,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14670,	4201,	1166,	3,	3,	3,	2.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14671,	4201,	1344,	2,	3,	20,	3.600,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(14672,	4201,	1526,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14673,	4201,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14674,	4202,	798,	1,	3,	22,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14675,	4202,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14676,	4202,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14677,	4202,	1344,	1,	3,	29,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14678,	4203,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14679,	4203,	969,	1,	1,	4,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(14680,	4203,	45,	1,	3,	4,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14681,	4203,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14682,	4204,	1978,	1,	63,	3,	2.300,	5.00,	0.115,	2.415,	'',	NULL,	NULL),
(14683,	4205,	1298,	1.3,	1,	3,	1.400,	0.00,	0.000,	1.820,	'',	NULL,	NULL),
(14684,	4206,	1312,	1,	63,	3,	0.400,	0.00,	0.000,	0.400,	'',	NULL,	NULL),
(14685,	4206,	1659,	1,	63,	3,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(14686,	4207,	799,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14687,	4208,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14688,	4208,	1179,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14689,	4208,	31,	1,	7,	13,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14690,	4208,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(14691,	4208,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14692,	4209,	676,	3,	3,	3,	12.500,	0.00,	0.000,	37.500,	'',	NULL,	NULL),
(14693,	4210,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14694,	4210,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14695,	4211,	71,	1,	7,	9,	2.400,	0.00,	0.000,	2.400,	'app',	NULL,	NULL),
(14696,	4211,	275,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(14697,	4211,	1352,	1,	3,	20,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14698,	4211,	1179,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14699,	4211,	1587,	1,	4,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14700,	4211,	799,	1,	4,	5,	0.600,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(14701,	4212,	1470,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14702,	4212,	152,	2.3,	1,	3,	1.100,	0.00,	0.000,	2.530,	'',	NULL,	NULL),
(14711,	4213,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14712,	4213,	799,	1,	3,	22,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14713,	4213,	1367,	1,	3,	20,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14714,	4213,	1437,	1,	7,	4,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14715,	4214,	1138,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14716,	4215,	1610,	1,	3,	3,	3.800,	0.00,	0.000,	3.800,	'',	NULL,	NULL),
(14717,	4215,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14718,	4215,	799,	1,	3,	38,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14719,	4215,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14720,	4215,	1526,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14721,	4215,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14722,	4215,	1367,	1,	3,	20,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14723,	4215,	33,	1,	3,	11,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14724,	4216,	1138,	10,	3,	3,	1.500,	0.00,	0.000,	15.000,	'',	NULL,	NULL),
(14725,	4217,	1959,	1,	1,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14726,	4217,	765,	1,	1,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14727,	4217,	1229,	2,	4,	3,	0.600,	5.00,	0.060,	1.260,	'',	NULL,	NULL),
(14728,	4217,	1442,	1,	7,	23,	1.200,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14729,	4217,	1470,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14730,	4217,	1179,	2,	3,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14731,	4217,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14732,	4218,	1766,	2,	3,	3,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14733,	4219,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14734,	4220,	1766,	3,	3,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14735,	4220,	1138,	9,	3,	3,	1.500,	0.00,	0.000,	13.500,	'',	NULL,	NULL),
(14737,	4221,	528,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(14738,	4221,	676,	2,	3,	3,	12.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(14739,	4222,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(14740,	4222,	1563,	1,	6,	110,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14741,	4223,	152,	1,	1,	3,	1.100,	0.00,	0.000,	1.100,	'',	NULL,	NULL),
(14742,	4224,	972,	1,	3,	3,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14743,	4225,	1353,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14744,	4226,	279,	5,	3,	3,	4.500,	0.00,	0.000,	22.500,	'',	NULL,	NULL),
(14747,	4227,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14748,	4227,	969,	1,	3,	3,	4.900,	0.00,	0.000,	4.900,	'',	NULL,	NULL),
(14749,	4228,	765,	1,	1,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(14755,	4229,	57,	2,	7,	13,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14756,	4229,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14757,	4229,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14758,	4229,	1071,	1,	3,	3,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(14759,	4229,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(14760,	4230,	170,	1,	3,	3,	5.700,	0.00,	0.000,	5.700,	'',	NULL,	NULL),
(14761,	4230,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14762,	4230,	753,	2,	63,	3,	1.700,	0.00,	0.000,	3.400,	'',	NULL,	NULL),
(14763,	4230,	420,	8,	3,	3,	1.600,	0.00,	0.000,	12.800,	'',	NULL,	NULL),
(14764,	4230,	688,	1,	3,	3,	12.000,	0.00,	0.000,	12.000,	'',	NULL,	NULL),
(14771,	4232,	1978,	1,	3,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(14772,	4231,	152,	10,	1,	3,	1.080,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14773,	4231,	933,	1,	3,	3,	4.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14774,	4231,	1251,	1,	3,	3,	3.800,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(14775,	4231,	1563,	2,	3,	110,	6.200,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(14776,	4231,	1891,	1,	3,	3,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14777,	4233,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14779,	4234,	309,	2,	1,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14780,	4235,	1839,	3,	63,	3,	1.900,	5.00,	0.285,	5.985,	'',	NULL,	NULL),
(14781,	4235,	753,	15,	63,	3,	1.700,	0.00,	0.000,	25.500,	'',	NULL,	NULL),
(14782,	4235,	1071,	3,	3,	22,	2.200,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(14783,	4235,	766,	5,	3,	3,	2.600,	0.00,	0.000,	13.000,	'',	NULL,	NULL),
(14784,	4235,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(14785,	4236,	1251,	5,	4,	3,	0.480,	5.00,	0.120,	2.520,	'',	NULL,	NULL),
(14786,	4237,	420,	1,	3,	3,	3.200,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(14787,	4238,	753,	1,	3,	5,	4.700,	0.00,	0.000,	4.700,	'',	NULL,	NULL),
(14788,	4238,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14796,	4240,	1717,	2,	3,	3,	3.200,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(14805,	4239,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(14806,	4239,	528,	4,	3,	3,	2.800,	0.00,	0.000,	11.200,	'',	NULL,	NULL),
(14807,	4239,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(14808,	4239,	1174,	6,	3,	3,	2.400,	0.00,	0.000,	14.400,	'',	NULL,	NULL),
(14809,	4239,	1344,	10,	3,	29,	1.900,	0.00,	0.000,	19.000,	'',	NULL,	NULL),
(14810,	4239,	1367,	3,	3,	3,	5.800,	0.00,	0.000,	17.400,	'',	NULL,	NULL),
(14811,	4239,	1514,	1,	3,	3,	6.600,	0.00,	0.000,	6.600,	'',	NULL,	NULL),
(14812,	4239,	1726,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14815,	4241,	420,	6,	3,	3,	1.500,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(14816,	4241,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(14817,	4242,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14818,	4242,	753,	1,	3,	39,	4.600,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(14822,	4243,	676,	1,	3,	3,	12.400,	0.00,	0.000,	12.400,	'',	NULL,	NULL),
(14823,	4243,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(14824,	4243,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14825,	4244,	1251,	10,	3,	3,	3.600,	5.00,	1.800,	37.800,	'',	NULL,	NULL),
(14828,	4245,	293,	6,	4,	3,	1.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(14829,	4245,	1848,	0.5,	1,	3,	7.800,	5.00,	0.195,	4.095,	'',	NULL,	NULL),
(14833,	4247,	309,	2,	1,	3,	1.400,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14834,	4248,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14835,	4246,	1978,	1,	63,	3,	2.200,	5.00,	0.110,	2.310,	'',	NULL,	NULL),
(14836,	4246,	57,	1,	3,	13,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(14837,	4246,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14838,	4246,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(14839,	4246,	1839,	1,	63,	3,	1.900,	5.00,	0.095,	1.995,	'',	NULL,	NULL),
(14846,	4249,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14847,	4249,	753,	1,	63,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(14848,	4249,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14849,	4249,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14850,	4249,	1131,	2,	7,	3,	1.800,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(14851,	4249,	1626,	2,	1,	71,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(14852,	4250,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(14853,	4251,	753,	5,	63,	3,	1.700,	0.00,	0.000,	8.500,	'',	NULL,	NULL),
(14854,	4252,	1839,	3,	63,	3,	1.900,	5.00,	0.285,	5.985,	'',	NULL,	NULL),
(14855,	4253,	810,	1,	3,	2,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(14856,	4254,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14857,	4255,	420,	15,	3,	3,	1.600,	0.00,	0.000,	24.000,	'',	NULL,	NULL),
(14861,	4256,	33,	1,	3,	9,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14862,	4257,	676,	0.5,	3,	3,	12.400,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14863,	4258,	799,	1,	3,	5,	6.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14864,	4258,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(14865,	4258,	130,	2,	3,	6,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14866,	4258,	1127,	4,	3,	3,	1.600,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(14867,	4258,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14868,	4259,	1131,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14880,	4261,	358,	1,	3,	3,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14881,	4262,	1726,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(14882,	4262,	1201,	1,	3,	3,	4.000,	5.00,	0.200,	4.200,	'',	NULL,	NULL),
(14883,	4263,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14884,	4264,	908,	9.6,	1,	3,	1.300,	0.00,	0.000,	12.480,	'',	NULL,	NULL),
(14885,	4265,	1174,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14886,	4266,	1174,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14887,	4267,	810,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(14888,	4267,	844,	1,	3,	3,	13.800,	0.00,	0.000,	13.800,	'',	NULL,	NULL),
(14889,	4268,	753,	1,	3,	39,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(14890,	4269,	1251,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(14891,	4270,	1626,	1,	3,	71,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14892,	4271,	1353,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(14893,	4272,	1312,	1,	63,	3,	0.700,	0.00,	0.000,	0.700,	'',	NULL,	NULL),
(14894,	4273,	1131,	1,	3,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14895,	4274,	1830,	10,	4,	3,	0.700,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(14896,	4275,	420,	1,	3,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14897,	4275,	766,	2,	3,	3,	2.500,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(14898,	4275,	1839,	4,	63,	3,	1.800,	5.00,	0.360,	7.560,	'',	NULL,	NULL),
(14899,	4275,	753,	4,	63,	3,	1.600,	0.00,	0.000,	6.400,	'',	NULL,	NULL),
(14900,	4275,	1978,	2,	63,	3,	2.200,	5.00,	0.220,	4.620,	'',	NULL,	NULL),
(14901,	4275,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14902,	4275,	1138,	4,	3,	3,	1.500,	0.00,	0.000,	6.000,	'',	NULL,	NULL),
(14903,	4275,	1166,	3,	3,	3,	2.100,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(14904,	4275,	57,	1,	3,	13,	8.900,	0.00,	0.000,	8.900,	'',	NULL,	NULL),
(14908,	4276,	932,	1,	6,	24,	0.100,	0.00,	0.000,	0.100,	'',	NULL,	NULL),
(14909,	4276,	122,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14910,	4276,	799,	2,	4,	5,	0.600,	0.00,	0.000,	1.200,	'',	NULL,	NULL),
(14911,	4276,	1344,	2,	3,	29,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(14912,	4276,	1626,	1,	3,	33,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14913,	4276,	1766,	1,	3,	3,	0.800,	0.00,	0.000,	0.800,	'',	NULL,	NULL),
(14914,	4277,	1353,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(14915,	4278,	152,	0.5,	1,	3,	1.200,	0.00,	0.000,	0.600,	'',	NULL,	NULL),
(14916,	4278,	650,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14917,	4279,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(14923,	4280,	168,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14924,	4280,	676,	1,	3,	3,	12.600,	0.00,	0.000,	12.600,	'',	NULL,	NULL),
(14925,	4280,	1071,	3,	3,	3,	2.400,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(14926,	4280,	1563,	1,	3,	110,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14927,	4280,	1626,	1,	3,	71,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14928,	4281,	21,	1,	3,	10,	9.400,	0.00,	0.000,	9.400,	'',	NULL,	NULL),
(14929,	4282,	528,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(14930,	4282,	676,	1,	3,	3,	12.200,	0.00,	0.000,	12.200,	'',	NULL,	NULL),
(14936,	4283,	667,	1,	3,	63,	18.000,	0.00,	0.000,	18.000,	'',	NULL,	NULL),
(14937,	4283,	1526,	2,	3,	3,	5.800,	0.00,	0.000,	11.600,	'',	NULL,	NULL),
(14938,	4283,	1563,	1,	3,	110,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14939,	4283,	1567,	1,	3,	3,	7.800,	0.00,	0.000,	7.800,	'',	NULL,	NULL),
(14940,	4283,	1610,	4,	3,	3,	3.400,	0.00,	0.000,	13.600,	'',	NULL,	NULL),
(14944,	4284,	122,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14945,	4284,	1100,	1,	3,	3,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(14946,	4284,	1367,	1,	3,	20,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14947,	4285,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14953,	4286,	1626,	2,	3,	5,	2.400,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14954,	4286,	1131,	4,	7,	3,	2.000,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(14955,	4286,	1344,	2,	3,	29,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(14956,	4287,	190,	3,	3,	3,	0.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14957,	4287,	525,	1,	1,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14958,	4287,	676,	0.5,	3,	3,	12.400,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(14959,	4287,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14960,	4287,	1835,	1,	3,	3,	4.500,	5.00,	0.225,	4.725,	'',	NULL,	NULL),
(14961,	4288,	969,	1,	1,	3,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(14962,	4288,	76,	1,	7,	12,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(14963,	4289,	932,	1,	6,	24,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(14964,	4289,	122,	1,	4,	23,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(14965,	4289,	767,	1,	1,	3,	1.500,	0.00,	0.000,	1.500,	'',	NULL,	NULL),
(14966,	4289,	1138,	1,	3,	3,	1.700,	0.00,	0.000,	1.700,	'',	NULL,	NULL),
(14967,	4289,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14968,	4290,	753,	1,	63,	2,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14969,	4291,	1526,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14970,	4291,	1071,	1,	3,	3,	2.400,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(14971,	4291,	753,	3,	63,	3,	1.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(14972,	4292,	1174,	1,	3,	3,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(14973,	4292,	1124,	1,	3,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14986,	4293,	57,	1,	3,	13,	9.200,	0.00,	0.000,	9.200,	'',	NULL,	NULL),
(14987,	4293,	420,	3,	3,	3,	1.600,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14988,	4293,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(14989,	4293,	682,	2,	3,	3,	10.800,	0.00,	0.000,	21.600,	'',	NULL,	NULL),
(14990,	4293,	753,	4,	63,	3,	1.800,	0.00,	0.000,	7.200,	'',	NULL,	NULL),
(14991,	4293,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(14992,	4293,	969,	1,	3,	3,	4.800,	0.00,	0.000,	4.800,	'',	NULL,	NULL),
(14993,	4294,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(14994,	4294,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(14995,	4295,	1344,	1,	3,	103,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(14997,	4297,	676,	0.5,	3,	3,	12.600,	0.00,	0.000,	6.300,	'',	NULL,	NULL),
(14998,	4296,	1835,	5,	3,	3,	4.500,	5.00,	1.125,	23.625,	'',	NULL,	NULL),
(15010,	4298,	766,	2,	3,	3,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(15011,	4298,	1344,	2,	3,	20,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(15012,	4298,	1353,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(15013,	4298,	1390,	14,	1,	3,	0.450,	5.00,	0.315,	6.615,	'',	NULL,	NULL),
(15014,	4298,	1659,	2,	63,	2,	4.200,	0.00,	0.000,	8.400,	'',	NULL,	NULL),
(15015,	4298,	1839,	5,	63,	3,	1.900,	5.00,	0.475,	9.975,	'',	NULL,	NULL),
(15016,	4299,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(15017,	4300,	1174,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(15018,	4300,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15019,	4300,	1080,	1,	3,	3,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(15020,	4300,	1201,	1,	4,	3,	4.200,	5.00,	0.210,	4.410,	'',	NULL,	NULL),
(15021,	4300,	178,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(15022,	4300,	57,	1,	6,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(15023,	4300,	1390,	1.4,	1,	3,	0.500,	5.00,	0.035,	0.735,	'',	NULL,	NULL),
(15024,	4300,	1565,	1.7,	1,	3,	1.300,	0.00,	0.000,	2.210,	'',	NULL,	NULL),
(15025,	4300,	1610,	1,	3,	4,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(15026,	4300,	121,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15027,	4300,	152,	2.1,	3,	3,	1.100,	0.00,	0.000,	2.310,	'',	NULL,	NULL),
(15028,	4301,	667,	2,	3,	63,	18.000,	0.00,	0.000,	36.000,	'',	NULL,	NULL),
(15029,	4260,	65,	1,	3,	7,	11.800,	0.00,	0.000,	11.800,	'',	NULL,	NULL),
(15030,	4260,	130,	1,	3,	6,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(15031,	4260,	152,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(15032,	4260,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(15033,	4260,	528,	2,	3,	3,	2.800,	0.00,	0.000,	5.600,	'',	NULL,	NULL),
(15034,	4260,	1127,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(15035,	4260,	1131,	2,	3,	6,	2.600,	0.00,	0.000,	5.200,	'',	NULL,	NULL),
(15036,	4260,	1179,	10,	3,	3,	2.100,	0.00,	0.000,	21.000,	'',	NULL,	NULL),
(15037,	4260,	1344,	5,	3,	29,	2.000,	0.00,	0.000,	10.000,	'',	NULL,	NULL),
(15038,	4260,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15039,	4302,	1251,	1,	3,	3,	3.810,	5.00,	0.191,	4.001,	'',	NULL,	NULL),
(15040,	4303,	1179,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(15041,	4303,	1563,	2,	3,	110,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(15042,	4303,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(15043,	4304,	76,	1,	7,	11,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15044,	4304,	976,	5,	3,	3,	0.600,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(15045,	4305,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(15046,	4306,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(15047,	4307,	1766,	1,	3,	3,	0.500,	0.00,	0.000,	0.500,	'',	NULL,	NULL),
(15048,	4308,	682,	0.5,	3,	3,	10.800,	0.00,	0.000,	5.400,	'',	NULL,	NULL),
(15049,	4308,	152,	3,	1,	3,	1.100,	0.00,	0.000,	3.300,	'',	NULL,	NULL),
(15050,	4308,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(15051,	4308,	1563,	3,	6,	105,	0.800,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(15052,	4308,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(15053,	4308,	1179,	4,	3,	3,	2.200,	0.00,	0.000,	8.800,	'',	NULL,	NULL),
(15054,	4308,	1138,	5,	3,	3,	1.600,	0.00,	0.000,	8.000,	'',	NULL,	NULL),
(15055,	4309,	1344,	2,	3,	25,	3.100,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(15056,	4310,	1131,	10,	3,	6,	2.500,	0.00,	0.000,	25.000,	'',	NULL,	NULL),
(15057,	4311,	367,	0.5,	1,	3,	0.900,	0.00,	0.000,	0.450,	'',	NULL,	NULL),
(15058,	4311,	1470,	1,	7,	3,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(15059,	4311,	168,	0.5,	1,	3,	0.500,	0.00,	0.000,	0.250,	'',	NULL,	NULL),
(15060,	4311,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(15061,	4311,	1344,	1,	3,	20,	3.600,	0.00,	0.000,	3.600,	'',	NULL,	NULL),
(15062,	4312,	1839,	2,	63,	3,	1.900,	5.00,	0.190,	3.990,	'',	NULL,	NULL),
(15063,	4312,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(15064,	4313,	682,	1,	3,	3,	10.800,	0.00,	0.000,	10.800,	'',	NULL,	NULL),
(15065,	4314,	1312,	1,	63,	55,	1.400,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(15066,	4315,	1251,	1,	4,	3,	0.500,	5.00,	0.025,	0.525,	'',	NULL,	NULL),
(15067,	4316,	766,	1,	3,	3,	2.600,	0.00,	0.000,	2.600,	'',	NULL,	NULL),
(15068,	4317,	122,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15069,	4317,	178,	7,	1,	3,	1.100,	0.00,	0.000,	7.700,	'',	NULL,	NULL),
(15070,	4317,	1260,	2,	4,	3,	0.500,	5.00,	0.050,	1.050,	'',	NULL,	NULL),
(15071,	4317,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(15072,	4317,	1124,	2,	3,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(15073,	4317,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(15074,	4317,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(15075,	4317,	1071,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(15076,	4317,	57,	1,	3,	14,	9.000,	0.00,	0.000,	9.000,	'',	NULL,	NULL),
(15077,	4317,	1344,	2,	3,	102,	3.500,	0.00,	0.000,	7.000,	'',	NULL,	NULL),
(15078,	4318,	279,	2,	4,	5,	0.500,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15079,	4318,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(15080,	4318,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(15081,	4319,	1353,	5,	3,	3,	5.500,	0.00,	0.000,	27.500,	'',	NULL,	NULL),
(15082,	4320,	402,	1,	1,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15083,	4320,	367,	1,	1,	3,	0.900,	0.00,	0.000,	0.900,	'',	NULL,	NULL),
(15084,	4320,	1570,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(15085,	4320,	76,	1,	7,	15,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15086,	4320,	1570,	1,	4,	3,	1.900,	0.00,	0.000,	1.900,	'',	NULL,	NULL),
(15087,	4320,	1071,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15088,	4320,	1044,	1,	1,	3,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15089,	4320,	122,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15090,	4320,	1174,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(15091,	4320,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(15092,	4320,	152,	2,	1,	3,	1.200,	0.00,	0.000,	2.400,	'',	NULL,	NULL),
(15093,	4321,	1044,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(15094,	4321,	676,	0.5,	3,	3,	12.200,	0.00,	0.000,	6.100,	'',	NULL,	NULL),
(15095,	4321,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15096,	4322,	1659,	1,	63,	2,	4.200,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(15097,	4323,	152,	5,	1,	3,	1.100,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15098,	4324,	1626,	2,	3,	105,	2.300,	0.00,	0.000,	4.600,	'',	NULL,	NULL),
(15099,	4324,	76,	1,	7,	7,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15100,	4325,	766,	1,	3,	3,	2.500,	0.00,	0.000,	2.500,	'',	NULL,	NULL),
(15101,	4326,	1563,	1,	3,	105,	6.200,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(15102,	4326,	1132,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15103,	4326,	1179,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(15104,	4326,	1174,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(15105,	4326,	122,	2,	4,	24,	1.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(15106,	4326,	130,	1,	3,	6,	2.000,	0.00,	0.000,	2.000,	'',	NULL,	NULL),
(15107,	4326,	969,	1,	3,	3,	5.000,	0.00,	0.000,	5.000,	'',	NULL,	NULL),
(15108,	4326,	420,	1,	3,	3,	1.600,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(15109,	4326,	1312,	1,	63,	84,	3.000,	0.00,	0.000,	3.000,	'',	NULL,	NULL),
(15110,	4327,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'',	NULL,	NULL),
(15111,	4327,	122,	1,	4,	23,	1.000,	0.00,	0.000,	1.000,	'',	NULL,	NULL),
(15112,	4327,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15113,	4328,	1127,	1,	3,	3,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15114,	4329,	1626,	1,	3,	105,	2.300,	0.00,	0.000,	2.300,	'pom',	NULL,	NULL),
(15115,	4329,	1563,	2,	6,	105,	0.800,	0.00,	0.000,	1.600,	'',	NULL,	NULL),
(15116,	4329,	1437,	1,	7,	23,	2.200,	0.00,	0.000,	2.200,	'',	NULL,	NULL),
(15117,	4329,	799,	0.5,	3,	5,	7.800,	0.00,	0.000,	3.900,	'',	NULL,	NULL),
(15118,	4330,	1131,	1,	3,	3,	2.700,	0.00,	0.000,	2.700,	'',	NULL,	NULL),
(15119,	4330,	1124,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(15120,	4331,	170,	1,	3,	2,	5.800,	0.00,	0.000,	5.800,	'',	NULL,	NULL),
(15121,	4331,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15122,	4332,	279,	1,	3,	5,	4.500,	0.00,	0.000,	4.500,	'',	NULL,	NULL),
(15123,	4332,	501,	2,	1,	3,	2.000,	0.00,	0.000,	4.000,	'',	NULL,	NULL),
(15124,	4333,	753,	1,	63,	3,	1.800,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(15125,	4334,	1767,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(15126,	4334,	420,	2,	3,	3,	1.600,	0.00,	0.000,	3.200,	'',	NULL,	NULL),
(15127,	4334,	1353,	2,	3,	3,	5.500,	0.00,	0.000,	11.000,	'',	NULL,	NULL),
(15128,	4335,	152,	2.3,	1,	3,	1.200,	0.00,	0.000,	2.760,	'',	NULL,	NULL),
(15129,	4336,	1353,	1,	3,	3,	5.500,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15130,	4337,	1567,	1,	6,	3,	1.300,	0.00,	0.000,	1.300,	'',	NULL,	NULL),
(15131,	4338,	1124,	2,	3,	3,	2.100,	0.00,	0.000,	4.200,	'',	NULL,	NULL),
(15132,	4338,	150,	2,	3,	3,	3.400,	0.00,	0.000,	6.800,	'',	NULL,	NULL),
(15133,	4338,	168,	2,	3,	3,	2.200,	0.00,	0.000,	4.400,	'',	NULL,	NULL),
(15134,	4339,	803,	2,	10,	3,	0.700,	0.00,	0.000,	1.400,	'',	NULL,	NULL),
(15135,	4340,	799,	3,	4,	5,	0.600,	0.00,	0.000,	1.800,	'',	NULL,	NULL),
(15136,	4340,	1044,	1,	3,	3,	2.800,	0.00,	0.000,	2.800,	'',	NULL,	NULL),
(15137,	4340,	682,	0.5,	3,	3,	11.000,	0.00,	0.000,	5.500,	'',	NULL,	NULL),
(15138,	4341,	678,	0.5,	3,	3,	12.400,	0.00,	0.000,	6.200,	'',	NULL,	NULL),
(15139,	4342,	1344,	1,	3,	20,	3.500,	0.00,	0.000,	3.500,	'',	NULL,	NULL),
(15140,	4342,	668,	0.5,	3,	3,	12.000,	0.00,	0.000,	6.000,	'',	NULL,	NULL);

DROP TABLE IF EXISTS `mr_received_products`;
CREATE TABLE `mr_received_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `rec_qty` double NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `price` decimal(15,3) NOT NULL,
  `req_qty` double DEFAULT NULL,
  `req_unit_id` int(11) DEFAULT NULL,
  `req_grade_id` int(11) DEFAULT NULL,
  `apr_qty` double DEFAULT NULL,
  `apr_unit_id` int(11) DEFAULT NULL,
  `apr_grade_id` int(11) NOT NULL,
  `remarks` text COLLATE utf8_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `material_requisition_id_product_id_grade_id_unit_id` (`material_requisition_id`,`product_id`,`grade_id`,`unit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `mr_sea_approval_products`;
CREATE TABLE `mr_sea_approval_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_sea_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` decimal(10,0) NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `requested_month` date NOT NULL,
  `schedule_id` int(11) NOT NULL,
  `mr_sea_product_id` int(11) NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `mr_sea_approved_product_schedules`;
CREATE TABLE `mr_sea_approved_product_schedules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_sea_id` int(11) NOT NULL,
  `mr_sea_approval_product_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` double NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `scheduled_date` date NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `mr_sea_comments`;
CREATE TABLE `mr_sea_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_sea_id` int(11) NOT NULL,
  `comment` text COLLATE utf8_unicode_ci NOT NULL,
  `enter_by` int(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `mr_sea_products`;
CREATE TABLE `mr_sea_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_sea_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` double NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `standard_id` int(11) DEFAULT NULL,
  `unit_price` decimal(10,2) DEFAULT NULL,
  `requested_month` date DEFAULT NULL,
  `schedule_id` int(11) DEFAULT NULL,
  `flag_in` int(11) DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `mr_sea_product_schedules`;
CREATE TABLE `mr_sea_product_schedules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `material_requisition_sea_id` int(11) NOT NULL,
  `mr_sea_product_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` double NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `standard_id` int(11) DEFAULT NULL,
  `unit_price` decimal(10,2) DEFAULT NULL,
  `scheduled_date` date NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `mr_sea_product_schedule_changes`;
CREATE TABLE `mr_sea_product_schedule_changes` (
  `id` bigint(15) NOT NULL AUTO_INCREMENT,
  `material_requisition_sea_id` int(11) NOT NULL,
  `mrseaproduct_schedule_id` int(11) NOT NULL,
  `scheduled_date` date NOT NULL,
  `flag_key` char(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `notifications`;
CREATE TABLE `notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `notification_type` char(1) NOT NULL DEFAULT 'G',
  `matter` text,
  `entered_on` date NOT NULL,
  `entered_by` int(11) NOT NULL,
  `valid_from` date NOT NULL,
  `valid_to` date NOT NULL,
  `offer_type` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `valid_from_valid_to` (`valid_from`,`valid_to`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `notifications` (`id`, `notification_type`, `matter`, `entered_on`, `entered_by`, `valid_from`, `valid_to`, `offer_type`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	'G',	'ALL SHOP AVACADO PRICE CHANGED 3.5',	'2017-12-24',	1,	'2017-12-24',	'2017-12-24',	22,	'2017-12-24 14:27:04',	'2017-12-24 14:27:04',	NULL),
(2,	'P',	'APPLE CRIPPS PINK CHINA/CTN/110 PCS OFFER 3.5',	'2017-12-24',	1,	'2017-12-24',	'2017-12-24',	23,	'2017-12-24 14:29:13',	'2017-12-24 14:30:56',	NULL),
(3,	'G',	'NEW PRODUCT AVAILABLE CODE 1032',	'2017-12-26',	1,	'2017-12-24',	'2017-12-24',	23,	'2017-12-24 15:26:28',	'2017-12-26 09:52:23',	NULL),
(4,	'G',	'NEW AVACODO KENEYA AVAILABLE',	'2017-12-27',	1,	'2017-12-27',	'2017-12-27',	23,	'2017-12-27 08:04:43',	'2017-12-27 08:04:43',	NULL),
(5,	'P',	'APPLE FUJI CHINA/CTN/MEDIUM NEW OFFER 1 R.O',	'2017-12-27',	1,	'2017-12-27',	'2017-12-27',	22,	'2017-12-27 08:06:57',	'2017-12-27 08:06:57',	NULL),
(6,	'G',	'NEW FUJI APPLE AVAILABLE',	'2017-12-27',	1,	'2017-12-27',	'2017-12-27',	23,	'2017-12-27 08:08:27',	'2017-12-27 08:08:27',	NULL),
(7,	'G',	'PLEASE UPDATE RECEIVED MR IN TAB (RED COLOR FROM MR LIST) REMARKS ADD',	'2018-01-02',	1,	'2018-01-02',	'2018-01-04',	23,	'2018-01-02 15:52:40',	'2018-01-02 15:52:40',	NULL),
(8,	'G',	'PLEASE UPDATE RECEIVE STATUS',	'2018-01-22',	1,	'2018-01-22',	'2018-01-22',	23,	'2018-01-22 06:38:21',	'2018-01-22 06:38:21',	NULL),
(9,	'G',	'SWEETMELON IRAN AVAILABLE NOW',	'2018-05-19',	17,	'2018-05-19',	'2018-05-31',	23,	'2018-05-19 22:19:15',	'2018-05-19 22:19:15',	NULL),
(10,	'G',	'TEST',	'2018-06-24',	1,	'2018-06-24',	'2018-06-24',	23,	'2018-06-24 11:11:28',	'2018-06-24 11:11:28',	NULL),
(11,	'G',	'KAKA FRUIT PAKISTAN CTN MED IS AVAILABLE........',	'2018-09-25',	17,	'2018-09-25',	'2018-09-25',	23,	'2018-09-25 18:35:02',	'2018-09-25 18:35:02',	NULL),
(12,	'G',	'MANDARIN CHINA AVAILABLE',	'2018-10-14',	77,	'2018-10-14',	'2018-10-15',	23,	'2018-10-14 16:17:04',	'2018-10-14 16:17:04',	NULL),
(13,	'G',	'SWEET CORN OMAN CTN AVAILABLE',	'2018-10-16',	77,	'2018-10-16',	'2018-10-31',	23,	'2018-10-16 18:14:37',	'2018-10-16 18:14:37',	NULL),
(14,	'P',	'MANDARIN MOROCCO/CTN MADARIN MORROCO AVAILABLE ORDER TODAY',	'2018-12-17',	77,	'2018-12-17',	'2018-12-20',	23,	'2018-12-17 14:45:05',	'2018-12-17 14:45:05',	NULL),
(15,	'P',	'APPLE RED ITALY/CTN ',	'2018-12-19',	75,	'2018-01-01',	'2018-01-03',	22,	'2018-12-19 11:05:22',	'2018-12-19 11:07:06',	NULL),
(16,	'G',	'MANGO GHANA AIR AVAILABLE',	'2018-12-21',	77,	'2018-12-21',	'2018-12-21',	23,	'2018-12-21 13:32:19',	'2018-12-21 13:32:19',	NULL),
(17,	'G',	'WATER MELON IND CTN AVAILABLE\r\n1 CTN =1.500',	'2018-12-28',	77,	'2018-12-28',	'2018-12-31',	23,	'2018-12-28 12:47:31',	'2018-12-28 12:47:31',	NULL),
(18,	'G',	'TOMATO IRAN AVAILABLE \r\nPRICE 4.200 OMR',	'2018-12-29',	77,	'2018-12-29',	'2018-12-30',	23,	'2018-12-29 11:33:25',	'2018-12-29 11:33:25',	NULL),
(19,	'G',	'POMEGRANATE MOROCCO AVAILABLE',	'2019-01-06',	77,	'2019-01-06',	'2019-01-10',	23,	'2019-01-06 14:29:41',	'2019-01-06 14:29:41',	NULL),
(20,	'G',	'PLEASE INSERT ORDER TOMORROW AT RIGHT TIME \r\nHAPPY NEW YEAR 2020',	'2019-12-31',	3,	'2019-12-31',	'2019-12-31',	23,	'2019-12-31 22:52:55',	'2019-12-31 22:52:55',	NULL),
(21,	'G',	'PEARS LEBNAN 1*2 AVILABLE  1.500OMR',	'2020-01-08',	69,	'2020-01-08',	'2020-01-12',	23,	'2020-01-08 20:02:02',	'2020-01-08 20:02:02',	NULL),
(22,	'G',	'S NO	ITEM	        PRICE\r\n1	POTATO BIG	          5.7\r\n2	EGGPLAND MED	   2.8\r\n3	KASS JOR	           3.3\r\n4	APPLERED MIN	    1\r\n5	STROWBERY	            2.2\r\n6	PAPAYA RIP OMAN	0.55',	'2020-02-09',	3,	'2020-02-09',	'2020-02-09',	22,	'2020-02-09 14:24:24',	'2020-02-09 14:24:24',	NULL),
(23,	'G',	'ORANGE IRAN -1.2 CTN',	'2020-02-09',	91,	'2020-02-09',	'2020-02-09',	22,	'2020-02-09 20:58:51',	'2020-02-09 20:58:51',	NULL),
(24,	'P',	'APPLE FUJI CHINA/CTN/BIG OFFER FOR 1 WEEK',	'2020-02-09',	91,	'2020-02-09',	'2020-02-09',	22,	'2020-02-09 21:00:22',	'2020-02-09 21:00:22',	NULL),
(25,	'G',	'WEEK END OFFER 12,13/02/2020	\r\n	\r\nTOMATO	                    1.2\r\nCAULYFLOWER              1.2\r\nCUCMBER	                     1.8\r\nPOTATO BIG	             4.4\r\nANAR IND	                      1.6\r\nKIWI 4 KG	                      1.3\r\nGRAPES RED S/A	      3.8\r\nAPPLE R/G FR	              8',	'2020-02-11',	3,	'2020-02-12',	'2020-02-13',	22,	'2020-02-11 11:52:31',	'2020-02-11 11:52:31',	NULL),
(26,	'G',	'WEEK END OFFER 12,13/02/2020	\r\n	\r\nTOMATO	         1.2\r\nCAULYFLOWER	1.2\r\nCUCMBER	         1.8\r\nPOTATO BIG	4.4\r\nANAR IND	        1.6\r\nKIWI 4 KG	         1.3\r\nGRAPES RED S/A	3.8\r\nAPPLE R/G FR	      8',	'2020-02-11',	3,	'2020-02-11',	'2020-02-11',	22,	'2020-02-11 11:54:23',	'2020-02-11 11:54:23',	NULL),
(27,	'G',	'',	'2020-02-15',	3,	'2020-02-15',	'2020-02-15',	22,	'2020-02-15 13:15:16',	'2020-02-15 13:15:16',	NULL),
(28,	'G',	'1.	CABBAGE                                   .800\r\n2.	CAULIFLOWER                              .900\r\n3.	CARROT CHINA                          1.000\r\n4.	PUMKIN WHITE                       1.200\r\n5.	EGGPLANT MED                       1.500\r\n6.	LETTUICE OMAN                      1.500\r\n7.	MANDARIN PAK SML                  .700\r\n8.	POMEGRANET INDIA                1.700\r\n9.	GRAPES WHITE IND                 2.300\r\n10.	KIWI 1/6                                 2.600',	'2020-02-18',	3,	'2020-02-19',	'2020-02-20',	22,	'2020-02-18 11:31:56',	'2020-02-18 11:31:56',	NULL),
(29,	'G',	'1.	CABBAGE                                   .800\r\n2.	CAULIFLOWER                              .900\r\n3.	CARROT CHINA                          1.000\r\n4.	PUMKIN WHITE                       1.200\r\n5.	EGGPLANT MED                       1.500\r\n6.	LETTUICE OMAN                      1.500\r\n7.	MANDARIN PAK SML                  .700\r\n8.	POMEGRANET INDIA                1.700\r\n9.	GRAPES WHITE IND                 2.300\r\n10.	KIWI 1/6                                 2.600',	'2020-02-18',	3,	'2020-02-19',	'2020-02-20',	22,	'2020-02-18 11:32:30',	'2020-02-18 11:32:30',	NULL),
(30,	'G',	'1.	CABBAGE                                   .800\r\n2.	CAULIFLOWER                              .900\r\n3.	CARROT CHINA                          1.000\r\n4.	PUMKIN WHITE                       1.200\r\n5.	EGGPLANT MED                       1.500\r\n6.	LETTUICE OMAN                      1.500\r\n7.	MANDARIN PAK SML                  .700\r\n8.	POMEGRANET INDIA                1.700\r\n9.	GRAPES WHITE IND                 2.300\r\n10.	KIWI 1/6                                 2.600',	'2020-02-18',	3,	'2020-02-19',	'2020-02-20',	22,	'2020-02-18 11:34:37',	'2020-02-18 11:34:37',	NULL),
(31,	'G',	'WEEK END OFFER FOR SHOP - 6	\r\nSL. NO	DESCRIPTION	PRICE\r\n		\r\n1	CABBAGE OMAN	  0.45\r\n2	TOMATO	                 0 .800\r\n3      MOOLI                             0.800\r\n 4    EGGPLNT MED                1.100\r\n5     PEARS CHINA               1.200\r\n6     MANDARIN BIG PAK     2.200\r\n7     GINGER CHINA                2.000\r\n8     APPLE FUJI                       5.500\r\n9      MANGO THYMOOE       2.800',	'2020-03-03',	3,	'2020-03-03',	'2020-03-05',	22,	'2020-02-25 11:25:42',	'2020-03-03 12:07:17',	NULL),
(32,	'G',	'SNAKE FRUIT THAI [SALAK ]   RO 1.700 SPECIAL  OFFER\r\nAVAILABLE NOW',	'2020-03-08',	3,	'2020-03-08',	'2020-03-08',	23,	'2020-03-08 11:39:34',	'2020-03-08 11:39:34',	NULL),
(33,	'G',	'1 CABBAGE OMAN  .400\r\n2 KHADU OMAN        .600\r\n3 POTATO  LEB MED  .700\r\n4 EGGPLANT MED    .900\r\n5 LETTUICE                 1.200\r\n6 KOOSA OMAN          1.500\r\n7 BEENS SMALL          2.000\r\n8 KUMBALAM              1.600\r\n9 MANDARIN EGYPT 1.600\r\n10ORENGE OPEN( V )  2.000\r\n11 GRAPES WHITE IND 2.400\r\n12 APPLE IRAN MED      2.500\r\n13GARLIC BAG                  2.500\r\n14 MANGO S/A                 3.000\r\n15PEARS V/B                    5.600\r\n16SWEET MELON IND   1.400\r\n17CUCMBER                       1.200',	'2020-03-11',	3,	'2020-03-11',	'2020-03-12',	22,	'2020-03-11 12:21:47',	'2020-03-11 12:21:47',	NULL),
(34,	'G',	'WEEK END OFFER     (25+26)\r\n1 CABBAGE GREEN       .600\r\n2 KADHU OMAN              .700\r\n3 MOOLI OMAN                .800\r\n4 BEANS OMAN              2.300\r\n5 CAPSICUM RED          2.300\r\n6 CAPSICUM YELLOW  2.300\r\n7 CAPSICUM ORANGE 2.300\r\n8 LETTUCE IBL               2.300\r\n9 GRAPES WHITE SP    1.400\r\n10 MANDARIN EGYPT   1.400\r\n11 WATER MELON IND 1.400\r\n12 KIWI 4KG                      1.500',	'2020-03-24',	3,	'2020-03-24',	'2020-03-26',	22,	'2020-03-17 13:19:25',	'2020-03-24 13:22:26',	NULL),
(35,	'G',	'PLE SEND ORDER AS SOON AS POSSIBLE',	'2020-03-29',	3,	'2020-03-29',	'2020-03-29',	23,	'2020-03-29 13:05:13',	'2020-03-29 13:05:13',	NULL),
(36,	'G',	'OFFER FOR 08/04/2020  TO  09/04/2020\r\n1  TOMATO                                  0.700\r\n2  CUCUMBER                            0.700\r\n3  CABBAGE OMAN                  0.700\r\n4  EGGPLANT MED                   1.400\r\n5  CAPSICUM GREEN              1.600\r\n6  WATERMELON KG              0.150\r\n7  ORANGE SML                       2.000\r\n8  MANGO KALBATHOOR    2.000\r\n9  GRAPES WHITE  IND         2.100',	'2020-04-07',	3,	'2020-04-07',	'2020-04-09',	22,	'2020-04-07 11:50:41',	'2020-04-07 11:50:41',	NULL),
(37,	'G',	'APPLE RED USA = 8.500\r\nCARROT AUS       =4.000\r\nEGG WHITE IND =6.400\r\nLEMON S/A          =5.000\r\nCAULIFLOWER IRAN = 1.700\r\nEGGPLANT SMALL  = 1.300\r\nGRAPES RED S/L EGYPT = 2.200\r\nPERU EGYPT = 1.300\r\nGRAPES RED 1*10 = 3.700\r\nKIWI IRAN 4 KG = 1.900',	'2020-09-29',	3,	'2020-09-29',	'2020-09-30',	22,	'2020-09-29 13:07:27',	'2020-09-29 13:07:27',	NULL);

DROP TABLE IF EXISTS `notification_status`;
CREATE TABLE `notification_status` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `notification_id` int(11) NOT NULL,
  `customer_id` int(10) unsigned NOT NULL,
  `status` varchar(255) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `notification_status` (`id`, `notification_id`, `customer_id`, `status`) VALUES
(1,	1,	21,	'READ'),
(2,	1,	23,	'READ'),
(3,	1,	19,	'READ'),
(4,	1,	19,	'READ'),
(5,	1,	20,	'READ'),
(6,	1,	20,	'READ'),
(7,	2,	23,	'READ'),
(8,	2,	19,	'READ'),
(9,	2,	21,	'READ'),
(10,	2,	20,	'READ'),
(11,	2,	20,	'READ'),
(12,	3,	23,	'READ'),
(13,	3,	20,	'READ'),
(14,	3,	21,	'READ'),
(15,	3,	21,	'READ'),
(16,	3,	19,	'READ'),
(17,	3,	1,	'READ'),
(18,	3,	1,	'READ'),
(19,	4,	11,	'READ'),
(20,	4,	4,	'READ'),
(21,	4,	4,	'READ'),
(22,	4,	16,	'READ'),
(23,	4,	5,	'READ'),
(24,	4,	5,	'READ'),
(25,	4,	22,	'READ'),
(26,	4,	22,	'READ'),
(27,	4,	20,	'READ'),
(28,	4,	25,	'READ'),
(29,	4,	12,	'READ'),
(30,	4,	19,	'READ'),
(31,	4,	19,	'READ'),
(32,	4,	9,	'READ'),
(33,	5,	11,	'READ'),
(34,	5,	4,	'READ'),
(35,	5,	16,	'READ'),
(36,	5,	9,	'READ'),
(37,	5,	25,	'READ'),
(38,	5,	22,	'READ'),
(39,	5,	12,	'READ'),
(40,	5,	19,	'READ'),
(41,	5,	19,	'READ'),
(42,	5,	5,	'READ'),
(43,	5,	20,	'READ'),
(44,	6,	5,	'READ'),
(45,	6,	5,	'READ'),
(46,	6,	20,	'READ'),
(47,	6,	20,	'READ'),
(48,	6,	12,	'READ'),
(49,	6,	11,	'READ'),
(50,	6,	11,	'READ'),
(51,	6,	9,	'READ'),
(52,	6,	9,	'READ'),
(53,	6,	22,	'READ'),
(54,	6,	22,	'READ'),
(55,	6,	16,	'READ'),
(56,	6,	16,	'READ'),
(57,	6,	4,	'READ'),
(58,	6,	4,	'READ'),
(59,	6,	25,	'READ'),
(60,	6,	25,	'READ'),
(61,	4,	23,	'READ'),
(62,	5,	23,	'READ'),
(63,	6,	23,	'READ'),
(64,	4,	23,	'READ'),
(65,	5,	23,	'READ'),
(66,	6,	23,	'READ'),
(67,	4,	1,	'READ'),
(68,	5,	1,	'READ'),
(69,	6,	1,	'READ'),
(70,	7,	19,	'READ'),
(71,	7,	19,	'READ'),
(72,	7,	5,	'READ'),
(73,	7,	5,	'READ'),
(74,	7,	26,	'READ'),
(75,	7,	26,	'READ'),
(76,	7,	20,	'READ'),
(77,	7,	20,	'READ'),
(78,	7,	22,	'READ'),
(79,	7,	22,	'READ'),
(80,	7,	11,	'READ'),
(81,	7,	11,	'READ'),
(82,	7,	9,	'READ'),
(83,	7,	9,	'READ'),
(84,	7,	25,	'READ'),
(85,	7,	25,	'READ'),
(86,	7,	16,	'READ'),
(87,	7,	16,	'READ'),
(88,	7,	4,	'READ'),
(89,	7,	4,	'READ'),
(90,	7,	1,	'READ'),
(91,	7,	1,	'READ'),
(92,	8,	1,	'READ'),
(93,	8,	5,	'READ'),
(94,	8,	5,	'READ'),
(95,	8,	20,	'READ'),
(96,	8,	20,	'READ'),
(97,	8,	26,	'READ'),
(98,	8,	22,	'READ'),
(99,	8,	22,	'READ'),
(100,	8,	9,	'READ'),
(101,	8,	9,	'READ'),
(102,	8,	16,	'READ'),
(103,	8,	25,	'READ'),
(104,	8,	25,	'READ'),
(105,	8,	4,	'READ'),
(106,	8,	4,	'READ'),
(107,	8,	11,	'READ'),
(108,	8,	11,	'READ'),
(109,	8,	19,	'READ'),
(110,	8,	19,	'READ'),
(111,	9,	17,	'READ'),
(112,	9,	17,	'READ'),
(113,	9,	18,	'READ'),
(114,	9,	18,	'READ'),
(115,	9,	7,	'READ'),
(116,	9,	7,	'READ'),
(117,	9,	5,	'READ'),
(118,	9,	5,	'READ'),
(119,	9,	15,	'READ'),
(120,	9,	34,	'READ'),
(121,	9,	34,	'READ'),
(122,	9,	6,	'READ'),
(123,	9,	6,	'READ'),
(124,	9,	4,	'READ'),
(125,	9,	4,	'READ'),
(126,	9,	26,	'READ'),
(127,	9,	26,	'READ'),
(128,	9,	14,	'READ'),
(129,	9,	13,	'READ'),
(130,	9,	12,	'READ'),
(131,	9,	12,	'READ'),
(132,	9,	10,	'READ'),
(133,	9,	10,	'READ'),
(134,	9,	9,	'READ'),
(135,	9,	9,	'READ'),
(136,	9,	20,	'READ'),
(137,	9,	20,	'READ'),
(138,	9,	8,	'READ'),
(139,	9,	8,	'READ'),
(140,	9,	22,	'READ'),
(141,	9,	22,	'READ'),
(142,	9,	24,	'READ'),
(143,	9,	24,	'READ'),
(144,	9,	19,	'READ'),
(145,	9,	16,	'READ'),
(146,	9,	16,	'READ'),
(147,	9,	11,	'READ'),
(148,	9,	11,	'READ'),
(149,	9,	25,	'READ'),
(150,	9,	25,	'READ'),
(151,	9,	3,	'READ'),
(152,	9,	3,	'READ'),
(153,	9,	21,	'READ'),
(154,	9,	21,	'READ'),
(155,	9,	35,	'READ'),
(156,	9,	28,	'READ'),
(157,	9,	1,	'READ'),
(158,	9,	1,	'READ'),
(159,	10,	41,	'READ'),
(160,	10,	41,	'READ'),
(161,	10,	40,	'READ'),
(162,	10,	40,	'READ'),
(163,	10,	39,	'READ'),
(164,	10,	39,	'READ'),
(165,	10,	38,	'READ'),
(166,	10,	38,	'READ'),
(167,	10,	37,	'READ'),
(168,	10,	37,	'READ'),
(169,	10,	6,	'READ'),
(170,	10,	6,	'READ'),
(171,	10,	18,	'READ'),
(172,	10,	18,	'READ'),
(173,	10,	16,	'READ'),
(174,	10,	16,	'READ'),
(175,	10,	5,	'READ'),
(176,	10,	5,	'READ'),
(177,	10,	4,	'READ'),
(178,	10,	4,	'READ'),
(179,	10,	20,	'READ'),
(180,	10,	20,	'READ'),
(181,	10,	8,	'READ'),
(182,	10,	17,	'READ'),
(183,	10,	17,	'READ'),
(184,	10,	3,	'READ'),
(185,	10,	3,	'READ'),
(186,	10,	14,	'READ'),
(187,	10,	14,	'READ'),
(188,	10,	13,	'READ'),
(189,	10,	13,	'READ'),
(190,	10,	22,	'READ'),
(191,	10,	22,	'READ'),
(192,	10,	15,	'READ'),
(193,	10,	15,	'READ'),
(194,	10,	35,	'READ'),
(195,	10,	10,	'READ'),
(196,	10,	26,	'READ'),
(197,	10,	34,	'READ'),
(198,	10,	34,	'READ'),
(199,	10,	12,	'READ'),
(200,	10,	12,	'READ'),
(201,	10,	11,	'READ'),
(202,	10,	11,	'READ'),
(203,	10,	19,	'READ'),
(204,	10,	19,	'READ'),
(205,	10,	25,	'READ'),
(206,	10,	25,	'READ'),
(207,	10,	24,	'READ'),
(208,	10,	24,	'READ'),
(209,	11,	9,	'READ'),
(210,	11,	9,	'READ'),
(211,	12,	52,	'READ'),
(212,	12,	52,	'READ'),
(213,	12,	53,	'READ'),
(214,	12,	58,	'READ'),
(215,	12,	58,	'READ'),
(216,	12,	51,	'READ'),
(217,	12,	59,	'READ'),
(218,	13,	53,	'READ'),
(219,	13,	52,	'READ'),
(220,	13,	52,	'READ'),
(221,	13,	55,	'READ'),
(222,	13,	55,	'READ'),
(223,	13,	59,	'READ'),
(224,	13,	59,	'READ'),
(225,	13,	58,	'READ'),
(226,	13,	51,	'READ'),
(227,	13,	51,	'READ'),
(228,	13,	54,	'READ'),
(229,	13,	54,	'READ'),
(230,	14,	56,	'READ'),
(231,	14,	56,	'READ'),
(232,	14,	51,	'READ'),
(233,	14,	51,	'READ'),
(234,	14,	54,	'READ'),
(235,	14,	54,	'READ'),
(236,	14,	65,	'READ'),
(237,	14,	65,	'READ'),
(238,	14,	53,	'READ'),
(239,	14,	59,	'READ'),
(240,	14,	59,	'READ'),
(241,	14,	63,	'READ'),
(242,	14,	63,	'READ'),
(243,	14,	58,	'READ'),
(244,	14,	58,	'READ'),
(245,	14,	52,	'READ'),
(246,	14,	52,	'READ'),
(247,	14,	64,	'READ'),
(248,	14,	64,	'READ'),
(249,	16,	54,	'READ'),
(250,	16,	51,	'READ'),
(251,	16,	51,	'READ'),
(252,	16,	56,	'READ'),
(253,	16,	56,	'READ'),
(254,	16,	63,	'READ'),
(255,	16,	63,	'READ'),
(256,	16,	64,	'READ'),
(257,	16,	64,	'READ'),
(258,	16,	59,	'READ'),
(259,	17,	54,	'READ'),
(260,	17,	54,	'READ'),
(261,	17,	51,	'READ'),
(262,	17,	59,	'READ'),
(263,	17,	59,	'READ'),
(264,	17,	63,	'READ'),
(265,	17,	63,	'READ'),
(266,	17,	58,	'READ'),
(267,	17,	58,	'READ'),
(268,	17,	64,	'READ'),
(269,	17,	65,	'READ'),
(270,	17,	65,	'READ'),
(271,	17,	53,	'READ'),
(272,	18,	53,	'READ'),
(273,	18,	53,	'READ'),
(274,	18,	59,	'READ'),
(275,	18,	59,	'READ'),
(276,	18,	54,	'READ'),
(277,	18,	54,	'READ'),
(278,	18,	63,	'READ'),
(279,	18,	63,	'READ'),
(280,	18,	64,	'READ'),
(281,	18,	64,	'READ'),
(282,	18,	51,	'READ'),
(283,	18,	51,	'READ'),
(284,	18,	65,	'READ'),
(285,	18,	65,	'READ'),
(286,	18,	58,	'READ'),
(287,	17,	52,	'READ'),
(288,	18,	52,	'READ'),
(289,	17,	52,	'READ'),
(290,	18,	52,	'READ'),
(291,	19,	63,	'READ'),
(292,	19,	63,	'READ'),
(293,	19,	53,	'READ'),
(294,	19,	53,	'READ'),
(295,	19,	58,	'READ'),
(296,	19,	58,	'READ'),
(297,	19,	65,	'READ'),
(298,	19,	65,	'READ'),
(299,	19,	64,	'READ'),
(300,	19,	64,	'READ'),
(301,	19,	59,	'READ'),
(302,	19,	51,	'READ'),
(303,	19,	51,	'READ'),
(304,	19,	54,	'READ'),
(305,	19,	54,	'READ'),
(306,	19,	52,	'READ'),
(307,	19,	52,	'READ'),
(308,	20,	10,	'READ'),
(309,	20,	14,	'READ'),
(310,	20,	16,	'READ'),
(311,	21,	65,	'READ'),
(312,	21,	65,	'READ'),
(313,	21,	71,	'READ'),
(314,	21,	67,	'READ'),
(315,	21,	67,	'READ'),
(316,	21,	59,	'READ'),
(317,	21,	59,	'READ'),
(318,	21,	62,	'READ'),
(319,	21,	62,	'READ'),
(320,	21,	73,	'READ'),
(321,	21,	73,	'READ'),
(322,	21,	68,	'READ'),
(323,	21,	68,	'READ'),
(324,	21,	66,	'READ'),
(325,	21,	66,	'READ'),
(326,	22,	5,	'READ'),
(327,	22,	3,	'READ'),
(328,	22,	3,	'READ'),
(329,	22,	24,	'READ'),
(330,	22,	24,	'READ'),
(331,	22,	18,	'READ'),
(332,	22,	18,	'READ'),
(333,	22,	10,	'READ'),
(334,	22,	10,	'READ'),
(335,	23,	86,	'READ'),
(336,	24,	86,	'READ'),
(337,	24,	86,	'READ'),
(338,	26,	13,	'READ'),
(339,	26,	13,	'READ'),
(340,	26,	86,	'READ'),
(341,	26,	86,	'READ'),
(342,	26,	3,	'READ'),
(343,	26,	8,	'READ'),
(344,	26,	8,	'READ'),
(345,	26,	29,	'READ'),
(346,	26,	29,	'READ'),
(347,	26,	16,	'READ'),
(348,	26,	16,	'READ'),
(349,	26,	7,	'READ'),
(350,	26,	7,	'READ'),
(351,	26,	82,	'READ'),
(352,	26,	11,	'READ'),
(353,	26,	11,	'READ'),
(354,	26,	62,	'READ'),
(355,	26,	62,	'READ'),
(356,	26,	65,	'READ'),
(357,	26,	65,	'READ'),
(358,	26,	27,	'READ'),
(359,	26,	78,	'READ'),
(360,	26,	78,	'READ'),
(361,	26,	63,	'READ'),
(362,	26,	63,	'READ'),
(363,	26,	1,	'READ'),
(364,	26,	1,	'READ'),
(365,	26,	77,	'READ'),
(366,	26,	77,	'READ'),
(367,	26,	95,	'READ'),
(368,	26,	95,	'READ'),
(369,	26,	89,	'READ'),
(370,	26,	14,	'READ'),
(371,	26,	14,	'READ'),
(372,	26,	53,	'READ'),
(373,	26,	53,	'READ'),
(374,	26,	67,	'READ'),
(375,	26,	67,	'READ'),
(376,	26,	64,	'READ'),
(377,	26,	64,	'READ'),
(378,	26,	57,	'READ'),
(379,	26,	57,	'READ'),
(380,	26,	25,	'READ'),
(381,	26,	25,	'READ'),
(382,	26,	19,	'READ'),
(383,	26,	5,	'READ'),
(384,	26,	5,	'READ'),
(385,	26,	31,	'READ'),
(386,	26,	24,	'READ'),
(387,	26,	24,	'READ'),
(388,	26,	36,	'READ'),
(389,	26,	58,	'READ'),
(390,	26,	58,	'READ'),
(391,	26,	59,	'READ'),
(392,	26,	59,	'READ'),
(393,	26,	34,	'READ'),
(394,	26,	4,	'READ'),
(395,	26,	4,	'READ'),
(396,	26,	56,	'READ'),
(397,	26,	56,	'READ'),
(398,	26,	18,	'READ'),
(399,	26,	18,	'READ'),
(400,	27,	14,	'READ'),
(401,	27,	14,	'READ'),
(402,	27,	27,	'READ'),
(403,	27,	8,	'READ'),
(404,	27,	8,	'READ'),
(405,	27,	29,	'READ'),
(406,	27,	29,	'READ'),
(407,	27,	25,	'READ'),
(408,	27,	25,	'READ'),
(409,	27,	16,	'READ'),
(410,	27,	5,	'READ'),
(411,	27,	5,	'READ'),
(412,	27,	19,	'READ'),
(413,	27,	19,	'READ'),
(414,	27,	24,	'READ'),
(415,	27,	10,	'READ'),
(416,	27,	10,	'READ'),
(417,	27,	4,	'READ'),
(418,	27,	4,	'READ'),
(419,	27,	18,	'READ'),
(420,	27,	18,	'READ'),
(421,	27,	7,	'READ'),
(422,	27,	7,	'READ'),
(423,	30,	31,	'READ'),
(424,	30,	31,	'READ'),
(425,	30,	89,	'READ'),
(426,	30,	89,	'READ'),
(427,	30,	85,	'READ'),
(428,	30,	85,	'READ'),
(429,	30,	6,	'READ'),
(430,	30,	6,	'READ'),
(431,	30,	96,	'READ'),
(432,	30,	96,	'READ'),
(433,	30,	49,	'READ'),
(434,	30,	18,	'READ'),
(435,	30,	18,	'READ'),
(436,	30,	82,	'READ'),
(437,	30,	7,	'READ'),
(438,	30,	7,	'READ'),
(439,	30,	13,	'READ'),
(440,	30,	13,	'READ'),
(441,	30,	10,	'READ'),
(442,	30,	92,	'READ'),
(443,	30,	92,	'READ'),
(444,	30,	95,	'READ'),
(445,	30,	95,	'READ'),
(446,	30,	86,	'READ'),
(447,	30,	8,	'READ'),
(448,	30,	8,	'READ'),
(449,	30,	16,	'READ'),
(450,	30,	80,	'READ'),
(451,	30,	29,	'READ'),
(452,	30,	29,	'READ'),
(453,	30,	81,	'READ'),
(454,	30,	53,	'READ'),
(455,	30,	53,	'READ'),
(456,	30,	15,	'READ'),
(457,	30,	15,	'READ'),
(458,	30,	5,	'READ'),
(459,	30,	14,	'READ'),
(460,	30,	14,	'READ'),
(461,	30,	11,	'READ'),
(462,	30,	11,	'READ'),
(463,	30,	77,	'READ'),
(464,	30,	77,	'READ'),
(465,	30,	78,	'READ'),
(466,	30,	27,	'READ'),
(467,	30,	27,	'READ'),
(468,	30,	25,	'READ'),
(469,	30,	25,	'READ'),
(470,	30,	19,	'READ'),
(471,	30,	4,	'READ'),
(472,	30,	4,	'READ'),
(473,	30,	84,	'READ'),
(474,	30,	24,	'READ'),
(475,	30,	38,	'READ'),
(476,	30,	3,	'READ'),
(477,	30,	3,	'READ'),
(478,	30,	1,	'READ'),
(479,	31,	78,	'READ'),
(480,	31,	82,	'READ'),
(481,	31,	82,	'READ'),
(482,	31,	89,	'READ'),
(483,	31,	10,	'READ'),
(484,	31,	10,	'READ'),
(485,	31,	8,	'READ'),
(486,	31,	8,	'READ'),
(487,	31,	7,	'READ'),
(488,	31,	7,	'READ'),
(489,	31,	13,	'READ'),
(490,	31,	13,	'READ'),
(491,	31,	81,	'READ'),
(492,	31,	80,	'READ'),
(493,	31,	11,	'READ'),
(494,	31,	11,	'READ'),
(495,	31,	86,	'READ'),
(496,	31,	86,	'READ'),
(497,	31,	16,	'READ'),
(498,	31,	16,	'READ'),
(499,	31,	77,	'READ'),
(500,	31,	77,	'READ'),
(501,	31,	38,	'READ'),
(502,	31,	57,	'READ'),
(503,	31,	57,	'READ'),
(504,	31,	53,	'READ'),
(505,	31,	53,	'READ'),
(506,	31,	65,	'READ'),
(507,	31,	65,	'READ'),
(508,	31,	27,	'READ'),
(509,	31,	29,	'READ'),
(510,	31,	29,	'READ'),
(511,	31,	19,	'READ'),
(512,	31,	19,	'READ'),
(513,	31,	1,	'READ'),
(514,	31,	1,	'READ'),
(515,	31,	42,	'READ'),
(516,	31,	14,	'READ'),
(517,	31,	14,	'READ'),
(518,	31,	3,	'READ'),
(519,	31,	64,	'READ'),
(520,	31,	64,	'READ'),
(521,	31,	95,	'READ'),
(522,	31,	95,	'READ'),
(523,	31,	34,	'READ'),
(524,	31,	25,	'READ'),
(525,	31,	25,	'READ'),
(526,	31,	5,	'READ'),
(527,	31,	59,	'READ'),
(528,	31,	59,	'READ'),
(529,	31,	70,	'READ'),
(530,	31,	70,	'READ'),
(531,	31,	24,	'READ'),
(532,	31,	24,	'READ'),
(533,	31,	58,	'READ'),
(534,	31,	58,	'READ'),
(535,	31,	15,	'READ'),
(536,	31,	15,	'READ'),
(537,	31,	67,	'READ'),
(538,	31,	4,	'READ'),
(539,	31,	4,	'READ'),
(540,	31,	66,	'READ'),
(541,	31,	66,	'READ'),
(542,	31,	49,	'READ'),
(543,	31,	84,	'READ'),
(544,	31,	84,	'READ'),
(545,	31,	85,	'READ'),
(546,	31,	85,	'READ'),
(547,	31,	31,	'READ'),
(548,	31,	31,	'READ'),
(549,	31,	6,	'READ'),
(550,	31,	6,	'READ'),
(551,	31,	18,	'READ'),
(552,	31,	18,	'READ'),
(553,	31,	28,	'READ'),
(554,	31,	28,	'READ'),
(555,	31,	9,	'READ'),
(556,	31,	9,	'READ'),
(557,	31,	96,	'READ'),
(558,	31,	96,	'READ'),
(559,	31,	76,	'READ'),
(560,	31,	41,	'READ'),
(561,	31,	63,	'READ'),
(562,	31,	63,	'READ'),
(563,	31,	71,	'READ'),
(564,	31,	91,	'READ'),
(565,	31,	91,	'READ'),
(566,	31,	92,	'READ'),
(567,	31,	92,	'READ'),
(568,	31,	40,	'READ'),
(569,	31,	48,	'READ'),
(570,	31,	48,	'READ'),
(571,	32,	18,	'READ'),
(572,	32,	18,	'READ'),
(573,	32,	10,	'READ'),
(574,	32,	10,	'READ'),
(575,	32,	49,	'READ'),
(576,	32,	49,	'READ'),
(577,	32,	89,	'READ'),
(578,	32,	89,	'READ'),
(579,	32,	8,	'READ'),
(580,	32,	77,	'READ'),
(581,	32,	77,	'READ'),
(582,	32,	62,	'READ'),
(583,	32,	62,	'READ'),
(584,	32,	13,	'READ'),
(585,	32,	13,	'READ'),
(586,	32,	11,	'READ'),
(587,	32,	11,	'READ'),
(588,	32,	76,	'READ'),
(589,	32,	76,	'READ'),
(590,	32,	84,	'READ'),
(591,	32,	84,	'READ'),
(592,	32,	40,	'READ'),
(593,	32,	27,	'READ'),
(594,	32,	27,	'READ'),
(595,	32,	3,	'READ'),
(596,	32,	3,	'READ'),
(597,	32,	25,	'READ'),
(598,	32,	25,	'READ'),
(599,	32,	78,	'READ'),
(600,	32,	78,	'READ'),
(601,	32,	7,	'READ'),
(602,	32,	7,	'READ'),
(603,	32,	1,	'READ'),
(604,	32,	1,	'READ'),
(605,	32,	53,	'READ'),
(606,	32,	53,	'READ'),
(607,	32,	65,	'READ'),
(608,	32,	57,	'READ'),
(609,	32,	57,	'READ'),
(610,	32,	16,	'READ'),
(611,	32,	14,	'READ'),
(612,	32,	59,	'READ'),
(613,	32,	59,	'READ'),
(614,	32,	68,	'READ'),
(615,	32,	68,	'READ'),
(616,	32,	9,	'READ'),
(617,	32,	9,	'READ'),
(618,	32,	100,	'READ'),
(619,	32,	100,	'READ'),
(620,	32,	95,	'READ'),
(621,	32,	82,	'READ'),
(622,	32,	82,	'READ'),
(623,	32,	29,	'READ'),
(624,	32,	29,	'READ'),
(625,	32,	64,	'READ'),
(626,	32,	64,	'READ'),
(627,	32,	34,	'READ'),
(628,	32,	19,	'READ'),
(629,	32,	19,	'READ'),
(630,	32,	4,	'READ'),
(631,	32,	4,	'READ'),
(632,	32,	58,	'READ'),
(633,	32,	58,	'READ'),
(634,	32,	66,	'READ'),
(635,	32,	66,	'READ'),
(636,	32,	24,	'READ'),
(637,	32,	24,	'READ'),
(638,	32,	5,	'READ'),
(639,	32,	5,	'READ'),
(640,	32,	70,	'READ'),
(641,	32,	70,	'READ'),
(642,	32,	73,	'READ'),
(643,	32,	97,	'READ'),
(644,	32,	97,	'READ'),
(645,	32,	98,	'READ'),
(646,	32,	98,	'READ'),
(647,	32,	61,	'READ'),
(648,	32,	61,	'READ'),
(649,	32,	80,	'READ'),
(650,	32,	80,	'READ'),
(651,	32,	51,	'READ'),
(652,	33,	77,	'READ'),
(653,	33,	77,	'READ'),
(654,	33,	85,	'READ'),
(655,	33,	29,	'READ'),
(656,	33,	65,	'READ'),
(657,	33,	65,	'READ'),
(658,	33,	91,	'READ'),
(659,	33,	91,	'READ'),
(660,	33,	9,	'READ'),
(661,	33,	9,	'READ'),
(662,	33,	8,	'READ'),
(663,	33,	8,	'READ'),
(664,	33,	82,	'READ'),
(665,	33,	82,	'READ'),
(666,	33,	27,	'READ'),
(667,	33,	84,	'READ'),
(668,	33,	84,	'READ'),
(669,	33,	78,	'READ'),
(670,	33,	7,	'READ'),
(671,	33,	86,	'READ'),
(672,	33,	11,	'READ'),
(673,	33,	11,	'READ'),
(674,	33,	1,	'READ'),
(675,	33,	1,	'READ'),
(676,	33,	14,	'READ'),
(677,	33,	92,	'READ'),
(678,	33,	53,	'READ'),
(679,	33,	53,	'READ'),
(680,	33,	16,	'READ'),
(681,	33,	16,	'READ'),
(682,	33,	25,	'READ'),
(683,	33,	25,	'READ'),
(684,	33,	42,	'READ'),
(685,	33,	63,	'READ'),
(686,	33,	63,	'READ'),
(687,	33,	89,	'READ'),
(688,	33,	89,	'READ'),
(689,	33,	67,	'READ'),
(690,	33,	67,	'READ'),
(691,	33,	3,	'READ'),
(692,	33,	3,	'READ'),
(693,	33,	4,	'READ'),
(694,	33,	4,	'READ'),
(695,	33,	5,	'READ'),
(696,	33,	5,	'READ'),
(697,	33,	34,	'READ'),
(698,	33,	19,	'READ'),
(699,	33,	19,	'READ'),
(700,	33,	24,	'READ'),
(701,	33,	59,	'READ'),
(702,	33,	59,	'READ'),
(703,	33,	64,	'READ'),
(704,	33,	64,	'READ'),
(705,	33,	18,	'READ'),
(706,	33,	70,	'READ'),
(707,	33,	70,	'READ'),
(708,	33,	48,	'READ'),
(709,	33,	48,	'READ'),
(710,	33,	97,	'READ'),
(711,	33,	66,	'READ'),
(712,	33,	66,	'READ'),
(713,	33,	100,	'READ'),
(714,	33,	98,	'READ'),
(715,	33,	98,	'READ'),
(716,	33,	76,	'READ'),
(717,	33,	76,	'READ'),
(718,	33,	51,	'READ'),
(719,	34,	57,	'READ'),
(720,	34,	77,	'READ'),
(721,	34,	77,	'READ'),
(722,	34,	86,	'READ'),
(723,	34,	86,	'READ'),
(724,	34,	1,	'READ'),
(725,	34,	1,	'READ'),
(726,	34,	10,	'READ'),
(727,	34,	27,	'READ'),
(728,	34,	27,	'READ'),
(729,	34,	80,	'READ'),
(730,	34,	80,	'READ'),
(731,	34,	65,	'READ'),
(732,	34,	65,	'READ'),
(733,	34,	7,	'READ'),
(734,	34,	7,	'READ'),
(735,	34,	95,	'READ'),
(736,	34,	95,	'READ'),
(737,	34,	82,	'READ'),
(738,	34,	82,	'READ'),
(739,	34,	14,	'READ'),
(740,	34,	14,	'READ'),
(741,	34,	25,	'READ'),
(742,	34,	25,	'READ'),
(743,	34,	5,	'READ'),
(744,	34,	5,	'READ'),
(745,	34,	64,	'READ'),
(746,	34,	64,	'READ'),
(747,	34,	78,	'READ'),
(748,	34,	78,	'READ'),
(749,	34,	4,	'READ'),
(750,	34,	4,	'READ'),
(751,	34,	19,	'READ'),
(752,	34,	19,	'READ'),
(753,	34,	66,	'READ'),
(754,	34,	66,	'READ'),
(755,	34,	36,	'READ'),
(756,	34,	59,	'READ'),
(757,	34,	24,	'READ'),
(758,	34,	24,	'READ'),
(759,	34,	34,	'READ'),
(760,	34,	70,	'READ'),
(761,	34,	70,	'READ'),
(762,	34,	18,	'READ'),
(763,	34,	18,	'READ'),
(764,	34,	9,	'READ'),
(765,	34,	9,	'READ'),
(766,	34,	3,	'READ'),
(767,	34,	3,	'READ'),
(768,	34,	8,	'READ'),
(769,	34,	8,	'READ'),
(770,	34,	98,	'READ'),
(771,	34,	98,	'READ'),
(772,	34,	91,	'READ'),
(773,	34,	91,	'READ'),
(774,	34,	89,	'READ'),
(775,	34,	89,	'READ'),
(776,	34,	42,	'READ'),
(777,	34,	48,	'READ'),
(778,	34,	48,	'READ'),
(779,	34,	87,	'READ'),
(780,	34,	16,	'READ'),
(781,	34,	16,	'READ'),
(782,	34,	85,	'READ'),
(783,	34,	85,	'READ'),
(784,	34,	51,	'READ'),
(785,	34,	51,	'READ'),
(786,	34,	6,	'READ'),
(787,	34,	49,	'READ'),
(788,	34,	29,	'READ'),
(789,	34,	67,	'READ'),
(790,	34,	67,	'READ'),
(791,	34,	13,	'READ'),
(792,	34,	13,	'READ'),
(793,	34,	53,	'READ'),
(794,	34,	92,	'READ'),
(795,	34,	92,	'READ'),
(796,	34,	11,	'READ'),
(797,	34,	11,	'READ'),
(798,	34,	15,	'READ'),
(799,	34,	15,	'READ'),
(800,	34,	84,	'READ'),
(801,	34,	84,	'READ'),
(802,	34,	63,	'READ'),
(803,	34,	63,	'READ'),
(804,	34,	68,	'READ'),
(805,	34,	68,	'READ'),
(806,	34,	58,	'READ'),
(807,	34,	58,	'READ'),
(808,	34,	61,	'READ'),
(809,	34,	61,	'READ'),
(810,	34,	97,	'READ'),
(811,	34,	97,	'READ'),
(812,	34,	38,	'READ'),
(813,	34,	40,	'READ'),
(814,	34,	96,	'READ'),
(815,	34,	96,	'READ'),
(816,	34,	37,	'READ'),
(817,	34,	45,	'READ'),
(818,	34,	100,	'READ'),
(819,	34,	100,	'READ'),
(820,	34,	76,	'READ'),
(821,	34,	76,	'READ'),
(822,	35,	38,	'READ'),
(823,	35,	1,	'READ'),
(824,	35,	24,	'READ'),
(825,	35,	24,	'READ'),
(826,	35,	8,	'READ'),
(827,	35,	8,	'READ'),
(828,	35,	14,	'READ'),
(829,	35,	14,	'READ'),
(830,	35,	16,	'READ'),
(831,	35,	16,	'READ'),
(832,	35,	53,	'READ'),
(833,	35,	53,	'READ'),
(834,	35,	27,	'READ'),
(835,	35,	27,	'READ'),
(836,	35,	63,	'READ'),
(837,	35,	63,	'READ'),
(838,	35,	7,	'READ'),
(839,	35,	7,	'READ'),
(840,	35,	9,	'READ'),
(841,	35,	9,	'READ'),
(842,	35,	19,	'READ'),
(843,	35,	19,	'READ'),
(844,	35,	95,	'READ'),
(845,	35,	95,	'READ'),
(846,	35,	70,	'READ'),
(847,	35,	70,	'READ'),
(848,	35,	42,	'READ'),
(849,	35,	59,	'READ'),
(850,	35,	59,	'READ'),
(851,	35,	29,	'READ'),
(852,	35,	25,	'READ'),
(853,	35,	66,	'READ'),
(854,	35,	66,	'READ'),
(855,	35,	48,	'READ'),
(856,	35,	48,	'READ'),
(857,	35,	57,	'READ'),
(858,	35,	57,	'READ'),
(859,	35,	82,	'READ'),
(860,	35,	82,	'READ'),
(861,	35,	34,	'READ'),
(862,	35,	4,	'READ'),
(863,	35,	4,	'READ'),
(864,	35,	98,	'READ'),
(865,	35,	98,	'READ'),
(866,	35,	97,	'READ'),
(867,	35,	97,	'READ'),
(868,	35,	61,	'READ'),
(869,	35,	61,	'READ'),
(870,	35,	86,	'READ'),
(871,	35,	86,	'READ'),
(872,	35,	3,	'READ'),
(873,	36,	7,	'READ'),
(874,	36,	7,	'READ'),
(875,	36,	48,	'READ'),
(876,	36,	48,	'READ'),
(877,	36,	13,	'READ'),
(878,	36,	13,	'READ'),
(879,	36,	6,	'READ'),
(880,	36,	76,	'READ'),
(881,	36,	76,	'READ'),
(882,	36,	11,	'READ'),
(883,	36,	11,	'READ'),
(884,	36,	10,	'READ'),
(885,	36,	10,	'READ'),
(886,	36,	27,	'READ'),
(887,	36,	27,	'READ'),
(888,	36,	42,	'READ'),
(889,	36,	8,	'READ'),
(890,	36,	8,	'READ'),
(891,	36,	31,	'READ'),
(892,	36,	1,	'READ'),
(893,	36,	1,	'READ'),
(894,	36,	29,	'READ'),
(895,	36,	29,	'READ'),
(896,	36,	17,	'READ'),
(897,	36,	17,	'READ'),
(898,	36,	53,	'READ'),
(899,	36,	53,	'READ'),
(900,	36,	57,	'READ'),
(901,	36,	57,	'READ'),
(902,	36,	77,	'READ'),
(903,	36,	77,	'READ'),
(904,	36,	16,	'READ'),
(905,	36,	16,	'READ'),
(906,	36,	38,	'READ'),
(907,	36,	24,	'READ'),
(908,	36,	14,	'READ'),
(909,	36,	64,	'READ'),
(910,	36,	64,	'READ'),
(911,	36,	95,	'READ'),
(912,	36,	95,	'READ'),
(913,	36,	67,	'READ'),
(914,	36,	67,	'READ'),
(915,	36,	70,	'READ'),
(916,	36,	70,	'READ'),
(917,	36,	25,	'READ'),
(918,	36,	25,	'READ'),
(919,	36,	65,	'READ'),
(920,	36,	65,	'READ'),
(921,	36,	82,	'READ'),
(922,	36,	82,	'READ'),
(923,	36,	19,	'READ'),
(924,	36,	19,	'READ'),
(925,	36,	34,	'READ'),
(926,	36,	4,	'READ'),
(927,	36,	4,	'READ'),
(928,	36,	59,	'READ'),
(929,	36,	59,	'READ'),
(930,	36,	5,	'READ'),
(931,	36,	5,	'READ'),
(932,	36,	61,	'READ'),
(933,	36,	61,	'READ'),
(934,	36,	18,	'READ'),
(935,	36,	18,	'READ'),
(936,	36,	49,	'READ'),
(937,	36,	49,	'READ'),
(938,	36,	75,	'READ'),
(939,	36,	75,	'READ'),
(940,	36,	85,	'READ'),
(941,	36,	85,	'READ'),
(942,	36,	92,	'READ'),
(943,	36,	92,	'READ'),
(944,	36,	41,	'READ'),
(945,	36,	84,	'READ'),
(946,	36,	63,	'READ'),
(947,	36,	69,	'READ'),
(948,	36,	69,	'READ'),
(949,	36,	36,	'READ'),
(950,	36,	66,	'READ'),
(951,	36,	66,	'READ'),
(952,	36,	78,	'READ'),
(953,	36,	78,	'READ'),
(954,	36,	9,	'READ'),
(955,	36,	3,	'READ'),
(956,	36,	3,	'READ'),
(957,	36,	68,	'READ'),
(958,	36,	68,	'READ'),
(959,	36,	98,	'READ'),
(960,	36,	98,	'READ'),
(961,	36,	97,	'READ'),
(962,	36,	60,	'READ'),
(963,	36,	60,	'READ'),
(964,	37,	37,	'READ'),
(965,	37,	8,	'READ'),
(966,	37,	8,	'READ'),
(967,	37,	29,	'READ'),
(968,	37,	29,	'READ'),
(969,	37,	25,	'READ'),
(970,	37,	25,	'READ'),
(971,	37,	30,	'READ'),
(972,	37,	30,	'READ'),
(973,	37,	9,	'READ'),
(974,	37,	9,	'READ'),
(975,	37,	34,	'READ'),
(976,	37,	27,	'READ'),
(977,	37,	27,	'READ'),
(978,	37,	24,	'READ'),
(979,	37,	24,	'READ'),
(980,	37,	11,	'READ'),
(981,	37,	16,	'READ'),
(982,	37,	16,	'READ'),
(983,	37,	14,	'READ'),
(984,	37,	14,	'READ'),
(985,	37,	5,	'READ'),
(986,	37,	5,	'READ'),
(987,	37,	19,	'READ'),
(988,	37,	19,	'READ'),
(989,	37,	7,	'READ'),
(990,	37,	18,	'READ'),
(991,	37,	18,	'READ'),
(992,	37,	10,	'READ'),
(993,	37,	10,	'READ'),
(994,	37,	6,	'READ'),
(995,	37,	13,	'READ'),
(996,	37,	13,	'READ'),
(997,	37,	17,	'READ'),
(998,	37,	17,	'READ'),
(999,	37,	4,	'READ'),
(1000,	37,	4,	'READ');

DROP TABLE IF EXISTS `notification_types`;
CREATE TABLE `notification_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `notification_id` int(11) NOT NULL,
  `customer_type_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `notification_id` (`notification_id`),
  KEY `customer_type_id` (`customer_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `notification_types` (`id`, `notification_id`, `customer_type_id`) VALUES
(1,	1,	1),
(2,	1,	2),
(3,	1,	3),
(10,	2,	1),
(11,	2,	2),
(12,	2,	3),
(19,	3,	1),
(20,	3,	2),
(21,	3,	3),
(22,	4,	1),
(23,	5,	1),
(24,	5,	2),
(25,	5,	3),
(26,	6,	1),
(27,	6,	2),
(28,	6,	3),
(29,	7,	1),
(30,	7,	2),
(31,	7,	3),
(32,	8,	1),
(33,	8,	2),
(34,	8,	3),
(35,	8,	4),
(36,	9,	1),
(37,	9,	2),
(38,	9,	3),
(39,	9,	4),
(40,	9,	5),
(41,	10,	1),
(42,	10,	2),
(43,	10,	3),
(44,	10,	4),
(45,	10,	5),
(46,	11,	1),
(47,	11,	2),
(48,	11,	3),
(49,	11,	4),
(50,	11,	5),
(51,	12,	6),
(52,	13,	6),
(53,	14,	6),
(55,	16,	6),
(56,	17,	6),
(57,	18,	6),
(58,	19,	6),
(59,	20,	1),
(60,	21,	11),
(61,	22,	1),
(62,	23,	12),
(63,	24,	12),
(64,	26,	1),
(65,	26,	2),
(66,	26,	3),
(67,	26,	4),
(68,	26,	5),
(69,	26,	6),
(70,	26,	7),
(71,	26,	8),
(72,	26,	9),
(73,	26,	10),
(74,	26,	11),
(75,	26,	12),
(76,	27,	1),
(77,	30,	1),
(78,	30,	4),
(79,	30,	5),
(80,	30,	8),
(81,	30,	9),
(82,	30,	10),
(83,	30,	12),
(132,	31,	1),
(133,	31,	2),
(134,	31,	3),
(135,	31,	4),
(136,	31,	5),
(137,	31,	6),
(138,	31,	7),
(139,	31,	8),
(140,	31,	9),
(141,	31,	10),
(142,	31,	11),
(143,	31,	12),
(144,	32,	1),
(145,	32,	2),
(146,	32,	3),
(147,	32,	4),
(148,	32,	5),
(149,	32,	6),
(150,	32,	7),
(151,	32,	8),
(152,	32,	9),
(153,	32,	10),
(154,	32,	11),
(155,	32,	12),
(156,	32,	13),
(157,	33,	1),
(158,	33,	2),
(159,	33,	3),
(160,	33,	4),
(161,	33,	5),
(162,	33,	6),
(163,	33,	7),
(164,	33,	8),
(165,	33,	9),
(166,	33,	10),
(167,	33,	11),
(168,	33,	12),
(169,	33,	13),
(183,	34,	1),
(184,	34,	2),
(185,	34,	3),
(186,	34,	4),
(187,	34,	5),
(188,	34,	6),
(189,	34,	7),
(190,	34,	8),
(191,	34,	9),
(192,	34,	10),
(193,	34,	11),
(194,	34,	12),
(195,	34,	13),
(196,	35,	1),
(197,	35,	2),
(198,	35,	3),
(199,	35,	4),
(200,	35,	5),
(201,	35,	6),
(202,	35,	7),
(203,	35,	8),
(204,	35,	9),
(205,	35,	10),
(206,	35,	11),
(207,	35,	12),
(208,	35,	13),
(209,	36,	1),
(210,	36,	2),
(211,	36,	3),
(212,	36,	4),
(213,	36,	5),
(214,	36,	6),
(215,	36,	7),
(216,	36,	8),
(217,	36,	9),
(218,	36,	10),
(219,	36,	11),
(220,	36,	12),
(221,	36,	13),
(222,	37,	1),
(223,	37,	4);

DROP TABLE IF EXISTS `office`;
CREATE TABLE `office` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `office` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `address` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `product_last_update` int(11) DEFAULT NULL,
  `product_link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `office_name_unique` (`office`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `office` (`id`, `office`, `address`, `product_last_update`, `product_link`) VALUES
(1,	'SUHOL AL FAYHA TRADING L.L.C',	'C.R. 1653873[SFT] PO Box 3347, PC 111, Seeb CPO Central Vegetable Market, Al Mawaleh Muscat, Sultanate of Oman',	1619530038,	'http://phpstack-128499-1794758.cloudwaysapps.com/productnew1.zip'),
(2,	' KC CENTER LLC',	'C.R. 1144942\r\nPO Box 3347, PC 111, Seeb CPO\r\nCentral Vegetable Market, Al Mawaleh\r\nMuscat, Sultanate of Oman',	NULL,	'http://phpstack-128499-1794758.cloudwaysapps.com/productnew1.zip');

DROP TABLE IF EXISTS `pallets`;
CREATE TABLE `pallets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `ctn_per_pallet` int(11) NOT NULL,
  `pallet_total` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `pallets` (`id`, `product_id`, `grade_id`, `ctn_per_pallet`, `pallet_total`) VALUES
(1,	1,	NULL,	180,	10),
(2,	34,	10,	1,	1),
(3,	60,	4,	56,	2),
(4,	60,	1,	56,	2),
(5,	60,	6,	56,	8),
(6,	1832,	1,	56,	2),
(7,	1832,	1,	56,	1),
(8,	1832,	4,	56,	1),
(9,	40,	4,	56,	1),
(10,	40,	1,	56,	2),
(11,	40,	6,	56,	8),
(12,	40,	2,	56,	10),
(13,	1736,	1,	56,	10),
(14,	1736,	5,	56,	10),
(15,	66,	4,	56,	10),
(16,	66,	1,	56,	10),
(17,	78,	4,	56,	10),
(18,	78,	18,	56,	56),
(19,	78,	17,	56,	2),
(20,	119,	11,	2860,	1),
(21,	1802,	9,	1540,	1),
(22,	122,	9,	1580,	1),
(23,	111,	11,	300,	10),
(24,	1387,	24,	4000,	1),
(25,	1387,	25,	1500,	1),
(26,	268,	11,	20,	40),
(27,	266,	11,	128,	17),
(28,	266,	19,	86,	1),
(29,	600,	NULL,	80,	20),
(30,	690,	11,	160,	20),
(31,	675,	NULL,	180,	20),
(32,	640,	NULL,	104,	20),
(33,	775,	38,	120,	24),
(34,	773,	66,	80,	16),
(35,	777,	44,	240,	5),
(36,	777,	NULL,	240,	5),
(37,	789,	10,	140,	20),
(38,	810,	NULL,	120,	20),
(39,	817,	NULL,	80,	20),
(40,	909,	11,	120,	20),
(41,	900,	11,	120,	20),
(42,	1822,	NULL,	220,	26),
(43,	1123,	42,	480,	6),
(44,	1123,	55,	480,	6),
(45,	1123,	56,	80,	8),
(46,	1123,	42,	80,	6),
(47,	1123,	55,	80,	6),
(48,	1136,	42,	80,	6),
(49,	1136,	55,	80,	6),
(50,	1136,	56,	80,	12),
(51,	1302,	9,	90,	20),
(52,	1317,	9,	90,	20),
(53,	1280,	9,	90,	1),
(54,	1363,	11,	192,	20),
(55,	164,	11,	75,	7),
(56,	349,	11,	75,	4),
(57,	1833,	11,	105,	8),
(58,	1834,	11,	75,	1),
(59,	1832,	1,	56,	4),
(60,	1736,	1,	56,	13),
(61,	266,	19,	86,	2),
(62,	777,	44,	210,	3),
(63,	900,	11,	104,	12),
(64,	909,	11,	104,	1),
(65,	164,	11,	65,	6),
(66,	1833,	11,	75,	6),
(67,	349,	11,	75,	6),
(68,	45,	NULL,	4,	56),
(69,	266,	19,	2,	56),
(70,	1834,	11,	75,	6),
(71,	1356,	20,	20,	5),
(72,	26,	4,	20,	40),
(73,	268,	9,	20,	80),
(74,	594,	11,	50,	120),
(75,	30,	1,	20,	60),
(76,	30,	2,	20,	60),
(77,	30,	6,	20,	60),
(78,	30,	16,	20,	60),
(79,	11,	11,	50,	20),
(80,	10,	15,	10,	20);

DROP TABLE IF EXISTS `parent_master`;
CREATE TABLE `parent_master` (
  `id` int(255) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `parent_master` (`id`, `name`, `code`) VALUES
(2,	'10 STAR TRADING LLC-RUWI',	'AR-CU10001-101'),
(3,	'10 STAR TRADING LLC-GHOBRA',	'AR-CU10001-102'),
(4,	'10 STAR TRADING LLC-M.Q',	'AR-CU10001-103'),
(5,	'ABDALLAH (POTATO)',	'AR-CU10002-101'),
(6,	'AHMED KUNJU YUSUF KUNJU - BILL TO BILL',	'AR-CU10003-101'),
(7,	'AHMAD.P - BILL TO BILL',	'AR-CU10004-101'),
(8,	'ALI - NIZWA',	'AR-CU10005-101'),
(9,	'ANSARI MUHAMMED KUNJU - BILL TO BILL',	'AR-CU10006-101'),
(10,	'MUNEER - CASH SALES',	'AR-CU10007-101'),
(11,	'ABDU - HAIL',	'AR-CU10008-101'),
(12,	'ABDULBAQI DAWOOD ALI AL- KISHRY EST (SHOP-35)',	'AR-CU10009-101'),
(13,	'ABNAA YASEEN TRADING LLC ( AL FARZI CAFE ) - QURUM',	'AR-CU10010-101'),
(14,	'ABU ABID AL BALUSHI TRAD.',	'AR-CU10011-101'),
(15,	'AHMED BIN MOHAMMED BIN HAMOOD - IZKI',	'AR-CU10012-101'),
(16,	'LOCATION',	'AR-CU10013-101'),
(17,	'AL BASMA SUPERMARKET - SUR',	'AR-CU10014-101'),
(18,	'AL ZAHIYA - LIWA',	'AR-CU10015-101'),
(19,	'AL ZAMAIM KITCHEN LLC',	'AR-CU10016-101'),
(20,	'AMAZING BURGER - AL KOUDH',	'AR-CU10017-101'),
(21,	'AYAS (VEGETABLE SUPPLY)',	'AR-CU10018-101'),
(22,	'BAITH AL CAKE-SOHAR',	'AR-CU10019-101'),
(23,	'BILAL (AKBER SHOP)',	'AR-CU10020-101'),
(24,	'BILAL SHOP - MAWALAH',	'AR-CU10021-101'),
(25,	'BINU MALABARI (S.S)',	'AR-CU10022-101'),
(26,	'BOOBA COFFEE SHOP (GRAND MALL)',	'AR-CU10023-101'),
(27,	'DHIYA  FANJA TRADING L.L.C',	'AR-CU10024-101'),
(28,	'DINNER-A RESTAURANT ( FALLA DEVELOPMENT INVESTMENT )',	'AR-CU10025-101'),
(29,	'ESTAMBUL SHOP - AL KHUWAIR',	'AR-CU10026-101'),
(30,	'FAHAD THALAL',	'AR-CU10027-101'),
(31,	'FANAJEEN CAFE - WAVE',	'AR-CU10028-101'),
(32,	'GEORGE BASIL - WADI KABIR',	'AR-CU10029-101'),
(33,	'GHADA SOUD SALIM AL HARTHY TRAD.',	'AR-CU10030-101'),
(34,	'CARIBOU COFFEE - MAWALEH',	'AR-CU10031-101'),
(35,	'CARIBOU COFFEE - OASIS MALL',	'AR-CU10031-102'),
(36,	'CARIBOU COFFEE - AIRPORT',	'AR-CU10031-103'),
(37,	'CARIBOU COFFEE - QURUM',	'AR-CU10031-104'),
(38,	'CARIBOU COFFEE - AL WADI SALALAH',	'AR-CU10031-105'),
(39,	'CARIBOU COFFEE - SALALAH GARDENS MALL',	'AR-CU10031-106'),
(40,	'KAHWAJI CAFE - AIRPORT',	'AR-CU10031-107'),
(41,	'CARIBOU COFFEE - MUSCAT CITY CENTRE',	'AR-CU10031-108'),
(42,	'CARIBOU COFFEE - AVENUES MALL',	'AR-CU10031-109'),
(43,	'CARIBOU COFFEE - AL MOUJ',	'AR-CU10031-110'),
(44,	'CARIBOU COFFEE - AL KHUWAIR',	'AR-CU10031-111'),
(45,	'GREEN BUSINESS VENTURES LLC - BOUSHER',	'AR-CU10032-101'),
(46,	'GULF INTERNATIONAL INVESTMENT CO. LLC (GOLDEN TULIP HEADINGTON - RUWI)',	'AR-CU10033-101'),
(47,	'HAYAT\'S RESTAURANT - QURUM',	'AR-CU10034-101'),
(48,	'HOSSAIN BALAYAT - SOHAR',	'AR-CU10035-101'),
(49,	'IBRAHIM MOHAMED HAMED AL ZAKWANI',	'AR-CU10036-101'),
(50,	'KALA RESTAURANT - KALA',	'AR-CU10037-101'),
(51,	'LAVIDA CAFE RESTAURANT - QURUM',	'AR-CU10038-101'),
(52,	'MADINAT AL WAFA INTERNATIONAL LLC',	'AR-CU10039-101'),
(53,	'MAHAROOF K',	'AR-CU10040-101'),
(54,	'MASOOD BENGALI',	'AR-CU10041-101'),
(55,	'MD.MOMIN HOSSEN  - SOHAR',	'AR-CU10042-101'),
(56,	'MEMI CAFE - QURUM',	'AR-CU10043-101'),
(57,	'MIRAGE MUSCAT INT TRADING & CONT LLC',	'AR-CU10044-101'),
(58,	'MOHAMMED ANWAR HOSSAIN SERAJUL ISLAM - SOHAR',	'AR-CU10045-101'),
(59,	'MOHAMMED OMAR SIRAJUL HAQUE - MAWALAH',	'AR-CU10046-101'),
(60,	'MOHAMMED WASHIM - SOHAR',	'AR-CU10047-101'),
(61,	'MOHD. HAMED AL-HARTHI & SONS TRADING CO.LLC',	'AR-CU10048-101'),
(62,	'MOMBASA RESTAURANT - AL KHUWAIR',	'AR-CU10049-101'),
(63,	'MUHAMMAD ZUBAIR HABIBUR RAHMAN',	'AR-CU10050-101'),
(64,	'MUHAMMED ABDUL FATHAH AL SHEHHI TRADING',	'AR-CU10051-101'),
(65,	'NAJUMUDHEEN PULLAMDADI',	'AR-CU10052-101'),
(66,	'NALABHAM RESTAURANT - AZAIBA',	'AR-CU10053-101'),
(67,	'NOUFAL EMARATH',	'AR-CU10054-101'),
(68,	'NOURISH KITCHEN (CHAD BUSINESS LLC)',	'AR-CU10055-101'),
(69,	'OWNERS OF TRIPPLE EFFECT LLC ( CHATNI RESTAURANT - MQ )',	'AR-CU10056-101'),
(70,	'RAYEES CATERING',	'AR-CU10057-101'),
(71,	'REEM HOTEL',	'AR-CU10058-101'),
(72,	'ROBOTO RESTAURANT (MARSA AL AEJA ADVANCED LLC)',	'AR-CU10059-101'),
(73,	'SAIF HAMED SAIF SALIM AL-HABSI',	'AR-CU10060-101'),
(74,	'SAIF MOHD NASER AL TOBI TRAD',	'AR-CU10061-101'),
(75,	'SALEH SAID AZAN AL HANDHALI - IBRA',	'AR-CU10062-101'),
(76,	'SHAMSU MAMA',	'AR-CU10063-101'),
(77,	'SHUSHA - IBRI (MUHAMMED ISSA BALUSHI)',	'AR-CU10064-101'),
(78,	'STAR LINE - MULANDHA',	'AR-CU10065-101'),
(79,	'STAR LINE - SEEB',	'AR-CU10065-102'),
(80,	'SUBAIR C/O KHALEEL',	'AR-CU10066-101'),
(81,	'SUDEER KUMAR (CUCUMBER)',	'AR-CU10067-101'),
(82,	'SULAIMAN RASHID HAMDAN AL-JAHORI - SOHAR (S19)',	'AR-CU10068-101'),
(83,	'UNAIS MALABARI (S.S)',	'AR-CU10070-101'),
(84,	'UNIQUE SOLUTIONS PROJECTS LLC (SHAWARMA & JUICE FACTORY)',	'AR-CU10071-101'),
(85,	'UNNI - SANAYA',	'AR-CU10072-101'),
(86,	'ZAHRATH AL MAWELAH UNITED ASSO',	'AR-CU10073-101'),
(87,	'ZAM ZAM HYPER MARKET - AL HAIL',	'AR-CU10074-101'),
(88,	'ZAM ZAM HYPER MARKET - AL MABELLA',	'AR-CU10074-102'),
(89,	'AL KASS SHOPPING CENTRE - MUSSANNA - NO 1',	'AR-CU10075-101'),
(90,	'AL KASS SHOPPING CENTRE - MUSSANNA - NO 2',	'AR-CU10075-102'),
(91,	'AL KASS SHOPPING CENTRE - MUSSANNA - NO 3',	'AR-CU10075-103'),
(92,	'1000 NIGHTS CAMP',	'AR-CU10076-101'),
(93,	'A.A.A. MAJEED',	'AR-CU10077-101'),
(94,	'ABAQ AL ZAFRAN COFFEE SHOP - NIZWA',	'AR-CU10078-101'),
(95,	'ABBAS PANIKAVEETIL',	'AR-CU10079-101'),
(96,	'ABBAZ(92513113)',	'AR-CU10080-101'),
(97,	'ABDALLAH - IBRI',	'AR-CU10081-101'),
(98,	'ABDALLAH RASHID ABDALLAH AL MAAMARI',	'AR-CU10082-101'),
(99,	'ABDALLAH SALMAN ABDALLAH SULAIMAN AL ISMAILI - IBRI',	'AR-CU10083-101'),
(100,	'ABDUL AZEEZ - NIZWA',	'AR-CU10084-101'),
(101,	'ABDUL AZIZ - SUR',	'AR-CU10085-101'),
(102,	'ABDUL GAFOOR - CASH SALES',	'AR-CU10086-101'),
(103,	'ABDUL HADI MAMOUN ORABI',	'AR-CU10087-101'),
(104,	'ABDUL KHADER NARIYAN (ZAMZAM)',	'AR-CU10088-101'),
(105,	'ABDUL NASEER C/O ALMUDAN ALAVIKKA',	'AR-CU10089-101'),
(106,	'ABDUL RAHMAN SULAIYAM RASHID AL SHAQSI',	'AR-CU10090-101'),
(107,	'ABDULLA -  BEHALA (OMANI)',	'AR-CU10091-101'),
(108,	'ABDULLA - BEHALA',	'AR-CU10092-101'),
(109,	'ABDULLA - IBRA',	'AR-CU10093-101'),
(110,	'ABDULLA ALI',	'AR-CU10094-101'),
(111,	'ABDULLA ELIPPARAKKAL',	'AR-CU10095-101'),
(112,	'ABDULLA KHAMEES ABDULLA AL KAWASMI- SUR (SHOUKATH)',	'AR-CU10096-101'),
(113,	'ABDULLA RUWI  C/O  RASHEED',	'AR-CU10097-101'),
(114,	'ABDULLA SAID SALAM - SUMAIL',	'AR-CU10098-101'),
(115,	'ABDULLAH - SALALAH',	'AR-CU10099-101'),
(116,	'ABDULLAH BIN SAID BIN SALIM AL-NAMANI (SHAMSU BANANA)',	'AR-CU10100-101'),
(117,	'ABDULLAH BURGER - BARKA',	'AR-CU10101-101'),
(118,	'ABDULLAH MOHD SAEED AL-ANBORI - (SHOP-33)',	'AR-CU10102-101'),
(119,	'ABDULLAH RASHID ABDULLAH AL-KENDI (KAMRUL ISLAM)',	'AR-CU10103-101'),
(120,	'ABDULLAH SALAM MUSALLAM ALI AL KADERI',	'AR-CU10104-101'),
(121,	'ABDURUB SUR C/O ALI SUR',	'AR-CU10105-101'),
(122,	'ABID SUHOL',	'AR-CU10106-101'),
(123,	'ABNAA HASSAN TRADING CO.LLC',	'AR-CU10107-101'),
(124,	'ABOOTTY UNIKKORA (POTATO)',	'AR-CU10108-101'),
(125,	'ABU AL JABRI (SADIQ)',	'AR-CU10109-101'),
(126,	'ABU ALI COLD STORE',	'AR-CU10110-101'),
(127,	'ABU ALI KADAPPURAM',	'AR-CU10111-101'),
(128,	'ABU AMRAN MUSTHAFA',	'AR-CU10112-101'),
(129,	'ABU ANAN',	'AR-CU10113-101'),
(130,	'ABU BAKER MOOSA ISSA AL RAWAHI',	'AR-CU10114-101'),
(131,	'ABU BAKER MOHTAAJ MOHA AL RISY (SHOP JAFFRI)',	'AR-CU10115-101'),
(132,	'ABU HAMOOD AL UBAIDI',	'AR-CU10116-101'),
(133,	'ABU HANI AL RAWAHI TRAD. & CONT. - UNNI (WATERMELON)',	'AR-CU10117-101'),
(134,	'ABU HUSSAIN TRADING EST. L.L.C (BEERAN SHOP)',	'AR-CU10118-101'),
(135,	'ABU LATIFA',	'AR-CU10119-101'),
(136,	'ABU RAYAN MODERN ENT (AMMA\'S RESTAURANT) - AL KHUWAIR',	'AR-CU10120-101'),
(137,	'ABU SAHAL PANGINIKKADAN',	'AR-CU10121-101'),
(138,	'ABU SALMI TRADING',	'AR-CU10122-101'),
(139,	'ABU SHAHLA TRADING',	'AR-CU10123-101'),
(140,	'ABU TAYAB MAHAMAD ABU SYED',	'AR-CU10124-101'),
(141,	'ABU THALI AL KAMIL',	'AR-CU10125-101'),
(142,	'ABU WALEED NUR MUHAMMED',	'AR-CU10126-101'),
(143,	'ACHI',	'AR-CU10127-101'),
(144,	'ACTION HOTELS SOHAR LLC (MERCURE HOTEL)',	'AR-CU10128-101'),
(145,	'ADIL - SOHAR',	'AR-CU10129-101'),
(146,	'ADNAN GUMA HABSI - SINAW',	'AR-CU10130-101'),
(147,	'ADNAN NASER HAMED BEHALA',	'AR-CU10131-101'),
(148,	'ADVANCED GULF LINE ENTERPRISES L.L.C',	'AR-CU10132-101'),
(149,	'ADWA AL HAIMA TRADING',	'AR-CU10133-101'),
(150,	'AFAQ AL TABIYA TRAD.',	'AR-CU10134-101'),
(151,	'AFLAH ABDULLAH NASSER AL-BAIMANI - BEHLA',	'AR-CU10135-101'),
(152,	'AGAR SHOPPING',	'AR-CU10136-101'),
(153,	'AHAMMED - GHOBRA',	'AR-CU10137-101'),
(154,	'AHAMMED HAMARATH',	'AR-CU10138-101'),
(155,	'AHAMMED SULTHAN AL-HINAI',	'AR-CU10139-101'),
(156,	'AHLAM SHOPPING CENTRE - THARMATH',	'AR-CU10140-101'),
(157,	'AHLIYA COFFEE SHOP - NIZWA',	'AR-CU10141-101'),
(158,	'AHMED & MOHD. ABNA SALEH BIN MOHD. AL FARSI TRAD.',	'AR-CU10142-101'),
(159,	'AHMED ABDULLAH MOHAMMED RASHID AL GHAFRI - IBRI',	'AR-CU10143-101'),
(160,	'AHMED AL MAYSER TRADING CO LLC',	'AR-CU10144-101'),
(161,	'AHMED HAMOOD HAMDAN AL JABRI',	'AR-CU10145-101'),
(162,	'AHMED OMANI GAFOOR',	'AR-CU10146-101'),
(163,	'AHMED SAID MUHSIN AL HAJRI BID BID',	'AR-CU10147-101'),
(164,	'AHMED SAID SARMOON AL KADERI',	'AR-CU10148-101'),
(165,	'AHMED SAID SULAIMAN NASSER AL SHABIBI',	'AR-CU10149-101'),
(166,	'AHMED UMER ALI AL KADERI',	'AR-CU10150-101'),
(167,	'AHMED UMER MUSHAIKI',	'AR-CU10151-101'),
(168,	'AIMAN HAMED MOHAMMED AL SABAHI - NIZWA',	'AR-CU10152-101'),
(169,	'STAFF',	'AR-CU10153-101'),
(170,	'MAIN',	'AR-CU10153-102'),
(171,	'BANQUET',	'AR-CU10153-103'),
(172,	'JAPANESE KITCHEN',	'AR-CU10153-104'),
(173,	'PASTRY KITCHEN',	'AR-CU10153-105'),
(174,	'AJESH - IBRA',	'AR-CU10154-101'),
(175,	'AJIMAL - AL KHOUD',	'AR-CU10155-101'),
(176,	'AJITH - SUR',	'AR-CU10156-101'),
(177,	'AJMAL',	'AR-CU10157-101'),
(178,	'AJWA - AL HAIL',	'AR-CU10158-101'),
(179,	'AKBAR BENGALI',	'AR-CU10159-101'),
(180,	'AKBAR CABBAGE',	'AR-CU10160-101'),
(181,	'AKBER TAXI - (AL KHOUD)',	'AR-CU10161-101'),
(182,	'AKHTER HOSSAIN ABDUL SATTAR (SU10130)',	'AR-CU10162-101'),
(183,	'AL AFALAJ SHOPPING CENTRE',	'AR-CU10163-101'),
(184,	'AL AHID SHOPPING CENTRE - MULADHA',	'AR-CU10164-101'),
(185,	'PARK INN MUSCAT',	'AR-CU10165-101'),
(186,	'AL ALAWI MAJESTIC ENTERPRISE - NIZWA - KHALID',	'AR-CU10166-101'),
(187,	'AL AMAL INTERNATIONAL TRAD. LLC (KHALEEL)',	'AR-CU10167-101'),
(188,	'AL AMAL INTERNATIONAL TRAD. LLC.',	'AR-CU10168-101'),
(189,	'AL AMAL INTERNATIONAL TRAD. LLC.(SHAMEER SHOP)',	'AR-CU10169-101'),
(190,	'AL AMLIS TRADING L.L.C',	'AR-CU10170-101'),
(191,	'AL AMRI HYPERMARKET - SEEB',	'AR-CU10171-101'),
(192,	'AL AMRI HYPERMARKET - AL KOUDH',	'AR-CU10171-102'),
(193,	'AL ANOOD SHOPPING CENTRE - MUSANNA',	'AR-CU10172-101'),
(194,	'AL ANWAR CATERING CO. LLC.',	'AR-CU10173-101'),
(195,	'AL ASHKAL TRAD - SUR',	'AR-CU10174-101'),
(196,	'AL BAHJAH HOTEL - SEEB',	'AR-CU10175-101'),
(197,	'AL BAIT AL YAMANI RESTAURANT',	'AR-CU10176-101'),
(198,	'AL BARAK SHOPPING CENTRE',	'AR-CU10177-101'),
(199,	'AL BASHA PASTRY - MAWALEH',	'AR-CU10178-101'),
(200,	'AL BIQA\' A VALLEY TRADING CONT',	'AR-CU10179-101'),
(201,	'AL BURJ COFFEE SHOP',	'AR-CU10180-101'),
(202,	'AL BUSTAN COFFEE SHOP- AL HAIL',	'AR-CU10181-101'),
(203,	'AL DAGAN COFFEE SHOP -  AL GHUBRA',	'AR-CU10182-101'),
(204,	'AL DHAR YEMANI RESTAURANT - SOHAR',	'AR-CU10183-101'),
(205,	'AL DHYA NATIONAL ENT.  (SUBWAY)',	'AR-CU10184-101'),
(206,	'AL DIYAFAH SUPPLIES SERVICES CO. LLC.',	'AR-CU10185-101'),
(207,	'AL DUJA TRADING LLC',	'AR-CU10186-101'),
(208,	'SAROOJ',	'AR-CU10187-101'),
(209,	'PANORAMA MALL',	'AR-CU10187-102'),
(210,	'MADINAT AL IRFAN',	'AR-CU10187-103'),
(211,	'AL AZAIBA',	'AR-CU10187-104'),
(212,	'CCC QURUM',	'AR-CU10187-105'),
(213,	'MADINAT QABOOS',	'AR-CU10187-106'),
(214,	'WAVE',	'AR-CU10187-107'),
(215,	'SOUQ AL MADINA',	'AR-CU10187-108'),
(216,	'AL FARASI INTERNATIONAL LLC',	'AR-CU10188-101'),
(217,	'AL FATHAH IBRA',	'AR-CU10189-101'),
(218,	'AL FAWALA SHOPPING - IZKI',	'AR-CU10190-101'),
(219,	'AL FAYZ LLMSHARY ALMTMYZH  LLC.(NAZEER RAWASCO)',	'AR-CU10191-101'),
(220,	'AL FINJAN RESTAURANT',	'AR-CU10192-101'),
(221,	'AL FOUZ HYPERMARKET - AL KAMIL',	'AR-CU10193-101'),
(222,	'AL GESR SHOPPING CENTRE (MOHAMMED - IBRI)',	'AR-CU10194-101'),
(223,	'AL GHANIMA',	'AR-CU10195-101'),
(224,	'AL GUDAM COFFEE SHOP',	'AR-CU10196-101'),
(225,	'AL HAJIR - AL AMARAT',	'AR-CU10197-101'),
(226,	'AL HAKMANI BROWNZIA',	'AR-CU10198-101'),
(227,	'AL HAMEED SHOPPING CENTRE - DUQM',	'AR-CU10199-101'),
(228,	'AL HASHIM SHOPPING - MULADHA',	'AR-CU10200-101'),
(229,	'AL HIBA COFFEE SHOP - NIZWA',	'AR-CU10201-101'),
(230,	'AL HIBA SHOPPING MULADHA - NO:1',	'AR-CU10202-101'),
(231,	'AL HIBA SHOPPING MULADHA - NO:2',	'AR-CU10202-102'),
(232,	'AL HOOTI BROTHERS LLC (TARMA RESTAURANT)',	'AR-CU10203-101'),
(233,	'AL INAYA',	'AR-CU10204-101'),
(234,	'AL ISHRAQ SHOPPING CENTER - RUSTAQ',	'AR-CU10205-101'),
(235,	'AL JAHWARI INTERNATIONAL LLC',	'AR-CU10206-101'),
(236,	'AL JAZEERA',	'AR-CU10207-101'),
(237,	'AL JAZEERA GLOBAL PROJECT LLC',	'AR-CU10208-101'),
(238,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE) AQAR',	'AR-CU10209-101'),
(239,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE) SHINAS',	'AR-CU10209-102'),
(240,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE) NUMMA',	'AR-CU10209-103'),
(241,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE) SOHAR',	'AR-CU10209-104'),
(242,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE) HAFEETH',	'AR-CU10209-105'),
(243,	'AL JAZEERA INTERNATIONAL LLC - (EGG SALE) SAHAM',	'AR-CU10209-106'),
(244,	'AL JEBALI TRADING  L L C',	'AR-CU10210-101'),
(245,	'AL JEHIDAMI FOOD MARKETING',	'AR-CU10211-101'),
(246,	'AL JINAN SHOPPING CENTRE - WADI KABIR',	'AR-CU10212-101'),
(247,	'AL JUNAINA TRADING CO. L L C',	'AR-CU10213-101'),
(248,	'AL KABATH',	'AR-CU10214-101'),
(249,	'AL KAMIL HYPERMARKET',	'AR-CU10215-101'),
(250,	'AL KARAMA HYPERMARKET - BAHLA',	'AR-CU10216-101'),
(251,	'AL KARAMA HYPERMARKET - KHABURAH',	'AR-CU10216-102'),
(252,	'AL KARAMA HYPERMARKET - MUSANNAH',	'AR-CU10216-103'),
(253,	'AL KARAMA HYPERMARKET - SAMAIL',	'AR-CU10216-104'),
(254,	'AL KARAMA HYPERMARKET - SUWAIQ',	'AR-CU10216-105'),
(255,	'AL KAWTHER HYPERMARKETS',	'AR-CU10217-101'),
(256,	'AL KHALEEL - BARKA',	'AR-CU10218-101'),
(257,	'AL KHALEEL UNITED LLC',	'AR-CU10219-101'),
(258,	'AL KHATER RESTAURANT',	'AR-CU10220-101'),
(259,	'AL KHIRATH FALAJ',	'AR-CU10221-101'),
(260,	'AL KHOUD 6 - COFFEE SHOP',	'AR-CU10222-101'),
(261,	'AL KHOUD PARK',	'AR-CU10223-101'),
(262,	'AL KIFAYA - BARKA',	'AR-CU10224-101'),
(263,	'AL KIMA FAST FOOD - MANAH',	'AR-CU10225-101'),
(264,	'AL KIMA FAST FOOD - MUDHAIBI',	'AR-CU10225-102'),
(265,	'AL KIMA FAST FOOD - IZKI',	'AR-CU10225-103'),
(266,	'AL LAYYAN - RUSTAQ',	'AR-CU10226-101'),
(267,	'AL LOYALI BEACH RESTAURANT',	'AR-CU10227-101'),
(268,	'AL MAAMARI & KARASHI TRAD. CO.LLC (ASEER TIME) - SOHAR',	'AR-CU10228-101'),
(269,	'AL MADAEN AL ARABIA TRAD AND CONT.',	'AR-CU10229-101'),
(270,	'AL MADEENA HYPERMARKET - SUWAIQ',	'AR-CU10230-101'),
(271,	'AL MADEENA TRADING',	'AR-CU10231-101'),
(272,	'AL MAHA - NIZWA',	'AR-CU10232-101'),
(273,	'AL MAIYHA FALCONS TRADING LLC (ASHARAF & UBAID)',	'AR-CU10233-101'),
(274,	'AL MANAMA LIWA',	'AR-CU10234-101'),
(275,	'AL MANGO - BUALI',	'AR-CU10235-101'),
(276,	'AL MAQBALI DEVELOPMENT PROJECTS L.L.C',	'AR-CU10236-101'),
(277,	'AL MARDUFF HYPERMARKET - THARMATH',	'AR-CU10237-101'),
(278,	'AL MARDUFF HYPERMARKET - MULANDHA',	'AR-CU10237-102'),
(279,	'AL MARDUFF HYPERMARKET - NAKHAL',	'AR-CU10237-103'),
(280,	'AL MARDUFF HYPERMARKET - SUWAIQ',	'AR-CU10237-104'),
(281,	'AL MARDUFF HYPERMARKET - SUWAIQ - (NO.20)',	'AR-CU10237-105'),
(282,	'AL MARJAN BAKERY - GHUBRA',	'AR-CU10238-101'),
(283,	'AL MARSA MARINE OVERSEAS LLC',	'AR-CU10239-101'),
(284,	'AL MARWA HYPERMARKET',	'AR-CU10240-101'),
(285,	'AL MASAFA TRADING',	'AR-CU10241-101'),
(286,	'AL MAWALAH VEG & FRUITS MARKETING(NOUFAL RAMBA)',	'AR-CU10242-101'),
(287,	'AL MAYA INTERNATIONAL L.L.C.',	'AR-CU10243-101'),
(288,	'AL MAYAR L.L.C.',	'AR-CU10244-101'),
(289,	'AL MEERA MARKET S.A.O.C',	'AR-CU10245-101'),
(290,	'AL MUDAN TRADING',	'AR-CU10246-101'),
(291,	'AL MUROOJ GRAND HOTEL (ARABIAN LEOPARD CONSTRUCTION LLC)',	'AR-CU10247-101'),
(292,	'AL MUSAWAH INTERNATIONAL CO LLC - MUDHAIBI',	'AR-CU10248-101'),
(293,	'AL MUZN SUPPLYING L.L.C',	'AR-CU10249-101'),
(294,	'AL NABA\'A SUPPLIES & CATERING L.L.C.',	'AR-CU10250-101'),
(295,	'AL NABRAS MODERN EST',	'AR-CU10251-101'),
(296,	'AL NABRI GLOBAL INVESTMENT LLC- RADISSON BLUE HOTEL SOHAR (RHG)',	'AR-CU10252-101'),
(297,	'AL NAHDA RESORT & SPA',	'AR-CU10253-101'),
(298,	'AL NASEM AL BARED TRADING',	'AR-CU10254-101'),
(299,	'AL NASHWAN ENTERPRISES LLC (RAFEEK W/K)',	'AR-CU10255-101'),
(300,	'AL NATA IBRA',	'AR-CU10256-101'),
(301,	'AL NAWA - BIDAYA',	'AR-CU10257-101'),
(302,	'AL NAWA RADHA',	'AR-CU10258-101'),
(303,	'AL NAWA AL JADEEDAH LLC - HAFEET',	'AR-CU10258-103'),
(304,	'AL NAWARAS TEA - AL KHOUD',	'AR-CU10259-101'),
(305,	'AL NAWATI TRADING',	'AR-CU10260-101'),
(306,	'AL NEIL COFFEE SHOP - NIZWA',	'AR-CU10261-101'),
(307,	'AL NIDA GOLDEN L.L.C',	'AR-CU10262-101'),
(308,	'AL NUR MARKETING  L.L.C.',	'AR-CU10263-101'),
(309,	'AL OBAIDANI INTERNATIONAL LLC',	'AR-CU10264-101'),
(310,	'AL QAFILA DISTINCIVE TRADING & CONT.',	'AR-CU10265-101'),
(311,	'AL QAIS GRILL',	'AR-CU10266-101'),
(312,	'AL QASF FALCONS  TRADING',	'AR-CU10267-101'),
(313,	'AL QAWAS - NIZWA',	'AR-CU10268-101'),
(314,	'AL RAHA - BIDIYA',	'AR-CU10269-101'),
(315,	'AL RAHATH SHOPPING BIDIYA',	'AR-CU10270-101'),
(316,	'AL RAIHAN COFFEE SHOP - GHOBRA',	'AR-CU10271-101'),
(317,	'AL RAWABI EGG SALE - SINAW',	'AR-CU10272-101'),
(318,	'AL RAWABI MUDAIBI',	'AR-CU10273-101'),
(319,	'AL RAYATH TRADING - SHOP',	'AR-CU10274-101'),
(320,	'AL RAYATH TRADING - STORE',	'AR-CU10274-102'),
(321,	'AL REHAN AL MAMEEZ TRAD. ASSTD.',	'AR-CU10275-101'),
(322,	'AL RUBAN OUTSTANDING PROJECTS',	'AR-CU10276-101'),
(323,	'AL RUHMAN COFFEE SHOP',	'AR-CU10277-101'),
(324,	'AL SAJ AL-ARABIA TRADING L.L.C',	'AR-CU10278-101'),
(325,	'AL SALAM NEW',	'AR-CU10279-101'),
(326,	'SOHAR',	'AR-CU10279-102'),
(327,	'AL SALASIL INTL.',	'AR-CU10280-101'),
(328,	'AL SAROOH AL MUTAKAMILA (SHAFEEK SEEB)',	'AR-CU10281-101'),
(329,	'AL SAULA\'EE RESTAURANT & GRILLS',	'AR-CU10282-101'),
(330,	'EDGE TECH LLC (TAMIMAH DIGITAL)',	'AR-CU10283-101'),
(331,	'AL SHAM LAND CAFE -RUSTHAQ',	'AR-CU10284-101'),
(332,	'AL SHARQIA MARKETING FRUITS & VEGETABLES TRAD. L.L.C',	'AR-CU10285-101'),
(333,	'AL SHIKAIK INTERNATIONAL L.L.C.',	'AR-CU10286-101'),
(334,	'AL SUALAH AL MOUDEAH PROJECT(C/O MUHAMMED AL ORAIBI)',	'AR-CU10287-101'),
(335,	'AL SUBHIAH TRADING & CONTRACTING LLC',	'AR-CU10288-101'),
(336,	'AL TARHEEB RESTAURANT & CATERING L.L.C (BEIRUT RESTAURANT)',	'AR-CU10289-101'),
(337,	'AL THAIF - KHADRA',	'AR-CU10290-101'),
(338,	'AL TOAB RESTAURANT - (NIZWA-1)',	'AR-CU10291-101'),
(339,	'AL WAAL SHOPPING - QURAYATH',	'AR-CU10292-101'),
(340,	'AL WADI SAHAM',	'AR-CU10293-101'),
(341,	'AL WAFA INTERNATIONAL CO.',	'AR-CU10294-101'),
(342,	'AL WAKALA  (RUWAD AL NAJAH)',	'AR-CU10295-101'),
(343,	'AL WANASA ( AL MAUZ ) - AL HAIL',	'AR-CU10296-101'),
(344,	'AL WATANIA  KAREEM',	'AR-CU10297-101'),
(345,	'AL YARA - SUMAIL',	'AR-CU10298-101'),
(346,	'AL ZAHI HOTEL',	'AR-CU10299-101'),
(347,	'AL ZALZA SHOPPING',	'AR-CU10300-101'),
(348,	'AL-AKTHAM CO',	'AR-CU10301-101'),
(349,	'ALAM SHOP',	'AR-CU10302-101'),
(350,	'ALAUDHEEN - BUALI',	'AR-CU10303-101'),
(351,	'ALAVIKKA',	'AR-CU10304-101'),
(352,	'ALAVUDEEN',	'AR-CU10305-101'),
(353,	'AL-AWKIYA TRADING',	'AR-CU10306-101'),
(354,	'AL-HUSSAM INTERNATIONAL CO.',	'AR-CU10307-101'),
(355,	'ALI - CASH SALES',	'AR-CU10308-101'),
(356,	'ALI - SUR',	'AR-CU10309-101'),
(357,	'ALI ABDUL SALAM',	'AR-CU10310-101'),
(358,	'ALI ASKAR ASKARI- AMRATH',	'AR-CU10311-101'),
(359,	'ALI HUSSAIN',	'AR-CU10312-101'),
(360,	'ALI MOHAMMED ALI AL-ABADASALAM TRAD',	'AR-CU10313-101'),
(361,	'ALI OMANI - IZKI',	'AR-CU10314-101'),
(362,	'ALI OMANI - SHINAS',	'AR-CU10315-101'),
(363,	'ALI SAID AL KADERI',	'AR-CU10316-101'),
(364,	'ALI SAIF NIZWA',	'AR-CU10317-101'),
(365,	'ALI YANQAL (JAKIR SHEIKH)',	'AR-CU10318-101'),
(366,	'AL-JAMAL MODERN CO. LLC.',	'AR-CU10319-101'),
(367,	'ALMDHAQ ALAMTHL LLTJART',	'AR-CU10320-101'),
(368,	'AL-RAWDA ALWATANIYA UNITED',	'AR-CU10321-101'),
(369,	'AL-RIADH IMPORT & EXPORT',	'AR-CU10322-101'),
(370,	'AMEEN - SAHAM',	'AR-CU10323-101'),
(371,	'AMEEN BENGALI',	'AR-CU10324-101'),
(372,	'AMEENUL HUK - SAHAM',	'AR-CU10325-101'),
(373,	'AMER SHEHAIDA ASAAD (NOORIE)',	'AR-CU10326-101'),
(374,	'AMWAJ AL-BAHAR TRADING CO. (ONION)',	'AR-CU10327-101'),
(375,	'ANADIL MODERN RESTAURANT ZANZIBARI',	'AR-CU10328-101'),
(376,	'ANGARA TRADING',	'AR-CU10329-101'),
(377,	'ANIL',	'AR-CU10330-101'),
(378,	'ANSAR',	'AR-CU10331-101'),
(379,	'ANSAR AZIZ SUHOL',	'AR-CU10332-101'),
(380,	'ANSARI SHOPPING - MUSANNA',	'AR-CU10333-101'),
(381,	'ANSEER GOLDENBERRY - BOUSHAR',	'AR-CU10334-101'),
(382,	'ANSEER KINGDOM JUICE-SEEB',	'AR-CU10335-101'),
(383,	'ANWAR ALMAALI TRADING - QURIYATH (NASSER SHAKEEL)',	'AR-CU10336-101'),
(384,	'ANWAR AL-SHARQIA AL-HADITHA  L.L.C (SU10190)',	'AR-CU10337-101'),
(385,	'ANWAR HUSAIN',	'AR-CU10338-101'),
(386,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - SOHAR',	'AR-CU10339-101'),
(387,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - AL KHOUD',	'AR-CU10339-102'),
(388,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - BARKA',	'AR-CU10339-103'),
(389,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - SUWAIQ',	'AR-CU10339-104'),
(390,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - ALKHUWAIR-1',	'AR-CU10339-105'),
(391,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - ALKHUWAIR-2',	'AR-CU10339-106'),
(392,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - QURUM',	'AR-CU10339-107'),
(393,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - AMERAT',	'AR-CU10339-108'),
(394,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - MABELAH',	'AR-CU10339-109'),
(395,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - SADA (SALALAH)',	'AR-CU10339-110'),
(396,	'ANWAR SAYJA TRADING',	'AR-CU10340-101'),
(397,	'AQAR MISIRI HOTEL',	'AR-CU10341-101'),
(398,	'ARAB WORLD - NIZWA',	'AR-CU10342-101'),
(399,	'ARIF SHOP - MAWALAH',	'AR-CU10343-101'),
(400,	'ASAATCO',	'AR-CU10344-101'),
(401,	'ASEER TIME - BARKA',	'AR-CU10345-101'),
(402,	'ASEER TIME - SUWAIQ',	'AR-CU10345-102'),
(403,	'ASHKAR A.K ( AL BAHJA RESTAURANT)',	'AR-CU10346-101'),
(404,	'ASHRAF - BARKA (HOTEL)',	'AR-CU10347-101'),
(405,	'ASHRAF - KADRA',	'AR-CU10348-101'),
(406,	'ASHRAF - WADI HATTATH',	'AR-CU10349-101'),
(407,	'ASHRAF (OUTSIDE SALE)',	'AR-CU10350-101'),
(408,	'ASHRAF NAKHAL',	'AR-CU10351-101'),
(409,	'ASIAN GOLD - ALKHUWAIR',	'AR-CU10352-101'),
(410,	'ASLAM MUNEER',	'AR-CU10353-101'),
(411,	'ASTALDI-OZKAR JV',	'AR-CU10354-101'),
(412,	'ASTURA ARD JAW TRAD',	'AR-CU10355-101'),
(413,	'ATAYIB DEFAYA - MUSANNA',	'AR-CU10356-101'),
(414,	'ATHEER AL SAWADI - BARKA',	'AR-CU10357-101'),
(415,	'ATIF AKRAM',	'AR-CU10358-101'),
(416,	'AYAS SUHOL',	'AR-CU10359-101'),
(417,	'AYURVEDIC HOSPITAL',	'AR-CU10360-101'),
(418,	'AZEES',	'AR-CU10361-101'),
(419,	'AZEES - BARKA',	'AR-CU10362-101'),
(420,	'AZEEZ (BABY)',	'AR-CU10363-101'),
(421,	'AZHAR IZKI AL MUTHAMAYYIZA',	'AR-CU10364-101'),
(422,	'BAB RAYAN - IZKI',	'AR-CU10365-101'),
(423,	'BABA - SEEB',	'AR-CU10366-101'),
(424,	'BABAR HUSSAIN IQBAL MUHAMMAD (E-8133)',	'AR-CU10367-101'),
(425,	'BABIL HOTEL (HAMZA)',	'AR-CU10368-101'),
(426,	'BABIL HYPER MARKET - AL KHOUD',	'AR-CU10369-101'),
(427,	'BABIL HYPER MARKET - AYANA AL KHUD',	'AR-CU10369-102'),
(428,	'BABIL HYPER MARKET - HALBAN',	'AR-CU10369-103'),
(429,	'BABIL HYPER MARKET - SINAW',	'AR-CU10369-104'),
(430,	'BABIL HYPERMARKET - SANAYYA',	'AR-CU10369-105'),
(431,	'BABU - SINAW',	'AR-CU10370-101'),
(432,	'BABUL MIA',	'AR-CU10371-101'),
(433,	'BADAR AL-SHAMLI - IBRI',	'AR-CU10372-101'),
(434,	'BADAR KHALFAN RASHID AL KALBANI - IBRI',	'AR-CU10373-101'),
(435,	'BADAR MOHAMMAD FADHIL AL SHAAIHI BEHLA',	'AR-CU10374-101'),
(436,	'BAHAR AL NEEL TRADING (AL-MUDAN)',	'AR-CU10375-101'),
(437,	'BAHJAT AL-KHUBAR TRADING (SAAD IBRAHEEM)',	'AR-CU10376-101'),
(438,	'BALAKRISHNAN NAPKON',	'AR-CU10377-101'),
(439,	'BANU AKHZAM TRADE L.L.C.',	'AR-CU10378-101'),
(440,	'BAPPUTTY SUR (EGG SALE)',	'AR-CU10379-101'),
(441,	'BARDWANI',	'AR-CU10380-101'),
(442,	'BARR AL JISSAH RESORT & SPA',	'AR-CU10381-101'),
(443,	'BASATEEN AL MAQSOORA - IBRI',	'AR-CU10382-101'),
(444,	'BASHEER - SEEB',	'AR-CU10383-101'),
(445,	'BASHEER (AL SHAM JUICE)',	'AR-CU10384-101'),
(446,	'BASHEER (ONION)',	'AR-CU10385-101'),
(447,	'BASHEER KANNUR',	'AR-CU10386-101'),
(448,	'BASMIN MART',	'AR-CU10387-101'),
(449,	'BAVABATAL MAJID AL WATANIYA',	'AR-CU10388-101'),
(450,	'BAVAKA - HOTEL',	'AR-CU10389-101'),
(451,	'BBQ',	'AR-CU10390-101'),
(452,	'SUBWAY BAWSHAR',	'AR-CU10391-101'),
(453,	'SUBWAY LULU AVENUE MALL',	'AR-CU10391-102'),
(454,	'SUBWAY BARKA',	'AR-CU10391-103'),
(455,	'SUBWAY - CITY CENTER SOHAR',	'AR-CU10391-104'),
(456,	'BIDAYA HYPERMARKET',	'AR-CU10392-101'),
(457,	'BIDIYAH EGG INDUSTRY',	'AR-CU10393-101'),
(458,	'WAGAMAMA',	'AR-CU10394-101'),
(459,	'SECOND CUP CCC',	'AR-CU10394-102'),
(460,	'ROSELLE CCC',	'AR-CU10394-103'),
(461,	'AVENUES MALL',	'AR-CU10394-104'),
(462,	'ROSELLE AVENUE MALL',	'AR-CU10394-105'),
(463,	'NANDO\'S AL MOUJ',	'AR-CU10394-106'),
(464,	'NANDO\'S MCC',	'AR-CU10394-107'),
(465,	'NANDO\'S QURAM',	'AR-CU10394-108'),
(466,	'ROSELLE CENTRAL KITCHEN',	'AR-CU10394-109'),
(467,	'BISMI SHOPPING CENTRE - AMERAT',	'AR-CU10395-101'),
(468,	'BITES AND SHAKES (AHMED BARWANI DEVOLOPEMENT CO)',	'AR-CU10396-101'),
(469,	'BLUE BERRY-AL KHOUDH ( BADHUSHA )',	'AR-CU10397-101'),
(470,	'BLUEBERRY HALAYA - IBRA',	'AR-CU10398-101'),
(471,	'BTA',	'AR-CU10399-101'),
(472,	'BUR AL HAKMAN TRADING LLC (ALAVI)',	'AR-CU10400-101'),
(473,	'BUR AL-HAKMAN TRADING LLC - SHOP',	'AR-CU10401-101'),
(474,	'BUR AL-HAKMAN TRADING LLC - STORE',	'AR-CU10401-102'),
(475,	'BURGER PALACE - BID BID',	'AR-CU10402-101'),
(476,	'AFAQ AL TABIYA TRADING LLC (SHOP KASIM)',	'AR-CU10403-101'),
(477,	'BURTHQAL - IBRI',	'AR-CU10404-101'),
(478,	'BURTHQAL - RUSTAQ',	'AR-CU10404-102'),
(479,	'BURTHQAL - SOHAR',	'AR-CU10404-103'),
(480,	'C.B.D COFFEE SHOP',	'AR-CU10405-101'),
(481,	'CARD CUSTOMER - S1',	'AR-CU10406-101'),
(482,	'CARD CUSTOMER - S9',	'AR-CU10407-101'),
(483,	'SALALAH',	'AR-CU10408-101'),
(484,	'CITY CENTRE - SOHAR',	'AR-CU10408-102'),
(485,	'AL MANUMA PLAZA',	'AR-CU10408-103'),
(486,	'AL ARAIMI BOULEVARD MALL',	'AR-CU10408-104'),
(487,	'MUSCAT GRAND MALL',	'AR-CU10408-105'),
(488,	'BARKA',	'AR-CU10408-106'),
(489,	'SUR',	'AR-CU10408-107'),
(490,	'CITY CENTRE QURAM',	'AR-CU10408-108'),
(491,	'CITY CENTRE SEEB',	'AR-CU10408-109'),
(492,	'OASIS MALL',	'AR-CU10408-110'),
(493,	'NIZWA',	'AR-CU10408-111'),
(494,	'CHINA DOWNTOWN - SOHAR',	'AR-CU10408-112'),
(495,	'SAFEER MALL - SOHAR',	'AR-CU10408-113'),
(496,	'AL SAADA CITY MALL - SALALAH',	'AR-CU10408-114'),
(497,	'AL KHOUD',	'AR-CU10408-115'),
(498,	'CARREFOUR OMAN -  BIDIYA EGG SALES',	'AR-CU10409-101'),
(499,	'HATHAM',	'AR-CU10410-101'),
(500,	'MCC',	'AR-CU10410-102'),
(501,	'CHILI\'S - MUSCAT',	'AR-CU10411-101'),
(502,	'CHILI\'S - GRAND MALL',	'AR-CU10411-102'),
(503,	'CHILI\'S - QURUM',	'AR-CU10411-103'),
(504,	'CHILI\'S - SOHAR',	'AR-CU10411-104'),
(505,	'CHINA MALL',	'AR-CU10412-101'),
(506,	'CHINESE GARDEN RESTAURANT',	'AR-CU10413-101'),
(507,	'CIOCCOLAT ITALIANI (SHAHAD MUSCAT INTERNATIONAL)',	'AR-CU10414-101'),
(508,	'CIVIL AVIATION CLUB (PACA)',	'AR-CU10415-101'),
(509,	'COFFEE SHOP',	'AR-CU10416-101'),
(510,	'COFFEE SHOP - BARKA',	'AR-CU10417-101'),
(511,	'COFFEE SHOP - GHALA',	'AR-CU10418-101'),
(512,	'COFFEE SHOP - KANTHAB',	'AR-CU10419-101'),
(513,	'COFFEE SHOP - MUDHAIBI',	'AR-CU10420-101'),
(514,	'COFFEE SHOP - MUDHAIBI (NIZAM)',	'AR-CU10421-101'),
(515,	'COFFEE SHOP - MULANDHA',	'AR-CU10422-101'),
(516,	'COFFEE SHOP - NIZWA',	'AR-CU10423-101'),
(517,	'COFFEE SHOP - TURKEY',	'AR-CU10424-101'),
(518,	'COFFEE SHOP 1 - MANAH',	'AR-CU10425-101'),
(519,	'COFFEE SHOP 2 - MANAH',	'AR-CU10426-101'),
(520,	'COFFEE SHOP AMERAT',	'AR-CU10427-101'),
(521,	'COFFEE SHOP LULU - UQDHA',	'AR-CU10428-101'),
(522,	'COFFEE TING - AZAIBA',	'AR-CU10429-101'),
(523,	'COMPLIMENTARY SALE',	'AR-CU10430-101'),
(524,	'COUNTER ALWAN SOHAR',	'AR-CU10431-101'),
(525,	'CRYSTAL RESTAURANT - IBRA',	'AR-CU10432-101'),
(526,	'DAAWAT - SOHAR',	'AR-CU10433-101'),
(527,	'DAHARAT AL-ARAQI TRAD. CO.- IBRI',	'AR-CU10434-101'),
(528,	'DAKAKEEN HYPERMARKET - AMERATH',	'AR-CU10435-101'),
(529,	'DAMU - ABDULLA AL KAWASIMI',	'AR-CU10436-101'),
(530,	'DAMU SUR',	'AR-CU10437-101'),
(531,	'DANA JUICE SHOP - AMARAT',	'AR-CU10438-101'),
(532,	'DANA SUR UNITED',	'AR-CU10439-101'),
(533,	'DAR AL GAMAL FRUITS & VEG (DAS SALALAH)',	'AR-CU10440-101'),
(534,	'DAR AL JAMAL',	'AR-CU10441-101'),
(535,	'AL NABA\'A SUPPLIERS - OLD',	'AR-CU10442-101'),
(536,	'DAR AL RIYAN INTERNATIONAL LLC',	'AR-CU10443-101'),
(537,	'DAR ALBHA ALMASY',	'AR-CU10444-101'),
(538,	'DAR AL-MAHARA NATIONAL TRADING',	'AR-CU10445-101'),
(539,	'DAWOOD - NIZWA',	'AR-CU10446-101'),
(540,	'DAWOOD KHAMIS KHALFAN AL RAHBI',	'AR-CU10447-101'),
(541,	'DESERT CAFE - SUWAIQ',	'AR-CU10448-101'),
(542,	'DHAHRAHTH ROSE - (SALLAHA) - BARKA-1',	'AR-CU10449-101'),
(543,	'DHAHRAHTH ROSE - (SALLAHA) - BARKA-2',	'AR-CU10449-102'),
(544,	'DHELLAL AL SALAM TRAD & CONT',	'AR-CU10450-101'),
(545,	'DHIYA AL ASHKARA TRADING',	'AR-CU10451-101'),
(546,	'DHIYAA AL TAAUQ TRAD. (SHOP-10)',	'AR-CU10452-101'),
(547,	'DHUQAM AL MAKKAN -  MUSANNAH',	'AR-CU10453-101'),
(548,	'DIDAR BENGALI (RUSTAQ)',	'AR-CU10454-101'),
(549,	'DILEEP - CASH SALES',	'AR-CU10455-101'),
(550,	'DILEEP - FALAJ',	'AR-CU10456-101'),
(551,	'DILEEP (RAMBA)',	'AR-CU10457-101'),
(552,	'DILKUSH RESTAURANT',	'AR-CU10458-101'),
(553,	'DINER STATION - (MACRO BOOST RESTAURANT)',	'AR-CU10459-101'),
(554,	'DIRECT SERVICES LLC.',	'AR-CU10460-101'),
(555,	'DOHA FALAJ',	'AR-CU10461-101'),
(556,	'DORA FANTASY PROJECTS LLC.',	'AR-CU10462-101'),
(557,	'DOSTEEN HYPERMARKET - THARMAD',	'AR-CU10463-101'),
(558,	'DOSTEEN HYPERMARKET - SUWAIQ',	'AR-CU10463-102'),
(559,	'DRAGON MALL COFFEE SHOP',	'AR-CU10464-101'),
(560,	'PARK IN DUQUM',	'AR-CU10465-101'),
(561,	'EBRAHIM KHALFAN KHAMIS AL MAQUSI',	'AR-CU10466-101'),
(562,	'ECHO CARGO & SHIPPING LLC',	'AR-CU10467-101'),
(563,	'EID OUTSIDE SALE',	'AR-CU10468-101'),
(564,	'ENDAM SHOPPING CENTRE - SINAW',	'AR-CU10469-101'),
(565,	'ESSA MALIKY - MUSSANAH',	'AR-CU10470-101'),
(566,	'ESSA RUSTAQ (SULTAN)',	'AR-CU10471-101'),
(567,	'AL HAIL WAVES HOTEL L.L.C.',	'AR-CU10472-101'),
(568,	'EURO CHOICE FOODS LLC',	'AR-CU10473-101'),
(569,	'AL EZZA HYPERMARKET - AQAR',	'AR-CU10474-101'),
(570,	'FAIBY IBRAHIM KUTTY',	'AR-CU10475-101'),
(571,	'FAISAL',	'AR-CU10476-101'),
(572,	'FAISAL ALI HAMED - NIZWA',	'AR-CU10477-101'),
(573,	'FAISAL GOLDENBERRY - AZAIBA',	'AR-CU10478-101'),
(574,	'FAISAL OMANI MUSANNA',	'AR-CU10479-101'),
(575,	'FAISAL P.ABDUL ASEES - CASH SALES',	'AR-CU10480-101'),
(576,	'FAISAL P.ABDUL RAHMAN - CASH SALES',	'AR-CU10481-101'),
(577,	'FAISAL SUR',	'AR-CU10482-101'),
(578,	'FAIZAL - DANIYA',	'AR-CU10483-101'),
(579,	'FAJAR AL BARKAT INTERNATIONAL - RUSTAQ',	'AR-CU10484-101'),
(580,	'FAKHAR AL KAMIL TRAD.CO (ASSO)',	'AR-CU10485-101'),
(581,	'FALCON TRADING L.L.C',	'AR-CU10486-101'),
(582,	'FAMOUS CAFE',	'AR-CU10487-101'),
(583,	'FANJA BAKERY',	'AR-CU10488-101'),
(584,	'FARIDUL ALAM AHOMED HASSAIN (UMAR SAHAM)',	'AR-CU10489-101'),
(585,	'FAROOK BENGALI',	'AR-CU10490-101'),
(586,	'FARS CENTRE FOR INVESTMENT & DEVELOPMENT TRADING LLC (SALEEM W/M)',	'AR-CU10491-101'),
(587,	'FATA BARZAMAN SINAW (SHAMEER)',	'AR-CU10492-101'),
(588,	'FATHIMA HYPER MARKET - RUWI',	'AR-CU10493-101'),
(589,	'FATHIMA HYPERMARKET - SAHAM',	'AR-CU10493-102'),
(590,	'FAWALAH SHOPPING IZKI',	'AR-CU10494-101'),
(591,	'FAYAFI AL SAHAW  COFFEE SHOP - SUWAIQ',	'AR-CU10495-101'),
(592,	'FAZAL - MUSANNA',	'AR-CU10496-101'),
(593,	'FAZAL AMEEN',	'AR-CU10497-101'),
(594,	'FILLAT KING',	'AR-CU10498-101'),
(595,	'FINE FIELD TRADING LLC',	'AR-CU10499-101'),
(596,	'FINE FOOD LLC',	'AR-CU10500-101'),
(597,	'FIRE FILL GRILL RESTAURANT',	'AR-CU10501-101'),
(598,	'FIVE FOOD MASTER FRANCHISE FOR GENERAL TRADING LLC',	'AR-CU10502-101'),
(599,	'FRESH STAR CAFE - AL QURUM',	'AR-CU10503-101'),
(600,	'FRUIT PARK',	'AR-CU10504-101'),
(601,	'FULL TIME COFFEE SHOP - GHALA',	'AR-CU10505-101'),
(602,	'FUN JUICE - AL KOUDH-2',	'AR-CU10506-101'),
(603,	'FUN JUICE - BURAIMI',	'AR-CU10506-102'),
(604,	'FUN JUICE - SINAW',	'AR-CU10506-103'),
(605,	'FUN JUICE - SOHAR',	'AR-CU10506-104'),
(606,	'FUN JUICE - BUALI',	'AR-CU10506-105'),
(607,	'FUN JUICE - MABELLA-2',	'AR-CU10506-106'),
(608,	'FUN JUICE - MABELLA-1',	'AR-CU10506-107'),
(609,	'SHAWARMAC (FUN JUICE) - SOHAR',	'AR-CU10506-108'),
(610,	'FUN JUICE - BU HASSAN',	'AR-CU10506-109'),
(611,	'SHAWARMAC (FUN JUICE) - SINAW',	'AR-CU10506-110'),
(612,	'SHAWARMAC (FUN JUICE) - MABELLA',	'AR-CU10506-111'),
(613,	'FUN JUICE - SAMAIL',	'AR-CU10506-112'),
(614,	'SHAWARMAC (FUN JUICE) - BUALI',	'AR-CU10506-113'),
(615,	'FUN JUICE - NIZWA',	'AR-CU10506-114'),
(616,	'FUN JUICE - IBRI',	'AR-CU10506-115'),
(617,	'FUN JUICE - SADAH (SALALAH)',	'AR-CU10506-116'),
(618,	'FUNOON - SOHAR',	'AR-CU10507-101'),
(619,	'FUTURE SAFE TRADING',	'AR-CU10508-101'),
(620,	'GAFOOR - SALALAH',	'AR-CU10509-101'),
(621,	'GARDEN SHOPPING CENTER',	'AR-CU10510-101'),
(622,	'GASTRONOMICA TRADING -FINE DINE HOTEL GROUP',	'AR-CU10511-101'),
(623,	'GAZI ANWAR HOSSAIN - SOHAR',	'AR-CU10512-101'),
(624,	'G-B- MUSCAT SPICY L.L.C',	'AR-CU10513-101'),
(625,	'GEMELLO RESTAURANT',	'AR-CU10514-101'),
(626,	'GHADHEER - LIWA',	'AR-CU10515-101'),
(627,	'GHASSAN ZAHIR ZAHRAN AL-NABHANI (BEHALA)',	'AR-CU10516-101'),
(628,	'GINGER - BOWSHAR',	'AR-CU10517-101'),
(629,	'GLOBAL BR TRADING FZE',	'AR-CU10518-101'),
(630,	'RADISSON BLUE MUSCAT',	'AR-CU10519-101'),
(631,	'PIZZA INN QURUM',	'AR-CU10520-101'),
(632,	'PIZZA INN MABELA',	'AR-CU10520-102'),
(633,	'PIZZA INN AL KHOUD',	'AR-CU10520-103'),
(634,	'PIZZA INN AL KHUWAIR',	'AR-CU10520-104'),
(635,	'PIZZA INN AMERAT',	'AR-CU10520-105'),
(636,	'PIZZA INN BARKA',	'AR-CU10520-106'),
(637,	'PIZZA INN SADAH (SALALAH)',	'AR-CU10520-107'),
(638,	'PIZZA INN WADI (SALALAH)',	'AR-CU10520-108'),
(639,	'GOLDEN BERRY - BUALI',	'AR-CU10521-101'),
(640,	'GOLDEN CROWN COFFEE SHOP - GHOBRA',	'AR-CU10522-101'),
(641,	'GOLDEN FALCON MUSANNA',	'AR-CU10523-101'),
(642,	'GOLDEN LINE INTREGRATED',	'AR-CU10524-101'),
(643,	'GOLDEN RESTAURANT - NIZWA',	'AR-CU10525-101'),
(644,	'GOLDEN TASTE RESTAURANT & CATERING',	'AR-CU10526-101'),
(645,	'GOLDEN WAYS INTERNATIONAL LLC',	'AR-CU10527-101'),
(646,	'GOPAL - SOHAR',	'AR-CU10528-101'),
(647,	'GOURME FOODS LLC.',	'AR-CU10529-101'),
(648,	'GRAND HYPERMARKET - SAHAM',	'AR-CU10530-101'),
(649,	'GRAND HYPERMARKET - SOHAR',	'AR-CU10530-102'),
(650,	'GRAND HYPERMARKET - RUWI',	'AR-CU10530-103'),
(651,	'GRAND HYPERMARKET - SANAYA',	'AR-CU10530-104'),
(652,	'GRAND HYPERMARKET - IBRI',	'AR-CU10530-105'),
(653,	'GRAND HYPERMARKET - BEHALA',	'AR-CU10530-106'),
(654,	'GRAND MALL MESS',	'AR-CU10531-101'),
(655,	'GRAND MALL NIZWA',	'AR-CU10532-101'),
(656,	'GREAT TARGET LLC -(AAK)',	'AR-CU10533-101'),
(657,	'GREEN BABIL',	'AR-CU10534-101'),
(658,	'GREEN FLY INTERNATIONAL LLC.',	'AR-CU10535-101'),
(659,	'GREEN HOUSE SHOPPING CENTRE - QURIYATH',	'AR-CU10536-101'),
(660,	'GULZAR AHMAD MUHAMMAD RAMZAN',	'AR-CU10537-101'),
(661,	'HAFFA HOUSE HOTEL',	'AR-CU10538-101'),
(662,	'HAMAD HAMOOD MUHAMMED AL HASANI',	'AR-CU10539-101'),
(663,	'HAMDHAN  - IBRI',	'AR-CU10540-101'),
(664,	'HAMEED BIN ALI BIN SAID AL SAEEDI & SONS TRAD',	'AR-CU10541-101'),
(665,	'HAMOOD - BAHLA',	'AR-CU10542-101'),
(666,	'HAMOOD SALIM HAMOOD HAMED AL HINAI - ANQAL',	'AR-CU10543-101'),
(667,	'HAMSA KUTTY',	'AR-CU10544-101'),
(668,	'HANEEFA  C/O MOHD COFFEE  SHOP',	'AR-CU10545-101'),
(669,	'HANEEN INTERNATIONAL LLC',	'AR-CU10546-101'),
(670,	'HANOON MODERN PROJECTS (SMILE HYPERMARKETS)',	'AR-CU10547-101'),
(671,	'HARI (WADI ATHEN)',	'AR-CU10548-101'),
(672,	'HARIZ C/O NAZEER NELLERI',	'AR-CU10549-101'),
(673,	'HASSAN JVC',	'AR-CU10550-101'),
(674,	'HASSAN MUSHTAQ AHMED',	'AR-CU10551-101'),
(675,	'HASSIM - AL ANSAB',	'AR-CU10552-101'),
(676,	'HATIM ANSARI SUHOL',	'AR-CU10553-101'),
(677,	'HAYAN MARKETS - MUSANNA',	'AR-CU10554-101'),
(678,	'HORILON BOUSHER',	'AR-CU10555-101'),
(679,	'HORILON ALKHWAIR',	'AR-CU10555-102'),
(680,	'HORILON AL QURUM',	'AR-CU10555-103'),
(681,	'HORILON  AL HAIL',	'AR-CU10555-104'),
(682,	'HIBA COFFEE SHOP (AL QAWAS NIZWA)',	'AR-CU10556-101'),
(683,	'HILAL - HAIL',	'AR-CU10557-101'),
(684,	'HILAL - SEEB (NAVAS)',	'AR-CU10558-101'),
(685,	'HILAL AL SYF L.L.C',	'AR-CU10559-101'),
(686,	'HILAL ALI - NIZWA',	'AR-CU10560-101'),
(687,	'LETO JUICE BAR',	'AR-CU10561-101'),
(688,	'LETO PASTRY',	'AR-CU10561-102'),
(689,	'HONG\'S RESTAURANT - AZAIBA',	'AR-CU10562-101'),
(690,	'HONG\'S RESTAURANT - MBD',	'AR-CU10562-102'),
(691,	'HONG\'S RESTAURANT - SOHAR',	'AR-CU10562-103'),
(692,	'HORMUZ GRAND HOTEL - MUSCAT (RHG)',	'AR-CU10563-101'),
(693,	'HOT BURGER - SAMAIL',	'AR-CU10564-101'),
(694,	'HOT BURGER - NIZWA',	'AR-CU10564-102'),
(695,	'HOT BURGER IZKI (KALA) - SHAMEER',	'AR-CU10565-101'),
(696,	'HOTEL BE 2',	'AR-CU10566-101'),
(697,	'HOTEL HYDERABAD',	'AR-CU10567-101'),
(698,	'HOTEL(BENGALI)',	'AR-CU10568-101'),
(699,	'HUAWEI TECH INVESTMENT(OMAN) LLC',	'AR-CU10569-101'),
(700,	'HURMUZ TORCH NATIONAL TRADING',	'AR-CU10570-101'),
(701,	'HUSSAIN - SUR',	'AR-CU10571-101'),
(702,	'HUSSAIN AL-HAKMAN TRADING LLC (KHADER)',	'AR-CU10572-101'),
(703,	'HUSSAIN T - EAGLE EYE INTERNATIONAL',	'AR-CU10573-101'),
(704,	'HUSSEIN BIN ABDUL KARIM BIN DAWOOD BIN ALI AL KASHRI',	'AR-CU10574-101'),
(705,	'MANAH -1',	'AR-CU10575-101'),
(706,	'MANAH - 2',	'AR-CU10575-102'),
(707,	'HYRATH - NIZWA',	'AR-CU10576-101'),
(708,	'IBN AL SHAM',	'AR-CU10577-101'),
(709,	'IBN AL-QARIYA TRADING & CONT.',	'AR-CU10578-101'),
(710,	'IBN FATIK AND AL-ZADJALI INTERNATIONAL - (IMOJI JUICE)',	'AR-CU10579-101'),
(711,	'IBN HABS TRADING',	'AR-CU10580-101'),
(712,	'IBRAHIM HUMEID SAID AL MIFARGI',	'AR-CU10581-101'),
(713,	'IBRAHIM ISSA - RUSTAQ',	'AR-CU10582-101'),
(714,	'ICE PALACE COFFEE SHOP - AL KHUWAIR',	'AR-CU10583-101'),
(715,	'IDRIS SULAIMAN ABDULLAH SAIF-AL SHAML',	'AR-CU10584-101'),
(716,	'IMAD',	'AR-CU10585-101'),
(717,	'IMAD KHAN BAKHT ZAMIN (E-8247)',	'AR-CU10586-101'),
(718,	'IMAM SAIF',	'AR-CU10587-101'),
(719,	'IMRAN SAMAD',	'AR-CU10588-101'),
(720,	'INDIAN DELIGHT RESTAURANT',	'AR-CU10589-101'),
(721,	'AIRPORT KFC',	'AR-CU10590-101'),
(722,	'CITY CENTRE SEEB KFC',	'AR-CU10590-102'),
(723,	'BARKA KFC',	'AR-CU10590-103'),
(724,	'MQ PLAZA KFC',	'AR-CU10590-104'),
(725,	'BEHJA KFC',	'AR-CU10590-105'),
(726,	'MABELLA KFC',	'AR-CU10590-106'),
(727,	'HARDEES AL KHOUD',	'AR-CU10590-107'),
(728,	'NIZWA KFC',	'AR-CU10590-108'),
(729,	'FALAJ KFC',	'AR-CU10590-109'),
(730,	'QURUM KFC',	'AR-CU10590-110'),
(731,	'SOHAR KFC',	'AR-CU10590-111'),
(732,	'RUWI KFC',	'AR-CU10590-112'),
(733,	'GRAND MALL KFC',	'AR-CU10590-113'),
(734,	'TGI FRIDAYS KFC',	'AR-CU10590-114'),
(735,	'HARDEES WATTAYAH',	'AR-CU10590-115'),
(736,	'WEDAM KFC',	'AR-CU10590-116'),
(737,	'AZAIBA KFC',	'AR-CU10590-117'),
(738,	'HARDEES AL KHUWAIR',	'AR-CU10590-118'),
(739,	'BURAIMI KFC',	'AR-CU10590-119'),
(740,	'SALALAH MAIN KFC',	'AR-CU10590-120'),
(741,	'SALALAH GARDEN KFC',	'AR-CU10590-121'),
(742,	'SALALAH LULU KFC',	'AR-CU10590-122'),
(743,	'HARDEES CITY CENTRE SEEB',	'AR-CU10590-123'),
(744,	'HARDEES MABELLA',	'AR-CU10590-124'),
(745,	'WADI KABIR KFC',	'AR-CU10590-125'),
(746,	'HARDEES GHUBRAH',	'AR-CU10590-126'),
(747,	'SAHAM KFC',	'AR-CU10590-127'),
(748,	'HARDEES SALALAH',	'AR-CU10590-128'),
(749,	'HARDEES NIZWA',	'AR-CU10590-129'),
(750,	'HORMUZ AZAIBA KFC',	'AR-CU10590-130'),
(751,	'LULU DARSAIT KFC',	'AR-CU10590-131'),
(752,	'NIZWA GRAND MALL KFC',	'AR-CU10590-132'),
(753,	'HARDEES AL KOUDH',	'AR-CU10590-133'),
(754,	'CITY CENTRE QURUM KFC',	'AR-CU10590-134'),
(755,	'MUTRAH KFC',	'AR-CU10590-135'),
(756,	'LULU GHUBRAH KFC',	'AR-CU10590-136'),
(757,	'WAVE KFC',	'AR-CU10590-137'),
(758,	'HARDEES MAWALEH',	'AR-CU10590-138'),
(759,	'MUSANNAH KFC',	'AR-CU10590-139'),
(760,	'AL KOUDH KFC',	'AR-CU10590-140'),
(761,	'AL KHUWAIR KFC',	'AR-CU10590-141'),
(762,	'SUR KFC',	'AR-CU10590-142'),
(763,	'HARDEES WAVE',	'AR-CU10590-143'),
(764,	'AL KHUWAIR 33 KFC',	'AR-CU10590-144'),
(765,	'MAWALEH KFC',	'AR-CU10590-145'),
(766,	'SALALAH FESTIVAL KFC',	'AR-CU10590-146'),
(767,	'AMERATH KFC',	'AR-CU10590-147'),
(768,	'HARDEES MALL OF MUSCAT',	'AR-CU10590-148'),
(769,	'KFC MALL OF MUSCAT',	'AR-CU10590-149'),
(770,	'CITY CENTRE SOHAR KFC',	'AR-CU10590-150'),
(771,	'INTERNATIONAL TRADING KUWAITI COMPANY LLC',	'AR-CU10591-101'),
(772,	'IQBAL BENGALI',	'AR-CU10592-101'),
(773,	'IRANI HOUSE',	'AR-CU10593-101'),
(774,	'IRANIAN SADAF RESTAURANT',	'AR-CU10594-101'),
(775,	'ISFHAN IRANIAN SWEET BAKERY',	'AR-CU10595-101'),
(776,	'ISMAIL KUNNARIKOTH - MUSANNA',	'AR-CU10596-101'),
(777,	'ISMAIL MURAD JUMA AL BALUCHI',	'AR-CU10597-101'),
(778,	'ISMAYIL MOHD MURAD SOHAR',	'AR-CU10598-101'),
(779,	'ISSA JUMA MATTAR AL ANQOUDI',	'AR-CU10599-101'),
(780,	'ITALIAN BARISTA - AL MAWALAH',	'AR-CU10600-101'),
(781,	'ITALIAN BARISTA - QURAM',	'AR-CU10600-102'),
(782,	'ITALIAN BARISTA - SOHAR',	'AR-CU10600-103'),
(783,	'ITALIAN BARISTA - SUWAIQ',	'AR-CU10600-104'),
(784,	'IZZ AL-SHUMUKH SHOPPING ADAM',	'AR-CU10601-101'),
(785,	'JABAL QAFIFAH TRADE & CONT. LLC (SALAM MANJI)',	'AR-CU10602-101'),
(786,	'JABAL QAFIFAH TRADE & CONT. LLC C/O KAREEM',	'AR-CU10603-101'),
(787,	'JABBAR',	'AR-CU10604-101'),
(788,	'JADAWEL AL AFIYA TRAD - SUR',	'AR-CU10605-101'),
(789,	'JAFIR - MUSANNA',	'AR-CU10606-101'),
(790,	'JAHID ABDUL KARIM (E-8255)',	'AR-CU10607-101'),
(791,	'JAHINGIR ALAM ABDUL KADER',	'AR-CU10608-101'),
(792,	'JAMAL - NIZWA',	'AR-CU10609-101'),
(793,	'JAMAL - WADIKABEER',	'AR-CU10610-101'),
(794,	'JAMAL AL ANQUDI - NIZWA',	'AR-CU10611-101'),
(795,	'JAMAL BENGALI (SU10281)',	'AR-CU10612-101'),
(796,	'JAMAL MALAYALI',	'AR-CU10613-101'),
(797,	'JAMAL VEGETABLE SUPPLY',	'AR-CU10614-101'),
(798,	'JAMSHEER SUHOL',	'AR-CU10615-101'),
(799,	'JASHEEM (BENGALI) - NO.2',	'AR-CU10616-101'),
(800,	'JASMIN',	'AR-CU10617-101'),
(801,	'JAVANMARD TRADING CO. LLC',	'AR-CU10618-101'),
(802,	'JENAN AL BASHER LLC (HAMRA BY FRAZER SUITES)',	'AR-CU10619-101'),
(803,	'JINANA AL FRFARAH LLC (KM TRADING RASHEED)',	'AR-CU10620-101'),
(804,	'JOYNAL CUCUMBER',	'AR-CU10621-101'),
(805,	'JUICE MAGIC',	'AR-CU10622-101'),
(806,	'JUICE SHOP',	'AR-CU10623-101'),
(807,	'JUICE SHOP - KABOORA',	'AR-CU10624-101'),
(808,	'JUICE SHOP - MABELLA',	'AR-CU10625-101'),
(809,	'JUICE SHOP - SAHAM',	'AR-CU10626-101'),
(810,	'JUICE SHOP - SOHAR',	'AR-CU10627-101'),
(811,	'JUICE SHOP - SOHAR GATE',	'AR-CU10628-101'),
(812,	'JUICE WORLD - AL KHUWAIR',	'AR-CU10629-101'),
(813,	'JUICE WORLD - SUWAIQ',	'AR-CU10630-101'),
(814,	'NEW JUICE WORLD - SUMAIL',	'AR-CU10631-101'),
(815,	'JUMA ABDULLAH MOHAMMED SALIM AL JABRI',	'AR-CU10632-101'),
(816,	'JUNGLE RESTAURANT',	'AR-CU10633-101'),
(817,	'K.C. CENTRE - SUPPLY',	'AR-CU10634-101'),
(818,	'KABEER - HAIL',	'AR-CU10635-101'),
(819,	'KABEER - RAHA',	'AR-CU10636-101'),
(820,	'KABEER - SALALAH',	'AR-CU10637-101'),
(821,	'KADAR MUHAMMED UNNI',	'AR-CU10638-101'),
(822,	'KALHAT SERVICES & TRADING LLC',	'AR-CU10639-101'),
(823,	'KANTHAB COFFEE SHOP',	'AR-CU10640-101'),
(824,	'KARAK GHOLAM OMAN',	'AR-CU10641-101'),
(825,	'KAREEM - SAHAM',	'AR-CU10642-101'),
(826,	'KAREEM GAFOOR',	'AR-CU10643-101'),
(827,	'KENZ HYPERMARKET',	'AR-CU10644-101'),
(828,	'KHAIRAT SOHAR INTERNATIONAL L.L.C',	'AR-CU10645-101'),
(829,	'KHALID AL SUWAID TRADING - QURUM',	'AR-CU10646-101'),
(830,	'KHALID AL SUWAID TRADING - AL KHOUD',	'AR-CU10646-102'),
(831,	'KHALID AL SUWAID TRADING - SEEB',	'AR-CU10646-103'),
(832,	'KHALID BIN SAID BIN MOHD. AL-ZUHLI TRAD. & CONT.(FIROZ)',	'AR-CU10647-101'),
(833,	'KHALID INVESTMENT  L.L.C',	'AR-CU10648-101'),
(834,	'KHALID MASOOD ABDULLAH AL-HANDHALI (C/O HYTHAM)',	'AR-CU10649-101'),
(835,	'KHALID MOHD KIYARI - HAMRA',	'AR-CU10650-101'),
(836,	'KHALID OMANI',	'AR-CU10651-101'),
(837,	'KHALID OMANI - SHINAS',	'AR-CU10652-101'),
(838,	'KHALID WK',	'AR-CU10653-101'),
(839,	'KHALIFA NIZWA',	'AR-CU10654-101'),
(840,	'KHAMEES ABDULLA NASSAR AL KAWASMI TRADING',	'AR-CU10655-101'),
(841,	'KHAMEES AL SANAIDI (JALAN)',	'AR-CU10656-101'),
(842,	'KHAMEES OMANI - SUWAIQ',	'AR-CU10657-101'),
(843,	'KHARUSI SHOPPING CENTER',	'AR-CU10658-101'),
(844,	'KHAYRAT SOHAR RESTAURANT',	'AR-CU10659-101'),
(845,	'KR SUR',	'AR-CU10660-101'),
(846,	'KR NIZWA MAIN',	'AR-CU10660-102'),
(847,	'KR BOLLYWOOD QURUM',	'AR-CU10660-103'),
(848,	'KR RUSTAQ',	'AR-CU10660-104'),
(849,	'NIZWA LULU',	'AR-CU10660-105'),
(850,	'KR IBRI',	'AR-CU10660-106'),
(851,	'K.R CENTRAL KITCHEN',	'AR-CU10660-107'),
(852,	'KR SOHAR',	'AR-CU10660-108'),
(853,	'KR FALAJ',	'AR-CU10660-109'),
(854,	'KR INDUSTRIAL-SOHAR',	'AR-CU10660-110'),
(855,	'KR SOHAR WAJAJA',	'AR-CU10660-111'),
(856,	'KR KHABOORA',	'AR-CU10660-112'),
(857,	'KR SOHAR MAIN',	'AR-CU10660-113'),
(858,	'KR SAFEER MALL SOHAR',	'AR-CU10660-114'),
(859,	'KR AWQAD (SALALAH)',	'AR-CU10660-115'),
(860,	'KR SADAH (SALALAH)',	'AR-CU106660-117'),
(861,	'KR SALALAH',	'AR-CU10660-118'),
(862,	'KR PLAZA PREMIUM LOUNGE (SALALAH)',	'AR-CU10660-119'),
(863,	'KHIMJI INTERNATIONAL LLC - (SPAR- EGG SALES)',	'AR-CU10661-101'),
(864,	'KHIMJI MESS',	'AR-CU10662-101'),
(865,	'KING OF TEA - AZAIBA',	'AR-CU10663-101'),
(866,	'KING OF TEA - GHALA',	'AR-CU10663-102'),
(867,	'KM TRADING - AL KHUWAIR',	'AR-CU10664-101'),
(868,	'KM TRADING - RUWI',	'AR-CU10664-102'),
(869,	'KM TRADING - SAHAM',	'AR-CU10664-103'),
(870,	'KM TRADING - SALALAH',	'AR-CU10664-104'),
(871,	'KM TRADING - SAFA EXPRESS ROP',	'AR-CU10664-105'),
(872,	'KM TRADING - SAFA MODERN SHOPPING AMERAT',	'AR-CU10664-106'),
(873,	'KM TRADING - AL  SAFA MODERN SHOPPING CENTRE LLC - DHUNG',	'AR-CU10664-107'),
(874,	'KM TRADING - SAFA EXPRESS - SALALAH',	'AR-CU10664-108'),
(875,	'KM TRADING - AL  SAFA MODERN SHOPPNING CENTRE LLC - IBRI',	'AR-CU10664-109'),
(876,	'AL JABALI TRADING - IBRI',	'AR-CU10665-101'),
(877,	'AL AZIM HYPERMARKET - SUWAIQ',	'AR-CU10666-101'),
(878,	'KUBBA HYPERMARKET',	'AR-CU10667-101'),
(879,	'KUNJAPPUTTY',	'AR-CU10668-101'),
(880,	'KUTUB (BENGALI)',	'AR-CU10669-101'),
(881,	'LAMEES SHOP - UQDHA',	'AR-CU10670-101'),
(882,	'LAND TEAK INTERNATIONAL LLC',	'AR-CU10671-101'),
(883,	'LATHEEF - ACHI',	'AR-CU10672-101'),
(884,	'LATHEEF - RUWI',	'AR-CU10673-101'),
(885,	'LATHEEF SHOP',	'AR-CU10674-101'),
(886,	'LATHEESH - SALALAH',	'AR-CU10675-101'),
(887,	'LAVANDER HYPERMARET - MUSANNA',	'AR-CU10676-101'),
(888,	'LAVANDER HYPERMARET (NO. 2) NEAR PUMP',	'AR-CU10676-102'),
(889,	'LAVANDER HYPERMARKET COUNTER - MAJEED',	'AR-CU10676-103'),
(890,	'LAVANDER SHOP',	'AR-CU10677-101'),
(891,	'LINE AL-NEIL RESTAURANT - NIZWA',	'AR-CU10678-101'),
(892,	'LINE TEA COFFEE SHOP - NIZWA',	'AR-CU10679-101'),
(893,	'LINK OVERSEAS',	'AR-CU10680-101'),
(894,	'AL HOOTHI SHOPPING CENTRE NATIONAL ENT LLC - AL KHUWAIR',	'AR-CU10681-101'),
(895,	'LUQMAN SUHOL',	'AR-CU10682-101'),
(896,	'LYON HYPERMARKET - AL HAIL',	'AR-CU10683-101'),
(897,	'MADEENA HYPERMARKET - SINAW',	'AR-CU10684-101'),
(898,	'MADEENA SINDBAD - IBRI',	'AR-CU10685-101'),
(899,	'MADHU KADAPPURAM AVIKKAL - CASH SALES (E-2091)',	'AR-CU10686-101'),
(900,	'MAIDAT AL JAZEERA',	'AR-CU10687-101'),
(901,	'MAGBOOL (BENGALI) (SU10316)',	'AR-CU10688-101'),
(902,	'MAHA SOHAR SUPERMARKET',	'AR-CU10689-101'),
(903,	'MAHAMOOD BENGALI',	'AR-CU10690-101'),
(904,	'MAHAR',	'AR-CU10691-101'),
(905,	'MAHER ENTERPRISES',	'AR-CU10692-101'),
(906,	'MAHFOUDH ABDULLAH KHAMIS ALI AL BALUSHI - SUR',	'AR-CU10693-101'),
(907,	'MAHMOOD - BAHLA',	'AR-CU10694-101'),
(908,	'MAHMOOD - OMANI',	'AR-CU10695-101'),
(909,	'MAHMOOD MISIRI',	'AR-CU10696-101'),
(910,	'MAHMOOD SAID RASHID HABEEB AL HOSNI - IBRI',	'AR-CU10697-101'),
(911,	'ACCOMMODATION',	'AR-CU10698-101'),
(912,	'ADAM HOSPITAL',	'AR-CU10698-102'),
(913,	'AL HASHMI',	'AR-CU10698-103'),
(914,	'AL WATANIYA YUNQUAL',	'AR-CU10698-104'),
(915,	'A.S.C COLLEGE',	'AR-CU10698-105'),
(916,	'A.S.C IBRI',	'AR-CU10698-106'),
(917,	'BIDIYA HOSPITAL',	'AR-CU10698-107'),
(918,	'BOUSHER ACCOMMODATION',	'AR-CU10698-108'),
(919,	'CAT GALA',	'AR-CU10698-109'),
(920,	'COMPLEX 1',	'AR-CU10698-110'),
(921,	'COMPLEX 4',	'AR-CU10698-111'),
(922,	'COMPLEX 5',	'AR-CU10698-112'),
(923,	'GHANTOOT SEEB',	'AR-CU10698-113'),
(924,	'H.L.G IBRA',	'AR-CU10698-114'),
(925,	'IBRA COLLEGE',	'AR-CU10698-115'),
(926,	'IBRA I.T.C COLLEGE',	'AR-CU10698-116'),
(927,	'IBRA A.S.C COLLEGE',	'AR-CU10698-117'),
(928,	'IZKI HOSPITAL',	'AR-CU10698-118'),
(929,	'NAJED YIBAL',	'AR-CU10698-119'),
(930,	'MTC DALEEL PDO',	'AR-CU10698-120'),
(931,	'TTC SQU',	'AR-CU10698-121'),
(932,	'OCEAN QURUM',	'AR-CU10698-122'),
(933,	'IBRI ASC COLLEGE',	'AR-CU10698-123'),
(934,	'SAMAD HOSPITAL',	'AR-CU10698-124'),
(935,	'NAFAL SOHAR',	'AR-CU10698-125'),
(936,	'MAJAN FRUIT - SAHAM',	'AR-CU10699-101'),
(937,	'MAJAN GOLDEN SANDS LLC (SUDHAKARAN)',	'AR-CU10700-101'),
(938,	'MAJID AL AZWANI - NIZWA',	'AR-CU10701-101'),
(939,	'MAKKAH HYPERMARKET - THARMAD',	'AR-CU10702-101'),
(940,	'MAKKAH HYPERMARKET - WADI HATAT',	'AR-CU10702-102'),
(941,	'MAKKAH HYPERMARKET - RUSTAQ',	'AR-CU10702-103'),
(942,	'MAKKAH HYPERMARKET - AMARAT',	'AR-CU10702-104'),
(943,	'MAKKAH HYPERMARKET - KHAFTI',	'AR-CU10702-105'),
(944,	'MAKKAH EXPRESS - BARKA',	'AR-CU10702-106'),
(945,	'MAKKAH HYPERMARKET - BARKA',	'AR-CU10702-107'),
(946,	'MAKKAH HYPERMARKET - IBRI',	'AR-CU10702-108'),
(947,	'MAKKAH HYPERMARKET - YANQUL',	'AR-CU10702-109'),
(948,	'MAKKAH HYPERMARKET - IBRA',	'AR-CU10702-110'),
(949,	'MAKKAH HYPERMARKET - DRAGON MARKET - BARKA',	'AR-CU10702-111'),
(950,	'MAKKAH HYPERMARKET - KHABURAH',	'AR-CU10702-112'),
(951,	'MAKKAH HYPERMARKET - LIWA',	'AR-CU10702-113'),
(952,	'MAKKAH HYPERMARKET - MUSANNAH',	'AR-CU10702-114'),
(953,	'MAKKAH HYPERMARKET - RUSAYL',	'AR-CU10702-115'),
(954,	'MAKKAH HYPERMARKET - SAWADI',	'AR-CU10702-117'),
(955,	'MAKKAH HYPERMARKET - SUR',	'AR-CU10702-118'),
(956,	'MAKKAH HYPERMARKET - SUWAIQ',	'AR-CU10702-119'),
(957,	'MAKKAH HYPERMARKET - BAHLA',	'AR-CU10702-120'),
(958,	'MAKKAH HYPERMARKET - SAHAM',	'AR-CU10702-121'),
(959,	'MAKKAH HYPERMARKET - IZKI',	'AR-CU10702-122'),
(960,	'MAKKAH HYPERMARKET - BU ALI',	'AR-CU10702-123'),
(961,	'MAKKAH HYPERMARKET - AL KHUWAIR',	'AR-CU10702-124'),
(962,	'MAKKAH HYPERMARKET - SALALAH',	'AR-CU10702-125'),
(963,	'MAKKAH HYPERMARKET - NEW SALALAH',	'AR-CU10702-126'),
(964,	'MANADER ANDAM AL WATANIYA - MUDAIBI',	'AR-CU10703-101'),
(965,	'MANAHIL BEIRUT TRADING',	'AR-CU10704-101'),
(966,	'MANDI RESTAURANT',	'AR-CU10705-101'),
(967,	'MANGO FRUIT NO: 1 - NIZWA',	'AR-CU10706-101'),
(968,	'MANGO FRUIT NO: 2 - NIZWA',	'AR-CU10706-102'),
(969,	'MANGO FRUIT NO: 3 - NIZWA',	'AR-CU10706-103'),
(970,	'MANGO FRUIT NO: 4 - IBRI',	'AR-CU10706-104'),
(971,	'MANGO FRUIT NO:5 - IBRI',	'AR-CU10706-5'),
(972,	'MANJU - SHARADI',	'AR-CU10707-101'),
(973,	'MANNAN (BENGALI)',	'AR-CU10708-101'),
(974,	'MARASIL SUPERMARKET - UQDHA',	'AR-CU10709-101'),
(975,	'MARHABA AL SHARQIA SHOPPING - BUALI',	'AR-CU10710-101'),
(976,	'MARHABA MODERN SHOPPING - AMRATH',	'AR-CU10711-101'),
(977,	'MARJAN AL BAHAR',	'AR-CU10712-101'),
(978,	'MARJAN AL HAJAR SHOPPING CENTRE',	'AR-CU10713-101'),
(979,	'MARJAN SHOPPING - RUSTAQ',	'AR-CU10714-101'),
(980,	'MARK BUSINESS & SERVICES',	'AR-CU10715-101'),
(981,	'MARS INTERNATIONAL L.L.C',	'AR-CU10716-101'),
(982,	'MASACO TRADING',	'AR-CU10717-101'),
(983,	'MASARI MOOSA AL BALUSHI CO. (ABDUL SALIM SULAIMAN KUNJU) - SHINAS',	'AR-CU10718-101'),
(984,	'MASHARIA ABU SHAFAA AL KASBI TRAD.',	'AR-CU10719-101'),
(985,	'MASOOD BAKHIT AL MUQBALI TRAD & CONT LLC',	'AR-CU10720-101'),
(986,	'MASTER PIECES MUSCAT UNITED L.L.C',	'AR-CU10721-101'),
(987,	'MAZHAR HUSSAIN HADAM HUSSAIN - BIDAYA',	'AR-CU10722-101'),
(988,	'MD JAHANGIR ALAM',	'AR-CU10723-101'),
(989,	'MD KHOKAN MD RAFIK',	'AR-CU10724-101'),
(990,	'MESS SUWAIQ C/O KABEER',	'AR-CU10725-101'),
(991,	'MHD JAMAL MUSANNA',	'AR-CU10726-101'),
(992,	'B2B',	'AR-CU10727-101'),
(993,	'AL HAIL',	'AR-CU10727-103'),
(994,	'AL GHUBRA',	'AR-CU10727-104'),
(995,	'AL KHUWAIR',	'AR-CU10727-105'),
(996,	'MIDHILAJ - CASH SALES ( E- 8860)',	'AR-CU10728-101'),
(997,	'MILLENNIUM HYPERMARKET - GHALA',	'AR-CU10729-101'),
(998,	'MILLENNIUM HYPERMARKET - AZAIBA',	'AR-CU10729-102'),
(999,	'MILLENNIUM HYPERMARKET - BOUSHER',	'AR-CU10729-103'),
(1000,	'MODERN BARAKAT MUSCAT L.L.C',	'AR-CU10730-101'),
(1001,	'MODERN CITY COUNTRYSIDE LLC- AL KOUDH',	'AR-CU10731-101'),
(1002,	'MODERN DUBAI SHOPPING CENTRE (AL FADHA)',	'AR-CU10732-101'),
(1003,	'MODERN GLOBAL PROJECTS',	'AR-CU10733-101'),
(1004,	'MOHAMMAD SOHAIL',	'AR-CU10734-101'),
(1005,	'MOHAMMED - AZAIBA',	'AR-CU10735-101'),
(1006,	'MOHAMMED ALI KHALFAN AL RAWAHI',	'AR-CU10736-101'),
(1007,	'MOHAMMED ALI -ORANGE PACKING',	'AR-CU10737-101'),
(1008,	'MOHAMMED HASSAN - CASH SALE',	'AR-CU10738-101'),
(1009,	'MOHAMMED IMTIAS AL UDDIN SUMAN',	'AR-CU10739-101'),
(1010,	'MOHAMMED SAHED (ID-112063054)',	'AR-CU10740-101'),
(1011,	'MOHAMMED SALEH MUBARAK AL YAQOUBI',	'AR-CU10741-101'),
(1012,	'MOHAMMED SALIM (BENGALI)',	'AR-CU10742-101'),
(1013,	'MOHAMMED SALIM SAID AL REESI -  LIWA',	'AR-CU10743-101'),
(1014,	'MOHAMMED SHAMNAS ALI',	'AR-CU10744-101'),
(1015,	'MOHAMMED TASLIM HOSSEN PARVESH',	'AR-CU10745-101'),
(1016,	'MOHD ESSA RAFEET SALALAH',	'AR-CU10746-101'),
(1017,	'MOHD MAYEES BARATH',	'AR-CU10747-101'),
(1018,	'MOHD SHAREEF - SALALAH',	'AR-CU10748-101'),
(1019,	'MOHD. MURAD SHEER MOHD.AL-RAISI (RAJAN SHOP)',	'AR-CU10749-101'),
(1020,	'MOHIBULLAH SUHOL',	'AR-CU10750-101'),
(1021,	'MOIDEEN HAJI',	'AR-CU10751-101'),
(1022,	'MOOSA HAJI - HAIL',	'AR-CU10752-101'),
(1023,	'MOOSA HASSAN SAIF SAID AL HINAI - IBRI',	'AR-CU10753-101'),
(1024,	'MOSTAFA REZAPOUR INVESTMENT L.L.C',	'AR-CU10754-101'),
(1025,	'MR.MISHKAK - AL KOUDH',	'AR-CU10755-101'),
(1026,	'MR.MISHKAK - MABELLA',	'AR-CU10755-102'),
(1027,	'MUATAZ HASSAN MOHAMMED TRADING (HALAL SHOPPING) - AMERAT',	'AR-CU10756-101'),
(1028,	'MUDAIBI BAKERY',	'AR-CU10757-101'),
(1029,	'MUDAIBI COFFEE SHOP',	'AR-CU10758-101'),
(1030,	'MUDAIBI COFFEE SHOP NIZAM',	'AR-CU10759-101'),
(1031,	'MUHAMED SAID AHMED AL-BURAIMI',	'AR-CU10760-101'),
(1032,	'MUHAMMAD ALI NALARAKETTIL UNDHA',	'AR-CU10761-101'),
(1033,	'MUHAMMAD IQBAL KASSIM KUNJU - GHOUBRA',	'AR-CU10762-101'),
(1034,	'MUHAMMED - AL KHOUD',	'AR-CU10763-101'),
(1035,	'MUHAMMED - BAHLA',	'AR-CU10764-101'),
(1036,	'MUHAMMED - SEEB',	'AR-CU10765-101'),
(1037,	'MUHAMMED AFSAL KALATHINAL SEETHI - E-6025',	'AR-CU10766-101'),
(1038,	'MUHAMMED AL RAWABI - BAWSHAR',	'AR-CU10767-101'),
(1039,	'MUHAMMED ALAM KHAN',	'AR-CU10768-101'),
(1040,	'MUHAMMED ALI LUZUK',	'AR-CU10769-101'),
(1041,	'MUHAMMED ASIF (PAKISTANI)',	'AR-CU10770-101'),
(1042,	'MUHAMMED HABIB (E-8208)',	'AR-CU10771-101'),
(1043,	'MUHAMMED - OUT SIDE SALE',	'AR-CU10772-101'),
(1044,	'KHALIFA - AL AWKIYYA',	'AR-CU10772-2'),
(1045,	'MUHAMMED RAWABI - NIZWA',	'AR-CU10773-101'),
(1046,	'MUHAMMED SHABAN - SUR',	'AR-CU10774-101'),
(1047,	'MUJEEB - MEPARAMBA',	'AR-CU10775-101'),
(1048,	'MUJEEB RAHMAN',	'AR-CU10776-101'),
(1049,	'MUMBAI CHENNAI EXPRESS (ROYAL INTERNATIONAL L.L.C)',	'AR-CU10777-101'),
(1050,	'MUNEEB (E-8551)',	'AR-CU10778-101'),
(1051,	'MUNEER - AL KHOUD',	'AR-CU10779-101'),
(1052,	'MUNEER - AL MANGO JUICE',	'AR-CU10780-101'),
(1053,	'MUNEER - IBRA',	'AR-CU10781-101'),
(1054,	'MUNEER - SHOP',	'AR-CU10782-101'),
(1055,	'MUNEER ALIYARU KUNJU (E-2019)',	'AR-CU10783-101'),
(1056,	'MUNIR (SHOP)(99453086)99001645',	'AR-CU10784-101'),
(1057,	'MUNNER BENGALI (S.S)',	'AR-CU10785-101'),
(1058,	'MUROUJ AL JAZEERA TRADING L.L.C.',	'AR-CU10786-101'),
(1059,	'MUSAB HAMOOD KHALFAN HAMOOD AL MANAYAJARI - NIZWA',	'AR-CU10787-101'),
(1060,	'MUSALLAM - AL MAWALAH',	'AR-CU10788-101'),
(1061,	'MUSCAT AL AHLIYA - (LATHEEF)',	'AR-CU10789-101'),
(1062,	'MUSCAT AL AHLIYA TRADING (MUHAMMED)',	'AR-CU10790-101'),
(1063,	'MUSCAT GATE',	'AR-CU10791-101'),
(1064,	'MUSTAFA - SAHAM',	'AR-CU10792-101'),
(1065,	'MUSTAFA (BOBER)',	'AR-CU10793-101'),
(1066,	'MUTTRAH HOTEL LLC - MUTTRAH',	'AR-CU10794-101'),
(1067,	'NACHI',	'AR-CU10795-101'),
(1068,	'NACHSH TRADING COMPANY',	'AR-CU10796-101'),
(1069,	'NADEEM BENGALI',	'AR-CU10797-101'),
(1070,	'NAJEEB - WADIKABEER',	'AR-CU10798-101'),
(1071,	'NAJEER & SUKESH',	'AR-CU10799-101'),
(1072,	'AL KHOUD-6',	'AR-CU10800-101'),
(1073,	'NAKKAL AL WADHI HYPERMARKET - THARMAD',	'AR-CU10801-101'),
(1074,	'NAMMAN SUPERMARKET (MUSSANNA)',	'AR-CU10802-101'),
(1075,	'NANA HYPERMARKET - LIWA',	'AR-CU10803-101'),
(1076,	'NANDAN SHOP',	'AR-CU10804-101'),
(1077,	'NARNC',	'AR-CU10805-101'),
(1078,	'NASAR - BEHALA',	'AR-CU10806-101'),
(1079,	'NASAR - RUSTAQ',	'AR-CU10807-101'),
(1080,	'NASAR MAZEERA',	'AR-CU10808-101'),
(1081,	'NASAR OMANI',	'AR-CU10809-101'),
(1082,	'NASEEM AL RADHA AL SHAMILA TRAD.',	'AR-CU10810-101'),
(1083,	'NASEEM SUR HYPERMARKET',	'AR-CU10811-101'),
(1084,	'NASIRULLAH ABUL BASHER',	'AR-CU10812-101'),
(1085,	'NASSER HAMDAN MOHAMMED AL DIHANI',	'AR-CU10813-101'),
(1086,	'NASSER KHALIFA NASSER AL AMRI - IZKI',	'AR-CU10814-101'),
(1087,	'NASSER SAID SALIM AL AAMRI',	'AR-CU10815-101'),
(1088,	'NASSER SALIM AL-SHABIBI',	'AR-CU10816-101'),
(1089,	'NATIONAL KHYRAT AL MUSTAQBL',	'AR-CU10817-101'),
(1090,	'NATURAL JUICE - BARKA',	'AR-CU10818-101'),
(1091,	'NAVA KERALA MESS',	'AR-CU10819-101'),
(1092,	'NAVAS C/O SHAMSU',	'AR-CU10820-101'),
(1093,	'NAVAS KURIYAPILLY ABU',	'AR-CU10821-101'),
(1094,	'NAVAS MUHAMMAD KUNJU',	'AR-CU10822-101'),
(1095,	'NAWADHER AL MABELA',	'AR-CU10823-101'),
(1096,	'NAWAF RASHID',	'AR-CU10824-101'),
(1097,	'NAZAR IKKA - SOHAR',	'AR-CU10825-101'),
(1098,	'NAZARUDHEEN HAMSSA RAWTHER',	'AR-CU10826-101'),
(1099,	'NAZEER  C/O  THAREEQ',	'AR-CU10827-101'),
(1100,	'NAZEER (JABIR)',	'AR-CU10828-101'),
(1101,	'NAZEER BLUE BASKET',	'AR-CU10829-101'),
(1102,	'NAZEM ABDUL  MOUTALEB EL SAMAD',	'AR-CU10830-101'),
(1103,	'NAZMUL HUSSAIN SAHAM (JOHNY SAHAM)',	'AR-CU10831-101'),
(1104,	'NESTO HYPERMARKET (WAREHOUSE)',	'AR-CU10832-101'),
(1105,	'NEW AL NASR HYPERMARKET',	'AR-CU10833-101'),
(1106,	'NEW LINE RESTAURANT - NIZWA',	'AR-CU10834-101'),
(1107,	'TBR',	'AR-CU10835-101'),
(1108,	'T.S.C.G',	'AR-CU10835-102'),
(1109,	'S.R.H.Q',	'AR-CU10835-103'),
(1110,	'R..N.S',	'AR-CU10835-104'),
(1111,	'O.C.A',	'AR-CU10835-105'),
(1112,	'N.P.C',	'AR-CU10835-106'),
(1113,	'MINT CAFE',	'AR-CU10835-107'),
(1114,	'M.D.P',	'AR-CU10835-108'),
(1115,	'I.S.H.C',	'AR-CU10835-109'),
(1116,	'H.T.I',	'AR-CU10835-110'),
(1117,	'H.P.C',	'AR-CU10835-111'),
(1118,	'H.O.',	'AR-CU10835-112'),
(1119,	'D.U.Q',	'AR-CU10835-113'),
(1120,	'D.P.C.II',	'AR-CU10835-114'),
(1121,	'A.H.A',	'AR-CU10835-115'),
(1122,	'NEW SMART SHOPING CENTRE - BIDAYA',	'AR-CU10836-101'),
(1123,	'NEWREST WACASCO - WALEED CATERING & SERVICES CO. LLC.',	'AR-CU10837-101'),
(1124,	'BANK MUSCAT - SEEB',	'AR-CU10837-102'),
(1125,	'MTC (MILITARY COLLEGE) - SEEB',	'AR-CU10837-103'),
(1126,	'BEC - JIFNIN',	'AR-CU10837-104'),
(1127,	'OMIFCO - SUR',	'AR-CU10837-105'),
(1128,	'SLB - NIZWA',	'AR-CU10837-106'),
(1129,	'ZAWAWI - QURUM',	'AR-CU10837-107'),
(1130,	'KIMS HOSPITAL - RUWI',	'AR-CU10837-108'),
(1131,	'NMC HOSPITAL - GHUBRA',	'AR-CU10837-109'),
(1132,	'ORC MUSCAT - GHUBRA',	'AR-CU10837-110'),
(1133,	'SAROOJ - GHALA',	'AR-CU10837-111'),
(1134,	'NISSAM SHAJI',	'AR-CU10838-101'),
(1135,	'NIYAS C/O RAMEES - WK',	'AR-CU10839-101'),
(1136,	'NIZAM SAINUDHEEN CASH SALES (BUALI VAN SALES)',	'AR-CU10840-101'),
(1137,	'NIZAM SUHOL',	'AR-CU10841-101'),
(1138,	'NIZAMUDEEN ISMAIL KUNJU - CASH SALES',	'AR-CU10842-101'),
(1139,	'NIZWA COLLEGE',	'AR-CU10843-101'),
(1140,	'NIZWA UNIVERSITY',	'AR-CU10844-101'),
(1141,	'NOOR - MAWALA (C/O SIDEEQ AL MEERA)',	'AR-CU10845-101'),
(1142,	'NOOR AL AGAR',	'AR-CU10846-101'),
(1143,	'NOOR GATE FOODSTUFF CO. W.L.L (EXPORT)',	'AR-CU10847-101'),
(1144,	'NOOR HYPERMARKET SEEB',	'AR-CU10848-101'),
(1145,	'NOOR LEBANON TRADING LLC',	'AR-CU10849-101'),
(1146,	'NOOR SHINAS',	'AR-CU10850-101'),
(1147,	'NORTHERN FRONTIER REGIMENT',	'AR-CU10851-101'),
(1148,	'NOUSHAD - 6',	'AR-CU10852-101'),
(1149,	'JURY CAFE OASIS MALL- SOHAR',	'AR-CU10853-101'),
(1150,	'NOUSHAD CK',	'AR-CU10854-101'),
(1151,	'NOUSHAD COFFEE SHOP - MABELLA',	'AR-CU10855-101'),
(1152,	'NOUSHAD MUHAMMED KUNJU',	'AR-CU10856-101'),
(1153,	'NOUSHAD.P.K (KANNUR)',	'AR-CU10857-101'),
(1154,	'NOWSHAD',	'AR-CU10858-101'),
(1155,	'NOWSHAD - KANNUR (AL WAFA TRAD.)',	'AR-CU10859-101'),
(1156,	'NOWSHAD BAWA - MAWALAH',	'AR-CU10860-101'),
(1157,	'OAK INTEGRATED PROJECTS LLC',	'AR-CU10861-101'),
(1158,	'OCEAN HOSPITALITY LLC (CORAL HOTEL & APARTMENTS)',	'AR-CU10862-101'),
(1159,	'OCEAN RESTAURANT - BARKA',	'AR-CU10863-101'),
(1160,	'OCEAN RESTAURANT - AZAIBA',	'AR-CU10863-102'),
(1161,	'OCEAN RESTAURANT - SINAW',	'AR-CU10863-103'),
(1162,	'AL MADINA',	'AR-CU10864-101'),
(1163,	'AIRPORT',	'AR-CU10864-102'),
(1164,	'HALBAN',	'AR-CU10864-103'),
(1165,	'NADI AL JABAL',	'AR-CU10864-104'),
(1166,	'OIG CONTRACTING COMPANY',	'AR-CU10865-101'),
(1167,	'OMAN AVIATION CATERING LLC',	'AR-CU10866-101'),
(1168,	'RIWI MAIN',	'AR-CU10867-101'),
(1169,	'RUWI STAFF',	'AR-CU10867-102'),
(1170,	'SOHAR - AL WADI',	'AR-CU10867-103'),
(1171,	'OMAN SHIP MANAGEMENT COMPANY  S.A.O.C',	'AR-CU10868-101'),
(1172,	'OMANI - SAUD',	'AR-CU10869-101'),
(1173,	'OMANI BIDIYA',	'AR-CU10870-101'),
(1174,	'OMQ AL-BEHAR TRAD. & CONT.',	'AR-CU10871-101'),
(1175,	'ORANGE SPLASH',	'AR-CU10872-101'),
(1176,	'ORIENTAL SHOPPING',	'AR-CU10873-101'),
(1177,	'OSAM - AL MABELLA',	'AR-CU10874-101'),
(1178,	'PAK SUPERMARKET',	'AR-CU10875-101'),
(1179,	'PALM RESTAURANT',	'AR-CU10876-101'),
(1180,	'PARAKASAN CHANDROTH',	'AR-CU10877-101'),
(1181,	'PEER MOHAMMAD',	'AR-CU10878-101'),
(1182,	'PLATINUM HOTEL',	'AR-CU10879-101'),
(1183,	'PLAZZA KITCHEN',	'AR-CU10880-101'),
(1184,	'POST DATED CHEQS CONTROL A/C',	'AR-CU10881-101'),
(1185,	'PRADEEPAN PALLIKKARA',	'AR-CU10882-101'),
(1186,	'PRASAD MALLAYI',	'AR-CU10883-101'),
(1187,	'AL KHUWAIR STAFF MESS',	'AR-CU10884-101'),
(1188,	'AL KHUWAIR WORKERS MESS',	'AR-CU10884-102'),
(1189,	'AL QABIL BATCHING PLANT',	'AR-CU10884-103'),
(1190,	'AMERAT CRUSHER & SB VILLA PROJECT',	'AR-CU10884-104'),
(1191,	'AMERAT STAFF MESS',	'AR-CU10884-105'),
(1192,	'DUQM DAM',	'AR-CU10884-106'),
(1193,	'DUQM DAM OMANI',	'AR-CU10884-107'),
(1194,	'DUQM DAM STAFF MESS',	'AR-CU10884-108'),
(1195,	'IBRI ROAD WORK',	'AR-CU10884-109'),
(1196,	'SUWAIQ CRUSHER',	'AR-CU10884-110'),
(1197,	'WADI AL UYUN',	'AR-CU10884-111'),
(1198,	'WADI AL UYUN STAFF MESS',	'AR-CU10884-112'),
(1199,	'YANQUL',	'AR-CU10884-113'),
(1200,	'SAHAM LABOUR CAMP MESS',	'AR-CU10884-114'),
(1201,	'SOHAR CAMP MESS',	'AR-CU10884-115'),
(1202,	'SAHAM STAFF MESS',	'AR-CU10884-116'),
(1203,	'SOHAR LIWA CRUSHER CAMP MESS',	'AR-CU10884-117'),
(1204,	'MAHADHA CAMP MESS - BURAIMI',	'AR-CU10884-118'),
(1205,	'QRNAS TRADING LLC.',	'AR-CU10885-101'),
(1206,	'QUTOOF DANIA TRADING CO.',	'AR-CU10886-101'),
(1207,	'RABIA SHINAS',	'AR-CU10887-101'),
(1208,	'RADHAKRISHNAN - MULANDA',	'AR-CU10888-101'),
(1209,	'RADHI MARKET CENTRE NIZWA (HYMEN)',	'AR-CU10889-101'),
(1210,	'RAEES - W/K',	'AR-CU10890-101'),
(1211,	'RAFEEK',	'AR-CU10891-101'),
(1212,	'RAFEEQ (MANGO)',	'AR-CU10892-101'),
(1213,	'RAFEEQ MOHAMMED',	'AR-CU10893-101'),
(1214,	'RAFI COFFEE SHOP',	'AR-CU10894-101'),
(1215,	'RAHIM KANDOTH - BARKA',	'AR-CU10895-101'),
(1216,	'RAHIM MULLA',	'AR-CU10896-101'),
(1217,	'RAHIM RAWTHER - CASH SALES',	'AR-CU10897-101'),
(1218,	'RAHMAN SHOP-95200665',	'AR-CU10898-101'),
(1219,	'RAHMAN SUHOL',	'AR-CU10899-101'),
(1220,	'RAINBOW HOSPITALITY SERVICES',	'AR-CU10900-101'),
(1221,	'RAINBOW TRADING (JABBAR FANJA)',	'AR-CU10901-101'),
(1222,	'RAJAB ADAF MABROOK  AL-AMRI',	'AR-CU10902-101'),
(1223,	'RAJAN AL FAIR',	'AR-CU10903-101'),
(1224,	'RAJENDRAN PILLAI - CASH SALES',	'AR-CU10904-101'),
(1225,	'RAJU SHOP',	'AR-CU10905-101'),
(1226,	'RAJU WADI KABEER',	'AR-CU10906-101'),
(1227,	'RAKIB',	'AR-CU10907-101'),
(1228,	'RAMAZ AL WAFA - AL HAJIR -I BRI',	'AR-CU10908-101'),
(1229,	'RAMDAN COMPLIMENTARY SALE',	'AR-CU10909-101'),
(1230,	'RAMEE DREAM RESORT, SEEB',	'AR-CU10910-101'),
(1231,	'RAMEE GUEST LINE RESORT-QURAM',	'AR-CU10911-101'),
(1232,	'RAMEES - WK',	'AR-CU10912-101'),
(1233,	'RAMEES HALA - AMARAT',	'AR-CU10913-101'),
(1234,	'RAMEZ SHOPPING CENTRE - AL KHUWAIR',	'AR-CU10914-101'),
(1235,	'RAMEZ SHOPPING CENTRE - SOHAR',	'AR-CU10914-102'),
(1236,	'RAMEZ SHOPPING CENTRE - AL KHOUDH',	'AR-CU10914-103'),
(1237,	'RAMEZ HYPERMARKET - AL KHOUD',	'AR-CU10915-101'),
(1238,	'RAMEZ HYPERMARKET - AL KHUWAIR',	'AR-CU10915-102'),
(1239,	'RAMI MUSTHAFA - CASH SALES',	'AR-CU10916-101'),
(1240,	'RASHEED - AMRATH',	'AR-CU10917-101'),
(1241,	'RASHEED - MUSSANAH',	'AR-CU10918-101'),
(1242,	'RASHEED - RUWI',	'AR-CU10919-101'),
(1243,	'ABDUSSALAM NAMBIDAM VEETTIL - KHAFTHI',	'AR-CU10920-101'),
(1244,	'RATHAN - FALAJ',	'AR-CU10921-101'),
(1245,	'RAWABI - SAWADIH',	'AR-CU10922-101'),
(1246,	'RAWABI AL ARABIA - BARKA',	'AR-CU10923-101'),
(1247,	'RAWABI COFFEE SHOP - (RAFEEK)',	'AR-CU10924-101'),
(1248,	'RAWABI SHOPPING CENTRE SINAW (NEAR SOUQ)',	'AR-CU10925-101'),
(1249,	'NANA HYPERMARKET - HAFEETH',	'AR-CU10926-102'),
(1250,	'NANA HYPERMARKET - QASBEA',	'AR-CU10926-103'),
(1251,	'RAWAFD AL-KHALIJ AL MATMEZH TRAD.',	'AR-CU10927-101'),
(1252,	'RAWAFID WADI AL HALTI TRAD (SHOP 27)',	'AR-CU10928-101'),
(1253,	'RAYYAN HYPERMARKET - MUSANNA',	'AR-CU10929-101'),
(1254,	'RAYYAN SUPPORT SERVICES',	'AR-CU10930-101'),
(1255,	'RAZA KHAN',	'AR-CU10931-101'),
(1256,	'RAZAK C/O AHAMMED',	'AR-CU10932-101'),
(1257,	'RAZAK OUT SIDE SALE',	'AR-CU10933-101'),
(1258,	'REEF AL SHAM -GHOBRA',	'AR-CU10934-101'),
(1259,	'REEMA SHOPPING CENTRE ( AL JADEER SHOPPING)',	'AR-CU10935-101'),
(1260,	'REFRESH COFFEE SHOP - AMERAT',	'AR-CU10936-101'),
(1261,	'REFERSH COFFEE SHOP',	'AR-CU10936-102'),
(1262,	'REFRESH PRESS COFFEE SHOP',	'AR-CU10936-103'),
(1263,	'RELIABLE EXCELLENCE',	'AR-CU10937-101'),
(1264,	'REMAL AL SHAWATE TRADING ( BAPPUTTY SUR)',	'AR-CU10938-101'),
(1265,	'RENAISSANCE CATERING SERVICES GROUP',	'AR-CU10939-101'),
(1266,	'RICHOUX OPERA',	'AR-CU10940-101'),
(1267,	'RITAL INTERNATIONAL L.L.C',	'AR-CU10941-101'),
(1268,	'RIYAS KHAN',	'AR-CU10942-101'),
(1269,	'RONAK FALAJ LALI - RUSTAQ',	'AR-CU10943-101'),
(1270,	'ROP PENSIONS TRUST L.L.C',	'AR-CU10944-101'),
(1271,	'ROSE CAFE',	'AR-CU10945-101'),
(1272,	'ROYAL ARMY OF OMAN -IZKI (MSO)',	'AR-CU10946-101'),
(1273,	'ROYAL DAN LLC',	'AR-CU10947-101'),
(1274,	'ROYAL FRUIT AL WOKKALA',	'AR-CU10948-101'),
(1275,	'ROYAL NIZWA COFFEE SHOP',	'AR-CU10949-101'),
(1276,	'NESTO HYPERMARKET - MABELAH',	'AR-CU10950-101'),
(1277,	'NESTO HYPERMARKET - AL HAIL',	'AR-CU10950-102'),
(1278,	'NESTO HYPERMARKET - WADI KABIR',	'AR-CU10950-103'),
(1279,	'NESTO HYPERMARKET - SOHAR',	'AR-CU10950-104'),
(1280,	'RUA SHOP BARKA',	'AR-CU10951-101'),
(1281,	'RUBEL (E-8711)',	'AR-CU10952-101'),
(1282,	'RUBU AL BAYA COLD STORE - MANAH',	'AR-CU10953-101'),
(1283,	'RUPESH BARKA',	'AR-CU10954-101'),
(1284,	'RUSTHAQ  CATERING',	'AR-CU10955-101'),
(1285,	'S.J ABED & AL SULAIMI CATERING LLC',	'AR-CU10956-101'),
(1286,	'SABASI',	'AR-CU10957-101'),
(1287,	'SABEER ALI PALATTKUZHIYAN  - CASH SALES',	'AR-CU10958-101'),
(1288,	'SABIR C/O ALIKKA',	'AR-CU10959-101'),
(1289,	'SADATH (ABU HASSAL) - BUALI',	'AR-CU10960-101'),
(1290,	'SADEESHAN  PEREMMAL',	'AR-CU10961-101'),
(1291,	'SADIQ COFFEE SHOP IBRA',	'AR-CU10962-101'),
(1292,	'SAEED & ABDUL AZIZ TRDG. CO.',	'AR-CU10963-101'),
(1293,	'SAEED AFH (HOSPITAL)',	'AR-CU10964-101'),
(1294,	'SAFEER BLUEBERRY - IBRA',	'AR-CU10965-101'),
(1295,	'SAFEER BLUEBERRY SINAW',	'AR-CU10965-102'),
(1296,	'SAFEER GOLDEN BERRY',	'AR-CU10966-101'),
(1297,	'SAHRA HABIS',	'AR-CU10967-101'),
(1298,	'SAID - SAHAM',	'AR-CU10968-101'),
(1299,	'SAID (AL RAYATH)',	'AR-CU10969-101'),
(1300,	'SAID AHMED MUSALLAM AL BARAMI',	'AR-CU10970-101'),
(1301,	'SAID BIN NASSER(99425734)',	'AR-CU10971-101'),
(1302,	'SAID HAMED SAID HARIMAL AL SHEKAILI',	'AR-CU10972-101'),
(1303,	'SAID IZKI',	'AR-CU10973-101'),
(1304,	'SAID MOHD BAKHEED AL KADERI',	'AR-CU10974-101'),
(1305,	'SAID NAZAR SALIM HAMOOD MAHROOQI- ADAM',	'AR-CU10975-101'),
(1306,	'SAID RUWI',	'AR-CU10976-101'),
(1307,	'SAID SALIM MOHAMMED AL ORAIMI',	'AR-CU10977-101'),
(1308,	'SAID VANIMMEL- THARMAD',	'AR-CU10978-101'),
(1309,	'SAIF - FANJA',	'AR-CU10979-101'),
(1310,	'SAIF - IBRI',	'AR-CU10980-101'),
(1311,	'SAIF - RUSTAQ',	'AR-CU10981-101'),
(1312,	'SAIF HAMAD UMAIF',	'AR-CU10982-101'),
(1313,	'SAIF MOHMMAD KAMEES AL RIYAMI',	'AR-CU10983-101'),
(1314,	'SAIF SAUD HAMED AL-HADI TRAD.',	'AR-CU10984-101'),
(1315,	'SAIFUL ABDUL KAREEM - SOHAR',	'AR-CU10985-101'),
(1316,	'SAIHOOTH HYPERMARKET SOHAR',	'AR-CU10986-101'),
(1317,	'SAJ GULF TRADING ASSO',	'AR-CU10987-101'),
(1318,	'SAJIB IBRAHIM KHAILAL (E-8260)',	'AR-CU10988-101'),
(1319,	'SAJID  W/K',	'AR-CU10989-101'),
(1320,	'SAKIB ULL HASSAN',	'AR-CU10990-101'),
(1321,	'SALA UDDIN - MADDA SAHAM',	'AR-CU10991-101'),
(1322,	'SALAH - WADIKABEER',	'AR-CU10992-101'),
(1323,	'SALAH (NOUSHAD)',	'AR-CU10993-101'),
(1324,	'SALAH AL-HARASSI TRAD.',	'AR-CU10994-101'),
(1325,	'SALAM (TOMATO)',	'AR-CU10995-101'),
(1326,	'SALAM HAJI - MATRAH',	'AR-CU10996-101'),
(1327,	'SALAM HOTEL - NIZWA',	'AR-CU10997-101'),
(1328,	'SALAM MOHD AWED MUSHAIKI',	'AR-CU10998-101'),
(1329,	'SALAM MOHD SALAM JABOOB',	'AR-CU10999-101'),
(1330,	'SALEEM  SHOP',	'AR-CU11000-101'),
(1331,	'SALEEM (BENGALI) - W/K',	'AR-CU11001-101'),
(1332,	'SALEH MOHAMMED AHMED AL BREIKI',	'AR-CU11002-101'),
(1333,	'SALEH TRADING PROJECTS',	'AR-CU11003-101'),
(1334,	'SALIH - WADI KABEER',	'AR-CU11004-101'),
(1335,	'SALIM - BIDIYA',	'AR-CU11005-101'),
(1336,	'SALIM BIN SAIF BIN MATAR AL QURAINI TRAD (AHAMMAD SAHAM)',	'AR-CU11006-101'),
(1337,	'SALIM CHOLERIYIL',	'AR-CU11007-101'),
(1338,	'SAMA AL JAZEERA UNITED L.L.C',	'AR-CU11008-101'),
(1339,	'SAMA AL KHALEEJ - AL GHURIAN (SINAW)',	'AR-CU11009-101'),
(1340,	'SAMA AL MAWALEH MODERN PROJECT L.L.C',	'AR-CU11010-101'),
(1341,	'SAMA AL SHIRIS - MUSSANAH',	'AR-CU11011-101'),
(1342,	'SAMA AZIMATH',	'AR-CU11012-101'),
(1343,	'SAMA HYPERMARKET',	'AR-CU11013-101'),
(1344,	'SAMA\'A  AL-BURAIMI TRADING CO',	'AR-CU11014-101'),
(1345,	'SAMAA AL ZAMALIK TRADING',	'AR-CU11015-101'),
(1346,	'SUSPENSE A/C',	'AR-CU11016-101'),
(1347,	'SAMAIL JUICE SHOP - ANEES',	'AR-CU11017-101'),
(1348,	'SAMIEI SAAD MUMARAK AL RIYAMI',	'AR-CU11018-101'),
(1349,	'SAMSUDEEN KUMMALI - FANJA',	'AR-CU11019-101'),
(1350,	'SANKARDAS B.P - CASH SALES (E-8620)',	'AR-CU11020-101'),
(1351,	'SANTHOSH - SINAW',	'AR-CU11021-101'),
(1352,	'SANTHOSH (KRISHNA DAS)',	'AR-CU11022-101'),
(1353,	'SARMATHI-KHAN',	'AR-CU11023-101'),
(1354,	'SATHAR THAREEF',	'AR-CU11024-101'),
(1355,	'SAUD BAHWAN (IFTHAR MESS)',	'AR-CU11025-101'),
(1356,	'SEALAND - NIZWA',	'AR-CU11026-101'),
(1357,	'SEAMASTER MARITIME LLC',	'AR-CU11027-101'),
(1358,	'SECRET STARS INTERNATIONAL L.L.C',	'AR-CU11028-101'),
(1359,	'SEEB WAVE - (BEACH) - SEEB',	'AR-CU11029-101'),
(1360,	'SEEB WAVE - (STAND) - SEEB',	'AR-CU11029-1012'),
(1361,	'SEEB WAVE - (BEACH) - AL HAIL',	'AR-CU11029-103'),
(1362,	'SEVEN SEAS SHIPCHANDLERS LLC',	'AR-CU11030-101'),
(1363,	'SHAFAF - MUSSANAH',	'AR-CU11031-101'),
(1364,	'SHAFEEK YOUSUF KUNJU',	'AR-CU11032-101'),
(1365,	'SHAFI AL SHAROOK - RUSTAQ',	'AR-CU11033-101'),
(1366,	'SHAJAHAN - AL KHOUD',	'AR-CU11034-101'),
(1367,	'SHAJAHAN COFFEE SHOP- MABELLA',	'AR-CU11035-101'),
(1368,	'SHAJAHAN HO',	'AR-CU11036-101'),
(1369,	'SHAJAL DAY {SHAHBAN}',	'AR-CU11037-101'),
(1370,	'SHAJI - THIRUVALLA',	'AR-CU11038-101'),
(1371,	'SHAJI PACKING',	'AR-CU11039-101'),
(1372,	'SHAJI SHAHUL HAMEED',	'AR-CU11040-101'),
(1373,	'SHAKSY ENGINEERING SERVICES LLC',	'AR-CU11041-101'),
(1374,	'SHALU WORLD L.L.C',	'AR-CU11042-101'),
(1375,	'SHAMEEM - AL KHUWAIR',	'AR-CU11043-101'),
(1376,	'SHAMEER - KANNUR',	'AR-CU11044-101'),
(1377,	'SHAMEER - SALALALH',	'AR-CU11045-101'),
(1378,	'SHAMEER - SINAW',	'AR-CU11046-101'),
(1379,	'SHAMEER JUICE SHOP - SINAW',	'AR-CU11047-101'),
(1380,	'SHAMEER SUHOL',	'AR-CU11048-101'),
(1381,	'SHAMEER SULAIMAN KUNJU - CASH SALES',	'AR-CU11049-101'),
(1382,	'SHAMIA HYPERMARKET',	'AR-CU11050-101'),
(1383,	'SHAMSHEER- SUMAIL',	'AR-CU11051-101'),
(1384,	'SHAMSU - MATRAH',	'AR-CU11052-101'),
(1385,	'SHANAVAS - MATRAH',	'AR-CU11053-101'),
(1386,	'SHARAFUDHEEN - MUSANNAH',	'AR-CU11054-101'),
(1387,	'AL RAHA HYPERMARKET - BARKATHMOUZE',	'AR-CU11055-101'),
(1388,	'SHIHAB - SAHAM',	'AR-CU11056-101'),
(1389,	'SHINAS HYPERMARKET - SHINAS',	'AR-CU11057-101'),
(1390,	'SHIP DELIVERY',	'AR-CU11058-101'),
(1391,	'SHOPPERS',	'AR-CU11059-101'),
(1392,	'SHOUKATH - ALAPPUZHA',	'AR-CU11060-101'),
(1393,	'SHOUKATH SALALAH',	'AR-CU11061-101'),
(1394,	'SHUHAIB MASAOD SAID AL ABDALI- NIZWA',	'AR-CU11062-101'),
(1395,	'SHUHAIB TRADING (GOLD FRUIT )',	'AR-CU11063-101'),
(1396,	'SHUKRAN HYPERMARKET - AL KHUWAIR',	'AR-CU11064-101'),
(1397,	'SIDDIQUE - BID BID',	'AR-CU11065-101'),
(1398,	'SIDDIUQ SHOP',	'AR-CU11066-101'),
(1399,	'SIDIQUE RAMBA-IRAN CABBAGE',	'AR-CU11067-101'),
(1400,	'SIHABUDEEN VAYYIL MURIKKANCHERY',	'AR-CU11068-101'),
(1401,	'SIKANDAR BENGALI (S.S)',	'AR-CU11069-101'),
(1402,	'SIRAJ',	'AR-CU11070-101'),
(1403,	'SIVAN',	'AR-CU11071-101'),
(1404,	'SIVAN WATERMELON',	'AR-CU11072-101'),
(1405,	'SIYABI',	'AR-CU11073-101'),
(1406,	'SKQR AL MAYIS (AHMED IBRI)',	'AR-CU11074-101'),
(1407,	'SMART CHOICE HYPERMARKET',	'AR-CU11075-101'),
(1408,	'SNEHA INTERNATIONAL LLC - MUSANNA',	'AR-CU11076-101'),
(1409,	'SOCIAL WELFARE MARKET CATERING - HAIMA',	'AR-CU11077-101'),
(1410,	'SOCIAL WELFARE MARKET CATERING - BURAIMI (ROP)',	'AR-CU11077-102'),
(1411,	'SOCIAL WELFARE MARKET CATERING - HAFEET (ROP)',	'AR-CU11077-103'),
(1412,	'SOCIAL WELFARE MARKET CATERING - MAHDA STF',	'AR-CU11077-104'),
(1413,	'SOHAR SUPPLIES AND CATERING COMPANY LLC',	'AR-CU11078-101'),
(1414,	'SOUD NASIR AL SALMY NIZWA',	'AR-CU11079-101'),
(1415,	'SOUTH INDIAN CUSINES LLC (SARAVANA BHAVAN) - SOHAR',	'AR-CU11080-101'),
(1416,	'SOUTH INDIAN CUSINES LLC (SARAVANA BHAVAN) - RUWI',	'AR-CU11080-102'),
(1417,	'AL REEM SHOPPING',	'AR-CU11081-101'),
(1418,	'SPACE STAR SHOPPING - BOUSHER',	'AR-CU11082-101'),
(1419,	'SPAR AL KHUWAIR NO: 2 (EGG SALE)',	'AR-CU11083-101'),
(1420,	'STAR COFFEE HOUSE -GHOBRA',	'AR-CU11084-101'),
(1421,	'STAR LIGHT',	'AR-CU11085-101'),
(1422,	'STOP & SHOP EXPRESS- NAKHAL',	'AR-CU11086-101'),
(1423,	'STOP & SHOP - AWABI',	'AR-CU11086-102'),
(1424,	'STOP & SHOP - NAKHAL',	'AR-CU11086-103'),
(1425,	'SUBAIR - SUWAIQ',	'AR-CU11087-101'),
(1426,	'SUCCESSFULL SUN TRADING LLC.(SHAMSU SALALA)',	'AR-CU11088-101'),
(1427,	'SUJAN KANTI DEV',	'AR-CU11089-101'),
(1428,	'SUKESH SHOP',	'AR-CU11090-101'),
(1429,	'SULAIMAN - IBRI',	'AR-CU11091-101'),
(1430,	'SULAIMAN - MUSANNAH',	'AR-CU11092-101'),
(1431,	'SULAIMAN - MUSANNAH (AL OWAID)',	'AR-CU11093-101'),
(1432,	'SULAIMAN - MUSANNAH (SHOHAIBA)',	'AR-CU11094-101'),
(1433,	'SULAIMAN - P.R.O',	'AR-CU11095-101'),
(1434,	'SULAIMAN SAID BARKATHMUS',	'AR-CU11096-101'),
(1435,	'SULAIMAN TURKISH HOTEL - GHUBRA',	'AR-CU11097-101'),
(1436,	'SULAIMI',	'AR-CU11098-101'),
(1437,	'SULTHAN SAIF - TANUF',	'AR-CU11099-101'),
(1438,	'SULTHAN SINAW',	'AR-CU11100-101'),
(1439,	'SULTHAN SUR',	'AR-CU11101-101'),
(1440,	'SUMAIL COFFEE SHOP',	'AR-CU11102-101'),
(1441,	'SUMESH - EXPO CASH SALES',	'AR-CU11103-101'),
(1442,	'SUN SHINE LIMITED LLC (MUJEER) (SU10565)',	'AR-CU11104-101'),
(1443,	'SUNDUS HYPERMARKET (SAMA SUR MUTAMIZA OF TRAD. LLC)',	'AR-CU11105-101'),
(1444,	'SUNEER MASHOOD - CASH SALES (E-8157)',	'AR-CU11106-101'),
(1445,	'SUNIL KUMAR-DHIYA FANJA TRADING',	'AR-CU11107-101'),
(1446,	'SUNIL-MESS',	'AR-CU11108-101'),
(1447,	'SURESH BABU',	'AR-CU11109-101'),
(1448,	'SURESH CUCUMBER',	'AR-CU11110-101'),
(1449,	'SVITZER SOHAR LLC',	'AR-CU11111-101'),
(1450,	'SYED GOLAM MAHFOZ',	'AR-CU11112-101'),
(1451,	'TALAL AL AKHZAMI TRADING (OLD)',	'AR-CU11113-101'),
(1452,	'TALAL JAALAN UNITED LLC - BUALI',	'AR-CU11114-101'),
(1453,	'TEA SIP COFFEE - AMERAT',	'AR-CU11115-101'),
(1454,	'TEA TIME - BARKA',	'AR-CU11116-101'),
(1455,	'TEA TIME - KADRA',	'AR-CU11117-101'),
(1456,	'TEA TIME - NIZWA (COFFEE SHOP)',	'AR-CU11118-101'),
(1457,	'TEA TIME - SUWAIQ',	'AR-CU11119-101'),
(1458,	'TEA TIME MABELA',	'AR-CU11120-101'),
(1459,	'TEMPORARY CUSTOMER',	'AR-CU11121-101'),
(1460,	'THAJ HYPERMARKET- KADARA',	'AR-CU11122-101'),
(1461,	'THARAWAT SOHAR INTERNATIONAL LLC',	'AR-CU11123-101'),
(1462,	'THAREEQ99650868',	'AR-CU11124-101'),
(1463,	'THE FOOD STORIES RESTAURANT',	'AR-CU11125-101'),
(1464,	'THE JEBEL REGIMINT',	'AR-CU11126-101'),
(1465,	'THE PIZZA COMPANY - MGM',	'AR-CU11127-101'),
(1466,	'THE UNITED CO OF GULF PROGRESSING',	'AR-CU11128-101'),
(1467,	'THE WORLD OF GLOBAL EXCELLENCE L.L.C. (SU10460)',	'AR-CU11129-101'),
(1468,	'THEMAR LEBANON GRAND LLC',	'AR-CU11130-101'),
(1469,	'THYBATH - IBRI',	'AR-CU11131-101'),
(1470,	'THYMA IZKI CK',	'AR-CU11132-101'),
(1471,	'TORQUE TRADE CONTROL SYSTEM LLC (AL JARWANI HOSPITALITY)',	'AR-CU11133-101'),
(1472,	'TULIP INN MUSCAT',	'AR-CU11134-101'),
(1473,	'TURKEY MART - AL KHUWAIR',	'AR-CU11135-101'),
(1474,	'TYLOS INTERNATIONAL',	'AR-CU11136-101'),
(1475,	'UBAID AL BALUSHI (CUSTOMS)',	'AR-CU11137-101'),
(1476,	'UBAIS PACKING',	'AR-CU11138-101'),
(1477,	'ULTIMATE MERIT TRADE',	'AR-CU11139-101'),
(1478,	'UMMAR - IBRI',	'AR-CU11140-101'),
(1479,	'UMMER SAHAM-FARIDUL ALAM',	'AR-CU11141-101'),
(1480,	'UNAYIZ AHAMMED KUNJU - CASH SALES',	'AR-CU11142-101'),
(1481,	'UNISCO',	'AR-CU11143-101'),
(1482,	'UNITED ARABIAN FOODS LLC',	'AR-CU11144-101'),
(1483,	'UNITED CATERING L.L.C',	'AR-CU11145-101'),
(1484,	'UNITED FACILITIES MANAGEMENT',	'AR-CU11146-101'),
(1485,	'UNITED HYPERMARKET',	'AR-CU11147-101'),
(1486,	'UNITED SUNRISE CITY LLC',	'AR-CU11148-101'),
(1487,	'UNNI WATERMELON',	'AR-CU11149-101'),
(1488,	'URANUS  ARABIA L.L.C (BARATH)',	'AR-CU11150-101'),
(1489,	'URBANO BISTRO (GOLDEN ROZANA TRADING & CONTRACTING LLC)',	'AR-CU11151-101'),
(1490,	'VAHAB PACKING',	'AR-CU11152-101'),
(1491,	'VAHAB SHOP',	'AR-CU11153-101'),
(1492,	'VAN SALES - MOHD SHAH CASH SALES',	'AR-CU11154-101'),
(1493,	'VASANTHA BHAVAN',	'AR-CU11155-101'),
(1494,	'VIJAYAN - BARKA',	'AR-CU11156-101'),
(1495,	'WADI AL AIN - AL HAJIR - IBRI',	'AR-CU11157-101'),
(1496,	'WADI AL SHAMAL TRADING ENT.',	'AR-CU11158-101'),
(1497,	'WADI SUHIL UNITED ASS',	'AR-CU11159-101'),
(1498,	'WAHID HUSSAIN EL SAMED',	'AR-CU11160-101'),
(1499,	'WALEED C/O ISMAIL',	'AR-CU11161-101'),
(1500,	'WALL\'S - AL KHUWAIR',	'AR-CU11162-101'),
(1501,	'WALL\'S BAHJA',	'AR-CU11163-101'),
(1502,	'WALL\'S SOHAR',	'AR-CU11164-101'),
(1503,	'WANEES JALAN',	'AR-CU11165-101'),
(1504,	'WHITE LOTUS INTERNATIONAL LLC - MUSCAT',	'AR-CU11166-101'),
(1505,	'WOLI RESTAURANT',	'AR-CU11167-101'),
(1506,	'WOOD LINE RESTAURANT',	'AR-CU11168-101'),
(1507,	'WORLD FRESH JUICE',	'AR-CU11169-101'),
(1508,	'YAS MART SHOPPING - AL KHOUD',	'AR-CU11170-101'),
(1509,	'YOUNES ABDULLAH HAMED AL HARMALI',	'AR-CU11171-101'),
(1510,	'YOUNIS FARM',	'AR-CU11172-101'),
(1511,	'YOUNUS - IBRI',	'AR-CU11173-101'),
(1512,	'YOUNUS  OMANI - IBRI',	'AR-CU11174-101'),
(1513,	'YOUSUF AHMED OMAR AL MASHIKI - (ALI SALALAH)',	'AR-CU11175-101'),
(1514,	'YOUSUF RASHID HUWAISHAL AL-MAMARI',	'AR-CU11176-101'),
(1515,	'ZADI COLD STORE',	'AR-CU11177-101'),
(1516,	'ZAHIRUL ISLAM (JEWEL BENGALI)',	'AR-CU11178-101'),
(1517,	'ZAHRAT AL DHAHIRAH TRAD',	'AR-CU11179-101'),
(1518,	'ZAHRATH SUR TRADING(NADEEM)',	'AR-CU11180-101'),
(1519,	'ZAID - AL KHUWAIR',	'AR-CU11181-101'),
(1520,	'ZAIN TEA - BARKA',	'AR-CU11182-101'),
(1521,	'ZAIN TEA - AZAIBA',	'AR-CU11182-102'),
(1522,	'ZAITOON SHOPPING CENTRE - BARKA',	'AR-CU11183-101'),
(1523,	'ZAITOOON COFFEE SHOP - AZAIBA',	'AR-CU11184-101'),
(1524,	'ZAKEER - AL AZAIBA',	'AR-CU11185-101'),
(1525,	'ZANJABEEL COFFEE SHOP - AZAIBA',	'AR-CU11186-101'),
(1526,	'ALAMAR FOODS COMPANY LLC (DOMINOS PIZZA)',	'AR-CU11187-101'),
(1527,	'TIKRAM & CAFE',	'AR-CU11188-101'),
(1528,	'QURUM HOTEL - QURUM',	'AR-CU11189-101'),
(1529,	'LOKANTA RESTAURANT - QURUM',	'AR-CU11190-101'),
(1530,	'ISTAMBUL RESTAURANT',	'AR-CU11191-101'),
(1531,	'BABA SALEM RESTAURANT - QURUM',	'AR-CU11192-101'),
(1532,	'ADDRESS CAFE - SHATTI QURUM',	'AR-CU11193-101'),
(1533,	'FOUR SEASONS & TOURISM',	'AR-CU11194-101'),
(1534,	'AL BARAKA SHOPPING CENTRE - RUWI',	'AR-CU11195-101'),
(1535,	'RASHID - SPONSOR (EAGLE EYE)',	'AR-CU11196-101'),
(1536,	'IMAM HOSSAIN (EAGLE EY)',	'AR-CU11197-101'),
(1537,	'RASHID CHATHOTH HOUSE',	'AR-CU11198-101'),
(1538,	'UNTIED ARAB TRADE',	'AR-CU11199-101'),
(1539,	'DIWAN MESS - RUWI',	'AR-CU11200-101'),
(1540,	'DIWAN MESS - AL BUSTAN',	'AR-CU11201-101'),
(1541,	'ZAHOOR AHAN SAHAM',	'AR-CU11202-101'),
(1542,	'AL JERDA SHOPPING CENTRE - SUMAIL',	'AR-CU11203-101'),
(1543,	'JUMAH IBRI',	'AR-CU11204-101'),
(1544,	'ABBAS EAGLE EYE (E-8381)',	'AR-CU11205-101'),
(1545,	'SALA ARAQI',	'AR-CU11206-101'),
(1546,	'ABDUL NASAR VK',	'AR-CU11207-101'),
(1547,	'SHITAL CHANDRA DEY - IBRI',	'AR-CU11208-101'),
(1548,	'ABU MANTHAR AL MAMARI LLC (GAFOOR)',	'AR-CU11209-101'),
(1549,	'AZAD EAGLE EYE (E-8307)',	'AR-CU11210-101'),
(1550,	'AHMED SALIM HAMOOD HAMED AL HINAI-YANQAL',	'AR-CU11211-101'),
(1551,	'AL - THURAYA STAR INTERNATIONAL LLC',	'AR-CU11212-101'),
(1552,	'AL EZZA HYPERMARKET (EGG SALE) - BIDAYA',	'AR-CU11213-101'),
(1553,	'AL EZZA HYPERMARKET (EGG SALE) - SHINAS',	'AR-CU11213-102'),
(1554,	'AL EZZA HYPERMARKET (EGG SALE) - SAHAM',	'AR-CU11213-103'),
(1555,	'AL JAHWARI INTERNATIONAL LLC - (SHOP-8)',	'AR-CU11214-101'),
(1556,	'AL QASBEA - SOHAR',	'AR-CU11215-101'),
(1557,	'FRESH MART HYPERMARKET - SOHAR',	'AR-CU11216-101'),
(1558,	'HOTEL HYDERABAD - AL KHUWAIR',	'AR-CU11217-101'),
(1559,	'JAHED (BENGALI)',	'AR-CU11218-101'),
(1560,	'LULU HYPER MARKET - AL AMERAT',	'AR-CU11219-101'),
(1561,	'LULU HYPER MARKET - AL AWABI',	'AR-CU11219-102'),
(1562,	'LULU HYPER MARKET - AL BANDAR',	'AR-CU11219-103'),
(1563,	'LULU HYPER MARKET - BARKA',	'AR-CU11219-104'),
(1564,	'LULU HYPER MARKET - BIDAYA',	'AR-CU11219-105'),
(1565,	'LULU HYPER MARKET - BOUSHER',	'AR-CU11219-106'),
(1566,	'LULU HYPER MARKET - DARSAIT',	'AR-CU11219-107'),
(1567,	'LULU HYPER MARKET - IBRA',	'AR-CU11219-108'),
(1568,	'LULU HYPER MARKET - IBRI',	'AR-CU11219-109'),
(1569,	'LULU HYPER MARKET - KHABURA',	'AR-CU11219-110'),
(1570,	'LULU HYPER MARKET - MALL OF MUSCAT',	'AR-CU11219-111'),
(1571,	'LULU HYPER MARKET - SEEB',	'AR-CU11219-112'),
(1572,	'LULU HYPER MARKET - SOHAR',	'AR-CU11219-113'),
(1573,	'LULU HYPER MARKET - SUR',	'AR-CU11219-114'),
(1574,	'LULU HYPER MARKET - WADI AL LAWAMI',	'AR-CU11219-115'),
(1575,	'LULU HYPER MARKET - WADI KABIR',	'AR-CU11219-116'),
(1576,	'LULU HYPERMARKET - NIZWA',	'AR-CU11219-117'),
(1577,	'LULU HYPERMARKET - RUSTAQ',	'AR-CU11219-118'),
(1578,	'LULU HYPERMARKET - SINAW',	'AR-CU11219-119'),
(1579,	'LULU HYPERMARKET - (BAWADI MALL) - IBRI',	'AR-CU11219-120'),
(1580,	'LULU HYPERMARKET - SUWAIQ',	'AR-CU11219-121'),
(1581,	'LULU HYPERMARKET - (WAREHOUSE)',	'AR-CU11219-122'),
(1582,	'MANGO TALATH JUICE SHOP - BUALI',	'AR-CU11220-101'),
(1583,	'MANSOOR P - CASH SALES',	'AR-CU11221-101'),
(1584,	'MD MOHSIN - SUR',	'AR-CU11222-101'),
(1585,	'MUSCAT BAKERY',	'AR-CU11223-101'),
(1586,	'NATIONAL GIFT MARKET EGG SALE - FALAJ',	'AR-CU11224-101'),
(1587,	'NATIONAL GIFT MARKET EGG SALE - SOHAR',	'AR-CU11224-102'),
(1588,	'NAZRUL SAIFUL (SU10361)',	'AR-CU11225-101'),
(1589,	'SAMA AL KHALEEJ ADAM - EGG SALE',	'AR-CU11226-101'),
(1590,	'TELAL SHOPPING -BARKA (EGG SALE)',	'AR-CU11227-101'),
(1591,	'MULTAQA',	'AR-CU11228-101'),
(1592,	'MAJAN HYPER EGG SALE',	'AR-CU11229-101'),
(1593,	'AL BARARI MODERN ENGINEERING PROJECTS',	'AR-CU11230-101'),
(1594,	'ADVANCED FRANCHISE TRADING LLC - DOSE CAFE - AL HAIL',	'AR-CU11231-101'),
(1595,	'KAREEM BARKATHMOUSE',	'AR-CU11232-101'),
(1596,	'SUBAIR KUNJAPPUTTY',	'AR-CU11232-102'),
(1597,	'AL AFIYA COFFEE SHOP',	'AR-CU11232-103'),
(1598,	'SAIF HARASSI - NIZWA-1',	'AR-CU11232-104'),
(1599,	'SAIF HARASSI - NIZWA-2',	'AR-CU11232-105'),
(1600,	'SAIF HARASSI - JABAL AKTHAR',	'AR-CU11232-106'),
(1601,	'SAIF HARASSI - FARQ',	'AR-CU11232-107'),
(1602,	'GRAND MART SHINTO',	'AR-CU11232-108'),
(1603,	'AL DIYAR',	'AR-CU11232-109'),
(1604,	'AHEMD AL ALAWI - NIZWA',	'AR-CU11232-110'),
(1605,	'SAMI BARKATH MOUSE',	'AR-CU11232-111'),
(1606,	'AHMED BARKATHMOUSE',	'AR-CU11232-112'),
(1607,	'GHASAN BEHALA',	'AR-CU11232-113'),
(1608,	'VAN SALES - BILL TO BILL',	'AR-CU11232-114'),
(1609,	'SAIF HARASSI - SURESH',	'AR-CU11232-115'),
(1610,	'AL MURTHAFA - NIZWA',	'AR-CU11232-116'),
(1611,	'CCCCC',	'ARCU11233-1'),
(1612,	'CRYSTAL HOSPITALITY LIMITED PARTNERSHIP (URBAN SEA FOOD)',	'CU11234-101'),
(1613,	'PASSION UNITED L.L.C (QURAUM)',	'AR-CU11235-102'),
(1614,	'PASSION UNITED L.L.C (SOUQ)',	'AR-CU11235-101'),
(1615,	'THOUGHT E-COMMERCE L.L.C (RAFEEQ -ONLINE APP)',	'AR-CU11236-101'),
(1616,	'GOURMET CONCEP L.L.C(FIL FUL)',	'AR-CU11237-101'),
(1617,	'CREATIVE CONCEPTS L.L.C (ZAHAR EL-LAYMOON)',	'AR-CU11238-101'),
(1618,	'MAHMOOD ALI ARAQI',	'AR-CU11239-101'),
(1619,	'SRINIVAS',	'AR-CU11240-101'),
(1620,	'SULAIMAN BATI SAID ARAQI -ARAQI',	'AR-CU11241-101'),
(1621,	'SULAIMAN BATI SAID ARAQI-YENQAL',	'AR-CU11241-102'),
(1622,	'KHALID BATI SAID ARAQI',	'AR-CU11242-101'),
(1623,	'AL MAKKAN CAFE - SEEB',	'AR-CU11243-101'),
(1624,	'AL MAKKAN CAFE - MGM',	'AR-CU11243-102'),
(1625,	'LE MAKKAN CAFE - QURUM',	'AR-CU11243-103'),
(1626,	'TUK TUK RESTAURANT - MCC',	'AR-CU11243-104'),
(1627,	'LE MAKKAN CAFE - MGM',	'AR-CU11243-105'),
(1628,	'HUQQA (MODERN INVESTMENT FOR RESTAURANTS L.L.C)',	'AR-CU11244-101'),
(1629,	'AYADINA RESTAURANT',	'AR-CU11245-101'),
(1630,	'UNITED STORES TRADING L.L.C',	'AR-CU11246-101'),
(1631,	'WAHAT ALHAYAH VEGETABLES & FRUITS TRADING L.L.C',	'AR-CU11247-101'),
(1632,	'PASSION CAFE MALL OF MUSCAT',	'AR-CU11248-101'),
(1633,	'THE GLOBAL TASTE LLC - ( CHANGE BURGER & MORE ) - AL KHOUDH',	'CU11249-1'),
(1634,	'THE GLOBAL TASTE LLC - ( CHANGE BURGER & MORE ) - BOUSHER',	'CU11249-2'),
(1635,	'THE GLOBAL TASTE LLC - ( CHANGE BURGER & MORE ) - SALALAH',	'AR-CU11249-3'),
(1636,	'BOJANAM CAFE - GHALA',	'CU11250-1'),
(1637,	'TALABAT ONLINE SRVICES',	'AR-CU11251-101'),
(1638,	'TALAEH AL SHARQIA TRADING EST',	'AR-CU11252-101'),
(1639,	'SAYAN LLC (DREWEL APP) - GHALA',	'AR-CU11253-101'),
(1640,	'KHADER SHOP - MAWALAH',	'AR-CU11254-101'),
(1641,	'IHSAN JAVID (E-2128)',	'AR-CU11255-101'),
(1642,	'SULAIMAN AHEMED NIZWA',	'AR-CU11256-101'),
(1643,	'GRAND MART',	'AR-CU11257-101'),
(1644,	'ABDULLAH BARAKATHU MOOSE',	'AR-CU11258-101'),
(1645,	'SAMI BARAKATHU MOOSE',	'AR-CU11259-101'),
(1646,	'MASHARIYAH KAZAH TRADING (RIYAS)',	'AR-CU11260-101'),
(1647,	'AL SAJ - IBRA',	'ARCU-11261-101'),
(1648,	'ABDUL KHADER KUNIYIL KANDY (AL NUR)',	'AR-CU11262'),
(1649,	'ANOOP SULOLAN - CASH SALES (E-2038)',	'AR-CU11263-101'),
(1650,	'ANJAS MUSCAT INTERNATIONAL LLC',	'AR-CU11264-101'),
(1651,	'TEEJAN JALAN COMPREHENSIVE TRADING',	'AR-CU11265-101'),
(1652,	'COMMERCIAL CATERING SERVICES LLC',	'AR-CU11266-101'),
(1653,	'ALLIANZ MIDDLEEAST SHIP MANAGEMENT LLC',	'AR-CU11267-101'),
(1654,	'AL SEEF HYPERMARKET - SOHAR',	'AR-CU11268-101'),
(1655,	'OVERSEAS ENTERPRISES LLC',	'AR-CU11269-1'),
(1656,	'SHEIKH ZAKIR HUSSAIN - PAK',	'AR-CU11270-101'),
(1657,	'NAZIMUDEEN - CASH SALES (E-2009)',	'AR-CU11271-1'),
(1658,	'MARKEETEX (AL JAZEERA GLOBAL PROJECTS LLC)',	'AR-CU11272'),
(1659,	'NEW JUICE WORLD - SHINAS',	'AR-CU11273-101'),
(1660,	'NEW JUICE WORLD - NUMMA',	'AR-CU11273-102'),
(1661,	'FOUR SEASONS TOURISM - QURUM',	'AR-CU11274-1'),
(1662,	'FOUR SEASONS TOURISM - GHOBRA',	'AR-CU11274-2'),
(1663,	'OMANI HOUSE RESTAURANT - ALKHUWAIR',	'AR-CU11274-3'),
(1664,	'GARAM CHAI AND CO - ALKHUWAIR',	'AR-CU11274-4'),
(1665,	'CAPULUS CAFé - QURUM',	'AR-CU11274-5'),
(1666,	'WICH WICH - QURUM',	'AR-CU11274-6'),
(1667,	'LONDON CLEANING - GHALA',	'AR-CU11274-8'),
(1668,	'ACAI - ALKHOUDH',	'AR-CU11274-7'),
(1669,	'SHIP DELIVERY - CASH',	'AR-CU11274-9'),
(1670,	'RED SUN TRADING LLC (ALAWI APP)',	'AR-CU11275-101'),
(1671,	'MARJAN SHOPPING ASRAR',	'AR-CU11276-1'),
(1672,	'DANA MODERN SHOPPING LLC (DANCO H/M)',	'AR-CU11277-101'),
(1673,	'PLATINUM HOTEL - AL KHUWAIR',	'AR-CU11278-101'),
(1674,	'RICHOUX OPERA - QURUM',	'AR-CU11278-102'),
(1675,	'FANAJEEN CAFE - GHUBRA',	'AR-CU11278-103'),
(1676,	'CARAMEL RESTAURANT & LOUNGE - QURUM',	'AR-CU11278-104'),
(1677,	'MAN\'OUSHE STREET - QURUM',	'AR-CU11278-105'),
(1678,	'MAN\'OUSHE STREET - AL MOUJ',	'AR-CU11278-106'),
(1679,	'AL KAWTHER HYPERMARKET - ADAM',	'AR-CU11279-101'),
(1680,	'NOOR MUZAIF & PARTNER L.L.C.',	'AR-CU11280-101'),
(1681,	'ADVANCED GATE INVESTMENT LLC-AL ANASAB',	'AR-CU11281-1'),
(1682,	'ADVANCED GATE INVESTMENT LLC-AL HAIL',	'AR-CU11281-2'),
(1683,	'ADVANCED GATE INVESTMENT LLC-AL MABELLA',	'AR-CU11281-3'),
(1684,	'ADVANCED GATE INVESTMENT LLC-AL RADHA',	'AR-CU11281-4'),
(1685,	'ADVANCED GATE INVESTMENT LLC-AL FIRQ',	'AR-CU11281-5'),
(1686,	'ADVANCED GATE INVESTMENT LLC-AL GHAFAT',	'AR-CU11281-6'),
(1687,	'ADVANCED GATE INVESTMENT LLC-AL GHUBRA',	'AR-CU11281-7'),
(1688,	'ROP PENSION TRUST - CASH SUPPLY',	'AR-CU11282-1'),
(1689,	'ACAI RESTAURANT - AL KOUDH',	'AR-CU11283-1'),
(1690,	'TALAL AKHZAMI TRADING (SHAHID)',	'AR-CU11284-101'),
(1691,	'WAQAS AHMAD GULZAR AHMAD',	'AR-CU11285-101'),
(1692,	'MOHAMED NASSER SAID AL RASHDI',	'AR-CU11286-101'),
(1693,	'MOHAMMED BELAL HOSSEN',	'AR-CU11287-101'),
(1694,	'MOHAMMAD SHOHEL MOHAMMAD DIDAR',	'AR-CU11288-101'),
(1695,	'AHAMMAD KUNJU ABDUL SALAM - (E-2056)',	'AR-CU11289'),
(1696,	'AL QAIS SUPERMARKET - GHOBRA',	'AR-CU11290-1'),
(1697,	'AL QAIS SUPERMARKET - AL KHUWAIR',	'AR-CU11290-2'),
(1698,	'CASH SALES C/O ALTHAF',	'AR-CU11291-1'),
(1699,	'AL INAYA - RUSHTAQ',	'AR-CU11292-1'),
(1700,	'NAKHEEL HYPERMARKET - AL HAIL SOUTH',	'AR-CU11293-1'),
(1701,	'BADAR SHOPPING CENTRE - AL KOUDH 6',	'AR-CU11294-1'),
(1702,	'SPEED SUPERSTORE - AL KHOUDH 6',	'AR-CU11295-1'),
(1703,	'SOHAR  STAFF MESS',	'AR-CU11296-1'),
(1704,	'MARKET',	'AR-CU11297-101'),
(1705,	'BURAIMI',	'AR-CU11297-102'),
(1706,	'KHASAB',	'AR-CU11297-103'),
(1707,	'LOCAL PURCHASE',	'AR-CU11297-104'),
(1708,	'TEA TIME - AL KOUDH (HAMZA)',	'AR-CU11298-1'),
(1709,	'CASH SALES C/O MUHAMMED RAOOF (E-6537)',	'AR-CU11299-1'),
(1710,	'BARZMAN AL WADI TRAD AND CO',	'AR-CU11300'),
(1711,	'FRENCH BAKERY LLC - SHATTI QURUM',	'AR-CU11301'),
(1712,	'SOHAR GOLDEN LINE TRADE - SAHAM',	'AR-CU11302-101'),
(1713,	'ANWAR HAFIT AL MUTAMAYEZA TRADING - HAFEETH',	'AR-CU11303-101'),
(1714,	'AL GATE SUPERMARKET',	'AR-CU11304-101'),
(1715,	'MAHESH SAHAM',	'AR-CU11304-102'),
(1716,	'BENGALI NEAR BANK MCT (1 & 2)',	'AR-CU11304-103'),
(1717,	'RAMJAN SAHAM',	'AR-CU11304-104'),
(1718,	'JAKER SAHAM',	'AR-CU11304-105'),
(1719,	'YANSON QASBEA',	'AR-CU11304-106'),
(1720,	'MARSOOQI SAHAM',	'AR-CU11304-107'),
(1721,	'SIKANDAR SAHAM',	'AR-CU11304-108'),
(1722,	'TOP STAR SAHAM',	'AR-CU11304-109'),
(1723,	'GULF STAR SAHAM',	'AR-CU11304-110'),
(1724,	'NEW SAHAM SHOP',	'AR-CU11304-111'),
(1725,	'HEJARI BENGALI',	'AR-CU11304-112'),
(1726,	'AL KUWADER SAHAM',	'AR-CU11304-113'),
(1727,	'JOUHARATH COFFEE SHOP',	'AR-CU11304-114'),
(1728,	'ITALIAN SOHAR',	'AR-CU11304-115'),
(1729,	'AL THOOBI ENTERPRISES (ITALIAN)',	'AR-CU11304-116'),
(1730,	'COFFEE SHOP SAHAM',	'AR-CU11304-117'),
(1731,	'STAR VILLAGE SOHAR (COUNTER) - EGG SALE',	'AR-CU11304-118'),
(1732,	'IMRAN - SAHAM',	'AR-CU11304-119'),
(1733,	'RAZZAK COFFEE SHOP',	'AR-CU11304-120'),
(1734,	'AZEEM COFFEE SHOP',	'AR-CU11304-121'),
(1735,	'AL JAHARA HYPERMARKET',	'AR-CU11304-122'),
(1736,	'DANAT YANQAL',	'AR-CU11305-101'),
(1737,	'SAJA SHOPPING YANQAL',	'AR-CU11305-102'),
(1738,	'COMMERCIAL NO. 1',	'AR-CU11305-103'),
(1739,	'ABDUL RAHMAN YANQAL',	'AR-CU11305-104'),
(1740,	'SUPER MARKET DUNK',	'AR-CU11305-105'),
(1741,	'BUWAIRIDA MALAYALI',	'AR-CU11305-106'),
(1742,	'WAQBA BENGALI',	'AR-CU11305-107'),
(1743,	'NASEEM AL JEZEERA YANQAL',	'AR-CU11305-108'),
(1744,	'COMMERCIAL NEW',	'AR-CU11305-109'),
(1745,	'IMAM YANQAL',	'AR-CU11305-110'),
(1746,	'SAMA AL-DAHIRA BAKERY DUNK',	'AR-CU11305-111'),
(1747,	'MALAYALI YANQAL NO. 3',	'AR-CU11305-112'),
(1748,	'HOTEL WADI HIBI',	'AR-CU11305-113'),
(1749,	'MUKESH YANQAL',	'AR-CU11305-114'),
(1750,	'GROCERY WAQBA NEAR BANK',	'AR-CU11305-115'),
(1751,	'RAMASHAD MESS DUNK',	'AR-CU11305-116'),
(1752,	'NEAR HOSPITAL YANQAL',	'AR-CU11305-117'),
(1753,	'ALI BIN ABDULLAH - YANQAL',	'AR-CU11305-118'),
(1754,	'ASRAR OMANI',	'AR-CU11306-101'),
(1755,	'EAT AND DRINK AQAR',	'AR-CU11306-102'),
(1756,	'HOOR SHINAS',	'AR-CU11306-103'),
(1757,	'NEAR JAZEERA NUMA',	'AR-CU11306-104'),
(1758,	'SURBANI SHINAS',	'AR-CU11306-105'),
(1759,	'MASDAR SHOPPING',	'AR-CU11306-106'),
(1760,	'ALKA RESTAURANT',	'AR-CU11306-107'),
(1761,	'GROCERY SHINAS',	'AR-CU11306-108'),
(1762,	'SALALAH VEGETABLES',	'AR-CU11306-109'),
(1763,	'AL SALAM AQAR',	'AR-CU11306-110'),
(1764,	'NEAR HOOR SHINAS',	'AR-CU11306-111'),
(1765,	'LAZAZ COLD STORE - SAMHAN',	'AR-CU11307-101'),
(1766,	'SCATTERED CLOUD TRADE - MABELLAH',	'AR-CU11308-101'),
(1767,	'SCATTERED CLOUD TRADE - AMARAT',	'AR-CU11308-102'),
(1768,	'FOODLANDS RESTAURANT - AL KHUWAIR',	'AR-CU11309-101'),
(1769,	'FOODLANDS RESTAURANT - AL KHOUD',	'AR-CU11309-102'),
(1770,	'SHAAHID SULTHAN MANAKKATTU ABDUL RAHIM',	'AR-CU11310-101'),
(1771,	'MUHAMMED ASHAR HANEEFA',	'AR-CU11311-101'),
(1772,	'HAYUM RAJEEV BENGALI (SU10637)',	'AR-CU11312-101'),
(1773,	'MOHAMMED LUKMAN MEAH (SU10655)',	'AR-CU11313-101'),
(1774,	'EXCEPTIONAL TRADING LINE L.L.C. - JUICE BOX',	'AR-CU11314-101'),
(1775,	'SULTAN QABOOS UNIVERSITY',	'AR-CU11315-101'),
(1776,	'THE CENTRAL SUPERMARKET - AZAIBA',	'AR-CU11316-101'),
(1777,	'NOOR AL BAWARAQ L.L.C. - BIDIYA',	'AR-CU11317-101'),
(1778,	'NOOR AL BAWARAQ L.L.C. - EGG SALE',	'AR-CU11317-102'),
(1779,	'NOOR AL BAWARAQ L.L.C - AL QABIL',	'AR-CU11317-103'),
(1780,	'NOOR AL BAWARAQ L.L.C - WADI BANI KHALID',	'AR-CU11317-104'),
(1781,	'JOURIE RESTAURANT, OASIS MALL, SOHAR',	'AR-CU11318-101'),
(1782,	'TEA TIME - IZKI',	'AR-CU11319-101'),
(1783,	'MOHAMMED RIAZ AND PARTNER L.L.C.',	'AR-CU11320-101'),
(1784,	'KALATAL ABDULHAMEED',	'AR-CU11321-101'),
(1785,	'SPECIAL DEALS TRADING',	'AR-CU11322-101'),
(1786,	'AZHUNGAL SAMEER (SHOP 20)',	'AR-CU11323-101'),
(1787,	'SHARARA SHOPPING - MABELLA',	'AR-CU11324-101'),
(1788,	'SAMA LIWA',	'AR-CU11325-101'),
(1789,	'ONE CLICK DELIVERY SERVICES - CREDIT',	'AR-CU11326-101'),
(1790,	'ONE CLICK DELIVERY SERVICES - CARD',	'AR-CU11326-102'),
(1791,	'ONE CLICK DELIVERY SERVICES - TRANSFER',	'AR-CU11326-103'),
(1792,	'ISSA ZAHRAN ZAHIR AMBU SAIDI',	'AR-CU11327-101'),
(1793,	'SAINUDHEEN MELETHIL - BURAIMI (BIN KALFOTH)',	'AR-CU11328-101'),
(1794,	'KHALID MOHD. HUMID AL KIYUMI TRAD.',	'AR-CU11329-101'),
(1795,	'ABDULLAH AL LOUYAHI TRAD (SU10675)',	'AR-CU11330-101'),
(1796,	'LOALAT AL WATAN ALBURNZIA SPC',	'AR-CU11331-101'),
(1797,	'MODERN MAZOON TOWERS LLC ( EGO KITCHEN ) - AL KHOUD',	'AR-CU11332-101'),
(1798,	'TELY RESTAURANT - GHALA',	'AR-CU11333-101'),
(1799,	'TELY RESTAURANT - RUWI',	'AR-CU11333-102'),
(1800,	'NAWAF - SAHAM',	'AR-CU11334-101'),
(1801,	'MUHAMMED IBRAHIM. P - DUQM',	'AR-CU11335-101'),
(1802,	'HASSAN - HAMRA',	'AR-CU11336-101'),
(1803,	'NASSER SULAIMAN NASSER AL KINDI - NIZWA',	'AR-CU11337-101'),
(1804,	'MUHTHAZIM - NAKHAL',	'AR-CU11338-101'),
(1805,	'SALAH - BARKA',	'AR-CU11339-101'),
(1806,	'NOUSHAD RAHAMATH MANZIL - IBRI',	'AR-CU11340-101'),
(1807,	'USMAN EBRAHIM - BURAIMI',	'AR-CU11341-101'),
(1808,	'NASEER. K.T - AL HAIL',	'AR-CU11342-101'),
(1809,	'T. SULAIMAN SHIBU - AZAIBA',	'AR-CU11343-101'),
(1810,	'MUDAR BAHLANI - SAMAIL',	'AR-CU11344-101'),
(1811,	'SHAJAHAN SULAIMAN - AZAIBA',	'AR-CU11345-101'),
(1812,	'LEPETIT - MALL OF MUSCAT',	'AR-CU11346-101'),
(1813,	'LEPETIT - MUSCAT CITY CENTRE',	'AR-CU11346-102'),
(1814,	'LEPETIT - STARCARE HOSPITAL',	'AR-CU11346-103'),
(1815,	'LEPETIT - QURUM CITY CENTRE',	'AR-CU11346-104'),
(1816,	'ANIL (DAS SALALAH)',	'AR-CU11347-101'),
(1817,	'ABDUL RAHMAN (SALALAH)',	'AR-CU11348-101'),
(1818,	'SHATTI QURUM',	'AR-CU11349-101'),
(1819,	'SALIM ABDULLAH SAID AL-HABSI - AL KHOUD',	'AR-CU11350-101'),
(1820,	'SHARON (M.RIYAZ STORE)',	'AR-CU11351-101'),
(1821,	'MONU - BURAIMI',	'AR-CU11352-101'),
(1822,	'NOWSHAD. K.T.',	'AR-CU11353-101'),
(1823,	'LONDON CLEANING',	'AR-CU11354-101'),
(1824,	'TALABAT MART  - MAWALEH',	'AR-CU11355-101'),
(1825,	'TALABAT MART  - HAIL',	'AR-CU11355-102'),
(1826,	'TALABAT MART  - AL KHUWAIR',	'AR-CU11355-103'),
(1827,	'TALABAT MART - AMERATH',	'AR-CU11355-104'),
(1828,	'TALABAT MART - SALALAH',	'AR-CU11355-105'),
(1829,	'AL ZAYAN SHOPPING CENTRE - BAHLA',	'AR-CU11356-101'),
(1830,	'MUHAMMED BIN SALEM BIN AMER AL-FARSI - IBRI',	'AR-CU11357-101'),
(1831,	'KHADRA COFFEE SHOP',	'AR-CU11358-101'),
(1832,	'AL RAAZ SHOPPING - BARKA',	'AR-CU11359-101'),
(1833,	'AL WASET SUPERMARKET - NAKHAL',	'AR-CU11360-101'),
(1834,	'MY WAY RESTAURANT - BARKA',	'AR-CU11361-101'),
(1835,	'NASEEM AHMED - MAWALAH MARKET',	'AR-CU11362-101'),
(1836,	'MUHAMMED MAGIC - AL KHOUD',	'AR-CU11363-101'),
(1837,	'SALAM - RUWI',	'AR-CU11364-101'),
(1838,	'MUSTARD BURGER - AL KHOUD',	'AR-CU11365-101'),
(1839,	'CM DUBAI MART - MAWALAH',	'AR-CU11366-101'),
(1840,	'NAZEER MADAVOOR - AL KHUWAIR',	'AR-CU11367-101'),
(1841,	'TAJ BURGER - MAWALEH',	'AR-CU11368-101'),
(1842,	'SHMOOS AL MAJID COLD STORE - AZAIBA',	'AR-CU11369-101'),
(1843,	'MOIDEEN HAJI - MUSANNAH',	'AR-CU11370-101'),
(1844,	'MOHAMMED NASER UDDIN MOHAMMED JAGIR HOSSEN - AL KAMIL',	'AR-CU11371-101'),
(1845,	'ROBINS RUMMAN - BUALI',	'AR-CU11372-101'),
(1846,	'RAFEEQ - MABELA',	'AR-CU11373-101'),
(1847,	'DUBAI SHOPPING CENTER INT. LLC - AL HAIL',	'AR-CU11374-101'),
(1848,	'ZAHID MASIH BARKET MASIH - IBRI',	'AR-CU11375-101'),
(1849,	'AL BARKA SUPERMARKET - RUWI',	'AR-CU11376-101'),
(1850,	'AL THAHIL - GHALA',	'AR-CU11377-101'),
(1851,	'RAGHAV - GHOBRA',	'AR-CU11378-101'),
(1852,	'OMAR AL KHAYYAM RESTAURANT - RUWI',	'AR-CU11379-101'),
(1853,	'ALAUDDIN RESTAURANT - AL KHUWAIR',	'AR-CU11379-102'),
(1854,	'OMAR AL KHAYYAM RESTAURANT - AL KHOUD',	'AR-CU11379-103'),
(1855,	'AL BANDAR - BUALI',	'AR-CU11380-101'),
(1856,	'HAMEED - WADI KABIR',	'AR-CU11381-101'),
(1857,	'ISSA SALEH MUBARAK SALEH AL YAAQUBI - IBRI',	'AR-CU11382-101'),
(1858,	'HASHIM KAROTTUKURUPPUKANDHATHIL SAINUDHEEN - MAWALEH MARKET',	'AR-CU11383-101'),
(1859,	'NOUFAL CHOLAYIL MUHAMMEDKUTTY - MAWALEH MARKET',	'AR-CU11384-101'),
(1860,	'THOUFEEQ - AL HAIL',	'AR-CU11385-101'),
(1861,	'LUQMAN BANGALI (SU10315)',	'AR-CU11386-101'),
(1862,	'AL SAHM AL KHALIJI - BOWSHER',	'AR-CU11387-101'),
(1863,	'ARAFAT JAFAR AHAMMAD - SHERADI',	'AR-CU11388-101'),
(1864,	'2 BROTHERS HATHATH COMPLEX - RUWI',	'AR-CU11389-101'),
(1865,	'MAHMOOD IRANI - BOWSHER',	'AR-CU11390-101'),
(1866,	'DIMA SUPERMARKET - SEEB',	'AR-CU11391-101'),
(1867,	'AMAZING BURGER - GHALA',	'AR-CU11382'),
(1868,	'LEBANON CAFE - AL KHUWAIR',	'AR-CU11393-101'),
(1869,	'AMEEN - AL KHOUD',	'AR-CU11394-101'),
(1870,	'SAID - GHOBRA',	'AR-CU11395-101'),
(1871,	'ADIL ABDALLAH FARHAN AL BUSAIDI - AMRATH',	'AR-CU11396-101'),
(1872,	'MSHARY AL WRYD LLTJART',	'AR-CU11397-101'),
(1873,	'TALAL AL AKHZAMI INTERNATIONAL LLC (BARATH) - (SU10454)',	'AR-CU11398-101'),
(1874,	'WALEED SAIF NASSER AL HASANI - AZAIBA',	'AR-CU11399-101'),
(1875,	'NIYAS - BARKA',	'AR-CU11400'),
(1876,	'JASEEL - BARKA',	'AR-CU11401'),
(1877,	'GREEN HOUSE - AL KHUWAIR',	'AR-CU11402-101'),
(1878,	'OASIS GRACE LLC',	'AR-CU11403-101'),
(1879,	'PRADEEP SANAYA',	'AR-CU11404-101'),
(1880,	'RUBEL BANGALI - SAHAM',	'AR-CU11405-101'),
(1881,	'SHAMSHAD PORT',	'AR-CU11406-101'),
(1882,	'JINAN (NOUFAL) AQAR',	'AR-CU11407-101'),
(1883,	'JABIR OMANI',	'AR-CU11408-101'),
(1884,	'SHAMS SAHAM',	'AR-CU11409-101'),
(1885,	'NABEEL BANGALI',	'AR-CU11410-101'),
(1886,	'ANSAR FURFARA',	'AR-CU11411-101'),
(1887,	'BADAR ABDULLAH ALI AL MAQBALI - AL TAREEF',	'AR-CU11412-101'),
(1888,	'KASSIM ONION',	'AR-CU11413-101'),
(1889,	'MUBARAK SOHAR',	'AUR-CU11414-101'),
(1890,	'AJMAL FAYIS PAPPANADAN',	'AR-CU11415-101'),
(1891,	'RETHAN TARIF',	'AR-CU11416-101'),
(1892,	'GOPAL SOHAR SHOP NO 28',	'AR-CU11417-101'),
(1893,	'AHMED QURIYAT',	'AR-CU11418-101'),
(1894,	'HAMAD SALEH ALI ALABRI - MAWALEH',	'AR-CU11419-101'),
(1895,	'AL HUMAIDHY JERDA',	'AR-CU11420-101'),
(1896,	'JERDA SHOPPING CENTERE',	'AR-CU11421-101'),
(1897,	'NASSAR SAIF KHAMIS AL AMRI - BARKA',	'AR-CU11422-101'),
(1898,	'URBANIZATION FOR DEVELOPMENT LLC (TM DONE)',	'AR-CU11423-101'),
(1899,	'ABDUL MALIK SAIF SALIM AL-KHAROUSI',	'AR-CU11424-101'),
(1900,	'AL-THAER MODERN TRADE (SHANI)',	'AR-CU11425-101'),
(1901,	'AL KHUWAIR JASMINE COMPLEX',	'AR-CU11426-101'),
(1902,	'SUKOON RESTAURANT - AL MOUJ',	'AR-CU11427-101'),
(1903,	'REX ROAD',	'AR-CU11428-101'),
(1904,	'AL THIMAR UNITED BUSINESS PROJECTS L.L.C (SU10533)',	'AR-CU11429-101'),
(1905,	'CAVIER FOOD SERVICE (GOURMET SUPPLY SPC)',	'AR-CU11430-101'),
(1906,	'JASEEM (JALALI)',	'AR-CU11433-101'),
(1907,	'JAZEERA',	'AR-CU11434-101'),
(1908,	'JOOD',	'AR-CU11434-102'),
(1909,	'UNITED INTERNATIONAL L.L.C (SU10684)',	'AR-CU11435-101'),
(1910,	'ALAM GIR - SEEB',	'AR-CU11436-101'),
(1911,	'HITHAM RESTAURANT - AL KHUWAIR',	'AR-CU11437-101'),
(1912,	'TOP FASHION INTERNATIONAL - AL KHOUD',	'AR-CU11438-101'),
(1913,	'THAIBA SUPERMARKET- AL KHUWAIR',	'AR-CU11439-101'),
(1914,	'WADITAYEEN',	'AR-CU11440-101'),
(1915,	'ANTHEM',	'AR-CU11440-102'),
(1916,	'IBRA',	'AR-CU11440-103'),
(1917,	'ISMAYYA',	'AR-CU11440-104'),
(1918,	'KERTAJ GOLDEN ENTERPRISES (OMAN THATTUKADA)',	'AR-CU11441-101'),
(1919,	'SHATI AL QURUM',	'AR-CU11442-101'),
(1920,	'MOHAMMAD SAALI (BIDIYA-EGG)- (SU10646)',	'AR-CU11443-101'),
(1921,	'RAJAN - GOLDENWAYS',	'AR-CU11444-101'),
(1922,	'HAMZA - AWKIYA',	'AR-CU11445-101'),
(1923,	'MARWAN SALALAH',	'AR-CU11446-101'),
(1924,	'ASLAM - AL DUJA',	'AR-CU11447-101'),
(1925,	'AL BESRAWI TRADE (SU10681)',	'AR-CU11448-101'),
(1926,	'YOUNUS BARKA',	'AR-CU11449-101'),
(1927,	'AL ASEEL FIRST COMPANY',	'AR-CU11450-101'),
(1928,	'MODERN HIGH HIGHNESS LLC',	'AR-CU11451-101'),
(1929,	'MUBARAK HAMED SALIM AL ISAEE',	'AR-CU11452-101'),
(1930,	'BASHAYR HILLAT AL BURJ GOLD',	'AR-CU11453-101'),
(1931,	'RAMSHAD DUNK',	'AR-CU11454-101'),
(1932,	'MODERN WAQBA SHOPPING CENTER',	'AR-CU11455-101'),
(1933,	'AL BUWAIRIDA NATIONAL ENT',	'AR-CU11456'),
(1934,	'RIYAHA AL- WAQBA',	'AR-CU11457-101'),
(1935,	'ANUD AL SHEMAL TRADING',	'AR-CU11458-101'),
(1936,	'CLARAS',	'AR-CU11459-101'),
(1937,	'WAHAT AL BUWAIRIDA SHOPPING',	'AR-CU11460-101'),
(1938,	'ALI BIN ABDULLAH TRAD',	'AR-CU11461-101'),
(1939,	'AL SAFIR FOOD STUFF',	'AR-CU11462-101'),
(1940,	'DANAT YAQUL',	'AR-CU11463-101'),
(1941,	'SHERRA SALLAN TRAD',	'AR-CU11464-101'),
(1942,	'SULTAN CENTRE STORE, AL MAWALEH MARKET',	'AR-CU11465-101'),
(1943,	'ANUD AL SHEMAL TRADING PROJECT',	'AR-CU11466-101'),
(1944,	'SHAHAM AL DHAHERAH TRAD',	'AR-CU11467-101'),
(1945,	'SINAW - 1',	'AR-CU11468-101'),
(1946,	'SINAW - 2',	'AR-CU11468-102'),
(1947,	'SINAW - 3',	'AR-CU11468-103'),
(1948,	'MUDHAIBI',	'AR-CU11468-104'),
(1949,	'ABDUL RAHEEM KOYILOTTRA - BUALI',	'AR-CU11469-101'),
(1950,	'JUST FRESH JUICE - HAIL',	'AR-CU11470-101'),
(1951,	'MURTAFAT AL HARRAM TRADING (KHALID KUTTIKATTIL)',	'AR-CU11471-101'),
(1952,	'AZIZ TITOON SULAIYAM AL HASHIMI',	'AR-CU11472-101'),
(1953,	'SAMCO TRADING & CONT CO. LLC',	'AR-CU11473-101'),
(1954,	'INTERCITY HOTEL NIZWA',	'AR-CU11474-101'),
(1955,	'TRANS SHIPPING SERVICE LLC',	'AR-CU11475-101'),
(1956,	'YANABEA KAHF AL HOUTH TRAD',	'AR-CU11476-101'),
(1957,	'SULAIMAN (BENGALI) (SU10447)',	'AR-CU11477-101'),
(1958,	'SUBAIR (CUCUMBER) (SU10443)',	'AR-CU11478-101'),
(1959,	'LOW CALORIE CAFE (MODERN INTERNATIONAL RESTAURANTS LLC) - AL KHOUD',	'AR-CU11479-101'),
(1960,	'SUN CAPITAL BUSINESS LLC - WADI KABEER',	'AR-CU11480-101'),
(1961,	'NOOR AL TAREEF SHOPPING (BADER AL ZAMAN INTERNATIONAL LLC)',	'AR-CU11481-101'),
(1962,	'LEBNANEES VILLAGE - AL KHUWAIR',	'AR-CU11482-101'),
(1963,	'ABDUL THANVEER PADINHARAKATH - GHALA',	'AR-CU11483-101'),
(1964,	'ZAKARIYA SULAIMAN ABDULLAH SAIF AL SHAMLI',	'AR-CU11484-101'),
(1965,	'ARAB WORLD RESTAURANT',	'AR-CU11485-101'),
(1966,	'COMERCIAL CONSUMER COMPLEX',	'AR-CU11486-101'),
(1967,	'AMAL PAUL (MURTAFAT IBRI MUSIYA)',	'AR-CU11487-101'),
(1968,	'SHAL ATEEN AL RAEDAENT',	'AR-CU11488-101'),
(1969,	'SALAM DHUNK',	'AR-CU11489-101'),
(1970,	'PAK HOTEL DHUNK',	'AR-CU11490-101'),
(1971,	'MASOOD DHUNK',	'AR-CU11491-101'),
(1972,	'NASER YANGAL',	'AR-CU11492-101'),
(1973,	'IBRAHIM DOODU',	'AR-CU11493-101'),
(1974,	'JOSHIM SENENA',	'AR-CU11494-101'),
(1975,	'AMEER SENENA',	'AR-CU11495-101'),
(1976,	'ARROW OVERSEAS (KALFAN FARSI)',	'AR-CU11496-101'),
(1977,	'ALI DHUNK',	'AR-CU11497-101'),
(1978,	'AL QIMMA DHUNK',	'AR-CU11498-101'),
(1979,	'FARHAD DHUNK',	'AR-CU11499-101'),
(1980,	'MAJED SALEM AL UMIRI TRADE',	'AR-CU11500-101'),
(1981,	'RASHID BIN AL SABAA BIN ALI AL BADI TRADE',	'AR-CU11501-101'),
(1982,	'WAJHAT DHUNK (MAMMUN DHUNK)',	'AR-CU11502-101'),
(1983,	'SAIF BIN KHAMIS AL YAHYAE TRADE (HAMDAN DHUNK)',	'AR-CU11503-101'),
(1984,	'WAHAT AL SULAIF',	'AR-CU11504-101'),
(1985,	'YOUSAF SENENA (MOHAMMED BIN AHAMED BIN MUFTHA)',	'AR-CU11505-101'),
(1986,	'RAHIM DHANK JUICE SHOP',	'AR-CU11506-101'),
(1987,	'MOOSA HAJAR (AL MADEENA)',	'AR-CU11507'),
(1988,	'ASHRAF CHERIYA PARAMBATH',	'AR-CU11508-101'),
(1989,	'JUBAYYA (COMMERCIAL COMPLEX)',	'AR-CU11509-101'),
(1990,	'AL MAZHAR TRADE (PAK HOTEL IBRI)',	'AR-CU11510-101'),
(1991,	'RAWABI AL JUBAIYA TRADE',	'AR-CU11511-101'),
(1992,	'SAMA HAJEERMANT TRADE',	'AR-CU11512-101'),
(1993,	'HAZZAA BIN SAIF BIN SAID AL SAID - IDRIZ',	'AR-CU11513-101'),
(1994,	'MARAQI AL AAZ TRAD',	'AR-CU11514-101'),
(1995,	'LAMAST FIDA TRADE',	'AR-CU11515-101'),
(1996,	'AL SAHAM IBRI AL QARAT',	'AR-CU11516-101'),
(1997,	'RAWABI AL HAIL TRADE',	'AR-CU11517-101'),
(1998,	'ZAYAN AL MADINA SHOPPING CENTER',	'AR-CU11518-101'),
(1999,	'ROYAL AL JUBAIYA TRADE',	'AR-CU11519-101'),
(2000,	'AZ AL HOMANIA TRADING',	'AR-CU11520-101'),
(2001,	'MOHAMMAD SYFUL MD BILLAL',	'AR-CU11521-101'),
(2002,	'QASIM HAMDAN SAID HAMED AL MUQARSHI',	'AR-CU11522-101'),
(2003,	'RASEL YANGAL HOTEL',	'AR-CU11523-101'),
(2004,	'AL HAYAL SHOPPING CENTER - AL WAHRAH',	'AR-CU11524-101'),
(2005,	'AL HAYAL SHOPPING CENTER - SHABIYA',	'AR-CU11524-102'),
(2006,	'AL HAYAL SHOPPING CENTER - AL ARAQI',	'AR-CU11524-103'),
(2007,	'AL HAYAL SHOPPING CENTER - YANQUL',	'AR-CU11524-104'),
(2008,	'WAHAD DOHORIYA',	'AR-CU11525-101'),
(2009,	'SHALALAT AL GHUBAIRA GOLDEN ENT (OSMAN)',	'AR-CU11526-101'),
(2010,	'MOHAMMED HASAN - SHELL',	'AR-CU11527-101'),
(2011,	'DHUNK SUPER MARKET (M.S MAHEEN)',	'AR-CU11528-101'),
(2012,	'ABDULLAH DHUNK',	'AR-CU11529-101'),
(2013,	'BAWADI AL SULAF TRADE',	'AR-CU11530-101'),
(2014,	'ABDULLAH ALI SHAMILI',	'AR-CU11531-101'),
(2015,	'RABUAAL ABLA TRADE',	'AR-CU11532-101'),
(2016,	'SALIM MUFTAH SHOPPING - MINARA',	'AR-CU11533-101'),
(2017,	'SALIM MUFTAH SHOPPING - STORE',	'AR-CU11533-102'),
(2018,	'AZAN NASSER SULAIMAN ALI AL SHAMILI',	'AR-CU11534-101'),
(2019,	'DAWOOD MUSABAH SAIF ABDULLAH AL-QATBI',	'AR-CU11535-101'),
(2020,	'AL MADEENA HYPERMARKET - SUWAIQI',	'AR-CU11536-101'),
(2021,	'OMAN COOP (TATWIR SHINAS LLAC)',	'AR-CU11537-101'),
(2022,	'ASEER TIME BIDIYA',	'AR-CU11538-101'),
(2023,	'ZEEMA SHOPPING - BUALI',	'AR-CU11539-101'),
(2024,	'MIRZAD PUTHIYA VEETUMKANDY - (BUALI)',	'AR-CU11540-101'),
(2025,	'WARDAT MAJEES TRAD LLC',	'AR-CU11541-101'),
(2026,	'AL YEMENI MAKBOOS RESTAURANT (BUALI)',	'AR-CU11542-101'),
(2027,	'MIDRAR SHOPPING CENTRE (SULTAN SAID AL SIYABI TRADING)',	'AR-CU11543-101'),
(2028,	'MASHARY AL BAROON',	'AR-CU11544-101'),
(2029,	'TRISTAR FREIGHT SERVICES & LOGISTICS LLC',	'AR-CU11545-101'),
(2030,	'BEST SOLUTION LLC (SU-10212)',	'AR-CU11546-101'),
(2031,	'SHATTI AL QURUM (KUMAR RESTAURANT)',	'AR-CU11547-101'),
(2032,	'SHATTI AL QURUM (SULTAN CHEF RESTAURANT)',	'AR-CU11547-102'),
(2033,	'ZAHRAT HALBOON TRADING',	'AR-CU11548-101'),
(2034,	'AL MANAL INTERNATIONAL LLC (CHICK KING)',	'AR-CU11549-101'),
(2035,	'GLOBAL IMMUNITY TRADING CO.',	'AR-CU11550-101'),
(2036,	'VACHAS SUPER MKT - TAQA',	'AR-CU11551-101'),
(2037,	'AALAMGHEER BENGALI',	'AR-CU11552-101'),
(2038,	'ABBAS ALRAHMA MKT',	'AR-CU11553-101'),
(2039,	'ABBAS NO:5',	'AR-CU11554-101'),
(2040,	'ABDULLAH MESS',	'AR-CU11555-101'),
(2041,	'ABDULLAH SAID C/O HASHIM',	'AR-CU11556-101'),
(2042,	'ABDULLA KOYLANDI',	'AR-CU11557-101'),
(2043,	'ABDUL RAHIMAN SAADA',	'AR-CU11558-101'),
(2044,	'ADIL MISIRI',	'AR-CU11559-101'),
(2045,	'AKRAM SAADA',	'AR-CU11560-101'),
(2046,	'AL ASAS TRADING CO',	'AR-CU11561-101'),
(2047,	'ALAWI HOME',	'AR-CU11562-101'),
(2048,	'ALBITH',	'AR-CU11563-101'),
(2049,	'ALI KUTTIYADI',	'AR-CU11564-101'),
(2050,	'ALIPPU',	'AR-CU11565-101'),
(2051,	'ALI YAMEN',	'AR-CU11566-101'),
(2052,	'AL - JEBALI TRADING L.L.C - SALALAH',	'AR-CU11567-101'),
(2053,	'ALJOOD RESTAURANT',	'AR-CU11568-101'),
(2054,	'AL KHAREEF SUPER MKT (1)',	'AR-CU11569-101'),
(2055,	'AL KHAREEF SUP MKT. (2)',	'AR-CU11569-102'),
(2056,	'AL KHUTAINI',	'AR-CU11570-101'),
(2057,	'ALNAS REST',	'AR-CU11571-101'),
(2058,	'AL SHAM FRUITS & JUICE',	'AR-CU11572-101'),
(2059,	'ANADHAN',	'AR-CU11573-101'),
(2060,	'ANEESH PATTAMBI',	'AR-CU11574-101'),
(2061,	'ANIL MARKET HAFA',	'AR-CU11575-101'),
(2062,	'ANVAR MARBAT',	'AR-CU1576-101'),
(2063,	'ASHOKAN MKT',	'AR-CU11577-101'),
(2064,	'BABU',	'AR-CU11578-101'),
(2065,	'BALAN HAFA',	'AR-CU11579-101'),
(2066,	'BANGALI',	'AR-CU11580-101'),
(2067,	'BUSIA',	'AR-CU11581-101'),
(2068,	'DHOFAR RESTAURANT CATERING',	'AR-CU11582-101'),
(2069,	'FIROZ BENGALI - 92691840',	'AR-CU11583-101'),
(2070,	'GOPAL (STAFF)',	'AR-CU11584-101'),
(2071,	'HARIS',	'AR-CU11585-101'),
(2072,	'HASHIM HOME',	'AR-CU11586-101'),
(2073,	'HASHIM TAQA',	'AR-CU11587-101'),
(2074,	'HASSAN MKT',	'AR-CU11588-101'),
(2075,	'HASSHIM DRIVER',	'AR-CU11589-101'),
(2076,	'HILAL C/O GOPALAN',	'AR-CU11590-101'),
(2077,	'ISLAM MISIRI',	'AR-CU11591-101'),
(2078,	'JAHANGEER DHARIS',	'AR-CU11592-101'),
(2079,	'JAWHAR.MKT',	'AR-CU11593-101'),
(2080,	'KHAREEF SAADA',	'AR-CU11594-101'),
(2081,	'KISHOR',	'AR-CU11595-101'),
(2082,	'KOYA KOYLANDY',	'AR-CU11596-101'),
(2083,	'KRISHNAN HAFA',	'AR-CU11597-101'),
(2084,	'KUNCHI MOHAMMED KOYILANDY',	'AR-CU11598-101'),
(2085,	'KUNCHIPPA',	'AR-CU11599-101'),
(2086,	'MADAARI',	'AR-CU11600-101'),
(2087,	'MANGALYA HOTEL',	'AR-CU11601-101'),
(2088,	'MANOJ SAADA',	'AR-CU11602-101'),
(2089,	'MARIYAM OMANI 98165337',	'AR-CU11603-101'),
(2090,	'MASHOOD GARBIYA',	'AR-CU11604-101'),
(2091,	'MOHAMMED ARABI MIRBAT',	'AR-CU11605-101'),
(2092,	'MOHAMMED MIRBAT C/O PATTAMBI',	'AR-CU11606-101'),
(2093,	'MOIDUTTY ENGEERI VALAPPIL',	'AR-CU11607-101'),
(2094,	'MOOSA NO:5',	'AR-CU11608-101'),
(2095,	'MUHAMMED AKAK',	'AR-CU11609-101'),
(2096,	'MUHAMMED KUTTY HAFA',	'AR-CU11610-101'),
(2097,	'MUHAMMED SALALAH MALL',	'AR-CU11611-101'),
(2098,	'MUNEER HUSSAIN SHOP NO:140 MKT',	'AR-CU11612-101'),
(2099,	'MUSALLAM.TAQA',	'AR-CU11613-101'),
(2100,	'MUTHALIB',	'AR-CU11614-101'),
(2101,	'NISHAD',	'AR-CU11615-101'),
(2102,	'NOWSHAD 92570525',	'AR-CU11616-101'),
(2103,	'RAFEEQ(C/O ABDU)',	'AR-CU11617-101'),
(2104,	'RAJAN MARKET',	'AR-CU11618-101'),
(2105,	'RAVI MRKET',	'AR-CU11619-101'),
(2106,	'REGENCY RESTAURANT (USMAN)',	'AR-CU11620-101'),
(2107,	'RIYAS MARKET',	'AR-CU11621-101'),
(2108,	'ROB RUMAN',	'AR-CU11622-101'),
(2109,	'SADAF RESTAURANT',	'AR-CU11623-101'),
(2110,	'SAID ALAWI',	'AR-CU11624-101'),
(2111,	'SALAM KP',	'AR-CU11625-101'),
(2112,	'SATHAR BENGALY',	'AR-CU11626-101'),
(2113,	'SHAFI.EGG',	'AR-CU11627-101'),
(2114,	'SHAHEER (KABEERKKA)',	'AR-CU11628-101'),
(2115,	'SHAHEER TAQA',	'AR-CU11629-101'),
(2116,	'SHANAVAS',	'AR-CU11630-101'),
(2117,	'SHIHAB MIRBAT',	'AR-CU11631-101'),
(2118,	'SHINOY MARKET',	'AR-CU11632-101'),
(2119,	'SHOWKATH',	'AR-CU11633-101'),
(2120,	'SHUKKOOR',	'AR-CU11634-101'),
(2121,	'STAFF MOHAMMED UNNI',	'AR-CU11635-101'),
(2122,	'STAFF NOUFAL',	'AR-CU11636-101'),
(2123,	'STAFF RAJESH',	'AR-CU11637-101'),
(2124,	'SUMESH (TAXI)',	'AR-CU11638-101'),
(2125,	'SURESH.SANAYA',	'AR-CU11639-101'),
(2126,	'TEA TIME (DHARIZ)',	'AR-CU11640-101'),
(2127,	'THALASSERY RESTAURANT SALALAH',	'AR-CU11641-101'),
(2128,	'TOYATA MESS 1',	'AR-CU11642-101'),
(2129,	'TOYOTA MESS 2',	'AR-CU11642-102'),
(2130,	'YASEEN (BANGALI SANAYA)',	'AR-CU11643-101'),
(2131,	'ZAHRAT BEIRUT',	'AR-CU11644-101'),
(2132,	'MOHSIN DHUNK',	'AR-CU11645-101'),
(2133,	'SUHAIL DHUNK',	'AR-CU11646-101'),
(2134,	'FUNKY MANGO',	'AR-CU11647-101'),
(2135,	'MARJAN IBRI',	'AR-CU11648-101'),
(2136,	'MD SALAHUDHEEN',	'AR-CU11649-101'),
(2137,	'MUNEER VALAPPADAN KANDY',	'AR-CU11650-101'),
(2138,	'LIYAKATH PAKISTHANI HOTEL',	'AR-CU11651-101'),
(2139,	'IBN RAKI',	'AR-CU11652-101');

DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `display_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `permissions_name_unique` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `permissions` (`id`, `name`, `display_name`, `description`, `created_at`, `updated_at`) VALUES
(1,	'ADMIN MODULE',	'ADMIN MODULE',	'ADMIN MODULE',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(2,	'MASTER MODULE',	'MASTER MODULE',	'MASTER MODULE',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(3,	'SUPPLIER MASTER',	'SUPPLIER MASTER',	'SUPPLIER MASTER',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(4,	'MATERIAL REQUEST',	'MATERIAL REQUEST',	'MATERIAL REQUEST',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(5,	'NOTIFICATION MANAGER',	'NOTIFICATION MANAGER',	'NOTIFICATION MANAGER',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(6,	'SUPPLIER RATE ENTRY',	'SUPPLIER RATE ENTRY',	'SUPPLIER RATE ENTRY',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(7,	'VIEW NOTIFICATIONS',	'VIEW NOTIFICATIONS',	'VIEW NOTIFICATIONS',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(8,	'MR APPROVAL',	'MR APPROVAL',	'MR APPROVAL',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(9,	'PR GENERATION',	'PR GENERATION',	'PR GENERATION',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(10,	'REPORTS',	'REPORTS',	'REPORTS',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(11,	'PR APPROVAL',	'PR APPROVAL',	'PR APPROVAL',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(12,	'PO & CONSIGNMENT',	'PO & CONSIGNMENT',	'PO & CONSIGNMENT',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(13,	'MR - SEA PURCHASE',	'MR - SEA PURCHASE',	'MR - SEA PURCHASE',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(14,	'MR APPROVAL - SEA',	'MR APPROVAL - SEA',	'MR APPROVAL - SEA',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00');

DROP TABLE IF EXISTS `po`;
CREATE TABLE `po` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `pr_id` int(100) NOT NULL,
  `po_no` varchar(255) NOT NULL,
  `supplier_id` int(11) NOT NULL,
  `entered_by` int(100) NOT NULL,
  `po_date` date NOT NULL,
  `eta` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `ports`;
CREATE TABLE `ports` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `port` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `ports` (`id`, `port`) VALUES
(4,	'MCT'),
(5,	'KHS'),
(6,	'SLL'),
(7,	'COK'),
(8,	'TVM');

DROP TABLE IF EXISTS `po_consignments`;
CREATE TABLE `po_consignments` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `po_id` int(100) NOT NULL,
  `bill_no` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dispatch_port` int(100) NOT NULL,
  `arrival_port` int(100) NOT NULL,
  `eta` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `po_products`;
CREATE TABLE `po_products` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `po_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `unit_id` int(100) NOT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `standard_id` int(100) DEFAULT NULL,
  `qty` int(100) NOT NULL,
  `unit_price` decimal(10,3) NOT NULL,
  `price` decimal(10,3) DEFAULT NULL,
  `weight` double DEFAULT NULL,
  `bal_qty` int(100) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `po_products_sea`;
CREATE TABLE `po_products_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `po_sea_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `unit_id` int(100) NOT NULL,
  `standard_id` int(100) DEFAULT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `qty` int(100) NOT NULL,
  `unit_price` decimal(10,2) NOT NULL,
  `price` int(100) NOT NULL,
  `weight` int(100) NOT NULL,
  `bal_qty` int(100) NOT NULL,
  `scheduled_date` date NOT NULL,
  `schedule_id` int(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `po_sea`;
CREATE TABLE `po_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `pr_sea_id` int(100) NOT NULL,
  `po_no` int(11) NOT NULL,
  `supplier_id` int(100) NOT NULL,
  `entered_by` int(100) NOT NULL,
  `po_date` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `po_sea_consignments`;
CREATE TABLE `po_sea_consignments` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `po_sea_id` int(100) NOT NULL,
  `bill_no` varchar(255) NOT NULL,
  `dispatch_port` int(100) NOT NULL,
  `arrival_port` int(100) NOT NULL,
  `eta` date NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `group_master_id` int(11) DEFAULT NULL,
  `sub_group_id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `base_unit_id` int(11) DEFAULT NULL,
  `is_active` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `alias` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `secondry_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `remarks` text COLLATE utf8_unicode_ci,
  `tax` decimal(15,2) NOT NULL DEFAULT '0.00',
  `hsn_code_id` int(11) DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id_group_master_id_sub_group_id` (`category_id`,`group_master_id`,`sub_group_id`),
  KEY `tax_hsn_code_id_is_active` (`tax`,`hsn_code_id`,`is_active`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `products` (`id`, `category_id`, `group_master_id`, `sub_group_id`, `name`, `code`, `base_unit_id`, `is_active`, `alias`, `secondry_name`, `country_id`, `remarks`, `tax`, `hsn_code_id`, `deleted_at`) VALUES
(1,	1,	1,	1,	'ALFALFA SPROUTS AUS',	'101101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(2,	1,	1,	1,	'ALFALFA SPROUTS HOLLAND',	'101102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(3,	1,	1,	1,	'ALFALFA SPROUTS THAI',	'101103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(4,	1,	1,	1,	'ALFALFA SPROUTS U.S.A',	'101104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(5,	2,	2,	2,	'ALMOND GREEN LEBANON',	'102101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(6,	2,	2,	2,	'ALMOND GREEN EGYPT',	'102102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(7,	1,	3,	3,	'ALOE VERA VIETNAM',	'103101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(8,	2,	4,	4,	'APPLE JAZZ NEW Z LAND',	'104101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(9,	2,	4,	5,	'APPLE JOYA FRANCE',	'104102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(10,	2,	4,	5,	'APPLE JOYA ITALY',	'104103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(11,	2,	4,	6,	'APPLE KANZI FRANCE',	'104104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(12,	2,	4,	6,	'APPLE KANZI HOLLAND',	'104105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(13,	2,	4,	6,	'APPLE KANZI ITALY',	'104106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(14,	2,	4,	2,	'APPLE GREEN ARGE',	'104107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(15,	2,	4,	2,	'APPLE GREEN BRAZIL',	'104108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(16,	2,	4,	2,	'APPLE GREEN CHILE',	'104109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(17,	2,	4,	2,	'APPLE GREEN CHINA',	'104110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(18,	2,	4,	2,	'APPLE GREEN FRANCE',	'104111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(19,	2,	4,	2,	'APPLE GREEN IRAN',	'104112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(20,	2,	4,	7,	'APPLE LOLLIPOP FRANCE',	'104113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(21,	2,	4,	8,	'APPLE CRIPPS PINK CHINA',	'104114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(22,	2,	4,	8,	'APPLE CRIPPS PINK FRANCE',	'104115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(23,	2,	4,	8,	'APPLE CRIPPS PINK NEW Z LAND',	'104116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(24,	2,	4,	8,	'APPLE CRIPPS PINK S AFRICA',	'104117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(25,	2,	4,	9,	'APPLE ROYAL GALA AZERBAIJAN',	'104118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(26,	2,	4,	10,	'APPLE BREEZE FRANCE',	'104119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(27,	2,	4,	10,	'APPLE BREEZE ITALY',	'104120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(28,	2,	4,	10,	'APPLE BREEZE NEW Z LAND',	'104121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(29,	2,	4,	11,	'APPLE GALA ITALY',	'104122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(30,	2,	4,	11,	'APPLE GALA POLAND',	'104123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(31,	2,	4,	11,	'APPLE GALA S AFRICA',	'104124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(32,	2,	4,	11,	'APPLE GALA U.S.A',	'104125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(33,	2,	4,	12,	'APPLE FUJI CHINA',	'104126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(34,	2,	4,	13,	'APPLE GOLDEN CHINA',	'104127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(35,	2,	4,	13,	'APPLE GOLDEN FRANCE',	'104128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(36,	2,	4,	13,	'APPLE GOLDEN IRAN',	'104129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(37,	2,	4,	13,	'APPLE GOLDEN ITALY',	'104130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(38,	2,	4,	13,	'APPLE GOLDEN LEBANON',	'104131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(39,	2,	4,	13,	'APPLE GOLDEN POLLAND',	'104132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(40,	2,	4,	13,	'APPLE GOLDEN S AFRICA',	'104133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(41,	2,	4,	14,	'APPLE RED BRAZIL',	'104134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(42,	2,	4,	14,	'APPLE RED CHILE',	'104135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(43,	2,	4,	14,	'APPLE RED CHINA',	'104136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(44,	2,	4,	14,	'APPLE RED FRANCE',	'104137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(45,	2,	4,	14,	'APPLE RED IRAN',	'104138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(46,	2,	4,	14,	'APPLE RED ITALY',	'104139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(47,	2,	4,	14,	'APPLE RED ARGE',	'104140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(48,	2,	4,	15,	'APPLE PINK LADY FRANCE',	'104141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(49,	2,	4,	15,	'APPLE PINK LADY NEW Z LAND',	'104142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(50,	2,	4,	15,	'APPLE PINK LADY S AFRICA',	'104143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(51,	2,	4,	16,	'APPLE RED JONA POLAND',	'104144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(52,	2,	4,	17,	'APPLE ROYAL BEAUTY S AFRICA',	'104145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(53,	2,	4,	9,	'APPLE ROYAL GALA ARGE',	'104146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(54,	2,	4,	9,	'APPLE ROYAL GALA BRAZIL',	'104147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(55,	2,	4,	9,	'APPLE ROYAL GALA CHILE',	'104148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(56,	2,	4,	9,	'APPLE ROYAL GALA CHINA',	'104149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(57,	2,	4,	9,	'APPLE ROYAL GALA S AFRICA',	'104150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(58,	2,	4,	9,	'APPLE ROYAL GALA SPAIN',	'104151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(59,	2,	4,	9,	'APPLE ROYAL GALA TURKEY',	'104152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(60,	2,	4,	9,	'APPLE ROYAL GALA U.S.A',	'104153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(61,	2,	4,	9,	'APPLE ROYAL GALA UKRAINE',	'104154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(62,	2,	4,	9,	'APPLE ROYAL GALA FRANCE',	'104155',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(63,	2,	4,	9,	'APPLE ROYAL GALA ITALY',	'104156',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(64,	2,	4,	9,	'APPLE ROYAL GALA LEBANON',	'104157',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(65,	2,	4,	9,	'APPLE ROYAL GALA NEW Z LAND',	'104158',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(66,	2,	4,	9,	'APPLE ROYAL GALA POLAND',	'104159',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(67,	2,	4,	9,	'APPLE ROYAL GALA PORTUGAL',	'104160',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(68,	2,	4,	14,	'APPLE RED LEBANON',	'104161',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(69,	2,	4,	14,	'APPLE RED NEW Z LAND',	'104162',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(70,	2,	4,	14,	'APPLE RED PAK',	'104163',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(71,	2,	4,	14,	'APPLE RED S AFRICA',	'104164',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(72,	2,	4,	14,	'APPLE RED SPAIN',	'104165',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(73,	2,	4,	14,	'APPLE RED U.S.A',	'104166',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(74,	2,	4,	15,	'APPLE PINK LADY CHINA',	'104167',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(75,	2,	4,	18,	'APPLE HONEY CRUNCH FRANCE',	'104168',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(76,	2,	4,	2,	'APPLE GREEN ITALY',	'104169',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(77,	2,	4,	2,	'APPLE GREEN LEBANON',	'104170',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(78,	2,	4,	2,	'APPLE GREEN NEW Z LAND',	'104171',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(79,	2,	4,	2,	'APPLE GREEN S AFRICA',	'104172',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(80,	2,	4,	2,	'APPLE GREEN SPAIN',	'104173',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(81,	2,	4,	2,	'APPLE GREEN U.S.A',	'104174',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(82,	2,	4,	12,	'APPLE FUJI FRANCE',	'104175',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(83,	2,	4,	12,	'APPLE FUJI NEW Z LAND',	'104176',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(84,	2,	4,	19,	'APPLE FUJI RED S AFRICA',	'104177',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(85,	2,	4,	12,	'APPLE FUJI S AFRICA',	'104178',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(86,	2,	4,	11,	'APPLE GALA ARGE',	'104179',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(87,	2,	4,	11,	'APPLE GALA CHINA',	'104180',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(88,	2,	4,	20,	'APPLE CARMINE S AFRICA',	'104181',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(89,	2,	4,	21,	'APPLE ARRINE FRANCE',	'104182',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(90,	2,	4,	22,	'APPLE AMBROSIA CANADA',	'104183',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(91,	2,	4,	8,	'APPLE CRIPPS PINK CHILE',	'104184',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(92,	2,	4,	12,	'APPLE FUJI U.S.A',	'104185',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(93,	2,	4,	11,	'APPLE GALA BRAZIL',	'104186',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(94,	2,	4,	2,	'APPLE GREEN TURKEY',	'104187',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(95,	2,	4,	2,	'APPLE GREEN POLAND',	'104188',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(96,	2,	4,	2,	'APPLE GREEN HOLLAND',	'104189',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(97,	2,	4,	6,	'APPLE KANZI NEW Z LAND',	'104190',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(98,	2,	4,	15,	'APPLE PINK LADY CHILE',	'104191',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(99,	2,	4,	14,	'APPLE RED TURKEY',	'104192',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(100,	2,	4,	9,	'APPLE ROYAL GALA PAK',	'104193',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(101,	2,	4,	13,	'APPLE GOLDEN TURKEY',	'104194',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(102,	2,	4,	2,	'APPLE GREEN SERBIA',	'104195',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(103,	2,	4,	9,	'APPLE ROYAL GALA SERBIA',	'104196',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(104,	2,	4,	9,	'APPLE ROYAL GALA HOLLAND',	'104197',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(105,	2,	4,	13,	'APPLE GOLDEN SPAIN',	'104198',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(106,	2,	4,	2,	'APPLE GREEN GREECE',	'104199',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(107,	2,	4,	23,	'APPLE KORU NEW Z LAND',	'104200',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(108,	2,	4,	24,	'APPLE MIX IRAN',	'104201',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(109,	2,	4,	13,	'APPLE GOLDEN NEW Z LAND',	'104202',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(110,	2,	4,	9,	'APPLE ROYAL GALA SLOVENIA',	'104203',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(111,	2,	4,	2,	'APPLE GREEN SLOVENIA',	'104204',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(112,	2,	4,	25,	'APPLE PACIFIC QUEEN NEW Z LAND',	'104205',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(113,	2,	4,	14,	'APPLE RED GREECE',	'104206',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(114,	2,	4,	26,	'APPLE JUICI USA',	'104207',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(115,	2,	4,	13,	'APPLE GOLDEN SERBIA',	'104208',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(116,	2,	4,	2,	'APPLE GREEN AZERBAIJAN',	'104209',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(117,	2,	4,	4,	'APPLE JAZZ USA',	'104210',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	4,	NULL),
(118,	2,	5,	27,	'APRICOT U.S.A',	'106101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(119,	2,	5,	27,	'APRICOT AUS',	'106102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(120,	2,	5,	27,	'APRICOT EGYPT',	'106103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(121,	2,	5,	27,	'APRICOT IRAN',	'106104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(122,	2,	5,	27,	'APRICOT JORDAN',	'106105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(123,	3,	5,	28,	'APRICOT DRY TURKEY',	'106106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	6,	NULL),
(124,	2,	5,	14,	'APRICOT RED JORDAN',	'106107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(125,	2,	5,	27,	'APRICOT LEBANON',	'106108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(126,	2,	5,	27,	'APRICOT S AFRICA',	'106109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(127,	2,	5,	27,	'APRICOT SAUDI',	'106110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(128,	2,	5,	27,	'APRICOT SYRIA',	'106111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(129,	2,	5,	27,	'APRICOT TUNISIA',	'106112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(130,	2,	5,	27,	'APRICOT TURKEY',	'106113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(131,	2,	5,	27,	'APRICOT PAK',	'106114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	5,	NULL),
(132,	4,	6,	29,	'ARTICHOKE (TOPINAMBOUR) HOLLAND',	'107101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(133,	4,	6,	30,	'ARTICHOKE HOLLAND',	'107102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(134,	4,	6,	30,	'ARTICHOKE THAI',	'107103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(135,	4,	6,	30,	'ARTICHOKE UGANDA',	'107104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(136,	4,	6,	30,	'ARTICHOKE AUS',	'107105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(137,	4,	6,	30,	'ARTICHOKE EGYPT',	'107106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(138,	4,	6,	30,	'ARTICHOKE FRANCE',	'107107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(139,	4,	7,	31,	'ASPARAGUS WHITE HOLLAND',	'108101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(140,	4,	7,	31,	'ASPARAGUS WHITE THAI',	'108102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(141,	4,	7,	32,	'ASPARAGUS BABY AUS',	'108103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(142,	4,	7,	32,	'ASPARAGUS BABY HOLLAND',	'108104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(143,	4,	7,	32,	'ASPARAGUS BABY KENYA',	'108105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(144,	4,	7,	32,	'ASPARAGUS BABY THAI',	'108106',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(145,	4,	7,	32,	'ASPARAGUS BABY U.S.A',	'108107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(146,	4,	7,	2,	'ASPARAGUS GREEN AUS',	'108108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(147,	4,	7,	33,	'ASPARAGUS JUMBO GREEN HOLLAND',	'108109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(148,	4,	7,	33,	'ASPARAGUS JUMBO GREEN THAI',	'108110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(149,	2,	8,	34,	'AVOCADO IND',	'109101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(150,	2,	8,	34,	'AVOCADO JUMBO KENYA',	'109102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(151,	2,	8,	34,	'AVOCADO S LANKA',	'109103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(152,	2,	8,	34,	'AVOCADO UGANDA',	'109104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(153,	2,	8,	35,	'AVOCADO PERU',	'109105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(154,	2,	8,	35,	'AVOCADO AUS',	'109106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(155,	2,	8,	35,	'AVOCADO COLOMBIA',	'109107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(156,	2,	8,	35,	'AVOCADO HASS KENYA',	'109108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(157,	2,	8,	35,	'AVOCADO HASS MEXICO',	'109109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(158,	2,	8,	35,	'AVOCADO HASS PHILI',	'109110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(159,	2,	8,	35,	'AVOCADO U.S.A',	'109111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(160,	2,	8,	36,	'AVOCADO FUERTE KENYA',	'109112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(161,	2,	8,	36,	'AVOCADO LEBANON',	'109113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(162,	2,	8,	34,	'AVOCADO TURKEY',	'109114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(163,	2,	8,	34,	'AVOCADO HOLLAND',	'109115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(164,	2,	8,	37,	'AVOCADO BABY LEBANON',	'109116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	7,	NULL),
(165,	1,	9,	38,	'BAMBOO LEAV HOLLAND',	'110101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(166,	1,	9,	38,	'BAMBOO LEAV THAI',	'110102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(167,	4,	10,	39,	'BANANA FLOWER OMAN',	'111101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	8,	NULL),
(168,	2,	10,	40,	'BANANA CAVENDISH IND',	'111102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(169,	2,	10,	40,	'BANANA CAVENDISH OMAN',	'111103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(170,	2,	10,	40,	'BANANA CAVENDISH PHILI',	'111104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(171,	2,	10,	40,	'BANANA CAVENDISH S LANKA',	'111105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(172,	2,	10,	40,	'BANANA CAVENDISH UGANDA',	'111106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(173,	2,	10,	41,	'BANANA CAVENDISH DOLE S LANKA',	'111107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(174,	2,	10,	42,	'BANANA CAVENDISH DOLE SNACK PHILI',	'111108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(175,	2,	10,	43,	'BANANA CAVENDISH DOLE SWEET PHILI',	'111109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(176,	4,	10,	44,	'BANANA STUMP OMAN',	'111110',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	8,	NULL),
(177,	4,	10,	45,	'BANANA TREE OMAN',	'111111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	8,	NULL),
(178,	2,	10,	46,	'BANANA PLANTAIN YELLOW IND',	'111112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(179,	2,	10,	46,	'BANANA PLANTAIN YELLOW OMAN',	'111113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(180,	2,	10,	46,	'BANANA PLANTAIN YELLOW S LANKA',	'111114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(181,	2,	10,	47,	'BANANA PLANTAIN GREEN IND',	'111115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(182,	2,	10,	47,	'BANANA PLANTAIN GREEN OMAN',	'111116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(183,	2,	10,	47,	'BANANA PLANTAIN GREEN S LANKA',	'111117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(184,	2,	10,	14,	'BANANA RED IND',	'111118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(185,	2,	10,	14,	'BANANA RED S LANKA',	'111119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(186,	2,	10,	48,	'BANANA POOVAN OMAN',	'111120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(187,	2,	10,	48,	'BANANA POOVAN S LANKA',	'111121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(188,	2,	10,	49,	'BANANA SABA(ALU KESAL) S LANKA',	'111122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(189,	4,	10,	50,	'BANANA SABA(CURRY) OMAN',	'111123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	8,	NULL),
(190,	2,	10,	51,	'BANANA SMALL OMAN',	'111124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(191,	2,	10,	52,	'BANANA SMALL S LANKA',	'111125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(192,	2,	10,	53,	'BANANA RASAKADHALI IND',	'111126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(193,	2,	10,	54,	'BANANA ASH OMAN',	'111127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(194,	2,	10,	54,	'BANANA ASH S LANKA',	'111128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(195,	2,	10,	40,	'BANANA CAVENDISH ECUADOR',	'111129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(196,	1,	10,	55,	'BANANA LEAF IND',	'111130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	8,	NULL),
(197,	1,	10,	55,	'BANANA LEAF OMAN',	'111131',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	8,	NULL),
(198,	2,	10,	48,	'BANANA POOVAN IND',	'111132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(199,	2,	10,	40,	'BANANA CAVENDISH HOLLAND',	'111133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(200,	2,	10,	14,	'BANANA RED UGANDA',	'111134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	9,	NULL),
(201,	1,	11,	56,	'BASIL LEAVES SWEET THAI',	'112101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(202,	1,	11,	56,	'BASIL LEAVES SWEET VIETNAM',	'112102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(203,	1,	11,	57,	'BASIL LEAVES THAI',	'112103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(204,	1,	11,	57,	'BASIL LEAVES POT HOLLAND',	'112104',	9,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(205,	1,	11,	57,	'BASIL LEAVES KENYA',	'112105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(206,	1,	11,	56,	'BASIL LEAVES SWEET KENYA',	'112106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(207,	1,	11,	57,	'BASIL LEAVES HOLLAND',	'112107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(208,	1,	11,	57,	'BASIL LEAVES OMAN',	'112108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(209,	4,	12,	2,	'BEANS GREEN PAK',	'114101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(210,	4,	12,	2,	'BEANS GREEN S LANKA',	'114102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(211,	4,	12,	2,	'BEANS GREEN UGANDA',	'114103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(212,	4,	12,	58,	'BEANS GREEN YELLOW UGANDA',	'114104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(213,	4,	12,	59,	'BEANS LONG IND',	'114105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(214,	4,	12,	59,	'BEANS LONG OMAN',	'114106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(215,	4,	12,	59,	'BEANS LONG S LANKA',	'114107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(216,	4,	12,	60,	'BEANS BUTTER S LANKA',	'114108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(217,	4,	12,	60,	'BEANS BUTTER UGANDA',	'114109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(218,	4,	12,	61,	'BEANS FRENCH IND',	'114110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(219,	4,	12,	61,	'BEANS FRENCH IRAN',	'114111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(220,	4,	12,	61,	'BEANS FRENCH JORDAN',	'114112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(221,	4,	12,	61,	'BEANS FRENCH KENYA',	'114113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(222,	4,	12,	61,	'BEANS FRENCH LEBANON',	'114114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(223,	4,	12,	61,	'BEANS FRENCH OMAN',	'114115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(224,	4,	12,	61,	'BEANS FRENCH PAK',	'114116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(225,	4,	12,	61,	'BEANS FRENCH S LANKA',	'114117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(226,	4,	12,	61,	'BEANS FRENCH SAUDI',	'114118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(227,	4,	12,	61,	'BEANS FRENCH SYRIA',	'114119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(228,	4,	12,	61,	'BEANS FRENCH TURKEY',	'114120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(229,	4,	12,	62,	'BEANS RUNNER IND',	'114121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(230,	4,	12,	62,	'BEANS RUNNER OMAN',	'114122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(231,	4,	12,	1,	'BEANS SPROUTS AUS',	'114123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(232,	4,	12,	1,	'BEANS SPROUTS HOLLAND',	'114124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(233,	4,	12,	1,	'BEANS SPROUTS KENYA',	'114125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(234,	4,	12,	1,	'BEANS SPROUTS OMAN',	'114126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(235,	4,	12,	1,	'BEANS SPROUTS THAI',	'114127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(236,	4,	12,	14,	'BEANS RED UGANDA',	'114128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(237,	4,	12,	63,	'BEANS PAPDI IND',	'114129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(238,	4,	12,	63,	'BEANS PAPDI OMAN',	'114130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(239,	4,	12,	63,	'BEANS PAPDI S LANKA',	'114131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(240,	4,	12,	62,	'BEANS RUNNER HOLLAND',	'114132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(241,	4,	12,	64,	'BEANS SURTI PAPDI IND',	'114133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(242,	4,	12,	59,	'BEANS LONG BANGLA',	'114134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(243,	4,	12,	61,	'BEANS FRENCH EGYPT',	'114135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	10,	NULL),
(244,	4,	12,	65,	'BEANS ANGLED(DAMBALA) S LANKA',	'114136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(245,	4,	12,	66,	'BEANS PAPDI RED OMAN',	'114137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(246,	4,	12,	67,	'BEANS LONG WHITE OMAN',	'114138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(247,	4,	13,	68,	'BEETROOT SYRIA',	'115101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(248,	4,	13,	68,	'BEETROOT IND',	'115102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(249,	4,	13,	68,	'BEETROOT IRAN',	'115103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(250,	4,	13,	68,	'BEETROOT OMAN',	'115104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(251,	4,	13,	68,	'BEETROOT SAUDI',	'115105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(252,	4,	13,	69,	'BEET ROOT COOKED HOLLAND',	'115106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	13,	NULL),
(253,	4,	13,	70,	'BEET(CHARD) GREEN AUS',	'115107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	14,	NULL),
(254,	4,	13,	71,	'BEET(CHARD) RED AUS',	'115108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	15,	NULL),
(255,	4,	13,	68,	'BEETROOT HOLLAND',	'115109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(256,	4,	13,	72,	'BEETROOT BABY HOLLAND',	'115110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(257,	2,	14,	73,	'BER FRUIT (JUJUBE) IND',	'116101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(258,	2,	14,	73,	'BER FRUIT (JUJUBE) IRAN',	'116102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(259,	2,	14,	73,	'BER FRUIT (JUJUBE) JORDAN',	'116103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(260,	2,	14,	73,	'BER FRUIT (JUJUBE)  OMAN',	'116104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(261,	2,	14,	73,	'BER FRUIT (JUJUBE)  CHINA',	'116105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(262,	2,	14,	74,	'BER FRUIT (JUJUBI) AUS',	'116106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(263,	4,	15,	2,	'BITTER GOURD GREEN BANGLA',	'117101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(264,	4,	15,	2,	'BITTER GOURD GREEN IND',	'117102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(265,	4,	15,	2,	'BITTER GOURD GREEN OMAN',	'117103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(266,	4,	15,	2,	'BITTER GOURD GREEN PAK',	'117104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(267,	4,	15,	2,	'BITTER GOURD GREEN S LANKA',	'117105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(268,	4,	15,	31,	'BITTER GOURD WHITE IND',	'117106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(269,	4,	15,	2,	'BITTER GOURD GREEN SAUDI',	'117107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(270,	4,	15,	28,	'BITTER GOURD DRY OMAN',	'117108',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(271,	2,	16,	75,	'CRANBERRY HOLLAND',	'118101',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(272,	2,	16,	75,	'CRANBERRY U.S.A',	'118102',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(273,	2,	16,	76,	'MIXED BERRY  HOLLAND',	'118103',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(274,	2,	16,	77,	'STRAWBERRY AUS',	'118104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(275,	2,	16,	77,	'STRAWBERRY EGYPT',	'118105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(276,	2,	16,	77,	'STRAWBERRY ETHIOPIA',	'118106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(277,	2,	16,	78,	'BLACKBERRY AUS',	'118107',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(278,	2,	16,	77,	'STRAWBERRY HOLLAND',	'118108',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(279,	2,	16,	77,	'STRAWBERRY JORDAN',	'118109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(280,	2,	16,	77,	'STRAWBERRY LEBANON',	'118110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(281,	2,	16,	77,	'STRAWBERRY MOROCCO',	'118111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(282,	2,	16,	77,	'STRAWBERRY U.S.A',	'118112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(283,	2,	16,	79,	'RASPBERRY AUS',	'118113',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(284,	2,	16,	78,	'BLACKBERRY HOLLAND',	'118114',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(285,	2,	16,	78,	'BLACKBERRY U.S.A',	'118115',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(286,	2,	16,	80,	'BLUEBERRY AUS',	'118116',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(287,	2,	16,	80,	'BLUEBERRY HOLLAND',	'118117',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(288,	2,	16,	80,	'BLUEBERRY U.S.A',	'118118',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(289,	2,	16,	75,	'CRANBERRY AUS',	'118119',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(290,	2,	16,	79,	'RASPBERRY HOLLAND',	'118120',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(291,	2,	16,	79,	'RASPBERRY U.S.A',	'118121',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(292,	2,	16,	81,	'REDBERRY(CURRANT) AUS',	'118122',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	20,	NULL),
(293,	2,	16,	81,	'REDBERRY(CURRANT) HOLLAND',	'118123',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	20,	NULL),
(294,	2,	16,	81,	'REDBERRY(CURRANT) U.S.A',	'118124',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	20,	NULL),
(295,	2,	16,	80,	'BLUEBERRY MOROCCO',	'118125',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	17,	NULL),
(296,	2,	16,	79,	'RASPBERRY MOROCCO',	'118126',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(297,	2,	16,	78,	'BLACKBERRY MOROCCO',	'118127',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	19,	NULL),
(298,	2,	16,	77,	'STRAWBERRY S AFRICA',	'118128',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(299,	2,	16,	82,	'PINEBERRY HOLLAND',	'118129',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	21,	NULL),
(300,	2,	16,	83,	'STRASBERRY HOLLAND',	'118130',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(301,	2,	16,	77,	'STRAWBERRY OMAN',	'118131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	18,	NULL),
(302,	2,	17,	73,	'BREADFRUIT OMAN',	'120101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(303,	2,	17,	73,	'BREADFRUIT S LANKA',	'120102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(304,	2,	17,	73,	'BREADFRUIT IND',	'120103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(305,	4,	18,	84,	'BROCCOLI AUS',	'121101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(306,	4,	18,	84,	'BROCCOLI CHINA',	'121102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(307,	4,	18,	84,	'BROCCOLI EGYPT',	'121103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(308,	4,	18,	84,	'BROCCOLI HOLLAND',	'121104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(309,	4,	18,	84,	'BROCCOLI SPAIN',	'121105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(310,	4,	18,	84,	'BROCCOLI U.S.A',	'121106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(311,	4,	18,	85,	'BROCCOLI MINI AUS',	'121107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(312,	4,	18,	86,	'BROCCOLI ROMANESCO HOLLAND',	'121108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(313,	4,	18,	87,	'BROCCOLI (CHINIES) KALE THAI',	'121109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(314,	4,	18,	84,	'BROCCOLI OMAN',	'121110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(315,	4,	18,	85,	'BROCCOLI MINI S AFRICA',	'121111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(316,	4,	18,	85,	'BROCCOLI MINI THAI',	'121112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(317,	4,	18,	84,	'BROCCOLI IRAN',	'121113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(318,	4,	18,	85,	'BROCCOLI MINI HOLLAND',	'121114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(319,	4,	19,	1,	'BRUSSEL SPROUTS AUS',	'122101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(320,	4,	19,	1,	'BRUSSEL SPROUTS HOLLAND',	'122102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(321,	4,	19,	1,	'BRUSSEL SPROUTS OMAN',	'122103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(322,	4,	19,	1,	'BRUSSEL SPROUTS U.S.A',	'122104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	1,	NULL),
(323,	4,	20,	88,	'CABBAGE SPRING AUS',	'123101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(324,	4,	20,	88,	'CABBAGE SPRING HOLLAND',	'123102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(325,	4,	20,	89,	'CABBAGE SAVOY AUS',	'123103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(326,	4,	20,	31,	'CABBAGE WHITE AUS',	'123104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(327,	4,	20,	31,	'CABBAGE WHITE HOLLAND',	'123105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(328,	4,	20,	31,	'CABBAGE WHITE OMAN',	'123106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(329,	4,	20,	14,	'CABBAGE RED CHINA',	'123107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(330,	4,	20,	14,	'CABBAGE RED IRAN',	'123108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(331,	4,	20,	14,	'CABBAGE RED LEBANON',	'123109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(332,	4,	20,	14,	'CABBAGE RED OMAN',	'123110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(333,	4,	20,	14,	'CABBAGE RED SAUDI',	'123111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(334,	4,	20,	14,	'CABBAGE RED SYRIA',	'123112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(335,	4,	20,	14,	'CABBAGE RED U.A.E',	'123113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(336,	4,	20,	89,	'CABBAGE SAVOY HOLLAND',	'123114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(337,	4,	20,	90,	'CABBAGE RED MINI HOLLAND',	'123115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(338,	4,	20,	90,	'CABBAGE RED MINI S AFRICA',	'123116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(339,	4,	20,	90,	'CABBAGE RED MINI THAI',	'123117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(340,	4,	20,	2,	'CABBAGE GREEN HOLLAND',	'123118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(341,	4,	20,	2,	'CABBAGE GREEN IRAN',	'123119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(342,	4,	20,	2,	'CABBAGE GREEN JORDAN',	'123120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(343,	4,	20,	2,	'CABBAGE GREEN LEBANON',	'123121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(344,	4,	20,	2,	'CABBAGE GREEN OMAN',	'123122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(345,	4,	20,	2,	'CABBAGE GREEN SAUDI',	'123123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(346,	4,	20,	91,	'CABBAGE GREEN MINI HOLLAND',	'123124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(347,	4,	20,	91,	'CABBAGE GREEN MINI S AFRICA',	'123125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(348,	4,	20,	91,	'CABBAGE GREEN MINI THAI',	'123126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(349,	4,	20,	2,	'CABBAGE GREEN CHINA',	'123127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(350,	4,	20,	92,	'CABBAGE KALE HOLLAND',	'123128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(351,	4,	20,	92,	'CABBAGE KALE OMAN',	'123129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(352,	4,	20,	92,	'CABBAGE KALE SPAIN',	'123130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(353,	4,	20,	92,	'CABBAGE KALE THAI',	'123131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(354,	4,	20,	93,	'CABBAGE CHINIES HOLLAND',	'123132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(355,	4,	20,	93,	'CABBAGE CHINIES IRAN',	'123133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(356,	4,	20,	93,	'CABBAGE CHINIES OMAN',	'123134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(357,	4,	20,	93,	'CABBAGE CHINIES AUS',	'123135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(358,	4,	20,	93,	'CABBAGE CHINIES CHINA',	'123136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(359,	4,	20,	2,	'CABBAGE GREEN SYRIA',	'123137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(360,	4,	20,	2,	'CABBAGE GREEN U.A.E',	'123138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(361,	4,	20,	2,	'CABBAGE GREEN YEMEN',	'123139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(362,	4,	20,	89,	'CABBAGE SAVOY OMAN',	'123140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(363,	4,	21,	85,	'CAPSICUM MINI HOLLAND',	'124101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(364,	4,	21,	85,	'CAPSICUM MINI OMAN',	'124102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(365,	4,	21,	85,	'CAPSICUM MINI THAI',	'124103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(366,	4,	21,	14,	'CAPSICUM RED CHINA',	'124104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(367,	4,	21,	14,	'CAPSICUM RED EGYPT',	'124105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(368,	4,	21,	14,	'CAPSICUM RED HOLLAND',	'124106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(369,	4,	21,	14,	'CAPSICUM RED IND',	'124107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(370,	4,	21,	14,	'CAPSICUM RED IRAN',	'124108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(371,	4,	21,	14,	'CAPSICUM RED JORDAN',	'124109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(372,	4,	21,	24,	'CAPSICUM MIX HOLLAND',	'124110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(373,	4,	21,	24,	'CAPSICUM MIX OMAN',	'124111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(374,	4,	21,	2,	'CAPSICUM GREEN HOLLAND',	'124112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(375,	4,	21,	2,	'CAPSICUM GREEN IND',	'124113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(376,	4,	21,	2,	'CAPSICUM GREEN IRAN',	'124114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(377,	4,	21,	2,	'CAPSICUM GREEN JORDAN',	'124115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(378,	4,	21,	2,	'CAPSICUM GREEN LEBANON',	'124116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(379,	4,	21,	2,	'CAPSICUM GREEN OMAN',	'124117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(380,	4,	21,	2,	'CAPSICUM GREEN SAUDI',	'124118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(381,	4,	21,	2,	'CAPSICUM GREEN SYRIA',	'124119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(382,	4,	21,	94,	'CAPSICUM PURPLE IRAN',	'124120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(383,	4,	21,	94,	'CAPSICUM PURPLE JORDAN',	'124121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(384,	4,	21,	94,	'CAPSICUM PURPLE OMAN',	'124122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(385,	4,	21,	14,	'CAPSICUM RED LEBANON',	'124123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(386,	4,	21,	90,	'CAPSICUM RED MINI HOLLAND',	'124124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(387,	4,	21,	95,	'CAPSICUM YELLOW MINI HOLLAND',	'124125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(388,	4,	21,	14,	'CAPSICUM RED OMAN',	'124126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(389,	4,	21,	96,	'CAPSICUM ORANGE SAUDI',	'124127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(390,	4,	21,	96,	'CAPSICUM ORANGE SYRIA',	'124128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(391,	4,	21,	97,	'CAPSICUM ORANGE MINI HOLLAND',	'124129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(392,	4,	21,	96,	'CAPSICUM ORANGE CHINA',	'124130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(393,	4,	21,	96,	'CAPSICUM ORANGE EGYPT',	'124131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(394,	4,	21,	98,	'CAPSICUM YELLOW OMAN',	'124132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(395,	4,	21,	98,	'CAPSICUM YELLOW SAUDI',	'124133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(396,	4,	21,	98,	'CAPSICUM YELLOW SYRIA',	'124134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(397,	4,	21,	98,	'CAPSICUM YELLOW CHINA',	'124135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(398,	4,	21,	98,	'CAPSICUM YELLOW EGYPT',	'124136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(399,	4,	21,	98,	'CAPSICUM YELLOW HOLLAND',	'124137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(400,	4,	21,	98,	'CAPSICUM YELLOW IND',	'124138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(401,	4,	21,	98,	'CAPSICUM YELLOW IRAN',	'124139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(402,	4,	21,	98,	'CAPSICUM YELLOW JORDAN',	'124140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(403,	4,	21,	98,	'CAPSICUM YELLOW LEBANON',	'124141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(404,	4,	21,	94,	'CAPSICUM PURPLE HOLLAND',	'124142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(405,	4,	21,	96,	'CAPSICUM ORANGE HOLLAND',	'124143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(406,	4,	21,	96,	'CAPSICUM ORANGE IND',	'124144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(407,	4,	21,	96,	'CAPSICUM ORANGE IRAN',	'124145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(408,	4,	21,	96,	'CAPSICUM ORANGE JORDAN',	'124146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(409,	4,	21,	96,	'CAPSICUM ORANGE LEBANON',	'124147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(410,	4,	21,	96,	'CAPSICUM ORANGE OMAN',	'124148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(411,	4,	21,	91,	'CAPSICUM GREEN MINI OMAN',	'124149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(412,	4,	21,	90,	'CAPSICUM RED MINI OMAN',	'124150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(413,	4,	21,	95,	'CAPSICUM YELLOW MINI OMAN',	'124151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(414,	4,	21,	2,	'CAPSICUM GREEN S LANKA',	'124152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(415,	4,	21,	31,	'CAPSICUM WHITE OMAN',	'124153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(416,	4,	21,	99,	'CAPSICUM MINI MIX HOLLAND',	'124154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(417,	4,	22,	14,	'CARROT RED IND',	'125101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(418,	4,	22,	94,	'CARROT PURPLE HOLLAND',	'125102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(419,	4,	22,	32,	'CARROT BABY U.S.A',	'125103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(420,	4,	22,	100,	'CARROT CHINA',	'125104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(421,	4,	22,	100,	'CARROT IND',	'125105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(422,	4,	22,	100,	'CARROT JORDAN',	'125106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(423,	4,	22,	100,	'CARROT OMAN',	'125107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(424,	4,	22,	100,	'CARROT PAK',	'125108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(425,	4,	22,	100,	'CARROT SAUDI',	'125109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(426,	4,	22,	100,	'CARROT SYRIA',	'125110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(427,	4,	22,	100,	'CARROT U.S.A',	'125111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(428,	4,	22,	100,	'CARROT AUS',	'125112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(429,	4,	22,	32,	'CARROT BABY AUS',	'125113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(430,	4,	22,	32,	'CARROT BABY HOLLAND',	'125114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(431,	4,	22,	100,	'CARROT BELGIUM',	'125115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(432,	4,	22,	100,	'CARROT TURKEY',	'125116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(433,	4,	22,	100,	'CARROT HOLLAND',	'125117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(434,	4,	22,	101,	'CARROT BABY WITH LEAF HOLLAND',	'125118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(435,	4,	22,	102,	'CARROT BABY RAINBOW HOLLAND',	'125119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(436,	4,	22,	100,	'CARROT IRAN',	'125120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(437,	4,	22,	32,	'CARROT BABY S AFRICA',	'125121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(438,	4,	22,	100,	'CARROT VIETNAM',	'125122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(439,	4,	23,	103,	'CAULIFLOWER CHINA',	'126101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(440,	4,	23,	103,	'CAULIFLOWER HOLLAND',	'126102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(441,	4,	23,	103,	'CAULIFLOWER IRAN',	'126103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(442,	4,	23,	103,	'CAULIFLOWER JORDAN',	'126104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(443,	4,	23,	103,	'CAULIFLOWER LEBANON',	'126105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(444,	4,	23,	85,	'CAULIFLOWER MINI AUS',	'126106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(445,	4,	23,	103,	'CAULIFLOWER SYRIA',	'126107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(446,	4,	23,	103,	'CAULIFLOWER OMAN',	'126108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(447,	4,	23,	103,	'CAULIFLOWER SAUDI',	'126109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(448,	4,	23,	103,	'CAULIFLOWER SPAIN',	'126110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(449,	4,	24,	104,	'CELERY AUS',	'127101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(450,	4,	24,	104,	'CELERY CHINA',	'127102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(451,	4,	24,	104,	'CELERY HOLLAND',	'127103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(452,	4,	24,	104,	'CELERY IRAN',	'127104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(453,	4,	24,	105,	'CELERY ROOT AUS',	'127105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(454,	4,	24,	105,	'CELERY ROOT HOLLAND',	'127106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(455,	4,	24,	105,	'CELERY ROOT THAI',	'127107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(456,	4,	24,	104,	'CELERY OMAN',	'127108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(457,	4,	24,	104,	'CELERY SPAIN',	'127109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(458,	4,	24,	104,	'CELERY THAI',	'127110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(459,	4,	24,	104,	'CELERY U.S.A',	'127111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(460,	4,	25,	106,	'CHAYOTE(CHOCHO) AUS',	'128101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(461,	4,	25,	106,	'CHAYOTE(CHOCHO) HOLLAND',	'128102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(462,	4,	25,	106,	'CHAYOTE(CHOCHO) IND',	'128103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(463,	4,	25,	106,	'CHAYOTE(CHOCHO) S LANKA',	'128104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(464,	2,	26,	107,	'CHERRY AUS',	'129101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(465,	2,	26,	107,	'CHERRY CHILE',	'129102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(466,	2,	26,	107,	'CHERRY IRAN',	'129103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(467,	2,	26,	107,	'CHERRY LEBANON',	'129104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(468,	2,	26,	107,	'CHERRY S AFRICA',	'129105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(478,	2,	26,	107,	'CHERRY SYRIA',	'129106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(479,	2,	26,	107,	'CHERRY TURKEY',	'129107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(480,	2,	26,	107,	'CHERRY U.S.A',	'129108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	27,	NULL),
(481,	1,	27,	108,	'CHERVIL HOLLAND',	'130101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(482,	1,	27,	108,	'CHERVIL KENYA',	'130102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	29,	NULL),
(483,	1,	27,	108,	'CHERVIL THAI',	'130103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	30,	NULL),
(484,	1,	27,	108,	'CHERVIL AUS',	'130104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	31,	NULL),
(485,	4,	28,	109,	'CHESTNUT CHINA',	'131101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	32,	NULL),
(486,	4,	28,	109,	'CHESTNUT TURKEY',	'131102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	32,	NULL),
(487,	4,	28,	110,	'WATER CHESTNUT IND',	'131103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	32,	NULL),
(488,	4,	29,	2,	'CHICORY GREEN OMAN',	'132101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(489,	4,	29,	2,	'CHICORY GREEN THAI',	'132102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(490,	4,	29,	2,	'CHICORY GREEN U.S.A',	'132103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(491,	4,	29,	14,	'CHICORY RED AUS',	'132104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(492,	4,	29,	14,	'CHICORY RED HOLLAND',	'132105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(493,	4,	29,	14,	'CHICORY RED OMAN',	'132106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(494,	4,	29,	2,	'CHICORY GREEN AUS',	'132107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(495,	4,	29,	2,	'CHICORY GREEN HOLLAND',	'132108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(496,	4,	29,	14,	'CHICORY RED THAI',	'132109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(497,	4,	29,	14,	'CHICORY RED U.S.A',	'132110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	33,	NULL),
(498,	4,	30,	111,	'CHILLI RED SMALL THAI',	'133101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(499,	4,	30,	14,	'CHILLI RED SPAIN',	'133102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(500,	4,	30,	14,	'CHILLI RED THAI',	'133103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(501,	4,	30,	14,	'CHILLI RED UGANDA',	'133104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(502,	4,	30,	112,	'CHILLI SAMBAR IND',	'133105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(503,	4,	30,	113,	'CHILLI RED (JALAPENO) HOLLAND',	'133106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(504,	4,	30,	114,	'CHILLI HOT HOLLAND',	'133107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(505,	4,	30,	114,	'CHILLI HOT THAI',	'133108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(506,	4,	30,	114,	'CHILLI HOT UGANDA',	'133109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(507,	4,	30,	14,	'CHILLI RED AUS',	'133110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(508,	4,	30,	14,	'CHILLI RED HOLLAND',	'133111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(509,	4,	30,	14,	'CHILLI RED OMAN',	'133112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(510,	4,	30,	115,	'CHILLI LONG GREEN HOLLAND',	'133113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(511,	4,	30,	115,	'CHILLI LONG GREEN IRAN',	'133114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(512,	4,	30,	115,	'CHILLI LONG GREEN JORDAN',	'133115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(513,	4,	30,	115,	'CHILLI LONG GREEN OMAN',	'133116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(514,	4,	30,	115,	'CHILLI LONG GREEN S LANKA',	'133117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(515,	4,	30,	115,	'CHILLI LONG GREEN SAUDI',	'133118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(516,	4,	30,	115,	'CHILLI LONG GREEN SYRIA',	'133119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(517,	4,	30,	116,	'CHILLI LONG YELLOW OMAN',	'133120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(518,	4,	30,	116,	'CHILLI LONG YELLOW THAI',	'133121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(519,	4,	30,	51,	'CHILLI GREEN SMALL THAI',	'133122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(520,	4,	30,	2,	'CHILLI GREEN IRAN',	'133123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(521,	4,	30,	2,	'CHILLI GREEN OMAN',	'133124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(522,	4,	30,	2,	'CHILLI GREEN PAK',	'133125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(523,	4,	30,	2,	'CHILLI GREEN S LANKA',	'133126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(524,	4,	30,	2,	'CHILLI GREEN THAI',	'133127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(525,	4,	30,	2,	'CHILLI GREEN UGANDA',	'133128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(526,	4,	30,	2,	'CHILLI GREEN BANGLA',	'133129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(527,	4,	30,	2,	'CHILLI GREEN HOLLAND',	'133130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(528,	4,	30,	2,	'CHILLI GREEN IND',	'133131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(529,	4,	30,	117,	'CHILLI GREEN (JALAPENO) HOLLAND',	'133132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(530,	4,	30,	115,	'CHILLI LONG GREEN THAI',	'133133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(531,	4,	30,	115,	'CHILLI LONG GREEN TURKEY',	'133134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(532,	4,	30,	118,	'CHILLI LONG ORANGE THAI',	'133135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(533,	4,	30,	119,	'CHILLI LONG RED HOLLAND',	'133136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(534,	4,	30,	119,	'CHILLI LONG RED OMAN',	'133137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(535,	4,	30,	119,	'CHILLI LONG RED THAI',	'133138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(536,	4,	30,	120,	'CHILLI BIRD(KANTHARI) HOLLAND',	'133139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(537,	4,	30,	120,	'CHILLI BIRD(KANTHARI) IND',	'133140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(538,	4,	30,	120,	'CHILLI BIRD(KANTHARI) OMAN',	'133141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(539,	4,	30,	117,	'CHILLI GREEN (JALAPENO) OMAN',	'133142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(540,	4,	30,	2,	'CHILLI GREEN SAUDI',	'133143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(541,	4,	30,	119,	'CHILLI LONG RED EGYPT',	'133144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(542,	4,	30,	118,	'CHILLI LONG ORANGE OMAN',	'133145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(543,	4,	30,	116,	'CHILLI LONG YELLOW HOLLAND',	'133146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	24,	NULL),
(544,	1,	31,	121,	'CHINIES KALE THAI',	'134101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	22,	NULL),
(545,	1,	32,	122,	'CHIVES AUS',	'135101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(546,	1,	32,	122,	'CHIVES HOLLAND',	'135102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(547,	1,	32,	122,	'CHIVES KENYA',	'135103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(548,	1,	32,	122,	'CHIVES THAI',	'135104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(549,	1,	32,	122,	'CHIVES U.S.A',	'135105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(550,	1,	32,	122,	'CHIVES OMAN',	'135106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(551,	2,	33,	28,	'COCONUT DRY IND',	'136101',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	34,	NULL),
(552,	2,	33,	28,	'COCONUT DRY OMAN',	'136102',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	34,	NULL),
(553,	2,	33,	28,	'COCONUT DRY S LANKA',	'136103',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	34,	NULL),
(554,	2,	33,	123,	'COCONUT TENDER GREEN IND',	'136104',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	35,	NULL),
(555,	2,	33,	123,	'COCONUT TENDER GREEN OMAN',	'136105',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	35,	NULL),
(556,	2,	33,	123,	'COCONUT TENDER GREEN S LANKA',	'136106',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	35,	NULL),
(557,	2,	33,	123,	'COCONUT TENDER GREEN THAI',	'136107',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	35,	NULL),
(558,	2,	33,	123,	'COCONUT TENDER GREEN VIETNAM',	'136108',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	35,	NULL),
(559,	2,	33,	124,	'COCONUT TENDER YELLOW OMAN',	'136109',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	35,	NULL),
(560,	1,	34,	125,	'CORIANDER CRESS HOLLAND',	'137101',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(561,	1,	34,	126,	'CORIANDER LEAVES EGYPT',	'137102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(562,	1,	34,	126,	'CORIANDER LEAVES IND',	'137103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(563,	1,	34,	126,	'CORIANDER LEAVES OMAN',	'137104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(564,	1,	34,	126,	'CORIANDER LEAVES PAK',	'137105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(565,	1,	34,	126,	'CORIANDER LEAVES SAUDI',	'137106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(566,	1,	34,	126,	'CORIANDER LEAVES THAI',	'137107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(567,	1,	34,	126,	'CORIANDER LEAVES HOLLAND',	'137109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(568,	1,	34,	126,	'CORIANDER LEAVES S LANKA',	'137110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	36,	NULL),
(569,	4,	35,	127,	'CORN SWEET HOLLAND',	'139101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(570,	4,	35,	127,	'CORN SWEET JORDAN',	'139102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(571,	4,	35,	127,	'CORN SWEET OMAN',	'139103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(572,	4,	35,	127,	'CORN SWEET SAUDI',	'139104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(573,	4,	35,	127,	'CORN SWEET THAI',	'139105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(574,	4,	35,	32,	'CORN BABY AUS',	'139106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(575,	4,	35,	32,	'CORN BABY HOLLAND',	'139107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(576,	4,	35,	32,	'CORN BABY THAI',	'139108',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(577,	4,	35,	127,	'CORN SWEET IRAN',	'139109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(578,	1,	36,	128,	'CRESS WATER HOLLAND',	'141101',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(579,	1,	36,	129,	'CRESS AFFILLA HOLLAND',	'141102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(580,	1,	36,	129,	'CRESS AFFILLA THAI',	'141103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(581,	1,	36,	129,	'CRESS AFFILLA U.S.A',	'141104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(582,	1,	36,	130,	'CRESS DAIKON HOLLAND',	'141105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(583,	1,	36,	130,	'CRESS DAIKON THAI',	'141106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(584,	1,	36,	130,	'CRESS DAIKON U.S.A',	'141107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(585,	1,	36,	131,	'CRESS KOPPERT(SAKURA MIX) HOLLAND',	'141108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(586,	1,	36,	132,	'CRESS MUSTARD HOLLAND',	'141109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(587,	1,	36,	132,	'CRESS MUSTARD THAI',	'141110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(588,	1,	36,	132,	'CRESS MUSTARD U.S.A',	'141111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(589,	1,	36,	133,	'CRESS ROCK CHIVES  HOLLAND',	'141112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(590,	1,	36,	134,	'CRESS SHISO HOLLAND',	'141113',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(591,	1,	36,	134,	'CRESS SHISO THAI',	'141114',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(592,	1,	36,	134,	'CRESS SHISO U.S.A',	'141115',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(593,	4,	37,	135,	'CUCUMBER YELLOW(VELLERI) IND',	'147101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(594,	4,	37,	135,	'CUCUMBER YELLOW(VELLERI) OMAN',	'147102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(595,	4,	37,	2,	'CUCUMBER GREEN HOLLAND',	'147103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(596,	4,	37,	2,	'CUCUMBER GREEN IRAN',	'147104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(597,	4,	37,	2,	'CUCUMBER GREEN JORDAN',	'147105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(598,	4,	37,	2,	'CUCUMBER GREEN OMAN',	'147106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(599,	4,	37,	2,	'CUCUMBER GREEN SAUDI',	'147107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(600,	4,	37,	2,	'CUCUMBER GREEN SYRIA',	'147108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(601,	4,	37,	31,	'CUCUMBER WHITE IND',	'147109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(602,	4,	37,	31,	'CUCUMBER WHITE OMAN',	'147110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(603,	4,	37,	31,	'CUCUMBER WHITE S LANKA',	'147111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(604,	4,	37,	2,	'CUCUMBER GREEN BANGLA',	'147112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	38,	NULL),
(605,	1,	38,	136,	'CURRY LEAVES IND',	'148101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(606,	1,	38,	136,	'CURRY LEAVES OMAN',	'148102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(607,	2,	39,	137,	'CUSTARD APPLE AUS',	'149101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(608,	2,	39,	137,	'CUSTARD APPLE EGYPT',	'149102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(609,	2,	39,	137,	'CUSTARD APPLE IND',	'149103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(610,	2,	39,	137,	'CUSTARD APPLE LEBANON',	'149104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(611,	2,	39,	137,	'CUSTARD APPLE MOROCCO',	'149105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(612,	2,	39,	138,	'CUSTARD APPLE (CHERIMOYA) HOLLAND',	'149106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(613,	2,	39,	137,	'CUSTARD APPLE S LANKA',	'149107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(614,	2,	39,	137,	'CUSTARD APPLE THAI',	'149108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(615,	2,	39,	138,	'CUSTARD APPLE (CHERIMOYA) IND',	'149109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(616,	2,	40,	139,	'DATES FRESH OMAN',	'150101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	39,	NULL),
(617,	2,	40,	139,	'DATES FRESH JORDAN',	'150102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	39,	NULL),
(618,	3,	40,	140,	'DATES KIMIA',	'150103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(619,	3,	40,	141,	'DATES OMAN',	'150104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(620,	3,	40,	141,	'DATES S AFRICA',	'150105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(621,	3,	40,	141,	'DATES SAUDI',	'150106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(622,	3,	40,	141,	'DATES IRAN',	'150107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(623,	3,	40,	141,	'DATES IRAQ',	'150108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(624,	3,	40,	141,	'DATES TUNISIA',	'150109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(625,	3,	40,	141,	'DATES U.A.E',	'150110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(626,	3,	40,	142,	'DATES PASTE  U.A.E',	'150111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(627,	3,	40,	143,	'DATES SYRUP U.A.E',	'150112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(628,	3,	40,	144,	'DATES MEDJOOL IRAN',	'150113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(629,	3,	40,	143,	'DATES SYRUP OMAN',	'150114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(630,	3,	40,	143,	'DATES SYRUP IRAN',	'150115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(631,	3,	40,	145,	'DATES TABSERA OMAN',	'150116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(632,	3,	40,	146,	'DATES BARHI OMAN',	'150117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(633,	3,	40,	147,	'DATES SAGAI SAUDI',	'150118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(634,	3,	40,	148,	'DATES MAAMOUL SAUDI',	'150119',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(635,	3,	40,	149,	'DATES HONEY IRAN',	'150120',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(636,	3,	40,	150,	'DATES COCONUT BALLS OMAN',	'150121',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(637,	3,	40,	151,	'DATES KHALAS SAUDI',	'150122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(638,	3,	40,	151,	'DATES KHALAS AL QASEEM SAUDI',	'150123',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(639,	3,	40,	151,	'DATES KHALAS UAE',	'150124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(640,	3,	40,	151,	'DATES KHALAS VIP UAE',	'150125',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(641,	3,	40,	143,	'DATES SYRUP GOLEN OMAN',	'150126',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(642,	3,	40,	152,	'DATES SUKKARI SAUDI',	'150127',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(643,	3,	40,	152,	'DATES SUKKARI OMAN',	'150128',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(644,	3,	40,	153,	'DATES SORBON IRAN',	'150129',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	41,	NULL),
(645,	3,	40,	154,	'DATES RAHASH IRAN',	'150130',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(646,	3,	40,	155,	'DATES KHALAS MALKY SAUDI',	'150131',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	40,	NULL),
(647,	1,	41,	156,	'DILL LEAVES EGYPT',	'151101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(648,	1,	41,	156,	'DILL LEAVES OMAN',	'151102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(649,	1,	41,	156,	'DILL LEAVES THAI',	'151103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(650,	2,	42,	73,	'DRAGON FRUIT IND',	'152101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(651,	2,	42,	73,	'DRAGON FRUIT THAI',	'152102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(652,	2,	42,	73,	'DRAGON FRUIT VIETNAM',	'152103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(653,	2,	42,	73,	'DRAGON FRUIT INDONESIA',	'152104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(654,	4,	43,	157,	'DRUMSTICK OMAN',	'153101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	42,	NULL),
(655,	4,	43,	157,	'DRUMSTICK IND',	'153102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	42,	NULL),
(656,	2,	44,	158,	'DURIAN S LANKA',	'154101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	43,	NULL),
(657,	2,	44,	158,	'DURIAN THAI',	'154102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	43,	NULL),
(658,	2,	44,	159,	'DURIAN PEELED THAI',	'154103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	43,	NULL),
(659,	2,	45,	73,	'EGG FRUIT AUS',	'155101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(660,	2,	45,	73,	'EGG FRUIT IND',	'155102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(661,	5,	45,	160,	'EGG BROWN BRAZIL',	'155103',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(662,	5,	45,	160,	'EGG BROWN HOLLAND',	'155104',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(663,	5,	45,	160,	'EGG BROWN IND',	'155105',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(664,	5,	45,	160,	'EGG BROWN IRAN',	'155106',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(665,	5,	45,	160,	'EGG BROWN KUWAIT',	'155107',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(666,	5,	45,	161,	'EGG BROWN (BARKA) OMAN',	'155108',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(667,	5,	45,	162,	'EGG BROWN (BIDIYA) OMAN',	'155109',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(668,	5,	45,	163,	'EGG BROWN (DANA) OMAN',	'155110',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(669,	5,	45,	164,	'EGG BROWN (GHADEER) SAUDI',	'155111',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(670,	5,	45,	160,	'EGG BROWN SAUDI',	'155112',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(671,	5,	45,	160,	'EGG BROWN U.A.E',	'155113',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(672,	5,	45,	160,	'EGG BROWN UKRAINE',	'155114',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(673,	2,	45,	165,	'EGG FRUIT(LAVULU) S LANKA',	'155115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(674,	2,	45,	73,	'EGG FRUIT THAI',	'155116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(675,	5,	45,	31,	'EGG WHITE SAUDI',	'155117',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(676,	5,	45,	31,	'EGG WHITE TURKEY',	'155118',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(677,	5,	45,	31,	'EGG WHITE U.A.E',	'155119',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(678,	5,	45,	31,	'EGG WHITE U.S.A',	'155120',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(679,	5,	45,	31,	'EGG WHITE UKRAINE',	'155121',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(680,	5,	45,	31,	'EGG WHITE BRAZIL',	'155122',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(681,	5,	45,	31,	'EGG WHITE HOLLAND',	'155123',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(682,	5,	45,	31,	'EGG WHITE IND',	'155124',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(683,	5,	45,	31,	'EGG WHITE IRAN',	'155125',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(684,	5,	45,	31,	'EGG WHITE KUWAIT',	'155126',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(685,	5,	45,	31,	'EGG WHITE POLAND',	'155127',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(686,	5,	45,	166,	'EGG WHITE (BARKA) OMAN',	'155128',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(687,	5,	45,	167,	'EGG WHITE (BIDIYA) OMAN',	'155129',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(688,	5,	45,	168,	'EGG WHITE (DANA) OMAN',	'155130',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(689,	5,	45,	169,	'EGG WHITE (GHADEER) SAUDI',	'155131',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(690,	5,	45,	160,	'EGG BROWN U.S.A',	'155132',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(691,	5,	45,	160,	'EGG BROWN TURKEY',	'155133',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(692,	5,	45,	31,	'EGG WHITE IND (PREMIUM)',	'155134',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(693,	5,	45,	170,	'EGG BROWN (ZAIN) OMAN',	'155135',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(694,	5,	45,	31,	'EGG WHITE SPAIN',	'155136',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(695,	5,	45,	160,	'EGG BROWN SPAIN',	'155137',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(696,	5,	45,	31,	'EGG WHITE OMAN',	'155138',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	44,	NULL),
(697,	5,	45,	171,	'EGG WHITE (DUCK) OMAN',	'155139',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	45,	NULL),
(698,	5,	45,	172,	'EGG WHITE (QUAIL) OMAN',	'155140',	7,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	45,	NULL),
(699,	4,	46,	31,	'EGGPLANT WHITE OMAN',	'156101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(700,	4,	46,	173,	'EGGPLANT PINK OMAN',	'156102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(701,	4,	46,	52,	'EGGPLANT SMALL OMAN',	'156103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(702,	4,	46,	174,	'EGGPLANT GREEN(THALANABATU) S LANKA',	'156104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(703,	4,	46,	174,	'EGGPLANT GREEN(THIBATU) S LANKA',	'156105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(704,	4,	46,	67,	'EGGPLANT LONG WHITE OMAN',	'156106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(705,	4,	46,	175,	'EGGPLANT MED IRAN',	'156107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(706,	4,	46,	175,	'EGGPLANT MED MOROCCO',	'156108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(707,	4,	46,	175,	'EGGPLANT MED OMAN',	'156109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(708,	4,	46,	175,	'EGGPLANT MED S LANKA',	'156110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(709,	4,	46,	175,	'EGGPLANT MED THAI',	'156111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(710,	4,	46,	94,	'EGGPLANT PURPLE OMAN',	'156112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(711,	4,	46,	59,	'EGGPLANT LONG OMAN',	'156113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(712,	4,	46,	115,	'EGGPLANT LONG GREEN OMAN',	'156114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(713,	4,	46,	85,	'EGGPLANT MINI HOLLAND',	'156115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(714,	4,	46,	85,	'EGGPLANT MINI THAI',	'156116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(715,	4,	46,	176,	'EGGPLANT BIG HOLLAND',	'156117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(716,	4,	46,	176,	'EGGPLANT BIG IRAN',	'156118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(717,	4,	46,	176,	'EGGPLANT BIG JORDAN',	'156119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(718,	4,	46,	176,	'EGGPLANT BIG OMAN',	'156120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(719,	4,	46,	176,	'EGGPLANT BIG SAUDI',	'156121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(720,	4,	46,	176,	'EGGPLANT BIG SYRIA',	'156122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(721,	4,	46,	2,	'EGGPLANT GREEN OMAN',	'156123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(722,	4,	46,	173,	'EGGPLANT PINK IND',	'156124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(723,	4,	46,	59,	'EGGPLANT LONG IRAN',	'156125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(724,	4,	46,	85,	'EGGPLANT MINI S AFRICA',	'156126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(725,	4,	46,	177,	'EGGPLANT STAR OMAN',	'156127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(726,	4,	46,	31,	'EGGPLANT WHITE UGANDA',	'156128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	46,	NULL),
(727,	4,	47,	178,	'FENNEL CHINA',	'157101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	47,	NULL),
(728,	4,	47,	178,	'FENNEL HOLLAND',	'157102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(729,	4,	47,	178,	'FENNEL OMAN',	'157103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(730,	4,	47,	85,	'FENNEL MINI AUS',	'157104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(731,	4,	47,	85,	'FENNEL MINI HOLLAND',	'157105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(732,	4,	47,	85,	'FENNEL MINI THAI',	'157106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(733,	4,	47,	178,	'FENNEL THAI',	'157107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(734,	4,	47,	178,	'FENNEL U.S.A',	'157108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(735,	4,	47,	85,	'FENNEL MINI S AFRICA',	'157109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(736,	2,	48,	73,	'FIGS FRUIT TURKEY',	'158101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(737,	2,	48,	73,	'FIGS FRUIT AUS',	'158102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(738,	2,	48,	73,	'FIGS FRUIT HOLLAND',	'158103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(739,	2,	48,	73,	'FIGS FRUIT S AFRICA',	'158104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(740,	2,	48,	73,	'FIGS FRUIT THAI',	'158105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(741,	2,	48,	73,	'FIGS FRUIT IND',	'158106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(742,	2,	48,	73,	'FIGS FRUIT OMAN',	'158107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	48,	NULL),
(743,	6,	49,	179,	'FLOWER EDIBLE HOLLAND',	'159101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	49,	NULL),
(744,	6,	49,	94,	'FLOWER PURPLE HOLLAND',	'159102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	49,	NULL),
(745,	6,	49,	24,	'FLOWER MIX HOLLAND',	'159103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	49,	NULL),
(746,	6,	49,	98,	'FLOWER YELLOW HOLLAND',	'159104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	49,	NULL),
(747,	6,	49,	24,	'FLOWER MIX INDIA',	'159105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	49,	NULL),
(748,	6,	49,	180,	'JASMINE FLOWER INDIA',	'159106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	49,	NULL),
(749,	6,	49,	181,	'CHRYSANTHEMUM (SEVANTHI ) FLOWER INDIA',	'159107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(750,	4,	50,	182,	'GALANGA THAI',	'160101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(751,	1,	51,	183,	'GARLIC SPRING OMAN',	'161101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(752,	4,	51,	159,	'GARLIC PEELED CHINA',	'161102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(753,	4,	51,	31,	'GARLIC WHITE CHINA',	'161103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(754,	4,	51,	31,	'GARLIC WHITE EGYPT',	'161104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(755,	4,	51,	31,	'GARLIC WHITE IND',	'161105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(756,	4,	51,	31,	'GARLIC WHITE IRAN',	'161106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(757,	1,	51,	31,	'GARLIC WHITE OMAN',	'161107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(758,	4,	51,	184,	'GARLIC PURE WHITE CHINA',	'161108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	51,	NULL),
(759,	7,	52,	185,	'GHEE SAMMAN OMAN',	'163101',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	52,	NULL),
(760,	4,	53,	186,	'GINGER MANGO IND',	'164101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(761,	1,	53,	187,	'GINGER LEAVES IND',	'164102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(762,	1,	53,	187,	'GINGER LEAVES OMAN',	'164103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(763,	4,	53,	188,	'GINGER S LANKA',	'164104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(764,	4,	53,	188,	'GINGER THAI',	'164105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(765,	4,	53,	188,	'GINGER UGANDA',	'164106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(766,	4,	53,	188,	'GINGER CHINA',	'164107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(767,	4,	53,	188,	'GINGER IND',	'164108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(768,	4,	53,	188,	'GINGER OMAN',	'164109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(769,	4,	53,	188,	'GINGER HOLLAND',	'164110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	50,	NULL),
(770,	2,	54,	189,	'GOOSEBERRY(AMLA) OMAN',	'165101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	20,	NULL),
(771,	2,	54,	189,	'GOOSEBERRY(AMLA) IND',	'165102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	20,	NULL),
(772,	4,	55,	190,	'GOTUKOLA S LANKA',	'166101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(773,	2,	56,	173,	'GRAPEFRUIT PINK OMAN',	'167101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(774,	2,	56,	173,	'GRAPEFRUIT PINK S AFRICA',	'167102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(775,	2,	56,	173,	'GRAPEFRUIT PINK SYRIA',	'167103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(776,	2,	56,	173,	'GRAPEFRUIT PINK SPAIN',	'167104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(777,	2,	56,	173,	'GRAPEFRUIT PINK TURKEY',	'167105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(778,	2,	56,	98,	'GRAPEFRUIT YELLOW EGYPT',	'167106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(779,	2,	56,	98,	'GRAPEFRUIT YELLOW JORDAN',	'167107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(780,	2,	56,	98,	'GRAPEFRUIT YELLOW LEBANON',	'167108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(781,	2,	56,	98,	'GRAPEFRUIT YELLOW OMAN',	'167109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(782,	2,	56,	98,	'GRAPEFRUIT YELLOW S AFRICA',	'167110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(783,	2,	56,	98,	'GRAPEFRUIT YELLOW SYRIA',	'167111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(784,	2,	56,	98,	'GRAPEFRUIT YELLOW SPAIN',	'167112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(785,	2,	56,	98,	'GRAPEFRUIT YELLOW TURKEY',	'167113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(786,	2,	56,	173,	'GRAPEFRUIT PINK EGYPT',	'167114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(787,	2,	56,	173,	'GRAPEFRUIT PINK LEBANON',	'167115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(788,	2,	56,	173,	'GRAPEFRUIT PINK HOLLAND',	'167116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(789,	2,	56,	173,	'GRAPEFRUIT PINK IRAN',	'167117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(790,	2,	57,	191,	'GRAPES RED SEEDLESS TURKEY',	'168101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(791,	2,	57,	191,	'GRAPES RED SEEDLESS U.S.A',	'168102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(792,	2,	57,	14,	'GRAPES RED AUS',	'168103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(793,	2,	57,	14,	'GRAPES RED LEBANON',	'168104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(794,	2,	57,	14,	'GRAPES RED PERU',	'168105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(795,	2,	57,	192,	'GRAPES WHITE SEEDLESS AUS',	'168106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(796,	2,	57,	192,	'GRAPES WHITE SEEDLESS CHILE',	'168107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(797,	2,	57,	192,	'GRAPES WHITE SEEDLESS CHINA',	'168108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(798,	2,	57,	192,	'GRAPES WHITE SEEDLESS EGYPT',	'168109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(799,	2,	57,	192,	'GRAPES WHITE SEEDLESS IND',	'168110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(800,	2,	57,	192,	'GRAPES WHITE SEEDLESS ITALY',	'168111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(801,	2,	57,	192,	'GRAPES WHITE SEEDLESS JORDAN',	'168112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(802,	2,	57,	192,	'GRAPES WHITE SEEDLESS LEBANON',	'168113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(803,	2,	57,	192,	'GRAPES WHITE SEEDLESS S AFRICA',	'168114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(804,	2,	57,	192,	'GRAPES WHITE SEEDLESS SAUDI',	'168115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(805,	2,	57,	192,	'GRAPES WHITE SEEDLESS SYRIA',	'168116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(806,	2,	57,	192,	'GRAPES WHITE SEEDLESS SPAIN',	'168117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(807,	2,	57,	193,	'GRAPES RED GLOBE AUS',	'168118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(808,	2,	57,	193,	'GRAPES RED GLOBE CHILE',	'168119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(809,	2,	57,	193,	'GRAPES RED GLOBE U.S.A',	'168120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(810,	2,	57,	191,	'GRAPES RED SEEDLESS AUS',	'168121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(811,	2,	57,	191,	'GRAPES RED SEEDLESS CHILE',	'168122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(812,	2,	57,	191,	'GRAPES RED SEEDLESS CHINA',	'168123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(813,	2,	57,	191,	'GRAPES RED SEEDLESS EGYPT',	'168124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(814,	2,	57,	191,	'GRAPES RED SEEDLESS IRAN',	'168125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(815,	2,	57,	192,	'GRAPES WHITE SEEDLESS TURKEY',	'168126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(816,	2,	57,	192,	'GRAPES WHITE SEEDLESS U.S.A',	'168127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(817,	2,	57,	194,	'GRAPES WHITE SEEDLESS PREMIUM IND',	'168128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(818,	2,	57,	31,	'GRAPES WHITE S AFRICA',	'168129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(819,	2,	57,	31,	'GRAPES WHITE SAUDI',	'168130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(820,	2,	57,	31,	'GRAPES WHITE SYRIA',	'168131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(821,	2,	57,	31,	'GRAPES WHITE SPAIN',	'168132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(822,	2,	57,	31,	'GRAPES WHITE TURKEY',	'168133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(823,	2,	57,	31,	'GRAPES WHITE U.S.A',	'168134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(824,	2,	57,	31,	'GRAPES WHITE AUS',	'168135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(825,	2,	57,	31,	'GRAPES WHITE CHILE',	'168136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(826,	2,	57,	31,	'GRAPES WHITE CHINA',	'168137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(827,	2,	57,	31,	'GRAPES WHITE EGYPT',	'168138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(828,	2,	57,	31,	'GRAPES WHITE IRAN',	'168139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(829,	2,	57,	31,	'GRAPES WHITE ITALY',	'168140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(830,	2,	57,	31,	'GRAPES WHITE JORDAN',	'168141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(831,	2,	57,	31,	'GRAPES WHITE LEBANON',	'168142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(832,	2,	57,	193,	'GRAPES RED GLOBE CHINA',	'168143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(833,	2,	57,	193,	'GRAPES RED GLOBE EGYPT',	'168144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(834,	2,	57,	193,	'GRAPES RED GLOBE IND',	'168145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(835,	2,	57,	193,	'GRAPES RED GLOBE ITALY',	'168146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(836,	2,	57,	193,	'GRAPES RED GLOBE S AFRICA',	'168147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(837,	2,	57,	193,	'GRAPES RED GLOBE SPAIN',	'168148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(838,	2,	57,	191,	'GRAPES RED SEEDLESS ITALY',	'168149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(839,	2,	57,	191,	'GRAPES RED SEEDLESS JORDAN',	'168150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(840,	2,	57,	191,	'GRAPES RED SEEDLESS S AFRICA',	'168151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(841,	2,	57,	191,	'GRAPES RED SEEDLESS SAUDI',	'168152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(842,	2,	57,	191,	'GRAPES RED SEEDLESS SYRIA',	'168153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(843,	2,	57,	191,	'GRAPES RED SEEDLESS SPAIN',	'168154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(844,	2,	57,	195,	'GRAPES BLACK SEEDLESS AUS',	'168155',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(845,	2,	57,	195,	'GRAPES BLACK SEEDLESS CHILE',	'168156',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(846,	2,	57,	195,	'GRAPES BLACK SEEDLESS CHINA',	'168157',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(847,	2,	57,	195,	'GRAPES BLACK SEEDLESS EGYPT',	'168158',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(848,	2,	57,	195,	'GRAPES BLACK SEEDLESS IND',	'168159',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(849,	2,	57,	195,	'GRAPES BLACK SEEDLESS IRAN',	'168160',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(850,	2,	57,	196,	'GRAPES BLACK SAUDI',	'168161',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(851,	2,	57,	196,	'GRAPES BLACK SYRIA',	'168162',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(852,	2,	57,	196,	'GRAPES BLACK SPAIN',	'168163',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(853,	2,	57,	196,	'GRAPES BLACK TURKEY',	'168164',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(854,	2,	57,	196,	'GRAPES BLACK U.S.A',	'168165',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(855,	2,	57,	195,	'GRAPES BLACK SEEDLESS ITALY',	'168166',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(856,	2,	57,	195,	'GRAPES BLACK SEEDLESS JORDAN',	'168167',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(857,	2,	57,	195,	'GRAPES BLACK SEEDLESS LEBANON',	'168168',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(858,	2,	57,	195,	'GRAPES BLACK SEEDLESS S AFRICA',	'168169',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(859,	2,	57,	195,	'GRAPES BLACK SEEDLESS SAUDI',	'168170',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(860,	2,	57,	195,	'GRAPES BLACK SEEDLESS SYRIA',	'168171',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(861,	2,	57,	24,	'GRAPES MIX LEBANON',	'168172',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(862,	2,	57,	24,	'GRAPES MIX EGYPT',	'168173',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(863,	2,	57,	24,	'GRAPES MIX SYRIA',	'168174',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(864,	2,	57,	14,	'GRAPES RED SYRIA',	'168175',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(865,	2,	57,	196,	'GRAPES BLACK AUS',	'168176',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(866,	2,	57,	196,	'GRAPES BLACK CHILE',	'168177',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(867,	2,	57,	196,	'GRAPES BLACK CHINA',	'168178',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(868,	2,	57,	195,	'GRAPES BLACK SEEDLESS SPAIN',	'168179',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(869,	2,	57,	195,	'GRAPES BLACK SEEDLESS TURKEY',	'168180',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(870,	2,	57,	195,	'GRAPES BLACK SEEDLESS U.S.A',	'168181',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(871,	2,	57,	196,	'GRAPES BLACK EGYPT',	'168182',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(872,	2,	57,	196,	'GRAPES BLACK IRAN',	'168183',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(873,	2,	57,	196,	'GRAPES BLACK ITALY',	'168184',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(874,	2,	57,	196,	'GRAPES BLACK JORDAN',	'168185',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(875,	2,	57,	196,	'GRAPES BLACK LEBANON',	'168186',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(876,	2,	57,	196,	'GRAPES BLACK S AFRICA',	'168187',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(877,	2,	57,	14,	'GRAPES RED SAUDI',	'168188',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(878,	2,	57,	191,	'GRAPES RED SEEDLESS LEBANON',	'168189',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(879,	2,	57,	193,	'GRAPES RED GLOBE TURKEY',	'168190',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(880,	2,	57,	193,	'GRAPES RED GLOBE LEBANON',	'168191',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(881,	2,	57,	197,	'GRAPES MIX SEEDLESS IND',	'168192',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(882,	2,	57,	191,	'GRAPES RED SEEDLESS IND',	'168193',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	54,	NULL),
(883,	1,	57,	198,	'GRAPE LEAVES JORDAN',	'168194',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(884,	4,	58,	199,	'GUAR(AMARA) IND',	'170101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(885,	4,	58,	199,	'GUAR(AMARA) OMAN',	'170102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(886,	4,	58,	199,	'GUAR(AMARA) S LANKA',	'170103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(887,	2,	59,	200,	'GUAVA(PERU) THAI',	'171101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(888,	2,	59,	200,	'GUAVA(PERU) VIETNAM',	'171102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(889,	2,	59,	14,	'GUAVA(PERU RED) IND',	'171103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(890,	2,	59,	14,	'GUAVA(PERU RED) THAI',	'171104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(891,	2,	59,	201,	'GUAVA(PEELED) GREEN THAI',	'171105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(892,	2,	59,	202,	'GUAVA(PEELED) RED THAI',	'171106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(893,	2,	59,	200,	'GUAVA(PERU) BANGLA',	'171107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(894,	2,	59,	200,	'GUAVA(PERU) EGYPT',	'171108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(895,	2,	59,	200,	'GUAVA(PERU) GREEN THAI',	'171109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(896,	2,	59,	200,	'GUAVA(PERU) IND',	'171110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(897,	2,	59,	200,	'GUAVA(PERU) OMAN',	'171111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(898,	2,	59,	200,	'GUAVA(PERU) S LANKA',	'171112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	55,	NULL),
(899,	1,	60,	203,	'GULFA LEAVES OMAN',	'172101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(900,	4,	61,	204,	'GUNDA IND',	'173101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	56,	NULL),
(901,	4,	62,	205,	'HORSERADISH HOLLAND',	'176101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(902,	4,	63,	206,	'IVY GOURD(TINDLY) IND',	'177101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(903,	4,	63,	206,	'IVY GOURD(TINDLY) OMAN',	'177102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(904,	4,	63,	206,	'IVY GOURD(TINDLY) S LANKA',	'177103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(905,	2,	64,	123,	'JACKFRUIT TENDER IND',	'178101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(906,	2,	64,	123,	'JACKFRUIT TENDER OMAN',	'178102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	57,	NULL),
(907,	2,	64,	207,	'JACKFRUIT TENDER(POLOS) S LANKA',	'178103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	58,	NULL),
(908,	3,	64,	208,	'JACKFRUIT SEED IND',	'178104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	59,	NULL),
(909,	3,	64,	208,	'JACKFRUIT SEED S LANKA',	'178105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	56,	NULL),
(910,	3,	64,	208,	'JACKFRUIT SEED THAI',	'178106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	56,	NULL),
(911,	2,	64,	209,	'JACKFRUIT BANGLA',	'178107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	60,	NULL),
(912,	2,	64,	209,	'JACKFRUIT IND',	'178108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	61,	NULL),
(913,	2,	64,	209,	'JACKFRUIT OMAN',	'178109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	62,	NULL),
(914,	2,	64,	209,	'JACKFRUIT S LANKA',	'178110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	63,	NULL),
(915,	2,	64,	209,	'JACKFRUIT THAI',	'178111',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	64,	NULL),
(916,	2,	64,	209,	'JACKFRUIT UGANDA',	'178112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	65,	NULL),
(917,	2,	64,	209,	'JACKFRUIT INDONESIA',	'178113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	66,	NULL),
(918,	2,	64,	209,	'JACKFRUIT MALAYSIA',	'178114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	67,	NULL),
(919,	2,	65,	210,	'KAKA FRUIT IRAN',	'179101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(920,	2,	65,	210,	'KAKA FRUIT JORDAN',	'179102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(921,	2,	65,	210,	'KAKA FRUIT LEBANON',	'179103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(922,	2,	65,	210,	'KAKA FRUIT PAK',	'179104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(923,	2,	65,	210,	'KAKA FRUIT S AFRICA',	'179105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(924,	2,	65,	210,	'KAKA FRUIT SYRIA',	'179106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(925,	2,	65,	210,	'KAKA FRUIT SPAIN',	'179107',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(926,	2,	65,	210,	'KAKA FRUIT CHILE',	'179108',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(927,	2,	65,	210,	'KAKA FRUIT HOLLAND',	'179109',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(928,	1,	66,	211,	'KANKUN LEAVES OMAN',	'180101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(929,	1,	67,	212,	'KATHURU MURUNGA (AGASTI) S LANKA',	'181101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(930,	2,	68,	73,	'KIWI FRUIT CHILE',	'182101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(931,	2,	68,	73,	'KIWI FRUIT CHINA',	'182102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(932,	2,	68,	73,	'KIWI FRUIT IRAN',	'182103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(933,	2,	68,	73,	'KIWI FRUIT ITALY',	'182104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(934,	2,	68,	73,	'KIWI FRUIT NEW Z LAND',	'182105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(935,	2,	68,	13,	'KIWI FRUIT GOLDEN NEW Z LAND',	'182106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(936,	2,	68,	13,	'KIWI FRUIT RED IRAN',	'182107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(937,	2,	68,	73,	'KIWI FRUIT HOLLAND',	'182108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(938,	2,	68,	13,	'KIWI FRUIT GOLDEN ITALY',	'182109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	70,	NULL),
(939,	4,	69,	213,	'KOCHUR LOTI BANGLA',	'183101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(940,	4,	69,	213,	'KOCHUR LOTI OMAN',	'183102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(941,	4,	70,	105,	'KOHILA ROOT S LANKA',	'184101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(942,	1,	70,	214,	'KOHILA LEAVES S LANKA',	'184102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(943,	4,	71,	215,	'KOHLRABI(NOOLKAL) RED CHINA',	'185101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(944,	4,	71,	215,	'KOHLRABI(NOOLKAL) GREEN OMAN',	'185102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(945,	2,	72,	216,	'KUMQUAT AUS',	'186101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(946,	2,	72,	216,	'KUMQUAT HOLLAND',	'186102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(947,	2,	72,	216,	'KUMQUAT IRAN',	'186103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(948,	2,	72,	216,	'KUMQUAT S AFRICA',	'186104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(949,	4,	73,	217,	'LADIES FINGER IND',	'187101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	73,	NULL),
(950,	4,	73,	217,	'LADIES FINGER OMAN',	'187102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	73,	NULL),
(951,	2,	74,	218,	'LANGSAT S LANKA',	'188101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(952,	2,	74,	218,	'LANGSAT THAI',	'188102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(953,	1,	75,	219,	'LEEKS AUS',	'189101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(954,	1,	75,	219,	'LEEKS CHINA',	'189102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(955,	1,	75,	219,	'LEEKS HOLLAND',	'189103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(956,	1,	75,	220,	'LEEKS MINI AUS',	'189104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(957,	1,	75,	220,	'LEEKS MINI HOLLAND',	'189105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(958,	1,	75,	220,	'LEEKS MINI S AFRICA',	'189106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(959,	1,	75,	219,	'LEEKS OMAN',	'189107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(960,	1,	75,	219,	'LEEKS THAI',	'189108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(961,	1,	75,	219,	'LEEKS S LANKA',	'189109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	74,	NULL),
(962,	1,	76,	221,	'LEMONGRASS AUS',	'191101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(963,	1,	76,	221,	'LEMONGRASS HOLLAND',	'191102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(964,	1,	76,	221,	'LEMONGRASS THAI',	'191103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(965,	4,	76,	222,	'LEMON IRAN',	'191104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(966,	4,	76,	222,	'LEMON JORDAN',	'191105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(967,	4,	76,	222,	'LEMON BANGLA',	'191106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(968,	4,	76,	222,	'LEMON BRAZIL',	'191107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(969,	4,	76,	222,	'LEMON S AFRICA',	'191108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(970,	4,	76,	222,	'LEMON SYRIA',	'191109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(971,	4,	76,	222,	'LEMON SPAIN',	'191110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(972,	4,	76,	222,	'LEMON TURKEY',	'191111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(973,	4,	76,	222,	'LEMON CHINA',	'191112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(974,	4,	76,	222,	'LEMON EGYPT',	'191113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(975,	1,	76,	223,	'LEMON LEAVES THAI',	'191114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(976,	4,	76,	127,	'LEMON SWEET IND',	'191115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(977,	1,	76,	223,	'LEMON LEAVES AUS',	'191116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(978,	1,	76,	223,	'LEMON LEAVES HOLLAND',	'191117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(979,	4,	76,	222,	'LEMON LEBANON',	'191118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(980,	4,	76,	222,	'LEMON OMAN',	'191119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(981,	4,	76,	28,	'LEMON DRY OMAN',	'191120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	76,	NULL),
(982,	4,	76,	224,	'LEMON CEDRO(CURRY) IND',	'191121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(983,	4,	76,	127,	'LEMON SWEET OMAN',	'191122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(984,	4,	76,	127,	'LEMON SWEET IRAN',	'191123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(985,	4,	76,	222,	'LEMON HOLLAND',	'191124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(986,	4,	77,	225,	'LETTUCE FRISEE GREEN AUS',	'193101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(987,	4,	77,	225,	'LETTUCE FRISEE GREEN HOLLAND',	'193102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(988,	4,	77,	225,	'LETTUCE FRISEE GREEN OMAN',	'193103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(989,	4,	77,	225,	'LETTUCE FRISEE GREEN THAI',	'193104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(990,	4,	77,	225,	'LETTUCE FRISEE GREEN U.S.A',	'193105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(991,	4,	77,	226,	'LETTUCE CHARD HOLLAND',	'193106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(992,	4,	77,	2,	'LETTUCE GREEN IRAN',	'193107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(993,	4,	77,	2,	'LETTUCE GREEN JORDAN',	'193108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(994,	4,	77,	2,	'LETTUCE GREEN LEBANON',	'193109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(995,	4,	77,	2,	'LETTUCE GREEN OMAN',	'193110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(996,	4,	77,	2,	'LETTUCE GREEN SAUDI',	'193111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(997,	4,	77,	2,	'LETTUCE GREEN SYRIA',	'193112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(998,	4,	77,	227,	'LETTUCE LOLLO ROSSO HOLLAND',	'193113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(999,	4,	77,	227,	'LETTUCE LOLLO ROSSO OMAN',	'193114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1000,	4,	77,	227,	'LETTUCE LOLLO ROSSO THAI',	'193115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1001,	4,	77,	227,	'LETTUCE LOLLO ROSSO U.S.A',	'193116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1002,	4,	77,	228,	'LETTUCE MACHE U.S.A',	'193117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1003,	4,	77,	14,	'LETTUCE RED AUS',	'193118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1004,	4,	77,	14,	'LETTUCE RED HOLLAND',	'193119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1005,	4,	77,	14,	'LETTUCE RED OMAN',	'193120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1006,	4,	77,	14,	'LETTUCE RED THAI',	'193121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1007,	4,	77,	229,	'LETTUCE ROQUETTE AUS',	'193122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1008,	4,	77,	229,	'LETTUCE ROQUETTE HOLLAND',	'193123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1009,	4,	77,	229,	'LETTUCE ROQUETTE OMAN',	'193124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1010,	4,	77,	229,	'LETTUCE ROQUETTE THAI',	'193125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1011,	4,	77,	229,	'LETTUCE ROQUETTE U.S.A',	'193126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1012,	4,	77,	230,	'LETTUCE ROMAINE AUS',	'193127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1013,	4,	77,	231,	'LETTUCE RADICCHIO AUS',	'193128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1014,	4,	77,	231,	'LETTUCE RADICCHIO HOLLAND',	'193129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1015,	4,	77,	231,	'LETTUCE RADICCHIO OMAN',	'193130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1016,	4,	77,	231,	'LETTUCE RADICCHIO THAI',	'193131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1017,	4,	77,	231,	'LETTUCE RADICCHIO U.S.A',	'193132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1018,	4,	77,	230,	'LETTUCE ROMAINE HOLLAND',	'193133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1019,	4,	77,	230,	'LETTUCE ROMAINE OMAN',	'193134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1020,	4,	77,	230,	'LETTUCE ROMAINE THAI',	'193135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1021,	4,	77,	230,	'LETTUCE ROMAINE U.S.A',	'193136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1022,	1,	77,	232,	'LETTUCE OAK LEAVES THAI',	'193137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1023,	1,	77,	232,	'LETTUCE OAK LEAVES U.S.A',	'193138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1024,	1,	77,	232,	'LETTUCE OAK LEAVES AUS',	'193139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1025,	1,	77,	232,	'LETTUCE OAK LEAVES HOLLAND',	'193140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1026,	1,	77,	232,	'LETTUCE OAK LEAVES OMAN',	'193141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1027,	1,	77,	233,	'LETTUCE OAK LEAVES RED HOLLAND',	'193142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1028,	4,	77,	14,	'LETTUCE RED U.S.A',	'193143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1029,	4,	77,	234,	'LETTUCE GEM HEART AUS',	'193144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1030,	4,	77,	234,	'LETTUCE GEM HEART HOLLAND',	'193145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1031,	4,	77,	234,	'LETTUCE GEM HEART OMAN',	'193146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1032,	4,	77,	234,	'LETTUCE GEM HEART THAI',	'193147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1033,	4,	77,	234,	'LETTUCE GEM HEART U.S.A',	'193148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1034,	4,	77,	235,	'LETTUCE BOSTON AUS',	'193149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1035,	4,	77,	235,	'LETTUCE BOSTON HOLLAND',	'193150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1036,	4,	77,	235,	'LETTUCE BOSTON OMAN',	'193151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1037,	4,	77,	236,	'LETTUCE FRISEE YELLOW AUS',	'193152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1038,	4,	77,	236,	'LETTUCE FRISEE YELLOW HOLLAND',	'193153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1039,	4,	77,	236,	'LETTUCE FRISEE YELLOW OMAN',	'193154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1040,	4,	77,	236,	'LETTUCE FRISEE YELLOW THAI',	'193155',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1041,	4,	77,	236,	'LETTUCE FRISEE YELLOW U.S.A',	'193156',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1042,	4,	77,	237,	'LETTUCE ICEBERG AUS',	'193157',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1043,	4,	77,	237,	'LETTUCE ICEBERG HOLLAND',	'193158',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1044,	4,	77,	237,	'LETTUCE ICEBERG IRAN',	'193159',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1045,	4,	77,	228,	'LETTUCE MACHE AUS',	'193160',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1046,	4,	77,	228,	'LETTUCE MACHE HOLLAND',	'193161',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1047,	4,	77,	228,	'LETTUCE MACHE OMAN',	'193162',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1048,	4,	77,	228,	'LETTUCE MACHE THAI',	'193163',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1049,	4,	77,	238,	'LETTUCE LOLLO BIONDO HOLLAND',	'193164',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1050,	4,	77,	239,	'LETTUCE LOLLO GREEN  HOLLAND',	'193165',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1051,	4,	77,	239,	'LETTUCE LOLLO GREEN OMAN',	'193166',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1052,	4,	77,	227,	'LETTUCE LOLLO ROSSO AUS',	'193167',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1053,	4,	77,	237,	'LETTUCE ICEBERG JORDAN',	'193168',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1054,	4,	77,	237,	'LETTUCE ICEBERG OMAN',	'193169',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1055,	4,	77,	237,	'LETTUCE ICEBERG SPAIN',	'193170',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1056,	4,	77,	237,	'LETTUCE ICEBERG TURKEY',	'193171',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1057,	4,	77,	237,	'LETTUCE ICEBERG U.S.A',	'193172',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1058,	4,	77,	2,	'LETTUCE (MESCLUN) LEAVES MIX HOLLAND',	'193173',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1059,	4,	77,	237,	'LETTUCE ICEBERG EGYPT',	'193174',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1060,	4,	78,	240,	'LIME BRAZIL',	'194101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1061,	4,	78,	240,	'LIME EGYPT',	'194102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1062,	4,	78,	240,	'LIME YEMEN',	'194103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1063,	1,	78,	241,	'LIME LEAVES AUS',	'194104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1064,	1,	78,	241,	'LIME LEAVES HOLLAND',	'194105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1065,	1,	78,	241,	'LIME LEAVES THAI',	'194106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1066,	4,	78,	240,	'LIME IND',	'194107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1067,	4,	78,	240,	'LIME INDONESIA',	'194108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1068,	4,	78,	240,	'LIME OMAN',	'194109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1069,	4,	78,	240,	'LIME SAUDI',	'194110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1070,	4,	78,	240,	'LIME THAI',	'194111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1071,	4,	78,	240,	'LIME VIETNAM',	'194112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1072,	4,	78,	240,	'LIME SUDAN',	'194113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	75,	NULL),
(1073,	2,	79,	242,	'LITCHI BANGLA',	'195101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1074,	2,	79,	242,	'LITCHI HOLLAND',	'195102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1075,	2,	79,	242,	'LITCHI MADAGASCAR',	'195103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1076,	2,	79,	242,	'LITCHI S AFRICA',	'195104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1077,	2,	79,	242,	'LITCHI S LANKA',	'195105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1078,	2,	79,	242,	'LITCHI THAI',	'195106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1079,	2,	80,	243,	'LONGAN S AFRICA',	'196101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1080,	2,	80,	243,	'LONGAN THAI',	'196102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1081,	2,	80,	243,	'LONGAN VIETNAM',	'196103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1082,	2,	81,	244,	'LONGAST THAI',	'197101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1083,	2,	82,	73,	'LOQUAT FRUIT TURKEY',	'198101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1084,	2,	82,	73,	'LOQUAT FRUIT LEBANON',	'198102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1085,	4,	83,	245,	'LOTUS ROOT(NELUM ALA) S LANKA',	'199101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1086,	4,	83,	105,	'LOTUS ROOT THAI',	'199102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1087,	2,	84,	246,	'MANDARIN SEEDLESS LEBANON',	'200101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1088,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) ARGE',	'200102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1089,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) CHINA',	'200103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1090,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) EGYPT',	'200104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1091,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) LEBANON',	'200105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1092,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) MOROCCO',	'200106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1093,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) S AFRICA',	'200107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1094,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) SPAIN',	'200108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1095,	2,	84,	247,	'MANDARIN SUMO(MENOLAS) TURKEY',	'200109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1096,	2,	84,	248,	'MANDARIN JORDAN',	'200110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1097,	2,	84,	248,	'MANDARIN LEBANON',	'200111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1098,	2,	84,	248,	'MANDARIN MOROCCO',	'200112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1099,	2,	84,	248,	'MANDARIN PAK',	'200113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1100,	2,	84,	248,	'MANDARIN S AFRICA',	'200114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1101,	2,	84,	248,	'MANDARIN SYRIA',	'200115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1102,	2,	84,	248,	'MANDARIN AUS',	'200116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1103,	2,	84,	248,	'MANDARIN BRAZIL',	'200117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1104,	2,	84,	248,	'MANDARIN CHINA',	'200118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1105,	2,	84,	248,	'MANDARIN EGYPT',	'200119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1106,	2,	84,	248,	'MANDARIN IND',	'200120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1107,	2,	84,	248,	'MANDARIN IRAN',	'200121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1108,	2,	84,	248,	'MANDARIN TURKEY',	'200122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1109,	2,	84,	248,	'MANDARIN U.S.A',	'200123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1110,	2,	84,	248,	'MANDARIN ARGE',	'200124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1111,	2,	84,	248,	'MANDARIN SPAIN',	'200125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1112,	2,	84,	248,	'MANDARIN KENYA',	'200126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	78,	NULL),
(1113,	2,	85,	186,	'MANGO AUS',	'201101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1114,	2,	85,	186,	'MANGO EGYPT',	'201102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1115,	2,	85,	186,	'MANGO BRAZIL',	'201103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1116,	2,	85,	186,	'MANGO INDONESIA',	'201104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1117,	2,	85,	186,	'MANGO S AFRICA',	'201105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1118,	2,	85,	249,	'MANGO NATTY IND',	'201106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1119,	2,	85,	250,	'MANGO MALGOA IND',	'201107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1120,	2,	85,	251,	'MANGO MALLIKA IND',	'201108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1121,	2,	85,	252,	'MANGO PEELY IND',	'201109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1122,	2,	85,	59,	'MANGO LONG KENYA',	'201110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1123,	2,	85,	253,	'MANGO KENT YEMEN',	'201111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1124,	2,	85,	254,	'MANGO KESAR IND',	'201112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1125,	2,	85,	255,	'MANGO LALBAGH PAK',	'201113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1126,	2,	85,	256,	'MANGO LANGARA PAK',	'201114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1127,	2,	85,	257,	'MANGO BADAMI IND',	'201115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1128,	2,	85,	258,	'MANGO CHAKKARA KUTTY IND',	'201116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1129,	2,	85,	259,	'MANGO AMERICAN YEMEN',	'201117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1130,	2,	85,	260,	'MANGO ALMAS PAK',	'201118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1131,	2,	85,	261,	'MANGO ALPHONSO IND',	'201119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1132,	2,	85,	262,	'MANGO LAL BADSHA PAK',	'201120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1133,	2,	85,	263,	'MANGO IMAM PASAND PAK',	'201121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1134,	2,	85,	264,	'MANGO JAHANGIR IND',	'201122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1135,	2,	85,	265,	'MANGO MOOVANDAN IND',	'201123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1136,	2,	85,	266,	'MANGO MSHALHA YEMEN',	'201124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1137,	2,	85,	267,	'MANGO MUNDAPPA IND',	'201125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1138,	2,	85,	268,	'MANGO KALBATOOR YEMEN',	'201126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1139,	2,	85,	269,	'MANGO KANNADI POOVAN IND',	'201127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1140,	2,	85,	253,	'MANGO KENT KENYA',	'201128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1141,	2,	85,	253,	'MANGO KENT S AFRICA',	'201129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1142,	2,	85,	186,	'MANGO S LANKA',	'201130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1143,	2,	85,	186,	'MANGO OMAN',	'201131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1144,	2,	85,	186,	'MANGO GHANA',	'201132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1145,	2,	85,	186,	'MANGO YEMEN',	'201133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1146,	2,	85,	186,	'MANGO VIETNAM',	'201134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1147,	2,	85,	186,	'MANGO SUDAN',	'201135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1148,	2,	85,	186,	'MANGO THAI',	'201136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1149,	2,	85,	270,	'MANGO CHAUNSA PAK',	'201137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1150,	2,	85,	271,	'MANGO CHAUNSA BLACK PAK',	'201138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1151,	2,	85,	2,	'MANGO GREEN IND',	'201139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1152,	2,	85,	2,	'MANGO GREEN OMAN',	'201140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1153,	2,	85,	2,	'MANGO GREEN S LANKA',	'201141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1154,	2,	85,	272,	'MANGO GUDADATH IND',	'201142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1155,	2,	85,	273,	'MANGO DESI PAK',	'201143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1156,	2,	85,	274,	'MANGO FAJRI PAK',	'201144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1157,	2,	85,	107,	'MANGO CHEERY IND',	'201145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1158,	2,	85,	275,	'MANGO ANWAR RATOLE PAK',	'201146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1159,	2,	85,	276,	'MANGO ZOPDH YEMEN',	'201147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1160,	2,	85,	277,	'MANGO BUMBI YEMEN',	'201148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1161,	2,	85,	278,	'MANGO SUNDARI IND',	'201149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1162,	2,	85,	279,	'MANGO SUNERA PAK',	'201150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1163,	2,	85,	280,	'MANGO SUNNERI PAK',	'201151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1164,	2,	85,	281,	'MANGO (TOMMY ATKINS) HOLLAND',	'201152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1165,	2,	85,	282,	'MANGO ROUND KENYA',	'201153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1166,	2,	85,	283,	'MANGO TAIMOOR YEMEN',	'201154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1167,	2,	85,	284,	'MANGO WHITE CHAUNSA PAK',	'201155',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1168,	2,	85,	285,	'MANGO WHITE GOLD IND',	'201156',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1169,	2,	85,	286,	'MANGO TOTAPURI (GREEN) IND',	'201157',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1170,	2,	85,	286,	'MANGO TOTAPURI YEMEN',	'201158',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1171,	2,	85,	287,	'MANGO PAILOT PAK',	'201159',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1172,	2,	85,	288,	'MANGO PANJARAKUTTAN IND',	'201160',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1173,	2,	85,	289,	'MANGO PANJAVARNAM IND',	'201161',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1174,	2,	85,	290,	'MANGO RAJAPURI IND',	'201162',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1175,	2,	85,	291,	'MANGO PRIYOOR IND',	'201163',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1176,	2,	85,	292,	'MANGO SAMAKAH YEMEN',	'201164',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1177,	2,	85,	293,	'MANGO SINDHOORAM IND',	'201165',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1178,	2,	85,	294,	'MANGO SINDHRI PAK',	'201166',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1179,	2,	85,	295,	'MANGO THYMR YEMEN',	'201167',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1180,	2,	85,	296,	'MANGO VILLIPASANTHA IND',	'201168',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1181,	2,	85,	297,	'MANGO ROMANIA IND',	'201169',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1182,	2,	85,	298,	'MANGO NEDUNCHALAI IND',	'201170',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1183,	2,	85,	299,	'MANGO NEELAM IND',	'201171',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1184,	2,	85,	300,	'MANGO NIRAAD IND',	'201172',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1185,	2,	85,	186,	'MANGO HOLLAND',	'201173',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1186,	2,	85,	301,	'MANGO BADH IND',	'201174',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1187,	2,	85,	302,	'MANGO KALAPADI IND',	'201175',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1188,	2,	85,	263,	'MANGO IMAM PASAND IND',	'201176',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1189,	2,	85,	303,	'MANGO BANGANAPALLI PAK',	'201177',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1190,	2,	85,	299,	'MANGO NEELAM PAK',	'201178',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1191,	2,	85,	304,	'MANGO RATA WALA PAK',	'201179',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1192,	2,	85,	305,	'MANGO YASMINE EGYPT',	'201180',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1193,	2,	85,	306,	'MANGO R2E2 AUS',	'201181',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1194,	2,	85,	307,	'MANGO CALYPSO AUS',	'201182',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1195,	2,	85,	186,	'MANGO PERU',	'201183',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1196,	2,	85,	306,	'MANGO R2E2 VIETNAM',	'201184',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1197,	2,	85,	306,	'MANGO R2E2 THAI',	'201185',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1198,	2,	85,	308,	'MANGO TOTAPURI (RIPE) IND',	'201186',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	79,	NULL),
(1199,	2,	86,	309,	'MANGOSTEEN IND',	'202101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	80,	NULL),
(1200,	2,	86,	309,	'MANGOSTEEN S LANKA',	'202102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	80,	NULL),
(1201,	2,	86,	309,	'MANGOSTEEN THAI',	'202103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	80,	NULL),
(1202,	2,	86,	309,	'MANGOSTEEN VIETNAM',	'202104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	80,	NULL),
(1203,	2,	86,	309,	'MANGOSTEEN INDONESIA',	'202105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	80,	NULL),
(1204,	1,	87,	310,	'MARJORAM AUS',	'203101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1205,	1,	87,	310,	'MARJORAM THAI',	'203102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1206,	1,	87,	310,	'MARJORAM U.S.A',	'203103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1207,	4,	88,	311,	'MARROW(KOOSA) IRAN',	'204101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	82,	NULL),
(1208,	4,	88,	311,	'MARROW(KOOSA) JORDAN',	'204102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	82,	NULL),
(1209,	4,	88,	311,	'MARROW(KOOSA) OMAN',	'204103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	82,	NULL),
(1210,	4,	88,	311,	'MARROW(KOOSA) SAUDI',	'204104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	82,	NULL),
(1211,	4,	88,	311,	'MARROW(KOOSA) SYRIA',	'204105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	82,	NULL),
(1212,	4,	88,	311,	'MARROW(KOOSA) YEMEN',	'204106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	82,	NULL),
(1213,	1,	89,	312,	'MINT LEAVES IND',	'207101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1214,	1,	89,	312,	'MINT LEAVES OMAN',	'207102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1215,	1,	89,	312,	'MINT LEAVES THAI',	'207103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1216,	1,	89,	312,	'MINT LEAVES SAUDI',	'207104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1217,	1,	89,	312,	'MINT LEAVES IRAN',	'207105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1218,	1,	90,	313,	'MULUKIYA LEAVES OMAN',	'209101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	47,	NULL),
(1219,	4,	91,	314,	'MUSHROOM KING (ERYNGI) THAI',	'210101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1220,	4,	91,	315,	'MUSHROOM SHIMEJI BROWN THAI',	'210102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1221,	4,	91,	316,	'MUSHROOM GIANT OMAN',	'210103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1222,	4,	91,	316,	'MUSHROOM GIANT THAI',	'210104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1223,	4,	91,	316,	'MUSHROOM GIANT U.S.A',	'210105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1224,	4,	91,	317,	'MUSHROOM BUTTON WHITE IRAN',	'210106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1225,	4,	91,	318,	'MUSHROOM BEECH HOLLAND',	'210107',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1226,	4,	91,	109,	'MUSHROOM CHESTNUT HOLLAND',	'210108',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1227,	4,	91,	160,	'MUSHROOM BROWN AUS',	'210109',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1228,	4,	91,	160,	'MUSHROOM BROWN HOLLAND',	'210110',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1229,	4,	91,	160,	'MUSHROOM BROWN OMAN',	'210111',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1230,	4,	91,	160,	'MUSHROOM BROWN THAI',	'210112',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1231,	4,	91,	160,	'MUSHROOM BROWN U.S.A',	'210113',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1232,	4,	91,	319,	'MUSHROOM ENOKI AUS',	'210114',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1233,	4,	91,	319,	'MUSHROOM ENOKI HOLLAND',	'210115',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1234,	4,	91,	319,	'MUSHROOM ENOKI OMAN',	'210116',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1235,	4,	91,	319,	'MUSHROOM ENOKI THAI',	'210117',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1236,	4,	91,	319,	'MUSHROOM ENOKI U.S.A',	'210118',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1237,	4,	91,	316,	'MUSHROOM GIANT AUS',	'210119',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1238,	4,	91,	316,	'MUSHROOM GIANT HOLLAND',	'210120',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1239,	4,	91,	320,	'MUSHROOM OYSTER AUS',	'210121',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1240,	4,	91,	320,	'MUSHROOM OYSTER HOLLAND',	'210122',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1241,	4,	91,	320,	'MUSHROOM OYSTER OMAN',	'210123',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1242,	4,	91,	320,	'MUSHROOM OYSTER THAI',	'210124',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1243,	4,	91,	320,	'MUSHROOM OYSTER U.S.A',	'210125',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1244,	4,	91,	321,	'MUSHROOM PORTABELLA AUS',	'210126',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1245,	4,	91,	321,	'MUSHROOM PORTABELLA HOLLAND',	'210127',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1246,	4,	91,	321,	'MUSHROOM PORTABELLA OMAN',	'210128',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1247,	4,	91,	321,	'MUSHROOM PORTABELLA THAI',	'210129',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1248,	4,	91,	321,	'MUSHROOM PORTABELLA U.S.A',	'210130',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1249,	4,	91,	31,	'MUSHROOM WHITE AUS',	'210131',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1250,	4,	91,	31,	'MUSHROOM WHITE HOLLAND',	'210132',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1251,	4,	91,	31,	'MUSHROOM WHITE OMAN',	'210133',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1252,	4,	91,	31,	'MUSHROOM WHITE THAI',	'210134',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1253,	4,	91,	31,	'MUSHROOM WHITE U.S.A',	'210135',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1254,	4,	91,	322,	'MUSHROOM SHIMEJI WHITE THAI',	'210136',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1255,	4,	91,	323,	'MUSHROOM SHITAKE AUS',	'210137',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1256,	4,	91,	323,	'MUSHROOM SHITAKE HOLLAND',	'210138',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1257,	4,	91,	323,	'MUSHROOM SHITAKE OMAN',	'210139',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1258,	4,	91,	323,	'MUSHROOM SHITAKE THAI',	'210140',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1259,	4,	91,	323,	'MUSHROOM SHITAKE U.S.A',	'210141',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1260,	4,	91,	324,	'MUSHROOM WHITE MINI OMAN',	'210142',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	83,	NULL),
(1261,	2,	92,	325,	'NECTARINE EGYPT',	'211101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1262,	2,	92,	325,	'NECTARINE IRAN',	'211102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1263,	2,	92,	325,	'NECTARINE JORDAN',	'211103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1264,	2,	92,	325,	'NECTARINE LEBANON',	'211104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1265,	2,	92,	325,	'NECTARINE S AFRICA',	'211105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1266,	2,	92,	98,	'NECTARINE YELLOW AUS',	'211106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1267,	2,	92,	98,	'NECTARINE YELLOW LEBANON',	'211107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1268,	2,	92,	98,	'NECTARINE YELLOW U.S.A',	'211108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1269,	2,	92,	31,	'NECTARINE WHITE AUS',	'211109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1270,	2,	92,	31,	'NECTARINE WHITE LEBANON',	'211110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1271,	2,	92,	31,	'NECTARINE WHITE U.S.A',	'211111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1272,	2,	92,	326,	'NECTARINE GOLD S AFRICA',	'211112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1273,	2,	92,	327,	'NECTARINE FLAT SYRIA',	'211113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1274,	2,	92,	327,	'NECTARINE FLAT TURKEY',	'211114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1275,	2,	92,	327,	'NECTARINE FLAT EGYPT',	'211115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1276,	2,	92,	327,	'NECTARINE FLAT IRAN',	'211116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1277,	2,	92,	327,	'NECTARINE FLAT JORDAN',	'211117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1278,	2,	92,	327,	'NECTARINE FLAT LEBANON',	'211118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1279,	2,	92,	325,	'NECTARINE SAUDI',	'211119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1280,	2,	92,	325,	'NECTARINE SYRIA',	'211120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1281,	2,	92,	325,	'NECTARINE SPAIN',	'211121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1282,	2,	92,	325,	'NECTARINE TURKEY',	'211122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1283,	2,	92,	325,	'NECTARINE U.S.A',	'211123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1284,	2,	92,	325,	'NECTARINE AUS',	'211124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1285,	2,	92,	327,	'NECTARINE FLAT SPAIN',	'211125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1286,	4,	93,	160,	'ONION BROWN IND',	'212101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1287,	4,	93,	160,	'ONION BROWN IRAN',	'212102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1288,	4,	93,	160,	'ONION BROWN MOROCCO',	'212103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1289,	4,	93,	160,	'ONION BROWN SPAIN',	'212104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1290,	4,	93,	160,	'ONION BROWN U.S.A',	'212105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1291,	4,	93,	160,	'ONION BROWN YEMEN',	'212106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1292,	4,	93,	160,	'ONION BROWN AUS',	'212107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1293,	4,	93,	160,	'ONION BROWN CHINA',	'212108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1294,	4,	93,	160,	'ONION BROWN EGYPT',	'212109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1295,	4,	93,	160,	'ONION BROWN HOLLAND',	'212110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1296,	4,	93,	328,	'ONION SHALLOT(SMALL) AUS',	'212111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1297,	4,	93,	328,	'ONION SHALLOT(SMALL) HOLLAND',	'212112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1298,	4,	93,	328,	'ONION SHALLOT(SMALL) IND',	'212113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1299,	4,	93,	328,	'ONION SHALLOT(SMALL) THAI',	'212114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1300,	4,	93,	329,	'ONION PEARL U.S.A',	'212115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1301,	4,	93,	31,	'ONION WHITE SPAIN',	'212116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1302,	4,	93,	31,	'ONION WHITE U.S.A',	'212117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1303,	4,	93,	31,	'ONION WHITE YEMEN',	'212118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1304,	4,	93,	330,	'ONION SHALLOT BANANA AUS',	'212119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1305,	4,	93,	330,	'ONION SHALLOT BANANA HOLLAND',	'212120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1306,	4,	93,	330,	'ONION SHALLOT BANANA THAI',	'212121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1307,	4,	93,	330,	'ONION SHALLOT BANANA U.S.A',	'212122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1308,	4,	93,	14,	'ONION RED SAUDI',	'212123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1309,	4,	93,	14,	'ONION RED YEMEN',	'212124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1310,	4,	93,	14,	'ONION RED CHINA',	'212125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1311,	4,	93,	14,	'ONION RED EGYPT',	'212126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1312,	4,	93,	14,	'ONION RED IND',	'212127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1313,	4,	93,	14,	'ONION RED IRAN',	'212128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1314,	4,	93,	31,	'ONION WHITE EGYPT',	'212129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1315,	4,	93,	31,	'ONION WHITE HOLLAND',	'212130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1316,	4,	93,	31,	'ONION WHITE IND',	'212131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1317,	4,	93,	31,	'ONION WHITE IRAN',	'212132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1318,	4,	93,	31,	'ONION WHITE LEBANON',	'212133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1319,	4,	93,	31,	'ONION WHITE MOROCCO',	'212134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1320,	4,	93,	31,	'ONION WHITE AUS',	'212135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1321,	4,	93,	31,	'ONION WHITE CHINA',	'212136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1322,	4,	93,	14,	'ONION RED OMAN',	'212137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1323,	4,	93,	14,	'ONION RED PAK',	'212138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1324,	4,	93,	331,	'ONION RED PEELED HOLLAND',	'212139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1325,	4,	93,	31,	'ONION WHITE OMAN',	'212140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1326,	4,	93,	14,	'ONION RED TURKEY',	'212141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1327,	4,	93,	14,	'ONION RED SUDAN',	'212142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1328,	4,	93,	328,	'ONION SHALLOT(SMALL) S LANKA',	'212143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1329,	4,	93,	14,	'ONION RED JORDAN',	'212144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1330,	4,	93,	328,	'ONION SHALLOT(SMALL) UGANDA',	'212145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	86,	NULL),
(1331,	1,	93,	332,	'ONION SPRING OMAN',	'213101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	85,	NULL),
(1332,	2,	94,	333,	'ORANGE CAMBRIA S AFRICA',	'214101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1333,	2,	94,	334,	'ORANGE NAVEL AUS',	'214102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1334,	2,	94,	334,	'ORANGE NAVEL BRAZIL',	'214103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1335,	2,	94,	334,	'ORANGE NAVEL CHINA',	'214104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1336,	2,	94,	334,	'ORANGE NAVEL EGYPT',	'214105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1337,	2,	94,	149,	'ORANGE HONEY EGYPT',	'214106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1338,	2,	94,	335,	'ORANGE MIDKNIGHT S AFRICA',	'214107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1339,	2,	94,	14,	'ORANGE RED EGYPT',	'214108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1340,	2,	94,	14,	'ORANGE RED S AFRICA',	'214109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1341,	2,	94,	336,	'ORANGE VALENCIA AUS',	'214110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1342,	2,	94,	336,	'ORANGE VALENCIA BRAZIL',	'214111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1343,	2,	94,	336,	'ORANGE VALENCIA CHINA',	'214112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1344,	2,	94,	336,	'ORANGE VALENCIA EGYPT',	'214113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1345,	2,	94,	336,	'ORANGE VALENCIA LEBANON',	'214114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1346,	2,	94,	336,	'ORANGE VALENCIA S AFRICA',	'214115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1347,	2,	94,	334,	'ORANGE NAVEL U.S.A',	'214116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1348,	2,	94,	334,	'ORANGE NAVEL YEMEN',	'214117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1349,	2,	94,	334,	'ORANGE NAVEL JORDAN',	'214118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1350,	2,	94,	334,	'ORANGE NAVEL LEBANON',	'214119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1351,	2,	94,	334,	'ORANGE NAVEL S AFRICA',	'214120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1352,	2,	94,	334,	'ORANGE NAVEL SYRIA',	'214121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1353,	2,	94,	334,	'ORANGE NAVEL SPAIN',	'214122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1354,	2,	94,	334,	'ORANGE NAVEL TURKEY',	'214123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1355,	2,	94,	337,	'ORANGE SUHOL',	'214124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1356,	2,	94,	336,	'ORANGE VALENCIA SPAIN',	'214125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1357,	2,	94,	336,	'ORANGE VALENCIA TURKEY',	'214126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1358,	2,	94,	336,	'ORANGE VALENCIA U.S.A',	'214127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1359,	2,	94,	336,	'ORANGE VALENCIA ARGE',	'214128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1360,	2,	94,	338,	'ORANGE GREEN(MOSAMBI) IND',	'214129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1361,	2,	94,	339,	'ORANGE DELTA S AFRICA',	'214130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1362,	2,	94,	14,	'ORANGE RED LEBANON',	'214131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1363,	2,	94,	334,	'ORANGE NAVEL MOROCCO',	'214132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1364,	2,	94,	334,	'ORANGE NAVEL ARGENTINA',	'214133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1365,	2,	94,	334,	'ORANGE NAVEL IRAN',	'214134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1366,	2,	94,	334,	'ORANGE NAVEL HOLLAND',	'214135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1367,	2,	94,	340,	'ORANGE NAVELATE S AFRICA',	'214136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1368,	2,	94,	336,	'ORANGE VALENCIA ZIMBABWE',	'214137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	87,	NULL),
(1369,	1,	95,	341,	'OREGANO AUS',	'215101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1370,	1,	95,	341,	'OREGANO HOLLAND',	'215102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1371,	1,	95,	341,	'OREGANO THAI',	'215103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1372,	1,	95,	341,	'OREGANO U.S.A',	'215104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1373,	1,	95,	341,	'OREGANO KENYA',	'215105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1374,	1,	96,	342,	'PAKSOY AUS',	'216101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1375,	1,	96,	342,	'PAKSOY OMAN',	'216102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1376,	1,	96,	342,	'PAKSOY THAI',	'216103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1377,	1,	96,	342,	'PAKSOY U.S.A',	'216104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1378,	1,	96,	342,	'PAKSOY CHINA',	'216105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1379,	1,	96,	342,	'PAKSOY HOLLAND',	'216106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1380,	1,	96,	342,	'PAKSOY IRAN',	'216107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1381,	1,	96,	343,	'PAKSOY MINI AUS',	'216108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1382,	1,	96,	343,	'PAKSOY MINI HOLLAND',	'216109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1383,	1,	96,	343,	'PAKSOY MINI THAI',	'216110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1384,	1,	97,	344,	'PANDAN LEAVES THAI',	'218101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(1385,	1,	97,	344,	'PANDAN LEAVES S LANKA',	'218102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(1386,	2,	98,	2,	'PAPAYA GREEN IND',	'219101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1387,	2,	98,	2,	'PAPAYA GREEN OMAN',	'219102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1388,	2,	98,	345,	'PAPAYA RIPE IND',	'219103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1389,	2,	98,	345,	'PAPAYA RIPE MALAYSIA',	'219104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1390,	2,	98,	345,	'PAPAYA RIPE OMAN',	'219105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1391,	2,	98,	345,	'PAPAYA RIPE S LANKA',	'219106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1392,	2,	98,	345,	'PAPAYA RIPE THAI',	'219107',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1393,	2,	98,	346,	'PAPAYA SOLO BRAZIL',	'219108',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1394,	2,	98,	346,	'PAPAYA SOLO HOLLAND',	'219109',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1395,	2,	98,	346,	'PAPAYA SOLO KENYA',	'219110',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1396,	2,	98,	346,	'PAPAYA SOLO MALAYSIA',	'219111',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1397,	2,	98,	346,	'PAPAYA SOLO S AFRICA',	'219112',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1398,	2,	98,	346,	'PAPAYA SOLO S LANKA',	'219113',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1399,	2,	98,	346,	'PAPAYA SOLO THAI',	'219114',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	88,	NULL),
(1400,	7,	99,	347,	'PAPPADAM BIG OMAN',	'220101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	89,	NULL),
(1401,	7,	99,	348,	'PAPPADAM SMALL OMAN',	'220102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	89,	NULL),
(1402,	7,	99,	349,	'PAPPADAM MASALA (BIG) OMAN',	'220103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	89,	NULL),
(1403,	1,	100,	350,	'PARSLEY ENGLISH U.S.A',	'221101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1404,	1,	100,	351,	'PARSLEY JORDAN',	'221102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1405,	1,	100,	352,	'PARSLEY LANKA(MUKUNUWANNA) S LANKA',	'221103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1406,	1,	100,	351,	'PARSLEY OMAN',	'221104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1407,	1,	100,	351,	'PARSLEY SAUDI',	'221105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1408,	1,	100,	351,	'PARSLEY THAI',	'221106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1409,	1,	100,	351,	'PARSLEY EGYPT',	'221107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1410,	1,	100,	350,	'PARSLEY ENGLISH AUS',	'221108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1411,	1,	100,	350,	'PARSLEY ENGLISH HOLLAND',	'221109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1412,	1,	100,	350,	'PARSLEY ENGLISH OMAN',	'221110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1413,	1,	100,	350,	'PARSLEY ENGLISH THAI',	'221111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	28,	NULL),
(1414,	4,	101,	353,	'PARSNIP AUS',	'224101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1415,	4,	101,	353,	'PARSNIP HOLLAND',	'224102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1416,	4,	101,	353,	'PARSNIP THAI',	'224103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1417,	2,	102,	354,	'PASSION GRANADILLA HOLLAND',	'225101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1418,	2,	102,	73,	'PASSION FRUIT VIETNAM',	'225102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1419,	2,	102,	355,	'PASSION TAMARILLO HOLLAND',	'225103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1420,	2,	102,	73,	'PASSION FRUIT IND',	'225104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1421,	2,	102,	73,	'PASSION FRUIT KENYA',	'225105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1422,	2,	102,	73,	'PASSION FRUIT MALAYSIA',	'225106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1423,	2,	102,	73,	'PASSION FRUIT S LANKA',	'225107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1424,	2,	102,	73,	'PASSION FRUIT THAI',	'225108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1425,	2,	102,	73,	'PASSION FRUIT UGANDA',	'225109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1426,	2,	102,	354,	'PASSION GRANADILLA IND',	'225110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1427,	4,	103,	98,	'PATTYPAN YELLOW HOLLAND',	'226101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1428,	4,	103,	2,	'PATTYPAN GREEN HOLLAND',	'226102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1429,	4,	103,	98,	'PATTYPAN YELLOW S AFRICA',	'226103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1430,	4,	103,	2,	'PATTYPAN GREEN S AFRICA',	'226104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1431,	2,	104,	327,	'PEACHES FLAT EGYPT',	'227101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1432,	2,	104,	327,	'PEACHES FLAT IRAN',	'227102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1433,	2,	104,	327,	'PEACHES FLAT JORDAN',	'227103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1434,	2,	104,	327,	'PEACHES FLAT LEBANON',	'227104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1435,	2,	104,	327,	'PEACHES FLAT SAUDI',	'227105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1436,	2,	104,	327,	'PEACHES FLAT SYRIA',	'227106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1437,	2,	104,	356,	'PEACHES FLAT (KAKA) JORDAN',	'227107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1438,	2,	104,	357,	'PEACHES AUS',	'227108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1439,	2,	104,	357,	'PEACHES EGYPT',	'227109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1440,	2,	104,	357,	'PEACHES IRAN',	'227110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1441,	2,	104,	357,	'PEACHES ITALY',	'227111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1442,	2,	104,	357,	'PEACHES JORDAN',	'227112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1443,	2,	104,	357,	'PEACHES LEBANON',	'227113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1444,	2,	104,	357,	'PEACHES S AFRICA',	'227114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1445,	2,	104,	357,	'PEACHES SAUDI',	'227115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1446,	2,	104,	31,	'PEACHES WHITE S AFRICA',	'227116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1447,	2,	104,	31,	'PEACHES WHITE SAUDI',	'227117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1448,	2,	104,	31,	'PEACHES WHITE SYRIA',	'227118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1449,	2,	104,	31,	'PEACHES WHITE SPAIN',	'227119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1450,	2,	104,	31,	'PEACHES WHITE TURKEY',	'227120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1451,	2,	104,	31,	'PEACHES WHITE U.S.A',	'227121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1452,	2,	104,	357,	'PEACHES SYRIA',	'227122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1453,	2,	104,	357,	'PEACHES SPAIN',	'227123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1454,	2,	104,	357,	'PEACHES TURKEY',	'227124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1455,	2,	104,	357,	'PEACHES U.S.A',	'227125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1456,	2,	104,	31,	'PEACHES WHITE AUS',	'227126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1457,	2,	104,	31,	'PEACHES WHITE EGYPT',	'227127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1458,	2,	104,	31,	'PEACHES WHITE IRAN',	'227128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1459,	2,	104,	31,	'PEACHES WHITE ITALY',	'227129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1460,	2,	104,	31,	'PEACHES WHITE JORDAN',	'227130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1461,	2,	104,	31,	'PEACHES WHITE LEBANON',	'227131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1462,	2,	104,	327,	'PEACHES FLAT TUNISIA',	'227132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1463,	2,	104,	327,	'PEACHES FLAT SPAIN',	'227133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	84,	NULL),
(1464,	8,	105,	358,	'PEANUT FRESH IND',	'228101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	90,	NULL),
(1465,	8,	105,	358,	'PEANUT FRESH S LANKA',	'228102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	90,	NULL),
(1466,	8,	105,	358,	'PEANUT (GROUNDNUT) UGANDA',	'228103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	90,	NULL),
(1467,	8,	105,	358,	'PEANUT FRESH CHINA',	'228104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	90,	NULL),
(1468,	2,	106,	359,	'PEARS FORELLE CHILE',	'229101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1469,	2,	106,	359,	'PEARS FORELLE ITALY',	'229102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1470,	2,	106,	359,	'PEARS FORELLE S AFRICA',	'229103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1471,	2,	106,	359,	'PEARS FORELLE SPAIN',	'229104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1472,	2,	106,	359,	'PEARS FORELLE U.S.A',	'229105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1473,	2,	106,	360,	'PEARS CROWN CHINA',	'229106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1474,	2,	106,	361,	'PEARS KOSUI ARGE',	'229107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1475,	2,	106,	361,	'PEARS KOSUI BRAZIL',	'229108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1476,	2,	106,	362,	'PEARS NASHI SYRIA',	'229109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1477,	2,	106,	363,	'PEARS BOSC ARGE',	'229110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1478,	2,	106,	363,	'PEARS BOSC CHILE',	'229111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1479,	2,	106,	363,	'PEARS BOSC U.S.A',	'229112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1480,	2,	106,	364,	'PEARS ANJOU ARGE',	'229113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1481,	2,	106,	364,	'PEARS ANJOU BRAZIL',	'229114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1482,	2,	106,	364,	'PEARS ANJOU CHILE',	'229115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1483,	2,	106,	364,	'PEARS ANJOU ITALY',	'229116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1484,	2,	106,	364,	'PEARS ANJOU SPAIN',	'229117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1485,	2,	106,	364,	'PEARS ANJOU U.S.A',	'229118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1486,	2,	106,	359,	'PEARS FORELLE ARGE',	'229119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1487,	2,	106,	359,	'PEARS FORELLE BRAZIL',	'229120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1488,	2,	106,	365,	'PEARS CONFERENCE S AFRICA',	'229121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1489,	2,	106,	365,	'PEARS CONFERENCE U.S.A',	'229122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1490,	2,	106,	366,	'PEARS BRAZIL',	'229123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1491,	2,	106,	366,	'PEARS CHINA',	'229124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1492,	2,	106,	366,	'PEARS ARGE',	'229125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1493,	2,	106,	366,	'PEARS U.S.A',	'229126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1494,	2,	106,	362,	'PEARS NASHI CHINA',	'229127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1495,	2,	106,	362,	'PEARS NASHI LEBANON',	'229128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1496,	2,	106,	361,	'PEARS KOSUI CHILE',	'229129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1497,	2,	106,	361,	'PEARS KOSUI ITALY',	'229130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1498,	2,	106,	361,	'PEARS KOSUI SPAIN',	'229131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1499,	2,	106,	361,	'PEARS KOSUI U.S.A',	'229132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1500,	2,	106,	367,	'PEARS(YAPEAR) CHINA',	'229133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1501,	2,	106,	368,	'PEARS SEMPRE U.S.A',	'229134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1502,	2,	106,	369,	'PEARS VERMONT BEAUTY IRAN',	'229135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1503,	2,	106,	369,	'PEARS VERMONT BEAUTY JORDAN',	'229136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1504,	2,	106,	369,	'PEARS VERMONT BEAUTY LEBANON',	'229137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1505,	2,	106,	368,	'PEARS SEMPRE ARGE',	'229138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1506,	2,	106,	368,	'PEARS SEMPRE AUS',	'229139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1507,	2,	106,	368,	'PEARS SEMPRE BRAZIL',	'229140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1508,	2,	106,	368,	'PEARS SEMPRE CHILE',	'229141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1509,	2,	106,	368,	'PEARS SEMPRE ITALY',	'229142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1510,	2,	106,	368,	'PEARS SEMPRE S AFRICA',	'229143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1511,	2,	106,	368,	'PEARS SEMPRE SPAIN',	'229144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1512,	2,	106,	370,	'PEARS ROSEMARIE JORDAN',	'229145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1513,	2,	106,	370,	'PEARS ROSEMARIE LEBANON',	'229146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1514,	2,	106,	370,	'PEARS ROSEMARIE S AFRICA',	'229147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1515,	2,	106,	370,	'PEARS ROSEMARIE SAUDI',	'229148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1516,	2,	106,	370,	'PEARS ROSEMARIE SYRIA',	'229149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1517,	2,	106,	370,	'PEARS ROSEMARIE TURKEY',	'229150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1518,	2,	106,	14,	'PEARS RED ARGE',	'229151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1519,	2,	106,	371,	'PEARS QTEE TURKEY',	'229152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1520,	2,	106,	14,	'PEARS RED BRAZIL',	'229153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1521,	2,	106,	14,	'PEARS RED CHILE',	'229154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1522,	2,	106,	14,	'PEARS RED ITALY',	'229155',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1523,	2,	106,	14,	'PEARS RED S AFRICA',	'229156',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1524,	2,	106,	14,	'PEARS RED SPAIN',	'229157',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1525,	2,	106,	14,	'PEARS RED U.S.A',	'229158',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1526,	2,	106,	369,	'PEARS VERMONT BEAUTY S AFRICA',	'229159',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1527,	2,	106,	369,	'PEARS VERMONT BEAUTY SAUDI',	'229160',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1528,	2,	106,	369,	'PEARS VERMONT BEAUTY SPAIN',	'229161',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1529,	2,	106,	369,	'PEARS VERMONT BEAUTY TURKEY',	'229162',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1530,	2,	106,	372,	'PEARS PACKHAM IRAN',	'229163',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1531,	2,	106,	372,	'PEARS PACKHAM S AFRICA',	'229164',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1532,	2,	106,	372,	'PEARS PACKHAM SAUDI',	'229165',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1533,	2,	106,	372,	'PEARS PACKHAM SPAIN',	'229166',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1534,	2,	106,	373,	'PEARS PRICKLY HOLLAND',	'229167',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1535,	2,	106,	373,	'PEARS PRICKLY JORDAN',	'229168',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1536,	2,	106,	373,	'PEARS PRICKLY LEBANON',	'229169',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1537,	2,	106,	373,	'PEARS PRICKLY SYRIA',	'229170',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1538,	2,	106,	373,	'PEARS PRICKLY THAI',	'229171',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1539,	2,	106,	373,	'PEARS PRICKLY TURKEY',	'229172',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1540,	2,	106,	373,	'PEARS PRICKLY AUS',	'229173',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1541,	2,	106,	373,	'PEARS PRICKLY EGYPT',	'229174',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1542,	2,	106,	366,	'PEARS TURKEY',	'229175',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1543,	2,	106,	366,	'PEARS JORDAN',	'229176',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1544,	2,	106,	366,	'PEARS LEBANON',	'229177',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1545,	2,	106,	366,	'PEARS IRAN',	'229178',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1546,	2,	106,	366,	'PEARS SYRIA',	'229179',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1547,	2,	106,	366,	'PEARS HOLLAND',	'229180',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1548,	2,	106,	366,	'PEARS SAUDI',	'229181',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1549,	2,	106,	370,	'PEARS ROSEMARIE BELGIUM',	'229182',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	91,	NULL),
(1550,	4,	107,	2,	'PEPPER GREEN IND',	'230101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	92,	NULL),
(1551,	4,	107,	2,	'PEPPER GREEN THAI',	'230102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	92,	NULL),
(1552,	2,	108,	374,	'PHYSALIS KENYA',	'231101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1553,	2,	108,	374,	'PHYSALIS THAI',	'231102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1554,	2,	108,	374,	'PHYSALIS AUS',	'231103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1555,	2,	108,	374,	'PHYSALIS HOLLAND',	'231104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1556,	2,	108,	374,	'PHYSALIS IND',	'231105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1557,	2,	108,	374,	'PHYSALIS USA',	'231106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1558,	2,	109,	32,	'PINEAPPLE BABY S AFRICA',	'232101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1559,	2,	109,	32,	'PINEAPPLE BABY THAI',	'232102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1560,	2,	109,	32,	'PINEAPPLE BABY HOLLAND',	'232103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1561,	2,	109,	32,	'PINEAPPLE BABY MALAYSIA',	'232104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1562,	2,	109,	32,	'PINEAPPLE BABY PHILI',	'232105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1563,	2,	109,	375,	'PINEAPPLE PHILI',	'232106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1564,	2,	109,	375,	'PINEAPPLE S LANKA',	'232107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1565,	2,	109,	375,	'PINEAPPLE UGANDA',	'232108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1566,	2,	109,	375,	'PINEAPPLE BANGLA',	'232109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1567,	2,	109,	375,	'PINEAPPLE IND',	'232110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1568,	2,	109,	375,	'PINEAPPLE INDONESIA',	'232111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1569,	2,	109,	375,	'PINEAPPLE MALAYSIA',	'232112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1570,	2,	109,	159,	'PINEAPPLE PEELED THAI',	'232113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1571,	2,	109,	375,	'PINEAPPLE ORGANIC HOLLAND',	'232114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1572,	2,	109,	375,	'PINEAPPLE KENYA',	'232115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	93,	NULL),
(1573,	2,	110,	376,	'PLUMS HOG FRUIT(AMBAZHANGA) IND',	'233101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1574,	2,	110,	376,	'PLUMS HOG FRUIT(AMBAZHANGA) OMAN',	'233102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1575,	2,	110,	376,	'PLUMS HOG FRUIT(AMBAZHANGA) S LANKA',	'233103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1576,	2,	110,	196,	'PLUMS BLACK CHILE',	'233104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1577,	2,	110,	196,	'PLUMS BLACK EGYPT',	'233105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1578,	2,	110,	196,	'PLUMS BLACK IRAN',	'233106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1579,	2,	110,	196,	'PLUMS BLACK ITALY',	'233107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1580,	2,	110,	196,	'PLUMS BLACK JORDAN',	'233108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1581,	2,	110,	196,	'PLUMS BLACK LEBANON',	'233109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1582,	2,	110,	196,	'PLUMS BLACK AUS',	'233110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1583,	2,	110,	14,	'PLUMS RED IRAN',	'233111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1584,	2,	110,	14,	'PLUMS RED ITALY',	'233112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1585,	2,	110,	14,	'PLUMS RED JORDAN',	'233113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1586,	2,	110,	14,	'PLUMS RED LEBANON',	'233114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1587,	2,	110,	14,	'PLUMS RED S AFRICA',	'233115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1588,	2,	110,	14,	'PLUMS RED SAUDI',	'233116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1589,	2,	110,	14,	'PLUMS RED SYRIA',	'233117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1590,	2,	110,	14,	'PLUMS RED SPAIN',	'233118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1591,	2,	110,	14,	'PLUMS RED TURKEY',	'233119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1592,	2,	110,	14,	'PLUMS RED U.S.A',	'233120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1593,	2,	110,	98,	'PLUMS YELLOW SYRIA',	'233121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1594,	2,	110,	98,	'PLUMS YELLOW SPAIN',	'233122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1595,	2,	110,	98,	'PLUMS YELLOW TURKEY',	'233123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1596,	2,	110,	98,	'PLUMS YELLOW U.S.A',	'233124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1597,	2,	110,	377,	'PLUMS YELLOW (MARIAN) THAI',	'233125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1598,	2,	110,	14,	'PLUMS RED AUS',	'233126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1599,	2,	110,	14,	'PLUMS RED CHILE',	'233127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1600,	2,	110,	14,	'PLUMS RED CHINA',	'233128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1601,	2,	110,	14,	'PLUMS RED EGYPT',	'233129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1602,	2,	110,	98,	'PLUMS YELLOW AUS',	'233130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1603,	2,	110,	98,	'PLUMS YELLOW CHILE',	'233131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1604,	2,	110,	98,	'PLUMS YELLOW CHINA',	'233132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1605,	2,	110,	98,	'PLUMS YELLOW ITALY',	'233133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1606,	2,	110,	98,	'PLUMS YELLOW JORDAN',	'233134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1607,	2,	110,	98,	'PLUMS YELLOW LEBANON',	'233135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1608,	2,	110,	98,	'PLUMS YELLOW S AFRICA',	'233136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1609,	2,	110,	98,	'PLUMS YELLOW SAUDI',	'233137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1610,	2,	110,	196,	'PLUMS BLACK S AFRICA',	'233138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1611,	2,	110,	196,	'PLUMS BLACK SAUDI',	'233139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1612,	2,	110,	196,	'PLUMS BLACK SYRIA',	'233140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1613,	2,	110,	196,	'PLUMS BLACK SPAIN',	'233141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1614,	2,	110,	196,	'PLUMS BLACK TURKEY',	'233142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1615,	2,	110,	196,	'PLUMS BLACK U.S.A',	'233143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1616,	2,	110,	14,	'PLUMS RED GREECE',	'233144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1617,	2,	110,	196,	'PLUMS BLACK GREECE',	'233145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	94,	NULL),
(1618,	1,	111,	378,	'POI SHAK LEAVES OMAN',	'234101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1619,	4,	112,	379,	'POINTED GOURD(PARWAR) IND',	'235101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1620,	4,	112,	379,	'POINTED GOURD IND',	'235102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1621,	4,	112,	379,	'POINTED GOURD(PARWAR) BANGLA',	'235103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1622,	2,	113,	380,	'POMEGRANATE S AFRICA',	'236101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1623,	2,	113,	380,	'POMEGRANATE SYRIA',	'236102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1624,	2,	113,	380,	'POMEGRANATE SPAIN',	'236103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1625,	2,	113,	31,	'POMEGRANATE WHITE IND',	'236104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1626,	2,	113,	14,	'POMEGRANATE RED IND',	'236105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1627,	2,	113,	14,	'POMEGRANATE RED PERU',	'236106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1628,	2,	113,	380,	'POMEGRANATE TUNISIA',	'236107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1629,	2,	113,	380,	'POMEGRANATE TURKEY',	'236108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1630,	2,	113,	380,	'POMEGRANATE YEMEN',	'236109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1631,	2,	113,	380,	'POMEGRANATE CHINA',	'236110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1632,	2,	113,	380,	'POMEGRANATE EGYPT',	'236111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1633,	2,	113,	380,	'POMEGRANATE IRAN',	'236112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1634,	2,	113,	380,	'POMEGRANATE JORDAN',	'236113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1635,	2,	113,	380,	'POMEGRANATE LEBANON',	'236114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1636,	2,	113,	380,	'POMEGRANATE MOROCCO',	'236115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	95,	NULL),
(1637,	2,	114,	381,	'POMELO CHINA',	'237101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1638,	2,	114,	381,	'POMELO EGYPT',	'237102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1639,	2,	114,	381,	'POMELO HOLLAND',	'237103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1640,	2,	114,	381,	'POMELO IND',	'237104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1641,	2,	114,	381,	'POMELO LEBANON',	'237105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1642,	2,	114,	381,	'POMELO SYRIA',	'237106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1643,	2,	114,	381,	'POMELO THAI',	'237107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1644,	2,	114,	381,	'POMELO VIETNAM',	'237108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	53,	NULL),
(1645,	4,	115,	159,	'POTATO PEELED HOLLAND',	'238101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1646,	4,	115,	382,	'POTATO JORDAN',	'238102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1647,	4,	115,	382,	'POTATO LEBANON',	'238103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1648,	4,	115,	382,	'POTATO OMAN',	'238104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1649,	4,	115,	382,	'POTATO PAK',	'238105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1650,	4,	115,	382,	'POTATO S AFRICA',	'238106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1651,	4,	115,	382,	'POTATO SAUDI',	'238107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1652,	4,	115,	32,	'POTATO BABY AUS',	'238108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1653,	4,	115,	32,	'POTATO BABY HOLLAND',	'238109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1654,	4,	115,	382,	'POTATO SYRIA',	'238110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1655,	4,	115,	382,	'POTATO CHINA',	'238111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1656,	4,	115,	382,	'POTATO TURKEY',	'238112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1657,	4,	115,	382,	'POTATO YEMEN',	'238113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1658,	4,	115,	382,	'POTATO BANGLA',	'238114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1659,	4,	115,	382,	'POTATO EGYPT',	'238115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1660,	4,	115,	382,	'POTATO FRANCE',	'238116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1661,	4,	115,	382,	'POTATO IND',	'238117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1662,	4,	115,	382,	'POTATO IRAN',	'238118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1663,	4,	115,	383,	'POTATO RATTE HOLAND',	'238119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1664,	4,	115,	14,	'POTATO RED AUS',	'238120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1665,	4,	115,	14,	'POTATO RED BANGLA',	'238121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1666,	4,	115,	14,	'POTATO RED HOLLAND',	'238122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1667,	4,	115,	127,	'POTATO SWEET UGANDA',	'238123',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1668,	4,	115,	127,	'POTATO SWEET AUS',	'238124',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1669,	4,	115,	127,	'POTATO SWEET EGYPT',	'238125',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1670,	4,	115,	127,	'POTATO SWEET HOLLAND',	'238126',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1671,	4,	115,	127,	'POTATO SWEET IND',	'238127',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1672,	4,	115,	127,	'POTATO SWEET OMAN',	'238128',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1673,	4,	115,	127,	'POTATO SWEET S LANKA',	'238129',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1674,	4,	115,	127,	'POTATO SWEET U.S.A',	'238130',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1675,	4,	115,	384,	'POTATO SWEET ORANGE U.S.A',	'238131',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1676,	4,	115,	385,	'POTATO SWEET RED U.S.A',	'238132',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1677,	4,	115,	386,	'POTATO CHAT AUS',	'238133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1678,	4,	115,	386,	'POTATO CHAT HOLLAND',	'238134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1679,	4,	115,	387,	'POTATO CHINIES(KOORKA) IND',	'238135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1680,	4,	115,	387,	'POTATO CHINIES(KOORKA) S LANKA',	'238136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1681,	4,	115,	387,	'POTATO CHINIES(KOORKA) UGANDA',	'238137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1682,	4,	115,	94,	'POTATO PURPLE HOLLAND',	'238138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1683,	4,	115,	14,	'POTATO RED PAK',	'238139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	96,	NULL),
(1684,	4,	115,	388,	'POTATO SWEET PURPLE OMAN',	'238140',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	97,	NULL),
(1685,	4,	116,	389,	'PUMKIN BUTTERNUT AUS',	'239101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1686,	4,	116,	389,	'PUMKIN BUTTERNUT EGYPT',	'239102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1687,	4,	116,	389,	'PUMKIN BUTTERNUT HOLLAND',	'239103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1688,	4,	116,	389,	'PUMKIN BUTTERNUT IRAN',	'239104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1689,	4,	116,	389,	'PUMKIN BUTTERNUT JORDAN',	'239105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1690,	4,	116,	389,	'PUMKIN BUTTERNUT OMAN',	'239106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1691,	4,	116,	390,	'PUMKIN WHITE(KADHU) BANGLA',	'239107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1692,	4,	116,	390,	'PUMKIN WHITE(KADHU) CHINA',	'239108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1693,	4,	116,	390,	'PUMKIN WHITE(KADHU) IND',	'239109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1694,	4,	116,	390,	'PUMKIN WHITE(KADHU) IRAN',	'239110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1695,	4,	116,	390,	'PUMKIN WHITE(KADHU) OMAN',	'239111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1696,	4,	116,	390,	'PUMKIN WHITE(KADHU) PAK',	'239112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1697,	4,	116,	391,	'PUMKIN ASH IND',	'239113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1698,	4,	116,	391,	'PUMKIN ASH OMAN',	'239114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1699,	4,	116,	391,	'PUMKIN ASH PAK',	'239115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1700,	4,	116,	391,	'PUMKIN ASH S LANKA',	'239116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1701,	4,	116,	392,	'PUMKIN RED(BOBAR) IND',	'239117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1702,	4,	116,	392,	'PUMKIN RED(BOBAR) IRAN',	'239118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1703,	4,	116,	392,	'PUMKIN RED(BOBAR) OMAN',	'239119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1704,	4,	116,	392,	'PUMKIN RED(BOBAR) S LANKA',	'239120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1705,	4,	116,	392,	'PUMKIN RED(BOBAR) SAUDI',	'239121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1706,	4,	116,	389,	'PUMKIN BUTTERNUT S LANKA',	'239122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1707,	4,	116,	389,	'PUMKIN BUTTERNUT U.S.A',	'239123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1708,	1,	116,	393,	'PUMKIN LEAVES OMAN',	'239124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1709,	4,	116,	394,	'PUMKIN WHITE (KADHU) ROUND OMAN',	'239125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1710,	4,	116,	390,	'PUMKIN WHITE(KADHU) UGANDA',	'239126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1711,	4,	116,	389,	'PUMKIN BUTTERNUT S AFRICA',	'239127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1712,	4,	117,	14,	'RADISH RED AUS',	'240101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1713,	4,	117,	14,	'RADISH RED CHINA',	'240102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1714,	4,	117,	14,	'RADISH RED HOLLAND',	'240103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1715,	4,	117,	14,	'RADISH RED OMAN',	'240104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1716,	4,	117,	14,	'RADISH RED U.S.A',	'240105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1717,	4,	117,	395,	'RADISH WHITE(MOOLI) CHINA',	'240106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1718,	4,	117,	395,	'RADISH WHITE(MOOLI) IRAN',	'240107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1719,	4,	117,	395,	'RADISH WHITE(MOOLI) OMAN',	'240108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	23,	NULL),
(1720,	1,	117,	396,	'RADISH LEAVES OMAN',	'240109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1721,	1,	117,	397,	'RADISH RED LEAVES OMAN',	'240110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	77,	NULL),
(1722,	2,	118,	398,	'RAMBUTAN IND',	'241101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1723,	2,	118,	398,	'RAMBUTAN INDONESIA',	'241102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1724,	2,	118,	398,	'RAMBUTAN MALAYSIA',	'241103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1725,	2,	118,	398,	'RAMBUTAN S LANKA',	'241104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1726,	2,	118,	398,	'RAMBUTAN THAI',	'241105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1727,	2,	118,	398,	'RAMBUTAN VIETNAM',	'241106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	72,	NULL),
(1728,	4,	119,	399,	'RHUBARB AUS',	'244101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(1729,	4,	119,	399,	'RHUBARB HOLLAND',	'244102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(1730,	4,	119,	399,	'RHUBARB U.S.A',	'244103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	26,	NULL),
(1731,	4,	120,	400,	'RIDGE GOURD GREEN (TURI) OMAN',	'245101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1732,	4,	120,	401,	'RIDGE GOURD WHITE (TURI) OMAN',	'245102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1733,	4,	121,	402,	'RIDGE GOURD(TURI) IND',	'246101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1734,	2,	122,	403,	'SWEET MELON LEBANON',	'247101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1735,	2,	122,	403,	'SWEET MELON OMAN',	'247102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1736,	2,	122,	403,	'SWEET MELON SYRIA',	'247103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1737,	2,	122,	403,	'SWEET MELON TURKEY',	'247104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1738,	2,	122,	403,	'SWEET MELON YEMEN',	'247105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1739,	2,	122,	404,	'WATERMELON SAUDI',	'247106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1740,	2,	122,	405,	'WATERMELON SEEDLESS AUS',	'247107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1741,	2,	122,	405,	'WATERMELON SEEDLESS HOLLAND',	'247108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1742,	2,	122,	404,	'WATERMELON SYRIA',	'247109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1743,	2,	122,	405,	'WATERMELON YELLOW AUS',	'247110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1744,	2,	122,	406,	'WATERMELON YELLOW HOLLAND',	'247111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1745,	2,	122,	404,	'WATERMELON YEMEN',	'247112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1746,	2,	122,	407,	'ROCK MELON AUS',	'247113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1747,	2,	122,	407,	'ROCK MELON IRAN',	'247114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1748,	2,	122,	407,	'ROCK MELON JORDAN',	'247115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1749,	2,	122,	407,	'ROCK MELON LEBANON',	'247116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1750,	2,	122,	407,	'ROCK MELON OMAN',	'247117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1751,	2,	122,	408,	'MASHADI MELON IRAN',	'247118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1752,	2,	122,	409,	'HONEY DEW MELON AUS',	'247119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1753,	2,	122,	409,	'HONEY DEW MELON HOLLAND',	'247120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1754,	2,	122,	409,	'HONEY DEW MELON IRAN',	'247121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1755,	2,	122,	409,	'HONEY DEW MELON JORDAN',	'247122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1756,	2,	122,	409,	'HONEY DEW MELON LEBANON',	'247123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1757,	2,	122,	409,	'HONEY DEW MELON OMAN',	'247124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1758,	2,	122,	404,	'WATERMELON IND',	'247125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1759,	2,	122,	404,	'WATERMELON IRAN',	'247126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1760,	2,	122,	404,	'WATERMELON JORDAN',	'247127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1761,	2,	122,	404,	'WATERMELON LEBANON',	'247128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1762,	2,	122,	404,	'WATERMELON OMAN',	'247129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1763,	2,	122,	407,	'ROCK MELON PAK',	'247130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1764,	2,	122,	407,	'ROCK MELON SAUDI',	'247131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1765,	2,	122,	407,	'ROCK MELON U.S.A',	'247132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1766,	2,	122,	403,	'SWEET MELON IND',	'247133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1767,	2,	122,	403,	'SWEET MELON IRAN',	'247134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1768,	2,	122,	403,	'SWEET MELON JORDAN',	'247135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1769,	2,	122,	405,	'WATERMELON SEEDLESS VIETNAM',	'247137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1770,	2,	122,	404,	'WATERMELON THAI',	'247138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1771,	2,	122,	406,	'WATERMELON YELLOW IRAN',	'247139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	99,	NULL),
(1772,	2,	122,	403,	'SWEET MELON EGYPT',	'247140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	98,	NULL),
(1773,	1,	123,	410,	'ROCKET(GIRGIR) LEAVES HOLLAND',	'248101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1774,	1,	123,	410,	'ROCKET(GIRGIR) LEAVES OMAN',	'248102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1775,	1,	123,	410,	'ROCKET(GIRGIR) LEAVES THAI',	'248103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	71,	NULL),
(1776,	2,	124,	137,	'ROSE APPLE THAI',	'249101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1777,	2,	124,	137,	'ROSE APPLE IND',	'249102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1778,	2,	124,	137,	'ROSE APPLE MALAYSIA',	'249103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1779,	2,	124,	137,	'ROSE APPLE OMAN',	'249104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1780,	2,	124,	137,	'ROSE APPLE S LANKA',	'249105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1781,	1,	125,	370,	'ROSEMARY AUS',	'250101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1782,	1,	125,	370,	'ROSEMARY POT HOLLAND',	'250102',	9,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1783,	1,	125,	370,	'ROSEMARY KENYA',	'250103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1784,	1,	125,	370,	'ROSEMARY MALAYSIA',	'250104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1785,	1,	125,	370,	'ROSEMARY THAI',	'250105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1786,	1,	125,	370,	'ROSEMARY VIETNAM',	'250106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1787,	1,	125,	370,	'ROSEMARY HOLLAND',	'250107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1788,	1,	125,	370,	'ROSEMARY OMAN',	'250108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1789,	1,	126,	411,	'SAGE POT HOLLAND',	'251101',	9,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1790,	1,	126,	411,	'SAGE KENYA',	'251102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1791,	1,	126,	411,	'SAGE MALAYSIA',	'251103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1792,	1,	126,	411,	'SAGE THAI',	'251104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1793,	1,	126,	411,	'SAGE HOLLAND',	'251105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(1794,	2,	127,	412,	'SAPODILLA(CHIKOO) IND',	'252101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1795,	2,	127,	412,	'SAPODILLA(CHIKOO) KENYA',	'252102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1796,	2,	127,	412,	'SAPODILLA(CHIKOO) OMAN',	'252103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1797,	2,	127,	412,	'SAPODILLA(CHIKOO) THAI',	'252104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1798,	2,	128,	413,	'SNAKE(SALAK) FRUIT INDONESIA',	'253101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1799,	2,	128,	413,	'SNAKE(SALAK) FRUIT MALAYSIA',	'253102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1800,	2,	128,	413,	'SNAKE(SALAK) FRUIT THAI',	'253103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1801,	4,	129,	414,	'SNAKE GOURD BANGLA',	'254101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1802,	4,	129,	414,	'SNAKE GOURD IND',	'254102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1803,	4,	129,	414,	'SNAKE GOURD OMAN',	'254103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1804,	4,	129,	414,	'SNAKE GOURD S LANKA',	'254104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1805,	4,	130,	1,	'SNOW PEAS SPROUTS OMAN',	'255101',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(1806,	4,	130,	1,	'SNOW PEAS SPROUTS THAI',	'255102',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(1807,	4,	130,	1,	'SNOW PEAS SPROUTS HOLLAND',	'255103',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(1808,	2,	131,	415,	'SOURSOP IND',	'256101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1809,	2,	131,	415,	'SOURSOP S LANKA',	'256102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1810,	2,	131,	415,	'SOURSOP THAI',	'256103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1811,	2,	131,	415,	'SOURSOP UGANDA',	'256104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1812,	2,	131,	415,	'SOURSOP VIETNAM',	'256105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1813,	1,	132,	416,	'SPINACH PALAK OMAN',	'257101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1814,	1,	132,	417,	'SPINACH RED OMAN',	'257102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1815,	1,	132,	418,	'SPINACH GREEN HOLLAND',	'257103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1816,	1,	132,	418,	'SPINACH GREEN OMAN',	'257104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1817,	1,	132,	378,	'SPINACH (POI SHAK) LEAVES OMAN',	'257105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1818,	1,	133,	419,	'SPINACH BABY HOLLAND',	'258101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1819,	2,	134,	73,	'STAR FRUIT HOLLAND',	'261101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1820,	2,	134,	73,	'STAR FRUIT KENYA',	'261102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	57,	NULL),
(1821,	2,	134,	73,	'STAR FRUIT MALAYSIA',	'261103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	58,	NULL),
(1822,	2,	134,	73,	'STAR FRUIT THAI',	'261104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	59,	NULL),
(1823,	2,	134,	73,	'STAR FRUIT IND',	'261105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	101,	NULL),
(1824,	2,	134,	73,	'STAR FRUIT OMAN',	'261106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	102,	NULL),
(1825,	2,	135,	420,	'SUGAR CANE IND',	'263101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	103,	NULL),
(1826,	2,	135,	420,	'SUGAR CANE OMAN',	'263102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	103,	NULL),
(1827,	2,	135,	420,	'SUGAR CANE PAK',	'263103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	103,	NULL),
(1828,	4,	136,	421,	'SUGAR SNAP KENYA',	'264101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	11,	NULL),
(1829,	4,	137,	127,	'TAMARIND SWEET MALAYSIA',	'266101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	104,	NULL),
(1830,	4,	137,	127,	'TAMARIND SWEET THAI',	'266102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	104,	NULL),
(1831,	2,	137,	2,	'TAMARIND GREEN IND',	'266103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	104,	NULL),
(1832,	4,	137,	2,	'TAMARIND GREEN OMAN',	'266104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	104,	NULL),
(1833,	4,	138,	422,	'TAPIOCA IND',	'267101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	105,	NULL),
(1834,	4,	138,	422,	'TAPIOCA OMAN',	'267102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	105,	NULL),
(1835,	4,	138,	422,	'TAPIOCA S LANKA',	'267103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	105,	NULL),
(1836,	4,	139,	423,	'TARO(ARAVI) PAK',	'268101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1837,	4,	139,	423,	'TARO(ARAVI) S LANKA',	'268102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1838,	4,	139,	52,	'TARO(GULGAS) OMAN',	'268103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1839,	4,	139,	423,	'TARO(ARAVI) CHINA',	'268104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1840,	4,	139,	424,	'TARO(ARAVI) SMALL IND',	'268105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1841,	1,	139,	425,	'TARO(ARAVI) LEAVES THAI',	'268106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1842,	1,	139,	425,	'TARO(ARAVI) LEAVES IND',	'268107',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1843,	4,	139,	423,	'TARO(ARAVI) BIG IND',	'268108',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	106,	NULL),
(1844,	1,	139,	426,	'TARO LEAVES(UMBRALLA) S LANKA',	'268109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	107,	NULL),
(1845,	1,	140,	427,	'TARRAGON AUS',	'271101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	108,	NULL),
(1846,	1,	140,	427,	'TARRAGON HOLLAND',	'271102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	108,	NULL),
(1847,	1,	140,	427,	'TARRAGON MALAYSIA',	'271103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	108,	NULL),
(1848,	1,	140,	427,	'TARRAGON THAI',	'271104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	108,	NULL),
(1849,	1,	140,	427,	'TARRAGON U.S.A',	'271105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	108,	NULL),
(1850,	1,	140,	427,	'TARRAGON KENYA',	'271106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	108,	NULL),
(1851,	4,	141,	428,	'TEASEL GOURD(KAKROL) BANGLA',	'272101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1852,	4,	141,	428,	'TEASEL GOURD(KAKROL) IND',	'272102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1853,	1,	142,	429,	'THYME AUS',	'273101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1854,	1,	142,	429,	'THYME HOLLAND',	'273102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1855,	1,	142,	429,	'THYME KENYA',	'273103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1856,	1,	142,	429,	'THYME THAI',	'273104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1857,	1,	142,	429,	'THYME U.S.A',	'273105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1858,	1,	142,	429,	'THYME POT HOLLAND',	'273106',	9,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1859,	1,	142,	429,	'THYME OMAN',	'273107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(1860,	4,	143,	430,	'TINDA IND',	'274101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1861,	4,	143,	430,	'TINDA OMAN',	'274102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1862,	4,	143,	430,	'TINDA PAK',	'274103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1863,	4,	144,	14,	'TOMATO RED EGYPT',	'275101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1864,	4,	144,	14,	'TOMATO RED IND',	'275102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1865,	4,	144,	14,	'TOMATO RED SYRIA',	'275103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1866,	4,	144,	14,	'TOMATO RED TURKEY',	'275104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1867,	4,	144,	14,	'TOMATO RED YEMEN',	'275105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1868,	4,	144,	431,	'TOMATO ROMA AUS',	'275106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1869,	4,	144,	432,	'TOMATO PLUM AUS',	'275107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1870,	4,	144,	432,	'TOMATO PLUM HOLLAND',	'275108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1871,	4,	144,	432,	'TOMATO PLUM MALAYSIA',	'275109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1872,	4,	144,	431,	'TOMATO ROMA HOLLAND',	'275110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1873,	4,	144,	431,	'TOMATO ROMA MALAYSIA',	'275111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1874,	4,	144,	431,	'TOMATO ROMA MOROCCO',	'275112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1875,	4,	144,	431,	'TOMATO ROMA OMAN',	'275113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1876,	4,	144,	431,	'TOMATO ROMA SPAIN',	'275114',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1877,	4,	144,	14,	'TOMATO RED IRAN',	'275115',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1878,	4,	144,	14,	'TOMATO RED JORDAN',	'275116',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1879,	4,	144,	14,	'TOMATO RED LEBANON',	'275117',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1880,	4,	144,	14,	'TOMATO RED MALAYSIA',	'275118',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1881,	4,	144,	14,	'TOMATO RED OMAN',	'275119',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1882,	4,	144,	14,	'TOMATO RED SAUDI',	'275120',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1883,	4,	144,	433,	'TOMATO PEAR HOLLAND',	'275121',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1884,	4,	144,	433,	'TOMATO PEAR SPAIN',	'275122',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1885,	4,	144,	434,	'TOMATO KUMATO HOLLAND',	'275123',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1886,	4,	144,	435,	'TOMATO CHERRY BUNCH EGYPT',	'275124',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1887,	4,	144,	435,	'TOMATO CHERRY BUNCH HOLLAND',	'275125',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1888,	4,	144,	435,	'TOMATO CHERRY BUNCH OMAN',	'275126',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1889,	4,	144,	436,	'TOMATO CHERRY MIX HOLLAND',	'275127',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1890,	4,	144,	437,	'TOMATO CHERRY RED EGYPT',	'275128',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1891,	4,	144,	437,	'TOMATO CHERRY RED HOLLAND',	'275129',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1892,	4,	144,	437,	'TOMATO CHERRY RED MOROCCO',	'275130',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1893,	4,	144,	437,	'TOMATO CHERRY RED OMAN',	'275131',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1894,	4,	144,	438,	'TOMATO CHERRY SHAKER HOLLAND',	'275132',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1895,	4,	144,	439,	'TOMATO CHERRY YELLOW EGYPT',	'275133',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1896,	4,	144,	439,	'TOMATO CHERRY YELLOW HOLLAND',	'275134',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1897,	4,	144,	440,	'TOMATO BUNCH YELLOW MOROCCO',	'275135',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1898,	4,	144,	440,	'TOMATO BUNCH YELLOW OMAN',	'275136',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1899,	4,	144,	440,	'TOMATO BUNCH YELLOW SPAIN',	'275137',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1900,	4,	144,	440,	'TOMATO BUNCH YELLOW U.S.A',	'275138',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1901,	4,	144,	441,	'TOMATO DATTERINO AUS',	'275139',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1902,	4,	144,	441,	'TOMATO DATTERINO HOLLAND',	'275140',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1903,	4,	144,	441,	'TOMATO DATTERINO MOROCCO',	'275141',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1904,	4,	144,	442,	'TOMATO BUNCH ORANGE HOLLAND',	'275142',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1905,	4,	144,	443,	'TOMATO BUNCH RED AUS',	'275143',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1906,	4,	144,	443,	'TOMATO BUNCH RED HOLLAND',	'275144',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1907,	4,	144,	443,	'TOMATO BUNCH RED LEBANON',	'275145',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1908,	4,	144,	443,	'TOMATO BUNCH RED MALAYSIA',	'275146',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1909,	4,	144,	443,	'TOMATO BUNCH RED MOROCCO',	'275147',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1910,	4,	144,	443,	'TOMATO BUNCH RED OMAN',	'275148',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1911,	4,	144,	444,	'TOMATO BEEF AUS',	'275149',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1912,	4,	144,	444,	'TOMATO BEEF HOLLAND',	'275150',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1913,	4,	144,	444,	'TOMATO BEEF MALAYSIA',	'275151',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1914,	4,	144,	444,	'TOMATO BEEF MOROCCO',	'275152',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1915,	4,	144,	444,	'TOMATO BEEF OMAN',	'275153',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1916,	4,	144,	444,	'TOMATO BEEF SPAIN',	'275154',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1917,	4,	144,	441,	'TOMATO DATTERINO OMAN',	'275155',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1918,	4,	144,	441,	'TOMATO DATTERINO SPAIN',	'275156',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1919,	4,	144,	441,	'TOMATO DATTERINO U.S.A',	'275157',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1920,	4,	144,	445,	'TOMATO HEIRLOOM MOROCCO',	'275158',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1921,	4,	144,	445,	'TOMATO HEIRLOOM SPAIN',	'275159',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1922,	4,	144,	445,	'TOMATO HEIRLOOM AUS',	'275160',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1923,	4,	144,	445,	'TOMATO HEIRLOOM HOLLAND',	'275161',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1924,	4,	144,	446,	'TOMATO HEIRLOOM MIX HOLLAND',	'275162',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1925,	4,	144,	432,	'TOMATO PLUM MOROCCO',	'275163',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1926,	4,	144,	432,	'TOMATO PLUM OMAN',	'275164',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1927,	4,	144,	432,	'TOMATO PLUM SPAIN',	'275165',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1928,	4,	144,	439,	'TOMATO CHERRY YELLOW OMAN',	'275166',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1929,	4,	144,	443,	'TOMATO BUNCH RED SPAIN',	'275167',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1930,	4,	144,	443,	'TOMATO BUNCH RED TURKEY',	'275168',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1931,	4,	144,	443,	'TOMATO BUNCH RED U.S.A',	'275169',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1932,	4,	144,	440,	'TOMATO BUNCH YELLOW AUS',	'275170',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1933,	4,	144,	440,	'TOMATO BUNCH YELLOW HOLLAND',	'275171',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1934,	4,	144,	440,	'TOMATO BUNCH YELLOW MALAYSIA',	'275172',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1935,	4,	144,	444,	'TOMATO BEEF U.S.A',	'275173',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1936,	4,	144,	282,	'TOMATO ROUND MOROCCO',	'275174',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1937,	4,	144,	282,	'TOMATO ROUND HOLLAND',	'275175',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1938,	4,	144,	446,	'TOMATO HEIRLOOM MIX OMAN',	'275176',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1939,	4,	144,	447,	'TOMATO CHERRY BROWN OMAN',	'275177',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1940,	4,	144,	448,	'TOMATO CHERRY PLUM OMAN',	'275178',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1941,	4,	144,	14,	'TOMATO RED HOLLAND',	'275179',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1942,	4,	144,	444,	'TOMATO BEEF IRAN',	'275180',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1943,	4,	144,	449,	'TOMATO CHERRY BUNCH YELLOW HOLLAND',	'275181',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1944,	4,	144,	447,	'TOMATO CHERRY BROWN HOLLAND',	'275182',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1945,	4,	144,	450,	'TOMATO CHERITA HOLLAND',	'275183',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1946,	4,	144,	451,	'TOMATO CHERRY GREEN HOLLAND',	'275184',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1947,	4,	144,	452,	'TOMATO CHERRY PURPLE HOLLAND',	'275185',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1948,	4,	144,	453,	'TOMATO CHERRY ORANGE HOLLAND',	'275186',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1949,	4,	144,	454,	'TOMATO SNACK RED  HOLLAND',	'275187',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1950,	4,	144,	455,	'TOMATO SNACK ORANGE  HOLLAND',	'275188',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1951,	4,	144,	456,	'TOMATO SNACK MIX  HOLLAND',	'275189',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1952,	4,	144,	457,	'TOMATO TEARDROP YELLOW  HOLLAND',	'275190',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1953,	4,	144,	435,	'TOMATO CHERRY BUNCH MOROCCO',	'275191',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1954,	4,	144,	443,	'TOMATO BUNCH RED IRAN',	'275192',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1955,	4,	144,	439,	'TOMATO CHERRY YELLOW MOROCCO',	'275193',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1956,	4,	144,	436,	'TOMATO CHERRY MIX MOROCCO',	'275194',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1957,	4,	144,	448,	'TOMATO CHERRY PLUM MOROCCO',	'275195',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	109,	NULL),
(1958,	1,	145,	458,	'TURMERIC LEAVES IND',	'276101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	107,	NULL),
(1959,	4,	145,	459,	'TURMERIC FRESH IND',	'276102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	110,	NULL),
(1960,	4,	146,	460,	'TURNIP SAUDI',	'277101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1961,	4,	146,	461,	'TURNIP SWEDE HOLLAND',	'277102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1962,	4,	146,	460,	'TURNIP SYRIA',	'277103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1963,	4,	146,	460,	'TURNIP IRAN',	'277104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1964,	4,	146,	460,	'TURNIP JORDAN',	'277105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1965,	4,	146,	460,	'TURNIP LEBANON',	'277106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1966,	4,	146,	460,	'TURNIP OMAN',	'277107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1967,	4,	146,	14,	'TURNIP RED LEBANON',	'277108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1968,	4,	146,	14,	'TURNIP RED SYRIA',	'277109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1969,	4,	146,	461,	'TURNIP SWEDE AUSTRALIA',	'277110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1970,	4,	146,	462,	'TURNIP SWEDE BABY HOLLAND',	'277111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	25,	NULL),
(1971,	1,	147,	463,	'WHEATGRASS HOLLAND',	'281101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(1972,	2,	148,	464,	'WOOD APPLE S LANKA',	'282101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1973,	2,	148,	464,	'WOOD APPLE IND',	'282102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1974,	4,	149,	465,	'YAM RED(KACHIL) IND',	'283101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	111,	NULL),
(1975,	4,	149,	465,	'YAM RED(KACHIL) OMAN',	'283102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	111,	NULL),
(1976,	4,	149,	465,	'YAM RED(KACHIL) S LANKA',	'283103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	111,	NULL),
(1977,	4,	149,	465,	'YAM RED(KACHIL) UGANDA',	'283104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	111,	NULL),
(1978,	4,	149,	466,	'YAM(SURAN) IND',	'283105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	112,	NULL),
(1979,	4,	149,	466,	'YAM(SURAN) S LANKA',	'283106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	112,	NULL),
(1980,	4,	149,	466,	'YAM(SURAN) UGANDA',	'283107',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	112,	NULL),
(1981,	4,	150,	98,	'ZUCCHINI YELLOW HOLLAND',	'285101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1982,	4,	150,	98,	'ZUCCHINI YELLOW IRAN',	'285102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1983,	4,	150,	98,	'ZUCCHINI YELLOW OMAN',	'285103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1984,	4,	150,	98,	'ZUCCHINI YELLOW SPAIN',	'285104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1985,	4,	150,	98,	'ZUCCHINI YELLOW U.S.A',	'285105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1986,	4,	150,	467,	'ZUCCHINI MINI GREEN S AFRICA',	'285106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1987,	4,	150,	468,	'ZUCCHINI MINI YELLOW S AFRICA',	'285107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1988,	4,	150,	2,	'ZUCCHINI GREEN HOLLAND',	'285108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1989,	4,	150,	2,	'ZUCCHINI GREEN IRAN',	'285109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1990,	4,	150,	2,	'ZUCCHINI GREEN OMAN',	'285110',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1991,	4,	150,	2,	'ZUCCHINI GREEN SPAIN',	'285111',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1992,	4,	150,	2,	'ZUCCHINI GREEN U.S.A',	'285112',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1993,	4,	150,	2,	'ZUCCHINI GREEN IND',	'285113',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1994,	4,	151,	469,	'ZUCCHINI GREEN BABY HOLLAND',	'286101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	16,	NULL),
(1995,	4,	152,	470,	'MIX VEGETABLE',	'287101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(1996,	4,	152,	471,	'MIX CORN ASPARAGUS BABY THAI',	'287102',	4,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(1997,	4,	153,	472,	'SNOW PEAS HOLLAND',	'288101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(1998,	4,	153,	472,	'SNOW PEAS KENYA',	'288102',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(1999,	4,	153,	472,	'SNOW PEAS THAI',	'288103',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(2000,	4,	153,	473,	'GREEN PEAS(MATAR) IND',	'288104',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(2001,	4,	153,	473,	'GREEN PEAS(MATAR) OMAN',	'288105',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(2002,	4,	153,	474,	'GREEN PEAS (TUVAR)  IND',	'288106',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(2003,	4,	153,	473,	'GREEN PEAS(MATAR) PAK',	'288107',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(2004,	4,	153,	475,	'CHICKPEA (BENGAL GRAM) IND',	'288108',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	100,	NULL),
(2005,	4,	153,	473,	'GREEN PEAS(MATAR) JORDAN',	'288109',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	113,	NULL),
(2006,	1,	154,	476,	'MESCLUN LEAVES MIX HOLLAND',	'289101',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	69,	NULL),
(2007,	1,	155,	477,	'METHI LEAVES OMAN',	'290100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	114,	NULL),
(2008,	1,	156,	477,	'ZAATAR LEAVES OMAN',	'291100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	81,	NULL),
(2009,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) CHILE',	'292100',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2010,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) HOLLAND',	'292101',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2011,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) IRAN',	'292102',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2012,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) JORDAN',	'292103',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2013,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) LEBANON',	'292104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2014,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) PAK',	'292105',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2015,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) S AFRICA',	'292106',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2016,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) SIRIYA',	'292107',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2017,	2,	157,	210,	'PERSIMMON (KAKA FRUIT) SPAIN',	'292108',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	68,	NULL),
(2018,	9,	158,	478,	'LD BAG',	'294100',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2019,	9,	158,	479,	'BARCODE ROLL 800B',	'294101',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2020,	9,	158,	480,	'FOAM TRAY',	'294102',	59,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2021,	9,	158,	481,	'KEES ROLE NAS PLAST',	'294103',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2022,	9,	158,	478,	'HD BAG',	'294104',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2023,	9,	158,	478,	'EMPTY BOX',	'294105',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2024,	9,	158,	482,	'CLING FILIM JUMBO',	'294106',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2025,	9,	158,	481,	'NASPLAST HD',	'294107',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2026,	9,	158,	482,	'CLING FILIM - AL BAYDER',	'294108',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2027,	9,	158,	483,	'MICROWAVE CONT',	'294109',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2028,	9,	158,	484,	'TAPE RAINBOW',	'294110',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2029,	9,	158,	485,	'DISPOSABLE PP CUPS',	'294111',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2030,	9,	158,	481,	'KEES ROLE MAJAN',	'294112',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2031,	9,	158,	481,	'KEES ROLE DUBAI',	'294113',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2032,	9,	158,	486,	'FOAM BURGER BOX',	'294114',	59,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2033,	9,	158,	487,	'PAPER GLASS',	'294115',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2034,	9,	158,	488,	'SANDWICH PAPER - PACKOVIC',	'294116',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2035,	9,	158,	489,	'PAPER CUP HEAVY DUTY',	'294117',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2036,	9,	158,	490,	'LID PEPER CUP HEAVY DUTY',	'294118',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2037,	9,	158,	491,	'ALUMINIUM CONTAINERAINER',	'294119',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2038,	9,	158,	492,	'FALCON FOIL',	'294120',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2039,	9,	158,	493,	'EMPTY CARTOON',	'294121',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2040,	9,	158,	478,	'EMPTY BAG',	'294122',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2041,	9,	158,	494,	'APRON',	'294123',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2042,	9,	158,	495,	'VINYL GLOVES',	'294124',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2043,	9,	158,	496,	'STRETCH FILIM',	'294125',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2044,	9,	158,	497,	'EGG ROPE',	'294126',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2045,	9,	158,	498,	'PLASTIC TABLE SPOON',	'294127',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2046,	9,	158,	499,	'CLEAR CUP - ALBAYDER',	'294128',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2047,	9,	158,	499,	'CLEAR CUP - DOOM LID',	'294129',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2048,	9,	158,	499,	'CLEAR HINGED PUNCH',	'294130',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2049,	9,	158,	478,	'GARBAGE BAG',	'294131',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2050,	9,	158,	500,	'MAXIROLL',	'294132',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2051,	9,	158,	501,	'RUBBER BAND',	'294133',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2052,	9,	158,	502,	'TARPAULIN',	'294134',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2053,	9,	158,	503,	'ONION ROPE',	'294135',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2054,	9,	158,	504,	'FACE MASK',	'294136',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2055,	9,	158,	504,	'THERMOCOL',	'294137',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2056,	9,	158,	505,	'HAND PALLET TRUCK (JACK)',	'294138',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2057,	9,	158,	506,	'ORANGE NET ROLL',	'294139',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2058,	9,	158,	507,	'PLASTIC STRAW',	'294140',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2059,	9,	158,	481,	'NASPLAST HD MILKY BAG',	'294141',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2060,	9,	158,	508,	'FALCON PAPER PLATE',	'294142',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2061,	9,	158,	507,	'FALCON PLASTIC STRAW FLEX - STRIPES',	'294143',	4,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2062,	9,	158,	509,	'GARBAGE ROLL',	'294144',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2063,	9,	158,	510,	'SUFRA NASPLAST',	'294145',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2064,	9,	158,	485,	'PAPPER CUP',	'294146',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2065,	9,	158,	511,	'FOAM PLATE',	'294147',	59,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2066,	9,	158,	512,	'THERMAL CASH ROLL',	'294148',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2067,	9,	158,	513,	'HAND TRUCK (ARBANA)',	'294149',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2068,	9,	158,	514,	'TISSUE FARA',	'294150',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2069,	9,	158,	515,	'IFTAR INSTANT KIT',	'294151',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2070,	9,	158,	516,	'IFTAR FAMILY KIT',	'294152',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2071,	9,	158,	512,	'THERMAL HAND WRAPPER',	'294153',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2072,	9,	158,	517,	'COCONUT GRINDING MACHINE',	'294154',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2073,	9,	158,	518,	'KITCHEN RACKS',	'294155',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2074,	9,	158,	519,	'ETHYLENE',	'294156',	6,	'N',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2075,	9,	158,	520,	'HEAT SEALING MIC',	'294157',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2076,	9,	158,	478,	'LD PRINTED BAG',	'294158',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2077,	9,	158,	521,	'EMPTY BOTTLE',	'294159',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2078,	9,	158,	522,	'CONTAINER CLEAR HINGED PUNNET',	'294160',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2079,	9,	158,	478,	'BAG ON ROLL F&V NAS PLAST',	'294161',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2080,	9,	158,	478,	'BAG HD T-SHIRT NASPLAST',	'294162',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	115,	NULL),
(2081,	10,	159,	523,	'HAND WASH',	'296102',	6,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	116,	NULL),
(2082,	1,	160,	477,	'MUSTARD LEAVES OMAN',	'297100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(2083,	2,	161,	73,	'FRUITS & VEGETABLES',	'298100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	12,	NULL),
(2084,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF MINCE AUS',	'299100',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2085,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF MINCE LOW FAT AUS',	'299101',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2086,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF CUBES  AUS',	'299102',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2087,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF BURGER AUS',	'299103',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2088,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF ROAST  AUS',	'299104',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2089,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF FONDUE  AUS',	'299105',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2090,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF STROGANOFF AUS',	'299106',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2091,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF TOPSIDE STEAK MB2+  AUS',	'299107',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2092,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF KNUCKLE STEAK MB2+ AUS',	'299108',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2093,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF TENDERLOIN STEAK MB2+ AUS',	'299109',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2094,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF RIBEYE STEAK MB2+  AUS',	'299110',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2095,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF STRIPLOIN STEAK MB2+ AUS',	'299111',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2096,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF T-BONE STEAK MB2+  AUS',	'299112',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2097,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BEEF BONE-IN RIBEYE STEAK MB2+  AUS',	'299113',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2098,	7,	162,	444,	'GRAIN-FED BLACK ANGUS BRISKET 1KG  AUS',	'299114',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2099,	7,	162,	444,	'GRAIN-FED BLACK ANGUS SHORT RIBS BONE-IN CUBES  AUS',	'299115',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2100,	7,	162,	444,	'GRAIN-FED BLACK ANGUS FRENCHED TOMAHAWK  AUS',	'299116',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2101,	7,	162,	444,	'GRAIN-FED BLACK ANGUS SHORT RIBS AUS',	'299117',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2102,	7,	162,	444,	'GRASS-FED BEEF MINCE AUS',	'299118',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2103,	7,	162,	444,	'GRASS-FED BEEF MINCE LOW FAT AUS',	'299119',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2104,	7,	162,	444,	'GRASS-FED BEEF CUBES  AUS',	'299120',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2105,	7,	162,	444,	'GRASS-FED BEEF BURGER  AUS',	'299121',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2106,	7,	162,	444,	'GRASS-FED BEEF ROAST  AUS',	'299122',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2107,	7,	162,	444,	'GRASS-FED BEEF FONDUE  AUS',	'299123',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2108,	7,	162,	444,	'GRASS-FED BEEF STROGANOFF  AUS',	'299124',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2109,	7,	162,	444,	'GRASS-FED BEEF TOPSIDE STEAK  AUS',	'299125',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2110,	7,	162,	444,	'GRASS-FED BEEF KNUCKLE STEAK  AUS',	'299126',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2111,	7,	162,	444,	'GRASS-FED BEEF TENDERLOIN STEAK  AUS',	'299127',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2112,	7,	162,	444,	'GRASS-FED BEEF RIBEYE STEAK  AUS',	'299128',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2113,	7,	162,	444,	'GRASS-FED BEEF STRIPLOIN STEAK  AUS',	'299129',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2114,	7,	162,	444,	'GRASS-FED BEEF T-BONE STEAK  AUS',	'299130',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2115,	7,	162,	444,	'GRASS-FED BEEF BONE-IN RIBEYE STEAK  AUS',	'299131',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2116,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU BEEF BURGER MB 4/5  AUS',	'299132',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2117,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU BEEF MINCE MB 4/5  AUS',	'299133',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2118,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU BEEF CUBES MB 4/5  AUS',	'299134',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2119,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU TOPSIDE STEAK MB 4/5  AUS',	'299135',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2120,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU TENDERLOIN STEAK MB 4/5  AUS',	'299136',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2121,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU STRIPLOIN STEAK MB 4/5  AUS',	'299137',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2122,	7,	162,	444,	'350 DAYS GRAIN-FED WAGYU RIBEYE STEAK MB 4/5  AUS',	'299138',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2123,	7,	162,	444,	'GRASS-FED BEEF MINCE  NEW Z LAND',	'299139',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2124,	7,	162,	444,	'GRASS-FED BEEF MINCE LOW FAT  NEW Z LAND',	'299140',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2125,	7,	162,	444,	'GRASS-FED BEEF CUBES  NEW Z LAND',	'299141',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2126,	7,	162,	444,	'GRASS-FED BEEF ROAST  NEW Z LAND',	'299142',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2127,	7,	162,	444,	'GRASS-FED BEEF FONDUE  NEW Z LAND',	'299143',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2128,	7,	162,	444,	'GRASS-FED BEEF STROGANOFF  NEW Z LAND',	'299144',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2129,	7,	162,	444,	'GRASS-FED BEEF TOPSIDE STEAK  NEW Z LAND',	'299145',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2130,	7,	162,	444,	'GRASS-FED BEEF KNUCKLE STEAK  NEW Z LAND',	'299146',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2131,	7,	162,	444,	'GRASS-FED BEEF TENDERLOIN STEAK  NEW Z LAND',	'299147',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2132,	7,	162,	444,	'GRASS-FED BEEF RIBEYE STEAK  NEW Z LAND',	'299148',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2133,	7,	162,	444,	'GRASS-FED BEEF STRIPLOIN STEAK  NEW Z LAND',	'299149',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2134,	7,	162,	444,	'GRASS-FED BEEF BURGER  NEW Z LAND',	'299150',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	117,	NULL),
(2135,	7,	162,	444,	'GRASS-FED BEEF T-BONE STEAK  NEW Z LAND',	'299151',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2136,	7,	162,	444,	'GRASS-FED BEEF BONE-IN RIBEYE STEAK  NEW Z LAND',	'299152',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	118,	NULL),
(2137,	7,	162,	444,	'BONE-IN LAMB CUBES  AUS',	'299153',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2138,	7,	162,	444,	'BONE-IN LAMB RIBS  AUS',	'299154',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2139,	7,	162,	444,	'BONE-IN LAMB RACK STANDARD CHOPS 8-9 PIECES  AUS',	'299155',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2140,	7,	162,	444,	'BONE-IN LAMB RACK FRENCHED CAP OFF  AUS',	'299156',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2141,	7,	162,	444,	'BONE-IN LAMB HINDSHANK 1PC  AUS',	'299157',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2142,	7,	162,	444,	'BONELESS LAMB CUBES  AUS',	'299158',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	120,	NULL),
(2143,	7,	162,	444,	'LAMB MINCE  AUS',	'299159',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	120,	NULL),
(2144,	7,	162,	444,	'LAMB BURGER PATTY  AUS',	'299160',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	121,	NULL),
(2145,	7,	162,	444,	'BONE-IN LAMB CUBES  NEW Z LAND',	'299161',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2146,	7,	162,	444,	'BONE-IN LAMB RIBS  NEW Z LAND',	'299162',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2147,	7,	162,	444,	'BONE-IN LAMB RACK STANDARD CHOPS 8-9 PIECES  NEW Z LAND',	'299163',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2148,	7,	162,	444,	'BONE-IN LAMB RACK FRENCHED CAP OFF  NEW Z LAND',	'299164',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2149,	7,	162,	444,	'BONELESS LAMB CUBES  NEW Z LAND',	'299165',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	120,	NULL),
(2150,	7,	162,	444,	'BONE-IN LAMB HINDSHANK 1PC  NEW Z LAND',	'299166',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	119,	NULL),
(2151,	7,	162,	444,	'LAMB MINCE  NEW Z LAND',	'299167',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	120,	NULL),
(2152,	7,	162,	444,	'LAMB BURGER PATTY  NEW Z LAND',	'299168',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	121,	NULL),
(2153,	7,	162,	524,	'AL FAAW FRESH CHICKEN',	'299169',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2154,	7,	162,	524,	'AL FAAW FRESH CHICKEN LIVER',	'299170',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	123,	NULL),
(2155,	7,	162,	524,	'AL FAAW FRESH CHICKEN GIZARD',	'299171',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	123,	NULL),
(2156,	7,	162,	524,	'HANI FRESH CHILLED CHICKEN',	'299172',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2157,	7,	162,	524,	'HANI FRESH CHILLED CHICKEN SKIN LESS',	'299173',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2158,	7,	162,	524,	'HANI FRESH CHICKEN MIX CUTS',	'299174',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2159,	7,	162,	524,	'HANI FRESH CHICKEN BREAST BONELESS',	'299175',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2160,	7,	162,	524,	'HANI FRESH CHICKEN WINGS',	'299176',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2161,	7,	162,	524,	'HANI FRESH CHICKEN THIGHS',	'299177',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2162,	7,	162,	524,	'HANI FRESH CHICKEN DRUMSTICKS',	'299178',	4,	'N',	NULL,	NULL,	53,	NULL,	0.00,	122,	NULL),
(2163,	7,	162,	524,	'HANI FRESH CHICKEN GIZZARD',	'299179',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	123,	NULL),
(2164,	7,	162,	524,	'HANI FRESH CHICKEN LIVER',	'299180',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	123,	NULL),
(2165,	7,	162,	524,	'HANI FRESH CHICKEN HEART',	'299181',	4,	'N',	NULL,	NULL,	53,	NULL,	5.00,	123,	NULL),
(2166,	7,	163,	525,	'APTAMIL PRONUTRA 4',	'300100',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2167,	7,	163,	525,	'APTAMIL PRONUTRA JUNIOR 3',	'300101',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2168,	7,	163,	525,	'APTAMIL PRONUTRA',	'300102',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2169,	7,	163,	526,	'HERO BABY PEACH& BANANA',	'300103',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2170,	7,	163,	526,	'HERO BABY MANGO &  BANANA',	'300104',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2171,	7,	163,	526,	'HERO BABY BANANA & PEAR',	'300105',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2172,	7,	163,	527,	'CERELAC BABY POWDER WHEAT FRUIT',	'300106',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2173,	7,	163,	527,	'CERELAC BABY POWDER WHEAT DATES',	'300107',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2174,	7,	163,	527,	'CERELAC BABY POWDER RICE',	'300108',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2175,	7,	163,	527,	'CERELAC BABY POWDER 4 FRUITS',	'300109',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2176,	7,	163,	528,	'PEDIASURE COMPLETE CHOCOLATE',	'300110',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2177,	7,	163,	528,	'PEDIASURE VANILLA (1+)',	'300111',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2178,	7,	163,	529,	'SIMILAC GAIN EY - Q PLUS N-1',	'300112',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2179,	7,	163,	529,	'SIMILAC GAIN EYE - Q PLUS N-2',	'300113',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2180,	7,	163,	530,	'NAN 1 BABY MILK POWDER',	'300114',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2181,	7,	163,	530,	'NAN 2 OPTIPRO',	'300115',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2182,	7,	163,	531,	'NESTLE NAN OPTIPRO STAGE 3-1 TO 3 YEARS',	'300116',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2183,	7,	163,	532,	'NIDO 1+ MILK POWDER',	'300117',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2184,	7,	163,	532,	'NIDO 3+ MILK POWDER',	'300118',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2185,	7,	163,	531,	'NAN OPTIPRO STAGE 2-6 TO 12 MONTHS',	'300119',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2186,	7,	163,	532,	'NIDO 1+ GUM-1 TO 3 YEARS',	'300120',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2187,	7,	163,	531,	'GOLD STAGE S-26 PRO 1- 0 TO 6 MONTHS FORMULA MILK',	'300121',	6,	'N',	NULL,	NULL,	53,	NULL,	0.00,	124,	NULL),
(2188,	4,	164,	533,	'ROSELLE OMAN',	'309100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(2189,	2,	165,	534,	'COCOA FRUIT IND',	'311100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	2,	NULL),
(2190,	1,	166,	535,	'BETEL LEAF OMAN',	'312100',	6,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL),
(2191,	4,	167,	127,	'CORN SWEET COOKED PHILI',	'313100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	37,	NULL),
(2192,	2,	168,	536,	'PALM FRUIT (COCONUT) IND',	'314100',	1,	'Y',	NULL,	NULL,	53,	NULL,	5.00,	34,	NULL),
(2193,	1,	169,	537,	'SARANA LEAVES S LANKA',	'315100',	1,	'Y',	NULL,	NULL,	53,	NULL,	0.00,	3,	NULL);

DROP TABLE IF EXISTS `product_grade`;
CREATE TABLE `product_grade` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grade_id` varchar(15) NOT NULL,
  `product_id` int(11) NOT NULL,
  `is_active` char(10) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `product_grade` (`id`, `grade_id`, `product_id`, `is_active`) VALUES
(1,	'1',	1,	'Y'),
(2,	'2',	1,	'Y'),
(3,	'3',	1,	'Y'),
(4,	'4',	1,	'Y'),
(5,	'2',	2,	'Y'),
(6,	'3',	2,	'Y'),
(7,	'4',	2,	'Y'),
(8,	'5',	3,	'Y'),
(9,	'1',	3,	'Y'),
(10,	'2',	3,	'Y'),
(11,	'3',	3,	'Y'),
(12,	'4',	3,	'Y'),
(13,	'5',	4,	'Y'),
(14,	'1',	4,	'Y'),
(15,	'2',	4,	'Y'),
(16,	'3',	4,	'Y'),
(17,	'4',	4,	'Y'),
(18,	'6',	5,	'Y'),
(19,	'2',	5,	'Y'),
(20,	'3',	5,	'Y'),
(21,	'4',	5,	'Y'),
(22,	'6',	6,	'Y'),
(23,	'2',	6,	'Y'),
(24,	'3',	6,	'Y'),
(25,	'4',	6,	'Y'),
(26,	'2',	7,	'Y'),
(27,	'3',	7,	'Y'),
(28,	'4',	7,	'Y'),
(29,	'7',	8,	'Y'),
(30,	'8',	8,	'Y'),
(31,	'9',	8,	'Y'),
(32,	'10',	8,	'Y'),
(33,	'11',	8,	'Y'),
(34,	'12',	8,	'Y'),
(35,	'13',	8,	'Y'),
(36,	'14',	8,	'Y'),
(37,	'15',	8,	'Y'),
(38,	'16',	8,	'Y'),
(39,	'17',	8,	'Y'),
(40,	'18',	8,	'Y'),
(41,	'19',	8,	'Y'),
(42,	'20',	8,	'Y'),
(43,	'21',	8,	'Y'),
(44,	'2',	8,	'Y'),
(45,	'3',	8,	'Y'),
(46,	'4',	8,	'Y'),
(47,	'7',	9,	'Y'),
(48,	'8',	9,	'Y'),
(49,	'9',	9,	'Y'),
(50,	'10',	9,	'Y'),
(51,	'11',	9,	'Y'),
(52,	'12',	9,	'Y'),
(53,	'13',	9,	'Y'),
(54,	'14',	9,	'Y'),
(55,	'15',	9,	'Y'),
(56,	'16',	9,	'Y'),
(57,	'17',	9,	'Y'),
(58,	'18',	9,	'Y'),
(59,	'19',	9,	'Y'),
(60,	'20',	9,	'Y'),
(61,	'21',	9,	'Y'),
(62,	'2',	9,	'Y'),
(63,	'3',	9,	'Y'),
(64,	'4',	9,	'Y'),
(65,	'7',	10,	'Y'),
(66,	'8',	10,	'Y'),
(67,	'9',	10,	'Y'),
(68,	'10',	10,	'Y'),
(69,	'11',	10,	'Y'),
(70,	'12',	10,	'Y'),
(71,	'13',	10,	'Y'),
(72,	'14',	10,	'Y'),
(73,	'15',	10,	'Y'),
(74,	'16',	10,	'Y'),
(75,	'17',	10,	'Y'),
(76,	'18',	10,	'Y'),
(77,	'19',	10,	'Y'),
(78,	'20',	10,	'Y'),
(79,	'21',	10,	'Y'),
(80,	'2',	10,	'Y'),
(81,	'3',	10,	'Y'),
(82,	'4',	10,	'Y'),
(83,	'7',	11,	'Y'),
(84,	'8',	11,	'Y'),
(85,	'9',	11,	'Y'),
(86,	'10',	11,	'Y'),
(87,	'11',	11,	'Y'),
(88,	'12',	11,	'Y'),
(89,	'13',	11,	'Y'),
(90,	'14',	11,	'Y'),
(91,	'15',	11,	'Y'),
(92,	'16',	11,	'Y'),
(93,	'17',	11,	'Y'),
(94,	'18',	11,	'Y'),
(95,	'19',	11,	'Y'),
(96,	'20',	11,	'Y'),
(97,	'21',	11,	'Y'),
(98,	'2',	11,	'Y'),
(99,	'3',	11,	'Y'),
(100,	'4',	11,	'Y'),
(101,	'7',	12,	'Y'),
(102,	'8',	12,	'Y'),
(103,	'9',	12,	'Y'),
(104,	'10',	12,	'Y'),
(105,	'11',	12,	'Y'),
(106,	'12',	12,	'Y'),
(107,	'13',	12,	'Y'),
(108,	'14',	12,	'Y'),
(109,	'15',	12,	'Y'),
(110,	'16',	12,	'Y'),
(111,	'17',	12,	'Y'),
(112,	'18',	12,	'Y'),
(113,	'19',	12,	'Y'),
(114,	'20',	12,	'Y'),
(115,	'21',	12,	'Y'),
(116,	'2',	12,	'Y'),
(117,	'3',	12,	'Y'),
(118,	'4',	12,	'Y'),
(119,	'7',	13,	'Y'),
(120,	'8',	13,	'Y'),
(121,	'9',	13,	'Y'),
(122,	'10',	13,	'Y'),
(123,	'11',	13,	'Y'),
(124,	'12',	13,	'Y'),
(125,	'13',	13,	'Y'),
(126,	'14',	13,	'Y'),
(127,	'15',	13,	'Y'),
(128,	'16',	13,	'Y'),
(129,	'17',	13,	'Y'),
(130,	'18',	13,	'Y'),
(131,	'19',	13,	'Y'),
(132,	'20',	13,	'Y'),
(133,	'21',	13,	'Y'),
(134,	'2',	13,	'Y'),
(135,	'3',	13,	'Y'),
(136,	'4',	13,	'Y'),
(137,	'7',	14,	'Y'),
(138,	'8',	14,	'Y'),
(139,	'9',	14,	'Y'),
(140,	'10',	14,	'Y'),
(141,	'11',	14,	'Y'),
(142,	'12',	14,	'Y'),
(143,	'13',	14,	'Y'),
(144,	'14',	14,	'Y'),
(145,	'15',	14,	'Y'),
(146,	'16',	14,	'Y'),
(147,	'17',	14,	'Y'),
(148,	'18',	14,	'Y'),
(149,	'19',	14,	'Y'),
(150,	'20',	14,	'Y'),
(151,	'21',	14,	'Y'),
(152,	'2',	14,	'Y'),
(153,	'3',	14,	'Y'),
(154,	'4',	14,	'Y'),
(155,	'7',	15,	'Y'),
(156,	'8',	15,	'Y'),
(157,	'9',	15,	'Y'),
(158,	'10',	15,	'Y'),
(159,	'11',	15,	'Y'),
(160,	'12',	15,	'Y'),
(161,	'13',	15,	'Y'),
(162,	'14',	15,	'Y'),
(163,	'15',	15,	'Y'),
(164,	'16',	15,	'Y'),
(165,	'17',	15,	'Y'),
(166,	'18',	15,	'Y'),
(167,	'19',	15,	'Y'),
(168,	'20',	15,	'Y'),
(169,	'21',	15,	'Y'),
(170,	'2',	15,	'Y'),
(171,	'3',	15,	'Y'),
(172,	'4',	15,	'Y'),
(173,	'7',	16,	'Y'),
(174,	'8',	16,	'Y'),
(175,	'9',	16,	'Y'),
(176,	'10',	16,	'Y'),
(177,	'11',	16,	'Y'),
(178,	'12',	16,	'Y'),
(179,	'13',	16,	'Y'),
(180,	'14',	16,	'Y'),
(181,	'15',	16,	'Y'),
(182,	'16',	16,	'Y'),
(183,	'17',	16,	'Y'),
(184,	'18',	16,	'Y'),
(185,	'19',	16,	'Y'),
(186,	'20',	16,	'Y'),
(187,	'21',	16,	'Y'),
(188,	'2',	16,	'Y'),
(189,	'3',	16,	'Y'),
(190,	'4',	16,	'Y'),
(191,	'7',	17,	'Y'),
(192,	'8',	17,	'Y'),
(193,	'9',	17,	'Y'),
(194,	'10',	17,	'Y'),
(195,	'11',	17,	'Y'),
(196,	'12',	17,	'Y'),
(197,	'13',	17,	'Y'),
(198,	'14',	17,	'Y'),
(199,	'15',	17,	'Y'),
(200,	'16',	17,	'Y'),
(201,	'17',	17,	'Y'),
(202,	'18',	17,	'Y'),
(203,	'19',	17,	'Y'),
(204,	'20',	17,	'Y'),
(205,	'21',	17,	'Y'),
(206,	'2',	17,	'Y'),
(207,	'3',	17,	'Y'),
(208,	'4',	17,	'Y'),
(209,	'7',	18,	'Y'),
(210,	'8',	18,	'Y'),
(211,	'9',	18,	'Y'),
(212,	'10',	18,	'Y'),
(213,	'11',	18,	'Y'),
(214,	'12',	18,	'Y'),
(215,	'13',	18,	'Y'),
(216,	'14',	18,	'Y'),
(217,	'15',	18,	'Y'),
(218,	'16',	18,	'Y'),
(219,	'17',	18,	'Y'),
(220,	'18',	18,	'Y'),
(221,	'19',	18,	'Y'),
(222,	'20',	18,	'Y'),
(223,	'21',	18,	'Y'),
(224,	'2',	18,	'Y'),
(225,	'3',	18,	'Y'),
(226,	'4',	18,	'Y'),
(227,	'7',	19,	'Y'),
(228,	'8',	19,	'Y'),
(229,	'9',	19,	'Y'),
(230,	'10',	19,	'Y'),
(231,	'11',	19,	'Y'),
(232,	'12',	19,	'Y'),
(233,	'13',	19,	'Y'),
(234,	'14',	19,	'Y'),
(235,	'15',	19,	'Y'),
(236,	'16',	19,	'Y'),
(237,	'17',	19,	'Y'),
(238,	'18',	19,	'Y'),
(239,	'19',	19,	'Y'),
(240,	'20',	19,	'Y'),
(241,	'21',	19,	'Y'),
(242,	'2',	19,	'Y'),
(243,	'3',	19,	'Y'),
(244,	'22',	19,	'Y'),
(245,	'4',	19,	'Y'),
(246,	'7',	20,	'Y'),
(247,	'8',	20,	'Y'),
(248,	'9',	20,	'Y'),
(249,	'10',	20,	'Y'),
(250,	'11',	20,	'Y'),
(251,	'12',	20,	'Y'),
(252,	'13',	20,	'Y'),
(253,	'14',	20,	'Y'),
(254,	'15',	20,	'Y'),
(255,	'16',	20,	'Y'),
(256,	'17',	20,	'Y'),
(257,	'18',	20,	'Y'),
(258,	'19',	20,	'Y'),
(259,	'20',	20,	'Y'),
(260,	'21',	20,	'Y'),
(261,	'2',	20,	'Y'),
(262,	'3',	20,	'Y'),
(263,	'4',	20,	'Y'),
(264,	'7',	21,	'Y'),
(265,	'8',	21,	'Y'),
(266,	'9',	21,	'Y'),
(267,	'10',	21,	'Y'),
(268,	'11',	21,	'Y'),
(269,	'12',	21,	'Y'),
(270,	'13',	21,	'Y'),
(271,	'14',	21,	'Y'),
(272,	'15',	21,	'Y'),
(273,	'16',	21,	'Y'),
(274,	'17',	21,	'Y'),
(275,	'18',	21,	'Y'),
(276,	'19',	21,	'Y'),
(277,	'20',	21,	'Y'),
(278,	'21',	21,	'Y'),
(279,	'2',	21,	'Y'),
(280,	'3',	21,	'Y'),
(281,	'4',	21,	'Y'),
(282,	'7',	22,	'Y'),
(283,	'8',	22,	'Y'),
(284,	'9',	22,	'Y'),
(285,	'10',	22,	'Y'),
(286,	'11',	22,	'Y'),
(287,	'12',	22,	'Y'),
(288,	'13',	22,	'Y'),
(289,	'14',	22,	'Y'),
(290,	'15',	22,	'Y'),
(291,	'16',	22,	'Y'),
(292,	'17',	22,	'Y'),
(293,	'18',	22,	'Y'),
(294,	'19',	22,	'Y'),
(295,	'20',	22,	'Y'),
(296,	'21',	22,	'Y'),
(297,	'2',	22,	'Y'),
(298,	'3',	22,	'Y'),
(299,	'4',	22,	'Y'),
(300,	'7',	23,	'Y'),
(301,	'8',	23,	'Y'),
(302,	'9',	23,	'Y'),
(303,	'10',	23,	'Y'),
(304,	'11',	23,	'Y'),
(305,	'12',	23,	'Y'),
(306,	'13',	23,	'Y'),
(307,	'14',	23,	'Y'),
(308,	'15',	23,	'Y'),
(309,	'16',	23,	'Y'),
(310,	'17',	23,	'Y'),
(311,	'18',	23,	'Y'),
(312,	'19',	23,	'Y'),
(313,	'20',	23,	'Y'),
(314,	'21',	23,	'Y'),
(315,	'2',	23,	'Y'),
(316,	'3',	23,	'Y'),
(317,	'4',	23,	'Y'),
(318,	'7',	24,	'Y'),
(319,	'8',	24,	'Y'),
(320,	'9',	24,	'Y'),
(321,	'10',	24,	'Y'),
(322,	'11',	24,	'Y'),
(323,	'12',	24,	'Y'),
(324,	'13',	24,	'Y'),
(325,	'14',	24,	'Y'),
(326,	'15',	24,	'Y'),
(327,	'16',	24,	'Y'),
(328,	'17',	24,	'Y'),
(329,	'18',	24,	'Y'),
(330,	'19',	24,	'Y'),
(331,	'20',	24,	'Y'),
(332,	'21',	24,	'Y'),
(333,	'2',	24,	'Y'),
(334,	'3',	24,	'Y'),
(335,	'4',	24,	'Y'),
(336,	'7',	25,	'Y'),
(337,	'8',	25,	'Y'),
(338,	'9',	25,	'Y'),
(339,	'10',	25,	'Y'),
(340,	'11',	25,	'Y'),
(341,	'12',	25,	'Y'),
(342,	'13',	25,	'Y'),
(343,	'14',	25,	'Y'),
(344,	'15',	25,	'Y'),
(345,	'16',	25,	'Y'),
(346,	'17',	25,	'Y'),
(347,	'18',	25,	'Y'),
(348,	'19',	25,	'Y'),
(349,	'20',	25,	'Y'),
(350,	'21',	25,	'Y'),
(351,	'2',	25,	'Y'),
(352,	'3',	25,	'Y'),
(353,	'4',	25,	'Y'),
(354,	'7',	26,	'Y'),
(355,	'8',	26,	'Y'),
(356,	'9',	26,	'Y'),
(357,	'10',	26,	'Y'),
(358,	'11',	26,	'Y'),
(359,	'12',	26,	'Y'),
(360,	'13',	26,	'Y'),
(361,	'14',	26,	'Y'),
(362,	'15',	26,	'Y'),
(363,	'16',	26,	'Y'),
(364,	'17',	26,	'Y'),
(365,	'18',	26,	'Y'),
(366,	'19',	26,	'Y'),
(367,	'20',	26,	'Y'),
(368,	'21',	26,	'Y'),
(369,	'2',	26,	'Y'),
(370,	'3',	26,	'Y'),
(371,	'4',	26,	'Y'),
(372,	'7',	27,	'Y'),
(373,	'8',	27,	'Y'),
(374,	'9',	27,	'Y'),
(375,	'10',	27,	'Y'),
(376,	'11',	27,	'Y'),
(377,	'12',	27,	'Y'),
(378,	'13',	27,	'Y'),
(379,	'14',	27,	'Y'),
(380,	'15',	27,	'Y'),
(381,	'16',	27,	'Y'),
(382,	'17',	27,	'Y'),
(383,	'18',	27,	'Y'),
(384,	'19',	27,	'Y'),
(385,	'20',	27,	'Y'),
(386,	'21',	27,	'Y'),
(387,	'2',	27,	'Y'),
(388,	'3',	27,	'Y'),
(389,	'4',	27,	'Y'),
(390,	'7',	28,	'Y'),
(391,	'8',	28,	'Y'),
(392,	'9',	28,	'Y'),
(393,	'10',	28,	'Y'),
(394,	'11',	28,	'Y'),
(395,	'12',	28,	'Y'),
(396,	'13',	28,	'Y'),
(397,	'14',	28,	'Y'),
(398,	'15',	28,	'Y'),
(399,	'16',	28,	'Y'),
(400,	'17',	28,	'Y'),
(401,	'18',	28,	'Y'),
(402,	'19',	28,	'Y'),
(403,	'20',	28,	'Y'),
(404,	'21',	28,	'Y'),
(405,	'2',	28,	'Y'),
(406,	'3',	28,	'Y'),
(407,	'4',	28,	'Y'),
(408,	'7',	29,	'Y'),
(409,	'8',	29,	'Y'),
(410,	'9',	29,	'Y'),
(411,	'10',	29,	'Y'),
(412,	'11',	29,	'Y'),
(413,	'12',	29,	'Y'),
(414,	'13',	29,	'Y'),
(415,	'14',	29,	'Y'),
(416,	'15',	29,	'Y'),
(417,	'16',	29,	'Y'),
(418,	'17',	29,	'Y'),
(419,	'18',	29,	'Y'),
(420,	'19',	29,	'Y'),
(421,	'20',	29,	'Y'),
(422,	'21',	29,	'Y'),
(423,	'2',	29,	'Y'),
(424,	'3',	29,	'Y'),
(425,	'4',	29,	'Y'),
(426,	'7',	30,	'Y'),
(427,	'8',	30,	'Y'),
(428,	'9',	30,	'Y'),
(429,	'10',	30,	'Y'),
(430,	'11',	30,	'Y'),
(431,	'12',	30,	'Y'),
(432,	'13',	30,	'Y'),
(433,	'14',	30,	'Y'),
(434,	'15',	30,	'Y'),
(435,	'16',	30,	'Y'),
(436,	'17',	30,	'Y'),
(437,	'18',	30,	'Y'),
(438,	'19',	30,	'Y'),
(439,	'20',	30,	'Y'),
(440,	'21',	30,	'Y'),
(441,	'2',	30,	'Y'),
(442,	'3',	30,	'Y'),
(443,	'4',	30,	'Y'),
(444,	'7',	31,	'Y'),
(445,	'8',	31,	'Y'),
(446,	'9',	31,	'Y'),
(447,	'10',	31,	'Y'),
(448,	'11',	31,	'Y'),
(449,	'12',	31,	'Y'),
(450,	'13',	31,	'Y'),
(451,	'14',	31,	'Y'),
(452,	'15',	31,	'Y'),
(453,	'16',	31,	'Y'),
(454,	'17',	31,	'Y'),
(455,	'18',	31,	'Y'),
(456,	'19',	31,	'Y'),
(457,	'20',	31,	'Y'),
(458,	'21',	31,	'Y'),
(459,	'2',	31,	'Y'),
(460,	'3',	31,	'Y'),
(461,	'4',	31,	'Y'),
(462,	'7',	32,	'Y'),
(463,	'8',	32,	'Y'),
(464,	'9',	32,	'Y'),
(465,	'10',	32,	'Y'),
(466,	'11',	32,	'Y'),
(467,	'12',	32,	'Y'),
(468,	'13',	32,	'Y'),
(469,	'14',	32,	'Y'),
(470,	'15',	32,	'Y'),
(471,	'16',	32,	'Y'),
(472,	'17',	32,	'Y'),
(473,	'18',	32,	'Y'),
(474,	'19',	32,	'Y'),
(475,	'20',	32,	'Y'),
(476,	'21',	32,	'Y'),
(477,	'2',	32,	'Y'),
(478,	'3',	32,	'Y'),
(479,	'4',	32,	'Y'),
(480,	'7',	33,	'Y'),
(481,	'8',	33,	'Y'),
(482,	'9',	33,	'Y'),
(483,	'10',	33,	'Y'),
(484,	'11',	33,	'Y'),
(485,	'12',	33,	'Y'),
(486,	'13',	33,	'Y'),
(487,	'14',	33,	'Y'),
(488,	'15',	33,	'Y'),
(489,	'16',	33,	'Y'),
(490,	'17',	33,	'Y'),
(491,	'18',	33,	'Y'),
(492,	'19',	33,	'Y'),
(493,	'20',	33,	'Y'),
(494,	'21',	33,	'Y'),
(495,	'2',	33,	'Y'),
(496,	'3',	33,	'Y'),
(497,	'4',	33,	'Y'),
(498,	'7',	34,	'Y'),
(499,	'8',	34,	'Y'),
(500,	'9',	34,	'Y'),
(501,	'10',	34,	'Y'),
(502,	'11',	34,	'Y'),
(503,	'12',	34,	'Y'),
(504,	'13',	34,	'Y'),
(505,	'14',	34,	'Y'),
(506,	'15',	34,	'Y'),
(507,	'16',	34,	'Y'),
(508,	'17',	34,	'Y'),
(509,	'18',	34,	'Y'),
(510,	'19',	34,	'Y'),
(511,	'20',	34,	'Y'),
(512,	'21',	34,	'Y'),
(513,	'2',	34,	'Y'),
(514,	'3',	34,	'Y'),
(515,	'4',	34,	'Y'),
(516,	'7',	35,	'Y'),
(517,	'8',	35,	'Y'),
(518,	'9',	35,	'Y'),
(519,	'10',	35,	'Y'),
(520,	'11',	35,	'Y'),
(521,	'12',	35,	'Y'),
(522,	'13',	35,	'Y'),
(523,	'14',	35,	'Y'),
(524,	'15',	35,	'Y'),
(525,	'16',	35,	'Y'),
(526,	'17',	35,	'Y'),
(527,	'18',	35,	'Y'),
(528,	'19',	35,	'Y'),
(529,	'20',	35,	'Y'),
(530,	'21',	35,	'Y'),
(531,	'2',	35,	'Y'),
(532,	'3',	35,	'Y'),
(533,	'4',	35,	'Y'),
(534,	'7',	36,	'Y'),
(535,	'8',	36,	'Y'),
(536,	'9',	36,	'Y'),
(537,	'10',	36,	'Y'),
(538,	'11',	36,	'Y'),
(539,	'12',	36,	'Y'),
(540,	'13',	36,	'Y'),
(541,	'14',	36,	'Y'),
(542,	'15',	36,	'Y'),
(543,	'16',	36,	'Y'),
(544,	'17',	36,	'Y'),
(545,	'18',	36,	'Y'),
(546,	'6',	36,	'Y'),
(547,	'23',	36,	'Y'),
(548,	'24',	36,	'Y'),
(549,	'1',	36,	'Y'),
(550,	'19',	36,	'Y'),
(551,	'20',	36,	'Y'),
(552,	'25',	36,	'Y'),
(553,	'21',	36,	'Y'),
(554,	'2',	36,	'Y'),
(555,	'3',	36,	'Y'),
(556,	'22',	36,	'Y'),
(557,	'26',	36,	'Y'),
(558,	'27',	36,	'Y'),
(559,	'28',	36,	'Y'),
(560,	'4',	36,	'Y'),
(561,	'7',	37,	'Y'),
(562,	'8',	37,	'Y'),
(563,	'9',	37,	'Y'),
(564,	'10',	37,	'Y'),
(565,	'11',	37,	'Y'),
(566,	'12',	37,	'Y'),
(567,	'13',	37,	'Y'),
(568,	'14',	37,	'Y'),
(569,	'15',	37,	'Y'),
(570,	'16',	37,	'Y'),
(571,	'17',	37,	'Y'),
(572,	'18',	37,	'Y'),
(573,	'19',	37,	'Y'),
(574,	'20',	37,	'Y'),
(575,	'21',	37,	'Y'),
(576,	'2',	37,	'Y'),
(577,	'3',	37,	'Y'),
(578,	'4',	37,	'Y'),
(579,	'7',	38,	'Y'),
(580,	'8',	38,	'Y'),
(581,	'9',	38,	'Y'),
(582,	'10',	38,	'Y'),
(583,	'11',	38,	'Y'),
(584,	'12',	38,	'Y'),
(585,	'13',	38,	'Y'),
(586,	'14',	38,	'Y'),
(587,	'15',	38,	'Y'),
(588,	'16',	38,	'Y'),
(589,	'17',	38,	'Y'),
(590,	'18',	38,	'Y'),
(591,	'19',	38,	'Y'),
(592,	'20',	38,	'Y'),
(593,	'21',	38,	'Y'),
(594,	'2',	38,	'Y'),
(595,	'3',	38,	'Y'),
(596,	'22',	38,	'Y'),
(597,	'4',	38,	'Y'),
(598,	'7',	39,	'Y'),
(599,	'8',	39,	'Y'),
(600,	'9',	39,	'Y'),
(601,	'10',	39,	'Y'),
(602,	'11',	39,	'Y'),
(603,	'12',	39,	'Y'),
(604,	'13',	39,	'Y'),
(605,	'14',	39,	'Y'),
(606,	'15',	39,	'Y'),
(607,	'16',	39,	'Y'),
(608,	'17',	39,	'Y'),
(609,	'18',	39,	'Y'),
(610,	'19',	39,	'Y'),
(611,	'20',	39,	'Y'),
(612,	'21',	39,	'Y'),
(613,	'2',	39,	'Y'),
(614,	'3',	39,	'Y'),
(615,	'4',	39,	'Y'),
(616,	'7',	40,	'Y'),
(617,	'8',	40,	'Y'),
(618,	'9',	40,	'Y'),
(619,	'10',	40,	'Y'),
(620,	'11',	40,	'Y'),
(621,	'12',	40,	'Y'),
(622,	'13',	40,	'Y'),
(623,	'14',	40,	'Y'),
(624,	'15',	40,	'Y'),
(625,	'16',	40,	'Y'),
(626,	'17',	40,	'Y'),
(627,	'18',	40,	'Y'),
(628,	'19',	40,	'Y'),
(629,	'20',	40,	'Y'),
(630,	'21',	40,	'Y'),
(631,	'2',	40,	'Y'),
(632,	'3',	40,	'Y'),
(633,	'4',	40,	'Y'),
(634,	'7',	41,	'Y'),
(635,	'8',	41,	'Y'),
(636,	'9',	41,	'Y'),
(637,	'10',	41,	'Y'),
(638,	'11',	41,	'Y'),
(639,	'12',	41,	'Y'),
(640,	'13',	41,	'Y'),
(641,	'14',	41,	'Y'),
(642,	'15',	41,	'Y'),
(643,	'16',	41,	'Y'),
(644,	'17',	41,	'Y'),
(645,	'18',	41,	'Y'),
(646,	'19',	41,	'Y'),
(647,	'20',	41,	'Y'),
(648,	'21',	41,	'Y'),
(649,	'2',	41,	'Y'),
(650,	'3',	41,	'Y'),
(651,	'4',	41,	'Y'),
(652,	'7',	42,	'Y'),
(653,	'8',	42,	'Y'),
(654,	'9',	42,	'Y'),
(655,	'10',	42,	'Y'),
(656,	'11',	42,	'Y'),
(657,	'12',	42,	'Y'),
(658,	'13',	42,	'Y'),
(659,	'14',	42,	'Y'),
(660,	'15',	42,	'Y'),
(661,	'16',	42,	'Y'),
(662,	'17',	42,	'Y'),
(663,	'18',	42,	'Y'),
(664,	'19',	42,	'Y'),
(665,	'20',	42,	'Y'),
(666,	'21',	42,	'Y'),
(667,	'2',	42,	'Y'),
(668,	'3',	42,	'Y'),
(669,	'4',	42,	'Y'),
(670,	'7',	43,	'Y'),
(671,	'8',	43,	'Y'),
(672,	'9',	43,	'Y'),
(673,	'10',	43,	'Y'),
(674,	'11',	43,	'Y'),
(675,	'12',	43,	'Y'),
(676,	'13',	43,	'Y'),
(677,	'14',	43,	'Y'),
(678,	'15',	43,	'Y'),
(679,	'16',	43,	'Y'),
(680,	'17',	43,	'Y'),
(681,	'18',	43,	'Y'),
(682,	'19',	43,	'Y'),
(683,	'20',	43,	'Y'),
(684,	'21',	43,	'Y'),
(685,	'2',	43,	'Y'),
(686,	'3',	43,	'Y'),
(687,	'4',	43,	'Y'),
(688,	'7',	44,	'Y'),
(689,	'8',	44,	'Y'),
(690,	'9',	44,	'Y'),
(691,	'10',	44,	'Y'),
(692,	'11',	44,	'Y'),
(693,	'12',	44,	'Y'),
(694,	'13',	44,	'Y'),
(695,	'14',	44,	'Y'),
(696,	'15',	44,	'Y'),
(697,	'16',	44,	'Y'),
(698,	'17',	44,	'Y'),
(699,	'18',	44,	'Y'),
(700,	'19',	44,	'Y'),
(701,	'20',	44,	'Y'),
(702,	'21',	44,	'Y'),
(703,	'2',	44,	'Y'),
(704,	'3',	44,	'Y'),
(705,	'4',	44,	'Y'),
(706,	'7',	45,	'Y'),
(707,	'8',	45,	'Y'),
(708,	'9',	45,	'Y'),
(709,	'10',	45,	'Y'),
(710,	'11',	45,	'Y'),
(711,	'12',	45,	'Y'),
(712,	'13',	45,	'Y'),
(713,	'14',	45,	'Y'),
(714,	'15',	45,	'Y'),
(715,	'16',	45,	'Y'),
(716,	'17',	45,	'Y'),
(717,	'18',	45,	'Y'),
(718,	'6',	45,	'Y'),
(719,	'23',	45,	'Y'),
(720,	'24',	45,	'Y'),
(721,	'1',	45,	'Y'),
(722,	'19',	45,	'Y'),
(723,	'20',	45,	'Y'),
(724,	'25',	45,	'Y'),
(725,	'21',	45,	'Y'),
(726,	'2',	45,	'Y'),
(727,	'3',	45,	'Y'),
(728,	'22',	45,	'Y'),
(729,	'26',	45,	'Y'),
(730,	'27',	45,	'Y'),
(731,	'28',	45,	'Y'),
(732,	'29',	45,	'Y'),
(733,	'4',	45,	'Y'),
(734,	'7',	46,	'Y'),
(735,	'8',	46,	'Y'),
(736,	'9',	46,	'Y'),
(737,	'10',	46,	'Y'),
(738,	'11',	46,	'Y'),
(739,	'12',	46,	'Y'),
(740,	'13',	46,	'Y'),
(741,	'14',	46,	'Y'),
(742,	'15',	46,	'Y'),
(743,	'16',	46,	'Y'),
(744,	'17',	46,	'Y'),
(745,	'18',	46,	'Y'),
(746,	'19',	46,	'Y'),
(747,	'20',	46,	'Y'),
(748,	'21',	46,	'Y'),
(749,	'2',	46,	'Y'),
(750,	'3',	46,	'Y'),
(751,	'4',	46,	'Y'),
(752,	'7',	47,	'Y'),
(753,	'8',	47,	'Y'),
(754,	'9',	47,	'Y'),
(755,	'10',	47,	'Y'),
(756,	'11',	47,	'Y'),
(757,	'12',	47,	'Y'),
(758,	'13',	47,	'Y'),
(759,	'14',	47,	'Y'),
(760,	'15',	47,	'Y'),
(761,	'16',	47,	'Y'),
(762,	'17',	47,	'Y'),
(763,	'18',	47,	'Y'),
(764,	'19',	47,	'Y'),
(765,	'20',	47,	'Y'),
(766,	'21',	47,	'Y'),
(767,	'2',	47,	'Y'),
(768,	'3',	47,	'Y'),
(769,	'4',	47,	'Y'),
(770,	'7',	48,	'Y'),
(771,	'8',	48,	'Y'),
(772,	'9',	48,	'Y'),
(773,	'10',	48,	'Y'),
(774,	'11',	48,	'Y'),
(775,	'12',	48,	'Y'),
(776,	'13',	48,	'Y'),
(777,	'14',	48,	'Y'),
(778,	'15',	48,	'Y'),
(779,	'16',	48,	'Y'),
(780,	'17',	48,	'Y'),
(781,	'18',	48,	'Y'),
(782,	'19',	48,	'Y'),
(783,	'20',	48,	'Y'),
(784,	'21',	48,	'Y'),
(785,	'2',	48,	'Y'),
(786,	'3',	48,	'Y'),
(787,	'4',	48,	'Y'),
(788,	'7',	49,	'Y'),
(789,	'8',	49,	'Y'),
(790,	'9',	49,	'Y'),
(791,	'10',	49,	'Y'),
(792,	'11',	49,	'Y'),
(793,	'12',	49,	'Y'),
(794,	'13',	49,	'Y'),
(795,	'14',	49,	'Y'),
(796,	'15',	49,	'Y'),
(797,	'16',	49,	'Y'),
(798,	'17',	49,	'Y'),
(799,	'18',	49,	'Y'),
(800,	'19',	49,	'Y'),
(801,	'20',	49,	'Y'),
(802,	'21',	49,	'Y'),
(803,	'2',	49,	'Y'),
(804,	'3',	49,	'Y'),
(805,	'4',	49,	'Y'),
(806,	'7',	50,	'Y'),
(807,	'8',	50,	'Y'),
(808,	'9',	50,	'Y'),
(809,	'10',	50,	'Y'),
(810,	'11',	50,	'Y'),
(811,	'12',	50,	'Y'),
(812,	'13',	50,	'Y'),
(813,	'14',	50,	'Y'),
(814,	'15',	50,	'Y'),
(815,	'16',	50,	'Y'),
(816,	'17',	50,	'Y'),
(817,	'18',	50,	'Y'),
(818,	'19',	50,	'Y'),
(819,	'20',	50,	'Y'),
(820,	'21',	50,	'Y'),
(821,	'2',	50,	'Y'),
(822,	'3',	50,	'Y'),
(823,	'4',	50,	'Y'),
(824,	'7',	51,	'Y'),
(825,	'8',	51,	'Y'),
(826,	'9',	51,	'Y'),
(827,	'10',	51,	'Y'),
(828,	'11',	51,	'Y'),
(829,	'12',	51,	'Y'),
(830,	'13',	51,	'Y'),
(831,	'14',	51,	'Y'),
(832,	'15',	51,	'Y'),
(833,	'16',	51,	'Y'),
(834,	'17',	51,	'Y'),
(835,	'18',	51,	'Y'),
(836,	'19',	51,	'Y'),
(837,	'20',	51,	'Y'),
(838,	'21',	51,	'Y'),
(839,	'2',	51,	'Y'),
(840,	'3',	51,	'Y'),
(841,	'4',	51,	'Y'),
(842,	'7',	52,	'Y'),
(843,	'8',	52,	'Y'),
(844,	'9',	52,	'Y'),
(845,	'10',	52,	'Y'),
(846,	'11',	52,	'Y'),
(847,	'12',	52,	'Y'),
(848,	'13',	52,	'Y'),
(849,	'14',	52,	'Y'),
(850,	'15',	52,	'Y'),
(851,	'16',	52,	'Y'),
(852,	'17',	52,	'Y'),
(853,	'18',	52,	'Y'),
(854,	'19',	52,	'Y'),
(855,	'20',	52,	'Y'),
(856,	'21',	52,	'Y'),
(857,	'2',	52,	'Y'),
(858,	'3',	52,	'Y'),
(859,	'4',	52,	'Y'),
(860,	'7',	53,	'Y'),
(861,	'8',	53,	'Y'),
(862,	'9',	53,	'Y'),
(863,	'10',	53,	'Y'),
(864,	'11',	53,	'Y'),
(865,	'12',	53,	'Y'),
(866,	'13',	53,	'Y'),
(867,	'14',	53,	'Y'),
(868,	'15',	53,	'Y'),
(869,	'16',	53,	'Y'),
(870,	'17',	53,	'Y'),
(871,	'18',	53,	'Y'),
(872,	'19',	53,	'Y'),
(873,	'20',	53,	'Y'),
(874,	'21',	53,	'Y'),
(875,	'2',	53,	'Y'),
(876,	'3',	53,	'Y'),
(877,	'4',	53,	'Y'),
(878,	'7',	54,	'Y'),
(879,	'8',	54,	'Y'),
(880,	'9',	54,	'Y'),
(881,	'10',	54,	'Y'),
(882,	'11',	54,	'Y'),
(883,	'12',	54,	'Y'),
(884,	'13',	54,	'Y'),
(885,	'14',	54,	'Y'),
(886,	'15',	54,	'Y'),
(887,	'16',	54,	'Y'),
(888,	'17',	54,	'Y'),
(889,	'18',	54,	'Y'),
(890,	'19',	54,	'Y'),
(891,	'20',	54,	'Y'),
(892,	'21',	54,	'Y'),
(893,	'2',	54,	'Y'),
(894,	'3',	54,	'Y'),
(895,	'4',	54,	'Y'),
(896,	'7',	55,	'Y'),
(897,	'8',	55,	'Y'),
(898,	'9',	55,	'Y'),
(899,	'10',	55,	'Y'),
(900,	'11',	55,	'Y'),
(901,	'12',	55,	'Y'),
(902,	'13',	55,	'Y'),
(903,	'14',	55,	'Y'),
(904,	'15',	55,	'Y'),
(905,	'16',	55,	'Y'),
(906,	'17',	55,	'Y'),
(907,	'18',	55,	'Y'),
(908,	'19',	55,	'Y'),
(909,	'20',	55,	'Y'),
(910,	'21',	55,	'Y'),
(911,	'2',	55,	'Y'),
(912,	'3',	55,	'Y'),
(913,	'4',	55,	'Y'),
(914,	'7',	56,	'Y'),
(915,	'8',	56,	'Y'),
(916,	'9',	56,	'Y'),
(917,	'10',	56,	'Y'),
(918,	'11',	56,	'Y'),
(919,	'12',	56,	'Y'),
(920,	'13',	56,	'Y'),
(921,	'14',	56,	'Y'),
(922,	'15',	56,	'Y'),
(923,	'16',	56,	'Y'),
(924,	'17',	56,	'Y'),
(925,	'18',	56,	'Y'),
(926,	'19',	56,	'Y'),
(927,	'20',	56,	'Y'),
(928,	'21',	56,	'Y'),
(929,	'2',	56,	'Y'),
(930,	'3',	56,	'Y'),
(931,	'4',	56,	'Y'),
(932,	'7',	57,	'Y'),
(933,	'8',	57,	'Y'),
(934,	'9',	57,	'Y'),
(935,	'10',	57,	'Y'),
(936,	'11',	57,	'Y'),
(937,	'12',	57,	'Y'),
(938,	'13',	57,	'Y'),
(939,	'14',	57,	'Y'),
(940,	'15',	57,	'Y'),
(941,	'16',	57,	'Y'),
(942,	'17',	57,	'Y'),
(943,	'18',	57,	'Y'),
(944,	'30',	57,	'Y'),
(945,	'19',	57,	'Y'),
(946,	'20',	57,	'Y'),
(947,	'31',	57,	'Y'),
(948,	'21',	57,	'Y'),
(949,	'2',	57,	'Y'),
(950,	'3',	57,	'Y'),
(951,	'4',	57,	'Y'),
(952,	'7',	58,	'Y'),
(953,	'8',	58,	'Y'),
(954,	'9',	58,	'Y'),
(955,	'10',	58,	'Y'),
(956,	'11',	58,	'Y'),
(957,	'12',	58,	'Y'),
(958,	'13',	58,	'Y'),
(959,	'14',	58,	'Y'),
(960,	'15',	58,	'Y'),
(961,	'16',	58,	'Y'),
(962,	'17',	58,	'Y'),
(963,	'18',	58,	'Y'),
(964,	'19',	58,	'Y'),
(965,	'20',	58,	'Y'),
(966,	'21',	58,	'Y'),
(967,	'2',	58,	'Y'),
(968,	'3',	58,	'Y'),
(969,	'4',	58,	'Y'),
(970,	'7',	59,	'Y'),
(971,	'8',	59,	'Y'),
(972,	'9',	59,	'Y'),
(973,	'10',	59,	'Y'),
(974,	'11',	59,	'Y'),
(975,	'12',	59,	'Y'),
(976,	'13',	59,	'Y'),
(977,	'14',	59,	'Y'),
(978,	'15',	59,	'Y'),
(979,	'16',	59,	'Y'),
(980,	'17',	59,	'Y'),
(981,	'18',	59,	'Y'),
(982,	'19',	59,	'Y'),
(983,	'20',	59,	'Y'),
(984,	'21',	59,	'Y'),
(985,	'2',	59,	'Y'),
(986,	'3',	59,	'Y'),
(987,	'22',	59,	'Y'),
(988,	'4',	59,	'Y'),
(989,	'7',	60,	'Y'),
(990,	'8',	60,	'Y'),
(991,	'9',	60,	'Y'),
(992,	'10',	60,	'Y'),
(993,	'11',	60,	'Y'),
(994,	'12',	60,	'Y'),
(995,	'13',	60,	'Y'),
(996,	'14',	60,	'Y'),
(997,	'15',	60,	'Y'),
(998,	'16',	60,	'Y'),
(999,	'17',	60,	'Y'),
(1000,	'18',	60,	'Y'),
(1001,	'19',	60,	'Y'),
(1002,	'20',	60,	'Y'),
(1003,	'21',	60,	'Y'),
(1004,	'2',	60,	'Y'),
(1005,	'3',	60,	'Y'),
(1006,	'4',	60,	'Y'),
(1007,	'7',	61,	'Y'),
(1008,	'8',	61,	'Y'),
(1009,	'9',	61,	'Y'),
(1010,	'10',	61,	'Y'),
(1011,	'11',	61,	'Y'),
(1012,	'12',	61,	'Y'),
(1013,	'13',	61,	'Y'),
(1014,	'14',	61,	'Y'),
(1015,	'15',	61,	'Y'),
(1016,	'16',	61,	'Y'),
(1017,	'17',	61,	'Y'),
(1018,	'18',	61,	'Y'),
(1019,	'19',	61,	'Y'),
(1020,	'20',	61,	'Y'),
(1021,	'21',	61,	'Y'),
(1022,	'2',	61,	'Y'),
(1023,	'3',	61,	'Y'),
(1024,	'4',	61,	'Y'),
(1025,	'7',	62,	'Y'),
(1026,	'8',	62,	'Y'),
(1027,	'9',	62,	'Y'),
(1028,	'10',	62,	'Y'),
(1029,	'11',	62,	'Y'),
(1030,	'12',	62,	'Y'),
(1031,	'13',	62,	'Y'),
(1032,	'14',	62,	'Y'),
(1033,	'15',	62,	'Y'),
(1034,	'16',	62,	'Y'),
(1035,	'17',	62,	'Y'),
(1036,	'18',	62,	'Y'),
(1037,	'19',	62,	'Y'),
(1038,	'20',	62,	'Y'),
(1039,	'21',	62,	'Y'),
(1040,	'2',	62,	'Y'),
(1041,	'3',	62,	'Y'),
(1042,	'4',	62,	'Y'),
(1043,	'7',	63,	'Y'),
(1044,	'8',	63,	'Y'),
(1045,	'9',	63,	'Y'),
(1046,	'10',	63,	'Y'),
(1047,	'11',	63,	'Y'),
(1048,	'12',	63,	'Y'),
(1049,	'13',	63,	'Y'),
(1050,	'14',	63,	'Y'),
(1051,	'15',	63,	'Y'),
(1052,	'16',	63,	'Y'),
(1053,	'17',	63,	'Y'),
(1054,	'18',	63,	'Y'),
(1055,	'19',	63,	'Y'),
(1056,	'20',	63,	'Y'),
(1057,	'21',	63,	'Y'),
(1058,	'2',	63,	'Y'),
(1059,	'3',	63,	'Y'),
(1060,	'22',	63,	'Y'),
(1061,	'4',	63,	'Y'),
(1062,	'7',	64,	'Y'),
(1063,	'8',	64,	'Y'),
(1064,	'9',	64,	'Y'),
(1065,	'10',	64,	'Y'),
(1066,	'11',	64,	'Y'),
(1067,	'12',	64,	'Y'),
(1068,	'13',	64,	'Y'),
(1069,	'14',	64,	'Y'),
(1070,	'15',	64,	'Y'),
(1071,	'16',	64,	'Y'),
(1072,	'17',	64,	'Y'),
(1073,	'18',	64,	'Y'),
(1074,	'19',	64,	'Y'),
(1075,	'20',	64,	'Y'),
(1076,	'21',	64,	'Y'),
(1077,	'2',	64,	'Y'),
(1078,	'3',	64,	'Y'),
(1079,	'4',	64,	'Y'),
(1080,	'7',	65,	'Y'),
(1081,	'8',	65,	'Y'),
(1082,	'9',	65,	'Y'),
(1083,	'10',	65,	'Y'),
(1084,	'11',	65,	'Y'),
(1085,	'12',	65,	'Y'),
(1086,	'13',	65,	'Y'),
(1087,	'14',	65,	'Y'),
(1088,	'15',	65,	'Y'),
(1089,	'16',	65,	'Y'),
(1090,	'17',	65,	'Y'),
(1091,	'18',	65,	'Y'),
(1092,	'19',	65,	'Y'),
(1093,	'20',	65,	'Y'),
(1094,	'21',	65,	'Y'),
(1095,	'2',	65,	'Y'),
(1096,	'3',	65,	'Y'),
(1097,	'4',	65,	'Y'),
(1098,	'7',	66,	'Y'),
(1099,	'8',	66,	'Y'),
(1100,	'9',	66,	'Y'),
(1101,	'10',	66,	'Y'),
(1102,	'11',	66,	'Y'),
(1103,	'12',	66,	'Y'),
(1104,	'13',	66,	'Y'),
(1105,	'14',	66,	'Y'),
(1106,	'15',	66,	'Y'),
(1107,	'16',	66,	'Y'),
(1108,	'17',	66,	'Y'),
(1109,	'18',	66,	'Y'),
(1110,	'19',	66,	'Y'),
(1111,	'20',	66,	'Y'),
(1112,	'21',	66,	'Y'),
(1113,	'2',	66,	'Y'),
(1114,	'3',	66,	'Y'),
(1115,	'4',	66,	'Y'),
(1116,	'7',	67,	'Y'),
(1117,	'8',	67,	'Y'),
(1118,	'9',	67,	'Y'),
(1119,	'10',	67,	'Y'),
(1120,	'11',	67,	'Y'),
(1121,	'12',	67,	'Y'),
(1122,	'13',	67,	'Y'),
(1123,	'14',	67,	'Y'),
(1124,	'15',	67,	'Y'),
(1125,	'16',	67,	'Y'),
(1126,	'17',	67,	'Y'),
(1127,	'18',	67,	'Y'),
(1128,	'19',	67,	'Y'),
(1129,	'20',	67,	'Y'),
(1130,	'21',	67,	'Y'),
(1131,	'2',	67,	'Y'),
(1132,	'3',	67,	'Y'),
(1133,	'4',	67,	'Y'),
(1134,	'7',	68,	'Y'),
(1135,	'8',	68,	'Y'),
(1136,	'9',	68,	'Y'),
(1137,	'10',	68,	'Y'),
(1138,	'11',	68,	'Y'),
(1139,	'12',	68,	'Y'),
(1140,	'13',	68,	'Y'),
(1141,	'14',	68,	'Y'),
(1142,	'15',	68,	'Y'),
(1143,	'16',	68,	'Y'),
(1144,	'17',	68,	'Y'),
(1145,	'18',	68,	'Y'),
(1146,	'19',	68,	'Y'),
(1147,	'20',	68,	'Y'),
(1148,	'21',	68,	'Y'),
(1149,	'2',	68,	'Y'),
(1150,	'3',	68,	'Y'),
(1151,	'22',	68,	'Y'),
(1152,	'4',	68,	'Y'),
(1153,	'7',	69,	'Y'),
(1154,	'8',	69,	'Y'),
(1155,	'9',	69,	'Y'),
(1156,	'10',	69,	'Y'),
(1157,	'11',	69,	'Y'),
(1158,	'12',	69,	'Y'),
(1159,	'13',	69,	'Y'),
(1160,	'14',	69,	'Y'),
(1161,	'15',	69,	'Y'),
(1162,	'16',	69,	'Y'),
(1163,	'17',	69,	'Y'),
(1164,	'18',	69,	'Y'),
(1165,	'19',	69,	'Y'),
(1166,	'20',	69,	'Y'),
(1167,	'21',	69,	'Y'),
(1168,	'2',	69,	'Y'),
(1169,	'3',	69,	'Y'),
(1170,	'4',	69,	'Y'),
(1171,	'7',	70,	'Y'),
(1172,	'8',	70,	'Y'),
(1173,	'9',	70,	'Y'),
(1174,	'10',	70,	'Y'),
(1175,	'11',	70,	'Y'),
(1176,	'12',	70,	'Y'),
(1177,	'13',	70,	'Y'),
(1178,	'14',	70,	'Y'),
(1179,	'15',	70,	'Y'),
(1180,	'16',	70,	'Y'),
(1181,	'17',	70,	'Y'),
(1182,	'18',	70,	'Y'),
(1183,	'19',	70,	'Y'),
(1184,	'20',	70,	'Y'),
(1185,	'21',	70,	'Y'),
(1186,	'2',	70,	'Y'),
(1187,	'3',	70,	'Y'),
(1188,	'4',	70,	'Y'),
(1189,	'7',	71,	'Y'),
(1190,	'8',	71,	'Y'),
(1191,	'9',	71,	'Y'),
(1192,	'10',	71,	'Y'),
(1193,	'11',	71,	'Y'),
(1194,	'12',	71,	'Y'),
(1195,	'13',	71,	'Y'),
(1196,	'14',	71,	'Y'),
(1197,	'15',	71,	'Y'),
(1198,	'16',	71,	'Y'),
(1199,	'17',	71,	'Y'),
(1200,	'18',	71,	'Y'),
(1201,	'19',	71,	'Y'),
(1202,	'20',	71,	'Y'),
(1203,	'21',	71,	'Y'),
(1204,	'2',	71,	'Y'),
(1205,	'3',	71,	'Y'),
(1206,	'4',	71,	'Y'),
(1207,	'7',	72,	'Y'),
(1208,	'8',	72,	'Y'),
(1209,	'9',	72,	'Y'),
(1210,	'10',	72,	'Y'),
(1211,	'11',	72,	'Y'),
(1212,	'12',	72,	'Y'),
(1213,	'13',	72,	'Y'),
(1214,	'14',	72,	'Y'),
(1215,	'15',	72,	'Y'),
(1216,	'16',	72,	'Y'),
(1217,	'17',	72,	'Y'),
(1218,	'18',	72,	'Y'),
(1219,	'19',	72,	'Y'),
(1220,	'20',	72,	'Y'),
(1221,	'21',	72,	'Y'),
(1222,	'2',	72,	'Y'),
(1223,	'3',	72,	'Y'),
(1224,	'4',	72,	'Y'),
(1225,	'7',	73,	'Y'),
(1226,	'8',	73,	'Y'),
(1227,	'9',	73,	'Y'),
(1228,	'10',	73,	'Y'),
(1229,	'11',	73,	'Y'),
(1230,	'12',	73,	'Y'),
(1231,	'13',	73,	'Y'),
(1232,	'14',	73,	'Y'),
(1233,	'15',	73,	'Y'),
(1234,	'16',	73,	'Y'),
(1235,	'17',	73,	'Y'),
(1236,	'18',	73,	'Y'),
(1237,	'19',	73,	'Y'),
(1238,	'20',	73,	'Y'),
(1239,	'21',	73,	'Y'),
(1240,	'2',	73,	'Y'),
(1241,	'3',	73,	'Y'),
(1242,	'4',	73,	'Y'),
(1243,	'7',	74,	'Y'),
(1244,	'8',	74,	'Y'),
(1245,	'9',	74,	'Y'),
(1246,	'10',	74,	'Y'),
(1247,	'11',	74,	'Y'),
(1248,	'12',	74,	'Y'),
(1249,	'13',	74,	'Y'),
(1250,	'14',	74,	'Y'),
(1251,	'15',	74,	'Y'),
(1252,	'16',	74,	'Y'),
(1253,	'17',	74,	'Y'),
(1254,	'18',	74,	'Y'),
(1255,	'19',	74,	'Y'),
(1256,	'20',	74,	'Y'),
(1257,	'21',	74,	'Y'),
(1258,	'2',	74,	'Y'),
(1259,	'3',	74,	'Y'),
(1260,	'4',	74,	'Y'),
(1261,	'7',	75,	'Y'),
(1262,	'8',	75,	'Y'),
(1263,	'9',	75,	'Y'),
(1264,	'10',	75,	'Y'),
(1265,	'11',	75,	'Y'),
(1266,	'12',	75,	'Y'),
(1267,	'13',	75,	'Y'),
(1268,	'14',	75,	'Y'),
(1269,	'15',	75,	'Y'),
(1270,	'16',	75,	'Y'),
(1271,	'17',	75,	'Y'),
(1272,	'18',	75,	'Y'),
(1273,	'19',	75,	'Y'),
(1274,	'20',	75,	'Y'),
(1275,	'21',	75,	'Y'),
(1276,	'2',	75,	'Y'),
(1277,	'3',	75,	'Y'),
(1278,	'4',	75,	'Y'),
(1279,	'7',	76,	'Y'),
(1280,	'8',	76,	'Y'),
(1281,	'9',	76,	'Y'),
(1282,	'10',	76,	'Y'),
(1283,	'11',	76,	'Y'),
(1284,	'12',	76,	'Y'),
(1285,	'13',	76,	'Y'),
(1286,	'14',	76,	'Y'),
(1287,	'15',	76,	'Y'),
(1288,	'16',	76,	'Y'),
(1289,	'17',	76,	'Y'),
(1290,	'18',	76,	'Y'),
(1291,	'19',	76,	'Y'),
(1292,	'20',	76,	'Y'),
(1293,	'21',	76,	'Y'),
(1294,	'2',	76,	'Y'),
(1295,	'3',	76,	'Y'),
(1296,	'4',	76,	'Y'),
(1297,	'7',	77,	'Y'),
(1298,	'8',	77,	'Y'),
(1299,	'9',	77,	'Y'),
(1300,	'10',	77,	'Y'),
(1301,	'11',	77,	'Y'),
(1302,	'12',	77,	'Y'),
(1303,	'13',	77,	'Y'),
(1304,	'14',	77,	'Y'),
(1305,	'15',	77,	'Y'),
(1306,	'16',	77,	'Y'),
(1307,	'17',	77,	'Y'),
(1308,	'18',	77,	'Y'),
(1309,	'19',	77,	'Y'),
(1310,	'20',	77,	'Y'),
(1311,	'21',	77,	'Y'),
(1312,	'2',	77,	'Y'),
(1313,	'3',	77,	'Y'),
(1314,	'22',	77,	'Y'),
(1315,	'4',	77,	'Y'),
(1316,	'7',	78,	'Y'),
(1317,	'8',	78,	'Y'),
(1318,	'9',	78,	'Y'),
(1319,	'10',	78,	'Y'),
(1320,	'11',	78,	'Y'),
(1321,	'12',	78,	'Y'),
(1322,	'13',	78,	'Y'),
(1323,	'14',	78,	'Y'),
(1324,	'15',	78,	'Y'),
(1325,	'16',	78,	'Y'),
(1326,	'17',	78,	'Y'),
(1327,	'18',	78,	'Y'),
(1328,	'19',	78,	'Y'),
(1329,	'20',	78,	'Y'),
(1330,	'21',	78,	'Y'),
(1331,	'2',	78,	'Y'),
(1332,	'3',	78,	'Y'),
(1333,	'4',	78,	'Y'),
(1334,	'7',	79,	'Y'),
(1335,	'8',	79,	'Y'),
(1336,	'9',	79,	'Y'),
(1337,	'10',	79,	'Y'),
(1338,	'11',	79,	'Y'),
(1339,	'12',	79,	'Y'),
(1340,	'13',	79,	'Y'),
(1341,	'14',	79,	'Y'),
(1342,	'15',	79,	'Y'),
(1343,	'16',	79,	'Y'),
(1344,	'17',	79,	'Y'),
(1345,	'18',	79,	'Y'),
(1346,	'19',	79,	'Y'),
(1347,	'20',	79,	'Y'),
(1348,	'21',	79,	'Y'),
(1349,	'2',	79,	'Y'),
(1350,	'3',	79,	'Y'),
(1351,	'4',	79,	'Y'),
(1352,	'7',	80,	'Y'),
(1353,	'8',	80,	'Y'),
(1354,	'9',	80,	'Y'),
(1355,	'10',	80,	'Y'),
(1356,	'11',	80,	'Y'),
(1357,	'12',	80,	'Y'),
(1358,	'13',	80,	'Y'),
(1359,	'14',	80,	'Y'),
(1360,	'15',	80,	'Y'),
(1361,	'16',	80,	'Y'),
(1362,	'17',	80,	'Y'),
(1363,	'18',	80,	'Y'),
(1364,	'19',	80,	'Y'),
(1365,	'20',	80,	'Y'),
(1366,	'21',	80,	'Y'),
(1367,	'2',	80,	'Y'),
(1368,	'3',	80,	'Y'),
(1369,	'4',	80,	'Y'),
(1370,	'7',	81,	'Y'),
(1371,	'8',	81,	'Y'),
(1372,	'9',	81,	'Y'),
(1373,	'10',	81,	'Y'),
(1374,	'11',	81,	'Y'),
(1375,	'12',	81,	'Y'),
(1376,	'13',	81,	'Y'),
(1377,	'14',	81,	'Y'),
(1378,	'15',	81,	'Y'),
(1379,	'16',	81,	'Y'),
(1380,	'17',	81,	'Y'),
(1381,	'18',	81,	'Y'),
(1382,	'19',	81,	'Y'),
(1383,	'20',	81,	'Y'),
(1384,	'21',	81,	'Y'),
(1385,	'2',	81,	'Y'),
(1386,	'3',	81,	'Y'),
(1387,	'4',	81,	'Y'),
(1388,	'7',	82,	'Y'),
(1389,	'8',	82,	'Y'),
(1390,	'9',	82,	'Y'),
(1391,	'10',	82,	'Y'),
(1392,	'11',	82,	'Y'),
(1393,	'12',	82,	'Y'),
(1394,	'13',	82,	'Y'),
(1395,	'14',	82,	'Y'),
(1396,	'15',	82,	'Y'),
(1397,	'16',	82,	'Y'),
(1398,	'17',	82,	'Y'),
(1399,	'18',	82,	'Y'),
(1400,	'19',	82,	'Y'),
(1401,	'20',	82,	'Y'),
(1402,	'21',	82,	'Y'),
(1403,	'2',	82,	'Y'),
(1404,	'3',	82,	'Y'),
(1405,	'4',	82,	'Y'),
(1406,	'7',	83,	'Y'),
(1407,	'8',	83,	'Y'),
(1408,	'9',	83,	'Y'),
(1409,	'10',	83,	'Y'),
(1410,	'11',	83,	'Y'),
(1411,	'12',	83,	'Y'),
(1412,	'13',	83,	'Y'),
(1413,	'14',	83,	'Y'),
(1414,	'15',	83,	'Y'),
(1415,	'16',	83,	'Y'),
(1416,	'17',	83,	'Y'),
(1417,	'18',	83,	'Y'),
(1418,	'19',	83,	'Y'),
(1419,	'20',	83,	'Y'),
(1420,	'21',	83,	'Y'),
(1421,	'2',	83,	'Y'),
(1422,	'3',	83,	'Y'),
(1423,	'4',	83,	'Y'),
(1424,	'7',	84,	'Y'),
(1425,	'8',	84,	'Y'),
(1426,	'9',	84,	'Y'),
(1427,	'10',	84,	'Y'),
(1428,	'11',	84,	'Y'),
(1429,	'12',	84,	'Y'),
(1430,	'13',	84,	'Y'),
(1431,	'14',	84,	'Y'),
(1432,	'15',	84,	'Y'),
(1433,	'16',	84,	'Y'),
(1434,	'17',	84,	'Y'),
(1435,	'18',	84,	'Y'),
(1436,	'19',	84,	'Y'),
(1437,	'20',	84,	'Y'),
(1438,	'21',	84,	'Y'),
(1439,	'2',	84,	'Y'),
(1440,	'3',	84,	'Y'),
(1441,	'4',	84,	'Y'),
(1442,	'7',	85,	'Y'),
(1443,	'8',	85,	'Y'),
(1444,	'9',	85,	'Y'),
(1445,	'10',	85,	'Y'),
(1446,	'11',	85,	'Y'),
(1447,	'12',	85,	'Y'),
(1448,	'13',	85,	'Y'),
(1449,	'14',	85,	'Y'),
(1450,	'15',	85,	'Y'),
(1451,	'16',	85,	'Y'),
(1452,	'17',	85,	'Y'),
(1453,	'18',	85,	'Y'),
(1454,	'19',	85,	'Y'),
(1455,	'20',	85,	'Y'),
(1456,	'21',	85,	'Y'),
(1457,	'2',	85,	'Y'),
(1458,	'3',	85,	'Y'),
(1459,	'4',	85,	'Y'),
(1460,	'7',	86,	'Y'),
(1461,	'8',	86,	'Y'),
(1462,	'9',	86,	'Y'),
(1463,	'10',	86,	'Y'),
(1464,	'11',	86,	'Y'),
(1465,	'12',	86,	'Y'),
(1466,	'13',	86,	'Y'),
(1467,	'14',	86,	'Y'),
(1468,	'15',	86,	'Y'),
(1469,	'16',	86,	'Y'),
(1470,	'17',	86,	'Y'),
(1471,	'18',	86,	'Y'),
(1472,	'19',	86,	'Y'),
(1473,	'20',	86,	'Y'),
(1474,	'21',	86,	'Y'),
(1475,	'2',	86,	'Y'),
(1476,	'3',	86,	'Y'),
(1477,	'4',	86,	'Y'),
(1478,	'7',	87,	'Y'),
(1479,	'8',	87,	'Y'),
(1480,	'9',	87,	'Y'),
(1481,	'10',	87,	'Y'),
(1482,	'11',	87,	'Y'),
(1483,	'12',	87,	'Y'),
(1484,	'13',	87,	'Y'),
(1485,	'14',	87,	'Y'),
(1486,	'15',	87,	'Y'),
(1487,	'16',	87,	'Y'),
(1488,	'17',	87,	'Y'),
(1489,	'18',	87,	'Y'),
(1490,	'19',	87,	'Y'),
(1491,	'20',	87,	'Y'),
(1492,	'21',	87,	'Y'),
(1493,	'2',	87,	'Y'),
(1494,	'3',	87,	'Y'),
(1495,	'4',	87,	'Y'),
(1496,	'7',	88,	'Y'),
(1497,	'8',	88,	'Y'),
(1498,	'9',	88,	'Y'),
(1499,	'10',	88,	'Y'),
(1500,	'11',	88,	'Y'),
(1501,	'12',	88,	'Y'),
(1502,	'13',	88,	'Y'),
(1503,	'14',	88,	'Y'),
(1504,	'15',	88,	'Y'),
(1505,	'16',	88,	'Y'),
(1506,	'17',	88,	'Y'),
(1507,	'18',	88,	'Y'),
(1508,	'19',	88,	'Y'),
(1509,	'20',	88,	'Y'),
(1510,	'21',	88,	'Y'),
(1511,	'2',	88,	'Y'),
(1512,	'3',	88,	'Y'),
(1513,	'4',	88,	'Y'),
(1514,	'7',	89,	'Y'),
(1515,	'8',	89,	'Y'),
(1516,	'9',	89,	'Y'),
(1517,	'10',	89,	'Y'),
(1518,	'11',	89,	'Y'),
(1519,	'12',	89,	'Y'),
(1520,	'13',	89,	'Y'),
(1521,	'14',	89,	'Y'),
(1522,	'15',	89,	'Y'),
(1523,	'16',	89,	'Y'),
(1524,	'17',	89,	'Y'),
(1525,	'18',	89,	'Y'),
(1526,	'19',	89,	'Y'),
(1527,	'20',	89,	'Y'),
(1528,	'21',	89,	'Y'),
(1529,	'2',	89,	'Y'),
(1530,	'3',	89,	'Y'),
(1531,	'4',	89,	'Y'),
(1532,	'7',	90,	'Y'),
(1533,	'8',	90,	'Y'),
(1534,	'9',	90,	'Y'),
(1535,	'10',	90,	'Y'),
(1536,	'11',	90,	'Y'),
(1537,	'12',	90,	'Y'),
(1538,	'13',	90,	'Y'),
(1539,	'14',	90,	'Y'),
(1540,	'15',	90,	'Y'),
(1541,	'16',	90,	'Y'),
(1542,	'17',	90,	'Y'),
(1543,	'18',	90,	'Y'),
(1544,	'19',	90,	'Y'),
(1545,	'20',	90,	'Y'),
(1546,	'21',	90,	'Y'),
(1547,	'2',	90,	'Y'),
(1548,	'3',	90,	'Y'),
(1549,	'4',	90,	'Y'),
(1550,	'7',	91,	'Y'),
(1551,	'8',	91,	'Y'),
(1552,	'9',	91,	'Y'),
(1553,	'10',	91,	'Y'),
(1554,	'11',	91,	'Y'),
(1555,	'12',	91,	'Y'),
(1556,	'13',	91,	'Y'),
(1557,	'14',	91,	'Y'),
(1558,	'15',	91,	'Y'),
(1559,	'16',	91,	'Y'),
(1560,	'17',	91,	'Y'),
(1561,	'18',	91,	'Y'),
(1562,	'19',	91,	'Y'),
(1563,	'20',	91,	'Y'),
(1564,	'21',	91,	'Y'),
(1565,	'2',	91,	'Y'),
(1566,	'3',	91,	'Y'),
(1567,	'4',	91,	'Y'),
(1568,	'7',	92,	'Y'),
(1569,	'8',	92,	'Y'),
(1570,	'9',	92,	'Y'),
(1571,	'10',	92,	'Y'),
(1572,	'11',	92,	'Y'),
(1573,	'12',	92,	'Y'),
(1574,	'13',	92,	'Y'),
(1575,	'14',	92,	'Y'),
(1576,	'15',	92,	'Y'),
(1577,	'16',	92,	'Y'),
(1578,	'17',	92,	'Y'),
(1579,	'18',	92,	'Y'),
(1580,	'19',	92,	'Y'),
(1581,	'20',	92,	'Y'),
(1582,	'21',	92,	'Y'),
(1583,	'2',	92,	'Y'),
(1584,	'3',	92,	'Y'),
(1585,	'4',	92,	'Y'),
(1586,	'7',	93,	'Y'),
(1587,	'8',	93,	'Y'),
(1588,	'9',	93,	'Y'),
(1589,	'10',	93,	'Y'),
(1590,	'11',	93,	'Y'),
(1591,	'12',	93,	'Y'),
(1592,	'13',	93,	'Y'),
(1593,	'14',	93,	'Y'),
(1594,	'15',	93,	'Y'),
(1595,	'16',	93,	'Y'),
(1596,	'17',	93,	'Y'),
(1597,	'18',	93,	'Y'),
(1598,	'19',	93,	'Y'),
(1599,	'20',	93,	'Y'),
(1600,	'21',	93,	'Y'),
(1601,	'2',	93,	'Y'),
(1602,	'3',	93,	'Y'),
(1603,	'4',	93,	'Y'),
(1604,	'7',	94,	'Y'),
(1605,	'8',	94,	'Y'),
(1606,	'9',	94,	'Y'),
(1607,	'10',	94,	'Y'),
(1608,	'11',	94,	'Y'),
(1609,	'12',	94,	'Y'),
(1610,	'13',	94,	'Y'),
(1611,	'14',	94,	'Y'),
(1612,	'15',	94,	'Y'),
(1613,	'16',	94,	'Y'),
(1614,	'17',	94,	'Y'),
(1615,	'18',	94,	'Y'),
(1616,	'19',	94,	'Y'),
(1617,	'20',	94,	'Y'),
(1618,	'21',	94,	'Y'),
(1619,	'2',	94,	'Y'),
(1620,	'3',	94,	'Y'),
(1621,	'4',	94,	'Y'),
(1622,	'7',	95,	'Y'),
(1623,	'8',	95,	'Y'),
(1624,	'9',	95,	'Y'),
(1625,	'10',	95,	'Y'),
(1626,	'11',	95,	'Y'),
(1627,	'12',	95,	'Y'),
(1628,	'13',	95,	'Y'),
(1629,	'14',	95,	'Y'),
(1630,	'15',	95,	'Y'),
(1631,	'16',	95,	'Y'),
(1632,	'17',	95,	'Y'),
(1633,	'18',	95,	'Y'),
(1634,	'19',	95,	'Y'),
(1635,	'20',	95,	'Y'),
(1636,	'21',	95,	'Y'),
(1637,	'2',	95,	'Y'),
(1638,	'3',	95,	'Y'),
(1639,	'4',	95,	'Y'),
(1640,	'7',	96,	'Y'),
(1641,	'8',	96,	'Y'),
(1642,	'9',	96,	'Y'),
(1643,	'10',	96,	'Y'),
(1644,	'11',	96,	'Y'),
(1645,	'12',	96,	'Y'),
(1646,	'13',	96,	'Y'),
(1647,	'14',	96,	'Y'),
(1648,	'15',	96,	'Y'),
(1649,	'16',	96,	'Y'),
(1650,	'17',	96,	'Y'),
(1651,	'18',	96,	'Y'),
(1652,	'19',	96,	'Y'),
(1653,	'20',	96,	'Y'),
(1654,	'21',	96,	'Y'),
(1655,	'2',	96,	'Y'),
(1656,	'3',	96,	'Y'),
(1657,	'4',	96,	'Y'),
(1658,	'7',	97,	'Y'),
(1659,	'8',	97,	'Y'),
(1660,	'9',	97,	'Y'),
(1661,	'10',	97,	'Y'),
(1662,	'11',	97,	'Y'),
(1663,	'12',	97,	'Y'),
(1664,	'13',	97,	'Y'),
(1665,	'14',	97,	'Y'),
(1666,	'15',	97,	'Y'),
(1667,	'16',	97,	'Y'),
(1668,	'17',	97,	'Y'),
(1669,	'18',	97,	'Y'),
(1670,	'19',	97,	'Y'),
(1671,	'20',	97,	'Y'),
(1672,	'21',	97,	'Y'),
(1673,	'2',	97,	'Y'),
(1674,	'3',	97,	'Y'),
(1675,	'4',	97,	'Y'),
(1676,	'7',	98,	'Y'),
(1677,	'8',	98,	'Y'),
(1678,	'9',	98,	'Y'),
(1679,	'10',	98,	'Y'),
(1680,	'11',	98,	'Y'),
(1681,	'12',	98,	'Y'),
(1682,	'13',	98,	'Y'),
(1683,	'14',	98,	'Y'),
(1684,	'15',	98,	'Y'),
(1685,	'16',	98,	'Y'),
(1686,	'17',	98,	'Y'),
(1687,	'18',	98,	'Y'),
(1688,	'19',	98,	'Y'),
(1689,	'20',	98,	'Y'),
(1690,	'21',	98,	'Y'),
(1691,	'2',	98,	'Y'),
(1692,	'3',	98,	'Y'),
(1693,	'4',	98,	'Y'),
(1694,	'7',	99,	'Y'),
(1695,	'8',	99,	'Y'),
(1696,	'9',	99,	'Y'),
(1697,	'10',	99,	'Y'),
(1698,	'11',	99,	'Y'),
(1699,	'12',	99,	'Y'),
(1700,	'13',	99,	'Y'),
(1701,	'14',	99,	'Y'),
(1702,	'15',	99,	'Y'),
(1703,	'16',	99,	'Y'),
(1704,	'17',	99,	'Y'),
(1705,	'18',	99,	'Y'),
(1706,	'19',	99,	'Y'),
(1707,	'20',	99,	'Y'),
(1708,	'21',	99,	'Y'),
(1709,	'2',	99,	'Y'),
(1710,	'3',	99,	'Y'),
(1711,	'27',	99,	'Y'),
(1712,	'4',	99,	'Y'),
(1713,	'7',	100,	'Y'),
(1714,	'8',	100,	'Y'),
(1715,	'9',	100,	'Y'),
(1716,	'10',	100,	'Y'),
(1717,	'11',	100,	'Y'),
(1718,	'12',	100,	'Y'),
(1719,	'13',	100,	'Y'),
(1720,	'14',	100,	'Y'),
(1721,	'15',	100,	'Y'),
(1722,	'16',	100,	'Y'),
(1723,	'17',	100,	'Y'),
(1724,	'18',	100,	'Y'),
(1725,	'19',	100,	'Y'),
(1726,	'20',	100,	'Y'),
(1727,	'21',	100,	'Y'),
(1728,	'2',	100,	'Y'),
(1729,	'3',	100,	'Y'),
(1730,	'4',	100,	'Y'),
(1731,	'7',	101,	'Y'),
(1732,	'8',	101,	'Y'),
(1733,	'9',	101,	'Y'),
(1734,	'10',	101,	'Y'),
(1735,	'11',	101,	'Y'),
(1736,	'12',	101,	'Y'),
(1737,	'13',	101,	'Y'),
(1738,	'14',	101,	'Y'),
(1739,	'15',	101,	'Y'),
(1740,	'16',	101,	'Y'),
(1741,	'17',	101,	'Y'),
(1742,	'18',	101,	'Y'),
(1743,	'19',	101,	'Y'),
(1744,	'20',	101,	'Y'),
(1745,	'21',	101,	'Y'),
(1746,	'2',	101,	'Y'),
(1747,	'3',	101,	'Y'),
(1748,	'27',	101,	'Y'),
(1749,	'4',	101,	'Y'),
(1750,	'7',	102,	'Y'),
(1751,	'8',	102,	'Y'),
(1752,	'9',	102,	'Y'),
(1753,	'10',	102,	'Y'),
(1754,	'11',	102,	'Y'),
(1755,	'12',	102,	'Y'),
(1756,	'13',	102,	'Y'),
(1757,	'14',	102,	'Y'),
(1758,	'15',	102,	'Y'),
(1759,	'16',	102,	'Y'),
(1760,	'17',	102,	'Y'),
(1761,	'18',	102,	'Y'),
(1762,	'19',	102,	'Y'),
(1763,	'20',	102,	'Y'),
(1764,	'21',	102,	'Y'),
(1765,	'2',	102,	'Y'),
(1766,	'3',	102,	'Y'),
(1767,	'4',	102,	'Y'),
(1768,	'7',	103,	'Y'),
(1769,	'8',	103,	'Y'),
(1770,	'9',	103,	'Y'),
(1771,	'10',	103,	'Y'),
(1772,	'11',	103,	'Y'),
(1773,	'12',	103,	'Y'),
(1774,	'13',	103,	'Y'),
(1775,	'14',	103,	'Y'),
(1776,	'15',	103,	'Y'),
(1777,	'16',	103,	'Y'),
(1778,	'17',	103,	'Y'),
(1779,	'18',	103,	'Y'),
(1780,	'19',	103,	'Y'),
(1781,	'20',	103,	'Y'),
(1782,	'21',	103,	'Y'),
(1783,	'2',	103,	'Y'),
(1784,	'3',	103,	'Y'),
(1785,	'4',	103,	'Y'),
(1786,	'3',	104,	'Y'),
(1787,	'7',	105,	'Y'),
(1788,	'8',	105,	'Y'),
(1789,	'9',	105,	'Y'),
(1790,	'10',	105,	'Y'),
(1791,	'11',	105,	'Y'),
(1792,	'12',	105,	'Y'),
(1793,	'13',	105,	'Y'),
(1794,	'14',	105,	'Y'),
(1795,	'15',	105,	'Y'),
(1796,	'16',	105,	'Y'),
(1797,	'17',	105,	'Y'),
(1798,	'18',	105,	'Y'),
(1799,	'19',	105,	'Y'),
(1800,	'20',	105,	'Y'),
(1801,	'21',	105,	'Y'),
(1802,	'2',	105,	'Y'),
(1803,	'3',	105,	'Y'),
(1804,	'4',	105,	'Y'),
(1805,	'7',	106,	'Y'),
(1806,	'9',	106,	'Y'),
(1807,	'11',	106,	'Y'),
(1808,	'13',	106,	'Y'),
(1809,	'14',	106,	'Y'),
(1810,	'15',	106,	'Y'),
(1811,	'2',	106,	'Y'),
(1812,	'3',	106,	'Y'),
(1813,	'4',	106,	'Y'),
(1814,	'7',	107,	'Y'),
(1815,	'8',	107,	'Y'),
(1816,	'9',	107,	'Y'),
(1817,	'10',	107,	'Y'),
(1818,	'11',	107,	'Y'),
(1819,	'12',	107,	'Y'),
(1820,	'13',	107,	'Y'),
(1821,	'14',	107,	'Y'),
(1822,	'15',	107,	'Y'),
(1823,	'16',	107,	'Y'),
(1824,	'17',	107,	'Y'),
(1825,	'18',	107,	'Y'),
(1826,	'19',	107,	'Y'),
(1827,	'20',	107,	'Y'),
(1828,	'21',	107,	'Y'),
(1829,	'2',	107,	'Y'),
(1830,	'3',	107,	'Y'),
(1831,	'4',	107,	'Y'),
(1832,	'7',	108,	'Y'),
(1833,	'8',	108,	'Y'),
(1834,	'9',	108,	'Y'),
(1835,	'10',	108,	'Y'),
(1836,	'11',	108,	'Y'),
(1837,	'12',	108,	'Y'),
(1838,	'13',	108,	'Y'),
(1839,	'14',	108,	'Y'),
(1840,	'15',	108,	'Y'),
(1841,	'16',	108,	'Y'),
(1842,	'17',	108,	'Y'),
(1843,	'18',	108,	'Y'),
(1844,	'19',	108,	'Y'),
(1845,	'20',	108,	'Y'),
(1846,	'25',	108,	'Y'),
(1847,	'21',	108,	'Y'),
(1848,	'2',	108,	'Y'),
(1849,	'3',	108,	'Y'),
(1850,	'22',	108,	'Y'),
(1851,	'4',	108,	'Y'),
(1852,	'7',	109,	'Y'),
(1853,	'8',	109,	'Y'),
(1854,	'9',	109,	'Y'),
(1855,	'10',	109,	'Y'),
(1856,	'11',	109,	'Y'),
(1857,	'12',	109,	'Y'),
(1858,	'13',	109,	'Y'),
(1859,	'14',	109,	'Y'),
(1860,	'15',	109,	'Y'),
(1861,	'16',	109,	'Y'),
(1862,	'17',	109,	'Y'),
(1863,	'18',	109,	'Y'),
(1864,	'19',	109,	'Y'),
(1865,	'20',	109,	'Y'),
(1866,	'21',	109,	'Y'),
(1867,	'2',	109,	'Y'),
(1868,	'3',	109,	'Y'),
(1869,	'4',	109,	'Y'),
(1870,	'7',	110,	'Y'),
(1871,	'8',	110,	'Y'),
(1872,	'9',	110,	'Y'),
(1873,	'10',	110,	'Y'),
(1874,	'11',	110,	'Y'),
(1875,	'12',	110,	'Y'),
(1876,	'13',	110,	'Y'),
(1877,	'14',	110,	'Y'),
(1878,	'15',	110,	'Y'),
(1879,	'16',	110,	'Y'),
(1880,	'17',	110,	'Y'),
(1881,	'18',	110,	'Y'),
(1882,	'19',	110,	'Y'),
(1883,	'20',	110,	'Y'),
(1884,	'21',	110,	'Y'),
(1885,	'2',	110,	'Y'),
(1886,	'3',	110,	'Y'),
(1887,	'4',	110,	'Y'),
(1888,	'7',	111,	'Y'),
(1889,	'8',	111,	'Y'),
(1890,	'9',	111,	'Y'),
(1891,	'10',	111,	'Y'),
(1892,	'11',	111,	'Y'),
(1893,	'12',	111,	'Y'),
(1894,	'13',	111,	'Y'),
(1895,	'14',	111,	'Y'),
(1896,	'15',	111,	'Y'),
(1897,	'16',	111,	'Y'),
(1898,	'17',	111,	'Y'),
(1899,	'18',	111,	'Y'),
(1900,	'19',	111,	'Y'),
(1901,	'20',	111,	'Y'),
(1902,	'21',	111,	'Y'),
(1903,	'2',	111,	'Y'),
(1904,	'3',	111,	'Y'),
(1905,	'4',	111,	'Y'),
(1906,	'7',	112,	'Y'),
(1907,	'8',	112,	'Y'),
(1908,	'9',	112,	'Y'),
(1909,	'10',	112,	'Y'),
(1910,	'11',	112,	'Y'),
(1911,	'12',	112,	'Y'),
(1912,	'13',	112,	'Y'),
(1913,	'14',	112,	'Y'),
(1914,	'15',	112,	'Y'),
(1915,	'16',	112,	'Y'),
(1916,	'17',	112,	'Y'),
(1917,	'18',	112,	'Y'),
(1918,	'19',	112,	'Y'),
(1919,	'20',	112,	'Y'),
(1920,	'21',	112,	'Y'),
(1921,	'2',	112,	'Y'),
(1922,	'3',	112,	'Y'),
(1923,	'4',	112,	'Y'),
(1924,	'7',	113,	'Y'),
(1925,	'8',	113,	'Y'),
(1926,	'9',	113,	'Y'),
(1927,	'10',	113,	'Y'),
(1928,	'11',	113,	'Y'),
(1929,	'12',	113,	'Y'),
(1930,	'13',	113,	'Y'),
(1931,	'14',	113,	'Y'),
(1932,	'15',	113,	'Y'),
(1933,	'16',	113,	'Y'),
(1934,	'17',	113,	'Y'),
(1935,	'18',	113,	'Y'),
(1936,	'19',	113,	'Y'),
(1937,	'20',	113,	'Y'),
(1938,	'21',	113,	'Y'),
(1939,	'2',	113,	'Y'),
(1940,	'3',	113,	'Y'),
(1941,	'4',	113,	'Y'),
(1942,	'7',	114,	'Y'),
(1943,	'8',	114,	'Y'),
(1944,	'9',	114,	'Y'),
(1945,	'10',	114,	'Y'),
(1946,	'11',	114,	'Y'),
(1947,	'12',	114,	'Y'),
(1948,	'13',	114,	'Y'),
(1949,	'14',	114,	'Y'),
(1950,	'15',	114,	'Y'),
(1951,	'16',	114,	'Y'),
(1952,	'17',	114,	'Y'),
(1953,	'18',	114,	'Y'),
(1954,	'19',	114,	'Y'),
(1955,	'20',	114,	'Y'),
(1956,	'21',	114,	'Y'),
(1957,	'2',	114,	'Y'),
(1958,	'3',	114,	'Y'),
(1959,	'4',	114,	'Y'),
(1960,	'7',	115,	'Y'),
(1961,	'8',	115,	'Y'),
(1962,	'9',	115,	'Y'),
(1963,	'10',	115,	'Y'),
(1964,	'11',	115,	'Y'),
(1965,	'12',	115,	'Y'),
(1966,	'13',	115,	'Y'),
(1967,	'14',	115,	'Y'),
(1968,	'15',	115,	'Y'),
(1969,	'16',	115,	'Y'),
(1970,	'17',	115,	'Y'),
(1971,	'18',	115,	'Y'),
(1972,	'19',	115,	'Y'),
(1973,	'20',	115,	'Y'),
(1974,	'21',	115,	'Y'),
(1975,	'2',	115,	'Y'),
(1976,	'3',	115,	'Y'),
(1977,	'4',	115,	'Y'),
(1978,	'7',	116,	'Y'),
(1979,	'8',	116,	'Y'),
(1980,	'9',	116,	'Y'),
(1981,	'10',	116,	'Y'),
(1982,	'11',	116,	'Y'),
(1983,	'12',	116,	'Y'),
(1984,	'13',	116,	'Y'),
(1985,	'14',	116,	'Y'),
(1986,	'15',	116,	'Y'),
(1987,	'16',	116,	'Y'),
(1988,	'17',	116,	'Y'),
(1989,	'18',	116,	'Y'),
(1990,	'19',	116,	'Y'),
(1991,	'20',	116,	'Y'),
(1992,	'21',	116,	'Y'),
(1993,	'2',	116,	'Y'),
(1994,	'3',	116,	'Y'),
(1995,	'4',	116,	'Y'),
(1996,	'7',	117,	'Y'),
(1997,	'8',	117,	'Y'),
(1998,	'9',	117,	'Y'),
(1999,	'10',	117,	'Y'),
(2000,	'11',	117,	'Y'),
(2001,	'12',	117,	'Y'),
(2002,	'13',	117,	'Y'),
(2003,	'14',	117,	'Y'),
(2004,	'15',	117,	'Y'),
(2005,	'16',	117,	'Y'),
(2006,	'17',	117,	'Y'),
(2007,	'18',	117,	'Y'),
(2008,	'19',	117,	'Y'),
(2009,	'32',	117,	'Y'),
(2010,	'21',	117,	'Y'),
(2011,	'2',	117,	'Y'),
(2012,	'3',	117,	'Y'),
(2013,	'4',	117,	'Y'),
(2014,	'2',	118,	'Y'),
(2015,	'3',	118,	'Y'),
(2016,	'4',	118,	'Y'),
(2017,	'5',	119,	'Y'),
(2018,	'2',	119,	'Y'),
(2019,	'3',	119,	'Y'),
(2020,	'4',	119,	'Y'),
(2021,	'5',	120,	'Y'),
(2022,	'33',	120,	'Y'),
(2023,	'6',	120,	'Y'),
(2024,	'23',	120,	'Y'),
(2025,	'24',	120,	'Y'),
(2026,	'1',	120,	'Y'),
(2027,	'2',	120,	'Y'),
(2028,	'3',	120,	'Y'),
(2029,	'4',	120,	'Y'),
(2030,	'5',	121,	'Y'),
(2031,	'6',	121,	'Y'),
(2032,	'23',	121,	'Y'),
(2033,	'24',	121,	'Y'),
(2034,	'1',	121,	'Y'),
(2035,	'2',	121,	'Y'),
(2036,	'3',	121,	'Y'),
(2037,	'4',	121,	'Y'),
(2038,	'5',	122,	'Y'),
(2039,	'6',	122,	'Y'),
(2040,	'23',	122,	'Y'),
(2041,	'24',	122,	'Y'),
(2042,	'1',	122,	'Y'),
(2043,	'2',	122,	'Y'),
(2044,	'3',	122,	'Y'),
(2045,	'4',	122,	'Y'),
(2046,	'23',	123,	'Y'),
(2047,	'24',	123,	'Y'),
(2048,	'1',	123,	'Y'),
(2049,	'2',	123,	'Y'),
(2050,	'3',	123,	'Y'),
(2051,	'4',	123,	'Y'),
(2052,	'5',	124,	'Y'),
(2053,	'6',	124,	'Y'),
(2054,	'23',	124,	'Y'),
(2055,	'24',	124,	'Y'),
(2056,	'1',	124,	'Y'),
(2057,	'2',	124,	'Y'),
(2058,	'3',	124,	'Y'),
(2059,	'4',	124,	'Y'),
(2060,	'5',	125,	'Y'),
(2061,	'6',	125,	'Y'),
(2062,	'23',	125,	'Y'),
(2063,	'24',	125,	'Y'),
(2064,	'1',	125,	'Y'),
(2065,	'2',	125,	'Y'),
(2066,	'3',	125,	'Y'),
(2067,	'4',	125,	'Y'),
(2068,	'5',	126,	'Y'),
(2069,	'6',	126,	'Y'),
(2070,	'23',	126,	'Y'),
(2071,	'24',	126,	'Y'),
(2072,	'1',	126,	'Y'),
(2073,	'2',	126,	'Y'),
(2074,	'3',	126,	'Y'),
(2075,	'4',	126,	'Y'),
(2076,	'5',	127,	'Y'),
(2077,	'6',	127,	'Y'),
(2078,	'23',	127,	'Y'),
(2079,	'24',	127,	'Y'),
(2080,	'1',	127,	'Y'),
(2081,	'2',	127,	'Y'),
(2082,	'3',	127,	'Y'),
(2083,	'4',	127,	'Y'),
(2084,	'5',	128,	'Y'),
(2085,	'6',	128,	'Y'),
(2086,	'23',	128,	'Y'),
(2087,	'24',	128,	'Y'),
(2088,	'1',	128,	'Y'),
(2089,	'2',	128,	'Y'),
(2090,	'3',	128,	'Y'),
(2091,	'4',	128,	'Y'),
(2092,	'5',	129,	'Y'),
(2093,	'2',	129,	'Y'),
(2094,	'3',	129,	'Y'),
(2095,	'4',	129,	'Y'),
(2096,	'5',	130,	'Y'),
(2097,	'6',	130,	'Y'),
(2098,	'23',	130,	'Y'),
(2099,	'24',	130,	'Y'),
(2100,	'1',	130,	'Y'),
(2101,	'2',	130,	'Y'),
(2102,	'3',	130,	'Y'),
(2103,	'4',	130,	'Y'),
(2104,	'5',	131,	'Y'),
(2105,	'6',	131,	'Y'),
(2106,	'23',	131,	'Y'),
(2107,	'24',	131,	'Y'),
(2108,	'1',	131,	'Y'),
(2109,	'2',	131,	'Y'),
(2110,	'3',	131,	'Y'),
(2111,	'4',	131,	'Y'),
(2112,	'2',	132,	'Y'),
(2113,	'3',	132,	'Y'),
(2114,	'4',	132,	'Y'),
(2115,	'2',	133,	'Y'),
(2116,	'3',	133,	'Y'),
(2117,	'4',	133,	'Y'),
(2118,	'2',	134,	'Y'),
(2119,	'3',	134,	'Y'),
(2120,	'4',	134,	'Y'),
(2121,	'2',	135,	'Y'),
(2122,	'3',	135,	'Y'),
(2123,	'4',	135,	'Y'),
(2124,	'2',	136,	'Y'),
(2125,	'3',	136,	'Y'),
(2126,	'4',	136,	'Y'),
(2127,	'2',	137,	'Y'),
(2128,	'3',	137,	'Y'),
(2129,	'22',	137,	'Y'),
(2130,	'4',	137,	'Y'),
(2131,	'2',	138,	'Y'),
(2132,	'3',	138,	'Y'),
(2133,	'4',	138,	'Y'),
(2134,	'2',	139,	'Y'),
(2135,	'3',	139,	'Y'),
(2136,	'4',	139,	'Y'),
(2137,	'2',	140,	'Y'),
(2138,	'3',	140,	'Y'),
(2139,	'4',	140,	'Y'),
(2140,	'2',	141,	'Y'),
(2141,	'3',	141,	'Y'),
(2142,	'4',	141,	'Y'),
(2143,	'2',	142,	'Y'),
(2144,	'3',	142,	'Y'),
(2145,	'4',	142,	'Y'),
(2146,	'2',	143,	'Y'),
(2147,	'3',	143,	'Y'),
(2148,	'4',	143,	'Y'),
(2149,	'2',	144,	'Y'),
(2150,	'3',	144,	'Y'),
(2151,	'4',	144,	'Y'),
(2152,	'2',	145,	'Y'),
(2153,	'3',	145,	'Y'),
(2154,	'4',	145,	'Y'),
(2155,	'2',	146,	'Y'),
(2156,	'3',	146,	'Y'),
(2157,	'4',	146,	'Y'),
(2158,	'2',	147,	'Y'),
(2159,	'3',	147,	'Y'),
(2160,	'4',	147,	'Y'),
(2161,	'2',	148,	'Y'),
(2162,	'3',	148,	'Y'),
(2163,	'4',	148,	'Y'),
(2164,	'2',	149,	'Y'),
(2165,	'3',	149,	'Y'),
(2166,	'4',	149,	'Y'),
(2167,	'2',	150,	'Y'),
(2168,	'3',	150,	'Y'),
(2169,	'4',	150,	'Y'),
(2170,	'2',	151,	'Y'),
(2171,	'3',	151,	'Y'),
(2172,	'4',	151,	'Y'),
(2173,	'2',	152,	'Y'),
(2174,	'3',	152,	'Y'),
(2175,	'4',	152,	'Y'),
(2176,	'2',	153,	'Y'),
(2177,	'3',	153,	'Y'),
(2178,	'22',	153,	'Y'),
(2179,	'4',	153,	'Y'),
(2180,	'2',	154,	'Y'),
(2181,	'3',	154,	'Y'),
(2182,	'4',	154,	'Y'),
(2183,	'2',	155,	'Y'),
(2184,	'3',	155,	'Y'),
(2185,	'4',	155,	'Y'),
(2186,	'2',	156,	'Y'),
(2187,	'3',	156,	'Y'),
(2188,	'4',	156,	'Y'),
(2189,	'2',	157,	'Y'),
(2190,	'3',	157,	'Y'),
(2191,	'4',	157,	'Y'),
(2192,	'2',	158,	'Y'),
(2193,	'3',	158,	'Y'),
(2194,	'4',	158,	'Y'),
(2195,	'2',	159,	'Y'),
(2196,	'3',	159,	'Y'),
(2197,	'4',	159,	'Y'),
(2198,	'2',	160,	'Y'),
(2199,	'3',	160,	'Y'),
(2200,	'4',	160,	'Y'),
(2201,	'2',	161,	'Y'),
(2202,	'3',	161,	'Y'),
(2203,	'22',	161,	'Y'),
(2204,	'4',	161,	'Y'),
(2205,	'2',	162,	'Y'),
(2206,	'3',	162,	'Y'),
(2207,	'4',	162,	'Y'),
(2208,	'2',	163,	'Y'),
(2209,	'3',	163,	'Y'),
(2210,	'4',	163,	'Y'),
(2211,	'23',	164,	'Y'),
(2212,	'2',	164,	'Y'),
(2213,	'3',	164,	'Y'),
(2214,	'22',	164,	'Y'),
(2215,	'4',	164,	'Y'),
(2216,	'2',	165,	'Y'),
(2217,	'3',	165,	'Y'),
(2218,	'4',	165,	'Y'),
(2219,	'2',	166,	'Y'),
(2220,	'3',	166,	'Y'),
(2221,	'4',	166,	'Y'),
(2222,	'2',	167,	'Y'),
(2223,	'3',	167,	'Y'),
(2224,	'4',	167,	'Y'),
(2225,	'2',	168,	'Y'),
(2226,	'3',	168,	'Y'),
(2227,	'4',	168,	'Y'),
(2228,	'2',	169,	'Y'),
(2229,	'3',	169,	'Y'),
(2230,	'4',	169,	'Y'),
(2231,	'2',	170,	'Y'),
(2232,	'3',	170,	'Y'),
(2233,	'4',	170,	'Y'),
(2234,	'2',	171,	'Y'),
(2235,	'3',	171,	'Y'),
(2236,	'4',	171,	'Y'),
(2237,	'2',	172,	'Y'),
(2238,	'3',	172,	'Y'),
(2239,	'4',	172,	'Y'),
(2240,	'2',	173,	'Y'),
(2241,	'3',	173,	'Y'),
(2242,	'4',	173,	'Y'),
(2243,	'2',	174,	'Y'),
(2244,	'3',	174,	'Y'),
(2245,	'4',	174,	'Y'),
(2246,	'2',	175,	'Y'),
(2247,	'3',	175,	'Y'),
(2248,	'4',	175,	'Y'),
(2249,	'2',	176,	'Y'),
(2250,	'3',	176,	'Y'),
(2251,	'4',	176,	'Y'),
(2252,	'2',	177,	'Y'),
(2253,	'3',	177,	'Y'),
(2254,	'4',	177,	'Y'),
(2255,	'2',	178,	'Y'),
(2256,	'3',	178,	'Y'),
(2257,	'4',	178,	'Y'),
(2258,	'2',	179,	'Y'),
(2259,	'3',	179,	'Y'),
(2260,	'4',	179,	'Y'),
(2261,	'2',	180,	'Y'),
(2262,	'3',	180,	'Y'),
(2263,	'4',	180,	'Y'),
(2264,	'2',	181,	'Y'),
(2265,	'3',	181,	'Y'),
(2266,	'4',	181,	'Y'),
(2267,	'2',	182,	'Y'),
(2268,	'3',	182,	'Y'),
(2269,	'4',	182,	'Y'),
(2270,	'2',	183,	'Y'),
(2271,	'3',	183,	'Y'),
(2272,	'4',	183,	'Y'),
(2273,	'2',	184,	'Y'),
(2274,	'3',	184,	'Y'),
(2275,	'4',	184,	'Y'),
(2276,	'2',	185,	'Y'),
(2277,	'3',	185,	'Y'),
(2278,	'4',	185,	'Y'),
(2279,	'2',	186,	'Y'),
(2280,	'3',	186,	'Y'),
(2281,	'4',	186,	'Y'),
(2282,	'2',	187,	'Y'),
(2283,	'3',	187,	'Y'),
(2284,	'4',	187,	'Y'),
(2285,	'2',	188,	'Y'),
(2286,	'3',	188,	'Y'),
(2287,	'4',	188,	'Y'),
(2288,	'2',	189,	'Y'),
(2289,	'3',	189,	'Y'),
(2290,	'4',	189,	'Y'),
(2291,	'2',	190,	'Y'),
(2292,	'3',	190,	'Y'),
(2293,	'4',	190,	'Y'),
(2294,	'2',	191,	'Y'),
(2295,	'3',	191,	'Y'),
(2296,	'4',	191,	'Y'),
(2297,	'2',	192,	'Y'),
(2298,	'3',	192,	'Y'),
(2299,	'4',	192,	'Y'),
(2300,	'2',	193,	'Y'),
(2301,	'3',	193,	'Y'),
(2302,	'4',	193,	'Y'),
(2303,	'2',	194,	'Y'),
(2304,	'3',	194,	'Y'),
(2305,	'4',	194,	'Y'),
(2306,	'2',	195,	'Y'),
(2307,	'3',	195,	'Y'),
(2308,	'4',	195,	'Y'),
(2309,	'2',	196,	'Y'),
(2310,	'3',	196,	'Y'),
(2311,	'4',	196,	'Y'),
(2312,	'2',	197,	'Y'),
(2313,	'3',	197,	'Y'),
(2314,	'4',	197,	'Y'),
(2315,	'2',	198,	'Y'),
(2316,	'3',	198,	'Y'),
(2317,	'4',	198,	'Y'),
(2318,	'2',	199,	'Y'),
(2319,	'3',	199,	'Y'),
(2320,	'4',	199,	'Y'),
(2321,	'2',	200,	'Y'),
(2322,	'3',	200,	'Y'),
(2323,	'4',	200,	'Y'),
(2324,	'2',	201,	'Y'),
(2325,	'3',	201,	'Y'),
(2326,	'4',	201,	'Y'),
(2327,	'2',	202,	'Y'),
(2328,	'3',	202,	'Y'),
(2329,	'4',	202,	'Y'),
(2330,	'2',	203,	'Y'),
(2331,	'3',	203,	'Y'),
(2332,	'4',	203,	'Y'),
(2333,	'2',	204,	'Y'),
(2334,	'3',	204,	'Y'),
(2335,	'4',	204,	'Y'),
(2336,	'2',	205,	'Y'),
(2337,	'3',	205,	'Y'),
(2338,	'4',	205,	'Y'),
(2339,	'2',	206,	'Y'),
(2340,	'3',	206,	'Y'),
(2341,	'4',	206,	'Y'),
(2342,	'2',	207,	'Y'),
(2343,	'3',	207,	'Y'),
(2344,	'4',	207,	'Y'),
(2345,	'2',	208,	'Y'),
(2346,	'3',	208,	'Y'),
(2347,	'4',	208,	'Y'),
(2348,	'2',	209,	'Y'),
(2349,	'3',	209,	'Y'),
(2350,	'4',	209,	'Y'),
(2351,	'2',	210,	'Y'),
(2352,	'3',	210,	'Y'),
(2353,	'4',	210,	'Y'),
(2354,	'2',	211,	'Y'),
(2355,	'3',	211,	'Y'),
(2356,	'4',	211,	'Y'),
(2357,	'2',	212,	'Y'),
(2358,	'3',	212,	'Y'),
(2359,	'4',	212,	'Y'),
(2360,	'2',	213,	'Y'),
(2361,	'3',	213,	'Y'),
(2362,	'4',	213,	'Y'),
(2363,	'2',	214,	'Y'),
(2364,	'3',	214,	'Y'),
(2365,	'4',	214,	'Y'),
(2366,	'2',	215,	'Y'),
(2367,	'3',	215,	'Y'),
(2368,	'4',	215,	'Y'),
(2369,	'2',	216,	'Y'),
(2370,	'3',	216,	'Y'),
(2371,	'4',	216,	'Y'),
(2372,	'2',	217,	'Y'),
(2373,	'3',	217,	'Y'),
(2374,	'4',	217,	'Y'),
(2375,	'2',	218,	'Y'),
(2376,	'3',	218,	'Y'),
(2377,	'4',	218,	'Y'),
(2378,	'2',	219,	'Y'),
(2379,	'34',	219,	'Y'),
(2380,	'3',	219,	'Y'),
(2381,	'22',	219,	'Y'),
(2382,	'4',	219,	'Y'),
(2383,	'2',	220,	'Y'),
(2384,	'3',	220,	'Y'),
(2385,	'22',	220,	'Y'),
(2386,	'4',	220,	'Y'),
(2387,	'5',	221,	'Y'),
(2388,	'2',	221,	'Y'),
(2389,	'3',	221,	'Y'),
(2390,	'4',	221,	'Y'),
(2391,	'2',	222,	'Y'),
(2392,	'3',	222,	'Y'),
(2393,	'22',	222,	'Y'),
(2394,	'4',	222,	'Y'),
(2395,	'2',	223,	'Y'),
(2396,	'3',	223,	'Y'),
(2397,	'4',	223,	'Y'),
(2398,	'2',	224,	'Y'),
(2399,	'3',	224,	'Y'),
(2400,	'4',	224,	'Y'),
(2401,	'2',	225,	'Y'),
(2402,	'3',	225,	'Y'),
(2403,	'4',	225,	'Y'),
(2404,	'2',	226,	'Y'),
(2405,	'3',	226,	'Y'),
(2406,	'22',	226,	'Y'),
(2407,	'4',	226,	'Y'),
(2408,	'2',	227,	'Y'),
(2409,	'3',	227,	'Y'),
(2410,	'4',	227,	'Y'),
(2411,	'2',	228,	'Y'),
(2412,	'3',	228,	'Y'),
(2413,	'22',	228,	'Y'),
(2414,	'4',	228,	'Y'),
(2415,	'2',	229,	'Y'),
(2416,	'3',	229,	'Y'),
(2417,	'4',	229,	'Y'),
(2418,	'2',	230,	'Y'),
(2419,	'3',	230,	'Y'),
(2420,	'4',	230,	'Y'),
(2421,	'2',	231,	'Y'),
(2422,	'3',	231,	'Y'),
(2423,	'4',	231,	'Y'),
(2424,	'2',	232,	'Y'),
(2425,	'3',	232,	'Y'),
(2426,	'4',	232,	'Y'),
(2427,	'2',	233,	'Y'),
(2428,	'3',	233,	'Y'),
(2429,	'4',	233,	'Y'),
(2430,	'2',	234,	'Y'),
(2431,	'3',	234,	'Y'),
(2432,	'4',	234,	'Y'),
(2433,	'2',	235,	'Y'),
(2434,	'3',	235,	'Y'),
(2435,	'4',	235,	'Y'),
(2436,	'2',	236,	'Y'),
(2437,	'3',	236,	'Y'),
(2438,	'4',	236,	'Y'),
(2439,	'2',	237,	'Y'),
(2440,	'3',	237,	'Y'),
(2441,	'4',	237,	'Y'),
(2442,	'2',	238,	'Y'),
(2443,	'3',	238,	'Y'),
(2444,	'4',	238,	'Y'),
(2445,	'2',	239,	'Y'),
(2446,	'3',	239,	'Y'),
(2447,	'4',	239,	'Y'),
(2448,	'2',	240,	'Y'),
(2449,	'3',	240,	'Y'),
(2450,	'4',	240,	'Y'),
(2451,	'2',	241,	'Y'),
(2452,	'3',	241,	'Y'),
(2453,	'4',	241,	'Y'),
(2454,	'2',	242,	'Y'),
(2455,	'3',	242,	'Y'),
(2456,	'4',	242,	'Y'),
(2457,	'2',	243,	'Y'),
(2458,	'3',	243,	'Y'),
(2459,	'4',	243,	'Y'),
(2460,	'2',	244,	'Y'),
(2461,	'3',	244,	'Y'),
(2462,	'4',	244,	'Y'),
(2463,	'2',	245,	'Y'),
(2464,	'3',	245,	'Y'),
(2465,	'4',	245,	'Y'),
(2466,	'2',	246,	'Y'),
(2467,	'3',	246,	'Y'),
(2468,	'4',	246,	'Y'),
(2469,	'2',	247,	'Y'),
(2470,	'3',	247,	'Y'),
(2471,	'22',	247,	'Y'),
(2472,	'4',	247,	'Y'),
(2473,	'2',	248,	'Y'),
(2474,	'3',	248,	'Y'),
(2475,	'22',	248,	'Y'),
(2476,	'4',	248,	'Y'),
(2477,	'2',	249,	'Y'),
(2478,	'3',	249,	'Y'),
(2479,	'22',	249,	'Y'),
(2480,	'4',	249,	'Y'),
(2481,	'2',	250,	'Y'),
(2482,	'3',	250,	'Y'),
(2483,	'4',	250,	'Y'),
(2484,	'2',	251,	'Y'),
(2485,	'3',	251,	'Y'),
(2486,	'4',	251,	'Y'),
(2487,	'2',	252,	'Y'),
(2488,	'3',	252,	'Y'),
(2489,	'22',	252,	'Y'),
(2490,	'4',	252,	'Y'),
(2491,	'2',	253,	'Y'),
(2492,	'3',	253,	'Y'),
(2493,	'22',	253,	'Y'),
(2494,	'4',	253,	'Y'),
(2495,	'2',	254,	'Y'),
(2496,	'3',	254,	'Y'),
(2497,	'4',	254,	'Y'),
(2498,	'2',	255,	'Y'),
(2499,	'3',	255,	'Y'),
(2500,	'22',	255,	'Y'),
(2501,	'4',	255,	'Y'),
(2502,	'2',	256,	'Y'),
(2503,	'3',	256,	'Y'),
(2504,	'4',	256,	'Y'),
(2505,	'2',	257,	'Y'),
(2506,	'3',	257,	'Y'),
(2507,	'4',	257,	'Y'),
(2508,	'2',	258,	'Y'),
(2509,	'3',	258,	'Y'),
(2510,	'4',	258,	'Y'),
(2511,	'2',	259,	'Y'),
(2512,	'3',	259,	'Y'),
(2513,	'4',	259,	'Y'),
(2514,	'2',	260,	'Y'),
(2515,	'3',	260,	'Y'),
(2516,	'4',	260,	'Y'),
(2517,	'2',	261,	'Y'),
(2518,	'3',	261,	'Y'),
(2519,	'4',	261,	'Y'),
(2520,	'2',	262,	'Y'),
(2521,	'3',	262,	'Y'),
(2522,	'4',	262,	'Y'),
(2523,	'2',	263,	'Y'),
(2524,	'3',	263,	'Y'),
(2525,	'4',	263,	'Y'),
(2526,	'2',	264,	'Y'),
(2527,	'3',	264,	'Y'),
(2528,	'4',	264,	'Y'),
(2529,	'2',	265,	'Y'),
(2530,	'3',	265,	'Y'),
(2531,	'4',	265,	'Y'),
(2532,	'2',	266,	'Y'),
(2533,	'3',	266,	'Y'),
(2534,	'4',	266,	'Y'),
(2535,	'2',	267,	'Y'),
(2536,	'3',	267,	'Y'),
(2537,	'4',	267,	'Y'),
(2538,	'2',	268,	'Y'),
(2539,	'3',	268,	'Y'),
(2540,	'4',	268,	'Y'),
(2541,	'2',	269,	'Y'),
(2542,	'3',	269,	'Y'),
(2543,	'4',	269,	'Y'),
(2544,	'2',	270,	'Y'),
(2545,	'3',	270,	'Y'),
(2546,	'4',	270,	'Y'),
(2547,	'2',	271,	'Y'),
(2548,	'3',	271,	'Y'),
(2549,	'4',	271,	'Y'),
(2550,	'2',	272,	'Y'),
(2551,	'3',	272,	'Y'),
(2552,	'4',	272,	'Y'),
(2553,	'2',	273,	'Y'),
(2554,	'3',	273,	'Y'),
(2555,	'4',	273,	'Y'),
(2556,	'35',	274,	'Y'),
(2557,	'2',	274,	'Y'),
(2558,	'3',	274,	'Y'),
(2559,	'4',	274,	'Y'),
(2560,	'5',	275,	'Y'),
(2561,	'1',	275,	'Y'),
(2562,	'2',	275,	'Y'),
(2563,	'3',	275,	'Y'),
(2564,	'4',	275,	'Y'),
(2565,	'2',	276,	'Y'),
(2566,	'3',	276,	'Y'),
(2567,	'4',	276,	'Y'),
(2568,	'2',	277,	'Y'),
(2569,	'3',	277,	'Y'),
(2570,	'4',	277,	'Y'),
(2571,	'33',	278,	'Y'),
(2572,	'1',	278,	'Y'),
(2573,	'2',	278,	'Y'),
(2574,	'3',	278,	'Y'),
(2575,	'4',	278,	'Y'),
(2576,	'5',	279,	'Y'),
(2577,	'1',	279,	'Y'),
(2578,	'2',	279,	'Y'),
(2579,	'36',	279,	'Y'),
(2580,	'3',	279,	'Y'),
(2581,	'4',	279,	'Y'),
(2582,	'5',	280,	'Y'),
(2583,	'1',	280,	'Y'),
(2584,	'2',	280,	'Y'),
(2585,	'36',	280,	'Y'),
(2586,	'3',	280,	'Y'),
(2587,	'4',	280,	'Y'),
(2588,	'2',	281,	'Y'),
(2589,	'3',	281,	'Y'),
(2590,	'4',	281,	'Y'),
(2591,	'33',	282,	'Y'),
(2592,	'35',	282,	'Y'),
(2593,	'1',	282,	'Y'),
(2594,	'2',	282,	'Y'),
(2595,	'3',	282,	'Y'),
(2596,	'4',	282,	'Y'),
(2597,	'2',	283,	'Y'),
(2598,	'3',	283,	'Y'),
(2599,	'4',	283,	'Y'),
(2600,	'2',	284,	'Y'),
(2601,	'3',	284,	'Y'),
(2602,	'4',	284,	'Y'),
(2603,	'33',	285,	'Y'),
(2604,	'2',	285,	'Y'),
(2605,	'3',	285,	'Y'),
(2606,	'4',	285,	'Y'),
(2607,	'2',	286,	'Y'),
(2608,	'3',	286,	'Y'),
(2609,	'4',	286,	'Y'),
(2610,	'2',	287,	'Y'),
(2611,	'3',	287,	'Y'),
(2612,	'4',	287,	'Y'),
(2613,	'33',	288,	'Y'),
(2614,	'2',	288,	'Y'),
(2615,	'3',	288,	'Y'),
(2616,	'4',	288,	'Y'),
(2617,	'2',	289,	'Y'),
(2618,	'3',	289,	'Y'),
(2619,	'4',	289,	'Y'),
(2620,	'2',	290,	'Y'),
(2621,	'3',	290,	'Y'),
(2622,	'4',	290,	'Y'),
(2623,	'33',	291,	'Y'),
(2624,	'2',	291,	'Y'),
(2625,	'3',	291,	'Y'),
(2626,	'4',	291,	'Y'),
(2627,	'2',	292,	'Y'),
(2628,	'3',	292,	'Y'),
(2629,	'4',	292,	'Y'),
(2630,	'2',	293,	'Y'),
(2631,	'3',	293,	'Y'),
(2632,	'4',	293,	'Y'),
(2633,	'2',	294,	'Y'),
(2634,	'3',	294,	'Y'),
(2635,	'4',	294,	'Y'),
(2636,	'2',	295,	'Y'),
(2637,	'3',	295,	'Y'),
(2638,	'4',	295,	'Y'),
(2639,	'2',	296,	'Y'),
(2640,	'3',	296,	'Y'),
(2641,	'4',	296,	'Y'),
(2642,	'2',	297,	'Y'),
(2643,	'3',	297,	'Y'),
(2644,	'4',	297,	'Y'),
(2645,	'37',	298,	'Y'),
(2646,	'2',	298,	'Y'),
(2647,	'3',	298,	'Y'),
(2648,	'4',	298,	'Y'),
(2649,	'2',	299,	'Y'),
(2650,	'3',	299,	'Y'),
(2651,	'4',	299,	'Y'),
(2652,	'33',	300,	'Y'),
(2653,	'1',	300,	'Y'),
(2654,	'2',	300,	'Y'),
(2655,	'3',	300,	'Y'),
(2656,	'4',	300,	'Y'),
(2657,	'5',	301,	'Y'),
(2658,	'1',	301,	'Y'),
(2659,	'2',	301,	'Y'),
(2660,	'3',	301,	'Y'),
(2661,	'4',	301,	'Y'),
(2662,	'2',	302,	'Y'),
(2663,	'3',	302,	'Y'),
(2664,	'4',	302,	'Y'),
(2665,	'2',	303,	'Y'),
(2666,	'3',	303,	'Y'),
(2667,	'4',	303,	'Y'),
(2668,	'2',	304,	'Y'),
(2669,	'3',	304,	'Y'),
(2670,	'4',	304,	'Y'),
(2671,	'2',	305,	'Y'),
(2672,	'3',	305,	'Y'),
(2673,	'4',	305,	'Y'),
(2674,	'2',	306,	'Y'),
(2675,	'3',	306,	'Y'),
(2676,	'4',	306,	'Y'),
(2677,	'2',	307,	'Y'),
(2678,	'3',	307,	'Y'),
(2679,	'4',	307,	'Y'),
(2680,	'2',	308,	'Y'),
(2681,	'3',	308,	'Y'),
(2682,	'4',	308,	'Y'),
(2683,	'2',	309,	'Y'),
(2684,	'3',	309,	'Y'),
(2685,	'4',	309,	'Y'),
(2686,	'2',	310,	'Y'),
(2687,	'3',	310,	'Y'),
(2688,	'4',	310,	'Y'),
(2689,	'2',	311,	'Y'),
(2690,	'3',	311,	'Y'),
(2691,	'4',	311,	'Y'),
(2692,	'2',	312,	'Y'),
(2693,	'3',	312,	'Y'),
(2694,	'4',	312,	'Y'),
(2695,	'2',	313,	'Y'),
(2696,	'3',	313,	'Y'),
(2697,	'4',	313,	'Y'),
(2698,	'2',	314,	'Y'),
(2699,	'3',	314,	'Y'),
(2700,	'4',	314,	'Y'),
(2701,	'2',	315,	'Y'),
(2702,	'3',	315,	'Y'),
(2703,	'4',	315,	'Y'),
(2704,	'2',	316,	'Y'),
(2705,	'3',	316,	'Y'),
(2706,	'4',	316,	'Y'),
(2707,	'2',	317,	'Y'),
(2708,	'3',	317,	'Y'),
(2709,	'4',	317,	'Y'),
(2710,	'2',	318,	'Y'),
(2711,	'3',	318,	'Y'),
(2712,	'4',	318,	'Y'),
(2713,	'2',	319,	'Y'),
(2714,	'3',	319,	'Y'),
(2715,	'4',	319,	'Y'),
(2716,	'2',	320,	'Y'),
(2717,	'3',	320,	'Y'),
(2718,	'4',	320,	'Y'),
(2719,	'2',	321,	'Y'),
(2720,	'3',	321,	'Y'),
(2721,	'4',	321,	'Y'),
(2722,	'2',	322,	'Y'),
(2723,	'3',	322,	'Y'),
(2724,	'4',	322,	'Y'),
(2725,	'2',	323,	'Y'),
(2726,	'3',	323,	'Y'),
(2727,	'4',	323,	'Y'),
(2728,	'2',	324,	'Y'),
(2729,	'3',	324,	'Y'),
(2730,	'4',	324,	'Y'),
(2731,	'2',	325,	'Y'),
(2732,	'3',	325,	'Y'),
(2733,	'4',	325,	'Y'),
(2734,	'2',	326,	'Y'),
(2735,	'3',	326,	'Y'),
(2736,	'4',	326,	'Y'),
(2737,	'2',	327,	'Y'),
(2738,	'3',	327,	'Y'),
(2739,	'4',	327,	'Y'),
(2740,	'2',	328,	'Y'),
(2741,	'3',	328,	'Y'),
(2742,	'4',	328,	'Y'),
(2743,	'2',	329,	'Y'),
(2744,	'3',	329,	'Y'),
(2745,	'4',	329,	'Y'),
(2746,	'2',	330,	'Y'),
(2747,	'3',	330,	'Y'),
(2748,	'22',	330,	'Y'),
(2749,	'4',	330,	'Y'),
(2750,	'2',	331,	'Y'),
(2751,	'3',	331,	'Y'),
(2752,	'22',	331,	'Y'),
(2753,	'4',	331,	'Y'),
(2754,	'2',	332,	'Y'),
(2755,	'3',	332,	'Y'),
(2756,	'22',	332,	'Y'),
(2757,	'4',	332,	'Y'),
(2758,	'2',	333,	'Y'),
(2759,	'3',	333,	'Y'),
(2760,	'4',	333,	'Y'),
(2761,	'2',	334,	'Y'),
(2762,	'3',	334,	'Y'),
(2763,	'4',	334,	'Y'),
(2764,	'2',	335,	'Y'),
(2765,	'3',	335,	'Y'),
(2766,	'4',	335,	'Y'),
(2767,	'2',	336,	'Y'),
(2768,	'3',	336,	'Y'),
(2769,	'4',	336,	'Y'),
(2770,	'2',	337,	'Y'),
(2771,	'3',	337,	'Y'),
(2772,	'4',	337,	'Y'),
(2773,	'2',	338,	'Y'),
(2774,	'3',	338,	'Y'),
(2775,	'4',	338,	'Y'),
(2776,	'2',	339,	'Y'),
(2777,	'3',	339,	'Y'),
(2778,	'4',	339,	'Y'),
(2779,	'2',	340,	'Y'),
(2780,	'3',	340,	'Y'),
(2781,	'4',	340,	'Y'),
(2782,	'2',	341,	'Y'),
(2783,	'3',	341,	'Y'),
(2784,	'22',	341,	'Y'),
(2785,	'4',	341,	'Y'),
(2786,	'2',	342,	'Y'),
(2787,	'3',	342,	'Y'),
(2788,	'4',	342,	'Y'),
(2789,	'2',	343,	'Y'),
(2790,	'3',	343,	'Y'),
(2791,	'4',	343,	'Y'),
(2792,	'2',	344,	'Y'),
(2793,	'3',	344,	'Y'),
(2794,	'4',	344,	'Y'),
(2795,	'2',	345,	'Y'),
(2796,	'3',	345,	'Y'),
(2797,	'22',	345,	'Y'),
(2798,	'4',	345,	'Y'),
(2799,	'2',	346,	'Y'),
(2800,	'3',	346,	'Y'),
(2801,	'4',	346,	'Y'),
(2802,	'2',	347,	'Y'),
(2803,	'3',	347,	'Y'),
(2804,	'4',	347,	'Y'),
(2805,	'2',	348,	'Y'),
(2806,	'3',	348,	'Y'),
(2807,	'4',	348,	'Y'),
(2808,	'2',	349,	'Y'),
(2809,	'3',	349,	'Y'),
(2810,	'4',	349,	'Y'),
(2811,	'2',	350,	'Y'),
(2812,	'3',	350,	'Y'),
(2813,	'22',	350,	'Y'),
(2814,	'4',	350,	'Y'),
(2815,	'2',	351,	'Y'),
(2816,	'3',	351,	'Y'),
(2817,	'22',	351,	'Y'),
(2818,	'4',	351,	'Y'),
(2819,	'2',	352,	'Y'),
(2820,	'3',	352,	'Y'),
(2821,	'22',	352,	'Y'),
(2822,	'4',	352,	'Y'),
(2823,	'2',	353,	'Y'),
(2824,	'3',	353,	'Y'),
(2825,	'22',	353,	'Y'),
(2826,	'4',	353,	'Y'),
(2827,	'2',	354,	'Y'),
(2828,	'3',	354,	'Y'),
(2829,	'4',	354,	'Y'),
(2830,	'2',	355,	'Y'),
(2831,	'3',	355,	'Y'),
(2832,	'4',	355,	'Y'),
(2833,	'2',	356,	'Y'),
(2834,	'3',	356,	'Y'),
(2835,	'4',	356,	'Y'),
(2836,	'2',	357,	'Y'),
(2837,	'3',	357,	'Y'),
(2838,	'4',	357,	'Y'),
(2839,	'2',	358,	'Y'),
(2840,	'3',	358,	'Y'),
(2841,	'4',	358,	'Y'),
(2842,	'2',	359,	'Y'),
(2843,	'3',	359,	'Y'),
(2844,	'22',	359,	'Y'),
(2845,	'4',	359,	'Y'),
(2846,	'2',	360,	'Y'),
(2847,	'3',	360,	'Y'),
(2848,	'22',	360,	'Y'),
(2849,	'4',	360,	'Y'),
(2850,	'2',	361,	'Y'),
(2851,	'3',	361,	'Y'),
(2852,	'22',	361,	'Y'),
(2853,	'4',	361,	'Y'),
(2854,	'2',	362,	'Y'),
(2855,	'3',	362,	'Y'),
(2856,	'4',	362,	'Y'),
(2857,	'2',	363,	'Y'),
(2858,	'3',	363,	'Y'),
(2859,	'4',	363,	'Y'),
(2860,	'2',	364,	'Y'),
(2861,	'3',	364,	'Y'),
(2862,	'4',	364,	'Y'),
(2863,	'2',	365,	'Y'),
(2864,	'3',	365,	'Y'),
(2865,	'4',	365,	'Y'),
(2866,	'2',	366,	'Y'),
(2867,	'3',	366,	'Y'),
(2868,	'4',	366,	'Y'),
(2869,	'2',	367,	'Y'),
(2870,	'3',	367,	'Y'),
(2871,	'4',	367,	'Y'),
(2872,	'2',	368,	'Y'),
(2873,	'3',	368,	'Y'),
(2874,	'4',	368,	'Y'),
(2875,	'2',	369,	'Y'),
(2876,	'3',	369,	'Y'),
(2877,	'4',	369,	'Y'),
(2878,	'2',	370,	'Y'),
(2879,	'3',	370,	'Y'),
(2880,	'4',	370,	'Y'),
(2881,	'2',	371,	'Y'),
(2882,	'3',	371,	'Y'),
(2883,	'4',	371,	'Y'),
(2884,	'2',	372,	'Y'),
(2885,	'3',	372,	'Y'),
(2886,	'4',	372,	'Y'),
(2887,	'2',	373,	'Y'),
(2888,	'3',	373,	'Y'),
(2889,	'4',	373,	'Y'),
(2890,	'2',	374,	'Y'),
(2891,	'3',	374,	'Y'),
(2892,	'4',	374,	'Y'),
(2893,	'2',	375,	'Y'),
(2894,	'3',	375,	'Y'),
(2895,	'4',	375,	'Y'),
(2896,	'2',	376,	'Y'),
(2897,	'3',	376,	'Y'),
(2898,	'22',	376,	'Y'),
(2899,	'4',	376,	'Y'),
(2900,	'2',	377,	'Y'),
(2901,	'3',	377,	'Y'),
(2902,	'22',	377,	'Y'),
(2903,	'4',	377,	'Y'),
(2904,	'38',	377,	'Y'),
(2905,	'2',	378,	'Y'),
(2906,	'3',	378,	'Y'),
(2907,	'4',	378,	'Y'),
(2908,	'2',	379,	'Y'),
(2909,	'3',	379,	'Y'),
(2910,	'4',	379,	'Y'),
(2911,	'2',	380,	'Y'),
(2912,	'3',	380,	'Y'),
(2913,	'4',	380,	'Y'),
(2914,	'2',	381,	'Y'),
(2915,	'3',	381,	'Y'),
(2916,	'4',	381,	'Y'),
(2917,	'2',	382,	'Y'),
(2918,	'3',	382,	'Y'),
(2919,	'4',	382,	'Y'),
(2920,	'2',	383,	'Y'),
(2921,	'3',	383,	'Y'),
(2922,	'4',	383,	'Y'),
(2923,	'2',	384,	'Y'),
(2924,	'3',	384,	'Y'),
(2925,	'4',	384,	'Y'),
(2926,	'2',	385,	'Y'),
(2927,	'3',	385,	'Y'),
(2928,	'4',	385,	'Y'),
(2929,	'2',	386,	'Y'),
(2930,	'3',	386,	'Y'),
(2931,	'4',	386,	'Y'),
(2932,	'2',	387,	'Y'),
(2933,	'3',	387,	'Y'),
(2934,	'4',	387,	'Y'),
(2935,	'2',	388,	'Y'),
(2936,	'3',	388,	'Y'),
(2937,	'4',	388,	'Y'),
(2938,	'2',	389,	'Y'),
(2939,	'3',	389,	'Y'),
(2940,	'4',	389,	'Y'),
(2941,	'2',	390,	'Y'),
(2942,	'3',	390,	'Y'),
(2943,	'4',	390,	'Y'),
(2944,	'2',	391,	'Y'),
(2945,	'3',	391,	'Y'),
(2946,	'4',	391,	'Y'),
(2947,	'2',	392,	'Y'),
(2948,	'3',	392,	'Y'),
(2949,	'4',	392,	'Y'),
(2950,	'2',	393,	'Y'),
(2951,	'3',	393,	'Y'),
(2952,	'4',	393,	'Y'),
(2953,	'2',	394,	'Y'),
(2954,	'3',	394,	'Y'),
(2955,	'4',	394,	'Y'),
(2956,	'2',	395,	'Y'),
(2957,	'3',	395,	'Y'),
(2958,	'4',	395,	'Y'),
(2959,	'2',	396,	'Y'),
(2960,	'3',	396,	'Y'),
(2961,	'4',	396,	'Y'),
(2962,	'2',	397,	'Y'),
(2963,	'3',	397,	'Y'),
(2964,	'4',	397,	'Y'),
(2965,	'2',	398,	'Y'),
(2966,	'3',	398,	'Y'),
(2967,	'4',	398,	'Y'),
(2968,	'2',	399,	'Y'),
(2969,	'3',	399,	'Y'),
(2970,	'4',	399,	'Y'),
(2971,	'2',	400,	'Y'),
(2972,	'3',	400,	'Y'),
(2973,	'4',	400,	'Y'),
(2974,	'2',	401,	'Y'),
(2975,	'3',	401,	'Y'),
(2976,	'4',	401,	'Y'),
(2977,	'2',	402,	'Y'),
(2978,	'3',	402,	'Y'),
(2979,	'4',	402,	'Y'),
(2980,	'2',	403,	'Y'),
(2981,	'3',	403,	'Y'),
(2982,	'4',	403,	'Y'),
(2983,	'2',	404,	'Y'),
(2984,	'3',	404,	'Y'),
(2985,	'4',	404,	'Y'),
(2986,	'2',	405,	'Y'),
(2987,	'3',	405,	'Y'),
(2988,	'4',	405,	'Y'),
(2989,	'2',	406,	'Y'),
(2990,	'3',	406,	'Y'),
(2991,	'4',	406,	'Y'),
(2992,	'2',	407,	'Y'),
(2993,	'3',	407,	'Y'),
(2994,	'4',	407,	'Y'),
(2995,	'2',	408,	'Y'),
(2996,	'3',	408,	'Y'),
(2997,	'4',	408,	'Y'),
(2998,	'2',	409,	'Y'),
(2999,	'3',	409,	'Y'),
(3000,	'4',	409,	'Y'),
(3001,	'2',	410,	'Y'),
(3002,	'3',	410,	'Y'),
(3003,	'4',	410,	'Y'),
(3004,	'2',	411,	'Y'),
(3005,	'3',	411,	'Y'),
(3006,	'4',	411,	'Y'),
(3007,	'2',	412,	'Y'),
(3008,	'3',	412,	'Y'),
(3009,	'4',	412,	'Y'),
(3010,	'2',	413,	'Y'),
(3011,	'3',	413,	'Y'),
(3012,	'4',	413,	'Y'),
(3013,	'2',	414,	'Y'),
(3014,	'3',	414,	'Y'),
(3015,	'4',	414,	'Y'),
(3016,	'2',	415,	'Y'),
(3017,	'3',	415,	'Y'),
(3018,	'4',	415,	'Y'),
(3019,	'2',	416,	'Y'),
(3020,	'3',	416,	'Y'),
(3021,	'4',	416,	'Y'),
(3022,	'2',	417,	'Y'),
(3023,	'3',	417,	'Y'),
(3024,	'4',	417,	'Y'),
(3025,	'2',	418,	'Y'),
(3026,	'3',	418,	'Y'),
(3027,	'4',	418,	'Y'),
(3028,	'2',	419,	'Y'),
(3029,	'3',	419,	'Y'),
(3030,	'4',	419,	'Y'),
(3031,	'2',	420,	'Y'),
(3032,	'3',	420,	'Y'),
(3033,	'4',	420,	'Y'),
(3034,	'2',	421,	'Y'),
(3035,	'3',	421,	'Y'),
(3036,	'4',	421,	'Y'),
(3037,	'2',	422,	'Y'),
(3038,	'3',	422,	'Y'),
(3039,	'4',	422,	'Y'),
(3040,	'5',	423,	'Y'),
(3041,	'2',	423,	'Y'),
(3042,	'3',	423,	'Y'),
(3043,	'4',	423,	'Y'),
(3044,	'2',	424,	'Y'),
(3045,	'3',	424,	'Y'),
(3046,	'4',	424,	'Y'),
(3047,	'2',	425,	'Y'),
(3048,	'3',	425,	'Y'),
(3049,	'4',	425,	'Y'),
(3050,	'2',	426,	'Y'),
(3051,	'3',	426,	'Y'),
(3052,	'4',	426,	'Y'),
(3053,	'39',	427,	'Y'),
(3054,	'40',	427,	'Y'),
(3055,	'2',	427,	'Y'),
(3056,	'3',	427,	'Y'),
(3057,	'4',	427,	'Y'),
(3058,	'39',	428,	'Y'),
(3059,	'2',	428,	'Y'),
(3060,	'3',	428,	'Y'),
(3061,	'4',	428,	'Y'),
(3062,	'2',	429,	'Y'),
(3063,	'3',	429,	'Y'),
(3064,	'4',	429,	'Y'),
(3065,	'2',	430,	'Y'),
(3066,	'3',	430,	'Y'),
(3067,	'4',	430,	'Y'),
(3068,	'2',	431,	'Y'),
(3069,	'3',	431,	'Y'),
(3070,	'4',	431,	'Y'),
(3071,	'2',	432,	'Y'),
(3072,	'3',	432,	'Y'),
(3073,	'4',	432,	'Y'),
(3074,	'39',	433,	'Y'),
(3075,	'40',	433,	'Y'),
(3076,	'2',	433,	'Y'),
(3077,	'3',	433,	'Y'),
(3078,	'4',	433,	'Y'),
(3079,	'2',	434,	'Y'),
(3080,	'3',	434,	'Y'),
(3081,	'4',	434,	'Y'),
(3082,	'2',	435,	'Y'),
(3083,	'3',	435,	'Y'),
(3084,	'4',	435,	'Y'),
(3085,	'2',	436,	'Y'),
(3086,	'3',	436,	'Y'),
(3087,	'4',	436,	'Y'),
(3088,	'24',	437,	'Y'),
(3089,	'2',	437,	'Y'),
(3090,	'3',	437,	'Y'),
(3091,	'4',	437,	'Y'),
(3092,	'2',	438,	'Y'),
(3093,	'3',	438,	'Y'),
(3094,	'4',	438,	'Y'),
(3095,	'2',	439,	'Y'),
(3096,	'3',	439,	'Y'),
(3097,	'4',	439,	'Y'),
(3098,	'2',	440,	'Y'),
(3099,	'3',	440,	'Y'),
(3100,	'4',	440,	'Y'),
(3101,	'2',	441,	'Y'),
(3102,	'3',	441,	'Y'),
(3103,	'22',	441,	'Y'),
(3104,	'4',	441,	'Y'),
(3105,	'2',	442,	'Y'),
(3106,	'3',	442,	'Y'),
(3107,	'4',	442,	'Y'),
(3108,	'38',	442,	'Y'),
(3109,	'2',	443,	'Y'),
(3110,	'3',	443,	'Y'),
(3111,	'22',	443,	'Y'),
(3112,	'4',	443,	'Y'),
(3113,	'38',	443,	'Y'),
(3114,	'2',	444,	'Y'),
(3115,	'3',	444,	'Y'),
(3116,	'4',	444,	'Y'),
(3117,	'2',	445,	'Y'),
(3118,	'3',	445,	'Y'),
(3119,	'4',	445,	'Y'),
(3120,	'2',	446,	'Y'),
(3121,	'3',	446,	'Y'),
(3122,	'4',	446,	'Y'),
(3123,	'2',	447,	'Y'),
(3124,	'3',	447,	'Y'),
(3125,	'22',	447,	'Y'),
(3126,	'4',	447,	'Y'),
(3127,	'38',	447,	'Y'),
(3128,	'2',	448,	'Y'),
(3129,	'3',	448,	'Y'),
(3130,	'4',	448,	'Y'),
(3131,	'2',	449,	'Y'),
(3132,	'3',	449,	'Y'),
(3133,	'4',	449,	'Y'),
(3134,	'2',	450,	'Y'),
(3135,	'3',	450,	'Y'),
(3136,	'22',	450,	'Y'),
(3137,	'4',	450,	'Y'),
(3138,	'2',	451,	'Y'),
(3139,	'3',	451,	'Y'),
(3140,	'4',	451,	'Y'),
(3141,	'2',	452,	'Y'),
(3142,	'3',	452,	'Y'),
(3143,	'22',	452,	'Y'),
(3144,	'4',	452,	'Y'),
(3145,	'2',	453,	'Y'),
(3146,	'3',	453,	'Y'),
(3147,	'4',	453,	'Y'),
(3148,	'2',	454,	'Y'),
(3149,	'3',	454,	'Y'),
(3150,	'4',	454,	'Y'),
(3151,	'2',	455,	'Y'),
(3152,	'3',	455,	'Y'),
(3153,	'4',	455,	'Y'),
(3154,	'2',	456,	'Y'),
(3155,	'3',	456,	'Y'),
(3156,	'4',	456,	'Y'),
(3157,	'2',	457,	'Y'),
(3158,	'3',	457,	'Y'),
(3159,	'4',	457,	'Y'),
(3160,	'2',	458,	'Y'),
(3161,	'3',	458,	'Y'),
(3162,	'4',	458,	'Y'),
(3163,	'2',	459,	'Y'),
(3164,	'3',	459,	'Y'),
(3165,	'4',	459,	'Y'),
(3166,	'2',	460,	'Y'),
(3167,	'3',	460,	'Y'),
(3168,	'4',	460,	'Y'),
(3169,	'2',	461,	'Y'),
(3170,	'3',	461,	'Y'),
(3171,	'4',	461,	'Y'),
(3172,	'2',	462,	'Y'),
(3173,	'3',	462,	'Y'),
(3174,	'4',	462,	'Y'),
(3175,	'2',	463,	'Y'),
(3176,	'3',	463,	'Y'),
(3177,	'4',	463,	'Y'),
(3178,	'5',	464,	'Y'),
(3179,	'6',	464,	'Y'),
(3180,	'23',	464,	'Y'),
(3181,	'2',	464,	'Y'),
(3182,	'3',	464,	'Y'),
(3183,	'4',	464,	'Y'),
(3184,	'5',	465,	'Y'),
(3185,	'6',	465,	'Y'),
(3186,	'23',	465,	'Y'),
(3187,	'2',	465,	'Y'),
(3188,	'3',	465,	'Y'),
(3189,	'4',	465,	'Y'),
(3190,	'6',	466,	'Y'),
(3191,	'23',	466,	'Y'),
(3192,	'24',	466,	'Y'),
(3193,	'1',	466,	'Y'),
(3194,	'2',	466,	'Y'),
(3195,	'3',	466,	'Y'),
(3196,	'4',	466,	'Y'),
(3197,	'5',	467,	'Y'),
(3198,	'6',	467,	'Y'),
(3199,	'23',	467,	'Y'),
(3200,	'24',	467,	'Y'),
(3201,	'1',	467,	'Y'),
(3202,	'2',	467,	'Y'),
(3203,	'3',	467,	'Y'),
(3204,	'4',	467,	'Y'),
(3205,	'2',	468,	'Y'),
(3206,	'3',	468,	'Y'),
(3207,	'4',	468,	'Y'),
(3208,	'2',	469,	'Y'),
(3209,	'3',	469,	'Y'),
(3210,	'4',	469,	'Y'),
(3211,	'2',	470,	'Y'),
(3212,	'3',	470,	'Y'),
(3213,	'4',	470,	'Y'),
(3214,	'2',	471,	'Y'),
(3215,	'3',	471,	'Y'),
(3216,	'4',	471,	'Y'),
(3217,	'2',	472,	'Y'),
(3218,	'3',	472,	'Y'),
(3219,	'4',	472,	'Y'),
(3220,	'5',	473,	'Y'),
(3221,	'6',	473,	'Y'),
(3222,	'23',	473,	'Y'),
(3223,	'2',	473,	'Y'),
(3224,	'3',	473,	'Y'),
(3225,	'4',	473,	'Y'),
(3226,	'5',	474,	'Y'),
(3227,	'6',	474,	'Y'),
(3228,	'23',	474,	'Y'),
(3229,	'2',	474,	'Y'),
(3230,	'3',	474,	'Y'),
(3231,	'4',	474,	'Y'),
(3232,	'6',	475,	'Y'),
(3233,	'23',	475,	'Y'),
(3234,	'24',	475,	'Y'),
(3235,	'1',	475,	'Y'),
(3236,	'2',	475,	'Y'),
(3237,	'3',	475,	'Y'),
(3238,	'4',	475,	'Y'),
(3239,	'5',	476,	'Y'),
(3240,	'6',	476,	'Y'),
(3241,	'23',	476,	'Y'),
(3242,	'24',	476,	'Y'),
(3243,	'1',	476,	'Y'),
(3244,	'2',	476,	'Y'),
(3245,	'3',	476,	'Y'),
(3246,	'4',	476,	'Y'),
(3247,	'2',	477,	'Y'),
(3248,	'3',	477,	'Y'),
(3249,	'4',	477,	'Y'),
(3250,	'5',	478,	'Y'),
(3251,	'6',	478,	'Y'),
(3252,	'23',	478,	'Y'),
(3253,	'24',	478,	'Y'),
(3254,	'1',	478,	'Y'),
(3255,	'2',	478,	'Y'),
(3256,	'3',	478,	'Y'),
(3257,	'4',	478,	'Y'),
(3258,	'5',	479,	'Y'),
(3259,	'6',	479,	'Y'),
(3260,	'23',	479,	'Y'),
(3261,	'24',	479,	'Y'),
(3262,	'1',	479,	'Y'),
(3263,	'2',	479,	'Y'),
(3264,	'3',	479,	'Y'),
(3265,	'4',	479,	'Y'),
(3266,	'5',	480,	'Y'),
(3267,	'6',	480,	'Y'),
(3268,	'23',	480,	'Y'),
(3269,	'2',	480,	'Y'),
(3270,	'3',	480,	'Y'),
(3271,	'4',	480,	'Y'),
(3272,	'2',	481,	'Y'),
(3273,	'3',	481,	'Y'),
(3274,	'4',	481,	'Y'),
(3275,	'2',	482,	'Y'),
(3276,	'3',	482,	'Y'),
(3277,	'4',	482,	'Y'),
(3278,	'2',	483,	'Y'),
(3279,	'3',	483,	'Y'),
(3280,	'4',	483,	'Y'),
(3281,	'2',	484,	'Y'),
(3282,	'3',	484,	'Y'),
(3283,	'4',	484,	'Y'),
(3284,	'2',	485,	'Y'),
(3285,	'3',	485,	'Y'),
(3286,	'4',	485,	'Y'),
(3287,	'2',	486,	'Y'),
(3288,	'3',	486,	'Y'),
(3289,	'4',	486,	'Y'),
(3290,	'2',	487,	'Y'),
(3291,	'3',	487,	'Y'),
(3292,	'4',	487,	'Y'),
(3293,	'2',	488,	'Y'),
(3294,	'3',	488,	'Y'),
(3295,	'4',	488,	'Y'),
(3296,	'2',	489,	'Y'),
(3297,	'3',	489,	'Y'),
(3298,	'4',	489,	'Y'),
(3299,	'2',	490,	'Y'),
(3300,	'3',	490,	'Y'),
(3301,	'4',	490,	'Y'),
(3302,	'2',	491,	'Y'),
(3303,	'3',	491,	'Y'),
(3304,	'4',	491,	'Y'),
(3305,	'2',	492,	'Y'),
(3306,	'3',	492,	'Y'),
(3307,	'4',	492,	'Y'),
(3308,	'2',	493,	'Y'),
(3309,	'3',	493,	'Y'),
(3310,	'4',	493,	'Y'),
(3311,	'2',	494,	'Y'),
(3312,	'3',	494,	'Y'),
(3313,	'4',	494,	'Y'),
(3314,	'2',	495,	'Y'),
(3315,	'3',	495,	'Y'),
(3316,	'4',	495,	'Y'),
(3317,	'2',	496,	'Y'),
(3318,	'3',	496,	'Y'),
(3319,	'4',	496,	'Y'),
(3320,	'2',	497,	'Y'),
(3321,	'3',	497,	'Y'),
(3322,	'4',	497,	'Y'),
(3323,	'2',	498,	'Y'),
(3324,	'3',	498,	'Y'),
(3325,	'4',	498,	'Y'),
(3326,	'2',	499,	'Y'),
(3327,	'3',	499,	'Y'),
(3328,	'4',	499,	'Y'),
(3329,	'2',	500,	'Y'),
(3330,	'3',	500,	'Y'),
(3331,	'4',	500,	'Y'),
(3332,	'2',	501,	'Y'),
(3333,	'3',	501,	'Y'),
(3334,	'4',	501,	'Y'),
(3335,	'2',	502,	'Y'),
(3336,	'3',	502,	'Y'),
(3337,	'4',	502,	'Y'),
(3338,	'2',	503,	'Y'),
(3339,	'3',	503,	'Y'),
(3340,	'4',	503,	'Y'),
(3341,	'2',	504,	'Y'),
(3342,	'3',	504,	'Y'),
(3343,	'4',	504,	'Y'),
(3344,	'2',	505,	'Y'),
(3345,	'3',	505,	'Y'),
(3346,	'4',	505,	'Y'),
(3347,	'2',	506,	'Y'),
(3348,	'3',	506,	'Y'),
(3349,	'4',	506,	'Y'),
(3350,	'2',	507,	'Y'),
(3351,	'3',	507,	'Y'),
(3352,	'4',	507,	'Y'),
(3353,	'2',	508,	'Y'),
(3354,	'3',	508,	'Y'),
(3355,	'4',	508,	'Y'),
(3356,	'2',	509,	'Y'),
(3357,	'3',	509,	'Y'),
(3358,	'4',	509,	'Y'),
(3359,	'2',	510,	'Y'),
(3360,	'3',	510,	'Y'),
(3361,	'4',	510,	'Y'),
(3362,	'2',	511,	'Y'),
(3363,	'3',	511,	'Y'),
(3364,	'4',	511,	'Y'),
(3365,	'2',	512,	'Y'),
(3366,	'3',	512,	'Y'),
(3367,	'4',	512,	'Y'),
(3368,	'2',	513,	'Y'),
(3369,	'3',	513,	'Y'),
(3370,	'4',	513,	'Y'),
(3371,	'2',	514,	'Y'),
(3372,	'3',	514,	'Y'),
(3373,	'4',	514,	'Y'),
(3374,	'2',	515,	'Y'),
(3375,	'3',	515,	'Y'),
(3376,	'4',	515,	'Y'),
(3377,	'2',	516,	'Y'),
(3378,	'3',	516,	'Y'),
(3379,	'4',	516,	'Y'),
(3380,	'2',	517,	'Y'),
(3381,	'3',	517,	'Y'),
(3382,	'4',	517,	'Y'),
(3383,	'2',	518,	'Y'),
(3384,	'3',	518,	'Y'),
(3385,	'4',	518,	'Y'),
(3386,	'2',	519,	'Y'),
(3387,	'3',	519,	'Y'),
(3388,	'4',	519,	'Y'),
(3389,	'2',	520,	'Y'),
(3390,	'3',	520,	'Y'),
(3391,	'4',	520,	'Y'),
(3392,	'2',	521,	'Y'),
(3393,	'3',	521,	'Y'),
(3394,	'4',	521,	'Y'),
(3395,	'2',	522,	'Y'),
(3396,	'3',	522,	'Y'),
(3397,	'4',	522,	'Y'),
(3398,	'2',	523,	'Y'),
(3399,	'3',	523,	'Y'),
(3400,	'4',	523,	'Y'),
(3401,	'2',	524,	'Y'),
(3402,	'3',	524,	'Y'),
(3403,	'4',	524,	'Y'),
(3404,	'2',	525,	'Y'),
(3405,	'3',	525,	'Y'),
(3406,	'4',	525,	'Y'),
(3407,	'2',	526,	'Y'),
(3408,	'3',	526,	'Y'),
(3409,	'4',	526,	'Y'),
(3410,	'2',	527,	'Y'),
(3411,	'3',	527,	'Y'),
(3412,	'4',	527,	'Y'),
(3413,	'2',	528,	'Y'),
(3414,	'3',	528,	'Y'),
(3415,	'4',	528,	'Y'),
(3416,	'2',	529,	'Y'),
(3417,	'3',	529,	'Y'),
(3418,	'4',	529,	'Y'),
(3419,	'2',	530,	'Y'),
(3420,	'3',	530,	'Y'),
(3421,	'4',	530,	'Y'),
(3422,	'2',	531,	'Y'),
(3423,	'3',	531,	'Y'),
(3424,	'4',	531,	'Y'),
(3425,	'2',	532,	'Y'),
(3426,	'3',	532,	'Y'),
(3427,	'4',	532,	'Y'),
(3428,	'2',	533,	'Y'),
(3429,	'3',	533,	'Y'),
(3430,	'4',	533,	'Y'),
(3431,	'2',	534,	'Y'),
(3432,	'3',	534,	'Y'),
(3433,	'4',	534,	'Y'),
(3434,	'2',	535,	'Y'),
(3435,	'3',	535,	'Y'),
(3436,	'4',	535,	'Y'),
(3437,	'2',	536,	'Y'),
(3438,	'3',	536,	'Y'),
(3439,	'4',	536,	'Y'),
(3440,	'2',	537,	'Y'),
(3441,	'3',	537,	'Y'),
(3442,	'4',	537,	'Y'),
(3443,	'2',	538,	'Y'),
(3444,	'3',	538,	'Y'),
(3445,	'4',	538,	'Y'),
(3446,	'2',	539,	'Y'),
(3447,	'3',	539,	'Y'),
(3448,	'4',	539,	'Y'),
(3449,	'2',	540,	'Y'),
(3450,	'3',	540,	'Y'),
(3451,	'4',	540,	'Y'),
(3452,	'2',	541,	'Y'),
(3453,	'3',	541,	'Y'),
(3454,	'4',	541,	'Y'),
(3455,	'2',	542,	'Y'),
(3456,	'3',	542,	'Y'),
(3457,	'4',	542,	'Y'),
(3458,	'2',	543,	'Y'),
(3459,	'3',	543,	'Y'),
(3460,	'4',	543,	'Y'),
(3461,	'2',	544,	'Y'),
(3462,	'3',	544,	'Y'),
(3463,	'4',	544,	'Y'),
(3464,	'2',	545,	'Y'),
(3465,	'3',	545,	'Y'),
(3466,	'4',	545,	'Y'),
(3467,	'2',	546,	'Y'),
(3468,	'3',	546,	'Y'),
(3469,	'4',	546,	'Y'),
(3470,	'2',	547,	'Y'),
(3471,	'3',	547,	'Y'),
(3472,	'4',	547,	'Y'),
(3473,	'2',	548,	'Y'),
(3474,	'3',	548,	'Y'),
(3475,	'4',	548,	'Y'),
(3476,	'2',	549,	'Y'),
(3477,	'3',	549,	'Y'),
(3478,	'4',	549,	'Y'),
(3479,	'2',	550,	'Y'),
(3480,	'3',	550,	'Y'),
(3481,	'4',	550,	'Y'),
(3482,	'2',	551,	'Y'),
(3483,	'3',	551,	'Y'),
(3484,	'4',	551,	'Y'),
(3485,	'2',	552,	'Y'),
(3486,	'3',	552,	'Y'),
(3487,	'4',	552,	'Y'),
(3488,	'2',	553,	'Y'),
(3489,	'3',	553,	'Y'),
(3490,	'4',	553,	'Y'),
(3491,	'2',	554,	'Y'),
(3492,	'3',	554,	'Y'),
(3493,	'4',	554,	'Y'),
(3494,	'2',	555,	'Y'),
(3495,	'3',	555,	'Y'),
(3496,	'4',	555,	'Y'),
(3497,	'2',	556,	'Y'),
(3498,	'41',	556,	'Y'),
(3499,	'3',	556,	'Y'),
(3500,	'4',	556,	'Y'),
(3501,	'2',	557,	'Y'),
(3502,	'3',	557,	'Y'),
(3503,	'4',	557,	'Y'),
(3504,	'2',	558,	'Y'),
(3505,	'3',	558,	'Y'),
(3506,	'4',	558,	'Y'),
(3507,	'2',	559,	'Y'),
(3508,	'3',	559,	'Y'),
(3509,	'4',	559,	'Y'),
(3510,	'2',	560,	'Y'),
(3511,	'3',	560,	'Y'),
(3512,	'4',	560,	'Y'),
(3513,	'2',	561,	'Y'),
(3514,	'3',	561,	'Y'),
(3515,	'4',	561,	'Y'),
(3516,	'2',	562,	'Y'),
(3517,	'3',	562,	'Y'),
(3518,	'4',	562,	'Y'),
(3519,	'2',	563,	'Y'),
(3520,	'3',	563,	'Y'),
(3521,	'4',	563,	'Y'),
(3522,	'2',	564,	'Y'),
(3523,	'3',	564,	'Y'),
(3524,	'4',	564,	'Y'),
(3525,	'2',	565,	'Y'),
(3526,	'3',	565,	'Y'),
(3527,	'4',	565,	'Y'),
(3528,	'2',	566,	'Y'),
(3529,	'3',	566,	'Y'),
(3530,	'4',	566,	'Y'),
(3531,	'2',	567,	'Y'),
(3532,	'3',	567,	'Y'),
(3533,	'4',	567,	'Y'),
(3534,	'2',	568,	'Y'),
(3535,	'3',	568,	'Y'),
(3536,	'4',	568,	'Y'),
(3537,	'2',	569,	'Y'),
(3538,	'3',	569,	'Y'),
(3539,	'4',	569,	'Y'),
(3540,	'2',	570,	'Y'),
(3541,	'3',	570,	'Y'),
(3542,	'4',	570,	'Y'),
(3543,	'2',	571,	'Y'),
(3544,	'3',	571,	'Y'),
(3545,	'4',	571,	'Y'),
(3546,	'2',	572,	'Y'),
(3547,	'3',	572,	'Y'),
(3548,	'4',	572,	'Y'),
(3549,	'2',	573,	'Y'),
(3550,	'3',	573,	'Y'),
(3551,	'4',	573,	'Y'),
(3552,	'2',	574,	'Y'),
(3553,	'3',	574,	'Y'),
(3554,	'4',	574,	'Y'),
(3555,	'2',	575,	'Y'),
(3556,	'3',	575,	'Y'),
(3557,	'4',	575,	'Y'),
(3558,	'2',	576,	'Y'),
(3559,	'3',	576,	'Y'),
(3560,	'4',	576,	'Y'),
(3561,	'2',	577,	'Y'),
(3562,	'3',	577,	'Y'),
(3563,	'4',	577,	'Y'),
(3564,	'2',	578,	'Y'),
(3565,	'3',	578,	'Y'),
(3566,	'4',	578,	'Y'),
(3567,	'2',	579,	'Y'),
(3568,	'3',	579,	'Y'),
(3569,	'4',	579,	'Y'),
(3570,	'2',	580,	'Y'),
(3571,	'3',	580,	'Y'),
(3572,	'4',	580,	'Y'),
(3573,	'2',	581,	'Y'),
(3574,	'3',	581,	'Y'),
(3575,	'4',	581,	'Y'),
(3576,	'2',	582,	'Y'),
(3577,	'3',	582,	'Y'),
(3578,	'4',	582,	'Y'),
(3579,	'2',	583,	'Y'),
(3580,	'3',	583,	'Y'),
(3581,	'4',	583,	'Y'),
(3582,	'2',	584,	'Y'),
(3583,	'3',	584,	'Y'),
(3584,	'4',	584,	'Y'),
(3585,	'2',	585,	'Y'),
(3586,	'3',	585,	'Y'),
(3587,	'4',	585,	'Y'),
(3588,	'2',	586,	'Y'),
(3589,	'3',	586,	'Y'),
(3590,	'4',	586,	'Y'),
(3591,	'2',	587,	'Y'),
(3592,	'3',	587,	'Y'),
(3593,	'4',	587,	'Y'),
(3594,	'2',	588,	'Y'),
(3595,	'3',	588,	'Y'),
(3596,	'4',	588,	'Y'),
(3597,	'2',	589,	'Y'),
(3598,	'3',	589,	'Y'),
(3599,	'4',	589,	'Y'),
(3600,	'2',	590,	'Y'),
(3601,	'3',	590,	'Y'),
(3602,	'4',	590,	'Y'),
(3603,	'2',	591,	'Y'),
(3604,	'3',	591,	'Y'),
(3605,	'4',	591,	'Y'),
(3606,	'2',	592,	'Y'),
(3607,	'3',	592,	'Y'),
(3608,	'4',	592,	'Y'),
(3609,	'2',	593,	'Y'),
(3610,	'3',	593,	'Y'),
(3611,	'4',	593,	'Y'),
(3612,	'2',	594,	'Y'),
(3613,	'3',	594,	'Y'),
(3614,	'4',	594,	'Y'),
(3615,	'2',	595,	'Y'),
(3616,	'3',	595,	'Y'),
(3617,	'22',	595,	'Y'),
(3618,	'4',	595,	'Y'),
(3619,	'2',	596,	'Y'),
(3620,	'3',	596,	'Y'),
(3621,	'22',	596,	'Y'),
(3622,	'4',	596,	'Y'),
(3623,	'2',	597,	'Y'),
(3624,	'3',	597,	'Y'),
(3625,	'4',	597,	'Y'),
(3626,	'2',	598,	'Y'),
(3627,	'3',	598,	'Y'),
(3628,	'4',	598,	'Y'),
(3629,	'2',	599,	'Y'),
(3630,	'3',	599,	'Y'),
(3631,	'22',	599,	'Y'),
(3632,	'4',	599,	'Y'),
(3633,	'2',	600,	'Y'),
(3634,	'3',	600,	'Y'),
(3635,	'22',	600,	'Y'),
(3636,	'4',	600,	'Y'),
(3637,	'2',	601,	'Y'),
(3638,	'3',	601,	'Y'),
(3639,	'4',	601,	'Y'),
(3640,	'2',	602,	'Y'),
(3641,	'3',	602,	'Y'),
(3642,	'4',	602,	'Y'),
(3643,	'2',	603,	'Y'),
(3644,	'3',	603,	'Y'),
(3645,	'4',	603,	'Y'),
(3646,	'2',	604,	'Y'),
(3647,	'3',	604,	'Y'),
(3648,	'4',	604,	'Y'),
(3649,	'2',	605,	'Y'),
(3650,	'3',	605,	'Y'),
(3651,	'4',	605,	'Y'),
(3652,	'2',	606,	'Y'),
(3653,	'3',	606,	'Y'),
(3654,	'4',	606,	'Y'),
(3655,	'2',	607,	'Y'),
(3656,	'3',	607,	'Y'),
(3657,	'4',	607,	'Y'),
(3658,	'6',	608,	'Y'),
(3659,	'2',	608,	'Y'),
(3660,	'3',	608,	'Y'),
(3661,	'4',	608,	'Y'),
(3662,	'2',	609,	'Y'),
(3663,	'3',	609,	'Y'),
(3664,	'4',	609,	'Y'),
(3665,	'6',	610,	'Y'),
(3666,	'2',	610,	'Y'),
(3667,	'3',	610,	'Y'),
(3668,	'4',	610,	'Y'),
(3669,	'6',	611,	'Y'),
(3670,	'2',	611,	'Y'),
(3671,	'3',	611,	'Y'),
(3672,	'4',	611,	'Y'),
(3673,	'2',	612,	'Y'),
(3674,	'3',	612,	'Y'),
(3675,	'4',	612,	'Y'),
(3676,	'6',	613,	'Y'),
(3677,	'2',	613,	'Y'),
(3678,	'3',	613,	'Y'),
(3679,	'4',	613,	'Y'),
(3680,	'6',	614,	'Y'),
(3681,	'2',	614,	'Y'),
(3682,	'3',	614,	'Y'),
(3683,	'4',	614,	'Y'),
(3684,	'2',	615,	'Y'),
(3685,	'3',	615,	'Y'),
(3686,	'4',	615,	'Y'),
(3687,	'2',	616,	'Y'),
(3688,	'3',	616,	'Y'),
(3689,	'4',	616,	'Y'),
(3690,	'2',	617,	'Y'),
(3691,	'3',	617,	'Y'),
(3692,	'4',	617,	'Y'),
(3693,	'2',	618,	'Y'),
(3694,	'3',	618,	'Y'),
(3695,	'4',	618,	'Y'),
(3696,	'42',	619,	'Y'),
(3697,	'2',	619,	'Y'),
(3698,	'3',	619,	'Y'),
(3699,	'4',	619,	'Y'),
(3700,	'2',	620,	'Y'),
(3701,	'3',	620,	'Y'),
(3702,	'4',	620,	'Y'),
(3703,	'1',	621,	'Y'),
(3704,	'2',	621,	'Y'),
(3705,	'3',	621,	'Y'),
(3706,	'4',	621,	'Y'),
(3707,	'2',	622,	'Y'),
(3708,	'3',	622,	'Y'),
(3709,	'4',	622,	'Y'),
(3710,	'2',	623,	'Y'),
(3711,	'3',	623,	'Y'),
(3712,	'4',	623,	'Y'),
(3713,	'43',	624,	'Y'),
(3714,	'44',	624,	'Y'),
(3715,	'45',	624,	'Y'),
(3716,	'46',	624,	'Y'),
(3717,	'2',	624,	'Y'),
(3718,	'3',	624,	'Y'),
(3719,	'4',	624,	'Y'),
(3720,	'1',	625,	'Y'),
(3721,	'2',	625,	'Y'),
(3722,	'3',	625,	'Y'),
(3723,	'4',	625,	'Y'),
(3724,	'2',	626,	'Y'),
(3725,	'3',	626,	'Y'),
(3726,	'4',	626,	'Y'),
(3727,	'2',	627,	'Y'),
(3728,	'3',	627,	'Y'),
(3729,	'4',	627,	'Y'),
(3730,	'2',	628,	'Y'),
(3731,	'3',	628,	'Y'),
(3732,	'4',	628,	'Y'),
(3733,	'2',	629,	'Y'),
(3734,	'3',	629,	'Y'),
(3735,	'4',	629,	'Y'),
(3736,	'42',	630,	'Y'),
(3737,	'47',	630,	'Y'),
(3738,	'2',	630,	'Y'),
(3739,	'3',	630,	'Y'),
(3740,	'4',	630,	'Y'),
(3741,	'33',	631,	'Y'),
(3742,	'48',	631,	'Y'),
(3743,	'42',	631,	'Y'),
(3744,	'2',	631,	'Y'),
(3745,	'3',	631,	'Y'),
(3746,	'4',	631,	'Y'),
(3747,	'5',	632,	'Y'),
(3748,	'39',	632,	'Y'),
(3749,	'49',	632,	'Y'),
(3750,	'2',	632,	'Y'),
(3751,	'3',	632,	'Y'),
(3752,	'4',	632,	'Y'),
(3753,	'1',	633,	'Y'),
(3754,	'2',	633,	'Y'),
(3755,	'3',	633,	'Y'),
(3756,	'4',	633,	'Y'),
(3757,	'50',	634,	'Y'),
(3758,	'51',	634,	'Y'),
(3759,	'52',	634,	'Y'),
(3760,	'53',	634,	'Y'),
(3761,	'54',	634,	'Y'),
(3762,	'2',	635,	'Y'),
(3763,	'3',	635,	'Y'),
(3764,	'4',	635,	'Y'),
(3765,	'2',	636,	'Y'),
(3766,	'3',	636,	'Y'),
(3767,	'4',	636,	'Y'),
(3768,	'55',	637,	'Y'),
(3769,	'2',	637,	'Y'),
(3770,	'3',	637,	'Y'),
(3771,	'4',	637,	'Y'),
(3772,	'33',	638,	'Y'),
(3773,	'2',	638,	'Y'),
(3774,	'3',	638,	'Y'),
(3775,	'4',	638,	'Y'),
(3776,	'55',	639,	'Y'),
(3777,	'42',	639,	'Y'),
(3778,	'2',	639,	'Y'),
(3779,	'3',	639,	'Y'),
(3780,	'4',	639,	'Y'),
(3781,	'1',	640,	'Y'),
(3782,	'2',	640,	'Y'),
(3783,	'3',	640,	'Y'),
(3784,	'4',	640,	'Y'),
(3785,	'2',	641,	'Y'),
(3786,	'3',	641,	'Y'),
(3787,	'4',	641,	'Y'),
(3788,	'45',	642,	'Y'),
(3789,	'47',	642,	'Y'),
(3790,	'2',	642,	'Y'),
(3791,	'3',	642,	'Y'),
(3792,	'4',	642,	'Y'),
(3793,	'49',	643,	'Y'),
(3794,	'2',	643,	'Y'),
(3795,	'3',	643,	'Y'),
(3796,	'4',	643,	'Y'),
(3797,	'48',	644,	'Y'),
(3798,	'2',	644,	'Y'),
(3799,	'3',	644,	'Y'),
(3800,	'4',	644,	'Y'),
(3801,	'1',	645,	'Y'),
(3802,	'2',	645,	'Y'),
(3803,	'3',	645,	'Y'),
(3804,	'4',	645,	'Y'),
(3805,	'1',	646,	'Y'),
(3806,	'2',	646,	'Y'),
(3807,	'3',	646,	'Y'),
(3808,	'4',	646,	'Y'),
(3809,	'2',	647,	'Y'),
(3810,	'3',	647,	'Y'),
(3811,	'4',	647,	'Y'),
(3812,	'2',	648,	'Y'),
(3813,	'3',	648,	'Y'),
(3814,	'4',	648,	'Y'),
(3815,	'2',	649,	'Y'),
(3816,	'3',	649,	'Y'),
(3817,	'4',	649,	'Y'),
(3818,	'2',	650,	'Y'),
(3819,	'3',	650,	'Y'),
(3820,	'4',	650,	'Y'),
(3821,	'6',	651,	'Y'),
(3822,	'2',	651,	'Y'),
(3823,	'3',	651,	'Y'),
(3824,	'4',	651,	'Y'),
(3825,	'6',	652,	'Y'),
(3826,	'2',	652,	'Y'),
(3827,	'3',	652,	'Y'),
(3828,	'4',	652,	'Y'),
(3829,	'6',	653,	'Y'),
(3830,	'2',	653,	'Y'),
(3831,	'3',	653,	'Y'),
(3832,	'4',	653,	'Y'),
(3833,	'2',	654,	'Y'),
(3834,	'3',	654,	'Y'),
(3835,	'4',	654,	'Y'),
(3836,	'2',	655,	'Y'),
(3837,	'3',	655,	'Y'),
(3838,	'4',	655,	'Y'),
(3839,	'2',	656,	'Y'),
(3840,	'3',	656,	'Y'),
(3841,	'4',	656,	'Y'),
(3842,	'2',	657,	'Y'),
(3843,	'3',	657,	'Y'),
(3844,	'4',	657,	'Y'),
(3845,	'2',	658,	'Y'),
(3846,	'3',	658,	'Y'),
(3847,	'4',	658,	'Y'),
(3848,	'2',	659,	'Y'),
(3849,	'56',	659,	'Y'),
(3850,	'3',	659,	'Y'),
(3851,	'2',	660,	'Y'),
(3852,	'56',	660,	'Y'),
(3853,	'3',	660,	'Y'),
(3854,	'56',	661,	'Y'),
(3855,	'3',	661,	'Y'),
(3856,	'56',	662,	'Y'),
(3857,	'3',	662,	'Y'),
(3858,	'56',	663,	'Y'),
(3859,	'3',	663,	'Y'),
(3860,	'56',	664,	'Y'),
(3861,	'3',	664,	'Y'),
(3862,	'56',	665,	'Y'),
(3863,	'3',	665,	'Y'),
(3864,	'57',	666,	'Y'),
(3865,	'56',	666,	'Y'),
(3866,	'3',	666,	'Y'),
(3867,	'4',	666,	'Y'),
(3868,	'58',	667,	'Y'),
(3869,	'33',	667,	'Y'),
(3870,	'59',	667,	'Y'),
(3871,	'57',	667,	'Y'),
(3872,	'60',	667,	'Y'),
(3873,	'61',	667,	'Y'),
(3874,	'62',	667,	'Y'),
(3875,	'63',	667,	'Y'),
(3876,	'64',	667,	'Y'),
(3877,	'3',	667,	'Y'),
(3878,	'4',	667,	'Y'),
(3879,	'38',	667,	'Y'),
(3880,	'57',	668,	'Y'),
(3881,	'56',	668,	'Y'),
(3882,	'3',	668,	'Y'),
(3883,	'4',	668,	'Y'),
(3884,	'62',	669,	'Y'),
(3885,	'65',	669,	'Y'),
(3886,	'66',	669,	'Y'),
(3887,	'3',	669,	'Y'),
(3888,	'67',	669,	'Y'),
(3889,	'68',	669,	'Y'),
(3890,	'4',	669,	'Y'),
(3891,	'69',	669,	'Y'),
(3892,	'70',	669,	'Y'),
(3893,	'3',	670,	'Y'),
(3894,	'56',	671,	'Y'),
(3895,	'3',	671,	'Y'),
(3896,	'4',	671,	'Y'),
(3897,	'56',	672,	'Y'),
(3898,	'3',	672,	'Y'),
(3899,	'4',	672,	'Y'),
(3900,	'2',	673,	'Y'),
(3901,	'3',	673,	'Y'),
(3902,	'4',	673,	'Y'),
(3903,	'2',	674,	'Y'),
(3904,	'3',	674,	'Y'),
(3905,	'4',	674,	'Y'),
(3906,	'56',	675,	'Y'),
(3907,	'65',	675,	'Y'),
(3908,	'66',	675,	'Y'),
(3909,	'3',	675,	'Y'),
(3910,	'69',	675,	'Y'),
(3911,	'70',	675,	'Y'),
(3912,	'71',	676,	'Y'),
(3913,	'58',	676,	'Y'),
(3914,	'60',	676,	'Y'),
(3915,	'56',	676,	'Y'),
(3916,	'3',	676,	'Y'),
(3917,	'4',	676,	'Y'),
(3918,	'56',	677,	'Y'),
(3919,	'3',	677,	'Y'),
(3920,	'56',	678,	'Y'),
(3921,	'3',	678,	'Y'),
(3922,	'56',	679,	'Y'),
(3923,	'3',	679,	'Y'),
(3924,	'4',	679,	'Y'),
(3925,	'3',	680,	'Y'),
(3926,	'56',	681,	'Y'),
(3927,	'3',	681,	'Y'),
(3928,	'56',	682,	'Y'),
(3929,	'3',	682,	'Y'),
(3930,	'56',	683,	'Y'),
(3931,	'3',	683,	'Y'),
(3932,	'56',	684,	'Y'),
(3933,	'3',	684,	'Y'),
(3934,	'56',	685,	'Y'),
(3935,	'3',	685,	'Y'),
(3936,	'56',	686,	'Y'),
(3937,	'3',	686,	'Y'),
(3938,	'33',	687,	'Y'),
(3939,	'59',	687,	'Y'),
(3940,	'57',	687,	'Y'),
(3941,	'61',	687,	'Y'),
(3942,	'62',	687,	'Y'),
(3943,	'56',	687,	'Y'),
(3944,	'64',	687,	'Y'),
(3945,	'3',	687,	'Y'),
(3946,	'3',	688,	'Y'),
(3947,	'69',	688,	'Y'),
(3948,	'56',	689,	'Y'),
(3949,	'65',	689,	'Y'),
(3950,	'66',	689,	'Y'),
(3951,	'3',	689,	'Y'),
(3952,	'4',	689,	'Y'),
(3953,	'69',	689,	'Y'),
(3954,	'70',	689,	'Y'),
(3955,	'2',	690,	'Y'),
(3956,	'3',	690,	'Y'),
(3957,	'4',	690,	'Y'),
(3958,	'58',	691,	'Y'),
(3959,	'72',	691,	'Y'),
(3960,	'60',	691,	'Y'),
(3961,	'56',	691,	'Y'),
(3962,	'3',	691,	'Y'),
(3963,	'4',	691,	'Y'),
(3964,	'56',	692,	'Y'),
(3965,	'3',	692,	'Y'),
(3966,	'58',	693,	'Y'),
(3967,	'33',	693,	'Y'),
(3968,	'59',	693,	'Y'),
(3969,	'57',	693,	'Y'),
(3970,	'60',	693,	'Y'),
(3971,	'61',	693,	'Y'),
(3972,	'62',	693,	'Y'),
(3973,	'63',	693,	'Y'),
(3974,	'64',	693,	'Y'),
(3975,	'3',	693,	'Y'),
(3976,	'4',	693,	'Y'),
(3977,	'38',	693,	'Y'),
(3978,	'56',	694,	'Y'),
(3979,	'3',	694,	'Y'),
(3980,	'4',	694,	'Y'),
(3981,	'56',	695,	'Y'),
(3982,	'3',	695,	'Y'),
(3983,	'56',	696,	'Y'),
(3984,	'3',	696,	'Y'),
(3985,	'56',	697,	'Y'),
(3986,	'3',	697,	'Y'),
(3987,	'56',	698,	'Y'),
(3988,	'3',	698,	'Y'),
(3989,	'2',	699,	'Y'),
(3990,	'3',	699,	'Y'),
(3991,	'4',	699,	'Y'),
(3992,	'2',	700,	'Y'),
(3993,	'3',	700,	'Y'),
(3994,	'4',	700,	'Y'),
(3995,	'2',	701,	'Y'),
(3996,	'3',	701,	'Y'),
(3997,	'4',	701,	'Y'),
(3998,	'2',	702,	'Y'),
(3999,	'3',	702,	'Y'),
(4000,	'4',	702,	'Y'),
(4001,	'2',	703,	'Y'),
(4002,	'3',	703,	'Y'),
(4003,	'4',	703,	'Y'),
(4004,	'2',	704,	'Y'),
(4005,	'3',	704,	'Y'),
(4006,	'4',	704,	'Y'),
(4007,	'2',	705,	'Y'),
(4008,	'3',	705,	'Y'),
(4009,	'4',	705,	'Y'),
(4010,	'2',	706,	'Y'),
(4011,	'3',	706,	'Y'),
(4012,	'4',	706,	'Y'),
(4013,	'2',	707,	'Y'),
(4014,	'3',	707,	'Y'),
(4015,	'4',	707,	'Y'),
(4016,	'2',	708,	'Y'),
(4017,	'3',	708,	'Y'),
(4018,	'4',	708,	'Y'),
(4019,	'2',	709,	'Y'),
(4020,	'3',	709,	'Y'),
(4021,	'4',	709,	'Y'),
(4022,	'2',	710,	'Y'),
(4023,	'3',	710,	'Y'),
(4024,	'4',	710,	'Y'),
(4025,	'2',	711,	'Y'),
(4026,	'3',	711,	'Y'),
(4027,	'4',	711,	'Y'),
(4028,	'2',	712,	'Y'),
(4029,	'3',	712,	'Y'),
(4030,	'4',	712,	'Y'),
(4031,	'2',	713,	'Y'),
(4032,	'3',	713,	'Y'),
(4033,	'4',	713,	'Y'),
(4034,	'2',	714,	'Y'),
(4035,	'3',	714,	'Y'),
(4036,	'4',	714,	'Y'),
(4037,	'2',	715,	'Y'),
(4038,	'3',	715,	'Y'),
(4039,	'4',	715,	'Y'),
(4040,	'2',	716,	'Y'),
(4041,	'3',	716,	'Y'),
(4042,	'22',	716,	'Y'),
(4043,	'4',	716,	'Y'),
(4044,	'2',	717,	'Y'),
(4045,	'3',	717,	'Y'),
(4046,	'4',	717,	'Y'),
(4047,	'2',	718,	'Y'),
(4048,	'3',	718,	'Y'),
(4049,	'4',	718,	'Y'),
(4050,	'2',	719,	'Y'),
(4051,	'3',	719,	'Y'),
(4052,	'4',	719,	'Y'),
(4053,	'2',	720,	'Y'),
(4054,	'3',	720,	'Y'),
(4055,	'4',	720,	'Y'),
(4056,	'2',	721,	'Y'),
(4057,	'3',	721,	'Y'),
(4058,	'4',	721,	'Y'),
(4059,	'2',	722,	'Y'),
(4060,	'3',	722,	'Y'),
(4061,	'22',	722,	'Y'),
(4062,	'4',	722,	'Y'),
(4063,	'2',	723,	'Y'),
(4064,	'3',	723,	'Y'),
(4065,	'4',	723,	'Y'),
(4066,	'24',	724,	'Y'),
(4067,	'2',	724,	'Y'),
(4068,	'3',	724,	'Y'),
(4069,	'4',	724,	'Y'),
(4070,	'2',	725,	'Y'),
(4071,	'3',	725,	'Y'),
(4072,	'4',	725,	'Y'),
(4073,	'2',	726,	'Y'),
(4074,	'3',	726,	'Y'),
(4075,	'4',	726,	'Y'),
(4076,	'2',	727,	'Y'),
(4077,	'3',	727,	'Y'),
(4078,	'4',	727,	'Y'),
(4079,	'2',	728,	'Y'),
(4080,	'3',	728,	'Y'),
(4081,	'4',	728,	'Y'),
(4082,	'2',	729,	'Y'),
(4083,	'3',	729,	'Y'),
(4084,	'4',	729,	'Y'),
(4085,	'2',	730,	'Y'),
(4086,	'3',	730,	'Y'),
(4087,	'4',	730,	'Y'),
(4088,	'2',	731,	'Y'),
(4089,	'3',	731,	'Y'),
(4090,	'4',	731,	'Y'),
(4091,	'2',	732,	'Y'),
(4092,	'3',	732,	'Y'),
(4093,	'4',	732,	'Y'),
(4094,	'2',	733,	'Y'),
(4095,	'3',	733,	'Y'),
(4096,	'4',	733,	'Y'),
(4097,	'2',	734,	'Y'),
(4098,	'3',	734,	'Y'),
(4099,	'4',	734,	'Y'),
(4100,	'24',	735,	'Y'),
(4101,	'2',	735,	'Y'),
(4102,	'3',	735,	'Y'),
(4103,	'4',	735,	'Y'),
(4104,	'2',	736,	'Y'),
(4105,	'3',	736,	'Y'),
(4106,	'4',	736,	'Y'),
(4107,	'2',	737,	'Y'),
(4108,	'3',	737,	'Y'),
(4109,	'4',	737,	'Y'),
(4110,	'2',	738,	'Y'),
(4111,	'3',	738,	'Y'),
(4112,	'4',	738,	'Y'),
(4113,	'2',	739,	'Y'),
(4114,	'3',	739,	'Y'),
(4115,	'4',	739,	'Y'),
(4116,	'2',	740,	'Y'),
(4117,	'3',	740,	'Y'),
(4118,	'4',	740,	'Y'),
(4119,	'2',	741,	'Y'),
(4120,	'3',	741,	'Y'),
(4121,	'4',	741,	'Y'),
(4122,	'73',	742,	'Y'),
(4123,	'74',	742,	'Y'),
(4124,	'2',	742,	'Y'),
(4125,	'3',	742,	'Y'),
(4126,	'4',	742,	'Y'),
(4127,	'2',	743,	'Y'),
(4128,	'3',	743,	'Y'),
(4129,	'4',	743,	'Y'),
(4130,	'2',	744,	'Y'),
(4131,	'3',	744,	'Y'),
(4132,	'4',	744,	'Y'),
(4133,	'2',	745,	'Y'),
(4134,	'3',	745,	'Y'),
(4135,	'4',	745,	'Y'),
(4136,	'2',	746,	'Y'),
(4137,	'3',	746,	'Y'),
(4138,	'4',	746,	'Y'),
(4139,	'2',	747,	'Y'),
(4140,	'3',	747,	'Y'),
(4141,	'4',	747,	'Y'),
(4142,	'2',	748,	'Y'),
(4143,	'3',	748,	'Y'),
(4144,	'4',	748,	'Y'),
(4145,	'2',	749,	'Y'),
(4146,	'3',	749,	'Y'),
(4147,	'4',	749,	'Y'),
(4148,	'2',	750,	'Y'),
(4149,	'3',	750,	'Y'),
(4150,	'4',	750,	'Y'),
(4151,	'2',	751,	'Y'),
(4152,	'3',	751,	'Y'),
(4153,	'4',	751,	'Y'),
(4154,	'75',	752,	'Y'),
(4155,	'23',	752,	'Y'),
(4156,	'1',	752,	'Y'),
(4157,	'76',	752,	'Y'),
(4158,	'46',	752,	'Y'),
(4159,	'2',	752,	'Y'),
(4160,	'3',	752,	'Y'),
(4161,	'4',	752,	'Y'),
(4162,	'5',	753,	'Y'),
(4163,	'39',	753,	'Y'),
(4164,	'2',	753,	'Y'),
(4165,	'3',	753,	'Y'),
(4166,	'4',	753,	'Y'),
(4167,	'22',	754,	'Y'),
(4168,	'2',	755,	'Y'),
(4169,	'3',	755,	'Y'),
(4170,	'4',	755,	'Y'),
(4171,	'5',	756,	'Y'),
(4172,	'39',	756,	'Y'),
(4173,	'2',	756,	'Y'),
(4174,	'3',	756,	'Y'),
(4175,	'4',	756,	'Y'),
(4176,	'75',	757,	'Y'),
(4177,	'23',	757,	'Y'),
(4178,	'1',	757,	'Y'),
(4179,	'76',	757,	'Y'),
(4180,	'46',	757,	'Y'),
(4181,	'2',	757,	'Y'),
(4182,	'3',	757,	'Y'),
(4183,	'4',	757,	'Y'),
(4184,	'5',	758,	'Y'),
(4185,	'39',	758,	'Y'),
(4186,	'2',	758,	'Y'),
(4187,	'3',	758,	'Y'),
(4188,	'4',	758,	'Y'),
(4189,	'2',	759,	'Y'),
(4190,	'3',	759,	'Y'),
(4191,	'4',	759,	'Y'),
(4192,	'2',	760,	'Y'),
(4193,	'3',	760,	'Y'),
(4194,	'4',	760,	'Y'),
(4195,	'2',	761,	'Y'),
(4196,	'3',	761,	'Y'),
(4197,	'4',	761,	'Y'),
(4198,	'2',	762,	'Y'),
(4199,	'3',	762,	'Y'),
(4200,	'4',	762,	'Y'),
(4201,	'2',	763,	'Y'),
(4202,	'3',	763,	'Y'),
(4203,	'4',	763,	'Y'),
(4204,	'2',	764,	'Y'),
(4205,	'3',	764,	'Y'),
(4206,	'4',	764,	'Y'),
(4207,	'2',	765,	'Y'),
(4208,	'3',	765,	'Y'),
(4209,	'4',	765,	'Y'),
(4210,	'2',	766,	'Y'),
(4211,	'3',	766,	'Y'),
(4212,	'4',	766,	'Y'),
(4213,	'2',	767,	'Y'),
(4214,	'3',	767,	'Y'),
(4215,	'4',	767,	'Y'),
(4216,	'2',	768,	'Y'),
(4217,	'3',	768,	'Y'),
(4218,	'4',	768,	'Y'),
(4219,	'2',	769,	'Y'),
(4220,	'3',	769,	'Y'),
(4221,	'4',	769,	'Y'),
(4222,	'2',	770,	'Y'),
(4223,	'3',	770,	'Y'),
(4224,	'4',	770,	'Y'),
(4225,	'2',	771,	'Y'),
(4226,	'3',	771,	'Y'),
(4227,	'4',	771,	'Y'),
(4228,	'2',	772,	'Y'),
(4229,	'3',	772,	'Y'),
(4230,	'4',	772,	'Y'),
(4231,	'2',	773,	'Y'),
(4232,	'3',	773,	'Y'),
(4233,	'4',	773,	'Y'),
(4234,	'2',	774,	'Y'),
(4235,	'3',	774,	'Y'),
(4236,	'4',	774,	'Y'),
(4237,	'2',	775,	'Y'),
(4238,	'3',	775,	'Y'),
(4239,	'4',	775,	'Y'),
(4240,	'2',	776,	'Y'),
(4241,	'3',	776,	'Y'),
(4242,	'4',	776,	'Y'),
(4243,	'2',	777,	'Y'),
(4244,	'3',	777,	'Y'),
(4245,	'22',	777,	'Y'),
(4246,	'4',	777,	'Y'),
(4247,	'2',	778,	'Y'),
(4248,	'3',	778,	'Y'),
(4249,	'4',	778,	'Y'),
(4250,	'2',	779,	'Y'),
(4251,	'3',	779,	'Y'),
(4252,	'4',	779,	'Y'),
(4253,	'2',	780,	'Y'),
(4254,	'3',	780,	'Y'),
(4255,	'4',	780,	'Y'),
(4256,	'2',	781,	'Y'),
(4257,	'3',	781,	'Y'),
(4258,	'4',	781,	'Y'),
(4259,	'2',	782,	'Y'),
(4260,	'3',	782,	'Y'),
(4261,	'4',	782,	'Y'),
(4262,	'2',	783,	'Y'),
(4263,	'3',	783,	'Y'),
(4264,	'4',	783,	'Y'),
(4265,	'2',	784,	'Y'),
(4266,	'3',	784,	'Y'),
(4267,	'4',	784,	'Y'),
(4268,	'2',	785,	'Y'),
(4269,	'3',	785,	'Y'),
(4270,	'4',	785,	'Y'),
(4271,	'2',	786,	'Y'),
(4272,	'3',	786,	'Y'),
(4273,	'4',	786,	'Y'),
(4274,	'2',	787,	'Y'),
(4275,	'3',	787,	'Y'),
(4276,	'4',	787,	'Y'),
(4277,	'2',	788,	'Y'),
(4278,	'3',	788,	'Y'),
(4279,	'4',	788,	'Y'),
(4280,	'2',	789,	'Y'),
(4281,	'3',	789,	'Y'),
(4282,	'4',	789,	'Y'),
(4283,	'5',	790,	'Y'),
(4284,	'33',	790,	'Y'),
(4285,	'6',	790,	'Y'),
(4286,	'23',	790,	'Y'),
(4287,	'24',	790,	'Y'),
(4288,	'1',	790,	'Y'),
(4289,	'2',	790,	'Y'),
(4290,	'3',	790,	'Y'),
(4291,	'4',	790,	'Y'),
(4292,	'2',	791,	'Y'),
(4293,	'3',	791,	'Y'),
(4294,	'22',	791,	'Y'),
(4295,	'4',	791,	'Y'),
(4296,	'23',	792,	'Y'),
(4297,	'2',	792,	'Y'),
(4298,	'3',	792,	'Y'),
(4299,	'22',	792,	'Y'),
(4300,	'4',	792,	'Y'),
(4301,	'5',	793,	'Y'),
(4302,	'33',	793,	'Y'),
(4303,	'6',	793,	'Y'),
(4304,	'23',	793,	'Y'),
(4305,	'24',	793,	'Y'),
(4306,	'1',	793,	'Y'),
(4307,	'2',	793,	'Y'),
(4308,	'3',	793,	'Y'),
(4309,	'4',	793,	'Y'),
(4310,	'2',	794,	'Y'),
(4311,	'3',	794,	'Y'),
(4312,	'22',	794,	'Y'),
(4313,	'4',	794,	'Y'),
(4314,	'2',	795,	'Y'),
(4315,	'3',	795,	'Y'),
(4316,	'4',	795,	'Y'),
(4317,	'2',	796,	'Y'),
(4318,	'3',	796,	'Y'),
(4319,	'4',	796,	'Y'),
(4320,	'5',	797,	'Y'),
(4321,	'33',	797,	'Y'),
(4322,	'6',	797,	'Y'),
(4323,	'23',	797,	'Y'),
(4324,	'24',	797,	'Y'),
(4325,	'1',	797,	'Y'),
(4326,	'2',	797,	'Y'),
(4327,	'3',	797,	'Y'),
(4328,	'22',	797,	'Y'),
(4329,	'4',	797,	'Y'),
(4330,	'5',	798,	'Y'),
(4331,	'33',	798,	'Y'),
(4332,	'6',	798,	'Y'),
(4333,	'23',	798,	'Y'),
(4334,	'24',	798,	'Y'),
(4335,	'1',	798,	'Y'),
(4336,	'2',	798,	'Y'),
(4337,	'3',	798,	'Y'),
(4338,	'22',	798,	'Y'),
(4339,	'4',	798,	'Y'),
(4340,	'5',	799,	'Y'),
(4341,	'33',	799,	'Y'),
(4342,	'6',	799,	'Y'),
(4343,	'23',	799,	'Y'),
(4344,	'24',	799,	'Y'),
(4345,	'1',	799,	'Y'),
(4346,	'2',	799,	'Y'),
(4347,	'3',	799,	'Y'),
(4348,	'22',	799,	'Y'),
(4349,	'4',	799,	'Y'),
(4350,	'38',	799,	'Y'),
(4351,	'2',	800,	'Y'),
(4352,	'3',	800,	'Y'),
(4353,	'4',	800,	'Y'),
(4354,	'5',	801,	'Y'),
(4355,	'33',	801,	'Y'),
(4356,	'6',	801,	'Y'),
(4357,	'23',	801,	'Y'),
(4358,	'24',	801,	'Y'),
(4359,	'1',	801,	'Y'),
(4360,	'2',	801,	'Y'),
(4361,	'3',	801,	'Y'),
(4362,	'22',	801,	'Y'),
(4363,	'4',	801,	'Y'),
(4364,	'5',	802,	'Y'),
(4365,	'33',	802,	'Y'),
(4366,	'6',	802,	'Y'),
(4367,	'23',	802,	'Y'),
(4368,	'24',	802,	'Y'),
(4369,	'1',	802,	'Y'),
(4370,	'2',	802,	'Y'),
(4371,	'3',	802,	'Y'),
(4372,	'22',	802,	'Y'),
(4373,	'4',	802,	'Y'),
(4374,	'2',	803,	'Y'),
(4375,	'3',	803,	'Y'),
(4376,	'4',	803,	'Y'),
(4377,	'2',	804,	'Y'),
(4378,	'3',	804,	'Y'),
(4379,	'4',	804,	'Y'),
(4380,	'5',	805,	'Y'),
(4381,	'33',	805,	'Y'),
(4382,	'6',	805,	'Y'),
(4383,	'23',	805,	'Y'),
(4384,	'24',	805,	'Y'),
(4385,	'1',	805,	'Y'),
(4386,	'2',	805,	'Y'),
(4387,	'3',	805,	'Y'),
(4388,	'22',	805,	'Y'),
(4389,	'4',	805,	'Y'),
(4390,	'2',	806,	'Y'),
(4391,	'3',	806,	'Y'),
(4392,	'22',	806,	'Y'),
(4393,	'4',	806,	'Y'),
(4394,	'23',	807,	'Y'),
(4395,	'2',	807,	'Y'),
(4396,	'3',	807,	'Y'),
(4397,	'4',	807,	'Y'),
(4398,	'2',	808,	'Y'),
(4399,	'3',	808,	'Y'),
(4400,	'4',	808,	'Y'),
(4401,	'2',	809,	'Y'),
(4402,	'3',	809,	'Y'),
(4403,	'4',	809,	'Y'),
(4404,	'5',	810,	'Y'),
(4405,	'33',	810,	'Y'),
(4406,	'6',	810,	'Y'),
(4407,	'23',	810,	'Y'),
(4408,	'24',	810,	'Y'),
(4409,	'1',	810,	'Y'),
(4410,	'2',	810,	'Y'),
(4411,	'3',	810,	'Y'),
(4412,	'22',	810,	'Y'),
(4413,	'4',	810,	'Y'),
(4414,	'5',	811,	'Y'),
(4415,	'33',	811,	'Y'),
(4416,	'6',	811,	'Y'),
(4417,	'23',	811,	'Y'),
(4418,	'24',	811,	'Y'),
(4419,	'1',	811,	'Y'),
(4420,	'2',	811,	'Y'),
(4421,	'3',	811,	'Y'),
(4422,	'22',	811,	'Y'),
(4423,	'4',	811,	'Y'),
(4424,	'2',	812,	'Y'),
(4425,	'3',	812,	'Y'),
(4426,	'4',	812,	'Y'),
(4427,	'5',	813,	'Y'),
(4428,	'33',	813,	'Y'),
(4429,	'6',	813,	'Y'),
(4430,	'23',	813,	'Y'),
(4431,	'24',	813,	'Y'),
(4432,	'1',	813,	'Y'),
(4433,	'2',	813,	'Y'),
(4434,	'3',	813,	'Y'),
(4435,	'22',	813,	'Y'),
(4436,	'4',	813,	'Y'),
(4437,	'5',	814,	'Y'),
(4438,	'33',	814,	'Y'),
(4439,	'6',	814,	'Y'),
(4440,	'23',	814,	'Y'),
(4441,	'24',	814,	'Y'),
(4442,	'1',	814,	'Y'),
(4443,	'2',	814,	'Y'),
(4444,	'3',	814,	'Y'),
(4445,	'22',	814,	'Y'),
(4446,	'4',	814,	'Y'),
(4447,	'2',	815,	'Y'),
(4448,	'3',	815,	'Y'),
(4449,	'22',	815,	'Y'),
(4450,	'4',	815,	'Y'),
(4451,	'2',	816,	'Y'),
(4452,	'3',	816,	'Y'),
(4453,	'4',	816,	'Y'),
(4454,	'5',	817,	'Y'),
(4455,	'33',	817,	'Y'),
(4456,	'6',	817,	'Y'),
(4457,	'23',	817,	'Y'),
(4458,	'24',	817,	'Y'),
(4459,	'1',	817,	'Y'),
(4460,	'2',	817,	'Y'),
(4461,	'3',	817,	'Y'),
(4462,	'22',	817,	'Y'),
(4463,	'4',	817,	'Y'),
(4464,	'2',	818,	'Y'),
(4465,	'3',	818,	'Y'),
(4466,	'22',	818,	'Y'),
(4467,	'4',	818,	'Y'),
(4468,	'5',	819,	'Y'),
(4469,	'33',	819,	'Y'),
(4470,	'6',	819,	'Y'),
(4471,	'23',	819,	'Y'),
(4472,	'24',	819,	'Y'),
(4473,	'1',	819,	'Y'),
(4474,	'2',	819,	'Y'),
(4475,	'3',	819,	'Y'),
(4476,	'22',	819,	'Y'),
(4477,	'4',	819,	'Y'),
(4478,	'2',	820,	'Y'),
(4479,	'3',	820,	'Y'),
(4480,	'4',	820,	'Y'),
(4481,	'2',	821,	'Y'),
(4482,	'3',	821,	'Y'),
(4483,	'22',	821,	'Y'),
(4484,	'4',	821,	'Y'),
(4485,	'5',	822,	'Y'),
(4486,	'33',	822,	'Y'),
(4487,	'6',	822,	'Y'),
(4488,	'23',	822,	'Y'),
(4489,	'24',	822,	'Y'),
(4490,	'1',	822,	'Y'),
(4491,	'2',	822,	'Y'),
(4492,	'3',	822,	'Y'),
(4493,	'22',	822,	'Y'),
(4494,	'4',	822,	'Y'),
(4495,	'2',	823,	'Y'),
(4496,	'3',	823,	'Y'),
(4497,	'4',	823,	'Y'),
(4498,	'2',	824,	'Y'),
(4499,	'3',	824,	'Y'),
(4500,	'4',	824,	'Y'),
(4501,	'2',	825,	'Y'),
(4502,	'3',	825,	'Y'),
(4503,	'4',	825,	'Y'),
(4504,	'2',	826,	'Y'),
(4505,	'3',	826,	'Y'),
(4506,	'4',	826,	'Y'),
(4507,	'5',	827,	'Y'),
(4508,	'33',	827,	'Y'),
(4509,	'6',	827,	'Y'),
(4510,	'23',	827,	'Y'),
(4511,	'24',	827,	'Y'),
(4512,	'1',	827,	'Y'),
(4513,	'2',	827,	'Y'),
(4514,	'3',	827,	'Y'),
(4515,	'22',	827,	'Y'),
(4516,	'4',	827,	'Y'),
(4517,	'5',	828,	'Y'),
(4518,	'33',	828,	'Y'),
(4519,	'6',	828,	'Y'),
(4520,	'23',	828,	'Y'),
(4521,	'24',	828,	'Y'),
(4522,	'1',	828,	'Y'),
(4523,	'2',	828,	'Y'),
(4524,	'3',	828,	'Y'),
(4525,	'22',	828,	'Y'),
(4526,	'4',	828,	'Y'),
(4527,	'2',	829,	'Y'),
(4528,	'3',	829,	'Y'),
(4529,	'22',	829,	'Y'),
(4530,	'4',	829,	'Y'),
(4531,	'5',	830,	'Y'),
(4532,	'33',	830,	'Y'),
(4533,	'6',	830,	'Y'),
(4534,	'23',	830,	'Y'),
(4535,	'24',	830,	'Y'),
(4536,	'1',	830,	'Y'),
(4537,	'2',	830,	'Y'),
(4538,	'3',	830,	'Y'),
(4539,	'22',	830,	'Y'),
(4540,	'4',	830,	'Y'),
(4541,	'5',	831,	'Y'),
(4542,	'2',	831,	'Y'),
(4543,	'3',	831,	'Y'),
(4544,	'22',	831,	'Y'),
(4545,	'4',	831,	'Y'),
(4546,	'2',	832,	'Y'),
(4547,	'3',	832,	'Y'),
(4548,	'4',	832,	'Y'),
(4549,	'5',	833,	'Y'),
(4550,	'33',	833,	'Y'),
(4551,	'6',	833,	'Y'),
(4552,	'23',	833,	'Y'),
(4553,	'24',	833,	'Y'),
(4554,	'1',	833,	'Y'),
(4555,	'2',	833,	'Y'),
(4556,	'3',	833,	'Y'),
(4557,	'22',	833,	'Y'),
(4558,	'4',	833,	'Y'),
(4559,	'5',	834,	'Y'),
(4560,	'33',	834,	'Y'),
(4561,	'6',	834,	'Y'),
(4562,	'23',	834,	'Y'),
(4563,	'24',	834,	'Y'),
(4564,	'1',	834,	'Y'),
(4565,	'2',	834,	'Y'),
(4566,	'3',	834,	'Y'),
(4567,	'22',	834,	'Y'),
(4568,	'4',	834,	'Y'),
(4569,	'2',	835,	'Y'),
(4570,	'3',	835,	'Y'),
(4571,	'4',	835,	'Y'),
(4572,	'5',	836,	'Y'),
(4573,	'77',	836,	'Y'),
(4574,	'2',	836,	'Y'),
(4575,	'3',	836,	'Y'),
(4576,	'22',	836,	'Y'),
(4577,	'4',	836,	'Y'),
(4578,	'2',	837,	'Y'),
(4579,	'3',	837,	'Y'),
(4580,	'4',	837,	'Y'),
(4581,	'2',	838,	'Y'),
(4582,	'3',	838,	'Y'),
(4583,	'22',	838,	'Y'),
(4584,	'4',	838,	'Y'),
(4585,	'5',	839,	'Y'),
(4586,	'33',	839,	'Y'),
(4587,	'6',	839,	'Y'),
(4588,	'23',	839,	'Y'),
(4589,	'24',	839,	'Y'),
(4590,	'1',	839,	'Y'),
(4591,	'2',	839,	'Y'),
(4592,	'3',	839,	'Y'),
(4593,	'22',	839,	'Y'),
(4594,	'4',	839,	'Y'),
(4595,	'2',	840,	'Y'),
(4596,	'3',	840,	'Y'),
(4597,	'4',	840,	'Y'),
(4598,	'2',	841,	'Y'),
(4599,	'3',	841,	'Y'),
(4600,	'22',	841,	'Y'),
(4601,	'4',	841,	'Y'),
(4602,	'5',	842,	'Y'),
(4603,	'33',	842,	'Y'),
(4604,	'6',	842,	'Y'),
(4605,	'23',	842,	'Y'),
(4606,	'24',	842,	'Y'),
(4607,	'1',	842,	'Y'),
(4608,	'2',	842,	'Y'),
(4609,	'3',	842,	'Y'),
(4610,	'22',	842,	'Y'),
(4611,	'4',	842,	'Y'),
(4612,	'2',	843,	'Y'),
(4613,	'3',	843,	'Y'),
(4614,	'22',	843,	'Y'),
(4615,	'4',	843,	'Y'),
(4616,	'2',	844,	'Y'),
(4617,	'3',	844,	'Y'),
(4618,	'22',	844,	'Y'),
(4619,	'4',	844,	'Y'),
(4620,	'2',	845,	'Y'),
(4621,	'3',	845,	'Y'),
(4622,	'4',	845,	'Y'),
(4623,	'2',	846,	'Y'),
(4624,	'3',	846,	'Y'),
(4625,	'4',	846,	'Y'),
(4626,	'5',	847,	'Y'),
(4627,	'33',	847,	'Y'),
(4628,	'6',	847,	'Y'),
(4629,	'23',	847,	'Y'),
(4630,	'24',	847,	'Y'),
(4631,	'1',	847,	'Y'),
(4632,	'2',	847,	'Y'),
(4633,	'3',	847,	'Y'),
(4634,	'4',	847,	'Y'),
(4635,	'5',	848,	'Y'),
(4636,	'33',	848,	'Y'),
(4637,	'6',	848,	'Y'),
(4638,	'23',	848,	'Y'),
(4639,	'24',	848,	'Y'),
(4640,	'1',	848,	'Y'),
(4641,	'2',	848,	'Y'),
(4642,	'3',	848,	'Y'),
(4643,	'22',	848,	'Y'),
(4644,	'4',	848,	'Y'),
(4645,	'38',	848,	'Y'),
(4646,	'2',	849,	'Y'),
(4647,	'3',	849,	'Y'),
(4648,	'4',	849,	'Y'),
(4649,	'2',	850,	'Y'),
(4650,	'3',	850,	'Y'),
(4651,	'4',	850,	'Y'),
(4652,	'5',	851,	'Y'),
(4653,	'33',	851,	'Y'),
(4654,	'6',	851,	'Y'),
(4655,	'23',	851,	'Y'),
(4656,	'24',	851,	'Y'),
(4657,	'1',	851,	'Y'),
(4658,	'2',	851,	'Y'),
(4659,	'3',	851,	'Y'),
(4660,	'4',	851,	'Y'),
(4661,	'2',	852,	'Y'),
(4662,	'3',	852,	'Y'),
(4663,	'4',	852,	'Y'),
(4664,	'5',	853,	'Y'),
(4665,	'33',	853,	'Y'),
(4666,	'6',	853,	'Y'),
(4667,	'23',	853,	'Y'),
(4668,	'24',	853,	'Y'),
(4669,	'1',	853,	'Y'),
(4670,	'2',	853,	'Y'),
(4671,	'3',	853,	'Y'),
(4672,	'22',	853,	'Y'),
(4673,	'4',	853,	'Y'),
(4674,	'2',	854,	'Y'),
(4675,	'3',	854,	'Y'),
(4676,	'4',	854,	'Y'),
(4677,	'5',	855,	'Y'),
(4678,	'33',	855,	'Y'),
(4679,	'6',	855,	'Y'),
(4680,	'23',	855,	'Y'),
(4681,	'24',	855,	'Y'),
(4682,	'1',	855,	'Y'),
(4683,	'2',	855,	'Y'),
(4684,	'3',	855,	'Y'),
(4685,	'22',	855,	'Y'),
(4686,	'4',	855,	'Y'),
(4687,	'5',	856,	'Y'),
(4688,	'33',	856,	'Y'),
(4689,	'6',	856,	'Y'),
(4690,	'23',	856,	'Y'),
(4691,	'24',	856,	'Y'),
(4692,	'1',	856,	'Y'),
(4693,	'2',	856,	'Y'),
(4694,	'3',	856,	'Y'),
(4695,	'22',	856,	'Y'),
(4696,	'4',	856,	'Y'),
(4697,	'5',	857,	'Y'),
(4698,	'33',	857,	'Y'),
(4699,	'6',	857,	'Y'),
(4700,	'23',	857,	'Y'),
(4701,	'24',	857,	'Y'),
(4702,	'1',	857,	'Y'),
(4703,	'2',	857,	'Y'),
(4704,	'3',	857,	'Y'),
(4705,	'22',	857,	'Y'),
(4706,	'4',	857,	'Y'),
(4707,	'2',	858,	'Y'),
(4708,	'3',	858,	'Y'),
(4709,	'4',	858,	'Y'),
(4710,	'2',	859,	'Y'),
(4711,	'3',	859,	'Y'),
(4712,	'4',	859,	'Y'),
(4713,	'2',	860,	'Y'),
(4714,	'3',	860,	'Y'),
(4715,	'22',	860,	'Y'),
(4716,	'4',	860,	'Y'),
(4717,	'5',	861,	'Y'),
(4718,	'33',	861,	'Y'),
(4719,	'6',	861,	'Y'),
(4720,	'23',	861,	'Y'),
(4721,	'24',	861,	'Y'),
(4722,	'1',	861,	'Y'),
(4723,	'2',	861,	'Y'),
(4724,	'3',	861,	'Y'),
(4725,	'22',	861,	'Y'),
(4726,	'4',	861,	'Y'),
(4727,	'2',	862,	'Y'),
(4728,	'3',	862,	'Y'),
(4729,	'4',	862,	'Y'),
(4730,	'2',	863,	'Y'),
(4731,	'3',	863,	'Y'),
(4732,	'4',	863,	'Y'),
(4733,	'5',	864,	'Y'),
(4734,	'33',	864,	'Y'),
(4735,	'6',	864,	'Y'),
(4736,	'23',	864,	'Y'),
(4737,	'24',	864,	'Y'),
(4738,	'1',	864,	'Y'),
(4739,	'2',	864,	'Y'),
(4740,	'3',	864,	'Y'),
(4741,	'22',	864,	'Y'),
(4742,	'4',	864,	'Y'),
(4743,	'2',	865,	'Y'),
(4744,	'3',	865,	'Y'),
(4745,	'22',	865,	'Y'),
(4746,	'4',	865,	'Y'),
(4747,	'5',	866,	'Y'),
(4748,	'33',	866,	'Y'),
(4749,	'6',	866,	'Y'),
(4750,	'23',	866,	'Y'),
(4751,	'24',	866,	'Y'),
(4752,	'1',	866,	'Y'),
(4753,	'2',	866,	'Y'),
(4754,	'3',	866,	'Y'),
(4755,	'22',	866,	'Y'),
(4756,	'4',	866,	'Y'),
(4757,	'5',	867,	'Y'),
(4758,	'33',	867,	'Y'),
(4759,	'6',	867,	'Y'),
(4760,	'23',	867,	'Y'),
(4761,	'24',	867,	'Y'),
(4762,	'1',	867,	'Y'),
(4763,	'2',	867,	'Y'),
(4764,	'3',	867,	'Y'),
(4765,	'22',	867,	'Y'),
(4766,	'4',	867,	'Y'),
(4767,	'2',	868,	'Y'),
(4768,	'3',	868,	'Y'),
(4769,	'4',	868,	'Y'),
(4770,	'5',	869,	'Y'),
(4771,	'33',	869,	'Y'),
(4772,	'6',	869,	'Y'),
(4773,	'23',	869,	'Y'),
(4774,	'24',	869,	'Y'),
(4775,	'1',	869,	'Y'),
(4776,	'2',	869,	'Y'),
(4777,	'3',	869,	'Y'),
(4778,	'22',	869,	'Y'),
(4779,	'4',	869,	'Y'),
(4780,	'2',	870,	'Y'),
(4781,	'3',	870,	'Y'),
(4782,	'4',	870,	'Y'),
(4783,	'5',	871,	'Y'),
(4784,	'33',	871,	'Y'),
(4785,	'6',	871,	'Y'),
(4786,	'23',	871,	'Y'),
(4787,	'24',	871,	'Y'),
(4788,	'1',	871,	'Y'),
(4789,	'2',	871,	'Y'),
(4790,	'3',	871,	'Y'),
(4791,	'22',	871,	'Y'),
(4792,	'4',	871,	'Y'),
(4793,	'5',	872,	'Y'),
(4794,	'33',	872,	'Y'),
(4795,	'6',	872,	'Y'),
(4796,	'23',	872,	'Y'),
(4797,	'24',	872,	'Y'),
(4798,	'1',	872,	'Y'),
(4799,	'2',	872,	'Y'),
(4800,	'3',	872,	'Y'),
(4801,	'4',	872,	'Y'),
(4802,	'2',	873,	'Y'),
(4803,	'3',	873,	'Y'),
(4804,	'4',	873,	'Y'),
(4805,	'5',	874,	'Y'),
(4806,	'33',	874,	'Y'),
(4807,	'6',	874,	'Y'),
(4808,	'23',	874,	'Y'),
(4809,	'24',	874,	'Y'),
(4810,	'1',	874,	'Y'),
(4811,	'2',	874,	'Y'),
(4812,	'3',	874,	'Y'),
(4813,	'22',	874,	'Y'),
(4814,	'4',	874,	'Y'),
(4815,	'5',	875,	'Y'),
(4816,	'33',	875,	'Y'),
(4817,	'6',	875,	'Y'),
(4818,	'23',	875,	'Y'),
(4819,	'24',	875,	'Y'),
(4820,	'1',	875,	'Y'),
(4821,	'2',	875,	'Y'),
(4822,	'3',	875,	'Y'),
(4823,	'22',	875,	'Y'),
(4824,	'4',	875,	'Y'),
(4825,	'5',	876,	'Y'),
(4826,	'6',	876,	'Y'),
(4827,	'2',	876,	'Y'),
(4828,	'3',	876,	'Y'),
(4829,	'22',	876,	'Y'),
(4830,	'4',	876,	'Y'),
(4831,	'5',	877,	'Y'),
(4832,	'6',	877,	'Y'),
(4833,	'2',	877,	'Y'),
(4834,	'3',	877,	'Y'),
(4835,	'22',	877,	'Y'),
(4836,	'4',	877,	'Y'),
(4837,	'5',	878,	'Y'),
(4838,	'2',	878,	'Y'),
(4839,	'3',	878,	'Y'),
(4840,	'22',	878,	'Y'),
(4841,	'4',	878,	'Y'),
(4842,	'5',	879,	'Y'),
(4843,	'33',	879,	'Y'),
(4844,	'6',	879,	'Y'),
(4845,	'23',	879,	'Y'),
(4846,	'24',	879,	'Y'),
(4847,	'1',	879,	'Y'),
(4848,	'2',	879,	'Y'),
(4849,	'3',	879,	'Y'),
(4850,	'22',	879,	'Y'),
(4851,	'4',	879,	'Y'),
(4852,	'5',	880,	'Y'),
(4853,	'33',	880,	'Y'),
(4854,	'6',	880,	'Y'),
(4855,	'23',	880,	'Y'),
(4856,	'24',	880,	'Y'),
(4857,	'1',	880,	'Y'),
(4858,	'2',	880,	'Y'),
(4859,	'3',	880,	'Y'),
(4860,	'22',	880,	'Y'),
(4861,	'4',	880,	'Y'),
(4862,	'5',	881,	'Y'),
(4863,	'33',	881,	'Y'),
(4864,	'6',	881,	'Y'),
(4865,	'23',	881,	'Y'),
(4866,	'24',	881,	'Y'),
(4867,	'1',	881,	'Y'),
(4868,	'2',	881,	'Y'),
(4869,	'3',	881,	'Y'),
(4870,	'22',	881,	'Y'),
(4871,	'4',	881,	'Y'),
(4872,	'38',	881,	'Y'),
(4873,	'5',	882,	'Y'),
(4874,	'33',	882,	'Y'),
(4875,	'6',	882,	'Y'),
(4876,	'23',	882,	'Y'),
(4877,	'24',	882,	'Y'),
(4878,	'1',	882,	'Y'),
(4879,	'2',	882,	'Y'),
(4880,	'3',	882,	'Y'),
(4881,	'22',	882,	'Y'),
(4882,	'4',	882,	'Y'),
(4883,	'38',	882,	'Y'),
(4884,	'2',	883,	'Y'),
(4885,	'3',	883,	'Y'),
(4886,	'4',	883,	'Y'),
(4887,	'38',	883,	'Y'),
(4888,	'2',	884,	'Y'),
(4889,	'3',	884,	'Y'),
(4890,	'22',	884,	'Y'),
(4891,	'4',	884,	'Y'),
(4892,	'2',	885,	'Y'),
(4893,	'3',	885,	'Y'),
(4894,	'4',	885,	'Y'),
(4895,	'2',	886,	'Y'),
(4896,	'3',	886,	'Y'),
(4897,	'22',	886,	'Y'),
(4898,	'4',	886,	'Y'),
(4899,	'2',	887,	'Y'),
(4900,	'3',	887,	'Y'),
(4901,	'4',	887,	'Y'),
(4902,	'6',	888,	'Y'),
(4903,	'2',	888,	'Y'),
(4904,	'3',	888,	'Y'),
(4905,	'4',	888,	'Y'),
(4906,	'2',	889,	'Y'),
(4907,	'3',	889,	'Y'),
(4908,	'4',	889,	'Y'),
(4909,	'2',	890,	'Y'),
(4910,	'3',	890,	'Y'),
(4911,	'4',	890,	'Y'),
(4912,	'2',	891,	'Y'),
(4913,	'3',	891,	'Y'),
(4914,	'4',	891,	'Y'),
(4915,	'2',	892,	'Y'),
(4916,	'3',	892,	'Y'),
(4917,	'4',	892,	'Y'),
(4918,	'2',	893,	'Y'),
(4919,	'3',	893,	'Y'),
(4920,	'4',	893,	'Y'),
(4921,	'2',	894,	'Y'),
(4922,	'3',	894,	'Y'),
(4923,	'4',	894,	'Y'),
(4924,	'6',	895,	'Y'),
(4925,	'2',	895,	'Y'),
(4926,	'3',	895,	'Y'),
(4927,	'4',	895,	'Y'),
(4928,	'2',	896,	'Y'),
(4929,	'3',	896,	'Y'),
(4930,	'4',	896,	'Y'),
(4931,	'2',	897,	'Y'),
(4932,	'3',	897,	'Y'),
(4933,	'4',	897,	'Y'),
(4934,	'2',	898,	'Y'),
(4935,	'3',	898,	'Y'),
(4936,	'4',	898,	'Y'),
(4937,	'2',	899,	'Y'),
(4938,	'3',	899,	'Y'),
(4939,	'4',	899,	'Y'),
(4940,	'2',	900,	'Y'),
(4941,	'3',	900,	'Y'),
(4942,	'4',	900,	'Y'),
(4943,	'2',	901,	'Y'),
(4944,	'3',	901,	'Y'),
(4945,	'4',	901,	'Y'),
(4946,	'2',	902,	'Y'),
(4947,	'3',	902,	'Y'),
(4948,	'4',	902,	'Y'),
(4949,	'2',	903,	'Y'),
(4950,	'3',	903,	'Y'),
(4951,	'4',	903,	'Y'),
(4952,	'2',	904,	'Y'),
(4953,	'3',	904,	'Y'),
(4954,	'4',	904,	'Y'),
(4955,	'2',	905,	'Y'),
(4956,	'3',	905,	'Y'),
(4957,	'4',	905,	'Y'),
(4958,	'2',	906,	'Y'),
(4959,	'3',	906,	'Y'),
(4960,	'4',	906,	'Y'),
(4961,	'2',	907,	'Y'),
(4962,	'3',	907,	'Y'),
(4963,	'4',	907,	'Y'),
(4964,	'2',	908,	'Y'),
(4965,	'3',	908,	'Y'),
(4966,	'4',	908,	'Y'),
(4967,	'2',	909,	'Y'),
(4968,	'3',	909,	'Y'),
(4969,	'4',	909,	'Y'),
(4970,	'2',	910,	'Y'),
(4971,	'3',	910,	'Y'),
(4972,	'4',	910,	'Y'),
(4973,	'2',	911,	'Y'),
(4974,	'3',	911,	'Y'),
(4975,	'4',	911,	'Y'),
(4976,	'2',	912,	'Y'),
(4977,	'3',	912,	'Y'),
(4978,	'4',	912,	'Y'),
(4979,	'2',	913,	'Y'),
(4980,	'3',	913,	'Y'),
(4981,	'4',	913,	'Y'),
(4982,	'2',	914,	'Y'),
(4983,	'3',	914,	'Y'),
(4984,	'4',	914,	'Y'),
(4985,	'2',	915,	'Y'),
(4986,	'3',	915,	'Y'),
(4987,	'4',	915,	'Y'),
(4988,	'2',	916,	'Y'),
(4989,	'3',	916,	'Y'),
(4990,	'4',	916,	'Y'),
(4991,	'2',	917,	'Y'),
(4992,	'3',	917,	'Y'),
(4993,	'4',	917,	'Y'),
(4994,	'2',	918,	'Y'),
(4995,	'3',	918,	'Y'),
(4996,	'4',	918,	'Y'),
(4997,	'6',	919,	'Y'),
(4998,	'23',	919,	'Y'),
(4999,	'24',	919,	'Y'),
(5000,	'78',	919,	'Y'),
(5001,	'1',	919,	'Y'),
(5002,	'2',	919,	'Y'),
(5003,	'3',	919,	'Y'),
(5004,	'22',	919,	'Y'),
(5005,	'4',	919,	'Y'),
(5006,	'6',	920,	'Y'),
(5007,	'23',	920,	'Y'),
(5008,	'2',	920,	'Y'),
(5009,	'3',	920,	'Y'),
(5010,	'4',	920,	'Y'),
(5011,	'2',	921,	'Y'),
(5012,	'3',	921,	'Y'),
(5013,	'4',	921,	'Y'),
(5014,	'2',	922,	'Y'),
(5015,	'3',	922,	'Y'),
(5016,	'4',	922,	'Y'),
(5017,	'6',	923,	'Y'),
(5018,	'23',	923,	'Y'),
(5019,	'2',	923,	'Y'),
(5020,	'3',	923,	'Y'),
(5021,	'4',	923,	'Y'),
(5022,	'6',	924,	'Y'),
(5023,	'23',	924,	'Y'),
(5024,	'2',	924,	'Y'),
(5025,	'3',	924,	'Y'),
(5026,	'4',	924,	'Y'),
(5027,	'2',	925,	'Y'),
(5028,	'3',	925,	'Y'),
(5029,	'4',	925,	'Y'),
(5030,	'2',	926,	'Y'),
(5031,	'3',	926,	'Y'),
(5032,	'4',	926,	'Y'),
(5033,	'2',	927,	'Y'),
(5034,	'3',	927,	'Y'),
(5035,	'4',	927,	'Y'),
(5036,	'2',	928,	'Y'),
(5037,	'3',	928,	'Y'),
(5038,	'4',	928,	'Y'),
(5039,	'2',	929,	'Y'),
(5040,	'3',	929,	'Y'),
(5041,	'4',	929,	'Y'),
(5042,	'55',	930,	'Y'),
(5043,	'5',	930,	'Y'),
(5044,	'33',	930,	'Y'),
(5045,	'2',	930,	'Y'),
(5046,	'3',	930,	'Y'),
(5047,	'22',	930,	'Y'),
(5048,	'4',	930,	'Y'),
(5049,	'2',	931,	'Y'),
(5050,	'3',	931,	'Y'),
(5051,	'4',	931,	'Y'),
(5052,	'75',	932,	'Y'),
(5053,	'55',	932,	'Y'),
(5054,	'5',	932,	'Y'),
(5055,	'23',	932,	'Y'),
(5056,	'24',	932,	'Y'),
(5057,	'1',	932,	'Y'),
(5058,	'48',	932,	'Y'),
(5059,	'42',	932,	'Y'),
(5060,	'47',	932,	'Y'),
(5061,	'79',	932,	'Y'),
(5062,	'80',	932,	'Y'),
(5063,	'2',	932,	'Y'),
(5064,	'3',	932,	'Y'),
(5065,	'22',	932,	'Y'),
(5066,	'4',	932,	'Y'),
(5067,	'55',	933,	'Y'),
(5068,	'5',	933,	'Y'),
(5069,	'33',	933,	'Y'),
(5070,	'2',	933,	'Y'),
(5071,	'3',	933,	'Y'),
(5072,	'22',	933,	'Y'),
(5073,	'4',	933,	'Y'),
(5074,	'55',	934,	'Y'),
(5075,	'2',	934,	'Y'),
(5076,	'3',	934,	'Y'),
(5077,	'4',	934,	'Y'),
(5078,	'55',	935,	'Y'),
(5079,	'2',	935,	'Y'),
(5080,	'3',	935,	'Y'),
(5081,	'4',	935,	'Y'),
(5082,	'55',	936,	'Y'),
(5083,	'5',	936,	'Y'),
(5084,	'6',	936,	'Y'),
(5085,	'23',	936,	'Y'),
(5086,	'24',	936,	'Y'),
(5087,	'1',	936,	'Y'),
(5088,	'2',	936,	'Y'),
(5089,	'3',	936,	'Y'),
(5090,	'22',	936,	'Y'),
(5091,	'4',	936,	'Y'),
(5092,	'2',	937,	'Y'),
(5093,	'3',	937,	'Y'),
(5094,	'4',	937,	'Y'),
(5095,	'55',	938,	'Y'),
(5096,	'2',	938,	'Y'),
(5097,	'3',	938,	'Y'),
(5098,	'4',	938,	'Y'),
(5099,	'2',	939,	'Y'),
(5100,	'3',	939,	'Y'),
(5101,	'4',	939,	'Y'),
(5102,	'2',	940,	'Y'),
(5103,	'3',	940,	'Y'),
(5104,	'4',	940,	'Y'),
(5105,	'2',	941,	'Y'),
(5106,	'3',	941,	'Y'),
(5107,	'4',	941,	'Y'),
(5108,	'2',	942,	'Y'),
(5109,	'3',	942,	'Y'),
(5110,	'4',	942,	'Y'),
(5111,	'2',	943,	'Y'),
(5112,	'3',	943,	'Y'),
(5113,	'4',	943,	'Y'),
(5114,	'2',	944,	'Y'),
(5115,	'3',	944,	'Y'),
(5116,	'4',	944,	'Y'),
(5117,	'2',	945,	'Y'),
(5118,	'3',	945,	'Y'),
(5119,	'4',	945,	'Y'),
(5120,	'2',	946,	'Y'),
(5121,	'3',	946,	'Y'),
(5122,	'4',	946,	'Y'),
(5123,	'1',	947,	'Y'),
(5124,	'2',	947,	'Y'),
(5125,	'3',	947,	'Y'),
(5126,	'22',	947,	'Y'),
(5127,	'4',	947,	'Y'),
(5128,	'2',	948,	'Y'),
(5129,	'3',	948,	'Y'),
(5130,	'4',	948,	'Y'),
(5131,	'2',	949,	'Y'),
(5132,	'3',	949,	'Y'),
(5133,	'4',	949,	'Y'),
(5134,	'2',	950,	'Y'),
(5135,	'3',	950,	'Y'),
(5136,	'4',	950,	'Y'),
(5137,	'2',	951,	'Y'),
(5138,	'3',	951,	'Y'),
(5139,	'4',	951,	'Y'),
(5140,	'2',	952,	'Y'),
(5141,	'3',	952,	'Y'),
(5142,	'4',	952,	'Y'),
(5143,	'2',	953,	'Y'),
(5144,	'3',	953,	'Y'),
(5145,	'4',	953,	'Y'),
(5146,	'2',	954,	'Y'),
(5147,	'3',	954,	'Y'),
(5148,	'4',	954,	'Y'),
(5149,	'2',	955,	'Y'),
(5150,	'3',	955,	'Y'),
(5151,	'4',	955,	'Y'),
(5152,	'2',	957,	'Y'),
(5153,	'3',	957,	'Y'),
(5154,	'4',	957,	'Y'),
(5155,	'24',	958,	'Y'),
(5156,	'2',	958,	'Y'),
(5157,	'3',	958,	'Y'),
(5158,	'4',	958,	'Y'),
(5159,	'2',	959,	'Y'),
(5160,	'3',	959,	'Y'),
(5161,	'4',	959,	'Y'),
(5162,	'2',	960,	'Y'),
(5163,	'3',	960,	'Y'),
(5164,	'4',	960,	'Y'),
(5165,	'2',	961,	'Y'),
(5166,	'3',	961,	'Y'),
(5167,	'4',	961,	'Y'),
(5168,	'2',	962,	'Y'),
(5169,	'3',	962,	'Y'),
(5170,	'4',	962,	'Y'),
(5171,	'2',	963,	'Y'),
(5172,	'3',	963,	'Y'),
(5173,	'4',	963,	'Y'),
(5174,	'2',	964,	'Y'),
(5175,	'3',	964,	'Y'),
(5176,	'4',	964,	'Y'),
(5177,	'2',	965,	'Y'),
(5178,	'3',	965,	'Y'),
(5179,	'4',	965,	'Y'),
(5180,	'2',	966,	'Y'),
(5181,	'3',	966,	'Y'),
(5182,	'4',	966,	'Y'),
(5183,	'2',	967,	'Y'),
(5184,	'3',	967,	'Y'),
(5185,	'4',	967,	'Y'),
(5186,	'2',	968,	'Y'),
(5187,	'3',	968,	'Y'),
(5188,	'4',	968,	'Y'),
(5189,	'2',	969,	'Y'),
(5190,	'3',	969,	'Y'),
(5191,	'22',	969,	'Y'),
(5192,	'4',	969,	'Y'),
(5193,	'2',	970,	'Y'),
(5194,	'3',	970,	'Y'),
(5195,	'4',	970,	'Y'),
(5196,	'2',	971,	'Y'),
(5197,	'3',	971,	'Y'),
(5198,	'4',	971,	'Y'),
(5199,	'2',	972,	'Y'),
(5200,	'3',	972,	'Y'),
(5201,	'22',	972,	'Y'),
(5202,	'4',	972,	'Y'),
(5203,	'2',	973,	'Y'),
(5204,	'3',	973,	'Y'),
(5205,	'4',	973,	'Y'),
(5206,	'2',	974,	'Y'),
(5207,	'3',	974,	'Y'),
(5208,	'4',	974,	'Y'),
(5209,	'2',	975,	'Y'),
(5210,	'3',	975,	'Y'),
(5211,	'4',	975,	'Y'),
(5212,	'2',	976,	'Y'),
(5213,	'3',	976,	'Y'),
(5214,	'4',	976,	'Y'),
(5215,	'2',	977,	'Y'),
(5216,	'3',	977,	'Y'),
(5217,	'4',	977,	'Y'),
(5218,	'2',	978,	'Y'),
(5219,	'3',	978,	'Y'),
(5220,	'4',	978,	'Y'),
(5221,	'2',	979,	'Y'),
(5222,	'3',	979,	'Y'),
(5223,	'4',	979,	'Y'),
(5224,	'2',	980,	'Y'),
(5225,	'3',	980,	'Y'),
(5226,	'4',	980,	'Y'),
(5227,	'2',	981,	'Y'),
(5228,	'3',	981,	'Y'),
(5229,	'4',	981,	'Y'),
(5230,	'2',	982,	'Y'),
(5231,	'3',	982,	'Y'),
(5232,	'4',	982,	'Y'),
(5233,	'2',	983,	'Y'),
(5234,	'3',	983,	'Y'),
(5235,	'4',	983,	'Y'),
(5236,	'6',	984,	'Y'),
(5237,	'23',	984,	'Y'),
(5238,	'24',	984,	'Y'),
(5239,	'1',	984,	'Y'),
(5240,	'2',	984,	'Y'),
(5241,	'3',	984,	'Y'),
(5242,	'4',	984,	'Y'),
(5243,	'2',	985,	'Y'),
(5244,	'3',	985,	'Y'),
(5245,	'4',	985,	'Y'),
(5246,	'2',	986,	'Y'),
(5247,	'3',	986,	'Y'),
(5248,	'4',	986,	'Y'),
(5249,	'2',	987,	'Y'),
(5250,	'3',	987,	'Y'),
(5251,	'4',	987,	'Y'),
(5252,	'2',	988,	'Y'),
(5253,	'3',	988,	'Y'),
(5254,	'4',	988,	'Y'),
(5255,	'2',	989,	'Y'),
(5256,	'3',	989,	'Y'),
(5257,	'4',	989,	'Y'),
(5258,	'2',	990,	'Y'),
(5259,	'3',	990,	'Y'),
(5260,	'4',	990,	'Y'),
(5261,	'2',	991,	'Y'),
(5262,	'3',	991,	'Y'),
(5263,	'4',	991,	'Y'),
(5264,	'2',	992,	'Y'),
(5265,	'3',	992,	'Y'),
(5266,	'22',	992,	'Y'),
(5267,	'4',	992,	'Y'),
(5268,	'2',	993,	'Y'),
(5269,	'3',	993,	'Y'),
(5270,	'4',	993,	'Y'),
(5271,	'2',	994,	'Y'),
(5272,	'3',	994,	'Y'),
(5273,	'4',	994,	'Y'),
(5274,	'2',	995,	'Y'),
(5275,	'3',	995,	'Y'),
(5276,	'4',	995,	'Y'),
(5277,	'2',	996,	'Y'),
(5278,	'3',	996,	'Y'),
(5279,	'4',	996,	'Y'),
(5280,	'2',	997,	'Y'),
(5281,	'3',	997,	'Y'),
(5282,	'4',	997,	'Y'),
(5283,	'2',	998,	'Y'),
(5284,	'3',	998,	'Y'),
(5285,	'4',	998,	'Y'),
(5286,	'2',	999,	'Y'),
(5287,	'3',	999,	'Y'),
(5288,	'4',	999,	'Y'),
(5289,	'2',	1000,	'Y'),
(5290,	'3',	1000,	'Y'),
(5291,	'4',	1000,	'Y'),
(5292,	'2',	1001,	'Y'),
(5293,	'3',	1001,	'Y'),
(5294,	'4',	1001,	'Y'),
(5295,	'2',	1002,	'Y'),
(5296,	'3',	1002,	'Y'),
(5297,	'4',	1002,	'Y'),
(5298,	'2',	1003,	'Y'),
(5299,	'3',	1003,	'Y'),
(5300,	'4',	1003,	'Y'),
(5301,	'2',	1004,	'Y'),
(5302,	'3',	1004,	'Y'),
(5303,	'4',	1004,	'Y'),
(5304,	'2',	1005,	'Y'),
(5305,	'3',	1005,	'Y'),
(5306,	'4',	1005,	'Y'),
(5307,	'2',	1006,	'Y'),
(5308,	'3',	1006,	'Y'),
(5309,	'4',	1006,	'Y'),
(5310,	'2',	1007,	'Y'),
(5311,	'3',	1007,	'Y'),
(5312,	'4',	1007,	'Y'),
(5313,	'2',	1008,	'Y'),
(5314,	'3',	1008,	'Y'),
(5315,	'4',	1008,	'Y'),
(5316,	'2',	1009,	'Y'),
(5317,	'3',	1009,	'Y'),
(5318,	'4',	1009,	'Y'),
(5319,	'2',	1010,	'Y'),
(5320,	'3',	1010,	'Y'),
(5321,	'4',	1010,	'Y'),
(5322,	'2',	1011,	'Y'),
(5323,	'3',	1011,	'Y'),
(5324,	'4',	1011,	'Y'),
(5325,	'2',	1012,	'Y'),
(5326,	'3',	1012,	'Y'),
(5327,	'4',	1012,	'Y'),
(5328,	'2',	1013,	'Y'),
(5329,	'3',	1013,	'Y'),
(5330,	'4',	1013,	'Y'),
(5331,	'2',	1014,	'Y'),
(5332,	'3',	1014,	'Y'),
(5333,	'4',	1014,	'Y'),
(5334,	'2',	1015,	'Y'),
(5335,	'3',	1015,	'Y'),
(5336,	'4',	1015,	'Y'),
(5337,	'2',	1016,	'Y'),
(5338,	'3',	1016,	'Y'),
(5339,	'4',	1016,	'Y'),
(5340,	'2',	1017,	'Y'),
(5341,	'3',	1017,	'Y'),
(5342,	'4',	1017,	'Y'),
(5343,	'2',	1018,	'Y'),
(5344,	'3',	1018,	'Y'),
(5345,	'4',	1018,	'Y'),
(5346,	'2',	1019,	'Y'),
(5347,	'3',	1019,	'Y'),
(5348,	'4',	1019,	'Y'),
(5349,	'2',	1020,	'Y'),
(5350,	'3',	1020,	'Y'),
(5351,	'4',	1020,	'Y'),
(5352,	'2',	1021,	'Y'),
(5353,	'3',	1021,	'Y'),
(5354,	'4',	1021,	'Y'),
(5355,	'2',	1022,	'Y'),
(5356,	'3',	1022,	'Y'),
(5357,	'4',	1022,	'Y'),
(5358,	'2',	1023,	'Y'),
(5359,	'3',	1023,	'Y'),
(5360,	'4',	1023,	'Y'),
(5361,	'2',	1024,	'Y'),
(5362,	'3',	1024,	'Y'),
(5363,	'4',	1024,	'Y'),
(5364,	'2',	1025,	'Y'),
(5365,	'3',	1025,	'Y'),
(5366,	'4',	1025,	'Y'),
(5367,	'2',	1026,	'Y'),
(5368,	'3',	1026,	'Y'),
(5369,	'4',	1026,	'Y'),
(5370,	'2',	1027,	'Y'),
(5371,	'3',	1027,	'Y'),
(5372,	'4',	1027,	'Y'),
(5373,	'2',	1028,	'Y'),
(5374,	'3',	1028,	'Y'),
(5375,	'4',	1028,	'Y'),
(5376,	'2',	1029,	'Y'),
(5377,	'3',	1029,	'Y'),
(5378,	'4',	1029,	'Y'),
(5379,	'2',	1030,	'Y'),
(5380,	'3',	1030,	'Y'),
(5381,	'4',	1030,	'Y'),
(5382,	'2',	1031,	'Y'),
(5383,	'3',	1031,	'Y'),
(5384,	'4',	1031,	'Y'),
(5385,	'2',	1032,	'Y'),
(5386,	'3',	1032,	'Y'),
(5387,	'4',	1032,	'Y'),
(5388,	'2',	1033,	'Y'),
(5389,	'3',	1033,	'Y'),
(5390,	'4',	1033,	'Y'),
(5391,	'2',	1034,	'Y'),
(5392,	'3',	1034,	'Y'),
(5393,	'4',	1034,	'Y'),
(5394,	'2',	1035,	'Y'),
(5395,	'3',	1035,	'Y'),
(5396,	'4',	1035,	'Y'),
(5397,	'2',	1036,	'Y'),
(5398,	'3',	1036,	'Y'),
(5399,	'4',	1036,	'Y'),
(5400,	'2',	1037,	'Y'),
(5401,	'3',	1037,	'Y'),
(5402,	'4',	1037,	'Y'),
(5403,	'2',	1038,	'Y'),
(5404,	'3',	1038,	'Y'),
(5405,	'4',	1038,	'Y'),
(5406,	'2',	1039,	'Y'),
(5407,	'3',	1039,	'Y'),
(5408,	'4',	1039,	'Y'),
(5409,	'2',	1040,	'Y'),
(5410,	'3',	1040,	'Y'),
(5411,	'4',	1040,	'Y'),
(5412,	'2',	1041,	'Y'),
(5413,	'3',	1041,	'Y'),
(5414,	'4',	1041,	'Y'),
(5415,	'2',	1042,	'Y'),
(5416,	'3',	1042,	'Y'),
(5417,	'4',	1042,	'Y'),
(5418,	'2',	1043,	'Y'),
(5419,	'3',	1043,	'Y'),
(5420,	'4',	1043,	'Y'),
(5421,	'2',	1044,	'Y'),
(5422,	'3',	1044,	'Y'),
(5423,	'4',	1044,	'Y'),
(5424,	'2',	1045,	'Y'),
(5425,	'3',	1045,	'Y'),
(5426,	'4',	1045,	'Y'),
(5427,	'2',	1046,	'Y'),
(5428,	'3',	1046,	'Y'),
(5429,	'4',	1046,	'Y'),
(5430,	'2',	1047,	'Y'),
(5431,	'3',	1047,	'Y'),
(5432,	'4',	1047,	'Y'),
(5433,	'2',	1048,	'Y'),
(5434,	'3',	1048,	'Y'),
(5435,	'4',	1048,	'Y'),
(5436,	'2',	1049,	'Y'),
(5437,	'3',	1049,	'Y'),
(5438,	'4',	1049,	'Y'),
(5439,	'2',	1050,	'Y'),
(5440,	'3',	1050,	'Y'),
(5441,	'4',	1050,	'Y'),
(5442,	'2',	1051,	'Y'),
(5443,	'3',	1051,	'Y'),
(5444,	'4',	1051,	'Y'),
(5445,	'2',	1052,	'Y'),
(5446,	'3',	1052,	'Y'),
(5447,	'4',	1052,	'Y'),
(5448,	'2',	1053,	'Y'),
(5449,	'3',	1053,	'Y'),
(5450,	'4',	1053,	'Y'),
(5451,	'2',	1054,	'Y'),
(5452,	'3',	1054,	'Y'),
(5453,	'4',	1054,	'Y'),
(5454,	'2',	1055,	'Y'),
(5455,	'3',	1055,	'Y'),
(5456,	'4',	1055,	'Y'),
(5457,	'2',	1056,	'Y'),
(5458,	'3',	1056,	'Y'),
(5459,	'4',	1056,	'Y'),
(5460,	'2',	1057,	'Y'),
(5461,	'3',	1057,	'Y'),
(5462,	'4',	1057,	'Y'),
(5463,	'2',	1058,	'Y'),
(5464,	'3',	1058,	'Y'),
(5465,	'4',	1058,	'Y'),
(5466,	'2',	1059,	'Y'),
(5467,	'3',	1059,	'Y'),
(5468,	'4',	1059,	'Y'),
(5469,	'2',	1060,	'Y'),
(5470,	'3',	1060,	'Y'),
(5471,	'4',	1060,	'Y'),
(5472,	'2',	1061,	'Y'),
(5473,	'3',	1061,	'Y'),
(5474,	'4',	1061,	'Y'),
(5475,	'2',	1062,	'Y'),
(5476,	'3',	1062,	'Y'),
(5477,	'4',	1062,	'Y'),
(5478,	'2',	1063,	'Y'),
(5479,	'3',	1063,	'Y'),
(5480,	'4',	1063,	'Y'),
(5481,	'2',	1064,	'Y'),
(5482,	'3',	1064,	'Y'),
(5483,	'4',	1064,	'Y'),
(5484,	'2',	1065,	'Y'),
(5485,	'3',	1065,	'Y'),
(5486,	'4',	1065,	'Y'),
(5487,	'2',	1066,	'Y'),
(5488,	'3',	1066,	'Y'),
(5489,	'4',	1066,	'Y'),
(5490,	'2',	1067,	'Y'),
(5491,	'3',	1067,	'Y'),
(5492,	'4',	1067,	'Y'),
(5493,	'2',	1068,	'Y'),
(5494,	'3',	1068,	'Y'),
(5495,	'4',	1068,	'Y'),
(5496,	'2',	1069,	'Y'),
(5497,	'3',	1069,	'Y'),
(5498,	'4',	1069,	'Y'),
(5499,	'2',	1070,	'Y'),
(5500,	'3',	1070,	'Y'),
(5501,	'4',	1070,	'Y'),
(5502,	'2',	1071,	'Y'),
(5503,	'3',	1071,	'Y'),
(5504,	'22',	1071,	'Y'),
(5505,	'4',	1071,	'Y'),
(5506,	'2',	1072,	'Y'),
(5507,	'3',	1072,	'Y'),
(5508,	'4',	1072,	'Y'),
(5509,	'6',	1073,	'Y'),
(5510,	'2',	1073,	'Y'),
(5511,	'3',	1073,	'Y'),
(5512,	'4',	1073,	'Y'),
(5513,	'2',	1074,	'Y'),
(5514,	'3',	1074,	'Y'),
(5515,	'4',	1074,	'Y'),
(5516,	'6',	1075,	'Y'),
(5517,	'2',	1075,	'Y'),
(5518,	'3',	1075,	'Y'),
(5519,	'22',	1075,	'Y'),
(5520,	'4',	1075,	'Y'),
(5521,	'2',	1076,	'Y'),
(5522,	'3',	1076,	'Y'),
(5523,	'4',	1076,	'Y'),
(5524,	'2',	1077,	'Y'),
(5525,	'3',	1077,	'Y'),
(5526,	'4',	1077,	'Y'),
(5527,	'6',	1078,	'Y'),
(5528,	'2',	1078,	'Y'),
(5529,	'3',	1078,	'Y'),
(5530,	'22',	1078,	'Y'),
(5531,	'4',	1078,	'Y'),
(5532,	'2',	1079,	'Y'),
(5533,	'3',	1079,	'Y'),
(5534,	'4',	1079,	'Y'),
(5535,	'2',	1080,	'Y'),
(5536,	'3',	1080,	'Y'),
(5537,	'4',	1080,	'Y'),
(5538,	'2',	1081,	'Y'),
(5539,	'3',	1081,	'Y'),
(5540,	'4',	1081,	'Y'),
(5541,	'2',	1082,	'Y'),
(5542,	'3',	1082,	'Y'),
(5543,	'4',	1082,	'Y'),
(5544,	'2',	1083,	'Y'),
(5545,	'3',	1083,	'Y'),
(5546,	'4',	1083,	'Y'),
(5547,	'2',	1084,	'Y'),
(5548,	'3',	1084,	'Y'),
(5549,	'4',	1084,	'Y'),
(5550,	'2',	1085,	'Y'),
(5551,	'3',	1085,	'Y'),
(5552,	'4',	1085,	'Y'),
(5553,	'2',	1086,	'Y'),
(5554,	'3',	1086,	'Y'),
(5555,	'4',	1086,	'Y'),
(5556,	'6',	1087,	'Y'),
(5557,	'2',	1087,	'Y'),
(5558,	'3',	1087,	'Y'),
(5559,	'4',	1087,	'Y'),
(5560,	'2',	1088,	'Y'),
(5561,	'3',	1088,	'Y'),
(5562,	'4',	1088,	'Y'),
(5563,	'2',	1089,	'Y'),
(5564,	'3',	1089,	'Y'),
(5565,	'4',	1089,	'Y'),
(5566,	'6',	1090,	'Y'),
(5567,	'2',	1090,	'Y'),
(5568,	'3',	1090,	'Y'),
(5569,	'4',	1090,	'Y'),
(5570,	'6',	1091,	'Y'),
(5571,	'2',	1091,	'Y'),
(5572,	'3',	1091,	'Y'),
(5573,	'4',	1091,	'Y'),
(5574,	'2',	1092,	'Y'),
(5575,	'3',	1092,	'Y'),
(5576,	'4',	1092,	'Y'),
(5577,	'2',	1093,	'Y'),
(5578,	'3',	1093,	'Y'),
(5579,	'4',	1093,	'Y'),
(5580,	'2',	1094,	'Y'),
(5581,	'3',	1094,	'Y'),
(5582,	'4',	1094,	'Y'),
(5583,	'2',	1095,	'Y'),
(5584,	'3',	1095,	'Y'),
(5585,	'4',	1095,	'Y'),
(5586,	'6',	1096,	'Y'),
(5587,	'2',	1096,	'Y'),
(5588,	'3',	1096,	'Y'),
(5589,	'4',	1096,	'Y'),
(5590,	'6',	1097,	'Y'),
(5591,	'2',	1097,	'Y'),
(5592,	'3',	1097,	'Y'),
(5593,	'4',	1097,	'Y'),
(5594,	'2',	1098,	'Y'),
(5595,	'3',	1098,	'Y'),
(5596,	'4',	1098,	'Y'),
(5597,	'2',	1099,	'Y'),
(5598,	'3',	1099,	'Y'),
(5599,	'26',	1099,	'Y'),
(5600,	'27',	1099,	'Y'),
(5601,	'28',	1099,	'Y'),
(5602,	'4',	1099,	'Y'),
(5603,	'69',	1099,	'Y'),
(5604,	'2',	1100,	'Y'),
(5605,	'3',	1100,	'Y'),
(5606,	'4',	1100,	'Y'),
(5607,	'6',	1101,	'Y'),
(5608,	'2',	1101,	'Y'),
(5609,	'3',	1101,	'Y'),
(5610,	'4',	1101,	'Y'),
(5611,	'2',	1102,	'Y'),
(5612,	'3',	1102,	'Y'),
(5613,	'4',	1102,	'Y'),
(5614,	'2',	1103,	'Y'),
(5615,	'3',	1103,	'Y'),
(5616,	'4',	1103,	'Y'),
(5617,	'2',	1104,	'Y'),
(5618,	'3',	1104,	'Y'),
(5619,	'22',	1104,	'Y'),
(5620,	'4',	1104,	'Y'),
(5621,	'6',	1105,	'Y'),
(5622,	'2',	1105,	'Y'),
(5623,	'3',	1105,	'Y'),
(5624,	'22',	1105,	'Y'),
(5625,	'4',	1105,	'Y'),
(5626,	'2',	1106,	'Y'),
(5627,	'3',	1106,	'Y'),
(5628,	'4',	1106,	'Y'),
(5629,	'2',	1107,	'Y'),
(5630,	'3',	1107,	'Y'),
(5631,	'4',	1107,	'Y'),
(5632,	'6',	1108,	'Y'),
(5633,	'2',	1108,	'Y'),
(5634,	'3',	1108,	'Y'),
(5635,	'22',	1108,	'Y'),
(5636,	'4',	1108,	'Y'),
(5637,	'81',	1108,	'Y'),
(5638,	'2',	1109,	'Y'),
(5639,	'3',	1109,	'Y'),
(5640,	'4',	1109,	'Y'),
(5641,	'2',	1110,	'Y'),
(5642,	'3',	1110,	'Y'),
(5643,	'4',	1110,	'Y'),
(5644,	'2',	1111,	'Y'),
(5645,	'3',	1111,	'Y'),
(5646,	'4',	1111,	'Y'),
(5647,	'2',	1112,	'Y'),
(5648,	'3',	1112,	'Y'),
(5649,	'4',	1112,	'Y'),
(5650,	'2',	1113,	'Y'),
(5651,	'3',	1113,	'Y'),
(5652,	'4',	1113,	'Y'),
(5653,	'2',	1114,	'Y'),
(5654,	'3',	1114,	'Y'),
(5655,	'4',	1114,	'Y'),
(5656,	'2',	1115,	'Y'),
(5657,	'3',	1115,	'Y'),
(5658,	'4',	1115,	'Y'),
(5659,	'6',	1116,	'Y'),
(5660,	'2',	1116,	'Y'),
(5661,	'3',	1116,	'Y'),
(5662,	'4',	1116,	'Y'),
(5663,	'2',	1117,	'Y'),
(5664,	'3',	1117,	'Y'),
(5665,	'4',	1117,	'Y'),
(5666,	'2',	1118,	'Y'),
(5667,	'3',	1118,	'Y'),
(5668,	'4',	1118,	'Y'),
(5669,	'2',	1119,	'Y'),
(5670,	'3',	1119,	'Y'),
(5671,	'4',	1119,	'Y'),
(5672,	'2',	1120,	'Y'),
(5673,	'3',	1120,	'Y'),
(5674,	'4',	1120,	'Y'),
(5675,	'2',	1121,	'Y'),
(5676,	'3',	1121,	'Y'),
(5677,	'4',	1121,	'Y'),
(5678,	'2',	1122,	'Y'),
(5679,	'3',	1122,	'Y'),
(5680,	'4',	1122,	'Y'),
(5681,	'2',	1123,	'Y'),
(5682,	'3',	1123,	'Y'),
(5683,	'4',	1123,	'Y'),
(5684,	'2',	1124,	'Y'),
(5685,	'3',	1124,	'Y'),
(5686,	'4',	1124,	'Y'),
(5687,	'2',	1125,	'Y'),
(5688,	'3',	1125,	'Y'),
(5689,	'4',	1125,	'Y'),
(5690,	'2',	1126,	'Y'),
(5691,	'3',	1126,	'Y'),
(5692,	'4',	1126,	'Y'),
(5693,	'2',	1127,	'Y'),
(5694,	'3',	1127,	'Y'),
(5695,	'4',	1127,	'Y'),
(5696,	'2',	1128,	'Y'),
(5697,	'3',	1128,	'Y'),
(5698,	'4',	1128,	'Y'),
(5699,	'2',	1129,	'Y'),
(5700,	'3',	1129,	'Y'),
(5701,	'4',	1129,	'Y'),
(5702,	'2',	1130,	'Y'),
(5703,	'3',	1130,	'Y'),
(5704,	'4',	1130,	'Y'),
(5705,	'6',	1131,	'Y'),
(5706,	'2',	1131,	'Y'),
(5707,	'3',	1131,	'Y'),
(5708,	'4',	1131,	'Y'),
(5709,	'2',	1132,	'Y'),
(5710,	'3',	1132,	'Y'),
(5711,	'4',	1132,	'Y'),
(5712,	'2',	1133,	'Y'),
(5713,	'3',	1133,	'Y'),
(5714,	'4',	1133,	'Y'),
(5715,	'2',	1134,	'Y'),
(5716,	'3',	1134,	'Y'),
(5717,	'4',	1134,	'Y'),
(5718,	'2',	1135,	'Y'),
(5719,	'3',	1135,	'Y'),
(5720,	'4',	1135,	'Y'),
(5721,	'2',	1136,	'Y'),
(5722,	'3',	1136,	'Y'),
(5723,	'4',	1136,	'Y'),
(5724,	'2',	1137,	'Y'),
(5725,	'3',	1137,	'Y'),
(5726,	'4',	1137,	'Y'),
(5727,	'2',	1138,	'Y'),
(5728,	'3',	1138,	'Y'),
(5729,	'4',	1138,	'Y'),
(5730,	'2',	1139,	'Y'),
(5731,	'3',	1139,	'Y'),
(5732,	'4',	1139,	'Y'),
(5733,	'2',	1140,	'Y'),
(5734,	'3',	1140,	'Y'),
(5735,	'4',	1140,	'Y'),
(5736,	'2',	1141,	'Y'),
(5737,	'3',	1141,	'Y'),
(5738,	'4',	1141,	'Y'),
(5739,	'2',	1142,	'Y'),
(5740,	'3',	1142,	'Y'),
(5741,	'4',	1142,	'Y'),
(5742,	'2',	1143,	'Y'),
(5743,	'3',	1143,	'Y'),
(5744,	'4',	1143,	'Y'),
(5745,	'2',	1144,	'Y'),
(5746,	'3',	1144,	'Y'),
(5747,	'4',	1144,	'Y'),
(5748,	'2',	1145,	'Y'),
(5749,	'3',	1145,	'Y'),
(5750,	'4',	1145,	'Y'),
(5751,	'2',	1146,	'Y'),
(5752,	'3',	1146,	'Y'),
(5753,	'4',	1146,	'Y'),
(5754,	'2',	1147,	'Y'),
(5755,	'3',	1147,	'Y'),
(5756,	'4',	1147,	'Y'),
(5757,	'2',	1148,	'Y'),
(5758,	'3',	1148,	'Y'),
(5759,	'4',	1148,	'Y'),
(5760,	'2',	1149,	'Y'),
(5761,	'3',	1149,	'Y'),
(5762,	'4',	1149,	'Y'),
(5763,	'2',	1150,	'Y'),
(5764,	'3',	1150,	'Y'),
(5765,	'4',	1150,	'Y'),
(5766,	'2',	1151,	'Y'),
(5767,	'3',	1151,	'Y'),
(5768,	'4',	1151,	'Y'),
(5769,	'2',	1152,	'Y'),
(5770,	'3',	1152,	'Y'),
(5771,	'4',	1152,	'Y'),
(5772,	'2',	1153,	'Y'),
(5773,	'3',	1153,	'Y'),
(5774,	'4',	1153,	'Y'),
(5775,	'2',	1154,	'Y'),
(5776,	'3',	1154,	'Y'),
(5777,	'4',	1154,	'Y'),
(5778,	'2',	1155,	'Y'),
(5779,	'3',	1155,	'Y'),
(5780,	'4',	1155,	'Y'),
(5781,	'2',	1156,	'Y'),
(5782,	'3',	1156,	'Y'),
(5783,	'4',	1156,	'Y'),
(5784,	'2',	1157,	'Y'),
(5785,	'3',	1157,	'Y'),
(5786,	'4',	1157,	'Y'),
(5787,	'2',	1158,	'Y'),
(5788,	'3',	1158,	'Y'),
(5789,	'4',	1158,	'Y'),
(5790,	'2',	1159,	'Y'),
(5791,	'3',	1159,	'Y'),
(5792,	'4',	1159,	'Y'),
(5793,	'2',	1160,	'Y'),
(5794,	'3',	1160,	'Y'),
(5795,	'4',	1160,	'Y'),
(5796,	'2',	1161,	'Y'),
(5797,	'3',	1161,	'Y'),
(5798,	'4',	1161,	'Y'),
(5799,	'2',	1162,	'Y'),
(5800,	'3',	1162,	'Y'),
(5801,	'4',	1162,	'Y'),
(5802,	'2',	1163,	'Y'),
(5803,	'3',	1163,	'Y'),
(5804,	'4',	1163,	'Y'),
(5805,	'2',	1164,	'Y'),
(5806,	'3',	1164,	'Y'),
(5807,	'4',	1164,	'Y'),
(5808,	'2',	1165,	'Y'),
(5809,	'3',	1165,	'Y'),
(5810,	'4',	1165,	'Y'),
(5811,	'2',	1166,	'Y'),
(5812,	'3',	1166,	'Y'),
(5813,	'4',	1166,	'Y'),
(5814,	'2',	1167,	'Y'),
(5815,	'3',	1167,	'Y'),
(5816,	'4',	1167,	'Y'),
(5817,	'2',	1168,	'Y'),
(5818,	'3',	1168,	'Y'),
(5819,	'4',	1168,	'Y'),
(5820,	'6',	1169,	'Y'),
(5821,	'2',	1169,	'Y'),
(5822,	'3',	1169,	'Y'),
(5823,	'4',	1169,	'Y'),
(5824,	'2',	1170,	'Y'),
(5825,	'3',	1170,	'Y'),
(5826,	'4',	1170,	'Y'),
(5827,	'2',	1171,	'Y'),
(5828,	'3',	1171,	'Y'),
(5829,	'4',	1171,	'Y'),
(5830,	'2',	1172,	'Y'),
(5831,	'3',	1172,	'Y'),
(5832,	'4',	1172,	'Y'),
(5833,	'2',	1173,	'Y'),
(5834,	'3',	1173,	'Y'),
(5835,	'4',	1173,	'Y'),
(5836,	'2',	1174,	'Y'),
(5837,	'3',	1174,	'Y'),
(5838,	'4',	1174,	'Y'),
(5839,	'2',	1175,	'Y'),
(5840,	'3',	1175,	'Y'),
(5841,	'4',	1175,	'Y'),
(5842,	'2',	1176,	'Y'),
(5843,	'3',	1176,	'Y'),
(5844,	'4',	1176,	'Y'),
(5845,	'2',	1177,	'Y'),
(5846,	'3',	1177,	'Y'),
(5847,	'4',	1177,	'Y'),
(5848,	'2',	1178,	'Y'),
(5849,	'3',	1178,	'Y'),
(5850,	'4',	1178,	'Y'),
(5851,	'2',	1179,	'Y'),
(5852,	'3',	1179,	'Y'),
(5853,	'4',	1179,	'Y'),
(5854,	'2',	1180,	'Y'),
(5855,	'3',	1180,	'Y'),
(5856,	'4',	1180,	'Y'),
(5857,	'2',	1181,	'Y'),
(5858,	'3',	1181,	'Y'),
(5859,	'4',	1181,	'Y'),
(5860,	'2',	1182,	'Y'),
(5861,	'3',	1182,	'Y'),
(5862,	'4',	1182,	'Y'),
(5863,	'2',	1183,	'Y'),
(5864,	'3',	1183,	'Y'),
(5865,	'4',	1183,	'Y'),
(5866,	'2',	1184,	'Y'),
(5867,	'3',	1184,	'Y'),
(5868,	'4',	1184,	'Y'),
(5869,	'2',	1185,	'Y'),
(5870,	'3',	1185,	'Y'),
(5871,	'4',	1185,	'Y'),
(5872,	'2',	1186,	'Y'),
(5873,	'3',	1186,	'Y'),
(5874,	'4',	1186,	'Y'),
(5875,	'2',	1187,	'Y'),
(5876,	'3',	1187,	'Y'),
(5877,	'4',	1187,	'Y'),
(5878,	'2',	1188,	'Y'),
(5879,	'3',	1188,	'Y'),
(5880,	'4',	1188,	'Y'),
(5881,	'2',	1189,	'Y'),
(5882,	'3',	1189,	'Y'),
(5883,	'4',	1189,	'Y'),
(5884,	'2',	1190,	'Y'),
(5885,	'3',	1190,	'Y'),
(5886,	'4',	1190,	'Y'),
(5887,	'2',	1191,	'Y'),
(5888,	'3',	1191,	'Y'),
(5889,	'4',	1191,	'Y'),
(5890,	'2',	1192,	'Y'),
(5891,	'3',	1192,	'Y'),
(5892,	'4',	1192,	'Y'),
(5893,	'2',	1193,	'Y'),
(5894,	'3',	1193,	'Y'),
(5895,	'4',	1193,	'Y'),
(5896,	'2',	1194,	'Y'),
(5897,	'3',	1194,	'Y'),
(5898,	'4',	1194,	'Y'),
(5899,	'2',	1195,	'Y'),
(5900,	'3',	1195,	'Y'),
(5901,	'4',	1195,	'Y'),
(5902,	'2',	1196,	'Y'),
(5903,	'3',	1196,	'Y'),
(5904,	'4',	1196,	'Y'),
(5905,	'2',	1197,	'Y'),
(5906,	'3',	1197,	'Y'),
(5907,	'4',	1197,	'Y'),
(5908,	'6',	1198,	'Y'),
(5909,	'2',	1198,	'Y'),
(5910,	'3',	1198,	'Y'),
(5911,	'4',	1198,	'Y'),
(5912,	'2',	1199,	'Y'),
(5913,	'3',	1199,	'Y'),
(5914,	'4',	1199,	'Y'),
(5915,	'2',	1200,	'Y'),
(5916,	'3',	1200,	'Y'),
(5917,	'4',	1200,	'Y'),
(5918,	'2',	1201,	'Y'),
(5919,	'3',	1201,	'Y'),
(5920,	'4',	1201,	'Y'),
(5921,	'2',	1202,	'Y'),
(5922,	'3',	1202,	'Y'),
(5923,	'4',	1202,	'Y'),
(5924,	'2',	1203,	'Y'),
(5925,	'3',	1203,	'Y'),
(5926,	'4',	1203,	'Y'),
(5927,	'2',	1204,	'Y'),
(5928,	'3',	1204,	'Y'),
(5929,	'4',	1204,	'Y'),
(5930,	'2',	1205,	'Y'),
(5931,	'3',	1205,	'Y'),
(5932,	'4',	1205,	'Y'),
(5933,	'2',	1206,	'Y'),
(5934,	'3',	1206,	'Y'),
(5935,	'4',	1206,	'Y'),
(5936,	'2',	1207,	'Y'),
(5937,	'3',	1207,	'Y'),
(5938,	'4',	1207,	'Y'),
(5939,	'2',	1208,	'Y'),
(5940,	'3',	1208,	'Y'),
(5941,	'4',	1208,	'Y'),
(5942,	'38',	1208,	'Y'),
(5943,	'2',	1209,	'Y'),
(5944,	'3',	1209,	'Y'),
(5945,	'4',	1209,	'Y'),
(5946,	'2',	1210,	'Y'),
(5947,	'3',	1210,	'Y'),
(5948,	'4',	1210,	'Y'),
(5949,	'2',	1211,	'Y'),
(5950,	'3',	1211,	'Y'),
(5951,	'4',	1211,	'Y'),
(5952,	'2',	1212,	'Y'),
(5953,	'3',	1212,	'Y'),
(5954,	'4',	1212,	'Y'),
(5955,	'2',	1213,	'Y'),
(5956,	'3',	1213,	'Y'),
(5957,	'4',	1213,	'Y'),
(5958,	'2',	1214,	'Y'),
(5959,	'3',	1214,	'Y'),
(5960,	'4',	1214,	'Y'),
(5961,	'2',	1215,	'Y'),
(5962,	'3',	1215,	'Y'),
(5963,	'4',	1215,	'Y'),
(5964,	'2',	1216,	'Y'),
(5965,	'3',	1216,	'Y'),
(5966,	'4',	1216,	'Y'),
(5967,	'2',	1217,	'Y'),
(5968,	'3',	1217,	'Y'),
(5969,	'4',	1217,	'Y'),
(5970,	'2',	1218,	'Y'),
(5971,	'3',	1218,	'Y'),
(5972,	'4',	1218,	'Y'),
(5973,	'2',	1219,	'Y'),
(5974,	'3',	1219,	'Y'),
(5975,	'4',	1219,	'Y'),
(5976,	'2',	1220,	'Y'),
(5977,	'3',	1220,	'Y'),
(5978,	'4',	1220,	'Y'),
(5979,	'2',	1221,	'Y'),
(5980,	'3',	1221,	'Y'),
(5981,	'4',	1221,	'Y'),
(5982,	'2',	1222,	'Y'),
(5983,	'3',	1222,	'Y'),
(5984,	'4',	1222,	'Y'),
(5985,	'2',	1223,	'Y'),
(5986,	'3',	1223,	'Y'),
(5987,	'4',	1223,	'Y'),
(5988,	'2',	1224,	'Y'),
(5989,	'3',	1224,	'Y'),
(5990,	'4',	1224,	'Y'),
(5991,	'2',	1225,	'Y'),
(5992,	'3',	1225,	'Y'),
(5993,	'4',	1225,	'Y'),
(5994,	'2',	1226,	'Y'),
(5995,	'3',	1226,	'Y'),
(5996,	'4',	1226,	'Y'),
(5997,	'2',	1227,	'Y'),
(5998,	'3',	1227,	'Y'),
(5999,	'4',	1227,	'Y'),
(6000,	'2',	1228,	'Y'),
(6001,	'3',	1228,	'Y'),
(6002,	'4',	1228,	'Y'),
(6003,	'2',	1229,	'Y'),
(6004,	'3',	1229,	'Y'),
(6005,	'4',	1229,	'Y'),
(6006,	'2',	1230,	'Y'),
(6007,	'3',	1230,	'Y'),
(6008,	'4',	1230,	'Y'),
(6009,	'2',	1231,	'Y'),
(6010,	'3',	1231,	'Y'),
(6011,	'4',	1231,	'Y'),
(6012,	'2',	1232,	'Y'),
(6013,	'3',	1232,	'Y'),
(6014,	'4',	1232,	'Y'),
(6015,	'2',	1233,	'Y'),
(6016,	'3',	1233,	'Y'),
(6017,	'4',	1233,	'Y'),
(6018,	'2',	1234,	'Y'),
(6019,	'3',	1234,	'Y'),
(6020,	'4',	1234,	'Y'),
(6021,	'2',	1235,	'Y'),
(6022,	'3',	1235,	'Y'),
(6023,	'4',	1235,	'Y'),
(6024,	'2',	1236,	'Y'),
(6025,	'3',	1236,	'Y'),
(6026,	'4',	1236,	'Y'),
(6027,	'2',	1237,	'Y'),
(6028,	'3',	1237,	'Y'),
(6029,	'4',	1237,	'Y'),
(6030,	'2',	1238,	'Y'),
(6031,	'3',	1238,	'Y'),
(6032,	'4',	1238,	'Y'),
(6033,	'2',	1239,	'Y'),
(6034,	'3',	1239,	'Y'),
(6035,	'4',	1239,	'Y'),
(6036,	'2',	1240,	'Y'),
(6037,	'3',	1240,	'Y'),
(6038,	'4',	1240,	'Y'),
(6039,	'2',	1241,	'Y'),
(6040,	'3',	1241,	'Y'),
(6041,	'4',	1241,	'Y'),
(6042,	'2',	1242,	'Y'),
(6043,	'3',	1242,	'Y'),
(6044,	'4',	1242,	'Y'),
(6045,	'2',	1243,	'Y'),
(6046,	'3',	1243,	'Y'),
(6047,	'4',	1243,	'Y'),
(6048,	'2',	1244,	'Y'),
(6049,	'3',	1244,	'Y'),
(6050,	'4',	1244,	'Y'),
(6051,	'2',	1245,	'Y'),
(6052,	'3',	1245,	'Y'),
(6053,	'4',	1245,	'Y'),
(6054,	'2',	1246,	'Y'),
(6055,	'3',	1246,	'Y'),
(6056,	'4',	1246,	'Y'),
(6057,	'2',	1247,	'Y'),
(6058,	'3',	1247,	'Y'),
(6059,	'4',	1247,	'Y'),
(6060,	'2',	1248,	'Y'),
(6061,	'3',	1248,	'Y'),
(6062,	'4',	1248,	'Y'),
(6063,	'2',	1249,	'Y'),
(6064,	'3',	1249,	'Y'),
(6065,	'4',	1249,	'Y'),
(6066,	'2',	1250,	'Y'),
(6067,	'3',	1250,	'Y'),
(6068,	'4',	1250,	'Y'),
(6069,	'2',	1251,	'Y'),
(6070,	'3',	1251,	'Y'),
(6071,	'4',	1251,	'Y'),
(6072,	'2',	1252,	'Y'),
(6073,	'3',	1252,	'Y'),
(6074,	'4',	1252,	'Y'),
(6075,	'2',	1253,	'Y'),
(6076,	'3',	1253,	'Y'),
(6077,	'4',	1253,	'Y'),
(6078,	'2',	1254,	'Y'),
(6079,	'3',	1254,	'Y'),
(6080,	'4',	1254,	'Y'),
(6081,	'2',	1255,	'Y'),
(6082,	'3',	1255,	'Y'),
(6083,	'4',	1255,	'Y'),
(6084,	'2',	1256,	'Y'),
(6085,	'3',	1256,	'Y'),
(6086,	'4',	1256,	'Y'),
(6087,	'2',	1257,	'Y'),
(6088,	'3',	1257,	'Y'),
(6089,	'4',	1257,	'Y'),
(6090,	'2',	1258,	'Y'),
(6091,	'3',	1258,	'Y'),
(6092,	'4',	1258,	'Y'),
(6093,	'2',	1259,	'Y'),
(6094,	'3',	1259,	'Y'),
(6095,	'4',	1259,	'Y'),
(6096,	'2',	1260,	'Y'),
(6097,	'3',	1260,	'Y'),
(6098,	'4',	1260,	'Y'),
(6099,	'23',	1261,	'Y'),
(6100,	'2',	1261,	'Y'),
(6101,	'3',	1261,	'Y'),
(6102,	'4',	1261,	'Y'),
(6103,	'5',	1262,	'Y'),
(6104,	'6',	1262,	'Y'),
(6105,	'23',	1262,	'Y'),
(6106,	'24',	1262,	'Y'),
(6107,	'1',	1262,	'Y'),
(6108,	'2',	1262,	'Y'),
(6109,	'3',	1262,	'Y'),
(6110,	'22',	1262,	'Y'),
(6111,	'4',	1262,	'Y'),
(6112,	'6',	1263,	'Y'),
(6113,	'23',	1263,	'Y'),
(6114,	'24',	1263,	'Y'),
(6115,	'1',	1263,	'Y'),
(6116,	'2',	1263,	'Y'),
(6117,	'3',	1263,	'Y'),
(6118,	'22',	1263,	'Y'),
(6119,	'4',	1263,	'Y'),
(6120,	'2',	1264,	'Y'),
(6121,	'3',	1264,	'Y'),
(6122,	'4',	1264,	'Y'),
(6123,	'6',	1265,	'Y'),
(6124,	'23',	1265,	'Y'),
(6125,	'24',	1265,	'Y'),
(6126,	'1',	1265,	'Y'),
(6127,	'2',	1265,	'Y'),
(6128,	'3',	1265,	'Y'),
(6129,	'22',	1265,	'Y'),
(6130,	'4',	1265,	'Y'),
(6131,	'2',	1266,	'Y'),
(6132,	'3',	1266,	'Y'),
(6133,	'4',	1266,	'Y'),
(6134,	'2',	1267,	'Y'),
(6135,	'3',	1267,	'Y'),
(6136,	'4',	1267,	'Y'),
(6137,	'2',	1268,	'Y'),
(6138,	'3',	1268,	'Y'),
(6139,	'4',	1268,	'Y'),
(6140,	'2',	1269,	'Y'),
(6141,	'3',	1269,	'Y'),
(6142,	'4',	1269,	'Y'),
(6143,	'6',	1270,	'Y'),
(6144,	'23',	1270,	'Y'),
(6145,	'24',	1270,	'Y'),
(6146,	'1',	1270,	'Y'),
(6147,	'2',	1270,	'Y'),
(6148,	'3',	1270,	'Y'),
(6149,	'4',	1270,	'Y'),
(6150,	'2',	1271,	'Y'),
(6151,	'3',	1271,	'Y'),
(6152,	'4',	1271,	'Y'),
(6153,	'6',	1272,	'Y'),
(6154,	'23',	1272,	'Y'),
(6155,	'24',	1272,	'Y'),
(6156,	'1',	1272,	'Y'),
(6157,	'2',	1272,	'Y'),
(6158,	'3',	1272,	'Y'),
(6159,	'22',	1272,	'Y'),
(6160,	'4',	1272,	'Y'),
(6161,	'6',	1273,	'Y'),
(6162,	'23',	1273,	'Y'),
(6163,	'24',	1273,	'Y'),
(6164,	'1',	1273,	'Y'),
(6165,	'2',	1273,	'Y'),
(6166,	'3',	1273,	'Y'),
(6167,	'22',	1273,	'Y'),
(6168,	'4',	1273,	'Y'),
(6169,	'6',	1274,	'Y'),
(6170,	'23',	1274,	'Y'),
(6171,	'24',	1274,	'Y'),
(6172,	'1',	1274,	'Y'),
(6173,	'2',	1274,	'Y'),
(6174,	'3',	1274,	'Y'),
(6175,	'22',	1274,	'Y'),
(6176,	'4',	1274,	'Y'),
(6177,	'6',	1275,	'Y'),
(6178,	'23',	1275,	'Y'),
(6179,	'24',	1275,	'Y'),
(6180,	'1',	1275,	'Y'),
(6181,	'2',	1275,	'Y'),
(6182,	'3',	1275,	'Y'),
(6183,	'22',	1275,	'Y'),
(6184,	'4',	1275,	'Y'),
(6185,	'6',	1276,	'Y'),
(6186,	'23',	1276,	'Y'),
(6187,	'24',	1276,	'Y'),
(6188,	'1',	1276,	'Y'),
(6189,	'2',	1276,	'Y'),
(6190,	'3',	1276,	'Y'),
(6191,	'22',	1276,	'Y'),
(6192,	'4',	1276,	'Y'),
(6193,	'2',	1277,	'Y'),
(6194,	'3',	1277,	'Y'),
(6195,	'4',	1277,	'Y'),
(6196,	'6',	1278,	'Y'),
(6197,	'23',	1278,	'Y'),
(6198,	'24',	1278,	'Y'),
(6199,	'1',	1278,	'Y'),
(6200,	'2',	1278,	'Y'),
(6201,	'3',	1278,	'Y'),
(6202,	'22',	1278,	'Y'),
(6203,	'4',	1278,	'Y'),
(6204,	'2',	1279,	'Y'),
(6205,	'3',	1279,	'Y'),
(6206,	'4',	1279,	'Y'),
(6207,	'6',	1280,	'Y'),
(6208,	'23',	1280,	'Y'),
(6209,	'24',	1280,	'Y'),
(6210,	'1',	1280,	'Y'),
(6211,	'2',	1280,	'Y'),
(6212,	'3',	1280,	'Y'),
(6213,	'22',	1280,	'Y'),
(6214,	'4',	1280,	'Y'),
(6215,	'2',	1281,	'Y'),
(6216,	'3',	1281,	'Y'),
(6217,	'4',	1281,	'Y'),
(6218,	'6',	1282,	'Y'),
(6219,	'23',	1282,	'Y'),
(6220,	'24',	1282,	'Y'),
(6221,	'1',	1282,	'Y'),
(6222,	'2',	1282,	'Y'),
(6223,	'3',	1282,	'Y'),
(6224,	'22',	1282,	'Y'),
(6225,	'4',	1282,	'Y'),
(6226,	'6',	1283,	'Y'),
(6227,	'23',	1283,	'Y'),
(6228,	'24',	1283,	'Y'),
(6229,	'1',	1283,	'Y'),
(6230,	'2',	1283,	'Y'),
(6231,	'3',	1283,	'Y'),
(6232,	'22',	1283,	'Y'),
(6233,	'4',	1283,	'Y'),
(6234,	'2',	1284,	'Y'),
(6235,	'3',	1284,	'Y'),
(6236,	'4',	1284,	'Y'),
(6237,	'2',	1285,	'Y'),
(6238,	'3',	1285,	'Y'),
(6239,	'4',	1285,	'Y'),
(6240,	'2',	1286,	'Y'),
(6241,	'3',	1286,	'Y'),
(6242,	'4',	1286,	'Y'),
(6243,	'2',	1287,	'Y'),
(6244,	'3',	1287,	'Y'),
(6245,	'4',	1287,	'Y'),
(6246,	'2',	1288,	'Y'),
(6247,	'3',	1288,	'Y'),
(6248,	'4',	1288,	'Y'),
(6249,	'2',	1289,	'Y'),
(6250,	'3',	1289,	'Y'),
(6251,	'4',	1289,	'Y'),
(6252,	'2',	1290,	'Y'),
(6253,	'3',	1290,	'Y'),
(6254,	'4',	1290,	'Y'),
(6255,	'2',	1291,	'Y'),
(6256,	'3',	1291,	'Y'),
(6257,	'4',	1291,	'Y'),
(6258,	'2',	1292,	'Y'),
(6259,	'3',	1292,	'Y'),
(6260,	'4',	1292,	'Y'),
(6261,	'2',	1293,	'Y'),
(6262,	'3',	1293,	'Y'),
(6263,	'4',	1293,	'Y'),
(6264,	'2',	1294,	'Y'),
(6265,	'3',	1294,	'Y'),
(6266,	'4',	1294,	'Y'),
(6267,	'2',	1295,	'Y'),
(6268,	'3',	1295,	'Y'),
(6269,	'4',	1295,	'Y'),
(6270,	'2',	1296,	'Y'),
(6271,	'3',	1296,	'Y'),
(6272,	'4',	1296,	'Y'),
(6273,	'2',	1297,	'Y'),
(6274,	'3',	1297,	'Y'),
(6275,	'4',	1297,	'Y'),
(6276,	'2',	1298,	'Y'),
(6277,	'3',	1298,	'Y'),
(6278,	'4',	1298,	'Y'),
(6279,	'2',	1299,	'Y'),
(6280,	'3',	1299,	'Y'),
(6281,	'4',	1299,	'Y'),
(6282,	'2',	1300,	'Y'),
(6283,	'3',	1300,	'Y'),
(6284,	'4',	1300,	'Y'),
(6285,	'2',	1301,	'Y'),
(6286,	'3',	1301,	'Y'),
(6287,	'4',	1301,	'Y'),
(6288,	'2',	1302,	'Y'),
(6289,	'3',	1302,	'Y'),
(6290,	'4',	1302,	'Y'),
(6291,	'2',	1303,	'Y'),
(6292,	'3',	1303,	'Y'),
(6293,	'4',	1303,	'Y'),
(6294,	'2',	1304,	'Y'),
(6295,	'3',	1304,	'Y'),
(6296,	'4',	1304,	'Y'),
(6297,	'2',	1305,	'Y'),
(6298,	'3',	1305,	'Y'),
(6299,	'4',	1305,	'Y'),
(6300,	'2',	1306,	'Y'),
(6301,	'3',	1306,	'Y'),
(6302,	'4',	1306,	'Y'),
(6303,	'2',	1307,	'Y'),
(6304,	'3',	1307,	'Y'),
(6305,	'4',	1307,	'Y'),
(6306,	'75',	1308,	'Y'),
(6307,	'55',	1308,	'Y'),
(6308,	'82',	1308,	'Y'),
(6309,	'83',	1308,	'Y'),
(6310,	'42',	1308,	'Y'),
(6311,	'84',	1308,	'Y'),
(6312,	'85',	1308,	'Y'),
(6313,	'86',	1308,	'Y'),
(6314,	'87',	1308,	'Y'),
(6315,	'47',	1308,	'Y'),
(6316,	'88',	1308,	'Y'),
(6317,	'89',	1308,	'Y'),
(6318,	'90',	1308,	'Y'),
(6319,	'91',	1308,	'Y'),
(6320,	'92',	1308,	'Y'),
(6321,	'80',	1308,	'Y'),
(6322,	'2',	1308,	'Y'),
(6323,	'56',	1308,	'Y'),
(6324,	'3',	1308,	'Y'),
(6325,	'4',	1308,	'Y'),
(6326,	'69',	1308,	'Y'),
(6327,	'70',	1308,	'Y'),
(6328,	'75',	1309,	'Y'),
(6329,	'55',	1309,	'Y'),
(6330,	'82',	1309,	'Y'),
(6331,	'83',	1309,	'Y'),
(6332,	'42',	1309,	'Y'),
(6333,	'84',	1309,	'Y'),
(6334,	'85',	1309,	'Y'),
(6335,	'86',	1309,	'Y'),
(6336,	'87',	1309,	'Y'),
(6337,	'47',	1309,	'Y'),
(6338,	'88',	1309,	'Y'),
(6339,	'89',	1309,	'Y'),
(6340,	'90',	1309,	'Y'),
(6341,	'91',	1309,	'Y'),
(6342,	'92',	1309,	'Y'),
(6343,	'80',	1309,	'Y'),
(6344,	'2',	1309,	'Y'),
(6345,	'56',	1309,	'Y'),
(6346,	'3',	1309,	'Y'),
(6347,	'4',	1309,	'Y'),
(6348,	'69',	1309,	'Y'),
(6349,	'70',	1309,	'Y'),
(6350,	'55',	1310,	'Y'),
(6351,	'82',	1310,	'Y'),
(6352,	'83',	1310,	'Y'),
(6353,	'45',	1310,	'Y'),
(6354,	'42',	1310,	'Y'),
(6355,	'84',	1310,	'Y'),
(6356,	'85',	1310,	'Y'),
(6357,	'86',	1310,	'Y'),
(6358,	'87',	1310,	'Y'),
(6359,	'47',	1310,	'Y'),
(6360,	'88',	1310,	'Y'),
(6361,	'89',	1310,	'Y'),
(6362,	'90',	1310,	'Y'),
(6363,	'91',	1310,	'Y'),
(6364,	'92',	1310,	'Y'),
(6365,	'80',	1310,	'Y'),
(6366,	'2',	1310,	'Y'),
(6367,	'56',	1310,	'Y'),
(6368,	'3',	1310,	'Y'),
(6369,	'4',	1310,	'Y'),
(6370,	'69',	1310,	'Y'),
(6371,	'70',	1310,	'Y'),
(6372,	'55',	1311,	'Y'),
(6373,	'82',	1311,	'Y'),
(6374,	'83',	1311,	'Y'),
(6375,	'45',	1311,	'Y'),
(6376,	'42',	1311,	'Y'),
(6377,	'84',	1311,	'Y'),
(6378,	'85',	1311,	'Y'),
(6379,	'86',	1311,	'Y'),
(6380,	'87',	1311,	'Y'),
(6381,	'47',	1311,	'Y'),
(6382,	'88',	1311,	'Y'),
(6383,	'89',	1311,	'Y'),
(6384,	'90',	1311,	'Y'),
(6385,	'91',	1311,	'Y'),
(6386,	'92',	1311,	'Y'),
(6387,	'80',	1311,	'Y'),
(6388,	'2',	1311,	'Y'),
(6389,	'56',	1311,	'Y'),
(6390,	'3',	1311,	'Y'),
(6391,	'4',	1311,	'Y'),
(6392,	'69',	1311,	'Y'),
(6393,	'70',	1311,	'Y'),
(6394,	'55',	1312,	'Y'),
(6395,	'82',	1312,	'Y'),
(6396,	'83',	1312,	'Y'),
(6397,	'45',	1312,	'Y'),
(6398,	'42',	1312,	'Y'),
(6399,	'84',	1312,	'Y'),
(6400,	'85',	1312,	'Y'),
(6401,	'86',	1312,	'Y'),
(6402,	'87',	1312,	'Y'),
(6403,	'47',	1312,	'Y'),
(6404,	'88',	1312,	'Y'),
(6405,	'79',	1312,	'Y'),
(6406,	'89',	1312,	'Y'),
(6407,	'90',	1312,	'Y'),
(6408,	'91',	1312,	'Y'),
(6409,	'92',	1312,	'Y'),
(6410,	'80',	1312,	'Y'),
(6411,	'2',	1312,	'Y'),
(6412,	'56',	1312,	'Y'),
(6413,	'3',	1312,	'Y'),
(6414,	'4',	1312,	'Y'),
(6415,	'69',	1312,	'Y'),
(6416,	'70',	1312,	'Y'),
(6417,	'55',	1313,	'Y'),
(6418,	'82',	1313,	'Y'),
(6419,	'83',	1313,	'Y'),
(6420,	'45',	1313,	'Y'),
(6421,	'42',	1313,	'Y'),
(6422,	'84',	1313,	'Y'),
(6423,	'85',	1313,	'Y'),
(6424,	'86',	1313,	'Y'),
(6425,	'87',	1313,	'Y'),
(6426,	'47',	1313,	'Y'),
(6427,	'88',	1313,	'Y'),
(6428,	'89',	1313,	'Y'),
(6429,	'90',	1313,	'Y'),
(6430,	'91',	1313,	'Y'),
(6431,	'92',	1313,	'Y'),
(6432,	'80',	1313,	'Y'),
(6433,	'2',	1313,	'Y'),
(6434,	'56',	1313,	'Y'),
(6435,	'3',	1313,	'Y'),
(6436,	'4',	1313,	'Y'),
(6437,	'69',	1313,	'Y'),
(6438,	'70',	1313,	'Y'),
(6439,	'2',	1314,	'Y'),
(6440,	'3',	1314,	'Y'),
(6441,	'4',	1314,	'Y'),
(6442,	'2',	1315,	'Y'),
(6443,	'3',	1315,	'Y'),
(6444,	'4',	1315,	'Y'),
(6445,	'2',	1316,	'Y'),
(6446,	'3',	1316,	'Y'),
(6447,	'4',	1316,	'Y'),
(6448,	'2',	1317,	'Y'),
(6449,	'3',	1317,	'Y'),
(6450,	'4',	1317,	'Y'),
(6451,	'2',	1318,	'Y'),
(6452,	'3',	1318,	'Y'),
(6453,	'4',	1318,	'Y'),
(6454,	'2',	1319,	'Y'),
(6455,	'3',	1319,	'Y'),
(6456,	'4',	1319,	'Y'),
(6457,	'2',	1320,	'Y'),
(6458,	'3',	1320,	'Y'),
(6459,	'4',	1320,	'Y'),
(6460,	'2',	1321,	'Y'),
(6461,	'3',	1321,	'Y'),
(6462,	'4',	1321,	'Y'),
(6463,	'55',	1322,	'Y'),
(6464,	'82',	1322,	'Y'),
(6465,	'83',	1322,	'Y'),
(6466,	'45',	1322,	'Y'),
(6467,	'42',	1322,	'Y'),
(6468,	'84',	1322,	'Y'),
(6469,	'85',	1322,	'Y'),
(6470,	'86',	1322,	'Y'),
(6471,	'87',	1322,	'Y'),
(6472,	'47',	1322,	'Y'),
(6473,	'88',	1322,	'Y'),
(6474,	'89',	1322,	'Y'),
(6475,	'90',	1322,	'Y'),
(6476,	'91',	1322,	'Y'),
(6477,	'92',	1322,	'Y'),
(6478,	'80',	1322,	'Y'),
(6479,	'2',	1322,	'Y'),
(6480,	'56',	1322,	'Y'),
(6481,	'3',	1322,	'Y'),
(6482,	'4',	1322,	'Y'),
(6483,	'69',	1322,	'Y'),
(6484,	'70',	1322,	'Y'),
(6485,	'55',	1323,	'Y'),
(6486,	'93',	1323,	'Y'),
(6487,	'82',	1323,	'Y'),
(6488,	'83',	1323,	'Y'),
(6489,	'45',	1323,	'Y'),
(6490,	'42',	1323,	'Y'),
(6491,	'84',	1323,	'Y'),
(6492,	'85',	1323,	'Y'),
(6493,	'86',	1323,	'Y'),
(6494,	'87',	1323,	'Y'),
(6495,	'47',	1323,	'Y'),
(6496,	'88',	1323,	'Y'),
(6497,	'79',	1323,	'Y'),
(6498,	'89',	1323,	'Y'),
(6499,	'90',	1323,	'Y'),
(6500,	'91',	1323,	'Y'),
(6501,	'94',	1323,	'Y'),
(6502,	'92',	1323,	'Y'),
(6503,	'80',	1323,	'Y'),
(6504,	'95',	1323,	'Y'),
(6505,	'2',	1323,	'Y'),
(6506,	'56',	1323,	'Y'),
(6507,	'3',	1323,	'Y'),
(6508,	'4',	1323,	'Y'),
(6509,	'69',	1323,	'Y'),
(6510,	'70',	1323,	'Y'),
(6511,	'2',	1324,	'Y'),
(6512,	'3',	1324,	'Y'),
(6513,	'4',	1324,	'Y'),
(6514,	'2',	1325,	'Y'),
(6515,	'3',	1325,	'Y'),
(6516,	'4',	1325,	'Y'),
(6517,	'55',	1326,	'Y'),
(6518,	'83',	1326,	'Y'),
(6519,	'84',	1326,	'Y'),
(6520,	'47',	1326,	'Y'),
(6521,	'88',	1326,	'Y'),
(6522,	'90',	1326,	'Y'),
(6523,	'2',	1326,	'Y'),
(6524,	'3',	1326,	'Y'),
(6525,	'4',	1326,	'Y'),
(6526,	'55',	1327,	'Y'),
(6527,	'82',	1327,	'Y'),
(6528,	'83',	1327,	'Y'),
(6529,	'45',	1327,	'Y'),
(6530,	'42',	1327,	'Y'),
(6531,	'84',	1327,	'Y'),
(6532,	'85',	1327,	'Y'),
(6533,	'86',	1327,	'Y'),
(6534,	'87',	1327,	'Y'),
(6535,	'47',	1327,	'Y'),
(6536,	'88',	1327,	'Y'),
(6537,	'89',	1327,	'Y'),
(6538,	'90',	1327,	'Y'),
(6539,	'91',	1327,	'Y'),
(6540,	'92',	1327,	'Y'),
(6541,	'80',	1327,	'Y'),
(6542,	'2',	1327,	'Y'),
(6543,	'56',	1327,	'Y'),
(6544,	'3',	1327,	'Y'),
(6545,	'4',	1327,	'Y'),
(6546,	'69',	1327,	'Y'),
(6547,	'70',	1327,	'Y'),
(6548,	'2',	1328,	'Y'),
(6549,	'3',	1328,	'Y'),
(6550,	'4',	1328,	'Y'),
(6551,	'2',	1329,	'Y'),
(6552,	'56',	1329,	'Y'),
(6553,	'3',	1329,	'Y'),
(6554,	'4',	1329,	'Y'),
(6555,	'69',	1329,	'Y'),
(6556,	'70',	1329,	'Y'),
(6557,	'2',	1330,	'Y'),
(6558,	'3',	1330,	'Y'),
(6559,	'4',	1330,	'Y'),
(6560,	'2',	1331,	'Y'),
(6561,	'3',	1331,	'Y'),
(6562,	'4',	1331,	'Y'),
(6563,	'96',	1332,	'Y'),
(6564,	'11',	1332,	'Y'),
(6565,	'97',	1332,	'Y'),
(6566,	'98',	1332,	'Y'),
(6567,	'19',	1332,	'Y'),
(6568,	'20',	1332,	'Y'),
(6569,	'25',	1332,	'Y'),
(6570,	'2',	1332,	'Y'),
(6571,	'3',	1332,	'Y'),
(6572,	'4',	1332,	'Y'),
(6573,	'96',	1333,	'Y'),
(6574,	'9',	1333,	'Y'),
(6575,	'98',	1333,	'Y'),
(6576,	'19',	1333,	'Y'),
(6577,	'20',	1333,	'Y'),
(6578,	'31',	1333,	'Y'),
(6579,	'25',	1333,	'Y'),
(6580,	'2',	1333,	'Y'),
(6581,	'3',	1333,	'Y'),
(6582,	'4',	1333,	'Y'),
(6583,	'96',	1334,	'Y'),
(6584,	'11',	1334,	'Y'),
(6585,	'97',	1334,	'Y'),
(6586,	'98',	1334,	'Y'),
(6587,	'19',	1334,	'Y'),
(6588,	'20',	1334,	'Y'),
(6589,	'25',	1334,	'Y'),
(6590,	'2',	1334,	'Y'),
(6591,	'3',	1334,	'Y'),
(6592,	'4',	1334,	'Y'),
(6593,	'96',	1335,	'Y'),
(6594,	'11',	1335,	'Y'),
(6595,	'97',	1335,	'Y'),
(6596,	'98',	1335,	'Y'),
(6597,	'19',	1335,	'Y'),
(6598,	'20',	1335,	'Y'),
(6599,	'25',	1335,	'Y'),
(6600,	'2',	1335,	'Y'),
(6601,	'3',	1335,	'Y'),
(6602,	'4',	1335,	'Y'),
(6603,	'7',	1336,	'Y'),
(6604,	'96',	1336,	'Y'),
(6605,	'11',	1336,	'Y'),
(6606,	'99',	1336,	'Y'),
(6607,	'100',	1336,	'Y'),
(6608,	'101',	1336,	'Y'),
(6609,	'72',	1336,	'Y'),
(6610,	'102',	1336,	'Y'),
(6611,	'103',	1336,	'Y'),
(6612,	'104',	1336,	'Y'),
(6613,	'97',	1336,	'Y'),
(6614,	'98',	1336,	'Y'),
(6615,	'19',	1336,	'Y'),
(6616,	'20',	1336,	'Y'),
(6617,	'31',	1336,	'Y'),
(6618,	'25',	1336,	'Y'),
(6619,	'2',	1336,	'Y'),
(6620,	'3',	1336,	'Y'),
(6621,	'29',	1336,	'Y'),
(6622,	'4',	1336,	'Y'),
(6623,	'96',	1337,	'Y'),
(6624,	'11',	1337,	'Y'),
(6625,	'97',	1337,	'Y'),
(6626,	'98',	1337,	'Y'),
(6627,	'19',	1337,	'Y'),
(6628,	'20',	1337,	'Y'),
(6629,	'25',	1337,	'Y'),
(6630,	'2',	1337,	'Y'),
(6631,	'3',	1337,	'Y'),
(6632,	'4',	1337,	'Y'),
(6633,	'2',	1338,	'Y'),
(6634,	'3',	1338,	'Y'),
(6635,	'4',	1338,	'Y'),
(6636,	'7',	1339,	'Y'),
(6637,	'99',	1339,	'Y'),
(6638,	'100',	1339,	'Y'),
(6639,	'72',	1339,	'Y'),
(6640,	'103',	1339,	'Y'),
(6641,	'104',	1339,	'Y'),
(6642,	'31',	1339,	'Y'),
(6643,	'2',	1339,	'Y'),
(6644,	'3',	1339,	'Y'),
(6645,	'4',	1339,	'Y'),
(6646,	'96',	1340,	'Y'),
(6647,	'97',	1340,	'Y'),
(6648,	'98',	1340,	'Y'),
(6649,	'19',	1340,	'Y'),
(6650,	'20',	1340,	'Y'),
(6651,	'25',	1340,	'Y'),
(6652,	'2',	1340,	'Y'),
(6653,	'3',	1340,	'Y'),
(6654,	'4',	1340,	'Y'),
(6655,	'96',	1341,	'Y'),
(6656,	'8',	1341,	'Y'),
(6657,	'9',	1341,	'Y'),
(6658,	'98',	1341,	'Y'),
(6659,	'19',	1341,	'Y'),
(6660,	'20',	1341,	'Y'),
(6661,	'25',	1341,	'Y'),
(6662,	'2',	1341,	'Y'),
(6663,	'3',	1341,	'Y'),
(6664,	'4',	1341,	'Y'),
(6665,	'96',	1342,	'Y'),
(6666,	'98',	1342,	'Y'),
(6667,	'19',	1342,	'Y'),
(6668,	'20',	1342,	'Y'),
(6669,	'25',	1342,	'Y'),
(6670,	'2',	1342,	'Y'),
(6671,	'3',	1342,	'Y'),
(6672,	'4',	1342,	'Y'),
(6673,	'96',	1343,	'Y'),
(6674,	'9',	1343,	'Y'),
(6675,	'19',	1343,	'Y'),
(6676,	'20',	1343,	'Y'),
(6677,	'31',	1343,	'Y'),
(6678,	'25',	1343,	'Y'),
(6679,	'2',	1343,	'Y'),
(6680,	'3',	1343,	'Y'),
(6681,	'4',	1343,	'Y'),
(6682,	'7',	1344,	'Y'),
(6683,	'96',	1344,	'Y'),
(6684,	'9',	1344,	'Y'),
(6685,	'99',	1344,	'Y'),
(6686,	'100',	1344,	'Y'),
(6687,	'72',	1344,	'Y'),
(6688,	'102',	1344,	'Y'),
(6689,	'103',	1344,	'Y'),
(6690,	'104',	1344,	'Y'),
(6691,	'97',	1344,	'Y'),
(6692,	'98',	1344,	'Y'),
(6693,	'19',	1344,	'Y'),
(6694,	'20',	1344,	'Y'),
(6695,	'31',	1344,	'Y'),
(6696,	'25',	1344,	'Y'),
(6697,	'2',	1344,	'Y'),
(6698,	'3',	1344,	'Y'),
(6699,	'29',	1344,	'Y'),
(6700,	'4',	1344,	'Y'),
(6701,	'7',	1345,	'Y'),
(6702,	'96',	1345,	'Y'),
(6703,	'99',	1345,	'Y'),
(6704,	'100',	1345,	'Y'),
(6705,	'72',	1345,	'Y'),
(6706,	'103',	1345,	'Y'),
(6707,	'104',	1345,	'Y'),
(6708,	'97',	1345,	'Y'),
(6709,	'98',	1345,	'Y'),
(6710,	'19',	1345,	'Y'),
(6711,	'20',	1345,	'Y'),
(6712,	'31',	1345,	'Y'),
(6713,	'25',	1345,	'Y'),
(6714,	'2',	1345,	'Y'),
(6715,	'3',	1345,	'Y'),
(6716,	'4',	1345,	'Y'),
(6717,	'96',	1346,	'Y'),
(6718,	'11',	1346,	'Y'),
(6719,	'98',	1346,	'Y'),
(6720,	'19',	1346,	'Y'),
(6721,	'20',	1346,	'Y'),
(6722,	'25',	1346,	'Y'),
(6723,	'2',	1346,	'Y'),
(6724,	'3',	1346,	'Y'),
(6725,	'4',	1346,	'Y'),
(6726,	'96',	1347,	'Y'),
(6727,	'98',	1347,	'Y'),
(6728,	'19',	1347,	'Y'),
(6729,	'20',	1347,	'Y'),
(6730,	'25',	1347,	'Y'),
(6731,	'2',	1347,	'Y'),
(6732,	'3',	1347,	'Y'),
(6733,	'4',	1347,	'Y'),
(6734,	'7',	1348,	'Y'),
(6735,	'96',	1348,	'Y'),
(6736,	'99',	1348,	'Y'),
(6737,	'100',	1348,	'Y'),
(6738,	'72',	1348,	'Y'),
(6739,	'103',	1348,	'Y'),
(6740,	'104',	1348,	'Y'),
(6741,	'97',	1348,	'Y'),
(6742,	'98',	1348,	'Y'),
(6743,	'19',	1348,	'Y'),
(6744,	'20',	1348,	'Y'),
(6745,	'31',	1348,	'Y'),
(6746,	'25',	1348,	'Y'),
(6747,	'2',	1348,	'Y'),
(6748,	'3',	1348,	'Y'),
(6749,	'4',	1348,	'Y'),
(6750,	'96',	1349,	'Y'),
(6751,	'97',	1349,	'Y'),
(6752,	'98',	1349,	'Y'),
(6753,	'19',	1349,	'Y'),
(6754,	'20',	1349,	'Y'),
(6755,	'25',	1349,	'Y'),
(6756,	'2',	1349,	'Y'),
(6757,	'3',	1349,	'Y'),
(6758,	'4',	1349,	'Y'),
(6759,	'7',	1350,	'Y'),
(6760,	'96',	1350,	'Y'),
(6761,	'99',	1350,	'Y'),
(6762,	'100',	1350,	'Y'),
(6763,	'72',	1350,	'Y'),
(6764,	'103',	1350,	'Y'),
(6765,	'97',	1350,	'Y'),
(6766,	'98',	1350,	'Y'),
(6767,	'19',	1350,	'Y'),
(6768,	'20',	1350,	'Y'),
(6769,	'31',	1350,	'Y'),
(6770,	'25',	1350,	'Y'),
(6771,	'2',	1350,	'Y'),
(6772,	'3',	1350,	'Y'),
(6773,	'4',	1350,	'Y'),
(6774,	'96',	1351,	'Y'),
(6775,	'11',	1351,	'Y'),
(6776,	'98',	1351,	'Y'),
(6777,	'19',	1351,	'Y'),
(6778,	'20',	1351,	'Y'),
(6779,	'25',	1351,	'Y'),
(6780,	'2',	1351,	'Y'),
(6781,	'3',	1351,	'Y'),
(6782,	'4',	1351,	'Y'),
(6783,	'7',	1352,	'Y'),
(6784,	'96',	1352,	'Y'),
(6785,	'99',	1352,	'Y'),
(6786,	'100',	1352,	'Y'),
(6787,	'72',	1352,	'Y'),
(6788,	'103',	1352,	'Y'),
(6789,	'104',	1352,	'Y'),
(6790,	'97',	1352,	'Y'),
(6791,	'98',	1352,	'Y'),
(6792,	'19',	1352,	'Y'),
(6793,	'20',	1352,	'Y'),
(6794,	'31',	1352,	'Y'),
(6795,	'25',	1352,	'Y'),
(6796,	'2',	1352,	'Y'),
(6797,	'3',	1352,	'Y'),
(6798,	'29',	1352,	'Y'),
(6799,	'4',	1352,	'Y'),
(6800,	'2',	1353,	'Y'),
(6801,	'3',	1353,	'Y'),
(6802,	'4',	1353,	'Y'),
(6803,	'7',	1354,	'Y'),
(6804,	'96',	1354,	'Y'),
(6805,	'99',	1354,	'Y'),
(6806,	'100',	1354,	'Y'),
(6807,	'72',	1354,	'Y'),
(6808,	'103',	1354,	'Y'),
(6809,	'104',	1354,	'Y'),
(6810,	'97',	1354,	'Y'),
(6811,	'98',	1354,	'Y'),
(6812,	'19',	1354,	'Y'),
(6813,	'20',	1354,	'Y'),
(6814,	'31',	1354,	'Y'),
(6815,	'25',	1354,	'Y'),
(6816,	'2',	1354,	'Y'),
(6817,	'3',	1354,	'Y'),
(6818,	'29',	1354,	'Y'),
(6819,	'4',	1354,	'Y'),
(6820,	'96',	1355,	'Y'),
(6821,	'98',	1355,	'Y'),
(6822,	'19',	1355,	'Y'),
(6823,	'20',	1355,	'Y'),
(6824,	'25',	1355,	'Y'),
(6825,	'2',	1355,	'Y'),
(6826,	'3',	1355,	'Y'),
(6827,	'22',	1355,	'Y'),
(6828,	'4',	1355,	'Y'),
(6829,	'7',	1356,	'Y'),
(6830,	'96',	1356,	'Y'),
(6831,	'99',	1356,	'Y'),
(6832,	'100',	1356,	'Y'),
(6833,	'72',	1356,	'Y'),
(6834,	'103',	1356,	'Y'),
(6835,	'104',	1356,	'Y'),
(6836,	'97',	1356,	'Y'),
(6837,	'98',	1356,	'Y'),
(6838,	'19',	1356,	'Y'),
(6839,	'20',	1356,	'Y'),
(6840,	'31',	1356,	'Y'),
(6841,	'25',	1356,	'Y'),
(6842,	'2',	1356,	'Y'),
(6843,	'3',	1356,	'Y'),
(6844,	'4',	1356,	'Y'),
(6845,	'96',	1357,	'Y'),
(6846,	'98',	1357,	'Y'),
(6847,	'19',	1357,	'Y'),
(6848,	'20',	1357,	'Y'),
(6849,	'25',	1357,	'Y'),
(6850,	'2',	1357,	'Y'),
(6851,	'3',	1357,	'Y'),
(6852,	'4',	1357,	'Y'),
(6853,	'96',	1358,	'Y'),
(6854,	'98',	1358,	'Y'),
(6855,	'19',	1358,	'Y'),
(6856,	'20',	1358,	'Y'),
(6857,	'25',	1358,	'Y'),
(6858,	'2',	1358,	'Y'),
(6859,	'3',	1358,	'Y'),
(6860,	'4',	1358,	'Y'),
(6861,	'96',	1359,	'Y'),
(6862,	'98',	1359,	'Y'),
(6863,	'19',	1359,	'Y'),
(6864,	'20',	1359,	'Y'),
(6865,	'25',	1359,	'Y'),
(6866,	'2',	1359,	'Y'),
(6867,	'3',	1359,	'Y'),
(6868,	'4',	1359,	'Y'),
(6869,	'7',	1360,	'Y'),
(6870,	'96',	1360,	'Y'),
(6871,	'99',	1360,	'Y'),
(6872,	'100',	1360,	'Y'),
(6873,	'72',	1360,	'Y'),
(6874,	'103',	1360,	'Y'),
(6875,	'104',	1360,	'Y'),
(6876,	'97',	1360,	'Y'),
(6877,	'98',	1360,	'Y'),
(6878,	'19',	1360,	'Y'),
(6879,	'20',	1360,	'Y'),
(6880,	'31',	1360,	'Y'),
(6881,	'25',	1360,	'Y'),
(6882,	'2',	1360,	'Y'),
(6883,	'3',	1360,	'Y'),
(6884,	'4',	1360,	'Y'),
(6885,	'96',	1361,	'Y'),
(6886,	'11',	1361,	'Y'),
(6887,	'97',	1361,	'Y'),
(6888,	'98',	1361,	'Y'),
(6889,	'19',	1361,	'Y'),
(6890,	'20',	1361,	'Y'),
(6891,	'25',	1361,	'Y'),
(6892,	'2',	1361,	'Y'),
(6893,	'3',	1361,	'Y'),
(6894,	'4',	1361,	'Y'),
(6895,	'7',	1362,	'Y'),
(6896,	'96',	1362,	'Y'),
(6897,	'99',	1362,	'Y'),
(6898,	'100',	1362,	'Y'),
(6899,	'72',	1362,	'Y'),
(6900,	'103',	1362,	'Y'),
(6901,	'97',	1362,	'Y'),
(6902,	'98',	1362,	'Y'),
(6903,	'19',	1362,	'Y'),
(6904,	'20',	1362,	'Y'),
(6905,	'31',	1362,	'Y'),
(6906,	'25',	1362,	'Y'),
(6907,	'2',	1362,	'Y'),
(6908,	'3',	1362,	'Y'),
(6909,	'4',	1362,	'Y'),
(6910,	'7',	1363,	'Y'),
(6911,	'96',	1363,	'Y'),
(6912,	'99',	1363,	'Y'),
(6913,	'100',	1363,	'Y'),
(6914,	'72',	1363,	'Y'),
(6915,	'103',	1363,	'Y'),
(6916,	'104',	1363,	'Y'),
(6917,	'97',	1363,	'Y'),
(6918,	'98',	1363,	'Y'),
(6919,	'19',	1363,	'Y'),
(6920,	'20',	1363,	'Y'),
(6921,	'31',	1363,	'Y'),
(6922,	'25',	1363,	'Y'),
(6923,	'2',	1363,	'Y'),
(6924,	'3',	1363,	'Y'),
(6925,	'4',	1363,	'Y'),
(6926,	'7',	1364,	'Y'),
(6927,	'96',	1364,	'Y'),
(6928,	'99',	1364,	'Y'),
(6929,	'100',	1364,	'Y'),
(6930,	'72',	1364,	'Y'),
(6931,	'103',	1364,	'Y'),
(6932,	'104',	1364,	'Y'),
(6933,	'97',	1364,	'Y'),
(6934,	'98',	1364,	'Y'),
(6935,	'19',	1364,	'Y'),
(6936,	'20',	1364,	'Y'),
(6937,	'31',	1364,	'Y'),
(6938,	'25',	1364,	'Y'),
(6939,	'2',	1364,	'Y'),
(6940,	'3',	1364,	'Y'),
(6941,	'4',	1364,	'Y'),
(6942,	'6',	1365,	'Y'),
(6943,	'23',	1365,	'Y'),
(6944,	'24',	1365,	'Y'),
(6945,	'1',	1365,	'Y'),
(6946,	'2',	1365,	'Y'),
(6947,	'3',	1365,	'Y'),
(6948,	'4',	1365,	'Y'),
(6949,	'2',	1366,	'Y'),
(6950,	'3',	1366,	'Y'),
(6951,	'4',	1366,	'Y'),
(6952,	'96',	1367,	'Y'),
(6953,	'11',	1367,	'Y'),
(6954,	'98',	1367,	'Y'),
(6955,	'19',	1367,	'Y'),
(6956,	'20',	1367,	'Y'),
(6957,	'25',	1367,	'Y'),
(6958,	'2',	1367,	'Y'),
(6959,	'3',	1367,	'Y'),
(6960,	'4',	1367,	'Y'),
(6961,	'96',	1368,	'Y'),
(6962,	'11',	1368,	'Y'),
(6963,	'98',	1368,	'Y'),
(6964,	'19',	1368,	'Y'),
(6965,	'20',	1368,	'Y'),
(6966,	'25',	1368,	'Y'),
(6967,	'2',	1368,	'Y'),
(6968,	'3',	1368,	'Y'),
(6969,	'4',	1368,	'Y'),
(6970,	'2',	1369,	'Y'),
(6971,	'3',	1369,	'Y'),
(6972,	'4',	1369,	'Y'),
(6973,	'2',	1370,	'Y'),
(6974,	'3',	1370,	'Y'),
(6975,	'4',	1370,	'Y'),
(6976,	'2',	1371,	'Y'),
(6977,	'3',	1371,	'Y'),
(6978,	'4',	1371,	'Y'),
(6979,	'2',	1372,	'Y'),
(6980,	'3',	1372,	'Y'),
(6981,	'4',	1372,	'Y'),
(6982,	'2',	1373,	'Y'),
(6983,	'3',	1373,	'Y'),
(6984,	'4',	1373,	'Y'),
(6985,	'2',	1374,	'Y'),
(6986,	'3',	1374,	'Y'),
(6987,	'4',	1374,	'Y'),
(6988,	'2',	1375,	'Y'),
(6989,	'3',	1375,	'Y'),
(6990,	'4',	1375,	'Y'),
(6991,	'2',	1376,	'Y'),
(6992,	'3',	1376,	'Y'),
(6993,	'4',	1376,	'Y'),
(6994,	'2',	1377,	'Y'),
(6995,	'3',	1377,	'Y'),
(6996,	'4',	1377,	'Y'),
(6997,	'2',	1378,	'Y'),
(6998,	'3',	1378,	'Y'),
(6999,	'4',	1378,	'Y'),
(7000,	'2',	1379,	'Y'),
(7001,	'3',	1379,	'Y'),
(7002,	'4',	1379,	'Y'),
(7003,	'2',	1380,	'Y'),
(7004,	'3',	1380,	'Y'),
(7005,	'4',	1380,	'Y'),
(7006,	'2',	1381,	'Y'),
(7007,	'3',	1381,	'Y'),
(7008,	'4',	1381,	'Y'),
(7009,	'2',	1382,	'Y'),
(7010,	'3',	1382,	'Y'),
(7011,	'4',	1382,	'Y'),
(7012,	'2',	1383,	'Y'),
(7013,	'3',	1383,	'Y'),
(7014,	'4',	1383,	'Y'),
(7015,	'2',	1384,	'Y'),
(7016,	'3',	1384,	'Y'),
(7017,	'4',	1384,	'Y'),
(7018,	'2',	1385,	'Y'),
(7019,	'3',	1385,	'Y'),
(7020,	'4',	1385,	'Y'),
(7021,	'2',	1386,	'Y'),
(7022,	'3',	1386,	'Y'),
(7023,	'4',	1386,	'Y'),
(7024,	'2',	1387,	'Y'),
(7025,	'3',	1387,	'Y'),
(7026,	'4',	1387,	'Y'),
(7027,	'2',	1388,	'Y'),
(7028,	'3',	1388,	'Y'),
(7029,	'4',	1388,	'Y'),
(7030,	'2',	1389,	'Y'),
(7031,	'3',	1389,	'Y'),
(7032,	'4',	1389,	'Y'),
(7033,	'2',	1390,	'Y'),
(7034,	'3',	1390,	'Y'),
(7035,	'4',	1390,	'Y'),
(7036,	'2',	1391,	'Y'),
(7037,	'3',	1391,	'Y'),
(7038,	'4',	1391,	'Y'),
(7039,	'2',	1392,	'Y'),
(7040,	'3',	1392,	'Y'),
(7041,	'4',	1392,	'Y'),
(7042,	'2',	1393,	'Y'),
(7043,	'3',	1393,	'Y'),
(7044,	'4',	1393,	'Y'),
(7045,	'2',	1394,	'Y'),
(7046,	'3',	1394,	'Y'),
(7047,	'4',	1394,	'Y'),
(7048,	'2',	1395,	'Y'),
(7049,	'3',	1395,	'Y'),
(7050,	'4',	1395,	'Y'),
(7051,	'2',	1396,	'Y'),
(7052,	'3',	1396,	'Y'),
(7053,	'4',	1396,	'Y'),
(7054,	'2',	1397,	'Y'),
(7055,	'3',	1397,	'Y'),
(7056,	'4',	1397,	'Y'),
(7057,	'2',	1398,	'Y'),
(7058,	'3',	1398,	'Y'),
(7059,	'4',	1398,	'Y'),
(7060,	'2',	1399,	'Y'),
(7061,	'3',	1399,	'Y'),
(7062,	'4',	1399,	'Y'),
(7063,	'2',	1400,	'Y'),
(7064,	'3',	1400,	'Y'),
(7065,	'4',	1400,	'Y'),
(7066,	'2',	1401,	'Y'),
(7067,	'3',	1401,	'Y'),
(7068,	'4',	1401,	'Y'),
(7069,	'2',	1402,	'Y'),
(7070,	'3',	1402,	'Y'),
(7071,	'4',	1402,	'Y'),
(7072,	'2',	1403,	'Y'),
(7073,	'3',	1403,	'Y'),
(7074,	'4',	1403,	'Y'),
(7075,	'2',	1404,	'Y'),
(7076,	'3',	1404,	'Y'),
(7077,	'4',	1404,	'Y'),
(7078,	'2',	1405,	'Y'),
(7079,	'3',	1405,	'Y'),
(7080,	'4',	1405,	'Y'),
(7081,	'2',	1406,	'Y'),
(7082,	'3',	1406,	'Y'),
(7083,	'4',	1406,	'Y'),
(7084,	'2',	1407,	'Y'),
(7085,	'3',	1407,	'Y'),
(7086,	'4',	1407,	'Y'),
(7087,	'2',	1408,	'Y'),
(7088,	'3',	1408,	'Y'),
(7089,	'4',	1408,	'Y'),
(7090,	'2',	1409,	'Y'),
(7091,	'3',	1409,	'Y'),
(7092,	'4',	1409,	'Y'),
(7093,	'2',	1410,	'Y'),
(7094,	'3',	1410,	'Y'),
(7095,	'4',	1410,	'Y'),
(7096,	'2',	1411,	'Y'),
(7097,	'3',	1411,	'Y'),
(7098,	'4',	1411,	'Y'),
(7099,	'2',	1412,	'Y'),
(7100,	'3',	1412,	'Y'),
(7101,	'4',	1412,	'Y'),
(7102,	'2',	1413,	'Y'),
(7103,	'3',	1413,	'Y'),
(7104,	'4',	1413,	'Y'),
(7105,	'2',	1414,	'Y'),
(7106,	'3',	1414,	'Y'),
(7107,	'4',	1414,	'Y'),
(7108,	'2',	1415,	'Y'),
(7109,	'3',	1415,	'Y'),
(7110,	'4',	1415,	'Y'),
(7111,	'2',	1416,	'Y'),
(7112,	'3',	1416,	'Y'),
(7113,	'4',	1416,	'Y'),
(7114,	'2',	1417,	'Y'),
(7115,	'3',	1417,	'Y'),
(7116,	'4',	1417,	'Y'),
(7117,	'2',	1418,	'Y'),
(7118,	'3',	1418,	'Y'),
(7119,	'4',	1418,	'Y'),
(7120,	'2',	1419,	'Y'),
(7121,	'3',	1419,	'Y'),
(7122,	'4',	1419,	'Y'),
(7123,	'2',	1420,	'Y'),
(7124,	'3',	1420,	'Y'),
(7125,	'4',	1420,	'Y'),
(7126,	'2',	1421,	'Y'),
(7127,	'3',	1421,	'Y'),
(7128,	'4',	1421,	'Y'),
(7129,	'2',	1422,	'Y'),
(7130,	'3',	1422,	'Y'),
(7131,	'4',	1422,	'Y'),
(7132,	'2',	1423,	'Y'),
(7133,	'3',	1423,	'Y'),
(7134,	'4',	1423,	'Y'),
(7135,	'2',	1424,	'Y'),
(7136,	'3',	1424,	'Y'),
(7137,	'4',	1424,	'Y'),
(7138,	'2',	1425,	'Y'),
(7139,	'3',	1425,	'Y'),
(7140,	'4',	1425,	'Y'),
(7141,	'2',	1426,	'Y'),
(7142,	'3',	1426,	'Y'),
(7143,	'4',	1426,	'Y'),
(7144,	'2',	1427,	'Y'),
(7145,	'3',	1427,	'Y'),
(7146,	'4',	1427,	'Y'),
(7147,	'24',	1428,	'Y'),
(7148,	'2',	1428,	'Y'),
(7149,	'3',	1428,	'Y'),
(7150,	'4',	1428,	'Y'),
(7151,	'24',	1429,	'Y'),
(7152,	'2',	1429,	'Y'),
(7153,	'3',	1429,	'Y'),
(7154,	'4',	1429,	'Y'),
(7155,	'24',	1430,	'Y'),
(7156,	'2',	1430,	'Y'),
(7157,	'3',	1430,	'Y'),
(7158,	'4',	1430,	'Y'),
(7159,	'6',	1431,	'Y'),
(7160,	'23',	1431,	'Y'),
(7161,	'24',	1431,	'Y'),
(7162,	'1',	1431,	'Y'),
(7163,	'2',	1431,	'Y'),
(7164,	'3',	1431,	'Y'),
(7165,	'22',	1431,	'Y'),
(7166,	'4',	1431,	'Y'),
(7167,	'6',	1432,	'Y'),
(7168,	'23',	1432,	'Y'),
(7169,	'24',	1432,	'Y'),
(7170,	'1',	1432,	'Y'),
(7171,	'2',	1432,	'Y'),
(7172,	'3',	1432,	'Y'),
(7173,	'22',	1432,	'Y'),
(7174,	'4',	1432,	'Y'),
(7175,	'6',	1433,	'Y'),
(7176,	'23',	1433,	'Y'),
(7177,	'24',	1433,	'Y'),
(7178,	'1',	1433,	'Y'),
(7179,	'2',	1433,	'Y'),
(7180,	'3',	1433,	'Y'),
(7181,	'22',	1433,	'Y'),
(7182,	'4',	1433,	'Y'),
(7183,	'2',	1434,	'Y'),
(7184,	'3',	1434,	'Y'),
(7185,	'4',	1434,	'Y'),
(7186,	'6',	1435,	'Y'),
(7187,	'23',	1435,	'Y'),
(7188,	'24',	1435,	'Y'),
(7189,	'1',	1435,	'Y'),
(7190,	'2',	1435,	'Y'),
(7191,	'3',	1435,	'Y'),
(7192,	'22',	1435,	'Y'),
(7193,	'4',	1435,	'Y'),
(7194,	'6',	1436,	'Y'),
(7195,	'23',	1436,	'Y'),
(7196,	'24',	1436,	'Y'),
(7197,	'1',	1436,	'Y'),
(7198,	'2',	1436,	'Y'),
(7199,	'3',	1436,	'Y'),
(7200,	'22',	1436,	'Y'),
(7201,	'4',	1436,	'Y'),
(7202,	'6',	1437,	'Y'),
(7203,	'23',	1437,	'Y'),
(7204,	'24',	1437,	'Y'),
(7205,	'1',	1437,	'Y'),
(7206,	'2',	1437,	'Y'),
(7207,	'3',	1437,	'Y'),
(7208,	'22',	1437,	'Y'),
(7209,	'4',	1437,	'Y'),
(7210,	'6',	1438,	'Y'),
(7211,	'23',	1438,	'Y'),
(7212,	'24',	1438,	'Y'),
(7213,	'1',	1438,	'Y'),
(7214,	'2',	1438,	'Y'),
(7215,	'3',	1438,	'Y'),
(7216,	'22',	1438,	'Y'),
(7217,	'4',	1438,	'Y'),
(7218,	'5',	1439,	'Y'),
(7219,	'6',	1439,	'Y'),
(7220,	'23',	1439,	'Y'),
(7221,	'24',	1439,	'Y'),
(7222,	'1',	1439,	'Y'),
(7223,	'2',	1439,	'Y'),
(7224,	'3',	1439,	'Y'),
(7225,	'22',	1439,	'Y'),
(7226,	'4',	1439,	'Y'),
(7227,	'33',	1440,	'Y'),
(7228,	'6',	1440,	'Y'),
(7229,	'23',	1440,	'Y'),
(7230,	'24',	1440,	'Y'),
(7231,	'1',	1440,	'Y'),
(7232,	'2',	1440,	'Y'),
(7233,	'3',	1440,	'Y'),
(7234,	'22',	1440,	'Y'),
(7235,	'4',	1440,	'Y'),
(7236,	'2',	1441,	'Y'),
(7237,	'3',	1441,	'Y'),
(7238,	'4',	1441,	'Y'),
(7239,	'6',	1442,	'Y'),
(7240,	'23',	1442,	'Y'),
(7241,	'24',	1442,	'Y'),
(7242,	'1',	1442,	'Y'),
(7243,	'2',	1442,	'Y'),
(7244,	'3',	1442,	'Y'),
(7245,	'22',	1442,	'Y'),
(7246,	'4',	1442,	'Y'),
(7247,	'6',	1443,	'Y'),
(7248,	'23',	1443,	'Y'),
(7249,	'24',	1443,	'Y'),
(7250,	'1',	1443,	'Y'),
(7251,	'2',	1443,	'Y'),
(7252,	'3',	1443,	'Y'),
(7253,	'22',	1443,	'Y'),
(7254,	'4',	1443,	'Y'),
(7255,	'2',	1444,	'Y'),
(7256,	'3',	1444,	'Y'),
(7257,	'4',	1444,	'Y'),
(7258,	'6',	1445,	'Y'),
(7259,	'23',	1445,	'Y'),
(7260,	'24',	1445,	'Y'),
(7261,	'1',	1445,	'Y'),
(7262,	'2',	1445,	'Y'),
(7263,	'3',	1445,	'Y'),
(7264,	'22',	1445,	'Y'),
(7265,	'4',	1445,	'Y'),
(7266,	'6',	1446,	'Y'),
(7267,	'23',	1446,	'Y'),
(7268,	'24',	1446,	'Y'),
(7269,	'1',	1446,	'Y'),
(7270,	'2',	1446,	'Y'),
(7271,	'3',	1446,	'Y'),
(7272,	'22',	1446,	'Y'),
(7273,	'4',	1446,	'Y'),
(7274,	'33',	1447,	'Y'),
(7275,	'6',	1447,	'Y'),
(7276,	'23',	1447,	'Y'),
(7277,	'24',	1447,	'Y'),
(7278,	'1',	1447,	'Y'),
(7279,	'2',	1447,	'Y'),
(7280,	'3',	1447,	'Y'),
(7281,	'22',	1447,	'Y'),
(7282,	'4',	1447,	'Y'),
(7283,	'33',	1448,	'Y'),
(7284,	'6',	1448,	'Y'),
(7285,	'23',	1448,	'Y'),
(7286,	'24',	1448,	'Y'),
(7287,	'1',	1448,	'Y'),
(7288,	'2',	1448,	'Y'),
(7289,	'3',	1448,	'Y'),
(7290,	'22',	1448,	'Y'),
(7291,	'4',	1448,	'Y'),
(7292,	'2',	1449,	'Y'),
(7293,	'3',	1449,	'Y'),
(7294,	'4',	1449,	'Y'),
(7295,	'33',	1450,	'Y'),
(7296,	'6',	1450,	'Y'),
(7297,	'23',	1450,	'Y'),
(7298,	'24',	1450,	'Y'),
(7299,	'1',	1450,	'Y'),
(7300,	'2',	1450,	'Y'),
(7301,	'3',	1450,	'Y'),
(7302,	'22',	1450,	'Y'),
(7303,	'4',	1450,	'Y'),
(7304,	'6',	1451,	'Y'),
(7305,	'23',	1451,	'Y'),
(7306,	'24',	1451,	'Y'),
(7307,	'1',	1451,	'Y'),
(7308,	'2',	1451,	'Y'),
(7309,	'3',	1451,	'Y'),
(7310,	'22',	1451,	'Y'),
(7311,	'4',	1451,	'Y'),
(7312,	'33',	1452,	'Y'),
(7313,	'6',	1452,	'Y'),
(7314,	'23',	1452,	'Y'),
(7315,	'24',	1452,	'Y'),
(7316,	'1',	1452,	'Y'),
(7317,	'2',	1452,	'Y'),
(7318,	'3',	1452,	'Y'),
(7319,	'22',	1452,	'Y'),
(7320,	'4',	1452,	'Y'),
(7321,	'2',	1453,	'Y'),
(7322,	'3',	1453,	'Y'),
(7323,	'4',	1453,	'Y'),
(7324,	'33',	1454,	'Y'),
(7325,	'6',	1454,	'Y'),
(7326,	'23',	1454,	'Y'),
(7327,	'24',	1454,	'Y'),
(7328,	'1',	1454,	'Y'),
(7329,	'2',	1454,	'Y'),
(7330,	'3',	1454,	'Y'),
(7331,	'22',	1454,	'Y'),
(7332,	'4',	1454,	'Y'),
(7333,	'2',	1455,	'Y'),
(7334,	'3',	1455,	'Y'),
(7335,	'4',	1455,	'Y'),
(7336,	'2',	1456,	'Y'),
(7337,	'3',	1456,	'Y'),
(7338,	'4',	1456,	'Y'),
(7339,	'2',	1457,	'Y'),
(7340,	'3',	1457,	'Y'),
(7341,	'4',	1457,	'Y'),
(7342,	'6',	1458,	'Y'),
(7343,	'23',	1458,	'Y'),
(7344,	'24',	1458,	'Y'),
(7345,	'1',	1458,	'Y'),
(7346,	'2',	1458,	'Y'),
(7347,	'3',	1458,	'Y'),
(7348,	'22',	1458,	'Y'),
(7349,	'4',	1458,	'Y'),
(7350,	'2',	1459,	'Y'),
(7351,	'3',	1459,	'Y'),
(7352,	'4',	1459,	'Y'),
(7353,	'2',	1460,	'Y'),
(7354,	'3',	1460,	'Y'),
(7355,	'4',	1460,	'Y'),
(7356,	'33',	1461,	'Y'),
(7357,	'6',	1461,	'Y'),
(7358,	'23',	1461,	'Y'),
(7359,	'24',	1461,	'Y'),
(7360,	'1',	1461,	'Y'),
(7361,	'2',	1461,	'Y'),
(7362,	'3',	1461,	'Y'),
(7363,	'22',	1461,	'Y'),
(7364,	'4',	1461,	'Y'),
(7365,	'6',	1462,	'Y'),
(7366,	'23',	1462,	'Y'),
(7367,	'24',	1462,	'Y'),
(7368,	'1',	1462,	'Y'),
(7369,	'2',	1462,	'Y'),
(7370,	'3',	1462,	'Y'),
(7371,	'22',	1462,	'Y'),
(7372,	'4',	1462,	'Y'),
(7373,	'6',	1463,	'Y'),
(7374,	'23',	1463,	'Y'),
(7375,	'24',	1463,	'Y'),
(7376,	'1',	1463,	'Y'),
(7377,	'2',	1463,	'Y'),
(7378,	'3',	1463,	'Y'),
(7379,	'22',	1463,	'Y'),
(7380,	'4',	1463,	'Y'),
(7381,	'2',	1464,	'Y'),
(7382,	'3',	1464,	'Y'),
(7383,	'4',	1464,	'Y'),
(7384,	'2',	1465,	'Y'),
(7385,	'3',	1465,	'Y'),
(7386,	'4',	1465,	'Y'),
(7387,	'2',	1466,	'Y'),
(7388,	'3',	1466,	'Y'),
(7389,	'4',	1466,	'Y'),
(7390,	'2',	1467,	'Y'),
(7391,	'3',	1467,	'Y'),
(7392,	'4',	1467,	'Y'),
(7393,	'2',	1468,	'Y'),
(7394,	'3',	1468,	'Y'),
(7395,	'4',	1468,	'Y'),
(7396,	'2',	1469,	'Y'),
(7397,	'3',	1469,	'Y'),
(7398,	'4',	1469,	'Y'),
(7399,	'2',	1470,	'Y'),
(7400,	'3',	1470,	'Y'),
(7401,	'4',	1470,	'Y'),
(7402,	'2',	1471,	'Y'),
(7403,	'3',	1471,	'Y'),
(7404,	'4',	1471,	'Y'),
(7405,	'2',	1472,	'Y'),
(7406,	'3',	1472,	'Y'),
(7407,	'4',	1472,	'Y'),
(7408,	'2',	1473,	'Y'),
(7409,	'3',	1473,	'Y'),
(7410,	'4',	1473,	'Y'),
(7411,	'23',	1474,	'Y'),
(7412,	'2',	1474,	'Y'),
(7413,	'3',	1474,	'Y'),
(7414,	'4',	1474,	'Y'),
(7415,	'23',	1475,	'Y'),
(7416,	'2',	1475,	'Y'),
(7417,	'3',	1475,	'Y'),
(7418,	'4',	1475,	'Y'),
(7419,	'2',	1476,	'Y'),
(7420,	'3',	1476,	'Y'),
(7421,	'4',	1476,	'Y'),
(7422,	'2',	1477,	'Y'),
(7423,	'3',	1477,	'Y'),
(7424,	'4',	1477,	'Y'),
(7425,	'2',	1478,	'Y'),
(7426,	'3',	1478,	'Y'),
(7427,	'4',	1478,	'Y'),
(7428,	'2',	1479,	'Y'),
(7429,	'3',	1479,	'Y'),
(7430,	'4',	1479,	'Y'),
(7431,	'2',	1480,	'Y'),
(7432,	'3',	1480,	'Y'),
(7433,	'4',	1480,	'Y'),
(7434,	'2',	1481,	'Y'),
(7435,	'3',	1481,	'Y'),
(7436,	'4',	1481,	'Y'),
(7437,	'2',	1482,	'Y'),
(7438,	'3',	1482,	'Y'),
(7439,	'4',	1482,	'Y'),
(7440,	'2',	1483,	'Y'),
(7441,	'3',	1483,	'Y'),
(7442,	'4',	1483,	'Y'),
(7443,	'2',	1484,	'Y'),
(7444,	'3',	1484,	'Y'),
(7445,	'4',	1484,	'Y'),
(7446,	'2',	1485,	'Y'),
(7447,	'3',	1485,	'Y'),
(7448,	'4',	1485,	'Y'),
(7449,	'2',	1486,	'Y'),
(7450,	'3',	1486,	'Y'),
(7451,	'4',	1486,	'Y'),
(7452,	'2',	1487,	'Y'),
(7453,	'3',	1487,	'Y'),
(7454,	'4',	1487,	'Y'),
(7455,	'2',	1488,	'Y'),
(7456,	'3',	1488,	'Y'),
(7457,	'4',	1488,	'Y'),
(7458,	'2',	1489,	'Y'),
(7459,	'3',	1489,	'Y'),
(7460,	'4',	1489,	'Y'),
(7461,	'2',	1490,	'Y'),
(7462,	'3',	1490,	'Y'),
(7463,	'4',	1490,	'Y'),
(7464,	'2',	1491,	'Y'),
(7465,	'3',	1491,	'Y'),
(7466,	'4',	1491,	'Y'),
(7467,	'2',	1492,	'Y'),
(7468,	'3',	1492,	'Y'),
(7469,	'4',	1492,	'Y'),
(7470,	'23',	1493,	'Y'),
(7471,	'2',	1493,	'Y'),
(7472,	'3',	1493,	'Y'),
(7473,	'4',	1493,	'Y'),
(7474,	'2',	1494,	'Y'),
(7475,	'3',	1494,	'Y'),
(7476,	'4',	1494,	'Y'),
(7477,	'5',	1495,	'Y'),
(7478,	'6',	1495,	'Y'),
(7479,	'23',	1495,	'Y'),
(7480,	'24',	1495,	'Y'),
(7481,	'1',	1495,	'Y'),
(7482,	'2',	1495,	'Y'),
(7483,	'3',	1495,	'Y'),
(7484,	'22',	1495,	'Y'),
(7485,	'4',	1495,	'Y'),
(7486,	'23',	1496,	'Y'),
(7487,	'2',	1496,	'Y'),
(7488,	'3',	1496,	'Y'),
(7489,	'4',	1496,	'Y'),
(7490,	'23',	1497,	'Y'),
(7491,	'2',	1497,	'Y'),
(7492,	'3',	1497,	'Y'),
(7493,	'4',	1497,	'Y'),
(7494,	'23',	1498,	'Y'),
(7495,	'2',	1498,	'Y'),
(7496,	'3',	1498,	'Y'),
(7497,	'4',	1498,	'Y'),
(7498,	'2',	1499,	'Y'),
(7499,	'3',	1499,	'Y'),
(7500,	'4',	1499,	'Y'),
(7501,	'2',	1500,	'Y'),
(7502,	'3',	1500,	'Y'),
(7503,	'4',	1500,	'Y'),
(7504,	'2',	1501,	'Y'),
(7505,	'3',	1501,	'Y'),
(7506,	'4',	1501,	'Y'),
(7507,	'6',	1502,	'Y'),
(7508,	'23',	1502,	'Y'),
(7509,	'24',	1502,	'Y'),
(7510,	'1',	1502,	'Y'),
(7511,	'2',	1502,	'Y'),
(7512,	'3',	1502,	'Y'),
(7513,	'22',	1502,	'Y'),
(7514,	'4',	1502,	'Y'),
(7515,	'6',	1503,	'Y'),
(7516,	'23',	1503,	'Y'),
(7517,	'24',	1503,	'Y'),
(7518,	'1',	1503,	'Y'),
(7519,	'2',	1503,	'Y'),
(7520,	'3',	1503,	'Y'),
(7521,	'22',	1503,	'Y'),
(7522,	'4',	1503,	'Y'),
(7523,	'2',	1504,	'Y'),
(7524,	'3',	1504,	'Y'),
(7525,	'4',	1504,	'Y'),
(7526,	'2',	1505,	'Y'),
(7527,	'3',	1505,	'Y'),
(7528,	'4',	1505,	'Y'),
(7529,	'6',	1506,	'Y'),
(7530,	'23',	1506,	'Y'),
(7531,	'24',	1506,	'Y'),
(7532,	'1',	1506,	'Y'),
(7533,	'2',	1506,	'Y'),
(7534,	'3',	1506,	'Y'),
(7535,	'22',	1506,	'Y'),
(7536,	'4',	1506,	'Y'),
(7537,	'6',	1507,	'Y'),
(7538,	'23',	1507,	'Y'),
(7539,	'24',	1507,	'Y'),
(7540,	'1',	1507,	'Y'),
(7541,	'2',	1507,	'Y'),
(7542,	'3',	1507,	'Y'),
(7543,	'22',	1507,	'Y'),
(7544,	'4',	1507,	'Y'),
(7545,	'2',	1508,	'Y'),
(7546,	'3',	1508,	'Y'),
(7547,	'4',	1508,	'Y'),
(7548,	'2',	1509,	'Y'),
(7549,	'3',	1509,	'Y'),
(7550,	'4',	1509,	'Y'),
(7551,	'2',	1510,	'Y'),
(7552,	'3',	1510,	'Y'),
(7553,	'4',	1510,	'Y'),
(7554,	'2',	1511,	'Y'),
(7555,	'3',	1511,	'Y'),
(7556,	'4',	1511,	'Y'),
(7557,	'5',	1512,	'Y'),
(7558,	'6',	1512,	'Y'),
(7559,	'23',	1512,	'Y'),
(7560,	'24',	1512,	'Y'),
(7561,	'1',	1512,	'Y'),
(7562,	'2',	1512,	'Y'),
(7563,	'3',	1512,	'Y'),
(7564,	'22',	1512,	'Y'),
(7565,	'4',	1512,	'Y'),
(7566,	'5',	1513,	'Y'),
(7567,	'6',	1513,	'Y'),
(7568,	'23',	1513,	'Y'),
(7569,	'24',	1513,	'Y'),
(7570,	'1',	1513,	'Y'),
(7571,	'2',	1513,	'Y'),
(7572,	'3',	1513,	'Y'),
(7573,	'22',	1513,	'Y'),
(7574,	'4',	1513,	'Y'),
(7575,	'2',	1514,	'Y'),
(7576,	'3',	1514,	'Y'),
(7577,	'4',	1514,	'Y'),
(7578,	'5',	1515,	'Y'),
(7579,	'6',	1515,	'Y'),
(7580,	'23',	1515,	'Y'),
(7581,	'24',	1515,	'Y'),
(7582,	'1',	1515,	'Y'),
(7583,	'2',	1515,	'Y'),
(7584,	'3',	1515,	'Y'),
(7585,	'22',	1515,	'Y'),
(7586,	'4',	1515,	'Y'),
(7587,	'5',	1516,	'Y'),
(7588,	'6',	1516,	'Y'),
(7589,	'23',	1516,	'Y'),
(7590,	'24',	1516,	'Y'),
(7591,	'1',	1516,	'Y'),
(7592,	'2',	1516,	'Y'),
(7593,	'3',	1516,	'Y'),
(7594,	'22',	1516,	'Y'),
(7595,	'4',	1516,	'Y'),
(7596,	'5',	1517,	'Y'),
(7597,	'6',	1517,	'Y'),
(7598,	'23',	1517,	'Y'),
(7599,	'24',	1517,	'Y'),
(7600,	'1',	1517,	'Y'),
(7601,	'2',	1517,	'Y'),
(7602,	'3',	1517,	'Y'),
(7603,	'22',	1517,	'Y'),
(7604,	'4',	1517,	'Y'),
(7605,	'2',	1518,	'Y'),
(7606,	'3',	1518,	'Y'),
(7607,	'4',	1518,	'Y'),
(7608,	'2',	1519,	'Y'),
(7609,	'3',	1519,	'Y'),
(7610,	'4',	1519,	'Y'),
(7611,	'2',	1520,	'Y'),
(7612,	'3',	1520,	'Y'),
(7613,	'4',	1520,	'Y'),
(7614,	'2',	1521,	'Y'),
(7615,	'3',	1521,	'Y'),
(7616,	'4',	1521,	'Y'),
(7617,	'2',	1522,	'Y'),
(7618,	'3',	1522,	'Y'),
(7619,	'4',	1522,	'Y'),
(7620,	'2',	1523,	'Y'),
(7621,	'3',	1523,	'Y'),
(7622,	'4',	1523,	'Y'),
(7623,	'2',	1524,	'Y'),
(7624,	'3',	1524,	'Y'),
(7625,	'4',	1524,	'Y'),
(7626,	'2',	1525,	'Y'),
(7627,	'3',	1525,	'Y'),
(7628,	'4',	1525,	'Y'),
(7629,	'2',	1526,	'Y'),
(7630,	'3',	1526,	'Y'),
(7631,	'4',	1526,	'Y'),
(7632,	'6',	1527,	'Y'),
(7633,	'23',	1527,	'Y'),
(7634,	'24',	1527,	'Y'),
(7635,	'1',	1527,	'Y'),
(7636,	'2',	1527,	'Y'),
(7637,	'3',	1527,	'Y'),
(7638,	'22',	1527,	'Y'),
(7639,	'4',	1527,	'Y'),
(7640,	'2',	1528,	'Y'),
(7641,	'3',	1528,	'Y'),
(7642,	'4',	1528,	'Y'),
(7643,	'6',	1529,	'Y'),
(7644,	'23',	1529,	'Y'),
(7645,	'24',	1529,	'Y'),
(7646,	'1',	1529,	'Y'),
(7647,	'2',	1529,	'Y'),
(7648,	'3',	1529,	'Y'),
(7649,	'22',	1529,	'Y'),
(7650,	'4',	1529,	'Y'),
(7651,	'5',	1530,	'Y'),
(7652,	'6',	1530,	'Y'),
(7653,	'23',	1530,	'Y'),
(7654,	'24',	1530,	'Y'),
(7655,	'1',	1530,	'Y'),
(7656,	'2',	1530,	'Y'),
(7657,	'3',	1530,	'Y'),
(7658,	'22',	1530,	'Y'),
(7659,	'4',	1530,	'Y'),
(7660,	'2',	1531,	'Y'),
(7661,	'3',	1531,	'Y'),
(7662,	'4',	1531,	'Y'),
(7663,	'5',	1532,	'Y'),
(7664,	'6',	1532,	'Y'),
(7665,	'23',	1532,	'Y'),
(7666,	'24',	1532,	'Y'),
(7667,	'1',	1532,	'Y'),
(7668,	'2',	1532,	'Y'),
(7669,	'3',	1532,	'Y'),
(7670,	'22',	1532,	'Y'),
(7671,	'4',	1532,	'Y'),
(7672,	'2',	1533,	'Y'),
(7673,	'3',	1533,	'Y'),
(7674,	'4',	1533,	'Y'),
(7675,	'2',	1534,	'Y'),
(7676,	'3',	1534,	'Y'),
(7677,	'4',	1534,	'Y'),
(7678,	'5',	1535,	'Y'),
(7679,	'2',	1535,	'Y'),
(7680,	'3',	1535,	'Y'),
(7681,	'4',	1535,	'Y'),
(7682,	'5',	1536,	'Y'),
(7683,	'6',	1536,	'Y'),
(7684,	'23',	1536,	'Y'),
(7685,	'24',	1536,	'Y'),
(7686,	'1',	1536,	'Y'),
(7687,	'2',	1536,	'Y'),
(7688,	'3',	1536,	'Y'),
(7689,	'22',	1536,	'Y'),
(7690,	'4',	1536,	'Y'),
(7691,	'5',	1537,	'Y'),
(7692,	'6',	1537,	'Y'),
(7693,	'23',	1537,	'Y'),
(7694,	'24',	1537,	'Y'),
(7695,	'1',	1537,	'Y'),
(7696,	'2',	1537,	'Y'),
(7697,	'3',	1537,	'Y'),
(7698,	'22',	1537,	'Y'),
(7699,	'4',	1537,	'Y'),
(7700,	'2',	1538,	'Y'),
(7701,	'3',	1538,	'Y'),
(7702,	'4',	1538,	'Y'),
(7703,	'5',	1539,	'Y'),
(7704,	'6',	1539,	'Y'),
(7705,	'23',	1539,	'Y'),
(7706,	'24',	1539,	'Y'),
(7707,	'1',	1539,	'Y'),
(7708,	'2',	1539,	'Y'),
(7709,	'3',	1539,	'Y'),
(7710,	'22',	1539,	'Y'),
(7711,	'4',	1539,	'Y'),
(7712,	'2',	1540,	'Y'),
(7713,	'3',	1540,	'Y'),
(7714,	'4',	1540,	'Y'),
(7715,	'5',	1541,	'Y'),
(7716,	'6',	1541,	'Y'),
(7717,	'23',	1541,	'Y'),
(7718,	'24',	1541,	'Y'),
(7719,	'1',	1541,	'Y'),
(7720,	'2',	1541,	'Y'),
(7721,	'3',	1541,	'Y'),
(7722,	'22',	1541,	'Y'),
(7723,	'4',	1541,	'Y'),
(7724,	'23',	1542,	'Y'),
(7725,	'1',	1542,	'Y'),
(7726,	'2',	1542,	'Y'),
(7727,	'3',	1542,	'Y'),
(7728,	'4',	1542,	'Y'),
(7729,	'6',	1543,	'Y'),
(7730,	'23',	1543,	'Y'),
(7731,	'2',	1543,	'Y'),
(7732,	'3',	1543,	'Y'),
(7733,	'4',	1543,	'Y'),
(7734,	'6',	1544,	'Y'),
(7735,	'23',	1544,	'Y'),
(7736,	'2',	1544,	'Y'),
(7737,	'3',	1544,	'Y'),
(7738,	'4',	1544,	'Y'),
(7739,	'6',	1545,	'Y'),
(7740,	'23',	1545,	'Y'),
(7741,	'2',	1545,	'Y'),
(7742,	'3',	1545,	'Y'),
(7743,	'4',	1545,	'Y'),
(7744,	'23',	1546,	'Y'),
(7745,	'2',	1546,	'Y'),
(7746,	'3',	1546,	'Y'),
(7747,	'4',	1546,	'Y'),
(7748,	'2',	1547,	'Y'),
(7749,	'3',	1547,	'Y'),
(7750,	'4',	1547,	'Y'),
(7751,	'6',	1548,	'Y'),
(7752,	'23',	1548,	'Y'),
(7753,	'2',	1548,	'Y'),
(7754,	'3',	1548,	'Y'),
(7755,	'4',	1548,	'Y'),
(7756,	'2',	1549,	'Y'),
(7757,	'3',	1549,	'Y'),
(7758,	'4',	1549,	'Y'),
(7759,	'2',	1550,	'Y'),
(7760,	'3',	1550,	'Y'),
(7761,	'4',	1550,	'Y'),
(7762,	'2',	1551,	'Y'),
(7763,	'3',	1551,	'Y'),
(7764,	'4',	1551,	'Y'),
(7765,	'2',	1552,	'Y'),
(7766,	'3',	1552,	'Y'),
(7767,	'4',	1552,	'Y'),
(7768,	'2',	1553,	'Y'),
(7769,	'3',	1553,	'Y'),
(7770,	'4',	1553,	'Y'),
(7771,	'2',	1554,	'Y'),
(7772,	'3',	1554,	'Y'),
(7773,	'4',	1554,	'Y'),
(7774,	'2',	1555,	'Y'),
(7775,	'3',	1555,	'Y'),
(7776,	'4',	1555,	'Y'),
(7777,	'2',	1556,	'Y'),
(7778,	'3',	1556,	'Y'),
(7779,	'4',	1556,	'Y'),
(7780,	'2',	1557,	'Y'),
(7781,	'3',	1557,	'Y'),
(7782,	'4',	1557,	'Y'),
(7783,	'2',	1558,	'Y'),
(7784,	'3',	1558,	'Y'),
(7785,	'4',	1558,	'Y'),
(7786,	'2',	1559,	'Y'),
(7787,	'3',	1559,	'Y'),
(7788,	'4',	1559,	'Y'),
(7789,	'2',	1560,	'Y'),
(7790,	'3',	1560,	'Y'),
(7791,	'4',	1560,	'Y'),
(7792,	'2',	1561,	'Y'),
(7793,	'3',	1561,	'Y'),
(7794,	'4',	1561,	'Y'),
(7795,	'2',	1562,	'Y'),
(7796,	'3',	1562,	'Y'),
(7797,	'4',	1562,	'Y'),
(7798,	'105',	1563,	'Y'),
(7799,	'106',	1563,	'Y'),
(7800,	'71',	1563,	'Y'),
(7801,	'107',	1563,	'Y'),
(7802,	'108',	1563,	'Y'),
(7803,	'60',	1563,	'Y'),
(7804,	'109',	1563,	'Y'),
(7805,	'110',	1563,	'Y'),
(7806,	'111',	1563,	'Y'),
(7807,	'2',	1563,	'Y'),
(7808,	'3',	1563,	'Y'),
(7809,	'4',	1563,	'Y'),
(7810,	'2',	1564,	'Y'),
(7811,	'3',	1564,	'Y'),
(7812,	'4',	1564,	'Y'),
(7813,	'2',	1565,	'Y'),
(7814,	'3',	1565,	'Y'),
(7815,	'4',	1565,	'Y'),
(7816,	'2',	1566,	'Y'),
(7817,	'3',	1566,	'Y'),
(7818,	'4',	1566,	'Y'),
(7819,	'2',	1567,	'Y'),
(7820,	'3',	1567,	'Y'),
(7821,	'4',	1567,	'Y'),
(7822,	'2',	1568,	'Y'),
(7823,	'3',	1568,	'Y'),
(7824,	'4',	1568,	'Y'),
(7825,	'2',	1569,	'Y'),
(7826,	'3',	1569,	'Y'),
(7827,	'4',	1569,	'Y'),
(7828,	'75',	1570,	'Y'),
(7829,	'73',	1570,	'Y'),
(7830,	'74',	1570,	'Y'),
(7831,	'2',	1570,	'Y'),
(7832,	'3',	1570,	'Y'),
(7833,	'4',	1570,	'Y'),
(7834,	'2',	1571,	'Y'),
(7835,	'3',	1571,	'Y'),
(7836,	'4',	1571,	'Y'),
(7837,	'105',	1572,	'Y'),
(7838,	'71',	1572,	'Y'),
(7839,	'109',	1572,	'Y'),
(7840,	'110',	1572,	'Y'),
(7841,	'111',	1572,	'Y'),
(7842,	'2',	1572,	'Y'),
(7843,	'3',	1572,	'Y'),
(7844,	'4',	1572,	'Y'),
(7845,	'2',	1573,	'Y'),
(7846,	'3',	1573,	'Y'),
(7847,	'4',	1573,	'Y'),
(7848,	'2',	1574,	'Y'),
(7849,	'3',	1574,	'Y'),
(7850,	'4',	1574,	'Y'),
(7851,	'2',	1575,	'Y'),
(7852,	'3',	1575,	'Y'),
(7853,	'4',	1575,	'Y'),
(7854,	'5',	1576,	'Y'),
(7855,	'6',	1576,	'Y'),
(7856,	'23',	1576,	'Y'),
(7857,	'24',	1576,	'Y'),
(7858,	'1',	1576,	'Y'),
(7859,	'2',	1576,	'Y'),
(7860,	'3',	1576,	'Y'),
(7861,	'22',	1576,	'Y'),
(7862,	'4',	1576,	'Y'),
(7863,	'5',	1577,	'Y'),
(7864,	'6',	1577,	'Y'),
(7865,	'23',	1577,	'Y'),
(7866,	'24',	1577,	'Y'),
(7867,	'1',	1577,	'Y'),
(7868,	'2',	1577,	'Y'),
(7869,	'3',	1577,	'Y'),
(7870,	'22',	1577,	'Y'),
(7871,	'4',	1577,	'Y'),
(7872,	'2',	1578,	'Y'),
(7873,	'3',	1578,	'Y'),
(7874,	'4',	1578,	'Y'),
(7875,	'5',	1579,	'Y'),
(7876,	'6',	1579,	'Y'),
(7877,	'23',	1579,	'Y'),
(7878,	'24',	1579,	'Y'),
(7879,	'1',	1579,	'Y'),
(7880,	'2',	1579,	'Y'),
(7881,	'3',	1579,	'Y'),
(7882,	'22',	1579,	'Y'),
(7883,	'4',	1579,	'Y'),
(7884,	'5',	1580,	'Y'),
(7885,	'6',	1580,	'Y'),
(7886,	'23',	1580,	'Y'),
(7887,	'24',	1580,	'Y'),
(7888,	'1',	1580,	'Y'),
(7889,	'2',	1580,	'Y'),
(7890,	'3',	1580,	'Y'),
(7891,	'22',	1580,	'Y'),
(7892,	'4',	1580,	'Y'),
(7893,	'5',	1581,	'Y'),
(7894,	'6',	1581,	'Y'),
(7895,	'23',	1581,	'Y'),
(7896,	'24',	1581,	'Y'),
(7897,	'1',	1581,	'Y'),
(7898,	'2',	1581,	'Y'),
(7899,	'3',	1581,	'Y'),
(7900,	'22',	1581,	'Y'),
(7901,	'4',	1581,	'Y'),
(7902,	'2',	1582,	'Y'),
(7903,	'3',	1582,	'Y'),
(7904,	'4',	1582,	'Y'),
(7905,	'5',	1583,	'Y'),
(7906,	'6',	1583,	'Y'),
(7907,	'23',	1583,	'Y'),
(7908,	'24',	1583,	'Y'),
(7909,	'1',	1583,	'Y'),
(7910,	'2',	1583,	'Y'),
(7911,	'3',	1583,	'Y'),
(7912,	'22',	1583,	'Y'),
(7913,	'4',	1583,	'Y'),
(7914,	'2',	1584,	'Y'),
(7915,	'3',	1584,	'Y'),
(7916,	'4',	1584,	'Y'),
(7917,	'5',	1585,	'Y'),
(7918,	'6',	1585,	'Y'),
(7919,	'23',	1585,	'Y'),
(7920,	'24',	1585,	'Y'),
(7921,	'1',	1585,	'Y'),
(7922,	'22',	1585,	'Y'),
(7923,	'5',	1586,	'Y'),
(7924,	'6',	1586,	'Y'),
(7925,	'23',	1586,	'Y'),
(7926,	'24',	1586,	'Y'),
(7927,	'1',	1586,	'Y'),
(7928,	'2',	1586,	'Y'),
(7929,	'3',	1586,	'Y'),
(7930,	'22',	1586,	'Y'),
(7931,	'4',	1586,	'Y'),
(7932,	'5',	1587,	'Y'),
(7933,	'33',	1587,	'Y'),
(7934,	'35',	1587,	'Y'),
(7935,	'37',	1587,	'Y'),
(7936,	'6',	1587,	'Y'),
(7937,	'23',	1587,	'Y'),
(7938,	'24',	1587,	'Y'),
(7939,	'1',	1587,	'Y'),
(7940,	'2',	1587,	'Y'),
(7941,	'3',	1587,	'Y'),
(7942,	'4',	1587,	'Y'),
(7943,	'5',	1588,	'Y'),
(7944,	'6',	1588,	'Y'),
(7945,	'23',	1588,	'Y'),
(7946,	'24',	1588,	'Y'),
(7947,	'1',	1588,	'Y'),
(7948,	'2',	1588,	'Y'),
(7949,	'3',	1588,	'Y'),
(7950,	'22',	1588,	'Y'),
(7951,	'4',	1588,	'Y'),
(7952,	'2',	1589,	'Y'),
(7953,	'3',	1589,	'Y'),
(7954,	'4',	1589,	'Y'),
(7955,	'2',	1590,	'Y'),
(7956,	'3',	1590,	'Y'),
(7957,	'4',	1590,	'Y'),
(7958,	'5',	1591,	'Y'),
(7959,	'6',	1591,	'Y'),
(7960,	'23',	1591,	'Y'),
(7961,	'24',	1591,	'Y'),
(7962,	'1',	1591,	'Y'),
(7963,	'2',	1591,	'Y'),
(7964,	'3',	1591,	'Y'),
(7965,	'22',	1591,	'Y'),
(7966,	'4',	1591,	'Y'),
(7967,	'2',	1592,	'Y'),
(7968,	'3',	1592,	'Y'),
(7969,	'4',	1592,	'Y'),
(7970,	'2',	1593,	'Y'),
(7971,	'3',	1593,	'Y'),
(7972,	'4',	1593,	'Y'),
(7973,	'23',	1594,	'Y'),
(7974,	'2',	1594,	'Y'),
(7975,	'3',	1594,	'Y'),
(7976,	'4',	1594,	'Y'),
(7977,	'2',	1595,	'Y'),
(7978,	'3',	1595,	'Y'),
(7979,	'4',	1595,	'Y'),
(7980,	'5',	1596,	'Y'),
(7981,	'6',	1596,	'Y'),
(7982,	'23',	1596,	'Y'),
(7983,	'24',	1596,	'Y'),
(7984,	'1',	1596,	'Y'),
(7985,	'2',	1596,	'Y'),
(7986,	'3',	1596,	'Y'),
(7987,	'22',	1596,	'Y'),
(7988,	'4',	1596,	'Y'),
(7989,	'2',	1597,	'Y'),
(7990,	'3',	1597,	'Y'),
(7991,	'4',	1597,	'Y'),
(7992,	'2',	1598,	'Y'),
(7993,	'3',	1598,	'Y'),
(7994,	'4',	1598,	'Y'),
(7995,	'2',	1599,	'Y'),
(7996,	'3',	1599,	'Y'),
(7997,	'4',	1599,	'Y'),
(7998,	'2',	1600,	'Y'),
(7999,	'3',	1600,	'Y'),
(8000,	'4',	1600,	'Y'),
(8001,	'5',	1601,	'Y'),
(8002,	'6',	1601,	'Y'),
(8003,	'23',	1601,	'Y'),
(8004,	'24',	1601,	'Y'),
(8005,	'1',	1601,	'Y'),
(8006,	'2',	1601,	'Y'),
(8007,	'3',	1601,	'Y'),
(8008,	'22',	1601,	'Y'),
(8009,	'4',	1601,	'Y'),
(8010,	'2',	1602,	'Y'),
(8011,	'3',	1602,	'Y'),
(8012,	'4',	1602,	'Y'),
(8013,	'2',	1603,	'Y'),
(8014,	'3',	1603,	'Y'),
(8015,	'4',	1603,	'Y'),
(8016,	'2',	1604,	'Y'),
(8017,	'3',	1604,	'Y'),
(8018,	'4',	1604,	'Y'),
(8019,	'5',	1605,	'Y'),
(8020,	'6',	1605,	'Y'),
(8021,	'23',	1605,	'Y'),
(8022,	'24',	1605,	'Y'),
(8023,	'1',	1605,	'Y'),
(8024,	'2',	1605,	'Y'),
(8025,	'3',	1605,	'Y'),
(8026,	'22',	1605,	'Y'),
(8027,	'4',	1605,	'Y'),
(8028,	'2',	1606,	'Y'),
(8029,	'3',	1606,	'Y'),
(8030,	'4',	1606,	'Y'),
(8031,	'5',	1607,	'Y'),
(8032,	'6',	1607,	'Y'),
(8033,	'23',	1607,	'Y'),
(8034,	'24',	1607,	'Y'),
(8035,	'1',	1607,	'Y'),
(8036,	'2',	1607,	'Y'),
(8037,	'3',	1607,	'Y'),
(8038,	'22',	1607,	'Y'),
(8039,	'4',	1607,	'Y'),
(8040,	'5',	1608,	'Y'),
(8041,	'6',	1608,	'Y'),
(8042,	'23',	1608,	'Y'),
(8043,	'24',	1608,	'Y'),
(8044,	'1',	1608,	'Y'),
(8045,	'2',	1608,	'Y'),
(8046,	'3',	1608,	'Y'),
(8047,	'22',	1608,	'Y'),
(8048,	'4',	1608,	'Y'),
(8049,	'5',	1609,	'Y'),
(8050,	'6',	1609,	'Y'),
(8051,	'23',	1609,	'Y'),
(8052,	'24',	1609,	'Y'),
(8053,	'1',	1609,	'Y'),
(8054,	'2',	1609,	'Y'),
(8055,	'3',	1609,	'Y'),
(8056,	'22',	1609,	'Y'),
(8057,	'4',	1609,	'Y'),
(8058,	'5',	1610,	'Y'),
(8059,	'33',	1610,	'Y'),
(8060,	'35',	1610,	'Y'),
(8061,	'37',	1610,	'Y'),
(8062,	'6',	1610,	'Y'),
(8063,	'23',	1610,	'Y'),
(8064,	'24',	1610,	'Y'),
(8065,	'1',	1610,	'Y'),
(8066,	'2',	1610,	'Y'),
(8067,	'3',	1610,	'Y'),
(8068,	'4',	1610,	'Y'),
(8069,	'5',	1611,	'Y'),
(8070,	'6',	1611,	'Y'),
(8071,	'23',	1611,	'Y'),
(8072,	'24',	1611,	'Y'),
(8073,	'1',	1611,	'Y'),
(8074,	'2',	1611,	'Y'),
(8075,	'3',	1611,	'Y'),
(8076,	'22',	1611,	'Y'),
(8077,	'4',	1611,	'Y'),
(8078,	'2',	1612,	'Y'),
(8079,	'3',	1612,	'Y'),
(8080,	'4',	1612,	'Y'),
(8081,	'2',	1613,	'Y'),
(8082,	'3',	1613,	'Y'),
(8083,	'4',	1613,	'Y'),
(8084,	'5',	1614,	'Y'),
(8085,	'6',	1614,	'Y'),
(8086,	'23',	1614,	'Y'),
(8087,	'24',	1614,	'Y'),
(8088,	'1',	1614,	'Y'),
(8089,	'2',	1614,	'Y'),
(8090,	'3',	1614,	'Y'),
(8091,	'22',	1614,	'Y'),
(8092,	'4',	1614,	'Y'),
(8093,	'2',	1615,	'Y'),
(8094,	'3',	1615,	'Y'),
(8095,	'4',	1615,	'Y'),
(8096,	'5',	1616,	'Y'),
(8097,	'23',	1616,	'Y'),
(8098,	'2',	1616,	'Y'),
(8099,	'3',	1616,	'Y'),
(8100,	'4',	1616,	'Y'),
(8101,	'5',	1617,	'Y'),
(8102,	'23',	1617,	'Y'),
(8103,	'2',	1617,	'Y'),
(8104,	'3',	1617,	'Y'),
(8105,	'4',	1617,	'Y'),
(8106,	'2',	1618,	'Y'),
(8107,	'3',	1618,	'Y'),
(8108,	'4',	1618,	'Y'),
(8109,	'2',	1619,	'Y'),
(8110,	'3',	1619,	'Y'),
(8111,	'4',	1619,	'Y'),
(8112,	'2',	1620,	'Y'),
(8113,	'3',	1620,	'Y'),
(8114,	'4',	1620,	'Y'),
(8115,	'2',	1621,	'Y'),
(8116,	'3',	1621,	'Y'),
(8117,	'4',	1621,	'Y'),
(8118,	'2',	1622,	'Y'),
(8119,	'3',	1622,	'Y'),
(8120,	'4',	1622,	'Y'),
(8121,	'2',	1623,	'Y'),
(8122,	'3',	1623,	'Y'),
(8123,	'4',	1623,	'Y'),
(8124,	'2',	1624,	'Y'),
(8125,	'3',	1624,	'Y'),
(8126,	'4',	1624,	'Y'),
(8127,	'2',	1625,	'Y'),
(8128,	'3',	1625,	'Y'),
(8129,	'22',	1625,	'Y'),
(8130,	'4',	1625,	'Y'),
(8131,	'105',	1626,	'Y'),
(8132,	'71',	1626,	'Y'),
(8133,	'58',	1626,	'Y'),
(8134,	'5',	1626,	'Y'),
(8135,	'33',	1626,	'Y'),
(8136,	'35',	1626,	'Y'),
(8137,	'60',	1626,	'Y'),
(8138,	'109',	1626,	'Y'),
(8139,	'110',	1626,	'Y'),
(8140,	'111',	1626,	'Y'),
(8141,	'2',	1626,	'Y'),
(8142,	'3',	1626,	'Y'),
(8143,	'4',	1626,	'Y'),
(8144,	'2',	1627,	'Y'),
(8145,	'3',	1627,	'Y'),
(8146,	'4',	1627,	'Y'),
(8147,	'2',	1628,	'Y'),
(8148,	'3',	1628,	'Y'),
(8149,	'4',	1628,	'Y'),
(8150,	'2',	1629,	'Y'),
(8151,	'3',	1629,	'Y'),
(8152,	'22',	1629,	'Y'),
(8153,	'4',	1629,	'Y'),
(8154,	'2',	1630,	'Y'),
(8155,	'3',	1630,	'Y'),
(8156,	'4',	1630,	'Y'),
(8157,	'2',	1631,	'Y'),
(8158,	'3',	1631,	'Y'),
(8159,	'22',	1631,	'Y'),
(8160,	'4',	1631,	'Y'),
(8161,	'2',	1632,	'Y'),
(8162,	'3',	1632,	'Y'),
(8163,	'22',	1632,	'Y'),
(8164,	'4',	1632,	'Y'),
(8165,	'2',	1633,	'Y'),
(8166,	'3',	1633,	'Y'),
(8167,	'22',	1633,	'Y'),
(8168,	'4',	1633,	'Y'),
(8169,	'2',	1634,	'Y'),
(8170,	'3',	1634,	'Y'),
(8171,	'4',	1634,	'Y'),
(8172,	'2',	1635,	'Y'),
(8173,	'3',	1635,	'Y'),
(8174,	'22',	1635,	'Y'),
(8175,	'4',	1635,	'Y'),
(8176,	'2',	1636,	'Y'),
(8177,	'3',	1636,	'Y'),
(8178,	'4',	1636,	'Y'),
(8179,	'2',	1637,	'Y'),
(8180,	'3',	1637,	'Y'),
(8181,	'4',	1637,	'Y'),
(8182,	'2',	1638,	'Y'),
(8183,	'3',	1638,	'Y'),
(8184,	'4',	1638,	'Y'),
(8185,	'2',	1639,	'Y'),
(8186,	'3',	1639,	'Y'),
(8187,	'4',	1639,	'Y'),
(8188,	'2',	1640,	'Y'),
(8189,	'3',	1640,	'Y'),
(8190,	'4',	1640,	'Y'),
(8191,	'2',	1641,	'Y'),
(8192,	'3',	1641,	'Y'),
(8193,	'4',	1641,	'Y'),
(8194,	'2',	1642,	'Y'),
(8195,	'3',	1642,	'Y'),
(8196,	'4',	1642,	'Y'),
(8197,	'2',	1643,	'Y'),
(8198,	'3',	1643,	'Y'),
(8199,	'4',	1643,	'Y'),
(8200,	'2',	1644,	'Y'),
(8201,	'3',	1644,	'Y'),
(8202,	'4',	1644,	'Y'),
(8203,	'2',	1645,	'Y'),
(8204,	'3',	1645,	'Y'),
(8205,	'4',	1645,	'Y'),
(8206,	'93',	1646,	'Y'),
(8207,	'83',	1646,	'Y'),
(8208,	'92',	1646,	'Y'),
(8209,	'2',	1646,	'Y'),
(8210,	'63',	1646,	'Y'),
(8211,	'3',	1646,	'Y'),
(8212,	'26',	1646,	'Y'),
(8213,	'27',	1646,	'Y'),
(8214,	'28',	1646,	'Y'),
(8215,	'112',	1646,	'Y'),
(8216,	'4',	1646,	'Y'),
(8217,	'38',	1646,	'Y'),
(8218,	'69',	1646,	'Y'),
(8219,	'70',	1646,	'Y'),
(8220,	'93',	1647,	'Y'),
(8221,	'82',	1647,	'Y'),
(8222,	'83',	1647,	'Y'),
(8223,	'90',	1647,	'Y'),
(8224,	'92',	1647,	'Y'),
(8225,	'2',	1647,	'Y'),
(8226,	'63',	1647,	'Y'),
(8227,	'3',	1647,	'Y'),
(8228,	'26',	1647,	'Y'),
(8229,	'27',	1647,	'Y'),
(8230,	'28',	1647,	'Y'),
(8231,	'112',	1647,	'Y'),
(8232,	'4',	1647,	'Y'),
(8233,	'38',	1647,	'Y'),
(8234,	'69',	1647,	'Y'),
(8235,	'70',	1647,	'Y'),
(8236,	'93',	1648,	'Y'),
(8237,	'83',	1648,	'Y'),
(8238,	'90',	1648,	'Y'),
(8239,	'92',	1648,	'Y'),
(8240,	'2',	1648,	'Y'),
(8241,	'63',	1648,	'Y'),
(8242,	'3',	1648,	'Y'),
(8243,	'26',	1648,	'Y'),
(8244,	'27',	1648,	'Y'),
(8245,	'28',	1648,	'Y'),
(8246,	'112',	1648,	'Y'),
(8247,	'4',	1648,	'Y'),
(8248,	'38',	1648,	'Y'),
(8249,	'69',	1648,	'Y'),
(8250,	'70',	1648,	'Y'),
(8251,	'93',	1649,	'Y'),
(8252,	'82',	1649,	'Y'),
(8253,	'83',	1649,	'Y'),
(8254,	'90',	1649,	'Y'),
(8255,	'92',	1649,	'Y'),
(8256,	'2',	1649,	'Y'),
(8257,	'63',	1649,	'Y'),
(8258,	'3',	1649,	'Y'),
(8259,	'26',	1649,	'Y'),
(8260,	'27',	1649,	'Y'),
(8261,	'28',	1649,	'Y'),
(8262,	'112',	1649,	'Y'),
(8263,	'4',	1649,	'Y'),
(8264,	'38',	1649,	'Y'),
(8265,	'69',	1649,	'Y'),
(8266,	'70',	1649,	'Y'),
(8267,	'2',	1650,	'Y'),
(8268,	'3',	1650,	'Y'),
(8269,	'4',	1650,	'Y'),
(8270,	'93',	1651,	'Y'),
(8271,	'83',	1651,	'Y'),
(8272,	'92',	1651,	'Y'),
(8273,	'2',	1651,	'Y'),
(8274,	'63',	1651,	'Y'),
(8275,	'3',	1651,	'Y'),
(8276,	'26',	1651,	'Y'),
(8277,	'27',	1651,	'Y'),
(8278,	'28',	1651,	'Y'),
(8279,	'112',	1651,	'Y'),
(8280,	'4',	1651,	'Y'),
(8281,	'38',	1651,	'Y'),
(8282,	'69',	1651,	'Y'),
(8283,	'70',	1651,	'Y'),
(8284,	'2',	1652,	'Y'),
(8285,	'3',	1652,	'Y'),
(8286,	'4',	1652,	'Y'),
(8287,	'2',	1653,	'Y'),
(8288,	'3',	1653,	'Y'),
(8289,	'4',	1653,	'Y'),
(8290,	'93',	1654,	'Y'),
(8291,	'83',	1654,	'Y'),
(8292,	'92',	1654,	'Y'),
(8293,	'2',	1654,	'Y'),
(8294,	'63',	1654,	'Y'),
(8295,	'3',	1654,	'Y'),
(8296,	'26',	1654,	'Y'),
(8297,	'27',	1654,	'Y'),
(8298,	'28',	1654,	'Y'),
(8299,	'112',	1654,	'Y'),
(8300,	'4',	1654,	'Y'),
(8301,	'38',	1654,	'Y'),
(8302,	'69',	1654,	'Y'),
(8303,	'70',	1654,	'Y'),
(8304,	'82',	1655,	'Y'),
(8305,	'90',	1655,	'Y'),
(8306,	'2',	1655,	'Y'),
(8307,	'3',	1655,	'Y'),
(8308,	'112',	1655,	'Y'),
(8309,	'4',	1655,	'Y'),
(8310,	'69',	1655,	'Y'),
(8311,	'70',	1655,	'Y'),
(8312,	'2',	1656,	'Y'),
(8313,	'3',	1656,	'Y'),
(8314,	'4',	1656,	'Y'),
(8315,	'70',	1656,	'Y'),
(8316,	'2',	1657,	'Y'),
(8317,	'3',	1657,	'Y'),
(8318,	'4',	1657,	'Y'),
(8319,	'2',	1658,	'Y'),
(8320,	'3',	1658,	'Y'),
(8321,	'4',	1658,	'Y'),
(8322,	'93',	1659,	'Y'),
(8323,	'82',	1659,	'Y'),
(8324,	'85',	1659,	'Y'),
(8325,	'79',	1659,	'Y'),
(8326,	'90',	1659,	'Y'),
(8327,	'2',	1659,	'Y'),
(8328,	'3',	1659,	'Y'),
(8329,	'112',	1659,	'Y'),
(8330,	'4',	1659,	'Y'),
(8331,	'69',	1659,	'Y'),
(8332,	'70',	1659,	'Y'),
(8333,	'2',	1660,	'Y'),
(8334,	'3',	1660,	'Y'),
(8335,	'4',	1660,	'Y'),
(8336,	'2',	1661,	'Y'),
(8337,	'3',	1661,	'Y'),
(8338,	'4',	1661,	'Y'),
(8339,	'93',	1662,	'Y'),
(8340,	'83',	1662,	'Y'),
(8341,	'92',	1662,	'Y'),
(8342,	'2',	1662,	'Y'),
(8343,	'63',	1662,	'Y'),
(8344,	'3',	1662,	'Y'),
(8345,	'26',	1662,	'Y'),
(8346,	'27',	1662,	'Y'),
(8347,	'28',	1662,	'Y'),
(8348,	'112',	1662,	'Y'),
(8349,	'4',	1662,	'Y'),
(8350,	'38',	1662,	'Y'),
(8351,	'69',	1662,	'Y'),
(8352,	'70',	1662,	'Y'),
(8353,	'2',	1663,	'Y'),
(8354,	'3',	1663,	'Y'),
(8355,	'4',	1663,	'Y'),
(8356,	'2',	1664,	'Y'),
(8357,	'3',	1664,	'Y'),
(8358,	'4',	1664,	'Y'),
(8359,	'2',	1665,	'Y'),
(8360,	'3',	1665,	'Y'),
(8361,	'4',	1665,	'Y'),
(8362,	'2',	1666,	'Y'),
(8363,	'3',	1666,	'Y'),
(8364,	'4',	1666,	'Y'),
(8365,	'2',	1667,	'Y'),
(8366,	'3',	1667,	'Y'),
(8367,	'4',	1667,	'Y'),
(8368,	'2',	1668,	'Y'),
(8369,	'3',	1668,	'Y'),
(8370,	'4',	1668,	'Y'),
(8371,	'93',	1669,	'Y'),
(8372,	'83',	1669,	'Y'),
(8373,	'92',	1669,	'Y'),
(8374,	'2',	1669,	'Y'),
(8375,	'63',	1669,	'Y'),
(8376,	'3',	1669,	'Y'),
(8377,	'26',	1669,	'Y'),
(8378,	'27',	1669,	'Y'),
(8379,	'28',	1669,	'Y'),
(8380,	'112',	1669,	'Y'),
(8381,	'4',	1669,	'Y'),
(8382,	'38',	1669,	'Y'),
(8383,	'69',	1669,	'Y'),
(8384,	'70',	1669,	'Y'),
(8385,	'2',	1670,	'Y'),
(8386,	'3',	1670,	'Y'),
(8387,	'4',	1670,	'Y'),
(8388,	'2',	1671,	'Y'),
(8389,	'3',	1671,	'Y'),
(8390,	'4',	1671,	'Y'),
(8391,	'2',	1672,	'Y'),
(8392,	'3',	1672,	'Y'),
(8393,	'4',	1672,	'Y'),
(8394,	'2',	1673,	'Y'),
(8395,	'3',	1673,	'Y'),
(8396,	'4',	1673,	'Y'),
(8397,	'2',	1674,	'Y'),
(8398,	'3',	1674,	'Y'),
(8399,	'4',	1674,	'Y'),
(8400,	'2',	1675,	'Y'),
(8401,	'3',	1675,	'Y'),
(8402,	'4',	1675,	'Y'),
(8403,	'2',	1676,	'Y'),
(8404,	'3',	1676,	'Y'),
(8405,	'4',	1676,	'Y'),
(8406,	'2',	1677,	'Y'),
(8407,	'3',	1677,	'Y'),
(8408,	'4',	1677,	'Y'),
(8409,	'2',	1678,	'Y'),
(8410,	'3',	1678,	'Y'),
(8411,	'4',	1678,	'Y'),
(8412,	'2',	1679,	'Y'),
(8413,	'3',	1679,	'Y'),
(8414,	'4',	1679,	'Y'),
(8415,	'2',	1680,	'Y'),
(8416,	'3',	1680,	'Y'),
(8417,	'4',	1680,	'Y'),
(8418,	'93',	1681,	'Y'),
(8419,	'92',	1681,	'Y'),
(8420,	'2',	1681,	'Y'),
(8421,	'63',	1681,	'Y'),
(8422,	'3',	1681,	'Y'),
(8423,	'26',	1681,	'Y'),
(8424,	'27',	1681,	'Y'),
(8425,	'28',	1681,	'Y'),
(8426,	'112',	1681,	'Y'),
(8427,	'4',	1681,	'Y'),
(8428,	'38',	1681,	'Y'),
(8429,	'69',	1681,	'Y'),
(8430,	'70',	1681,	'Y'),
(8431,	'2',	1682,	'Y'),
(8432,	'3',	1682,	'Y'),
(8433,	'4',	1682,	'Y'),
(8434,	'2',	1683,	'Y'),
(8435,	'3',	1683,	'Y'),
(8436,	'4',	1683,	'Y'),
(8437,	'2',	1684,	'Y'),
(8438,	'3',	1684,	'Y'),
(8439,	'4',	1684,	'Y'),
(8440,	'2',	1685,	'Y'),
(8441,	'3',	1685,	'Y'),
(8442,	'4',	1685,	'Y'),
(8443,	'2',	1686,	'Y'),
(8444,	'3',	1686,	'Y'),
(8445,	'4',	1686,	'Y'),
(8446,	'2',	1687,	'Y'),
(8447,	'3',	1687,	'Y'),
(8448,	'4',	1687,	'Y'),
(8449,	'2',	1688,	'Y'),
(8450,	'3',	1688,	'Y'),
(8451,	'4',	1688,	'Y'),
(8452,	'2',	1689,	'Y'),
(8453,	'3',	1689,	'Y'),
(8454,	'4',	1689,	'Y'),
(8455,	'2',	1690,	'Y'),
(8456,	'3',	1690,	'Y'),
(8457,	'4',	1690,	'Y'),
(8458,	'2',	1691,	'Y'),
(8459,	'3',	1691,	'Y'),
(8460,	'4',	1691,	'Y'),
(8461,	'2',	1692,	'Y'),
(8462,	'3',	1692,	'Y'),
(8463,	'4',	1692,	'Y'),
(8464,	'2',	1693,	'Y'),
(8465,	'3',	1693,	'Y'),
(8466,	'4',	1693,	'Y'),
(8467,	'2',	1694,	'Y'),
(8468,	'3',	1694,	'Y'),
(8469,	'4',	1694,	'Y'),
(8470,	'2',	1695,	'Y'),
(8471,	'3',	1695,	'Y'),
(8472,	'4',	1695,	'Y'),
(8473,	'2',	1696,	'Y'),
(8474,	'3',	1696,	'Y'),
(8475,	'4',	1696,	'Y'),
(8476,	'2',	1697,	'Y'),
(8477,	'3',	1697,	'Y'),
(8478,	'4',	1697,	'Y'),
(8479,	'2',	1698,	'Y'),
(8480,	'3',	1698,	'Y'),
(8481,	'4',	1698,	'Y'),
(8482,	'2',	1699,	'Y'),
(8483,	'3',	1699,	'Y'),
(8484,	'4',	1699,	'Y'),
(8485,	'2',	1700,	'Y'),
(8486,	'3',	1700,	'Y'),
(8487,	'4',	1700,	'Y'),
(8488,	'2',	1701,	'Y'),
(8489,	'3',	1701,	'Y'),
(8490,	'4',	1701,	'Y'),
(8491,	'2',	1702,	'Y'),
(8492,	'3',	1702,	'Y'),
(8493,	'4',	1702,	'Y'),
(8494,	'2',	1703,	'Y'),
(8495,	'3',	1703,	'Y'),
(8496,	'4',	1703,	'Y'),
(8497,	'2',	1704,	'Y'),
(8498,	'3',	1704,	'Y'),
(8499,	'4',	1704,	'Y'),
(8500,	'2',	1705,	'Y'),
(8501,	'3',	1705,	'Y'),
(8502,	'4',	1705,	'Y'),
(8503,	'2',	1706,	'Y'),
(8504,	'3',	1706,	'Y'),
(8505,	'4',	1706,	'Y'),
(8506,	'2',	1707,	'Y'),
(8507,	'3',	1707,	'Y'),
(8508,	'4',	1707,	'Y'),
(8509,	'2',	1708,	'Y'),
(8510,	'3',	1708,	'Y'),
(8511,	'4',	1708,	'Y'),
(8512,	'2',	1709,	'Y'),
(8513,	'3',	1709,	'Y'),
(8514,	'4',	1709,	'Y'),
(8515,	'2',	1710,	'Y'),
(8516,	'3',	1710,	'Y'),
(8517,	'4',	1710,	'Y'),
(8518,	'2',	1711,	'Y'),
(8519,	'3',	1711,	'Y'),
(8520,	'4',	1711,	'Y'),
(8521,	'2',	1712,	'Y'),
(8522,	'3',	1712,	'Y'),
(8523,	'4',	1712,	'Y'),
(8524,	'2',	1713,	'Y'),
(8525,	'3',	1713,	'Y'),
(8526,	'4',	1713,	'Y'),
(8527,	'2',	1714,	'Y'),
(8528,	'3',	1714,	'Y'),
(8529,	'4',	1714,	'Y'),
(8530,	'2',	1715,	'Y'),
(8531,	'3',	1715,	'Y'),
(8532,	'4',	1715,	'Y'),
(8533,	'2',	1716,	'Y'),
(8534,	'3',	1716,	'Y'),
(8535,	'4',	1716,	'Y'),
(8536,	'2',	1717,	'Y'),
(8537,	'3',	1717,	'Y'),
(8538,	'4',	1717,	'Y'),
(8539,	'2',	1718,	'Y'),
(8540,	'3',	1718,	'Y'),
(8541,	'4',	1718,	'Y'),
(8542,	'2',	1719,	'Y'),
(8543,	'3',	1719,	'Y'),
(8544,	'4',	1719,	'Y'),
(8545,	'2',	1720,	'Y'),
(8546,	'3',	1720,	'Y'),
(8547,	'4',	1720,	'Y'),
(8548,	'2',	1721,	'Y'),
(8549,	'3',	1721,	'Y'),
(8550,	'4',	1721,	'Y'),
(8551,	'2',	1722,	'Y'),
(8552,	'3',	1722,	'Y'),
(8553,	'4',	1722,	'Y'),
(8554,	'2',	1723,	'Y'),
(8555,	'3',	1723,	'Y'),
(8556,	'4',	1723,	'Y'),
(8557,	'2',	1724,	'Y'),
(8558,	'3',	1724,	'Y'),
(8559,	'4',	1724,	'Y'),
(8560,	'2',	1725,	'Y'),
(8561,	'3',	1725,	'Y'),
(8562,	'4',	1725,	'Y'),
(8563,	'2',	1726,	'Y'),
(8564,	'3',	1726,	'Y'),
(8565,	'4',	1726,	'Y'),
(8566,	'2',	1727,	'Y'),
(8567,	'3',	1727,	'Y'),
(8568,	'4',	1727,	'Y'),
(8569,	'2',	1728,	'Y'),
(8570,	'3',	1728,	'Y'),
(8571,	'4',	1728,	'Y'),
(8572,	'2',	1729,	'Y'),
(8573,	'3',	1729,	'Y'),
(8574,	'4',	1729,	'Y'),
(8575,	'2',	1730,	'Y'),
(8576,	'3',	1730,	'Y'),
(8577,	'4',	1730,	'Y'),
(8578,	'2',	1731,	'Y'),
(8579,	'3',	1731,	'Y'),
(8580,	'4',	1731,	'Y'),
(8581,	'2',	1732,	'Y'),
(8582,	'3',	1732,	'Y'),
(8583,	'4',	1732,	'Y'),
(8584,	'2',	1733,	'Y'),
(8585,	'3',	1733,	'Y'),
(8586,	'4',	1733,	'Y'),
(8587,	'2',	1734,	'Y'),
(8588,	'3',	1734,	'Y'),
(8589,	'4',	1734,	'Y'),
(8590,	'2',	1735,	'Y'),
(8591,	'3',	1735,	'Y'),
(8592,	'22',	1735,	'Y'),
(8593,	'4',	1735,	'Y'),
(8594,	'2',	1736,	'Y'),
(8595,	'3',	1736,	'Y'),
(8596,	'4',	1736,	'Y'),
(8597,	'2',	1737,	'Y'),
(8598,	'3',	1737,	'Y'),
(8599,	'4',	1737,	'Y'),
(8600,	'2',	1738,	'Y'),
(8601,	'3',	1738,	'Y'),
(8602,	'4',	1738,	'Y'),
(8603,	'2',	1739,	'Y'),
(8604,	'3',	1739,	'Y'),
(8605,	'4',	1739,	'Y'),
(8606,	'3',	1740,	'Y'),
(8607,	'2',	1741,	'Y'),
(8608,	'3',	1741,	'Y'),
(8609,	'4',	1741,	'Y'),
(8610,	'2',	1742,	'Y'),
(8611,	'3',	1742,	'Y'),
(8612,	'4',	1742,	'Y'),
(8613,	'2',	1743,	'Y'),
(8614,	'3',	1743,	'Y'),
(8615,	'4',	1743,	'Y'),
(8616,	'2',	1744,	'Y'),
(8617,	'3',	1744,	'Y'),
(8618,	'4',	1744,	'Y'),
(8619,	'2',	1745,	'Y'),
(8620,	'3',	1745,	'Y'),
(8621,	'4',	1745,	'Y'),
(8622,	'2',	1746,	'Y'),
(8623,	'3',	1746,	'Y'),
(8624,	'4',	1746,	'Y'),
(8625,	'2',	1747,	'Y'),
(8626,	'3',	1747,	'Y'),
(8627,	'4',	1747,	'Y'),
(8628,	'2',	1748,	'Y'),
(8629,	'3',	1748,	'Y'),
(8630,	'4',	1748,	'Y'),
(8631,	'2',	1749,	'Y'),
(8632,	'3',	1749,	'Y'),
(8633,	'4',	1749,	'Y'),
(8634,	'2',	1750,	'Y'),
(8635,	'3',	1750,	'Y'),
(8636,	'4',	1750,	'Y'),
(8637,	'2',	1751,	'Y'),
(8638,	'3',	1751,	'Y'),
(8639,	'4',	1751,	'Y'),
(8640,	'2',	1752,	'Y'),
(8641,	'3',	1752,	'Y'),
(8642,	'4',	1752,	'Y'),
(8643,	'2',	1753,	'Y'),
(8644,	'3',	1753,	'Y'),
(8645,	'4',	1753,	'Y'),
(8646,	'2',	1754,	'Y'),
(8647,	'3',	1754,	'Y'),
(8648,	'4',	1754,	'Y'),
(8649,	'2',	1755,	'Y'),
(8650,	'3',	1755,	'Y'),
(8651,	'4',	1755,	'Y'),
(8652,	'2',	1756,	'Y'),
(8653,	'3',	1756,	'Y'),
(8654,	'4',	1756,	'Y'),
(8655,	'2',	1757,	'Y'),
(8656,	'3',	1757,	'Y'),
(8657,	'4',	1757,	'Y'),
(8658,	'2',	1758,	'Y'),
(8659,	'3',	1758,	'Y'),
(8660,	'4',	1758,	'Y'),
(8661,	'2',	1759,	'Y'),
(8662,	'3',	1759,	'Y'),
(8663,	'4',	1759,	'Y'),
(8664,	'2',	1760,	'Y'),
(8665,	'3',	1760,	'Y'),
(8666,	'4',	1760,	'Y'),
(8667,	'2',	1761,	'Y'),
(8668,	'3',	1761,	'Y'),
(8669,	'4',	1761,	'Y'),
(8670,	'2',	1762,	'Y'),
(8671,	'3',	1762,	'Y'),
(8672,	'4',	1762,	'Y'),
(8673,	'2',	1763,	'Y'),
(8674,	'3',	1763,	'Y'),
(8675,	'4',	1763,	'Y'),
(8676,	'2',	1764,	'Y'),
(8677,	'3',	1764,	'Y'),
(8678,	'4',	1764,	'Y'),
(8679,	'2',	1765,	'Y'),
(8680,	'3',	1765,	'Y'),
(8681,	'4',	1765,	'Y'),
(8682,	'2',	1766,	'Y'),
(8683,	'3',	1766,	'Y'),
(8684,	'4',	1766,	'Y'),
(8685,	'2',	1767,	'Y'),
(8686,	'3',	1767,	'Y'),
(8687,	'22',	1767,	'Y'),
(8688,	'4',	1767,	'Y'),
(8689,	'2',	1768,	'Y'),
(8690,	'3',	1768,	'Y'),
(8691,	'22',	1768,	'Y'),
(8692,	'4',	1768,	'Y'),
(8693,	'81',	1768,	'Y'),
(8694,	'2',	1769,	'Y'),
(8695,	'3',	1769,	'Y'),
(8696,	'4',	1769,	'Y'),
(8697,	'2',	1770,	'Y'),
(8698,	'3',	1770,	'Y'),
(8699,	'4',	1770,	'Y'),
(8700,	'2',	1771,	'Y'),
(8701,	'3',	1771,	'Y'),
(8702,	'4',	1771,	'Y'),
(8703,	'2',	1772,	'Y'),
(8704,	'3',	1772,	'Y'),
(8705,	'22',	1772,	'Y'),
(8706,	'4',	1772,	'Y'),
(8707,	'81',	1772,	'Y'),
(8708,	'2',	1773,	'Y'),
(8709,	'3',	1773,	'Y'),
(8710,	'4',	1773,	'Y'),
(8711,	'2',	1774,	'Y'),
(8712,	'3',	1774,	'Y'),
(8713,	'4',	1774,	'Y'),
(8714,	'2',	1775,	'Y'),
(8715,	'3',	1775,	'Y'),
(8716,	'4',	1775,	'Y'),
(8717,	'2',	1776,	'Y'),
(8718,	'3',	1776,	'Y'),
(8719,	'4',	1776,	'Y'),
(8720,	'2',	1777,	'Y'),
(8721,	'3',	1777,	'Y'),
(8722,	'4',	1777,	'Y'),
(8723,	'2',	1778,	'Y'),
(8724,	'3',	1778,	'Y'),
(8725,	'4',	1778,	'Y'),
(8726,	'2',	1779,	'Y'),
(8727,	'3',	1779,	'Y'),
(8728,	'4',	1779,	'Y'),
(8729,	'2',	1780,	'Y'),
(8730,	'3',	1780,	'Y'),
(8731,	'4',	1780,	'Y'),
(8732,	'2',	1781,	'Y'),
(8733,	'3',	1781,	'Y'),
(8734,	'4',	1781,	'Y'),
(8735,	'2',	1782,	'Y'),
(8736,	'3',	1782,	'Y'),
(8737,	'4',	1782,	'Y'),
(8738,	'2',	1783,	'Y'),
(8739,	'3',	1783,	'Y'),
(8740,	'4',	1783,	'Y'),
(8741,	'2',	1784,	'Y'),
(8742,	'3',	1784,	'Y'),
(8743,	'4',	1784,	'Y'),
(8744,	'2',	1785,	'Y'),
(8745,	'3',	1785,	'Y'),
(8746,	'4',	1785,	'Y'),
(8747,	'2',	1786,	'Y'),
(8748,	'3',	1786,	'Y'),
(8749,	'4',	1786,	'Y'),
(8750,	'2',	1787,	'Y'),
(8751,	'3',	1787,	'Y'),
(8752,	'4',	1787,	'Y'),
(8753,	'2',	1788,	'Y'),
(8754,	'3',	1788,	'Y'),
(8755,	'4',	1788,	'Y'),
(8756,	'2',	1789,	'Y'),
(8757,	'3',	1789,	'Y'),
(8758,	'4',	1789,	'Y'),
(8759,	'2',	1790,	'Y'),
(8760,	'3',	1790,	'Y'),
(8761,	'4',	1790,	'Y'),
(8762,	'2',	1791,	'Y'),
(8763,	'3',	1791,	'Y'),
(8764,	'4',	1791,	'Y'),
(8765,	'2',	1792,	'Y'),
(8766,	'3',	1792,	'Y'),
(8767,	'4',	1792,	'Y'),
(8768,	'2',	1793,	'Y'),
(8769,	'3',	1793,	'Y'),
(8770,	'4',	1793,	'Y'),
(8771,	'2',	1794,	'Y'),
(8772,	'3',	1794,	'Y'),
(8773,	'4',	1794,	'Y'),
(8774,	'2',	1795,	'Y'),
(8775,	'3',	1795,	'Y'),
(8776,	'4',	1795,	'Y'),
(8777,	'2',	1796,	'Y'),
(8778,	'3',	1796,	'Y'),
(8779,	'4',	1796,	'Y'),
(8780,	'2',	1797,	'Y'),
(8781,	'3',	1797,	'Y'),
(8782,	'4',	1797,	'Y'),
(8783,	'2',	1798,	'Y'),
(8784,	'3',	1798,	'Y'),
(8785,	'4',	1798,	'Y'),
(8786,	'2',	1799,	'Y'),
(8787,	'3',	1799,	'Y'),
(8788,	'4',	1799,	'Y'),
(8789,	'2',	1800,	'Y'),
(8790,	'3',	1800,	'Y'),
(8791,	'4',	1800,	'Y'),
(8792,	'2',	1801,	'Y'),
(8793,	'3',	1801,	'Y'),
(8794,	'4',	1801,	'Y'),
(8795,	'2',	1802,	'Y'),
(8796,	'3',	1802,	'Y'),
(8797,	'4',	1802,	'Y'),
(8798,	'2',	1803,	'Y'),
(8799,	'3',	1803,	'Y'),
(8800,	'4',	1803,	'Y'),
(8801,	'2',	1804,	'Y'),
(8802,	'3',	1804,	'Y'),
(8803,	'4',	1804,	'Y'),
(8804,	'2',	1805,	'Y'),
(8805,	'3',	1805,	'Y'),
(8806,	'4',	1805,	'Y'),
(8807,	'2',	1806,	'Y'),
(8808,	'3',	1806,	'Y'),
(8809,	'4',	1806,	'Y'),
(8810,	'2',	1807,	'Y'),
(8811,	'3',	1807,	'Y'),
(8812,	'4',	1807,	'Y'),
(8813,	'2',	1808,	'Y'),
(8814,	'3',	1808,	'Y'),
(8815,	'4',	1808,	'Y'),
(8816,	'2',	1809,	'Y'),
(8817,	'3',	1809,	'Y'),
(8818,	'4',	1809,	'Y'),
(8819,	'2',	1810,	'Y'),
(8820,	'3',	1810,	'Y'),
(8821,	'4',	1810,	'Y'),
(8822,	'2',	1811,	'Y'),
(8823,	'3',	1811,	'Y'),
(8824,	'4',	1811,	'Y'),
(8825,	'2',	1812,	'Y'),
(8826,	'3',	1812,	'Y'),
(8827,	'4',	1812,	'Y'),
(8828,	'2',	1813,	'Y'),
(8829,	'3',	1813,	'Y'),
(8830,	'4',	1813,	'Y'),
(8831,	'2',	1814,	'Y'),
(8832,	'3',	1814,	'Y'),
(8833,	'4',	1814,	'Y'),
(8834,	'2',	1815,	'Y'),
(8835,	'3',	1815,	'Y'),
(8836,	'4',	1815,	'Y'),
(8837,	'2',	1816,	'Y'),
(8838,	'3',	1816,	'Y'),
(8839,	'4',	1816,	'Y'),
(8840,	'2',	1817,	'Y'),
(8841,	'3',	1817,	'Y'),
(8842,	'4',	1817,	'Y'),
(8843,	'2',	1818,	'Y'),
(8844,	'3',	1818,	'Y'),
(8845,	'4',	1818,	'Y'),
(8846,	'2',	1819,	'Y'),
(8847,	'3',	1819,	'Y'),
(8848,	'4',	1819,	'Y'),
(8849,	'2',	1820,	'Y'),
(8850,	'3',	1820,	'Y'),
(8851,	'4',	1820,	'Y'),
(8852,	'2',	1821,	'Y'),
(8853,	'3',	1821,	'Y'),
(8854,	'4',	1821,	'Y'),
(8855,	'2',	1822,	'Y'),
(8856,	'3',	1822,	'Y'),
(8857,	'4',	1822,	'Y'),
(8858,	'2',	1823,	'Y'),
(8859,	'3',	1823,	'Y'),
(8860,	'4',	1823,	'Y'),
(8861,	'2',	1824,	'Y'),
(8862,	'3',	1824,	'Y'),
(8863,	'4',	1824,	'Y'),
(8864,	'2',	1825,	'Y'),
(8865,	'3',	1825,	'Y'),
(8866,	'4',	1825,	'Y'),
(8867,	'2',	1826,	'Y'),
(8868,	'3',	1826,	'Y'),
(8869,	'4',	1826,	'Y'),
(8870,	'2',	1827,	'Y'),
(8871,	'3',	1827,	'Y'),
(8872,	'4',	1827,	'Y'),
(8873,	'5',	1828,	'Y'),
(8874,	'2',	1828,	'Y'),
(8875,	'3',	1828,	'Y'),
(8876,	'4',	1828,	'Y'),
(8877,	'2',	1829,	'Y'),
(8878,	'3',	1829,	'Y'),
(8879,	'4',	1829,	'Y'),
(8880,	'2',	1830,	'Y'),
(8881,	'3',	1830,	'Y'),
(8882,	'4',	1830,	'Y'),
(8883,	'2',	1831,	'Y'),
(8884,	'3',	1831,	'Y'),
(8885,	'4',	1831,	'Y'),
(8886,	'2',	1832,	'Y'),
(8887,	'3',	1832,	'Y'),
(8888,	'4',	1832,	'Y'),
(8889,	'2',	1833,	'Y'),
(8890,	'3',	1833,	'Y'),
(8891,	'4',	1833,	'Y'),
(8892,	'2',	1834,	'Y'),
(8893,	'3',	1834,	'Y'),
(8894,	'4',	1834,	'Y'),
(8895,	'2',	1835,	'Y'),
(8896,	'3',	1835,	'Y'),
(8897,	'4',	1835,	'Y'),
(8898,	'2',	1836,	'Y'),
(8899,	'3',	1836,	'Y'),
(8900,	'4',	1836,	'Y'),
(8901,	'2',	1837,	'Y'),
(8902,	'3',	1837,	'Y'),
(8903,	'4',	1837,	'Y'),
(8904,	'2',	1838,	'Y'),
(8905,	'3',	1838,	'Y'),
(8906,	'4',	1838,	'Y'),
(8907,	'2',	1839,	'Y'),
(8908,	'3',	1839,	'Y'),
(8909,	'4',	1839,	'Y'),
(8910,	'2',	1840,	'Y'),
(8911,	'3',	1840,	'Y'),
(8912,	'4',	1840,	'Y'),
(8913,	'2',	1841,	'Y'),
(8914,	'3',	1841,	'Y'),
(8915,	'4',	1841,	'Y'),
(8916,	'2',	1842,	'Y'),
(8917,	'3',	1842,	'Y'),
(8918,	'4',	1842,	'Y'),
(8919,	'2',	1843,	'Y'),
(8920,	'3',	1843,	'Y'),
(8921,	'4',	1843,	'Y'),
(8922,	'2',	1844,	'Y'),
(8923,	'3',	1844,	'Y'),
(8924,	'4',	1844,	'Y'),
(8925,	'2',	1845,	'Y'),
(8926,	'3',	1845,	'Y'),
(8927,	'4',	1845,	'Y'),
(8928,	'2',	1846,	'Y'),
(8929,	'3',	1846,	'Y'),
(8930,	'4',	1846,	'Y'),
(8931,	'2',	1847,	'Y'),
(8932,	'3',	1847,	'Y'),
(8933,	'4',	1847,	'Y'),
(8934,	'2',	1848,	'Y'),
(8935,	'3',	1848,	'Y'),
(8936,	'4',	1848,	'Y'),
(8937,	'2',	1849,	'Y'),
(8938,	'3',	1849,	'Y'),
(8939,	'4',	1849,	'Y'),
(8940,	'2',	1850,	'Y'),
(8941,	'3',	1850,	'Y'),
(8942,	'4',	1850,	'Y'),
(8943,	'2',	1851,	'Y'),
(8944,	'3',	1851,	'Y'),
(8945,	'4',	1851,	'Y'),
(8946,	'2',	1852,	'Y'),
(8947,	'3',	1852,	'Y'),
(8948,	'4',	1852,	'Y'),
(8949,	'2',	1853,	'Y'),
(8950,	'3',	1853,	'Y'),
(8951,	'4',	1853,	'Y'),
(8952,	'2',	1854,	'Y'),
(8953,	'3',	1854,	'Y'),
(8954,	'4',	1854,	'Y'),
(8955,	'2',	1855,	'Y'),
(8956,	'3',	1855,	'Y'),
(8957,	'4',	1855,	'Y'),
(8958,	'2',	1856,	'Y'),
(8959,	'3',	1856,	'Y'),
(8960,	'4',	1856,	'Y'),
(8961,	'2',	1857,	'Y'),
(8962,	'3',	1857,	'Y'),
(8963,	'4',	1857,	'Y'),
(8964,	'2',	1858,	'Y'),
(8965,	'3',	1858,	'Y'),
(8966,	'4',	1858,	'Y'),
(8967,	'2',	1859,	'Y'),
(8968,	'3',	1859,	'Y'),
(8969,	'4',	1859,	'Y'),
(8970,	'2',	1860,	'Y'),
(8971,	'3',	1860,	'Y'),
(8972,	'4',	1860,	'Y'),
(8973,	'2',	1861,	'Y'),
(8974,	'3',	1861,	'Y'),
(8975,	'4',	1861,	'Y'),
(8976,	'2',	1862,	'Y'),
(8977,	'3',	1862,	'Y'),
(8978,	'4',	1862,	'Y'),
(8979,	'2',	1863,	'Y'),
(8980,	'3',	1863,	'Y'),
(8981,	'22',	1863,	'Y'),
(8982,	'4',	1863,	'Y'),
(8983,	'2',	1864,	'Y'),
(8984,	'3',	1864,	'Y'),
(8985,	'4',	1864,	'Y'),
(8986,	'2',	1865,	'Y'),
(8987,	'3',	1865,	'Y'),
(8988,	'4',	1865,	'Y'),
(8989,	'2',	1866,	'Y'),
(8990,	'3',	1866,	'Y'),
(8991,	'4',	1866,	'Y'),
(8992,	'2',	1867,	'Y'),
(8993,	'3',	1867,	'Y'),
(8994,	'4',	1867,	'Y'),
(8995,	'2',	1868,	'Y'),
(8996,	'3',	1868,	'Y'),
(8997,	'4',	1868,	'Y'),
(8998,	'2',	1869,	'Y'),
(8999,	'3',	1869,	'Y'),
(9000,	'4',	1869,	'Y'),
(9001,	'2',	1870,	'Y'),
(9002,	'3',	1870,	'Y'),
(9003,	'4',	1870,	'Y'),
(9004,	'2',	1871,	'Y'),
(9005,	'3',	1871,	'Y'),
(9006,	'4',	1871,	'Y'),
(9007,	'2',	1872,	'Y'),
(9008,	'3',	1872,	'Y'),
(9009,	'4',	1872,	'Y'),
(9010,	'2',	1873,	'Y'),
(9011,	'3',	1873,	'Y'),
(9012,	'4',	1873,	'Y'),
(9013,	'2',	1874,	'Y'),
(9014,	'3',	1874,	'Y'),
(9015,	'4',	1874,	'Y'),
(9016,	'2',	1875,	'Y'),
(9017,	'3',	1875,	'Y'),
(9018,	'4',	1875,	'Y'),
(9019,	'2',	1876,	'Y'),
(9020,	'3',	1876,	'Y'),
(9021,	'4',	1876,	'Y'),
(9022,	'2',	1877,	'Y'),
(9023,	'3',	1877,	'Y'),
(9024,	'27',	1877,	'Y'),
(9025,	'4',	1877,	'Y'),
(9026,	'2',	1878,	'Y'),
(9027,	'3',	1878,	'Y'),
(9028,	'22',	1878,	'Y'),
(9029,	'4',	1878,	'Y'),
(9030,	'81',	1878,	'Y'),
(9031,	'2',	1879,	'Y'),
(9032,	'3',	1879,	'Y'),
(9033,	'4',	1879,	'Y'),
(9034,	'2',	1880,	'Y'),
(9035,	'3',	1880,	'Y'),
(9036,	'4',	1880,	'Y'),
(9037,	'2',	1881,	'Y'),
(9038,	'3',	1881,	'Y'),
(9039,	'4',	1881,	'Y'),
(9040,	'81',	1881,	'Y'),
(9041,	'2',	1882,	'Y'),
(9042,	'3',	1882,	'Y'),
(9043,	'4',	1882,	'Y'),
(9044,	'2',	1883,	'Y'),
(9045,	'3',	1883,	'Y'),
(9046,	'4',	1883,	'Y'),
(9047,	'2',	1884,	'Y'),
(9048,	'3',	1884,	'Y'),
(9049,	'4',	1884,	'Y'),
(9050,	'2',	1885,	'Y'),
(9051,	'3',	1885,	'Y'),
(9052,	'4',	1885,	'Y'),
(9053,	'2',	1886,	'Y'),
(9054,	'3',	1886,	'Y'),
(9055,	'4',	1886,	'Y'),
(9056,	'2',	1887,	'Y'),
(9057,	'3',	1887,	'Y'),
(9058,	'4',	1887,	'Y'),
(9059,	'2',	1888,	'Y'),
(9060,	'3',	1888,	'Y'),
(9061,	'4',	1888,	'Y'),
(9062,	'2',	1889,	'Y'),
(9063,	'3',	1889,	'Y'),
(9064,	'4',	1889,	'Y'),
(9065,	'2',	1890,	'Y'),
(9066,	'3',	1890,	'Y'),
(9067,	'4',	1890,	'Y'),
(9068,	'2',	1891,	'Y'),
(9069,	'3',	1891,	'Y'),
(9070,	'4',	1891,	'Y'),
(9071,	'2',	1892,	'Y'),
(9072,	'3',	1892,	'Y'),
(9073,	'4',	1892,	'Y'),
(9074,	'2',	1893,	'Y'),
(9075,	'3',	1893,	'Y'),
(9076,	'4',	1893,	'Y'),
(9077,	'2',	1894,	'Y'),
(9078,	'3',	1894,	'Y'),
(9079,	'113',	1894,	'Y'),
(9080,	'4',	1894,	'Y'),
(9081,	'2',	1895,	'Y'),
(9082,	'3',	1895,	'Y'),
(9083,	'4',	1895,	'Y'),
(9084,	'2',	1896,	'Y'),
(9085,	'3',	1896,	'Y'),
(9086,	'4',	1896,	'Y'),
(9087,	'2',	1897,	'Y'),
(9088,	'3',	1897,	'Y'),
(9089,	'4',	1897,	'Y'),
(9090,	'2',	1898,	'Y'),
(9091,	'3',	1898,	'Y'),
(9092,	'4',	1898,	'Y'),
(9093,	'2',	1899,	'Y'),
(9094,	'3',	1899,	'Y'),
(9095,	'4',	1899,	'Y'),
(9096,	'2',	1900,	'Y'),
(9097,	'3',	1900,	'Y'),
(9098,	'4',	1900,	'Y'),
(9099,	'2',	1901,	'Y'),
(9100,	'3',	1901,	'Y'),
(9101,	'4',	1901,	'Y'),
(9102,	'2',	1902,	'Y'),
(9103,	'3',	1902,	'Y'),
(9104,	'4',	1902,	'Y'),
(9105,	'2',	1903,	'Y'),
(9106,	'3',	1903,	'Y'),
(9107,	'4',	1903,	'Y'),
(9108,	'2',	1904,	'Y'),
(9109,	'3',	1904,	'Y'),
(9110,	'4',	1904,	'Y'),
(9111,	'2',	1905,	'Y'),
(9112,	'3',	1905,	'Y'),
(9113,	'4',	1905,	'Y'),
(9114,	'2',	1906,	'Y'),
(9115,	'3',	1906,	'Y'),
(9116,	'4',	1906,	'Y'),
(9117,	'2',	1907,	'Y'),
(9118,	'3',	1907,	'Y'),
(9119,	'4',	1907,	'Y'),
(9120,	'2',	1908,	'Y'),
(9121,	'3',	1908,	'Y'),
(9122,	'4',	1908,	'Y'),
(9123,	'2',	1909,	'Y'),
(9124,	'3',	1909,	'Y'),
(9125,	'4',	1909,	'Y'),
(9126,	'2',	1910,	'Y'),
(9127,	'3',	1910,	'Y'),
(9128,	'4',	1910,	'Y'),
(9129,	'2',	1911,	'Y'),
(9130,	'3',	1911,	'Y'),
(9131,	'4',	1911,	'Y'),
(9132,	'2',	1912,	'Y'),
(9133,	'3',	1912,	'Y'),
(9134,	'4',	1912,	'Y'),
(9135,	'2',	1913,	'Y'),
(9136,	'3',	1913,	'Y'),
(9137,	'4',	1913,	'Y'),
(9138,	'2',	1914,	'Y'),
(9139,	'3',	1914,	'Y'),
(9140,	'4',	1914,	'Y'),
(9141,	'2',	1915,	'Y'),
(9142,	'3',	1915,	'Y'),
(9143,	'4',	1915,	'Y'),
(9144,	'2',	1916,	'Y'),
(9145,	'3',	1916,	'Y'),
(9146,	'4',	1916,	'Y'),
(9147,	'2',	1917,	'Y'),
(9148,	'3',	1917,	'Y'),
(9149,	'4',	1917,	'Y'),
(9150,	'2',	1918,	'Y'),
(9151,	'3',	1918,	'Y'),
(9152,	'4',	1918,	'Y'),
(9153,	'2',	1919,	'Y'),
(9154,	'3',	1919,	'Y'),
(9155,	'4',	1919,	'Y'),
(9156,	'2',	1920,	'Y'),
(9157,	'3',	1920,	'Y'),
(9158,	'4',	1920,	'Y'),
(9159,	'2',	1921,	'Y'),
(9160,	'3',	1921,	'Y'),
(9161,	'4',	1921,	'Y'),
(9162,	'2',	1922,	'Y'),
(9163,	'3',	1922,	'Y'),
(9164,	'4',	1922,	'Y'),
(9165,	'2',	1923,	'Y'),
(9166,	'3',	1923,	'Y'),
(9167,	'4',	1923,	'Y'),
(9168,	'2',	1924,	'Y'),
(9169,	'3',	1924,	'Y'),
(9170,	'4',	1924,	'Y'),
(9171,	'2',	1925,	'Y'),
(9172,	'3',	1925,	'Y'),
(9173,	'4',	1925,	'Y'),
(9174,	'2',	1926,	'Y'),
(9175,	'3',	1926,	'Y'),
(9176,	'4',	1926,	'Y'),
(9177,	'2',	1927,	'Y'),
(9178,	'3',	1927,	'Y'),
(9179,	'4',	1927,	'Y'),
(9180,	'2',	1928,	'Y'),
(9181,	'3',	1928,	'Y'),
(9182,	'4',	1928,	'Y'),
(9183,	'2',	1929,	'Y'),
(9184,	'3',	1929,	'Y'),
(9185,	'4',	1929,	'Y'),
(9186,	'2',	1930,	'Y'),
(9187,	'3',	1930,	'Y'),
(9188,	'4',	1930,	'Y'),
(9189,	'2',	1931,	'Y'),
(9190,	'3',	1931,	'Y'),
(9191,	'4',	1931,	'Y'),
(9192,	'2',	1932,	'Y'),
(9193,	'3',	1932,	'Y'),
(9194,	'4',	1932,	'Y'),
(9195,	'2',	1933,	'Y'),
(9196,	'3',	1933,	'Y'),
(9197,	'4',	1933,	'Y'),
(9198,	'2',	1934,	'Y'),
(9199,	'3',	1934,	'Y'),
(9200,	'4',	1934,	'Y'),
(9201,	'2',	1935,	'Y'),
(9202,	'3',	1935,	'Y'),
(9203,	'4',	1935,	'Y'),
(9204,	'2',	1936,	'Y'),
(9205,	'3',	1936,	'Y'),
(9206,	'4',	1936,	'Y'),
(9207,	'2',	1937,	'Y'),
(9208,	'3',	1937,	'Y'),
(9209,	'4',	1937,	'Y'),
(9210,	'2',	1938,	'Y'),
(9211,	'3',	1938,	'Y'),
(9212,	'4',	1938,	'Y'),
(9213,	'2',	1939,	'Y'),
(9214,	'3',	1939,	'Y'),
(9215,	'4',	1939,	'Y'),
(9216,	'2',	1940,	'Y'),
(9217,	'3',	1940,	'Y'),
(9218,	'4',	1940,	'Y'),
(9219,	'2',	1941,	'Y'),
(9220,	'3',	1941,	'Y'),
(9221,	'4',	1941,	'Y'),
(9222,	'2',	1942,	'Y'),
(9223,	'3',	1942,	'Y'),
(9224,	'4',	1942,	'Y'),
(9225,	'2',	1943,	'Y'),
(9226,	'3',	1943,	'Y'),
(9227,	'4',	1943,	'Y'),
(9228,	'2',	1944,	'Y'),
(9229,	'3',	1944,	'Y'),
(9230,	'4',	1944,	'Y'),
(9231,	'2',	1945,	'Y'),
(9232,	'3',	1945,	'Y'),
(9233,	'4',	1945,	'Y'),
(9234,	'2',	1946,	'Y'),
(9235,	'3',	1946,	'Y'),
(9236,	'4',	1946,	'Y'),
(9237,	'2',	1947,	'Y'),
(9238,	'3',	1947,	'Y'),
(9239,	'4',	1947,	'Y'),
(9240,	'2',	1948,	'Y'),
(9241,	'3',	1948,	'Y'),
(9242,	'4',	1948,	'Y'),
(9243,	'2',	1949,	'Y'),
(9244,	'3',	1949,	'Y'),
(9245,	'4',	1949,	'Y'),
(9246,	'2',	1950,	'Y'),
(9247,	'3',	1950,	'Y'),
(9248,	'4',	1950,	'Y'),
(9249,	'2',	1951,	'Y'),
(9250,	'3',	1951,	'Y'),
(9251,	'4',	1951,	'Y'),
(9252,	'2',	1952,	'Y'),
(9253,	'3',	1952,	'Y'),
(9254,	'4',	1952,	'Y'),
(9255,	'2',	1953,	'Y'),
(9256,	'3',	1953,	'Y'),
(9257,	'4',	1953,	'Y'),
(9258,	'2',	1954,	'Y'),
(9259,	'3',	1954,	'Y'),
(9260,	'4',	1954,	'Y'),
(9261,	'2',	1955,	'Y'),
(9262,	'3',	1955,	'Y'),
(9263,	'4',	1955,	'Y'),
(9264,	'2',	1956,	'Y'),
(9265,	'3',	1956,	'Y'),
(9266,	'4',	1956,	'Y'),
(9267,	'2',	1957,	'Y'),
(9268,	'3',	1957,	'Y'),
(9269,	'4',	1957,	'Y'),
(9270,	'2',	1958,	'Y'),
(9271,	'3',	1958,	'Y'),
(9272,	'4',	1958,	'Y'),
(9273,	'2',	1959,	'Y'),
(9274,	'3',	1959,	'Y'),
(9275,	'4',	1959,	'Y'),
(9276,	'2',	1960,	'Y'),
(9277,	'3',	1960,	'Y'),
(9278,	'4',	1960,	'Y'),
(9279,	'2',	1961,	'Y'),
(9280,	'3',	1961,	'Y'),
(9281,	'4',	1961,	'Y'),
(9282,	'2',	1962,	'Y'),
(9283,	'3',	1962,	'Y'),
(9284,	'4',	1962,	'Y'),
(9285,	'2',	1963,	'Y'),
(9286,	'3',	1963,	'Y'),
(9287,	'4',	1963,	'Y'),
(9288,	'2',	1964,	'Y'),
(9289,	'3',	1964,	'Y'),
(9290,	'4',	1964,	'Y'),
(9291,	'2',	1965,	'Y'),
(9292,	'3',	1965,	'Y'),
(9293,	'4',	1965,	'Y'),
(9294,	'2',	1966,	'Y'),
(9295,	'3',	1966,	'Y'),
(9296,	'4',	1966,	'Y'),
(9297,	'2',	1967,	'Y'),
(9298,	'3',	1967,	'Y'),
(9299,	'4',	1967,	'Y'),
(9300,	'2',	1968,	'Y'),
(9301,	'3',	1968,	'Y'),
(9302,	'4',	1968,	'Y'),
(9303,	'2',	1969,	'Y'),
(9304,	'3',	1969,	'Y'),
(9305,	'4',	1969,	'Y'),
(9306,	'2',	1970,	'Y'),
(9307,	'3',	1970,	'Y'),
(9308,	'4',	1970,	'Y'),
(9309,	'2',	1971,	'Y'),
(9310,	'3',	1971,	'Y'),
(9311,	'4',	1971,	'Y'),
(9312,	'2',	1972,	'Y'),
(9313,	'3',	1972,	'Y'),
(9314,	'4',	1972,	'Y'),
(9315,	'2',	1973,	'Y'),
(9316,	'3',	1973,	'Y'),
(9317,	'4',	1973,	'Y'),
(9318,	'2',	1974,	'Y'),
(9319,	'3',	1974,	'Y'),
(9320,	'4',	1974,	'Y'),
(9321,	'2',	1975,	'Y'),
(9322,	'3',	1975,	'Y'),
(9323,	'4',	1975,	'Y'),
(9324,	'2',	1976,	'Y'),
(9325,	'3',	1976,	'Y'),
(9326,	'4',	1976,	'Y'),
(9327,	'2',	1977,	'Y'),
(9328,	'3',	1977,	'Y'),
(9329,	'4',	1977,	'Y'),
(9330,	'2',	1978,	'Y'),
(9331,	'3',	1978,	'Y'),
(9332,	'4',	1978,	'Y'),
(9333,	'2',	1979,	'Y'),
(9334,	'3',	1979,	'Y'),
(9335,	'4',	1979,	'Y'),
(9336,	'2',	1980,	'Y'),
(9337,	'3',	1980,	'Y'),
(9338,	'4',	1980,	'Y'),
(9339,	'2',	1981,	'Y'),
(9340,	'3',	1981,	'Y'),
(9341,	'4',	1981,	'Y'),
(9342,	'2',	1982,	'Y'),
(9343,	'3',	1982,	'Y'),
(9344,	'4',	1982,	'Y'),
(9345,	'2',	1983,	'Y'),
(9346,	'3',	1983,	'Y'),
(9347,	'4',	1983,	'Y'),
(9348,	'2',	1984,	'Y'),
(9349,	'3',	1984,	'Y'),
(9350,	'4',	1984,	'Y'),
(9351,	'2',	1985,	'Y'),
(9352,	'3',	1985,	'Y'),
(9353,	'4',	1985,	'Y'),
(9354,	'24',	1986,	'Y'),
(9355,	'2',	1986,	'Y'),
(9356,	'3',	1986,	'Y'),
(9357,	'4',	1986,	'Y'),
(9358,	'2',	1987,	'Y'),
(9359,	'3',	1987,	'Y'),
(9360,	'4',	1987,	'Y'),
(9361,	'2',	1988,	'Y'),
(9362,	'3',	1988,	'Y'),
(9363,	'4',	1988,	'Y'),
(9364,	'2',	1989,	'Y'),
(9365,	'3',	1989,	'Y'),
(9366,	'4',	1989,	'Y'),
(9367,	'2',	1990,	'Y'),
(9368,	'3',	1990,	'Y'),
(9369,	'4',	1990,	'Y'),
(9370,	'2',	1991,	'Y'),
(9371,	'3',	1991,	'Y'),
(9372,	'4',	1991,	'Y'),
(9373,	'2',	1992,	'Y'),
(9374,	'3',	1992,	'Y'),
(9375,	'4',	1992,	'Y'),
(9376,	'2',	1993,	'Y'),
(9377,	'3',	1993,	'Y'),
(9378,	'4',	1993,	'Y'),
(9379,	'2',	1994,	'Y'),
(9380,	'3',	1994,	'Y'),
(9381,	'4',	1994,	'Y'),
(9382,	'2',	1995,	'Y'),
(9383,	'3',	1995,	'Y'),
(9384,	'4',	1995,	'Y'),
(9385,	'3',	1996,	'Y'),
(9386,	'2',	1997,	'Y'),
(9387,	'3',	1997,	'Y'),
(9388,	'4',	1997,	'Y'),
(9389,	'5',	1998,	'Y'),
(9390,	'2',	1998,	'Y'),
(9391,	'3',	1998,	'Y'),
(9392,	'4',	1998,	'Y'),
(9393,	'2',	1999,	'Y'),
(9394,	'3',	1999,	'Y'),
(9395,	'4',	1999,	'Y'),
(9396,	'2',	2000,	'Y'),
(9397,	'3',	2000,	'Y'),
(9398,	'4',	2000,	'Y'),
(9399,	'2',	2001,	'Y'),
(9400,	'3',	2001,	'Y'),
(9401,	'4',	2001,	'Y'),
(9402,	'2',	2002,	'Y'),
(9403,	'3',	2002,	'Y'),
(9404,	'4',	2002,	'Y'),
(9405,	'2',	2003,	'Y'),
(9406,	'3',	2003,	'Y'),
(9407,	'4',	2003,	'Y'),
(9408,	'2',	2004,	'Y'),
(9409,	'3',	2004,	'Y'),
(9410,	'4',	2004,	'Y'),
(9411,	'2',	2005,	'Y'),
(9412,	'3',	2005,	'Y'),
(9413,	'4',	2005,	'Y'),
(9414,	'2',	2006,	'Y'),
(9415,	'3',	2006,	'Y'),
(9416,	'4',	2006,	'Y'),
(9417,	'2',	2007,	'Y'),
(9418,	'3',	2007,	'Y'),
(9419,	'4',	2007,	'Y'),
(9420,	'2',	2008,	'Y'),
(9421,	'3',	2008,	'Y'),
(9422,	'4',	2008,	'Y'),
(9423,	'2',	2009,	'Y'),
(9424,	'3',	2009,	'Y'),
(9425,	'4',	2009,	'Y'),
(9426,	'2',	2010,	'Y'),
(9427,	'3',	2010,	'Y'),
(9428,	'4',	2010,	'Y'),
(9429,	'2',	2011,	'Y'),
(9430,	'3',	2011,	'Y'),
(9431,	'4',	2011,	'Y'),
(9432,	'2',	2012,	'Y'),
(9433,	'3',	2012,	'Y'),
(9434,	'4',	2012,	'Y'),
(9435,	'2',	2013,	'Y'),
(9436,	'3',	2013,	'Y'),
(9437,	'4',	2013,	'Y'),
(9438,	'2',	2014,	'Y'),
(9439,	'3',	2014,	'Y'),
(9440,	'4',	2014,	'Y'),
(9441,	'2',	2015,	'Y'),
(9442,	'3',	2015,	'Y'),
(9443,	'4',	2015,	'Y'),
(9444,	'2',	2016,	'Y'),
(9445,	'3',	2016,	'Y'),
(9446,	'4',	2016,	'Y'),
(9447,	'2',	2017,	'Y'),
(9448,	'3',	2017,	'Y'),
(9449,	'4',	2017,	'Y'),
(9450,	'114',	2018,	'Y'),
(9451,	'115',	2018,	'Y'),
(9452,	'116',	2018,	'Y'),
(9453,	'2',	2018,	'Y'),
(9454,	'3',	2018,	'Y'),
(9455,	'117',	2018,	'Y'),
(9456,	'118',	2018,	'Y'),
(9457,	'4',	2018,	'Y'),
(9458,	'63',	2019,	'Y'),
(9459,	'3',	2019,	'Y'),
(9460,	'4',	2019,	'Y'),
(9461,	'119',	2020,	'Y'),
(9462,	'120',	2020,	'Y'),
(9463,	'121',	2020,	'Y'),
(9464,	'122',	2020,	'Y'),
(9465,	'123',	2020,	'Y'),
(9466,	'67',	2020,	'Y'),
(9467,	'2',	2021,	'Y'),
(9468,	'3',	2021,	'Y'),
(9469,	'4',	2021,	'Y'),
(9470,	'2',	2022,	'Y'),
(9471,	'3',	2022,	'Y'),
(9472,	'4',	2022,	'Y'),
(9473,	'2',	2023,	'Y'),
(9474,	'3',	2023,	'Y'),
(9475,	'4',	2023,	'Y'),
(9476,	'120',	2024,	'Y'),
(9477,	'121',	2024,	'Y'),
(9478,	'122',	2024,	'Y'),
(9479,	'123',	2024,	'Y'),
(9480,	'124',	2025,	'Y'),
(9481,	'125',	2025,	'Y'),
(9482,	'126',	2025,	'Y'),
(9483,	'127',	2025,	'Y'),
(9484,	'128',	2025,	'Y'),
(9485,	'129',	2025,	'Y'),
(9486,	'130',	2026,	'Y'),
(9487,	'131',	2027,	'Y'),
(9488,	'132',	2027,	'Y'),
(9489,	'133',	2027,	'Y'),
(9490,	'2',	2028,	'Y'),
(9491,	'3',	2028,	'Y'),
(9492,	'4',	2028,	'Y'),
(9493,	'134',	2029,	'Y'),
(9494,	'2',	2030,	'Y'),
(9495,	'3',	2030,	'Y'),
(9496,	'4',	2030,	'Y'),
(9497,	'135',	2031,	'Y'),
(9498,	'136',	2032,	'Y'),
(9499,	'2',	2033,	'Y'),
(9500,	'3',	2033,	'Y'),
(9501,	'4',	2033,	'Y'),
(9502,	'2',	2034,	'Y'),
(9503,	'3',	2034,	'Y'),
(9504,	'4',	2034,	'Y'),
(9505,	'137',	2035,	'Y'),
(9506,	'138',	2035,	'Y'),
(9507,	'138',	2036,	'Y'),
(9508,	'2',	2036,	'Y'),
(9509,	'3',	2036,	'Y'),
(9510,	'2',	2037,	'Y'),
(9511,	'3',	2037,	'Y'),
(9512,	'4',	2037,	'Y'),
(9513,	'139',	2038,	'Y'),
(9514,	'140',	2038,	'Y'),
(9515,	'141',	2038,	'Y'),
(9516,	'142',	2038,	'Y'),
(9517,	'2',	2039,	'Y'),
(9518,	'3',	2039,	'Y'),
(9519,	'4',	2039,	'Y'),
(9520,	'2',	2040,	'Y'),
(9521,	'3',	2040,	'Y'),
(9522,	'4',	2040,	'Y'),
(9523,	'2',	2041,	'Y'),
(9524,	'3',	2041,	'Y'),
(9525,	'4',	2041,	'Y'),
(9526,	'56',	2042,	'Y'),
(9527,	'3',	2042,	'Y'),
(9528,	'4',	2042,	'Y'),
(9529,	'2',	2043,	'Y'),
(9530,	'3',	2043,	'Y'),
(9531,	'4',	2043,	'Y'),
(9532,	'143',	2044,	'Y'),
(9533,	'144',	2044,	'Y'),
(9534,	'2',	2045,	'Y'),
(9535,	'3',	2045,	'Y'),
(9536,	'4',	2045,	'Y'),
(9537,	'145',	2046,	'Y'),
(9538,	'146',	2047,	'Y'),
(9539,	'49',	2048,	'Y'),
(9540,	'147',	2049,	'Y'),
(9541,	'148',	2050,	'Y'),
(9542,	'3',	2051,	'Y'),
(9543,	'4',	2051,	'Y'),
(9544,	'149',	2052,	'Y'),
(9545,	'3',	2053,	'Y'),
(9546,	'150',	2054,	'Y'),
(9547,	'3',	2055,	'Y'),
(9548,	'3',	2056,	'Y'),
(9549,	'3',	2057,	'Y'),
(9550,	'3',	2058,	'Y'),
(9551,	'151',	2059,	'Y'),
(9552,	'152',	2059,	'Y'),
(9553,	'153',	2060,	'Y'),
(9554,	'154',	2061,	'Y'),
(9555,	'155',	2062,	'Y'),
(9556,	'155',	2063,	'Y'),
(9557,	'156',	2064,	'Y'),
(9558,	'157',	2065,	'Y'),
(9559,	'158',	2065,	'Y'),
(9560,	'3',	2066,	'Y'),
(9561,	'3',	2067,	'Y'),
(9562,	'159',	2068,	'Y'),
(9563,	'78',	2068,	'Y'),
(9564,	'3',	2069,	'Y'),
(9565,	'4',	2069,	'Y'),
(9566,	'2',	2070,	'Y'),
(9567,	'3',	2070,	'Y'),
(9568,	'3',	2071,	'Y'),
(9569,	'3',	2072,	'Y'),
(9570,	'23',	2073,	'Y'),
(9571,	'160',	2074,	'Y'),
(9572,	'161',	2074,	'Y'),
(9573,	'162',	2075,	'Y'),
(9574,	'163',	2075,	'Y'),
(9575,	'63',	2076,	'Y'),
(9576,	'3',	2076,	'Y'),
(9577,	'2',	2077,	'Y'),
(9578,	'3',	2077,	'Y'),
(9579,	'4',	2077,	'Y'),
(9580,	'164',	2078,	'Y'),
(9581,	'2',	2079,	'Y'),
(9582,	'3',	2079,	'Y'),
(9583,	'4',	2079,	'Y'),
(9584,	'124',	2080,	'Y'),
(9585,	'125',	2080,	'Y'),
(9586,	'126',	2080,	'Y'),
(9587,	'129',	2080,	'Y'),
(9588,	'2',	2081,	'Y'),
(9589,	'3',	2081,	'Y'),
(9590,	'4',	2081,	'Y'),
(9591,	'2',	2082,	'Y'),
(9592,	'3',	2082,	'Y'),
(9593,	'4',	2082,	'Y'),
(9594,	'2',	2083,	'Y'),
(9595,	'3',	2083,	'Y'),
(9596,	'4',	2083,	'Y'),
(9597,	'74',	2084,	'Y'),
(9598,	'74',	2085,	'Y'),
(9599,	'74',	2086,	'Y'),
(9600,	'165',	2087,	'Y'),
(9601,	'74',	2088,	'Y'),
(9602,	'74',	2089,	'Y'),
(9603,	'74',	2090,	'Y'),
(9604,	'166',	2091,	'Y'),
(9605,	'166',	2092,	'Y'),
(9606,	'167',	2093,	'Y'),
(9607,	'167',	2094,	'Y'),
(9608,	'167',	2095,	'Y'),
(9609,	'166',	2096,	'Y'),
(9610,	'166',	2097,	'Y'),
(9611,	'168',	2098,	'Y'),
(9612,	'166',	2099,	'Y'),
(9613,	'168',	2100,	'Y'),
(9614,	'166',	2101,	'Y'),
(9615,	'74',	2102,	'Y'),
(9616,	'74',	2103,	'Y'),
(9617,	'74',	2104,	'Y'),
(9618,	'165',	2105,	'Y'),
(9619,	'74',	2106,	'Y'),
(9620,	'74',	2107,	'Y'),
(9621,	'74',	2108,	'Y'),
(9622,	'166',	2109,	'Y'),
(9623,	'166',	2110,	'Y'),
(9624,	'167',	2111,	'Y'),
(9625,	'167',	2112,	'Y'),
(9626,	'167',	2113,	'Y'),
(9627,	'166',	2114,	'Y'),
(9628,	'166',	2115,	'Y'),
(9629,	'165',	2116,	'Y'),
(9630,	'74',	2117,	'Y'),
(9631,	'74',	2118,	'Y'),
(9632,	'166',	2119,	'Y'),
(9633,	'167',	2120,	'Y'),
(9634,	'167',	2121,	'Y'),
(9635,	'167',	2122,	'Y'),
(9636,	'74',	2123,	'Y'),
(9637,	'74',	2124,	'Y'),
(9638,	'74',	2125,	'Y'),
(9639,	'74',	2126,	'Y'),
(9640,	'74',	2127,	'Y'),
(9641,	'74',	2128,	'Y'),
(9642,	'166',	2129,	'Y'),
(9643,	'166',	2130,	'Y'),
(9644,	'167',	2131,	'Y'),
(9645,	'167',	2132,	'Y'),
(9646,	'167',	2133,	'Y'),
(9647,	'165',	2134,	'Y'),
(9648,	'166',	2135,	'Y'),
(9649,	'166',	2136,	'Y'),
(9650,	'74',	2137,	'Y'),
(9651,	'74',	2138,	'Y'),
(9652,	'45',	2139,	'Y'),
(9653,	'74',	2140,	'Y'),
(9654,	'169',	2141,	'Y'),
(9655,	'74',	2142,	'Y'),
(9656,	'74',	2143,	'Y'),
(9657,	'165',	2144,	'Y'),
(9658,	'74',	2145,	'Y'),
(9659,	'74',	2146,	'Y'),
(9660,	'45',	2147,	'Y'),
(9661,	'74',	2148,	'Y'),
(9662,	'74',	2149,	'Y'),
(9663,	'169',	2150,	'Y'),
(9664,	'74',	2151,	'Y'),
(9665,	'165',	2152,	'Y'),
(9666,	'170',	2153,	'Y'),
(9667,	'171',	2153,	'Y'),
(9668,	'172',	2153,	'Y'),
(9669,	'74',	2154,	'Y'),
(9670,	'74',	2155,	'Y'),
(9671,	'173',	2156,	'Y'),
(9672,	'171',	2156,	'Y'),
(9673,	'172',	2156,	'Y'),
(9674,	'174',	2156,	'Y'),
(9675,	'173',	2157,	'Y'),
(9676,	'171',	2157,	'Y'),
(9677,	'172',	2157,	'Y'),
(9678,	'174',	2157,	'Y'),
(9679,	'75',	2158,	'Y'),
(9680,	'74',	2159,	'Y'),
(9681,	'74',	2160,	'Y'),
(9682,	'74',	2161,	'Y'),
(9683,	'74',	2162,	'Y'),
(9684,	'74',	2163,	'Y'),
(9685,	'74',	2164,	'Y'),
(9686,	'74',	2165,	'Y'),
(9687,	'169',	2166,	'Y'),
(9688,	'169',	2167,	'Y'),
(9689,	'169',	2168,	'Y'),
(9690,	'175',	2169,	'Y'),
(9691,	'175',	2170,	'Y'),
(9692,	'175',	2171,	'Y'),
(9693,	'169',	2172,	'Y'),
(9694,	'169',	2173,	'Y'),
(9695,	'169',	2174,	'Y'),
(9696,	'169',	2175,	'Y'),
(9697,	'169',	2176,	'Y'),
(9698,	'169',	2177,	'Y'),
(9699,	'169',	2178,	'Y'),
(9700,	'169',	2179,	'Y'),
(9701,	'169',	2180,	'Y'),
(9702,	'169',	2181,	'Y'),
(9703,	'169',	2182,	'Y'),
(9704,	'172',	2182,	'Y'),
(9705,	'169',	2183,	'Y'),
(9706,	'169',	2184,	'Y'),
(9707,	'169',	2185,	'Y'),
(9708,	'172',	2185,	'Y'),
(9709,	'176',	2186,	'Y'),
(9710,	'169',	2186,	'Y'),
(9711,	'174',	2186,	'Y'),
(9712,	'169',	2187,	'Y'),
(9713,	'174',	2187,	'Y'),
(9714,	'2',	2188,	'Y'),
(9715,	'3',	2188,	'Y'),
(9716,	'4',	2188,	'Y'),
(9717,	'2',	2189,	'Y'),
(9718,	'3',	2189,	'Y'),
(9719,	'4',	2189,	'Y'),
(9720,	'2',	2190,	'Y'),
(9721,	'3',	2190,	'Y'),
(9722,	'4',	2190,	'Y'),
(9723,	'2',	2191,	'Y'),
(9724,	'3',	2191,	'Y'),
(9725,	'4',	2191,	'Y'),
(9726,	'3',	2192,	'Y'),
(9727,	'2',	2193,	'Y'),
(9728,	'3',	2193,	'Y'),
(9729,	'4',	2193,	'Y');

DROP TABLE IF EXISTS `product_notifications`;
CREATE TABLE `product_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `notification_id` int(11) NOT NULL,
  `message` text,
  `product_id` int(11) NOT NULL,
  `offer_price` decimal(15,2) DEFAULT NULL,
  `price_type` varchar(255) DEFAULT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `standard_id` int(11) DEFAULT NULL,
  `unit_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notification_id` (`notification_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `product_standard`;
CREATE TABLE `product_standard` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `product_id` int(100) NOT NULL,
  `grade_id` int(100) NOT NULL,
  `standard_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `product_standard` (`id`, `product_id`, `grade_id`, `standard_id`) VALUES
(1,	1,	1,	1),
(2,	1,	2,	1),
(3,	1,	3,	1),
(4,	1,	4,	1),
(5,	1,	1,	2),
(6,	1,	2,	2),
(7,	1,	3,	2),
(8,	1,	4,	2),
(9,	2,	2,	1),
(10,	2,	3,	1),
(11,	2,	4,	1),
(12,	2,	2,	2),
(13,	2,	3,	2),
(14,	2,	4,	2),
(15,	3,	5,	1),
(16,	3,	1,	1),
(17,	3,	2,	1),
(18,	3,	3,	1),
(19,	3,	4,	1),
(20,	3,	5,	2),
(21,	3,	1,	2),
(22,	3,	2,	2),
(23,	3,	3,	2),
(24,	3,	4,	2),
(25,	4,	5,	1),
(26,	4,	1,	1),
(27,	4,	2,	1),
(28,	4,	3,	1),
(29,	4,	4,	1),
(30,	4,	5,	2),
(31,	4,	1,	2),
(32,	4,	2,	2),
(33,	4,	3,	2),
(34,	4,	4,	2),
(35,	5,	6,	2),
(36,	5,	2,	2),
(37,	5,	3,	2),
(38,	5,	4,	2),
(39,	6,	6,	2),
(40,	6,	2,	2),
(41,	6,	3,	2),
(42,	6,	4,	2),
(43,	7,	2,	1),
(44,	7,	3,	1),
(45,	7,	4,	1),
(46,	7,	2,	2),
(47,	7,	3,	2),
(48,	7,	4,	2),
(49,	8,	7,	2),
(50,	8,	8,	2),
(51,	8,	9,	2),
(52,	8,	10,	2),
(53,	8,	11,	2),
(54,	8,	12,	2),
(55,	8,	13,	2),
(56,	8,	14,	2),
(57,	8,	15,	2),
(58,	8,	16,	2),
(59,	8,	17,	2),
(60,	8,	18,	2),
(61,	8,	19,	2),
(62,	8,	20,	2),
(63,	8,	21,	2),
(64,	8,	2,	2),
(65,	8,	3,	2),
(66,	8,	4,	2),
(67,	9,	7,	2),
(68,	9,	8,	2),
(69,	9,	9,	2),
(70,	9,	10,	2),
(71,	9,	11,	2),
(72,	9,	12,	2),
(73,	9,	13,	2),
(74,	9,	14,	2),
(75,	9,	15,	2),
(76,	9,	16,	2),
(77,	9,	17,	2),
(78,	9,	18,	2),
(79,	9,	19,	2),
(80,	9,	20,	2),
(81,	9,	21,	2),
(82,	9,	2,	2),
(83,	9,	3,	2),
(84,	9,	4,	2),
(85,	10,	7,	2),
(86,	10,	8,	2),
(87,	10,	9,	2),
(88,	10,	10,	2),
(89,	10,	11,	2),
(90,	10,	12,	2),
(91,	10,	13,	2),
(92,	10,	14,	2),
(93,	10,	15,	2),
(94,	10,	16,	2),
(95,	10,	17,	2),
(96,	10,	18,	2),
(97,	10,	19,	2),
(98,	10,	20,	2),
(99,	10,	21,	2),
(100,	10,	2,	2),
(101,	10,	3,	2),
(102,	10,	4,	2),
(103,	11,	7,	2),
(104,	11,	8,	2),
(105,	11,	9,	2),
(106,	11,	10,	2),
(107,	11,	11,	2),
(108,	11,	12,	2),
(109,	11,	13,	2),
(110,	11,	14,	2),
(111,	11,	15,	2),
(112,	11,	16,	2),
(113,	11,	17,	2),
(114,	11,	18,	2),
(115,	11,	19,	2),
(116,	11,	20,	2),
(117,	11,	21,	2),
(118,	11,	2,	2),
(119,	11,	3,	2),
(120,	11,	4,	2),
(121,	12,	7,	2),
(122,	12,	8,	2),
(123,	12,	9,	2),
(124,	12,	10,	2),
(125,	12,	11,	2),
(126,	12,	12,	2),
(127,	12,	13,	2),
(128,	12,	14,	2),
(129,	12,	15,	2),
(130,	12,	16,	2),
(131,	12,	17,	2),
(132,	12,	18,	2),
(133,	12,	19,	2),
(134,	12,	20,	2),
(135,	12,	21,	2),
(136,	12,	2,	2),
(137,	12,	3,	2),
(138,	12,	4,	2),
(139,	13,	7,	2),
(140,	13,	8,	2),
(141,	13,	9,	2),
(142,	13,	10,	2),
(143,	13,	11,	2),
(144,	13,	12,	2),
(145,	13,	13,	2),
(146,	13,	14,	2),
(147,	13,	15,	2),
(148,	13,	16,	2),
(149,	13,	17,	2),
(150,	13,	18,	2),
(151,	13,	19,	2),
(152,	13,	20,	2),
(153,	13,	21,	2),
(154,	13,	2,	2),
(155,	13,	3,	2),
(156,	13,	4,	2),
(157,	14,	7,	2),
(158,	14,	8,	2),
(159,	14,	9,	2),
(160,	14,	10,	2),
(161,	14,	11,	2),
(162,	14,	12,	2),
(163,	14,	13,	2),
(164,	14,	14,	2),
(165,	14,	15,	2),
(166,	14,	16,	2),
(167,	14,	17,	2),
(168,	14,	18,	2),
(169,	14,	19,	2),
(170,	14,	20,	2),
(171,	14,	21,	2),
(172,	14,	2,	2),
(173,	14,	3,	2),
(174,	14,	4,	2),
(175,	15,	7,	2),
(176,	15,	8,	2),
(177,	15,	9,	2),
(178,	15,	10,	2),
(179,	15,	11,	2),
(180,	15,	12,	2),
(181,	15,	13,	2),
(182,	15,	14,	2),
(183,	15,	15,	2),
(184,	15,	16,	2),
(185,	15,	17,	2),
(186,	15,	18,	2),
(187,	15,	19,	2),
(188,	15,	20,	2),
(189,	15,	21,	2),
(190,	15,	2,	2),
(191,	15,	3,	2),
(192,	15,	4,	2),
(193,	16,	7,	2),
(194,	16,	8,	2),
(195,	16,	9,	2),
(196,	16,	10,	2),
(197,	16,	11,	2),
(198,	16,	12,	2),
(199,	16,	13,	2),
(200,	16,	14,	2),
(201,	16,	15,	2),
(202,	16,	16,	2),
(203,	16,	17,	2),
(204,	16,	18,	2),
(205,	16,	19,	2),
(206,	16,	20,	2),
(207,	16,	21,	2),
(208,	16,	2,	2),
(209,	16,	3,	2),
(210,	16,	4,	2),
(211,	17,	7,	2),
(212,	17,	8,	2),
(213,	17,	9,	2),
(214,	17,	10,	2),
(215,	17,	11,	2),
(216,	17,	12,	2),
(217,	17,	13,	2),
(218,	17,	14,	2),
(219,	17,	15,	2),
(220,	17,	16,	2),
(221,	17,	17,	2),
(222,	17,	18,	2),
(223,	17,	19,	2),
(224,	17,	20,	2),
(225,	17,	21,	2),
(226,	17,	2,	2),
(227,	17,	3,	2),
(228,	17,	4,	2),
(229,	18,	7,	2),
(230,	18,	8,	2),
(231,	18,	9,	2),
(232,	18,	10,	2),
(233,	18,	11,	2),
(234,	18,	12,	2),
(235,	18,	13,	2),
(236,	18,	14,	2),
(237,	18,	15,	2),
(238,	18,	16,	2),
(239,	18,	17,	2),
(240,	18,	18,	2),
(241,	18,	19,	2),
(242,	18,	20,	2),
(243,	18,	21,	2),
(244,	18,	2,	2),
(245,	18,	3,	2),
(246,	18,	4,	2),
(247,	19,	7,	2),
(248,	19,	8,	2),
(249,	19,	9,	2),
(250,	19,	10,	2),
(251,	19,	11,	2),
(252,	19,	12,	2),
(253,	19,	13,	2),
(254,	19,	14,	2),
(255,	19,	15,	2),
(256,	19,	16,	2),
(257,	19,	17,	2),
(258,	19,	18,	2),
(259,	19,	19,	2),
(260,	19,	20,	2),
(261,	19,	21,	2),
(262,	19,	2,	2),
(263,	19,	3,	2),
(264,	19,	22,	2),
(265,	19,	4,	2),
(266,	20,	7,	2),
(267,	20,	8,	2),
(268,	20,	9,	2),
(269,	20,	10,	2),
(270,	20,	11,	2),
(271,	20,	12,	2),
(272,	20,	13,	2),
(273,	20,	14,	2),
(274,	20,	15,	2),
(275,	20,	16,	2),
(276,	20,	17,	2),
(277,	20,	18,	2),
(278,	20,	19,	2),
(279,	20,	20,	2),
(280,	20,	21,	2),
(281,	20,	2,	2),
(282,	20,	3,	2),
(283,	20,	4,	2),
(284,	21,	7,	2),
(285,	21,	8,	2),
(286,	21,	9,	2),
(287,	21,	10,	2),
(288,	21,	11,	2),
(289,	21,	12,	2),
(290,	21,	13,	2),
(291,	21,	14,	2),
(292,	21,	15,	2),
(293,	21,	16,	2),
(294,	21,	17,	2),
(295,	21,	18,	2),
(296,	21,	19,	2),
(297,	21,	20,	2),
(298,	21,	21,	2),
(299,	21,	2,	2),
(300,	21,	3,	2),
(301,	21,	4,	2),
(302,	22,	7,	2),
(303,	22,	8,	2),
(304,	22,	9,	2),
(305,	22,	10,	2),
(306,	22,	11,	2),
(307,	22,	12,	2),
(308,	22,	13,	2),
(309,	22,	14,	2),
(310,	22,	15,	2),
(311,	22,	16,	2),
(312,	22,	17,	2),
(313,	22,	18,	2),
(314,	22,	19,	2),
(315,	22,	20,	2),
(316,	22,	21,	2),
(317,	22,	2,	2),
(318,	22,	3,	2),
(319,	22,	4,	2),
(320,	23,	7,	2),
(321,	23,	8,	2),
(322,	23,	9,	2),
(323,	23,	10,	2),
(324,	23,	11,	2),
(325,	23,	12,	2),
(326,	23,	13,	2),
(327,	23,	14,	2),
(328,	23,	15,	2),
(329,	23,	16,	2),
(330,	23,	17,	2),
(331,	23,	18,	2),
(332,	23,	19,	2),
(333,	23,	20,	2),
(334,	23,	21,	2),
(335,	23,	2,	2),
(336,	23,	3,	2),
(337,	23,	4,	2),
(338,	24,	7,	2),
(339,	24,	8,	2),
(340,	24,	9,	2),
(341,	24,	10,	2),
(342,	24,	11,	2),
(343,	24,	12,	2),
(344,	24,	13,	2),
(345,	24,	14,	2),
(346,	24,	15,	2),
(347,	24,	16,	2),
(348,	24,	17,	2),
(349,	24,	18,	2),
(350,	24,	19,	2),
(351,	24,	20,	2),
(352,	24,	21,	2),
(353,	24,	2,	2),
(354,	24,	3,	2),
(355,	24,	4,	2),
(356,	25,	7,	2),
(357,	25,	8,	2),
(358,	25,	9,	2),
(359,	25,	10,	2),
(360,	25,	11,	2),
(361,	25,	12,	2),
(362,	25,	13,	2),
(363,	25,	14,	2),
(364,	25,	15,	2),
(365,	25,	16,	2),
(366,	25,	17,	2),
(367,	25,	18,	2),
(368,	25,	19,	2),
(369,	25,	20,	2),
(370,	25,	21,	2),
(371,	25,	2,	2),
(372,	25,	3,	2),
(373,	25,	4,	2),
(374,	26,	7,	2),
(375,	26,	8,	2),
(376,	26,	9,	2),
(377,	26,	10,	2),
(378,	26,	11,	2),
(379,	26,	12,	2),
(380,	26,	13,	2),
(381,	26,	14,	2),
(382,	26,	15,	2),
(383,	26,	16,	2),
(384,	26,	17,	2),
(385,	26,	18,	2),
(386,	26,	19,	2),
(387,	26,	20,	2),
(388,	26,	21,	2),
(389,	26,	2,	2),
(390,	26,	3,	2),
(391,	26,	4,	2),
(392,	27,	7,	2),
(393,	27,	8,	2),
(394,	27,	9,	2),
(395,	27,	10,	2),
(396,	27,	11,	2),
(397,	27,	12,	2),
(398,	27,	13,	2),
(399,	27,	14,	2),
(400,	27,	15,	2),
(401,	27,	16,	2),
(402,	27,	17,	2),
(403,	27,	18,	2),
(404,	27,	19,	2),
(405,	27,	20,	2),
(406,	27,	21,	2),
(407,	27,	2,	2),
(408,	27,	3,	2),
(409,	27,	4,	2),
(410,	28,	7,	2),
(411,	28,	8,	2),
(412,	28,	9,	2),
(413,	28,	10,	2),
(414,	28,	11,	2),
(415,	28,	12,	2),
(416,	28,	13,	2),
(417,	28,	14,	2),
(418,	28,	15,	2),
(419,	28,	16,	2),
(420,	28,	17,	2),
(421,	28,	18,	2),
(422,	28,	19,	2),
(423,	28,	20,	2),
(424,	28,	21,	2),
(425,	28,	2,	2),
(426,	28,	3,	2),
(427,	28,	4,	2),
(428,	29,	7,	2),
(429,	29,	8,	2),
(430,	29,	9,	2),
(431,	29,	10,	2),
(432,	29,	11,	2),
(433,	29,	12,	2),
(434,	29,	13,	2),
(435,	29,	14,	2),
(436,	29,	15,	2),
(437,	29,	16,	2),
(438,	29,	17,	2),
(439,	29,	18,	2),
(440,	29,	19,	2),
(441,	29,	20,	2),
(442,	29,	21,	2),
(443,	29,	2,	2),
(444,	29,	3,	2),
(445,	29,	4,	2),
(446,	30,	7,	2),
(447,	30,	8,	2),
(448,	30,	9,	2),
(449,	30,	10,	2),
(450,	30,	11,	2),
(451,	30,	12,	2),
(452,	30,	13,	2),
(453,	30,	14,	2),
(454,	30,	15,	2),
(455,	30,	16,	2),
(456,	30,	17,	2),
(457,	30,	18,	2),
(458,	30,	19,	2),
(459,	30,	20,	2),
(460,	30,	21,	2),
(461,	30,	2,	2),
(462,	30,	3,	2),
(463,	30,	4,	2),
(464,	31,	7,	2),
(465,	31,	8,	2),
(466,	31,	9,	2),
(467,	31,	10,	2),
(468,	31,	11,	2),
(469,	31,	12,	2),
(470,	31,	13,	2),
(471,	31,	14,	2),
(472,	31,	15,	2),
(473,	31,	16,	2),
(474,	31,	17,	2),
(475,	31,	18,	2),
(476,	31,	19,	2),
(477,	31,	20,	2),
(478,	31,	21,	2),
(479,	31,	2,	2),
(480,	31,	3,	2),
(481,	31,	4,	2),
(482,	32,	7,	2),
(483,	32,	8,	2),
(484,	32,	9,	2),
(485,	32,	10,	2),
(486,	32,	11,	2),
(487,	32,	12,	2),
(488,	32,	13,	2),
(489,	32,	14,	2),
(490,	32,	15,	2),
(491,	32,	16,	2),
(492,	32,	17,	2),
(493,	32,	18,	2),
(494,	32,	19,	2),
(495,	32,	20,	2),
(496,	32,	21,	2),
(497,	32,	2,	2),
(498,	32,	3,	2),
(499,	32,	4,	2),
(500,	33,	7,	2),
(501,	33,	8,	2),
(502,	33,	9,	2),
(503,	33,	10,	2),
(504,	33,	11,	2),
(505,	33,	12,	2),
(506,	33,	13,	2),
(507,	33,	14,	2),
(508,	33,	15,	2),
(509,	33,	16,	2),
(510,	33,	17,	2),
(511,	33,	18,	2),
(512,	33,	19,	2),
(513,	33,	20,	2),
(514,	33,	21,	2),
(515,	33,	2,	2),
(516,	33,	3,	2),
(517,	33,	4,	2),
(518,	34,	7,	2),
(519,	34,	8,	2),
(520,	34,	9,	2),
(521,	34,	10,	2),
(522,	34,	11,	2),
(523,	34,	12,	2),
(524,	34,	13,	2),
(525,	34,	14,	2),
(526,	34,	15,	2),
(527,	34,	16,	2),
(528,	34,	17,	2),
(529,	34,	18,	2),
(530,	34,	19,	2),
(531,	34,	20,	2),
(532,	34,	21,	2),
(533,	34,	2,	2),
(534,	34,	3,	2),
(535,	34,	4,	2),
(536,	35,	7,	2),
(537,	35,	8,	2),
(538,	35,	9,	2),
(539,	35,	10,	2),
(540,	35,	11,	2),
(541,	35,	12,	2),
(542,	35,	13,	2),
(543,	35,	14,	2),
(544,	35,	15,	2),
(545,	35,	16,	2),
(546,	35,	17,	2),
(547,	35,	18,	2),
(548,	35,	19,	2),
(549,	35,	20,	2),
(550,	35,	21,	2),
(551,	35,	2,	2),
(552,	35,	3,	2),
(553,	35,	4,	2),
(554,	36,	7,	2),
(555,	36,	8,	2),
(556,	36,	9,	2),
(557,	36,	10,	2),
(558,	36,	11,	2),
(559,	36,	12,	2),
(560,	36,	13,	2),
(561,	36,	14,	2),
(562,	36,	15,	2),
(563,	36,	16,	2),
(564,	36,	17,	2),
(565,	36,	18,	2),
(566,	36,	6,	2),
(567,	36,	23,	2),
(568,	36,	24,	2),
(569,	36,	1,	2),
(570,	36,	19,	2),
(571,	36,	20,	2),
(572,	36,	25,	2),
(573,	36,	21,	2),
(574,	36,	2,	2),
(575,	36,	3,	2),
(576,	36,	22,	2),
(577,	36,	26,	2),
(578,	36,	27,	2),
(579,	36,	28,	2),
(580,	36,	4,	2),
(581,	37,	7,	2),
(582,	37,	8,	2),
(583,	37,	9,	2),
(584,	37,	10,	2),
(585,	37,	11,	2),
(586,	37,	12,	2),
(587,	37,	13,	2),
(588,	37,	14,	2),
(589,	37,	15,	2),
(590,	37,	16,	2),
(591,	37,	17,	2),
(592,	37,	18,	2),
(593,	37,	19,	2),
(594,	37,	20,	2),
(595,	37,	21,	2),
(596,	37,	2,	2),
(597,	37,	3,	2),
(598,	37,	4,	2),
(599,	38,	7,	2),
(600,	38,	8,	2),
(601,	38,	9,	2),
(602,	38,	10,	2),
(603,	38,	11,	2),
(604,	38,	12,	2),
(605,	38,	13,	2),
(606,	38,	14,	2),
(607,	38,	15,	2),
(608,	38,	16,	2),
(609,	38,	17,	2),
(610,	38,	18,	2),
(611,	38,	19,	2),
(612,	38,	20,	2),
(613,	38,	21,	2),
(614,	38,	2,	2),
(615,	38,	3,	2),
(616,	38,	22,	2),
(617,	38,	4,	2),
(618,	39,	7,	2),
(619,	39,	8,	2),
(620,	39,	9,	2),
(621,	39,	10,	2),
(622,	39,	11,	2),
(623,	39,	12,	2),
(624,	39,	13,	2),
(625,	39,	14,	2),
(626,	39,	15,	2),
(627,	39,	16,	2),
(628,	39,	17,	2),
(629,	39,	18,	2),
(630,	39,	19,	2),
(631,	39,	20,	2),
(632,	39,	21,	2),
(633,	39,	2,	2),
(634,	39,	3,	2),
(635,	39,	4,	2),
(636,	40,	7,	2),
(637,	40,	8,	2),
(638,	40,	9,	2),
(639,	40,	10,	2),
(640,	40,	11,	2),
(641,	40,	12,	2),
(642,	40,	13,	2),
(643,	40,	14,	2),
(644,	40,	15,	2),
(645,	40,	16,	2),
(646,	40,	17,	2),
(647,	40,	18,	2),
(648,	40,	19,	2),
(649,	40,	20,	2),
(650,	40,	21,	2),
(651,	40,	2,	2),
(652,	40,	3,	2),
(653,	40,	4,	2),
(654,	41,	7,	2),
(655,	41,	8,	2),
(656,	41,	9,	2),
(657,	41,	10,	2),
(658,	41,	11,	2),
(659,	41,	12,	2),
(660,	41,	13,	2),
(661,	41,	14,	2),
(662,	41,	15,	2),
(663,	41,	16,	2),
(664,	41,	17,	2),
(665,	41,	18,	2),
(666,	41,	19,	2),
(667,	41,	20,	2),
(668,	41,	21,	2),
(669,	41,	2,	2),
(670,	41,	3,	2),
(671,	41,	4,	2),
(672,	42,	7,	2),
(673,	42,	8,	2),
(674,	42,	9,	2),
(675,	42,	10,	2),
(676,	42,	11,	2),
(677,	42,	12,	2),
(678,	42,	13,	2),
(679,	42,	14,	2),
(680,	42,	15,	2),
(681,	42,	16,	2),
(682,	42,	17,	2),
(683,	42,	18,	2),
(684,	42,	19,	2),
(685,	42,	20,	2),
(686,	42,	21,	2),
(687,	42,	2,	2),
(688,	42,	3,	2),
(689,	42,	4,	2),
(690,	43,	7,	2),
(691,	43,	8,	2),
(692,	43,	9,	2),
(693,	43,	10,	2),
(694,	43,	11,	2),
(695,	43,	12,	2),
(696,	43,	13,	2),
(697,	43,	14,	2),
(698,	43,	15,	2),
(699,	43,	16,	2),
(700,	43,	17,	2),
(701,	43,	18,	2),
(702,	43,	19,	2),
(703,	43,	20,	2),
(704,	43,	21,	2),
(705,	43,	2,	2),
(706,	43,	3,	2),
(707,	43,	4,	2),
(708,	44,	7,	2),
(709,	44,	8,	2),
(710,	44,	9,	2),
(711,	44,	10,	2),
(712,	44,	11,	2),
(713,	44,	12,	2),
(714,	44,	13,	2),
(715,	44,	14,	2),
(716,	44,	15,	2),
(717,	44,	16,	2),
(718,	44,	17,	2),
(719,	44,	18,	2),
(720,	44,	19,	2),
(721,	44,	20,	2),
(722,	44,	21,	2),
(723,	44,	2,	2),
(724,	44,	3,	2),
(725,	44,	4,	2),
(726,	45,	7,	2),
(727,	45,	8,	2),
(728,	45,	9,	2),
(729,	45,	10,	2),
(730,	45,	11,	2),
(731,	45,	12,	2),
(732,	45,	13,	2),
(733,	45,	14,	2),
(734,	45,	15,	2),
(735,	45,	16,	2),
(736,	45,	17,	2),
(737,	45,	18,	2),
(738,	45,	6,	2),
(739,	45,	23,	2),
(740,	45,	24,	2),
(741,	45,	1,	2),
(742,	45,	19,	2),
(743,	45,	20,	2),
(744,	45,	25,	2),
(745,	45,	21,	2),
(746,	45,	2,	2),
(747,	45,	3,	2),
(748,	45,	22,	2),
(749,	45,	26,	2),
(750,	45,	27,	2),
(751,	45,	28,	2),
(752,	45,	29,	2),
(753,	45,	4,	2),
(754,	46,	7,	2),
(755,	46,	8,	2),
(756,	46,	9,	2),
(757,	46,	10,	2),
(758,	46,	11,	2),
(759,	46,	12,	2),
(760,	46,	13,	2),
(761,	46,	14,	2),
(762,	46,	15,	2),
(763,	46,	16,	2),
(764,	46,	17,	2),
(765,	46,	18,	2),
(766,	46,	19,	2),
(767,	46,	20,	2),
(768,	46,	21,	2),
(769,	46,	2,	2),
(770,	46,	3,	2),
(771,	46,	4,	2),
(772,	47,	7,	2),
(773,	47,	8,	2),
(774,	47,	9,	2),
(775,	47,	10,	2),
(776,	47,	11,	2),
(777,	47,	12,	2),
(778,	47,	13,	2),
(779,	47,	14,	2),
(780,	47,	15,	2),
(781,	47,	16,	2),
(782,	47,	17,	2),
(783,	47,	18,	2),
(784,	47,	19,	2),
(785,	47,	20,	2),
(786,	47,	21,	2),
(787,	47,	2,	2),
(788,	47,	3,	2),
(789,	47,	4,	2),
(790,	48,	7,	2),
(791,	48,	8,	2),
(792,	48,	9,	2),
(793,	48,	10,	2),
(794,	48,	11,	2),
(795,	48,	12,	2),
(796,	48,	13,	2),
(797,	48,	14,	2),
(798,	48,	15,	2),
(799,	48,	16,	2),
(800,	48,	17,	2),
(801,	48,	18,	2),
(802,	48,	19,	2),
(803,	48,	20,	2),
(804,	48,	21,	2),
(805,	48,	2,	2),
(806,	48,	3,	2),
(807,	48,	4,	2),
(808,	49,	7,	2),
(809,	49,	8,	2),
(810,	49,	9,	2),
(811,	49,	10,	2),
(812,	49,	11,	2),
(813,	49,	12,	2),
(814,	49,	13,	2),
(815,	49,	14,	2),
(816,	49,	15,	2),
(817,	49,	16,	2),
(818,	49,	17,	2),
(819,	49,	18,	2),
(820,	49,	19,	2),
(821,	49,	20,	2),
(822,	49,	21,	2),
(823,	49,	2,	2),
(824,	49,	3,	2),
(825,	49,	4,	2),
(826,	50,	7,	2),
(827,	50,	8,	2),
(828,	50,	9,	2),
(829,	50,	10,	2),
(830,	50,	11,	2),
(831,	50,	12,	2),
(832,	50,	13,	2),
(833,	50,	14,	2),
(834,	50,	15,	2),
(835,	50,	16,	2),
(836,	50,	17,	2),
(837,	50,	18,	2),
(838,	50,	19,	2),
(839,	50,	20,	2),
(840,	50,	21,	2),
(841,	50,	2,	2),
(842,	50,	3,	2),
(843,	50,	4,	2),
(844,	51,	7,	2),
(845,	51,	8,	2),
(846,	51,	9,	2),
(847,	51,	10,	2),
(848,	51,	11,	2),
(849,	51,	12,	2),
(850,	51,	13,	2),
(851,	51,	14,	2),
(852,	51,	15,	2),
(853,	51,	16,	2),
(854,	51,	17,	2),
(855,	51,	18,	2),
(856,	51,	19,	2),
(857,	51,	20,	2),
(858,	51,	21,	2),
(859,	51,	2,	2),
(860,	51,	3,	2),
(861,	51,	4,	2),
(862,	52,	7,	2),
(863,	52,	8,	2),
(864,	52,	9,	2),
(865,	52,	10,	2),
(866,	52,	11,	2),
(867,	52,	12,	2),
(868,	52,	13,	2),
(869,	52,	14,	2),
(870,	52,	15,	2),
(871,	52,	16,	2),
(872,	52,	17,	2),
(873,	52,	18,	2),
(874,	52,	19,	2),
(875,	52,	20,	2),
(876,	52,	21,	2),
(877,	52,	2,	2),
(878,	52,	3,	2),
(879,	52,	4,	2),
(880,	53,	7,	2),
(881,	53,	8,	2),
(882,	53,	9,	2),
(883,	53,	10,	2),
(884,	53,	11,	2),
(885,	53,	12,	2),
(886,	53,	13,	2),
(887,	53,	14,	2),
(888,	53,	15,	2),
(889,	53,	16,	2),
(890,	53,	17,	2),
(891,	53,	18,	2),
(892,	53,	19,	2),
(893,	53,	20,	2),
(894,	53,	21,	2),
(895,	53,	2,	2),
(896,	53,	3,	2),
(897,	53,	4,	2),
(898,	54,	7,	2),
(899,	54,	8,	2),
(900,	54,	9,	2),
(901,	54,	10,	2),
(902,	54,	11,	2),
(903,	54,	12,	2),
(904,	54,	13,	2),
(905,	54,	14,	2),
(906,	54,	15,	2),
(907,	54,	16,	2),
(908,	54,	17,	2),
(909,	54,	18,	2),
(910,	54,	19,	2),
(911,	54,	20,	2),
(912,	54,	21,	2),
(913,	54,	2,	2),
(914,	54,	3,	2),
(915,	54,	4,	2),
(916,	55,	7,	2),
(917,	55,	8,	2),
(918,	55,	9,	2),
(919,	55,	10,	2),
(920,	55,	11,	2),
(921,	55,	12,	2),
(922,	55,	13,	2),
(923,	55,	14,	2),
(924,	55,	15,	2),
(925,	55,	16,	2),
(926,	55,	17,	2),
(927,	55,	18,	2),
(928,	55,	19,	2),
(929,	55,	20,	2),
(930,	55,	21,	2),
(931,	55,	2,	2),
(932,	55,	3,	2),
(933,	55,	4,	2),
(934,	56,	7,	2),
(935,	56,	8,	2),
(936,	56,	9,	2),
(937,	56,	10,	2),
(938,	56,	11,	2),
(939,	56,	12,	2),
(940,	56,	13,	2),
(941,	56,	14,	2),
(942,	56,	15,	2),
(943,	56,	16,	2),
(944,	56,	17,	2),
(945,	56,	18,	2),
(946,	56,	19,	2),
(947,	56,	20,	2),
(948,	56,	21,	2),
(949,	56,	2,	2),
(950,	56,	3,	2),
(951,	56,	4,	2),
(952,	57,	7,	2),
(953,	57,	8,	2),
(954,	57,	9,	2),
(955,	57,	10,	2),
(956,	57,	11,	2),
(957,	57,	12,	2),
(958,	57,	13,	2),
(959,	57,	14,	2),
(960,	57,	15,	2),
(961,	57,	16,	2),
(962,	57,	17,	2),
(963,	57,	18,	2),
(964,	57,	30,	2),
(965,	57,	19,	2),
(966,	57,	20,	2),
(967,	57,	31,	2),
(968,	57,	21,	2),
(969,	57,	2,	2),
(970,	57,	3,	2),
(971,	57,	4,	2),
(972,	58,	7,	2),
(973,	58,	8,	2),
(974,	58,	9,	2),
(975,	58,	10,	2),
(976,	58,	11,	2),
(977,	58,	12,	2),
(978,	58,	13,	2),
(979,	58,	14,	2),
(980,	58,	15,	2),
(981,	58,	16,	2),
(982,	58,	17,	2),
(983,	58,	18,	2),
(984,	58,	19,	2),
(985,	58,	20,	2),
(986,	58,	21,	2),
(987,	58,	2,	2),
(988,	58,	3,	2),
(989,	58,	4,	2),
(990,	59,	7,	2),
(991,	59,	8,	2),
(992,	59,	9,	2),
(993,	59,	10,	2),
(994,	59,	11,	2),
(995,	59,	12,	2),
(996,	59,	13,	2),
(997,	59,	14,	2),
(998,	59,	15,	2),
(999,	59,	16,	2),
(1000,	59,	17,	2),
(1001,	59,	18,	2),
(1002,	59,	19,	2),
(1003,	59,	20,	2),
(1004,	59,	21,	2),
(1005,	59,	2,	2),
(1006,	59,	3,	2),
(1007,	59,	22,	2),
(1008,	59,	4,	2),
(1009,	60,	7,	2),
(1010,	60,	8,	2),
(1011,	60,	9,	2),
(1012,	60,	10,	2),
(1013,	60,	11,	2),
(1014,	60,	12,	2),
(1015,	60,	13,	2),
(1016,	60,	14,	2),
(1017,	60,	15,	2),
(1018,	60,	16,	2),
(1019,	60,	17,	2),
(1020,	60,	18,	2),
(1021,	60,	19,	2),
(1022,	60,	20,	2),
(1023,	60,	21,	2),
(1024,	60,	2,	2),
(1025,	60,	3,	2),
(1026,	60,	4,	2),
(1027,	61,	7,	2),
(1028,	61,	8,	2),
(1029,	61,	9,	2),
(1030,	61,	10,	2),
(1031,	61,	11,	2),
(1032,	61,	12,	2),
(1033,	61,	13,	2),
(1034,	61,	14,	2),
(1035,	61,	15,	2),
(1036,	61,	16,	2),
(1037,	61,	17,	2),
(1038,	61,	18,	2),
(1039,	61,	19,	2),
(1040,	61,	20,	2),
(1041,	61,	21,	2),
(1042,	61,	2,	2),
(1043,	61,	3,	2),
(1044,	61,	4,	2),
(1045,	62,	7,	2),
(1046,	62,	8,	2),
(1047,	62,	9,	2),
(1048,	62,	10,	2),
(1049,	62,	11,	2),
(1050,	62,	12,	2),
(1051,	62,	13,	2),
(1052,	62,	14,	2),
(1053,	62,	15,	2),
(1054,	62,	16,	2),
(1055,	62,	17,	2),
(1056,	62,	18,	2),
(1057,	62,	19,	2),
(1058,	62,	20,	2),
(1059,	62,	21,	2),
(1060,	62,	2,	2),
(1061,	62,	3,	2),
(1062,	62,	4,	2),
(1063,	63,	7,	2),
(1064,	63,	8,	2),
(1065,	63,	9,	2),
(1066,	63,	10,	2),
(1067,	63,	11,	2),
(1068,	63,	12,	2),
(1069,	63,	13,	2),
(1070,	63,	14,	2),
(1071,	63,	15,	2),
(1072,	63,	16,	2),
(1073,	63,	17,	2),
(1074,	63,	18,	2),
(1075,	63,	19,	2),
(1076,	63,	20,	2),
(1077,	63,	21,	2),
(1078,	63,	2,	2),
(1079,	63,	3,	2),
(1080,	63,	22,	2),
(1081,	63,	4,	2),
(1082,	64,	7,	2),
(1083,	64,	8,	2),
(1084,	64,	9,	2),
(1085,	64,	10,	2),
(1086,	64,	11,	2),
(1087,	64,	12,	2),
(1088,	64,	13,	2),
(1089,	64,	14,	2),
(1090,	64,	15,	2),
(1091,	64,	16,	2),
(1092,	64,	17,	2),
(1093,	64,	18,	2),
(1094,	64,	19,	2),
(1095,	64,	20,	2),
(1096,	64,	21,	2),
(1097,	64,	2,	2),
(1098,	64,	3,	2),
(1099,	64,	4,	2),
(1100,	65,	7,	2),
(1101,	65,	8,	2),
(1102,	65,	9,	2),
(1103,	65,	10,	2),
(1104,	65,	11,	2),
(1105,	65,	12,	2),
(1106,	65,	13,	2),
(1107,	65,	14,	2),
(1108,	65,	15,	2),
(1109,	65,	16,	2),
(1110,	65,	17,	2),
(1111,	65,	18,	2),
(1112,	65,	19,	2),
(1113,	65,	20,	2),
(1114,	65,	21,	2),
(1115,	65,	2,	2),
(1116,	65,	3,	2),
(1117,	65,	4,	2),
(1118,	66,	7,	2),
(1119,	66,	8,	2),
(1120,	66,	9,	2),
(1121,	66,	10,	2),
(1122,	66,	11,	2),
(1123,	66,	12,	2),
(1124,	66,	13,	2),
(1125,	66,	14,	2),
(1126,	66,	15,	2),
(1127,	66,	16,	2),
(1128,	66,	17,	2),
(1129,	66,	18,	2),
(1130,	66,	19,	2),
(1131,	66,	20,	2),
(1132,	66,	21,	2),
(1133,	66,	2,	2),
(1134,	66,	3,	2),
(1135,	66,	4,	2),
(1136,	67,	7,	2),
(1137,	67,	8,	2),
(1138,	67,	9,	2),
(1139,	67,	10,	2),
(1140,	67,	11,	2),
(1141,	67,	12,	2),
(1142,	67,	13,	2),
(1143,	67,	14,	2),
(1144,	67,	15,	2),
(1145,	67,	16,	2),
(1146,	67,	17,	2),
(1147,	67,	18,	2),
(1148,	67,	19,	2),
(1149,	67,	20,	2),
(1150,	67,	21,	2),
(1151,	67,	2,	2),
(1152,	67,	3,	2),
(1153,	67,	4,	2),
(1154,	68,	7,	2),
(1155,	68,	8,	2),
(1156,	68,	9,	2),
(1157,	68,	10,	2),
(1158,	68,	11,	2),
(1159,	68,	12,	2),
(1160,	68,	13,	2),
(1161,	68,	14,	2),
(1162,	68,	15,	2),
(1163,	68,	16,	2),
(1164,	68,	17,	2),
(1165,	68,	18,	2),
(1166,	68,	19,	2),
(1167,	68,	20,	2),
(1168,	68,	21,	2),
(1169,	68,	2,	2),
(1170,	68,	3,	2),
(1171,	68,	22,	2),
(1172,	68,	4,	2),
(1173,	69,	7,	2),
(1174,	69,	8,	2),
(1175,	69,	9,	2),
(1176,	69,	10,	2),
(1177,	69,	11,	2),
(1178,	69,	12,	2),
(1179,	69,	13,	2),
(1180,	69,	14,	2),
(1181,	69,	15,	2),
(1182,	69,	16,	2),
(1183,	69,	17,	2),
(1184,	69,	18,	2),
(1185,	69,	19,	2),
(1186,	69,	20,	2),
(1187,	69,	21,	2),
(1188,	69,	2,	2),
(1189,	69,	3,	2),
(1190,	69,	4,	2),
(1191,	70,	7,	2),
(1192,	70,	8,	2),
(1193,	70,	9,	2),
(1194,	70,	10,	2),
(1195,	70,	11,	2),
(1196,	70,	12,	2),
(1197,	70,	13,	2),
(1198,	70,	14,	2),
(1199,	70,	15,	2),
(1200,	70,	16,	2),
(1201,	70,	17,	2),
(1202,	70,	18,	2),
(1203,	70,	19,	2),
(1204,	70,	20,	2),
(1205,	70,	21,	2),
(1206,	70,	2,	2),
(1207,	70,	3,	2),
(1208,	70,	4,	2),
(1209,	71,	7,	2),
(1210,	71,	8,	2),
(1211,	71,	9,	2),
(1212,	71,	10,	2),
(1213,	71,	11,	2),
(1214,	71,	12,	2),
(1215,	71,	13,	2),
(1216,	71,	14,	2),
(1217,	71,	15,	2),
(1218,	71,	16,	2),
(1219,	71,	17,	2),
(1220,	71,	18,	2),
(1221,	71,	19,	2),
(1222,	71,	20,	2),
(1223,	71,	21,	2),
(1224,	71,	2,	2),
(1225,	71,	3,	2),
(1226,	71,	4,	2),
(1227,	72,	7,	2),
(1228,	72,	8,	2),
(1229,	72,	9,	2),
(1230,	72,	10,	2),
(1231,	72,	11,	2),
(1232,	72,	12,	2),
(1233,	72,	13,	2),
(1234,	72,	14,	2),
(1235,	72,	15,	2),
(1236,	72,	16,	2),
(1237,	72,	17,	2),
(1238,	72,	18,	2),
(1239,	72,	19,	2),
(1240,	72,	20,	2),
(1241,	72,	21,	2),
(1242,	72,	2,	2),
(1243,	72,	3,	2),
(1244,	72,	4,	2),
(1245,	73,	7,	2),
(1246,	73,	8,	2),
(1247,	73,	9,	2),
(1248,	73,	10,	2),
(1249,	73,	11,	2),
(1250,	73,	12,	2),
(1251,	73,	13,	2),
(1252,	73,	14,	2),
(1253,	73,	15,	2),
(1254,	73,	16,	2),
(1255,	73,	17,	2),
(1256,	73,	18,	2),
(1257,	73,	19,	2),
(1258,	73,	20,	2),
(1259,	73,	21,	2),
(1260,	73,	2,	2),
(1261,	73,	3,	2),
(1262,	73,	4,	2),
(1263,	74,	7,	2),
(1264,	74,	8,	2),
(1265,	74,	9,	2),
(1266,	74,	10,	2),
(1267,	74,	11,	2),
(1268,	74,	12,	2),
(1269,	74,	13,	2),
(1270,	74,	14,	2),
(1271,	74,	15,	2),
(1272,	74,	16,	2),
(1273,	74,	17,	2),
(1274,	74,	18,	2),
(1275,	74,	19,	2),
(1276,	74,	20,	2),
(1277,	74,	21,	2),
(1278,	74,	2,	2),
(1279,	74,	3,	2),
(1280,	74,	4,	2),
(1281,	75,	7,	2),
(1282,	75,	8,	2),
(1283,	75,	9,	2),
(1284,	75,	10,	2),
(1285,	75,	11,	2),
(1286,	75,	12,	2),
(1287,	75,	13,	2),
(1288,	75,	14,	2),
(1289,	75,	15,	2),
(1290,	75,	16,	2),
(1291,	75,	17,	2),
(1292,	75,	18,	2),
(1293,	75,	19,	2),
(1294,	75,	20,	2),
(1295,	75,	21,	2),
(1296,	75,	2,	2),
(1297,	75,	3,	2),
(1298,	75,	4,	2),
(1299,	76,	7,	2),
(1300,	76,	8,	2),
(1301,	76,	9,	2),
(1302,	76,	10,	2),
(1303,	76,	11,	2),
(1304,	76,	12,	2),
(1305,	76,	13,	2),
(1306,	76,	14,	2),
(1307,	76,	15,	2),
(1308,	76,	16,	2),
(1309,	76,	17,	2),
(1310,	76,	18,	2),
(1311,	76,	19,	2),
(1312,	76,	20,	2),
(1313,	76,	21,	2),
(1314,	76,	2,	2),
(1315,	76,	3,	2),
(1316,	76,	4,	2),
(1317,	77,	7,	2),
(1318,	77,	8,	2),
(1319,	77,	9,	2),
(1320,	77,	10,	2),
(1321,	77,	11,	2),
(1322,	77,	12,	2),
(1323,	77,	13,	2),
(1324,	77,	14,	2),
(1325,	77,	15,	2),
(1326,	77,	16,	2),
(1327,	77,	17,	2),
(1328,	77,	18,	2),
(1329,	77,	19,	2),
(1330,	77,	20,	2),
(1331,	77,	21,	2),
(1332,	77,	2,	2),
(1333,	77,	3,	2),
(1334,	77,	22,	2),
(1335,	77,	4,	2),
(1336,	78,	7,	2),
(1337,	78,	8,	2),
(1338,	78,	9,	2),
(1339,	78,	10,	2),
(1340,	78,	11,	2),
(1341,	78,	12,	2),
(1342,	78,	13,	2),
(1343,	78,	14,	2),
(1344,	78,	15,	2),
(1345,	78,	16,	2),
(1346,	78,	17,	2),
(1347,	78,	18,	2),
(1348,	78,	19,	2),
(1349,	78,	20,	2),
(1350,	78,	21,	2),
(1351,	78,	2,	2),
(1352,	78,	3,	2),
(1353,	78,	4,	2),
(1354,	79,	7,	2),
(1355,	79,	8,	2),
(1356,	79,	9,	2),
(1357,	79,	10,	2),
(1358,	79,	11,	2),
(1359,	79,	12,	2),
(1360,	79,	13,	2),
(1361,	79,	14,	2),
(1362,	79,	15,	2),
(1363,	79,	16,	2),
(1364,	79,	17,	2),
(1365,	79,	18,	2),
(1366,	79,	19,	2),
(1367,	79,	20,	2),
(1368,	79,	21,	2),
(1369,	79,	2,	2),
(1370,	79,	3,	2),
(1371,	79,	4,	2),
(1372,	80,	7,	2),
(1373,	80,	8,	2),
(1374,	80,	9,	2),
(1375,	80,	10,	2),
(1376,	80,	11,	2),
(1377,	80,	12,	2),
(1378,	80,	13,	2),
(1379,	80,	14,	2),
(1380,	80,	15,	2),
(1381,	80,	16,	2),
(1382,	80,	17,	2),
(1383,	80,	18,	2),
(1384,	80,	19,	2),
(1385,	80,	20,	2),
(1386,	80,	21,	2),
(1387,	80,	2,	2),
(1388,	80,	3,	2),
(1389,	80,	4,	2),
(1390,	81,	7,	2),
(1391,	81,	8,	2),
(1392,	81,	9,	2),
(1393,	81,	10,	2),
(1394,	81,	11,	2),
(1395,	81,	12,	2),
(1396,	81,	13,	2),
(1397,	81,	14,	2),
(1398,	81,	15,	2),
(1399,	81,	16,	2),
(1400,	81,	17,	2),
(1401,	81,	18,	2),
(1402,	81,	19,	2),
(1403,	81,	20,	2),
(1404,	81,	21,	2),
(1405,	81,	2,	2),
(1406,	81,	3,	2),
(1407,	81,	4,	2),
(1408,	82,	7,	2),
(1409,	82,	8,	2),
(1410,	82,	9,	2),
(1411,	82,	10,	2),
(1412,	82,	11,	2),
(1413,	82,	12,	2),
(1414,	82,	13,	2),
(1415,	82,	14,	2),
(1416,	82,	15,	2),
(1417,	82,	16,	2),
(1418,	82,	17,	2),
(1419,	82,	18,	2),
(1420,	82,	19,	2),
(1421,	82,	20,	2),
(1422,	82,	21,	2),
(1423,	82,	2,	2),
(1424,	82,	3,	2),
(1425,	82,	4,	2),
(1426,	83,	7,	2),
(1427,	83,	8,	2),
(1428,	83,	9,	2),
(1429,	83,	10,	2),
(1430,	83,	11,	2),
(1431,	83,	12,	2),
(1432,	83,	13,	2),
(1433,	83,	14,	2),
(1434,	83,	15,	2),
(1435,	83,	16,	2),
(1436,	83,	17,	2),
(1437,	83,	18,	2),
(1438,	83,	19,	2),
(1439,	83,	20,	2),
(1440,	83,	21,	2),
(1441,	83,	2,	2),
(1442,	83,	3,	2),
(1443,	83,	4,	2),
(1444,	84,	7,	2),
(1445,	84,	8,	2),
(1446,	84,	9,	2),
(1447,	84,	10,	2),
(1448,	84,	11,	2),
(1449,	84,	12,	2),
(1450,	84,	13,	2),
(1451,	84,	14,	2),
(1452,	84,	15,	2),
(1453,	84,	16,	2),
(1454,	84,	17,	2),
(1455,	84,	18,	2),
(1456,	84,	19,	2),
(1457,	84,	20,	2),
(1458,	84,	21,	2),
(1459,	84,	2,	2),
(1460,	84,	3,	2),
(1461,	84,	4,	2),
(1462,	85,	7,	2),
(1463,	85,	8,	2),
(1464,	85,	9,	2),
(1465,	85,	10,	2),
(1466,	85,	11,	2),
(1467,	85,	12,	2),
(1468,	85,	13,	2),
(1469,	85,	14,	2),
(1470,	85,	15,	2),
(1471,	85,	16,	2),
(1472,	85,	17,	2),
(1473,	85,	18,	2),
(1474,	85,	19,	2),
(1475,	85,	20,	2),
(1476,	85,	21,	2),
(1477,	85,	2,	2),
(1478,	85,	3,	2),
(1479,	85,	4,	2),
(1480,	86,	7,	2),
(1481,	86,	8,	2),
(1482,	86,	9,	2),
(1483,	86,	10,	2),
(1484,	86,	11,	2),
(1485,	86,	12,	2),
(1486,	86,	13,	2),
(1487,	86,	14,	2),
(1488,	86,	15,	2),
(1489,	86,	16,	2),
(1490,	86,	17,	2),
(1491,	86,	18,	2),
(1492,	86,	19,	2),
(1493,	86,	20,	2),
(1494,	86,	21,	2),
(1495,	86,	2,	2),
(1496,	86,	3,	2),
(1497,	86,	4,	2),
(1498,	87,	7,	2),
(1499,	87,	8,	2),
(1500,	87,	9,	2),
(1501,	87,	10,	2),
(1502,	87,	11,	2),
(1503,	87,	12,	2),
(1504,	87,	13,	2),
(1505,	87,	14,	2),
(1506,	87,	15,	2),
(1507,	87,	16,	2),
(1508,	87,	17,	2),
(1509,	87,	18,	2),
(1510,	87,	19,	2),
(1511,	87,	20,	2),
(1512,	87,	21,	2),
(1513,	87,	2,	2),
(1514,	87,	3,	2),
(1515,	87,	4,	2),
(1516,	88,	7,	2),
(1517,	88,	8,	2),
(1518,	88,	9,	2),
(1519,	88,	10,	2),
(1520,	88,	11,	2),
(1521,	88,	12,	2),
(1522,	88,	13,	2),
(1523,	88,	14,	2),
(1524,	88,	15,	2),
(1525,	88,	16,	2),
(1526,	88,	17,	2),
(1527,	88,	18,	2),
(1528,	88,	19,	2),
(1529,	88,	20,	2),
(1530,	88,	21,	2),
(1531,	88,	2,	2),
(1532,	88,	3,	2),
(1533,	88,	4,	2),
(1534,	89,	7,	2),
(1535,	89,	8,	2),
(1536,	89,	9,	2),
(1537,	89,	10,	2),
(1538,	89,	11,	2),
(1539,	89,	12,	2),
(1540,	89,	13,	2),
(1541,	89,	14,	2),
(1542,	89,	15,	2),
(1543,	89,	16,	2),
(1544,	89,	17,	2),
(1545,	89,	18,	2),
(1546,	89,	19,	2),
(1547,	89,	20,	2),
(1548,	89,	21,	2),
(1549,	89,	2,	2),
(1550,	89,	3,	2),
(1551,	89,	4,	2),
(1552,	90,	7,	2),
(1553,	90,	8,	2),
(1554,	90,	9,	2),
(1555,	90,	10,	2),
(1556,	90,	11,	2),
(1557,	90,	12,	2),
(1558,	90,	13,	2),
(1559,	90,	14,	2),
(1560,	90,	15,	2),
(1561,	90,	16,	2),
(1562,	90,	17,	2),
(1563,	90,	18,	2),
(1564,	90,	19,	2),
(1565,	90,	20,	2),
(1566,	90,	21,	2),
(1567,	90,	2,	2),
(1568,	90,	3,	2),
(1569,	90,	4,	2),
(1570,	91,	7,	2),
(1571,	91,	8,	2),
(1572,	91,	9,	2),
(1573,	91,	10,	2),
(1574,	91,	11,	2),
(1575,	91,	12,	2),
(1576,	91,	13,	2),
(1577,	91,	14,	2),
(1578,	91,	15,	2),
(1579,	91,	16,	2),
(1580,	91,	17,	2),
(1581,	91,	18,	2),
(1582,	91,	19,	2),
(1583,	91,	20,	2),
(1584,	91,	21,	2),
(1585,	91,	2,	2),
(1586,	91,	3,	2),
(1587,	91,	4,	2),
(1588,	92,	7,	2),
(1589,	92,	8,	2),
(1590,	92,	9,	2),
(1591,	92,	10,	2),
(1592,	92,	11,	2),
(1593,	92,	12,	2),
(1594,	92,	13,	2),
(1595,	92,	14,	2),
(1596,	92,	15,	2),
(1597,	92,	16,	2),
(1598,	92,	17,	2),
(1599,	92,	18,	2),
(1600,	92,	19,	2),
(1601,	92,	20,	2),
(1602,	92,	21,	2),
(1603,	92,	2,	2),
(1604,	92,	3,	2),
(1605,	92,	4,	2),
(1606,	93,	7,	2),
(1607,	93,	8,	2),
(1608,	93,	9,	2),
(1609,	93,	10,	2),
(1610,	93,	11,	2),
(1611,	93,	12,	2),
(1612,	93,	13,	2),
(1613,	93,	14,	2),
(1614,	93,	15,	2),
(1615,	93,	16,	2),
(1616,	93,	17,	2),
(1617,	93,	18,	2),
(1618,	93,	19,	2),
(1619,	93,	20,	2),
(1620,	93,	21,	2),
(1621,	93,	2,	2),
(1622,	93,	3,	2),
(1623,	93,	4,	2),
(1624,	94,	7,	2),
(1625,	94,	8,	2),
(1626,	94,	9,	2),
(1627,	94,	10,	2),
(1628,	94,	11,	2),
(1629,	94,	12,	2),
(1630,	94,	13,	2),
(1631,	94,	14,	2),
(1632,	94,	15,	2),
(1633,	94,	16,	2),
(1634,	94,	17,	2),
(1635,	94,	18,	2),
(1636,	94,	19,	2),
(1637,	94,	20,	2),
(1638,	94,	21,	2),
(1639,	94,	2,	2),
(1640,	94,	3,	2),
(1641,	94,	4,	2),
(1642,	95,	7,	2),
(1643,	95,	8,	2),
(1644,	95,	9,	2),
(1645,	95,	10,	2),
(1646,	95,	11,	2),
(1647,	95,	12,	2),
(1648,	95,	13,	2),
(1649,	95,	14,	2),
(1650,	95,	15,	2),
(1651,	95,	16,	2),
(1652,	95,	17,	2),
(1653,	95,	18,	2),
(1654,	95,	19,	2),
(1655,	95,	20,	2),
(1656,	95,	21,	2),
(1657,	95,	2,	2),
(1658,	95,	3,	2),
(1659,	95,	4,	2),
(1660,	96,	7,	2),
(1661,	96,	8,	2),
(1662,	96,	9,	2),
(1663,	96,	10,	2),
(1664,	96,	11,	2),
(1665,	96,	12,	2),
(1666,	96,	13,	2),
(1667,	96,	14,	2),
(1668,	96,	15,	2),
(1669,	96,	16,	2),
(1670,	96,	17,	2),
(1671,	96,	18,	2),
(1672,	96,	19,	2),
(1673,	96,	20,	2),
(1674,	96,	21,	2),
(1675,	96,	2,	2),
(1676,	96,	3,	2),
(1677,	96,	4,	2),
(1678,	97,	7,	2),
(1679,	97,	8,	2),
(1680,	97,	9,	2),
(1681,	97,	10,	2),
(1682,	97,	11,	2),
(1683,	97,	12,	2),
(1684,	97,	13,	2),
(1685,	97,	14,	2),
(1686,	97,	15,	2),
(1687,	97,	16,	2),
(1688,	97,	17,	2),
(1689,	97,	18,	2),
(1690,	97,	19,	2),
(1691,	97,	20,	2),
(1692,	97,	21,	2),
(1693,	97,	2,	2),
(1694,	97,	3,	2),
(1695,	97,	4,	2),
(1696,	98,	7,	2),
(1697,	98,	8,	2),
(1698,	98,	9,	2),
(1699,	98,	10,	2),
(1700,	98,	11,	2),
(1701,	98,	12,	2),
(1702,	98,	13,	2),
(1703,	98,	14,	2),
(1704,	98,	15,	2),
(1705,	98,	16,	2),
(1706,	98,	17,	2),
(1707,	98,	18,	2),
(1708,	98,	19,	2),
(1709,	98,	20,	2),
(1710,	98,	21,	2),
(1711,	98,	2,	2),
(1712,	98,	3,	2),
(1713,	98,	4,	2),
(1714,	99,	7,	2),
(1715,	99,	8,	2),
(1716,	99,	9,	2),
(1717,	99,	10,	2),
(1718,	99,	11,	2),
(1719,	99,	12,	2),
(1720,	99,	13,	2),
(1721,	99,	14,	2),
(1722,	99,	15,	2),
(1723,	99,	16,	2),
(1724,	99,	17,	2),
(1725,	99,	18,	2),
(1726,	99,	19,	2),
(1727,	99,	20,	2),
(1728,	99,	21,	2),
(1729,	99,	2,	2),
(1730,	99,	3,	2),
(1731,	99,	27,	2),
(1732,	99,	4,	2),
(1733,	100,	7,	2),
(1734,	100,	8,	2),
(1735,	100,	9,	2),
(1736,	100,	10,	2),
(1737,	100,	11,	2),
(1738,	100,	12,	2),
(1739,	100,	13,	2),
(1740,	100,	14,	2),
(1741,	100,	15,	2),
(1742,	100,	16,	2),
(1743,	100,	17,	2),
(1744,	100,	18,	2),
(1745,	100,	19,	2),
(1746,	100,	20,	2),
(1747,	100,	21,	2),
(1748,	100,	2,	2),
(1749,	100,	3,	2),
(1750,	100,	4,	2),
(1751,	101,	7,	2),
(1752,	101,	8,	2),
(1753,	101,	9,	2),
(1754,	101,	10,	2),
(1755,	101,	11,	2),
(1756,	101,	12,	2),
(1757,	101,	13,	2),
(1758,	101,	14,	2),
(1759,	101,	15,	2),
(1760,	101,	16,	2),
(1761,	101,	17,	2),
(1762,	101,	18,	2),
(1763,	101,	19,	2),
(1764,	101,	20,	2),
(1765,	101,	21,	2),
(1766,	101,	2,	2),
(1767,	101,	3,	2),
(1768,	101,	27,	2),
(1769,	101,	4,	2),
(1770,	102,	7,	2),
(1771,	102,	8,	2),
(1772,	102,	9,	2),
(1773,	102,	10,	2),
(1774,	102,	11,	2),
(1775,	102,	12,	2),
(1776,	102,	13,	2),
(1777,	102,	14,	2),
(1778,	102,	15,	2),
(1779,	102,	16,	2),
(1780,	102,	17,	2),
(1781,	102,	18,	2),
(1782,	102,	19,	2),
(1783,	102,	20,	2),
(1784,	102,	21,	2),
(1785,	102,	2,	2),
(1786,	102,	3,	2),
(1787,	102,	4,	2),
(1788,	103,	7,	2),
(1789,	103,	8,	2),
(1790,	103,	9,	2),
(1791,	103,	10,	2),
(1792,	103,	11,	2),
(1793,	103,	12,	2),
(1794,	103,	13,	2),
(1795,	103,	14,	2),
(1796,	103,	15,	2),
(1797,	103,	16,	2),
(1798,	103,	17,	2),
(1799,	103,	18,	2),
(1800,	103,	19,	2),
(1801,	103,	20,	2),
(1802,	103,	21,	2),
(1803,	103,	2,	2),
(1804,	103,	3,	2),
(1805,	103,	4,	2),
(1806,	104,	3,	1),
(1807,	104,	3,	2),
(1808,	104,	3,	3),
(1809,	105,	7,	2),
(1810,	105,	8,	2),
(1811,	105,	9,	2),
(1812,	105,	10,	2),
(1813,	105,	11,	2),
(1814,	105,	12,	2),
(1815,	105,	13,	2),
(1816,	105,	14,	2),
(1817,	105,	15,	2),
(1818,	105,	16,	2),
(1819,	105,	17,	2),
(1820,	105,	18,	2),
(1821,	105,	19,	2),
(1822,	105,	20,	2),
(1823,	105,	21,	2),
(1824,	105,	2,	2),
(1825,	105,	3,	2),
(1826,	105,	4,	2),
(1827,	106,	7,	2),
(1828,	106,	9,	2),
(1829,	106,	11,	2),
(1830,	106,	13,	2),
(1831,	106,	14,	2),
(1832,	106,	15,	2),
(1833,	106,	2,	2),
(1834,	106,	3,	2),
(1835,	106,	4,	2),
(1836,	107,	7,	2),
(1837,	107,	8,	2),
(1838,	107,	9,	2),
(1839,	107,	10,	2),
(1840,	107,	11,	2),
(1841,	107,	12,	2),
(1842,	107,	13,	2),
(1843,	107,	14,	2),
(1844,	107,	15,	2),
(1845,	107,	16,	2),
(1846,	107,	17,	2),
(1847,	107,	18,	2),
(1848,	107,	19,	2),
(1849,	107,	20,	2),
(1850,	107,	21,	2),
(1851,	107,	2,	2),
(1852,	107,	3,	2),
(1853,	107,	4,	2),
(1854,	108,	7,	2),
(1855,	108,	8,	2),
(1856,	108,	9,	2),
(1857,	108,	10,	2),
(1858,	108,	11,	2),
(1859,	108,	12,	2),
(1860,	108,	13,	2),
(1861,	108,	14,	2),
(1862,	108,	15,	2),
(1863,	108,	16,	2),
(1864,	108,	17,	2),
(1865,	108,	18,	2),
(1866,	108,	19,	2),
(1867,	108,	20,	2),
(1868,	108,	25,	2),
(1869,	108,	21,	2),
(1870,	108,	2,	2),
(1871,	108,	3,	2),
(1872,	108,	22,	2),
(1873,	108,	4,	2),
(1874,	109,	7,	2),
(1875,	109,	8,	2),
(1876,	109,	9,	2),
(1877,	109,	10,	2),
(1878,	109,	11,	2),
(1879,	109,	12,	2),
(1880,	109,	13,	2),
(1881,	109,	14,	2),
(1882,	109,	15,	2),
(1883,	109,	16,	2),
(1884,	109,	17,	2),
(1885,	109,	18,	2),
(1886,	109,	19,	2),
(1887,	109,	20,	2),
(1888,	109,	21,	2),
(1889,	109,	2,	2),
(1890,	109,	3,	2),
(1891,	109,	4,	2),
(1892,	110,	7,	2),
(1893,	110,	8,	2),
(1894,	110,	9,	2),
(1895,	110,	10,	2),
(1896,	110,	11,	2),
(1897,	110,	12,	2),
(1898,	110,	13,	2),
(1899,	110,	14,	2),
(1900,	110,	15,	2),
(1901,	110,	16,	2),
(1902,	110,	17,	2),
(1903,	110,	18,	2),
(1904,	110,	19,	2),
(1905,	110,	20,	2),
(1906,	110,	21,	2),
(1907,	110,	2,	2),
(1908,	110,	3,	2),
(1909,	110,	4,	2),
(1910,	111,	7,	2),
(1911,	111,	8,	2),
(1912,	111,	9,	2),
(1913,	111,	10,	2),
(1914,	111,	11,	2),
(1915,	111,	12,	2),
(1916,	111,	13,	2),
(1917,	111,	14,	2),
(1918,	111,	15,	2),
(1919,	111,	16,	2),
(1920,	111,	17,	2),
(1921,	111,	18,	2),
(1922,	111,	19,	2),
(1923,	111,	20,	2),
(1924,	111,	21,	2),
(1925,	111,	2,	2),
(1926,	111,	3,	2),
(1927,	111,	4,	2),
(1928,	112,	7,	2),
(1929,	112,	8,	2),
(1930,	112,	9,	2),
(1931,	112,	10,	2),
(1932,	112,	11,	2),
(1933,	112,	12,	2),
(1934,	112,	13,	2),
(1935,	112,	14,	2),
(1936,	112,	15,	2),
(1937,	112,	16,	2),
(1938,	112,	17,	2),
(1939,	112,	18,	2),
(1940,	112,	19,	2),
(1941,	112,	20,	2),
(1942,	112,	21,	2),
(1943,	112,	2,	2),
(1944,	112,	3,	2),
(1945,	112,	4,	2),
(1946,	113,	7,	2),
(1947,	113,	8,	2),
(1948,	113,	9,	2),
(1949,	113,	10,	2),
(1950,	113,	11,	2),
(1951,	113,	12,	2),
(1952,	113,	13,	2),
(1953,	113,	14,	2),
(1954,	113,	15,	2),
(1955,	113,	16,	2),
(1956,	113,	17,	2),
(1957,	113,	18,	2),
(1958,	113,	19,	2),
(1959,	113,	20,	2),
(1960,	113,	21,	2),
(1961,	113,	2,	2),
(1962,	113,	3,	2),
(1963,	113,	4,	2),
(1964,	114,	7,	2),
(1965,	114,	8,	2),
(1966,	114,	9,	2),
(1967,	114,	10,	2),
(1968,	114,	11,	2),
(1969,	114,	12,	2),
(1970,	114,	13,	2),
(1971,	114,	14,	2),
(1972,	114,	15,	2),
(1973,	114,	16,	2),
(1974,	114,	17,	2),
(1975,	114,	18,	2),
(1976,	114,	19,	2),
(1977,	114,	20,	2),
(1978,	114,	21,	2),
(1979,	114,	2,	2),
(1980,	114,	3,	2),
(1981,	114,	4,	2),
(1982,	115,	7,	2),
(1983,	115,	8,	2),
(1984,	115,	9,	2),
(1985,	115,	10,	2),
(1986,	115,	11,	2),
(1987,	115,	12,	2),
(1988,	115,	13,	2),
(1989,	115,	14,	2),
(1990,	115,	15,	2),
(1991,	115,	16,	2),
(1992,	115,	17,	2),
(1993,	115,	18,	2),
(1994,	115,	19,	2),
(1995,	115,	20,	2),
(1996,	115,	21,	2),
(1997,	115,	2,	2),
(1998,	115,	3,	2),
(1999,	115,	4,	2),
(2000,	116,	7,	2),
(2001,	116,	8,	2),
(2002,	116,	9,	2),
(2003,	116,	10,	2),
(2004,	116,	11,	2),
(2005,	116,	12,	2),
(2006,	116,	13,	2),
(2007,	116,	14,	2),
(2008,	116,	15,	2),
(2009,	116,	16,	2),
(2010,	116,	17,	2),
(2011,	116,	18,	2),
(2012,	116,	19,	2),
(2013,	116,	20,	2),
(2014,	116,	21,	2),
(2015,	116,	2,	2),
(2016,	116,	3,	2),
(2017,	116,	4,	2),
(2018,	117,	7,	2),
(2019,	117,	8,	2),
(2020,	117,	9,	2),
(2021,	117,	10,	2),
(2022,	117,	11,	2),
(2023,	117,	12,	2),
(2024,	117,	13,	2),
(2025,	117,	14,	2),
(2026,	117,	15,	2),
(2027,	117,	16,	2),
(2028,	117,	17,	2),
(2029,	117,	18,	2),
(2030,	117,	19,	2),
(2031,	117,	32,	2),
(2032,	117,	21,	2),
(2033,	117,	2,	2),
(2034,	117,	3,	2),
(2035,	117,	4,	2),
(2036,	118,	2,	2),
(2037,	118,	3,	2),
(2038,	118,	4,	2),
(2039,	119,	5,	1),
(2040,	119,	2,	1),
(2041,	119,	3,	1),
(2042,	119,	4,	1),
(2043,	119,	5,	2),
(2044,	119,	2,	2),
(2045,	119,	3,	2),
(2046,	119,	4,	2),
(2047,	119,	5,	4),
(2048,	119,	2,	4),
(2049,	119,	3,	4),
(2050,	119,	4,	4),
(2051,	120,	5,	2),
(2052,	120,	33,	2),
(2053,	120,	6,	2),
(2054,	120,	23,	2),
(2055,	120,	24,	2),
(2056,	120,	1,	2),
(2057,	120,	2,	2),
(2058,	120,	3,	2),
(2059,	120,	4,	2),
(2060,	121,	5,	2),
(2061,	121,	6,	2),
(2062,	121,	23,	2),
(2063,	121,	24,	2),
(2064,	121,	1,	2),
(2065,	121,	2,	2),
(2066,	121,	3,	2),
(2067,	121,	4,	2),
(2068,	121,	5,	4),
(2069,	121,	6,	4),
(2070,	121,	23,	4),
(2071,	121,	24,	4),
(2072,	121,	1,	4),
(2073,	121,	2,	4),
(2074,	121,	3,	4),
(2075,	121,	4,	4),
(2076,	122,	5,	2),
(2077,	122,	6,	2),
(2078,	122,	23,	2),
(2079,	122,	24,	2),
(2080,	122,	1,	2),
(2081,	122,	2,	2),
(2082,	122,	3,	2),
(2083,	122,	4,	2),
(2084,	122,	5,	4),
(2085,	122,	6,	4),
(2086,	122,	23,	4),
(2087,	122,	24,	4),
(2088,	122,	1,	4),
(2089,	122,	2,	4),
(2090,	122,	3,	4),
(2091,	122,	4,	4),
(2092,	123,	23,	2),
(2093,	123,	24,	2),
(2094,	123,	1,	2),
(2095,	123,	2,	2),
(2096,	123,	3,	2),
(2097,	123,	4,	2),
(2098,	123,	23,	4),
(2099,	123,	24,	4),
(2100,	123,	1,	4),
(2101,	123,	2,	4),
(2102,	123,	3,	4),
(2103,	123,	4,	4),
(2104,	124,	5,	2),
(2105,	124,	6,	2),
(2106,	124,	23,	2),
(2107,	124,	24,	2),
(2108,	124,	1,	2),
(2109,	124,	2,	2),
(2110,	124,	3,	2),
(2111,	124,	4,	2),
(2112,	124,	5,	4),
(2113,	124,	6,	4),
(2114,	124,	23,	4),
(2115,	124,	24,	4),
(2116,	124,	1,	4),
(2117,	124,	2,	4),
(2118,	124,	3,	4),
(2119,	124,	4,	4),
(2120,	125,	5,	2),
(2121,	125,	6,	2),
(2122,	125,	23,	2),
(2123,	125,	24,	2),
(2124,	125,	1,	2),
(2125,	125,	2,	2),
(2126,	125,	3,	2),
(2127,	125,	4,	2),
(2128,	125,	5,	4),
(2129,	125,	6,	4),
(2130,	125,	23,	4),
(2131,	125,	24,	4),
(2132,	125,	1,	4),
(2133,	125,	2,	4),
(2134,	125,	3,	4),
(2135,	125,	4,	4),
(2136,	126,	5,	2),
(2137,	126,	6,	2),
(2138,	126,	23,	2),
(2139,	126,	24,	2),
(2140,	126,	1,	2),
(2141,	126,	2,	2),
(2142,	126,	3,	2),
(2143,	126,	4,	2),
(2144,	126,	5,	4),
(2145,	126,	6,	4),
(2146,	126,	23,	4),
(2147,	126,	24,	4),
(2148,	126,	1,	4),
(2149,	126,	2,	4),
(2150,	126,	3,	4),
(2151,	126,	4,	4),
(2152,	127,	5,	2),
(2153,	127,	6,	2),
(2154,	127,	23,	2),
(2155,	127,	24,	2),
(2156,	127,	1,	2),
(2157,	127,	2,	2),
(2158,	127,	3,	2),
(2159,	127,	4,	2),
(2160,	128,	5,	2),
(2161,	128,	6,	2),
(2162,	128,	23,	2),
(2163,	128,	24,	2),
(2164,	128,	1,	2),
(2165,	128,	2,	2),
(2166,	128,	3,	2),
(2167,	128,	4,	2),
(2168,	128,	5,	4),
(2169,	128,	6,	4),
(2170,	128,	23,	4),
(2171,	128,	24,	4),
(2172,	128,	1,	4),
(2173,	128,	2,	4),
(2174,	128,	3,	4),
(2175,	128,	4,	4),
(2176,	129,	5,	1),
(2177,	129,	2,	1),
(2178,	129,	3,	1),
(2179,	129,	4,	1),
(2180,	129,	5,	2),
(2181,	129,	2,	2),
(2182,	129,	3,	2),
(2183,	129,	4,	2),
(2184,	129,	5,	4),
(2185,	129,	2,	4),
(2186,	129,	3,	4),
(2187,	129,	4,	4),
(2188,	130,	5,	1),
(2189,	130,	6,	1),
(2190,	130,	23,	1),
(2191,	130,	24,	1),
(2192,	130,	1,	1),
(2193,	130,	2,	1),
(2194,	130,	3,	1),
(2195,	130,	4,	1),
(2196,	130,	5,	2),
(2197,	130,	6,	2),
(2198,	130,	23,	2),
(2199,	130,	24,	2),
(2200,	130,	1,	2),
(2201,	130,	2,	2),
(2202,	130,	3,	2),
(2203,	130,	4,	2),
(2204,	130,	5,	4),
(2205,	130,	6,	4),
(2206,	130,	23,	4),
(2207,	130,	24,	4),
(2208,	130,	1,	4),
(2209,	130,	2,	4),
(2210,	130,	3,	4),
(2211,	130,	4,	4),
(2212,	131,	5,	1),
(2213,	131,	6,	1),
(2214,	131,	23,	1),
(2215,	131,	24,	1),
(2216,	131,	1,	1),
(2217,	131,	2,	1),
(2218,	131,	3,	1),
(2219,	131,	4,	1),
(2220,	131,	5,	2),
(2221,	131,	6,	2),
(2222,	131,	23,	2),
(2223,	131,	24,	2),
(2224,	131,	1,	2),
(2225,	131,	2,	2),
(2226,	131,	3,	2),
(2227,	131,	4,	2),
(2228,	132,	2,	1),
(2229,	132,	3,	1),
(2230,	132,	4,	1),
(2231,	132,	2,	2),
(2232,	132,	3,	2),
(2233,	132,	4,	2),
(2234,	133,	2,	1),
(2235,	133,	3,	1),
(2236,	133,	4,	1),
(2237,	133,	2,	2),
(2238,	133,	3,	2),
(2239,	133,	4,	2),
(2240,	134,	2,	1),
(2241,	134,	3,	1),
(2242,	134,	4,	1),
(2243,	134,	2,	2),
(2244,	134,	3,	2),
(2245,	134,	4,	2),
(2246,	135,	2,	1),
(2247,	135,	3,	1),
(2248,	135,	4,	1),
(2249,	135,	2,	2),
(2250,	135,	3,	2),
(2251,	135,	4,	2),
(2252,	136,	2,	1),
(2253,	136,	3,	1),
(2254,	136,	4,	1),
(2255,	136,	2,	2),
(2256,	136,	3,	2),
(2257,	136,	4,	2),
(2258,	137,	2,	1),
(2259,	137,	3,	1),
(2260,	137,	22,	1),
(2261,	137,	4,	1),
(2262,	137,	2,	2),
(2263,	137,	3,	2),
(2264,	137,	22,	2),
(2265,	137,	4,	2),
(2266,	137,	2,	4),
(2267,	137,	3,	4),
(2268,	137,	22,	4),
(2269,	137,	4,	4),
(2270,	138,	2,	1),
(2271,	138,	3,	1),
(2272,	138,	4,	1),
(2273,	138,	2,	2),
(2274,	138,	3,	2),
(2275,	138,	4,	2),
(2276,	139,	2,	2),
(2277,	139,	3,	2),
(2278,	139,	4,	2),
(2279,	140,	2,	2),
(2280,	140,	3,	2),
(2281,	140,	4,	2),
(2282,	141,	2,	1),
(2283,	141,	3,	1),
(2284,	141,	4,	1),
(2285,	141,	2,	2),
(2286,	141,	3,	2),
(2287,	141,	4,	2),
(2288,	142,	2,	1),
(2289,	142,	3,	1),
(2290,	142,	4,	1),
(2291,	142,	2,	2),
(2292,	142,	3,	2),
(2293,	142,	4,	2),
(2294,	143,	2,	2),
(2295,	143,	3,	2),
(2296,	143,	4,	2),
(2297,	144,	2,	1),
(2298,	144,	3,	1),
(2299,	144,	4,	1),
(2300,	144,	2,	2),
(2301,	144,	3,	2),
(2302,	144,	4,	2),
(2303,	145,	2,	1),
(2304,	145,	3,	1),
(2305,	145,	4,	1),
(2306,	145,	2,	2),
(2307,	145,	3,	2),
(2308,	145,	4,	2),
(2309,	146,	2,	1),
(2310,	146,	3,	1),
(2311,	146,	4,	1),
(2312,	146,	2,	2),
(2313,	146,	3,	2),
(2314,	146,	4,	2),
(2315,	147,	2,	1),
(2316,	147,	3,	1),
(2317,	147,	4,	1),
(2318,	147,	2,	2),
(2319,	147,	3,	2),
(2320,	147,	4,	2),
(2321,	148,	2,	1),
(2322,	148,	3,	1),
(2323,	148,	4,	1),
(2324,	148,	2,	2),
(2325,	148,	3,	2),
(2326,	148,	4,	2),
(2327,	149,	2,	1),
(2328,	149,	3,	1),
(2329,	149,	4,	1),
(2330,	149,	2,	2),
(2331,	149,	3,	2),
(2332,	149,	4,	2),
(2333,	150,	2,	1),
(2334,	150,	3,	1),
(2335,	150,	4,	1),
(2336,	150,	2,	2),
(2337,	150,	3,	2),
(2338,	150,	4,	2),
(2339,	151,	2,	1),
(2340,	151,	3,	1),
(2341,	151,	4,	1),
(2342,	151,	2,	2),
(2343,	151,	3,	2),
(2344,	151,	4,	2),
(2345,	152,	2,	1),
(2346,	152,	3,	1),
(2347,	152,	4,	1),
(2348,	152,	2,	2),
(2349,	152,	3,	2),
(2350,	152,	4,	2),
(2351,	153,	2,	2),
(2352,	153,	3,	2),
(2353,	153,	22,	2),
(2354,	153,	4,	2),
(2355,	154,	2,	1),
(2356,	154,	3,	1),
(2357,	154,	4,	1),
(2358,	154,	2,	2),
(2359,	154,	3,	2),
(2360,	154,	4,	2),
(2361,	155,	2,	1),
(2362,	155,	3,	1),
(2363,	155,	4,	1),
(2364,	155,	2,	2),
(2365,	155,	3,	2),
(2366,	155,	4,	2),
(2367,	156,	2,	2),
(2368,	156,	3,	2),
(2369,	156,	4,	2),
(2370,	157,	2,	1),
(2371,	157,	3,	1),
(2372,	157,	4,	1),
(2373,	157,	2,	2),
(2374,	157,	3,	2),
(2375,	157,	4,	2),
(2376,	158,	2,	1),
(2377,	158,	3,	1),
(2378,	158,	4,	1),
(2379,	158,	2,	2),
(2380,	158,	3,	2),
(2381,	158,	4,	2),
(2382,	159,	2,	2),
(2383,	159,	3,	2),
(2384,	159,	4,	2),
(2385,	160,	2,	1),
(2386,	160,	3,	1),
(2387,	160,	4,	1),
(2388,	160,	2,	2),
(2389,	160,	3,	2),
(2390,	160,	4,	2),
(2391,	161,	2,	2),
(2392,	161,	3,	2),
(2393,	161,	22,	2),
(2394,	161,	4,	2),
(2395,	162,	2,	2),
(2396,	162,	3,	2),
(2397,	162,	4,	2),
(2398,	163,	2,	1),
(2399,	163,	3,	1),
(2400,	163,	4,	1),
(2401,	163,	2,	2),
(2402,	163,	3,	2),
(2403,	163,	4,	2),
(2404,	163,	2,	3),
(2405,	163,	3,	3),
(2406,	163,	4,	3),
(2407,	164,	23,	2),
(2408,	164,	2,	2),
(2409,	164,	3,	2),
(2410,	164,	22,	2),
(2411,	164,	4,	2),
(2412,	165,	2,	1),
(2413,	165,	3,	1),
(2414,	165,	4,	1),
(2415,	165,	2,	2),
(2416,	165,	3,	2),
(2417,	165,	4,	2),
(2418,	166,	2,	1),
(2419,	166,	3,	1),
(2420,	166,	4,	1),
(2421,	166,	2,	2),
(2422,	166,	3,	2),
(2423,	166,	4,	2),
(2424,	167,	2,	2),
(2425,	167,	3,	2),
(2426,	167,	4,	2),
(2427,	168,	2,	2),
(2428,	168,	3,	2),
(2429,	168,	4,	2),
(2430,	169,	2,	2),
(2431,	169,	3,	2),
(2432,	169,	4,	2),
(2433,	170,	2,	2),
(2434,	170,	3,	2),
(2435,	170,	4,	2),
(2436,	171,	2,	2),
(2437,	171,	3,	2),
(2438,	171,	4,	2),
(2439,	172,	2,	1),
(2440,	172,	3,	1),
(2441,	172,	4,	1),
(2442,	172,	2,	2),
(2443,	172,	3,	2),
(2444,	172,	4,	2),
(2445,	173,	2,	1),
(2446,	173,	3,	1),
(2447,	173,	4,	1),
(2448,	173,	2,	2),
(2449,	173,	3,	2),
(2450,	173,	4,	2),
(2451,	174,	2,	2),
(2452,	174,	3,	2),
(2453,	174,	4,	2),
(2454,	175,	2,	2),
(2455,	175,	3,	2),
(2456,	175,	4,	2),
(2457,	176,	2,	2),
(2458,	176,	3,	2),
(2459,	176,	4,	2),
(2460,	177,	2,	2),
(2461,	177,	3,	2),
(2462,	177,	4,	2),
(2463,	178,	2,	1),
(2464,	178,	3,	1),
(2465,	178,	4,	1),
(2466,	178,	2,	2),
(2467,	178,	3,	2),
(2468,	178,	4,	2),
(2469,	179,	2,	2),
(2470,	179,	3,	2),
(2471,	179,	4,	2),
(2472,	180,	2,	1),
(2473,	180,	3,	1),
(2474,	180,	4,	1),
(2475,	180,	2,	2),
(2476,	180,	3,	2),
(2477,	180,	4,	2),
(2478,	181,	2,	1),
(2479,	181,	3,	1),
(2480,	181,	4,	1),
(2481,	181,	2,	2),
(2482,	181,	3,	2),
(2483,	181,	4,	2),
(2484,	182,	2,	2),
(2485,	182,	3,	2),
(2486,	182,	4,	2),
(2487,	183,	2,	1),
(2488,	183,	3,	1),
(2489,	183,	4,	1),
(2490,	183,	2,	2),
(2491,	183,	3,	2),
(2492,	183,	4,	2),
(2493,	184,	2,	1),
(2494,	184,	3,	1),
(2495,	184,	4,	1),
(2496,	184,	2,	2),
(2497,	184,	3,	2),
(2498,	184,	4,	2),
(2499,	185,	2,	1),
(2500,	185,	3,	1),
(2501,	185,	4,	1),
(2502,	185,	2,	2),
(2503,	185,	3,	2),
(2504,	185,	4,	2),
(2505,	186,	2,	2),
(2506,	186,	3,	2),
(2507,	186,	4,	2),
(2508,	187,	2,	2),
(2509,	187,	3,	2),
(2510,	187,	4,	2),
(2511,	188,	2,	1),
(2512,	188,	3,	1),
(2513,	188,	4,	1),
(2514,	188,	2,	2),
(2515,	188,	3,	2),
(2516,	188,	4,	2),
(2517,	189,	2,	1),
(2518,	189,	3,	1),
(2519,	189,	4,	1),
(2520,	189,	2,	2),
(2521,	189,	3,	2),
(2522,	189,	4,	2),
(2523,	190,	2,	1),
(2524,	190,	3,	1),
(2525,	190,	4,	1),
(2526,	190,	2,	2),
(2527,	190,	3,	2),
(2528,	190,	4,	2),
(2529,	191,	2,	2),
(2530,	191,	3,	2),
(2531,	191,	4,	2),
(2532,	192,	2,	1),
(2533,	192,	3,	1),
(2534,	192,	4,	1),
(2535,	192,	2,	2),
(2536,	192,	3,	2),
(2537,	192,	4,	2),
(2538,	193,	2,	2),
(2539,	193,	3,	2),
(2540,	193,	4,	2),
(2541,	194,	2,	1),
(2542,	194,	3,	1),
(2543,	194,	4,	1),
(2544,	194,	2,	2),
(2545,	194,	3,	2),
(2546,	194,	4,	2),
(2547,	195,	2,	2),
(2548,	195,	3,	2),
(2549,	195,	4,	2),
(2550,	196,	2,	1),
(2551,	196,	3,	1),
(2552,	196,	4,	1),
(2553,	196,	2,	2),
(2554,	196,	3,	2),
(2555,	196,	4,	2),
(2556,	197,	2,	2),
(2557,	197,	3,	2),
(2558,	197,	4,	2),
(2559,	198,	2,	1),
(2560,	198,	3,	1),
(2561,	198,	4,	1),
(2562,	198,	2,	2),
(2563,	198,	3,	2),
(2564,	198,	4,	2),
(2565,	199,	2,	2),
(2566,	199,	3,	2),
(2567,	199,	4,	2),
(2568,	199,	2,	3),
(2569,	199,	3,	3),
(2570,	199,	4,	3),
(2571,	200,	2,	1),
(2572,	200,	3,	1),
(2573,	200,	4,	1),
(2574,	200,	2,	2),
(2575,	200,	3,	2),
(2576,	200,	4,	2),
(2577,	201,	2,	1),
(2578,	201,	3,	1),
(2579,	201,	4,	1),
(2580,	201,	2,	2),
(2581,	201,	3,	2),
(2582,	201,	4,	2),
(2583,	202,	2,	2),
(2584,	202,	3,	2),
(2585,	202,	4,	2),
(2586,	203,	2,	1),
(2587,	203,	3,	1),
(2588,	203,	4,	1),
(2589,	203,	2,	2),
(2590,	203,	3,	2),
(2591,	203,	4,	2),
(2592,	204,	2,	1),
(2593,	204,	3,	1),
(2594,	204,	4,	1),
(2595,	204,	2,	2),
(2596,	204,	3,	2),
(2597,	204,	4,	2),
(2598,	205,	2,	1),
(2599,	205,	3,	1),
(2600,	205,	4,	1),
(2601,	205,	2,	2),
(2602,	205,	3,	2),
(2603,	205,	4,	2),
(2604,	206,	2,	2),
(2605,	206,	3,	2),
(2606,	206,	4,	2),
(2607,	207,	2,	1),
(2608,	207,	3,	1),
(2609,	207,	4,	1),
(2610,	207,	2,	2),
(2611,	207,	3,	2),
(2612,	207,	4,	2),
(2613,	208,	2,	2),
(2614,	208,	3,	2),
(2615,	208,	4,	2),
(2616,	209,	2,	1),
(2617,	209,	3,	1),
(2618,	209,	4,	1),
(2619,	209,	2,	2),
(2620,	209,	3,	2),
(2621,	209,	4,	2),
(2622,	210,	2,	2),
(2623,	210,	3,	2),
(2624,	210,	4,	2),
(2625,	211,	2,	1),
(2626,	211,	3,	1),
(2627,	211,	4,	1),
(2628,	211,	2,	2),
(2629,	211,	3,	2),
(2630,	211,	4,	2),
(2631,	212,	2,	1),
(2632,	212,	3,	1),
(2633,	212,	4,	1),
(2634,	212,	2,	2),
(2635,	212,	3,	2),
(2636,	212,	4,	2),
(2637,	213,	2,	1),
(2638,	213,	3,	1),
(2639,	213,	4,	1),
(2640,	213,	2,	2),
(2641,	213,	3,	2),
(2642,	213,	4,	2),
(2643,	214,	2,	2),
(2644,	214,	3,	2),
(2645,	214,	4,	2),
(2646,	215,	2,	1),
(2647,	215,	3,	1),
(2648,	215,	4,	1),
(2649,	215,	2,	2),
(2650,	215,	3,	2),
(2651,	215,	4,	2),
(2652,	216,	2,	1),
(2653,	216,	3,	1),
(2654,	216,	4,	1),
(2655,	216,	2,	2),
(2656,	216,	3,	2),
(2657,	216,	4,	2),
(2658,	217,	2,	1),
(2659,	217,	3,	1),
(2660,	217,	4,	1),
(2661,	217,	2,	2),
(2662,	217,	3,	2),
(2663,	217,	4,	2),
(2664,	218,	2,	1),
(2665,	218,	3,	1),
(2666,	218,	4,	1),
(2667,	218,	2,	2),
(2668,	218,	3,	2),
(2669,	218,	4,	2),
(2670,	219,	2,	2),
(2671,	219,	34,	2),
(2672,	219,	3,	2),
(2673,	219,	22,	2),
(2674,	219,	4,	2),
(2675,	220,	2,	1),
(2676,	220,	3,	1),
(2677,	220,	22,	1),
(2678,	220,	4,	1),
(2679,	220,	2,	2),
(2680,	220,	3,	2),
(2681,	220,	22,	2),
(2682,	220,	4,	2),
(2683,	221,	5,	1),
(2684,	221,	2,	1),
(2685,	221,	3,	1),
(2686,	221,	4,	1),
(2687,	221,	5,	2),
(2688,	221,	2,	2),
(2689,	221,	3,	2),
(2690,	221,	4,	2),
(2691,	222,	2,	2),
(2692,	222,	3,	2),
(2693,	222,	22,	2),
(2694,	222,	4,	2),
(2695,	223,	2,	2),
(2696,	223,	3,	2),
(2697,	223,	4,	2),
(2698,	224,	2,	1),
(2699,	224,	3,	1),
(2700,	224,	4,	1),
(2701,	224,	2,	2),
(2702,	224,	3,	2),
(2703,	224,	4,	2),
(2704,	225,	2,	1),
(2705,	225,	3,	1),
(2706,	225,	4,	1),
(2707,	225,	2,	2),
(2708,	225,	3,	2),
(2709,	225,	4,	2),
(2710,	226,	2,	1),
(2711,	226,	3,	1),
(2712,	226,	22,	1),
(2713,	226,	4,	1),
(2714,	226,	2,	2),
(2715,	226,	3,	2),
(2716,	226,	22,	2),
(2717,	226,	4,	2),
(2718,	227,	2,	2),
(2719,	227,	3,	2),
(2720,	227,	4,	2),
(2721,	228,	2,	2),
(2722,	228,	3,	2),
(2723,	228,	22,	2),
(2724,	228,	4,	2),
(2725,	229,	2,	1),
(2726,	229,	3,	1),
(2727,	229,	4,	1),
(2728,	229,	2,	2),
(2729,	229,	3,	2),
(2730,	229,	4,	2),
(2731,	230,	2,	2),
(2732,	230,	3,	2),
(2733,	230,	4,	2),
(2734,	231,	2,	2),
(2735,	231,	3,	2),
(2736,	231,	4,	2),
(2737,	232,	2,	1),
(2738,	232,	3,	1),
(2739,	232,	4,	1),
(2740,	232,	2,	2),
(2741,	232,	3,	2),
(2742,	232,	4,	2),
(2743,	233,	2,	1),
(2744,	233,	3,	1),
(2745,	233,	4,	1),
(2746,	233,	2,	2),
(2747,	233,	3,	2),
(2748,	233,	4,	2),
(2749,	234,	2,	1),
(2750,	234,	3,	1),
(2751,	234,	4,	1),
(2752,	234,	2,	2),
(2753,	234,	3,	2),
(2754,	234,	4,	2),
(2755,	235,	2,	1),
(2756,	235,	3,	1),
(2757,	235,	4,	1),
(2758,	235,	2,	2),
(2759,	235,	3,	2),
(2760,	235,	4,	2),
(2761,	236,	2,	1),
(2762,	236,	3,	1),
(2763,	236,	4,	1),
(2764,	236,	2,	2),
(2765,	236,	3,	2),
(2766,	236,	4,	2),
(2767,	237,	2,	1),
(2768,	237,	3,	1),
(2769,	237,	4,	1),
(2770,	237,	2,	2),
(2771,	237,	3,	2),
(2772,	237,	4,	2),
(2773,	238,	2,	2),
(2774,	238,	3,	2),
(2775,	238,	4,	2),
(2776,	239,	2,	1),
(2777,	239,	3,	1),
(2778,	239,	4,	1),
(2779,	239,	2,	2),
(2780,	239,	3,	2),
(2781,	239,	4,	2),
(2782,	240,	2,	1),
(2783,	240,	3,	1),
(2784,	240,	4,	1),
(2785,	240,	2,	2),
(2786,	240,	3,	2),
(2787,	240,	4,	2),
(2788,	241,	2,	1),
(2789,	241,	3,	1),
(2790,	241,	4,	1),
(2791,	241,	2,	2),
(2792,	241,	3,	2),
(2793,	241,	4,	2),
(2794,	242,	2,	1),
(2795,	242,	3,	1),
(2796,	242,	4,	1),
(2797,	242,	2,	2),
(2798,	242,	3,	2),
(2799,	242,	4,	2),
(2800,	243,	2,	1),
(2801,	243,	3,	1),
(2802,	243,	4,	1),
(2803,	243,	2,	2),
(2804,	243,	3,	2),
(2805,	243,	4,	2),
(2806,	244,	2,	1),
(2807,	244,	3,	1),
(2808,	244,	4,	1),
(2809,	244,	2,	2),
(2810,	244,	3,	2),
(2811,	244,	4,	2),
(2812,	245,	2,	2),
(2813,	245,	3,	2),
(2814,	245,	4,	2),
(2815,	246,	2,	2),
(2816,	246,	3,	2),
(2817,	246,	4,	2),
(2818,	247,	2,	2),
(2819,	247,	3,	2),
(2820,	247,	22,	2),
(2821,	247,	4,	2),
(2822,	247,	2,	4),
(2823,	247,	3,	4),
(2824,	247,	22,	4),
(2825,	247,	4,	4),
(2826,	248,	2,	2),
(2827,	248,	3,	2),
(2828,	248,	22,	2),
(2829,	248,	4,	2),
(2830,	248,	2,	4),
(2831,	248,	3,	4),
(2832,	248,	22,	4),
(2833,	248,	4,	4),
(2834,	249,	2,	2),
(2835,	249,	3,	2),
(2836,	249,	22,	2),
(2837,	249,	4,	2),
(2838,	249,	2,	4),
(2839,	249,	3,	4),
(2840,	249,	22,	4),
(2841,	249,	4,	4),
(2842,	250,	2,	1),
(2843,	250,	3,	1),
(2844,	250,	4,	1),
(2845,	250,	2,	2),
(2846,	250,	3,	2),
(2847,	250,	4,	2),
(2848,	251,	2,	2),
(2849,	251,	3,	2),
(2850,	251,	4,	2),
(2851,	252,	2,	1),
(2852,	252,	3,	1),
(2853,	252,	22,	1),
(2854,	252,	4,	1),
(2855,	252,	2,	2),
(2856,	252,	3,	2),
(2857,	252,	22,	2),
(2858,	252,	4,	2),
(2859,	252,	2,	4),
(2860,	252,	3,	4),
(2861,	252,	22,	4),
(2862,	252,	4,	4),
(2863,	253,	2,	1),
(2864,	253,	3,	1),
(2865,	253,	22,	1),
(2866,	253,	4,	1),
(2867,	253,	2,	2),
(2868,	253,	3,	2),
(2869,	253,	22,	2),
(2870,	253,	4,	2),
(2871,	253,	2,	4),
(2872,	253,	3,	4),
(2873,	253,	22,	4),
(2874,	253,	4,	4),
(2875,	254,	2,	1),
(2876,	254,	3,	1),
(2877,	254,	4,	1),
(2878,	254,	2,	2),
(2879,	254,	3,	2),
(2880,	254,	4,	2),
(2881,	255,	2,	1),
(2882,	255,	3,	1),
(2883,	255,	22,	1),
(2884,	255,	4,	1),
(2885,	255,	2,	2),
(2886,	255,	3,	2),
(2887,	255,	22,	2),
(2888,	255,	4,	2),
(2889,	255,	2,	4),
(2890,	255,	3,	4),
(2891,	255,	22,	4),
(2892,	255,	4,	4),
(2893,	256,	2,	1),
(2894,	256,	3,	1),
(2895,	256,	4,	1),
(2896,	256,	2,	2),
(2897,	256,	3,	2),
(2898,	256,	4,	2),
(2899,	256,	2,	3),
(2900,	256,	3,	3),
(2901,	256,	4,	3),
(2902,	257,	2,	1),
(2903,	257,	3,	1),
(2904,	257,	4,	1),
(2905,	257,	2,	2),
(2906,	257,	3,	2),
(2907,	257,	4,	2),
(2908,	258,	2,	2),
(2909,	258,	3,	2),
(2910,	258,	4,	2),
(2911,	258,	2,	4),
(2912,	258,	3,	4),
(2913,	258,	4,	4),
(2914,	259,	2,	2),
(2915,	259,	3,	2),
(2916,	259,	4,	2),
(2917,	259,	2,	4),
(2918,	259,	3,	4),
(2919,	259,	4,	4),
(2920,	260,	2,	2),
(2921,	260,	3,	2),
(2922,	260,	4,	2),
(2923,	260,	2,	4),
(2924,	260,	3,	4),
(2925,	260,	4,	4),
(2926,	261,	2,	2),
(2927,	261,	3,	2),
(2928,	261,	4,	2),
(2929,	261,	2,	4),
(2930,	261,	3,	4),
(2931,	261,	4,	4),
(2932,	262,	2,	2),
(2933,	262,	3,	2),
(2934,	262,	4,	2),
(2935,	262,	2,	4),
(2936,	262,	3,	4),
(2937,	262,	4,	4),
(2938,	263,	2,	2),
(2939,	263,	3,	2),
(2940,	263,	4,	2),
(2941,	263,	2,	4),
(2942,	263,	3,	4),
(2943,	263,	4,	4),
(2944,	264,	2,	1),
(2945,	264,	3,	1),
(2946,	264,	4,	1),
(2947,	264,	2,	2),
(2948,	264,	3,	2),
(2949,	264,	4,	2),
(2950,	265,	2,	2),
(2951,	265,	3,	2),
(2952,	265,	4,	2),
(2953,	265,	2,	4),
(2954,	265,	3,	4),
(2955,	265,	4,	4),
(2956,	266,	2,	1),
(2957,	266,	3,	1),
(2958,	266,	4,	1),
(2959,	266,	2,	2),
(2960,	266,	3,	2),
(2961,	266,	4,	2),
(2962,	267,	2,	2),
(2963,	267,	3,	2),
(2964,	267,	4,	2),
(2965,	268,	2,	2),
(2966,	268,	3,	2),
(2967,	268,	4,	2),
(2968,	269,	2,	2),
(2969,	269,	3,	2),
(2970,	269,	4,	2),
(2971,	270,	2,	2),
(2972,	270,	3,	2),
(2973,	270,	4,	2),
(2974,	270,	2,	4),
(2975,	270,	3,	4),
(2976,	270,	4,	4),
(2977,	271,	2,	1),
(2978,	271,	3,	1),
(2979,	271,	4,	1),
(2980,	271,	2,	2),
(2981,	271,	3,	2),
(2982,	271,	4,	2),
(2983,	272,	2,	1),
(2984,	272,	3,	1),
(2985,	272,	4,	1),
(2986,	272,	2,	2),
(2987,	272,	3,	2),
(2988,	272,	4,	2),
(2989,	273,	2,	1),
(2990,	273,	3,	1),
(2991,	273,	4,	1),
(2992,	273,	2,	2),
(2993,	273,	3,	2),
(2994,	273,	4,	2),
(2995,	274,	35,	1),
(2996,	274,	2,	1),
(2997,	274,	3,	1),
(2998,	274,	4,	1),
(2999,	274,	35,	2),
(3000,	274,	2,	2),
(3001,	274,	3,	2),
(3002,	274,	4,	2),
(3003,	275,	5,	2),
(3004,	275,	1,	2),
(3005,	275,	2,	2),
(3006,	275,	3,	2),
(3007,	275,	4,	2),
(3008,	276,	2,	1),
(3009,	276,	3,	1),
(3010,	276,	4,	1),
(3011,	276,	2,	2),
(3012,	276,	3,	2),
(3013,	276,	4,	2),
(3014,	277,	2,	1),
(3015,	277,	3,	1),
(3016,	277,	4,	1),
(3017,	277,	2,	2),
(3018,	277,	3,	2),
(3019,	277,	4,	2),
(3020,	278,	33,	1),
(3021,	278,	1,	1),
(3022,	278,	2,	1),
(3023,	278,	3,	1),
(3024,	278,	4,	1),
(3025,	278,	33,	2),
(3026,	278,	1,	2),
(3027,	278,	2,	2),
(3028,	278,	3,	2),
(3029,	278,	4,	2),
(3030,	279,	5,	2),
(3031,	279,	1,	2),
(3032,	279,	2,	2),
(3033,	279,	36,	2),
(3034,	279,	3,	2),
(3035,	279,	4,	2),
(3036,	280,	5,	2),
(3037,	280,	1,	2),
(3038,	280,	2,	2),
(3039,	280,	36,	2),
(3040,	280,	3,	2),
(3041,	280,	4,	2),
(3042,	281,	2,	1),
(3043,	281,	3,	1),
(3044,	281,	4,	1),
(3045,	281,	2,	2),
(3046,	281,	3,	2),
(3047,	281,	4,	2),
(3048,	282,	33,	1),
(3049,	282,	35,	1),
(3050,	282,	1,	1),
(3051,	282,	2,	1),
(3052,	282,	3,	1),
(3053,	282,	4,	1),
(3054,	282,	33,	2),
(3055,	282,	35,	2),
(3056,	282,	1,	2),
(3057,	282,	2,	2),
(3058,	282,	3,	2),
(3059,	282,	4,	2),
(3060,	283,	2,	1),
(3061,	283,	3,	1),
(3062,	283,	4,	1),
(3063,	283,	2,	2),
(3064,	283,	3,	2),
(3065,	283,	4,	2),
(3066,	284,	2,	1),
(3067,	284,	3,	1),
(3068,	284,	4,	1),
(3069,	284,	2,	2),
(3070,	284,	3,	2),
(3071,	284,	4,	2),
(3072,	285,	33,	1),
(3073,	285,	2,	1),
(3074,	285,	3,	1),
(3075,	285,	4,	1),
(3076,	285,	33,	2),
(3077,	285,	2,	2),
(3078,	285,	3,	2),
(3079,	285,	4,	2),
(3080,	286,	2,	1),
(3081,	286,	3,	1),
(3082,	286,	4,	1),
(3083,	286,	2,	2),
(3084,	286,	3,	2),
(3085,	286,	4,	2),
(3086,	287,	2,	1),
(3087,	287,	3,	1),
(3088,	287,	4,	1),
(3089,	287,	2,	2),
(3090,	287,	3,	2),
(3091,	287,	4,	2),
(3092,	288,	33,	1),
(3093,	288,	2,	1),
(3094,	288,	3,	1),
(3095,	288,	4,	1),
(3096,	288,	33,	2),
(3097,	288,	2,	2),
(3098,	288,	3,	2),
(3099,	288,	4,	2),
(3100,	289,	2,	1),
(3101,	289,	3,	1),
(3102,	289,	4,	1),
(3103,	289,	2,	2),
(3104,	289,	3,	2),
(3105,	289,	4,	2),
(3106,	290,	2,	1),
(3107,	290,	3,	1),
(3108,	290,	4,	1),
(3109,	290,	2,	2),
(3110,	290,	3,	2),
(3111,	290,	4,	2),
(3112,	291,	33,	1),
(3113,	291,	2,	1),
(3114,	291,	3,	1),
(3115,	291,	4,	1),
(3116,	291,	33,	2),
(3117,	291,	2,	2),
(3118,	291,	3,	2),
(3119,	291,	4,	2),
(3120,	292,	2,	1),
(3121,	292,	3,	1),
(3122,	292,	4,	1),
(3123,	292,	2,	2),
(3124,	292,	3,	2),
(3125,	292,	4,	2),
(3126,	293,	2,	1),
(3127,	293,	3,	1),
(3128,	293,	4,	1),
(3129,	293,	2,	2),
(3130,	293,	3,	2),
(3131,	293,	4,	2),
(3132,	294,	2,	1),
(3133,	294,	3,	1),
(3134,	294,	4,	1),
(3135,	294,	2,	2),
(3136,	294,	3,	2),
(3137,	294,	4,	2),
(3138,	295,	2,	1),
(3139,	295,	3,	1),
(3140,	295,	4,	1),
(3141,	295,	2,	2),
(3142,	295,	3,	2),
(3143,	295,	4,	2),
(3144,	296,	2,	1),
(3145,	296,	3,	1),
(3146,	296,	4,	1),
(3147,	296,	2,	2),
(3148,	296,	3,	2),
(3149,	296,	4,	2),
(3150,	297,	2,	1),
(3151,	297,	3,	1),
(3152,	297,	4,	1),
(3153,	297,	2,	2),
(3154,	297,	3,	2),
(3155,	297,	4,	2),
(3156,	298,	37,	1),
(3157,	298,	2,	1),
(3158,	298,	3,	1),
(3159,	298,	4,	1),
(3160,	298,	37,	2),
(3161,	298,	2,	2),
(3162,	298,	3,	2),
(3163,	298,	4,	2),
(3164,	299,	2,	1),
(3165,	299,	3,	1),
(3166,	299,	4,	1),
(3167,	299,	2,	2),
(3168,	299,	3,	2),
(3169,	299,	4,	2),
(3170,	300,	33,	1),
(3171,	300,	1,	1),
(3172,	300,	2,	1),
(3173,	300,	3,	1),
(3174,	300,	4,	1),
(3175,	300,	33,	2),
(3176,	300,	1,	2),
(3177,	300,	2,	2),
(3178,	300,	3,	2),
(3179,	300,	4,	2),
(3180,	301,	5,	2),
(3181,	301,	1,	2),
(3182,	301,	2,	2),
(3183,	301,	3,	2),
(3184,	301,	4,	2),
(3185,	302,	2,	1),
(3186,	302,	3,	1),
(3187,	302,	4,	1),
(3188,	302,	2,	2),
(3189,	302,	3,	2),
(3190,	302,	4,	2),
(3191,	302,	2,	4),
(3192,	302,	3,	4),
(3193,	302,	4,	4),
(3194,	303,	2,	1),
(3195,	303,	3,	1),
(3196,	303,	4,	1),
(3197,	303,	2,	2),
(3198,	303,	3,	2),
(3199,	303,	4,	2),
(3200,	304,	2,	2),
(3201,	304,	3,	2),
(3202,	304,	4,	2),
(3203,	305,	2,	1),
(3204,	305,	3,	1),
(3205,	305,	4,	1),
(3206,	305,	2,	2),
(3207,	305,	3,	2),
(3208,	305,	4,	2),
(3209,	306,	2,	2),
(3210,	306,	3,	2),
(3211,	306,	4,	2),
(3212,	307,	2,	2),
(3213,	307,	3,	2),
(3214,	307,	4,	2),
(3215,	307,	2,	4),
(3216,	307,	3,	4),
(3217,	307,	4,	4),
(3218,	308,	2,	1),
(3219,	308,	3,	1),
(3220,	308,	4,	1),
(3221,	308,	2,	2),
(3222,	308,	3,	2),
(3223,	308,	4,	2),
(3224,	308,	2,	3),
(3225,	308,	3,	3),
(3226,	308,	4,	3),
(3227,	309,	2,	1),
(3228,	309,	3,	1),
(3229,	309,	4,	1),
(3230,	309,	2,	2),
(3231,	309,	3,	2),
(3232,	309,	4,	2),
(3233,	310,	2,	1),
(3234,	310,	3,	1),
(3235,	310,	4,	1),
(3236,	310,	2,	2),
(3237,	310,	3,	2),
(3238,	310,	4,	2),
(3239,	311,	2,	1),
(3240,	311,	3,	1),
(3241,	311,	4,	1),
(3242,	311,	2,	2),
(3243,	311,	3,	2),
(3244,	311,	4,	2),
(3245,	312,	2,	1),
(3246,	312,	3,	1),
(3247,	312,	4,	1),
(3248,	312,	2,	2),
(3249,	312,	3,	2),
(3250,	312,	4,	2),
(3251,	313,	2,	2),
(3252,	313,	3,	2),
(3253,	313,	4,	2),
(3254,	314,	2,	1),
(3255,	314,	3,	1),
(3256,	314,	4,	1),
(3257,	314,	2,	2),
(3258,	314,	3,	2),
(3259,	314,	4,	2),
(3260,	314,	2,	4),
(3261,	314,	3,	4),
(3262,	314,	4,	4),
(3263,	315,	2,	1),
(3264,	315,	3,	1),
(3265,	315,	4,	1),
(3266,	315,	2,	2),
(3267,	315,	3,	2),
(3268,	315,	4,	2),
(3269,	316,	2,	1),
(3270,	316,	3,	1),
(3271,	316,	4,	1),
(3272,	316,	2,	2),
(3273,	316,	3,	2),
(3274,	316,	4,	2),
(3275,	317,	2,	1),
(3276,	317,	3,	1),
(3277,	317,	4,	1),
(3278,	317,	2,	2),
(3279,	317,	3,	2),
(3280,	317,	4,	2),
(3281,	318,	2,	1),
(3282,	318,	3,	1),
(3283,	318,	4,	1),
(3284,	318,	2,	2),
(3285,	318,	3,	2),
(3286,	318,	4,	2),
(3287,	319,	2,	1),
(3288,	319,	3,	1),
(3289,	319,	4,	1),
(3290,	319,	2,	2),
(3291,	319,	3,	2),
(3292,	319,	4,	2),
(3293,	320,	2,	1),
(3294,	320,	3,	1),
(3295,	320,	4,	1),
(3296,	320,	2,	2),
(3297,	320,	3,	2),
(3298,	320,	4,	2),
(3299,	321,	2,	2),
(3300,	321,	3,	2),
(3301,	321,	4,	2),
(3302,	321,	2,	4),
(3303,	321,	3,	4),
(3304,	321,	4,	4),
(3305,	322,	2,	1),
(3306,	322,	3,	1),
(3307,	322,	4,	1),
(3308,	322,	2,	2),
(3309,	322,	3,	2),
(3310,	322,	4,	2),
(3311,	323,	2,	1),
(3312,	323,	3,	1),
(3313,	323,	4,	1),
(3314,	323,	2,	2),
(3315,	323,	3,	2),
(3316,	323,	4,	2),
(3317,	324,	2,	1),
(3318,	324,	3,	1),
(3319,	324,	4,	1),
(3320,	324,	2,	2),
(3321,	324,	3,	2),
(3322,	324,	4,	2),
(3323,	325,	2,	2),
(3324,	325,	3,	2),
(3325,	325,	4,	2),
(3326,	326,	2,	1),
(3327,	326,	3,	1),
(3328,	326,	4,	1),
(3329,	326,	2,	2),
(3330,	326,	3,	2),
(3331,	326,	4,	2),
(3332,	327,	2,	1),
(3333,	327,	3,	1),
(3334,	327,	4,	1),
(3335,	327,	2,	2),
(3336,	327,	3,	2),
(3337,	327,	4,	2),
(3338,	328,	2,	2),
(3339,	328,	3,	2),
(3340,	328,	4,	2),
(3341,	329,	2,	2),
(3342,	329,	3,	2),
(3343,	329,	4,	2),
(3344,	330,	2,	2),
(3345,	330,	3,	2),
(3346,	330,	22,	2),
(3347,	330,	4,	2),
(3348,	331,	2,	2),
(3349,	331,	3,	2),
(3350,	331,	22,	2),
(3351,	331,	4,	2),
(3352,	332,	2,	2),
(3353,	332,	3,	2),
(3354,	332,	22,	2),
(3355,	332,	4,	2),
(3356,	333,	2,	2),
(3357,	333,	3,	2),
(3358,	333,	4,	2),
(3359,	333,	2,	4),
(3360,	333,	3,	4),
(3361,	333,	4,	4),
(3362,	334,	2,	2),
(3363,	334,	3,	2),
(3364,	334,	4,	2),
(3365,	334,	2,	4),
(3366,	334,	3,	4),
(3367,	334,	4,	4),
(3368,	335,	2,	1),
(3369,	335,	3,	1),
(3370,	335,	4,	1),
(3371,	335,	2,	2),
(3372,	335,	3,	2),
(3373,	335,	4,	2),
(3374,	335,	2,	4),
(3375,	335,	3,	4),
(3376,	335,	4,	4),
(3377,	336,	2,	1),
(3378,	336,	3,	1),
(3379,	336,	4,	1),
(3380,	336,	2,	2),
(3381,	336,	3,	2),
(3382,	336,	4,	2),
(3383,	337,	2,	1),
(3384,	337,	3,	1),
(3385,	337,	4,	1),
(3386,	337,	2,	2),
(3387,	337,	3,	2),
(3388,	337,	4,	2),
(3389,	337,	2,	3),
(3390,	337,	3,	3),
(3391,	337,	4,	3),
(3392,	338,	2,	2),
(3393,	338,	3,	2),
(3394,	338,	4,	2),
(3395,	339,	2,	1),
(3396,	339,	3,	1),
(3397,	339,	4,	1),
(3398,	339,	2,	2),
(3399,	339,	3,	2),
(3400,	339,	4,	2),
(3401,	340,	2,	2),
(3402,	340,	3,	2),
(3403,	340,	4,	2),
(3404,	340,	2,	4),
(3405,	340,	3,	4),
(3406,	340,	4,	4),
(3407,	341,	2,	1),
(3408,	341,	3,	1),
(3409,	341,	22,	1),
(3410,	341,	4,	1),
(3411,	341,	2,	2),
(3412,	341,	3,	2),
(3413,	341,	22,	2),
(3414,	341,	4,	2),
(3415,	341,	2,	4),
(3416,	341,	3,	4),
(3417,	341,	22,	4),
(3418,	341,	4,	4),
(3419,	342,	2,	2),
(3420,	342,	3,	2),
(3421,	342,	4,	2),
(3422,	342,	2,	4),
(3423,	342,	3,	4),
(3424,	342,	4,	4),
(3425,	343,	2,	2),
(3426,	343,	3,	2),
(3427,	343,	4,	2),
(3428,	343,	2,	4),
(3429,	343,	3,	4),
(3430,	343,	4,	4),
(3431,	344,	2,	2),
(3432,	344,	3,	2),
(3433,	344,	4,	2),
(3434,	344,	2,	4),
(3435,	344,	3,	4),
(3436,	344,	4,	4),
(3437,	345,	2,	2),
(3438,	345,	3,	2),
(3439,	345,	22,	2),
(3440,	345,	4,	2),
(3441,	345,	2,	4),
(3442,	345,	3,	4),
(3443,	345,	22,	4),
(3444,	345,	4,	4),
(3445,	346,	2,	1),
(3446,	346,	3,	1),
(3447,	346,	4,	1),
(3448,	346,	2,	2),
(3449,	346,	3,	2),
(3450,	346,	4,	2),
(3451,	347,	2,	2),
(3452,	347,	3,	2),
(3453,	347,	4,	2),
(3454,	347,	2,	4),
(3455,	347,	3,	4),
(3456,	347,	4,	4),
(3457,	348,	2,	2),
(3458,	348,	3,	2),
(3459,	348,	4,	2),
(3460,	349,	2,	2),
(3461,	349,	3,	2),
(3462,	349,	4,	2),
(3463,	349,	2,	4),
(3464,	349,	3,	4),
(3465,	349,	4,	4),
(3466,	350,	2,	1),
(3467,	350,	3,	1),
(3468,	350,	22,	1),
(3469,	350,	4,	1),
(3470,	350,	2,	2),
(3471,	350,	3,	2),
(3472,	350,	22,	2),
(3473,	350,	4,	2),
(3474,	351,	2,	2),
(3475,	351,	3,	2),
(3476,	351,	22,	2),
(3477,	351,	4,	2),
(3478,	351,	2,	4),
(3479,	351,	3,	4),
(3480,	351,	22,	4),
(3481,	351,	4,	4),
(3482,	352,	2,	1),
(3483,	352,	3,	1),
(3484,	352,	22,	1),
(3485,	352,	4,	1),
(3486,	352,	2,	2),
(3487,	352,	3,	2),
(3488,	352,	22,	2),
(3489,	352,	4,	2),
(3490,	353,	2,	1),
(3491,	353,	3,	1),
(3492,	353,	22,	1),
(3493,	353,	4,	1),
(3494,	353,	2,	2),
(3495,	353,	3,	2),
(3496,	353,	22,	2),
(3497,	353,	4,	2),
(3498,	354,	2,	1),
(3499,	354,	3,	1),
(3500,	354,	4,	1),
(3501,	354,	2,	2),
(3502,	354,	3,	2),
(3503,	354,	4,	2),
(3504,	355,	2,	1),
(3505,	355,	3,	1),
(3506,	355,	4,	1),
(3507,	355,	2,	2),
(3508,	355,	3,	2),
(3509,	355,	4,	2),
(3510,	355,	2,	4),
(3511,	355,	3,	4),
(3512,	355,	4,	4),
(3513,	356,	2,	2),
(3514,	356,	3,	2),
(3515,	356,	4,	2),
(3516,	356,	2,	4),
(3517,	356,	3,	4),
(3518,	356,	4,	4),
(3519,	357,	2,	1),
(3520,	357,	3,	1),
(3521,	357,	4,	1),
(3522,	357,	2,	2),
(3523,	357,	3,	2),
(3524,	357,	4,	2),
(3525,	358,	2,	2),
(3526,	358,	3,	2),
(3527,	358,	4,	2),
(3528,	359,	2,	2),
(3529,	359,	3,	2),
(3530,	359,	22,	2),
(3531,	359,	4,	2),
(3532,	359,	2,	4),
(3533,	359,	3,	4),
(3534,	359,	22,	4),
(3535,	359,	4,	4),
(3536,	360,	2,	2),
(3537,	360,	3,	2),
(3538,	360,	22,	2),
(3539,	360,	4,	2),
(3540,	360,	2,	4),
(3541,	360,	3,	4),
(3542,	360,	22,	4),
(3543,	360,	4,	4),
(3544,	361,	2,	2),
(3545,	361,	3,	2),
(3546,	361,	22,	2),
(3547,	361,	4,	2),
(3548,	361,	2,	4),
(3549,	361,	3,	4),
(3550,	361,	22,	4),
(3551,	361,	4,	4),
(3552,	362,	2,	2),
(3553,	362,	3,	2),
(3554,	362,	4,	2),
(3555,	362,	2,	4),
(3556,	362,	3,	4),
(3557,	362,	4,	4),
(3558,	363,	2,	1),
(3559,	363,	3,	1),
(3560,	363,	4,	1),
(3561,	363,	2,	2),
(3562,	363,	3,	2),
(3563,	363,	4,	2),
(3564,	364,	2,	2),
(3565,	364,	3,	2),
(3566,	364,	4,	2),
(3567,	365,	2,	1),
(3568,	365,	3,	1),
(3569,	365,	4,	1),
(3570,	365,	2,	2),
(3571,	365,	3,	2),
(3572,	365,	4,	2),
(3573,	366,	2,	2),
(3574,	366,	3,	2),
(3575,	366,	4,	2),
(3576,	366,	2,	4),
(3577,	366,	3,	4),
(3578,	366,	4,	4),
(3579,	367,	2,	2),
(3580,	367,	3,	2),
(3581,	367,	4,	2),
(3582,	368,	2,	1),
(3583,	368,	3,	1),
(3584,	368,	4,	1),
(3585,	368,	2,	2),
(3586,	368,	3,	2),
(3587,	368,	4,	2),
(3588,	369,	2,	1),
(3589,	369,	3,	1),
(3590,	369,	4,	1),
(3591,	369,	2,	2),
(3592,	369,	3,	2),
(3593,	369,	4,	2),
(3594,	369,	2,	4),
(3595,	369,	3,	4),
(3596,	369,	4,	4),
(3597,	370,	2,	2),
(3598,	370,	3,	2),
(3599,	370,	4,	2),
(3600,	370,	2,	4),
(3601,	370,	3,	4),
(3602,	370,	4,	4),
(3603,	371,	2,	1),
(3604,	371,	3,	1),
(3605,	371,	4,	1),
(3606,	371,	2,	2),
(3607,	371,	3,	2),
(3608,	371,	4,	2),
(3609,	371,	2,	4),
(3610,	371,	3,	4),
(3611,	371,	4,	4),
(3612,	372,	2,	1),
(3613,	372,	3,	1),
(3614,	372,	4,	1),
(3615,	372,	2,	2),
(3616,	372,	3,	2),
(3617,	372,	4,	2),
(3618,	373,	2,	2),
(3619,	373,	3,	2),
(3620,	373,	4,	2),
(3621,	373,	2,	4),
(3622,	373,	3,	4),
(3623,	373,	4,	4),
(3624,	374,	2,	1),
(3625,	374,	3,	1),
(3626,	374,	4,	1),
(3627,	374,	2,	2),
(3628,	374,	3,	2),
(3629,	374,	4,	2),
(3630,	375,	2,	1),
(3631,	375,	3,	1),
(3632,	375,	4,	1),
(3633,	375,	2,	2),
(3634,	375,	3,	2),
(3635,	375,	4,	2),
(3636,	376,	2,	2),
(3637,	376,	3,	2),
(3638,	376,	22,	2),
(3639,	376,	4,	2),
(3640,	376,	2,	4),
(3641,	376,	3,	4),
(3642,	376,	22,	4),
(3643,	376,	4,	4),
(3644,	377,	2,	2),
(3645,	377,	3,	2),
(3646,	377,	22,	2),
(3647,	377,	4,	2),
(3648,	377,	38,	2),
(3649,	377,	2,	4),
(3650,	377,	3,	4),
(3651,	377,	22,	4),
(3652,	377,	4,	4),
(3653,	377,	38,	4),
(3654,	378,	2,	2),
(3655,	378,	3,	2),
(3656,	378,	4,	2),
(3657,	378,	2,	4),
(3658,	378,	3,	4),
(3659,	378,	4,	4),
(3660,	379,	2,	2),
(3661,	379,	3,	2),
(3662,	379,	4,	2),
(3663,	379,	2,	4),
(3664,	379,	3,	4),
(3665,	379,	4,	4),
(3666,	380,	2,	2),
(3667,	380,	3,	2),
(3668,	380,	4,	2),
(3669,	381,	2,	2),
(3670,	381,	3,	2),
(3671,	381,	4,	2),
(3672,	381,	2,	4),
(3673,	381,	3,	4),
(3674,	381,	4,	4),
(3675,	382,	2,	2),
(3676,	382,	3,	2),
(3677,	382,	4,	2),
(3678,	382,	2,	4),
(3679,	382,	3,	4),
(3680,	382,	4,	4),
(3681,	383,	2,	2),
(3682,	383,	3,	2),
(3683,	383,	4,	2),
(3684,	383,	2,	4),
(3685,	383,	3,	4),
(3686,	383,	4,	4),
(3687,	384,	2,	2),
(3688,	384,	3,	2),
(3689,	384,	4,	2),
(3690,	384,	2,	4),
(3691,	384,	3,	4),
(3692,	384,	4,	4),
(3693,	385,	2,	2),
(3694,	385,	3,	2),
(3695,	385,	4,	2),
(3696,	385,	2,	4),
(3697,	385,	3,	4),
(3698,	385,	4,	4),
(3699,	386,	2,	1),
(3700,	386,	3,	1),
(3701,	386,	4,	1),
(3702,	386,	2,	2),
(3703,	386,	3,	2),
(3704,	386,	4,	2),
(3705,	386,	2,	4),
(3706,	386,	3,	4),
(3707,	386,	4,	4),
(3708,	387,	2,	1),
(3709,	387,	3,	1),
(3710,	387,	4,	1),
(3711,	387,	2,	2),
(3712,	387,	3,	2),
(3713,	387,	4,	2),
(3714,	388,	2,	2),
(3715,	388,	3,	2),
(3716,	388,	4,	2),
(3717,	388,	2,	4),
(3718,	388,	3,	4),
(3719,	388,	4,	4),
(3720,	389,	2,	2),
(3721,	389,	3,	2),
(3722,	389,	4,	2),
(3723,	390,	2,	2),
(3724,	390,	3,	2),
(3725,	390,	4,	2),
(3726,	390,	2,	4),
(3727,	390,	3,	4),
(3728,	390,	4,	4),
(3729,	391,	2,	1),
(3730,	391,	3,	1),
(3731,	391,	4,	1),
(3732,	391,	2,	2),
(3733,	391,	3,	2),
(3734,	391,	4,	2),
(3735,	391,	2,	4),
(3736,	391,	3,	4),
(3737,	391,	4,	4),
(3738,	392,	2,	2),
(3739,	392,	3,	2),
(3740,	392,	4,	2),
(3741,	392,	2,	4),
(3742,	392,	3,	4),
(3743,	392,	4,	4),
(3744,	393,	2,	2),
(3745,	393,	3,	2),
(3746,	393,	4,	2),
(3747,	393,	2,	4),
(3748,	393,	3,	4),
(3749,	393,	4,	4),
(3750,	394,	2,	2),
(3751,	394,	3,	2),
(3752,	394,	4,	2),
(3753,	394,	2,	4),
(3754,	394,	3,	4),
(3755,	394,	4,	4),
(3756,	395,	2,	2),
(3757,	395,	3,	2),
(3758,	395,	4,	2),
(3759,	395,	2,	4),
(3760,	395,	3,	4),
(3761,	395,	4,	4),
(3762,	396,	2,	2),
(3763,	396,	3,	2),
(3764,	396,	4,	2),
(3765,	397,	2,	2),
(3766,	397,	3,	2),
(3767,	397,	4,	2),
(3768,	397,	2,	4),
(3769,	397,	3,	4),
(3770,	397,	4,	4),
(3771,	398,	2,	2),
(3772,	398,	3,	2),
(3773,	398,	4,	2),
(3774,	398,	2,	4),
(3775,	398,	3,	4),
(3776,	398,	4,	4),
(3777,	399,	2,	1),
(3778,	399,	3,	1),
(3779,	399,	4,	1),
(3780,	399,	2,	2),
(3781,	399,	3,	2),
(3782,	399,	4,	2),
(3783,	399,	2,	3),
(3784,	399,	3,	3),
(3785,	399,	4,	3),
(3786,	400,	2,	1),
(3787,	400,	3,	1),
(3788,	400,	4,	1),
(3789,	400,	2,	2),
(3790,	400,	3,	2),
(3791,	400,	4,	2),
(3792,	400,	2,	4),
(3793,	400,	3,	4),
(3794,	400,	4,	4),
(3795,	401,	2,	2),
(3796,	401,	3,	2),
(3797,	401,	4,	2),
(3798,	402,	2,	2),
(3799,	402,	3,	2),
(3800,	402,	4,	2),
(3801,	402,	2,	4),
(3802,	402,	3,	4),
(3803,	402,	4,	4),
(3804,	403,	2,	2),
(3805,	403,	3,	2),
(3806,	403,	4,	2),
(3807,	403,	2,	4),
(3808,	403,	3,	4),
(3809,	403,	4,	4),
(3810,	404,	2,	1),
(3811,	404,	3,	1),
(3812,	404,	4,	1),
(3813,	404,	2,	2),
(3814,	404,	3,	2),
(3815,	404,	4,	2),
(3816,	404,	2,	4),
(3817,	404,	3,	4),
(3818,	404,	4,	4),
(3819,	405,	2,	1),
(3820,	405,	3,	1),
(3821,	405,	4,	1),
(3822,	405,	2,	2),
(3823,	405,	3,	2),
(3824,	405,	4,	2),
(3825,	405,	2,	4),
(3826,	405,	3,	4),
(3827,	405,	4,	4),
(3828,	406,	2,	1),
(3829,	406,	3,	1),
(3830,	406,	4,	1),
(3831,	406,	2,	2),
(3832,	406,	3,	2),
(3833,	406,	4,	2),
(3834,	406,	2,	4),
(3835,	406,	3,	4),
(3836,	406,	4,	4),
(3837,	407,	2,	1),
(3838,	407,	3,	1),
(3839,	407,	4,	1),
(3840,	407,	2,	2),
(3841,	407,	3,	2),
(3842,	407,	4,	2),
(3843,	407,	2,	4),
(3844,	407,	3,	4),
(3845,	407,	4,	4),
(3846,	408,	2,	2),
(3847,	408,	3,	2),
(3848,	408,	4,	2),
(3849,	409,	2,	2),
(3850,	409,	3,	2),
(3851,	409,	4,	2),
(3852,	409,	2,	4),
(3853,	409,	3,	4),
(3854,	409,	4,	4),
(3855,	410,	2,	2),
(3856,	410,	3,	2),
(3857,	410,	4,	2),
(3858,	410,	2,	4),
(3859,	410,	3,	4),
(3860,	410,	4,	4),
(3861,	411,	2,	2),
(3862,	411,	3,	2),
(3863,	411,	4,	2),
(3864,	411,	2,	4),
(3865,	411,	3,	4),
(3866,	411,	4,	4),
(3867,	412,	2,	2),
(3868,	412,	3,	2),
(3869,	412,	4,	2),
(3870,	412,	2,	4),
(3871,	412,	3,	4),
(3872,	412,	4,	4),
(3873,	413,	2,	2),
(3874,	413,	3,	2),
(3875,	413,	4,	2),
(3876,	414,	2,	1),
(3877,	414,	3,	1),
(3878,	414,	4,	1),
(3879,	414,	2,	2),
(3880,	414,	3,	2),
(3881,	414,	4,	2),
(3882,	415,	2,	2),
(3883,	415,	3,	2),
(3884,	415,	4,	2),
(3885,	415,	2,	4),
(3886,	415,	3,	4),
(3887,	415,	4,	4),
(3888,	416,	2,	1),
(3889,	416,	3,	1),
(3890,	416,	4,	1),
(3891,	416,	2,	2),
(3892,	416,	3,	2),
(3893,	416,	4,	2),
(3894,	417,	2,	1),
(3895,	417,	3,	1),
(3896,	417,	4,	1),
(3897,	417,	2,	2),
(3898,	417,	3,	2),
(3899,	417,	4,	2),
(3900,	418,	2,	2),
(3901,	418,	3,	2),
(3902,	418,	4,	2),
(3903,	419,	2,	1),
(3904,	419,	3,	1),
(3905,	419,	4,	1),
(3906,	419,	2,	2),
(3907,	419,	3,	2),
(3908,	419,	4,	2),
(3909,	420,	2,	1),
(3910,	420,	3,	1),
(3911,	420,	4,	1),
(3912,	420,	2,	2),
(3913,	420,	3,	2),
(3914,	420,	4,	2),
(3915,	421,	2,	1),
(3916,	421,	3,	1),
(3917,	421,	4,	1),
(3918,	421,	2,	2),
(3919,	421,	3,	2),
(3920,	421,	4,	2),
(3921,	422,	2,	2),
(3922,	422,	3,	2),
(3923,	422,	4,	2),
(3924,	422,	2,	4),
(3925,	422,	3,	4),
(3926,	422,	4,	4),
(3927,	423,	5,	2),
(3928,	423,	2,	2),
(3929,	423,	3,	2),
(3930,	423,	4,	2),
(3931,	423,	5,	4),
(3932,	423,	2,	4),
(3933,	423,	3,	4),
(3934,	423,	4,	4),
(3935,	424,	2,	1),
(3936,	424,	3,	1),
(3937,	424,	4,	1),
(3938,	424,	2,	2),
(3939,	424,	3,	2),
(3940,	424,	4,	2),
(3941,	425,	2,	2),
(3942,	425,	3,	2),
(3943,	425,	4,	2),
(3944,	426,	2,	2),
(3945,	426,	3,	2),
(3946,	426,	4,	2),
(3947,	426,	2,	4),
(3948,	426,	3,	4),
(3949,	426,	4,	4),
(3950,	427,	39,	1),
(3951,	427,	40,	1),
(3952,	427,	2,	1),
(3953,	427,	3,	1),
(3954,	427,	4,	1),
(3955,	427,	39,	2),
(3956,	427,	40,	2),
(3957,	427,	2,	2),
(3958,	427,	3,	2),
(3959,	427,	4,	2),
(3960,	428,	39,	2),
(3961,	428,	2,	2),
(3962,	428,	3,	2),
(3963,	428,	4,	2),
(3964,	429,	2,	1),
(3965,	429,	3,	1),
(3966,	429,	4,	1),
(3967,	429,	2,	2),
(3968,	429,	3,	2),
(3969,	429,	4,	2),
(3970,	429,	2,	4),
(3971,	429,	3,	4),
(3972,	429,	4,	4),
(3973,	430,	2,	1),
(3974,	430,	3,	1),
(3975,	430,	4,	1),
(3976,	430,	2,	2),
(3977,	430,	3,	2),
(3978,	430,	4,	2),
(3979,	430,	2,	4),
(3980,	430,	3,	4),
(3981,	430,	4,	4),
(3982,	431,	2,	2),
(3983,	431,	3,	2),
(3984,	431,	4,	2),
(3985,	432,	2,	1),
(3986,	432,	3,	1),
(3987,	432,	4,	1),
(3988,	432,	2,	2),
(3989,	432,	3,	2),
(3990,	432,	4,	2),
(3991,	433,	39,	1),
(3992,	433,	40,	1),
(3993,	433,	2,	1),
(3994,	433,	3,	1),
(3995,	433,	4,	1),
(3996,	433,	39,	2),
(3997,	433,	40,	2),
(3998,	433,	2,	2),
(3999,	433,	3,	2),
(4000,	433,	4,	2),
(4001,	434,	2,	1),
(4002,	434,	3,	1),
(4003,	434,	4,	1),
(4004,	434,	2,	2),
(4005,	434,	3,	2),
(4006,	434,	4,	2),
(4007,	435,	2,	1),
(4008,	435,	3,	1),
(4009,	435,	4,	1),
(4010,	435,	2,	2),
(4011,	435,	3,	2),
(4012,	435,	4,	2),
(4013,	436,	2,	2),
(4014,	436,	3,	2),
(4015,	436,	4,	2),
(4016,	437,	24,	1),
(4017,	437,	2,	1),
(4018,	437,	3,	1),
(4019,	437,	4,	1),
(4020,	437,	24,	2),
(4021,	437,	2,	2),
(4022,	437,	3,	2),
(4023,	437,	4,	2),
(4024,	438,	2,	2),
(4025,	438,	3,	2),
(4026,	438,	4,	2),
(4027,	439,	2,	2),
(4028,	439,	3,	2),
(4029,	439,	4,	2),
(4030,	440,	2,	1),
(4031,	440,	3,	1),
(4032,	440,	4,	1),
(4033,	440,	2,	2),
(4034,	440,	3,	2),
(4035,	440,	4,	2),
(4036,	440,	2,	3),
(4037,	440,	3,	3),
(4038,	440,	4,	3),
(4039,	441,	2,	2),
(4040,	441,	3,	2),
(4041,	441,	22,	2),
(4042,	441,	4,	2),
(4043,	442,	2,	2),
(4044,	442,	3,	2),
(4045,	442,	4,	2),
(4046,	442,	38,	2),
(4047,	442,	2,	4),
(4048,	442,	3,	4),
(4049,	442,	4,	4),
(4050,	442,	38,	4),
(4051,	443,	2,	2),
(4052,	443,	3,	2),
(4053,	443,	22,	2),
(4054,	443,	4,	2),
(4055,	443,	38,	2),
(4056,	443,	2,	4),
(4057,	443,	3,	4),
(4058,	443,	22,	4),
(4059,	443,	4,	4),
(4060,	443,	38,	4),
(4061,	444,	2,	1),
(4062,	444,	3,	1),
(4063,	444,	4,	1),
(4064,	444,	2,	2),
(4065,	444,	3,	2),
(4066,	444,	4,	2),
(4067,	445,	2,	2),
(4068,	445,	3,	2),
(4069,	445,	4,	2),
(4070,	445,	2,	4),
(4071,	445,	3,	4),
(4072,	445,	4,	4),
(4073,	446,	2,	2),
(4074,	446,	3,	2),
(4075,	446,	4,	2),
(4076,	447,	2,	2),
(4077,	447,	3,	2),
(4078,	447,	22,	2),
(4079,	447,	4,	2),
(4080,	447,	38,	2),
(4081,	447,	2,	4),
(4082,	447,	3,	4),
(4083,	447,	22,	4),
(4084,	447,	4,	4),
(4085,	447,	38,	4),
(4086,	448,	2,	2),
(4087,	448,	3,	2),
(4088,	448,	4,	2),
(4089,	449,	2,	1),
(4090,	449,	3,	1),
(4091,	449,	4,	1),
(4092,	449,	2,	2),
(4093,	449,	3,	2),
(4094,	449,	4,	2),
(4095,	450,	2,	2),
(4096,	450,	3,	2),
(4097,	450,	22,	2),
(4098,	450,	4,	2),
(4099,	451,	2,	1),
(4100,	451,	3,	1),
(4101,	451,	4,	1),
(4102,	451,	2,	2),
(4103,	451,	3,	2),
(4104,	451,	4,	2),
(4105,	452,	2,	2),
(4106,	452,	3,	2),
(4107,	452,	22,	2),
(4108,	452,	4,	2),
(4109,	452,	2,	4),
(4110,	452,	3,	4),
(4111,	452,	22,	4),
(4112,	452,	4,	4),
(4113,	453,	2,	1),
(4114,	453,	3,	1),
(4115,	453,	4,	1),
(4116,	453,	2,	2),
(4117,	453,	3,	2),
(4118,	453,	4,	2),
(4119,	454,	2,	1),
(4120,	454,	3,	1),
(4121,	454,	4,	1),
(4122,	454,	2,	2),
(4123,	454,	3,	2),
(4124,	454,	4,	2),
(4125,	455,	2,	1),
(4126,	455,	3,	1),
(4127,	455,	4,	1),
(4128,	455,	2,	2),
(4129,	455,	3,	2),
(4130,	455,	4,	2),
(4131,	456,	2,	1),
(4132,	456,	3,	1),
(4133,	456,	4,	1),
(4134,	456,	2,	2),
(4135,	456,	3,	2),
(4136,	456,	4,	2),
(4137,	456,	2,	4),
(4138,	456,	3,	4),
(4139,	456,	4,	4),
(4140,	457,	2,	1),
(4141,	457,	3,	1),
(4142,	457,	4,	1),
(4143,	457,	2,	2),
(4144,	457,	3,	2),
(4145,	457,	4,	2),
(4146,	458,	2,	2),
(4147,	458,	3,	2),
(4148,	458,	4,	2),
(4149,	459,	2,	1),
(4150,	459,	3,	1),
(4151,	459,	4,	1),
(4152,	460,	2,	1),
(4153,	460,	3,	1),
(4154,	460,	4,	1),
(4155,	460,	2,	2),
(4156,	460,	3,	2),
(4157,	460,	4,	2),
(4158,	461,	2,	1),
(4159,	461,	3,	1),
(4160,	461,	4,	1),
(4161,	461,	2,	2),
(4162,	461,	3,	2),
(4163,	461,	4,	2),
(4164,	462,	2,	1),
(4165,	462,	3,	1),
(4166,	462,	4,	1),
(4167,	462,	2,	2),
(4168,	462,	3,	2),
(4169,	462,	4,	2),
(4170,	463,	2,	1),
(4171,	463,	3,	1),
(4172,	463,	4,	1),
(4173,	463,	2,	2),
(4174,	463,	3,	2),
(4175,	463,	4,	2),
(4176,	464,	5,	1),
(4177,	464,	6,	1),
(4178,	464,	23,	1),
(4179,	464,	2,	1),
(4180,	464,	3,	1),
(4181,	464,	4,	1),
(4182,	464,	5,	2),
(4183,	464,	6,	2),
(4184,	464,	23,	2),
(4185,	464,	2,	2),
(4186,	464,	3,	2),
(4187,	464,	4,	2),
(4188,	465,	5,	1),
(4189,	465,	6,	1),
(4190,	465,	23,	1),
(4191,	465,	2,	1),
(4192,	465,	3,	1),
(4193,	465,	4,	1),
(4194,	465,	5,	2),
(4195,	465,	6,	2),
(4196,	465,	23,	2),
(4197,	465,	2,	2),
(4198,	465,	3,	2),
(4199,	465,	4,	2),
(4200,	466,	6,	2),
(4201,	466,	23,	2),
(4202,	466,	24,	2),
(4203,	466,	1,	2),
(4204,	466,	2,	2),
(4205,	466,	3,	2),
(4206,	466,	4,	2),
(4207,	466,	6,	4),
(4208,	466,	23,	4),
(4209,	466,	24,	4),
(4210,	466,	1,	4),
(4211,	466,	2,	4),
(4212,	466,	3,	4),
(4213,	466,	4,	4),
(4214,	467,	5,	2),
(4215,	467,	6,	2),
(4216,	467,	23,	2),
(4217,	467,	24,	2),
(4218,	467,	1,	2),
(4219,	467,	2,	2),
(4220,	467,	3,	2),
(4221,	467,	4,	2),
(4222,	467,	5,	4),
(4223,	467,	6,	4),
(4224,	467,	23,	4),
(4225,	467,	24,	4),
(4226,	467,	1,	4),
(4227,	467,	2,	4),
(4228,	467,	3,	4),
(4229,	467,	4,	4),
(4230,	468,	2,	1),
(4231,	468,	3,	1),
(4232,	468,	4,	1),
(4233,	468,	2,	2),
(4234,	468,	3,	2),
(4235,	468,	4,	2),
(4236,	468,	2,	4),
(4237,	468,	3,	4),
(4238,	468,	4,	4),
(4239,	469,	2,	1),
(4240,	469,	3,	1),
(4241,	469,	4,	1),
(4242,	469,	2,	2),
(4243,	469,	3,	2),
(4244,	469,	4,	2),
(4245,	470,	2,	1),
(4246,	470,	3,	1),
(4247,	470,	4,	1),
(4248,	470,	2,	2),
(4249,	470,	3,	2),
(4250,	470,	4,	2),
(4251,	471,	2,	1),
(4252,	471,	3,	1),
(4253,	471,	4,	1),
(4254,	471,	2,	2),
(4255,	471,	3,	2),
(4256,	471,	4,	2),
(4257,	472,	2,	1),
(4258,	472,	3,	1),
(4259,	472,	4,	1),
(4260,	472,	2,	2),
(4261,	472,	3,	2),
(4262,	472,	4,	2),
(4263,	473,	5,	1),
(4264,	473,	6,	1),
(4265,	473,	23,	1),
(4266,	473,	2,	1),
(4267,	473,	3,	1),
(4268,	473,	4,	1),
(4269,	473,	5,	2),
(4270,	473,	6,	2),
(4271,	473,	23,	2),
(4272,	473,	2,	2),
(4273,	473,	3,	2),
(4274,	473,	4,	2),
(4275,	474,	5,	1),
(4276,	474,	6,	1),
(4277,	474,	23,	1),
(4278,	474,	2,	1),
(4279,	474,	3,	1),
(4280,	474,	4,	1),
(4281,	474,	5,	2),
(4282,	474,	6,	2),
(4283,	474,	23,	2),
(4284,	474,	2,	2),
(4285,	474,	3,	2),
(4286,	474,	4,	2),
(4287,	475,	6,	2),
(4288,	475,	23,	2),
(4289,	475,	24,	2),
(4290,	475,	1,	2),
(4291,	475,	2,	2),
(4292,	475,	3,	2),
(4293,	475,	4,	2),
(4294,	475,	6,	4),
(4295,	475,	23,	4),
(4296,	475,	24,	4),
(4297,	475,	1,	4),
(4298,	475,	2,	4),
(4299,	475,	3,	4),
(4300,	475,	4,	4),
(4301,	476,	5,	2),
(4302,	476,	6,	2),
(4303,	476,	23,	2),
(4304,	476,	24,	2),
(4305,	476,	1,	2),
(4306,	476,	2,	2),
(4307,	476,	3,	2),
(4308,	476,	4,	2),
(4309,	476,	5,	4),
(4310,	476,	6,	4),
(4311,	476,	23,	4),
(4312,	476,	24,	4),
(4313,	476,	1,	4),
(4314,	476,	2,	4),
(4315,	476,	3,	4),
(4316,	476,	4,	4),
(4317,	477,	2,	1),
(4318,	477,	3,	1),
(4319,	477,	4,	1),
(4320,	477,	2,	2),
(4321,	477,	3,	2),
(4322,	477,	4,	2),
(4323,	477,	2,	4),
(4324,	477,	3,	4),
(4325,	477,	4,	4),
(4326,	478,	5,	2),
(4327,	478,	6,	2),
(4328,	478,	23,	2),
(4329,	478,	24,	2),
(4330,	478,	1,	2),
(4331,	478,	2,	2),
(4332,	478,	3,	2),
(4333,	478,	4,	2),
(4334,	478,	5,	4),
(4335,	478,	6,	4),
(4336,	478,	23,	4),
(4337,	478,	24,	4),
(4338,	478,	1,	4),
(4339,	478,	2,	4),
(4340,	478,	3,	4),
(4341,	478,	4,	4),
(4342,	479,	5,	2),
(4343,	479,	6,	2),
(4344,	479,	23,	2),
(4345,	479,	24,	2),
(4346,	479,	1,	2),
(4347,	479,	2,	2),
(4348,	479,	3,	2),
(4349,	479,	4,	2),
(4350,	479,	5,	4),
(4351,	479,	6,	4),
(4352,	479,	23,	4),
(4353,	479,	24,	4),
(4354,	479,	1,	4),
(4355,	479,	2,	4),
(4356,	479,	3,	4),
(4357,	479,	4,	4),
(4358,	480,	5,	1),
(4359,	480,	6,	1),
(4360,	480,	23,	1),
(4361,	480,	2,	1),
(4362,	480,	3,	1),
(4363,	480,	4,	1),
(4364,	480,	5,	2),
(4365,	480,	6,	2),
(4366,	480,	23,	2),
(4367,	480,	2,	2),
(4368,	480,	3,	2),
(4369,	480,	4,	2),
(4370,	481,	2,	1),
(4371,	481,	3,	1),
(4372,	481,	4,	1),
(4373,	481,	2,	2),
(4374,	481,	3,	2),
(4375,	481,	4,	2),
(4376,	482,	2,	1),
(4377,	482,	3,	1),
(4378,	482,	4,	1),
(4379,	482,	2,	2),
(4380,	482,	3,	2),
(4381,	482,	4,	2),
(4382,	483,	2,	1),
(4383,	483,	3,	1),
(4384,	483,	4,	1),
(4385,	483,	2,	2),
(4386,	483,	3,	2),
(4387,	483,	4,	2),
(4388,	484,	2,	1),
(4389,	484,	3,	1),
(4390,	484,	4,	1),
(4391,	484,	2,	2),
(4392,	484,	3,	2),
(4393,	484,	4,	2),
(4394,	485,	2,	2),
(4395,	485,	3,	2),
(4396,	485,	4,	2),
(4397,	486,	2,	2),
(4398,	486,	3,	2),
(4399,	486,	4,	2),
(4400,	486,	2,	4),
(4401,	486,	3,	4),
(4402,	486,	4,	4),
(4403,	487,	2,	1),
(4404,	487,	3,	1),
(4405,	487,	4,	1),
(4406,	487,	2,	2),
(4407,	487,	3,	2),
(4408,	487,	4,	2),
(4409,	488,	2,	1),
(4410,	488,	3,	1),
(4411,	488,	4,	1),
(4412,	488,	2,	2),
(4413,	488,	3,	2),
(4414,	488,	4,	2),
(4415,	489,	2,	2),
(4416,	489,	3,	2),
(4417,	489,	4,	2),
(4418,	490,	2,	1),
(4419,	490,	3,	1),
(4420,	490,	4,	1),
(4421,	490,	2,	2),
(4422,	490,	3,	2),
(4423,	490,	4,	2),
(4424,	491,	2,	1),
(4425,	491,	3,	1),
(4426,	491,	4,	1),
(4427,	491,	2,	2),
(4428,	491,	3,	2),
(4429,	491,	4,	2),
(4430,	492,	2,	1),
(4431,	492,	3,	1),
(4432,	492,	4,	1),
(4433,	492,	2,	2),
(4434,	492,	3,	2),
(4435,	492,	4,	2),
(4436,	493,	2,	1),
(4437,	493,	3,	1),
(4438,	493,	4,	1),
(4439,	493,	2,	2),
(4440,	493,	3,	2),
(4441,	493,	4,	2),
(4442,	494,	2,	1),
(4443,	494,	3,	1),
(4444,	494,	4,	1),
(4445,	494,	2,	2),
(4446,	494,	3,	2),
(4447,	494,	4,	2),
(4448,	495,	2,	1),
(4449,	495,	3,	1),
(4450,	495,	4,	1),
(4451,	495,	2,	2),
(4452,	495,	3,	2),
(4453,	495,	4,	2),
(4454,	496,	2,	1),
(4455,	496,	3,	1),
(4456,	496,	4,	1),
(4457,	496,	2,	2),
(4458,	496,	3,	2),
(4459,	496,	4,	2),
(4460,	497,	2,	1),
(4461,	497,	3,	1),
(4462,	497,	4,	1),
(4463,	497,	2,	2),
(4464,	497,	3,	2),
(4465,	497,	4,	2),
(4466,	498,	2,	1),
(4467,	498,	3,	1),
(4468,	498,	4,	1),
(4469,	498,	2,	2),
(4470,	498,	3,	2),
(4471,	498,	4,	2),
(4472,	499,	2,	1),
(4473,	499,	3,	1),
(4474,	499,	4,	1),
(4475,	499,	2,	2),
(4476,	499,	3,	2),
(4477,	499,	4,	2),
(4478,	500,	2,	1),
(4479,	500,	3,	1),
(4480,	500,	4,	1),
(4481,	500,	2,	2),
(4482,	500,	3,	2),
(4483,	500,	4,	2),
(4484,	501,	2,	1),
(4485,	501,	3,	1),
(4486,	501,	4,	1),
(4487,	501,	2,	2),
(4488,	501,	3,	2),
(4489,	501,	4,	2),
(4490,	502,	2,	1),
(4491,	502,	3,	1),
(4492,	502,	4,	1),
(4493,	502,	2,	2),
(4494,	502,	3,	2),
(4495,	502,	4,	2),
(4496,	503,	2,	1),
(4497,	503,	3,	1),
(4498,	503,	4,	1),
(4499,	503,	2,	2),
(4500,	503,	3,	2),
(4501,	503,	4,	2),
(4502,	504,	2,	1),
(4503,	504,	3,	1),
(4504,	504,	4,	1),
(4505,	504,	2,	2),
(4506,	504,	3,	2),
(4507,	504,	4,	2),
(4508,	505,	2,	1),
(4509,	505,	3,	1),
(4510,	505,	4,	1),
(4511,	505,	2,	2),
(4512,	505,	3,	2),
(4513,	505,	4,	2),
(4514,	505,	2,	4),
(4515,	505,	3,	4),
(4516,	505,	4,	4),
(4517,	506,	2,	1),
(4518,	506,	3,	1),
(4519,	506,	4,	1),
(4520,	506,	2,	2),
(4521,	506,	3,	2),
(4522,	506,	4,	2),
(4523,	506,	2,	4),
(4524,	506,	3,	4),
(4525,	506,	4,	4),
(4526,	507,	2,	1),
(4527,	507,	3,	1),
(4528,	507,	4,	1),
(4529,	507,	2,	2),
(4530,	507,	3,	2),
(4531,	507,	4,	2),
(4532,	508,	2,	2),
(4533,	508,	3,	2),
(4534,	508,	4,	2),
(4535,	508,	2,	4),
(4536,	508,	3,	4),
(4537,	508,	4,	4),
(4538,	509,	2,	1),
(4539,	509,	3,	1),
(4540,	509,	4,	1),
(4541,	509,	2,	2),
(4542,	509,	3,	2),
(4543,	509,	4,	2),
(4544,	510,	2,	1),
(4545,	510,	3,	1),
(4546,	510,	4,	1),
(4547,	510,	2,	2),
(4548,	510,	3,	2),
(4549,	510,	4,	2),
(4550,	511,	2,	1),
(4551,	511,	3,	1),
(4552,	511,	4,	1),
(4553,	511,	2,	2),
(4554,	511,	3,	2),
(4555,	511,	4,	2),
(4556,	511,	2,	4),
(4557,	511,	3,	4),
(4558,	511,	4,	4),
(4559,	512,	2,	2),
(4560,	512,	3,	2),
(4561,	512,	4,	2),
(4562,	512,	2,	4),
(4563,	512,	3,	4),
(4564,	512,	4,	4),
(4565,	513,	2,	2),
(4566,	513,	3,	2),
(4567,	513,	4,	2),
(4568,	513,	2,	4),
(4569,	513,	3,	4),
(4570,	513,	4,	4),
(4571,	514,	2,	2),
(4572,	514,	3,	2),
(4573,	514,	4,	2),
(4574,	515,	2,	1),
(4575,	515,	3,	1),
(4576,	515,	4,	1),
(4577,	515,	2,	2),
(4578,	515,	3,	2),
(4579,	515,	4,	2),
(4580,	515,	2,	4),
(4581,	515,	3,	4),
(4582,	515,	4,	4),
(4583,	516,	2,	2),
(4584,	516,	3,	2),
(4585,	516,	4,	2),
(4586,	517,	2,	2),
(4587,	517,	3,	2),
(4588,	517,	4,	2),
(4589,	518,	2,	1),
(4590,	518,	3,	1),
(4591,	518,	4,	1),
(4592,	518,	2,	2),
(4593,	518,	3,	2),
(4594,	518,	4,	2),
(4595,	519,	2,	1),
(4596,	519,	3,	1),
(4597,	519,	4,	1),
(4598,	519,	2,	2),
(4599,	519,	3,	2),
(4600,	519,	4,	2),
(4601,	519,	2,	4),
(4602,	519,	3,	4),
(4603,	519,	4,	4),
(4604,	520,	2,	2),
(4605,	520,	3,	2),
(4606,	520,	4,	2),
(4607,	521,	2,	2),
(4608,	521,	3,	2),
(4609,	521,	4,	2),
(4610,	521,	2,	4),
(4611,	521,	3,	4),
(4612,	521,	4,	4),
(4613,	522,	2,	2),
(4614,	522,	3,	2),
(4615,	522,	4,	2),
(4616,	522,	2,	4),
(4617,	522,	3,	4),
(4618,	522,	4,	4),
(4619,	523,	2,	1),
(4620,	523,	3,	1),
(4621,	523,	4,	1),
(4622,	523,	2,	2),
(4623,	523,	3,	2),
(4624,	523,	4,	2),
(4625,	524,	2,	1),
(4626,	524,	3,	1),
(4627,	524,	4,	1),
(4628,	524,	2,	2),
(4629,	524,	3,	2),
(4630,	524,	4,	2),
(4631,	525,	2,	2),
(4632,	525,	3,	2),
(4633,	525,	4,	2),
(4634,	526,	2,	1),
(4635,	526,	3,	1),
(4636,	526,	4,	1),
(4637,	526,	2,	2),
(4638,	526,	3,	2),
(4639,	526,	4,	2),
(4640,	527,	2,	1),
(4641,	527,	3,	1),
(4642,	527,	4,	1),
(4643,	527,	2,	2),
(4644,	527,	3,	2),
(4645,	527,	4,	2),
(4646,	528,	2,	1),
(4647,	528,	3,	1),
(4648,	528,	4,	1),
(4649,	528,	2,	2),
(4650,	528,	3,	2),
(4651,	528,	4,	2),
(4652,	528,	2,	4),
(4653,	528,	3,	4),
(4654,	528,	4,	4),
(4655,	529,	2,	1),
(4656,	529,	3,	1),
(4657,	529,	4,	1),
(4658,	529,	2,	2),
(4659,	529,	3,	2),
(4660,	529,	4,	2),
(4661,	530,	2,	1),
(4662,	530,	3,	1),
(4663,	530,	4,	1),
(4664,	530,	2,	2),
(4665,	530,	3,	2),
(4666,	530,	4,	2),
(4667,	531,	2,	1),
(4668,	531,	3,	1),
(4669,	531,	4,	1),
(4670,	531,	2,	2),
(4671,	531,	3,	2),
(4672,	531,	4,	2),
(4673,	531,	2,	4),
(4674,	531,	3,	4),
(4675,	531,	4,	4),
(4676,	532,	2,	1),
(4677,	532,	3,	1),
(4678,	532,	4,	1),
(4679,	532,	2,	2),
(4680,	532,	3,	2),
(4681,	532,	4,	2),
(4682,	533,	2,	1),
(4683,	533,	3,	1),
(4684,	533,	4,	1),
(4685,	533,	2,	2),
(4686,	533,	3,	2),
(4687,	533,	4,	2),
(4688,	533,	2,	4),
(4689,	533,	3,	4),
(4690,	533,	4,	4),
(4691,	534,	2,	2),
(4692,	534,	3,	2),
(4693,	534,	4,	2),
(4694,	534,	2,	4),
(4695,	534,	3,	4),
(4696,	534,	4,	4),
(4697,	535,	2,	1),
(4698,	535,	3,	1),
(4699,	535,	4,	1),
(4700,	535,	2,	2),
(4701,	535,	3,	2),
(4702,	535,	4,	2),
(4703,	536,	2,	2),
(4704,	536,	3,	2),
(4705,	536,	4,	2),
(4706,	537,	2,	1),
(4707,	537,	3,	1),
(4708,	537,	4,	1),
(4709,	537,	2,	2),
(4710,	537,	3,	2),
(4711,	537,	4,	2),
(4712,	538,	2,	1),
(4713,	538,	3,	1),
(4714,	538,	4,	1),
(4715,	538,	2,	2),
(4716,	538,	3,	2),
(4717,	538,	4,	2),
(4718,	538,	2,	4),
(4719,	538,	3,	4),
(4720,	538,	4,	4),
(4721,	539,	2,	1),
(4722,	539,	3,	1),
(4723,	539,	4,	1),
(4724,	539,	2,	2),
(4725,	539,	3,	2),
(4726,	539,	4,	2),
(4727,	540,	2,	1),
(4728,	540,	3,	1),
(4729,	540,	4,	1),
(4730,	540,	2,	2),
(4731,	540,	3,	2),
(4732,	540,	4,	2),
(4733,	541,	2,	2),
(4734,	541,	3,	2),
(4735,	541,	4,	2),
(4736,	541,	2,	4),
(4737,	541,	3,	4),
(4738,	541,	4,	4),
(4739,	542,	2,	1),
(4740,	542,	3,	1),
(4741,	542,	4,	1),
(4742,	542,	2,	2),
(4743,	542,	3,	2),
(4744,	542,	4,	2),
(4745,	543,	2,	1),
(4746,	543,	3,	1),
(4747,	543,	4,	1),
(4748,	543,	2,	2),
(4749,	543,	3,	2),
(4750,	543,	4,	2),
(4751,	544,	2,	1),
(4752,	544,	3,	1),
(4753,	544,	4,	1),
(4754,	544,	2,	2),
(4755,	544,	3,	2),
(4756,	544,	4,	2),
(4757,	545,	2,	1),
(4758,	545,	3,	1),
(4759,	545,	4,	1),
(4760,	545,	2,	2),
(4761,	545,	3,	2),
(4762,	545,	4,	2),
(4763,	546,	2,	1),
(4764,	546,	3,	1),
(4765,	546,	4,	1),
(4766,	546,	2,	2),
(4767,	546,	3,	2),
(4768,	546,	4,	2),
(4769,	547,	2,	1),
(4770,	547,	3,	1),
(4771,	547,	4,	1),
(4772,	547,	2,	2),
(4773,	547,	3,	2),
(4774,	547,	4,	2),
(4775,	548,	2,	1),
(4776,	548,	3,	1),
(4777,	548,	4,	1),
(4778,	548,	2,	2),
(4779,	548,	3,	2),
(4780,	548,	4,	2),
(4781,	549,	2,	1),
(4782,	549,	3,	1),
(4783,	549,	4,	1),
(4784,	549,	2,	2),
(4785,	549,	3,	2),
(4786,	549,	4,	2),
(4787,	550,	2,	2),
(4788,	550,	3,	2),
(4789,	550,	4,	2),
(4790,	551,	2,	2),
(4791,	551,	3,	2),
(4792,	551,	4,	2),
(4793,	552,	2,	2),
(4794,	552,	3,	2),
(4795,	552,	4,	2),
(4796,	553,	2,	2),
(4797,	553,	3,	2),
(4798,	553,	4,	2),
(4799,	554,	2,	2),
(4800,	554,	3,	2),
(4801,	554,	4,	2),
(4802,	555,	2,	2),
(4803,	555,	3,	2),
(4804,	555,	4,	2),
(4805,	555,	2,	4),
(4806,	555,	3,	4),
(4807,	555,	4,	4),
(4808,	556,	2,	2),
(4809,	556,	41,	2),
(4810,	556,	3,	2),
(4811,	556,	4,	2),
(4812,	557,	2,	1),
(4813,	557,	3,	1),
(4814,	557,	4,	1),
(4815,	557,	2,	2),
(4816,	557,	3,	2),
(4817,	557,	4,	2),
(4818,	558,	2,	1),
(4819,	558,	3,	1),
(4820,	558,	4,	1),
(4821,	558,	2,	2),
(4822,	558,	3,	2),
(4823,	558,	4,	2),
(4824,	559,	2,	2),
(4825,	559,	3,	2),
(4826,	559,	4,	2),
(4827,	559,	2,	4),
(4828,	559,	3,	4),
(4829,	559,	4,	4),
(4830,	560,	2,	1),
(4831,	560,	3,	1),
(4832,	560,	4,	1),
(4833,	560,	2,	2),
(4834,	560,	3,	2),
(4835,	560,	4,	2),
(4836,	561,	2,	2),
(4837,	561,	3,	2),
(4838,	561,	4,	2),
(4839,	562,	2,	2),
(4840,	562,	3,	2),
(4841,	562,	4,	2),
(4842,	563,	2,	2),
(4843,	563,	3,	2),
(4844,	563,	4,	2),
(4845,	564,	2,	2),
(4846,	564,	3,	2),
(4847,	564,	4,	2),
(4848,	565,	2,	2),
(4849,	565,	3,	2),
(4850,	565,	4,	2),
(4851,	566,	2,	2),
(4852,	566,	3,	2),
(4853,	566,	4,	2),
(4854,	567,	2,	1),
(4855,	567,	3,	1),
(4856,	567,	4,	1),
(4857,	567,	2,	2),
(4858,	567,	3,	2),
(4859,	567,	4,	2),
(4860,	568,	2,	1),
(4861,	568,	3,	1),
(4862,	568,	4,	1),
(4863,	568,	2,	2),
(4864,	568,	3,	2),
(4865,	568,	4,	2),
(4866,	569,	2,	2),
(4867,	569,	3,	2),
(4868,	569,	4,	2),
(4869,	570,	2,	2),
(4870,	570,	3,	2),
(4871,	570,	4,	2),
(4872,	571,	2,	1),
(4873,	571,	3,	1),
(4874,	571,	4,	1),
(4875,	571,	2,	2),
(4876,	571,	3,	2),
(4877,	571,	4,	2),
(4878,	572,	2,	1),
(4879,	572,	3,	1),
(4880,	572,	4,	1),
(4881,	572,	2,	2),
(4882,	572,	3,	2),
(4883,	572,	4,	2),
(4884,	573,	2,	1),
(4885,	573,	3,	1),
(4886,	573,	4,	1),
(4887,	573,	2,	2),
(4888,	573,	3,	2),
(4889,	573,	4,	2),
(4890,	574,	2,	1),
(4891,	574,	3,	1),
(4892,	574,	4,	1),
(4893,	574,	2,	2),
(4894,	574,	3,	2),
(4895,	574,	4,	2),
(4896,	575,	2,	1),
(4897,	575,	3,	1),
(4898,	575,	4,	1),
(4899,	575,	2,	2),
(4900,	575,	3,	2),
(4901,	575,	4,	2),
(4902,	576,	2,	1),
(4903,	576,	3,	1),
(4904,	576,	4,	1),
(4905,	576,	2,	2),
(4906,	576,	3,	2),
(4907,	576,	4,	2),
(4908,	577,	2,	2),
(4909,	577,	3,	2),
(4910,	577,	4,	2),
(4911,	578,	2,	1),
(4912,	578,	3,	1),
(4913,	578,	4,	1),
(4914,	578,	2,	2),
(4915,	578,	3,	2),
(4916,	578,	4,	2),
(4917,	579,	2,	1),
(4918,	579,	3,	1),
(4919,	579,	4,	1),
(4920,	579,	2,	2),
(4921,	579,	3,	2),
(4922,	579,	4,	2),
(4923,	580,	2,	1),
(4924,	580,	3,	1),
(4925,	580,	4,	1),
(4926,	580,	2,	2),
(4927,	580,	3,	2),
(4928,	580,	4,	2),
(4929,	581,	2,	1),
(4930,	581,	3,	1),
(4931,	581,	4,	1),
(4932,	581,	2,	2),
(4933,	581,	3,	2),
(4934,	581,	4,	2),
(4935,	582,	2,	1),
(4936,	582,	3,	1),
(4937,	582,	4,	1),
(4938,	582,	2,	2),
(4939,	582,	3,	2),
(4940,	582,	4,	2),
(4941,	583,	2,	1),
(4942,	583,	3,	1),
(4943,	583,	4,	1),
(4944,	583,	2,	2),
(4945,	583,	3,	2),
(4946,	583,	4,	2),
(4947,	584,	2,	1),
(4948,	584,	3,	1),
(4949,	584,	4,	1),
(4950,	584,	2,	2),
(4951,	584,	3,	2),
(4952,	584,	4,	2),
(4953,	585,	2,	1),
(4954,	585,	3,	1),
(4955,	585,	4,	1),
(4956,	585,	2,	2),
(4957,	585,	3,	2),
(4958,	585,	4,	2),
(4959,	586,	2,	1),
(4960,	586,	3,	1),
(4961,	586,	4,	1),
(4962,	586,	2,	2),
(4963,	586,	3,	2),
(4964,	586,	4,	2),
(4965,	587,	2,	1),
(4966,	587,	3,	1),
(4967,	587,	4,	1),
(4968,	587,	2,	2),
(4969,	587,	3,	2),
(4970,	587,	4,	2),
(4971,	588,	2,	1),
(4972,	588,	3,	1),
(4973,	588,	4,	1),
(4974,	588,	2,	2),
(4975,	588,	3,	2),
(4976,	588,	4,	2),
(4977,	589,	2,	1),
(4978,	589,	3,	1),
(4979,	589,	4,	1),
(4980,	589,	2,	2),
(4981,	589,	3,	2),
(4982,	589,	4,	2),
(4983,	590,	2,	1),
(4984,	590,	3,	1),
(4985,	590,	4,	1),
(4986,	590,	2,	2),
(4987,	590,	3,	2),
(4988,	590,	4,	2),
(4989,	591,	2,	1),
(4990,	591,	3,	1),
(4991,	591,	4,	1),
(4992,	591,	2,	2),
(4993,	591,	3,	2),
(4994,	591,	4,	2),
(4995,	592,	2,	1),
(4996,	592,	3,	1),
(4997,	592,	4,	1),
(4998,	592,	2,	2),
(4999,	592,	3,	2),
(5000,	592,	4,	2),
(5001,	593,	2,	1),
(5002,	593,	3,	1),
(5003,	593,	4,	1),
(5004,	593,	2,	2),
(5005,	593,	3,	2),
(5006,	593,	4,	2),
(5007,	594,	2,	2),
(5008,	594,	3,	2),
(5009,	594,	4,	2),
(5010,	594,	2,	4),
(5011,	594,	3,	4),
(5012,	594,	4,	4),
(5013,	595,	2,	1),
(5014,	595,	3,	1),
(5015,	595,	22,	1),
(5016,	595,	4,	1),
(5017,	595,	2,	2),
(5018,	595,	3,	2),
(5019,	595,	22,	2),
(5020,	595,	4,	2),
(5021,	595,	2,	4),
(5022,	595,	3,	4),
(5023,	595,	22,	4),
(5024,	595,	4,	4),
(5025,	596,	2,	2),
(5026,	596,	3,	2),
(5027,	596,	22,	2),
(5028,	596,	4,	2),
(5029,	596,	2,	4),
(5030,	596,	3,	4),
(5031,	596,	22,	4),
(5032,	596,	4,	4),
(5033,	597,	2,	2),
(5034,	597,	3,	2),
(5035,	597,	4,	2),
(5036,	597,	2,	4),
(5037,	597,	3,	4),
(5038,	597,	4,	4),
(5039,	598,	2,	2),
(5040,	598,	3,	2),
(5041,	598,	4,	2),
(5042,	598,	2,	4),
(5043,	598,	3,	4),
(5044,	598,	4,	4),
(5045,	599,	2,	1),
(5046,	599,	3,	1),
(5047,	599,	22,	1),
(5048,	599,	4,	1),
(5049,	599,	2,	2),
(5050,	599,	3,	2),
(5051,	599,	22,	2),
(5052,	599,	4,	2),
(5053,	599,	2,	4),
(5054,	599,	3,	4),
(5055,	599,	22,	4),
(5056,	599,	4,	4),
(5057,	600,	2,	2),
(5058,	600,	3,	2),
(5059,	600,	22,	2),
(5060,	600,	4,	2),
(5061,	601,	2,	2),
(5062,	601,	3,	2),
(5063,	601,	4,	2),
(5064,	601,	2,	4),
(5065,	601,	3,	4),
(5066,	601,	4,	4),
(5067,	602,	2,	1),
(5068,	602,	3,	1),
(5069,	602,	4,	1),
(5070,	602,	2,	2),
(5071,	602,	3,	2),
(5072,	602,	4,	2),
(5073,	602,	2,	4),
(5074,	602,	3,	4),
(5075,	602,	4,	4),
(5076,	603,	2,	1),
(5077,	603,	3,	1),
(5078,	603,	4,	1),
(5079,	603,	2,	2),
(5080,	603,	3,	2),
(5081,	603,	4,	2),
(5082,	603,	2,	4),
(5083,	603,	3,	4),
(5084,	603,	4,	4),
(5085,	604,	2,	2),
(5086,	604,	3,	2),
(5087,	604,	4,	2),
(5088,	604,	2,	4),
(5089,	604,	3,	4),
(5090,	604,	4,	4),
(5091,	605,	2,	1),
(5092,	605,	3,	1),
(5093,	605,	4,	1),
(5094,	605,	2,	2),
(5095,	605,	3,	2),
(5096,	605,	4,	2),
(5097,	606,	2,	2),
(5098,	606,	3,	2),
(5099,	606,	4,	2),
(5100,	606,	2,	4),
(5101,	606,	3,	4),
(5102,	606,	4,	4),
(5103,	607,	2,	1),
(5104,	607,	3,	1),
(5105,	607,	4,	1),
(5106,	607,	2,	2),
(5107,	607,	3,	2),
(5108,	607,	4,	2),
(5109,	608,	6,	1),
(5110,	608,	2,	1),
(5111,	608,	3,	1),
(5112,	608,	4,	1),
(5113,	608,	6,	2),
(5114,	608,	2,	2),
(5115,	608,	3,	2),
(5116,	608,	4,	2),
(5117,	609,	2,	1),
(5118,	609,	3,	1),
(5119,	609,	4,	1),
(5120,	609,	2,	2),
(5121,	609,	3,	2),
(5122,	609,	4,	2),
(5123,	610,	6,	1),
(5124,	610,	2,	1),
(5125,	610,	3,	1),
(5126,	610,	4,	1),
(5127,	610,	6,	2),
(5128,	610,	2,	2),
(5129,	610,	3,	2),
(5130,	610,	4,	2),
(5131,	611,	6,	1),
(5132,	611,	2,	1),
(5133,	611,	3,	1),
(5134,	611,	4,	1),
(5135,	611,	6,	2),
(5136,	611,	2,	2),
(5137,	611,	3,	2),
(5138,	611,	4,	2),
(5139,	612,	2,	1),
(5140,	612,	3,	1),
(5141,	612,	4,	1),
(5142,	612,	2,	2),
(5143,	612,	3,	2),
(5144,	612,	4,	2),
(5145,	613,	6,	1),
(5146,	613,	2,	1),
(5147,	613,	3,	1),
(5148,	613,	4,	1),
(5149,	613,	6,	2),
(5150,	613,	2,	2),
(5151,	613,	3,	2),
(5152,	613,	4,	2),
(5153,	614,	6,	1),
(5154,	614,	2,	1),
(5155,	614,	3,	1),
(5156,	614,	4,	1),
(5157,	614,	6,	2),
(5158,	614,	2,	2),
(5159,	614,	3,	2),
(5160,	614,	4,	2),
(5161,	615,	2,	1),
(5162,	615,	3,	1),
(5163,	615,	4,	1),
(5164,	615,	2,	2),
(5165,	615,	3,	2),
(5166,	615,	4,	2),
(5167,	616,	2,	2),
(5168,	616,	3,	2),
(5169,	616,	4,	2),
(5170,	617,	2,	2),
(5171,	617,	3,	2),
(5172,	617,	4,	2),
(5173,	618,	2,	2),
(5174,	618,	3,	2),
(5175,	618,	4,	2),
(5176,	618,	2,	4),
(5177,	618,	3,	4),
(5178,	618,	4,	4),
(5179,	619,	42,	2),
(5180,	619,	2,	2),
(5181,	619,	3,	2),
(5182,	619,	4,	2),
(5183,	619,	42,	4),
(5184,	619,	2,	4),
(5185,	619,	3,	4),
(5186,	619,	4,	4),
(5187,	620,	2,	2),
(5188,	620,	3,	2),
(5189,	620,	4,	2),
(5190,	620,	2,	4),
(5191,	620,	3,	4),
(5192,	620,	4,	4),
(5193,	621,	1,	2),
(5194,	621,	2,	2),
(5195,	621,	3,	2),
(5196,	621,	4,	2),
(5197,	622,	2,	2),
(5198,	622,	3,	2),
(5199,	622,	4,	2),
(5200,	622,	2,	4),
(5201,	622,	3,	4),
(5202,	622,	4,	4),
(5203,	623,	2,	2),
(5204,	623,	3,	2),
(5205,	623,	4,	2),
(5206,	623,	2,	4),
(5207,	623,	3,	4),
(5208,	623,	4,	4),
(5209,	624,	43,	2),
(5210,	624,	44,	2),
(5211,	624,	45,	2),
(5212,	624,	46,	2),
(5213,	624,	2,	2),
(5214,	624,	3,	2),
(5215,	624,	4,	2),
(5216,	625,	1,	2),
(5217,	625,	2,	2),
(5218,	625,	3,	2),
(5219,	625,	4,	2),
(5220,	626,	2,	2),
(5221,	626,	3,	2),
(5222,	626,	4,	2),
(5223,	627,	2,	2),
(5224,	627,	3,	2),
(5225,	627,	4,	2),
(5226,	627,	2,	4),
(5227,	627,	3,	4),
(5228,	627,	4,	4),
(5229,	628,	2,	2),
(5230,	628,	3,	2),
(5231,	628,	4,	2),
(5232,	628,	2,	4),
(5233,	628,	3,	4),
(5234,	628,	4,	4),
(5235,	629,	2,	2),
(5236,	629,	3,	2),
(5237,	629,	4,	2),
(5238,	629,	2,	4),
(5239,	629,	3,	4),
(5240,	629,	4,	4),
(5241,	630,	42,	2),
(5242,	630,	47,	2),
(5243,	630,	2,	2),
(5244,	630,	3,	2),
(5245,	630,	4,	2),
(5246,	630,	42,	4),
(5247,	630,	47,	4),
(5248,	630,	2,	4),
(5249,	630,	3,	4),
(5250,	630,	4,	4),
(5251,	631,	33,	2),
(5252,	631,	48,	2),
(5253,	631,	42,	2),
(5254,	631,	2,	2),
(5255,	631,	3,	2),
(5256,	631,	4,	2),
(5257,	632,	5,	2),
(5258,	632,	39,	2),
(5259,	632,	49,	2),
(5260,	632,	2,	2),
(5261,	632,	3,	2),
(5262,	632,	4,	2),
(5263,	633,	1,	2),
(5264,	633,	2,	2),
(5265,	633,	3,	2),
(5266,	633,	4,	2),
(5267,	634,	50,	2),
(5268,	634,	51,	2),
(5269,	634,	52,	2),
(5270,	634,	53,	2),
(5271,	634,	54,	2),
(5272,	635,	2,	2),
(5273,	635,	3,	2),
(5274,	635,	4,	2),
(5275,	636,	2,	2),
(5276,	636,	3,	2),
(5277,	636,	4,	2),
(5278,	637,	55,	2),
(5279,	637,	2,	2),
(5280,	637,	3,	2),
(5281,	637,	4,	2),
(5282,	638,	33,	2),
(5283,	638,	2,	2),
(5284,	638,	3,	2),
(5285,	638,	4,	2),
(5286,	639,	55,	2),
(5287,	639,	42,	2),
(5288,	639,	2,	2),
(5289,	639,	3,	2),
(5290,	639,	4,	2),
(5291,	640,	1,	2),
(5292,	640,	2,	2),
(5293,	640,	3,	2),
(5294,	640,	4,	2),
(5295,	641,	2,	2),
(5296,	641,	3,	2),
(5297,	641,	4,	2),
(5298,	642,	45,	2),
(5299,	642,	47,	2),
(5300,	642,	2,	2),
(5301,	642,	3,	2),
(5302,	642,	4,	2),
(5303,	643,	49,	2),
(5304,	643,	2,	2),
(5305,	643,	3,	2),
(5306,	643,	4,	2),
(5307,	644,	48,	2),
(5308,	644,	2,	2),
(5309,	644,	3,	2),
(5310,	644,	4,	2),
(5311,	645,	1,	2),
(5312,	645,	2,	2),
(5313,	645,	3,	2),
(5314,	645,	4,	2),
(5315,	646,	1,	2),
(5316,	646,	2,	2),
(5317,	646,	3,	2),
(5318,	646,	4,	2),
(5319,	647,	2,	1),
(5320,	647,	3,	1),
(5321,	647,	4,	1),
(5322,	647,	2,	2),
(5323,	647,	3,	2),
(5324,	647,	4,	2),
(5325,	648,	2,	2),
(5326,	648,	3,	2),
(5327,	648,	4,	2),
(5328,	649,	2,	1),
(5329,	649,	3,	1),
(5330,	649,	4,	1),
(5331,	649,	2,	2),
(5332,	649,	3,	2),
(5333,	649,	4,	2),
(5334,	650,	2,	2),
(5335,	650,	3,	2),
(5336,	650,	4,	2),
(5337,	651,	6,	1),
(5338,	651,	2,	1),
(5339,	651,	3,	1),
(5340,	651,	4,	1),
(5341,	651,	6,	2),
(5342,	651,	2,	2),
(5343,	651,	3,	2),
(5344,	651,	4,	2),
(5345,	652,	6,	1),
(5346,	652,	2,	1),
(5347,	652,	3,	1),
(5348,	652,	4,	1),
(5349,	652,	6,	2),
(5350,	652,	2,	2),
(5351,	652,	3,	2),
(5352,	652,	4,	2),
(5353,	653,	6,	1),
(5354,	653,	2,	1),
(5355,	653,	3,	1),
(5356,	653,	4,	1),
(5357,	653,	6,	2),
(5358,	653,	2,	2),
(5359,	653,	3,	2),
(5360,	653,	4,	2),
(5361,	654,	2,	2),
(5362,	654,	3,	2),
(5363,	654,	4,	2),
(5364,	655,	2,	1),
(5365,	655,	3,	1),
(5366,	655,	4,	1),
(5367,	655,	2,	2),
(5368,	655,	3,	2),
(5369,	655,	4,	2),
(5370,	656,	2,	1),
(5371,	656,	3,	1),
(5372,	656,	4,	1),
(5373,	656,	2,	2),
(5374,	656,	3,	2),
(5375,	656,	4,	2),
(5376,	657,	2,	1),
(5377,	657,	3,	1),
(5378,	657,	4,	1),
(5379,	657,	2,	2),
(5380,	657,	3,	2),
(5381,	657,	4,	2),
(5382,	658,	2,	1),
(5383,	658,	3,	1),
(5384,	658,	4,	1),
(5385,	658,	2,	2),
(5386,	658,	3,	2),
(5387,	658,	4,	2),
(5388,	659,	2,	1),
(5389,	659,	56,	1),
(5390,	659,	3,	1),
(5391,	659,	2,	2),
(5392,	659,	56,	2),
(5393,	659,	3,	2),
(5394,	660,	2,	1),
(5395,	660,	56,	1),
(5396,	660,	3,	1),
(5397,	660,	2,	2),
(5398,	660,	56,	2),
(5399,	660,	3,	2),
(5400,	661,	56,	2),
(5401,	661,	3,	2),
(5402,	662,	56,	2),
(5403,	662,	3,	2),
(5404,	663,	56,	2),
(5405,	663,	3,	2),
(5406,	664,	56,	2),
(5407,	664,	3,	2),
(5408,	665,	56,	2),
(5409,	665,	3,	2),
(5410,	666,	57,	2),
(5411,	666,	56,	2),
(5412,	666,	3,	2),
(5413,	666,	4,	2),
(5414,	667,	58,	2),
(5415,	667,	33,	2),
(5416,	667,	59,	2),
(5417,	667,	57,	2),
(5418,	667,	60,	2),
(5419,	667,	61,	2),
(5420,	667,	62,	2),
(5421,	667,	63,	2),
(5422,	667,	64,	2),
(5423,	667,	3,	2),
(5424,	667,	4,	2),
(5425,	667,	38,	2),
(5426,	667,	58,	4),
(5427,	667,	33,	4),
(5428,	667,	59,	4),
(5429,	667,	57,	4),
(5430,	667,	60,	4),
(5431,	667,	61,	4),
(5432,	667,	62,	4),
(5433,	667,	63,	4),
(5434,	667,	64,	4),
(5435,	667,	3,	4),
(5436,	667,	4,	4),
(5437,	667,	38,	4),
(5438,	667,	58,	5),
(5439,	667,	33,	5),
(5440,	667,	59,	5),
(5441,	667,	57,	5),
(5442,	667,	60,	5),
(5443,	667,	61,	5),
(5444,	667,	62,	5),
(5445,	667,	63,	5),
(5446,	667,	64,	5),
(5447,	667,	3,	5),
(5448,	667,	4,	5),
(5449,	667,	38,	5),
(5450,	668,	57,	2),
(5451,	668,	56,	2),
(5452,	668,	3,	2),
(5453,	668,	4,	2),
(5454,	669,	62,	2),
(5455,	669,	65,	2),
(5456,	669,	66,	2),
(5457,	669,	3,	2),
(5458,	669,	67,	2),
(5459,	669,	68,	2),
(5460,	669,	4,	2),
(5461,	669,	69,	2),
(5462,	669,	70,	2),
(5463,	670,	3,	2),
(5464,	671,	56,	2),
(5465,	671,	3,	2),
(5466,	671,	4,	2),
(5467,	672,	56,	2),
(5468,	672,	3,	2),
(5469,	672,	4,	2),
(5470,	673,	2,	1),
(5471,	673,	3,	1),
(5472,	673,	4,	1),
(5473,	673,	2,	2),
(5474,	673,	3,	2),
(5475,	673,	4,	2),
(5476,	674,	2,	1),
(5477,	674,	3,	1),
(5478,	674,	4,	1),
(5479,	674,	2,	2),
(5480,	674,	3,	2),
(5481,	674,	4,	2),
(5482,	675,	56,	2),
(5483,	675,	65,	2),
(5484,	675,	66,	2),
(5485,	675,	3,	2),
(5486,	675,	69,	2),
(5487,	675,	70,	2),
(5488,	676,	71,	2),
(5489,	676,	58,	2),
(5490,	676,	60,	2),
(5491,	676,	56,	2),
(5492,	676,	3,	2),
(5493,	676,	4,	2),
(5494,	677,	56,	2),
(5495,	677,	3,	2),
(5496,	678,	56,	2),
(5497,	678,	3,	2),
(5498,	679,	56,	2),
(5499,	679,	3,	2),
(5500,	679,	4,	2),
(5501,	680,	3,	2),
(5502,	681,	56,	2),
(5503,	681,	3,	2),
(5504,	682,	56,	2),
(5505,	682,	3,	2),
(5506,	683,	56,	2),
(5507,	683,	3,	2),
(5508,	684,	56,	2),
(5509,	684,	3,	2),
(5510,	685,	56,	2),
(5511,	685,	3,	2),
(5512,	686,	56,	2),
(5513,	686,	3,	2),
(5514,	687,	33,	2),
(5515,	687,	59,	2),
(5516,	687,	57,	2),
(5517,	687,	61,	2),
(5518,	687,	62,	2),
(5519,	687,	56,	2),
(5520,	687,	64,	2),
(5521,	687,	3,	2),
(5522,	687,	33,	4),
(5523,	687,	59,	4),
(5524,	687,	57,	4),
(5525,	687,	61,	4),
(5526,	687,	62,	4),
(5527,	687,	56,	4),
(5528,	687,	64,	4),
(5529,	687,	3,	4),
(5530,	688,	3,	2),
(5531,	688,	69,	2),
(5532,	689,	56,	2),
(5533,	689,	65,	2),
(5534,	689,	66,	2),
(5535,	689,	3,	2),
(5536,	689,	4,	2),
(5537,	689,	69,	2),
(5538,	689,	70,	2),
(5539,	690,	2,	1),
(5540,	690,	3,	1),
(5541,	690,	4,	1),
(5542,	690,	2,	2),
(5543,	690,	3,	2),
(5544,	690,	4,	2),
(5545,	691,	58,	2),
(5546,	691,	72,	2),
(5547,	691,	60,	2),
(5548,	691,	56,	2),
(5549,	691,	3,	2),
(5550,	691,	4,	2),
(5551,	692,	56,	2),
(5552,	692,	3,	2),
(5553,	693,	58,	2),
(5554,	693,	33,	2),
(5555,	693,	59,	2),
(5556,	693,	57,	2),
(5557,	693,	60,	2),
(5558,	693,	61,	2),
(5559,	693,	62,	2),
(5560,	693,	63,	2),
(5561,	693,	64,	2),
(5562,	693,	3,	2),
(5563,	693,	4,	2),
(5564,	693,	38,	2),
(5565,	693,	58,	4),
(5566,	693,	33,	4),
(5567,	693,	59,	4),
(5568,	693,	57,	4),
(5569,	693,	60,	4),
(5570,	693,	61,	4),
(5571,	693,	62,	4),
(5572,	693,	63,	4),
(5573,	693,	64,	4),
(5574,	693,	3,	4),
(5575,	693,	4,	4),
(5576,	693,	38,	4),
(5577,	693,	58,	5),
(5578,	693,	33,	5),
(5579,	693,	59,	5),
(5580,	693,	57,	5),
(5581,	693,	60,	5),
(5582,	693,	61,	5),
(5583,	693,	62,	5),
(5584,	693,	63,	5),
(5585,	693,	64,	5),
(5586,	693,	3,	5),
(5587,	693,	4,	5),
(5588,	693,	38,	5),
(5589,	694,	56,	2),
(5590,	694,	3,	2),
(5591,	694,	4,	2),
(5592,	695,	56,	2),
(5593,	695,	3,	2),
(5594,	696,	56,	2),
(5595,	696,	3,	2),
(5596,	697,	56,	2),
(5597,	697,	3,	2),
(5598,	698,	56,	2),
(5599,	698,	3,	2),
(5600,	699,	2,	2),
(5601,	699,	3,	2),
(5602,	699,	4,	2),
(5603,	700,	2,	2),
(5604,	700,	3,	2),
(5605,	700,	4,	2),
(5606,	701,	2,	2),
(5607,	701,	3,	2),
(5608,	701,	4,	2),
(5609,	702,	2,	1),
(5610,	702,	3,	1),
(5611,	702,	4,	1),
(5612,	702,	2,	2),
(5613,	702,	3,	2),
(5614,	702,	4,	2),
(5615,	703,	2,	1),
(5616,	703,	3,	1),
(5617,	703,	4,	1),
(5618,	703,	2,	2),
(5619,	703,	3,	2),
(5620,	703,	4,	2),
(5621,	704,	2,	2),
(5622,	704,	3,	2),
(5623,	704,	4,	2),
(5624,	705,	2,	2),
(5625,	705,	3,	2),
(5626,	705,	4,	2),
(5627,	706,	2,	1),
(5628,	706,	3,	1),
(5629,	706,	4,	1),
(5630,	706,	2,	2),
(5631,	706,	3,	2),
(5632,	706,	4,	2),
(5633,	707,	2,	2),
(5634,	707,	3,	2),
(5635,	707,	4,	2),
(5636,	708,	2,	1),
(5637,	708,	3,	1),
(5638,	708,	4,	1),
(5639,	708,	2,	2),
(5640,	708,	3,	2),
(5641,	708,	4,	2),
(5642,	709,	2,	1),
(5643,	709,	3,	1),
(5644,	709,	4,	1),
(5645,	709,	2,	2),
(5646,	709,	3,	2),
(5647,	709,	4,	2),
(5648,	710,	2,	2),
(5649,	710,	3,	2),
(5650,	710,	4,	2),
(5651,	711,	2,	2),
(5652,	711,	3,	2),
(5653,	711,	4,	2),
(5654,	712,	2,	2),
(5655,	712,	3,	2),
(5656,	712,	4,	2),
(5657,	713,	2,	2),
(5658,	713,	3,	2),
(5659,	713,	4,	2),
(5660,	714,	2,	2),
(5661,	714,	3,	2),
(5662,	714,	4,	2),
(5663,	715,	2,	1),
(5664,	715,	3,	1),
(5665,	715,	4,	1),
(5666,	715,	2,	2),
(5667,	715,	3,	2),
(5668,	715,	4,	2),
(5669,	716,	2,	2),
(5670,	716,	3,	2),
(5671,	716,	22,	2),
(5672,	716,	4,	2),
(5673,	717,	2,	2),
(5674,	717,	3,	2),
(5675,	717,	4,	2),
(5676,	718,	2,	2),
(5677,	718,	3,	2),
(5678,	718,	4,	2),
(5679,	719,	2,	2),
(5680,	719,	3,	2),
(5681,	719,	4,	2),
(5682,	720,	2,	2),
(5683,	720,	3,	2),
(5684,	720,	4,	2),
(5685,	721,	2,	2),
(5686,	721,	3,	2),
(5687,	721,	4,	2),
(5688,	722,	2,	2),
(5689,	722,	3,	2),
(5690,	722,	22,	2),
(5691,	722,	4,	2),
(5692,	723,	2,	2),
(5693,	723,	3,	2),
(5694,	723,	4,	2),
(5695,	724,	24,	1),
(5696,	724,	2,	1),
(5697,	724,	3,	1),
(5698,	724,	4,	1),
(5699,	724,	24,	2),
(5700,	724,	2,	2),
(5701,	724,	3,	2),
(5702,	724,	4,	2),
(5703,	725,	2,	2),
(5704,	725,	3,	2),
(5705,	725,	4,	2),
(5706,	726,	2,	1),
(5707,	726,	3,	1),
(5708,	726,	4,	1),
(5709,	726,	2,	2),
(5710,	726,	3,	2),
(5711,	726,	4,	2),
(5712,	727,	2,	1),
(5713,	727,	3,	1),
(5714,	727,	4,	1),
(5715,	727,	2,	2),
(5716,	727,	3,	2),
(5717,	727,	4,	2),
(5718,	728,	2,	1),
(5719,	728,	3,	1),
(5720,	728,	4,	1),
(5721,	728,	2,	2),
(5722,	728,	3,	2),
(5723,	728,	4,	2),
(5724,	729,	2,	1),
(5725,	729,	3,	1),
(5726,	729,	4,	1),
(5727,	729,	2,	2),
(5728,	729,	3,	2),
(5729,	729,	4,	2),
(5730,	730,	2,	1),
(5731,	730,	3,	1),
(5732,	730,	4,	1),
(5733,	730,	2,	2),
(5734,	730,	3,	2),
(5735,	730,	4,	2),
(5736,	731,	2,	1),
(5737,	731,	3,	1),
(5738,	731,	4,	1),
(5739,	731,	2,	2),
(5740,	731,	3,	2),
(5741,	731,	4,	2),
(5742,	732,	2,	1),
(5743,	732,	3,	1),
(5744,	732,	4,	1),
(5745,	732,	2,	2),
(5746,	732,	3,	2),
(5747,	732,	4,	2),
(5748,	733,	2,	1),
(5749,	733,	3,	1),
(5750,	733,	4,	1),
(5751,	733,	2,	2),
(5752,	733,	3,	2),
(5753,	733,	4,	2),
(5754,	734,	2,	1),
(5755,	734,	3,	1),
(5756,	734,	4,	1),
(5757,	734,	2,	2),
(5758,	734,	3,	2),
(5759,	734,	4,	2),
(5760,	735,	24,	1),
(5761,	735,	2,	1),
(5762,	735,	3,	1),
(5763,	735,	4,	1),
(5764,	735,	24,	2),
(5765,	735,	2,	2),
(5766,	735,	3,	2),
(5767,	735,	4,	2),
(5768,	736,	2,	1),
(5769,	736,	3,	1),
(5770,	736,	4,	1),
(5771,	736,	2,	2),
(5772,	736,	3,	2),
(5773,	736,	4,	2),
(5774,	737,	2,	1),
(5775,	737,	3,	1),
(5776,	737,	4,	1),
(5777,	737,	2,	2),
(5778,	737,	3,	2),
(5779,	737,	4,	2),
(5780,	738,	2,	1),
(5781,	738,	3,	1),
(5782,	738,	4,	1),
(5783,	738,	2,	2),
(5784,	738,	3,	2),
(5785,	738,	4,	2),
(5786,	739,	2,	2),
(5787,	739,	3,	2),
(5788,	739,	4,	2),
(5789,	740,	2,	1),
(5790,	740,	3,	1),
(5791,	740,	4,	1),
(5792,	740,	2,	2),
(5793,	740,	3,	2),
(5794,	740,	4,	2),
(5795,	741,	2,	1),
(5796,	741,	3,	1),
(5797,	741,	4,	1),
(5798,	741,	2,	2),
(5799,	741,	3,	2),
(5800,	741,	4,	2),
(5801,	742,	73,	2),
(5802,	742,	74,	2),
(5803,	742,	2,	2),
(5804,	742,	3,	2),
(5805,	742,	4,	2),
(5806,	743,	2,	1),
(5807,	743,	3,	1),
(5808,	743,	4,	1),
(5809,	743,	2,	2),
(5810,	743,	3,	2),
(5811,	743,	4,	2),
(5812,	744,	2,	1),
(5813,	744,	3,	1),
(5814,	744,	4,	1),
(5815,	744,	2,	2),
(5816,	744,	3,	2),
(5817,	744,	4,	2),
(5818,	745,	2,	1),
(5819,	745,	3,	1),
(5820,	745,	4,	1),
(5821,	745,	2,	2),
(5822,	745,	3,	2),
(5823,	745,	4,	2),
(5824,	746,	2,	1),
(5825,	746,	3,	1),
(5826,	746,	4,	1),
(5827,	746,	2,	2),
(5828,	746,	3,	2),
(5829,	746,	4,	2),
(5830,	747,	2,	1),
(5831,	747,	3,	1),
(5832,	747,	4,	1),
(5833,	747,	2,	2),
(5834,	747,	3,	2),
(5835,	747,	4,	2),
(5836,	748,	2,	1),
(5837,	748,	3,	1),
(5838,	748,	4,	1),
(5839,	748,	2,	2),
(5840,	748,	3,	2),
(5841,	748,	4,	2),
(5842,	749,	2,	1),
(5843,	749,	3,	1),
(5844,	749,	4,	1),
(5845,	749,	2,	2),
(5846,	749,	3,	2),
(5847,	749,	4,	2),
(5848,	750,	2,	1),
(5849,	750,	3,	1),
(5850,	750,	4,	1),
(5851,	750,	2,	2),
(5852,	750,	3,	2),
(5853,	750,	4,	2),
(5854,	751,	2,	2),
(5855,	751,	3,	2),
(5856,	751,	4,	2),
(5857,	752,	75,	2),
(5858,	752,	23,	2),
(5859,	752,	1,	2),
(5860,	752,	76,	2),
(5861,	752,	46,	2),
(5862,	752,	2,	2),
(5863,	752,	3,	2),
(5864,	752,	4,	2),
(5865,	753,	5,	2),
(5866,	753,	39,	2),
(5867,	753,	2,	2),
(5868,	753,	3,	2),
(5869,	753,	4,	2),
(5870,	755,	2,	1),
(5871,	755,	3,	1),
(5872,	755,	4,	1),
(5873,	755,	2,	2),
(5874,	755,	3,	2),
(5875,	755,	4,	2),
(5876,	756,	5,	2),
(5877,	756,	39,	2),
(5878,	756,	2,	2),
(5879,	756,	3,	2),
(5880,	756,	4,	2),
(5881,	757,	75,	2),
(5882,	757,	23,	2),
(5883,	757,	1,	2),
(5884,	757,	76,	2),
(5885,	757,	46,	2),
(5886,	757,	2,	2),
(5887,	757,	3,	2),
(5888,	757,	4,	2),
(5889,	758,	5,	2),
(5890,	758,	39,	2),
(5891,	758,	2,	2),
(5892,	758,	3,	2),
(5893,	758,	4,	2),
(5894,	759,	2,	2),
(5895,	759,	3,	2),
(5896,	759,	4,	2),
(5897,	760,	2,	1),
(5898,	760,	3,	1),
(5899,	760,	4,	1),
(5900,	760,	2,	2),
(5901,	760,	3,	2),
(5902,	760,	4,	2),
(5903,	761,	2,	1),
(5904,	761,	3,	1),
(5905,	761,	4,	1),
(5906,	761,	2,	2),
(5907,	761,	3,	2),
(5908,	761,	4,	2),
(5909,	762,	2,	1),
(5910,	762,	3,	1),
(5911,	762,	4,	1),
(5912,	762,	2,	2),
(5913,	762,	3,	2),
(5914,	762,	4,	2),
(5915,	763,	2,	1),
(5916,	763,	3,	1),
(5917,	763,	4,	1),
(5918,	763,	2,	2),
(5919,	763,	3,	2),
(5920,	763,	4,	2),
(5921,	764,	2,	1),
(5922,	764,	3,	1),
(5923,	764,	4,	1),
(5924,	764,	2,	2),
(5925,	764,	3,	2),
(5926,	764,	4,	2),
(5927,	765,	2,	1),
(5928,	765,	3,	1),
(5929,	765,	4,	1),
(5930,	765,	2,	2),
(5931,	765,	3,	2),
(5932,	765,	4,	2),
(5933,	766,	2,	2),
(5934,	766,	3,	2),
(5935,	766,	4,	2),
(5936,	767,	2,	1),
(5937,	767,	3,	1),
(5938,	767,	4,	1),
(5939,	767,	2,	2),
(5940,	767,	3,	2),
(5941,	767,	4,	2),
(5942,	768,	2,	2),
(5943,	768,	3,	2),
(5944,	768,	4,	2),
(5945,	769,	2,	1),
(5946,	769,	3,	1),
(5947,	769,	4,	1),
(5948,	769,	2,	2),
(5949,	769,	3,	2),
(5950,	769,	4,	2),
(5951,	769,	2,	3),
(5952,	769,	3,	3),
(5953,	769,	4,	3),
(5954,	770,	2,	2),
(5955,	770,	3,	2),
(5956,	770,	4,	2),
(5957,	771,	2,	1),
(5958,	771,	3,	1),
(5959,	771,	4,	1),
(5960,	771,	2,	2),
(5961,	771,	3,	2),
(5962,	771,	4,	2),
(5963,	772,	2,	1),
(5964,	772,	3,	1),
(5965,	772,	4,	1),
(5966,	772,	2,	2),
(5967,	772,	3,	2),
(5968,	772,	4,	2),
(5969,	773,	2,	2),
(5970,	773,	3,	2),
(5971,	773,	4,	2),
(5972,	774,	2,	2),
(5973,	774,	3,	2),
(5974,	774,	4,	2),
(5975,	775,	2,	2),
(5976,	775,	3,	2),
(5977,	775,	4,	2),
(5978,	776,	2,	2),
(5979,	776,	3,	2),
(5980,	776,	4,	2),
(5981,	777,	2,	2),
(5982,	777,	3,	2),
(5983,	777,	22,	2),
(5984,	777,	4,	2),
(5985,	778,	2,	2),
(5986,	778,	3,	2),
(5987,	778,	4,	2),
(5988,	779,	2,	2),
(5989,	779,	3,	2),
(5990,	779,	4,	2),
(5991,	780,	2,	2),
(5992,	780,	3,	2),
(5993,	780,	4,	2),
(5994,	781,	2,	2),
(5995,	781,	3,	2),
(5996,	781,	4,	2),
(5997,	782,	2,	2),
(5998,	782,	3,	2),
(5999,	782,	4,	2),
(6000,	783,	2,	2),
(6001,	783,	3,	2),
(6002,	783,	4,	2),
(6003,	784,	2,	2),
(6004,	784,	3,	2),
(6005,	784,	4,	2),
(6006,	785,	2,	2),
(6007,	785,	3,	2),
(6008,	785,	4,	2),
(6009,	786,	2,	2),
(6010,	786,	3,	2),
(6011,	786,	4,	2),
(6012,	787,	2,	2),
(6013,	787,	3,	2),
(6014,	787,	4,	2),
(6015,	788,	2,	1),
(6016,	788,	3,	1),
(6017,	788,	4,	1),
(6018,	788,	2,	2),
(6019,	788,	3,	2),
(6020,	788,	4,	2),
(6021,	788,	2,	3),
(6022,	788,	3,	3),
(6023,	788,	4,	3),
(6024,	789,	2,	2),
(6025,	789,	3,	2),
(6026,	789,	4,	2),
(6027,	790,	5,	2),
(6028,	790,	33,	2),
(6029,	790,	6,	2),
(6030,	790,	23,	2),
(6031,	790,	24,	2),
(6032,	790,	1,	2),
(6033,	790,	2,	2),
(6034,	790,	3,	2),
(6035,	790,	4,	2),
(6036,	790,	5,	4),
(6037,	790,	33,	4),
(6038,	790,	6,	4),
(6039,	790,	23,	4),
(6040,	790,	24,	4),
(6041,	790,	1,	4),
(6042,	790,	2,	4),
(6043,	790,	3,	4),
(6044,	790,	4,	4),
(6045,	791,	2,	1),
(6046,	791,	3,	1),
(6047,	791,	22,	1),
(6048,	791,	4,	1),
(6049,	791,	2,	2),
(6050,	791,	3,	2),
(6051,	791,	22,	2),
(6052,	791,	4,	2),
(6053,	792,	23,	2),
(6054,	792,	2,	2),
(6055,	792,	3,	2),
(6056,	792,	22,	2),
(6057,	792,	4,	2),
(6058,	793,	5,	2),
(6059,	793,	33,	2),
(6060,	793,	6,	2),
(6061,	793,	23,	2),
(6062,	793,	24,	2),
(6063,	793,	1,	2),
(6064,	793,	2,	2),
(6065,	793,	3,	2),
(6066,	793,	4,	2),
(6067,	793,	5,	4),
(6068,	793,	33,	4),
(6069,	793,	6,	4),
(6070,	793,	23,	4),
(6071,	793,	24,	4),
(6072,	793,	1,	4),
(6073,	793,	2,	4),
(6074,	793,	3,	4),
(6075,	793,	4,	4),
(6076,	794,	2,	2),
(6077,	794,	3,	2),
(6078,	794,	22,	2),
(6079,	794,	4,	2),
(6080,	795,	2,	1),
(6081,	795,	3,	1),
(6082,	795,	4,	1),
(6083,	795,	2,	2),
(6084,	795,	3,	2),
(6085,	795,	4,	2),
(6086,	796,	2,	2),
(6087,	796,	3,	2),
(6088,	796,	4,	2),
(6089,	797,	5,	2),
(6090,	797,	33,	2),
(6091,	797,	6,	2),
(6092,	797,	23,	2),
(6093,	797,	24,	2),
(6094,	797,	1,	2),
(6095,	797,	2,	2),
(6096,	797,	3,	2),
(6097,	797,	22,	2),
(6098,	797,	4,	2),
(6099,	797,	5,	4),
(6100,	797,	33,	4),
(6101,	797,	6,	4),
(6102,	797,	23,	4),
(6103,	797,	24,	4),
(6104,	797,	1,	4),
(6105,	797,	2,	4),
(6106,	797,	3,	4),
(6107,	797,	22,	4),
(6108,	797,	4,	4),
(6109,	798,	5,	2),
(6110,	798,	33,	2),
(6111,	798,	6,	2),
(6112,	798,	23,	2),
(6113,	798,	24,	2),
(6114,	798,	1,	2),
(6115,	798,	2,	2),
(6116,	798,	3,	2),
(6117,	798,	22,	2),
(6118,	798,	4,	2),
(6119,	798,	5,	4),
(6120,	798,	33,	4),
(6121,	798,	6,	4),
(6122,	798,	23,	4),
(6123,	798,	24,	4),
(6124,	798,	1,	4),
(6125,	798,	2,	4),
(6126,	798,	3,	4),
(6127,	798,	22,	4),
(6128,	798,	4,	4),
(6129,	799,	5,	2),
(6130,	799,	33,	2),
(6131,	799,	6,	2),
(6132,	799,	23,	2),
(6133,	799,	24,	2),
(6134,	799,	1,	2),
(6135,	799,	2,	2),
(6136,	799,	3,	2),
(6137,	799,	22,	2),
(6138,	799,	4,	2),
(6139,	799,	38,	2),
(6140,	799,	5,	4),
(6141,	799,	33,	4),
(6142,	799,	6,	4),
(6143,	799,	23,	4),
(6144,	799,	24,	4),
(6145,	799,	1,	4),
(6146,	799,	2,	4),
(6147,	799,	3,	4),
(6148,	799,	22,	4),
(6149,	799,	4,	4),
(6150,	799,	38,	4),
(6151,	800,	2,	2),
(6152,	800,	3,	2),
(6153,	800,	4,	2),
(6154,	801,	5,	2),
(6155,	801,	33,	2),
(6156,	801,	6,	2),
(6157,	801,	23,	2),
(6158,	801,	24,	2),
(6159,	801,	1,	2),
(6160,	801,	2,	2),
(6161,	801,	3,	2),
(6162,	801,	22,	2),
(6163,	801,	4,	2),
(6164,	801,	5,	4),
(6165,	801,	33,	4),
(6166,	801,	6,	4),
(6167,	801,	23,	4),
(6168,	801,	24,	4),
(6169,	801,	1,	4),
(6170,	801,	2,	4),
(6171,	801,	3,	4),
(6172,	801,	22,	4),
(6173,	801,	4,	4),
(6174,	802,	5,	2),
(6175,	802,	33,	2),
(6176,	802,	6,	2),
(6177,	802,	23,	2),
(6178,	802,	24,	2),
(6179,	802,	1,	2),
(6180,	802,	2,	2),
(6181,	802,	3,	2),
(6182,	802,	22,	2),
(6183,	802,	4,	2),
(6184,	802,	5,	4),
(6185,	802,	33,	4),
(6186,	802,	6,	4),
(6187,	802,	23,	4),
(6188,	802,	24,	4),
(6189,	802,	1,	4),
(6190,	802,	2,	4),
(6191,	802,	3,	4),
(6192,	802,	22,	4),
(6193,	802,	4,	4),
(6194,	803,	2,	2),
(6195,	803,	3,	2),
(6196,	803,	4,	2),
(6197,	804,	2,	2),
(6198,	804,	3,	2),
(6199,	804,	4,	2),
(6200,	804,	2,	4),
(6201,	804,	3,	4),
(6202,	804,	4,	4),
(6203,	805,	5,	2),
(6204,	805,	33,	2),
(6205,	805,	6,	2),
(6206,	805,	23,	2),
(6207,	805,	24,	2),
(6208,	805,	1,	2),
(6209,	805,	2,	2),
(6210,	805,	3,	2),
(6211,	805,	22,	2),
(6212,	805,	4,	2),
(6213,	805,	5,	4),
(6214,	805,	33,	4),
(6215,	805,	6,	4),
(6216,	805,	23,	4),
(6217,	805,	24,	4),
(6218,	805,	1,	4),
(6219,	805,	2,	4),
(6220,	805,	3,	4),
(6221,	805,	22,	4),
(6222,	805,	4,	4),
(6223,	806,	2,	2),
(6224,	806,	3,	2),
(6225,	806,	22,	2),
(6226,	806,	4,	2),
(6227,	807,	23,	2),
(6228,	807,	2,	2),
(6229,	807,	3,	2),
(6230,	807,	4,	2),
(6231,	808,	2,	2),
(6232,	808,	3,	2),
(6233,	808,	4,	2),
(6234,	809,	2,	2),
(6235,	809,	3,	2),
(6236,	809,	4,	2),
(6237,	810,	5,	1),
(6238,	810,	33,	1),
(6239,	810,	6,	1),
(6240,	810,	23,	1),
(6241,	810,	24,	1),
(6242,	810,	1,	1),
(6243,	810,	2,	1),
(6244,	810,	3,	1),
(6245,	810,	22,	1),
(6246,	810,	4,	1),
(6247,	810,	5,	2),
(6248,	810,	33,	2),
(6249,	810,	6,	2),
(6250,	810,	23,	2),
(6251,	810,	24,	2),
(6252,	810,	1,	2),
(6253,	810,	2,	2),
(6254,	810,	3,	2),
(6255,	810,	22,	2),
(6256,	810,	4,	2),
(6257,	810,	5,	4),
(6258,	810,	33,	4),
(6259,	810,	6,	4),
(6260,	810,	23,	4),
(6261,	810,	24,	4),
(6262,	810,	1,	4),
(6263,	810,	2,	4),
(6264,	810,	3,	4),
(6265,	810,	22,	4),
(6266,	810,	4,	4),
(6267,	811,	5,	2),
(6268,	811,	33,	2),
(6269,	811,	6,	2),
(6270,	811,	23,	2),
(6271,	811,	24,	2),
(6272,	811,	1,	2),
(6273,	811,	2,	2),
(6274,	811,	3,	2),
(6275,	811,	22,	2),
(6276,	811,	4,	2),
(6277,	812,	2,	2),
(6278,	812,	3,	2),
(6279,	812,	4,	2),
(6280,	813,	5,	2),
(6281,	813,	33,	2),
(6282,	813,	6,	2),
(6283,	813,	23,	2),
(6284,	813,	24,	2),
(6285,	813,	1,	2),
(6286,	813,	2,	2),
(6287,	813,	3,	2),
(6288,	813,	22,	2),
(6289,	813,	4,	2),
(6290,	813,	5,	4),
(6291,	813,	33,	4),
(6292,	813,	6,	4),
(6293,	813,	23,	4),
(6294,	813,	24,	4),
(6295,	813,	1,	4),
(6296,	813,	2,	4),
(6297,	813,	3,	4),
(6298,	813,	22,	4),
(6299,	813,	4,	4),
(6300,	814,	5,	2),
(6301,	814,	33,	2),
(6302,	814,	6,	2),
(6303,	814,	23,	2),
(6304,	814,	24,	2),
(6305,	814,	1,	2),
(6306,	814,	2,	2),
(6307,	814,	3,	2),
(6308,	814,	22,	2),
(6309,	814,	4,	2),
(6310,	814,	5,	4),
(6311,	814,	33,	4),
(6312,	814,	6,	4),
(6313,	814,	23,	4),
(6314,	814,	24,	4),
(6315,	814,	1,	4),
(6316,	814,	2,	4),
(6317,	814,	3,	4),
(6318,	814,	22,	4),
(6319,	814,	4,	4),
(6320,	815,	2,	2),
(6321,	815,	3,	2),
(6322,	815,	22,	2),
(6323,	815,	4,	2),
(6324,	816,	2,	1),
(6325,	816,	3,	1),
(6326,	816,	4,	1),
(6327,	816,	2,	2),
(6328,	816,	3,	2),
(6329,	816,	4,	2),
(6330,	816,	2,	4),
(6331,	816,	3,	4),
(6332,	816,	4,	4),
(6333,	817,	5,	2),
(6334,	817,	33,	2),
(6335,	817,	6,	2),
(6336,	817,	23,	2),
(6337,	817,	24,	2),
(6338,	817,	1,	2),
(6339,	817,	2,	2),
(6340,	817,	3,	2),
(6341,	817,	22,	2),
(6342,	817,	4,	2),
(6343,	817,	5,	4),
(6344,	817,	33,	4),
(6345,	817,	6,	4),
(6346,	817,	23,	4),
(6347,	817,	24,	4),
(6348,	817,	1,	4),
(6349,	817,	2,	4),
(6350,	817,	3,	4),
(6351,	817,	22,	4),
(6352,	817,	4,	4),
(6353,	818,	2,	2),
(6354,	818,	3,	2),
(6355,	818,	22,	2),
(6356,	818,	4,	2),
(6357,	819,	5,	2),
(6358,	819,	33,	2),
(6359,	819,	6,	2),
(6360,	819,	23,	2),
(6361,	819,	24,	2),
(6362,	819,	1,	2),
(6363,	819,	2,	2),
(6364,	819,	3,	2),
(6365,	819,	22,	2),
(6366,	819,	4,	2),
(6367,	819,	5,	4),
(6368,	819,	33,	4),
(6369,	819,	6,	4),
(6370,	819,	23,	4),
(6371,	819,	24,	4),
(6372,	819,	1,	4),
(6373,	819,	2,	4),
(6374,	819,	3,	4),
(6375,	819,	22,	4),
(6376,	819,	4,	4),
(6377,	820,	2,	2),
(6378,	820,	3,	2),
(6379,	820,	4,	2),
(6380,	821,	2,	2),
(6381,	821,	3,	2),
(6382,	821,	22,	2),
(6383,	821,	4,	2),
(6384,	822,	5,	2),
(6385,	822,	33,	2),
(6386,	822,	6,	2),
(6387,	822,	23,	2),
(6388,	822,	24,	2),
(6389,	822,	1,	2),
(6390,	822,	2,	2),
(6391,	822,	3,	2),
(6392,	822,	22,	2),
(6393,	822,	4,	2),
(6394,	822,	5,	4),
(6395,	822,	33,	4),
(6396,	822,	6,	4),
(6397,	822,	23,	4),
(6398,	822,	24,	4),
(6399,	822,	1,	4),
(6400,	822,	2,	4),
(6401,	822,	3,	4),
(6402,	822,	22,	4),
(6403,	822,	4,	4),
(6404,	823,	2,	2),
(6405,	823,	3,	2),
(6406,	823,	4,	2),
(6407,	824,	2,	1),
(6408,	824,	3,	1),
(6409,	824,	4,	1),
(6410,	824,	2,	2),
(6411,	824,	3,	2),
(6412,	824,	4,	2),
(6413,	825,	2,	2),
(6414,	825,	3,	2),
(6415,	825,	4,	2),
(6416,	826,	2,	2),
(6417,	826,	3,	2),
(6418,	826,	4,	2),
(6419,	827,	5,	2),
(6420,	827,	33,	2),
(6421,	827,	6,	2),
(6422,	827,	23,	2),
(6423,	827,	24,	2),
(6424,	827,	1,	2),
(6425,	827,	2,	2),
(6426,	827,	3,	2),
(6427,	827,	22,	2),
(6428,	827,	4,	2),
(6429,	827,	5,	4),
(6430,	827,	33,	4),
(6431,	827,	6,	4),
(6432,	827,	23,	4),
(6433,	827,	24,	4),
(6434,	827,	1,	4),
(6435,	827,	2,	4),
(6436,	827,	3,	4),
(6437,	827,	22,	4),
(6438,	827,	4,	4),
(6439,	828,	5,	2),
(6440,	828,	33,	2),
(6441,	828,	6,	2),
(6442,	828,	23,	2),
(6443,	828,	24,	2),
(6444,	828,	1,	2),
(6445,	828,	2,	2),
(6446,	828,	3,	2),
(6447,	828,	22,	2),
(6448,	828,	4,	2),
(6449,	828,	5,	4),
(6450,	828,	33,	4),
(6451,	828,	6,	4),
(6452,	828,	23,	4),
(6453,	828,	24,	4),
(6454,	828,	1,	4),
(6455,	828,	2,	4),
(6456,	828,	3,	4),
(6457,	828,	22,	4),
(6458,	828,	4,	4),
(6459,	829,	2,	2),
(6460,	829,	3,	2),
(6461,	829,	22,	2),
(6462,	829,	4,	2),
(6463,	830,	5,	2),
(6464,	830,	33,	2),
(6465,	830,	6,	2),
(6466,	830,	23,	2),
(6467,	830,	24,	2),
(6468,	830,	1,	2),
(6469,	830,	2,	2),
(6470,	830,	3,	2),
(6471,	830,	22,	2),
(6472,	830,	4,	2),
(6473,	830,	5,	4),
(6474,	830,	33,	4),
(6475,	830,	6,	4),
(6476,	830,	23,	4),
(6477,	830,	24,	4),
(6478,	830,	1,	4),
(6479,	830,	2,	4),
(6480,	830,	3,	4),
(6481,	830,	22,	4),
(6482,	830,	4,	4),
(6483,	831,	5,	2),
(6484,	831,	2,	2),
(6485,	831,	3,	2),
(6486,	831,	22,	2),
(6487,	831,	4,	2),
(6488,	832,	2,	2),
(6489,	832,	3,	2),
(6490,	832,	4,	2),
(6491,	833,	5,	2),
(6492,	833,	33,	2),
(6493,	833,	6,	2),
(6494,	833,	23,	2),
(6495,	833,	24,	2),
(6496,	833,	1,	2),
(6497,	833,	2,	2),
(6498,	833,	3,	2),
(6499,	833,	22,	2),
(6500,	833,	4,	2),
(6501,	833,	5,	4),
(6502,	833,	33,	4),
(6503,	833,	6,	4),
(6504,	833,	23,	4),
(6505,	833,	24,	4),
(6506,	833,	1,	4),
(6507,	833,	2,	4),
(6508,	833,	3,	4),
(6509,	833,	22,	4),
(6510,	833,	4,	4),
(6511,	834,	5,	2),
(6512,	834,	33,	2),
(6513,	834,	6,	2),
(6514,	834,	23,	2),
(6515,	834,	24,	2),
(6516,	834,	1,	2),
(6517,	834,	2,	2),
(6518,	834,	3,	2),
(6519,	834,	22,	2),
(6520,	834,	4,	2),
(6521,	835,	2,	2),
(6522,	835,	3,	2),
(6523,	835,	4,	2),
(6524,	836,	5,	2),
(6525,	836,	77,	2),
(6526,	836,	2,	2),
(6527,	836,	3,	2),
(6528,	836,	22,	2),
(6529,	836,	4,	2),
(6530,	836,	5,	4),
(6531,	836,	77,	4),
(6532,	836,	2,	4),
(6533,	836,	3,	4),
(6534,	836,	22,	4),
(6535,	836,	4,	4),
(6536,	837,	2,	2),
(6537,	837,	3,	2),
(6538,	837,	4,	2),
(6539,	838,	2,	2),
(6540,	838,	3,	2),
(6541,	838,	22,	2),
(6542,	838,	4,	2),
(6543,	839,	5,	2),
(6544,	839,	33,	2),
(6545,	839,	6,	2),
(6546,	839,	23,	2),
(6547,	839,	24,	2),
(6548,	839,	1,	2),
(6549,	839,	2,	2),
(6550,	839,	3,	2),
(6551,	839,	22,	2),
(6552,	839,	4,	2),
(6553,	839,	5,	4),
(6554,	839,	33,	4),
(6555,	839,	6,	4),
(6556,	839,	23,	4),
(6557,	839,	24,	4),
(6558,	839,	1,	4),
(6559,	839,	2,	4),
(6560,	839,	3,	4),
(6561,	839,	22,	4),
(6562,	839,	4,	4),
(6563,	840,	2,	2),
(6564,	840,	3,	2),
(6565,	840,	4,	2),
(6566,	841,	2,	2),
(6567,	841,	3,	2),
(6568,	841,	22,	2),
(6569,	841,	4,	2),
(6570,	841,	2,	4),
(6571,	841,	3,	4),
(6572,	841,	22,	4),
(6573,	841,	4,	4),
(6574,	842,	5,	2),
(6575,	842,	33,	2),
(6576,	842,	6,	2),
(6577,	842,	23,	2),
(6578,	842,	24,	2),
(6579,	842,	1,	2),
(6580,	842,	2,	2),
(6581,	842,	3,	2),
(6582,	842,	22,	2),
(6583,	842,	4,	2),
(6584,	842,	5,	4),
(6585,	842,	33,	4),
(6586,	842,	6,	4),
(6587,	842,	23,	4),
(6588,	842,	24,	4),
(6589,	842,	1,	4),
(6590,	842,	2,	4),
(6591,	842,	3,	4),
(6592,	842,	22,	4),
(6593,	842,	4,	4),
(6594,	843,	2,	2),
(6595,	843,	3,	2),
(6596,	843,	22,	2),
(6597,	843,	4,	2),
(6598,	844,	2,	2),
(6599,	844,	3,	2),
(6600,	844,	22,	2),
(6601,	844,	4,	2),
(6602,	845,	2,	2),
(6603,	845,	3,	2),
(6604,	845,	4,	2),
(6605,	846,	2,	2),
(6606,	846,	3,	2),
(6607,	846,	4,	2),
(6608,	847,	5,	2),
(6609,	847,	33,	2),
(6610,	847,	6,	2),
(6611,	847,	23,	2),
(6612,	847,	24,	2),
(6613,	847,	1,	2),
(6614,	847,	2,	2),
(6615,	847,	3,	2),
(6616,	847,	4,	2),
(6617,	847,	5,	4),
(6618,	847,	33,	4),
(6619,	847,	6,	4),
(6620,	847,	23,	4),
(6621,	847,	24,	4),
(6622,	847,	1,	4),
(6623,	847,	2,	4),
(6624,	847,	3,	4),
(6625,	847,	4,	4),
(6626,	848,	5,	2),
(6627,	848,	33,	2),
(6628,	848,	6,	2),
(6629,	848,	23,	2),
(6630,	848,	24,	2),
(6631,	848,	1,	2),
(6632,	848,	2,	2),
(6633,	848,	3,	2),
(6634,	848,	22,	2),
(6635,	848,	4,	2),
(6636,	848,	38,	2),
(6637,	848,	5,	4),
(6638,	848,	33,	4),
(6639,	848,	6,	4),
(6640,	848,	23,	4),
(6641,	848,	24,	4),
(6642,	848,	1,	4),
(6643,	848,	2,	4),
(6644,	848,	3,	4),
(6645,	848,	22,	4),
(6646,	848,	4,	4),
(6647,	848,	38,	4),
(6648,	849,	2,	2),
(6649,	849,	3,	2),
(6650,	849,	4,	2),
(6651,	850,	2,	2),
(6652,	850,	3,	2),
(6653,	850,	4,	2),
(6654,	851,	5,	2),
(6655,	851,	33,	2),
(6656,	851,	6,	2),
(6657,	851,	23,	2),
(6658,	851,	24,	2),
(6659,	851,	1,	2),
(6660,	851,	2,	2),
(6661,	851,	3,	2),
(6662,	851,	4,	2),
(6663,	851,	5,	4),
(6664,	851,	33,	4),
(6665,	851,	6,	4),
(6666,	851,	23,	4),
(6667,	851,	24,	4),
(6668,	851,	1,	4),
(6669,	851,	2,	4),
(6670,	851,	3,	4),
(6671,	851,	4,	4),
(6672,	852,	2,	2),
(6673,	852,	3,	2),
(6674,	852,	4,	2),
(6675,	853,	5,	2),
(6676,	853,	33,	2),
(6677,	853,	6,	2),
(6678,	853,	23,	2),
(6679,	853,	24,	2),
(6680,	853,	1,	2),
(6681,	853,	2,	2),
(6682,	853,	3,	2),
(6683,	853,	22,	2),
(6684,	853,	4,	2),
(6685,	853,	5,	4),
(6686,	853,	33,	4),
(6687,	853,	6,	4),
(6688,	853,	23,	4),
(6689,	853,	24,	4),
(6690,	853,	1,	4),
(6691,	853,	2,	4),
(6692,	853,	3,	4),
(6693,	853,	22,	4),
(6694,	853,	4,	4),
(6695,	854,	2,	1),
(6696,	854,	3,	1),
(6697,	854,	4,	1),
(6698,	854,	2,	2),
(6699,	854,	3,	2),
(6700,	854,	4,	2),
(6701,	855,	5,	2),
(6702,	855,	33,	2),
(6703,	855,	6,	2),
(6704,	855,	23,	2),
(6705,	855,	24,	2),
(6706,	855,	1,	2),
(6707,	855,	2,	2),
(6708,	855,	3,	2),
(6709,	855,	22,	2),
(6710,	855,	4,	2),
(6711,	855,	5,	4),
(6712,	855,	33,	4),
(6713,	855,	6,	4),
(6714,	855,	23,	4),
(6715,	855,	24,	4),
(6716,	855,	1,	4),
(6717,	855,	2,	4),
(6718,	855,	3,	4),
(6719,	855,	22,	4),
(6720,	855,	4,	4),
(6721,	856,	5,	2),
(6722,	856,	33,	2),
(6723,	856,	6,	2),
(6724,	856,	23,	2),
(6725,	856,	24,	2),
(6726,	856,	1,	2),
(6727,	856,	2,	2),
(6728,	856,	3,	2),
(6729,	856,	22,	2),
(6730,	856,	4,	2),
(6731,	856,	5,	4),
(6732,	856,	33,	4),
(6733,	856,	6,	4),
(6734,	856,	23,	4),
(6735,	856,	24,	4),
(6736,	856,	1,	4),
(6737,	856,	2,	4),
(6738,	856,	3,	4),
(6739,	856,	22,	4),
(6740,	856,	4,	4),
(6741,	857,	5,	2),
(6742,	857,	33,	2),
(6743,	857,	6,	2),
(6744,	857,	23,	2),
(6745,	857,	24,	2),
(6746,	857,	1,	2),
(6747,	857,	2,	2),
(6748,	857,	3,	2),
(6749,	857,	22,	2),
(6750,	857,	4,	2),
(6751,	857,	5,	4),
(6752,	857,	33,	4),
(6753,	857,	6,	4),
(6754,	857,	23,	4),
(6755,	857,	24,	4),
(6756,	857,	1,	4),
(6757,	857,	2,	4),
(6758,	857,	3,	4),
(6759,	857,	22,	4),
(6760,	857,	4,	4),
(6761,	858,	2,	2),
(6762,	858,	3,	2),
(6763,	858,	4,	2),
(6764,	859,	2,	2),
(6765,	859,	3,	2),
(6766,	859,	4,	2),
(6767,	860,	2,	2),
(6768,	860,	3,	2),
(6769,	860,	22,	2),
(6770,	860,	4,	2),
(6771,	860,	2,	4),
(6772,	860,	3,	4),
(6773,	860,	22,	4),
(6774,	860,	4,	4),
(6775,	861,	5,	2),
(6776,	861,	33,	2),
(6777,	861,	6,	2),
(6778,	861,	23,	2),
(6779,	861,	24,	2),
(6780,	861,	1,	2),
(6781,	861,	2,	2),
(6782,	861,	3,	2),
(6783,	861,	22,	2),
(6784,	861,	4,	2),
(6785,	861,	5,	4),
(6786,	861,	33,	4),
(6787,	861,	6,	4),
(6788,	861,	23,	4),
(6789,	861,	24,	4),
(6790,	861,	1,	4),
(6791,	861,	2,	4),
(6792,	861,	3,	4),
(6793,	861,	22,	4),
(6794,	861,	4,	4),
(6795,	862,	2,	2),
(6796,	862,	3,	2),
(6797,	862,	4,	2),
(6798,	863,	2,	2),
(6799,	863,	3,	2),
(6800,	863,	4,	2),
(6801,	864,	5,	2),
(6802,	864,	33,	2),
(6803,	864,	6,	2),
(6804,	864,	23,	2),
(6805,	864,	24,	2),
(6806,	864,	1,	2),
(6807,	864,	2,	2),
(6808,	864,	3,	2),
(6809,	864,	22,	2),
(6810,	864,	4,	2),
(6811,	864,	5,	4),
(6812,	864,	33,	4),
(6813,	864,	6,	4),
(6814,	864,	23,	4),
(6815,	864,	24,	4),
(6816,	864,	1,	4),
(6817,	864,	2,	4),
(6818,	864,	3,	4),
(6819,	864,	22,	4),
(6820,	864,	4,	4),
(6821,	865,	2,	1),
(6822,	865,	3,	1),
(6823,	865,	22,	1),
(6824,	865,	4,	1),
(6825,	865,	2,	2),
(6826,	865,	3,	2),
(6827,	865,	22,	2),
(6828,	865,	4,	2),
(6829,	866,	5,	2),
(6830,	866,	33,	2),
(6831,	866,	6,	2),
(6832,	866,	23,	2),
(6833,	866,	24,	2),
(6834,	866,	1,	2),
(6835,	866,	2,	2),
(6836,	866,	3,	2),
(6837,	866,	22,	2),
(6838,	866,	4,	2),
(6839,	867,	5,	2),
(6840,	867,	33,	2),
(6841,	867,	6,	2),
(6842,	867,	23,	2),
(6843,	867,	24,	2),
(6844,	867,	1,	2),
(6845,	867,	2,	2),
(6846,	867,	3,	2),
(6847,	867,	22,	2),
(6848,	867,	4,	2),
(6849,	867,	5,	4),
(6850,	867,	33,	4),
(6851,	867,	6,	4),
(6852,	867,	23,	4),
(6853,	867,	24,	4),
(6854,	867,	1,	4),
(6855,	867,	2,	4),
(6856,	867,	3,	4),
(6857,	867,	22,	4),
(6858,	867,	4,	4),
(6859,	868,	2,	2),
(6860,	868,	3,	2),
(6861,	868,	4,	2),
(6862,	868,	2,	4),
(6863,	868,	3,	4),
(6864,	868,	4,	4),
(6865,	869,	5,	2),
(6866,	869,	33,	2),
(6867,	869,	6,	2),
(6868,	869,	23,	2),
(6869,	869,	24,	2),
(6870,	869,	1,	2),
(6871,	869,	2,	2),
(6872,	869,	3,	2),
(6873,	869,	22,	2),
(6874,	869,	4,	2),
(6875,	869,	5,	4),
(6876,	869,	33,	4),
(6877,	869,	6,	4),
(6878,	869,	23,	4),
(6879,	869,	24,	4),
(6880,	869,	1,	4),
(6881,	869,	2,	4),
(6882,	869,	3,	4),
(6883,	869,	22,	4),
(6884,	869,	4,	4),
(6885,	870,	2,	1),
(6886,	870,	3,	1),
(6887,	870,	4,	1),
(6888,	870,	2,	2),
(6889,	870,	3,	2),
(6890,	870,	4,	2),
(6891,	871,	5,	2),
(6892,	871,	33,	2),
(6893,	871,	6,	2),
(6894,	871,	23,	2),
(6895,	871,	24,	2),
(6896,	871,	1,	2),
(6897,	871,	2,	2),
(6898,	871,	3,	2),
(6899,	871,	22,	2),
(6900,	871,	4,	2),
(6901,	871,	5,	4),
(6902,	871,	33,	4),
(6903,	871,	6,	4),
(6904,	871,	23,	4),
(6905,	871,	24,	4),
(6906,	871,	1,	4),
(6907,	871,	2,	4),
(6908,	871,	3,	4),
(6909,	871,	22,	4),
(6910,	871,	4,	4),
(6911,	872,	5,	2),
(6912,	872,	33,	2),
(6913,	872,	6,	2),
(6914,	872,	23,	2),
(6915,	872,	24,	2),
(6916,	872,	1,	2),
(6917,	872,	2,	2),
(6918,	872,	3,	2),
(6919,	872,	4,	2),
(6920,	872,	5,	4),
(6921,	872,	33,	4),
(6922,	872,	6,	4),
(6923,	872,	23,	4),
(6924,	872,	24,	4),
(6925,	872,	1,	4),
(6926,	872,	2,	4),
(6927,	872,	3,	4),
(6928,	872,	4,	4),
(6929,	873,	2,	2),
(6930,	873,	3,	2),
(6931,	873,	4,	2),
(6932,	874,	5,	2),
(6933,	874,	33,	2),
(6934,	874,	6,	2),
(6935,	874,	23,	2),
(6936,	874,	24,	2),
(6937,	874,	1,	2),
(6938,	874,	2,	2),
(6939,	874,	3,	2),
(6940,	874,	22,	2),
(6941,	874,	4,	2),
(6942,	874,	5,	4),
(6943,	874,	33,	4),
(6944,	874,	6,	4),
(6945,	874,	23,	4),
(6946,	874,	24,	4),
(6947,	874,	1,	4),
(6948,	874,	2,	4),
(6949,	874,	3,	4),
(6950,	874,	22,	4),
(6951,	874,	4,	4),
(6952,	875,	5,	2),
(6953,	875,	33,	2),
(6954,	875,	6,	2),
(6955,	875,	23,	2),
(6956,	875,	24,	2),
(6957,	875,	1,	2),
(6958,	875,	2,	2),
(6959,	875,	3,	2),
(6960,	875,	22,	2),
(6961,	875,	4,	2),
(6962,	875,	5,	4),
(6963,	875,	33,	4),
(6964,	875,	6,	4),
(6965,	875,	23,	4),
(6966,	875,	24,	4),
(6967,	875,	1,	4),
(6968,	875,	2,	4),
(6969,	875,	3,	4),
(6970,	875,	22,	4),
(6971,	875,	4,	4),
(6972,	876,	5,	2),
(6973,	876,	6,	2),
(6974,	876,	2,	2),
(6975,	876,	3,	2),
(6976,	876,	22,	2),
(6977,	876,	4,	2),
(6978,	877,	5,	2),
(6979,	877,	6,	2),
(6980,	877,	2,	2),
(6981,	877,	3,	2),
(6982,	877,	22,	2),
(6983,	877,	4,	2),
(6984,	878,	5,	2),
(6985,	878,	2,	2),
(6986,	878,	3,	2),
(6987,	878,	22,	2),
(6988,	878,	4,	2),
(6989,	879,	5,	2),
(6990,	879,	33,	2),
(6991,	879,	6,	2),
(6992,	879,	23,	2),
(6993,	879,	24,	2),
(6994,	879,	1,	2),
(6995,	879,	2,	2),
(6996,	879,	3,	2),
(6997,	879,	22,	2),
(6998,	879,	4,	2),
(6999,	879,	5,	4),
(7000,	879,	33,	4),
(7001,	879,	6,	4),
(7002,	879,	23,	4),
(7003,	879,	24,	4),
(7004,	879,	1,	4),
(7005,	879,	2,	4),
(7006,	879,	3,	4),
(7007,	879,	22,	4),
(7008,	879,	4,	4),
(7009,	880,	5,	2),
(7010,	880,	33,	2),
(7011,	880,	6,	2),
(7012,	880,	23,	2),
(7013,	880,	24,	2),
(7014,	880,	1,	2),
(7015,	880,	2,	2),
(7016,	880,	3,	2),
(7017,	880,	22,	2),
(7018,	880,	4,	2),
(7019,	880,	5,	4),
(7020,	880,	33,	4),
(7021,	880,	6,	4),
(7022,	880,	23,	4),
(7023,	880,	24,	4),
(7024,	880,	1,	4),
(7025,	880,	2,	4),
(7026,	880,	3,	4),
(7027,	880,	22,	4),
(7028,	880,	4,	4),
(7029,	881,	5,	2),
(7030,	881,	33,	2),
(7031,	881,	6,	2),
(7032,	881,	23,	2),
(7033,	881,	24,	2),
(7034,	881,	1,	2),
(7035,	881,	2,	2),
(7036,	881,	3,	2),
(7037,	881,	22,	2),
(7038,	881,	4,	2),
(7039,	881,	38,	2),
(7040,	881,	5,	4),
(7041,	881,	33,	4),
(7042,	881,	6,	4),
(7043,	881,	23,	4),
(7044,	881,	24,	4),
(7045,	881,	1,	4),
(7046,	881,	2,	4),
(7047,	881,	3,	4),
(7048,	881,	22,	4),
(7049,	881,	4,	4),
(7050,	881,	38,	4),
(7051,	882,	5,	2),
(7052,	882,	33,	2),
(7053,	882,	6,	2),
(7054,	882,	23,	2),
(7055,	882,	24,	2),
(7056,	882,	1,	2),
(7057,	882,	2,	2),
(7058,	882,	3,	2),
(7059,	882,	22,	2),
(7060,	882,	4,	2),
(7061,	882,	38,	2),
(7062,	882,	5,	4),
(7063,	882,	33,	4),
(7064,	882,	6,	4),
(7065,	882,	23,	4),
(7066,	882,	24,	4),
(7067,	882,	1,	4),
(7068,	882,	2,	4),
(7069,	882,	3,	4),
(7070,	882,	22,	4),
(7071,	882,	4,	4),
(7072,	882,	38,	4),
(7073,	883,	2,	1),
(7074,	883,	3,	1),
(7075,	883,	4,	1),
(7076,	883,	38,	1),
(7077,	883,	2,	2),
(7078,	883,	3,	2),
(7079,	883,	4,	2),
(7080,	883,	38,	2),
(7081,	884,	2,	1),
(7082,	884,	3,	1),
(7083,	884,	22,	1),
(7084,	884,	4,	1),
(7085,	884,	2,	2),
(7086,	884,	3,	2),
(7087,	884,	22,	2),
(7088,	884,	4,	2),
(7089,	885,	2,	2),
(7090,	885,	3,	2),
(7091,	885,	4,	2),
(7092,	885,	2,	4),
(7093,	885,	3,	4),
(7094,	885,	4,	4),
(7095,	886,	2,	1),
(7096,	886,	3,	1),
(7097,	886,	22,	1),
(7098,	886,	4,	1),
(7099,	886,	2,	2),
(7100,	886,	3,	2),
(7101,	886,	22,	2),
(7102,	886,	4,	2),
(7103,	886,	2,	4),
(7104,	886,	3,	4),
(7105,	886,	22,	4),
(7106,	886,	4,	4),
(7107,	887,	2,	1),
(7108,	887,	3,	1),
(7109,	887,	4,	1),
(7110,	887,	2,	2),
(7111,	887,	3,	2),
(7112,	887,	4,	2),
(7113,	888,	6,	2),
(7114,	888,	2,	2),
(7115,	888,	3,	2),
(7116,	888,	4,	2),
(7117,	889,	2,	1),
(7118,	889,	3,	1),
(7119,	889,	4,	1),
(7120,	889,	2,	2),
(7121,	889,	3,	2),
(7122,	889,	4,	2),
(7123,	890,	2,	1),
(7124,	890,	3,	1),
(7125,	890,	4,	1),
(7126,	890,	2,	2),
(7127,	890,	3,	2),
(7128,	890,	4,	2),
(7129,	891,	2,	1),
(7130,	891,	3,	1),
(7131,	891,	4,	1),
(7132,	891,	2,	2),
(7133,	891,	3,	2),
(7134,	891,	4,	2),
(7135,	892,	2,	1),
(7136,	892,	3,	1),
(7137,	892,	4,	1),
(7138,	892,	2,	2),
(7139,	892,	3,	2),
(7140,	892,	4,	2),
(7141,	893,	2,	2),
(7142,	893,	3,	2),
(7143,	893,	4,	2),
(7144,	894,	2,	2),
(7145,	894,	3,	2),
(7146,	894,	4,	2),
(7147,	895,	6,	1),
(7148,	895,	2,	1),
(7149,	895,	3,	1),
(7150,	895,	4,	1),
(7151,	895,	6,	2),
(7152,	895,	2,	2),
(7153,	895,	3,	2),
(7154,	895,	4,	2),
(7155,	896,	2,	1),
(7156,	896,	3,	1),
(7157,	896,	4,	1),
(7158,	896,	2,	2),
(7159,	896,	3,	2),
(7160,	896,	4,	2),
(7161,	897,	2,	2),
(7162,	897,	3,	2),
(7163,	897,	4,	2),
(7164,	897,	2,	4),
(7165,	897,	3,	4),
(7166,	897,	4,	4),
(7167,	898,	2,	1),
(7168,	898,	3,	1),
(7169,	898,	4,	1),
(7170,	898,	2,	2),
(7171,	898,	3,	2),
(7172,	898,	4,	2),
(7173,	899,	2,	2),
(7174,	899,	3,	2),
(7175,	899,	4,	2),
(7176,	900,	2,	1),
(7177,	900,	3,	1),
(7178,	900,	4,	1),
(7179,	900,	2,	2),
(7180,	900,	3,	2),
(7181,	900,	4,	2),
(7182,	901,	2,	1),
(7183,	901,	3,	1),
(7184,	901,	4,	1),
(7185,	901,	2,	2),
(7186,	901,	3,	2),
(7187,	901,	4,	2),
(7188,	902,	2,	1),
(7189,	902,	3,	1),
(7190,	902,	4,	1),
(7191,	902,	2,	2),
(7192,	902,	3,	2),
(7193,	902,	4,	2),
(7194,	903,	2,	2),
(7195,	903,	3,	2),
(7196,	903,	4,	2),
(7197,	903,	2,	4),
(7198,	903,	3,	4),
(7199,	903,	4,	4),
(7200,	904,	2,	1),
(7201,	904,	3,	1),
(7202,	904,	4,	1),
(7203,	904,	2,	2),
(7204,	904,	3,	2),
(7205,	904,	4,	2),
(7206,	905,	2,	1),
(7207,	905,	3,	1),
(7208,	905,	4,	1),
(7209,	905,	2,	2),
(7210,	905,	3,	2),
(7211,	905,	4,	2),
(7212,	906,	2,	1),
(7213,	906,	3,	1),
(7214,	906,	4,	1),
(7215,	906,	2,	2),
(7216,	906,	3,	2),
(7217,	906,	4,	2),
(7218,	906,	2,	4),
(7219,	906,	3,	4),
(7220,	906,	4,	4),
(7221,	907,	2,	1),
(7222,	907,	3,	1),
(7223,	907,	4,	1),
(7224,	907,	2,	2),
(7225,	907,	3,	2),
(7226,	907,	4,	2),
(7227,	907,	2,	4),
(7228,	907,	3,	4),
(7229,	907,	4,	4),
(7230,	908,	2,	1),
(7231,	908,	3,	1),
(7232,	908,	4,	1),
(7233,	908,	2,	2),
(7234,	908,	3,	2),
(7235,	908,	4,	2),
(7236,	909,	2,	1),
(7237,	909,	3,	1),
(7238,	909,	4,	1),
(7239,	909,	2,	2),
(7240,	909,	3,	2),
(7241,	909,	4,	2),
(7242,	910,	2,	1),
(7243,	910,	3,	1),
(7244,	910,	4,	1),
(7245,	910,	2,	2),
(7246,	910,	3,	2),
(7247,	910,	4,	2),
(7248,	911,	2,	1),
(7249,	911,	3,	1),
(7250,	911,	4,	1),
(7251,	911,	2,	2),
(7252,	911,	3,	2),
(7253,	911,	4,	2),
(7254,	912,	2,	1),
(7255,	912,	3,	1),
(7256,	912,	4,	1),
(7257,	912,	2,	2),
(7258,	912,	3,	2),
(7259,	912,	4,	2),
(7260,	913,	2,	2),
(7261,	913,	3,	2),
(7262,	913,	4,	2),
(7263,	914,	2,	2),
(7264,	914,	3,	2),
(7265,	914,	4,	2),
(7266,	915,	2,	1),
(7267,	915,	3,	1),
(7268,	915,	4,	1),
(7269,	915,	2,	2),
(7270,	915,	3,	2),
(7271,	915,	4,	2),
(7272,	916,	2,	1),
(7273,	916,	3,	1),
(7274,	916,	4,	1),
(7275,	916,	2,	2),
(7276,	916,	3,	2),
(7277,	916,	4,	2),
(7278,	917,	2,	1),
(7279,	917,	3,	1),
(7280,	917,	4,	1),
(7281,	917,	2,	2),
(7282,	917,	3,	2),
(7283,	917,	4,	2),
(7284,	918,	2,	1),
(7285,	918,	3,	1),
(7286,	918,	4,	1),
(7287,	918,	2,	2),
(7288,	918,	3,	2),
(7289,	918,	4,	2),
(7290,	919,	6,	2),
(7291,	919,	23,	2),
(7292,	919,	24,	2),
(7293,	919,	78,	2),
(7294,	919,	1,	2),
(7295,	919,	2,	2),
(7296,	919,	3,	2),
(7297,	919,	22,	2),
(7298,	919,	4,	2),
(7299,	920,	6,	1),
(7300,	920,	23,	1),
(7301,	920,	2,	1),
(7302,	920,	3,	1),
(7303,	920,	4,	1),
(7304,	920,	6,	2),
(7305,	920,	23,	2),
(7306,	920,	2,	2),
(7307,	920,	3,	2),
(7308,	920,	4,	2),
(7309,	921,	2,	2),
(7310,	921,	3,	2),
(7311,	921,	4,	2),
(7312,	922,	2,	1),
(7313,	922,	3,	1),
(7314,	922,	4,	1),
(7315,	922,	2,	2),
(7316,	922,	3,	2),
(7317,	922,	4,	2),
(7318,	923,	6,	1),
(7319,	923,	23,	1),
(7320,	923,	2,	1),
(7321,	923,	3,	1),
(7322,	923,	4,	1),
(7323,	923,	6,	2),
(7324,	923,	23,	2),
(7325,	923,	2,	2),
(7326,	923,	3,	2),
(7327,	923,	4,	2),
(7328,	924,	6,	2),
(7329,	924,	23,	2),
(7330,	924,	2,	2),
(7331,	924,	3,	2),
(7332,	924,	4,	2),
(7333,	925,	2,	2),
(7334,	925,	3,	2),
(7335,	925,	4,	2),
(7336,	926,	2,	1),
(7337,	926,	3,	1),
(7338,	926,	4,	1),
(7339,	926,	2,	2),
(7340,	926,	3,	2),
(7341,	926,	4,	2),
(7342,	927,	2,	1),
(7343,	927,	3,	1),
(7344,	927,	4,	1),
(7345,	927,	2,	2),
(7346,	927,	3,	2),
(7347,	927,	4,	2),
(7348,	928,	2,	2),
(7349,	928,	3,	2),
(7350,	928,	4,	2),
(7351,	929,	2,	1),
(7352,	929,	3,	1),
(7353,	929,	4,	1),
(7354,	929,	2,	2),
(7355,	929,	3,	2),
(7356,	929,	4,	2),
(7357,	930,	55,	2),
(7358,	930,	5,	2),
(7359,	930,	33,	2),
(7360,	930,	2,	2),
(7361,	930,	3,	2),
(7362,	930,	22,	2),
(7363,	930,	4,	2),
(7364,	931,	2,	2),
(7365,	931,	3,	2),
(7366,	931,	4,	2),
(7367,	932,	75,	2),
(7368,	932,	55,	2),
(7369,	932,	5,	2),
(7370,	932,	23,	2),
(7371,	932,	24,	2),
(7372,	932,	1,	2),
(7373,	932,	48,	2),
(7374,	932,	42,	2),
(7375,	932,	47,	2),
(7376,	932,	79,	2),
(7377,	932,	80,	2),
(7378,	932,	2,	2),
(7379,	932,	3,	2),
(7380,	932,	22,	2),
(7381,	932,	4,	2),
(7382,	933,	55,	2),
(7383,	933,	5,	2),
(7384,	933,	33,	2),
(7385,	933,	2,	2),
(7386,	933,	3,	2),
(7387,	933,	22,	2),
(7388,	933,	4,	2),
(7389,	934,	55,	2),
(7390,	934,	2,	2),
(7391,	934,	3,	2),
(7392,	934,	4,	2),
(7393,	935,	55,	2),
(7394,	935,	2,	2),
(7395,	935,	3,	2),
(7396,	935,	4,	2),
(7397,	936,	55,	2),
(7398,	936,	5,	2),
(7399,	936,	6,	2),
(7400,	936,	23,	2),
(7401,	936,	24,	2),
(7402,	936,	1,	2),
(7403,	936,	2,	2),
(7404,	936,	3,	2),
(7405,	936,	22,	2),
(7406,	936,	4,	2),
(7407,	937,	2,	1),
(7408,	937,	3,	1),
(7409,	937,	4,	1),
(7410,	937,	2,	2),
(7411,	937,	3,	2),
(7412,	937,	4,	2),
(7413,	937,	2,	3),
(7414,	937,	3,	3),
(7415,	937,	4,	3),
(7416,	938,	55,	2),
(7417,	938,	2,	2),
(7418,	938,	3,	2),
(7419,	938,	4,	2),
(7420,	939,	2,	1),
(7421,	939,	3,	1),
(7422,	939,	4,	1),
(7423,	939,	2,	2),
(7424,	939,	3,	2),
(7425,	939,	4,	2),
(7426,	940,	2,	2),
(7427,	940,	3,	2),
(7428,	940,	4,	2),
(7429,	941,	2,	1),
(7430,	941,	3,	1),
(7431,	941,	4,	1),
(7432,	941,	2,	2),
(7433,	941,	3,	2),
(7434,	941,	4,	2),
(7435,	942,	2,	1),
(7436,	942,	3,	1),
(7437,	942,	4,	1),
(7438,	942,	2,	2),
(7439,	942,	3,	2),
(7440,	942,	4,	2),
(7441,	943,	2,	2),
(7442,	943,	3,	2),
(7443,	943,	4,	2),
(7444,	944,	2,	2),
(7445,	944,	3,	2),
(7446,	944,	4,	2),
(7447,	945,	2,	1),
(7448,	945,	3,	1),
(7449,	945,	4,	1),
(7450,	945,	2,	2),
(7451,	945,	3,	2),
(7452,	945,	4,	2),
(7453,	946,	2,	1),
(7454,	946,	3,	1),
(7455,	946,	4,	1),
(7456,	946,	2,	2),
(7457,	946,	3,	2),
(7458,	946,	4,	2),
(7459,	947,	1,	1),
(7460,	947,	2,	1),
(7461,	947,	3,	1),
(7462,	947,	22,	1),
(7463,	947,	4,	1),
(7464,	947,	1,	2),
(7465,	947,	2,	2),
(7466,	947,	3,	2),
(7467,	947,	22,	2),
(7468,	947,	4,	2),
(7469,	947,	1,	4),
(7470,	947,	2,	4),
(7471,	947,	3,	4),
(7472,	947,	22,	4),
(7473,	947,	4,	4),
(7474,	948,	2,	1),
(7475,	948,	3,	1),
(7476,	948,	4,	1),
(7477,	948,	2,	2),
(7478,	948,	3,	2),
(7479,	948,	4,	2),
(7480,	949,	2,	1),
(7481,	949,	3,	1),
(7482,	949,	4,	1),
(7483,	949,	2,	2),
(7484,	949,	3,	2),
(7485,	949,	4,	2),
(7486,	950,	2,	2),
(7487,	950,	3,	2),
(7488,	950,	4,	2),
(7489,	950,	2,	4),
(7490,	950,	3,	4),
(7491,	950,	4,	4),
(7492,	951,	2,	2),
(7493,	951,	3,	2),
(7494,	951,	4,	2),
(7495,	952,	2,	1),
(7496,	952,	3,	1),
(7497,	952,	4,	1),
(7498,	952,	2,	2),
(7499,	952,	3,	2),
(7500,	952,	4,	2),
(7501,	953,	2,	1),
(7502,	953,	3,	1),
(7503,	953,	4,	1),
(7504,	953,	2,	2),
(7505,	953,	3,	2),
(7506,	953,	4,	2),
(7507,	954,	2,	2),
(7508,	954,	3,	2),
(7509,	954,	4,	2),
(7510,	955,	2,	1),
(7511,	955,	3,	1),
(7512,	955,	4,	1),
(7513,	955,	2,	2),
(7514,	955,	3,	2),
(7515,	955,	4,	2),
(7516,	957,	2,	1),
(7517,	957,	3,	1),
(7518,	957,	4,	1),
(7519,	957,	2,	2),
(7520,	957,	3,	2),
(7521,	957,	4,	2),
(7522,	958,	24,	1),
(7523,	958,	2,	1),
(7524,	958,	3,	1),
(7525,	958,	4,	1),
(7526,	958,	24,	2),
(7527,	958,	2,	2),
(7528,	958,	3,	2),
(7529,	958,	4,	2),
(7530,	959,	2,	2),
(7531,	959,	3,	2),
(7532,	959,	4,	2),
(7533,	959,	2,	4),
(7534,	959,	3,	4),
(7535,	959,	4,	4),
(7536,	960,	2,	1),
(7537,	960,	3,	1),
(7538,	960,	4,	1),
(7539,	960,	2,	2),
(7540,	960,	3,	2),
(7541,	960,	4,	2),
(7542,	961,	2,	1),
(7543,	961,	3,	1),
(7544,	961,	4,	1),
(7545,	961,	2,	2),
(7546,	961,	3,	2),
(7547,	961,	4,	2),
(7548,	962,	2,	2),
(7549,	962,	3,	2),
(7550,	962,	4,	2),
(7551,	963,	2,	1),
(7552,	963,	3,	1),
(7553,	963,	4,	1),
(7554,	963,	2,	2),
(7555,	963,	3,	2),
(7556,	963,	4,	2),
(7557,	964,	2,	1),
(7558,	964,	3,	1),
(7559,	964,	4,	1),
(7560,	964,	2,	2),
(7561,	964,	3,	2),
(7562,	964,	4,	2),
(7563,	965,	2,	2),
(7564,	965,	3,	2),
(7565,	965,	4,	2),
(7566,	965,	2,	4),
(7567,	965,	3,	4),
(7568,	965,	4,	4),
(7569,	966,	2,	2),
(7570,	966,	3,	2),
(7571,	966,	4,	2),
(7572,	966,	2,	4),
(7573,	966,	3,	4),
(7574,	966,	4,	4),
(7575,	967,	2,	1),
(7576,	967,	3,	1),
(7577,	967,	4,	1),
(7578,	967,	2,	2),
(7579,	967,	3,	2),
(7580,	967,	4,	2),
(7581,	968,	2,	2),
(7582,	968,	3,	2),
(7583,	968,	4,	2),
(7584,	969,	2,	2),
(7585,	969,	3,	2),
(7586,	969,	22,	2),
(7587,	969,	4,	2),
(7588,	969,	2,	4),
(7589,	969,	3,	4),
(7590,	969,	22,	4),
(7591,	969,	4,	4),
(7592,	970,	2,	2),
(7593,	970,	3,	2),
(7594,	970,	4,	2),
(7595,	970,	2,	4),
(7596,	970,	3,	4),
(7597,	970,	4,	4),
(7598,	971,	2,	1),
(7599,	971,	3,	1),
(7600,	971,	4,	1),
(7601,	971,	2,	2),
(7602,	971,	3,	2),
(7603,	971,	4,	2),
(7604,	971,	2,	4),
(7605,	971,	3,	4),
(7606,	971,	4,	4),
(7607,	972,	2,	2),
(7608,	972,	3,	2),
(7609,	972,	22,	2),
(7610,	972,	4,	2),
(7611,	972,	2,	4),
(7612,	972,	3,	4),
(7613,	972,	22,	4),
(7614,	972,	4,	4),
(7615,	973,	2,	2),
(7616,	973,	3,	2),
(7617,	973,	4,	2),
(7618,	973,	2,	4),
(7619,	973,	3,	4),
(7620,	973,	4,	4),
(7621,	974,	2,	2),
(7622,	974,	3,	2),
(7623,	974,	4,	2),
(7624,	975,	2,	1),
(7625,	975,	3,	1),
(7626,	975,	4,	1),
(7627,	975,	2,	2),
(7628,	975,	3,	2),
(7629,	975,	4,	2),
(7630,	975,	2,	4),
(7631,	975,	3,	4),
(7632,	975,	4,	4),
(7633,	976,	2,	1),
(7634,	976,	3,	1),
(7635,	976,	4,	1),
(7636,	976,	2,	2),
(7637,	976,	3,	2),
(7638,	976,	4,	2),
(7639,	977,	2,	1),
(7640,	977,	3,	1),
(7641,	977,	4,	1),
(7642,	977,	2,	2),
(7643,	977,	3,	2),
(7644,	977,	4,	2),
(7645,	978,	2,	2),
(7646,	978,	3,	2),
(7647,	978,	4,	2),
(7648,	979,	2,	2),
(7649,	979,	3,	2),
(7650,	979,	4,	2),
(7651,	980,	2,	2),
(7652,	980,	3,	2),
(7653,	980,	4,	2),
(7654,	980,	2,	4),
(7655,	980,	3,	4),
(7656,	980,	4,	4),
(7657,	981,	2,	2),
(7658,	981,	3,	2),
(7659,	981,	4,	2),
(7660,	981,	2,	4),
(7661,	981,	3,	4),
(7662,	981,	4,	4),
(7663,	982,	2,	1),
(7664,	982,	3,	1),
(7665,	982,	4,	1),
(7666,	982,	2,	2),
(7667,	982,	3,	2),
(7668,	982,	4,	2),
(7669,	983,	2,	2),
(7670,	983,	3,	2),
(7671,	983,	4,	2),
(7672,	983,	2,	4),
(7673,	983,	3,	4),
(7674,	983,	4,	4),
(7675,	984,	6,	2),
(7676,	984,	23,	2),
(7677,	984,	24,	2),
(7678,	984,	1,	2),
(7679,	984,	2,	2),
(7680,	984,	3,	2),
(7681,	984,	4,	2),
(7682,	984,	6,	4),
(7683,	984,	23,	4),
(7684,	984,	24,	4),
(7685,	984,	1,	4),
(7686,	984,	2,	4),
(7687,	984,	3,	4),
(7688,	984,	4,	4),
(7689,	985,	2,	1),
(7690,	985,	3,	1),
(7691,	985,	4,	1),
(7692,	985,	2,	2),
(7693,	985,	3,	2),
(7694,	985,	4,	2),
(7695,	985,	2,	3),
(7696,	985,	3,	3),
(7697,	985,	4,	3),
(7698,	986,	2,	2),
(7699,	986,	3,	2),
(7700,	986,	4,	2),
(7701,	987,	2,	1),
(7702,	987,	3,	1),
(7703,	987,	4,	1),
(7704,	987,	2,	2),
(7705,	987,	3,	2),
(7706,	987,	4,	2),
(7707,	988,	2,	2),
(7708,	988,	3,	2),
(7709,	988,	4,	2),
(7710,	989,	2,	1),
(7711,	989,	3,	1),
(7712,	989,	4,	1),
(7713,	989,	2,	2),
(7714,	989,	3,	2),
(7715,	989,	4,	2),
(7716,	990,	2,	1),
(7717,	990,	3,	1),
(7718,	990,	4,	1),
(7719,	990,	2,	2),
(7720,	990,	3,	2),
(7721,	990,	4,	2),
(7722,	991,	2,	1),
(7723,	991,	3,	1),
(7724,	991,	4,	1),
(7725,	991,	2,	2),
(7726,	991,	3,	2),
(7727,	991,	4,	2),
(7728,	992,	2,	2),
(7729,	992,	3,	2),
(7730,	992,	22,	2),
(7731,	992,	4,	2),
(7732,	992,	2,	4),
(7733,	992,	3,	4),
(7734,	992,	22,	4),
(7735,	992,	4,	4),
(7736,	993,	2,	1),
(7737,	993,	3,	1),
(7738,	993,	4,	1),
(7739,	993,	2,	2),
(7740,	993,	3,	2),
(7741,	993,	4,	2),
(7742,	993,	2,	4),
(7743,	993,	3,	4),
(7744,	993,	4,	4),
(7745,	994,	2,	1),
(7746,	994,	3,	1),
(7747,	994,	4,	1),
(7748,	994,	2,	2),
(7749,	994,	3,	2),
(7750,	994,	4,	2),
(7751,	994,	2,	4),
(7752,	994,	3,	4),
(7753,	994,	4,	4),
(7754,	995,	2,	1),
(7755,	995,	3,	1),
(7756,	995,	4,	1),
(7757,	995,	2,	2),
(7758,	995,	3,	2),
(7759,	995,	4,	2),
(7760,	995,	2,	4),
(7761,	995,	3,	4),
(7762,	995,	4,	4),
(7763,	996,	2,	1),
(7764,	996,	3,	1),
(7765,	996,	4,	1),
(7766,	996,	2,	2),
(7767,	996,	3,	2),
(7768,	996,	4,	2),
(7769,	996,	2,	4),
(7770,	996,	3,	4),
(7771,	996,	4,	4),
(7772,	997,	2,	2),
(7773,	997,	3,	2),
(7774,	997,	4,	2),
(7775,	998,	2,	1),
(7776,	998,	3,	1),
(7777,	998,	4,	1),
(7778,	998,	2,	2),
(7779,	998,	3,	2),
(7780,	998,	4,	2),
(7781,	999,	2,	1),
(7782,	999,	3,	1),
(7783,	999,	4,	1),
(7784,	999,	2,	2),
(7785,	999,	3,	2),
(7786,	999,	4,	2),
(7787,	999,	2,	4),
(7788,	999,	3,	4),
(7789,	999,	4,	4),
(7790,	1000,	2,	2),
(7791,	1000,	3,	2),
(7792,	1000,	4,	2),
(7793,	1001,	2,	1),
(7794,	1001,	3,	1),
(7795,	1001,	4,	1),
(7796,	1001,	2,	2),
(7797,	1001,	3,	2),
(7798,	1001,	4,	2),
(7799,	1002,	2,	1),
(7800,	1002,	3,	1),
(7801,	1002,	4,	1),
(7802,	1002,	2,	2),
(7803,	1002,	3,	2),
(7804,	1002,	4,	2),
(7805,	1003,	2,	1),
(7806,	1003,	3,	1),
(7807,	1003,	4,	1),
(7808,	1003,	2,	2),
(7809,	1003,	3,	2),
(7810,	1003,	4,	2),
(7811,	1004,	2,	1),
(7812,	1004,	3,	1),
(7813,	1004,	4,	1),
(7814,	1004,	2,	2),
(7815,	1004,	3,	2),
(7816,	1004,	4,	2),
(7817,	1005,	2,	2),
(7818,	1005,	3,	2),
(7819,	1005,	4,	2),
(7820,	1005,	2,	4),
(7821,	1005,	3,	4),
(7822,	1005,	4,	4),
(7823,	1006,	2,	1),
(7824,	1006,	3,	1),
(7825,	1006,	4,	1),
(7826,	1006,	2,	2),
(7827,	1006,	3,	2),
(7828,	1006,	4,	2),
(7829,	1007,	2,	1),
(7830,	1007,	3,	1),
(7831,	1007,	4,	1),
(7832,	1007,	2,	2),
(7833,	1007,	3,	2),
(7834,	1007,	4,	2),
(7835,	1008,	2,	1),
(7836,	1008,	3,	1),
(7837,	1008,	4,	1),
(7838,	1008,	2,	2),
(7839,	1008,	3,	2),
(7840,	1008,	4,	2),
(7841,	1009,	2,	2),
(7842,	1009,	3,	2),
(7843,	1009,	4,	2),
(7844,	1010,	2,	1),
(7845,	1010,	3,	1),
(7846,	1010,	4,	1),
(7847,	1010,	2,	2),
(7848,	1010,	3,	2),
(7849,	1010,	4,	2),
(7850,	1010,	2,	4),
(7851,	1010,	3,	4),
(7852,	1010,	4,	4),
(7853,	1011,	2,	1),
(7854,	1011,	3,	1),
(7855,	1011,	4,	1),
(7856,	1011,	2,	2),
(7857,	1011,	3,	2),
(7858,	1011,	4,	2),
(7859,	1012,	2,	1),
(7860,	1012,	3,	1),
(7861,	1012,	4,	1),
(7862,	1012,	2,	2),
(7863,	1012,	3,	2),
(7864,	1012,	4,	2),
(7865,	1013,	2,	1),
(7866,	1013,	3,	1),
(7867,	1013,	4,	1),
(7868,	1013,	2,	2),
(7869,	1013,	3,	2),
(7870,	1013,	4,	2),
(7871,	1014,	2,	1),
(7872,	1014,	3,	1),
(7873,	1014,	4,	1),
(7874,	1014,	2,	2),
(7875,	1014,	3,	2),
(7876,	1014,	4,	2),
(7877,	1015,	2,	2),
(7878,	1015,	3,	2),
(7879,	1015,	4,	2),
(7880,	1015,	2,	4),
(7881,	1015,	3,	4),
(7882,	1015,	4,	4),
(7883,	1016,	2,	2),
(7884,	1016,	3,	2),
(7885,	1016,	4,	2),
(7886,	1017,	2,	1),
(7887,	1017,	3,	1),
(7888,	1017,	4,	1),
(7889,	1017,	2,	2),
(7890,	1017,	3,	2),
(7891,	1017,	4,	2),
(7892,	1018,	2,	1),
(7893,	1018,	3,	1),
(7894,	1018,	4,	1),
(7895,	1018,	2,	2),
(7896,	1018,	3,	2),
(7897,	1018,	4,	2),
(7898,	1019,	2,	1),
(7899,	1019,	3,	1),
(7900,	1019,	4,	1),
(7901,	1019,	2,	2),
(7902,	1019,	3,	2),
(7903,	1019,	4,	2),
(7904,	1019,	2,	4),
(7905,	1019,	3,	4),
(7906,	1019,	4,	4),
(7907,	1020,	2,	2),
(7908,	1020,	3,	2),
(7909,	1020,	4,	2),
(7910,	1021,	2,	1),
(7911,	1021,	3,	1),
(7912,	1021,	4,	1),
(7913,	1021,	2,	2),
(7914,	1021,	3,	2),
(7915,	1021,	4,	2),
(7916,	1022,	2,	1),
(7917,	1022,	3,	1),
(7918,	1022,	4,	1),
(7919,	1022,	2,	2),
(7920,	1022,	3,	2),
(7921,	1022,	4,	2),
(7922,	1023,	2,	1),
(7923,	1023,	3,	1),
(7924,	1023,	4,	1),
(7925,	1023,	2,	2),
(7926,	1023,	3,	2),
(7927,	1023,	4,	2),
(7928,	1024,	2,	1),
(7929,	1024,	3,	1),
(7930,	1024,	4,	1),
(7931,	1024,	2,	2),
(7932,	1024,	3,	2),
(7933,	1024,	4,	2),
(7934,	1025,	2,	1),
(7935,	1025,	3,	1),
(7936,	1025,	4,	1),
(7937,	1025,	2,	2),
(7938,	1025,	3,	2),
(7939,	1025,	4,	2),
(7940,	1026,	2,	1),
(7941,	1026,	3,	1),
(7942,	1026,	4,	1),
(7943,	1026,	2,	2),
(7944,	1026,	3,	2),
(7945,	1026,	4,	2),
(7946,	1026,	2,	4),
(7947,	1026,	3,	4),
(7948,	1026,	4,	4),
(7949,	1027,	2,	1),
(7950,	1027,	3,	1),
(7951,	1027,	4,	1),
(7952,	1027,	2,	2),
(7953,	1027,	3,	2),
(7954,	1027,	4,	2),
(7955,	1028,	2,	1),
(7956,	1028,	3,	1),
(7957,	1028,	4,	1),
(7958,	1028,	2,	2),
(7959,	1028,	3,	2),
(7960,	1028,	4,	2),
(7961,	1029,	2,	1),
(7962,	1029,	3,	1),
(7963,	1029,	4,	1),
(7964,	1029,	2,	2),
(7965,	1029,	3,	2),
(7966,	1029,	4,	2),
(7967,	1030,	2,	1),
(7968,	1030,	3,	1),
(7969,	1030,	4,	1),
(7970,	1030,	2,	2),
(7971,	1030,	3,	2),
(7972,	1030,	4,	2),
(7973,	1031,	2,	2),
(7974,	1031,	3,	2),
(7975,	1031,	4,	2),
(7976,	1031,	2,	4),
(7977,	1031,	3,	4),
(7978,	1031,	4,	4),
(7979,	1032,	2,	2),
(7980,	1032,	3,	2),
(7981,	1032,	4,	2),
(7982,	1033,	2,	1),
(7983,	1033,	3,	1),
(7984,	1033,	4,	1),
(7985,	1033,	2,	2),
(7986,	1033,	3,	2),
(7987,	1033,	4,	2),
(7988,	1034,	2,	1),
(7989,	1034,	3,	1),
(7990,	1034,	4,	1),
(7991,	1034,	2,	2),
(7992,	1034,	3,	2),
(7993,	1034,	4,	2),
(7994,	1035,	2,	1),
(7995,	1035,	3,	1),
(7996,	1035,	4,	1),
(7997,	1035,	2,	2),
(7998,	1035,	3,	2),
(7999,	1035,	4,	2),
(8000,	1036,	2,	1),
(8001,	1036,	3,	1),
(8002,	1036,	4,	1),
(8003,	1036,	2,	2),
(8004,	1036,	3,	2),
(8005,	1036,	4,	2),
(8006,	1036,	2,	4),
(8007,	1036,	3,	4),
(8008,	1036,	4,	4),
(8009,	1037,	2,	1),
(8010,	1037,	3,	1),
(8011,	1037,	4,	1),
(8012,	1037,	2,	2),
(8013,	1037,	3,	2),
(8014,	1037,	4,	2),
(8015,	1038,	2,	1),
(8016,	1038,	3,	1),
(8017,	1038,	4,	1),
(8018,	1038,	2,	2),
(8019,	1038,	3,	2),
(8020,	1038,	4,	2),
(8021,	1039,	2,	2),
(8022,	1039,	3,	2),
(8023,	1039,	4,	2),
(8024,	1039,	2,	4),
(8025,	1039,	3,	4),
(8026,	1039,	4,	4),
(8027,	1040,	2,	1),
(8028,	1040,	3,	1),
(8029,	1040,	4,	1),
(8030,	1040,	2,	2),
(8031,	1040,	3,	2),
(8032,	1040,	4,	2),
(8033,	1041,	2,	1),
(8034,	1041,	3,	1),
(8035,	1041,	4,	1),
(8036,	1041,	2,	2),
(8037,	1041,	3,	2),
(8038,	1041,	4,	2),
(8039,	1042,	2,	2),
(8040,	1042,	3,	2),
(8041,	1042,	4,	2),
(8042,	1043,	2,	1),
(8043,	1043,	3,	1),
(8044,	1043,	4,	1),
(8045,	1043,	2,	2),
(8046,	1043,	3,	2),
(8047,	1043,	4,	2),
(8048,	1044,	2,	1),
(8049,	1044,	3,	1),
(8050,	1044,	4,	1),
(8051,	1044,	2,	2),
(8052,	1044,	3,	2),
(8053,	1044,	4,	2),
(8054,	1045,	2,	1),
(8055,	1045,	3,	1),
(8056,	1045,	4,	1),
(8057,	1045,	2,	2),
(8058,	1045,	3,	2),
(8059,	1045,	4,	2),
(8060,	1045,	2,	4),
(8061,	1045,	3,	4),
(8062,	1045,	4,	4),
(8063,	1046,	2,	2),
(8064,	1046,	3,	2),
(8065,	1046,	4,	2),
(8066,	1047,	2,	1),
(8067,	1047,	3,	1),
(8068,	1047,	4,	1),
(8069,	1047,	2,	2),
(8070,	1047,	3,	2),
(8071,	1047,	4,	2),
(8072,	1047,	2,	4),
(8073,	1047,	3,	4),
(8074,	1047,	4,	4),
(8075,	1048,	2,	1),
(8076,	1048,	3,	1),
(8077,	1048,	4,	1),
(8078,	1048,	2,	2),
(8079,	1048,	3,	2),
(8080,	1048,	4,	2),
(8081,	1049,	2,	1),
(8082,	1049,	3,	1),
(8083,	1049,	4,	1),
(8084,	1049,	2,	2),
(8085,	1049,	3,	2),
(8086,	1049,	4,	2),
(8087,	1050,	2,	1),
(8088,	1050,	3,	1),
(8089,	1050,	4,	1),
(8090,	1050,	2,	2),
(8091,	1050,	3,	2),
(8092,	1050,	4,	2),
(8093,	1051,	2,	1),
(8094,	1051,	3,	1),
(8095,	1051,	4,	1),
(8096,	1051,	2,	2),
(8097,	1051,	3,	2),
(8098,	1051,	4,	2),
(8099,	1051,	2,	4),
(8100,	1051,	3,	4),
(8101,	1051,	4,	4),
(8102,	1052,	2,	2),
(8103,	1052,	3,	2),
(8104,	1052,	4,	2),
(8105,	1053,	2,	2),
(8106,	1053,	3,	2),
(8107,	1053,	4,	2),
(8108,	1054,	2,	2),
(8109,	1054,	3,	2),
(8110,	1054,	4,	2),
(8111,	1055,	2,	1),
(8112,	1055,	3,	1),
(8113,	1055,	4,	1),
(8114,	1055,	2,	2),
(8115,	1055,	3,	2),
(8116,	1055,	4,	2),
(8117,	1055,	2,	4),
(8118,	1055,	3,	4),
(8119,	1055,	4,	4),
(8120,	1056,	2,	2),
(8121,	1056,	3,	2),
(8122,	1056,	4,	2),
(8123,	1057,	2,	1),
(8124,	1057,	3,	1),
(8125,	1057,	4,	1),
(8126,	1057,	2,	2),
(8127,	1057,	3,	2),
(8128,	1057,	4,	2),
(8129,	1058,	2,	2),
(8130,	1058,	3,	2),
(8131,	1058,	4,	2),
(8132,	1058,	2,	4),
(8133,	1058,	3,	4),
(8134,	1058,	4,	4),
(8135,	1059,	2,	2),
(8136,	1059,	3,	2),
(8137,	1059,	4,	2),
(8138,	1060,	2,	2),
(8139,	1060,	3,	2),
(8140,	1060,	4,	2),
(8141,	1061,	2,	2),
(8142,	1061,	3,	2),
(8143,	1061,	4,	2),
(8144,	1062,	2,	2),
(8145,	1062,	3,	2),
(8146,	1062,	4,	2),
(8147,	1062,	2,	4),
(8148,	1062,	3,	4),
(8149,	1062,	4,	4),
(8150,	1063,	2,	1),
(8151,	1063,	3,	1),
(8152,	1063,	4,	1),
(8153,	1063,	2,	2),
(8154,	1063,	3,	2),
(8155,	1063,	4,	2),
(8156,	1064,	2,	2),
(8157,	1064,	3,	2),
(8158,	1064,	4,	2),
(8159,	1065,	2,	1),
(8160,	1065,	3,	1),
(8161,	1065,	4,	1),
(8162,	1065,	2,	2),
(8163,	1065,	3,	2),
(8164,	1065,	4,	2),
(8165,	1066,	2,	1),
(8166,	1066,	3,	1),
(8167,	1066,	4,	1),
(8168,	1066,	2,	2),
(8169,	1066,	3,	2),
(8170,	1066,	4,	2),
(8171,	1067,	2,	2),
(8172,	1067,	3,	2),
(8173,	1067,	4,	2),
(8174,	1067,	2,	4),
(8175,	1067,	3,	4),
(8176,	1067,	4,	4),
(8177,	1068,	2,	2),
(8178,	1068,	3,	2),
(8179,	1068,	4,	2),
(8180,	1069,	2,	2),
(8181,	1069,	3,	2),
(8182,	1069,	4,	2),
(8183,	1069,	2,	4),
(8184,	1069,	3,	4),
(8185,	1069,	4,	4),
(8186,	1070,	2,	2),
(8187,	1070,	3,	2),
(8188,	1070,	4,	2),
(8189,	1071,	2,	2),
(8190,	1071,	3,	2),
(8191,	1071,	22,	2),
(8192,	1071,	4,	2),
(8193,	1072,	2,	2),
(8194,	1072,	3,	2),
(8195,	1072,	4,	2),
(8196,	1073,	6,	2),
(8197,	1073,	2,	2),
(8198,	1073,	3,	2),
(8199,	1073,	4,	2),
(8200,	1074,	2,	2),
(8201,	1074,	3,	2),
(8202,	1074,	4,	2),
(8203,	1075,	6,	2),
(8204,	1075,	2,	2),
(8205,	1075,	3,	2),
(8206,	1075,	22,	2),
(8207,	1075,	4,	2),
(8208,	1076,	2,	2),
(8209,	1076,	3,	2),
(8210,	1076,	4,	2),
(8211,	1077,	2,	1),
(8212,	1077,	3,	1),
(8213,	1077,	4,	1),
(8214,	1077,	2,	2),
(8215,	1077,	3,	2),
(8216,	1077,	4,	2),
(8217,	1078,	6,	1),
(8218,	1078,	2,	1),
(8219,	1078,	3,	1),
(8220,	1078,	22,	1),
(8221,	1078,	4,	1),
(8222,	1078,	6,	2),
(8223,	1078,	2,	2),
(8224,	1078,	3,	2),
(8225,	1078,	22,	2),
(8226,	1078,	4,	2),
(8227,	1079,	2,	1),
(8228,	1079,	3,	1),
(8229,	1079,	4,	1),
(8230,	1079,	2,	2),
(8231,	1079,	3,	2),
(8232,	1079,	4,	2),
(8233,	1080,	2,	1),
(8234,	1080,	3,	1),
(8235,	1080,	4,	1),
(8236,	1080,	2,	2),
(8237,	1080,	3,	2),
(8238,	1080,	4,	2),
(8239,	1081,	2,	1),
(8240,	1081,	3,	1),
(8241,	1081,	4,	1),
(8242,	1081,	2,	2),
(8243,	1081,	3,	2),
(8244,	1081,	4,	2),
(8245,	1082,	2,	1),
(8246,	1082,	3,	1),
(8247,	1082,	4,	1),
(8248,	1082,	2,	2),
(8249,	1082,	3,	2),
(8250,	1082,	4,	2),
(8251,	1083,	2,	2),
(8252,	1083,	3,	2),
(8253,	1083,	4,	2),
(8254,	1084,	2,	2),
(8255,	1084,	3,	2),
(8256,	1084,	4,	2),
(8257,	1085,	2,	1),
(8258,	1085,	3,	1),
(8259,	1085,	4,	1),
(8260,	1085,	2,	2),
(8261,	1085,	3,	2),
(8262,	1085,	4,	2),
(8263,	1086,	2,	1),
(8264,	1086,	3,	1),
(8265,	1086,	4,	1),
(8266,	1086,	2,	2),
(8267,	1086,	3,	2),
(8268,	1086,	4,	2),
(8269,	1087,	6,	2),
(8270,	1087,	2,	2),
(8271,	1087,	3,	2),
(8272,	1087,	4,	2),
(8273,	1087,	6,	4),
(8274,	1087,	2,	4),
(8275,	1087,	3,	4),
(8276,	1087,	4,	4),
(8277,	1088,	2,	2),
(8278,	1088,	3,	2),
(8279,	1088,	4,	2),
(8280,	1089,	2,	2),
(8281,	1089,	3,	2),
(8282,	1089,	4,	2),
(8283,	1089,	2,	4),
(8284,	1089,	3,	4),
(8285,	1089,	4,	4),
(8286,	1090,	6,	2),
(8287,	1090,	2,	2),
(8288,	1090,	3,	2),
(8289,	1090,	4,	2),
(8290,	1090,	6,	4),
(8291,	1090,	2,	4),
(8292,	1090,	3,	4),
(8293,	1090,	4,	4),
(8294,	1091,	6,	2),
(8295,	1091,	2,	2),
(8296,	1091,	3,	2),
(8297,	1091,	4,	2),
(8298,	1091,	6,	4),
(8299,	1091,	2,	4),
(8300,	1091,	3,	4),
(8301,	1091,	4,	4),
(8302,	1092,	2,	2),
(8303,	1092,	3,	2),
(8304,	1092,	4,	2),
(8305,	1093,	2,	2),
(8306,	1093,	3,	2),
(8307,	1093,	4,	2),
(8308,	1094,	2,	2),
(8309,	1094,	3,	2),
(8310,	1094,	4,	2),
(8311,	1095,	2,	2),
(8312,	1095,	3,	2),
(8313,	1095,	4,	2),
(8314,	1096,	6,	2),
(8315,	1096,	2,	2),
(8316,	1096,	3,	2),
(8317,	1096,	4,	2),
(8318,	1096,	6,	4),
(8319,	1096,	2,	4),
(8320,	1096,	3,	4),
(8321,	1096,	4,	4),
(8322,	1097,	6,	2),
(8323,	1097,	2,	2),
(8324,	1097,	3,	2),
(8325,	1097,	4,	2),
(8326,	1097,	6,	4),
(8327,	1097,	2,	4),
(8328,	1097,	3,	4),
(8329,	1097,	4,	4),
(8330,	1098,	2,	2),
(8331,	1098,	3,	2),
(8332,	1098,	4,	2),
(8333,	1099,	2,	2),
(8334,	1099,	3,	2),
(8335,	1099,	26,	2),
(8336,	1099,	27,	2),
(8337,	1099,	28,	2),
(8338,	1099,	4,	2),
(8339,	1099,	69,	2),
(8340,	1100,	2,	2),
(8341,	1100,	3,	2),
(8342,	1100,	4,	2),
(8343,	1101,	6,	2),
(8344,	1101,	2,	2),
(8345,	1101,	3,	2),
(8346,	1101,	4,	2),
(8347,	1101,	6,	4),
(8348,	1101,	2,	4),
(8349,	1101,	3,	4),
(8350,	1101,	4,	4),
(8351,	1102,	2,	2),
(8352,	1102,	3,	2),
(8353,	1102,	4,	2),
(8354,	1103,	2,	2),
(8355,	1103,	3,	2),
(8356,	1103,	4,	2),
(8357,	1104,	2,	2),
(8358,	1104,	3,	2),
(8359,	1104,	22,	2),
(8360,	1104,	4,	2),
(8361,	1104,	2,	4),
(8362,	1104,	3,	4),
(8363,	1104,	22,	4),
(8364,	1104,	4,	4),
(8365,	1105,	6,	2),
(8366,	1105,	2,	2),
(8367,	1105,	3,	2),
(8368,	1105,	22,	2),
(8369,	1105,	4,	2),
(8370,	1105,	6,	4),
(8371,	1105,	2,	4),
(8372,	1105,	3,	4),
(8373,	1105,	22,	4),
(8374,	1105,	4,	4),
(8375,	1106,	2,	2),
(8376,	1106,	3,	2),
(8377,	1106,	4,	2),
(8378,	1107,	2,	2),
(8379,	1107,	3,	2),
(8380,	1107,	4,	2),
(8381,	1107,	2,	4),
(8382,	1107,	3,	4),
(8383,	1107,	4,	4),
(8384,	1108,	6,	2),
(8385,	1108,	2,	2),
(8386,	1108,	3,	2),
(8387,	1108,	22,	2),
(8388,	1108,	4,	2),
(8389,	1108,	81,	2),
(8390,	1109,	2,	1),
(8391,	1109,	3,	1),
(8392,	1109,	4,	1),
(8393,	1109,	2,	2),
(8394,	1109,	3,	2),
(8395,	1109,	4,	2),
(8396,	1110,	2,	2),
(8397,	1110,	3,	2),
(8398,	1110,	4,	2),
(8399,	1111,	2,	2),
(8400,	1111,	3,	2),
(8401,	1111,	4,	2),
(8402,	1112,	2,	2),
(8403,	1112,	3,	2),
(8404,	1112,	4,	2),
(8405,	1113,	2,	1),
(8406,	1113,	3,	1),
(8407,	1113,	4,	1),
(8408,	1113,	2,	2),
(8409,	1113,	3,	2),
(8410,	1113,	4,	2),
(8411,	1114,	2,	2),
(8412,	1114,	3,	2),
(8413,	1114,	4,	2),
(8414,	1115,	2,	1),
(8415,	1115,	3,	1),
(8416,	1115,	4,	1),
(8417,	1115,	2,	2),
(8418,	1115,	3,	2),
(8419,	1115,	4,	2),
(8420,	1116,	6,	2),
(8421,	1116,	2,	2),
(8422,	1116,	3,	2),
(8423,	1116,	4,	2),
(8424,	1117,	2,	2),
(8425,	1117,	3,	2),
(8426,	1117,	4,	2),
(8427,	1118,	2,	1),
(8428,	1118,	3,	1),
(8429,	1118,	4,	1),
(8430,	1118,	2,	2),
(8431,	1118,	3,	2),
(8432,	1118,	4,	2),
(8433,	1119,	2,	1),
(8434,	1119,	3,	1),
(8435,	1119,	4,	1),
(8436,	1119,	2,	2),
(8437,	1119,	3,	2),
(8438,	1119,	4,	2),
(8439,	1120,	2,	2),
(8440,	1120,	3,	2),
(8441,	1120,	4,	2),
(8442,	1121,	2,	1),
(8443,	1121,	3,	1),
(8444,	1121,	4,	1),
(8445,	1121,	2,	2),
(8446,	1121,	3,	2),
(8447,	1121,	4,	2),
(8448,	1122,	2,	1),
(8449,	1122,	3,	1),
(8450,	1122,	4,	1),
(8451,	1122,	2,	2),
(8452,	1122,	3,	2),
(8453,	1122,	4,	2),
(8454,	1123,	2,	2),
(8455,	1123,	3,	2),
(8456,	1123,	4,	2),
(8457,	1124,	2,	2),
(8458,	1124,	3,	2),
(8459,	1124,	4,	2),
(8460,	1125,	2,	2),
(8461,	1125,	3,	2),
(8462,	1125,	4,	2),
(8463,	1126,	2,	2),
(8464,	1126,	3,	2),
(8465,	1126,	4,	2),
(8466,	1127,	2,	1),
(8467,	1127,	3,	1),
(8468,	1127,	4,	1),
(8469,	1127,	2,	2),
(8470,	1127,	3,	2),
(8471,	1127,	4,	2),
(8472,	1128,	2,	1),
(8473,	1128,	3,	1),
(8474,	1128,	4,	1),
(8475,	1128,	2,	2),
(8476,	1128,	3,	2),
(8477,	1128,	4,	2),
(8478,	1129,	2,	2),
(8479,	1129,	3,	2),
(8480,	1129,	4,	2),
(8481,	1130,	2,	2),
(8482,	1130,	3,	2),
(8483,	1130,	4,	2),
(8484,	1131,	6,	1),
(8485,	1131,	2,	1),
(8486,	1131,	3,	1),
(8487,	1131,	4,	1),
(8488,	1131,	6,	2),
(8489,	1131,	2,	2),
(8490,	1131,	3,	2),
(8491,	1131,	4,	2),
(8492,	1132,	2,	2),
(8493,	1132,	3,	2),
(8494,	1132,	4,	2),
(8495,	1133,	2,	2),
(8496,	1133,	3,	2),
(8497,	1133,	4,	2),
(8498,	1134,	2,	1),
(8499,	1134,	3,	1),
(8500,	1134,	4,	1),
(8501,	1134,	2,	2),
(8502,	1134,	3,	2),
(8503,	1134,	4,	2),
(8504,	1135,	2,	1),
(8505,	1135,	3,	1),
(8506,	1135,	4,	1),
(8507,	1135,	2,	2),
(8508,	1135,	3,	2),
(8509,	1135,	4,	2),
(8510,	1136,	2,	2),
(8511,	1136,	3,	2),
(8512,	1136,	4,	2),
(8513,	1137,	2,	1),
(8514,	1137,	3,	1),
(8515,	1137,	4,	1),
(8516,	1137,	2,	2),
(8517,	1137,	3,	2),
(8518,	1137,	4,	2),
(8519,	1138,	2,	2),
(8520,	1138,	3,	2),
(8521,	1138,	4,	2),
(8522,	1139,	2,	1),
(8523,	1139,	3,	1),
(8524,	1139,	4,	1),
(8525,	1139,	2,	2),
(8526,	1139,	3,	2),
(8527,	1139,	4,	2),
(8528,	1140,	2,	1),
(8529,	1140,	3,	1),
(8530,	1140,	4,	1),
(8531,	1140,	2,	2),
(8532,	1140,	3,	2),
(8533,	1140,	4,	2),
(8534,	1141,	2,	2),
(8535,	1141,	3,	2),
(8536,	1141,	4,	2),
(8537,	1142,	2,	2),
(8538,	1142,	3,	2),
(8539,	1142,	4,	2),
(8540,	1143,	2,	2),
(8541,	1143,	3,	2),
(8542,	1143,	4,	2),
(8543,	1144,	2,	2),
(8544,	1144,	3,	2),
(8545,	1144,	4,	2),
(8546,	1145,	2,	2),
(8547,	1145,	3,	2),
(8548,	1145,	4,	2),
(8549,	1146,	2,	1),
(8550,	1146,	3,	1),
(8551,	1146,	4,	1),
(8552,	1146,	2,	2),
(8553,	1146,	3,	2),
(8554,	1146,	4,	2),
(8555,	1147,	2,	2),
(8556,	1147,	3,	2),
(8557,	1147,	4,	2),
(8558,	1148,	2,	1),
(8559,	1148,	3,	1),
(8560,	1148,	4,	1),
(8561,	1148,	2,	2),
(8562,	1148,	3,	2),
(8563,	1148,	4,	2),
(8564,	1149,	2,	1),
(8565,	1149,	3,	1),
(8566,	1149,	4,	1),
(8567,	1149,	2,	2),
(8568,	1149,	3,	2),
(8569,	1149,	4,	2),
(8570,	1150,	2,	1),
(8571,	1150,	3,	1),
(8572,	1150,	4,	1),
(8573,	1150,	2,	2),
(8574,	1150,	3,	2),
(8575,	1150,	4,	2),
(8576,	1151,	2,	1),
(8577,	1151,	3,	1),
(8578,	1151,	4,	1),
(8579,	1151,	2,	2),
(8580,	1151,	3,	2),
(8581,	1151,	4,	2),
(8582,	1152,	2,	1),
(8583,	1152,	3,	1),
(8584,	1152,	4,	1),
(8585,	1152,	2,	2),
(8586,	1152,	3,	2),
(8587,	1152,	4,	2),
(8588,	1153,	2,	1),
(8589,	1153,	3,	1),
(8590,	1153,	4,	1),
(8591,	1153,	2,	2),
(8592,	1153,	3,	2),
(8593,	1153,	4,	2),
(8594,	1154,	2,	1),
(8595,	1154,	3,	1),
(8596,	1154,	4,	1),
(8597,	1154,	2,	2),
(8598,	1154,	3,	2),
(8599,	1154,	4,	2),
(8600,	1155,	2,	2),
(8601,	1155,	3,	2),
(8602,	1155,	4,	2),
(8603,	1156,	2,	2),
(8604,	1156,	3,	2),
(8605,	1156,	4,	2),
(8606,	1157,	2,	1),
(8607,	1157,	3,	1),
(8608,	1157,	4,	1),
(8609,	1157,	2,	2),
(8610,	1157,	3,	2),
(8611,	1157,	4,	2),
(8612,	1158,	2,	2),
(8613,	1158,	3,	2),
(8614,	1158,	4,	2),
(8615,	1159,	2,	2),
(8616,	1159,	3,	2),
(8617,	1159,	4,	2),
(8618,	1160,	2,	2),
(8619,	1160,	3,	2),
(8620,	1160,	4,	2),
(8621,	1161,	2,	2),
(8622,	1161,	3,	2),
(8623,	1161,	4,	2),
(8624,	1162,	2,	2),
(8625,	1162,	3,	2),
(8626,	1162,	4,	2),
(8627,	1163,	2,	2),
(8628,	1163,	3,	2),
(8629,	1163,	4,	2),
(8630,	1164,	2,	1),
(8631,	1164,	3,	1),
(8632,	1164,	4,	1),
(8633,	1164,	2,	2),
(8634,	1164,	3,	2),
(8635,	1164,	4,	2),
(8636,	1165,	2,	1),
(8637,	1165,	3,	1),
(8638,	1165,	4,	1),
(8639,	1165,	2,	2),
(8640,	1165,	3,	2),
(8641,	1165,	4,	2),
(8642,	1166,	2,	2),
(8643,	1166,	3,	2),
(8644,	1166,	4,	2),
(8645,	1167,	2,	2),
(8646,	1167,	3,	2),
(8647,	1167,	4,	2),
(8648,	1168,	2,	2),
(8649,	1168,	3,	2),
(8650,	1168,	4,	2),
(8651,	1169,	6,	1),
(8652,	1169,	2,	1),
(8653,	1169,	3,	1),
(8654,	1169,	4,	1),
(8655,	1169,	6,	2),
(8656,	1169,	2,	2),
(8657,	1169,	3,	2),
(8658,	1169,	4,	2),
(8659,	1170,	2,	2),
(8660,	1170,	3,	2),
(8661,	1170,	4,	2),
(8662,	1171,	2,	1),
(8663,	1171,	3,	1),
(8664,	1171,	4,	1),
(8665,	1171,	2,	2),
(8666,	1171,	3,	2),
(8667,	1171,	4,	2),
(8668,	1172,	2,	1),
(8669,	1172,	3,	1),
(8670,	1172,	4,	1),
(8671,	1172,	2,	2),
(8672,	1172,	3,	2),
(8673,	1172,	4,	2),
(8674,	1173,	2,	1),
(8675,	1173,	3,	1),
(8676,	1173,	4,	1),
(8677,	1173,	2,	2),
(8678,	1173,	3,	2),
(8679,	1173,	4,	2),
(8680,	1174,	2,	2),
(8681,	1174,	3,	2),
(8682,	1174,	4,	2),
(8683,	1175,	2,	1),
(8684,	1175,	3,	1),
(8685,	1175,	4,	1),
(8686,	1175,	2,	2),
(8687,	1175,	3,	2),
(8688,	1175,	4,	2),
(8689,	1176,	2,	2),
(8690,	1176,	3,	2),
(8691,	1176,	4,	2),
(8692,	1177,	2,	1),
(8693,	1177,	3,	1),
(8694,	1177,	4,	1),
(8695,	1177,	2,	2),
(8696,	1177,	3,	2),
(8697,	1177,	4,	2),
(8698,	1178,	2,	2),
(8699,	1178,	3,	2),
(8700,	1178,	4,	2),
(8701,	1179,	2,	2),
(8702,	1179,	3,	2),
(8703,	1179,	4,	2),
(8704,	1180,	2,	2),
(8705,	1180,	3,	2),
(8706,	1180,	4,	2),
(8707,	1181,	2,	1),
(8708,	1181,	3,	1),
(8709,	1181,	4,	1),
(8710,	1181,	2,	2),
(8711,	1181,	3,	2),
(8712,	1181,	4,	2),
(8713,	1182,	2,	1),
(8714,	1182,	3,	1),
(8715,	1182,	4,	1),
(8716,	1182,	2,	2),
(8717,	1182,	3,	2),
(8718,	1182,	4,	2),
(8719,	1183,	2,	2),
(8720,	1183,	3,	2),
(8721,	1183,	4,	2),
(8722,	1184,	2,	1),
(8723,	1184,	3,	1),
(8724,	1184,	4,	1),
(8725,	1184,	2,	2),
(8726,	1184,	3,	2),
(8727,	1184,	4,	2),
(8728,	1185,	2,	1),
(8729,	1185,	3,	1),
(8730,	1185,	4,	1),
(8731,	1185,	2,	2),
(8732,	1185,	3,	2),
(8733,	1185,	4,	2),
(8734,	1185,	2,	3),
(8735,	1185,	3,	3),
(8736,	1185,	4,	3),
(8737,	1186,	2,	1),
(8738,	1186,	3,	1),
(8739,	1186,	4,	1),
(8740,	1186,	2,	2),
(8741,	1186,	3,	2),
(8742,	1186,	4,	2),
(8743,	1187,	2,	1),
(8744,	1187,	3,	1),
(8745,	1187,	4,	1),
(8746,	1187,	2,	2),
(8747,	1187,	3,	2),
(8748,	1187,	4,	2),
(8749,	1188,	2,	1),
(8750,	1188,	3,	1),
(8751,	1188,	4,	1),
(8752,	1188,	2,	2),
(8753,	1188,	3,	2),
(8754,	1188,	4,	2),
(8755,	1189,	2,	2),
(8756,	1189,	3,	2),
(8757,	1189,	4,	2),
(8758,	1190,	2,	2),
(8759,	1190,	3,	2),
(8760,	1190,	4,	2),
(8761,	1191,	2,	2),
(8762,	1191,	3,	2),
(8763,	1191,	4,	2),
(8764,	1192,	2,	2),
(8765,	1192,	3,	2),
(8766,	1192,	4,	2),
(8767,	1193,	2,	1),
(8768,	1193,	3,	1),
(8769,	1193,	4,	1),
(8770,	1193,	2,	2),
(8771,	1193,	3,	2),
(8772,	1193,	4,	2),
(8773,	1194,	2,	1),
(8774,	1194,	3,	1),
(8775,	1194,	4,	1),
(8776,	1194,	2,	2),
(8777,	1194,	3,	2),
(8778,	1194,	4,	2),
(8779,	1195,	2,	1),
(8780,	1195,	3,	1),
(8781,	1195,	4,	1),
(8782,	1195,	2,	2),
(8783,	1195,	3,	2),
(8784,	1195,	4,	2),
(8785,	1196,	2,	1),
(8786,	1196,	3,	1),
(8787,	1196,	4,	1),
(8788,	1196,	2,	2),
(8789,	1196,	3,	2),
(8790,	1196,	4,	2),
(8791,	1197,	2,	1),
(8792,	1197,	3,	1),
(8793,	1197,	4,	1),
(8794,	1197,	2,	2),
(8795,	1197,	3,	2),
(8796,	1197,	4,	2),
(8797,	1198,	6,	1),
(8798,	1198,	2,	1),
(8799,	1198,	3,	1),
(8800,	1198,	4,	1),
(8801,	1198,	6,	2),
(8802,	1198,	2,	2),
(8803,	1198,	3,	2),
(8804,	1198,	4,	2),
(8805,	1199,	2,	1),
(8806,	1199,	3,	1),
(8807,	1199,	4,	1),
(8808,	1199,	2,	2),
(8809,	1199,	3,	2),
(8810,	1199,	4,	2),
(8811,	1200,	2,	1),
(8812,	1200,	3,	1),
(8813,	1200,	4,	1),
(8814,	1200,	2,	2),
(8815,	1200,	3,	2),
(8816,	1200,	4,	2),
(8817,	1201,	2,	1),
(8818,	1201,	3,	1),
(8819,	1201,	4,	1),
(8820,	1201,	2,	2),
(8821,	1201,	3,	2),
(8822,	1201,	4,	2),
(8823,	1202,	2,	1),
(8824,	1202,	3,	1),
(8825,	1202,	4,	1),
(8826,	1202,	2,	2),
(8827,	1202,	3,	2),
(8828,	1202,	4,	2),
(8829,	1203,	2,	1),
(8830,	1203,	3,	1),
(8831,	1203,	4,	1),
(8832,	1203,	2,	2),
(8833,	1203,	3,	2),
(8834,	1203,	4,	2),
(8835,	1204,	2,	1),
(8836,	1204,	3,	1),
(8837,	1204,	4,	1),
(8838,	1204,	2,	2),
(8839,	1204,	3,	2),
(8840,	1204,	4,	2),
(8841,	1205,	2,	1),
(8842,	1205,	3,	1),
(8843,	1205,	4,	1),
(8844,	1205,	2,	2),
(8845,	1205,	3,	2),
(8846,	1205,	4,	2),
(8847,	1206,	2,	1),
(8848,	1206,	3,	1),
(8849,	1206,	4,	1),
(8850,	1206,	2,	2),
(8851,	1206,	3,	2),
(8852,	1206,	4,	2),
(8853,	1207,	2,	2),
(8854,	1207,	3,	2),
(8855,	1207,	4,	2),
(8856,	1208,	2,	2),
(8857,	1208,	3,	2),
(8858,	1208,	4,	2),
(8859,	1208,	38,	2),
(8860,	1208,	2,	4),
(8861,	1208,	3,	4),
(8862,	1208,	4,	4),
(8863,	1208,	38,	4),
(8864,	1209,	2,	2),
(8865,	1209,	3,	2),
(8866,	1209,	4,	2),
(8867,	1209,	2,	4),
(8868,	1209,	3,	4),
(8869,	1209,	4,	4),
(8870,	1210,	2,	2),
(8871,	1210,	3,	2),
(8872,	1210,	4,	2),
(8873,	1210,	2,	4),
(8874,	1210,	3,	4),
(8875,	1210,	4,	4),
(8876,	1211,	2,	2),
(8877,	1211,	3,	2),
(8878,	1211,	4,	2),
(8879,	1211,	2,	4),
(8880,	1211,	3,	4),
(8881,	1211,	4,	4),
(8882,	1212,	2,	2),
(8883,	1212,	3,	2),
(8884,	1212,	4,	2),
(8885,	1212,	2,	4),
(8886,	1212,	3,	4),
(8887,	1212,	4,	4),
(8888,	1213,	2,	1),
(8889,	1213,	3,	1),
(8890,	1213,	4,	1),
(8891,	1213,	2,	2),
(8892,	1213,	3,	2),
(8893,	1213,	4,	2),
(8894,	1214,	2,	2),
(8895,	1214,	3,	2),
(8896,	1214,	4,	2),
(8897,	1215,	2,	1),
(8898,	1215,	3,	1),
(8899,	1215,	4,	1),
(8900,	1215,	2,	2),
(8901,	1215,	3,	2),
(8902,	1215,	4,	2),
(8903,	1216,	2,	1),
(8904,	1216,	3,	1),
(8905,	1216,	4,	1),
(8906,	1216,	2,	2),
(8907,	1216,	3,	2),
(8908,	1216,	4,	2),
(8909,	1217,	2,	1),
(8910,	1217,	3,	1),
(8911,	1217,	4,	1),
(8912,	1217,	2,	2),
(8913,	1217,	3,	2),
(8914,	1217,	4,	2),
(8915,	1218,	2,	2),
(8916,	1218,	3,	2),
(8917,	1218,	4,	2),
(8918,	1219,	2,	1),
(8919,	1219,	3,	1),
(8920,	1219,	4,	1),
(8921,	1219,	2,	2),
(8922,	1219,	3,	2),
(8923,	1219,	4,	2),
(8924,	1220,	2,	1),
(8925,	1220,	3,	1),
(8926,	1220,	4,	1),
(8927,	1220,	2,	2),
(8928,	1220,	3,	2),
(8929,	1220,	4,	2),
(8930,	1221,	2,	1),
(8931,	1221,	3,	1),
(8932,	1221,	4,	1),
(8933,	1221,	2,	2),
(8934,	1221,	3,	2),
(8935,	1221,	4,	2),
(8936,	1222,	2,	1),
(8937,	1222,	3,	1),
(8938,	1222,	4,	1),
(8939,	1222,	2,	2),
(8940,	1222,	3,	2),
(8941,	1222,	4,	2),
(8942,	1223,	2,	1),
(8943,	1223,	3,	1),
(8944,	1223,	4,	1),
(8945,	1223,	2,	2),
(8946,	1223,	3,	2),
(8947,	1223,	4,	2),
(8948,	1224,	2,	1),
(8949,	1224,	3,	1),
(8950,	1224,	4,	1),
(8951,	1224,	2,	2),
(8952,	1224,	3,	2),
(8953,	1224,	4,	2),
(8954,	1225,	2,	1),
(8955,	1225,	3,	1),
(8956,	1225,	4,	1),
(8957,	1225,	2,	2),
(8958,	1225,	3,	2),
(8959,	1225,	4,	2),
(8960,	1226,	2,	1),
(8961,	1226,	3,	1),
(8962,	1226,	4,	1),
(8963,	1226,	2,	2),
(8964,	1226,	3,	2),
(8965,	1226,	4,	2),
(8966,	1227,	2,	1),
(8967,	1227,	3,	1),
(8968,	1227,	4,	1),
(8969,	1227,	2,	2),
(8970,	1227,	3,	2),
(8971,	1227,	4,	2),
(8972,	1228,	2,	1),
(8973,	1228,	3,	1),
(8974,	1228,	4,	1),
(8975,	1228,	2,	2),
(8976,	1228,	3,	2),
(8977,	1228,	4,	2),
(8978,	1229,	2,	2),
(8979,	1229,	3,	2),
(8980,	1229,	4,	2),
(8981,	1230,	2,	1),
(8982,	1230,	3,	1),
(8983,	1230,	4,	1),
(8984,	1230,	2,	2),
(8985,	1230,	3,	2),
(8986,	1230,	4,	2),
(8987,	1231,	2,	1),
(8988,	1231,	3,	1),
(8989,	1231,	4,	1),
(8990,	1231,	2,	2),
(8991,	1231,	3,	2),
(8992,	1231,	4,	2),
(8993,	1232,	2,	1),
(8994,	1232,	3,	1),
(8995,	1232,	4,	1),
(8996,	1232,	2,	2),
(8997,	1232,	3,	2),
(8998,	1232,	4,	2),
(8999,	1233,	2,	1),
(9000,	1233,	3,	1),
(9001,	1233,	4,	1),
(9002,	1233,	2,	2),
(9003,	1233,	3,	2),
(9004,	1233,	4,	2),
(9005,	1234,	2,	2),
(9006,	1234,	3,	2),
(9007,	1234,	4,	2),
(9008,	1235,	2,	1),
(9009,	1235,	3,	1),
(9010,	1235,	4,	1),
(9011,	1235,	2,	2),
(9012,	1235,	3,	2),
(9013,	1235,	4,	2),
(9014,	1236,	2,	1),
(9015,	1236,	3,	1),
(9016,	1236,	4,	1),
(9017,	1236,	2,	2),
(9018,	1236,	3,	2),
(9019,	1236,	4,	2),
(9020,	1237,	2,	1),
(9021,	1237,	3,	1),
(9022,	1237,	4,	1),
(9023,	1237,	2,	2),
(9024,	1237,	3,	2),
(9025,	1237,	4,	2),
(9026,	1238,	2,	1),
(9027,	1238,	3,	1),
(9028,	1238,	4,	1),
(9029,	1238,	2,	2),
(9030,	1238,	3,	2),
(9031,	1238,	4,	2),
(9032,	1239,	2,	2),
(9033,	1239,	3,	2),
(9034,	1239,	4,	2),
(9035,	1240,	2,	1),
(9036,	1240,	3,	1),
(9037,	1240,	4,	1),
(9038,	1240,	2,	2),
(9039,	1240,	3,	2),
(9040,	1240,	4,	2),
(9041,	1241,	2,	1),
(9042,	1241,	3,	1),
(9043,	1241,	4,	1),
(9044,	1241,	2,	2),
(9045,	1241,	3,	2),
(9046,	1241,	4,	2),
(9047,	1242,	2,	1),
(9048,	1242,	3,	1),
(9049,	1242,	4,	1),
(9050,	1242,	2,	2),
(9051,	1242,	3,	2),
(9052,	1242,	4,	2),
(9053,	1243,	2,	1),
(9054,	1243,	3,	1),
(9055,	1243,	4,	1),
(9056,	1243,	2,	2),
(9057,	1243,	3,	2),
(9058,	1243,	4,	2),
(9059,	1244,	2,	2),
(9060,	1244,	3,	2),
(9061,	1244,	4,	2),
(9062,	1245,	2,	1),
(9063,	1245,	3,	1),
(9064,	1245,	4,	1),
(9065,	1245,	2,	2),
(9066,	1245,	3,	2),
(9067,	1245,	4,	2),
(9068,	1246,	2,	1),
(9069,	1246,	3,	1),
(9070,	1246,	4,	1),
(9071,	1246,	2,	2),
(9072,	1246,	3,	2),
(9073,	1246,	4,	2),
(9074,	1247,	2,	1),
(9075,	1247,	3,	1),
(9076,	1247,	4,	1),
(9077,	1247,	2,	2),
(9078,	1247,	3,	2),
(9079,	1247,	4,	2),
(9080,	1248,	2,	1),
(9081,	1248,	3,	1),
(9082,	1248,	4,	1),
(9083,	1248,	2,	2),
(9084,	1248,	3,	2),
(9085,	1248,	4,	2),
(9086,	1249,	2,	1),
(9087,	1249,	3,	1),
(9088,	1249,	4,	1),
(9089,	1249,	2,	2),
(9090,	1249,	3,	2),
(9091,	1249,	4,	2),
(9092,	1250,	2,	1),
(9093,	1250,	3,	1),
(9094,	1250,	4,	1),
(9095,	1250,	2,	2),
(9096,	1250,	3,	2),
(9097,	1250,	4,	2),
(9098,	1251,	2,	1),
(9099,	1251,	3,	1),
(9100,	1251,	4,	1),
(9101,	1251,	2,	2),
(9102,	1251,	3,	2),
(9103,	1251,	4,	2),
(9104,	1251,	2,	6),
(9105,	1251,	3,	6),
(9106,	1251,	4,	6),
(9107,	1252,	2,	1),
(9108,	1252,	3,	1),
(9109,	1252,	4,	1),
(9110,	1252,	2,	2),
(9111,	1252,	3,	2),
(9112,	1252,	4,	2),
(9113,	1253,	2,	1),
(9114,	1253,	3,	1),
(9115,	1253,	4,	1),
(9116,	1253,	2,	2),
(9117,	1253,	3,	2),
(9118,	1253,	4,	2),
(9119,	1254,	2,	1),
(9120,	1254,	3,	1),
(9121,	1254,	4,	1),
(9122,	1254,	2,	2),
(9123,	1254,	3,	2),
(9124,	1254,	4,	2),
(9125,	1255,	2,	1),
(9126,	1255,	3,	1),
(9127,	1255,	4,	1),
(9128,	1255,	2,	2),
(9129,	1255,	3,	2),
(9130,	1255,	4,	2),
(9131,	1256,	2,	1),
(9132,	1256,	3,	1),
(9133,	1256,	4,	1),
(9134,	1256,	2,	2),
(9135,	1256,	3,	2),
(9136,	1256,	4,	2),
(9137,	1257,	2,	2),
(9138,	1257,	3,	2),
(9139,	1257,	4,	2),
(9140,	1258,	2,	1),
(9141,	1258,	3,	1),
(9142,	1258,	4,	1),
(9143,	1258,	2,	2),
(9144,	1258,	3,	2),
(9145,	1258,	4,	2),
(9146,	1259,	2,	1),
(9147,	1259,	3,	1),
(9148,	1259,	4,	1),
(9149,	1259,	2,	2),
(9150,	1259,	3,	2),
(9151,	1259,	4,	2),
(9152,	1260,	2,	1),
(9153,	1260,	3,	1),
(9154,	1260,	4,	1),
(9155,	1260,	2,	2),
(9156,	1260,	3,	2),
(9157,	1260,	4,	2),
(9158,	1261,	23,	1),
(9159,	1261,	2,	1),
(9160,	1261,	3,	1),
(9161,	1261,	4,	1),
(9162,	1261,	23,	2),
(9163,	1261,	2,	2),
(9164,	1261,	3,	2),
(9165,	1261,	4,	2),
(9166,	1261,	23,	4),
(9167,	1261,	2,	4),
(9168,	1261,	3,	4),
(9169,	1261,	4,	4),
(9170,	1262,	5,	2),
(9171,	1262,	6,	2),
(9172,	1262,	23,	2),
(9173,	1262,	24,	2),
(9174,	1262,	1,	2),
(9175,	1262,	2,	2),
(9176,	1262,	3,	2),
(9177,	1262,	22,	2),
(9178,	1262,	4,	2),
(9179,	1263,	6,	2),
(9180,	1263,	23,	2),
(9181,	1263,	24,	2),
(9182,	1263,	1,	2),
(9183,	1263,	2,	2),
(9184,	1263,	3,	2),
(9185,	1263,	22,	2),
(9186,	1263,	4,	2),
(9187,	1263,	6,	4),
(9188,	1263,	23,	4),
(9189,	1263,	24,	4),
(9190,	1263,	1,	4),
(9191,	1263,	2,	4),
(9192,	1263,	3,	4),
(9193,	1263,	22,	4),
(9194,	1263,	4,	4),
(9195,	1264,	2,	2),
(9196,	1264,	3,	2),
(9197,	1264,	4,	2),
(9198,	1265,	6,	2),
(9199,	1265,	23,	2),
(9200,	1265,	24,	2),
(9201,	1265,	1,	2),
(9202,	1265,	2,	2),
(9203,	1265,	3,	2),
(9204,	1265,	22,	2),
(9205,	1265,	4,	2),
(9206,	1265,	6,	4),
(9207,	1265,	23,	4),
(9208,	1265,	24,	4),
(9209,	1265,	1,	4),
(9210,	1265,	2,	4),
(9211,	1265,	3,	4),
(9212,	1265,	22,	4),
(9213,	1265,	4,	4),
(9214,	1266,	2,	2),
(9215,	1266,	3,	2),
(9216,	1266,	4,	2),
(9217,	1267,	2,	2),
(9218,	1267,	3,	2),
(9219,	1267,	4,	2),
(9220,	1268,	2,	1),
(9221,	1268,	3,	1),
(9222,	1268,	4,	1),
(9223,	1268,	2,	2),
(9224,	1268,	3,	2),
(9225,	1268,	4,	2),
(9226,	1268,	2,	4),
(9227,	1268,	3,	4),
(9228,	1268,	4,	4),
(9229,	1269,	2,	2),
(9230,	1269,	3,	2),
(9231,	1269,	4,	2),
(9232,	1270,	6,	2),
(9233,	1270,	23,	2),
(9234,	1270,	24,	2),
(9235,	1270,	1,	2),
(9236,	1270,	2,	2),
(9237,	1270,	3,	2),
(9238,	1270,	4,	2),
(9239,	1270,	6,	4),
(9240,	1270,	23,	4),
(9241,	1270,	24,	4),
(9242,	1270,	1,	4),
(9243,	1270,	2,	4),
(9244,	1270,	3,	4),
(9245,	1270,	4,	4),
(9246,	1271,	2,	1),
(9247,	1271,	3,	1),
(9248,	1271,	4,	1),
(9249,	1271,	2,	2),
(9250,	1271,	3,	2),
(9251,	1271,	4,	2),
(9252,	1271,	2,	4),
(9253,	1271,	3,	4),
(9254,	1271,	4,	4),
(9255,	1272,	6,	1),
(9256,	1272,	23,	1),
(9257,	1272,	24,	1),
(9258,	1272,	1,	1),
(9259,	1272,	2,	1),
(9260,	1272,	3,	1),
(9261,	1272,	22,	1),
(9262,	1272,	4,	1),
(9263,	1272,	6,	2),
(9264,	1272,	23,	2),
(9265,	1272,	24,	2),
(9266,	1272,	1,	2),
(9267,	1272,	2,	2),
(9268,	1272,	3,	2),
(9269,	1272,	22,	2),
(9270,	1272,	4,	2),
(9271,	1272,	6,	4),
(9272,	1272,	23,	4),
(9273,	1272,	24,	4),
(9274,	1272,	1,	4),
(9275,	1272,	2,	4),
(9276,	1272,	3,	4),
(9277,	1272,	22,	4),
(9278,	1272,	4,	4),
(9279,	1273,	6,	2),
(9280,	1273,	23,	2),
(9281,	1273,	24,	2),
(9282,	1273,	1,	2),
(9283,	1273,	2,	2),
(9284,	1273,	3,	2),
(9285,	1273,	22,	2),
(9286,	1273,	4,	2),
(9287,	1273,	6,	4),
(9288,	1273,	23,	4),
(9289,	1273,	24,	4),
(9290,	1273,	1,	4),
(9291,	1273,	2,	4),
(9292,	1273,	3,	4),
(9293,	1273,	22,	4),
(9294,	1273,	4,	4),
(9295,	1274,	6,	2),
(9296,	1274,	23,	2),
(9297,	1274,	24,	2),
(9298,	1274,	1,	2),
(9299,	1274,	2,	2),
(9300,	1274,	3,	2),
(9301,	1274,	22,	2),
(9302,	1274,	4,	2),
(9303,	1275,	6,	2),
(9304,	1275,	23,	2),
(9305,	1275,	24,	2),
(9306,	1275,	1,	2),
(9307,	1275,	2,	2),
(9308,	1275,	3,	2),
(9309,	1275,	22,	2),
(9310,	1275,	4,	2),
(9311,	1275,	6,	4),
(9312,	1275,	23,	4),
(9313,	1275,	24,	4),
(9314,	1275,	1,	4),
(9315,	1275,	2,	4),
(9316,	1275,	3,	4),
(9317,	1275,	22,	4),
(9318,	1275,	4,	4),
(9319,	1276,	6,	2),
(9320,	1276,	23,	2),
(9321,	1276,	24,	2),
(9322,	1276,	1,	2),
(9323,	1276,	2,	2),
(9324,	1276,	3,	2),
(9325,	1276,	22,	2),
(9326,	1276,	4,	2),
(9327,	1276,	6,	4),
(9328,	1276,	23,	4),
(9329,	1276,	24,	4),
(9330,	1276,	1,	4),
(9331,	1276,	2,	4),
(9332,	1276,	3,	4),
(9333,	1276,	22,	4),
(9334,	1276,	4,	4),
(9335,	1277,	2,	2),
(9336,	1277,	3,	2),
(9337,	1277,	4,	2),
(9338,	1278,	6,	2),
(9339,	1278,	23,	2),
(9340,	1278,	24,	2),
(9341,	1278,	1,	2),
(9342,	1278,	2,	2),
(9343,	1278,	3,	2),
(9344,	1278,	22,	2),
(9345,	1278,	4,	2),
(9346,	1278,	6,	4),
(9347,	1278,	23,	4),
(9348,	1278,	24,	4),
(9349,	1278,	1,	4),
(9350,	1278,	2,	4),
(9351,	1278,	3,	4),
(9352,	1278,	22,	4),
(9353,	1278,	4,	4),
(9354,	1279,	2,	2),
(9355,	1279,	3,	2),
(9356,	1279,	4,	2),
(9357,	1279,	2,	4),
(9358,	1279,	3,	4),
(9359,	1279,	4,	4),
(9360,	1280,	6,	2),
(9361,	1280,	23,	2),
(9362,	1280,	24,	2),
(9363,	1280,	1,	2),
(9364,	1280,	2,	2),
(9365,	1280,	3,	2),
(9366,	1280,	22,	2),
(9367,	1280,	4,	2),
(9368,	1280,	6,	4),
(9369,	1280,	23,	4),
(9370,	1280,	24,	4),
(9371,	1280,	1,	4),
(9372,	1280,	2,	4),
(9373,	1280,	3,	4),
(9374,	1280,	22,	4),
(9375,	1280,	4,	4),
(9376,	1281,	2,	2),
(9377,	1281,	3,	2),
(9378,	1281,	4,	2),
(9379,	1282,	6,	2),
(9380,	1282,	23,	2),
(9381,	1282,	24,	2),
(9382,	1282,	1,	2),
(9383,	1282,	2,	2),
(9384,	1282,	3,	2),
(9385,	1282,	22,	2),
(9386,	1282,	4,	2),
(9387,	1282,	6,	4),
(9388,	1282,	23,	4),
(9389,	1282,	24,	4),
(9390,	1282,	1,	4),
(9391,	1282,	2,	4),
(9392,	1282,	3,	4),
(9393,	1282,	22,	4),
(9394,	1282,	4,	4),
(9395,	1283,	6,	1),
(9396,	1283,	23,	1),
(9397,	1283,	24,	1),
(9398,	1283,	1,	1),
(9399,	1283,	2,	1),
(9400,	1283,	3,	1),
(9401,	1283,	22,	1),
(9402,	1283,	4,	1),
(9403,	1283,	6,	2),
(9404,	1283,	23,	2),
(9405,	1283,	24,	2),
(9406,	1283,	1,	2),
(9407,	1283,	2,	2),
(9408,	1283,	3,	2),
(9409,	1283,	22,	2),
(9410,	1283,	4,	2),
(9411,	1283,	6,	4),
(9412,	1283,	23,	4),
(9413,	1283,	24,	4),
(9414,	1283,	1,	4),
(9415,	1283,	2,	4),
(9416,	1283,	3,	4),
(9417,	1283,	22,	4),
(9418,	1283,	4,	4),
(9419,	1284,	2,	1),
(9420,	1284,	3,	1),
(9421,	1284,	4,	1),
(9422,	1284,	2,	2),
(9423,	1284,	3,	2),
(9424,	1284,	4,	2),
(9425,	1285,	2,	2),
(9426,	1285,	3,	2),
(9427,	1285,	4,	2),
(9428,	1285,	2,	4),
(9429,	1285,	3,	4),
(9430,	1285,	4,	4),
(9431,	1286,	2,	2),
(9432,	1286,	3,	2),
(9433,	1286,	4,	2),
(9434,	1287,	2,	2),
(9435,	1287,	3,	2),
(9436,	1287,	4,	2),
(9437,	1288,	2,	2),
(9438,	1288,	3,	2),
(9439,	1288,	4,	2),
(9440,	1289,	2,	2),
(9441,	1289,	3,	2),
(9442,	1289,	4,	2),
(9443,	1290,	2,	1),
(9444,	1290,	3,	1),
(9445,	1290,	4,	1),
(9446,	1290,	2,	2),
(9447,	1290,	3,	2),
(9448,	1290,	4,	2),
(9449,	1291,	2,	2),
(9450,	1291,	3,	2),
(9451,	1291,	4,	2),
(9452,	1292,	2,	2),
(9453,	1292,	3,	2),
(9454,	1292,	4,	2),
(9455,	1293,	2,	2),
(9456,	1293,	3,	2),
(9457,	1293,	4,	2),
(9458,	1294,	2,	2),
(9459,	1294,	3,	2),
(9460,	1294,	4,	2),
(9461,	1295,	2,	2),
(9462,	1295,	3,	2),
(9463,	1295,	4,	2),
(9464,	1296,	2,	2),
(9465,	1296,	3,	2),
(9466,	1296,	4,	2),
(9467,	1297,	2,	1),
(9468,	1297,	3,	1),
(9469,	1297,	4,	1),
(9470,	1297,	2,	2),
(9471,	1297,	3,	2),
(9472,	1297,	4,	2),
(9473,	1298,	2,	1),
(9474,	1298,	3,	1),
(9475,	1298,	4,	1),
(9476,	1298,	2,	2),
(9477,	1298,	3,	2),
(9478,	1298,	4,	2),
(9479,	1299,	2,	1),
(9480,	1299,	3,	1),
(9481,	1299,	4,	1),
(9482,	1299,	2,	2),
(9483,	1299,	3,	2),
(9484,	1299,	4,	2),
(9485,	1300,	2,	1),
(9486,	1300,	3,	1),
(9487,	1300,	4,	1),
(9488,	1300,	2,	2),
(9489,	1300,	3,	2),
(9490,	1300,	4,	2),
(9491,	1301,	2,	2),
(9492,	1301,	3,	2),
(9493,	1301,	4,	2),
(9494,	1302,	2,	1),
(9495,	1302,	3,	1),
(9496,	1302,	4,	1),
(9497,	1302,	2,	2),
(9498,	1302,	3,	2),
(9499,	1302,	4,	2),
(9500,	1303,	2,	2),
(9501,	1303,	3,	2),
(9502,	1303,	4,	2),
(9503,	1304,	2,	2),
(9504,	1304,	3,	2),
(9505,	1304,	4,	2),
(9506,	1305,	2,	1),
(9507,	1305,	3,	1),
(9508,	1305,	4,	1),
(9509,	1305,	2,	2),
(9510,	1305,	3,	2),
(9511,	1305,	4,	2),
(9512,	1306,	2,	1),
(9513,	1306,	3,	1),
(9514,	1306,	4,	1),
(9515,	1306,	2,	2),
(9516,	1306,	3,	2),
(9517,	1306,	4,	2),
(9518,	1307,	2,	1),
(9519,	1307,	3,	1),
(9520,	1307,	4,	1),
(9521,	1307,	2,	2),
(9522,	1307,	3,	2),
(9523,	1307,	4,	2),
(9524,	1308,	75,	2),
(9525,	1308,	55,	2),
(9526,	1308,	82,	2),
(9527,	1308,	83,	2),
(9528,	1308,	42,	2),
(9529,	1308,	84,	2),
(9530,	1308,	85,	2),
(9531,	1308,	86,	2),
(9532,	1308,	87,	2),
(9533,	1308,	47,	2),
(9534,	1308,	88,	2),
(9535,	1308,	89,	2),
(9536,	1308,	90,	2),
(9537,	1308,	91,	2),
(9538,	1308,	92,	2),
(9539,	1308,	80,	2),
(9540,	1308,	2,	2),
(9541,	1308,	56,	2),
(9542,	1308,	3,	2),
(9543,	1308,	4,	2),
(9544,	1308,	69,	2),
(9545,	1308,	70,	2),
(9546,	1309,	75,	2),
(9547,	1309,	55,	2),
(9548,	1309,	82,	2),
(9549,	1309,	83,	2),
(9550,	1309,	42,	2),
(9551,	1309,	84,	2),
(9552,	1309,	85,	2),
(9553,	1309,	86,	2),
(9554,	1309,	87,	2),
(9555,	1309,	47,	2),
(9556,	1309,	88,	2),
(9557,	1309,	89,	2),
(9558,	1309,	90,	2),
(9559,	1309,	91,	2),
(9560,	1309,	92,	2),
(9561,	1309,	80,	2),
(9562,	1309,	2,	2),
(9563,	1309,	56,	2),
(9564,	1309,	3,	2),
(9565,	1309,	4,	2),
(9566,	1309,	69,	2),
(9567,	1309,	70,	2),
(9568,	1309,	75,	4),
(9569,	1309,	55,	4),
(9570,	1309,	82,	4),
(9571,	1309,	83,	4),
(9572,	1309,	42,	4),
(9573,	1309,	84,	4),
(9574,	1309,	85,	4),
(9575,	1309,	86,	4),
(9576,	1309,	87,	4),
(9577,	1309,	47,	4),
(9578,	1309,	88,	4),
(9579,	1309,	89,	4),
(9580,	1309,	90,	4),
(9581,	1309,	91,	4),
(9582,	1309,	92,	4),
(9583,	1309,	80,	4),
(9584,	1309,	2,	4),
(9585,	1309,	56,	4),
(9586,	1309,	3,	4),
(9587,	1309,	4,	4),
(9588,	1309,	69,	4),
(9589,	1309,	70,	4),
(9590,	1310,	55,	2),
(9591,	1310,	82,	2),
(9592,	1310,	83,	2),
(9593,	1310,	45,	2),
(9594,	1310,	42,	2),
(9595,	1310,	84,	2),
(9596,	1310,	85,	2),
(9597,	1310,	86,	2),
(9598,	1310,	87,	2),
(9599,	1310,	47,	2),
(9600,	1310,	88,	2),
(9601,	1310,	89,	2),
(9602,	1310,	90,	2),
(9603,	1310,	91,	2),
(9604,	1310,	92,	2),
(9605,	1310,	80,	2),
(9606,	1310,	2,	2),
(9607,	1310,	56,	2),
(9608,	1310,	3,	2),
(9609,	1310,	4,	2),
(9610,	1310,	69,	2),
(9611,	1310,	70,	2),
(9612,	1311,	55,	2),
(9613,	1311,	82,	2),
(9614,	1311,	83,	2),
(9615,	1311,	45,	2),
(9616,	1311,	42,	2),
(9617,	1311,	84,	2),
(9618,	1311,	85,	2),
(9619,	1311,	86,	2),
(9620,	1311,	87,	2),
(9621,	1311,	47,	2),
(9622,	1311,	88,	2),
(9623,	1311,	89,	2),
(9624,	1311,	90,	2),
(9625,	1311,	91,	2),
(9626,	1311,	92,	2),
(9627,	1311,	80,	2),
(9628,	1311,	2,	2),
(9629,	1311,	56,	2),
(9630,	1311,	3,	2),
(9631,	1311,	4,	2),
(9632,	1311,	69,	2),
(9633,	1311,	70,	2),
(9634,	1312,	55,	2),
(9635,	1312,	82,	2),
(9636,	1312,	83,	2),
(9637,	1312,	45,	2),
(9638,	1312,	42,	2),
(9639,	1312,	84,	2),
(9640,	1312,	85,	2),
(9641,	1312,	86,	2),
(9642,	1312,	87,	2),
(9643,	1312,	47,	2),
(9644,	1312,	88,	2),
(9645,	1312,	79,	2),
(9646,	1312,	89,	2),
(9647,	1312,	90,	2),
(9648,	1312,	91,	2),
(9649,	1312,	92,	2),
(9650,	1312,	80,	2),
(9651,	1312,	2,	2),
(9652,	1312,	56,	2),
(9653,	1312,	3,	2),
(9654,	1312,	4,	2),
(9655,	1312,	69,	2),
(9656,	1312,	70,	2),
(9657,	1312,	55,	4),
(9658,	1312,	82,	4),
(9659,	1312,	83,	4),
(9660,	1312,	45,	4),
(9661,	1312,	42,	4),
(9662,	1312,	84,	4),
(9663,	1312,	85,	4),
(9664,	1312,	86,	4),
(9665,	1312,	87,	4),
(9666,	1312,	47,	4),
(9667,	1312,	88,	4),
(9668,	1312,	79,	4),
(9669,	1312,	89,	4),
(9670,	1312,	90,	4),
(9671,	1312,	91,	4),
(9672,	1312,	92,	4),
(9673,	1312,	80,	4),
(9674,	1312,	2,	4),
(9675,	1312,	56,	4),
(9676,	1312,	3,	4),
(9677,	1312,	4,	4),
(9678,	1312,	69,	4),
(9679,	1312,	70,	4),
(9680,	1313,	55,	2),
(9681,	1313,	82,	2),
(9682,	1313,	83,	2),
(9683,	1313,	45,	2),
(9684,	1313,	42,	2),
(9685,	1313,	84,	2),
(9686,	1313,	85,	2),
(9687,	1313,	86,	2),
(9688,	1313,	87,	2),
(9689,	1313,	47,	2),
(9690,	1313,	88,	2),
(9691,	1313,	89,	2),
(9692,	1313,	90,	2),
(9693,	1313,	91,	2),
(9694,	1313,	92,	2),
(9695,	1313,	80,	2),
(9696,	1313,	2,	2),
(9697,	1313,	56,	2),
(9698,	1313,	3,	2),
(9699,	1313,	4,	2),
(9700,	1313,	69,	2),
(9701,	1313,	70,	2),
(9702,	1313,	55,	4),
(9703,	1313,	82,	4),
(9704,	1313,	83,	4),
(9705,	1313,	45,	4),
(9706,	1313,	42,	4),
(9707,	1313,	84,	4),
(9708,	1313,	85,	4),
(9709,	1313,	86,	4),
(9710,	1313,	87,	4),
(9711,	1313,	47,	4),
(9712,	1313,	88,	4),
(9713,	1313,	89,	4),
(9714,	1313,	90,	4),
(9715,	1313,	91,	4),
(9716,	1313,	92,	4),
(9717,	1313,	80,	4),
(9718,	1313,	2,	4),
(9719,	1313,	56,	4),
(9720,	1313,	3,	4),
(9721,	1313,	4,	4),
(9722,	1313,	69,	4),
(9723,	1313,	70,	4),
(9724,	1314,	2,	2),
(9725,	1314,	3,	2),
(9726,	1314,	4,	2),
(9727,	1315,	2,	1),
(9728,	1315,	3,	1),
(9729,	1315,	4,	1),
(9730,	1315,	2,	2),
(9731,	1315,	3,	2),
(9732,	1315,	4,	2),
(9733,	1316,	2,	2),
(9734,	1316,	3,	2),
(9735,	1316,	4,	2),
(9736,	1317,	2,	2),
(9737,	1317,	3,	2),
(9738,	1317,	4,	2),
(9739,	1318,	2,	2),
(9740,	1318,	3,	2),
(9741,	1318,	4,	2),
(9742,	1319,	2,	2),
(9743,	1319,	3,	2),
(9744,	1319,	4,	2),
(9745,	1320,	2,	1),
(9746,	1320,	3,	1),
(9747,	1320,	4,	1),
(9748,	1320,	2,	2),
(9749,	1320,	3,	2),
(9750,	1320,	4,	2),
(9751,	1321,	2,	2),
(9752,	1321,	3,	2),
(9753,	1321,	4,	2),
(9754,	1322,	55,	2),
(9755,	1322,	82,	2),
(9756,	1322,	83,	2),
(9757,	1322,	45,	2),
(9758,	1322,	42,	2),
(9759,	1322,	84,	2),
(9760,	1322,	85,	2),
(9761,	1322,	86,	2),
(9762,	1322,	87,	2),
(9763,	1322,	47,	2),
(9764,	1322,	88,	2),
(9765,	1322,	89,	2),
(9766,	1322,	90,	2),
(9767,	1322,	91,	2),
(9768,	1322,	92,	2),
(9769,	1322,	80,	2),
(9770,	1322,	2,	2),
(9771,	1322,	56,	2),
(9772,	1322,	3,	2),
(9773,	1322,	4,	2),
(9774,	1322,	69,	2),
(9775,	1322,	70,	2),
(9776,	1323,	55,	2),
(9777,	1323,	93,	2),
(9778,	1323,	82,	2),
(9779,	1323,	83,	2),
(9780,	1323,	45,	2),
(9781,	1323,	42,	2),
(9782,	1323,	84,	2),
(9783,	1323,	85,	2),
(9784,	1323,	86,	2),
(9785,	1323,	87,	2),
(9786,	1323,	47,	2),
(9787,	1323,	88,	2),
(9788,	1323,	79,	2),
(9789,	1323,	89,	2),
(9790,	1323,	90,	2),
(9791,	1323,	91,	2),
(9792,	1323,	94,	2),
(9793,	1323,	92,	2),
(9794,	1323,	80,	2),
(9795,	1323,	95,	2),
(9796,	1323,	2,	2),
(9797,	1323,	56,	2),
(9798,	1323,	3,	2),
(9799,	1323,	4,	2),
(9800,	1323,	69,	2),
(9801,	1323,	70,	2),
(9802,	1324,	2,	1),
(9803,	1324,	3,	1),
(9804,	1324,	4,	1),
(9805,	1324,	2,	2),
(9806,	1324,	3,	2),
(9807,	1324,	4,	2),
(9808,	1325,	2,	1),
(9809,	1325,	3,	1),
(9810,	1325,	4,	1),
(9811,	1325,	2,	2),
(9812,	1325,	3,	2),
(9813,	1325,	4,	2),
(9814,	1326,	55,	1),
(9815,	1326,	83,	1),
(9816,	1326,	84,	1),
(9817,	1326,	47,	1),
(9818,	1326,	88,	1),
(9819,	1326,	90,	1),
(9820,	1326,	2,	1),
(9821,	1326,	3,	1),
(9822,	1326,	4,	1),
(9823,	1326,	55,	2),
(9824,	1326,	83,	2),
(9825,	1326,	84,	2),
(9826,	1326,	47,	2),
(9827,	1326,	88,	2),
(9828,	1326,	90,	2),
(9829,	1326,	2,	2),
(9830,	1326,	3,	2),
(9831,	1326,	4,	2),
(9832,	1327,	55,	2),
(9833,	1327,	82,	2),
(9834,	1327,	83,	2),
(9835,	1327,	45,	2),
(9836,	1327,	42,	2),
(9837,	1327,	84,	2),
(9838,	1327,	85,	2),
(9839,	1327,	86,	2),
(9840,	1327,	87,	2),
(9841,	1327,	47,	2),
(9842,	1327,	88,	2),
(9843,	1327,	89,	2),
(9844,	1327,	90,	2),
(9845,	1327,	91,	2),
(9846,	1327,	92,	2),
(9847,	1327,	80,	2),
(9848,	1327,	2,	2),
(9849,	1327,	56,	2),
(9850,	1327,	3,	2),
(9851,	1327,	4,	2),
(9852,	1327,	69,	2),
(9853,	1327,	70,	2),
(9854,	1327,	55,	4),
(9855,	1327,	82,	4),
(9856,	1327,	83,	4),
(9857,	1327,	45,	4),
(9858,	1327,	42,	4),
(9859,	1327,	84,	4),
(9860,	1327,	85,	4),
(9861,	1327,	86,	4),
(9862,	1327,	87,	4),
(9863,	1327,	47,	4),
(9864,	1327,	88,	4),
(9865,	1327,	89,	4),
(9866,	1327,	90,	4),
(9867,	1327,	91,	4),
(9868,	1327,	92,	4),
(9869,	1327,	80,	4),
(9870,	1327,	2,	4),
(9871,	1327,	56,	4),
(9872,	1327,	3,	4),
(9873,	1327,	4,	4),
(9874,	1327,	69,	4),
(9875,	1327,	70,	4),
(9876,	1328,	2,	1),
(9877,	1328,	3,	1),
(9878,	1328,	4,	1),
(9879,	1328,	2,	2),
(9880,	1328,	3,	2),
(9881,	1328,	4,	2),
(9882,	1329,	2,	2),
(9883,	1329,	56,	2),
(9884,	1329,	3,	2),
(9885,	1329,	4,	2),
(9886,	1329,	69,	2),
(9887,	1329,	70,	2),
(9888,	1329,	2,	4),
(9889,	1329,	56,	4),
(9890,	1329,	3,	4),
(9891,	1329,	4,	4),
(9892,	1329,	69,	4),
(9893,	1329,	70,	4),
(9894,	1330,	2,	1),
(9895,	1330,	3,	1),
(9896,	1330,	4,	1),
(9897,	1330,	2,	2),
(9898,	1330,	3,	2),
(9899,	1330,	4,	2),
(9900,	1331,	2,	2),
(9901,	1331,	3,	2),
(9902,	1331,	4,	2),
(9903,	1332,	96,	2),
(9904,	1332,	11,	2),
(9905,	1332,	97,	2),
(9906,	1332,	98,	2),
(9907,	1332,	19,	2),
(9908,	1332,	20,	2),
(9909,	1332,	25,	2),
(9910,	1332,	2,	2),
(9911,	1332,	3,	2),
(9912,	1332,	4,	2),
(9913,	1332,	96,	4),
(9914,	1332,	11,	4),
(9915,	1332,	97,	4),
(9916,	1332,	98,	4),
(9917,	1332,	19,	4),
(9918,	1332,	20,	4),
(9919,	1332,	25,	4),
(9920,	1332,	2,	4),
(9921,	1332,	3,	4),
(9922,	1332,	4,	4),
(9923,	1333,	96,	2),
(9924,	1333,	9,	2),
(9925,	1333,	98,	2),
(9926,	1333,	19,	2),
(9927,	1333,	20,	2),
(9928,	1333,	31,	2),
(9929,	1333,	25,	2),
(9930,	1333,	2,	2),
(9931,	1333,	3,	2),
(9932,	1333,	4,	2),
(9933,	1333,	96,	4),
(9934,	1333,	9,	4),
(9935,	1333,	98,	4),
(9936,	1333,	19,	4),
(9937,	1333,	20,	4),
(9938,	1333,	31,	4),
(9939,	1333,	25,	4),
(9940,	1333,	2,	4),
(9941,	1333,	3,	4),
(9942,	1333,	4,	4),
(9943,	1334,	96,	2),
(9944,	1334,	11,	2),
(9945,	1334,	97,	2),
(9946,	1334,	98,	2),
(9947,	1334,	19,	2),
(9948,	1334,	20,	2),
(9949,	1334,	25,	2),
(9950,	1334,	2,	2),
(9951,	1334,	3,	2),
(9952,	1334,	4,	2),
(9953,	1334,	96,	4),
(9954,	1334,	11,	4),
(9955,	1334,	97,	4),
(9956,	1334,	98,	4),
(9957,	1334,	19,	4),
(9958,	1334,	20,	4),
(9959,	1334,	25,	4),
(9960,	1334,	2,	4),
(9961,	1334,	3,	4),
(9962,	1334,	4,	4),
(9963,	1335,	96,	2),
(9964,	1335,	11,	2),
(9965,	1335,	97,	2),
(9966,	1335,	98,	2),
(9967,	1335,	19,	2),
(9968,	1335,	20,	2),
(9969,	1335,	25,	2),
(9970,	1335,	2,	2),
(9971,	1335,	3,	2),
(9972,	1335,	4,	2),
(9973,	1335,	96,	4),
(9974,	1335,	11,	4),
(9975,	1335,	97,	4),
(9976,	1335,	98,	4),
(9977,	1335,	19,	4),
(9978,	1335,	20,	4),
(9979,	1335,	25,	4),
(9980,	1335,	2,	4),
(9981,	1335,	3,	4),
(9982,	1335,	4,	4),
(9983,	1336,	7,	2),
(9984,	1336,	96,	2),
(9985,	1336,	11,	2),
(9986,	1336,	99,	2),
(9987,	1336,	100,	2),
(9988,	1336,	101,	2),
(9989,	1336,	72,	2),
(9990,	1336,	102,	2),
(9991,	1336,	103,	2),
(9992,	1336,	104,	2),
(9993,	1336,	97,	2),
(9994,	1336,	98,	2),
(9995,	1336,	19,	2),
(9996,	1336,	20,	2),
(9997,	1336,	31,	2),
(9998,	1336,	25,	2),
(9999,	1336,	2,	2),
(10000,	1336,	3,	2),
(10001,	1336,	29,	2),
(10002,	1336,	4,	2),
(10003,	1336,	7,	4),
(10004,	1336,	96,	4),
(10005,	1336,	11,	4),
(10006,	1336,	99,	4),
(10007,	1336,	100,	4),
(10008,	1336,	101,	4),
(10009,	1336,	72,	4),
(10010,	1336,	102,	4),
(10011,	1336,	103,	4),
(10012,	1336,	104,	4),
(10013,	1336,	97,	4),
(10014,	1336,	98,	4),
(10015,	1336,	19,	4),
(10016,	1336,	20,	4),
(10017,	1336,	31,	4),
(10018,	1336,	25,	4),
(10019,	1336,	2,	4),
(10020,	1336,	3,	4),
(10021,	1336,	29,	4),
(10022,	1336,	4,	4),
(10023,	1337,	96,	2),
(10024,	1337,	11,	2),
(10025,	1337,	97,	2),
(10026,	1337,	98,	2),
(10027,	1337,	19,	2),
(10028,	1337,	20,	2),
(10029,	1337,	25,	2),
(10030,	1337,	2,	2),
(10031,	1337,	3,	2),
(10032,	1337,	4,	2),
(10033,	1337,	96,	4),
(10034,	1337,	11,	4),
(10035,	1337,	97,	4),
(10036,	1337,	98,	4),
(10037,	1337,	19,	4),
(10038,	1337,	20,	4),
(10039,	1337,	25,	4),
(10040,	1337,	2,	4),
(10041,	1337,	3,	4),
(10042,	1337,	4,	4),
(10043,	1338,	2,	2),
(10044,	1338,	3,	2),
(10045,	1338,	4,	2),
(10046,	1338,	2,	4),
(10047,	1338,	3,	4),
(10048,	1338,	4,	4),
(10049,	1339,	7,	2),
(10050,	1339,	99,	2),
(10051,	1339,	100,	2),
(10052,	1339,	72,	2),
(10053,	1339,	103,	2),
(10054,	1339,	104,	2),
(10055,	1339,	31,	2),
(10056,	1339,	2,	2),
(10057,	1339,	3,	2),
(10058,	1339,	4,	2),
(10059,	1339,	7,	4),
(10060,	1339,	99,	4),
(10061,	1339,	100,	4),
(10062,	1339,	72,	4),
(10063,	1339,	103,	4),
(10064,	1339,	104,	4),
(10065,	1339,	31,	4),
(10066,	1339,	2,	4),
(10067,	1339,	3,	4),
(10068,	1339,	4,	4),
(10069,	1340,	96,	2),
(10070,	1340,	97,	2),
(10071,	1340,	98,	2),
(10072,	1340,	19,	2),
(10073,	1340,	20,	2),
(10074,	1340,	25,	2),
(10075,	1340,	2,	2),
(10076,	1340,	3,	2),
(10077,	1340,	4,	2),
(10078,	1340,	96,	4),
(10079,	1340,	97,	4),
(10080,	1340,	98,	4),
(10081,	1340,	19,	4),
(10082,	1340,	20,	4),
(10083,	1340,	25,	4),
(10084,	1340,	2,	4),
(10085,	1340,	3,	4),
(10086,	1340,	4,	4),
(10087,	1341,	96,	2),
(10088,	1341,	8,	2),
(10089,	1341,	9,	2),
(10090,	1341,	98,	2),
(10091,	1341,	19,	2),
(10092,	1341,	20,	2),
(10093,	1341,	25,	2),
(10094,	1341,	2,	2),
(10095,	1341,	3,	2),
(10096,	1341,	4,	2),
(10097,	1341,	96,	4),
(10098,	1341,	8,	4),
(10099,	1341,	9,	4),
(10100,	1341,	98,	4),
(10101,	1341,	19,	4),
(10102,	1341,	20,	4),
(10103,	1341,	25,	4),
(10104,	1341,	2,	4),
(10105,	1341,	3,	4),
(10106,	1341,	4,	4),
(10107,	1342,	96,	2),
(10108,	1342,	98,	2),
(10109,	1342,	19,	2),
(10110,	1342,	20,	2),
(10111,	1342,	25,	2),
(10112,	1342,	2,	2),
(10113,	1342,	3,	2),
(10114,	1342,	4,	2),
(10115,	1342,	96,	4),
(10116,	1342,	98,	4),
(10117,	1342,	19,	4),
(10118,	1342,	20,	4),
(10119,	1342,	25,	4),
(10120,	1342,	2,	4),
(10121,	1342,	3,	4),
(10122,	1342,	4,	4),
(10123,	1343,	96,	2),
(10124,	1343,	9,	2),
(10125,	1343,	19,	2),
(10126,	1343,	20,	2),
(10127,	1343,	31,	2),
(10128,	1343,	25,	2),
(10129,	1343,	2,	2),
(10130,	1343,	3,	2),
(10131,	1343,	4,	2),
(10132,	1343,	96,	4),
(10133,	1343,	9,	4),
(10134,	1343,	19,	4),
(10135,	1343,	20,	4),
(10136,	1343,	31,	4),
(10137,	1343,	25,	4),
(10138,	1343,	2,	4),
(10139,	1343,	3,	4),
(10140,	1343,	4,	4),
(10141,	1344,	7,	2),
(10142,	1344,	96,	2),
(10143,	1344,	9,	2),
(10144,	1344,	99,	2),
(10145,	1344,	100,	2),
(10146,	1344,	72,	2),
(10147,	1344,	102,	2),
(10148,	1344,	103,	2),
(10149,	1344,	104,	2),
(10150,	1344,	97,	2),
(10151,	1344,	98,	2),
(10152,	1344,	19,	2),
(10153,	1344,	20,	2),
(10154,	1344,	31,	2),
(10155,	1344,	25,	2),
(10156,	1344,	2,	2),
(10157,	1344,	3,	2),
(10158,	1344,	29,	2),
(10159,	1344,	4,	2),
(10160,	1344,	7,	4),
(10161,	1344,	96,	4),
(10162,	1344,	9,	4),
(10163,	1344,	99,	4),
(10164,	1344,	100,	4),
(10165,	1344,	72,	4),
(10166,	1344,	102,	4),
(10167,	1344,	103,	4),
(10168,	1344,	104,	4),
(10169,	1344,	97,	4),
(10170,	1344,	98,	4),
(10171,	1344,	19,	4),
(10172,	1344,	20,	4),
(10173,	1344,	31,	4),
(10174,	1344,	25,	4),
(10175,	1344,	2,	4),
(10176,	1344,	3,	4),
(10177,	1344,	29,	4),
(10178,	1344,	4,	4),
(10179,	1345,	7,	2),
(10180,	1345,	96,	2),
(10181,	1345,	99,	2),
(10182,	1345,	100,	2),
(10183,	1345,	72,	2),
(10184,	1345,	103,	2),
(10185,	1345,	104,	2),
(10186,	1345,	97,	2),
(10187,	1345,	98,	2),
(10188,	1345,	19,	2),
(10189,	1345,	20,	2),
(10190,	1345,	31,	2),
(10191,	1345,	25,	2),
(10192,	1345,	2,	2),
(10193,	1345,	3,	2),
(10194,	1345,	4,	2),
(10195,	1345,	7,	4),
(10196,	1345,	96,	4),
(10197,	1345,	99,	4),
(10198,	1345,	100,	4),
(10199,	1345,	72,	4),
(10200,	1345,	103,	4),
(10201,	1345,	104,	4),
(10202,	1345,	97,	4),
(10203,	1345,	98,	4),
(10204,	1345,	19,	4),
(10205,	1345,	20,	4),
(10206,	1345,	31,	4),
(10207,	1345,	25,	4),
(10208,	1345,	2,	4),
(10209,	1345,	3,	4),
(10210,	1345,	4,	4),
(10211,	1346,	96,	2),
(10212,	1346,	11,	2),
(10213,	1346,	98,	2),
(10214,	1346,	19,	2),
(10215,	1346,	20,	2),
(10216,	1346,	25,	2),
(10217,	1346,	2,	2),
(10218,	1346,	3,	2),
(10219,	1346,	4,	2),
(10220,	1346,	96,	4),
(10221,	1346,	11,	4),
(10222,	1346,	98,	4),
(10223,	1346,	19,	4),
(10224,	1346,	20,	4),
(10225,	1346,	25,	4),
(10226,	1346,	2,	4),
(10227,	1346,	3,	4),
(10228,	1346,	4,	4),
(10229,	1347,	96,	2),
(10230,	1347,	98,	2),
(10231,	1347,	19,	2),
(10232,	1347,	20,	2),
(10233,	1347,	25,	2),
(10234,	1347,	2,	2),
(10235,	1347,	3,	2),
(10236,	1347,	4,	2),
(10237,	1347,	96,	4),
(10238,	1347,	98,	4),
(10239,	1347,	19,	4),
(10240,	1347,	20,	4),
(10241,	1347,	25,	4),
(10242,	1347,	2,	4),
(10243,	1347,	3,	4),
(10244,	1347,	4,	4),
(10245,	1348,	7,	2),
(10246,	1348,	96,	2),
(10247,	1348,	99,	2),
(10248,	1348,	100,	2),
(10249,	1348,	72,	2),
(10250,	1348,	103,	2),
(10251,	1348,	104,	2),
(10252,	1348,	97,	2),
(10253,	1348,	98,	2),
(10254,	1348,	19,	2),
(10255,	1348,	20,	2),
(10256,	1348,	31,	2),
(10257,	1348,	25,	2),
(10258,	1348,	2,	2),
(10259,	1348,	3,	2),
(10260,	1348,	4,	2),
(10261,	1348,	7,	4),
(10262,	1348,	96,	4),
(10263,	1348,	99,	4),
(10264,	1348,	100,	4),
(10265,	1348,	72,	4),
(10266,	1348,	103,	4),
(10267,	1348,	104,	4),
(10268,	1348,	97,	4),
(10269,	1348,	98,	4),
(10270,	1348,	19,	4),
(10271,	1348,	20,	4),
(10272,	1348,	31,	4),
(10273,	1348,	25,	4),
(10274,	1348,	2,	4),
(10275,	1348,	3,	4),
(10276,	1348,	4,	4),
(10277,	1349,	96,	2),
(10278,	1349,	97,	2),
(10279,	1349,	98,	2),
(10280,	1349,	19,	2),
(10281,	1349,	20,	2),
(10282,	1349,	25,	2),
(10283,	1349,	2,	2),
(10284,	1349,	3,	2),
(10285,	1349,	4,	2),
(10286,	1349,	96,	4),
(10287,	1349,	97,	4),
(10288,	1349,	98,	4),
(10289,	1349,	19,	4),
(10290,	1349,	20,	4),
(10291,	1349,	25,	4),
(10292,	1349,	2,	4),
(10293,	1349,	3,	4),
(10294,	1349,	4,	4),
(10295,	1350,	7,	2),
(10296,	1350,	96,	2),
(10297,	1350,	99,	2),
(10298,	1350,	100,	2),
(10299,	1350,	72,	2),
(10300,	1350,	103,	2),
(10301,	1350,	97,	2),
(10302,	1350,	98,	2),
(10303,	1350,	19,	2),
(10304,	1350,	20,	2),
(10305,	1350,	31,	2),
(10306,	1350,	25,	2),
(10307,	1350,	2,	2),
(10308,	1350,	3,	2),
(10309,	1350,	4,	2),
(10310,	1350,	7,	4),
(10311,	1350,	96,	4),
(10312,	1350,	99,	4),
(10313,	1350,	100,	4),
(10314,	1350,	72,	4),
(10315,	1350,	103,	4),
(10316,	1350,	97,	4),
(10317,	1350,	98,	4),
(10318,	1350,	19,	4),
(10319,	1350,	20,	4),
(10320,	1350,	31,	4),
(10321,	1350,	25,	4),
(10322,	1350,	2,	4),
(10323,	1350,	3,	4),
(10324,	1350,	4,	4),
(10325,	1351,	96,	2),
(10326,	1351,	11,	2),
(10327,	1351,	98,	2),
(10328,	1351,	19,	2),
(10329,	1351,	20,	2),
(10330,	1351,	25,	2),
(10331,	1351,	2,	2),
(10332,	1351,	3,	2),
(10333,	1351,	4,	2),
(10334,	1351,	96,	4),
(10335,	1351,	11,	4),
(10336,	1351,	98,	4),
(10337,	1351,	19,	4),
(10338,	1351,	20,	4),
(10339,	1351,	25,	4),
(10340,	1351,	2,	4),
(10341,	1351,	3,	4),
(10342,	1351,	4,	4),
(10343,	1352,	7,	2),
(10344,	1352,	96,	2),
(10345,	1352,	99,	2),
(10346,	1352,	100,	2),
(10347,	1352,	72,	2),
(10348,	1352,	103,	2),
(10349,	1352,	104,	2),
(10350,	1352,	97,	2),
(10351,	1352,	98,	2),
(10352,	1352,	19,	2),
(10353,	1352,	20,	2),
(10354,	1352,	31,	2),
(10355,	1352,	25,	2),
(10356,	1352,	2,	2),
(10357,	1352,	3,	2),
(10358,	1352,	29,	2),
(10359,	1352,	4,	2),
(10360,	1352,	7,	4),
(10361,	1352,	96,	4),
(10362,	1352,	99,	4),
(10363,	1352,	100,	4),
(10364,	1352,	72,	4),
(10365,	1352,	103,	4),
(10366,	1352,	104,	4),
(10367,	1352,	97,	4),
(10368,	1352,	98,	4),
(10369,	1352,	19,	4),
(10370,	1352,	20,	4),
(10371,	1352,	31,	4),
(10372,	1352,	25,	4),
(10373,	1352,	2,	4),
(10374,	1352,	3,	4),
(10375,	1352,	29,	4),
(10376,	1352,	4,	4),
(10377,	1353,	2,	2),
(10378,	1353,	3,	2),
(10379,	1353,	4,	2),
(10380,	1353,	2,	4),
(10381,	1353,	3,	4),
(10382,	1353,	4,	4),
(10383,	1354,	7,	2),
(10384,	1354,	96,	2),
(10385,	1354,	99,	2),
(10386,	1354,	100,	2),
(10387,	1354,	72,	2),
(10388,	1354,	103,	2),
(10389,	1354,	104,	2),
(10390,	1354,	97,	2),
(10391,	1354,	98,	2),
(10392,	1354,	19,	2),
(10393,	1354,	20,	2),
(10394,	1354,	31,	2),
(10395,	1354,	25,	2),
(10396,	1354,	2,	2),
(10397,	1354,	3,	2),
(10398,	1354,	29,	2),
(10399,	1354,	4,	2),
(10400,	1354,	7,	4),
(10401,	1354,	96,	4),
(10402,	1354,	99,	4),
(10403,	1354,	100,	4),
(10404,	1354,	72,	4),
(10405,	1354,	103,	4),
(10406,	1354,	104,	4),
(10407,	1354,	97,	4),
(10408,	1354,	98,	4),
(10409,	1354,	19,	4),
(10410,	1354,	20,	4),
(10411,	1354,	31,	4),
(10412,	1354,	25,	4),
(10413,	1354,	2,	4),
(10414,	1354,	3,	4),
(10415,	1354,	29,	4),
(10416,	1354,	4,	4),
(10417,	1355,	96,	2),
(10418,	1355,	98,	2),
(10419,	1355,	19,	2),
(10420,	1355,	20,	2),
(10421,	1355,	25,	2),
(10422,	1355,	2,	2),
(10423,	1355,	3,	2),
(10424,	1355,	22,	2),
(10425,	1355,	4,	2),
(10426,	1355,	96,	4),
(10427,	1355,	98,	4),
(10428,	1355,	19,	4),
(10429,	1355,	20,	4),
(10430,	1355,	25,	4),
(10431,	1355,	2,	4),
(10432,	1355,	3,	4),
(10433,	1355,	22,	4),
(10434,	1355,	4,	4),
(10435,	1356,	7,	2),
(10436,	1356,	96,	2),
(10437,	1356,	99,	2),
(10438,	1356,	100,	2),
(10439,	1356,	72,	2),
(10440,	1356,	103,	2),
(10441,	1356,	104,	2),
(10442,	1356,	97,	2),
(10443,	1356,	98,	2),
(10444,	1356,	19,	2),
(10445,	1356,	20,	2),
(10446,	1356,	31,	2),
(10447,	1356,	25,	2),
(10448,	1356,	2,	2),
(10449,	1356,	3,	2),
(10450,	1356,	4,	2),
(10451,	1356,	7,	4),
(10452,	1356,	96,	4),
(10453,	1356,	99,	4),
(10454,	1356,	100,	4),
(10455,	1356,	72,	4),
(10456,	1356,	103,	4),
(10457,	1356,	104,	4),
(10458,	1356,	97,	4),
(10459,	1356,	98,	4),
(10460,	1356,	19,	4),
(10461,	1356,	20,	4),
(10462,	1356,	31,	4),
(10463,	1356,	25,	4),
(10464,	1356,	2,	4),
(10465,	1356,	3,	4),
(10466,	1356,	4,	4),
(10467,	1357,	96,	2),
(10468,	1357,	98,	2),
(10469,	1357,	19,	2),
(10470,	1357,	20,	2),
(10471,	1357,	25,	2),
(10472,	1357,	2,	2),
(10473,	1357,	3,	2),
(10474,	1357,	4,	2),
(10475,	1357,	96,	4),
(10476,	1357,	98,	4),
(10477,	1357,	19,	4),
(10478,	1357,	20,	4),
(10479,	1357,	25,	4),
(10480,	1357,	2,	4),
(10481,	1357,	3,	4),
(10482,	1357,	4,	4),
(10483,	1358,	96,	2),
(10484,	1358,	98,	2),
(10485,	1358,	19,	2),
(10486,	1358,	20,	2),
(10487,	1358,	25,	2),
(10488,	1358,	2,	2),
(10489,	1358,	3,	2),
(10490,	1358,	4,	2),
(10491,	1358,	96,	4),
(10492,	1358,	98,	4),
(10493,	1358,	19,	4),
(10494,	1358,	20,	4),
(10495,	1358,	25,	4),
(10496,	1358,	2,	4),
(10497,	1358,	3,	4),
(10498,	1358,	4,	4),
(10499,	1359,	96,	2),
(10500,	1359,	98,	2),
(10501,	1359,	19,	2),
(10502,	1359,	20,	2),
(10503,	1359,	25,	2),
(10504,	1359,	2,	2),
(10505,	1359,	3,	2),
(10506,	1359,	4,	2),
(10507,	1359,	96,	4),
(10508,	1359,	98,	4),
(10509,	1359,	19,	4),
(10510,	1359,	20,	4),
(10511,	1359,	25,	4),
(10512,	1359,	2,	4),
(10513,	1359,	3,	4),
(10514,	1359,	4,	4),
(10515,	1360,	7,	2),
(10516,	1360,	96,	2),
(10517,	1360,	99,	2),
(10518,	1360,	100,	2),
(10519,	1360,	72,	2),
(10520,	1360,	103,	2),
(10521,	1360,	104,	2),
(10522,	1360,	97,	2),
(10523,	1360,	98,	2),
(10524,	1360,	19,	2),
(10525,	1360,	20,	2),
(10526,	1360,	31,	2),
(10527,	1360,	25,	2),
(10528,	1360,	2,	2),
(10529,	1360,	3,	2),
(10530,	1360,	4,	2),
(10531,	1360,	7,	4),
(10532,	1360,	96,	4),
(10533,	1360,	99,	4),
(10534,	1360,	100,	4),
(10535,	1360,	72,	4),
(10536,	1360,	103,	4),
(10537,	1360,	104,	4),
(10538,	1360,	97,	4),
(10539,	1360,	98,	4),
(10540,	1360,	19,	4),
(10541,	1360,	20,	4),
(10542,	1360,	31,	4),
(10543,	1360,	25,	4),
(10544,	1360,	2,	4),
(10545,	1360,	3,	4),
(10546,	1360,	4,	4),
(10547,	1361,	96,	2),
(10548,	1361,	11,	2),
(10549,	1361,	97,	2),
(10550,	1361,	98,	2),
(10551,	1361,	19,	2),
(10552,	1361,	20,	2),
(10553,	1361,	25,	2),
(10554,	1361,	2,	2),
(10555,	1361,	3,	2),
(10556,	1361,	4,	2),
(10557,	1361,	96,	4),
(10558,	1361,	11,	4),
(10559,	1361,	97,	4),
(10560,	1361,	98,	4),
(10561,	1361,	19,	4),
(10562,	1361,	20,	4),
(10563,	1361,	25,	4),
(10564,	1361,	2,	4),
(10565,	1361,	3,	4),
(10566,	1361,	4,	4),
(10567,	1362,	7,	2),
(10568,	1362,	96,	2),
(10569,	1362,	99,	2),
(10570,	1362,	100,	2),
(10571,	1362,	72,	2),
(10572,	1362,	103,	2),
(10573,	1362,	97,	2),
(10574,	1362,	98,	2),
(10575,	1362,	19,	2),
(10576,	1362,	20,	2),
(10577,	1362,	31,	2),
(10578,	1362,	25,	2),
(10579,	1362,	2,	2),
(10580,	1362,	3,	2),
(10581,	1362,	4,	2),
(10582,	1362,	7,	4),
(10583,	1362,	96,	4),
(10584,	1362,	99,	4),
(10585,	1362,	100,	4),
(10586,	1362,	72,	4),
(10587,	1362,	103,	4),
(10588,	1362,	97,	4),
(10589,	1362,	98,	4),
(10590,	1362,	19,	4),
(10591,	1362,	20,	4),
(10592,	1362,	31,	4),
(10593,	1362,	25,	4),
(10594,	1362,	2,	4),
(10595,	1362,	3,	4),
(10596,	1362,	4,	4),
(10597,	1363,	7,	2),
(10598,	1363,	96,	2),
(10599,	1363,	99,	2),
(10600,	1363,	100,	2),
(10601,	1363,	72,	2),
(10602,	1363,	103,	2),
(10603,	1363,	104,	2),
(10604,	1363,	97,	2),
(10605,	1363,	98,	2),
(10606,	1363,	19,	2),
(10607,	1363,	20,	2),
(10608,	1363,	31,	2),
(10609,	1363,	25,	2),
(10610,	1363,	2,	2),
(10611,	1363,	3,	2),
(10612,	1363,	4,	2),
(10613,	1363,	7,	4),
(10614,	1363,	96,	4),
(10615,	1363,	99,	4),
(10616,	1363,	100,	4),
(10617,	1363,	72,	4),
(10618,	1363,	103,	4),
(10619,	1363,	104,	4),
(10620,	1363,	97,	4),
(10621,	1363,	98,	4),
(10622,	1363,	19,	4),
(10623,	1363,	20,	4),
(10624,	1363,	31,	4),
(10625,	1363,	25,	4),
(10626,	1363,	2,	4),
(10627,	1363,	3,	4),
(10628,	1363,	4,	4),
(10629,	1364,	7,	2),
(10630,	1364,	96,	2),
(10631,	1364,	99,	2),
(10632,	1364,	100,	2),
(10633,	1364,	72,	2),
(10634,	1364,	103,	2),
(10635,	1364,	104,	2),
(10636,	1364,	97,	2),
(10637,	1364,	98,	2),
(10638,	1364,	19,	2),
(10639,	1364,	20,	2),
(10640,	1364,	31,	2),
(10641,	1364,	25,	2),
(10642,	1364,	2,	2),
(10643,	1364,	3,	2),
(10644,	1364,	4,	2),
(10645,	1364,	7,	4),
(10646,	1364,	96,	4),
(10647,	1364,	99,	4),
(10648,	1364,	100,	4),
(10649,	1364,	72,	4),
(10650,	1364,	103,	4),
(10651,	1364,	104,	4),
(10652,	1364,	97,	4),
(10653,	1364,	98,	4),
(10654,	1364,	19,	4),
(10655,	1364,	20,	4),
(10656,	1364,	31,	4),
(10657,	1364,	25,	4),
(10658,	1364,	2,	4),
(10659,	1364,	3,	4),
(10660,	1364,	4,	4),
(10661,	1365,	6,	2),
(10662,	1365,	23,	2),
(10663,	1365,	24,	2),
(10664,	1365,	1,	2),
(10665,	1365,	2,	2),
(10666,	1365,	3,	2),
(10667,	1365,	4,	2),
(10668,	1365,	6,	4),
(10669,	1365,	23,	4),
(10670,	1365,	24,	4),
(10671,	1365,	1,	4),
(10672,	1365,	2,	4),
(10673,	1365,	3,	4),
(10674,	1365,	4,	4),
(10675,	1366,	2,	1),
(10676,	1366,	3,	1),
(10677,	1366,	4,	1),
(10678,	1366,	2,	2),
(10679,	1366,	3,	2),
(10680,	1366,	4,	2),
(10681,	1366,	2,	3),
(10682,	1366,	3,	3),
(10683,	1366,	4,	3),
(10684,	1367,	96,	2),
(10685,	1367,	11,	2),
(10686,	1367,	98,	2),
(10687,	1367,	19,	2),
(10688,	1367,	20,	2),
(10689,	1367,	25,	2),
(10690,	1367,	2,	2),
(10691,	1367,	3,	2),
(10692,	1367,	4,	2),
(10693,	1367,	96,	4),
(10694,	1367,	11,	4),
(10695,	1367,	98,	4),
(10696,	1367,	19,	4),
(10697,	1367,	20,	4),
(10698,	1367,	25,	4),
(10699,	1367,	2,	4),
(10700,	1367,	3,	4),
(10701,	1367,	4,	4),
(10702,	1368,	96,	2),
(10703,	1368,	11,	2),
(10704,	1368,	98,	2),
(10705,	1368,	19,	2),
(10706,	1368,	20,	2),
(10707,	1368,	25,	2),
(10708,	1368,	2,	2),
(10709,	1368,	3,	2),
(10710,	1368,	4,	2),
(10711,	1368,	96,	4),
(10712,	1368,	11,	4),
(10713,	1368,	98,	4),
(10714,	1368,	19,	4),
(10715,	1368,	20,	4),
(10716,	1368,	25,	4),
(10717,	1368,	2,	4),
(10718,	1368,	3,	4),
(10719,	1368,	4,	4),
(10720,	1369,	2,	1),
(10721,	1369,	3,	1),
(10722,	1369,	4,	1),
(10723,	1369,	2,	2),
(10724,	1369,	3,	2),
(10725,	1369,	4,	2),
(10726,	1370,	2,	1),
(10727,	1370,	3,	1),
(10728,	1370,	4,	1),
(10729,	1370,	2,	2),
(10730,	1370,	3,	2),
(10731,	1370,	4,	2),
(10732,	1371,	2,	1),
(10733,	1371,	3,	1),
(10734,	1371,	4,	1),
(10735,	1371,	2,	2),
(10736,	1371,	3,	2),
(10737,	1371,	4,	2),
(10738,	1372,	2,	1),
(10739,	1372,	3,	1),
(10740,	1372,	4,	1),
(10741,	1372,	2,	2),
(10742,	1372,	3,	2),
(10743,	1372,	4,	2),
(10744,	1373,	2,	1),
(10745,	1373,	3,	1),
(10746,	1373,	4,	1),
(10747,	1373,	2,	2),
(10748,	1373,	3,	2),
(10749,	1373,	4,	2),
(10750,	1374,	2,	1),
(10751,	1374,	3,	1),
(10752,	1374,	4,	1),
(10753,	1374,	2,	2),
(10754,	1374,	3,	2),
(10755,	1374,	4,	2),
(10756,	1375,	2,	2),
(10757,	1375,	3,	2),
(10758,	1375,	4,	2),
(10759,	1376,	2,	1),
(10760,	1376,	3,	1),
(10761,	1376,	4,	1),
(10762,	1376,	2,	2),
(10763,	1376,	3,	2),
(10764,	1376,	4,	2),
(10765,	1377,	2,	1),
(10766,	1377,	3,	1),
(10767,	1377,	4,	1),
(10768,	1377,	2,	2),
(10769,	1377,	3,	2),
(10770,	1377,	4,	2),
(10771,	1378,	2,	2),
(10772,	1378,	3,	2),
(10773,	1378,	4,	2),
(10774,	1379,	2,	1),
(10775,	1379,	3,	1),
(10776,	1379,	4,	1),
(10777,	1379,	2,	2),
(10778,	1379,	3,	2),
(10779,	1379,	4,	2),
(10780,	1380,	2,	2),
(10781,	1380,	3,	2),
(10782,	1380,	4,	2),
(10783,	1381,	2,	1),
(10784,	1381,	3,	1),
(10785,	1381,	4,	1),
(10786,	1381,	2,	2),
(10787,	1381,	3,	2),
(10788,	1381,	4,	2),
(10789,	1382,	2,	1),
(10790,	1382,	3,	1),
(10791,	1382,	4,	1),
(10792,	1382,	2,	2),
(10793,	1382,	3,	2),
(10794,	1382,	4,	2),
(10795,	1383,	2,	1),
(10796,	1383,	3,	1),
(10797,	1383,	4,	1),
(10798,	1383,	2,	2),
(10799,	1383,	3,	2),
(10800,	1383,	4,	2),
(10801,	1384,	2,	1),
(10802,	1384,	3,	1),
(10803,	1384,	4,	1),
(10804,	1384,	2,	2),
(10805,	1384,	3,	2),
(10806,	1384,	4,	2),
(10807,	1385,	2,	1),
(10808,	1385,	3,	1),
(10809,	1385,	4,	1),
(10810,	1385,	2,	2),
(10811,	1385,	3,	2),
(10812,	1385,	4,	2),
(10813,	1386,	2,	2),
(10814,	1386,	3,	2),
(10815,	1386,	4,	2),
(10816,	1387,	2,	2),
(10817,	1387,	3,	2),
(10818,	1387,	4,	2),
(10819,	1387,	2,	4),
(10820,	1387,	3,	4),
(10821,	1387,	4,	4),
(10822,	1388,	2,	1),
(10823,	1388,	3,	1),
(10824,	1388,	4,	1),
(10825,	1388,	2,	2),
(10826,	1388,	3,	2),
(10827,	1388,	4,	2),
(10828,	1389,	2,	1),
(10829,	1389,	3,	1),
(10830,	1389,	4,	1),
(10831,	1389,	2,	2),
(10832,	1389,	3,	2),
(10833,	1389,	4,	2),
(10834,	1390,	2,	2),
(10835,	1390,	3,	2),
(10836,	1390,	4,	2),
(10837,	1390,	2,	4),
(10838,	1390,	3,	4),
(10839,	1390,	4,	4),
(10840,	1391,	2,	1),
(10841,	1391,	3,	1),
(10842,	1391,	4,	1),
(10843,	1391,	2,	2),
(10844,	1391,	3,	2),
(10845,	1391,	4,	2),
(10846,	1392,	2,	1),
(10847,	1392,	3,	1),
(10848,	1392,	4,	1),
(10849,	1392,	2,	2),
(10850,	1392,	3,	2),
(10851,	1392,	4,	2),
(10852,	1393,	2,	1),
(10853,	1393,	3,	1),
(10854,	1393,	4,	1),
(10855,	1393,	2,	2),
(10856,	1393,	3,	2),
(10857,	1393,	4,	2),
(10858,	1394,	2,	1),
(10859,	1394,	3,	1),
(10860,	1394,	4,	1),
(10861,	1394,	2,	2),
(10862,	1394,	3,	2),
(10863,	1394,	4,	2),
(10864,	1395,	2,	1),
(10865,	1395,	3,	1),
(10866,	1395,	4,	1),
(10867,	1395,	2,	2),
(10868,	1395,	3,	2),
(10869,	1395,	4,	2),
(10870,	1396,	2,	1),
(10871,	1396,	3,	1),
(10872,	1396,	4,	1),
(10873,	1396,	2,	2),
(10874,	1396,	3,	2),
(10875,	1396,	4,	2),
(10876,	1397,	2,	1),
(10877,	1397,	3,	1),
(10878,	1397,	4,	1),
(10879,	1397,	2,	2),
(10880,	1397,	3,	2),
(10881,	1397,	4,	2),
(10882,	1398,	2,	1),
(10883,	1398,	3,	1),
(10884,	1398,	4,	1),
(10885,	1398,	2,	2),
(10886,	1398,	3,	2),
(10887,	1398,	4,	2),
(10888,	1399,	2,	1),
(10889,	1399,	3,	1),
(10890,	1399,	4,	1),
(10891,	1399,	2,	2),
(10892,	1399,	3,	2),
(10893,	1399,	4,	2),
(10894,	1400,	2,	2),
(10895,	1400,	3,	2),
(10896,	1400,	4,	2),
(10897,	1401,	2,	2),
(10898,	1401,	3,	2),
(10899,	1401,	4,	2),
(10900,	1402,	2,	2),
(10901,	1402,	3,	2),
(10902,	1402,	4,	2),
(10903,	1403,	2,	1),
(10904,	1403,	3,	1),
(10905,	1403,	4,	1),
(10906,	1403,	2,	2),
(10907,	1403,	3,	2),
(10908,	1403,	4,	2),
(10909,	1404,	2,	2),
(10910,	1404,	3,	2),
(10911,	1404,	4,	2),
(10912,	1405,	2,	1),
(10913,	1405,	3,	1),
(10914,	1405,	4,	1),
(10915,	1405,	2,	2),
(10916,	1405,	3,	2),
(10917,	1405,	4,	2),
(10918,	1406,	2,	2),
(10919,	1406,	3,	2),
(10920,	1406,	4,	2),
(10921,	1407,	2,	2),
(10922,	1407,	3,	2),
(10923,	1407,	4,	2),
(10924,	1408,	2,	1),
(10925,	1408,	3,	1),
(10926,	1408,	4,	1),
(10927,	1408,	2,	2),
(10928,	1408,	3,	2),
(10929,	1408,	4,	2),
(10930,	1409,	2,	1),
(10931,	1409,	3,	1),
(10932,	1409,	4,	1),
(10933,	1409,	2,	2),
(10934,	1409,	3,	2),
(10935,	1409,	4,	2),
(10936,	1410,	2,	1),
(10937,	1410,	3,	1),
(10938,	1410,	4,	1),
(10939,	1410,	2,	2),
(10940,	1410,	3,	2),
(10941,	1410,	4,	2),
(10942,	1411,	2,	1),
(10943,	1411,	3,	1),
(10944,	1411,	4,	1),
(10945,	1411,	2,	2),
(10946,	1411,	3,	2),
(10947,	1411,	4,	2),
(10948,	1412,	2,	2),
(10949,	1412,	3,	2),
(10950,	1412,	4,	2),
(10951,	1413,	2,	1),
(10952,	1413,	3,	1),
(10953,	1413,	4,	1),
(10954,	1413,	2,	2),
(10955,	1413,	3,	2),
(10956,	1413,	4,	2),
(10957,	1414,	2,	2),
(10958,	1414,	3,	2),
(10959,	1414,	4,	2),
(10960,	1415,	2,	1),
(10961,	1415,	3,	1),
(10962,	1415,	4,	1),
(10963,	1415,	2,	2),
(10964,	1415,	3,	2),
(10965,	1415,	4,	2),
(10966,	1416,	2,	2),
(10967,	1416,	3,	2),
(10968,	1416,	4,	2),
(10969,	1417,	2,	1),
(10970,	1417,	3,	1),
(10971,	1417,	4,	1),
(10972,	1417,	2,	2),
(10973,	1417,	3,	2),
(10974,	1417,	4,	2),
(10975,	1418,	2,	1),
(10976,	1418,	3,	1),
(10977,	1418,	4,	1),
(10978,	1418,	2,	2),
(10979,	1418,	3,	2),
(10980,	1418,	4,	2),
(10981,	1419,	2,	1),
(10982,	1419,	3,	1),
(10983,	1419,	4,	1),
(10984,	1419,	2,	2),
(10985,	1419,	3,	2),
(10986,	1419,	4,	2),
(10987,	1420,	2,	1),
(10988,	1420,	3,	1),
(10989,	1420,	4,	1),
(10990,	1420,	2,	2),
(10991,	1420,	3,	2),
(10992,	1420,	4,	2),
(10993,	1421,	2,	1),
(10994,	1421,	3,	1),
(10995,	1421,	4,	1),
(10996,	1421,	2,	2),
(10997,	1421,	3,	2),
(10998,	1421,	4,	2),
(10999,	1422,	2,	1),
(11000,	1422,	3,	1),
(11001,	1422,	4,	1),
(11002,	1422,	2,	2),
(11003,	1422,	3,	2),
(11004,	1422,	4,	2),
(11005,	1423,	2,	1),
(11006,	1423,	3,	1),
(11007,	1423,	4,	1),
(11008,	1423,	2,	2),
(11009,	1423,	3,	2),
(11010,	1423,	4,	2),
(11011,	1424,	2,	1),
(11012,	1424,	3,	1),
(11013,	1424,	4,	1),
(11014,	1424,	2,	2),
(11015,	1424,	3,	2),
(11016,	1424,	4,	2),
(11017,	1425,	2,	1),
(11018,	1425,	3,	1),
(11019,	1425,	4,	1),
(11020,	1425,	2,	2),
(11021,	1425,	3,	2),
(11022,	1425,	4,	2),
(11023,	1426,	2,	1),
(11024,	1426,	3,	1),
(11025,	1426,	4,	1),
(11026,	1426,	2,	2),
(11027,	1426,	3,	2),
(11028,	1426,	4,	2),
(11029,	1427,	2,	1),
(11030,	1427,	3,	1),
(11031,	1427,	4,	1),
(11032,	1427,	2,	2),
(11033,	1427,	3,	2),
(11034,	1427,	4,	2),
(11035,	1428,	24,	1),
(11036,	1428,	2,	1),
(11037,	1428,	3,	1),
(11038,	1428,	4,	1),
(11039,	1428,	24,	2),
(11040,	1428,	2,	2),
(11041,	1428,	3,	2),
(11042,	1428,	4,	2),
(11043,	1429,	24,	1),
(11044,	1429,	2,	1),
(11045,	1429,	3,	1),
(11046,	1429,	4,	1),
(11047,	1429,	24,	2),
(11048,	1429,	2,	2),
(11049,	1429,	3,	2),
(11050,	1429,	4,	2),
(11051,	1430,	24,	1),
(11052,	1430,	2,	1),
(11053,	1430,	3,	1),
(11054,	1430,	4,	1),
(11055,	1430,	24,	2),
(11056,	1430,	2,	2),
(11057,	1430,	3,	2),
(11058,	1430,	4,	2),
(11059,	1431,	6,	2),
(11060,	1431,	23,	2),
(11061,	1431,	24,	2),
(11062,	1431,	1,	2),
(11063,	1431,	2,	2),
(11064,	1431,	3,	2),
(11065,	1431,	22,	2),
(11066,	1431,	4,	2),
(11067,	1432,	6,	2),
(11068,	1432,	23,	2),
(11069,	1432,	24,	2),
(11070,	1432,	1,	2),
(11071,	1432,	2,	2),
(11072,	1432,	3,	2),
(11073,	1432,	22,	2),
(11074,	1432,	4,	2),
(11075,	1433,	6,	2),
(11076,	1433,	23,	2),
(11077,	1433,	24,	2),
(11078,	1433,	1,	2),
(11079,	1433,	2,	2),
(11080,	1433,	3,	2),
(11081,	1433,	22,	2),
(11082,	1433,	4,	2),
(11083,	1434,	2,	2),
(11084,	1434,	3,	2),
(11085,	1434,	4,	2),
(11086,	1435,	6,	2),
(11087,	1435,	23,	2),
(11088,	1435,	24,	2),
(11089,	1435,	1,	2),
(11090,	1435,	2,	2),
(11091,	1435,	3,	2),
(11092,	1435,	22,	2),
(11093,	1435,	4,	2),
(11094,	1436,	6,	2),
(11095,	1436,	23,	2),
(11096,	1436,	24,	2),
(11097,	1436,	1,	2),
(11098,	1436,	2,	2),
(11099,	1436,	3,	2),
(11100,	1436,	22,	2),
(11101,	1436,	4,	2),
(11102,	1437,	6,	2),
(11103,	1437,	23,	2),
(11104,	1437,	24,	2),
(11105,	1437,	1,	2),
(11106,	1437,	2,	2),
(11107,	1437,	3,	2),
(11108,	1437,	22,	2),
(11109,	1437,	4,	2),
(11110,	1438,	6,	1),
(11111,	1438,	23,	1),
(11112,	1438,	24,	1),
(11113,	1438,	1,	1),
(11114,	1438,	2,	1),
(11115,	1438,	3,	1),
(11116,	1438,	22,	1),
(11117,	1438,	4,	1),
(11118,	1438,	6,	2),
(11119,	1438,	23,	2),
(11120,	1438,	24,	2),
(11121,	1438,	1,	2),
(11122,	1438,	2,	2),
(11123,	1438,	3,	2),
(11124,	1438,	22,	2),
(11125,	1438,	4,	2),
(11126,	1439,	5,	2),
(11127,	1439,	6,	2),
(11128,	1439,	23,	2),
(11129,	1439,	24,	2),
(11130,	1439,	1,	2),
(11131,	1439,	2,	2),
(11132,	1439,	3,	2),
(11133,	1439,	22,	2),
(11134,	1439,	4,	2),
(11135,	1440,	33,	2),
(11136,	1440,	6,	2),
(11137,	1440,	23,	2),
(11138,	1440,	24,	2),
(11139,	1440,	1,	2),
(11140,	1440,	2,	2),
(11141,	1440,	3,	2),
(11142,	1440,	22,	2),
(11143,	1440,	4,	2),
(11144,	1441,	2,	2),
(11145,	1441,	3,	2),
(11146,	1441,	4,	2),
(11147,	1442,	6,	2),
(11148,	1442,	23,	2),
(11149,	1442,	24,	2),
(11150,	1442,	1,	2),
(11151,	1442,	2,	2),
(11152,	1442,	3,	2),
(11153,	1442,	22,	2),
(11154,	1442,	4,	2),
(11155,	1443,	6,	2),
(11156,	1443,	23,	2),
(11157,	1443,	24,	2),
(11158,	1443,	1,	2),
(11159,	1443,	2,	2),
(11160,	1443,	3,	2),
(11161,	1443,	22,	2),
(11162,	1443,	4,	2),
(11163,	1444,	2,	2),
(11164,	1444,	3,	2),
(11165,	1444,	4,	2),
(11166,	1445,	6,	2),
(11167,	1445,	23,	2),
(11168,	1445,	24,	2),
(11169,	1445,	1,	2),
(11170,	1445,	2,	2),
(11171,	1445,	3,	2),
(11172,	1445,	22,	2),
(11173,	1445,	4,	2),
(11174,	1446,	6,	2),
(11175,	1446,	23,	2),
(11176,	1446,	24,	2),
(11177,	1446,	1,	2),
(11178,	1446,	2,	2),
(11179,	1446,	3,	2),
(11180,	1446,	22,	2),
(11181,	1446,	4,	2),
(11182,	1447,	33,	2),
(11183,	1447,	6,	2),
(11184,	1447,	23,	2),
(11185,	1447,	24,	2),
(11186,	1447,	1,	2),
(11187,	1447,	2,	2),
(11188,	1447,	3,	2),
(11189,	1447,	22,	2),
(11190,	1447,	4,	2),
(11191,	1448,	33,	2),
(11192,	1448,	6,	2),
(11193,	1448,	23,	2),
(11194,	1448,	24,	2),
(11195,	1448,	1,	2),
(11196,	1448,	2,	2),
(11197,	1448,	3,	2),
(11198,	1448,	22,	2),
(11199,	1448,	4,	2),
(11200,	1449,	2,	2),
(11201,	1449,	3,	2),
(11202,	1449,	4,	2),
(11203,	1450,	33,	2),
(11204,	1450,	6,	2),
(11205,	1450,	23,	2),
(11206,	1450,	24,	2),
(11207,	1450,	1,	2),
(11208,	1450,	2,	2),
(11209,	1450,	3,	2),
(11210,	1450,	22,	2),
(11211,	1450,	4,	2),
(11212,	1451,	6,	1),
(11213,	1451,	23,	1),
(11214,	1451,	24,	1),
(11215,	1451,	1,	1),
(11216,	1451,	2,	1),
(11217,	1451,	3,	1),
(11218,	1451,	22,	1),
(11219,	1451,	4,	1),
(11220,	1451,	6,	2),
(11221,	1451,	23,	2),
(11222,	1451,	24,	2),
(11223,	1451,	1,	2),
(11224,	1451,	2,	2),
(11225,	1451,	3,	2),
(11226,	1451,	22,	2),
(11227,	1451,	4,	2),
(11228,	1452,	33,	2),
(11229,	1452,	6,	2),
(11230,	1452,	23,	2),
(11231,	1452,	24,	2),
(11232,	1452,	1,	2),
(11233,	1452,	2,	2),
(11234,	1452,	3,	2),
(11235,	1452,	22,	2),
(11236,	1452,	4,	2),
(11237,	1453,	2,	2),
(11238,	1453,	3,	2),
(11239,	1453,	4,	2),
(11240,	1454,	33,	2),
(11241,	1454,	6,	2),
(11242,	1454,	23,	2),
(11243,	1454,	24,	2),
(11244,	1454,	1,	2),
(11245,	1454,	2,	2),
(11246,	1454,	3,	2),
(11247,	1454,	22,	2),
(11248,	1454,	4,	2),
(11249,	1455,	2,	1),
(11250,	1455,	3,	1),
(11251,	1455,	4,	1),
(11252,	1455,	2,	2),
(11253,	1455,	3,	2),
(11254,	1455,	4,	2),
(11255,	1456,	2,	1),
(11256,	1456,	3,	1),
(11257,	1456,	4,	1),
(11258,	1456,	2,	2),
(11259,	1456,	3,	2),
(11260,	1456,	4,	2),
(11261,	1457,	2,	2),
(11262,	1457,	3,	2),
(11263,	1457,	4,	2),
(11264,	1458,	6,	2),
(11265,	1458,	23,	2),
(11266,	1458,	24,	2),
(11267,	1458,	1,	2),
(11268,	1458,	2,	2),
(11269,	1458,	3,	2),
(11270,	1458,	22,	2),
(11271,	1458,	4,	2),
(11272,	1459,	2,	2),
(11273,	1459,	3,	2),
(11274,	1459,	4,	2),
(11275,	1460,	2,	2),
(11276,	1460,	3,	2),
(11277,	1460,	4,	2),
(11278,	1461,	33,	2),
(11279,	1461,	6,	2),
(11280,	1461,	23,	2),
(11281,	1461,	24,	2),
(11282,	1461,	1,	2),
(11283,	1461,	2,	2),
(11284,	1461,	3,	2),
(11285,	1461,	22,	2),
(11286,	1461,	4,	2),
(11287,	1462,	6,	2),
(11288,	1462,	23,	2),
(11289,	1462,	24,	2),
(11290,	1462,	1,	2),
(11291,	1462,	2,	2),
(11292,	1462,	3,	2),
(11293,	1462,	22,	2),
(11294,	1462,	4,	2),
(11295,	1463,	6,	2),
(11296,	1463,	23,	2),
(11297,	1463,	24,	2),
(11298,	1463,	1,	2),
(11299,	1463,	2,	2),
(11300,	1463,	3,	2),
(11301,	1463,	22,	2),
(11302,	1463,	4,	2),
(11303,	1464,	2,	1),
(11304,	1464,	3,	1),
(11305,	1464,	4,	1),
(11306,	1464,	2,	2),
(11307,	1464,	3,	2),
(11308,	1464,	4,	2),
(11309,	1465,	2,	1),
(11310,	1465,	3,	1),
(11311,	1465,	4,	1),
(11312,	1465,	2,	2),
(11313,	1465,	3,	2),
(11314,	1465,	4,	2),
(11315,	1466,	2,	1),
(11316,	1466,	3,	1),
(11317,	1466,	4,	1),
(11318,	1466,	2,	2),
(11319,	1466,	3,	2),
(11320,	1466,	4,	2),
(11321,	1467,	2,	1),
(11322,	1467,	3,	1),
(11323,	1467,	4,	1),
(11324,	1467,	2,	2),
(11325,	1467,	3,	2),
(11326,	1467,	4,	2),
(11327,	1468,	2,	2),
(11328,	1468,	3,	2),
(11329,	1468,	4,	2),
(11330,	1469,	2,	2),
(11331,	1469,	3,	2),
(11332,	1469,	4,	2),
(11333,	1470,	2,	2),
(11334,	1470,	3,	2),
(11335,	1470,	4,	2),
(11336,	1471,	2,	2),
(11337,	1471,	3,	2),
(11338,	1471,	4,	2),
(11339,	1472,	2,	2),
(11340,	1472,	3,	2),
(11341,	1472,	4,	2),
(11342,	1473,	2,	2),
(11343,	1473,	3,	2),
(11344,	1473,	4,	2),
(11345,	1474,	23,	2),
(11346,	1474,	2,	2),
(11347,	1474,	3,	2),
(11348,	1474,	4,	2),
(11349,	1475,	23,	2),
(11350,	1475,	2,	2),
(11351,	1475,	3,	2),
(11352,	1475,	4,	2),
(11353,	1476,	2,	2),
(11354,	1476,	3,	2),
(11355,	1476,	4,	2),
(11356,	1477,	2,	2),
(11357,	1477,	3,	2),
(11358,	1477,	4,	2),
(11359,	1478,	2,	2),
(11360,	1478,	3,	2),
(11361,	1478,	4,	2),
(11362,	1479,	2,	2),
(11363,	1479,	3,	2),
(11364,	1479,	4,	2),
(11365,	1480,	2,	2),
(11366,	1480,	3,	2),
(11367,	1480,	4,	2),
(11368,	1481,	2,	2),
(11369,	1481,	3,	2),
(11370,	1481,	4,	2),
(11371,	1482,	2,	2),
(11372,	1482,	3,	2),
(11373,	1482,	4,	2),
(11374,	1483,	2,	2),
(11375,	1483,	3,	2),
(11376,	1483,	4,	2),
(11377,	1484,	2,	2),
(11378,	1484,	3,	2),
(11379,	1484,	4,	2),
(11380,	1485,	2,	2),
(11381,	1485,	3,	2),
(11382,	1485,	4,	2),
(11383,	1486,	2,	2),
(11384,	1486,	3,	2),
(11385,	1486,	4,	2),
(11386,	1487,	2,	2),
(11387,	1487,	3,	2),
(11388,	1487,	4,	2),
(11389,	1488,	2,	2),
(11390,	1488,	3,	2),
(11391,	1488,	4,	2),
(11392,	1489,	2,	2),
(11393,	1489,	3,	2),
(11394,	1489,	4,	2),
(11395,	1490,	2,	2),
(11396,	1490,	3,	2),
(11397,	1490,	4,	2),
(11398,	1491,	2,	2),
(11399,	1491,	3,	2),
(11400,	1491,	4,	2),
(11401,	1492,	2,	2),
(11402,	1492,	3,	2),
(11403,	1492,	4,	2),
(11404,	1493,	23,	2),
(11405,	1493,	2,	2),
(11406,	1493,	3,	2),
(11407,	1493,	4,	2),
(11408,	1494,	2,	2),
(11409,	1494,	3,	2),
(11410,	1494,	4,	2),
(11411,	1495,	5,	2),
(11412,	1495,	6,	2),
(11413,	1495,	23,	2),
(11414,	1495,	24,	2),
(11415,	1495,	1,	2),
(11416,	1495,	2,	2),
(11417,	1495,	3,	2),
(11418,	1495,	22,	2),
(11419,	1495,	4,	2),
(11420,	1496,	23,	2),
(11421,	1496,	2,	2),
(11422,	1496,	3,	2),
(11423,	1496,	4,	2),
(11424,	1497,	23,	2),
(11425,	1497,	2,	2),
(11426,	1497,	3,	2),
(11427,	1497,	4,	2),
(11428,	1498,	23,	2),
(11429,	1498,	2,	2),
(11430,	1498,	3,	2),
(11431,	1498,	4,	2),
(11432,	1499,	2,	2),
(11433,	1499,	3,	2),
(11434,	1499,	4,	2),
(11435,	1500,	2,	2),
(11436,	1500,	3,	2),
(11437,	1500,	4,	2),
(11438,	1501,	2,	2),
(11439,	1501,	3,	2),
(11440,	1501,	4,	2),
(11441,	1502,	6,	2),
(11442,	1502,	23,	2),
(11443,	1502,	24,	2),
(11444,	1502,	1,	2),
(11445,	1502,	2,	2),
(11446,	1502,	3,	2),
(11447,	1502,	22,	2),
(11448,	1502,	4,	2),
(11449,	1503,	6,	2),
(11450,	1503,	23,	2),
(11451,	1503,	24,	2),
(11452,	1503,	1,	2),
(11453,	1503,	2,	2),
(11454,	1503,	3,	2),
(11455,	1503,	22,	2),
(11456,	1503,	4,	2),
(11457,	1504,	2,	2),
(11458,	1504,	3,	2),
(11459,	1504,	4,	2),
(11460,	1505,	2,	2),
(11461,	1505,	3,	2),
(11462,	1505,	4,	2),
(11463,	1506,	6,	2),
(11464,	1506,	23,	2),
(11465,	1506,	24,	2),
(11466,	1506,	1,	2),
(11467,	1506,	2,	2),
(11468,	1506,	3,	2),
(11469,	1506,	22,	2),
(11470,	1506,	4,	2),
(11471,	1507,	6,	2),
(11472,	1507,	23,	2),
(11473,	1507,	24,	2),
(11474,	1507,	1,	2),
(11475,	1507,	2,	2),
(11476,	1507,	3,	2),
(11477,	1507,	22,	2),
(11478,	1507,	4,	2),
(11479,	1508,	2,	2),
(11480,	1508,	3,	2),
(11481,	1508,	4,	2),
(11482,	1509,	2,	2),
(11483,	1509,	3,	2),
(11484,	1509,	4,	2),
(11485,	1510,	2,	2),
(11486,	1510,	3,	2),
(11487,	1510,	4,	2),
(11488,	1511,	2,	2),
(11489,	1511,	3,	2),
(11490,	1511,	4,	2),
(11491,	1512,	5,	2),
(11492,	1512,	6,	2),
(11493,	1512,	23,	2),
(11494,	1512,	24,	2),
(11495,	1512,	1,	2),
(11496,	1512,	2,	2),
(11497,	1512,	3,	2),
(11498,	1512,	22,	2),
(11499,	1512,	4,	2),
(11500,	1513,	5,	2),
(11501,	1513,	6,	2),
(11502,	1513,	23,	2),
(11503,	1513,	24,	2),
(11504,	1513,	1,	2),
(11505,	1513,	2,	2),
(11506,	1513,	3,	2),
(11507,	1513,	22,	2),
(11508,	1513,	4,	2),
(11509,	1514,	2,	2),
(11510,	1514,	3,	2),
(11511,	1514,	4,	2),
(11512,	1515,	5,	2),
(11513,	1515,	6,	2),
(11514,	1515,	23,	2),
(11515,	1515,	24,	2),
(11516,	1515,	1,	2),
(11517,	1515,	2,	2),
(11518,	1515,	3,	2),
(11519,	1515,	22,	2),
(11520,	1515,	4,	2),
(11521,	1516,	5,	2),
(11522,	1516,	6,	2),
(11523,	1516,	23,	2),
(11524,	1516,	24,	2),
(11525,	1516,	1,	2),
(11526,	1516,	2,	2),
(11527,	1516,	3,	2),
(11528,	1516,	22,	2),
(11529,	1516,	4,	2),
(11530,	1517,	5,	2),
(11531,	1517,	6,	2),
(11532,	1517,	23,	2),
(11533,	1517,	24,	2),
(11534,	1517,	1,	2),
(11535,	1517,	2,	2),
(11536,	1517,	3,	2),
(11537,	1517,	22,	2),
(11538,	1517,	4,	2),
(11539,	1518,	2,	2),
(11540,	1518,	3,	2),
(11541,	1518,	4,	2),
(11542,	1519,	2,	2),
(11543,	1519,	3,	2),
(11544,	1519,	4,	2),
(11545,	1520,	2,	2),
(11546,	1520,	3,	2),
(11547,	1520,	4,	2),
(11548,	1521,	2,	2),
(11549,	1521,	3,	2),
(11550,	1521,	4,	2),
(11551,	1522,	2,	2),
(11552,	1522,	3,	2),
(11553,	1522,	4,	2),
(11554,	1523,	2,	2),
(11555,	1523,	3,	2),
(11556,	1523,	4,	2),
(11557,	1524,	2,	2),
(11558,	1524,	3,	2),
(11559,	1524,	4,	2),
(11560,	1525,	2,	2),
(11561,	1525,	3,	2),
(11562,	1525,	4,	2),
(11563,	1526,	2,	2),
(11564,	1526,	3,	2),
(11565,	1526,	4,	2),
(11566,	1527,	6,	2),
(11567,	1527,	23,	2),
(11568,	1527,	24,	2),
(11569,	1527,	1,	2),
(11570,	1527,	2,	2),
(11571,	1527,	3,	2),
(11572,	1527,	22,	2),
(11573,	1527,	4,	2),
(11574,	1528,	2,	2),
(11575,	1528,	3,	2),
(11576,	1528,	4,	2),
(11577,	1529,	6,	2),
(11578,	1529,	23,	2),
(11579,	1529,	24,	2),
(11580,	1529,	1,	2),
(11581,	1529,	2,	2),
(11582,	1529,	3,	2),
(11583,	1529,	22,	2),
(11584,	1529,	4,	2),
(11585,	1530,	5,	2),
(11586,	1530,	6,	2),
(11587,	1530,	23,	2),
(11588,	1530,	24,	2),
(11589,	1530,	1,	2),
(11590,	1530,	2,	2),
(11591,	1530,	3,	2),
(11592,	1530,	22,	2),
(11593,	1530,	4,	2),
(11594,	1531,	2,	2),
(11595,	1531,	3,	2),
(11596,	1531,	4,	2),
(11597,	1532,	5,	2),
(11598,	1532,	6,	2),
(11599,	1532,	23,	2),
(11600,	1532,	24,	2),
(11601,	1532,	1,	2),
(11602,	1532,	2,	2),
(11603,	1532,	3,	2),
(11604,	1532,	22,	2),
(11605,	1532,	4,	2),
(11606,	1533,	2,	2),
(11607,	1533,	3,	2),
(11608,	1533,	4,	2),
(11609,	1534,	2,	1),
(11610,	1534,	3,	1),
(11611,	1534,	4,	1),
(11612,	1534,	2,	2),
(11613,	1534,	3,	2),
(11614,	1534,	4,	2),
(11615,	1535,	5,	2),
(11616,	1535,	2,	2),
(11617,	1535,	3,	2),
(11618,	1535,	4,	2),
(11619,	1536,	5,	2),
(11620,	1536,	6,	2),
(11621,	1536,	23,	2),
(11622,	1536,	24,	2),
(11623,	1536,	1,	2),
(11624,	1536,	2,	2),
(11625,	1536,	3,	2),
(11626,	1536,	22,	2),
(11627,	1536,	4,	2),
(11628,	1537,	5,	2),
(11629,	1537,	6,	2),
(11630,	1537,	23,	2),
(11631,	1537,	24,	2),
(11632,	1537,	1,	2),
(11633,	1537,	2,	2),
(11634,	1537,	3,	2),
(11635,	1537,	22,	2),
(11636,	1537,	4,	2),
(11637,	1538,	2,	2),
(11638,	1538,	3,	2),
(11639,	1538,	4,	2),
(11640,	1539,	5,	2),
(11641,	1539,	6,	2),
(11642,	1539,	23,	2),
(11643,	1539,	24,	2),
(11644,	1539,	1,	2),
(11645,	1539,	2,	2),
(11646,	1539,	3,	2),
(11647,	1539,	22,	2),
(11648,	1539,	4,	2),
(11649,	1540,	2,	2),
(11650,	1540,	3,	2),
(11651,	1540,	4,	2),
(11652,	1541,	5,	2),
(11653,	1541,	6,	2),
(11654,	1541,	23,	2),
(11655,	1541,	24,	2),
(11656,	1541,	1,	2),
(11657,	1541,	2,	2),
(11658,	1541,	3,	2),
(11659,	1541,	22,	2),
(11660,	1541,	4,	2),
(11661,	1542,	23,	2),
(11662,	1542,	1,	2),
(11663,	1542,	2,	2),
(11664,	1542,	3,	2),
(11665,	1542,	4,	2),
(11666,	1543,	6,	2),
(11667,	1543,	23,	2),
(11668,	1543,	2,	2),
(11669,	1543,	3,	2),
(11670,	1543,	4,	2),
(11671,	1544,	6,	2),
(11672,	1544,	23,	2),
(11673,	1544,	2,	2),
(11674,	1544,	3,	2),
(11675,	1544,	4,	2),
(11676,	1545,	6,	2),
(11677,	1545,	23,	2),
(11678,	1545,	2,	2),
(11679,	1545,	3,	2),
(11680,	1545,	4,	2),
(11681,	1546,	23,	2),
(11682,	1546,	2,	2),
(11683,	1546,	3,	2),
(11684,	1546,	4,	2),
(11685,	1547,	2,	1),
(11686,	1547,	3,	1),
(11687,	1547,	4,	1),
(11688,	1547,	2,	2),
(11689,	1547,	3,	2),
(11690,	1547,	4,	2),
(11691,	1547,	2,	3),
(11692,	1547,	3,	3),
(11693,	1547,	4,	3),
(11694,	1548,	6,	2),
(11695,	1548,	23,	2),
(11696,	1548,	2,	2),
(11697,	1548,	3,	2),
(11698,	1548,	4,	2),
(11699,	1549,	2,	2),
(11700,	1549,	3,	2),
(11701,	1549,	4,	2),
(11702,	1550,	2,	2),
(11703,	1550,	3,	2),
(11704,	1550,	4,	2),
(11705,	1551,	2,	1),
(11706,	1551,	3,	1),
(11707,	1551,	4,	1),
(11708,	1551,	2,	2),
(11709,	1551,	3,	2),
(11710,	1551,	4,	2),
(11711,	1552,	2,	1),
(11712,	1552,	3,	1),
(11713,	1552,	4,	1),
(11714,	1552,	2,	2),
(11715,	1552,	3,	2),
(11716,	1552,	4,	2),
(11717,	1553,	2,	1),
(11718,	1553,	3,	1),
(11719,	1553,	4,	1),
(11720,	1553,	2,	2),
(11721,	1553,	3,	2),
(11722,	1553,	4,	2),
(11723,	1554,	2,	1),
(11724,	1554,	3,	1),
(11725,	1554,	4,	1),
(11726,	1554,	2,	2),
(11727,	1554,	3,	2),
(11728,	1554,	4,	2),
(11729,	1555,	2,	1),
(11730,	1555,	3,	1),
(11731,	1555,	4,	1),
(11732,	1555,	2,	2),
(11733,	1555,	3,	2),
(11734,	1555,	4,	2),
(11735,	1556,	2,	1),
(11736,	1556,	3,	1),
(11737,	1556,	4,	1),
(11738,	1556,	2,	2),
(11739,	1556,	3,	2),
(11740,	1556,	4,	2),
(11741,	1557,	2,	1),
(11742,	1557,	3,	1),
(11743,	1557,	4,	1),
(11744,	1557,	2,	2),
(11745,	1557,	3,	2),
(11746,	1557,	4,	2),
(11747,	1558,	2,	1),
(11748,	1558,	3,	1),
(11749,	1558,	4,	1),
(11750,	1558,	2,	2),
(11751,	1558,	3,	2),
(11752,	1558,	4,	2),
(11753,	1559,	2,	1),
(11754,	1559,	3,	1),
(11755,	1559,	4,	1),
(11756,	1559,	2,	2),
(11757,	1559,	3,	2),
(11758,	1559,	4,	2),
(11759,	1560,	2,	1),
(11760,	1560,	3,	1),
(11761,	1560,	4,	1),
(11762,	1560,	2,	2),
(11763,	1560,	3,	2),
(11764,	1560,	4,	2),
(11765,	1561,	2,	1),
(11766,	1561,	3,	1),
(11767,	1561,	4,	1),
(11768,	1561,	2,	2),
(11769,	1561,	3,	2),
(11770,	1561,	4,	2),
(11771,	1562,	2,	1),
(11772,	1562,	3,	1),
(11773,	1562,	4,	1),
(11774,	1562,	2,	2),
(11775,	1562,	3,	2),
(11776,	1562,	4,	2),
(11777,	1563,	105,	2),
(11778,	1563,	106,	2),
(11779,	1563,	71,	2),
(11780,	1563,	107,	2),
(11781,	1563,	108,	2),
(11782,	1563,	60,	2),
(11783,	1563,	109,	2),
(11784,	1563,	110,	2),
(11785,	1563,	111,	2),
(11786,	1563,	2,	2),
(11787,	1563,	3,	2),
(11788,	1563,	4,	2),
(11789,	1564,	2,	1),
(11790,	1564,	3,	1),
(11791,	1564,	4,	1),
(11792,	1564,	2,	2),
(11793,	1564,	3,	2),
(11794,	1564,	4,	2),
(11795,	1565,	2,	1),
(11796,	1565,	3,	1),
(11797,	1565,	4,	1),
(11798,	1565,	2,	2),
(11799,	1565,	3,	2),
(11800,	1565,	4,	2),
(11801,	1566,	2,	1),
(11802,	1566,	3,	1),
(11803,	1566,	4,	1),
(11804,	1566,	2,	2),
(11805,	1566,	3,	2),
(11806,	1566,	4,	2),
(11807,	1567,	2,	1),
(11808,	1567,	3,	1),
(11809,	1567,	4,	1),
(11810,	1567,	2,	2),
(11811,	1567,	3,	2),
(11812,	1567,	4,	2),
(11813,	1568,	2,	2),
(11814,	1568,	3,	2),
(11815,	1568,	4,	2),
(11816,	1569,	2,	2),
(11817,	1569,	3,	2),
(11818,	1569,	4,	2),
(11819,	1570,	75,	1),
(11820,	1570,	73,	1),
(11821,	1570,	74,	1),
(11822,	1570,	2,	1),
(11823,	1570,	3,	1),
(11824,	1570,	4,	1),
(11825,	1570,	75,	2),
(11826,	1570,	73,	2),
(11827,	1570,	74,	2),
(11828,	1570,	2,	2),
(11829,	1570,	3,	2),
(11830,	1570,	4,	2),
(11831,	1571,	2,	1),
(11832,	1571,	3,	1),
(11833,	1571,	4,	1),
(11834,	1571,	2,	2),
(11835,	1571,	3,	2),
(11836,	1571,	4,	2),
(11837,	1572,	105,	2),
(11838,	1572,	71,	2),
(11839,	1572,	109,	2),
(11840,	1572,	110,	2),
(11841,	1572,	111,	2),
(11842,	1572,	2,	2),
(11843,	1572,	3,	2),
(11844,	1572,	4,	2),
(11845,	1573,	2,	1),
(11846,	1573,	3,	1),
(11847,	1573,	4,	1),
(11848,	1573,	2,	2),
(11849,	1573,	3,	2),
(11850,	1573,	4,	2),
(11851,	1574,	2,	2),
(11852,	1574,	3,	2),
(11853,	1574,	4,	2),
(11854,	1575,	2,	1),
(11855,	1575,	3,	1),
(11856,	1575,	4,	1),
(11857,	1575,	2,	2),
(11858,	1575,	3,	2),
(11859,	1575,	4,	2),
(11860,	1576,	5,	2),
(11861,	1576,	6,	2),
(11862,	1576,	23,	2),
(11863,	1576,	24,	2),
(11864,	1576,	1,	2),
(11865,	1576,	2,	2),
(11866,	1576,	3,	2),
(11867,	1576,	22,	2),
(11868,	1576,	4,	2),
(11869,	1577,	5,	2),
(11870,	1577,	6,	2),
(11871,	1577,	23,	2),
(11872,	1577,	24,	2),
(11873,	1577,	1,	2),
(11874,	1577,	2,	2),
(11875,	1577,	3,	2),
(11876,	1577,	22,	2),
(11877,	1577,	4,	2),
(11878,	1578,	2,	2),
(11879,	1578,	3,	2),
(11880,	1578,	4,	2),
(11881,	1579,	5,	2),
(11882,	1579,	6,	2),
(11883,	1579,	23,	2),
(11884,	1579,	24,	2),
(11885,	1579,	1,	2),
(11886,	1579,	2,	2),
(11887,	1579,	3,	2),
(11888,	1579,	22,	2),
(11889,	1579,	4,	2),
(11890,	1580,	5,	2),
(11891,	1580,	6,	2),
(11892,	1580,	23,	2),
(11893,	1580,	24,	2),
(11894,	1580,	1,	2),
(11895,	1580,	2,	2),
(11896,	1580,	3,	2),
(11897,	1580,	22,	2),
(11898,	1580,	4,	2),
(11899,	1581,	5,	2),
(11900,	1581,	6,	2),
(11901,	1581,	23,	2),
(11902,	1581,	24,	2),
(11903,	1581,	1,	2),
(11904,	1581,	2,	2),
(11905,	1581,	3,	2),
(11906,	1581,	22,	2),
(11907,	1581,	4,	2),
(11908,	1582,	2,	2),
(11909,	1582,	3,	2),
(11910,	1582,	4,	2),
(11911,	1583,	5,	2),
(11912,	1583,	6,	2),
(11913,	1583,	23,	2),
(11914,	1583,	24,	2),
(11915,	1583,	1,	2),
(11916,	1583,	2,	2),
(11917,	1583,	3,	2),
(11918,	1583,	22,	2),
(11919,	1583,	4,	2),
(11920,	1584,	2,	2),
(11921,	1584,	3,	2),
(11922,	1584,	4,	2),
(11923,	1586,	5,	2),
(11924,	1586,	6,	2),
(11925,	1586,	23,	2),
(11926,	1586,	24,	2),
(11927,	1586,	1,	2),
(11928,	1586,	2,	2),
(11929,	1586,	3,	2),
(11930,	1586,	22,	2),
(11931,	1586,	4,	2),
(11932,	1587,	5,	2),
(11933,	1587,	33,	2),
(11934,	1587,	35,	2),
(11935,	1587,	37,	2),
(11936,	1587,	6,	2),
(11937,	1587,	23,	2),
(11938,	1587,	24,	2),
(11939,	1587,	1,	2),
(11940,	1587,	2,	2),
(11941,	1587,	3,	2),
(11942,	1587,	4,	2),
(11943,	1588,	5,	2),
(11944,	1588,	6,	2),
(11945,	1588,	23,	2),
(11946,	1588,	24,	2),
(11947,	1588,	1,	2),
(11948,	1588,	2,	2),
(11949,	1588,	3,	2),
(11950,	1588,	22,	2),
(11951,	1588,	4,	2),
(11952,	1589,	2,	2),
(11953,	1589,	3,	2),
(11954,	1589,	4,	2),
(11955,	1590,	2,	2),
(11956,	1590,	3,	2),
(11957,	1590,	4,	2),
(11958,	1591,	5,	2),
(11959,	1591,	6,	2),
(11960,	1591,	23,	2),
(11961,	1591,	24,	2),
(11962,	1591,	1,	2),
(11963,	1591,	2,	2),
(11964,	1591,	3,	2),
(11965,	1591,	22,	2),
(11966,	1591,	4,	2),
(11967,	1592,	2,	1),
(11968,	1592,	3,	1),
(11969,	1592,	4,	1),
(11970,	1592,	2,	2),
(11971,	1592,	3,	2),
(11972,	1592,	4,	2),
(11973,	1593,	2,	2),
(11974,	1593,	3,	2),
(11975,	1593,	4,	2),
(11976,	1594,	23,	2),
(11977,	1594,	2,	2),
(11978,	1594,	3,	2),
(11979,	1594,	4,	2),
(11980,	1595,	2,	2),
(11981,	1595,	3,	2),
(11982,	1595,	4,	2),
(11983,	1596,	5,	1),
(11984,	1596,	6,	1),
(11985,	1596,	23,	1),
(11986,	1596,	24,	1),
(11987,	1596,	1,	1),
(11988,	1596,	2,	1),
(11989,	1596,	3,	1),
(11990,	1596,	22,	1),
(11991,	1596,	4,	1),
(11992,	1596,	5,	2),
(11993,	1596,	6,	2),
(11994,	1596,	23,	2),
(11995,	1596,	24,	2),
(11996,	1596,	1,	2),
(11997,	1596,	2,	2),
(11998,	1596,	3,	2),
(11999,	1596,	22,	2),
(12000,	1596,	4,	2),
(12001,	1597,	2,	1),
(12002,	1597,	3,	1),
(12003,	1597,	4,	1),
(12004,	1597,	2,	2),
(12005,	1597,	3,	2),
(12006,	1597,	4,	2),
(12007,	1598,	2,	2),
(12008,	1598,	3,	2),
(12009,	1598,	4,	2),
(12010,	1599,	2,	2),
(12011,	1599,	3,	2),
(12012,	1599,	4,	2),
(12013,	1600,	2,	2),
(12014,	1600,	3,	2),
(12015,	1600,	4,	2),
(12016,	1601,	5,	2),
(12017,	1601,	6,	2),
(12018,	1601,	23,	2),
(12019,	1601,	24,	2),
(12020,	1601,	1,	2),
(12021,	1601,	2,	2),
(12022,	1601,	3,	2),
(12023,	1601,	22,	2),
(12024,	1601,	4,	2),
(12025,	1602,	2,	2),
(12026,	1602,	3,	2),
(12027,	1602,	4,	2),
(12028,	1603,	2,	2),
(12029,	1603,	3,	2),
(12030,	1603,	4,	2),
(12031,	1604,	2,	2),
(12032,	1604,	3,	2),
(12033,	1604,	4,	2),
(12034,	1605,	5,	2),
(12035,	1605,	6,	2),
(12036,	1605,	23,	2),
(12037,	1605,	24,	2),
(12038,	1605,	1,	2),
(12039,	1605,	2,	2),
(12040,	1605,	3,	2),
(12041,	1605,	22,	2),
(12042,	1605,	4,	2),
(12043,	1606,	2,	2),
(12044,	1606,	3,	2),
(12045,	1606,	4,	2),
(12046,	1607,	5,	2),
(12047,	1607,	6,	2),
(12048,	1607,	23,	2),
(12049,	1607,	24,	2),
(12050,	1607,	1,	2),
(12051,	1607,	2,	2),
(12052,	1607,	3,	2),
(12053,	1607,	22,	2),
(12054,	1607,	4,	2),
(12055,	1608,	5,	2),
(12056,	1608,	6,	2),
(12057,	1608,	23,	2),
(12058,	1608,	24,	2),
(12059,	1608,	1,	2),
(12060,	1608,	2,	2),
(12061,	1608,	3,	2),
(12062,	1608,	22,	2),
(12063,	1608,	4,	2),
(12064,	1609,	5,	2),
(12065,	1609,	6,	2),
(12066,	1609,	23,	2),
(12067,	1609,	24,	2),
(12068,	1609,	1,	2),
(12069,	1609,	2,	2),
(12070,	1609,	3,	2),
(12071,	1609,	22,	2),
(12072,	1609,	4,	2),
(12073,	1610,	5,	2),
(12074,	1610,	33,	2),
(12075,	1610,	35,	2),
(12076,	1610,	37,	2),
(12077,	1610,	6,	2),
(12078,	1610,	23,	2),
(12079,	1610,	24,	2),
(12080,	1610,	1,	2),
(12081,	1610,	2,	2),
(12082,	1610,	3,	2),
(12083,	1610,	4,	2),
(12084,	1611,	5,	2),
(12085,	1611,	6,	2),
(12086,	1611,	23,	2),
(12087,	1611,	24,	2),
(12088,	1611,	1,	2),
(12089,	1611,	2,	2),
(12090,	1611,	3,	2),
(12091,	1611,	22,	2),
(12092,	1611,	4,	2),
(12093,	1612,	2,	2),
(12094,	1612,	3,	2),
(12095,	1612,	4,	2),
(12096,	1613,	2,	2),
(12097,	1613,	3,	2),
(12098,	1613,	4,	2),
(12099,	1614,	5,	2),
(12100,	1614,	6,	2),
(12101,	1614,	23,	2),
(12102,	1614,	24,	2),
(12103,	1614,	1,	2),
(12104,	1614,	2,	2),
(12105,	1614,	3,	2),
(12106,	1614,	22,	2),
(12107,	1614,	4,	2),
(12108,	1615,	2,	1),
(12109,	1615,	3,	1),
(12110,	1615,	4,	1),
(12111,	1615,	2,	2),
(12112,	1615,	3,	2),
(12113,	1615,	4,	2),
(12114,	1616,	5,	2),
(12115,	1616,	23,	2),
(12116,	1616,	2,	2),
(12117,	1616,	3,	2),
(12118,	1616,	4,	2),
(12119,	1617,	5,	2),
(12120,	1617,	23,	2),
(12121,	1617,	2,	2),
(12122,	1617,	3,	2),
(12123,	1617,	4,	2),
(12124,	1618,	2,	2),
(12125,	1618,	3,	2),
(12126,	1618,	4,	2),
(12127,	1619,	2,	1),
(12128,	1619,	3,	1),
(12129,	1619,	4,	1),
(12130,	1619,	2,	2),
(12131,	1619,	3,	2),
(12132,	1619,	4,	2),
(12133,	1620,	2,	1),
(12134,	1620,	3,	1),
(12135,	1620,	4,	1),
(12136,	1620,	2,	2),
(12137,	1620,	3,	2),
(12138,	1620,	4,	2),
(12139,	1621,	2,	1),
(12140,	1621,	3,	1),
(12141,	1621,	4,	1),
(12142,	1621,	2,	2),
(12143,	1621,	3,	2),
(12144,	1621,	4,	2),
(12145,	1622,	2,	2),
(12146,	1622,	3,	2),
(12147,	1622,	4,	2),
(12148,	1623,	2,	2),
(12149,	1623,	3,	2),
(12150,	1623,	4,	2),
(12151,	1624,	2,	2),
(12152,	1624,	3,	2),
(12153,	1624,	4,	2),
(12154,	1625,	2,	2),
(12155,	1625,	3,	2),
(12156,	1625,	22,	2),
(12157,	1625,	4,	2),
(12158,	1626,	105,	2),
(12159,	1626,	71,	2),
(12160,	1626,	58,	2),
(12161,	1626,	5,	2),
(12162,	1626,	33,	2),
(12163,	1626,	35,	2),
(12164,	1626,	60,	2),
(12165,	1626,	109,	2),
(12166,	1626,	110,	2),
(12167,	1626,	111,	2),
(12168,	1626,	2,	2),
(12169,	1626,	3,	2),
(12170,	1626,	4,	2),
(12171,	1627,	2,	2),
(12172,	1627,	3,	2),
(12173,	1627,	4,	2),
(12174,	1628,	2,	2),
(12175,	1628,	3,	2),
(12176,	1628,	4,	2),
(12177,	1629,	2,	2),
(12178,	1629,	3,	2),
(12179,	1629,	22,	2),
(12180,	1629,	4,	2),
(12181,	1630,	2,	2),
(12182,	1630,	3,	2),
(12183,	1630,	4,	2),
(12184,	1631,	2,	2),
(12185,	1631,	3,	2),
(12186,	1631,	22,	2),
(12187,	1631,	4,	2),
(12188,	1632,	2,	2),
(12189,	1632,	3,	2),
(12190,	1632,	22,	2),
(12191,	1632,	4,	2),
(12192,	1633,	2,	2),
(12193,	1633,	3,	2),
(12194,	1633,	22,	2),
(12195,	1633,	4,	2),
(12196,	1633,	2,	4),
(12197,	1633,	3,	4),
(12198,	1633,	22,	4),
(12199,	1633,	4,	4),
(12200,	1634,	2,	2),
(12201,	1634,	3,	2),
(12202,	1634,	4,	2),
(12203,	1635,	2,	2),
(12204,	1635,	3,	2),
(12205,	1635,	22,	2),
(12206,	1635,	4,	2),
(12207,	1636,	2,	1),
(12208,	1636,	3,	1),
(12209,	1636,	4,	1),
(12210,	1636,	2,	2),
(12211,	1636,	3,	2),
(12212,	1636,	4,	2),
(12213,	1637,	2,	2),
(12214,	1637,	3,	2),
(12215,	1637,	4,	2),
(12216,	1638,	2,	2),
(12217,	1638,	3,	2),
(12218,	1638,	4,	2),
(12219,	1639,	2,	1),
(12220,	1639,	3,	1),
(12221,	1639,	4,	1),
(12222,	1639,	2,	2),
(12223,	1639,	3,	2),
(12224,	1639,	4,	2),
(12225,	1640,	2,	2),
(12226,	1640,	3,	2),
(12227,	1640,	4,	2),
(12228,	1641,	2,	2),
(12229,	1641,	3,	2),
(12230,	1641,	4,	2),
(12231,	1642,	2,	2),
(12232,	1642,	3,	2),
(12233,	1642,	4,	2),
(12234,	1643,	2,	2),
(12235,	1643,	3,	2),
(12236,	1643,	4,	2),
(12237,	1644,	2,	2),
(12238,	1644,	3,	2),
(12239,	1644,	4,	2),
(12240,	1645,	2,	1),
(12241,	1645,	3,	1),
(12242,	1645,	4,	1),
(12243,	1645,	2,	2),
(12244,	1645,	3,	2),
(12245,	1645,	4,	2),
(12246,	1646,	93,	2),
(12247,	1646,	83,	2),
(12248,	1646,	92,	2),
(12249,	1646,	2,	2),
(12250,	1646,	63,	2),
(12251,	1646,	3,	2),
(12252,	1646,	26,	2),
(12253,	1646,	27,	2),
(12254,	1646,	28,	2),
(12255,	1646,	112,	2),
(12256,	1646,	4,	2),
(12257,	1646,	38,	2),
(12258,	1646,	69,	2),
(12259,	1646,	70,	2),
(12260,	1647,	93,	2),
(12261,	1647,	82,	2),
(12262,	1647,	83,	2),
(12263,	1647,	90,	2),
(12264,	1647,	92,	2),
(12265,	1647,	2,	2),
(12266,	1647,	63,	2),
(12267,	1647,	3,	2),
(12268,	1647,	26,	2),
(12269,	1647,	27,	2),
(12270,	1647,	28,	2),
(12271,	1647,	112,	2),
(12272,	1647,	4,	2),
(12273,	1647,	38,	2),
(12274,	1647,	69,	2),
(12275,	1647,	70,	2),
(12276,	1648,	93,	2),
(12277,	1648,	83,	2),
(12278,	1648,	90,	2),
(12279,	1648,	92,	2),
(12280,	1648,	2,	2),
(12281,	1648,	63,	2),
(12282,	1648,	3,	2),
(12283,	1648,	26,	2),
(12284,	1648,	27,	2),
(12285,	1648,	28,	2),
(12286,	1648,	112,	2),
(12287,	1648,	4,	2),
(12288,	1648,	38,	2),
(12289,	1648,	69,	2),
(12290,	1648,	70,	2),
(12291,	1649,	93,	2),
(12292,	1649,	82,	2),
(12293,	1649,	83,	2),
(12294,	1649,	90,	2),
(12295,	1649,	92,	2),
(12296,	1649,	2,	2),
(12297,	1649,	63,	2),
(12298,	1649,	3,	2),
(12299,	1649,	26,	2),
(12300,	1649,	27,	2),
(12301,	1649,	28,	2),
(12302,	1649,	112,	2),
(12303,	1649,	4,	2),
(12304,	1649,	38,	2),
(12305,	1649,	69,	2),
(12306,	1649,	70,	2),
(12307,	1650,	2,	2),
(12308,	1650,	3,	2),
(12309,	1650,	4,	2),
(12310,	1651,	93,	2),
(12311,	1651,	83,	2),
(12312,	1651,	92,	2),
(12313,	1651,	2,	2),
(12314,	1651,	63,	2),
(12315,	1651,	3,	2),
(12316,	1651,	26,	2),
(12317,	1651,	27,	2),
(12318,	1651,	28,	2),
(12319,	1651,	112,	2),
(12320,	1651,	4,	2),
(12321,	1651,	38,	2),
(12322,	1651,	69,	2),
(12323,	1651,	70,	2),
(12324,	1652,	2,	2),
(12325,	1652,	3,	2),
(12326,	1652,	4,	2),
(12327,	1653,	2,	1),
(12328,	1653,	3,	1),
(12329,	1653,	4,	1),
(12330,	1653,	2,	2),
(12331,	1653,	3,	2),
(12332,	1653,	4,	2),
(12333,	1654,	93,	2),
(12334,	1654,	83,	2),
(12335,	1654,	92,	2),
(12336,	1654,	2,	2),
(12337,	1654,	63,	2),
(12338,	1654,	3,	2),
(12339,	1654,	26,	2),
(12340,	1654,	27,	2),
(12341,	1654,	28,	2),
(12342,	1654,	112,	2),
(12343,	1654,	4,	2),
(12344,	1654,	38,	2),
(12345,	1654,	69,	2),
(12346,	1654,	70,	2),
(12347,	1655,	82,	2),
(12348,	1655,	90,	2),
(12349,	1655,	2,	2),
(12350,	1655,	3,	2),
(12351,	1655,	112,	2),
(12352,	1655,	4,	2),
(12353,	1655,	69,	2),
(12354,	1655,	70,	2),
(12355,	1656,	2,	2),
(12356,	1656,	3,	2),
(12357,	1656,	4,	2),
(12358,	1656,	70,	2),
(12359,	1657,	2,	2),
(12360,	1657,	3,	2),
(12361,	1657,	4,	2),
(12362,	1658,	2,	2),
(12363,	1658,	3,	2),
(12364,	1658,	4,	2),
(12365,	1659,	93,	2),
(12366,	1659,	82,	2),
(12367,	1659,	85,	2),
(12368,	1659,	79,	2),
(12369,	1659,	90,	2),
(12370,	1659,	2,	2),
(12371,	1659,	3,	2),
(12372,	1659,	112,	2),
(12373,	1659,	4,	2),
(12374,	1659,	69,	2),
(12375,	1659,	70,	2),
(12376,	1660,	2,	2),
(12377,	1660,	3,	2),
(12378,	1660,	4,	2),
(12379,	1661,	2,	2),
(12380,	1661,	3,	2),
(12381,	1661,	4,	2),
(12382,	1662,	93,	2),
(12383,	1662,	83,	2),
(12384,	1662,	92,	2),
(12385,	1662,	2,	2),
(12386,	1662,	63,	2),
(12387,	1662,	3,	2),
(12388,	1662,	26,	2),
(12389,	1662,	27,	2),
(12390,	1662,	28,	2),
(12391,	1662,	112,	2),
(12392,	1662,	4,	2),
(12393,	1662,	38,	2),
(12394,	1662,	69,	2),
(12395,	1662,	70,	2),
(12396,	1663,	2,	1),
(12397,	1663,	3,	1),
(12398,	1663,	4,	1),
(12399,	1663,	2,	2),
(12400,	1663,	3,	2),
(12401,	1663,	4,	2),
(12402,	1664,	2,	2),
(12403,	1664,	3,	2),
(12404,	1664,	4,	2),
(12405,	1665,	2,	1),
(12406,	1665,	3,	1),
(12407,	1665,	4,	1),
(12408,	1665,	2,	2),
(12409,	1665,	3,	2),
(12410,	1665,	4,	2),
(12411,	1666,	2,	2),
(12412,	1666,	3,	2),
(12413,	1666,	4,	2),
(12414,	1667,	2,	1),
(12415,	1667,	3,	1),
(12416,	1667,	4,	1),
(12417,	1667,	2,	2),
(12418,	1667,	3,	2),
(12419,	1667,	4,	2),
(12420,	1668,	2,	2),
(12421,	1668,	3,	2),
(12422,	1668,	4,	2),
(12423,	1669,	93,	2),
(12424,	1669,	83,	2),
(12425,	1669,	92,	2),
(12426,	1669,	2,	2),
(12427,	1669,	63,	2),
(12428,	1669,	3,	2),
(12429,	1669,	26,	2),
(12430,	1669,	27,	2),
(12431,	1669,	28,	2),
(12432,	1669,	112,	2),
(12433,	1669,	4,	2),
(12434,	1669,	38,	2),
(12435,	1669,	69,	2),
(12436,	1669,	70,	2),
(12437,	1670,	2,	1),
(12438,	1670,	3,	1),
(12439,	1670,	4,	1),
(12440,	1670,	2,	2),
(12441,	1670,	3,	2),
(12442,	1670,	4,	2),
(12443,	1670,	2,	3),
(12444,	1670,	3,	3),
(12445,	1670,	4,	3),
(12446,	1671,	2,	2),
(12447,	1671,	3,	2),
(12448,	1671,	4,	2),
(12449,	1672,	2,	2),
(12450,	1672,	3,	2),
(12451,	1672,	4,	2),
(12452,	1673,	2,	2),
(12453,	1673,	3,	2),
(12454,	1673,	4,	2),
(12455,	1674,	2,	1),
(12456,	1674,	3,	1),
(12457,	1674,	4,	1),
(12458,	1674,	2,	2),
(12459,	1674,	3,	2),
(12460,	1674,	4,	2),
(12461,	1675,	2,	1),
(12462,	1675,	3,	1),
(12463,	1675,	4,	1),
(12464,	1675,	2,	2),
(12465,	1675,	3,	2),
(12466,	1675,	4,	2),
(12467,	1676,	2,	1),
(12468,	1676,	3,	1),
(12469,	1676,	4,	1),
(12470,	1676,	2,	2),
(12471,	1676,	3,	2),
(12472,	1676,	4,	2),
(12473,	1677,	2,	2),
(12474,	1677,	3,	2),
(12475,	1677,	4,	2),
(12476,	1678,	2,	2),
(12477,	1678,	3,	2),
(12478,	1678,	4,	2),
(12479,	1679,	2,	1),
(12480,	1679,	3,	1),
(12481,	1679,	4,	1),
(12482,	1679,	2,	2),
(12483,	1679,	3,	2),
(12484,	1679,	4,	2),
(12485,	1680,	2,	2),
(12486,	1680,	3,	2),
(12487,	1680,	4,	2),
(12488,	1681,	93,	2),
(12489,	1681,	92,	2),
(12490,	1681,	2,	2),
(12491,	1681,	63,	2),
(12492,	1681,	3,	2),
(12493,	1681,	26,	2),
(12494,	1681,	27,	2),
(12495,	1681,	28,	2),
(12496,	1681,	112,	2),
(12497,	1681,	4,	2),
(12498,	1681,	38,	2),
(12499,	1681,	69,	2),
(12500,	1681,	70,	2),
(12501,	1682,	2,	1),
(12502,	1682,	3,	1),
(12503,	1682,	4,	1),
(12504,	1682,	2,	2),
(12505,	1682,	3,	2),
(12506,	1682,	4,	2),
(12507,	1682,	2,	3),
(12508,	1682,	3,	3),
(12509,	1682,	4,	3),
(12510,	1683,	2,	2),
(12511,	1683,	3,	2),
(12512,	1683,	4,	2),
(12513,	1684,	2,	2),
(12514,	1684,	3,	2),
(12515,	1684,	4,	2),
(12516,	1685,	2,	1),
(12517,	1685,	3,	1),
(12518,	1685,	4,	1),
(12519,	1685,	2,	2),
(12520,	1685,	3,	2),
(12521,	1685,	4,	2),
(12522,	1686,	2,	2),
(12523,	1686,	3,	2),
(12524,	1686,	4,	2),
(12525,	1687,	2,	1),
(12526,	1687,	3,	1),
(12527,	1687,	4,	1),
(12528,	1687,	2,	2),
(12529,	1687,	3,	2),
(12530,	1687,	4,	2),
(12531,	1687,	2,	3),
(12532,	1687,	3,	3),
(12533,	1687,	4,	3),
(12534,	1688,	2,	1),
(12535,	1688,	3,	1),
(12536,	1688,	4,	1),
(12537,	1688,	2,	2),
(12538,	1688,	3,	2),
(12539,	1688,	4,	2),
(12540,	1689,	2,	1),
(12541,	1689,	3,	1),
(12542,	1689,	4,	1),
(12543,	1689,	2,	2),
(12544,	1689,	3,	2),
(12545,	1689,	4,	2),
(12546,	1690,	2,	2),
(12547,	1690,	3,	2),
(12548,	1690,	4,	2),
(12549,	1691,	2,	1),
(12550,	1691,	3,	1),
(12551,	1691,	4,	1),
(12552,	1691,	2,	2),
(12553,	1691,	3,	2),
(12554,	1691,	4,	2),
(12555,	1692,	2,	1),
(12556,	1692,	3,	1),
(12557,	1692,	4,	1),
(12558,	1692,	2,	2),
(12559,	1692,	3,	2),
(12560,	1692,	4,	2),
(12561,	1693,	2,	1),
(12562,	1693,	3,	1),
(12563,	1693,	4,	1),
(12564,	1693,	2,	2),
(12565,	1693,	3,	2),
(12566,	1693,	4,	2),
(12567,	1694,	2,	2),
(12568,	1694,	3,	2),
(12569,	1694,	4,	2),
(12570,	1695,	2,	2),
(12571,	1695,	3,	2),
(12572,	1695,	4,	2),
(12573,	1695,	2,	4),
(12574,	1695,	3,	4),
(12575,	1695,	4,	4),
(12576,	1696,	2,	1),
(12577,	1696,	3,	1),
(12578,	1696,	4,	1),
(12579,	1696,	2,	2),
(12580,	1696,	3,	2),
(12581,	1696,	4,	2),
(12582,	1697,	2,	2),
(12583,	1697,	3,	2),
(12584,	1697,	4,	2),
(12585,	1698,	2,	2),
(12586,	1698,	3,	2),
(12587,	1698,	4,	2),
(12588,	1699,	2,	1),
(12589,	1699,	3,	1),
(12590,	1699,	4,	1),
(12591,	1699,	2,	2),
(12592,	1699,	3,	2),
(12593,	1699,	4,	2),
(12594,	1700,	2,	1),
(12595,	1700,	3,	1),
(12596,	1700,	4,	1),
(12597,	1700,	2,	2),
(12598,	1700,	3,	2),
(12599,	1700,	4,	2),
(12600,	1701,	2,	1),
(12601,	1701,	3,	1),
(12602,	1701,	4,	1),
(12603,	1701,	2,	2),
(12604,	1701,	3,	2),
(12605,	1701,	4,	2),
(12606,	1702,	2,	1),
(12607,	1702,	3,	1),
(12608,	1702,	4,	1),
(12609,	1702,	2,	2),
(12610,	1702,	3,	2),
(12611,	1702,	4,	2),
(12612,	1703,	2,	2),
(12613,	1703,	3,	2),
(12614,	1703,	4,	2),
(12615,	1704,	2,	2),
(12616,	1704,	3,	2),
(12617,	1704,	4,	2),
(12618,	1705,	2,	2),
(12619,	1705,	3,	2),
(12620,	1705,	4,	2),
(12621,	1706,	2,	2),
(12622,	1706,	3,	2),
(12623,	1706,	4,	2),
(12624,	1707,	2,	1),
(12625,	1707,	3,	1),
(12626,	1707,	4,	1),
(12627,	1707,	2,	2),
(12628,	1707,	3,	2),
(12629,	1707,	4,	2),
(12630,	1708,	2,	2),
(12631,	1708,	3,	2),
(12632,	1708,	4,	2),
(12633,	1709,	2,	2),
(12634,	1709,	3,	2),
(12635,	1709,	4,	2),
(12636,	1709,	2,	4),
(12637,	1709,	3,	4),
(12638,	1709,	4,	4),
(12639,	1710,	2,	1),
(12640,	1710,	3,	1),
(12641,	1710,	4,	1),
(12642,	1710,	2,	2),
(12643,	1710,	3,	2),
(12644,	1710,	4,	2),
(12645,	1711,	2,	2),
(12646,	1711,	3,	2),
(12647,	1711,	4,	2),
(12648,	1712,	2,	1),
(12649,	1712,	3,	1),
(12650,	1712,	4,	1),
(12651,	1712,	2,	2),
(12652,	1712,	3,	2),
(12653,	1712,	4,	2),
(12654,	1713,	2,	2),
(12655,	1713,	3,	2),
(12656,	1713,	4,	2),
(12657,	1714,	2,	1),
(12658,	1714,	3,	1),
(12659,	1714,	4,	1),
(12660,	1714,	2,	2),
(12661,	1714,	3,	2),
(12662,	1714,	4,	2),
(12663,	1715,	2,	2),
(12664,	1715,	3,	2),
(12665,	1715,	4,	2),
(12666,	1716,	2,	1),
(12667,	1716,	3,	1),
(12668,	1716,	4,	1),
(12669,	1716,	2,	2),
(12670,	1716,	3,	2),
(12671,	1716,	4,	2),
(12672,	1717,	2,	2),
(12673,	1717,	3,	2),
(12674,	1717,	4,	2),
(12675,	1718,	2,	2),
(12676,	1718,	3,	2),
(12677,	1718,	4,	2),
(12678,	1719,	2,	2),
(12679,	1719,	3,	2),
(12680,	1719,	4,	2),
(12681,	1719,	2,	4),
(12682,	1719,	3,	4),
(12683,	1719,	4,	4),
(12684,	1720,	2,	2),
(12685,	1720,	3,	2),
(12686,	1720,	4,	2),
(12687,	1721,	2,	2),
(12688,	1721,	3,	2),
(12689,	1721,	4,	2),
(12690,	1722,	2,	1),
(12691,	1722,	3,	1),
(12692,	1722,	4,	1),
(12693,	1722,	2,	2),
(12694,	1722,	3,	2),
(12695,	1722,	4,	2),
(12696,	1723,	2,	1),
(12697,	1723,	3,	1),
(12698,	1723,	4,	1),
(12699,	1723,	2,	2),
(12700,	1723,	3,	2),
(12701,	1723,	4,	2),
(12702,	1724,	2,	1),
(12703,	1724,	3,	1),
(12704,	1724,	4,	1),
(12705,	1724,	2,	2),
(12706,	1724,	3,	2),
(12707,	1724,	4,	2),
(12708,	1725,	2,	1),
(12709,	1725,	3,	1),
(12710,	1725,	4,	1),
(12711,	1725,	2,	2),
(12712,	1725,	3,	2),
(12713,	1725,	4,	2),
(12714,	1726,	2,	1),
(12715,	1726,	3,	1),
(12716,	1726,	4,	1),
(12717,	1726,	2,	2),
(12718,	1726,	3,	2),
(12719,	1726,	4,	2),
(12720,	1727,	2,	1),
(12721,	1727,	3,	1),
(12722,	1727,	4,	1),
(12723,	1727,	2,	2),
(12724,	1727,	3,	2),
(12725,	1727,	4,	2),
(12726,	1728,	2,	1),
(12727,	1728,	3,	1),
(12728,	1728,	4,	1),
(12729,	1728,	2,	2),
(12730,	1728,	3,	2),
(12731,	1728,	4,	2),
(12732,	1729,	2,	1),
(12733,	1729,	3,	1),
(12734,	1729,	4,	1),
(12735,	1729,	2,	2),
(12736,	1729,	3,	2),
(12737,	1729,	4,	2),
(12738,	1730,	2,	1),
(12739,	1730,	3,	1),
(12740,	1730,	4,	1),
(12741,	1730,	2,	2),
(12742,	1730,	3,	2),
(12743,	1730,	4,	2),
(12744,	1731,	2,	2),
(12745,	1731,	3,	2),
(12746,	1731,	4,	2),
(12747,	1732,	2,	2),
(12748,	1732,	3,	2),
(12749,	1732,	4,	2),
(12750,	1733,	2,	1),
(12751,	1733,	3,	1),
(12752,	1733,	4,	1),
(12753,	1733,	2,	2),
(12754,	1733,	3,	2),
(12755,	1733,	4,	2),
(12756,	1734,	2,	2),
(12757,	1734,	3,	2),
(12758,	1734,	4,	2),
(12759,	1735,	2,	4),
(12760,	1735,	3,	4),
(12761,	1735,	22,	4),
(12762,	1735,	4,	4),
(12763,	1736,	2,	2),
(12764,	1736,	3,	2),
(12765,	1736,	4,	2),
(12766,	1737,	2,	2),
(12767,	1737,	3,	2),
(12768,	1737,	4,	2),
(12769,	1738,	2,	2),
(12770,	1738,	3,	2),
(12771,	1738,	4,	2),
(12772,	1739,	2,	2),
(12773,	1739,	3,	2),
(12774,	1739,	4,	2),
(12775,	1740,	3,	1),
(12776,	1741,	2,	1),
(12777,	1741,	3,	1),
(12778,	1741,	4,	1),
(12779,	1741,	2,	2),
(12780,	1741,	3,	2),
(12781,	1741,	4,	2),
(12782,	1742,	2,	2),
(12783,	1742,	3,	2),
(12784,	1742,	4,	2),
(12785,	1743,	2,	1),
(12786,	1743,	3,	1),
(12787,	1743,	4,	1),
(12788,	1743,	2,	2),
(12789,	1743,	3,	2),
(12790,	1743,	4,	2),
(12791,	1744,	2,	1),
(12792,	1744,	3,	1),
(12793,	1744,	4,	1),
(12794,	1744,	2,	2),
(12795,	1744,	3,	2),
(12796,	1744,	4,	2),
(12797,	1745,	2,	2),
(12798,	1745,	3,	2),
(12799,	1745,	4,	2),
(12800,	1746,	2,	1),
(12801,	1746,	3,	1),
(12802,	1746,	4,	1),
(12803,	1746,	2,	2),
(12804,	1746,	3,	2),
(12805,	1746,	4,	2),
(12806,	1747,	2,	2),
(12807,	1747,	3,	2),
(12808,	1747,	4,	2),
(12809,	1748,	2,	2),
(12810,	1748,	3,	2),
(12811,	1748,	4,	2),
(12812,	1749,	2,	2),
(12813,	1749,	3,	2),
(12814,	1749,	4,	2),
(12815,	1750,	2,	2),
(12816,	1750,	3,	2),
(12817,	1750,	4,	2),
(12818,	1751,	2,	2),
(12819,	1751,	3,	2),
(12820,	1751,	4,	2),
(12821,	1751,	2,	4),
(12822,	1751,	3,	4),
(12823,	1751,	4,	4),
(12824,	1752,	2,	1),
(12825,	1752,	3,	1),
(12826,	1752,	4,	1),
(12827,	1752,	2,	2),
(12828,	1752,	3,	2),
(12829,	1752,	4,	2),
(12830,	1753,	2,	1),
(12831,	1753,	3,	1),
(12832,	1753,	4,	1),
(12833,	1753,	2,	2),
(12834,	1753,	3,	2),
(12835,	1753,	4,	2),
(12836,	1754,	2,	2),
(12837,	1754,	3,	2),
(12838,	1754,	4,	2),
(12839,	1754,	2,	4),
(12840,	1754,	3,	4),
(12841,	1754,	4,	4),
(12842,	1755,	2,	2),
(12843,	1755,	3,	2),
(12844,	1755,	4,	2),
(12845,	1755,	2,	4),
(12846,	1755,	3,	4),
(12847,	1755,	4,	4),
(12848,	1756,	2,	2),
(12849,	1756,	3,	2),
(12850,	1756,	4,	2),
(12851,	1756,	2,	4),
(12852,	1756,	3,	4),
(12853,	1756,	4,	4),
(12854,	1757,	2,	2),
(12855,	1757,	3,	2),
(12856,	1757,	4,	2),
(12857,	1757,	2,	4),
(12858,	1757,	3,	4),
(12859,	1757,	4,	4),
(12860,	1758,	2,	2),
(12861,	1758,	3,	2),
(12862,	1758,	4,	2),
(12863,	1759,	2,	2),
(12864,	1759,	3,	2),
(12865,	1759,	4,	2),
(12866,	1760,	2,	2),
(12867,	1760,	3,	2),
(12868,	1760,	4,	2),
(12869,	1761,	2,	2),
(12870,	1761,	3,	2),
(12871,	1761,	4,	2),
(12872,	1762,	2,	2),
(12873,	1762,	3,	2),
(12874,	1762,	4,	2),
(12875,	1763,	2,	2),
(12876,	1763,	3,	2),
(12877,	1763,	4,	2),
(12878,	1764,	2,	2),
(12879,	1764,	3,	2),
(12880,	1764,	4,	2),
(12881,	1765,	2,	1),
(12882,	1765,	3,	1),
(12883,	1765,	4,	1),
(12884,	1765,	2,	2),
(12885,	1765,	3,	2),
(12886,	1765,	4,	2),
(12887,	1766,	2,	2),
(12888,	1766,	3,	2),
(12889,	1766,	4,	2),
(12890,	1767,	2,	2),
(12891,	1767,	3,	2),
(12892,	1767,	22,	2),
(12893,	1767,	4,	2),
(12894,	1768,	2,	2),
(12895,	1768,	3,	2),
(12896,	1768,	22,	2),
(12897,	1768,	4,	2),
(12898,	1768,	81,	2),
(12899,	1769,	2,	1),
(12900,	1769,	3,	1),
(12901,	1769,	4,	1),
(12902,	1769,	2,	2),
(12903,	1769,	3,	2),
(12904,	1769,	4,	2),
(12905,	1770,	2,	1),
(12906,	1770,	3,	1),
(12907,	1770,	4,	1),
(12908,	1770,	2,	2),
(12909,	1770,	3,	2),
(12910,	1770,	4,	2),
(12911,	1771,	2,	2),
(12912,	1771,	3,	2),
(12913,	1771,	4,	2),
(12914,	1772,	2,	2),
(12915,	1772,	3,	2),
(12916,	1772,	22,	2),
(12917,	1772,	4,	2),
(12918,	1772,	81,	2),
(12919,	1773,	2,	1),
(12920,	1773,	3,	1),
(12921,	1773,	4,	1),
(12922,	1773,	2,	2),
(12923,	1773,	3,	2),
(12924,	1773,	4,	2),
(12925,	1774,	2,	2),
(12926,	1774,	3,	2),
(12927,	1774,	4,	2),
(12928,	1775,	2,	1),
(12929,	1775,	3,	1),
(12930,	1775,	4,	1),
(12931,	1775,	2,	2),
(12932,	1775,	3,	2),
(12933,	1775,	4,	2),
(12934,	1776,	2,	1),
(12935,	1776,	3,	1),
(12936,	1776,	4,	1),
(12937,	1776,	2,	2),
(12938,	1776,	3,	2),
(12939,	1776,	4,	2),
(12940,	1777,	2,	2),
(12941,	1777,	3,	2),
(12942,	1777,	4,	2),
(12943,	1778,	2,	1),
(12944,	1778,	3,	1),
(12945,	1778,	4,	1),
(12946,	1778,	2,	2),
(12947,	1778,	3,	2),
(12948,	1778,	4,	2),
(12949,	1779,	2,	1),
(12950,	1779,	3,	1),
(12951,	1779,	4,	1),
(12952,	1779,	2,	2),
(12953,	1779,	3,	2),
(12954,	1779,	4,	2),
(12955,	1780,	2,	1),
(12956,	1780,	3,	1),
(12957,	1780,	4,	1),
(12958,	1780,	2,	2),
(12959,	1780,	3,	2),
(12960,	1780,	4,	2),
(12961,	1781,	2,	1),
(12962,	1781,	3,	1),
(12963,	1781,	4,	1),
(12964,	1781,	2,	2),
(12965,	1781,	3,	2),
(12966,	1781,	4,	2),
(12967,	1782,	2,	1),
(12968,	1782,	3,	1),
(12969,	1782,	4,	1),
(12970,	1782,	2,	2),
(12971,	1782,	3,	2),
(12972,	1782,	4,	2),
(12973,	1783,	2,	1),
(12974,	1783,	3,	1),
(12975,	1783,	4,	1),
(12976,	1783,	2,	2),
(12977,	1783,	3,	2),
(12978,	1783,	4,	2),
(12979,	1784,	2,	1),
(12980,	1784,	3,	1),
(12981,	1784,	4,	1),
(12982,	1784,	2,	2),
(12983,	1784,	3,	2),
(12984,	1784,	4,	2),
(12985,	1785,	2,	1),
(12986,	1785,	3,	1),
(12987,	1785,	4,	1),
(12988,	1785,	2,	2),
(12989,	1785,	3,	2),
(12990,	1785,	4,	2),
(12991,	1786,	2,	1),
(12992,	1786,	3,	1),
(12993,	1786,	4,	1),
(12994,	1786,	2,	2),
(12995,	1786,	3,	2),
(12996,	1786,	4,	2),
(12997,	1787,	2,	1),
(12998,	1787,	3,	1),
(12999,	1787,	4,	1),
(13000,	1787,	2,	2),
(13001,	1787,	3,	2),
(13002,	1787,	4,	2),
(13003,	1788,	2,	2),
(13004,	1788,	3,	2),
(13005,	1788,	4,	2),
(13006,	1789,	2,	1),
(13007,	1789,	3,	1),
(13008,	1789,	4,	1),
(13009,	1789,	2,	2),
(13010,	1789,	3,	2),
(13011,	1789,	4,	2),
(13012,	1790,	2,	1),
(13013,	1790,	3,	1),
(13014,	1790,	4,	1),
(13015,	1790,	2,	2),
(13016,	1790,	3,	2),
(13017,	1790,	4,	2),
(13018,	1791,	2,	1),
(13019,	1791,	3,	1),
(13020,	1791,	4,	1),
(13021,	1791,	2,	2),
(13022,	1791,	3,	2),
(13023,	1791,	4,	2),
(13024,	1792,	2,	1),
(13025,	1792,	3,	1),
(13026,	1792,	4,	1),
(13027,	1792,	2,	2),
(13028,	1792,	3,	2),
(13029,	1792,	4,	2),
(13030,	1793,	2,	1),
(13031,	1793,	3,	1),
(13032,	1793,	4,	1),
(13033,	1793,	2,	2),
(13034,	1793,	3,	2),
(13035,	1793,	4,	2),
(13036,	1794,	2,	1),
(13037,	1794,	3,	1),
(13038,	1794,	4,	1),
(13039,	1794,	2,	2),
(13040,	1794,	3,	2),
(13041,	1794,	4,	2),
(13042,	1795,	2,	1),
(13043,	1795,	3,	1),
(13044,	1795,	4,	1),
(13045,	1795,	2,	2),
(13046,	1795,	3,	2),
(13047,	1795,	4,	2),
(13048,	1796,	2,	2),
(13049,	1796,	3,	2),
(13050,	1796,	4,	2),
(13051,	1796,	2,	4),
(13052,	1796,	3,	4),
(13053,	1796,	4,	4),
(13054,	1797,	2,	1),
(13055,	1797,	3,	1),
(13056,	1797,	4,	1),
(13057,	1797,	2,	2),
(13058,	1797,	3,	2),
(13059,	1797,	4,	2),
(13060,	1798,	2,	1),
(13061,	1798,	3,	1),
(13062,	1798,	4,	1),
(13063,	1798,	2,	2),
(13064,	1798,	3,	2),
(13065,	1798,	4,	2),
(13066,	1799,	2,	1),
(13067,	1799,	3,	1),
(13068,	1799,	4,	1),
(13069,	1799,	2,	2),
(13070,	1799,	3,	2),
(13071,	1799,	4,	2),
(13072,	1800,	2,	1),
(13073,	1800,	3,	1),
(13074,	1800,	4,	1),
(13075,	1800,	2,	2),
(13076,	1800,	3,	2),
(13077,	1800,	4,	2),
(13078,	1801,	2,	1),
(13079,	1801,	3,	1),
(13080,	1801,	4,	1),
(13081,	1801,	2,	2),
(13082,	1801,	3,	2),
(13083,	1801,	4,	2),
(13084,	1802,	2,	1),
(13085,	1802,	3,	1),
(13086,	1802,	4,	1),
(13087,	1802,	2,	2),
(13088,	1802,	3,	2),
(13089,	1802,	4,	2),
(13090,	1803,	2,	1),
(13091,	1803,	3,	1),
(13092,	1803,	4,	1),
(13093,	1803,	2,	2),
(13094,	1803,	3,	2),
(13095,	1803,	4,	2),
(13096,	1804,	2,	1),
(13097,	1804,	3,	1),
(13098,	1804,	4,	1),
(13099,	1804,	2,	2),
(13100,	1804,	3,	2),
(13101,	1804,	4,	2),
(13102,	1805,	2,	1),
(13103,	1805,	3,	1),
(13104,	1805,	4,	1),
(13105,	1805,	2,	2),
(13106,	1805,	3,	2),
(13107,	1805,	4,	2),
(13108,	1806,	2,	1),
(13109,	1806,	3,	1),
(13110,	1806,	4,	1),
(13111,	1806,	2,	2),
(13112,	1806,	3,	2),
(13113,	1806,	4,	2),
(13114,	1807,	2,	1),
(13115,	1807,	3,	1),
(13116,	1807,	4,	1),
(13117,	1807,	2,	2),
(13118,	1807,	3,	2),
(13119,	1807,	4,	2),
(13120,	1808,	2,	1),
(13121,	1808,	3,	1),
(13122,	1808,	4,	1),
(13123,	1808,	2,	2),
(13124,	1808,	3,	2),
(13125,	1808,	4,	2),
(13126,	1809,	2,	1),
(13127,	1809,	3,	1),
(13128,	1809,	4,	1),
(13129,	1809,	2,	2),
(13130,	1809,	3,	2),
(13131,	1809,	4,	2),
(13132,	1810,	2,	1),
(13133,	1810,	3,	1),
(13134,	1810,	4,	1),
(13135,	1810,	2,	2),
(13136,	1810,	3,	2),
(13137,	1810,	4,	2),
(13138,	1811,	2,	1),
(13139,	1811,	3,	1),
(13140,	1811,	4,	1),
(13141,	1811,	2,	2),
(13142,	1811,	3,	2),
(13143,	1811,	4,	2),
(13144,	1812,	2,	1),
(13145,	1812,	3,	1),
(13146,	1812,	4,	1),
(13147,	1812,	2,	2),
(13148,	1812,	3,	2),
(13149,	1812,	4,	2),
(13150,	1813,	2,	1),
(13151,	1813,	3,	1),
(13152,	1813,	4,	1),
(13153,	1813,	2,	2),
(13154,	1813,	3,	2),
(13155,	1813,	4,	2),
(13156,	1814,	2,	2),
(13157,	1814,	3,	2),
(13158,	1814,	4,	2),
(13159,	1815,	2,	1),
(13160,	1815,	3,	1),
(13161,	1815,	4,	1),
(13162,	1815,	2,	2),
(13163,	1815,	3,	2),
(13164,	1815,	4,	2),
(13165,	1816,	2,	2),
(13166,	1816,	3,	2),
(13167,	1816,	4,	2),
(13168,	1817,	2,	1),
(13169,	1817,	3,	1),
(13170,	1817,	4,	1),
(13171,	1817,	2,	2),
(13172,	1817,	3,	2),
(13173,	1817,	4,	2),
(13174,	1818,	2,	1),
(13175,	1818,	3,	1),
(13176,	1818,	4,	1),
(13177,	1818,	2,	2),
(13178,	1818,	3,	2),
(13179,	1818,	4,	2),
(13180,	1819,	2,	1),
(13181,	1819,	3,	1),
(13182,	1819,	4,	1),
(13183,	1819,	2,	2),
(13184,	1819,	3,	2),
(13185,	1819,	4,	2),
(13186,	1820,	2,	1),
(13187,	1820,	3,	1),
(13188,	1820,	4,	1),
(13189,	1820,	2,	2),
(13190,	1820,	3,	2),
(13191,	1820,	4,	2),
(13192,	1821,	2,	1),
(13193,	1821,	3,	1),
(13194,	1821,	4,	1),
(13195,	1821,	2,	2),
(13196,	1821,	3,	2),
(13197,	1821,	4,	2),
(13198,	1822,	2,	1),
(13199,	1822,	3,	1),
(13200,	1822,	4,	1),
(13201,	1822,	2,	2),
(13202,	1822,	3,	2),
(13203,	1822,	4,	2),
(13204,	1823,	2,	1),
(13205,	1823,	3,	1),
(13206,	1823,	4,	1),
(13207,	1823,	2,	2),
(13208,	1823,	3,	2),
(13209,	1823,	4,	2),
(13210,	1824,	2,	1),
(13211,	1824,	3,	1),
(13212,	1824,	4,	1),
(13213,	1824,	2,	2),
(13214,	1824,	3,	2),
(13215,	1824,	4,	2),
(13216,	1825,	2,	1),
(13217,	1825,	3,	1),
(13218,	1825,	4,	1),
(13219,	1825,	2,	2),
(13220,	1825,	3,	2),
(13221,	1825,	4,	2),
(13222,	1826,	2,	2),
(13223,	1826,	3,	2),
(13224,	1826,	4,	2),
(13225,	1827,	2,	1),
(13226,	1827,	3,	1),
(13227,	1827,	4,	1),
(13228,	1827,	2,	2),
(13229,	1827,	3,	2),
(13230,	1827,	4,	2),
(13231,	1828,	5,	1),
(13232,	1828,	2,	1),
(13233,	1828,	3,	1),
(13234,	1828,	4,	1),
(13235,	1828,	5,	2),
(13236,	1828,	2,	2),
(13237,	1828,	3,	2),
(13238,	1828,	4,	2),
(13239,	1829,	2,	1),
(13240,	1829,	3,	1),
(13241,	1829,	4,	1),
(13242,	1829,	2,	2),
(13243,	1829,	3,	2),
(13244,	1829,	4,	2),
(13245,	1830,	2,	1),
(13246,	1830,	3,	1),
(13247,	1830,	4,	1),
(13248,	1830,	2,	2),
(13249,	1830,	3,	2),
(13250,	1830,	4,	2),
(13251,	1831,	2,	1),
(13252,	1831,	3,	1),
(13253,	1831,	4,	1),
(13254,	1831,	2,	2),
(13255,	1831,	3,	2),
(13256,	1831,	4,	2),
(13257,	1832,	2,	2),
(13258,	1832,	3,	2),
(13259,	1832,	4,	2),
(13260,	1833,	2,	1),
(13261,	1833,	3,	1),
(13262,	1833,	4,	1),
(13263,	1833,	2,	2),
(13264,	1833,	3,	2),
(13265,	1833,	4,	2),
(13266,	1834,	2,	2),
(13267,	1834,	3,	2),
(13268,	1834,	4,	2),
(13269,	1835,	2,	2),
(13270,	1835,	3,	2),
(13271,	1835,	4,	2),
(13272,	1836,	2,	2),
(13273,	1836,	3,	2),
(13274,	1836,	4,	2),
(13275,	1837,	2,	1),
(13276,	1837,	3,	1),
(13277,	1837,	4,	1),
(13278,	1837,	2,	2),
(13279,	1837,	3,	2),
(13280,	1837,	4,	2),
(13281,	1838,	2,	2),
(13282,	1838,	3,	2),
(13283,	1838,	4,	2),
(13284,	1839,	2,	2),
(13285,	1839,	3,	2),
(13286,	1839,	4,	2),
(13287,	1840,	2,	1),
(13288,	1840,	3,	1),
(13289,	1840,	4,	1),
(13290,	1840,	2,	2),
(13291,	1840,	3,	2),
(13292,	1840,	4,	2),
(13293,	1841,	2,	1),
(13294,	1841,	3,	1),
(13295,	1841,	4,	1),
(13296,	1841,	2,	2),
(13297,	1841,	3,	2),
(13298,	1841,	4,	2),
(13299,	1842,	2,	1),
(13300,	1842,	3,	1),
(13301,	1842,	4,	1),
(13302,	1842,	2,	2),
(13303,	1842,	3,	2),
(13304,	1842,	4,	2),
(13305,	1843,	2,	1),
(13306,	1843,	3,	1),
(13307,	1843,	4,	1),
(13308,	1843,	2,	2),
(13309,	1843,	3,	2),
(13310,	1843,	4,	2),
(13311,	1844,	2,	1),
(13312,	1844,	3,	1),
(13313,	1844,	4,	1),
(13314,	1844,	2,	2),
(13315,	1844,	3,	2),
(13316,	1844,	4,	2),
(13317,	1845,	2,	1),
(13318,	1845,	3,	1),
(13319,	1845,	4,	1),
(13320,	1845,	2,	2),
(13321,	1845,	3,	2),
(13322,	1845,	4,	2),
(13323,	1846,	2,	1),
(13324,	1846,	3,	1),
(13325,	1846,	4,	1),
(13326,	1846,	2,	2),
(13327,	1846,	3,	2),
(13328,	1846,	4,	2),
(13329,	1847,	2,	1),
(13330,	1847,	3,	1),
(13331,	1847,	4,	1),
(13332,	1847,	2,	2),
(13333,	1847,	3,	2),
(13334,	1847,	4,	2),
(13335,	1848,	2,	1),
(13336,	1848,	3,	1),
(13337,	1848,	4,	1),
(13338,	1848,	2,	2),
(13339,	1848,	3,	2),
(13340,	1848,	4,	2),
(13341,	1849,	2,	1),
(13342,	1849,	3,	1),
(13343,	1849,	4,	1),
(13344,	1849,	2,	2),
(13345,	1849,	3,	2),
(13346,	1849,	4,	2),
(13347,	1850,	2,	1),
(13348,	1850,	3,	1),
(13349,	1850,	4,	1),
(13350,	1850,	2,	2),
(13351,	1850,	3,	2),
(13352,	1850,	4,	2),
(13353,	1851,	2,	1),
(13354,	1851,	3,	1),
(13355,	1851,	4,	1),
(13356,	1851,	2,	2),
(13357,	1851,	3,	2),
(13358,	1851,	4,	2),
(13359,	1852,	2,	1),
(13360,	1852,	3,	1),
(13361,	1852,	4,	1),
(13362,	1852,	2,	2),
(13363,	1852,	3,	2),
(13364,	1852,	4,	2),
(13365,	1853,	2,	1),
(13366,	1853,	3,	1),
(13367,	1853,	4,	1),
(13368,	1853,	2,	2),
(13369,	1853,	3,	2),
(13370,	1853,	4,	2),
(13371,	1854,	2,	1),
(13372,	1854,	3,	1),
(13373,	1854,	4,	1),
(13374,	1854,	2,	2),
(13375,	1854,	3,	2),
(13376,	1854,	4,	2),
(13377,	1855,	2,	1),
(13378,	1855,	3,	1),
(13379,	1855,	4,	1),
(13380,	1855,	2,	2),
(13381,	1855,	3,	2),
(13382,	1855,	4,	2),
(13383,	1856,	2,	1),
(13384,	1856,	3,	1),
(13385,	1856,	4,	1),
(13386,	1856,	2,	2),
(13387,	1856,	3,	2),
(13388,	1856,	4,	2),
(13389,	1857,	2,	1),
(13390,	1857,	3,	1),
(13391,	1857,	4,	1),
(13392,	1857,	2,	2),
(13393,	1857,	3,	2),
(13394,	1857,	4,	2),
(13395,	1858,	2,	1),
(13396,	1858,	3,	1),
(13397,	1858,	4,	1),
(13398,	1858,	2,	2),
(13399,	1858,	3,	2),
(13400,	1858,	4,	2),
(13401,	1859,	2,	2),
(13402,	1859,	3,	2),
(13403,	1859,	4,	2),
(13404,	1860,	2,	1),
(13405,	1860,	3,	1),
(13406,	1860,	4,	1),
(13407,	1860,	2,	2),
(13408,	1860,	3,	2),
(13409,	1860,	4,	2),
(13410,	1861,	2,	1),
(13411,	1861,	3,	1),
(13412,	1861,	4,	1),
(13413,	1861,	2,	2),
(13414,	1861,	3,	2),
(13415,	1861,	4,	2),
(13416,	1862,	2,	1),
(13417,	1862,	3,	1),
(13418,	1862,	4,	1),
(13419,	1862,	2,	2),
(13420,	1862,	3,	2),
(13421,	1862,	4,	2),
(13422,	1863,	2,	1),
(13423,	1863,	3,	1),
(13424,	1863,	22,	1),
(13425,	1863,	4,	1),
(13426,	1863,	2,	2),
(13427,	1863,	3,	2),
(13428,	1863,	22,	2),
(13429,	1863,	4,	2),
(13430,	1863,	2,	4),
(13431,	1863,	3,	4),
(13432,	1863,	22,	4),
(13433,	1863,	4,	4),
(13434,	1864,	2,	1),
(13435,	1864,	3,	1),
(13436,	1864,	4,	1),
(13437,	1864,	2,	2),
(13438,	1864,	3,	2),
(13439,	1864,	4,	2),
(13440,	1865,	2,	1),
(13441,	1865,	3,	1),
(13442,	1865,	4,	1),
(13443,	1865,	2,	2),
(13444,	1865,	3,	2),
(13445,	1865,	4,	2),
(13446,	1865,	2,	4),
(13447,	1865,	3,	4),
(13448,	1865,	4,	4),
(13449,	1866,	2,	1),
(13450,	1866,	3,	1),
(13451,	1866,	4,	1),
(13452,	1866,	2,	2),
(13453,	1866,	3,	2),
(13454,	1866,	4,	2),
(13455,	1866,	2,	4),
(13456,	1866,	3,	4),
(13457,	1866,	4,	4),
(13458,	1867,	2,	2),
(13459,	1867,	3,	2),
(13460,	1867,	4,	2),
(13461,	1868,	2,	1),
(13462,	1868,	3,	1),
(13463,	1868,	4,	1),
(13464,	1868,	2,	2),
(13465,	1868,	3,	2),
(13466,	1868,	4,	2),
(13467,	1869,	2,	1),
(13468,	1869,	3,	1),
(13469,	1869,	4,	1),
(13470,	1869,	2,	2),
(13471,	1869,	3,	2),
(13472,	1869,	4,	2),
(13473,	1870,	2,	1),
(13474,	1870,	3,	1),
(13475,	1870,	4,	1),
(13476,	1870,	2,	2),
(13477,	1870,	3,	2),
(13478,	1870,	4,	2),
(13479,	1871,	2,	1),
(13480,	1871,	3,	1),
(13481,	1871,	4,	1),
(13482,	1871,	2,	2),
(13483,	1871,	3,	2),
(13484,	1871,	4,	2),
(13485,	1872,	2,	1),
(13486,	1872,	3,	1),
(13487,	1872,	4,	1),
(13488,	1872,	2,	2),
(13489,	1872,	3,	2),
(13490,	1872,	4,	2),
(13491,	1873,	2,	1),
(13492,	1873,	3,	1),
(13493,	1873,	4,	1),
(13494,	1873,	2,	2),
(13495,	1873,	3,	2),
(13496,	1873,	4,	2),
(13497,	1874,	2,	1),
(13498,	1874,	3,	1),
(13499,	1874,	4,	1),
(13500,	1874,	2,	2),
(13501,	1874,	3,	2),
(13502,	1874,	4,	2),
(13503,	1875,	2,	1),
(13504,	1875,	3,	1),
(13505,	1875,	4,	1),
(13506,	1875,	2,	2),
(13507,	1875,	3,	2),
(13508,	1875,	4,	2),
(13509,	1875,	2,	4),
(13510,	1875,	3,	4),
(13511,	1875,	4,	4),
(13512,	1876,	2,	1),
(13513,	1876,	3,	1),
(13514,	1876,	4,	1),
(13515,	1876,	2,	2),
(13516,	1876,	3,	2),
(13517,	1876,	4,	2),
(13518,	1877,	2,	2),
(13519,	1877,	3,	2),
(13520,	1877,	27,	2),
(13521,	1877,	4,	2),
(13522,	1877,	2,	4),
(13523,	1877,	3,	4),
(13524,	1877,	27,	4),
(13525,	1877,	4,	4),
(13526,	1878,	2,	2),
(13527,	1878,	3,	2),
(13528,	1878,	22,	2),
(13529,	1878,	4,	2),
(13530,	1878,	81,	2),
(13531,	1878,	2,	4),
(13532,	1878,	3,	4),
(13533,	1878,	22,	4),
(13534,	1878,	4,	4),
(13535,	1878,	81,	4),
(13536,	1879,	2,	1),
(13537,	1879,	3,	1),
(13538,	1879,	4,	1),
(13539,	1879,	2,	2),
(13540,	1879,	3,	2),
(13541,	1879,	4,	2),
(13542,	1879,	2,	4),
(13543,	1879,	3,	4),
(13544,	1879,	4,	4),
(13545,	1880,	2,	1),
(13546,	1880,	3,	1),
(13547,	1880,	4,	1),
(13548,	1880,	2,	2),
(13549,	1880,	3,	2),
(13550,	1880,	4,	2),
(13551,	1881,	2,	1),
(13552,	1881,	3,	1),
(13553,	1881,	4,	1),
(13554,	1881,	81,	1),
(13555,	1881,	2,	2),
(13556,	1881,	3,	2),
(13557,	1881,	4,	2),
(13558,	1881,	81,	2),
(13559,	1881,	2,	4),
(13560,	1881,	3,	4),
(13561,	1881,	4,	4),
(13562,	1881,	81,	4),
(13563,	1882,	2,	2),
(13564,	1882,	3,	2),
(13565,	1882,	4,	2),
(13566,	1882,	2,	4),
(13567,	1882,	3,	4),
(13568,	1882,	4,	4),
(13569,	1883,	2,	1),
(13570,	1883,	3,	1),
(13571,	1883,	4,	1),
(13572,	1883,	2,	2),
(13573,	1883,	3,	2),
(13574,	1883,	4,	2),
(13575,	1884,	2,	1),
(13576,	1884,	3,	1),
(13577,	1884,	4,	1),
(13578,	1884,	2,	2),
(13579,	1884,	3,	2),
(13580,	1884,	4,	2),
(13581,	1884,	2,	4),
(13582,	1884,	3,	4),
(13583,	1884,	4,	4),
(13584,	1885,	2,	1),
(13585,	1885,	3,	1),
(13586,	1885,	4,	1),
(13587,	1885,	2,	2),
(13588,	1885,	3,	2),
(13589,	1885,	4,	2),
(13590,	1886,	2,	1),
(13591,	1886,	3,	1),
(13592,	1886,	4,	1),
(13593,	1886,	2,	2),
(13594,	1886,	3,	2),
(13595,	1886,	4,	2),
(13596,	1886,	2,	4),
(13597,	1886,	3,	4),
(13598,	1886,	4,	4),
(13599,	1887,	2,	1),
(13600,	1887,	3,	1),
(13601,	1887,	4,	1),
(13602,	1887,	2,	2),
(13603,	1887,	3,	2),
(13604,	1887,	4,	2),
(13605,	1888,	2,	2),
(13606,	1888,	3,	2),
(13607,	1888,	4,	2),
(13608,	1888,	2,	4),
(13609,	1888,	3,	4),
(13610,	1888,	4,	4),
(13611,	1889,	2,	1),
(13612,	1889,	3,	1),
(13613,	1889,	4,	1),
(13614,	1889,	2,	2),
(13615,	1889,	3,	2),
(13616,	1889,	4,	2),
(13617,	1890,	2,	2),
(13618,	1890,	3,	2),
(13619,	1890,	4,	2),
(13620,	1890,	2,	4),
(13621,	1890,	3,	4),
(13622,	1890,	4,	4),
(13623,	1891,	2,	1),
(13624,	1891,	3,	1),
(13625,	1891,	4,	1),
(13626,	1891,	2,	2),
(13627,	1891,	3,	2),
(13628,	1891,	4,	2),
(13629,	1892,	2,	1),
(13630,	1892,	3,	1),
(13631,	1892,	4,	1),
(13632,	1892,	2,	2),
(13633,	1892,	3,	2),
(13634,	1892,	4,	2),
(13635,	1893,	2,	1),
(13636,	1893,	3,	1),
(13637,	1893,	4,	1),
(13638,	1893,	2,	2),
(13639,	1893,	3,	2),
(13640,	1893,	4,	2),
(13641,	1893,	2,	4),
(13642,	1893,	3,	4),
(13643,	1893,	4,	4),
(13644,	1894,	2,	1),
(13645,	1894,	3,	1),
(13646,	1894,	113,	1),
(13647,	1894,	4,	1),
(13648,	1894,	2,	2),
(13649,	1894,	3,	2),
(13650,	1894,	113,	2),
(13651,	1894,	4,	2),
(13652,	1895,	2,	2),
(13653,	1895,	3,	2),
(13654,	1895,	4,	2),
(13655,	1895,	2,	4),
(13656,	1895,	3,	4),
(13657,	1895,	4,	4),
(13658,	1896,	2,	1),
(13659,	1896,	3,	1),
(13660,	1896,	4,	1),
(13661,	1896,	2,	2),
(13662,	1896,	3,	2),
(13663,	1896,	4,	2),
(13664,	1897,	2,	1),
(13665,	1897,	3,	1),
(13666,	1897,	4,	1),
(13667,	1897,	2,	2),
(13668,	1897,	3,	2),
(13669,	1897,	4,	2),
(13670,	1898,	2,	2),
(13671,	1898,	3,	2),
(13672,	1898,	4,	2),
(13673,	1898,	2,	4),
(13674,	1898,	3,	4),
(13675,	1898,	4,	4),
(13676,	1899,	2,	1),
(13677,	1899,	3,	1),
(13678,	1899,	4,	1),
(13679,	1899,	2,	2),
(13680,	1899,	3,	2),
(13681,	1899,	4,	2),
(13682,	1900,	2,	2),
(13683,	1900,	3,	2),
(13684,	1900,	4,	2),
(13685,	1901,	2,	1),
(13686,	1901,	3,	1),
(13687,	1901,	4,	1),
(13688,	1901,	2,	2),
(13689,	1901,	3,	2),
(13690,	1901,	4,	2),
(13691,	1902,	2,	1),
(13692,	1902,	3,	1),
(13693,	1902,	4,	1),
(13694,	1902,	2,	2),
(13695,	1902,	3,	2),
(13696,	1902,	4,	2),
(13697,	1902,	2,	4),
(13698,	1902,	3,	4),
(13699,	1902,	4,	4),
(13700,	1903,	2,	1),
(13701,	1903,	3,	1),
(13702,	1903,	4,	1),
(13703,	1903,	2,	2),
(13704,	1903,	3,	2),
(13705,	1903,	4,	2),
(13706,	1904,	2,	2),
(13707,	1904,	3,	2),
(13708,	1904,	4,	2),
(13709,	1905,	2,	2),
(13710,	1905,	3,	2),
(13711,	1905,	4,	2),
(13712,	1906,	2,	1),
(13713,	1906,	3,	1),
(13714,	1906,	4,	1),
(13715,	1906,	2,	2),
(13716,	1906,	3,	2),
(13717,	1906,	4,	2),
(13718,	1907,	2,	2),
(13719,	1907,	3,	2),
(13720,	1907,	4,	2),
(13721,	1907,	2,	4),
(13722,	1907,	3,	4),
(13723,	1907,	4,	4),
(13724,	1908,	2,	2),
(13725,	1908,	3,	2),
(13726,	1908,	4,	2),
(13727,	1909,	2,	1),
(13728,	1909,	3,	1),
(13729,	1909,	4,	1),
(13730,	1909,	2,	2),
(13731,	1909,	3,	2),
(13732,	1909,	4,	2),
(13733,	1910,	2,	1),
(13734,	1910,	3,	1),
(13735,	1910,	4,	1),
(13736,	1910,	2,	2),
(13737,	1910,	3,	2),
(13738,	1910,	4,	2),
(13739,	1910,	2,	4),
(13740,	1910,	3,	4),
(13741,	1910,	4,	4),
(13742,	1911,	2,	1),
(13743,	1911,	3,	1),
(13744,	1911,	4,	1),
(13745,	1911,	2,	2),
(13746,	1911,	3,	2),
(13747,	1911,	4,	2),
(13748,	1912,	2,	1),
(13749,	1912,	3,	1),
(13750,	1912,	4,	1),
(13751,	1912,	2,	2),
(13752,	1912,	3,	2),
(13753,	1912,	4,	2),
(13754,	1913,	2,	1),
(13755,	1913,	3,	1),
(13756,	1913,	4,	1),
(13757,	1913,	2,	2),
(13758,	1913,	3,	2),
(13759,	1913,	4,	2),
(13760,	1914,	2,	1),
(13761,	1914,	3,	1),
(13762,	1914,	4,	1),
(13763,	1914,	2,	2),
(13764,	1914,	3,	2),
(13765,	1914,	4,	2),
(13766,	1915,	2,	1),
(13767,	1915,	3,	1),
(13768,	1915,	4,	1),
(13769,	1915,	2,	2),
(13770,	1915,	3,	2),
(13771,	1915,	4,	2),
(13772,	1915,	2,	4),
(13773,	1915,	3,	4),
(13774,	1915,	4,	4),
(13775,	1916,	2,	2),
(13776,	1916,	3,	2),
(13777,	1916,	4,	2),
(13778,	1917,	2,	2),
(13779,	1917,	3,	2),
(13780,	1917,	4,	2),
(13781,	1917,	2,	4),
(13782,	1917,	3,	4),
(13783,	1917,	4,	4),
(13784,	1918,	2,	2),
(13785,	1918,	3,	2),
(13786,	1918,	4,	2),
(13787,	1919,	2,	1),
(13788,	1919,	3,	1),
(13789,	1919,	4,	1),
(13790,	1919,	2,	2),
(13791,	1919,	3,	2),
(13792,	1919,	4,	2),
(13793,	1920,	2,	1),
(13794,	1920,	3,	1),
(13795,	1920,	4,	1),
(13796,	1920,	2,	2),
(13797,	1920,	3,	2),
(13798,	1920,	4,	2),
(13799,	1921,	2,	1),
(13800,	1921,	3,	1),
(13801,	1921,	4,	1),
(13802,	1921,	2,	2),
(13803,	1921,	3,	2),
(13804,	1921,	4,	2),
(13805,	1922,	2,	1),
(13806,	1922,	3,	1),
(13807,	1922,	4,	1),
(13808,	1922,	2,	2),
(13809,	1922,	3,	2),
(13810,	1922,	4,	2),
(13811,	1922,	2,	4),
(13812,	1922,	3,	4),
(13813,	1922,	4,	4),
(13814,	1923,	2,	1),
(13815,	1923,	3,	1),
(13816,	1923,	4,	1),
(13817,	1923,	2,	2),
(13818,	1923,	3,	2),
(13819,	1923,	4,	2),
(13820,	1924,	2,	1),
(13821,	1924,	3,	1),
(13822,	1924,	4,	1),
(13823,	1924,	2,	2),
(13824,	1924,	3,	2),
(13825,	1924,	4,	2),
(13826,	1925,	2,	1),
(13827,	1925,	3,	1),
(13828,	1925,	4,	1),
(13829,	1925,	2,	2),
(13830,	1925,	3,	2),
(13831,	1925,	4,	2),
(13832,	1926,	2,	2),
(13833,	1926,	3,	2),
(13834,	1926,	4,	2),
(13835,	1927,	2,	1),
(13836,	1927,	3,	1),
(13837,	1927,	4,	1),
(13838,	1927,	2,	2),
(13839,	1927,	3,	2),
(13840,	1927,	4,	2),
(13841,	1928,	2,	2),
(13842,	1928,	3,	2),
(13843,	1928,	4,	2),
(13844,	1929,	2,	1),
(13845,	1929,	3,	1),
(13846,	1929,	4,	1),
(13847,	1929,	2,	2),
(13848,	1929,	3,	2),
(13849,	1929,	4,	2),
(13850,	1929,	2,	4),
(13851,	1929,	3,	4),
(13852,	1929,	4,	4),
(13853,	1930,	2,	1),
(13854,	1930,	3,	1),
(13855,	1930,	4,	1),
(13856,	1930,	2,	2),
(13857,	1930,	3,	2),
(13858,	1930,	4,	2),
(13859,	1930,	2,	4),
(13860,	1930,	3,	4),
(13861,	1930,	4,	4),
(13862,	1931,	2,	1),
(13863,	1931,	3,	1),
(13864,	1931,	4,	1),
(13865,	1931,	2,	2),
(13866,	1931,	3,	2),
(13867,	1931,	4,	2),
(13868,	1932,	2,	2),
(13869,	1932,	3,	2),
(13870,	1932,	4,	2),
(13871,	1933,	2,	1),
(13872,	1933,	3,	1),
(13873,	1933,	4,	1),
(13874,	1933,	2,	2),
(13875,	1933,	3,	2),
(13876,	1933,	4,	2),
(13877,	1934,	2,	1),
(13878,	1934,	3,	1),
(13879,	1934,	4,	1),
(13880,	1934,	2,	2),
(13881,	1934,	3,	2),
(13882,	1934,	4,	2),
(13883,	1935,	2,	2),
(13884,	1935,	3,	2),
(13885,	1935,	4,	2),
(13886,	1936,	2,	1),
(13887,	1936,	3,	1),
(13888,	1936,	4,	1),
(13889,	1936,	2,	2),
(13890,	1936,	3,	2),
(13891,	1936,	4,	2),
(13892,	1937,	2,	1),
(13893,	1937,	3,	1),
(13894,	1937,	4,	1),
(13895,	1937,	2,	2),
(13896,	1937,	3,	2),
(13897,	1937,	4,	2),
(13898,	1937,	2,	3),
(13899,	1937,	3,	3),
(13900,	1937,	4,	3),
(13901,	1938,	2,	2),
(13902,	1938,	3,	2),
(13903,	1938,	4,	2),
(13904,	1939,	2,	1),
(13905,	1939,	3,	1),
(13906,	1939,	4,	1),
(13907,	1939,	2,	2),
(13908,	1939,	3,	2),
(13909,	1939,	4,	2),
(13910,	1939,	2,	4),
(13911,	1939,	3,	4),
(13912,	1939,	4,	4),
(13913,	1940,	2,	2),
(13914,	1940,	3,	2),
(13915,	1940,	4,	2),
(13916,	1940,	2,	4),
(13917,	1940,	3,	4),
(13918,	1940,	4,	4),
(13919,	1941,	2,	1),
(13920,	1941,	3,	1),
(13921,	1941,	4,	1),
(13922,	1941,	2,	2),
(13923,	1941,	3,	2),
(13924,	1941,	4,	2),
(13925,	1941,	2,	3),
(13926,	1941,	3,	3),
(13927,	1941,	4,	3),
(13928,	1942,	2,	2),
(13929,	1942,	3,	2),
(13930,	1942,	4,	2),
(13931,	1943,	2,	1),
(13932,	1943,	3,	1),
(13933,	1943,	4,	1),
(13934,	1943,	2,	2),
(13935,	1943,	3,	2),
(13936,	1943,	4,	2),
(13937,	1944,	2,	1),
(13938,	1944,	3,	1),
(13939,	1944,	4,	1),
(13940,	1944,	2,	2),
(13941,	1944,	3,	2),
(13942,	1944,	4,	2),
(13943,	1945,	2,	1),
(13944,	1945,	3,	1),
(13945,	1945,	4,	1),
(13946,	1945,	2,	2),
(13947,	1945,	3,	2),
(13948,	1945,	4,	2),
(13949,	1946,	2,	1),
(13950,	1946,	3,	1),
(13951,	1946,	4,	1),
(13952,	1946,	2,	2),
(13953,	1946,	3,	2),
(13954,	1946,	4,	2),
(13955,	1947,	2,	1),
(13956,	1947,	3,	1),
(13957,	1947,	4,	1),
(13958,	1947,	2,	2),
(13959,	1947,	3,	2),
(13960,	1947,	4,	2),
(13961,	1948,	2,	1),
(13962,	1948,	3,	1),
(13963,	1948,	4,	1),
(13964,	1948,	2,	2),
(13965,	1948,	3,	2),
(13966,	1948,	4,	2),
(13967,	1949,	2,	2),
(13968,	1949,	3,	2),
(13969,	1949,	4,	2),
(13970,	1950,	2,	1),
(13971,	1950,	3,	1),
(13972,	1950,	4,	1),
(13973,	1950,	2,	2),
(13974,	1950,	3,	2),
(13975,	1950,	4,	2),
(13976,	1951,	2,	1),
(13977,	1951,	3,	1),
(13978,	1951,	4,	1),
(13979,	1951,	2,	2),
(13980,	1951,	3,	2),
(13981,	1951,	4,	2),
(13982,	1952,	2,	1),
(13983,	1952,	3,	1),
(13984,	1952,	4,	1),
(13985,	1952,	2,	2),
(13986,	1952,	3,	2),
(13987,	1952,	4,	2),
(13988,	1953,	2,	1),
(13989,	1953,	3,	1),
(13990,	1953,	4,	1),
(13991,	1953,	2,	2),
(13992,	1953,	3,	2),
(13993,	1953,	4,	2),
(13994,	1954,	2,	2),
(13995,	1954,	3,	2),
(13996,	1954,	4,	2),
(13997,	1954,	2,	4),
(13998,	1954,	3,	4),
(13999,	1954,	4,	4),
(14000,	1955,	2,	1),
(14001,	1955,	3,	1),
(14002,	1955,	4,	1),
(14003,	1955,	2,	2),
(14004,	1955,	3,	2),
(14005,	1955,	4,	2),
(14006,	1956,	2,	1),
(14007,	1956,	3,	1),
(14008,	1956,	4,	1),
(14009,	1956,	2,	2),
(14010,	1956,	3,	2),
(14011,	1956,	4,	2),
(14012,	1957,	2,	1),
(14013,	1957,	3,	1),
(14014,	1957,	4,	1),
(14015,	1957,	2,	2),
(14016,	1957,	3,	2),
(14017,	1957,	4,	2),
(14018,	1958,	2,	1),
(14019,	1958,	3,	1),
(14020,	1958,	4,	1),
(14021,	1958,	2,	2),
(14022,	1958,	3,	2),
(14023,	1958,	4,	2),
(14024,	1959,	2,	1),
(14025,	1959,	3,	1),
(14026,	1959,	4,	1),
(14027,	1959,	2,	2),
(14028,	1959,	3,	2),
(14029,	1959,	4,	2),
(14030,	1960,	2,	2),
(14031,	1960,	3,	2),
(14032,	1960,	4,	2),
(14033,	1961,	2,	1),
(14034,	1961,	3,	1),
(14035,	1961,	4,	1),
(14036,	1961,	2,	2),
(14037,	1961,	3,	2),
(14038,	1961,	4,	2),
(14039,	1962,	2,	2),
(14040,	1962,	3,	2),
(14041,	1962,	4,	2),
(14042,	1963,	2,	2),
(14043,	1963,	3,	2),
(14044,	1963,	4,	2),
(14045,	1964,	2,	2),
(14046,	1964,	3,	2),
(14047,	1964,	4,	2),
(14048,	1965,	2,	2),
(14049,	1965,	3,	2),
(14050,	1965,	4,	2),
(14051,	1966,	2,	2),
(14052,	1966,	3,	2),
(14053,	1966,	4,	2),
(14054,	1967,	2,	2),
(14055,	1967,	3,	2),
(14056,	1967,	4,	2),
(14057,	1968,	2,	2),
(14058,	1968,	3,	2),
(14059,	1968,	4,	2),
(14060,	1969,	2,	2),
(14061,	1969,	3,	2),
(14062,	1969,	4,	2),
(14063,	1970,	2,	1),
(14064,	1970,	3,	1),
(14065,	1970,	4,	1),
(14066,	1970,	2,	2),
(14067,	1970,	3,	2),
(14068,	1970,	4,	2),
(14069,	1971,	2,	1),
(14070,	1971,	3,	1),
(14071,	1971,	4,	1),
(14072,	1971,	2,	2),
(14073,	1971,	3,	2),
(14074,	1971,	4,	2),
(14075,	1972,	2,	1),
(14076,	1972,	3,	1),
(14077,	1972,	4,	1),
(14078,	1972,	2,	2),
(14079,	1972,	3,	2),
(14080,	1972,	4,	2),
(14081,	1973,	2,	1),
(14082,	1973,	3,	1),
(14083,	1973,	4,	1),
(14084,	1973,	2,	2),
(14085,	1973,	3,	2),
(14086,	1973,	4,	2),
(14087,	1974,	2,	1),
(14088,	1974,	3,	1),
(14089,	1974,	4,	1),
(14090,	1974,	2,	2),
(14091,	1974,	3,	2),
(14092,	1974,	4,	2),
(14093,	1975,	2,	2),
(14094,	1975,	3,	2),
(14095,	1975,	4,	2),
(14096,	1976,	2,	1),
(14097,	1976,	3,	1),
(14098,	1976,	4,	1),
(14099,	1976,	2,	2),
(14100,	1976,	3,	2),
(14101,	1976,	4,	2),
(14102,	1977,	2,	1),
(14103,	1977,	3,	1),
(14104,	1977,	4,	1),
(14105,	1977,	2,	2),
(14106,	1977,	3,	2),
(14107,	1977,	4,	2),
(14108,	1978,	2,	1),
(14109,	1978,	3,	1),
(14110,	1978,	4,	1),
(14111,	1978,	2,	2),
(14112,	1978,	3,	2),
(14113,	1978,	4,	2),
(14114,	1979,	2,	1),
(14115,	1979,	3,	1),
(14116,	1979,	4,	1),
(14117,	1979,	2,	2),
(14118,	1979,	3,	2),
(14119,	1979,	4,	2),
(14120,	1980,	2,	1),
(14121,	1980,	3,	1),
(14122,	1980,	4,	1),
(14123,	1980,	2,	2),
(14124,	1980,	3,	2),
(14125,	1980,	4,	2),
(14126,	1981,	2,	1),
(14127,	1981,	3,	1),
(14128,	1981,	4,	1),
(14129,	1981,	2,	2),
(14130,	1981,	3,	2),
(14131,	1981,	4,	2),
(14132,	1981,	2,	3),
(14133,	1981,	3,	3),
(14134,	1981,	4,	3),
(14135,	1982,	2,	1),
(14136,	1982,	3,	1),
(14137,	1982,	4,	1),
(14138,	1982,	2,	2),
(14139,	1982,	3,	2),
(14140,	1982,	4,	2),
(14141,	1983,	2,	1),
(14142,	1983,	3,	1),
(14143,	1983,	4,	1),
(14144,	1983,	2,	2),
(14145,	1983,	3,	2),
(14146,	1983,	4,	2),
(14147,	1983,	2,	4),
(14148,	1983,	3,	4),
(14149,	1983,	4,	4),
(14150,	1984,	2,	1),
(14151,	1984,	3,	1),
(14152,	1984,	4,	1),
(14153,	1984,	2,	2),
(14154,	1984,	3,	2),
(14155,	1984,	4,	2),
(14156,	1985,	2,	1),
(14157,	1985,	3,	1),
(14158,	1985,	4,	1),
(14159,	1985,	2,	2),
(14160,	1985,	3,	2),
(14161,	1985,	4,	2),
(14162,	1986,	24,	1),
(14163,	1986,	2,	1),
(14164,	1986,	3,	1),
(14165,	1986,	4,	1),
(14166,	1986,	24,	2),
(14167,	1986,	2,	2),
(14168,	1986,	3,	2),
(14169,	1986,	4,	2),
(14170,	1987,	2,	1),
(14171,	1987,	3,	1),
(14172,	1987,	4,	1),
(14173,	1987,	2,	2),
(14174,	1987,	3,	2),
(14175,	1987,	4,	2),
(14176,	1988,	2,	1),
(14177,	1988,	3,	1),
(14178,	1988,	4,	1),
(14179,	1988,	2,	2),
(14180,	1988,	3,	2),
(14181,	1988,	4,	2),
(14182,	1988,	2,	3),
(14183,	1988,	3,	3),
(14184,	1988,	4,	3),
(14185,	1989,	2,	1),
(14186,	1989,	3,	1),
(14187,	1989,	4,	1),
(14188,	1989,	2,	2),
(14189,	1989,	3,	2),
(14190,	1989,	4,	2),
(14191,	1989,	2,	4),
(14192,	1989,	3,	4),
(14193,	1989,	4,	4),
(14194,	1990,	2,	1),
(14195,	1990,	3,	1),
(14196,	1990,	4,	1),
(14197,	1990,	2,	2),
(14198,	1990,	3,	2),
(14199,	1990,	4,	2),
(14200,	1990,	2,	4),
(14201,	1990,	3,	4),
(14202,	1990,	4,	4),
(14203,	1991,	2,	1),
(14204,	1991,	3,	1),
(14205,	1991,	4,	1),
(14206,	1991,	2,	2),
(14207,	1991,	3,	2),
(14208,	1991,	4,	2),
(14209,	1992,	2,	1),
(14210,	1992,	3,	1),
(14211,	1992,	4,	1),
(14212,	1992,	2,	2),
(14213,	1992,	3,	2),
(14214,	1992,	4,	2),
(14215,	1993,	2,	1),
(14216,	1993,	3,	1),
(14217,	1993,	4,	1),
(14218,	1993,	2,	2),
(14219,	1993,	3,	2),
(14220,	1993,	4,	2),
(14221,	1994,	2,	1),
(14222,	1994,	3,	1),
(14223,	1994,	4,	1),
(14224,	1994,	2,	2),
(14225,	1994,	3,	2),
(14226,	1994,	4,	2),
(14227,	1995,	2,	2),
(14228,	1995,	3,	2),
(14229,	1995,	4,	2),
(14230,	1996,	3,	1),
(14231,	1996,	3,	2),
(14232,	1997,	2,	1),
(14233,	1997,	3,	1),
(14234,	1997,	4,	1),
(14235,	1997,	2,	2),
(14236,	1997,	3,	2),
(14237,	1997,	4,	2),
(14238,	1998,	5,	1),
(14239,	1998,	2,	1),
(14240,	1998,	3,	1),
(14241,	1998,	4,	1),
(14242,	1998,	5,	2),
(14243,	1998,	2,	2),
(14244,	1998,	3,	2),
(14245,	1998,	4,	2),
(14246,	1999,	2,	1),
(14247,	1999,	3,	1),
(14248,	1999,	4,	1),
(14249,	1999,	2,	2),
(14250,	1999,	3,	2),
(14251,	1999,	4,	2),
(14252,	2000,	2,	1),
(14253,	2000,	3,	1),
(14254,	2000,	4,	1),
(14255,	2000,	2,	2),
(14256,	2000,	3,	2),
(14257,	2000,	4,	2),
(14258,	2001,	2,	2),
(14259,	2001,	3,	2),
(14260,	2001,	4,	2),
(14261,	2001,	2,	4),
(14262,	2001,	3,	4),
(14263,	2001,	4,	4),
(14264,	2002,	2,	1),
(14265,	2002,	3,	1),
(14266,	2002,	4,	1),
(14267,	2002,	2,	2),
(14268,	2002,	3,	2),
(14269,	2002,	4,	2),
(14270,	2003,	2,	1),
(14271,	2003,	3,	1),
(14272,	2003,	4,	1),
(14273,	2003,	2,	2),
(14274,	2003,	3,	2),
(14275,	2003,	4,	2),
(14276,	2003,	2,	4),
(14277,	2003,	3,	4),
(14278,	2003,	4,	4),
(14279,	2004,	2,	1),
(14280,	2004,	3,	1),
(14281,	2004,	4,	1),
(14282,	2004,	2,	2),
(14283,	2004,	3,	2),
(14284,	2004,	4,	2),
(14285,	2005,	2,	2),
(14286,	2005,	3,	2),
(14287,	2005,	4,	2),
(14288,	2005,	2,	4),
(14289,	2005,	3,	4),
(14290,	2005,	4,	4),
(14291,	2006,	2,	1),
(14292,	2006,	3,	1),
(14293,	2006,	4,	1),
(14294,	2006,	2,	2),
(14295,	2006,	3,	2),
(14296,	2006,	4,	2),
(14297,	2007,	2,	2),
(14298,	2007,	3,	2),
(14299,	2007,	4,	2),
(14300,	2008,	2,	2),
(14301,	2008,	3,	2),
(14302,	2008,	4,	2),
(14303,	2009,	2,	1),
(14304,	2009,	3,	1),
(14305,	2009,	4,	1),
(14306,	2009,	2,	2),
(14307,	2009,	3,	2),
(14308,	2009,	4,	2),
(14309,	2010,	2,	1),
(14310,	2010,	3,	1),
(14311,	2010,	4,	1),
(14312,	2010,	2,	2),
(14313,	2010,	3,	2),
(14314,	2010,	4,	2),
(14315,	2011,	2,	1),
(14316,	2011,	3,	1),
(14317,	2011,	4,	1),
(14318,	2011,	2,	2),
(14319,	2011,	3,	2),
(14320,	2011,	4,	2),
(14321,	2012,	2,	1),
(14322,	2012,	3,	1),
(14323,	2012,	4,	1),
(14324,	2012,	2,	2),
(14325,	2012,	3,	2),
(14326,	2012,	4,	2),
(14327,	2013,	2,	1),
(14328,	2013,	3,	1),
(14329,	2013,	4,	1),
(14330,	2013,	2,	2),
(14331,	2013,	3,	2),
(14332,	2013,	4,	2),
(14333,	2014,	2,	1),
(14334,	2014,	3,	1),
(14335,	2014,	4,	1),
(14336,	2014,	2,	2),
(14337,	2014,	3,	2),
(14338,	2014,	4,	2),
(14339,	2015,	2,	1),
(14340,	2015,	3,	1),
(14341,	2015,	4,	1),
(14342,	2015,	2,	2),
(14343,	2015,	3,	2),
(14344,	2015,	4,	2),
(14345,	2016,	2,	1),
(14346,	2016,	3,	1),
(14347,	2016,	4,	1),
(14348,	2016,	2,	2),
(14349,	2016,	3,	2),
(14350,	2016,	4,	2),
(14351,	2017,	2,	1),
(14352,	2017,	3,	1),
(14353,	2017,	4,	1),
(14354,	2017,	2,	2),
(14355,	2017,	3,	2),
(14356,	2017,	4,	2),
(14357,	2018,	114,	2),
(14358,	2018,	115,	2),
(14359,	2018,	116,	2),
(14360,	2018,	2,	2),
(14361,	2018,	3,	2),
(14362,	2018,	117,	2),
(14363,	2018,	118,	2),
(14364,	2018,	4,	2),
(14365,	2019,	63,	2),
(14366,	2019,	3,	2),
(14367,	2019,	4,	2),
(14368,	2020,	119,	2),
(14369,	2020,	120,	2),
(14370,	2020,	121,	2),
(14371,	2020,	122,	2),
(14372,	2020,	123,	2),
(14373,	2020,	67,	2),
(14374,	2021,	2,	2),
(14375,	2021,	3,	2),
(14376,	2021,	4,	2),
(14377,	2022,	2,	2),
(14378,	2022,	3,	2),
(14379,	2022,	4,	2),
(14380,	2023,	2,	2),
(14381,	2023,	3,	2),
(14382,	2023,	4,	2),
(14383,	2024,	120,	2),
(14384,	2024,	121,	2),
(14385,	2024,	122,	2),
(14386,	2024,	123,	2),
(14387,	2025,	124,	2),
(14388,	2025,	125,	2),
(14389,	2025,	126,	2),
(14390,	2025,	127,	2),
(14391,	2025,	128,	2),
(14392,	2025,	129,	2),
(14393,	2026,	130,	2),
(14394,	2027,	131,	2),
(14395,	2027,	132,	2),
(14396,	2027,	133,	2),
(14397,	2028,	2,	2),
(14398,	2028,	3,	2),
(14399,	2028,	4,	2),
(14400,	2029,	134,	2),
(14401,	2030,	2,	2),
(14402,	2030,	3,	2),
(14403,	2030,	4,	2),
(14404,	2031,	135,	2),
(14405,	2032,	136,	2),
(14406,	2033,	2,	2),
(14407,	2033,	3,	2),
(14408,	2033,	4,	2),
(14409,	2034,	2,	2),
(14410,	2034,	3,	2),
(14411,	2034,	4,	2),
(14412,	2035,	137,	2),
(14413,	2035,	138,	2),
(14414,	2036,	138,	2),
(14415,	2036,	2,	2),
(14416,	2036,	3,	2),
(14417,	2037,	2,	2),
(14418,	2037,	3,	2),
(14419,	2037,	4,	2),
(14420,	2038,	139,	2),
(14421,	2038,	140,	2),
(14422,	2038,	141,	2),
(14423,	2038,	142,	2),
(14424,	2039,	2,	2),
(14425,	2039,	3,	2),
(14426,	2039,	4,	2),
(14427,	2040,	2,	2),
(14428,	2040,	3,	2),
(14429,	2040,	4,	2),
(14430,	2041,	2,	2),
(14431,	2041,	3,	2),
(14432,	2041,	4,	2),
(14433,	2042,	56,	2),
(14434,	2042,	3,	2),
(14435,	2042,	4,	2),
(14436,	2043,	2,	2),
(14437,	2043,	3,	2),
(14438,	2043,	4,	2),
(14439,	2044,	143,	2),
(14440,	2044,	144,	2),
(14441,	2045,	2,	2),
(14442,	2045,	3,	2),
(14443,	2045,	4,	2),
(14444,	2046,	145,	2),
(14445,	2047,	146,	2),
(14446,	2048,	49,	2),
(14447,	2049,	147,	2),
(14448,	2050,	148,	2),
(14449,	2051,	3,	2),
(14450,	2051,	4,	2),
(14451,	2052,	149,	2),
(14452,	2053,	3,	2),
(14453,	2054,	150,	2),
(14454,	2055,	3,	2),
(14455,	2056,	3,	2),
(14456,	2057,	3,	2),
(14457,	2058,	3,	2),
(14458,	2059,	151,	2),
(14459,	2059,	152,	2),
(14460,	2060,	153,	2),
(14461,	2061,	154,	2),
(14462,	2062,	155,	2),
(14463,	2063,	155,	2),
(14464,	2064,	156,	2),
(14465,	2065,	157,	2),
(14466,	2065,	158,	2),
(14467,	2066,	3,	2),
(14468,	2067,	3,	2),
(14469,	2068,	159,	2),
(14470,	2068,	78,	2),
(14471,	2069,	3,	2),
(14472,	2069,	4,	2),
(14473,	2070,	2,	2),
(14474,	2070,	3,	2),
(14475,	2071,	3,	2),
(14476,	2072,	3,	2),
(14477,	2073,	23,	2),
(14478,	2074,	160,	2),
(14479,	2074,	161,	2),
(14480,	2075,	162,	2),
(14481,	2075,	163,	2),
(14482,	2076,	63,	2),
(14483,	2076,	3,	2),
(14484,	2077,	2,	2),
(14485,	2077,	3,	2),
(14486,	2077,	4,	2),
(14487,	2078,	164,	2),
(14488,	2079,	2,	2),
(14489,	2079,	3,	2),
(14490,	2079,	4,	2),
(14491,	2080,	124,	2),
(14492,	2080,	125,	2),
(14493,	2080,	126,	2),
(14494,	2080,	129,	2),
(14495,	2081,	2,	2),
(14496,	2081,	3,	2),
(14497,	2081,	4,	2),
(14498,	2082,	2,	2),
(14499,	2082,	3,	2),
(14500,	2082,	4,	2),
(14501,	2083,	2,	2),
(14502,	2083,	3,	2),
(14503,	2083,	4,	2),
(14504,	2083,	2,	4),
(14505,	2083,	3,	4),
(14506,	2083,	4,	4),
(14507,	2084,	74,	2),
(14508,	2085,	74,	2),
(14509,	2086,	74,	2),
(14510,	2087,	165,	2),
(14511,	2088,	74,	2),
(14512,	2089,	74,	2),
(14513,	2090,	74,	2),
(14514,	2091,	166,	2),
(14515,	2092,	166,	2),
(14516,	2093,	167,	2),
(14517,	2094,	167,	2),
(14518,	2095,	167,	2),
(14519,	2096,	166,	2),
(14520,	2097,	166,	2),
(14521,	2098,	168,	2),
(14522,	2099,	166,	2),
(14523,	2100,	168,	2),
(14524,	2101,	166,	2),
(14525,	2102,	74,	2),
(14526,	2103,	74,	2),
(14527,	2104,	74,	2),
(14528,	2105,	165,	2),
(14529,	2106,	74,	2),
(14530,	2107,	74,	2),
(14531,	2108,	74,	2),
(14532,	2109,	166,	2),
(14533,	2110,	166,	2),
(14534,	2111,	167,	2),
(14535,	2112,	167,	2),
(14536,	2113,	167,	2),
(14537,	2114,	166,	2),
(14538,	2115,	166,	2),
(14539,	2116,	165,	2),
(14540,	2117,	74,	2),
(14541,	2118,	74,	2),
(14542,	2119,	166,	2),
(14543,	2120,	167,	2),
(14544,	2121,	167,	2),
(14545,	2122,	167,	2),
(14546,	2123,	74,	2),
(14547,	2124,	74,	2),
(14548,	2125,	74,	2),
(14549,	2126,	74,	2),
(14550,	2127,	74,	2),
(14551,	2128,	74,	2),
(14552,	2129,	166,	2),
(14553,	2130,	166,	2),
(14554,	2131,	167,	2),
(14555,	2132,	167,	2),
(14556,	2133,	167,	2),
(14557,	2134,	165,	2),
(14558,	2135,	166,	2),
(14559,	2136,	166,	2),
(14560,	2137,	74,	2),
(14561,	2138,	74,	2),
(14562,	2139,	45,	2),
(14563,	2140,	74,	2),
(14564,	2141,	169,	2),
(14565,	2142,	74,	2),
(14566,	2143,	74,	2),
(14567,	2144,	165,	2),
(14568,	2145,	74,	2),
(14569,	2146,	74,	2),
(14570,	2147,	45,	2),
(14571,	2148,	74,	2),
(14572,	2149,	74,	2),
(14573,	2150,	169,	2),
(14574,	2151,	74,	2),
(14575,	2152,	165,	2),
(14576,	2153,	170,	2),
(14577,	2153,	171,	2),
(14578,	2153,	172,	2),
(14579,	2154,	74,	2),
(14580,	2155,	74,	2),
(14581,	2156,	173,	2),
(14582,	2156,	171,	2),
(14583,	2156,	172,	2),
(14584,	2156,	174,	2),
(14585,	2157,	173,	2),
(14586,	2157,	171,	2),
(14587,	2157,	172,	2),
(14588,	2157,	174,	2),
(14589,	2158,	75,	2),
(14590,	2159,	74,	2),
(14591,	2160,	74,	2),
(14592,	2161,	74,	2),
(14593,	2162,	74,	2),
(14594,	2163,	74,	2),
(14595,	2164,	74,	2),
(14596,	2165,	74,	2),
(14597,	2166,	169,	2),
(14598,	2167,	169,	2),
(14599,	2168,	169,	2),
(14600,	2169,	175,	2),
(14601,	2170,	175,	2),
(14602,	2171,	175,	2),
(14603,	2172,	169,	2),
(14604,	2173,	169,	2),
(14605,	2174,	169,	2),
(14606,	2175,	169,	2),
(14607,	2176,	169,	2),
(14608,	2177,	169,	2),
(14609,	2178,	169,	2),
(14610,	2179,	169,	2),
(14611,	2180,	169,	2),
(14612,	2181,	169,	2),
(14613,	2182,	169,	2),
(14614,	2182,	172,	2),
(14615,	2183,	169,	2),
(14616,	2184,	169,	2),
(14617,	2185,	169,	2),
(14618,	2185,	172,	2),
(14619,	2186,	176,	2),
(14620,	2186,	169,	2),
(14621,	2186,	174,	2),
(14622,	2187,	169,	2),
(14623,	2187,	174,	2),
(14624,	2188,	2,	2),
(14625,	2188,	3,	2),
(14626,	2188,	4,	2),
(14627,	2189,	2,	1),
(14628,	2189,	3,	1),
(14629,	2189,	4,	1),
(14630,	2189,	2,	2),
(14631,	2189,	3,	2),
(14632,	2189,	4,	2),
(14633,	2190,	2,	2),
(14634,	2190,	3,	2),
(14635,	2190,	4,	2),
(14636,	2191,	2,	2),
(14637,	2191,	3,	2),
(14638,	2191,	4,	2),
(14639,	2192,	3,	1),
(14640,	2192,	3,	2),
(14641,	2193,	2,	1),
(14642,	2193,	3,	1),
(14643,	2193,	4,	1),
(14644,	2193,	2,	2),
(14645,	2193,	3,	2),
(14646,	2193,	4,	2);

DROP TABLE IF EXISTS `product_tag`;
CREATE TABLE `product_tag` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `tag_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `product_unit`;
CREATE TABLE `product_unit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `unit_id` int(11) NOT NULL,
  `is_active` char(1) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `product_unit` (`id`, `product_id`, `unit_id`, `is_active`) VALUES
(1,	1,	1,	'Y'),
(3,	1,	3,	'Y'),
(4,	1,	4,	'Y'),
(5,	1,	5,	'Y'),
(6,	2,	1,	'Y'),
(8,	2,	3,	'Y'),
(9,	2,	4,	'Y'),
(10,	2,	5,	'Y'),
(11,	3,	1,	'Y'),
(13,	3,	3,	'Y'),
(14,	3,	4,	'Y'),
(15,	3,	5,	'Y'),
(16,	4,	1,	'Y'),
(18,	4,	3,	'Y'),
(19,	4,	4,	'Y'),
(20,	4,	5,	'Y'),
(21,	5,	1,	'Y'),
(23,	5,	3,	'Y'),
(24,	5,	4,	'Y'),
(25,	6,	1,	'Y'),
(27,	6,	3,	'Y'),
(28,	6,	4,	'Y'),
(29,	7,	1,	'Y'),
(31,	7,	3,	'Y'),
(32,	8,	1,	'Y'),
(34,	8,	3,	'Y'),
(35,	8,	6,	'Y'),
(36,	8,	7,	'Y'),
(37,	9,	1,	'Y'),
(39,	9,	3,	'Y'),
(40,	9,	6,	'Y'),
(41,	9,	7,	'Y'),
(42,	10,	1,	'Y'),
(44,	10,	3,	'Y'),
(45,	10,	6,	'Y'),
(46,	10,	7,	'Y'),
(47,	11,	1,	'Y'),
(49,	11,	3,	'Y'),
(50,	11,	6,	'Y'),
(51,	11,	7,	'Y'),
(52,	12,	1,	'Y'),
(54,	12,	3,	'Y'),
(55,	12,	6,	'Y'),
(56,	12,	7,	'Y'),
(57,	13,	1,	'Y'),
(59,	13,	3,	'Y'),
(60,	13,	6,	'Y'),
(61,	13,	7,	'Y'),
(62,	14,	1,	'Y'),
(64,	14,	3,	'Y'),
(65,	14,	6,	'Y'),
(66,	14,	7,	'Y'),
(67,	15,	1,	'Y'),
(69,	15,	3,	'Y'),
(70,	15,	6,	'Y'),
(71,	15,	7,	'Y'),
(72,	16,	1,	'Y'),
(74,	16,	3,	'Y'),
(75,	16,	6,	'Y'),
(76,	16,	7,	'Y'),
(77,	17,	1,	'Y'),
(79,	17,	3,	'Y'),
(80,	17,	6,	'Y'),
(81,	17,	7,	'Y'),
(82,	18,	1,	'Y'),
(84,	18,	3,	'Y'),
(85,	18,	6,	'Y'),
(86,	18,	7,	'Y'),
(87,	19,	1,	'Y'),
(89,	19,	3,	'Y'),
(90,	19,	6,	'Y'),
(91,	19,	7,	'Y'),
(92,	20,	1,	'Y'),
(94,	20,	3,	'Y'),
(95,	20,	6,	'Y'),
(96,	20,	7,	'Y'),
(97,	21,	1,	'Y'),
(99,	21,	3,	'Y'),
(100,	21,	6,	'Y'),
(101,	21,	7,	'Y'),
(102,	22,	1,	'Y'),
(104,	22,	3,	'Y'),
(105,	22,	6,	'Y'),
(106,	22,	7,	'Y'),
(107,	23,	1,	'Y'),
(109,	23,	3,	'Y'),
(110,	23,	6,	'Y'),
(111,	23,	7,	'Y'),
(112,	24,	1,	'Y'),
(114,	24,	3,	'Y'),
(115,	24,	6,	'Y'),
(116,	24,	7,	'Y'),
(117,	25,	1,	'Y'),
(119,	25,	3,	'Y'),
(120,	25,	6,	'Y'),
(121,	25,	7,	'Y'),
(122,	26,	1,	'Y'),
(124,	26,	3,	'Y'),
(125,	26,	4,	'Y'),
(126,	26,	7,	'Y'),
(127,	27,	1,	'Y'),
(129,	27,	3,	'Y'),
(130,	27,	4,	'Y'),
(131,	27,	7,	'Y'),
(132,	28,	1,	'Y'),
(134,	28,	3,	'Y'),
(135,	28,	4,	'Y'),
(136,	28,	7,	'Y'),
(137,	29,	1,	'Y'),
(139,	29,	3,	'Y'),
(140,	29,	6,	'Y'),
(141,	29,	7,	'Y'),
(142,	30,	1,	'Y'),
(144,	30,	3,	'Y'),
(145,	30,	7,	'Y'),
(146,	31,	1,	'Y'),
(148,	31,	3,	'Y'),
(149,	31,	6,	'Y'),
(150,	31,	7,	'Y'),
(151,	32,	1,	'Y'),
(153,	32,	3,	'Y'),
(154,	32,	6,	'Y'),
(155,	32,	7,	'Y'),
(156,	33,	1,	'Y'),
(158,	33,	3,	'Y'),
(159,	33,	6,	'Y'),
(160,	33,	7,	'Y'),
(161,	34,	1,	'Y'),
(163,	34,	3,	'Y'),
(164,	34,	6,	'Y'),
(165,	34,	7,	'Y'),
(166,	35,	1,	'Y'),
(168,	35,	3,	'Y'),
(169,	35,	7,	'Y'),
(170,	36,	1,	'Y'),
(172,	36,	3,	'Y'),
(173,	36,	6,	'Y'),
(174,	36,	7,	'Y'),
(175,	37,	1,	'Y'),
(177,	37,	3,	'Y'),
(178,	37,	6,	'Y'),
(179,	37,	7,	'Y'),
(180,	38,	1,	'Y'),
(182,	38,	3,	'Y'),
(183,	38,	6,	'Y'),
(184,	38,	7,	'Y'),
(185,	39,	1,	'Y'),
(187,	39,	3,	'Y'),
(188,	39,	6,	'Y'),
(189,	39,	7,	'Y'),
(190,	40,	1,	'Y'),
(192,	40,	3,	'Y'),
(193,	40,	6,	'Y'),
(194,	40,	7,	'Y'),
(195,	41,	1,	'Y'),
(197,	41,	3,	'Y'),
(198,	41,	6,	'Y'),
(199,	41,	7,	'Y'),
(200,	42,	1,	'Y'),
(202,	42,	3,	'Y'),
(203,	42,	6,	'Y'),
(204,	42,	7,	'Y'),
(205,	43,	1,	'Y'),
(207,	43,	3,	'Y'),
(208,	43,	6,	'Y'),
(209,	43,	7,	'Y'),
(210,	44,	1,	'Y'),
(212,	44,	3,	'Y'),
(213,	44,	6,	'Y'),
(214,	44,	7,	'Y'),
(215,	45,	1,	'Y'),
(217,	45,	3,	'Y'),
(218,	45,	6,	'Y'),
(219,	45,	7,	'Y'),
(220,	46,	1,	'Y'),
(222,	46,	3,	'Y'),
(223,	46,	6,	'Y'),
(224,	46,	7,	'Y'),
(225,	47,	1,	'Y'),
(227,	47,	3,	'Y'),
(228,	47,	6,	'Y'),
(229,	47,	7,	'Y'),
(230,	48,	1,	'Y'),
(232,	48,	3,	'Y'),
(233,	48,	6,	'Y'),
(234,	48,	7,	'Y'),
(235,	49,	1,	'Y'),
(237,	49,	3,	'Y'),
(238,	49,	6,	'Y'),
(239,	49,	7,	'Y'),
(240,	50,	1,	'Y'),
(242,	50,	3,	'Y'),
(243,	50,	6,	'Y'),
(244,	50,	7,	'Y'),
(245,	51,	1,	'Y'),
(247,	51,	3,	'Y'),
(248,	51,	6,	'Y'),
(249,	51,	7,	'Y'),
(250,	52,	1,	'Y'),
(252,	52,	3,	'Y'),
(253,	52,	6,	'Y'),
(254,	52,	7,	'Y'),
(255,	53,	1,	'Y'),
(257,	53,	3,	'Y'),
(258,	53,	6,	'Y'),
(259,	53,	7,	'Y'),
(260,	54,	1,	'Y'),
(262,	54,	3,	'Y'),
(263,	54,	6,	'Y'),
(264,	54,	7,	'Y'),
(265,	55,	1,	'Y'),
(267,	55,	3,	'Y'),
(268,	55,	6,	'Y'),
(269,	55,	7,	'Y'),
(270,	56,	1,	'Y'),
(272,	56,	3,	'Y'),
(273,	56,	6,	'Y'),
(274,	56,	7,	'Y'),
(275,	57,	1,	'Y'),
(277,	57,	3,	'Y'),
(278,	57,	6,	'Y'),
(279,	57,	7,	'Y'),
(280,	58,	1,	'Y'),
(282,	58,	3,	'Y'),
(283,	58,	6,	'Y'),
(284,	58,	7,	'Y'),
(285,	59,	1,	'Y'),
(287,	59,	3,	'Y'),
(288,	59,	6,	'Y'),
(289,	59,	7,	'Y'),
(290,	60,	1,	'Y'),
(292,	60,	3,	'Y'),
(293,	60,	6,	'Y'),
(294,	60,	7,	'Y'),
(295,	61,	1,	'Y'),
(297,	61,	3,	'Y'),
(298,	61,	6,	'Y'),
(299,	61,	7,	'Y'),
(300,	62,	1,	'Y'),
(302,	62,	3,	'Y'),
(303,	62,	6,	'Y'),
(304,	62,	7,	'Y'),
(305,	63,	1,	'Y'),
(307,	63,	3,	'Y'),
(308,	63,	6,	'Y'),
(309,	63,	7,	'Y'),
(310,	64,	1,	'Y'),
(312,	64,	3,	'Y'),
(313,	64,	6,	'Y'),
(314,	64,	7,	'Y'),
(315,	65,	1,	'Y'),
(317,	65,	3,	'Y'),
(318,	65,	6,	'Y'),
(319,	65,	7,	'Y'),
(320,	66,	1,	'Y'),
(322,	66,	3,	'Y'),
(323,	66,	6,	'Y'),
(324,	66,	7,	'Y'),
(325,	67,	1,	'Y'),
(327,	67,	3,	'Y'),
(328,	67,	6,	'Y'),
(329,	67,	7,	'Y'),
(330,	68,	1,	'Y'),
(332,	68,	3,	'Y'),
(333,	68,	6,	'Y'),
(334,	68,	7,	'Y'),
(335,	69,	1,	'Y'),
(337,	69,	3,	'Y'),
(338,	69,	6,	'Y'),
(339,	69,	7,	'Y'),
(340,	70,	1,	'Y'),
(342,	70,	3,	'Y'),
(343,	70,	6,	'Y'),
(344,	70,	7,	'Y'),
(345,	71,	1,	'Y'),
(347,	71,	3,	'Y'),
(348,	71,	6,	'Y'),
(349,	71,	7,	'Y'),
(350,	72,	1,	'Y'),
(352,	72,	3,	'Y'),
(353,	72,	6,	'Y'),
(354,	72,	7,	'Y'),
(355,	73,	1,	'Y'),
(357,	73,	3,	'Y'),
(358,	73,	6,	'Y'),
(359,	73,	7,	'Y'),
(360,	74,	1,	'Y'),
(362,	74,	3,	'Y'),
(363,	74,	6,	'Y'),
(364,	74,	7,	'Y'),
(365,	75,	1,	'Y'),
(367,	75,	3,	'Y'),
(368,	75,	6,	'Y'),
(369,	75,	7,	'Y'),
(370,	76,	1,	'Y'),
(372,	76,	3,	'Y'),
(373,	76,	6,	'Y'),
(374,	76,	7,	'Y'),
(375,	77,	1,	'Y'),
(377,	77,	3,	'Y'),
(378,	77,	6,	'Y'),
(379,	77,	7,	'Y'),
(380,	78,	1,	'Y'),
(382,	78,	3,	'Y'),
(383,	78,	6,	'Y'),
(384,	78,	7,	'Y'),
(385,	79,	1,	'Y'),
(387,	79,	3,	'Y'),
(388,	79,	6,	'Y'),
(389,	79,	7,	'Y'),
(390,	80,	1,	'Y'),
(392,	80,	3,	'Y'),
(393,	80,	6,	'Y'),
(394,	80,	7,	'Y'),
(395,	81,	1,	'Y'),
(397,	81,	3,	'Y'),
(398,	81,	6,	'Y'),
(399,	81,	7,	'Y'),
(400,	82,	1,	'Y'),
(402,	82,	3,	'Y'),
(403,	82,	6,	'Y'),
(404,	82,	7,	'Y'),
(405,	83,	1,	'Y'),
(407,	83,	3,	'Y'),
(408,	83,	6,	'Y'),
(409,	83,	7,	'Y'),
(410,	84,	1,	'Y'),
(412,	84,	3,	'Y'),
(413,	84,	6,	'Y'),
(414,	84,	7,	'Y'),
(415,	85,	1,	'Y'),
(417,	85,	3,	'Y'),
(418,	85,	6,	'Y'),
(419,	85,	7,	'Y'),
(420,	86,	1,	'Y'),
(422,	86,	3,	'Y'),
(423,	86,	6,	'Y'),
(424,	86,	7,	'Y'),
(425,	87,	1,	'Y'),
(427,	87,	3,	'Y'),
(428,	87,	6,	'Y'),
(429,	87,	7,	'Y'),
(430,	88,	1,	'Y'),
(432,	88,	3,	'Y'),
(433,	88,	4,	'Y'),
(434,	88,	7,	'Y'),
(435,	89,	1,	'Y'),
(437,	89,	3,	'Y'),
(438,	89,	4,	'Y'),
(439,	89,	7,	'Y'),
(440,	90,	1,	'Y'),
(442,	90,	3,	'Y'),
(443,	90,	4,	'Y'),
(444,	90,	7,	'Y'),
(445,	91,	1,	'Y'),
(447,	91,	3,	'Y'),
(448,	91,	6,	'Y'),
(449,	91,	7,	'Y'),
(450,	92,	1,	'Y'),
(452,	92,	3,	'Y'),
(453,	92,	6,	'Y'),
(454,	92,	7,	'Y'),
(455,	93,	1,	'Y'),
(457,	93,	3,	'Y'),
(458,	94,	1,	'Y'),
(460,	94,	3,	'Y'),
(461,	94,	6,	'Y'),
(462,	94,	7,	'Y'),
(463,	95,	1,	'Y'),
(465,	95,	3,	'Y'),
(466,	95,	6,	'Y'),
(467,	95,	7,	'Y'),
(468,	96,	1,	'Y'),
(470,	96,	3,	'Y'),
(471,	96,	6,	'Y'),
(472,	96,	7,	'Y'),
(473,	97,	1,	'Y'),
(475,	97,	3,	'Y'),
(476,	97,	6,	'Y'),
(477,	97,	7,	'Y'),
(478,	98,	1,	'Y'),
(480,	98,	3,	'Y'),
(481,	98,	6,	'Y'),
(482,	98,	7,	'Y'),
(483,	99,	1,	'Y'),
(485,	99,	3,	'Y'),
(486,	99,	6,	'Y'),
(487,	99,	7,	'Y'),
(488,	100,	1,	'Y'),
(490,	100,	3,	'Y'),
(491,	100,	6,	'Y'),
(492,	100,	7,	'Y'),
(493,	101,	1,	'Y'),
(495,	101,	3,	'Y'),
(496,	101,	6,	'Y'),
(497,	101,	7,	'Y'),
(498,	102,	1,	'Y'),
(500,	102,	3,	'Y'),
(501,	102,	6,	'Y'),
(502,	102,	7,	'Y'),
(503,	103,	1,	'Y'),
(505,	103,	3,	'Y'),
(506,	103,	6,	'Y'),
(507,	103,	7,	'Y'),
(508,	104,	1,	'Y'),
(510,	104,	3,	'Y'),
(511,	104,	6,	'Y'),
(512,	104,	7,	'Y'),
(513,	105,	1,	'Y'),
(515,	105,	3,	'Y'),
(516,	105,	6,	'Y'),
(517,	105,	7,	'Y'),
(518,	106,	1,	'Y'),
(520,	106,	3,	'Y'),
(521,	106,	6,	'Y'),
(522,	106,	7,	'Y'),
(523,	107,	1,	'Y'),
(525,	107,	3,	'Y'),
(526,	107,	6,	'Y'),
(527,	107,	7,	'Y'),
(528,	108,	1,	'Y'),
(530,	108,	3,	'Y'),
(531,	108,	6,	'Y'),
(532,	108,	7,	'Y'),
(533,	109,	1,	'Y'),
(535,	109,	3,	'Y'),
(536,	109,	6,	'Y'),
(537,	109,	7,	'Y'),
(538,	110,	1,	'Y'),
(540,	110,	3,	'Y'),
(541,	110,	6,	'Y'),
(542,	110,	7,	'Y'),
(543,	111,	1,	'Y'),
(545,	111,	3,	'Y'),
(546,	111,	6,	'Y'),
(547,	111,	7,	'Y'),
(548,	112,	1,	'Y'),
(550,	112,	3,	'Y'),
(551,	112,	6,	'Y'),
(552,	112,	7,	'Y'),
(553,	113,	1,	'Y'),
(555,	113,	3,	'Y'),
(556,	113,	6,	'Y'),
(557,	113,	7,	'Y'),
(558,	114,	1,	'Y'),
(560,	114,	3,	'Y'),
(561,	114,	6,	'Y'),
(562,	114,	7,	'Y'),
(563,	115,	1,	'Y'),
(565,	115,	3,	'Y'),
(566,	115,	6,	'Y'),
(567,	115,	7,	'Y'),
(568,	116,	1,	'Y'),
(570,	116,	3,	'Y'),
(571,	116,	6,	'Y'),
(572,	116,	7,	'Y'),
(573,	117,	1,	'Y'),
(575,	117,	3,	'Y'),
(576,	117,	6,	'Y'),
(577,	117,	7,	'Y'),
(578,	118,	1,	'Y'),
(580,	118,	3,	'Y'),
(581,	118,	4,	'Y'),
(582,	119,	1,	'Y'),
(584,	119,	3,	'Y'),
(585,	119,	4,	'Y'),
(586,	119,	5,	'Y'),
(587,	120,	1,	'Y'),
(589,	120,	3,	'Y'),
(590,	120,	4,	'Y'),
(591,	120,	5,	'Y'),
(592,	121,	1,	'Y'),
(594,	121,	3,	'Y'),
(595,	121,	4,	'Y'),
(596,	121,	5,	'Y'),
(597,	122,	1,	'Y'),
(599,	122,	3,	'Y'),
(600,	122,	4,	'Y'),
(601,	122,	5,	'Y'),
(602,	123,	1,	'Y'),
(604,	123,	3,	'Y'),
(605,	123,	4,	'Y'),
(606,	123,	5,	'Y'),
(607,	124,	1,	'Y'),
(609,	124,	3,	'Y'),
(610,	124,	4,	'Y'),
(611,	124,	5,	'Y'),
(612,	125,	1,	'Y'),
(614,	125,	3,	'Y'),
(615,	125,	4,	'Y'),
(616,	125,	5,	'Y'),
(617,	126,	1,	'Y'),
(619,	126,	3,	'Y'),
(620,	126,	4,	'Y'),
(621,	126,	5,	'Y'),
(622,	127,	1,	'Y'),
(624,	127,	3,	'Y'),
(625,	127,	4,	'Y'),
(626,	127,	5,	'Y'),
(627,	128,	1,	'Y'),
(629,	128,	3,	'Y'),
(630,	128,	4,	'Y'),
(631,	128,	5,	'Y'),
(632,	129,	1,	'Y'),
(634,	129,	3,	'Y'),
(635,	129,	4,	'Y'),
(636,	129,	5,	'Y'),
(637,	130,	1,	'Y'),
(639,	130,	3,	'Y'),
(640,	130,	4,	'Y'),
(641,	130,	5,	'Y'),
(642,	131,	1,	'Y'),
(644,	131,	3,	'Y'),
(645,	131,	4,	'Y'),
(646,	131,	5,	'Y'),
(647,	132,	1,	'Y'),
(649,	132,	3,	'Y'),
(650,	133,	1,	'Y'),
(652,	133,	3,	'Y'),
(653,	134,	1,	'Y'),
(655,	134,	3,	'Y'),
(656,	135,	1,	'Y'),
(658,	135,	3,	'Y'),
(659,	136,	1,	'Y'),
(661,	136,	3,	'Y'),
(662,	137,	1,	'Y'),
(664,	137,	3,	'Y'),
(665,	138,	1,	'Y'),
(667,	138,	3,	'Y'),
(668,	139,	1,	'Y'),
(670,	139,	3,	'Y'),
(671,	140,	1,	'Y'),
(673,	140,	3,	'Y'),
(674,	141,	1,	'Y'),
(676,	141,	4,	'Y'),
(677,	142,	1,	'Y'),
(679,	142,	4,	'Y'),
(680,	143,	1,	'Y'),
(682,	143,	4,	'Y'),
(683,	144,	4,	'Y'),
(685,	144,	3,	'Y'),
(686,	144,	1,	'Y'),
(687,	145,	1,	'Y'),
(689,	145,	4,	'Y'),
(690,	146,	1,	'Y'),
(692,	146,	3,	'Y'),
(693,	147,	1,	'Y'),
(695,	147,	3,	'Y'),
(696,	148,	1,	'Y'),
(698,	148,	3,	'Y'),
(699,	149,	1,	'Y'),
(701,	149,	3,	'Y'),
(702,	150,	1,	'Y'),
(704,	150,	3,	'Y'),
(705,	151,	1,	'Y'),
(707,	151,	3,	'Y'),
(708,	152,	1,	'Y'),
(710,	152,	3,	'Y'),
(711,	153,	1,	'Y'),
(713,	153,	3,	'Y'),
(714,	154,	1,	'Y'),
(716,	154,	3,	'Y'),
(717,	155,	1,	'Y'),
(719,	155,	3,	'Y'),
(720,	156,	1,	'Y'),
(722,	156,	3,	'Y'),
(723,	156,	4,	'Y'),
(724,	157,	1,	'Y'),
(726,	157,	3,	'Y'),
(727,	158,	1,	'Y'),
(729,	158,	3,	'Y'),
(730,	159,	1,	'Y'),
(732,	159,	3,	'Y'),
(733,	160,	1,	'Y'),
(735,	160,	3,	'Y'),
(736,	161,	1,	'Y'),
(738,	161,	3,	'Y'),
(739,	161,	7,	'Y'),
(740,	162,	1,	'Y'),
(742,	162,	3,	'Y'),
(743,	163,	1,	'Y'),
(745,	163,	3,	'Y'),
(746,	164,	1,	'Y'),
(748,	164,	3,	'Y'),
(749,	164,	7,	'Y'),
(750,	165,	1,	'Y'),
(752,	165,	3,	'Y'),
(753,	165,	4,	'Y'),
(754,	166,	1,	'Y'),
(756,	166,	3,	'Y'),
(757,	166,	4,	'Y'),
(758,	167,	1,	'Y'),
(760,	167,	3,	'Y'),
(761,	168,	1,	'Y'),
(763,	168,	3,	'Y'),
(764,	169,	1,	'Y'),
(766,	169,	3,	'Y'),
(767,	170,	1,	'Y'),
(769,	170,	3,	'Y'),
(770,	171,	1,	'Y'),
(772,	171,	3,	'Y'),
(773,	172,	1,	'Y'),
(775,	172,	3,	'Y'),
(776,	173,	1,	'Y'),
(778,	173,	3,	'Y'),
(779,	174,	1,	'Y'),
(781,	174,	3,	'Y'),
(782,	174,	4,	'Y'),
(783,	175,	1,	'Y'),
(785,	175,	3,	'Y'),
(786,	175,	4,	'Y'),
(787,	176,	6,	'Y'),
(789,	176,	3,	'Y'),
(790,	177,	1,	'Y'),
(792,	177,	3,	'Y'),
(793,	177,	6,	'Y'),
(794,	178,	1,	'Y'),
(796,	178,	3,	'Y'),
(797,	179,	1,	'Y'),
(799,	179,	3,	'Y'),
(800,	180,	1,	'Y'),
(802,	180,	3,	'Y'),
(803,	181,	1,	'Y'),
(805,	181,	3,	'Y'),
(806,	182,	1,	'Y'),
(808,	182,	3,	'Y'),
(809,	183,	1,	'Y'),
(811,	183,	3,	'Y'),
(812,	184,	1,	'Y'),
(814,	184,	3,	'Y'),
(815,	185,	1,	'Y'),
(817,	185,	3,	'Y'),
(818,	186,	1,	'Y'),
(820,	186,	3,	'Y'),
(821,	187,	1,	'Y'),
(823,	187,	3,	'Y'),
(824,	188,	1,	'Y'),
(826,	188,	3,	'Y'),
(827,	189,	1,	'Y'),
(829,	189,	3,	'Y'),
(830,	190,	1,	'Y'),
(832,	190,	3,	'Y'),
(833,	191,	1,	'Y'),
(835,	191,	3,	'Y'),
(836,	192,	1,	'Y'),
(838,	192,	3,	'Y'),
(839,	193,	1,	'Y'),
(841,	193,	3,	'Y'),
(842,	194,	1,	'Y'),
(844,	194,	3,	'Y'),
(845,	195,	1,	'Y'),
(847,	195,	3,	'Y'),
(848,	196,	1,	'Y'),
(850,	196,	3,	'Y'),
(851,	196,	6,	'Y'),
(852,	197,	6,	'Y'),
(854,	197,	8,	'Y'),
(855,	197,	1,	'Y'),
(856,	198,	1,	'Y'),
(858,	198,	3,	'Y'),
(859,	199,	1,	'Y'),
(861,	199,	3,	'Y'),
(862,	200,	1,	'Y'),
(864,	200,	3,	'Y'),
(865,	201,	1,	'Y'),
(867,	201,	3,	'Y'),
(868,	201,	9,	'Y'),
(869,	202,	1,	'Y'),
(871,	202,	3,	'Y'),
(872,	202,	9,	'Y'),
(873,	203,	1,	'Y'),
(875,	203,	3,	'Y'),
(876,	203,	9,	'Y'),
(877,	204,	9,	'Y'),
(879,	204,	3,	'Y'),
(880,	204,	1,	'Y'),
(881,	205,	1,	'Y'),
(883,	205,	3,	'Y'),
(884,	205,	9,	'Y'),
(885,	206,	1,	'Y'),
(887,	206,	3,	'Y'),
(888,	206,	9,	'Y'),
(889,	207,	1,	'Y'),
(891,	207,	3,	'Y'),
(892,	208,	1,	'Y'),
(894,	208,	3,	'Y'),
(895,	208,	9,	'Y'),
(896,	209,	1,	'Y'),
(898,	209,	3,	'Y'),
(899,	210,	1,	'Y'),
(901,	210,	3,	'Y'),
(902,	211,	1,	'Y'),
(904,	211,	3,	'Y'),
(905,	212,	1,	'Y'),
(907,	212,	3,	'Y'),
(908,	212,	4,	'Y'),
(909,	213,	1,	'Y'),
(911,	213,	3,	'Y'),
(912,	214,	1,	'Y'),
(914,	214,	3,	'Y'),
(915,	215,	1,	'Y'),
(917,	215,	3,	'Y'),
(918,	216,	1,	'Y'),
(920,	216,	3,	'Y'),
(921,	217,	1,	'Y'),
(923,	217,	3,	'Y'),
(924,	218,	1,	'Y'),
(926,	218,	3,	'Y'),
(927,	219,	1,	'Y'),
(929,	219,	3,	'Y'),
(930,	220,	1,	'Y'),
(932,	220,	3,	'Y'),
(933,	221,	1,	'Y'),
(935,	221,	3,	'Y'),
(936,	221,	4,	'Y'),
(937,	222,	1,	'Y'),
(939,	222,	3,	'Y'),
(940,	223,	1,	'Y'),
(942,	223,	3,	'Y'),
(943,	224,	1,	'Y'),
(945,	224,	3,	'Y'),
(946,	225,	1,	'Y'),
(948,	225,	3,	'Y'),
(949,	226,	1,	'Y'),
(951,	226,	3,	'Y'),
(952,	227,	1,	'Y'),
(954,	227,	3,	'Y'),
(955,	228,	1,	'Y'),
(957,	228,	3,	'Y'),
(958,	229,	1,	'Y'),
(960,	229,	3,	'Y'),
(961,	230,	1,	'Y'),
(963,	230,	3,	'Y'),
(964,	231,	1,	'Y'),
(966,	231,	3,	'Y'),
(967,	231,	4,	'Y'),
(968,	232,	1,	'Y'),
(970,	232,	3,	'Y'),
(971,	232,	4,	'Y'),
(972,	233,	1,	'Y'),
(974,	233,	3,	'Y'),
(975,	233,	4,	'Y'),
(976,	234,	1,	'Y'),
(978,	234,	3,	'Y'),
(979,	234,	4,	'Y'),
(980,	235,	1,	'Y'),
(982,	235,	3,	'Y'),
(983,	235,	4,	'Y'),
(984,	236,	1,	'Y'),
(986,	236,	3,	'Y'),
(987,	237,	1,	'Y'),
(989,	237,	3,	'Y'),
(990,	238,	1,	'Y'),
(992,	238,	3,	'Y'),
(993,	239,	1,	'Y'),
(995,	239,	3,	'Y'),
(996,	240,	1,	'Y'),
(998,	240,	3,	'Y'),
(999,	241,	1,	'Y'),
(1001,	241,	3,	'Y'),
(1002,	242,	1,	'Y'),
(1004,	242,	3,	'Y'),
(1005,	243,	1,	'Y'),
(1007,	243,	3,	'Y'),
(1008,	244,	1,	'Y'),
(1010,	244,	3,	'Y'),
(1011,	245,	1,	'Y'),
(1013,	245,	3,	'Y'),
(1014,	246,	1,	'Y'),
(1016,	246,	3,	'Y'),
(1017,	247,	1,	'Y'),
(1019,	247,	3,	'Y'),
(1020,	248,	1,	'Y'),
(1022,	248,	3,	'Y'),
(1023,	249,	1,	'Y'),
(1025,	249,	3,	'Y'),
(1026,	250,	1,	'Y'),
(1028,	250,	3,	'Y'),
(1029,	251,	1,	'Y'),
(1031,	251,	3,	'Y'),
(1032,	252,	1,	'Y'),
(1034,	252,	3,	'Y'),
(1035,	252,	4,	'Y'),
(1036,	253,	1,	'Y'),
(1038,	253,	3,	'Y'),
(1039,	254,	1,	'Y'),
(1041,	254,	3,	'Y'),
(1042,	255,	1,	'Y'),
(1044,	255,	3,	'Y'),
(1045,	255,	4,	'Y'),
(1046,	256,	1,	'Y'),
(1048,	256,	3,	'Y'),
(1049,	256,	4,	'Y'),
(1050,	257,	1,	'Y'),
(1052,	257,	3,	'Y'),
(1053,	258,	1,	'Y'),
(1055,	258,	3,	'Y'),
(1056,	259,	1,	'Y'),
(1058,	259,	3,	'Y'),
(1059,	260,	1,	'Y'),
(1061,	260,	3,	'Y'),
(1062,	261,	1,	'Y'),
(1064,	261,	3,	'Y'),
(1065,	262,	1,	'Y'),
(1067,	262,	3,	'Y'),
(1068,	263,	1,	'Y'),
(1070,	263,	3,	'Y'),
(1071,	264,	1,	'Y'),
(1073,	264,	3,	'Y'),
(1074,	265,	1,	'Y'),
(1076,	265,	3,	'Y'),
(1077,	266,	1,	'Y'),
(1079,	266,	3,	'Y'),
(1080,	267,	1,	'Y'),
(1082,	267,	3,	'Y'),
(1083,	268,	1,	'Y'),
(1085,	268,	3,	'Y'),
(1086,	269,	1,	'Y'),
(1088,	269,	3,	'Y'),
(1089,	270,	4,	'Y'),
(1091,	270,	3,	'Y'),
(1092,	270,	1,	'Y'),
(1093,	271,	4,	'Y'),
(1095,	271,	3,	'Y'),
(1096,	271,	1,	'Y'),
(1097,	272,	4,	'Y'),
(1099,	272,	3,	'Y'),
(1100,	272,	1,	'Y'),
(1101,	273,	4,	'Y'),
(1103,	273,	3,	'Y'),
(1104,	273,	1,	'Y'),
(1105,	274,	1,	'Y'),
(1107,	274,	3,	'Y'),
(1108,	274,	4,	'Y'),
(1109,	275,	1,	'Y'),
(1111,	275,	3,	'Y'),
(1112,	275,	4,	'Y'),
(1113,	275,	7,	'Y'),
(1114,	276,	1,	'Y'),
(1116,	276,	10,	'Y'),
(1117,	276,	3,	'Y'),
(1118,	276,	4,	'Y'),
(1119,	277,	4,	'Y'),
(1121,	277,	3,	'Y'),
(1122,	277,	1,	'Y'),
(1123,	278,	4,	'Y'),
(1125,	278,	3,	'Y'),
(1126,	278,	1,	'Y'),
(1127,	279,	1,	'Y'),
(1129,	279,	3,	'Y'),
(1130,	279,	4,	'Y'),
(1131,	279,	7,	'Y'),
(1132,	280,	1,	'Y'),
(1134,	280,	3,	'Y'),
(1135,	280,	4,	'Y'),
(1136,	280,	7,	'Y'),
(1137,	281,	1,	'Y'),
(1139,	281,	10,	'Y'),
(1140,	281,	3,	'Y'),
(1141,	281,	4,	'Y'),
(1142,	282,	1,	'Y'),
(1144,	282,	3,	'Y'),
(1145,	282,	4,	'Y'),
(1146,	283,	4,	'Y'),
(1148,	283,	3,	'Y'),
(1149,	283,	1,	'Y'),
(1150,	284,	4,	'Y'),
(1152,	284,	3,	'Y'),
(1153,	284,	1,	'Y'),
(1154,	285,	4,	'Y'),
(1156,	285,	3,	'Y'),
(1157,	285,	1,	'Y'),
(1158,	286,	4,	'Y'),
(1160,	286,	3,	'Y'),
(1161,	286,	1,	'Y'),
(1162,	287,	4,	'Y'),
(1164,	287,	3,	'Y'),
(1165,	287,	1,	'Y'),
(1166,	288,	4,	'Y'),
(1168,	288,	3,	'Y'),
(1169,	288,	1,	'Y'),
(1170,	289,	4,	'Y'),
(1172,	289,	3,	'Y'),
(1173,	289,	1,	'Y'),
(1174,	290,	4,	'Y'),
(1176,	290,	3,	'Y'),
(1177,	290,	1,	'Y'),
(1178,	291,	4,	'Y'),
(1180,	291,	3,	'Y'),
(1181,	291,	1,	'Y'),
(1182,	292,	4,	'Y'),
(1184,	292,	3,	'Y'),
(1185,	292,	1,	'Y'),
(1186,	293,	4,	'Y'),
(1188,	293,	3,	'Y'),
(1189,	293,	1,	'Y'),
(1190,	294,	4,	'Y'),
(1192,	294,	3,	'Y'),
(1193,	294,	1,	'Y'),
(1194,	295,	4,	'Y'),
(1196,	295,	3,	'Y'),
(1197,	295,	1,	'Y'),
(1198,	296,	4,	'Y'),
(1200,	296,	3,	'Y'),
(1201,	296,	1,	'Y'),
(1202,	297,	4,	'Y'),
(1204,	297,	3,	'Y'),
(1205,	297,	1,	'Y'),
(1206,	298,	4,	'Y'),
(1208,	298,	3,	'Y'),
(1209,	298,	1,	'Y'),
(1210,	299,	4,	'Y'),
(1212,	299,	3,	'Y'),
(1213,	299,	1,	'Y'),
(1214,	300,	4,	'Y'),
(1216,	300,	3,	'Y'),
(1217,	300,	1,	'Y'),
(1218,	301,	1,	'Y'),
(1220,	301,	3,	'Y'),
(1221,	301,	4,	'Y'),
(1222,	301,	7,	'Y'),
(1223,	302,	1,	'Y'),
(1225,	302,	3,	'Y'),
(1226,	303,	1,	'Y'),
(1228,	303,	3,	'Y'),
(1229,	304,	1,	'Y'),
(1231,	304,	3,	'Y'),
(1232,	305,	1,	'Y'),
(1234,	305,	3,	'Y'),
(1235,	306,	1,	'Y'),
(1237,	306,	3,	'Y'),
(1238,	307,	1,	'Y'),
(1240,	307,	3,	'Y'),
(1241,	308,	1,	'Y'),
(1243,	308,	3,	'Y'),
(1244,	309,	1,	'Y'),
(1246,	309,	3,	'Y'),
(1247,	310,	1,	'Y'),
(1249,	310,	3,	'Y'),
(1250,	311,	1,	'Y'),
(1252,	311,	3,	'Y'),
(1253,	312,	1,	'Y'),
(1255,	312,	3,	'Y'),
(1256,	313,	1,	'Y'),
(1258,	313,	3,	'Y'),
(1259,	314,	1,	'Y'),
(1261,	314,	3,	'Y'),
(1262,	315,	1,	'Y'),
(1264,	315,	3,	'Y'),
(1265,	316,	1,	'Y'),
(1267,	316,	3,	'Y'),
(1268,	317,	1,	'Y'),
(1270,	317,	3,	'Y'),
(1271,	318,	1,	'Y'),
(1273,	318,	3,	'Y'),
(1274,	319,	1,	'Y'),
(1276,	319,	3,	'Y'),
(1277,	319,	4,	'Y'),
(1278,	320,	1,	'Y'),
(1280,	320,	3,	'Y'),
(1281,	320,	4,	'Y'),
(1282,	321,	1,	'Y'),
(1284,	321,	3,	'Y'),
(1285,	321,	4,	'Y'),
(1286,	322,	1,	'Y'),
(1288,	322,	3,	'Y'),
(1289,	322,	4,	'Y'),
(1290,	323,	1,	'Y'),
(1292,	323,	3,	'Y'),
(1293,	324,	1,	'Y'),
(1295,	324,	3,	'Y'),
(1296,	325,	1,	'Y'),
(1298,	325,	3,	'Y'),
(1299,	326,	1,	'Y'),
(1301,	326,	3,	'Y'),
(1302,	327,	1,	'Y'),
(1304,	327,	3,	'Y'),
(1305,	328,	1,	'Y'),
(1307,	328,	3,	'Y'),
(1308,	329,	1,	'Y'),
(1310,	329,	3,	'Y'),
(1311,	330,	1,	'Y'),
(1313,	330,	3,	'Y'),
(1314,	331,	1,	'Y'),
(1316,	331,	3,	'Y'),
(1317,	332,	1,	'Y'),
(1319,	332,	3,	'Y'),
(1320,	333,	1,	'Y'),
(1322,	333,	3,	'Y'),
(1323,	334,	1,	'Y'),
(1325,	334,	3,	'Y'),
(1326,	335,	1,	'Y'),
(1328,	335,	3,	'Y'),
(1329,	336,	1,	'Y'),
(1331,	336,	3,	'Y'),
(1332,	337,	1,	'Y'),
(1334,	337,	3,	'Y'),
(1335,	337,	4,	'Y'),
(1336,	338,	1,	'Y'),
(1338,	338,	3,	'Y'),
(1339,	338,	4,	'Y'),
(1340,	339,	1,	'Y'),
(1342,	339,	3,	'Y'),
(1343,	339,	4,	'Y'),
(1344,	340,	1,	'Y'),
(1346,	340,	3,	'Y'),
(1347,	341,	1,	'Y'),
(1349,	341,	3,	'Y'),
(1350,	342,	1,	'Y'),
(1352,	342,	3,	'Y'),
(1353,	343,	1,	'Y'),
(1355,	343,	3,	'Y'),
(1356,	344,	1,	'Y'),
(1358,	344,	3,	'Y'),
(1359,	345,	1,	'Y'),
(1361,	345,	3,	'Y'),
(1362,	346,	1,	'Y'),
(1364,	346,	3,	'Y'),
(1365,	346,	4,	'Y'),
(1366,	347,	1,	'Y'),
(1368,	347,	3,	'Y'),
(1369,	347,	4,	'Y'),
(1370,	348,	1,	'Y'),
(1372,	348,	3,	'Y'),
(1373,	348,	4,	'Y'),
(1374,	349,	1,	'Y'),
(1376,	349,	3,	'Y'),
(1377,	350,	1,	'Y'),
(1379,	350,	3,	'Y'),
(1380,	351,	1,	'Y'),
(1382,	351,	3,	'Y'),
(1383,	352,	1,	'Y'),
(1385,	352,	3,	'Y'),
(1386,	353,	1,	'Y'),
(1388,	353,	3,	'Y'),
(1389,	354,	1,	'Y'),
(1391,	354,	3,	'Y'),
(1392,	355,	1,	'Y'),
(1394,	355,	3,	'Y'),
(1395,	356,	1,	'Y'),
(1397,	356,	3,	'Y'),
(1398,	357,	1,	'Y'),
(1400,	357,	3,	'Y'),
(1401,	358,	1,	'Y'),
(1403,	358,	3,	'Y'),
(1404,	359,	1,	'Y'),
(1406,	359,	3,	'Y'),
(1407,	360,	1,	'Y'),
(1409,	360,	3,	'Y'),
(1410,	361,	1,	'Y'),
(1412,	361,	3,	'Y'),
(1413,	362,	1,	'Y'),
(1415,	362,	3,	'Y'),
(1416,	363,	1,	'Y'),
(1418,	363,	3,	'Y'),
(1419,	363,	4,	'Y'),
(1420,	364,	1,	'Y'),
(1422,	364,	3,	'Y'),
(1423,	364,	4,	'Y'),
(1424,	365,	1,	'Y'),
(1426,	365,	3,	'Y'),
(1427,	366,	1,	'Y'),
(1429,	366,	3,	'Y'),
(1430,	367,	1,	'Y'),
(1432,	367,	3,	'Y'),
(1433,	368,	1,	'Y'),
(1435,	368,	3,	'Y'),
(1436,	369,	1,	'Y'),
(1438,	369,	3,	'Y'),
(1439,	370,	1,	'Y'),
(1441,	370,	3,	'Y'),
(1442,	371,	1,	'Y'),
(1444,	371,	3,	'Y'),
(1445,	372,	1,	'Y'),
(1447,	372,	3,	'Y'),
(1448,	372,	4,	'Y'),
(1449,	373,	1,	'Y'),
(1451,	373,	3,	'Y'),
(1452,	373,	4,	'Y'),
(1453,	374,	1,	'Y'),
(1455,	374,	3,	'Y'),
(1456,	375,	1,	'Y'),
(1458,	375,	3,	'Y'),
(1459,	376,	1,	'Y'),
(1461,	376,	3,	'Y'),
(1462,	377,	1,	'Y'),
(1464,	377,	10,	'Y'),
(1465,	377,	3,	'Y'),
(1466,	378,	1,	'Y'),
(1468,	378,	10,	'Y'),
(1469,	378,	3,	'Y'),
(1470,	379,	1,	'Y'),
(1472,	379,	3,	'Y'),
(1473,	380,	1,	'Y'),
(1475,	380,	10,	'Y'),
(1476,	380,	3,	'Y'),
(1477,	381,	1,	'Y'),
(1479,	381,	10,	'Y'),
(1480,	381,	3,	'Y'),
(1481,	382,	1,	'Y'),
(1483,	382,	3,	'Y'),
(1484,	383,	1,	'Y'),
(1486,	383,	3,	'Y'),
(1487,	384,	1,	'Y'),
(1489,	384,	3,	'Y'),
(1490,	385,	1,	'Y'),
(1492,	385,	10,	'Y'),
(1493,	385,	3,	'Y'),
(1494,	386,	1,	'Y'),
(1496,	386,	3,	'Y'),
(1497,	386,	4,	'Y'),
(1498,	387,	1,	'Y'),
(1500,	387,	3,	'Y'),
(1501,	387,	4,	'Y'),
(1502,	388,	1,	'Y'),
(1504,	388,	3,	'Y'),
(1505,	389,	1,	'Y'),
(1507,	389,	3,	'Y'),
(1508,	390,	1,	'Y'),
(1510,	390,	3,	'Y'),
(1511,	391,	1,	'Y'),
(1513,	391,	3,	'Y'),
(1514,	391,	4,	'Y'),
(1515,	392,	1,	'Y'),
(1517,	392,	3,	'Y'),
(1518,	393,	1,	'Y'),
(1520,	393,	3,	'Y'),
(1521,	394,	1,	'Y'),
(1523,	394,	3,	'Y'),
(1524,	395,	1,	'Y'),
(1526,	395,	3,	'Y'),
(1527,	396,	1,	'Y'),
(1529,	396,	3,	'Y'),
(1530,	397,	1,	'Y'),
(1532,	397,	3,	'Y'),
(1533,	398,	1,	'Y'),
(1535,	398,	3,	'Y'),
(1536,	399,	1,	'Y'),
(1538,	399,	3,	'Y'),
(1539,	400,	1,	'Y'),
(1541,	400,	3,	'Y'),
(1542,	401,	1,	'Y'),
(1544,	401,	3,	'Y'),
(1545,	402,	1,	'Y'),
(1547,	402,	10,	'Y'),
(1548,	402,	3,	'Y'),
(1549,	403,	1,	'Y'),
(1551,	403,	3,	'Y'),
(1552,	404,	1,	'Y'),
(1554,	404,	3,	'Y'),
(1555,	404,	4,	'Y'),
(1556,	405,	1,	'Y'),
(1558,	405,	3,	'Y'),
(1559,	406,	1,	'Y'),
(1561,	406,	3,	'Y'),
(1562,	407,	1,	'Y'),
(1564,	407,	3,	'Y'),
(1565,	408,	1,	'Y'),
(1567,	408,	10,	'Y'),
(1568,	408,	3,	'Y'),
(1569,	409,	1,	'Y'),
(1571,	409,	10,	'Y'),
(1572,	409,	3,	'Y'),
(1573,	410,	1,	'Y'),
(1575,	410,	3,	'Y'),
(1576,	411,	1,	'Y'),
(1578,	411,	3,	'Y'),
(1579,	411,	4,	'Y'),
(1580,	412,	1,	'Y'),
(1582,	412,	3,	'Y'),
(1583,	412,	4,	'Y'),
(1584,	413,	1,	'Y'),
(1586,	413,	3,	'Y'),
(1587,	413,	4,	'Y'),
(1588,	414,	1,	'Y'),
(1590,	414,	3,	'Y'),
(1591,	415,	1,	'Y'),
(1593,	415,	3,	'Y'),
(1594,	416,	1,	'Y'),
(1596,	416,	3,	'Y'),
(1597,	416,	4,	'Y'),
(1598,	417,	1,	'Y'),
(1600,	417,	3,	'Y'),
(1601,	418,	1,	'Y'),
(1603,	418,	3,	'Y'),
(1604,	418,	4,	'Y'),
(1605,	419,	1,	'Y'),
(1607,	419,	3,	'Y'),
(1608,	419,	4,	'Y'),
(1609,	420,	1,	'Y'),
(1611,	420,	3,	'Y'),
(1612,	421,	1,	'Y'),
(1614,	421,	3,	'Y'),
(1615,	422,	1,	'Y'),
(1617,	422,	3,	'Y'),
(1618,	423,	1,	'Y'),
(1620,	423,	3,	'Y'),
(1621,	423,	4,	'Y'),
(1622,	424,	1,	'Y'),
(1624,	424,	3,	'Y'),
(1625,	425,	1,	'Y'),
(1627,	425,	3,	'Y'),
(1628,	426,	1,	'Y'),
(1630,	426,	3,	'Y'),
(1631,	427,	1,	'Y'),
(1633,	427,	3,	'Y'),
(1634,	427,	4,	'Y'),
(1635,	428,	1,	'Y'),
(1637,	428,	3,	'Y'),
(1638,	428,	4,	'Y'),
(1639,	429,	1,	'Y'),
(1641,	429,	3,	'Y'),
(1642,	429,	4,	'Y'),
(1643,	430,	1,	'Y'),
(1645,	430,	3,	'Y'),
(1646,	430,	4,	'Y'),
(1647,	431,	1,	'Y'),
(1649,	431,	3,	'Y'),
(1650,	432,	1,	'Y'),
(1652,	432,	3,	'Y'),
(1653,	432,	4,	'Y'),
(1654,	433,	1,	'Y'),
(1656,	433,	3,	'Y'),
(1657,	433,	4,	'Y'),
(1658,	434,	1,	'Y'),
(1660,	434,	3,	'Y'),
(1661,	434,	4,	'Y'),
(1662,	435,	1,	'Y'),
(1664,	435,	3,	'Y'),
(1665,	435,	4,	'Y'),
(1666,	436,	1,	'Y'),
(1668,	436,	3,	'Y'),
(1669,	437,	1,	'Y'),
(1671,	437,	3,	'Y'),
(1672,	437,	4,	'Y'),
(1673,	438,	1,	'Y'),
(1675,	438,	3,	'Y'),
(1676,	439,	1,	'Y'),
(1678,	439,	10,	'Y'),
(1679,	439,	3,	'Y'),
(1680,	440,	1,	'Y'),
(1682,	440,	3,	'Y'),
(1683,	441,	1,	'Y'),
(1685,	441,	3,	'Y'),
(1686,	442,	1,	'Y'),
(1688,	442,	10,	'Y'),
(1689,	442,	3,	'Y'),
(1690,	443,	1,	'Y'),
(1692,	443,	10,	'Y'),
(1693,	443,	3,	'Y'),
(1694,	444,	1,	'Y'),
(1696,	444,	10,	'Y'),
(1697,	444,	3,	'Y'),
(1698,	444,	4,	'Y'),
(1699,	445,	1,	'Y'),
(1701,	445,	10,	'Y'),
(1702,	445,	3,	'Y'),
(1703,	446,	1,	'Y'),
(1705,	446,	3,	'Y'),
(1706,	447,	1,	'Y'),
(1708,	447,	10,	'Y'),
(1709,	447,	3,	'Y'),
(1710,	448,	1,	'Y'),
(1712,	448,	10,	'Y'),
(1713,	448,	3,	'Y'),
(1714,	449,	1,	'Y'),
(1716,	449,	3,	'Y'),
(1717,	450,	1,	'Y'),
(1719,	450,	3,	'Y'),
(1720,	451,	1,	'Y'),
(1722,	451,	3,	'Y'),
(1723,	452,	1,	'Y'),
(1725,	452,	3,	'Y'),
(1726,	453,	1,	'Y'),
(1728,	453,	3,	'Y'),
(1729,	454,	1,	'Y'),
(1731,	454,	3,	'Y'),
(1732,	455,	1,	'Y'),
(1734,	455,	3,	'Y'),
(1735,	456,	1,	'Y'),
(1737,	456,	3,	'Y'),
(1738,	457,	1,	'Y'),
(1740,	457,	3,	'Y'),
(1741,	458,	1,	'Y'),
(1743,	458,	3,	'Y'),
(1744,	459,	1,	'Y'),
(1746,	459,	3,	'Y'),
(1747,	460,	1,	'Y'),
(1749,	460,	3,	'Y'),
(1750,	461,	1,	'Y'),
(1752,	461,	3,	'Y'),
(1753,	462,	1,	'Y'),
(1755,	462,	3,	'Y'),
(1756,	463,	1,	'Y'),
(1758,	463,	3,	'Y'),
(1759,	464,	1,	'Y'),
(1761,	464,	3,	'Y'),
(1762,	464,	4,	'Y'),
(1763,	465,	1,	'Y'),
(1765,	465,	3,	'Y'),
(1766,	465,	4,	'Y'),
(1767,	466,	1,	'Y'),
(1769,	466,	3,	'Y'),
(1770,	466,	4,	'Y'),
(1771,	467,	1,	'Y'),
(1773,	467,	3,	'Y'),
(1774,	467,	4,	'Y'),
(1775,	468,	1,	'Y'),
(1777,	468,	3,	'Y'),
(1778,	468,	4,	'Y'),
(1779,	469,	1,	'Y'),
(1781,	469,	3,	'Y'),
(1782,	470,	1,	'Y'),
(1784,	470,	3,	'Y'),
(1785,	471,	1,	'Y'),
(1787,	471,	3,	'Y'),
(1788,	472,	1,	'Y'),
(1790,	472,	3,	'Y'),
(1791,	473,	1,	'Y'),
(1793,	473,	3,	'Y'),
(1794,	473,	4,	'Y'),
(1795,	474,	1,	'Y'),
(1797,	474,	3,	'Y'),
(1798,	474,	4,	'Y'),
(1799,	475,	1,	'Y'),
(1801,	475,	3,	'Y'),
(1802,	475,	4,	'Y'),
(1803,	476,	1,	'Y'),
(1805,	476,	3,	'Y'),
(1806,	476,	4,	'Y'),
(1807,	477,	1,	'Y'),
(1809,	477,	3,	'Y'),
(1810,	477,	4,	'Y'),
(1811,	478,	1,	'Y'),
(1813,	478,	3,	'Y'),
(1814,	478,	4,	'Y'),
(1815,	479,	1,	'Y'),
(1817,	479,	3,	'Y'),
(1818,	479,	4,	'Y'),
(1819,	480,	1,	'Y'),
(1821,	480,	3,	'Y'),
(1822,	480,	4,	'Y'),
(1823,	481,	1,	'Y'),
(1825,	481,	3,	'Y'),
(1826,	481,	9,	'Y'),
(1827,	482,	1,	'Y'),
(1829,	482,	3,	'Y'),
(1830,	482,	9,	'Y'),
(1831,	483,	1,	'Y'),
(1833,	483,	3,	'Y'),
(1834,	483,	9,	'Y'),
(1835,	484,	1,	'Y'),
(1837,	484,	3,	'Y'),
(1838,	484,	9,	'Y'),
(1839,	485,	1,	'Y'),
(1841,	485,	3,	'Y'),
(1842,	485,	4,	'Y'),
(1843,	486,	1,	'Y'),
(1845,	486,	3,	'Y'),
(1846,	486,	4,	'Y'),
(1847,	487,	1,	'Y'),
(1849,	487,	3,	'Y'),
(1850,	487,	4,	'Y'),
(1851,	488,	1,	'Y'),
(1853,	488,	3,	'Y'),
(1854,	488,	4,	'Y'),
(1855,	489,	1,	'Y'),
(1857,	489,	3,	'Y'),
(1858,	489,	4,	'Y'),
(1859,	490,	1,	'Y'),
(1861,	490,	3,	'Y'),
(1862,	490,	4,	'Y'),
(1863,	491,	1,	'Y'),
(1865,	491,	3,	'Y'),
(1866,	491,	4,	'Y'),
(1867,	492,	1,	'Y'),
(1869,	492,	3,	'Y'),
(1870,	492,	4,	'Y'),
(1871,	493,	1,	'Y'),
(1873,	493,	3,	'Y'),
(1874,	493,	4,	'Y'),
(1875,	494,	1,	'Y'),
(1877,	494,	3,	'Y'),
(1878,	494,	4,	'Y'),
(1879,	495,	1,	'Y'),
(1881,	495,	3,	'Y'),
(1882,	495,	4,	'Y'),
(1883,	496,	1,	'Y'),
(1885,	496,	3,	'Y'),
(1886,	496,	4,	'Y'),
(1887,	497,	1,	'Y'),
(1889,	497,	3,	'Y'),
(1890,	497,	4,	'Y'),
(1891,	498,	1,	'Y'),
(1893,	498,	10,	'Y'),
(1894,	498,	3,	'Y'),
(1895,	498,	4,	'Y'),
(1896,	499,	1,	'Y'),
(1898,	499,	3,	'Y'),
(1899,	500,	1,	'Y'),
(1901,	500,	10,	'Y'),
(1902,	500,	3,	'Y'),
(1903,	500,	4,	'Y'),
(1904,	501,	1,	'Y'),
(1906,	501,	3,	'Y'),
(1907,	502,	1,	'Y'),
(1909,	502,	3,	'Y'),
(1910,	503,	1,	'Y'),
(1912,	503,	3,	'Y'),
(1913,	503,	4,	'Y'),
(1914,	504,	1,	'Y'),
(1916,	504,	3,	'Y'),
(1917,	504,	4,	'Y'),
(1918,	505,	1,	'Y'),
(1920,	505,	3,	'Y'),
(1921,	505,	4,	'Y'),
(1922,	506,	1,	'Y'),
(1924,	506,	3,	'Y'),
(1925,	507,	1,	'Y'),
(1927,	507,	3,	'Y'),
(1928,	508,	1,	'Y'),
(1930,	508,	3,	'Y'),
(1931,	509,	1,	'Y'),
(1933,	509,	3,	'Y'),
(1934,	510,	1,	'Y'),
(1936,	510,	3,	'Y'),
(1937,	510,	4,	'Y'),
(1938,	511,	1,	'Y'),
(1940,	511,	3,	'Y'),
(1941,	512,	1,	'Y'),
(1943,	512,	10,	'Y'),
(1944,	512,	3,	'Y'),
(1945,	513,	1,	'Y'),
(1947,	513,	3,	'Y'),
(1948,	514,	1,	'Y'),
(1950,	514,	3,	'Y'),
(1951,	515,	1,	'Y'),
(1953,	515,	10,	'Y'),
(1954,	515,	3,	'Y'),
(1955,	516,	1,	'Y'),
(1957,	516,	10,	'Y'),
(1958,	516,	3,	'Y'),
(1959,	517,	1,	'Y'),
(1961,	517,	3,	'Y'),
(1962,	517,	4,	'Y'),
(1963,	518,	1,	'Y'),
(1965,	518,	3,	'Y'),
(1966,	518,	4,	'Y'),
(1967,	519,	1,	'Y'),
(1969,	519,	3,	'Y'),
(1970,	519,	4,	'Y'),
(1971,	520,	1,	'Y'),
(1973,	520,	3,	'Y'),
(1974,	521,	1,	'Y'),
(1976,	521,	3,	'Y'),
(1977,	522,	1,	'Y'),
(1979,	522,	3,	'Y'),
(1980,	523,	1,	'Y'),
(1982,	523,	3,	'Y'),
(1983,	524,	1,	'Y'),
(1985,	524,	3,	'Y'),
(1986,	525,	1,	'Y'),
(1988,	525,	3,	'Y'),
(1989,	526,	1,	'Y'),
(1991,	526,	3,	'Y'),
(1992,	527,	1,	'Y'),
(1994,	527,	3,	'Y'),
(1995,	527,	4,	'Y'),
(1996,	528,	1,	'Y'),
(1998,	528,	3,	'Y'),
(1999,	529,	1,	'Y'),
(2001,	529,	3,	'Y'),
(2002,	529,	4,	'Y'),
(2003,	530,	1,	'Y'),
(2005,	530,	3,	'Y'),
(2006,	530,	4,	'Y'),
(2007,	531,	1,	'Y'),
(2009,	531,	10,	'Y'),
(2010,	531,	3,	'Y'),
(2011,	532,	1,	'Y'),
(2013,	532,	3,	'Y'),
(2014,	532,	4,	'Y'),
(2015,	533,	1,	'Y'),
(2017,	533,	3,	'Y'),
(2018,	534,	1,	'Y'),
(2020,	534,	3,	'Y'),
(2021,	535,	1,	'Y'),
(2023,	535,	4,	'Y'),
(2024,	536,	1,	'Y'),
(2026,	536,	3,	'Y'),
(2027,	536,	4,	'Y'),
(2028,	537,	1,	'Y'),
(2030,	537,	3,	'Y'),
(2031,	537,	4,	'Y'),
(2032,	538,	1,	'Y'),
(2034,	538,	3,	'Y'),
(2035,	538,	4,	'Y'),
(2036,	539,	1,	'Y'),
(2038,	539,	3,	'Y'),
(2039,	539,	4,	'Y'),
(2040,	540,	1,	'Y'),
(2042,	540,	3,	'Y'),
(2043,	541,	1,	'Y'),
(2045,	541,	3,	'Y'),
(2046,	542,	1,	'Y'),
(2048,	542,	3,	'Y'),
(2049,	542,	4,	'Y'),
(2050,	543,	1,	'Y'),
(2052,	543,	3,	'Y'),
(2053,	544,	1,	'Y'),
(2055,	544,	3,	'Y'),
(2056,	545,	1,	'Y'),
(2058,	545,	3,	'Y'),
(2059,	545,	9,	'Y'),
(2060,	546,	1,	'Y'),
(2062,	546,	3,	'Y'),
(2063,	546,	9,	'Y'),
(2064,	547,	1,	'Y'),
(2066,	547,	3,	'Y'),
(2067,	547,	9,	'Y'),
(2068,	548,	1,	'Y'),
(2070,	548,	3,	'Y'),
(2071,	548,	9,	'Y'),
(2072,	549,	1,	'Y'),
(2074,	549,	3,	'Y'),
(2075,	549,	9,	'Y'),
(2076,	550,	1,	'Y'),
(2078,	550,	8,	'Y'),
(2079,	550,	3,	'Y'),
(2080,	551,	6,	'Y'),
(2082,	552,	6,	'Y'),
(2084,	553,	6,	'Y'),
(2086,	554,	6,	'Y'),
(2088,	554,	3,	'Y'),
(2089,	555,	6,	'Y'),
(2091,	555,	3,	'Y'),
(2092,	556,	6,	'Y'),
(2094,	556,	3,	'Y'),
(2095,	557,	6,	'Y'),
(2097,	557,	3,	'Y'),
(2098,	558,	6,	'Y'),
(2100,	558,	3,	'Y'),
(2101,	559,	6,	'Y'),
(2103,	559,	3,	'Y'),
(2104,	560,	4,	'Y'),
(2106,	560,	3,	'Y'),
(2107,	560,	1,	'Y'),
(2108,	561,	1,	'Y'),
(2110,	561,	10,	'Y'),
(2111,	561,	8,	'Y'),
(2112,	561,	3,	'Y'),
(2113,	562,	1,	'Y'),
(2115,	562,	10,	'Y'),
(2116,	562,	8,	'Y'),
(2117,	562,	3,	'Y'),
(2118,	563,	1,	'Y'),
(2120,	563,	10,	'Y'),
(2121,	563,	8,	'Y'),
(2122,	563,	3,	'Y'),
(2123,	564,	1,	'Y'),
(2125,	564,	10,	'Y'),
(2126,	564,	8,	'Y'),
(2127,	564,	3,	'Y'),
(2128,	565,	1,	'Y'),
(2130,	565,	10,	'Y'),
(2131,	565,	8,	'Y'),
(2132,	565,	3,	'Y'),
(2133,	566,	1,	'Y'),
(2135,	566,	10,	'Y'),
(2136,	566,	8,	'Y'),
(2137,	566,	3,	'Y'),
(2138,	567,	1,	'Y'),
(2140,	567,	10,	'Y'),
(2141,	567,	8,	'Y'),
(2142,	567,	3,	'Y'),
(2143,	568,	1,	'Y'),
(2145,	568,	3,	'Y'),
(2146,	569,	1,	'Y'),
(2148,	569,	3,	'Y'),
(2149,	569,	4,	'Y'),
(2150,	570,	1,	'Y'),
(2152,	570,	10,	'Y'),
(2153,	570,	3,	'Y'),
(2154,	570,	4,	'Y'),
(2155,	571,	1,	'Y'),
(2157,	571,	3,	'Y'),
(2158,	571,	4,	'Y'),
(2159,	572,	1,	'Y'),
(2161,	572,	10,	'Y'),
(2162,	572,	3,	'Y'),
(2163,	572,	4,	'Y'),
(2164,	573,	1,	'Y'),
(2166,	573,	10,	'Y'),
(2167,	573,	3,	'Y'),
(2168,	573,	4,	'Y'),
(2169,	574,	1,	'Y'),
(2171,	574,	3,	'Y'),
(2172,	574,	4,	'Y'),
(2173,	575,	1,	'Y'),
(2175,	575,	3,	'Y'),
(2176,	575,	4,	'Y'),
(2177,	576,	4,	'Y'),
(2179,	576,	3,	'Y'),
(2180,	576,	1,	'Y'),
(2181,	577,	1,	'Y'),
(2183,	577,	10,	'Y'),
(2184,	577,	3,	'Y'),
(2185,	577,	4,	'Y'),
(2186,	578,	4,	'Y'),
(2188,	578,	3,	'Y'),
(2189,	578,	1,	'Y'),
(2190,	579,	1,	'Y'),
(2192,	579,	3,	'Y'),
(2193,	579,	4,	'Y'),
(2194,	580,	1,	'Y'),
(2196,	580,	3,	'Y'),
(2197,	580,	4,	'Y'),
(2198,	581,	1,	'Y'),
(2200,	581,	3,	'Y'),
(2201,	581,	4,	'Y'),
(2202,	582,	1,	'Y'),
(2204,	582,	3,	'Y'),
(2205,	582,	4,	'Y'),
(2206,	583,	1,	'Y'),
(2208,	583,	3,	'Y'),
(2209,	583,	4,	'Y'),
(2210,	584,	1,	'Y'),
(2212,	584,	3,	'Y'),
(2213,	584,	4,	'Y'),
(2214,	585,	1,	'Y'),
(2216,	585,	3,	'Y'),
(2217,	585,	4,	'Y'),
(2218,	586,	1,	'Y'),
(2220,	586,	3,	'Y'),
(2221,	586,	4,	'Y'),
(2222,	587,	1,	'Y'),
(2224,	587,	3,	'Y'),
(2225,	587,	4,	'Y'),
(2226,	588,	1,	'Y'),
(2228,	588,	3,	'Y'),
(2229,	588,	4,	'Y'),
(2230,	589,	1,	'Y'),
(2232,	589,	3,	'Y'),
(2233,	590,	4,	'Y'),
(2235,	590,	3,	'Y'),
(2236,	590,	1,	'Y'),
(2237,	591,	4,	'Y'),
(2239,	591,	3,	'Y'),
(2240,	591,	1,	'Y'),
(2241,	592,	4,	'Y'),
(2243,	592,	3,	'Y'),
(2244,	592,	1,	'Y'),
(2245,	593,	1,	'Y'),
(2247,	593,	3,	'Y'),
(2248,	594,	1,	'Y'),
(2250,	594,	3,	'Y'),
(2251,	595,	1,	'Y'),
(2253,	595,	3,	'Y'),
(2254,	596,	1,	'Y'),
(2256,	596,	10,	'Y'),
(2257,	596,	3,	'Y'),
(2258,	597,	1,	'Y'),
(2260,	597,	10,	'Y'),
(2261,	597,	3,	'Y'),
(2262,	598,	1,	'Y'),
(2264,	598,	3,	'Y'),
(2265,	599,	1,	'Y'),
(2267,	599,	10,	'Y'),
(2268,	599,	3,	'Y'),
(2269,	600,	1,	'Y'),
(2271,	600,	10,	'Y'),
(2272,	600,	3,	'Y'),
(2273,	601,	1,	'Y'),
(2275,	601,	3,	'Y'),
(2276,	602,	1,	'Y'),
(2278,	602,	3,	'Y'),
(2279,	603,	1,	'Y'),
(2281,	603,	3,	'Y'),
(2282,	604,	1,	'Y'),
(2284,	604,	10,	'Y'),
(2285,	604,	3,	'Y'),
(2286,	605,	1,	'Y'),
(2288,	605,	8,	'Y'),
(2289,	605,	3,	'Y'),
(2290,	606,	1,	'Y'),
(2292,	606,	8,	'Y'),
(2293,	606,	3,	'Y'),
(2294,	607,	1,	'Y'),
(2296,	607,	3,	'Y'),
(2297,	607,	4,	'Y'),
(2298,	608,	1,	'Y'),
(2300,	608,	3,	'Y'),
(2301,	609,	1,	'Y'),
(2303,	609,	3,	'Y'),
(2304,	610,	1,	'Y'),
(2306,	610,	3,	'Y'),
(2307,	611,	1,	'Y'),
(2309,	611,	3,	'Y'),
(2310,	612,	1,	'Y'),
(2312,	612,	3,	'Y'),
(2313,	613,	1,	'Y'),
(2315,	613,	3,	'Y'),
(2316,	614,	1,	'Y'),
(2318,	614,	10,	'Y'),
(2319,	614,	3,	'Y'),
(2320,	615,	1,	'Y'),
(2322,	615,	3,	'Y'),
(2323,	616,	1,	'Y'),
(2325,	616,	21,	'Y'),
(2326,	616,	3,	'Y'),
(2327,	617,	1,	'Y'),
(2329,	617,	21,	'Y'),
(2330,	617,	3,	'Y'),
(2331,	618,	1,	'Y'),
(2333,	618,	3,	'Y'),
(2334,	618,	4,	'Y'),
(2335,	619,	1,	'Y'),
(2337,	619,	3,	'Y'),
(2338,	620,	1,	'Y'),
(2340,	620,	3,	'Y'),
(2341,	621,	1,	'Y'),
(2343,	621,	3,	'Y'),
(2344,	621,	4,	'Y'),
(2345,	622,	1,	'Y'),
(2347,	622,	3,	'Y'),
(2348,	622,	4,	'Y'),
(2349,	623,	1,	'Y'),
(2351,	623,	3,	'Y'),
(2352,	623,	4,	'Y'),
(2353,	624,	1,	'Y'),
(2355,	624,	3,	'Y'),
(2356,	624,	4,	'Y'),
(2357,	625,	1,	'Y'),
(2359,	625,	3,	'Y'),
(2360,	626,	1,	'Y'),
(2362,	626,	3,	'Y'),
(2363,	626,	4,	'Y'),
(2364,	627,	1,	'Y'),
(2366,	627,	3,	'Y'),
(2367,	627,	4,	'Y'),
(2368,	628,	1,	'Y'),
(2370,	628,	3,	'Y'),
(2371,	628,	4,	'Y'),
(2372,	629,	1,	'Y'),
(2374,	629,	3,	'Y'),
(2375,	629,	6,	'Y'),
(2376,	629,	4,	'Y'),
(2377,	630,	1,	'Y'),
(2379,	630,	3,	'Y'),
(2380,	630,	6,	'Y'),
(2381,	630,	4,	'Y'),
(2382,	631,	1,	'Y'),
(2384,	631,	3,	'Y'),
(2385,	632,	1,	'Y'),
(2387,	632,	3,	'Y'),
(2388,	632,	4,	'Y'),
(2389,	633,	1,	'Y'),
(2391,	633,	3,	'Y'),
(2392,	633,	4,	'Y'),
(2393,	634,	6,	'Y'),
(2395,	634,	3,	'Y'),
(2396,	635,	6,	'Y'),
(2398,	635,	3,	'Y'),
(2399,	636,	6,	'Y'),
(2401,	636,	3,	'Y'),
(2402,	637,	1,	'Y'),
(2404,	637,	3,	'Y'),
(2405,	637,	4,	'Y'),
(2406,	638,	4,	'Y'),
(2408,	638,	3,	'Y'),
(2409,	638,	1,	'Y'),
(2410,	639,	1,	'Y'),
(2412,	639,	3,	'Y'),
(2413,	639,	4,	'Y'),
(2414,	640,	4,	'Y'),
(2416,	640,	3,	'Y'),
(2417,	640,	1,	'Y'),
(2418,	641,	6,	'Y'),
(2420,	641,	3,	'Y'),
(2421,	642,	4,	'Y'),
(2423,	642,	3,	'Y'),
(2424,	642,	1,	'Y'),
(2425,	643,	4,	'Y'),
(2427,	643,	3,	'Y'),
(2428,	643,	1,	'Y'),
(2429,	644,	4,	'Y'),
(2431,	644,	3,	'Y'),
(2432,	644,	1,	'Y'),
(2433,	645,	4,	'Y'),
(2435,	645,	3,	'Y'),
(2436,	645,	1,	'Y'),
(2437,	646,	4,	'Y'),
(2439,	646,	3,	'Y'),
(2440,	647,	1,	'Y'),
(2442,	647,	8,	'Y'),
(2443,	647,	3,	'Y'),
(2444,	648,	1,	'Y'),
(2446,	648,	8,	'Y'),
(2447,	648,	3,	'Y'),
(2448,	649,	1,	'Y'),
(2450,	649,	8,	'Y'),
(2451,	649,	3,	'Y'),
(2452,	650,	1,	'Y'),
(2454,	650,	3,	'Y'),
(2455,	651,	1,	'Y'),
(2457,	651,	3,	'Y'),
(2458,	651,	4,	'Y'),
(2459,	652,	1,	'Y'),
(2461,	652,	3,	'Y'),
(2462,	652,	4,	'Y'),
(2463,	653,	1,	'Y'),
(2465,	653,	3,	'Y'),
(2466,	653,	4,	'Y'),
(2467,	654,	1,	'Y'),
(2469,	654,	3,	'Y'),
(2470,	655,	1,	'Y'),
(2472,	655,	3,	'Y'),
(2473,	656,	1,	'Y'),
(2475,	656,	3,	'Y'),
(2476,	657,	1,	'Y'),
(2478,	657,	3,	'Y'),
(2479,	658,	1,	'Y'),
(2481,	658,	10,	'Y'),
(2482,	658,	4,	'Y'),
(2483,	659,	1,	'Y'),
(2485,	659,	3,	'Y'),
(2486,	660,	1,	'Y'),
(2488,	660,	3,	'Y'),
(2489,	661,	7,	'Y'),
(2491,	661,	3,	'Y'),
(2492,	662,	7,	'Y'),
(2494,	662,	3,	'Y'),
(2495,	663,	7,	'Y'),
(2497,	663,	3,	'Y'),
(2498,	664,	7,	'Y'),
(2500,	664,	3,	'Y'),
(2501,	665,	7,	'Y'),
(2503,	665,	3,	'Y'),
(2504,	666,	7,	'Y'),
(2506,	666,	3,	'Y'),
(2507,	667,	7,	'Y'),
(2509,	667,	3,	'Y'),
(2510,	668,	7,	'Y'),
(2512,	668,	3,	'Y'),
(2513,	669,	7,	'Y'),
(2515,	669,	3,	'Y'),
(2516,	670,	7,	'Y'),
(2518,	670,	3,	'Y'),
(2519,	671,	7,	'Y'),
(2521,	671,	3,	'Y'),
(2522,	672,	7,	'Y'),
(2524,	672,	3,	'Y'),
(2525,	673,	1,	'Y'),
(2527,	673,	3,	'Y'),
(2528,	674,	1,	'Y'),
(2530,	674,	3,	'Y'),
(2531,	675,	7,	'Y'),
(2533,	675,	3,	'Y'),
(2534,	676,	7,	'Y'),
(2536,	676,	3,	'Y'),
(2537,	677,	7,	'Y'),
(2539,	677,	3,	'Y'),
(2540,	678,	7,	'Y'),
(2542,	678,	3,	'Y'),
(2543,	679,	7,	'Y'),
(2545,	679,	3,	'Y'),
(2546,	680,	7,	'Y'),
(2548,	680,	3,	'Y'),
(2549,	681,	7,	'Y'),
(2551,	681,	3,	'Y'),
(2552,	682,	7,	'Y'),
(2554,	682,	3,	'Y'),
(2555,	683,	7,	'Y'),
(2557,	683,	3,	'Y'),
(2558,	684,	7,	'Y'),
(2560,	684,	3,	'Y'),
(2561,	685,	7,	'Y'),
(2563,	685,	3,	'Y'),
(2564,	686,	7,	'Y'),
(2566,	686,	3,	'Y'),
(2567,	687,	7,	'Y'),
(2569,	687,	3,	'Y'),
(2570,	688,	7,	'Y'),
(2572,	688,	3,	'Y'),
(2573,	689,	7,	'Y'),
(2575,	689,	3,	'Y'),
(2576,	690,	7,	'Y'),
(2578,	690,	3,	'Y'),
(2579,	691,	7,	'Y'),
(2581,	691,	3,	'Y'),
(2582,	692,	7,	'Y'),
(2584,	692,	3,	'Y'),
(2585,	693,	7,	'Y'),
(2587,	693,	3,	'Y'),
(2588,	694,	7,	'Y'),
(2590,	694,	3,	'Y'),
(2591,	695,	7,	'Y'),
(2593,	695,	3,	'Y'),
(2594,	696,	7,	'Y'),
(2596,	696,	3,	'Y'),
(2597,	697,	7,	'Y'),
(2599,	697,	3,	'Y'),
(2600,	698,	7,	'Y'),
(2602,	698,	3,	'Y'),
(2603,	699,	1,	'Y'),
(2605,	699,	3,	'Y'),
(2606,	700,	1,	'Y'),
(2608,	700,	3,	'Y'),
(2609,	701,	1,	'Y'),
(2611,	701,	3,	'Y'),
(2612,	702,	1,	'Y'),
(2614,	702,	3,	'Y'),
(2615,	703,	1,	'Y'),
(2617,	703,	3,	'Y'),
(2618,	704,	1,	'Y'),
(2620,	704,	3,	'Y'),
(2621,	705,	1,	'Y'),
(2623,	705,	3,	'Y'),
(2624,	706,	1,	'Y'),
(2626,	706,	3,	'Y'),
(2627,	707,	1,	'Y'),
(2629,	707,	3,	'Y'),
(2630,	708,	1,	'Y'),
(2632,	708,	3,	'Y'),
(2633,	709,	1,	'Y'),
(2635,	709,	3,	'Y'),
(2636,	709,	4,	'Y'),
(2637,	710,	1,	'Y'),
(2639,	710,	3,	'Y'),
(2640,	711,	1,	'Y'),
(2642,	711,	3,	'Y'),
(2643,	712,	1,	'Y'),
(2645,	712,	3,	'Y'),
(2646,	713,	1,	'Y'),
(2648,	713,	3,	'Y'),
(2649,	713,	4,	'Y'),
(2650,	714,	1,	'Y'),
(2652,	714,	3,	'Y'),
(2653,	714,	4,	'Y'),
(2654,	715,	1,	'Y'),
(2656,	715,	3,	'Y'),
(2657,	716,	1,	'Y'),
(2659,	716,	3,	'Y'),
(2660,	717,	1,	'Y'),
(2662,	717,	10,	'Y'),
(2663,	717,	3,	'Y'),
(2664,	718,	1,	'Y'),
(2666,	718,	3,	'Y'),
(2667,	719,	1,	'Y'),
(2669,	719,	10,	'Y'),
(2670,	719,	3,	'Y'),
(2671,	720,	1,	'Y'),
(2673,	720,	10,	'Y'),
(2674,	720,	3,	'Y'),
(2675,	721,	1,	'Y'),
(2677,	721,	3,	'Y'),
(2678,	722,	1,	'Y'),
(2680,	722,	3,	'Y'),
(2681,	723,	1,	'Y'),
(2683,	723,	3,	'Y'),
(2684,	724,	1,	'Y'),
(2686,	724,	3,	'Y'),
(2687,	724,	4,	'Y'),
(2688,	725,	1,	'Y'),
(2690,	725,	3,	'Y'),
(2691,	726,	1,	'Y'),
(2693,	726,	3,	'Y'),
(2694,	727,	1,	'Y'),
(2696,	727,	10,	'Y'),
(2697,	727,	3,	'Y'),
(2698,	727,	4,	'Y'),
(2699,	728,	1,	'Y'),
(2701,	728,	10,	'Y'),
(2702,	728,	3,	'Y'),
(2703,	728,	4,	'Y'),
(2704,	729,	1,	'Y'),
(2706,	729,	10,	'Y'),
(2707,	729,	3,	'Y'),
(2708,	729,	4,	'Y'),
(2709,	730,	1,	'Y'),
(2711,	730,	10,	'Y'),
(2712,	730,	3,	'Y'),
(2713,	730,	4,	'Y'),
(2714,	731,	1,	'Y'),
(2716,	731,	10,	'Y'),
(2717,	731,	3,	'Y'),
(2718,	731,	4,	'Y'),
(2719,	732,	1,	'Y'),
(2721,	732,	10,	'Y'),
(2722,	732,	3,	'Y'),
(2723,	732,	4,	'Y'),
(2724,	733,	1,	'Y'),
(2726,	733,	10,	'Y'),
(2727,	733,	3,	'Y'),
(2728,	733,	4,	'Y'),
(2729,	734,	1,	'Y'),
(2731,	734,	10,	'Y'),
(2732,	734,	3,	'Y'),
(2733,	734,	4,	'Y'),
(2734,	735,	1,	'Y'),
(2736,	735,	10,	'Y'),
(2737,	735,	3,	'Y'),
(2738,	735,	4,	'Y'),
(2739,	736,	1,	'Y'),
(2741,	736,	10,	'Y'),
(2742,	736,	3,	'Y'),
(2743,	737,	1,	'Y'),
(2745,	737,	3,	'Y'),
(2746,	738,	1,	'Y'),
(2748,	738,	3,	'Y'),
(2749,	738,	4,	'Y'),
(2750,	739,	1,	'Y'),
(2752,	739,	3,	'Y'),
(2753,	740,	1,	'Y'),
(2755,	740,	3,	'Y'),
(2756,	741,	1,	'Y'),
(2758,	741,	3,	'Y'),
(2759,	741,	4,	'Y'),
(2760,	742,	1,	'Y'),
(2762,	742,	3,	'Y'),
(2763,	742,	4,	'Y'),
(2764,	743,	1,	'Y'),
(2766,	743,	3,	'Y'),
(2767,	743,	4,	'Y'),
(2768,	744,	1,	'Y'),
(2770,	744,	3,	'Y'),
(2771,	744,	4,	'Y'),
(2772,	745,	1,	'Y'),
(2774,	745,	3,	'Y'),
(2775,	745,	4,	'Y'),
(2776,	746,	1,	'Y'),
(2778,	746,	3,	'Y'),
(2779,	746,	4,	'Y'),
(2780,	747,	1,	'Y'),
(2782,	747,	3,	'Y'),
(2783,	747,	4,	'Y'),
(2784,	748,	1,	'Y'),
(2786,	748,	3,	'Y'),
(2787,	749,	1,	'Y'),
(2789,	749,	3,	'Y'),
(2790,	750,	1,	'Y'),
(2792,	750,	3,	'Y'),
(2793,	751,	1,	'Y'),
(2795,	751,	8,	'Y'),
(2796,	751,	3,	'Y'),
(2797,	752,	1,	'Y'),
(2799,	752,	3,	'Y'),
(2800,	752,	4,	'Y'),
(2801,	753,	1,	'Y'),
(2803,	753,	3,	'Y'),
(2804,	753,	4,	'Y'),
(2805,	754,	1,	'Y'),
(2807,	754,	3,	'Y'),
(2808,	755,	1,	'Y'),
(2810,	755,	3,	'Y'),
(2811,	756,	1,	'Y'),
(2813,	756,	3,	'Y'),
(2814,	756,	4,	'Y'),
(2815,	757,	1,	'Y'),
(2817,	757,	3,	'Y'),
(2818,	757,	4,	'Y'),
(2819,	758,	1,	'Y'),
(2821,	758,	3,	'Y'),
(2822,	758,	4,	'Y'),
(2823,	759,	6,	'Y'),
(2825,	759,	3,	'Y'),
(2826,	760,	1,	'Y'),
(2828,	760,	3,	'Y'),
(2829,	761,	1,	'Y'),
(2831,	761,	8,	'Y'),
(2832,	761,	3,	'Y'),
(2833,	762,	1,	'Y'),
(2835,	762,	8,	'Y'),
(2836,	762,	3,	'Y'),
(2837,	763,	1,	'Y'),
(2839,	763,	3,	'Y'),
(2840,	764,	1,	'Y'),
(2842,	764,	10,	'Y'),
(2843,	764,	3,	'Y'),
(2844,	765,	1,	'Y'),
(2846,	765,	3,	'Y'),
(2847,	766,	1,	'Y'),
(2849,	766,	3,	'Y'),
(2850,	767,	1,	'Y'),
(2852,	767,	3,	'Y'),
(2853,	768,	1,	'Y'),
(2855,	768,	3,	'Y'),
(2856,	769,	1,	'Y'),
(2858,	769,	3,	'Y'),
(2859,	770,	1,	'Y'),
(2861,	770,	3,	'Y'),
(2862,	771,	1,	'Y'),
(2864,	771,	3,	'Y'),
(2865,	772,	1,	'Y'),
(2867,	772,	3,	'Y'),
(2868,	773,	1,	'Y'),
(2870,	773,	10,	'Y'),
(2871,	773,	3,	'Y'),
(2872,	774,	1,	'Y'),
(2874,	774,	10,	'Y'),
(2875,	774,	3,	'Y'),
(2876,	775,	1,	'Y'),
(2878,	775,	10,	'Y'),
(2879,	775,	3,	'Y'),
(2880,	776,	1,	'Y'),
(2882,	776,	10,	'Y'),
(2883,	776,	3,	'Y'),
(2884,	777,	1,	'Y'),
(2886,	777,	10,	'Y'),
(2887,	777,	3,	'Y'),
(2888,	778,	1,	'Y'),
(2890,	778,	10,	'Y'),
(2891,	778,	3,	'Y'),
(2892,	779,	1,	'Y'),
(2894,	779,	10,	'Y'),
(2895,	779,	3,	'Y'),
(2896,	780,	1,	'Y'),
(2898,	780,	10,	'Y'),
(2899,	780,	3,	'Y'),
(2900,	781,	1,	'Y'),
(2902,	781,	10,	'Y'),
(2903,	781,	3,	'Y'),
(2904,	782,	1,	'Y'),
(2906,	782,	10,	'Y'),
(2907,	782,	3,	'Y'),
(2908,	783,	1,	'Y'),
(2910,	783,	10,	'Y'),
(2911,	783,	3,	'Y'),
(2912,	784,	1,	'Y'),
(2914,	784,	10,	'Y'),
(2915,	784,	3,	'Y'),
(2916,	785,	1,	'Y'),
(2918,	785,	10,	'Y'),
(2919,	785,	3,	'Y'),
(2920,	786,	1,	'Y'),
(2922,	786,	10,	'Y'),
(2923,	786,	3,	'Y'),
(2924,	787,	1,	'Y'),
(2926,	787,	10,	'Y'),
(2927,	787,	3,	'Y'),
(2928,	788,	1,	'Y'),
(2930,	788,	10,	'Y'),
(2931,	788,	3,	'Y'),
(2932,	789,	1,	'Y'),
(2934,	789,	10,	'Y'),
(2935,	789,	3,	'Y'),
(2936,	790,	1,	'Y'),
(2938,	790,	10,	'Y'),
(2939,	790,	3,	'Y'),
(2940,	790,	4,	'Y'),
(2941,	791,	1,	'Y'),
(2943,	791,	10,	'Y'),
(2944,	791,	3,	'Y'),
(2945,	792,	1,	'Y'),
(2947,	792,	10,	'Y'),
(2948,	792,	3,	'Y'),
(2949,	793,	1,	'Y'),
(2951,	793,	10,	'Y'),
(2952,	793,	3,	'Y'),
(2953,	793,	4,	'Y'),
(2954,	794,	1,	'Y'),
(2956,	794,	10,	'Y'),
(2957,	794,	3,	'Y'),
(2958,	795,	1,	'Y'),
(2960,	795,	10,	'Y'),
(2961,	795,	3,	'Y'),
(2962,	796,	1,	'Y'),
(2964,	796,	10,	'Y'),
(2965,	796,	3,	'Y'),
(2966,	797,	1,	'Y'),
(2968,	797,	10,	'Y'),
(2969,	797,	3,	'Y'),
(2970,	798,	1,	'Y'),
(2972,	798,	10,	'Y'),
(2973,	798,	3,	'Y'),
(2974,	798,	4,	'Y'),
(2975,	799,	1,	'Y'),
(2977,	799,	10,	'Y'),
(2978,	799,	3,	'Y'),
(2979,	799,	4,	'Y'),
(2980,	800,	1,	'Y'),
(2982,	800,	10,	'Y'),
(2983,	800,	3,	'Y'),
(2984,	801,	1,	'Y'),
(2986,	801,	10,	'Y'),
(2987,	801,	3,	'Y'),
(2988,	801,	4,	'Y'),
(2989,	802,	1,	'Y'),
(2991,	802,	10,	'Y'),
(2992,	802,	3,	'Y'),
(2993,	802,	4,	'Y'),
(2994,	803,	1,	'Y'),
(2996,	803,	10,	'Y'),
(2997,	803,	3,	'Y'),
(2998,	804,	1,	'Y'),
(3000,	804,	10,	'Y'),
(3001,	804,	3,	'Y'),
(3002,	804,	4,	'Y'),
(3003,	805,	1,	'Y'),
(3005,	805,	10,	'Y'),
(3006,	805,	3,	'Y'),
(3007,	805,	4,	'Y'),
(3008,	806,	1,	'Y'),
(3010,	806,	10,	'Y'),
(3011,	806,	3,	'Y'),
(3012,	807,	1,	'Y'),
(3014,	807,	10,	'Y'),
(3015,	807,	3,	'Y'),
(3016,	808,	1,	'Y'),
(3018,	808,	10,	'Y'),
(3019,	808,	3,	'Y'),
(3020,	809,	1,	'Y'),
(3022,	809,	10,	'Y'),
(3023,	809,	3,	'Y'),
(3024,	810,	1,	'Y'),
(3026,	810,	10,	'Y'),
(3027,	810,	3,	'Y'),
(3028,	811,	1,	'Y'),
(3030,	811,	10,	'Y'),
(3031,	811,	3,	'Y'),
(3032,	812,	1,	'Y'),
(3034,	812,	10,	'Y'),
(3035,	812,	3,	'Y'),
(3036,	813,	1,	'Y'),
(3038,	813,	10,	'Y'),
(3039,	813,	3,	'Y'),
(3040,	813,	4,	'Y'),
(3041,	814,	1,	'Y'),
(3043,	814,	10,	'Y'),
(3044,	814,	3,	'Y'),
(3045,	814,	4,	'Y'),
(3046,	815,	1,	'Y'),
(3048,	815,	10,	'Y'),
(3049,	815,	3,	'Y'),
(3050,	815,	4,	'Y'),
(3051,	816,	1,	'Y'),
(3053,	816,	10,	'Y'),
(3054,	816,	3,	'Y'),
(3055,	817,	1,	'Y'),
(3057,	817,	10,	'Y'),
(3058,	817,	3,	'Y'),
(3059,	817,	4,	'Y'),
(3060,	818,	1,	'Y'),
(3062,	818,	10,	'Y'),
(3063,	818,	3,	'Y'),
(3064,	819,	1,	'Y'),
(3066,	819,	10,	'Y'),
(3067,	819,	3,	'Y'),
(3068,	819,	4,	'Y'),
(3069,	820,	1,	'Y'),
(3071,	820,	10,	'Y'),
(3072,	820,	3,	'Y'),
(3073,	820,	4,	'Y'),
(3074,	821,	1,	'Y'),
(3076,	821,	10,	'Y'),
(3077,	821,	3,	'Y'),
(3078,	822,	1,	'Y'),
(3080,	822,	10,	'Y'),
(3081,	822,	3,	'Y'),
(3082,	822,	4,	'Y'),
(3083,	823,	1,	'Y'),
(3085,	823,	10,	'Y'),
(3086,	823,	3,	'Y'),
(3087,	824,	1,	'Y'),
(3089,	824,	10,	'Y'),
(3090,	824,	3,	'Y'),
(3091,	825,	1,	'Y'),
(3093,	825,	10,	'Y'),
(3094,	825,	3,	'Y'),
(3095,	826,	1,	'Y'),
(3097,	826,	10,	'Y'),
(3098,	826,	3,	'Y'),
(3099,	827,	1,	'Y'),
(3101,	827,	10,	'Y'),
(3102,	827,	3,	'Y'),
(3103,	827,	4,	'Y'),
(3104,	828,	1,	'Y'),
(3106,	828,	10,	'Y'),
(3107,	828,	3,	'Y'),
(3108,	828,	4,	'Y'),
(3109,	829,	1,	'Y'),
(3111,	829,	10,	'Y'),
(3112,	829,	3,	'Y'),
(3113,	830,	1,	'Y'),
(3115,	830,	10,	'Y'),
(3116,	830,	3,	'Y'),
(3117,	830,	4,	'Y'),
(3118,	831,	1,	'Y'),
(3120,	831,	10,	'Y'),
(3121,	831,	3,	'Y'),
(3122,	831,	4,	'Y'),
(3123,	832,	1,	'Y'),
(3125,	832,	10,	'Y'),
(3126,	832,	3,	'Y'),
(3127,	833,	1,	'Y'),
(3129,	833,	10,	'Y'),
(3130,	833,	3,	'Y'),
(3131,	833,	4,	'Y'),
(3132,	834,	1,	'Y'),
(3134,	834,	10,	'Y'),
(3135,	834,	3,	'Y'),
(3136,	834,	4,	'Y'),
(3137,	835,	1,	'Y'),
(3139,	835,	10,	'Y'),
(3140,	835,	3,	'Y'),
(3141,	836,	1,	'Y'),
(3143,	836,	10,	'Y'),
(3144,	836,	3,	'Y'),
(3145,	837,	1,	'Y'),
(3147,	837,	10,	'Y'),
(3148,	837,	3,	'Y'),
(3149,	838,	1,	'Y'),
(3151,	838,	10,	'Y'),
(3152,	838,	3,	'Y'),
(3153,	839,	1,	'Y'),
(3155,	839,	10,	'Y'),
(3156,	839,	3,	'Y'),
(3157,	839,	4,	'Y'),
(3158,	840,	1,	'Y'),
(3160,	840,	10,	'Y'),
(3161,	840,	3,	'Y'),
(3162,	841,	1,	'Y'),
(3164,	841,	10,	'Y'),
(3165,	841,	3,	'Y'),
(3166,	841,	4,	'Y'),
(3167,	842,	1,	'Y'),
(3169,	842,	10,	'Y'),
(3170,	842,	3,	'Y'),
(3171,	842,	4,	'Y'),
(3172,	843,	1,	'Y'),
(3174,	843,	10,	'Y'),
(3175,	843,	3,	'Y'),
(3176,	844,	1,	'Y'),
(3178,	844,	10,	'Y'),
(3179,	844,	3,	'Y'),
(3180,	845,	1,	'Y'),
(3182,	845,	10,	'Y'),
(3183,	845,	3,	'Y'),
(3184,	846,	1,	'Y'),
(3186,	846,	10,	'Y'),
(3187,	846,	3,	'Y'),
(3188,	847,	1,	'Y'),
(3190,	847,	10,	'Y'),
(3191,	847,	3,	'Y'),
(3192,	847,	4,	'Y'),
(3193,	848,	1,	'Y'),
(3195,	848,	10,	'Y'),
(3196,	848,	3,	'Y'),
(3197,	848,	4,	'Y'),
(3198,	849,	1,	'Y'),
(3200,	849,	10,	'Y'),
(3201,	849,	3,	'Y'),
(3202,	849,	4,	'Y'),
(3203,	850,	1,	'Y'),
(3205,	850,	10,	'Y'),
(3206,	850,	3,	'Y'),
(3207,	850,	4,	'Y'),
(3208,	851,	1,	'Y'),
(3210,	851,	10,	'Y'),
(3211,	851,	3,	'Y'),
(3212,	851,	4,	'Y'),
(3213,	852,	1,	'Y'),
(3215,	852,	10,	'Y'),
(3216,	852,	3,	'Y'),
(3217,	853,	1,	'Y'),
(3219,	853,	10,	'Y'),
(3220,	853,	3,	'Y'),
(3221,	853,	4,	'Y'),
(3222,	854,	1,	'Y'),
(3224,	854,	10,	'Y'),
(3225,	854,	3,	'Y'),
(3226,	855,	1,	'Y'),
(3228,	855,	10,	'Y'),
(3229,	855,	3,	'Y'),
(3230,	856,	1,	'Y'),
(3232,	856,	10,	'Y'),
(3233,	856,	3,	'Y'),
(3234,	856,	4,	'Y'),
(3235,	857,	1,	'Y'),
(3237,	857,	10,	'Y'),
(3238,	857,	3,	'Y'),
(3239,	857,	4,	'Y'),
(3240,	858,	1,	'Y'),
(3242,	858,	10,	'Y'),
(3243,	858,	3,	'Y'),
(3244,	859,	1,	'Y'),
(3246,	859,	10,	'Y'),
(3247,	859,	3,	'Y'),
(3248,	859,	4,	'Y'),
(3249,	860,	1,	'Y'),
(3251,	860,	10,	'Y'),
(3252,	860,	3,	'Y'),
(3253,	860,	4,	'Y'),
(3254,	861,	1,	'Y'),
(3256,	861,	10,	'Y'),
(3257,	861,	3,	'Y'),
(3258,	861,	4,	'Y'),
(3259,	862,	1,	'Y'),
(3261,	862,	10,	'Y'),
(3262,	862,	3,	'Y'),
(3263,	862,	4,	'Y'),
(3264,	863,	1,	'Y'),
(3266,	863,	10,	'Y'),
(3267,	863,	3,	'Y'),
(3268,	863,	4,	'Y'),
(3269,	864,	1,	'Y'),
(3271,	864,	10,	'Y'),
(3272,	864,	3,	'Y'),
(3273,	864,	4,	'Y'),
(3274,	865,	1,	'Y'),
(3276,	865,	10,	'Y'),
(3277,	865,	3,	'Y'),
(3278,	866,	1,	'Y'),
(3280,	866,	10,	'Y'),
(3281,	866,	3,	'Y'),
(3282,	867,	1,	'Y'),
(3284,	867,	10,	'Y'),
(3285,	867,	3,	'Y'),
(3286,	868,	1,	'Y'),
(3288,	868,	10,	'Y'),
(3289,	868,	3,	'Y'),
(3290,	869,	1,	'Y'),
(3292,	869,	10,	'Y'),
(3293,	869,	3,	'Y'),
(3294,	869,	4,	'Y'),
(3295,	870,	1,	'Y'),
(3297,	870,	10,	'Y'),
(3298,	870,	3,	'Y'),
(3299,	871,	1,	'Y'),
(3301,	871,	10,	'Y'),
(3302,	871,	3,	'Y'),
(3303,	871,	4,	'Y'),
(3304,	872,	1,	'Y'),
(3306,	872,	10,	'Y'),
(3307,	872,	3,	'Y'),
(3308,	872,	4,	'Y'),
(3309,	873,	1,	'Y'),
(3311,	873,	10,	'Y'),
(3312,	873,	3,	'Y'),
(3313,	874,	1,	'Y'),
(3315,	874,	10,	'Y'),
(3316,	874,	3,	'Y'),
(3317,	874,	4,	'Y'),
(3318,	875,	1,	'Y'),
(3320,	875,	10,	'Y'),
(3321,	875,	3,	'Y'),
(3322,	875,	4,	'Y'),
(3323,	876,	1,	'Y'),
(3325,	876,	10,	'Y'),
(3326,	876,	3,	'Y'),
(3327,	877,	1,	'Y'),
(3329,	877,	10,	'Y'),
(3330,	877,	3,	'Y'),
(3331,	878,	1,	'Y'),
(3333,	878,	10,	'Y'),
(3334,	878,	3,	'Y'),
(3335,	879,	1,	'Y'),
(3337,	879,	10,	'Y'),
(3338,	879,	3,	'Y'),
(3339,	879,	4,	'Y'),
(3340,	880,	1,	'Y'),
(3342,	880,	10,	'Y'),
(3343,	880,	3,	'Y'),
(3344,	880,	4,	'Y'),
(3345,	881,	1,	'Y'),
(3347,	881,	10,	'Y'),
(3348,	881,	3,	'Y'),
(3349,	881,	4,	'Y'),
(3350,	882,	1,	'Y'),
(3352,	882,	10,	'Y'),
(3353,	882,	3,	'Y'),
(3354,	882,	4,	'Y'),
(3355,	883,	1,	'Y'),
(3357,	883,	3,	'Y'),
(3358,	883,	4,	'Y'),
(3359,	884,	1,	'Y'),
(3361,	884,	3,	'Y'),
(3362,	885,	1,	'Y'),
(3364,	885,	3,	'Y'),
(3365,	886,	1,	'Y'),
(3367,	886,	3,	'Y'),
(3368,	887,	1,	'Y'),
(3370,	887,	3,	'Y'),
(3371,	887,	4,	'Y'),
(3372,	888,	1,	'Y'),
(3374,	888,	3,	'Y'),
(3375,	888,	4,	'Y'),
(3376,	889,	1,	'Y'),
(3378,	889,	3,	'Y'),
(3379,	890,	1,	'Y'),
(3381,	890,	3,	'Y'),
(3382,	890,	4,	'Y'),
(3383,	891,	1,	'Y'),
(3385,	891,	10,	'Y'),
(3386,	891,	4,	'Y'),
(3387,	892,	1,	'Y'),
(3389,	892,	10,	'Y'),
(3390,	892,	4,	'Y'),
(3391,	893,	1,	'Y'),
(3393,	893,	3,	'Y'),
(3394,	894,	1,	'Y'),
(3396,	894,	3,	'Y'),
(3397,	895,	1,	'Y'),
(3399,	895,	3,	'Y'),
(3400,	895,	4,	'Y'),
(3401,	896,	1,	'Y'),
(3403,	896,	3,	'Y'),
(3404,	897,	1,	'Y'),
(3406,	897,	3,	'Y'),
(3407,	898,	1,	'Y'),
(3409,	898,	3,	'Y'),
(3410,	899,	1,	'Y'),
(3412,	899,	8,	'Y'),
(3413,	899,	3,	'Y'),
(3414,	900,	1,	'Y'),
(3416,	900,	3,	'Y'),
(3417,	901,	1,	'Y'),
(3419,	901,	3,	'Y'),
(3420,	902,	1,	'Y'),
(3422,	902,	3,	'Y'),
(3423,	903,	1,	'Y'),
(3425,	903,	3,	'Y'),
(3426,	904,	1,	'Y'),
(3428,	904,	3,	'Y'),
(3429,	905,	1,	'Y'),
(3431,	905,	3,	'Y'),
(3432,	906,	1,	'Y'),
(3434,	906,	3,	'Y'),
(3435,	906,	6,	'Y'),
(3436,	907,	1,	'Y'),
(3438,	907,	3,	'Y'),
(3439,	907,	6,	'Y'),
(3440,	908,	1,	'Y'),
(3442,	908,	3,	'Y'),
(3443,	909,	1,	'Y'),
(3445,	909,	3,	'Y'),
(3446,	910,	1,	'Y'),
(3448,	910,	4,	'Y'),
(3449,	911,	1,	'Y'),
(3451,	911,	3,	'Y'),
(3452,	911,	6,	'Y'),
(3453,	912,	1,	'Y'),
(3455,	912,	3,	'Y'),
(3456,	912,	6,	'Y'),
(3457,	913,	1,	'Y'),
(3459,	913,	3,	'Y'),
(3460,	913,	6,	'Y'),
(3461,	914,	1,	'Y'),
(3463,	914,	3,	'Y'),
(3464,	914,	6,	'Y'),
(3465,	915,	4,	'Y'),
(3467,	915,	10,	'Y'),
(3468,	915,	1,	'Y'),
(3469,	916,	1,	'Y'),
(3471,	916,	10,	'Y'),
(3472,	916,	6,	'Y'),
(3473,	917,	1,	'Y'),
(3475,	917,	10,	'Y'),
(3476,	917,	6,	'Y'),
(3477,	917,	4,	'Y'),
(3478,	918,	1,	'Y'),
(3480,	918,	10,	'Y'),
(3481,	918,	6,	'Y'),
(3482,	918,	4,	'Y'),
(3483,	919,	1,	'Y'),
(3485,	919,	3,	'Y'),
(3486,	919,	4,	'Y'),
(3487,	920,	1,	'Y'),
(3489,	920,	3,	'Y'),
(3490,	921,	1,	'Y'),
(3492,	921,	3,	'Y'),
(3493,	922,	1,	'Y'),
(3495,	922,	3,	'Y'),
(3496,	923,	1,	'Y'),
(3498,	923,	3,	'Y'),
(3499,	924,	1,	'Y'),
(3501,	924,	3,	'Y'),
(3502,	925,	1,	'Y'),
(3504,	925,	3,	'Y'),
(3505,	926,	1,	'Y'),
(3507,	926,	3,	'Y'),
(3508,	927,	1,	'Y'),
(3510,	927,	3,	'Y'),
(3511,	928,	1,	'Y'),
(3513,	928,	8,	'Y'),
(3514,	928,	3,	'Y'),
(3515,	929,	1,	'Y'),
(3517,	929,	3,	'Y'),
(3518,	930,	1,	'Y'),
(3520,	930,	3,	'Y'),
(3521,	930,	7,	'Y'),
(3522,	931,	1,	'Y'),
(3524,	931,	3,	'Y'),
(3525,	931,	7,	'Y'),
(3526,	932,	1,	'Y'),
(3528,	932,	3,	'Y'),
(3529,	932,	6,	'Y'),
(3530,	932,	7,	'Y'),
(3531,	933,	1,	'Y'),
(3533,	933,	3,	'Y'),
(3534,	933,	7,	'Y'),
(3535,	934,	1,	'Y'),
(3537,	934,	3,	'Y'),
(3538,	934,	7,	'Y'),
(3539,	935,	1,	'Y'),
(3541,	935,	3,	'Y'),
(3542,	935,	7,	'Y'),
(3543,	936,	1,	'Y'),
(3545,	936,	3,	'Y'),
(3546,	936,	7,	'Y'),
(3547,	937,	1,	'Y'),
(3549,	937,	3,	'Y'),
(3550,	937,	7,	'Y'),
(3551,	938,	1,	'Y'),
(3553,	938,	3,	'Y'),
(3554,	938,	7,	'Y'),
(3555,	939,	1,	'Y'),
(3557,	939,	3,	'Y'),
(3558,	940,	1,	'Y'),
(3560,	940,	3,	'Y'),
(3561,	941,	1,	'Y'),
(3563,	941,	3,	'Y'),
(3564,	942,	1,	'Y'),
(3566,	942,	3,	'Y'),
(3567,	943,	1,	'Y'),
(3569,	943,	3,	'Y'),
(3570,	944,	1,	'Y'),
(3572,	944,	3,	'Y'),
(3573,	945,	1,	'Y'),
(3575,	945,	3,	'Y'),
(3576,	946,	1,	'Y'),
(3578,	946,	3,	'Y'),
(3579,	947,	1,	'Y'),
(3581,	947,	3,	'Y'),
(3582,	947,	4,	'Y'),
(3583,	948,	1,	'Y'),
(3585,	948,	3,	'Y'),
(3586,	949,	1,	'Y'),
(3588,	949,	3,	'Y'),
(3589,	950,	1,	'Y'),
(3591,	950,	3,	'Y'),
(3592,	951,	1,	'Y'),
(3594,	951,	3,	'Y'),
(3595,	952,	1,	'Y'),
(3597,	952,	3,	'Y'),
(3598,	952,	4,	'Y'),
(3599,	953,	1,	'Y'),
(3601,	954,	1,	'Y'),
(3603,	955,	1,	'Y'),
(3605,	956,	1,	'Y'),
(3607,	956,	3,	'Y'),
(3608,	956,	4,	'Y'),
(3609,	957,	1,	'Y'),
(3611,	957,	3,	'Y'),
(3612,	957,	4,	'Y'),
(3613,	958,	1,	'Y'),
(3615,	958,	3,	'Y'),
(3616,	958,	4,	'Y'),
(3617,	959,	1,	'Y'),
(3619,	959,	3,	'Y'),
(3620,	960,	1,	'Y'),
(3622,	961,	1,	'Y'),
(3624,	962,	1,	'Y'),
(3626,	962,	10,	'Y'),
(3627,	962,	3,	'Y'),
(3628,	962,	4,	'Y'),
(3629,	963,	1,	'Y'),
(3631,	963,	10,	'Y'),
(3632,	963,	3,	'Y'),
(3633,	963,	4,	'Y'),
(3634,	964,	1,	'Y'),
(3636,	964,	10,	'Y'),
(3637,	964,	3,	'Y'),
(3638,	964,	4,	'Y'),
(3639,	965,	1,	'Y'),
(3641,	965,	3,	'Y'),
(3642,	966,	1,	'Y'),
(3644,	966,	10,	'Y'),
(3645,	966,	3,	'Y'),
(3646,	967,	1,	'Y'),
(3648,	967,	3,	'Y'),
(3649,	968,	1,	'Y'),
(3651,	968,	3,	'Y'),
(3652,	969,	1,	'Y'),
(3654,	969,	3,	'Y'),
(3655,	970,	1,	'Y'),
(3657,	970,	10,	'Y'),
(3658,	970,	3,	'Y'),
(3659,	971,	1,	'Y'),
(3661,	971,	3,	'Y'),
(3662,	972,	1,	'Y'),
(3664,	972,	10,	'Y'),
(3665,	972,	3,	'Y'),
(3666,	973,	1,	'Y'),
(3668,	973,	3,	'Y'),
(3669,	974,	1,	'Y'),
(3671,	974,	3,	'Y'),
(3672,	975,	1,	'Y'),
(3674,	975,	10,	'Y'),
(3675,	975,	3,	'Y'),
(3676,	975,	4,	'Y'),
(3677,	976,	1,	'Y'),
(3679,	976,	3,	'Y'),
(3680,	977,	1,	'Y'),
(3682,	977,	10,	'Y'),
(3683,	977,	3,	'Y'),
(3684,	977,	4,	'Y'),
(3685,	978,	1,	'Y'),
(3687,	978,	10,	'Y'),
(3688,	978,	3,	'Y'),
(3689,	978,	4,	'Y'),
(3690,	979,	1,	'Y'),
(3692,	979,	10,	'Y'),
(3693,	979,	3,	'Y'),
(3694,	980,	1,	'Y'),
(3696,	980,	3,	'Y'),
(3697,	981,	1,	'Y'),
(3699,	981,	3,	'Y'),
(3700,	982,	1,	'Y'),
(3702,	982,	3,	'Y'),
(3703,	983,	1,	'Y'),
(3705,	983,	3,	'Y'),
(3706,	984,	1,	'Y'),
(3708,	984,	3,	'Y'),
(3709,	985,	1,	'Y'),
(3711,	985,	3,	'Y'),
(3712,	986,	1,	'Y'),
(3714,	986,	3,	'Y'),
(3715,	987,	1,	'Y'),
(3717,	987,	3,	'Y'),
(3718,	988,	1,	'Y'),
(3720,	988,	3,	'Y'),
(3721,	989,	1,	'Y'),
(3723,	989,	3,	'Y'),
(3724,	990,	1,	'Y'),
(3726,	990,	3,	'Y'),
(3727,	991,	1,	'Y'),
(3729,	991,	3,	'Y'),
(3730,	991,	4,	'Y'),
(3731,	992,	1,	'Y'),
(3733,	992,	3,	'Y'),
(3734,	993,	1,	'Y'),
(3736,	993,	10,	'Y'),
(3737,	993,	3,	'Y'),
(3738,	994,	1,	'Y'),
(3740,	994,	3,	'Y'),
(3741,	995,	1,	'Y'),
(3743,	995,	3,	'Y'),
(3744,	996,	1,	'Y'),
(3746,	996,	3,	'Y'),
(3747,	997,	1,	'Y'),
(3749,	997,	3,	'Y'),
(3750,	998,	1,	'Y'),
(3752,	998,	3,	'Y'),
(3753,	998,	4,	'Y'),
(3754,	999,	1,	'Y'),
(3756,	999,	3,	'Y'),
(3757,	1000,	1,	'Y'),
(3759,	1000,	3,	'Y'),
(3760,	1001,	1,	'Y'),
(3762,	1001,	3,	'Y'),
(3763,	1002,	1,	'Y'),
(3765,	1002,	3,	'Y'),
(3766,	1002,	4,	'Y'),
(3767,	1003,	1,	'Y'),
(3769,	1003,	3,	'Y'),
(3770,	1004,	1,	'Y'),
(3772,	1004,	3,	'Y'),
(3773,	1005,	1,	'Y'),
(3775,	1005,	3,	'Y'),
(3776,	1006,	1,	'Y'),
(3778,	1006,	3,	'Y'),
(3779,	1007,	1,	'Y'),
(3781,	1007,	3,	'Y'),
(3782,	1008,	1,	'Y'),
(3784,	1008,	3,	'Y'),
(3785,	1008,	4,	'Y'),
(3786,	1009,	1,	'Y'),
(3788,	1009,	3,	'Y'),
(3789,	1010,	1,	'Y'),
(3791,	1010,	3,	'Y'),
(3792,	1011,	1,	'Y'),
(3794,	1011,	3,	'Y'),
(3795,	1012,	1,	'Y'),
(3797,	1012,	3,	'Y'),
(3798,	1013,	1,	'Y'),
(3800,	1013,	3,	'Y'),
(3801,	1014,	1,	'Y'),
(3803,	1014,	3,	'Y'),
(3804,	1015,	1,	'Y'),
(3806,	1015,	3,	'Y'),
(3807,	1016,	1,	'Y'),
(3809,	1016,	3,	'Y'),
(3810,	1017,	1,	'Y'),
(3812,	1017,	3,	'Y'),
(3813,	1018,	1,	'Y'),
(3815,	1018,	3,	'Y'),
(3816,	1019,	1,	'Y'),
(3818,	1019,	3,	'Y'),
(3819,	1020,	1,	'Y'),
(3821,	1020,	3,	'Y'),
(3822,	1021,	1,	'Y'),
(3824,	1021,	3,	'Y'),
(3825,	1022,	1,	'Y'),
(3827,	1022,	3,	'Y'),
(3828,	1023,	1,	'Y'),
(3830,	1023,	3,	'Y'),
(3831,	1024,	1,	'Y'),
(3833,	1024,	3,	'Y'),
(3834,	1025,	1,	'Y'),
(3836,	1025,	3,	'Y'),
(3837,	1026,	1,	'Y'),
(3839,	1026,	3,	'Y'),
(3840,	1027,	1,	'Y'),
(3842,	1027,	3,	'Y'),
(3843,	1028,	1,	'Y'),
(3845,	1028,	3,	'Y'),
(3846,	1029,	1,	'Y'),
(3848,	1029,	3,	'Y'),
(3849,	1029,	4,	'Y'),
(3850,	1030,	1,	'Y'),
(3852,	1030,	3,	'Y'),
(3853,	1030,	4,	'Y'),
(3854,	1031,	1,	'Y'),
(3856,	1031,	3,	'Y'),
(3857,	1031,	4,	'Y'),
(3858,	1032,	1,	'Y'),
(3860,	1032,	3,	'Y'),
(3861,	1032,	4,	'Y'),
(3862,	1033,	1,	'Y'),
(3864,	1033,	3,	'Y'),
(3865,	1033,	4,	'Y'),
(3866,	1034,	1,	'Y'),
(3868,	1034,	3,	'Y'),
(3869,	1035,	1,	'Y'),
(3871,	1035,	3,	'Y'),
(3872,	1036,	1,	'Y'),
(3874,	1036,	3,	'Y'),
(3875,	1037,	1,	'Y'),
(3877,	1037,	3,	'Y'),
(3878,	1038,	1,	'Y'),
(3880,	1038,	3,	'Y'),
(3881,	1039,	1,	'Y'),
(3883,	1039,	3,	'Y'),
(3884,	1040,	1,	'Y'),
(3886,	1040,	3,	'Y'),
(3887,	1041,	1,	'Y'),
(3889,	1041,	3,	'Y'),
(3890,	1042,	1,	'Y'),
(3892,	1042,	3,	'Y'),
(3893,	1043,	1,	'Y'),
(3895,	1043,	3,	'Y'),
(3896,	1044,	1,	'Y'),
(3898,	1044,	3,	'Y'),
(3899,	1045,	1,	'Y'),
(3901,	1045,	3,	'Y'),
(3902,	1045,	4,	'Y'),
(3903,	1046,	1,	'Y'),
(3905,	1046,	3,	'Y'),
(3906,	1046,	4,	'Y'),
(3907,	1047,	1,	'Y'),
(3909,	1047,	3,	'Y'),
(3910,	1047,	4,	'Y'),
(3911,	1048,	1,	'Y'),
(3913,	1048,	3,	'Y'),
(3914,	1048,	4,	'Y'),
(3915,	1049,	1,	'Y'),
(3917,	1049,	3,	'Y'),
(3918,	1050,	1,	'Y'),
(3920,	1050,	3,	'Y'),
(3921,	1051,	1,	'Y'),
(3923,	1051,	3,	'Y'),
(3924,	1052,	1,	'Y'),
(3926,	1052,	3,	'Y'),
(3927,	1053,	1,	'Y'),
(3929,	1053,	3,	'Y'),
(3930,	1054,	1,	'Y'),
(3932,	1054,	3,	'Y'),
(3933,	1055,	1,	'Y'),
(3935,	1055,	3,	'Y'),
(3936,	1056,	1,	'Y'),
(3938,	1056,	3,	'Y'),
(3939,	1057,	1,	'Y'),
(3941,	1057,	3,	'Y'),
(3942,	1058,	1,	'Y'),
(3944,	1058,	3,	'Y'),
(3945,	1058,	4,	'Y'),
(3946,	1059,	1,	'Y'),
(3948,	1059,	3,	'Y'),
(3949,	1059,	6,	'Y'),
(3950,	1060,	1,	'Y'),
(3952,	1060,	3,	'Y'),
(3953,	1061,	1,	'Y'),
(3955,	1061,	3,	'Y'),
(3956,	1062,	1,	'Y'),
(3958,	1062,	3,	'Y'),
(3959,	1063,	1,	'Y'),
(3961,	1063,	3,	'Y'),
(3962,	1064,	1,	'Y'),
(3964,	1064,	3,	'Y'),
(3965,	1065,	1,	'Y'),
(3967,	1065,	3,	'Y'),
(3968,	1066,	1,	'Y'),
(3970,	1066,	3,	'Y'),
(3971,	1067,	1,	'Y'),
(3973,	1067,	3,	'Y'),
(3974,	1068,	1,	'Y'),
(3976,	1068,	3,	'Y'),
(3977,	1069,	1,	'Y'),
(3979,	1069,	3,	'Y'),
(3980,	1070,	1,	'Y'),
(3982,	1070,	3,	'Y'),
(3983,	1071,	1,	'Y'),
(3985,	1071,	3,	'Y'),
(3986,	1072,	1,	'Y'),
(3988,	1072,	3,	'Y'),
(3989,	1073,	1,	'Y'),
(3991,	1073,	3,	'Y'),
(3992,	1074,	1,	'Y'),
(3994,	1074,	3,	'Y'),
(3995,	1074,	4,	'Y'),
(3996,	1075,	1,	'Y'),
(3998,	1075,	10,	'Y'),
(3999,	1075,	3,	'Y'),
(4000,	1075,	4,	'Y'),
(4001,	1076,	1,	'Y'),
(4003,	1076,	3,	'Y'),
(4004,	1077,	1,	'Y'),
(4006,	1077,	3,	'Y'),
(4007,	1078,	1,	'Y'),
(4009,	1078,	10,	'Y'),
(4010,	1078,	3,	'Y'),
(4011,	1078,	4,	'Y'),
(4012,	1079,	1,	'Y'),
(4014,	1079,	3,	'Y'),
(4015,	1079,	4,	'Y'),
(4016,	1080,	1,	'Y'),
(4018,	1080,	3,	'Y'),
(4019,	1080,	4,	'Y'),
(4020,	1081,	1,	'Y'),
(4022,	1081,	3,	'Y'),
(4023,	1081,	4,	'Y'),
(4024,	1082,	1,	'Y'),
(4026,	1082,	3,	'Y'),
(4027,	1082,	4,	'Y'),
(4028,	1083,	1,	'Y'),
(4030,	1083,	3,	'Y'),
(4031,	1083,	4,	'Y'),
(4032,	1084,	1,	'Y'),
(4034,	1084,	3,	'Y'),
(4035,	1084,	4,	'Y'),
(4036,	1085,	1,	'Y'),
(4038,	1085,	3,	'Y'),
(4039,	1086,	1,	'Y'),
(4041,	1086,	3,	'Y'),
(4042,	1087,	1,	'Y'),
(4044,	1087,	10,	'Y'),
(4045,	1087,	3,	'Y'),
(4046,	1088,	1,	'Y'),
(4048,	1088,	3,	'Y'),
(4049,	1089,	1,	'Y'),
(4051,	1089,	3,	'Y'),
(4052,	1090,	1,	'Y'),
(4054,	1090,	3,	'Y'),
(4055,	1091,	1,	'Y'),
(4057,	1091,	3,	'Y'),
(4058,	1092,	1,	'Y'),
(4060,	1092,	3,	'Y'),
(4061,	1093,	1,	'Y'),
(4063,	1093,	3,	'Y'),
(4064,	1094,	1,	'Y'),
(4066,	1094,	3,	'Y'),
(4067,	1095,	1,	'Y'),
(4069,	1095,	3,	'Y'),
(4070,	1096,	1,	'Y'),
(4072,	1096,	10,	'Y'),
(4073,	1096,	3,	'Y'),
(4074,	1097,	1,	'Y'),
(4076,	1097,	10,	'Y'),
(4077,	1097,	3,	'Y'),
(4078,	1098,	1,	'Y'),
(4080,	1098,	3,	'Y'),
(4081,	1099,	1,	'Y'),
(4083,	1099,	3,	'Y'),
(4084,	1100,	1,	'Y'),
(4086,	1100,	3,	'Y'),
(4087,	1101,	1,	'Y'),
(4089,	1101,	10,	'Y'),
(4090,	1101,	3,	'Y'),
(4091,	1102,	1,	'Y'),
(4093,	1102,	3,	'Y'),
(4094,	1103,	1,	'Y'),
(4096,	1103,	3,	'Y'),
(4097,	1104,	1,	'Y'),
(4099,	1104,	3,	'Y'),
(4100,	1104,	4,	'Y'),
(4101,	1105,	1,	'Y'),
(4103,	1105,	10,	'Y'),
(4104,	1105,	3,	'Y'),
(4105,	1106,	1,	'Y'),
(4107,	1106,	3,	'Y'),
(4108,	1107,	1,	'Y'),
(4110,	1107,	10,	'Y'),
(4111,	1107,	3,	'Y'),
(4112,	1108,	1,	'Y'),
(4114,	1108,	3,	'Y'),
(4115,	1109,	1,	'Y'),
(4117,	1109,	3,	'Y'),
(4118,	1110,	1,	'Y'),
(4120,	1110,	3,	'Y'),
(4121,	1111,	1,	'Y'),
(4123,	1111,	3,	'Y'),
(4124,	1112,	1,	'Y'),
(4126,	1112,	3,	'Y'),
(4127,	1113,	1,	'Y'),
(4129,	1113,	3,	'Y'),
(4130,	1114,	1,	'Y'),
(4132,	1114,	3,	'Y'),
(4133,	1115,	1,	'Y'),
(4135,	1115,	3,	'Y'),
(4136,	1116,	1,	'Y'),
(4138,	1116,	3,	'Y'),
(4139,	1117,	1,	'Y'),
(4141,	1117,	3,	'Y'),
(4142,	1118,	1,	'Y'),
(4144,	1118,	3,	'Y'),
(4145,	1119,	1,	'Y'),
(4147,	1119,	3,	'Y'),
(4148,	1120,	1,	'Y'),
(4150,	1120,	3,	'Y'),
(4151,	1121,	1,	'Y'),
(4153,	1121,	3,	'Y'),
(4154,	1122,	1,	'Y'),
(4156,	1122,	3,	'Y'),
(4157,	1123,	1,	'Y'),
(4159,	1123,	3,	'Y'),
(4160,	1124,	1,	'Y'),
(4162,	1124,	3,	'Y'),
(4163,	1125,	1,	'Y'),
(4165,	1125,	3,	'Y'),
(4166,	1126,	1,	'Y'),
(4168,	1126,	3,	'Y'),
(4169,	1127,	1,	'Y'),
(4171,	1127,	3,	'Y'),
(4172,	1128,	1,	'Y'),
(4174,	1128,	3,	'Y'),
(4175,	1129,	1,	'Y'),
(4177,	1129,	3,	'Y'),
(4178,	1130,	1,	'Y'),
(4180,	1130,	3,	'Y'),
(4181,	1131,	1,	'Y'),
(4183,	1131,	3,	'Y'),
(4184,	1131,	7,	'Y'),
(4185,	1132,	1,	'Y'),
(4187,	1132,	3,	'Y'),
(4188,	1133,	1,	'Y'),
(4190,	1133,	3,	'Y'),
(4191,	1134,	1,	'Y'),
(4193,	1134,	3,	'Y'),
(4194,	1135,	1,	'Y'),
(4196,	1135,	3,	'Y'),
(4197,	1136,	1,	'Y'),
(4199,	1136,	3,	'Y'),
(4200,	1137,	1,	'Y'),
(4202,	1137,	3,	'Y'),
(4203,	1138,	1,	'Y'),
(4205,	1138,	3,	'Y'),
(4206,	1139,	1,	'Y'),
(4208,	1139,	3,	'Y'),
(4209,	1140,	1,	'Y'),
(4211,	1140,	3,	'Y'),
(4212,	1141,	1,	'Y'),
(4214,	1141,	3,	'Y'),
(4215,	1142,	1,	'Y'),
(4217,	1142,	3,	'Y'),
(4218,	1143,	1,	'Y'),
(4220,	1143,	3,	'Y'),
(4221,	1144,	1,	'Y'),
(4223,	1144,	3,	'Y'),
(4224,	1145,	1,	'Y'),
(4226,	1145,	3,	'Y'),
(4227,	1146,	1,	'Y'),
(4229,	1146,	3,	'Y'),
(4230,	1147,	1,	'Y'),
(4232,	1147,	3,	'Y'),
(4233,	1148,	1,	'Y'),
(4235,	1148,	3,	'Y'),
(4236,	1149,	1,	'Y'),
(4238,	1149,	3,	'Y'),
(4239,	1150,	1,	'Y'),
(4241,	1150,	3,	'Y'),
(4242,	1151,	1,	'Y'),
(4244,	1151,	3,	'Y'),
(4245,	1152,	1,	'Y'),
(4247,	1152,	3,	'Y'),
(4248,	1153,	1,	'Y'),
(4250,	1153,	3,	'Y'),
(4251,	1154,	1,	'Y'),
(4253,	1154,	3,	'Y'),
(4254,	1155,	1,	'Y'),
(4256,	1155,	3,	'Y'),
(4257,	1156,	1,	'Y'),
(4259,	1156,	3,	'Y'),
(4260,	1157,	1,	'Y'),
(4262,	1157,	3,	'Y'),
(4263,	1158,	1,	'Y'),
(4265,	1158,	3,	'Y'),
(4266,	1159,	1,	'Y'),
(4268,	1159,	3,	'Y'),
(4269,	1160,	1,	'Y'),
(4271,	1160,	3,	'Y'),
(4272,	1161,	1,	'Y'),
(4274,	1161,	3,	'Y'),
(4275,	1162,	1,	'Y'),
(4277,	1162,	3,	'Y'),
(4278,	1163,	1,	'Y'),
(4280,	1163,	3,	'Y'),
(4281,	1164,	1,	'Y'),
(4283,	1164,	3,	'Y'),
(4284,	1165,	1,	'Y'),
(4286,	1165,	3,	'Y'),
(4287,	1166,	1,	'Y'),
(4289,	1166,	3,	'Y'),
(4290,	1167,	1,	'Y'),
(4292,	1167,	3,	'Y'),
(4293,	1168,	1,	'Y'),
(4295,	1168,	3,	'Y'),
(4296,	1169,	1,	'Y'),
(4298,	1169,	3,	'Y'),
(4299,	1170,	1,	'Y'),
(4301,	1170,	3,	'Y'),
(4302,	1171,	1,	'Y'),
(4304,	1171,	3,	'Y'),
(4305,	1172,	1,	'Y'),
(4307,	1172,	3,	'Y'),
(4308,	1173,	1,	'Y'),
(4310,	1173,	3,	'Y'),
(4311,	1174,	1,	'Y'),
(4313,	1174,	3,	'Y'),
(4314,	1175,	1,	'Y'),
(4316,	1175,	3,	'Y'),
(4317,	1176,	1,	'Y'),
(4319,	1176,	3,	'Y'),
(4320,	1177,	1,	'Y'),
(4322,	1177,	3,	'Y'),
(4323,	1178,	1,	'Y'),
(4325,	1178,	3,	'Y'),
(4326,	1179,	1,	'Y'),
(4328,	1179,	3,	'Y'),
(4329,	1180,	1,	'Y'),
(4331,	1180,	3,	'Y'),
(4332,	1181,	1,	'Y'),
(4334,	1181,	3,	'Y'),
(4335,	1182,	1,	'Y'),
(4337,	1182,	3,	'Y'),
(4338,	1183,	1,	'Y'),
(4340,	1183,	3,	'Y'),
(4341,	1184,	1,	'Y'),
(4343,	1184,	3,	'Y'),
(4344,	1185,	1,	'Y'),
(4346,	1185,	3,	'Y'),
(4347,	1186,	1,	'Y'),
(4349,	1186,	3,	'Y'),
(4350,	1187,	1,	'Y'),
(4352,	1187,	3,	'Y'),
(4353,	1188,	1,	'Y'),
(4355,	1188,	3,	'Y'),
(4356,	1189,	1,	'Y'),
(4358,	1189,	3,	'Y'),
(4359,	1190,	1,	'Y'),
(4361,	1190,	3,	'Y'),
(4362,	1191,	1,	'Y'),
(4364,	1191,	3,	'Y'),
(4365,	1192,	1,	'Y'),
(4367,	1192,	3,	'Y'),
(4368,	1193,	1,	'Y'),
(4370,	1193,	3,	'Y'),
(4371,	1194,	1,	'Y'),
(4373,	1194,	3,	'Y'),
(4374,	1195,	1,	'Y'),
(4376,	1195,	3,	'Y'),
(4377,	1196,	1,	'Y'),
(4379,	1196,	3,	'Y'),
(4380,	1197,	1,	'Y'),
(4382,	1197,	3,	'Y'),
(4383,	1198,	1,	'Y'),
(4385,	1198,	3,	'Y'),
(4386,	1199,	1,	'Y'),
(4388,	1199,	3,	'Y'),
(4389,	1199,	4,	'Y'),
(4390,	1200,	1,	'Y'),
(4392,	1200,	3,	'Y'),
(4393,	1200,	4,	'Y'),
(4394,	1201,	1,	'Y'),
(4396,	1201,	3,	'Y'),
(4397,	1201,	4,	'Y'),
(4398,	1202,	1,	'Y'),
(4400,	1202,	3,	'Y'),
(4401,	1202,	4,	'Y'),
(4402,	1203,	1,	'Y'),
(4404,	1203,	3,	'Y'),
(4405,	1203,	4,	'Y'),
(4406,	1204,	1,	'Y'),
(4408,	1204,	3,	'Y'),
(4409,	1204,	9,	'Y'),
(4410,	1205,	1,	'Y'),
(4412,	1205,	3,	'Y'),
(4413,	1205,	9,	'Y'),
(4414,	1206,	1,	'Y'),
(4416,	1206,	3,	'Y'),
(4417,	1206,	9,	'Y'),
(4418,	1207,	1,	'Y'),
(4420,	1207,	10,	'Y'),
(4421,	1207,	3,	'Y'),
(4422,	1208,	1,	'Y'),
(4424,	1208,	10,	'Y'),
(4425,	1208,	3,	'Y'),
(4426,	1209,	1,	'Y'),
(4428,	1209,	10,	'Y'),
(4429,	1209,	3,	'Y'),
(4430,	1210,	1,	'Y'),
(4432,	1210,	10,	'Y'),
(4433,	1210,	3,	'Y'),
(4434,	1211,	1,	'Y'),
(4436,	1211,	10,	'Y'),
(4437,	1211,	3,	'Y'),
(4438,	1212,	1,	'Y'),
(4440,	1212,	10,	'Y'),
(4441,	1212,	3,	'Y'),
(4442,	1213,	1,	'Y'),
(4444,	1213,	8,	'Y'),
(4445,	1213,	3,	'Y'),
(4446,	1214,	1,	'Y'),
(4448,	1214,	8,	'Y'),
(4449,	1214,	3,	'Y'),
(4450,	1215,	1,	'Y'),
(4452,	1215,	8,	'Y'),
(4453,	1215,	3,	'Y'),
(4454,	1216,	1,	'Y'),
(4456,	1216,	8,	'Y'),
(4457,	1216,	3,	'Y'),
(4458,	1217,	1,	'Y'),
(4460,	1217,	8,	'Y'),
(4461,	1217,	3,	'Y'),
(4462,	1218,	1,	'Y'),
(4464,	1218,	8,	'Y'),
(4465,	1218,	3,	'Y'),
(4466,	1219,	1,	'Y'),
(4468,	1219,	3,	'Y'),
(4469,	1219,	4,	'Y'),
(4470,	1220,	1,	'Y'),
(4472,	1220,	3,	'Y'),
(4473,	1220,	4,	'Y'),
(4474,	1221,	1,	'Y'),
(4476,	1221,	3,	'Y'),
(4477,	1221,	4,	'Y'),
(4478,	1222,	1,	'Y'),
(4480,	1222,	3,	'Y'),
(4481,	1222,	4,	'Y'),
(4482,	1223,	1,	'Y'),
(4484,	1223,	3,	'Y'),
(4485,	1223,	4,	'Y'),
(4486,	1224,	1,	'Y'),
(4488,	1224,	3,	'Y'),
(4489,	1224,	4,	'Y'),
(4490,	1225,	1,	'Y'),
(4492,	1225,	3,	'Y'),
(4493,	1225,	4,	'Y'),
(4494,	1226,	1,	'Y'),
(4496,	1226,	3,	'Y'),
(4497,	1226,	4,	'Y'),
(4498,	1227,	1,	'Y'),
(4500,	1227,	3,	'Y'),
(4501,	1227,	4,	'Y'),
(4502,	1228,	1,	'Y'),
(4504,	1228,	3,	'Y'),
(4505,	1228,	4,	'Y'),
(4506,	1229,	1,	'Y'),
(4508,	1229,	3,	'Y'),
(4509,	1229,	4,	'Y'),
(4510,	1230,	1,	'Y'),
(4512,	1230,	3,	'Y'),
(4513,	1230,	4,	'Y'),
(4514,	1231,	1,	'Y'),
(4516,	1231,	3,	'Y'),
(4517,	1231,	4,	'Y'),
(4518,	1232,	1,	'Y'),
(4520,	1232,	10,	'Y'),
(4521,	1232,	3,	'Y'),
(4522,	1232,	4,	'Y'),
(4523,	1233,	1,	'Y'),
(4525,	1233,	10,	'Y'),
(4526,	1233,	3,	'Y'),
(4527,	1233,	4,	'Y'),
(4528,	1234,	1,	'Y'),
(4530,	1234,	10,	'Y'),
(4531,	1234,	3,	'Y'),
(4532,	1234,	4,	'Y'),
(4533,	1235,	1,	'Y'),
(4535,	1235,	10,	'Y'),
(4536,	1235,	3,	'Y'),
(4537,	1235,	4,	'Y'),
(4538,	1236,	1,	'Y'),
(4540,	1236,	10,	'Y'),
(4541,	1236,	3,	'Y'),
(4542,	1236,	4,	'Y'),
(4543,	1237,	1,	'Y'),
(4545,	1237,	3,	'Y'),
(4546,	1237,	4,	'Y'),
(4547,	1238,	1,	'Y'),
(4549,	1238,	3,	'Y'),
(4550,	1238,	4,	'Y'),
(4551,	1239,	1,	'Y'),
(4553,	1239,	3,	'Y'),
(4554,	1239,	4,	'Y'),
(4555,	1240,	1,	'Y'),
(4557,	1240,	3,	'Y'),
(4558,	1240,	4,	'Y'),
(4559,	1241,	1,	'Y'),
(4561,	1241,	3,	'Y'),
(4562,	1241,	4,	'Y'),
(4563,	1242,	1,	'Y'),
(4565,	1242,	3,	'Y'),
(4566,	1242,	4,	'Y'),
(4567,	1243,	1,	'Y'),
(4569,	1243,	3,	'Y'),
(4570,	1243,	4,	'Y'),
(4571,	1244,	1,	'Y'),
(4573,	1244,	3,	'Y'),
(4574,	1244,	4,	'Y'),
(4575,	1245,	1,	'Y'),
(4577,	1245,	3,	'Y'),
(4578,	1245,	4,	'Y'),
(4579,	1246,	1,	'Y'),
(4581,	1246,	3,	'Y'),
(4582,	1246,	4,	'Y'),
(4583,	1247,	1,	'Y'),
(4585,	1247,	3,	'Y'),
(4586,	1247,	4,	'Y'),
(4587,	1248,	1,	'Y'),
(4589,	1248,	3,	'Y'),
(4590,	1248,	4,	'Y'),
(4591,	1249,	1,	'Y'),
(4593,	1249,	3,	'Y'),
(4594,	1249,	4,	'Y'),
(4595,	1250,	1,	'Y'),
(4597,	1250,	3,	'Y'),
(4598,	1250,	4,	'Y'),
(4599,	1251,	1,	'Y'),
(4601,	1251,	3,	'Y'),
(4602,	1251,	4,	'Y'),
(4603,	1252,	1,	'Y'),
(4605,	1252,	3,	'Y'),
(4606,	1252,	4,	'Y'),
(4607,	1253,	1,	'Y'),
(4609,	1253,	3,	'Y'),
(4610,	1253,	4,	'Y'),
(4611,	1254,	1,	'Y'),
(4613,	1254,	3,	'Y'),
(4614,	1254,	4,	'Y'),
(4615,	1255,	1,	'Y'),
(4617,	1255,	3,	'Y'),
(4618,	1255,	4,	'Y'),
(4619,	1256,	1,	'Y'),
(4621,	1256,	3,	'Y'),
(4622,	1256,	4,	'Y'),
(4623,	1257,	1,	'Y'),
(4625,	1257,	3,	'Y'),
(4626,	1257,	4,	'Y'),
(4627,	1258,	1,	'Y'),
(4629,	1258,	3,	'Y'),
(4630,	1258,	4,	'Y'),
(4631,	1259,	1,	'Y'),
(4633,	1259,	3,	'Y'),
(4634,	1259,	4,	'Y'),
(4635,	1260,	1,	'Y'),
(4637,	1260,	3,	'Y'),
(4638,	1260,	4,	'Y'),
(4639,	1261,	1,	'Y'),
(4641,	1261,	3,	'Y'),
(4642,	1261,	4,	'Y'),
(4643,	1261,	7,	'Y'),
(4644,	1262,	1,	'Y'),
(4646,	1262,	3,	'Y'),
(4647,	1262,	4,	'Y'),
(4648,	1262,	7,	'Y'),
(4649,	1263,	1,	'Y'),
(4651,	1263,	3,	'Y'),
(4652,	1263,	4,	'Y'),
(4653,	1263,	7,	'Y'),
(4654,	1264,	1,	'Y'),
(4656,	1264,	10,	'Y'),
(4657,	1264,	3,	'Y'),
(4658,	1264,	7,	'Y'),
(4659,	1265,	1,	'Y'),
(4661,	1265,	3,	'Y'),
(4662,	1265,	7,	'Y'),
(4663,	1266,	1,	'Y'),
(4665,	1266,	3,	'Y'),
(4666,	1266,	7,	'Y'),
(4667,	1267,	1,	'Y'),
(4669,	1267,	3,	'Y'),
(4670,	1267,	4,	'Y'),
(4671,	1267,	7,	'Y'),
(4672,	1268,	1,	'Y'),
(4674,	1268,	3,	'Y'),
(4675,	1268,	7,	'Y'),
(4676,	1269,	1,	'Y'),
(4678,	1269,	3,	'Y'),
(4679,	1269,	7,	'Y'),
(4680,	1270,	1,	'Y'),
(4682,	1270,	3,	'Y'),
(4683,	1270,	4,	'Y'),
(4684,	1270,	7,	'Y'),
(4685,	1271,	1,	'Y'),
(4687,	1271,	3,	'Y'),
(4688,	1271,	7,	'Y'),
(4689,	1272,	1,	'Y'),
(4691,	1272,	3,	'Y'),
(4692,	1272,	7,	'Y'),
(4693,	1273,	1,	'Y'),
(4695,	1273,	3,	'Y'),
(4696,	1273,	4,	'Y'),
(4697,	1273,	7,	'Y'),
(4698,	1274,	1,	'Y'),
(4700,	1274,	3,	'Y'),
(4701,	1274,	4,	'Y'),
(4702,	1274,	7,	'Y'),
(4703,	1275,	1,	'Y'),
(4705,	1275,	3,	'Y'),
(4706,	1275,	4,	'Y'),
(4707,	1275,	7,	'Y'),
(4708,	1276,	1,	'Y'),
(4710,	1276,	3,	'Y'),
(4711,	1276,	4,	'Y'),
(4712,	1276,	7,	'Y'),
(4713,	1277,	1,	'Y'),
(4715,	1277,	3,	'Y'),
(4716,	1277,	4,	'Y'),
(4717,	1277,	7,	'Y'),
(4718,	1278,	1,	'Y'),
(4720,	1278,	3,	'Y'),
(4721,	1278,	4,	'Y'),
(4722,	1278,	7,	'Y'),
(4723,	1279,	1,	'Y'),
(4725,	1279,	3,	'Y'),
(4726,	1279,	4,	'Y'),
(4727,	1279,	7,	'Y'),
(4728,	1280,	1,	'Y'),
(4730,	1280,	3,	'Y'),
(4731,	1280,	4,	'Y'),
(4732,	1280,	7,	'Y'),
(4733,	1281,	1,	'Y'),
(4735,	1281,	3,	'Y'),
(4736,	1281,	7,	'Y'),
(4737,	1282,	1,	'Y'),
(4739,	1282,	3,	'Y'),
(4740,	1282,	4,	'Y'),
(4741,	1282,	7,	'Y'),
(4742,	1283,	1,	'Y'),
(4744,	1283,	3,	'Y'),
(4745,	1283,	7,	'Y'),
(4746,	1284,	1,	'Y'),
(4748,	1284,	3,	'Y'),
(4749,	1284,	7,	'Y'),
(4750,	1285,	1,	'Y'),
(4752,	1285,	3,	'Y'),
(4753,	1285,	4,	'Y'),
(4754,	1285,	7,	'Y'),
(4755,	1286,	1,	'Y'),
(4757,	1287,	1,	'Y'),
(4759,	1288,	1,	'Y'),
(4761,	1289,	1,	'Y'),
(4763,	1290,	1,	'Y'),
(4765,	1291,	1,	'Y'),
(4767,	1292,	1,	'Y'),
(4769,	1293,	1,	'Y'),
(4771,	1294,	1,	'Y'),
(4773,	1295,	1,	'Y'),
(4775,	1296,	1,	'Y'),
(4777,	1297,	1,	'Y'),
(4779,	1298,	1,	'Y'),
(4781,	1299,	1,	'Y'),
(4783,	1300,	1,	'Y'),
(4785,	1301,	1,	'Y'),
(4787,	1302,	1,	'Y'),
(4789,	1303,	1,	'Y'),
(4791,	1304,	1,	'Y'),
(4793,	1305,	1,	'Y'),
(4795,	1306,	1,	'Y'),
(4797,	1307,	1,	'Y'),
(4799,	1308,	1,	'Y'),
(4801,	1309,	1,	'Y'),
(4803,	1310,	1,	'Y'),
(4805,	1311,	1,	'Y'),
(4807,	1312,	1,	'Y'),
(4809,	1313,	1,	'Y'),
(4811,	1314,	1,	'Y'),
(4813,	1315,	1,	'Y'),
(4815,	1316,	1,	'Y'),
(4817,	1317,	1,	'Y'),
(4819,	1318,	1,	'Y'),
(4821,	1319,	1,	'Y'),
(4823,	1320,	1,	'Y'),
(4825,	1321,	1,	'Y'),
(4827,	1322,	1,	'Y'),
(4829,	1323,	1,	'Y'),
(4831,	1324,	1,	'Y'),
(4833,	1324,	3,	'Y'),
(4834,	1324,	4,	'Y'),
(4835,	1325,	1,	'Y'),
(4837,	1326,	1,	'Y'),
(4839,	1327,	1,	'Y'),
(4841,	1328,	1,	'Y'),
(4843,	1329,	1,	'Y'),
(4845,	1330,	1,	'Y'),
(4847,	1331,	1,	'Y'),
(4849,	1331,	8,	'Y'),
(4850,	1331,	3,	'Y'),
(4851,	1332,	1,	'Y'),
(4853,	1332,	3,	'Y'),
(4854,	1333,	1,	'Y'),
(4856,	1333,	3,	'Y'),
(4857,	1333,	4,	'Y'),
(4858,	1334,	1,	'Y'),
(4860,	1334,	3,	'Y'),
(4861,	1334,	4,	'Y'),
(4862,	1335,	1,	'Y'),
(4864,	1335,	3,	'Y'),
(4865,	1335,	4,	'Y'),
(4866,	1336,	1,	'Y'),
(4868,	1336,	10,	'Y'),
(4869,	1336,	3,	'Y'),
(4870,	1336,	4,	'Y'),
(4871,	1337,	1,	'Y'),
(4873,	1337,	10,	'Y'),
(4874,	1337,	3,	'Y'),
(4875,	1338,	1,	'Y'),
(4877,	1338,	3,	'Y'),
(4878,	1338,	4,	'Y'),
(4879,	1339,	1,	'Y'),
(4881,	1339,	10,	'Y'),
(4882,	1339,	3,	'Y'),
(4883,	1339,	4,	'Y'),
(4884,	1340,	1,	'Y'),
(4886,	1340,	3,	'Y'),
(4887,	1340,	4,	'Y'),
(4888,	1341,	1,	'Y'),
(4890,	1341,	3,	'Y'),
(4891,	1341,	4,	'Y'),
(4892,	1342,	1,	'Y'),
(4894,	1342,	3,	'Y'),
(4895,	1342,	4,	'Y'),
(4896,	1343,	1,	'Y'),
(4898,	1343,	3,	'Y'),
(4899,	1343,	4,	'Y'),
(4900,	1344,	1,	'Y'),
(4902,	1344,	10,	'Y'),
(4903,	1344,	3,	'Y'),
(4904,	1344,	4,	'Y'),
(4905,	1345,	1,	'Y'),
(4907,	1345,	3,	'Y'),
(4908,	1345,	4,	'Y'),
(4909,	1346,	1,	'Y'),
(4911,	1346,	3,	'Y'),
(4912,	1346,	4,	'Y'),
(4913,	1347,	1,	'Y'),
(4915,	1347,	3,	'Y'),
(4916,	1347,	4,	'Y'),
(4917,	1348,	1,	'Y'),
(4919,	1348,	3,	'Y'),
(4920,	1348,	4,	'Y'),
(4921,	1349,	1,	'Y'),
(4923,	1349,	10,	'Y'),
(4924,	1349,	3,	'Y'),
(4925,	1349,	4,	'Y'),
(4926,	1350,	1,	'Y'),
(4928,	1350,	10,	'Y'),
(4929,	1350,	3,	'Y'),
(4930,	1350,	4,	'Y'),
(4931,	1351,	1,	'Y'),
(4933,	1351,	3,	'Y'),
(4934,	1351,	4,	'Y'),
(4935,	1352,	1,	'Y'),
(4937,	1352,	10,	'Y'),
(4938,	1352,	3,	'Y'),
(4939,	1352,	4,	'Y'),
(4940,	1353,	1,	'Y'),
(4942,	1353,	3,	'Y'),
(4943,	1353,	4,	'Y'),
(4944,	1354,	1,	'Y'),
(4946,	1354,	10,	'Y'),
(4947,	1354,	3,	'Y'),
(4948,	1354,	4,	'Y'),
(4949,	1355,	1,	'Y'),
(4951,	1355,	3,	'Y'),
(4952,	1355,	4,	'Y'),
(4953,	1356,	1,	'Y'),
(4955,	1356,	3,	'Y'),
(4956,	1356,	4,	'Y'),
(4957,	1357,	1,	'Y'),
(4959,	1357,	10,	'Y'),
(4960,	1357,	3,	'Y'),
(4961,	1357,	4,	'Y'),
(4962,	1358,	1,	'Y'),
(4964,	1358,	3,	'Y'),
(4965,	1358,	4,	'Y'),
(4966,	1359,	1,	'Y'),
(4968,	1359,	3,	'Y'),
(4969,	1359,	4,	'Y'),
(4970,	1360,	1,	'Y'),
(4972,	1360,	3,	'Y'),
(4973,	1361,	1,	'Y'),
(4975,	1361,	3,	'Y'),
(4976,	1362,	1,	'Y'),
(4978,	1362,	3,	'Y'),
(4979,	1362,	4,	'Y'),
(4980,	1363,	1,	'Y'),
(4982,	1363,	3,	'Y'),
(4983,	1363,	4,	'Y'),
(4984,	1364,	1,	'Y'),
(4986,	1364,	3,	'Y'),
(4987,	1364,	4,	'Y'),
(4988,	1365,	1,	'Y'),
(4990,	1365,	3,	'Y'),
(4991,	1366,	1,	'Y'),
(4993,	1366,	3,	'Y'),
(4994,	1366,	4,	'Y'),
(4995,	1367,	1,	'Y'),
(4997,	1367,	3,	'Y'),
(4998,	1367,	4,	'Y'),
(4999,	1368,	1,	'Y'),
(5001,	1368,	3,	'Y'),
(5002,	1368,	4,	'Y'),
(5003,	1369,	1,	'Y'),
(5005,	1369,	3,	'Y'),
(5006,	1369,	9,	'Y'),
(5007,	1370,	1,	'Y'),
(5009,	1370,	3,	'Y'),
(5010,	1370,	9,	'Y'),
(5011,	1371,	1,	'Y'),
(5013,	1371,	3,	'Y'),
(5014,	1371,	9,	'Y'),
(5015,	1372,	1,	'Y'),
(5017,	1372,	3,	'Y'),
(5018,	1372,	9,	'Y'),
(5019,	1373,	1,	'Y'),
(5021,	1373,	3,	'Y'),
(5022,	1373,	9,	'Y'),
(5023,	1374,	1,	'Y'),
(5025,	1374,	3,	'Y'),
(5026,	1374,	4,	'Y'),
(5027,	1375,	1,	'Y'),
(5029,	1375,	3,	'Y'),
(5030,	1375,	4,	'Y'),
(5031,	1376,	1,	'Y'),
(5033,	1376,	3,	'Y'),
(5034,	1376,	4,	'Y'),
(5035,	1377,	1,	'Y'),
(5037,	1377,	3,	'Y'),
(5038,	1377,	4,	'Y'),
(5039,	1378,	1,	'Y'),
(5041,	1378,	3,	'Y'),
(5042,	1378,	4,	'Y'),
(5043,	1379,	1,	'Y'),
(5045,	1379,	3,	'Y'),
(5046,	1379,	4,	'Y'),
(5047,	1380,	1,	'Y'),
(5049,	1380,	3,	'Y'),
(5050,	1380,	4,	'Y'),
(5051,	1381,	1,	'Y'),
(5053,	1381,	3,	'Y'),
(5054,	1381,	4,	'Y'),
(5055,	1382,	1,	'Y'),
(5057,	1382,	3,	'Y'),
(5058,	1382,	4,	'Y'),
(5059,	1383,	1,	'Y'),
(5061,	1383,	3,	'Y'),
(5062,	1383,	4,	'Y'),
(5063,	1384,	1,	'Y'),
(5065,	1384,	3,	'Y'),
(5066,	1385,	1,	'Y'),
(5068,	1385,	3,	'Y'),
(5069,	1386,	1,	'Y'),
(5071,	1386,	3,	'Y'),
(5072,	1387,	1,	'Y'),
(5074,	1387,	3,	'Y'),
(5075,	1388,	1,	'Y'),
(5077,	1388,	3,	'Y'),
(5078,	1389,	1,	'Y'),
(5080,	1389,	3,	'Y'),
(5081,	1390,	1,	'Y'),
(5083,	1390,	3,	'Y'),
(5084,	1391,	1,	'Y'),
(5086,	1391,	3,	'Y'),
(5087,	1392,	1,	'Y'),
(5089,	1392,	3,	'Y'),
(5090,	1393,	1,	'Y'),
(5092,	1393,	3,	'Y'),
(5093,	1394,	1,	'Y'),
(5095,	1394,	3,	'Y'),
(5096,	1395,	1,	'Y'),
(5098,	1395,	3,	'Y'),
(5099,	1396,	1,	'Y'),
(5101,	1396,	3,	'Y'),
(5102,	1397,	1,	'Y'),
(5104,	1397,	3,	'Y'),
(5105,	1398,	1,	'Y'),
(5107,	1398,	3,	'Y'),
(5108,	1399,	1,	'Y'),
(5110,	1399,	3,	'Y'),
(5111,	1400,	1,	'Y'),
(5113,	1400,	4,	'Y'),
(5114,	1401,	1,	'Y'),
(5116,	1401,	4,	'Y'),
(5117,	1402,	1,	'Y'),
(5119,	1402,	4,	'Y'),
(5120,	1403,	1,	'Y'),
(5122,	1403,	8,	'Y'),
(5123,	1403,	3,	'Y'),
(5124,	1404,	1,	'Y'),
(5126,	1404,	8,	'Y'),
(5127,	1404,	3,	'Y'),
(5128,	1405,	1,	'Y'),
(5130,	1405,	8,	'Y'),
(5131,	1405,	3,	'Y'),
(5132,	1406,	1,	'Y'),
(5134,	1406,	8,	'Y'),
(5135,	1406,	3,	'Y'),
(5136,	1407,	1,	'Y'),
(5138,	1407,	8,	'Y'),
(5139,	1407,	3,	'Y'),
(5140,	1408,	1,	'Y'),
(5142,	1408,	8,	'Y'),
(5143,	1408,	3,	'Y'),
(5144,	1409,	1,	'Y'),
(5146,	1409,	8,	'Y'),
(5147,	1409,	3,	'Y'),
(5148,	1410,	1,	'Y'),
(5150,	1410,	8,	'Y'),
(5151,	1410,	3,	'Y'),
(5152,	1411,	1,	'Y'),
(5154,	1411,	8,	'Y'),
(5155,	1411,	3,	'Y'),
(5156,	1411,	9,	'Y'),
(5157,	1412,	1,	'Y'),
(5159,	1412,	8,	'Y'),
(5160,	1412,	3,	'Y'),
(5161,	1413,	1,	'Y'),
(5163,	1413,	8,	'Y'),
(5164,	1413,	3,	'Y'),
(5165,	1414,	1,	'Y'),
(5167,	1414,	3,	'Y'),
(5168,	1415,	1,	'Y'),
(5170,	1415,	3,	'Y'),
(5171,	1416,	1,	'Y'),
(5173,	1416,	3,	'Y'),
(5174,	1417,	1,	'Y'),
(5176,	1417,	3,	'Y'),
(5177,	1418,	1,	'Y'),
(5179,	1418,	3,	'Y'),
(5180,	1419,	1,	'Y'),
(5182,	1419,	3,	'Y'),
(5183,	1420,	1,	'Y'),
(5185,	1420,	3,	'Y'),
(5186,	1421,	1,	'Y'),
(5188,	1421,	3,	'Y'),
(5189,	1422,	1,	'Y'),
(5191,	1422,	3,	'Y'),
(5192,	1423,	1,	'Y'),
(5194,	1423,	3,	'Y'),
(5195,	1424,	1,	'Y'),
(5197,	1424,	3,	'Y'),
(5198,	1425,	1,	'Y'),
(5200,	1425,	3,	'Y'),
(5201,	1426,	1,	'Y'),
(5203,	1426,	3,	'Y'),
(5204,	1427,	1,	'Y'),
(5206,	1427,	3,	'Y'),
(5207,	1427,	4,	'Y'),
(5208,	1428,	1,	'Y'),
(5210,	1428,	3,	'Y'),
(5211,	1428,	4,	'Y'),
(5212,	1429,	1,	'Y'),
(5214,	1429,	3,	'Y'),
(5215,	1429,	4,	'Y'),
(5216,	1430,	1,	'Y'),
(5218,	1430,	3,	'Y'),
(5219,	1430,	4,	'Y'),
(5220,	1431,	1,	'Y'),
(5222,	1431,	3,	'Y'),
(5223,	1431,	7,	'Y'),
(5224,	1432,	1,	'Y'),
(5226,	1432,	3,	'Y'),
(5227,	1432,	7,	'Y'),
(5228,	1433,	1,	'Y'),
(5230,	1433,	3,	'Y'),
(5231,	1433,	7,	'Y'),
(5232,	1434,	1,	'Y'),
(5234,	1434,	10,	'Y'),
(5235,	1434,	3,	'Y'),
(5236,	1434,	7,	'Y'),
(5237,	1435,	1,	'Y'),
(5239,	1435,	3,	'Y'),
(5240,	1435,	7,	'Y'),
(5241,	1436,	1,	'Y'),
(5243,	1436,	3,	'Y'),
(5244,	1436,	7,	'Y'),
(5245,	1437,	1,	'Y'),
(5247,	1437,	3,	'Y'),
(5248,	1437,	7,	'Y'),
(5249,	1438,	1,	'Y'),
(5251,	1438,	3,	'Y'),
(5252,	1438,	7,	'Y'),
(5253,	1439,	1,	'Y'),
(5255,	1439,	3,	'Y'),
(5256,	1439,	4,	'Y'),
(5257,	1439,	7,	'Y'),
(5258,	1440,	1,	'Y'),
(5260,	1440,	3,	'Y'),
(5261,	1440,	7,	'Y'),
(5262,	1441,	1,	'Y'),
(5264,	1441,	3,	'Y'),
(5265,	1441,	7,	'Y'),
(5266,	1442,	1,	'Y'),
(5268,	1442,	3,	'Y'),
(5269,	1442,	7,	'Y'),
(5270,	1443,	1,	'Y'),
(5272,	1443,	3,	'Y'),
(5273,	1443,	4,	'Y'),
(5274,	1443,	7,	'Y'),
(5275,	1444,	1,	'Y'),
(5277,	1444,	3,	'Y'),
(5278,	1444,	7,	'Y'),
(5279,	1445,	1,	'Y'),
(5281,	1445,	3,	'Y'),
(5282,	1445,	7,	'Y'),
(5283,	1446,	1,	'Y'),
(5285,	1446,	3,	'Y'),
(5286,	1446,	7,	'Y'),
(5287,	1447,	1,	'Y'),
(5289,	1447,	3,	'Y'),
(5290,	1447,	7,	'Y'),
(5291,	1448,	1,	'Y'),
(5293,	1448,	3,	'Y'),
(5294,	1448,	7,	'Y'),
(5295,	1449,	1,	'Y'),
(5297,	1449,	3,	'Y'),
(5298,	1449,	7,	'Y'),
(5299,	1450,	1,	'Y'),
(5301,	1450,	3,	'Y'),
(5302,	1450,	7,	'Y'),
(5303,	1451,	1,	'Y'),
(5305,	1451,	3,	'Y'),
(5306,	1451,	7,	'Y'),
(5307,	1452,	1,	'Y'),
(5309,	1452,	3,	'Y'),
(5310,	1452,	7,	'Y'),
(5311,	1453,	1,	'Y'),
(5313,	1453,	3,	'Y'),
(5314,	1453,	7,	'Y'),
(5315,	1454,	1,	'Y'),
(5317,	1454,	3,	'Y'),
(5318,	1454,	7,	'Y'),
(5319,	1455,	1,	'Y'),
(5321,	1455,	3,	'Y'),
(5322,	1455,	7,	'Y'),
(5323,	1456,	1,	'Y'),
(5325,	1456,	3,	'Y'),
(5326,	1456,	7,	'Y'),
(5327,	1457,	1,	'Y'),
(5329,	1457,	3,	'Y'),
(5330,	1457,	7,	'Y'),
(5331,	1458,	1,	'Y'),
(5333,	1458,	3,	'Y'),
(5334,	1458,	7,	'Y'),
(5335,	1459,	1,	'Y'),
(5337,	1459,	3,	'Y'),
(5338,	1459,	7,	'Y'),
(5339,	1460,	1,	'Y'),
(5341,	1460,	3,	'Y'),
(5342,	1460,	7,	'Y'),
(5343,	1461,	1,	'Y'),
(5345,	1461,	3,	'Y'),
(5346,	1461,	7,	'Y'),
(5347,	1462,	1,	'Y'),
(5349,	1462,	3,	'Y'),
(5350,	1462,	7,	'Y'),
(5351,	1463,	1,	'Y'),
(5353,	1463,	3,	'Y'),
(5354,	1463,	7,	'Y'),
(5355,	1464,	1,	'Y'),
(5357,	1464,	3,	'Y'),
(5358,	1465,	1,	'Y'),
(5360,	1465,	3,	'Y'),
(5361,	1466,	1,	'Y'),
(5363,	1466,	3,	'Y'),
(5364,	1467,	1,	'Y'),
(5366,	1467,	3,	'Y'),
(5367,	1468,	1,	'Y'),
(5369,	1468,	3,	'Y'),
(5370,	1468,	7,	'Y'),
(5371,	1469,	1,	'Y'),
(5373,	1469,	3,	'Y'),
(5374,	1469,	7,	'Y'),
(5375,	1470,	1,	'Y'),
(5377,	1470,	3,	'Y'),
(5378,	1470,	7,	'Y'),
(5379,	1471,	1,	'Y'),
(5381,	1471,	3,	'Y'),
(5382,	1471,	7,	'Y'),
(5383,	1472,	1,	'Y'),
(5385,	1472,	3,	'Y'),
(5386,	1472,	7,	'Y'),
(5387,	1473,	1,	'Y'),
(5389,	1473,	3,	'Y'),
(5390,	1473,	7,	'Y'),
(5391,	1474,	1,	'Y'),
(5393,	1474,	3,	'Y'),
(5394,	1474,	7,	'Y'),
(5395,	1475,	1,	'Y'),
(5397,	1475,	3,	'Y'),
(5398,	1475,	7,	'Y'),
(5399,	1476,	1,	'Y'),
(5401,	1476,	3,	'Y'),
(5402,	1476,	7,	'Y'),
(5403,	1477,	1,	'Y'),
(5405,	1477,	3,	'Y'),
(5406,	1477,	7,	'Y'),
(5407,	1478,	1,	'Y'),
(5409,	1478,	3,	'Y'),
(5410,	1478,	7,	'Y'),
(5411,	1479,	1,	'Y'),
(5413,	1479,	3,	'Y'),
(5414,	1479,	7,	'Y'),
(5415,	1480,	1,	'Y'),
(5417,	1480,	3,	'Y'),
(5418,	1480,	7,	'Y'),
(5419,	1481,	1,	'Y'),
(5421,	1481,	3,	'Y'),
(5422,	1481,	7,	'Y'),
(5423,	1482,	1,	'Y'),
(5425,	1482,	3,	'Y'),
(5426,	1482,	7,	'Y'),
(5427,	1483,	1,	'Y'),
(5429,	1483,	3,	'Y'),
(5430,	1483,	7,	'Y'),
(5431,	1484,	1,	'Y'),
(5433,	1484,	3,	'Y'),
(5434,	1484,	7,	'Y'),
(5435,	1485,	1,	'Y'),
(5437,	1485,	3,	'Y'),
(5438,	1485,	7,	'Y'),
(5439,	1486,	1,	'Y'),
(5441,	1486,	3,	'Y'),
(5442,	1486,	7,	'Y'),
(5443,	1487,	1,	'Y'),
(5445,	1487,	3,	'Y'),
(5446,	1487,	7,	'Y'),
(5447,	1488,	1,	'Y'),
(5449,	1488,	3,	'Y'),
(5450,	1488,	7,	'Y'),
(5451,	1489,	1,	'Y'),
(5453,	1489,	3,	'Y'),
(5454,	1489,	7,	'Y'),
(5455,	1490,	1,	'Y'),
(5457,	1490,	3,	'Y'),
(5458,	1490,	7,	'Y'),
(5459,	1491,	1,	'Y'),
(5461,	1491,	3,	'Y'),
(5462,	1491,	7,	'Y'),
(5463,	1492,	1,	'Y'),
(5465,	1492,	3,	'Y'),
(5466,	1492,	7,	'Y'),
(5467,	1493,	1,	'Y'),
(5469,	1493,	3,	'Y'),
(5470,	1493,	7,	'Y'),
(5471,	1494,	1,	'Y'),
(5473,	1494,	3,	'Y'),
(5474,	1494,	7,	'Y'),
(5475,	1495,	1,	'Y'),
(5477,	1495,	3,	'Y'),
(5478,	1495,	7,	'Y'),
(5479,	1496,	1,	'Y'),
(5481,	1496,	3,	'Y'),
(5482,	1496,	7,	'Y'),
(5483,	1497,	1,	'Y'),
(5485,	1497,	3,	'Y'),
(5486,	1497,	7,	'Y'),
(5487,	1498,	1,	'Y'),
(5489,	1498,	3,	'Y'),
(5490,	1498,	7,	'Y'),
(5491,	1499,	1,	'Y'),
(5493,	1499,	3,	'Y'),
(5494,	1499,	7,	'Y'),
(5495,	1500,	1,	'Y'),
(5497,	1500,	3,	'Y'),
(5498,	1500,	7,	'Y'),
(5499,	1501,	1,	'Y'),
(5501,	1501,	3,	'Y'),
(5502,	1501,	7,	'Y'),
(5503,	1502,	1,	'Y'),
(5505,	1502,	3,	'Y'),
(5506,	1502,	7,	'Y'),
(5507,	1503,	1,	'Y'),
(5509,	1503,	3,	'Y'),
(5510,	1503,	7,	'Y'),
(5511,	1504,	1,	'Y'),
(5513,	1504,	3,	'Y'),
(5514,	1504,	7,	'Y'),
(5515,	1505,	1,	'Y'),
(5517,	1505,	3,	'Y'),
(5518,	1505,	7,	'Y'),
(5519,	1506,	1,	'Y'),
(5521,	1506,	3,	'Y'),
(5522,	1506,	7,	'Y'),
(5523,	1507,	1,	'Y'),
(5525,	1507,	3,	'Y'),
(5526,	1507,	7,	'Y'),
(5527,	1508,	1,	'Y'),
(5529,	1508,	3,	'Y'),
(5530,	1508,	7,	'Y'),
(5531,	1509,	1,	'Y'),
(5533,	1509,	3,	'Y'),
(5534,	1509,	7,	'Y'),
(5535,	1510,	1,	'Y'),
(5537,	1510,	3,	'Y'),
(5538,	1510,	7,	'Y'),
(5539,	1511,	1,	'Y'),
(5541,	1511,	3,	'Y'),
(5542,	1511,	7,	'Y'),
(5543,	1512,	1,	'Y'),
(5545,	1512,	3,	'Y'),
(5546,	1512,	7,	'Y'),
(5547,	1513,	1,	'Y'),
(5549,	1513,	3,	'Y'),
(5550,	1513,	7,	'Y'),
(5551,	1514,	1,	'Y'),
(5553,	1514,	3,	'Y'),
(5554,	1514,	7,	'Y'),
(5555,	1515,	1,	'Y'),
(5557,	1515,	3,	'Y'),
(5558,	1515,	7,	'Y'),
(5559,	1516,	1,	'Y'),
(5561,	1516,	3,	'Y'),
(5562,	1516,	7,	'Y'),
(5563,	1517,	1,	'Y'),
(5565,	1517,	3,	'Y'),
(5566,	1517,	7,	'Y'),
(5567,	1518,	1,	'Y'),
(5569,	1518,	3,	'Y'),
(5570,	1518,	7,	'Y'),
(5571,	1519,	1,	'Y'),
(5573,	1519,	3,	'Y'),
(5574,	1519,	7,	'Y'),
(5575,	1520,	1,	'Y'),
(5577,	1520,	3,	'Y'),
(5578,	1520,	7,	'Y'),
(5579,	1521,	1,	'Y'),
(5581,	1521,	3,	'Y'),
(5582,	1521,	7,	'Y'),
(5583,	1522,	1,	'Y'),
(5585,	1522,	3,	'Y'),
(5586,	1522,	7,	'Y'),
(5587,	1523,	1,	'Y'),
(5589,	1523,	3,	'Y'),
(5590,	1523,	7,	'Y'),
(5591,	1524,	1,	'Y'),
(5593,	1524,	3,	'Y'),
(5594,	1524,	7,	'Y'),
(5595,	1525,	1,	'Y'),
(5597,	1525,	3,	'Y'),
(5598,	1525,	7,	'Y'),
(5599,	1526,	1,	'Y'),
(5601,	1526,	3,	'Y'),
(5602,	1526,	7,	'Y'),
(5603,	1527,	1,	'Y'),
(5605,	1527,	3,	'Y'),
(5606,	1527,	7,	'Y'),
(5607,	1528,	1,	'Y'),
(5609,	1528,	3,	'Y'),
(5610,	1528,	7,	'Y'),
(5611,	1529,	1,	'Y'),
(5613,	1529,	3,	'Y'),
(5614,	1529,	7,	'Y'),
(5615,	1530,	1,	'Y'),
(5617,	1530,	3,	'Y'),
(5618,	1530,	7,	'Y'),
(5619,	1531,	1,	'Y'),
(5621,	1531,	3,	'Y'),
(5622,	1531,	7,	'Y'),
(5623,	1532,	1,	'Y'),
(5625,	1532,	3,	'Y'),
(5626,	1532,	7,	'Y'),
(5627,	1533,	1,	'Y'),
(5629,	1533,	3,	'Y'),
(5630,	1533,	7,	'Y'),
(5631,	1534,	1,	'Y'),
(5633,	1534,	3,	'Y'),
(5634,	1534,	7,	'Y'),
(5635,	1535,	1,	'Y'),
(5637,	1535,	3,	'Y'),
(5638,	1535,	7,	'Y'),
(5639,	1536,	1,	'Y'),
(5641,	1536,	3,	'Y'),
(5642,	1536,	7,	'Y'),
(5643,	1537,	1,	'Y'),
(5645,	1537,	3,	'Y'),
(5646,	1537,	7,	'Y'),
(5647,	1538,	1,	'Y'),
(5649,	1538,	3,	'Y'),
(5650,	1538,	7,	'Y'),
(5651,	1539,	1,	'Y'),
(5653,	1539,	3,	'Y'),
(5654,	1539,	7,	'Y'),
(5655,	1540,	1,	'Y'),
(5657,	1540,	3,	'Y'),
(5658,	1540,	7,	'Y'),
(5659,	1541,	1,	'Y'),
(5661,	1541,	3,	'Y'),
(5662,	1541,	7,	'Y'),
(5663,	1542,	1,	'Y'),
(5665,	1542,	3,	'Y'),
(5666,	1542,	7,	'Y'),
(5667,	1543,	1,	'Y'),
(5669,	1543,	3,	'Y'),
(5670,	1543,	7,	'Y'),
(5671,	1544,	1,	'Y'),
(5673,	1544,	3,	'Y'),
(5674,	1544,	7,	'Y'),
(5675,	1545,	1,	'Y'),
(5677,	1545,	3,	'Y'),
(5678,	1545,	7,	'Y'),
(5679,	1546,	1,	'Y'),
(5681,	1546,	3,	'Y'),
(5682,	1546,	7,	'Y'),
(5683,	1547,	1,	'Y'),
(5685,	1547,	3,	'Y'),
(5686,	1547,	7,	'Y'),
(5687,	1548,	1,	'Y'),
(5689,	1548,	3,	'Y'),
(5690,	1548,	7,	'Y'),
(5691,	1549,	1,	'Y'),
(5693,	1549,	3,	'Y'),
(5694,	1549,	7,	'Y'),
(5695,	1550,	1,	'Y'),
(5697,	1550,	3,	'Y'),
(5698,	1550,	4,	'Y'),
(5699,	1551,	1,	'Y'),
(5701,	1551,	3,	'Y'),
(5702,	1551,	4,	'Y'),
(5703,	1552,	1,	'Y'),
(5705,	1552,	3,	'Y'),
(5706,	1552,	4,	'Y'),
(5707,	1553,	1,	'Y'),
(5709,	1553,	3,	'Y'),
(5710,	1553,	4,	'Y'),
(5711,	1554,	1,	'Y'),
(5713,	1554,	3,	'Y'),
(5714,	1554,	4,	'Y'),
(5715,	1555,	1,	'Y'),
(5717,	1555,	3,	'Y'),
(5718,	1555,	4,	'Y'),
(5719,	1556,	1,	'Y'),
(5721,	1556,	3,	'Y'),
(5722,	1556,	4,	'Y'),
(5723,	1557,	1,	'Y'),
(5725,	1557,	3,	'Y'),
(5726,	1557,	4,	'Y'),
(5727,	1558,	1,	'Y'),
(5729,	1558,	3,	'Y'),
(5730,	1559,	1,	'Y'),
(5732,	1559,	3,	'Y'),
(5733,	1560,	1,	'Y'),
(5735,	1560,	3,	'Y'),
(5736,	1561,	1,	'Y'),
(5738,	1561,	3,	'Y'),
(5739,	1562,	1,	'Y'),
(5741,	1562,	3,	'Y'),
(5742,	1563,	1,	'Y'),
(5744,	1563,	3,	'Y'),
(5745,	1563,	6,	'Y'),
(5746,	1564,	1,	'Y'),
(5748,	1564,	3,	'Y'),
(5749,	1564,	6,	'Y'),
(5750,	1565,	1,	'Y'),
(5752,	1565,	3,	'Y'),
(5753,	1566,	1,	'Y'),
(5755,	1566,	3,	'Y'),
(5756,	1566,	6,	'Y'),
(5757,	1567,	1,	'Y'),
(5759,	1567,	3,	'Y'),
(5760,	1567,	6,	'Y'),
(5761,	1568,	1,	'Y'),
(5763,	1568,	3,	'Y'),
(5764,	1568,	6,	'Y'),
(5765,	1569,	1,	'Y'),
(5767,	1569,	3,	'Y'),
(5768,	1569,	6,	'Y'),
(5769,	1570,	1,	'Y'),
(5771,	1570,	3,	'Y'),
(5772,	1570,	4,	'Y'),
(5773,	1571,	1,	'Y'),
(5775,	1571,	3,	'Y'),
(5776,	1571,	6,	'Y'),
(5777,	1572,	1,	'Y'),
(5779,	1572,	3,	'Y'),
(5780,	1572,	6,	'Y'),
(5781,	1573,	1,	'Y'),
(5783,	1573,	3,	'Y'),
(5784,	1574,	1,	'Y'),
(5786,	1574,	3,	'Y'),
(5787,	1575,	1,	'Y'),
(5789,	1575,	3,	'Y'),
(5790,	1576,	1,	'Y'),
(5792,	1576,	3,	'Y'),
(5793,	1577,	1,	'Y'),
(5795,	1577,	3,	'Y'),
(5796,	1578,	1,	'Y'),
(5798,	1578,	3,	'Y'),
(5799,	1579,	1,	'Y'),
(5801,	1579,	3,	'Y'),
(5802,	1580,	1,	'Y'),
(5804,	1580,	3,	'Y'),
(5805,	1581,	1,	'Y'),
(5807,	1581,	3,	'Y'),
(5808,	1582,	1,	'Y'),
(5810,	1582,	3,	'Y'),
(5811,	1583,	1,	'Y'),
(5813,	1583,	3,	'Y'),
(5814,	1584,	1,	'Y'),
(5816,	1584,	3,	'Y'),
(5817,	1585,	1,	'Y'),
(5819,	1585,	3,	'Y'),
(5820,	1586,	1,	'Y'),
(5822,	1586,	3,	'Y'),
(5823,	1587,	1,	'Y'),
(5825,	1587,	3,	'Y'),
(5826,	1587,	4,	'Y'),
(5827,	1588,	1,	'Y'),
(5829,	1588,	3,	'Y'),
(5830,	1589,	1,	'Y'),
(5832,	1589,	10,	'Y'),
(5833,	1589,	3,	'Y'),
(5834,	1590,	1,	'Y'),
(5836,	1590,	3,	'Y'),
(5837,	1591,	1,	'Y'),
(5839,	1591,	3,	'Y'),
(5840,	1592,	1,	'Y'),
(5842,	1592,	3,	'Y'),
(5843,	1593,	1,	'Y'),
(5845,	1593,	3,	'Y'),
(5846,	1594,	1,	'Y'),
(5848,	1594,	3,	'Y'),
(5849,	1595,	1,	'Y'),
(5851,	1595,	3,	'Y'),
(5852,	1596,	1,	'Y'),
(5854,	1596,	3,	'Y'),
(5855,	1597,	1,	'Y'),
(5857,	1597,	3,	'Y'),
(5858,	1597,	4,	'Y'),
(5859,	1598,	1,	'Y'),
(5861,	1598,	3,	'Y'),
(5862,	1599,	1,	'Y'),
(5864,	1599,	3,	'Y'),
(5865,	1600,	1,	'Y'),
(5867,	1600,	3,	'Y'),
(5868,	1601,	1,	'Y'),
(5870,	1601,	3,	'Y'),
(5871,	1602,	1,	'Y'),
(5873,	1602,	3,	'Y'),
(5874,	1603,	1,	'Y'),
(5876,	1603,	3,	'Y'),
(5877,	1604,	1,	'Y'),
(5879,	1604,	3,	'Y'),
(5880,	1605,	1,	'Y'),
(5882,	1605,	3,	'Y'),
(5883,	1606,	1,	'Y'),
(5885,	1606,	3,	'Y'),
(5886,	1607,	1,	'Y'),
(5888,	1607,	3,	'Y'),
(5889,	1608,	1,	'Y'),
(5891,	1608,	3,	'Y'),
(5892,	1608,	4,	'Y'),
(5893,	1609,	1,	'Y'),
(5895,	1609,	3,	'Y'),
(5896,	1610,	1,	'Y'),
(5898,	1610,	3,	'Y'),
(5899,	1611,	1,	'Y'),
(5901,	1611,	3,	'Y'),
(5902,	1612,	1,	'Y'),
(5904,	1612,	3,	'Y'),
(5905,	1613,	1,	'Y'),
(5907,	1613,	3,	'Y'),
(5908,	1614,	1,	'Y'),
(5910,	1614,	3,	'Y'),
(5911,	1615,	1,	'Y'),
(5913,	1615,	3,	'Y'),
(5914,	1616,	1,	'Y'),
(5916,	1616,	3,	'Y'),
(5917,	1617,	1,	'Y'),
(5919,	1617,	3,	'Y'),
(5920,	1618,	1,	'Y'),
(5922,	1618,	3,	'Y'),
(5923,	1619,	1,	'Y'),
(5925,	1619,	3,	'Y'),
(5926,	1620,	1,	'Y'),
(5928,	1620,	3,	'Y'),
(5929,	1621,	1,	'Y'),
(5931,	1621,	3,	'Y'),
(5932,	1622,	1,	'Y'),
(5934,	1622,	3,	'Y'),
(5935,	1623,	1,	'Y'),
(5937,	1623,	3,	'Y'),
(5938,	1624,	1,	'Y'),
(5940,	1624,	3,	'Y'),
(5941,	1625,	1,	'Y'),
(5943,	1625,	3,	'Y'),
(5944,	1626,	1,	'Y'),
(5946,	1626,	3,	'Y'),
(5947,	1627,	1,	'Y'),
(5949,	1627,	3,	'Y'),
(5950,	1628,	1,	'Y'),
(5952,	1628,	3,	'Y'),
(5953,	1629,	1,	'Y'),
(5955,	1629,	10,	'Y'),
(5956,	1629,	3,	'Y'),
(5957,	1630,	1,	'Y'),
(5959,	1630,	3,	'Y'),
(5960,	1631,	1,	'Y'),
(5962,	1631,	3,	'Y'),
(5963,	1632,	1,	'Y'),
(5965,	1632,	3,	'Y'),
(5966,	1633,	1,	'Y'),
(5968,	1633,	3,	'Y'),
(5969,	1634,	1,	'Y'),
(5971,	1634,	3,	'Y'),
(5972,	1635,	1,	'Y'),
(5974,	1635,	3,	'Y'),
(5975,	1636,	1,	'Y'),
(5977,	1636,	3,	'Y'),
(5978,	1637,	1,	'Y'),
(5980,	1637,	3,	'Y'),
(5981,	1638,	1,	'Y'),
(5983,	1638,	3,	'Y'),
(5984,	1639,	1,	'Y'),
(5986,	1639,	3,	'Y'),
(5987,	1639,	6,	'Y'),
(5988,	1640,	1,	'Y'),
(5990,	1640,	3,	'Y'),
(5991,	1641,	1,	'Y'),
(5993,	1641,	3,	'Y'),
(5994,	1642,	1,	'Y'),
(5996,	1642,	10,	'Y'),
(5997,	1642,	3,	'Y'),
(5998,	1643,	1,	'Y'),
(6000,	1643,	3,	'Y'),
(6001,	1644,	1,	'Y'),
(6003,	1644,	3,	'Y'),
(6004,	1645,	1,	'Y'),
(6006,	1645,	4,	'Y'),
(6007,	1646,	1,	'Y'),
(6009,	1647,	1,	'Y'),
(6011,	1648,	1,	'Y'),
(6013,	1649,	1,	'Y'),
(6015,	1650,	1,	'Y'),
(6017,	1651,	1,	'Y'),
(6019,	1652,	1,	'Y'),
(6021,	1652,	3,	'Y'),
(6022,	1653,	1,	'Y'),
(6024,	1653,	3,	'Y'),
(6025,	1654,	1,	'Y'),
(6027,	1655,	1,	'Y'),
(6029,	1656,	1,	'Y'),
(6031,	1657,	1,	'Y'),
(6033,	1657,	3,	'Y'),
(6034,	1658,	1,	'Y'),
(6036,	1658,	3,	'Y'),
(6037,	1659,	1,	'Y'),
(6039,	1660,	1,	'Y'),
(6041,	1661,	1,	'Y'),
(6043,	1662,	1,	'Y'),
(6045,	1663,	1,	'Y'),
(6047,	1663,	3,	'Y'),
(6048,	1664,	1,	'Y'),
(6050,	1665,	1,	'Y'),
(6052,	1666,	1,	'Y'),
(6054,	1667,	1,	'Y'),
(6056,	1667,	3,	'Y'),
(6057,	1668,	1,	'Y'),
(6059,	1669,	1,	'Y'),
(6061,	1669,	3,	'Y'),
(6062,	1670,	1,	'Y'),
(6064,	1670,	3,	'Y'),
(6065,	1671,	1,	'Y'),
(6067,	1671,	3,	'Y'),
(6068,	1672,	1,	'Y'),
(6070,	1672,	3,	'Y'),
(6071,	1673,	1,	'Y'),
(6073,	1673,	3,	'Y'),
(6074,	1674,	1,	'Y'),
(6076,	1674,	3,	'Y'),
(6077,	1675,	1,	'Y'),
(6079,	1675,	3,	'Y'),
(6080,	1676,	1,	'Y'),
(6082,	1676,	3,	'Y'),
(6083,	1677,	1,	'Y'),
(6085,	1678,	1,	'Y'),
(6087,	1679,	1,	'Y'),
(6089,	1679,	3,	'Y'),
(6090,	1680,	1,	'Y'),
(6092,	1680,	3,	'Y'),
(6093,	1681,	1,	'Y'),
(6095,	1682,	1,	'Y'),
(6097,	1682,	4,	'Y'),
(6098,	1683,	1,	'Y'),
(6100,	1684,	1,	'Y'),
(6102,	1684,	3,	'Y'),
(6103,	1685,	1,	'Y'),
(6105,	1685,	3,	'Y'),
(6106,	1686,	1,	'Y'),
(6108,	1686,	3,	'Y'),
(6109,	1687,	1,	'Y'),
(6111,	1687,	3,	'Y'),
(6112,	1688,	1,	'Y'),
(6114,	1688,	3,	'Y'),
(6115,	1689,	1,	'Y'),
(6117,	1689,	3,	'Y'),
(6118,	1690,	1,	'Y'),
(6120,	1690,	3,	'Y'),
(6121,	1691,	1,	'Y'),
(6123,	1691,	3,	'Y'),
(6124,	1692,	1,	'Y'),
(6126,	1692,	3,	'Y'),
(6127,	1693,	1,	'Y'),
(6129,	1693,	3,	'Y'),
(6130,	1694,	1,	'Y'),
(6132,	1694,	3,	'Y'),
(6133,	1695,	1,	'Y'),
(6135,	1695,	3,	'Y'),
(6136,	1696,	1,	'Y'),
(6138,	1696,	3,	'Y'),
(6139,	1697,	1,	'Y'),
(6141,	1697,	3,	'Y'),
(6142,	1698,	1,	'Y'),
(6144,	1698,	3,	'Y'),
(6145,	1699,	1,	'Y'),
(6147,	1699,	3,	'Y'),
(6148,	1700,	1,	'Y'),
(6150,	1700,	3,	'Y'),
(6151,	1701,	1,	'Y'),
(6153,	1701,	3,	'Y'),
(6154,	1702,	1,	'Y'),
(6156,	1702,	3,	'Y'),
(6157,	1703,	1,	'Y'),
(6159,	1703,	3,	'Y'),
(6160,	1704,	1,	'Y'),
(6162,	1704,	3,	'Y'),
(6163,	1705,	1,	'Y'),
(6165,	1705,	3,	'Y'),
(6166,	1706,	1,	'Y'),
(6168,	1706,	3,	'Y'),
(6169,	1707,	1,	'Y'),
(6171,	1707,	3,	'Y'),
(6172,	1708,	1,	'Y'),
(6174,	1708,	10,	'Y'),
(6175,	1708,	8,	'Y'),
(6176,	1708,	3,	'Y'),
(6177,	1709,	1,	'Y'),
(6179,	1709,	3,	'Y'),
(6180,	1710,	1,	'Y'),
(6182,	1710,	3,	'Y'),
(6183,	1711,	1,	'Y'),
(6185,	1711,	3,	'Y'),
(6186,	1712,	1,	'Y'),
(6188,	1712,	3,	'Y'),
(6189,	1712,	4,	'Y'),
(6190,	1713,	1,	'Y'),
(6192,	1713,	3,	'Y'),
(6193,	1713,	4,	'Y'),
(6194,	1714,	1,	'Y'),
(6196,	1714,	3,	'Y'),
(6197,	1714,	4,	'Y'),
(6198,	1715,	1,	'Y'),
(6200,	1715,	3,	'Y'),
(6201,	1716,	1,	'Y'),
(6203,	1716,	3,	'Y'),
(6204,	1716,	4,	'Y'),
(6205,	1717,	1,	'Y'),
(6207,	1717,	3,	'Y'),
(6208,	1718,	1,	'Y'),
(6210,	1718,	3,	'Y'),
(6211,	1719,	1,	'Y'),
(6213,	1719,	3,	'Y'),
(6214,	1720,	1,	'Y'),
(6216,	1720,	8,	'Y'),
(6217,	1721,	1,	'Y'),
(6219,	1721,	8,	'Y'),
(6220,	1722,	1,	'Y'),
(6222,	1722,	3,	'Y'),
(6223,	1722,	4,	'Y'),
(6224,	1723,	1,	'Y'),
(6226,	1723,	3,	'Y'),
(6227,	1723,	4,	'Y'),
(6228,	1724,	1,	'Y'),
(6230,	1724,	3,	'Y'),
(6231,	1724,	4,	'Y'),
(6232,	1725,	1,	'Y'),
(6234,	1725,	3,	'Y'),
(6235,	1725,	4,	'Y'),
(6236,	1726,	1,	'Y'),
(6238,	1726,	3,	'Y'),
(6239,	1726,	4,	'Y'),
(6240,	1727,	1,	'Y'),
(6242,	1727,	3,	'Y'),
(6243,	1727,	4,	'Y'),
(6244,	1728,	1,	'Y'),
(6246,	1728,	3,	'Y'),
(6247,	1729,	1,	'Y'),
(6249,	1729,	3,	'Y'),
(6250,	1730,	1,	'Y'),
(6252,	1730,	3,	'Y'),
(6253,	1731,	1,	'Y'),
(6255,	1731,	3,	'Y'),
(6256,	1732,	1,	'Y'),
(6258,	1732,	3,	'Y'),
(6259,	1733,	1,	'Y'),
(6261,	1733,	3,	'Y'),
(6262,	1734,	1,	'Y'),
(6264,	1734,	3,	'Y'),
(6265,	1735,	1,	'Y'),
(6267,	1735,	3,	'Y'),
(6268,	1736,	1,	'Y'),
(6270,	1736,	3,	'Y'),
(6271,	1737,	1,	'Y'),
(6273,	1737,	3,	'Y'),
(6274,	1738,	1,	'Y'),
(6276,	1738,	3,	'Y'),
(6277,	1739,	1,	'Y'),
(6279,	1739,	10,	'Y'),
(6280,	1739,	3,	'Y'),
(6281,	1740,	1,	'Y'),
(6283,	1740,	10,	'Y'),
(6284,	1740,	3,	'Y'),
(6285,	1741,	1,	'Y'),
(6287,	1741,	10,	'Y'),
(6288,	1741,	3,	'Y'),
(6289,	1742,	1,	'Y'),
(6291,	1742,	10,	'Y'),
(6292,	1742,	3,	'Y'),
(6293,	1743,	1,	'Y'),
(6295,	1743,	10,	'Y'),
(6296,	1743,	3,	'Y'),
(6297,	1744,	1,	'Y'),
(6299,	1744,	10,	'Y'),
(6300,	1744,	3,	'Y'),
(6301,	1745,	1,	'Y'),
(6303,	1745,	10,	'Y'),
(6304,	1745,	3,	'Y'),
(6305,	1746,	1,	'Y'),
(6307,	1746,	3,	'Y'),
(6308,	1747,	1,	'Y'),
(6310,	1747,	3,	'Y'),
(6311,	1748,	1,	'Y'),
(6313,	1748,	3,	'Y'),
(6314,	1749,	1,	'Y'),
(6316,	1749,	3,	'Y'),
(6317,	1750,	1,	'Y'),
(6319,	1750,	3,	'Y'),
(6320,	1751,	1,	'Y'),
(6322,	1751,	10,	'Y'),
(6323,	1751,	3,	'Y'),
(6324,	1751,	51,	'Y'),
(6325,	1752,	1,	'Y'),
(6327,	1752,	3,	'Y'),
(6328,	1753,	1,	'Y'),
(6330,	1753,	3,	'Y'),
(6331,	1754,	1,	'Y'),
(6333,	1754,	3,	'Y'),
(6334,	1755,	1,	'Y'),
(6336,	1755,	3,	'Y'),
(6337,	1756,	1,	'Y'),
(6339,	1756,	3,	'Y'),
(6340,	1757,	1,	'Y'),
(6342,	1757,	3,	'Y'),
(6343,	1758,	1,	'Y'),
(6345,	1758,	10,	'Y'),
(6346,	1758,	3,	'Y'),
(6347,	1759,	1,	'Y'),
(6349,	1759,	10,	'Y'),
(6350,	1759,	3,	'Y'),
(6351,	1760,	1,	'Y'),
(6353,	1760,	10,	'Y'),
(6354,	1760,	3,	'Y'),
(6355,	1761,	1,	'Y'),
(6357,	1761,	10,	'Y'),
(6358,	1761,	3,	'Y'),
(6359,	1762,	1,	'Y'),
(6361,	1762,	10,	'Y'),
(6362,	1762,	3,	'Y'),
(6363,	1763,	1,	'Y'),
(6365,	1763,	3,	'Y'),
(6366,	1764,	1,	'Y'),
(6368,	1764,	3,	'Y'),
(6369,	1765,	1,	'Y'),
(6371,	1765,	3,	'Y'),
(6372,	1766,	1,	'Y'),
(6374,	1766,	3,	'Y'),
(6375,	1767,	1,	'Y'),
(6377,	1767,	3,	'Y'),
(6378,	1768,	1,	'Y'),
(6380,	1768,	10,	'Y'),
(6381,	1768,	3,	'Y'),
(6382,	1769,	1,	'Y'),
(6384,	1769,	10,	'Y'),
(6385,	1769,	3,	'Y'),
(6386,	1770,	1,	'Y'),
(6388,	1770,	3,	'Y'),
(6389,	1771,	1,	'Y'),
(6391,	1771,	10,	'Y'),
(6392,	1771,	3,	'Y'),
(6393,	1772,	1,	'Y'),
(6395,	1772,	10,	'Y'),
(6396,	1772,	3,	'Y'),
(6397,	1773,	1,	'Y'),
(6399,	1773,	3,	'Y'),
(6400,	1773,	4,	'Y'),
(6401,	1774,	1,	'Y'),
(6403,	1774,	8,	'Y'),
(6404,	1774,	3,	'Y'),
(6405,	1775,	1,	'Y'),
(6407,	1775,	3,	'Y'),
(6408,	1775,	4,	'Y'),
(6409,	1776,	1,	'Y'),
(6411,	1776,	3,	'Y'),
(6412,	1776,	4,	'Y'),
(6413,	1777,	1,	'Y'),
(6415,	1777,	3,	'Y'),
(6416,	1777,	4,	'Y'),
(6417,	1778,	1,	'Y'),
(6419,	1778,	3,	'Y'),
(6420,	1778,	4,	'Y'),
(6421,	1779,	1,	'Y'),
(6423,	1779,	3,	'Y'),
(6424,	1779,	4,	'Y'),
(6425,	1780,	1,	'Y'),
(6427,	1780,	3,	'Y'),
(6428,	1780,	4,	'Y'),
(6429,	1781,	1,	'Y'),
(6431,	1781,	3,	'Y'),
(6432,	1781,	9,	'Y'),
(6433,	1782,	9,	'Y'),
(6435,	1782,	3,	'Y'),
(6436,	1782,	1,	'Y'),
(6437,	1783,	1,	'Y'),
(6439,	1783,	3,	'Y'),
(6440,	1783,	9,	'Y'),
(6441,	1784,	1,	'Y'),
(6443,	1784,	3,	'Y'),
(6444,	1784,	9,	'Y'),
(6445,	1785,	1,	'Y'),
(6447,	1785,	3,	'Y'),
(6448,	1785,	9,	'Y'),
(6449,	1786,	1,	'Y'),
(6451,	1786,	3,	'Y'),
(6452,	1786,	9,	'Y'),
(6453,	1787,	1,	'Y'),
(6455,	1787,	3,	'Y'),
(6456,	1788,	1,	'Y'),
(6458,	1788,	3,	'Y'),
(6459,	1788,	9,	'Y'),
(6460,	1789,	9,	'Y'),
(6462,	1789,	3,	'Y'),
(6463,	1789,	1,	'Y'),
(6464,	1790,	1,	'Y'),
(6466,	1790,	3,	'Y'),
(6467,	1790,	9,	'Y'),
(6468,	1791,	1,	'Y'),
(6470,	1791,	3,	'Y'),
(6471,	1791,	9,	'Y'),
(6472,	1792,	1,	'Y'),
(6474,	1792,	3,	'Y'),
(6475,	1792,	9,	'Y'),
(6476,	1793,	1,	'Y'),
(6478,	1793,	3,	'Y'),
(6479,	1794,	1,	'Y'),
(6481,	1794,	3,	'Y'),
(6482,	1795,	1,	'Y'),
(6484,	1795,	3,	'Y'),
(6485,	1796,	1,	'Y'),
(6487,	1796,	3,	'Y'),
(6488,	1797,	1,	'Y'),
(6490,	1797,	3,	'Y'),
(6491,	1797,	4,	'Y'),
(6492,	1798,	1,	'Y'),
(6494,	1798,	3,	'Y'),
(6495,	1798,	4,	'Y'),
(6496,	1799,	1,	'Y'),
(6498,	1799,	3,	'Y'),
(6499,	1799,	4,	'Y'),
(6500,	1800,	1,	'Y'),
(6502,	1800,	3,	'Y'),
(6503,	1800,	4,	'Y'),
(6504,	1801,	1,	'Y'),
(6506,	1801,	3,	'Y'),
(6507,	1802,	1,	'Y'),
(6509,	1802,	3,	'Y'),
(6510,	1803,	1,	'Y'),
(6512,	1803,	3,	'Y'),
(6513,	1804,	1,	'Y'),
(6515,	1804,	3,	'Y'),
(6516,	1805,	4,	'Y'),
(6518,	1805,	3,	'Y'),
(6519,	1805,	1,	'Y'),
(6520,	1806,	4,	'Y'),
(6522,	1806,	3,	'Y'),
(6523,	1806,	1,	'Y'),
(6524,	1807,	4,	'Y'),
(6526,	1807,	3,	'Y'),
(6527,	1807,	1,	'Y'),
(6528,	1808,	1,	'Y'),
(6530,	1808,	3,	'Y'),
(6531,	1809,	1,	'Y'),
(6533,	1809,	3,	'Y'),
(6534,	1810,	1,	'Y'),
(6536,	1810,	3,	'Y'),
(6537,	1811,	1,	'Y'),
(6539,	1811,	3,	'Y'),
(6540,	1812,	1,	'Y'),
(6542,	1812,	10,	'Y'),
(6543,	1812,	6,	'Y'),
(6544,	1813,	1,	'Y'),
(6546,	1813,	8,	'Y'),
(6547,	1813,	3,	'Y'),
(6548,	1814,	1,	'Y'),
(6550,	1814,	8,	'Y'),
(6551,	1814,	3,	'Y'),
(6552,	1815,	1,	'Y'),
(6554,	1815,	3,	'Y'),
(6555,	1815,	4,	'Y'),
(6556,	1816,	1,	'Y'),
(6558,	1816,	8,	'Y'),
(6559,	1816,	3,	'Y'),
(6560,	1817,	1,	'Y'),
(6562,	1817,	8,	'Y'),
(6563,	1817,	3,	'Y'),
(6564,	1818,	1,	'Y'),
(6566,	1818,	3,	'Y'),
(6567,	1818,	4,	'Y'),
(6568,	1819,	1,	'Y'),
(6570,	1819,	3,	'Y'),
(6571,	1819,	4,	'Y'),
(6572,	1820,	1,	'Y'),
(6574,	1820,	3,	'Y'),
(6575,	1820,	4,	'Y'),
(6576,	1821,	1,	'Y'),
(6578,	1821,	3,	'Y'),
(6579,	1821,	4,	'Y'),
(6580,	1822,	1,	'Y'),
(6582,	1822,	3,	'Y'),
(6583,	1822,	4,	'Y'),
(6584,	1823,	1,	'Y'),
(6586,	1823,	3,	'Y'),
(6587,	1823,	4,	'Y'),
(6588,	1824,	1,	'Y'),
(6590,	1824,	3,	'Y'),
(6591,	1825,	1,	'Y'),
(6593,	1825,	3,	'Y'),
(6594,	1825,	4,	'Y'),
(6595,	1826,	1,	'Y'),
(6597,	1826,	3,	'Y'),
(6598,	1827,	1,	'Y'),
(6600,	1827,	3,	'Y'),
(6601,	1828,	1,	'Y'),
(6603,	1828,	3,	'Y'),
(6604,	1828,	4,	'Y'),
(6605,	1829,	1,	'Y'),
(6607,	1829,	3,	'Y'),
(6608,	1829,	4,	'Y'),
(6609,	1830,	1,	'Y'),
(6611,	1830,	3,	'Y'),
(6612,	1830,	4,	'Y'),
(6613,	1831,	1,	'Y'),
(6615,	1831,	3,	'Y'),
(6616,	1832,	1,	'Y'),
(6618,	1832,	3,	'Y'),
(6619,	1833,	1,	'Y'),
(6621,	1833,	3,	'Y'),
(6622,	1834,	1,	'Y'),
(6624,	1834,	3,	'Y'),
(6625,	1835,	1,	'Y'),
(6627,	1835,	3,	'Y'),
(6628,	1836,	1,	'Y'),
(6630,	1836,	3,	'Y'),
(6631,	1837,	1,	'Y'),
(6633,	1837,	3,	'Y'),
(6634,	1838,	1,	'Y'),
(6636,	1838,	3,	'Y'),
(6637,	1839,	1,	'Y'),
(6639,	1840,	1,	'Y'),
(6641,	1840,	3,	'Y'),
(6642,	1841,	1,	'Y'),
(6644,	1841,	3,	'Y'),
(6645,	1842,	1,	'Y'),
(6647,	1842,	3,	'Y'),
(6648,	1843,	1,	'Y'),
(6650,	1843,	3,	'Y'),
(6651,	1844,	1,	'Y'),
(6653,	1844,	3,	'Y'),
(6654,	1845,	1,	'Y'),
(6656,	1845,	3,	'Y'),
(6657,	1845,	9,	'Y'),
(6658,	1846,	1,	'Y'),
(6660,	1846,	3,	'Y'),
(6661,	1846,	9,	'Y'),
(6662,	1847,	1,	'Y'),
(6664,	1847,	3,	'Y'),
(6665,	1847,	9,	'Y'),
(6666,	1848,	1,	'Y'),
(6668,	1848,	3,	'Y'),
(6669,	1848,	9,	'Y'),
(6670,	1849,	1,	'Y'),
(6672,	1849,	3,	'Y'),
(6673,	1849,	9,	'Y'),
(6674,	1850,	1,	'Y'),
(6676,	1850,	3,	'Y'),
(6677,	1850,	9,	'Y'),
(6678,	1851,	1,	'Y'),
(6680,	1851,	3,	'Y'),
(6681,	1852,	1,	'Y'),
(6683,	1852,	3,	'Y'),
(6684,	1853,	1,	'Y'),
(6686,	1853,	3,	'Y'),
(6687,	1853,	9,	'Y'),
(6688,	1854,	1,	'Y'),
(6690,	1854,	3,	'Y'),
(6691,	1854,	9,	'Y'),
(6692,	1855,	1,	'Y'),
(6694,	1855,	3,	'Y'),
(6695,	1855,	9,	'Y'),
(6696,	1856,	1,	'Y'),
(6698,	1856,	3,	'Y'),
(6699,	1856,	9,	'Y'),
(6700,	1857,	1,	'Y'),
(6702,	1857,	3,	'Y'),
(6703,	1857,	9,	'Y'),
(6704,	1858,	9,	'Y'),
(6706,	1858,	3,	'Y'),
(6707,	1858,	1,	'Y'),
(6708,	1859,	1,	'Y'),
(6710,	1859,	3,	'Y'),
(6711,	1859,	9,	'Y'),
(6712,	1860,	1,	'Y'),
(6714,	1860,	3,	'Y'),
(6715,	1861,	1,	'Y'),
(6717,	1861,	3,	'Y'),
(6718,	1862,	1,	'Y'),
(6720,	1862,	3,	'Y'),
(6721,	1863,	1,	'Y'),
(6723,	1863,	3,	'Y'),
(6724,	1864,	1,	'Y'),
(6726,	1864,	3,	'Y'),
(6727,	1865,	1,	'Y'),
(6729,	1865,	3,	'Y'),
(6730,	1866,	1,	'Y'),
(6732,	1866,	3,	'Y'),
(6733,	1867,	1,	'Y'),
(6735,	1867,	3,	'Y'),
(6736,	1868,	1,	'Y'),
(6738,	1868,	3,	'Y'),
(6739,	1868,	4,	'Y'),
(6740,	1869,	1,	'Y'),
(6742,	1869,	3,	'Y'),
(6743,	1869,	4,	'Y'),
(6744,	1870,	1,	'Y'),
(6746,	1870,	3,	'Y'),
(6747,	1870,	4,	'Y'),
(6748,	1871,	1,	'Y'),
(6750,	1871,	3,	'Y'),
(6751,	1871,	4,	'Y'),
(6752,	1872,	1,	'Y'),
(6754,	1872,	3,	'Y'),
(6755,	1872,	4,	'Y'),
(6756,	1873,	1,	'Y'),
(6758,	1873,	3,	'Y'),
(6759,	1873,	4,	'Y'),
(6760,	1874,	1,	'Y'),
(6762,	1874,	3,	'Y'),
(6763,	1874,	4,	'Y'),
(6764,	1875,	1,	'Y'),
(6766,	1875,	3,	'Y'),
(6767,	1875,	4,	'Y'),
(6768,	1876,	1,	'Y'),
(6770,	1876,	3,	'Y'),
(6771,	1876,	4,	'Y'),
(6772,	1877,	1,	'Y'),
(6774,	1877,	3,	'Y'),
(6775,	1878,	1,	'Y'),
(6777,	1878,	10,	'Y'),
(6778,	1878,	3,	'Y'),
(6779,	1879,	1,	'Y'),
(6781,	1879,	3,	'Y'),
(6782,	1880,	1,	'Y'),
(6784,	1880,	3,	'Y'),
(6785,	1881,	1,	'Y'),
(6787,	1881,	10,	'Y'),
(6788,	1881,	3,	'Y'),
(6789,	1882,	1,	'Y'),
(6791,	1882,	3,	'Y'),
(6792,	1883,	1,	'Y'),
(6794,	1883,	3,	'Y'),
(6795,	1883,	4,	'Y'),
(6796,	1884,	1,	'Y'),
(6798,	1884,	3,	'Y'),
(6799,	1884,	4,	'Y'),
(6800,	1885,	1,	'Y'),
(6802,	1885,	3,	'Y'),
(6803,	1885,	4,	'Y'),
(6804,	1886,	1,	'Y'),
(6806,	1886,	3,	'Y'),
(6807,	1886,	4,	'Y'),
(6808,	1887,	1,	'Y'),
(6810,	1887,	3,	'Y'),
(6811,	1887,	4,	'Y'),
(6812,	1888,	1,	'Y'),
(6814,	1888,	3,	'Y'),
(6815,	1888,	4,	'Y'),
(6816,	1889,	1,	'Y'),
(6818,	1889,	3,	'Y'),
(6819,	1889,	4,	'Y'),
(6820,	1890,	1,	'Y'),
(6822,	1890,	3,	'Y'),
(6823,	1890,	4,	'Y'),
(6824,	1891,	1,	'Y'),
(6826,	1891,	3,	'Y'),
(6827,	1891,	4,	'Y'),
(6828,	1892,	1,	'Y'),
(6830,	1892,	3,	'Y'),
(6831,	1892,	4,	'Y'),
(6832,	1893,	1,	'Y'),
(6834,	1893,	3,	'Y'),
(6835,	1893,	4,	'Y'),
(6836,	1894,	1,	'Y'),
(6838,	1894,	3,	'Y'),
(6839,	1894,	4,	'Y'),
(6840,	1895,	1,	'Y'),
(6842,	1895,	3,	'Y'),
(6843,	1895,	4,	'Y'),
(6844,	1896,	1,	'Y'),
(6846,	1896,	3,	'Y'),
(6847,	1896,	4,	'Y'),
(6848,	1897,	1,	'Y'),
(6850,	1897,	3,	'Y'),
(6851,	1897,	4,	'Y'),
(6852,	1898,	1,	'Y'),
(6854,	1898,	3,	'Y'),
(6855,	1898,	4,	'Y'),
(6856,	1899,	1,	'Y'),
(6858,	1899,	3,	'Y'),
(6859,	1899,	4,	'Y'),
(6860,	1900,	1,	'Y'),
(6862,	1900,	3,	'Y'),
(6863,	1900,	4,	'Y'),
(6864,	1901,	1,	'Y'),
(6866,	1901,	3,	'Y'),
(6867,	1901,	4,	'Y'),
(6868,	1902,	1,	'Y'),
(6870,	1902,	3,	'Y'),
(6871,	1902,	4,	'Y'),
(6872,	1903,	1,	'Y'),
(6874,	1903,	3,	'Y'),
(6875,	1903,	4,	'Y'),
(6876,	1904,	1,	'Y'),
(6878,	1904,	3,	'Y'),
(6879,	1904,	4,	'Y'),
(6880,	1905,	1,	'Y'),
(6882,	1905,	3,	'Y'),
(6883,	1905,	4,	'Y'),
(6884,	1906,	1,	'Y'),
(6886,	1906,	3,	'Y'),
(6887,	1906,	4,	'Y'),
(6888,	1907,	1,	'Y'),
(6890,	1907,	3,	'Y'),
(6891,	1907,	4,	'Y'),
(6892,	1908,	1,	'Y'),
(6894,	1908,	3,	'Y'),
(6895,	1908,	4,	'Y'),
(6896,	1909,	1,	'Y'),
(6898,	1909,	3,	'Y'),
(6899,	1909,	4,	'Y'),
(6900,	1910,	1,	'Y'),
(6902,	1910,	3,	'Y'),
(6903,	1910,	4,	'Y'),
(6904,	1911,	1,	'Y'),
(6906,	1911,	3,	'Y'),
(6907,	1911,	4,	'Y'),
(6908,	1912,	1,	'Y'),
(6910,	1912,	3,	'Y'),
(6911,	1912,	4,	'Y'),
(6912,	1913,	1,	'Y'),
(6914,	1913,	3,	'Y'),
(6915,	1913,	4,	'Y'),
(6916,	1914,	1,	'Y'),
(6918,	1914,	3,	'Y'),
(6919,	1914,	4,	'Y'),
(6920,	1915,	1,	'Y'),
(6922,	1915,	3,	'Y'),
(6923,	1915,	4,	'Y'),
(6924,	1916,	1,	'Y'),
(6926,	1916,	3,	'Y'),
(6927,	1916,	4,	'Y'),
(6928,	1917,	1,	'Y'),
(6930,	1917,	3,	'Y'),
(6931,	1917,	4,	'Y'),
(6932,	1918,	1,	'Y'),
(6934,	1918,	3,	'Y'),
(6935,	1918,	4,	'Y'),
(6936,	1919,	1,	'Y'),
(6938,	1919,	3,	'Y'),
(6939,	1919,	4,	'Y'),
(6940,	1920,	1,	'Y'),
(6942,	1920,	3,	'Y'),
(6943,	1920,	4,	'Y'),
(6944,	1921,	1,	'Y'),
(6946,	1921,	3,	'Y'),
(6947,	1921,	4,	'Y'),
(6948,	1922,	1,	'Y'),
(6950,	1922,	3,	'Y'),
(6951,	1922,	4,	'Y'),
(6952,	1923,	1,	'Y'),
(6954,	1923,	3,	'Y'),
(6955,	1923,	4,	'Y'),
(6956,	1924,	1,	'Y'),
(6958,	1924,	3,	'Y'),
(6959,	1924,	4,	'Y'),
(6960,	1925,	1,	'Y'),
(6962,	1925,	3,	'Y'),
(6963,	1925,	4,	'Y'),
(6964,	1926,	1,	'Y'),
(6966,	1926,	3,	'Y'),
(6967,	1926,	4,	'Y'),
(6968,	1927,	1,	'Y'),
(6970,	1927,	3,	'Y'),
(6971,	1927,	4,	'Y'),
(6972,	1928,	1,	'Y'),
(6974,	1928,	3,	'Y'),
(6975,	1928,	4,	'Y'),
(6976,	1929,	1,	'Y'),
(6978,	1929,	3,	'Y'),
(6979,	1929,	4,	'Y'),
(6980,	1930,	1,	'Y'),
(6982,	1930,	3,	'Y'),
(6983,	1930,	4,	'Y'),
(6984,	1931,	1,	'Y'),
(6986,	1931,	3,	'Y'),
(6987,	1931,	4,	'Y'),
(6988,	1932,	1,	'Y'),
(6990,	1932,	3,	'Y'),
(6991,	1932,	4,	'Y'),
(6992,	1933,	1,	'Y'),
(6994,	1933,	3,	'Y'),
(6995,	1933,	4,	'Y'),
(6996,	1934,	1,	'Y'),
(6998,	1934,	3,	'Y'),
(6999,	1934,	4,	'Y'),
(7000,	1935,	1,	'Y'),
(7002,	1935,	3,	'Y'),
(7003,	1935,	4,	'Y'),
(7004,	1936,	1,	'Y'),
(7006,	1936,	3,	'Y'),
(7007,	1936,	4,	'Y'),
(7008,	1937,	1,	'Y'),
(7010,	1937,	3,	'Y'),
(7011,	1937,	4,	'Y'),
(7012,	1938,	1,	'Y'),
(7014,	1938,	3,	'Y'),
(7015,	1938,	4,	'Y'),
(7016,	1939,	1,	'Y'),
(7018,	1939,	3,	'Y'),
(7019,	1939,	4,	'Y'),
(7020,	1940,	1,	'Y'),
(7022,	1940,	3,	'Y'),
(7023,	1940,	4,	'Y'),
(7024,	1941,	1,	'Y'),
(7026,	1941,	3,	'Y'),
(7027,	1942,	1,	'Y'),
(7029,	1942,	3,	'Y'),
(7030,	1943,	1,	'Y'),
(7032,	1943,	3,	'Y'),
(7033,	1943,	4,	'Y'),
(7034,	1944,	1,	'Y'),
(7036,	1944,	3,	'Y'),
(7037,	1944,	4,	'Y'),
(7038,	1945,	1,	'Y'),
(7040,	1945,	3,	'Y'),
(7041,	1945,	4,	'Y'),
(7042,	1946,	1,	'Y'),
(7044,	1946,	3,	'Y'),
(7045,	1946,	4,	'Y'),
(7046,	1947,	1,	'Y'),
(7048,	1947,	3,	'Y'),
(7049,	1947,	4,	'Y'),
(7050,	1948,	1,	'Y'),
(7052,	1948,	3,	'Y'),
(7053,	1948,	4,	'Y'),
(7054,	1949,	1,	'Y'),
(7056,	1949,	3,	'Y'),
(7057,	1949,	4,	'Y'),
(7058,	1950,	1,	'Y'),
(7060,	1950,	3,	'Y'),
(7061,	1950,	4,	'Y'),
(7062,	1951,	1,	'Y'),
(7064,	1951,	3,	'Y'),
(7065,	1951,	4,	'Y'),
(7066,	1952,	1,	'Y'),
(7068,	1952,	3,	'Y'),
(7069,	1952,	4,	'Y'),
(7070,	1953,	1,	'Y'),
(7072,	1953,	3,	'Y'),
(7073,	1953,	4,	'Y'),
(7074,	1954,	1,	'Y'),
(7076,	1954,	3,	'Y'),
(7077,	1954,	4,	'Y'),
(7078,	1955,	1,	'Y'),
(7080,	1955,	3,	'Y'),
(7081,	1955,	4,	'Y'),
(7082,	1956,	1,	'Y'),
(7084,	1956,	3,	'Y'),
(7085,	1956,	4,	'Y'),
(7086,	1957,	1,	'Y'),
(7088,	1957,	3,	'Y'),
(7089,	1957,	4,	'Y'),
(7090,	1958,	1,	'Y'),
(7092,	1958,	3,	'Y'),
(7093,	1959,	1,	'Y'),
(7095,	1959,	3,	'Y'),
(7096,	1960,	1,	'Y'),
(7098,	1960,	3,	'Y'),
(7099,	1961,	1,	'Y'),
(7101,	1961,	10,	'Y'),
(7102,	1961,	3,	'Y'),
(7103,	1962,	1,	'Y'),
(7105,	1962,	3,	'Y'),
(7106,	1963,	1,	'Y'),
(7108,	1963,	3,	'Y'),
(7109,	1964,	1,	'Y'),
(7111,	1964,	3,	'Y'),
(7112,	1965,	1,	'Y'),
(7114,	1965,	3,	'Y'),
(7115,	1966,	1,	'Y'),
(7117,	1966,	3,	'Y'),
(7118,	1967,	1,	'Y'),
(7120,	1967,	3,	'Y'),
(7121,	1968,	1,	'Y'),
(7123,	1968,	3,	'Y'),
(7124,	1969,	1,	'Y'),
(7126,	1969,	10,	'Y'),
(7127,	1969,	3,	'Y'),
(7128,	1970,	1,	'Y'),
(7130,	1970,	3,	'Y'),
(7131,	1970,	4,	'Y'),
(7132,	1971,	1,	'Y'),
(7134,	1971,	3,	'Y'),
(7135,	1972,	1,	'Y'),
(7137,	1972,	3,	'Y'),
(7138,	1973,	1,	'Y'),
(7140,	1973,	3,	'Y'),
(7141,	1974,	1,	'Y'),
(7143,	1974,	3,	'Y'),
(7144,	1975,	1,	'Y'),
(7146,	1975,	3,	'Y'),
(7147,	1976,	1,	'Y'),
(7149,	1976,	3,	'Y'),
(7150,	1977,	1,	'Y'),
(7152,	1977,	3,	'Y'),
(7153,	1978,	1,	'Y'),
(7155,	1978,	3,	'Y'),
(7156,	1979,	1,	'Y'),
(7158,	1979,	3,	'Y'),
(7159,	1980,	1,	'Y'),
(7161,	1980,	3,	'Y'),
(7162,	1981,	1,	'Y'),
(7164,	1981,	3,	'Y'),
(7165,	1982,	1,	'Y'),
(7167,	1982,	3,	'Y'),
(7168,	1983,	1,	'Y'),
(7170,	1983,	3,	'Y'),
(7171,	1984,	1,	'Y'),
(7173,	1984,	3,	'Y'),
(7174,	1985,	1,	'Y'),
(7176,	1985,	3,	'Y'),
(7177,	1986,	1,	'Y'),
(7179,	1986,	3,	'Y'),
(7180,	1986,	4,	'Y'),
(7181,	1987,	1,	'Y'),
(7183,	1987,	3,	'Y'),
(7184,	1987,	4,	'Y'),
(7185,	1988,	1,	'Y'),
(7187,	1988,	3,	'Y'),
(7188,	1989,	1,	'Y'),
(7190,	1989,	3,	'Y'),
(7191,	1990,	1,	'Y'),
(7193,	1990,	3,	'Y'),
(7194,	1991,	1,	'Y'),
(7196,	1991,	3,	'Y'),
(7197,	1992,	1,	'Y'),
(7199,	1992,	3,	'Y'),
(7200,	1993,	1,	'Y'),
(7202,	1993,	3,	'Y'),
(7203,	1994,	1,	'Y'),
(7205,	1994,	3,	'Y'),
(7206,	1994,	4,	'Y'),
(7207,	1995,	1,	'Y'),
(7209,	1995,	3,	'Y'),
(7210,	1995,	4,	'Y'),
(7211,	1996,	4,	'Y'),
(7213,	1996,	3,	'Y'),
(7214,	1996,	1,	'Y'),
(7215,	1997,	1,	'Y'),
(7217,	1997,	3,	'Y'),
(7218,	1997,	4,	'Y'),
(7219,	1998,	1,	'Y'),
(7221,	1998,	3,	'Y'),
(7222,	1998,	4,	'Y'),
(7223,	1999,	1,	'Y'),
(7225,	1999,	3,	'Y'),
(7226,	1999,	4,	'Y'),
(7227,	2000,	1,	'Y'),
(7229,	2000,	3,	'Y'),
(7230,	2001,	1,	'Y'),
(7232,	2001,	3,	'Y'),
(7233,	2002,	1,	'Y'),
(7235,	2002,	3,	'Y'),
(7236,	2003,	1,	'Y'),
(7238,	2003,	3,	'Y'),
(7239,	2004,	1,	'Y'),
(7241,	2004,	3,	'Y'),
(7242,	2005,	1,	'Y'),
(7244,	2005,	3,	'Y'),
(7245,	2006,	1,	'Y'),
(7247,	2006,	3,	'Y'),
(7248,	2006,	4,	'Y'),
(7249,	2007,	1,	'Y'),
(7251,	2007,	10,	'Y'),
(7252,	2007,	8,	'Y'),
(7253,	2007,	3,	'Y'),
(7254,	2008,	1,	'Y'),
(7256,	2008,	10,	'Y'),
(7257,	2008,	8,	'Y'),
(7258,	2008,	3,	'Y'),
(7259,	2009,	1,	'Y'),
(7261,	2009,	3,	'Y'),
(7262,	2010,	1,	'Y'),
(7264,	2010,	3,	'Y'),
(7265,	2011,	1,	'Y'),
(7267,	2011,	3,	'Y'),
(7268,	2012,	1,	'Y'),
(7270,	2012,	3,	'Y'),
(7271,	2013,	1,	'Y'),
(7273,	2013,	3,	'Y'),
(7274,	2014,	1,	'Y'),
(7276,	2014,	3,	'Y'),
(7277,	2015,	1,	'Y'),
(7279,	2015,	3,	'Y'),
(7280,	2016,	1,	'Y'),
(7282,	2016,	3,	'Y'),
(7283,	2017,	1,	'Y'),
(7285,	2017,	3,	'Y'),
(7286,	2018,	1,	'Y'),
(7288,	2018,	3,	'Y'),
(7289,	2019,	6,	'Y'),
(7291,	2019,	3,	'Y'),
(7292,	2020,	59,	'Y'),
(7306,	2021,	6,	'Y'),
(7308,	2021,	3,	'Y'),
(7309,	2022,	1,	'Y'),
(7311,	2022,	3,	'Y'),
(7312,	2023,	6,	'Y'),
(7314,	2023,	3,	'Y'),
(7315,	2024,	6,	'Y'),
(7317,	2024,	59,	'Y'),
(7318,	2024,	3,	'Y'),
(7319,	2025,	6,	'Y'),
(7321,	2025,	3,	'Y'),
(7322,	2026,	6,	'Y'),
(7324,	2026,	59,	'Y'),
(7325,	2026,	3,	'Y'),
(7326,	2027,	6,	'Y'),
(7328,	2027,	3,	'Y'),
(7329,	2028,	6,	'Y'),
(7331,	2028,	3,	'Y'),
(7332,	2029,	6,	'Y'),
(7334,	2029,	3,	'Y'),
(7335,	2030,	6,	'Y'),
(7337,	2030,	3,	'Y'),
(7338,	2031,	6,	'Y'),
(7340,	2031,	3,	'Y'),
(7341,	2032,	59,	'Y'),
(7343,	2032,	4,	'Y'),
(7344,	2033,	6,	'Y'),
(7346,	2033,	3,	'Y'),
(7347,	2034,	6,	'Y'),
(7349,	2034,	3,	'Y'),
(7350,	2035,	6,	'Y'),
(7352,	2035,	3,	'Y'),
(7353,	2036,	6,	'Y'),
(7355,	2036,	3,	'Y'),
(7356,	2037,	6,	'Y'),
(7358,	2037,	59,	'Y'),
(7359,	2037,	3,	'Y'),
(7360,	2038,	6,	'Y'),
(7362,	2038,	3,	'Y'),
(7363,	2039,	6,	'Y'),
(7365,	2039,	3,	'Y'),
(7366,	2040,	6,	'Y'),
(7368,	2041,	6,	'Y'),
(7370,	2041,	3,	'Y'),
(7371,	2041,	4,	'Y'),
(7372,	2042,	4,	'Y'),
(7374,	2042,	3,	'Y'),
(7375,	2042,	6,	'Y'),
(7376,	2043,	6,	'Y'),
(7378,	2043,	3,	'Y'),
(7379,	2044,	6,	'Y'),
(7381,	2044,	3,	'Y'),
(7382,	2045,	6,	'Y'),
(7384,	2045,	3,	'Y'),
(7385,	2046,	6,	'Y'),
(7387,	2046,	3,	'Y'),
(7388,	2047,	6,	'Y'),
(7390,	2047,	3,	'Y'),
(7391,	2048,	6,	'Y'),
(7393,	2048,	3,	'Y'),
(7394,	2049,	6,	'Y'),
(7396,	2049,	3,	'Y'),
(7397,	2050,	6,	'Y'),
(7399,	2050,	3,	'Y'),
(7400,	2051,	6,	'Y'),
(7402,	2051,	3,	'Y'),
(7403,	2052,	6,	'Y'),
(7405,	2052,	3,	'Y'),
(7406,	2053,	6,	'Y'),
(7408,	2053,	3,	'Y'),
(7409,	2054,	6,	'Y'),
(7411,	2054,	3,	'Y'),
(7412,	2055,	6,	'Y'),
(7414,	2055,	3,	'Y'),
(7415,	2056,	6,	'Y'),
(7417,	2056,	3,	'Y'),
(7418,	2057,	6,	'Y'),
(7420,	2057,	3,	'Y'),
(7421,	2058,	6,	'Y'),
(7423,	2058,	3,	'Y'),
(7424,	2059,	1,	'Y'),
(7426,	2059,	3,	'Y'),
(7427,	2060,	6,	'Y'),
(7429,	2060,	3,	'Y'),
(7430,	2061,	4,	'Y'),
(7432,	2061,	3,	'Y'),
(7433,	2062,	6,	'Y'),
(7435,	2062,	59,	'Y'),
(7436,	2062,	3,	'Y'),
(7437,	2063,	6,	'Y'),
(7439,	2063,	59,	'Y'),
(7440,	2063,	3,	'Y'),
(7441,	2064,	6,	'Y'),
(7443,	2064,	3,	'Y'),
(7444,	2065,	59,	'Y'),
(7446,	2065,	4,	'Y'),
(7447,	2066,	6,	'Y'),
(7449,	2066,	3,	'Y'),
(7450,	2067,	6,	'Y'),
(7452,	2067,	3,	'Y'),
(7453,	2068,	6,	'Y'),
(7455,	2068,	59,	'Y'),
(7456,	2068,	3,	'Y'),
(7457,	2069,	6,	'Y'),
(7459,	2069,	10,	'Y'),
(7460,	2069,	3,	'Y'),
(7461,	2070,	6,	'Y'),
(7463,	2070,	10,	'Y'),
(7464,	2070,	3,	'Y'),
(7465,	2071,	6,	'Y'),
(7467,	2071,	3,	'Y'),
(7468,	2072,	6,	'Y'),
(7470,	2072,	3,	'Y'),
(7471,	2073,	6,	'Y'),
(7473,	2073,	3,	'Y'),
(7474,	2074,	6,	'Y'),
(7476,	2074,	3,	'Y'),
(7477,	2075,	6,	'Y'),
(7479,	2075,	3,	'Y'),
(7480,	2076,	1,	'Y'),
(7482,	2076,	3,	'Y'),
(7483,	2077,	6,	'Y'),
(7485,	2077,	59,	'Y'),
(7486,	2078,	6,	'Y'),
(7488,	2078,	3,	'Y'),
(7489,	2079,	6,	'Y'),
(7491,	2079,	3,	'Y'),
(7492,	2080,	1,	'Y'),
(7494,	2080,	3,	'Y'),
(7495,	2081,	6,	'Y'),
(7497,	2081,	3,	'Y'),
(7498,	2082,	1,	'Y'),
(7500,	2082,	10,	'Y'),
(7501,	2082,	8,	'Y'),
(7502,	2082,	3,	'Y'),
(7503,	2083,	1,	'Y'),
(7505,	2083,	3,	'Y'),
(7506,	2083,	6,	'Y'),
(7507,	2083,	4,	'Y'),
(7508,	2084,	4,	'Y'),
(7510,	2084,	3,	'Y'),
(7511,	2085,	4,	'Y'),
(7513,	2085,	3,	'Y'),
(7514,	2086,	4,	'Y'),
(7516,	2086,	3,	'Y'),
(7517,	2087,	4,	'Y'),
(7519,	2087,	3,	'Y'),
(7520,	2088,	4,	'Y'),
(7522,	2088,	3,	'Y'),
(7523,	2089,	4,	'Y'),
(7525,	2089,	3,	'Y'),
(7526,	2090,	4,	'Y'),
(7528,	2090,	3,	'Y'),
(7529,	2091,	4,	'Y'),
(7531,	2091,	3,	'Y'),
(7532,	2092,	4,	'Y'),
(7534,	2092,	3,	'Y'),
(7535,	2093,	4,	'Y'),
(7537,	2093,	3,	'Y'),
(7538,	2094,	4,	'Y'),
(7540,	2094,	3,	'Y'),
(7541,	2095,	4,	'Y'),
(7543,	2095,	3,	'Y'),
(7544,	2096,	4,	'Y'),
(7546,	2096,	3,	'Y'),
(7547,	2097,	4,	'Y'),
(7549,	2097,	3,	'Y'),
(7550,	2098,	4,	'Y'),
(7552,	2098,	3,	'Y'),
(7553,	2099,	4,	'Y'),
(7555,	2099,	3,	'Y'),
(7556,	2100,	4,	'Y'),
(7558,	2100,	3,	'Y'),
(7559,	2101,	4,	'Y'),
(7561,	2101,	3,	'Y'),
(7562,	2102,	4,	'Y'),
(7564,	2102,	3,	'Y'),
(7565,	2103,	4,	'Y'),
(7567,	2103,	3,	'Y'),
(7568,	2104,	4,	'Y'),
(7570,	2104,	3,	'Y'),
(7571,	2105,	4,	'Y'),
(7573,	2105,	3,	'Y'),
(7574,	2106,	4,	'Y'),
(7576,	2106,	3,	'Y'),
(7577,	2107,	4,	'Y'),
(7579,	2107,	3,	'Y'),
(7580,	2108,	4,	'Y'),
(7582,	2108,	3,	'Y'),
(7583,	2109,	4,	'Y'),
(7585,	2109,	3,	'Y'),
(7586,	2110,	4,	'Y'),
(7588,	2110,	3,	'Y'),
(7589,	2111,	4,	'Y'),
(7591,	2111,	3,	'Y'),
(7592,	2112,	4,	'Y'),
(7594,	2112,	3,	'Y'),
(7595,	2113,	4,	'Y'),
(7597,	2113,	3,	'Y'),
(7598,	2114,	4,	'Y'),
(7600,	2114,	3,	'Y'),
(7601,	2115,	4,	'Y'),
(7603,	2115,	3,	'Y'),
(7604,	2116,	4,	'Y'),
(7606,	2116,	3,	'Y'),
(7607,	2117,	4,	'Y'),
(7609,	2117,	3,	'Y'),
(7610,	2118,	4,	'Y'),
(7612,	2118,	3,	'Y'),
(7613,	2119,	4,	'Y'),
(7615,	2119,	3,	'Y'),
(7616,	2120,	4,	'Y'),
(7618,	2120,	3,	'Y'),
(7619,	2121,	4,	'Y'),
(7621,	2121,	3,	'Y'),
(7622,	2122,	4,	'Y'),
(7624,	2122,	3,	'Y'),
(7625,	2123,	4,	'Y'),
(7627,	2123,	3,	'Y'),
(7628,	2124,	4,	'Y'),
(7630,	2124,	3,	'Y'),
(7631,	2125,	4,	'Y'),
(7633,	2125,	3,	'Y'),
(7634,	2126,	4,	'Y'),
(7636,	2126,	3,	'Y'),
(7637,	2127,	4,	'Y'),
(7639,	2127,	3,	'Y'),
(7640,	2128,	4,	'Y'),
(7642,	2128,	3,	'Y'),
(7643,	2129,	4,	'Y'),
(7645,	2129,	3,	'Y'),
(7646,	2130,	4,	'Y'),
(7648,	2130,	3,	'Y'),
(7649,	2131,	4,	'Y'),
(7651,	2131,	3,	'Y'),
(7652,	2132,	4,	'Y'),
(7654,	2132,	3,	'Y'),
(7655,	2133,	4,	'Y'),
(7657,	2133,	3,	'Y'),
(7658,	2134,	4,	'Y'),
(7660,	2134,	3,	'Y'),
(7661,	2135,	4,	'Y'),
(7663,	2135,	3,	'Y'),
(7664,	2136,	4,	'Y'),
(7666,	2136,	3,	'Y'),
(7667,	2137,	4,	'Y'),
(7669,	2137,	3,	'Y'),
(7670,	2138,	4,	'Y'),
(7672,	2138,	3,	'Y'),
(7673,	2139,	4,	'Y'),
(7675,	2139,	3,	'Y'),
(7676,	2140,	4,	'Y'),
(7678,	2140,	3,	'Y'),
(7679,	2141,	4,	'Y'),
(7681,	2141,	3,	'Y'),
(7682,	2142,	4,	'Y'),
(7684,	2142,	3,	'Y'),
(7685,	2143,	4,	'Y'),
(7687,	2143,	3,	'Y'),
(7688,	2144,	4,	'Y'),
(7690,	2144,	3,	'Y'),
(7691,	2145,	4,	'Y'),
(7693,	2145,	3,	'Y'),
(7694,	2146,	4,	'Y'),
(7696,	2146,	3,	'Y'),
(7697,	2147,	4,	'Y'),
(7699,	2147,	3,	'Y'),
(7700,	2148,	4,	'Y'),
(7702,	2148,	3,	'Y'),
(7703,	2149,	4,	'Y'),
(7705,	2149,	3,	'Y'),
(7706,	2150,	4,	'Y'),
(7708,	2150,	3,	'Y'),
(7709,	2151,	4,	'Y'),
(7711,	2151,	3,	'Y'),
(7712,	2152,	4,	'Y'),
(7714,	2152,	3,	'Y'),
(7715,	2153,	4,	'Y'),
(7717,	2153,	3,	'Y'),
(7718,	2154,	4,	'Y'),
(7720,	2154,	3,	'Y'),
(7721,	2155,	4,	'Y'),
(7723,	2155,	3,	'Y'),
(7724,	2156,	4,	'Y'),
(7726,	2156,	3,	'Y'),
(7727,	2157,	4,	'Y'),
(7729,	2157,	3,	'Y'),
(7730,	2158,	4,	'Y'),
(7732,	2158,	3,	'Y'),
(7733,	2159,	4,	'Y'),
(7735,	2159,	3,	'Y'),
(7736,	2160,	4,	'Y'),
(7738,	2160,	3,	'Y'),
(7739,	2161,	4,	'Y'),
(7741,	2161,	3,	'Y'),
(7742,	2162,	4,	'Y'),
(7744,	2162,	3,	'Y'),
(7745,	2163,	4,	'Y'),
(7747,	2163,	3,	'Y'),
(7748,	2164,	4,	'Y'),
(7750,	2164,	3,	'Y'),
(7751,	2165,	4,	'Y'),
(7753,	2165,	3,	'Y'),
(7754,	2166,	6,	'Y'),
(7756,	2166,	3,	'Y'),
(7757,	2167,	6,	'Y'),
(7759,	2167,	3,	'Y'),
(7760,	2168,	6,	'Y'),
(7762,	2168,	3,	'Y'),
(7763,	2169,	6,	'Y'),
(7765,	2169,	3,	'Y'),
(7766,	2170,	6,	'Y'),
(7768,	2170,	3,	'Y'),
(7769,	2171,	6,	'Y'),
(7771,	2171,	3,	'Y'),
(7772,	2172,	6,	'Y'),
(7774,	2172,	3,	'Y'),
(7775,	2173,	6,	'Y'),
(7777,	2173,	3,	'Y'),
(7778,	2174,	6,	'Y'),
(7780,	2174,	3,	'Y'),
(7781,	2175,	6,	'Y'),
(7783,	2175,	3,	'Y'),
(7784,	2176,	6,	'Y'),
(7786,	2176,	3,	'Y'),
(7787,	2177,	6,	'Y'),
(7789,	2177,	3,	'Y'),
(7790,	2178,	6,	'Y'),
(7792,	2178,	3,	'Y'),
(7793,	2179,	6,	'Y'),
(7795,	2179,	3,	'Y'),
(7796,	2180,	6,	'Y'),
(7798,	2180,	3,	'Y'),
(7799,	2181,	6,	'Y'),
(7801,	2181,	3,	'Y'),
(7802,	2182,	6,	'Y'),
(7804,	2182,	3,	'Y'),
(7805,	2183,	6,	'Y'),
(7807,	2183,	3,	'Y'),
(7808,	2184,	6,	'Y'),
(7810,	2184,	3,	'Y'),
(7811,	2185,	6,	'Y'),
(7813,	2185,	3,	'Y'),
(7814,	2186,	6,	'Y'),
(7816,	2186,	3,	'Y'),
(7817,	2187,	6,	'Y'),
(7819,	2187,	3,	'Y'),
(7820,	2188,	1,	'Y'),
(7822,	2188,	3,	'Y'),
(7823,	2189,	1,	'Y'),
(7825,	2189,	3,	'Y'),
(7826,	2190,	6,	'Y'),
(7828,	2190,	8,	'Y'),
(7829,	2190,	1,	'Y'),
(7830,	2191,	1,	'Y'),
(7832,	2191,	3,	'Y'),
(7833,	2191,	4,	'Y'),
(7834,	2192,	1,	'Y'),
(7836,	2192,	3,	'Y'),
(7837,	2193,	1,	'Y'),
(7839,	2193,	3,	'Y'),
(7840,	210,	63,	'Y'),
(7841,	213,	63,	'Y'),
(7842,	215,	63,	'Y'),
(7843,	216,	63,	'Y'),
(7844,	218,	63,	'Y'),
(7845,	223,	63,	'Y'),
(7846,	224,	63,	'Y'),
(7847,	225,	63,	'Y'),
(7848,	229,	63,	'Y'),
(7849,	237,	63,	'Y'),
(7850,	239,	63,	'Y'),
(7851,	241,	63,	'Y'),
(7852,	242,	63,	'Y'),
(7853,	247,	63,	'Y'),
(7854,	248,	63,	'Y'),
(7855,	249,	63,	'Y'),
(7856,	250,	63,	'Y'),
(7857,	251,	63,	'Y'),
(7858,	255,	63,	'Y'),
(7859,	256,	63,	'Y'),
(7860,	319,	63,	'Y'),
(7861,	320,	63,	'Y'),
(7862,	321,	63,	'Y'),
(7863,	322,	63,	'Y'),
(7864,	326,	63,	'Y'),
(7865,	327,	63,	'Y'),
(7866,	328,	63,	'Y'),
(7867,	329,	63,	'Y'),
(7868,	330,	63,	'Y'),
(7869,	331,	63,	'Y'),
(7870,	332,	63,	'Y'),
(7871,	333,	63,	'Y'),
(7872,	334,	63,	'Y'),
(7873,	335,	63,	'Y'),
(7874,	340,	63,	'Y'),
(7875,	341,	63,	'Y'),
(7876,	342,	63,	'Y'),
(7877,	343,	63,	'Y'),
(7878,	344,	63,	'Y'),
(7879,	345,	63,	'Y'),
(7880,	349,	63,	'Y'),
(7881,	350,	63,	'Y'),
(7882,	351,	63,	'Y'),
(7883,	352,	63,	'Y'),
(7884,	353,	63,	'Y'),
(7885,	359,	63,	'Y'),
(7886,	360,	63,	'Y'),
(7887,	361,	63,	'Y'),
(7888,	379,	63,	'Y'),
(7889,	415,	63,	'Y'),
(7890,	422,	63,	'Y'),
(7891,	423,	63,	'Y'),
(7892,	424,	63,	'Y'),
(7893,	425,	63,	'Y'),
(7894,	426,	63,	'Y'),
(7895,	427,	63,	'Y'),
(7896,	431,	63,	'Y'),
(7897,	432,	63,	'Y'),
(7898,	433,	63,	'Y'),
(7899,	453,	63,	'Y'),
(7900,	454,	63,	'Y'),
(7901,	455,	63,	'Y'),
(7902,	485,	63,	'Y'),
(7903,	486,	63,	'Y'),
(7904,	487,	63,	'Y'),
(7905,	521,	63,	'Y'),
(7906,	522,	63,	'Y'),
(7907,	523,	63,	'Y'),
(7908,	525,	63,	'Y'),
(7909,	526,	63,	'Y'),
(7910,	528,	63,	'Y'),
(7911,	540,	63,	'Y'),
(7912,	551,	63,	'Y'),
(7913,	552,	63,	'Y'),
(7914,	553,	63,	'Y'),
(7915,	571,	63,	'Y'),
(7916,	616,	63,	'Y'),
(7917,	617,	63,	'Y'),
(7918,	619,	63,	'Y'),
(7919,	655,	63,	'Y'),
(7920,	753,	63,	'Y'),
(7921,	754,	63,	'Y'),
(7922,	756,	63,	'Y'),
(7923,	757,	63,	'Y'),
(7924,	758,	63,	'Y'),
(7925,	763,	63,	'Y'),
(7926,	767,	63,	'Y'),
(7927,	772,	63,	'Y'),
(7928,	884,	63,	'Y'),
(7929,	886,	63,	'Y'),
(7930,	902,	63,	'Y'),
(7931,	908,	63,	'Y'),
(7932,	909,	63,	'Y'),
(7933,	939,	63,	'Y'),
(7934,	940,	63,	'Y'),
(7935,	953,	63,	'Y'),
(7936,	954,	63,	'Y'),
(7937,	955,	63,	'Y'),
(7938,	960,	63,	'Y'),
(7939,	961,	63,	'Y'),
(7940,	967,	63,	'Y'),
(7941,	969,	63,	'Y'),
(7942,	972,	63,	'Y'),
(7943,	974,	63,	'Y'),
(7944,	980,	63,	'Y'),
(7945,	982,	63,	'Y'),
(7946,	985,	63,	'Y'),
(7947,	1061,	63,	'Y'),
(7948,	1062,	63,	'Y'),
(7949,	1066,	63,	'Y'),
(7950,	1067,	63,	'Y'),
(7951,	1068,	63,	'Y'),
(7952,	1069,	63,	'Y'),
(7953,	1070,	63,	'Y'),
(7954,	1071,	63,	'Y'),
(7955,	1072,	63,	'Y'),
(7956,	1151,	63,	'Y'),
(7957,	1169,	63,	'Y'),
(7958,	1198,	63,	'Y'),
(7959,	1286,	63,	'Y'),
(7960,	1287,	63,	'Y'),
(7961,	1288,	63,	'Y'),
(7962,	1289,	63,	'Y'),
(7963,	1290,	63,	'Y'),
(7964,	1291,	63,	'Y'),
(7965,	1292,	63,	'Y'),
(7966,	1293,	63,	'Y'),
(7967,	1294,	63,	'Y'),
(7968,	1295,	63,	'Y'),
(7969,	1296,	63,	'Y'),
(7970,	1297,	63,	'Y'),
(7971,	1298,	63,	'Y'),
(7972,	1299,	63,	'Y'),
(7973,	1300,	63,	'Y'),
(7974,	1301,	63,	'Y'),
(7975,	1302,	63,	'Y'),
(7976,	1303,	63,	'Y'),
(7977,	1304,	63,	'Y'),
(7978,	1305,	63,	'Y'),
(7979,	1306,	63,	'Y'),
(7980,	1307,	63,	'Y'),
(7981,	1308,	63,	'Y'),
(7982,	1309,	63,	'Y'),
(7983,	1310,	63,	'Y'),
(7984,	1311,	63,	'Y'),
(7985,	1312,	63,	'Y'),
(7986,	1313,	63,	'Y'),
(7987,	1314,	63,	'Y'),
(7988,	1315,	63,	'Y'),
(7989,	1316,	63,	'Y'),
(7990,	1317,	63,	'Y'),
(7991,	1318,	63,	'Y'),
(7992,	1319,	63,	'Y'),
(7993,	1320,	63,	'Y'),
(7994,	1321,	63,	'Y'),
(7995,	1322,	63,	'Y'),
(7996,	1323,	63,	'Y'),
(7997,	1325,	63,	'Y'),
(7998,	1326,	63,	'Y'),
(7999,	1327,	63,	'Y'),
(8000,	1328,	63,	'Y'),
(8001,	1329,	63,	'Y'),
(8002,	1330,	63,	'Y'),
(8003,	1464,	63,	'Y'),
(8004,	1465,	63,	'Y'),
(8005,	1466,	63,	'Y'),
(8006,	1467,	63,	'Y'),
(8007,	1619,	63,	'Y'),
(8008,	1621,	63,	'Y'),
(8009,	1645,	63,	'Y'),
(8010,	1646,	63,	'Y'),
(8011,	1647,	63,	'Y'),
(8012,	1648,	63,	'Y'),
(8013,	1649,	63,	'Y'),
(8014,	1650,	63,	'Y'),
(8015,	1651,	63,	'Y'),
(8016,	1652,	63,	'Y'),
(8017,	1653,	63,	'Y'),
(8018,	1654,	63,	'Y'),
(8019,	1655,	63,	'Y'),
(8020,	1656,	63,	'Y'),
(8021,	1657,	63,	'Y'),
(8022,	1658,	63,	'Y'),
(8023,	1659,	63,	'Y'),
(8024,	1660,	63,	'Y'),
(8025,	1661,	63,	'Y'),
(8026,	1662,	63,	'Y'),
(8027,	1663,	63,	'Y'),
(8028,	1664,	63,	'Y'),
(8029,	1665,	63,	'Y'),
(8030,	1666,	63,	'Y'),
(8031,	1667,	63,	'Y'),
(8032,	1668,	63,	'Y'),
(8033,	1669,	63,	'Y'),
(8034,	1671,	63,	'Y'),
(8035,	1672,	63,	'Y'),
(8036,	1673,	63,	'Y'),
(8037,	1675,	63,	'Y'),
(8038,	1676,	63,	'Y'),
(8039,	1677,	63,	'Y'),
(8040,	1678,	63,	'Y'),
(8041,	1679,	63,	'Y'),
(8042,	1680,	63,	'Y'),
(8043,	1681,	63,	'Y'),
(8044,	1682,	63,	'Y'),
(8045,	1683,	63,	'Y'),
(8046,	1701,	63,	'Y'),
(8047,	1702,	63,	'Y'),
(8048,	1703,	63,	'Y'),
(8049,	1733,	63,	'Y'),
(8050,	1839,	63,	'Y'),
(8051,	1851,	63,	'Y'),
(8052,	1852,	63,	'Y'),
(8053,	1860,	63,	'Y'),
(8054,	1861,	63,	'Y'),
(8055,	1862,	63,	'Y'),
(8056,	1959,	63,	'Y'),
(8057,	1960,	63,	'Y'),
(8058,	1961,	63,	'Y'),
(8059,	1962,	63,	'Y'),
(8060,	1963,	63,	'Y'),
(8061,	1964,	63,	'Y'),
(8062,	1965,	63,	'Y'),
(8063,	1966,	63,	'Y'),
(8064,	1967,	63,	'Y'),
(8065,	1968,	63,	'Y'),
(8066,	1969,	63,	'Y'),
(8067,	1974,	63,	'Y'),
(8068,	1975,	63,	'Y'),
(8069,	1976,	63,	'Y'),
(8070,	1977,	63,	'Y'),
(8071,	1978,	63,	'Y'),
(8072,	1979,	63,	'Y'),
(8073,	1980,	63,	'Y'),
(8074,	2000,	63,	'Y'),
(8075,	2001,	63,	'Y'),
(8076,	2002,	63,	'Y'),
(8077,	2003,	63,	'Y'),
(8078,	2004,	63,	'Y'),
(8079,	2005,	63,	'Y'),
(8080,	2040,	63,	'Y');

DROP TABLE IF EXISTS `pr_mr_mapping`;
CREATE TABLE `pr_mr_mapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pr_id` int(11) NOT NULL,
  `mr_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `pr_mr_sea`;
CREATE TABLE `pr_mr_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `pr_sea_id` int(100) NOT NULL,
  `mr_sea_id` int(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `pr_mr_sea` (`id`, `pr_sea_id`, `mr_sea_id`) VALUES
(1,	1,	1);

DROP TABLE IF EXISTS `pr_products`;
CREATE TABLE `pr_products` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `purchase_request_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `qty` double NOT NULL,
  `apr_qty` int(100) DEFAULT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `status` char(1) NOT NULL DEFAULT 'G',
  `weight` int(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `pr_products_schedule_sea`;
CREATE TABLE `pr_products_schedule_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `purchase_request_sea_id` int(100) DEFAULT NULL,
  `pr_products_sea_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `qty` int(100) NOT NULL,
  `apr_qty` int(100) NOT NULL,
  `unit_id` int(100) DEFAULT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `scheduled_date` date NOT NULL,
  `schedule_id` int(100) DEFAULT NULL,
  `supplier_id` int(100) DEFAULT NULL,
  `status` varchar(10) NOT NULL DEFAULT 'G',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `pr_products_schedule_sea` (`id`, `purchase_request_sea_id`, `pr_products_sea_id`, `product_id`, `qty`, `apr_qty`, `unit_id`, `grade_id`, `scheduled_date`, `schedule_id`, `supplier_id`, `status`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	1,	1,	11,	1000,	1000,	3,	11,	'2020-10-01',	4,	NULL,	'G',	'2020-04-22 06:14:55',	'0000-00-00 00:00:00',	NULL),
(2,	1,	1,	11,	1000,	1000,	3,	11,	'2020-10-08',	4,	NULL,	'G',	'2020-04-22 06:14:55',	'0000-00-00 00:00:00',	NULL),
(3,	1,	1,	11,	1000,	1000,	3,	11,	'2020-10-15',	4,	NULL,	'G',	'2020-04-22 06:14:55',	'0000-00-00 00:00:00',	NULL),
(4,	1,	1,	11,	1000,	1000,	3,	11,	'2020-10-22',	4,	NULL,	'G',	'2020-04-22 06:14:55',	'0000-00-00 00:00:00',	NULL);

DROP TABLE IF EXISTS `pr_products_sea`;
CREATE TABLE `pr_products_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `purchase_request_sea_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `qty` int(100) NOT NULL,
  `apr_qty` int(100) NOT NULL,
  `unit_id` int(100) NOT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `status` char(10) NOT NULL DEFAULT 'G',
  `weight` int(100) DEFAULT NULL,
  `requested_month` date NOT NULL,
  `schedule_id` int(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `pr_products_sea` (`id`, `purchase_request_sea_id`, `product_id`, `qty`, `apr_qty`, `unit_id`, `grade_id`, `status`, `weight`, `requested_month`, `schedule_id`) VALUES
(1,	1,	11,	4000,	4000,	3,	11,	'G',	NULL,	'2020-10-01',	4);

DROP TABLE IF EXISTS `pr_suppliers`;
CREATE TABLE `pr_suppliers` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `purchase_request_id` int(100) NOT NULL,
  `supplier_id` int(100) NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci DEFAULT 'G',
  `eta` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `pr_suppliers_sea`;
CREATE TABLE `pr_suppliers_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `purchase_request_sea_id` int(100) NOT NULL,
  `supplier_id` int(100) NOT NULL,
  `status` char(2) NOT NULL DEFAULT 'G',
  `eta` date DEFAULT NULL,
  `supp_flag` char(11) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT 'SEA',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `pr_supplier_products`;
CREATE TABLE `pr_supplier_products` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `pr_supplier_id` int(100) NOT NULL,
  `pr_product_id` int(11) DEFAULT NULL,
  `product_id` int(100) NOT NULL,
  `qty` int(100) DEFAULT NULL,
  `apr_qty` int(100) DEFAULT NULL,
  `unit_id` int(100) NOT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `standard_id` int(100) DEFAULT NULL,
  `unitprice` decimal(10,3) NOT NULL,
  `actual_unit` decimal(10,3) DEFAULT NULL,
  `price` decimal(10,3) NOT NULL,
  `weight` int(100) DEFAULT NULL,
  `status` char(2) COLLATE utf8_unicode_ci DEFAULT 'G',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


DROP TABLE IF EXISTS `pr_supplier_products_sea`;
CREATE TABLE `pr_supplier_products_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `pr_supplier_sea_id` int(100) NOT NULL,
  `pr_product_sea_id` int(100) DEFAULT NULL,
  `pr_products_schedule_sea_id` int(100) DEFAULT NULL,
  `product_id` int(100) NOT NULL,
  `qty` int(100) NOT NULL,
  `apr_qty` int(100) NOT NULL,
  `unit_id` int(100) NOT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `standard_id` int(100) DEFAULT NULL,
  `unitprice` decimal(10,2) DEFAULT NULL,
  `actual_unit` decimal(10,2) DEFAULT NULL,
  `price` decimal(10,2) DEFAULT NULL,
  `weight` int(100) DEFAULT NULL,
  `status` char(10) NOT NULL DEFAULT 'G',
  `scheduled_date` date DEFAULT NULL,
  `schedule_id` int(100) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `delated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;


DROP TABLE IF EXISTS `purchase_request`;
CREATE TABLE `purchase_request` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `request_no` varchar(11) NOT NULL,
  `request_date` date NOT NULL,
  `mr_date` date DEFAULT NULL,
  `status` char(3) NOT NULL,
  `cus_group_id` int(11) NOT NULL,
  `entered_by` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


DROP TABLE IF EXISTS `purchase_request_sea`;
CREATE TABLE `purchase_request_sea` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `request_no` varchar(255) NOT NULL,
  `request_date` date NOT NULL,
  `entered_by` int(100) NOT NULL,
  `status` char(11) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `purchase_request_sea` (`id`, `request_no`, `request_date`, `entered_by`, `status`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	'PR1',	'2020-04-22',	1,	'SUP',	'2020-04-22 06:14:55',	'0000-00-00 00:00:00',	NULL);

DROP TABLE IF EXISTS `return_products`;
CREATE TABLE `return_products` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_rtn_entry_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `unit_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `qty` double DEFAULT NULL,
  `price` decimal(15,3) DEFAULT NULL,
  `total_amt` decimal(15,3) DEFAULT NULL,
  `remarks` text,
  `prd_status` varchar(30) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `goods_rtn_entry_id_product_id_unit_id_grade_id` (`goods_rtn_entry_id`,`product_id`,`unit_id`,`grade_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `return_products` (`id`, `goods_rtn_entry_id`, `product_id`, `unit_id`, `grade_id`, `qty`, `price`, `total_amt`, `remarks`, `prd_status`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	2,	1417,	11,	9,	8,	0.000,	0.000,	NULL,	'SELF RETURN',	'2021-02-26 14:27:07',	NULL,	NULL),
(2,	2,	1410,	3,	35,	10,	0.000,	0.000,	NULL,	'DELIVERY RETURN',	'2021-02-26 14:27:07',	NULL,	NULL),
(3,	3,	1410,	3,	35,	1.5,	0.000,	0.000,	NULL,	'SELF RETURN',	'2021-02-26 14:35:57',	NULL,	NULL);

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `display_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `flag` int(11) DEFAULT '0',
  `multiple_type` char(1) COLLATE utf8_unicode_ci DEFAULT 'N',
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_name_unique` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `roles` (`id`, `name`, `display_name`, `description`, `flag`, `multiple_type`, `created_at`, `updated_at`) VALUES
(1,	'ADMIN',	'ADMIN',	'Admin',	1,	'N',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(2,	'MANAGER',	'MANAGER',	'Manager',	1,	'Y',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(3,	'CUSTOMER',	'CUSTOMER',	'Customer',	1,	'N',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(5,	'PURCHASE',	'PURCHASE',	'PURCHASE',	1,	'Y',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(6,	'SAMPLE ROLE',	'SAMPLE ROLE',	'Sample to test',	0,	'N',	'0000-00-00 00:00:00',	'0000-00-00 00:00:00'),
(7,	'SUPERVISOR',	'SUPERVISOR',	'SIS SUPERVISOR',	0,	'N',	'2018-09-27 11:10:55',	'2018-09-27 11:10:55'),
(8,	'CUSTOMER SEA',	'CUSTOMER SEA',	'CUSTOMER SEA',	0,	'N',	'2018-12-15 08:49:07',	'2018-12-15 08:49:07'),
(9,	'MANAGER - SEA',	'MANAGER - SEA',	'MANAGER - SEA',	0,	'N',	'2018-12-15 08:49:23',	'2018-12-15 08:49:23'),
(10,	'REPORTS',	'REPORTS',	'REPORTS',	0,	'N',	'2018-12-16 11:47:53',	'2018-12-16 11:47:53'),
(11,	'GENERAL',	'GENERAL',	'GENERAL',	0,	'N',	'2019-09-25 11:29:37',	'2019-09-25 11:29:37'),
(12,	'MANAGER-SDC',	'MANAGER-SDC',	'MANAGER-SDC',	0,	'N',	'2020-01-06 17:42:30',	'2020-01-06 17:42:30'),
(13,	'KMD MANAGER',	'KMD MANAGER',	'KMD MANAGER',	0,	'N',	'2020-09-13 13:30:00',	'2020-09-13 13:30:00');

DROP TABLE IF EXISTS `role_permission`;
CREATE TABLE `role_permission` (
  `permission_id` int(10) unsigned NOT NULL,
  `role_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `role_permission` (`permission_id`, `role_id`) VALUES
(4,	3),
(7,	3),
(5,	7),
(10,	7),
(7,	7),
(12,	5),
(11,	5),
(9,	5),
(3,	5),
(6,	5),
(7,	5),
(13,	8),
(14,	9),
(5,	10),
(10,	10),
(7,	10),
(1,	1),
(2,	1),
(4,	1),
(13,	1),
(8,	1),
(14,	1),
(12,	1),
(11,	1),
(9,	1),
(10,	1),
(3,	1),
(6,	1),
(7,	1),
(4,	11),
(2,	6),
(8,	6),
(5,	6),
(10,	6),
(7,	6),
(2,	2),
(8,	2),
(5,	2),
(10,	2),
(7,	2),
(2,	12),
(4,	12),
(8,	12),
(5,	12),
(10,	12),
(7,	12),
(2,	13),
(8,	13),
(5,	13),
(10,	13);

DROP TABLE IF EXISTS `season_master`;
CREATE TABLE `season_master` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `season` varchar(150) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `start_month` int(11) NOT NULL,
  `end_month` int(11) NOT NULL,
  `entered_by` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `season_master` (`id`, `season`, `start_month`, `end_month`, `entered_by`) VALUES
(1,	'WINTER INDIA',	12,	3,	1),
(2,	'YEAR AROUND',	1,	12,	1),
(3,	'SUMMER INDIA',	3,	5,	1),
(4,	'WINTER CHINA',	12,	2,	1),
(5,	'SUMMER CHINA',	6,	8,	1),
(6,	'WINTER USA',	6,	8,	1),
(7,	'SUMMER USA',	3,	6,	1),
(8,	'WINTER PAKISTAN',	11,	3,	1),
(9,	'SUMMER PAKISTAN',	4,	7,	1),
(10,	'WINTER PHILIPPINES',	6,	10,	1),
(11,	'SUMMER PHILIPPINES',	4,	5,	1),
(12,	'WINTER INDONESIA',	10,	4,	1),
(13,	'SUMMER INDONESIA',	5,	9,	1),
(14,	'WINTER VIETNAM',	11,	4,	1),
(15,	'SUMMER VIETNAM',	5,	10,	1),
(16,	'WINTER  SOUTH AFRICA',	3,	4,	1),
(17,	'SUMMER SOUTH AFRICA',	6,	8,	1),
(18,	'WINTER KENYA',	6,	9,	1),
(19,	'SUMMER KENYA',	12,	3,	1),
(20,	'WINTER UKRAIN',	1,	3,	1),
(21,	'SUMMER UKRAIN',	7,	8,	1),
(22,	'WINTER ECUDOR',	1,	4,	1),
(23,	'SUMMER ECUDOR',	5,	10,	1),
(24,	'WINTER ITALY',	12,	2,	1),
(25,	'SUMMER ITALY',	6,	8,	1),
(26,	'WINTER FRANCE',	1,	2,	1),
(27,	'SUMMER FRANCE',	6,	8,	1),
(28,	'WINTER SPAIN',	12,	3,	1),
(29,	'SUMMER SPAIN',	8,	12,	1),
(30,	'WINTER TURKEY',	4,	5,	1),
(31,	'SUMMER TURKEY',	6,	9,	1),
(32,	'WINTER OMAN',	1,	4,	1),
(33,	'SUMMER OMAN',	6,	9,	1),
(34,	'WINTER EGYPT',	11,	4,	1),
(35,	'SUMMER EGYPT',	5,	10,	1),
(36,	'WINTER MALAYSIA',	1,	2,	1),
(37,	'SUMMER MALAYSIA',	6,	7,	1),
(38,	'WINTER IRAN',	1,	4,	1),
(39,	'SUMMER IRAN',	6,	9,	1),
(40,	'WINTER AUSTRALIA',	6,	8,	1),
(41,	'SUMMER  AUSTRALIA',	12,	2,	1);

DROP TABLE IF EXISTS `standard_master`;
CREATE TABLE `standard_master` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `standard` varchar(255) NOT NULL,
  `is_active` char(2) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `standard_master` (`id`, `standard`, `is_active`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	'BY AIR',	'Y',	'2021-04-07 10:19:12',	'2021-04-07 10:19:12',	NULL),
(2,	'CLASS1',	'Y',	'2021-04-07 10:19:14',	'2021-04-07 10:19:14',	NULL),
(3,	'ORGANIC',	'Y',	'2021-04-07 10:27:54',	'2021-04-07 10:27:54',	NULL),
(4,	'CLASS2',	'Y',	'2021-04-07 10:28:59',	'2021-04-07 10:28:59',	NULL),
(5,	'CLASS3',	'Y',	'2021-04-07 11:37:18',	'2021-04-07 11:37:18',	NULL),
(6,	'VITAMIN D',	'Y',	'2021-04-07 11:59:02',	'2021-04-07 11:59:02',	NULL);

DROP TABLE IF EXISTS `sub_groups`;
CREATE TABLE `sub_groups` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `group_master_id` int(100) NOT NULL,
  `sub_group` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `sub_groups` (`id`, `group_master_id`, `sub_group`) VALUES
(1,	1,	'SPROUTS'),
(2,	2,	'GREEN'),
(3,	3,	'ALOE VERA'),
(4,	4,	'JAZZ'),
(5,	4,	'JOYA'),
(6,	4,	'KANZI'),
(7,	4,	'LOLLIPOP'),
(8,	4,	'CRIPPS PINK'),
(9,	4,	'ROYAL GALA'),
(10,	4,	'BREEZE'),
(11,	4,	'GALA'),
(12,	4,	'FUJI'),
(13,	4,	'GOLDEN'),
(14,	4,	'RED'),
(15,	4,	'PINK LADY'),
(16,	4,	'RED JONA'),
(17,	4,	'ROYAL BEAUTY'),
(18,	4,	'HONEY CRUNCH'),
(19,	4,	'FUJI RED'),
(20,	4,	'CARMINE'),
(21,	4,	'ARRINE'),
(22,	4,	'AMBROSIA'),
(23,	4,	'KORU'),
(24,	4,	'MIX'),
(25,	4,	'PACIFIC QUEEN'),
(26,	4,	'JUICI'),
(27,	5,	'APRICOT'),
(28,	5,	'DRY'),
(29,	6,	'TOPINAMBOUR'),
(30,	6,	'ARTICHOKE'),
(31,	7,	'WHITE'),
(32,	7,	'BABY'),
(33,	7,	'JUMBO GREEN'),
(34,	8,	'JUMBO'),
(35,	8,	'HASS'),
(36,	8,	'FUERTE'),
(37,	8,	'AVOCADO BABY'),
(38,	9,	'BAMBOO LEAVES'),
(39,	10,	'FLOWER'),
(40,	10,	'CAVENDISH'),
(41,	10,	'CAVENDISH DOLE'),
(42,	10,	'CAVENDISH DOLE SNACK'),
(43,	10,	'CAVENDISH DOLE SWEET'),
(44,	10,	'STUMP'),
(45,	10,	'TREE'),
(46,	10,	'PLANTAIN YELLOW'),
(47,	10,	'PLANTAIN GREEN'),
(48,	10,	'POOVAN'),
(49,	10,	'SABA (ALU KESAL)'),
(50,	10,	'SABA (CURRY)'),
(51,	10,	'GREEN SMALL'),
(52,	10,	'TARO (GULGAS)'),
(53,	10,	'RASAKADHALI'),
(54,	10,	'ASH'),
(55,	10,	'BANANA LEAF'),
(56,	11,	'BASIL SWEET'),
(57,	11,	'BASIL'),
(58,	12,	'GREEN YELLOW'),
(59,	12,	'LONG'),
(60,	12,	'BUTTER'),
(61,	12,	'FRENCH'),
(62,	12,	'RUNNER'),
(63,	12,	'PAPDI'),
(64,	12,	'SURTI PAPDI'),
(65,	12,	'ANGLED (DAMBALA)'),
(66,	12,	'PAPDI RED'),
(67,	12,	'LONG WHITE'),
(68,	13,	'BEETROOT'),
(69,	13,	'ROOT COOKED'),
(70,	13,	'CHARD GREEN'),
(71,	13,	'CHARD RED'),
(72,	13,	'BEETROOT BABY'),
(73,	14,	'FRUIT'),
(74,	14,	'JUJUBI FRUIT'),
(75,	16,	'CRANBERRY'),
(76,	16,	'MIXED BERRY'),
(77,	16,	'STRAWBERRY'),
(78,	16,	'BLACKBERRY'),
(79,	16,	'RASP BERRY'),
(80,	16,	'BLUEBERRY'),
(81,	16,	'REDBERRY (CURRANT)'),
(82,	16,	'PINEBERRY'),
(83,	16,	'STRASBERRY'),
(84,	18,	'BROCCOLI'),
(85,	18,	'MINI'),
(86,	18,	'ROMANESCO'),
(87,	18,	'BROCCOLI (CHINIES) KALE'),
(88,	20,	'SPRING'),
(89,	20,	'SAVOY'),
(90,	20,	'RED MINI'),
(91,	20,	'GREEN MINI'),
(92,	20,	'KALE'),
(93,	20,	'CHINIES'),
(94,	21,	'PURPLE'),
(95,	21,	'YELLOW MINI'),
(96,	21,	'ORANGE'),
(97,	21,	'ORANGE MINI'),
(98,	21,	'YELLOW'),
(99,	21,	'MINI MIX'),
(100,	22,	'CARROT'),
(101,	22,	'CARROT LEAF'),
(102,	22,	'RAINBOW'),
(103,	23,	'CAULIFLOWER'),
(104,	24,	'CELERY'),
(105,	24,	'ROOT'),
(106,	25,	'CHAYOTE (CHOCHO)'),
(107,	26,	'CHERRY'),
(108,	27,	'CHERVIL'),
(109,	28,	'CHESTNUT'),
(110,	28,	'WATER CHESTNUT'),
(111,	30,	'RED SMALL'),
(112,	30,	'SAMBAR'),
(113,	30,	'RED (JALAPENO)'),
(114,	30,	'HOT'),
(115,	30,	'LONG GREEN'),
(116,	30,	'LONG YELLOW'),
(117,	30,	'GREEN (JALAPENO)'),
(118,	30,	'LONG ORANGE'),
(119,	30,	'LONG RED'),
(120,	30,	'BIRD (KANTHARI)'),
(121,	31,	'CHINESE KALE'),
(122,	32,	'CHIVES'),
(123,	33,	'TENDER GREEN'),
(124,	33,	'TENDER YELLOW'),
(125,	34,	'CRESS (LEAVES)'),
(126,	34,	'CORIANDER'),
(127,	35,	'SWEET'),
(128,	36,	'CRESS WATER'),
(129,	36,	'CRESS AFILLA'),
(130,	36,	'CRESS DAIKON'),
(131,	36,	'CRESS KOPPERT(SAKURA MIX)'),
(132,	36,	'CRESS MUSTARD'),
(133,	36,	'CRESS ROCK CHIVES'),
(134,	36,	'CRESS SHISO'),
(135,	37,	'YELLOW(VELLERI)'),
(136,	38,	'CURRY LEAVES'),
(137,	39,	'APPLE'),
(138,	39,	'APPLE (CHERIMOYA)'),
(139,	40,	'DATES FREESH'),
(140,	40,	'KIMIA'),
(141,	40,	'DATES'),
(142,	40,	'PASTE'),
(143,	40,	'SYRUP'),
(144,	40,	'MEDJOOL'),
(145,	40,	'DATES TABSERA'),
(146,	40,	'DATES BARHI'),
(147,	40,	'SAGAI'),
(148,	40,	'MAAMOUL'),
(149,	40,	'HONEY'),
(150,	40,	'COCONUT BALLS'),
(151,	40,	'KHALAS'),
(152,	40,	'SUKKARI'),
(153,	40,	'SORBON'),
(154,	40,	'RAHASH'),
(155,	40,	'MALKY'),
(156,	41,	'DILL LEAVES'),
(157,	43,	'DRUMSTICK'),
(158,	44,	'DURIAN'),
(159,	44,	'PEELED'),
(160,	45,	'BROWN'),
(161,	45,	'BROWN (BARKA)'),
(162,	45,	'BROWN (BIDIYA)'),
(163,	45,	'BROWN (DADA)'),
(164,	45,	'BROWN (GHADEER)'),
(165,	45,	'FRUIT (LAVULU)'),
(166,	45,	'WHITE (BARKA)'),
(167,	45,	'WHITE (BIDIYA)'),
(168,	45,	'WHITE (DANA)'),
(169,	45,	'WHITE (GHADEER)'),
(170,	45,	'ZAIN'),
(171,	45,	'WHITE (DUCK)'),
(172,	45,	'QUAIL'),
(173,	46,	'PINK'),
(174,	46,	'GREEN (THALANABATU)'),
(175,	46,	'MED'),
(176,	46,	'BIG'),
(177,	46,	'STAR'),
(178,	47,	'FENNEL'),
(179,	49,	'EDIBLE'),
(180,	49,	'JASMINE'),
(181,	49,	'CHRYSANTHEMUM (SEVANTHI)'),
(182,	50,	'GALANGA'),
(183,	51,	'GARLIC SPRING'),
(184,	51,	'PURE WHITE'),
(185,	52,	'SAMMAN'),
(186,	53,	'MANGO'),
(187,	53,	'GINGER LEAVES'),
(188,	53,	'GINGER'),
(189,	54,	'GOOSEBERRY (AMLA)'),
(190,	55,	'GOTUKOLA'),
(191,	57,	'RED SEEDLESS'),
(192,	57,	'WHITE SEEDLESS'),
(193,	57,	'RED GLOBE'),
(194,	57,	'WHITE SEEDLESS PREMIUM'),
(195,	57,	'BLACK SEEDLESS'),
(196,	57,	'BLACK'),
(197,	57,	'MIX SEEDLESS'),
(198,	57,	'GRAPE LEAVES'),
(199,	58,	'GUAR (AMARA)'),
(200,	59,	'GUAVA'),
(201,	59,	'(PEELED) GREEN'),
(202,	59,	'(PEELED) RED'),
(203,	60,	'GULFA LEAVES'),
(204,	61,	'GUNDA'),
(205,	62,	'RADISH'),
(206,	63,	'GOURD (TINDLY)'),
(207,	64,	'TENDER (POLOS)'),
(208,	64,	'SEED'),
(209,	64,	'JACKFRUIT'),
(210,	65,	'KAKA FRUIT'),
(211,	66,	'KANKUN LEAVES'),
(212,	67,	'KATHURU MURUNGA (AGASTI)'),
(213,	69,	'LOTI'),
(214,	70,	'KOHILA LEAVES'),
(215,	71,	'(NOOLKAL) GREEN'),
(216,	72,	'KUMQUAT'),
(217,	73,	'LADIES FINGER'),
(218,	74,	'LANGSAT'),
(219,	75,	'LEEKS'),
(220,	75,	'LEEKS MINI'),
(221,	76,	'GRASS'),
(222,	76,	'LEMON'),
(223,	76,	'LEMON LEAVES'),
(224,	76,	'CURRY (CEDRO)'),
(225,	77,	'FRISEE GREEN'),
(226,	77,	'CHARD'),
(227,	77,	'LOLLO ROSSO'),
(228,	77,	'MACHE'),
(229,	77,	'ROQUETTE'),
(230,	77,	'ROMAINE'),
(231,	77,	'RADICCHIO'),
(232,	77,	'OAK LEAVES'),
(233,	77,	'OAK LEAVES RED'),
(234,	77,	'GEM HEART'),
(235,	77,	'BOSTON'),
(236,	77,	'FRISEE YELLOW'),
(237,	77,	'ICEBERG'),
(238,	77,	'LOLLO BIONDO'),
(239,	77,	'LOLLO GREEN'),
(240,	78,	'LIME'),
(241,	78,	'LIME LEAVES'),
(242,	79,	'LITCHI'),
(243,	80,	'LONGAN'),
(244,	81,	'LONGAST'),
(245,	83,	'ROOT (NELUM ALA)'),
(246,	84,	'SEEDLESS'),
(247,	84,	'SUMO(MENOLAS)'),
(248,	84,	'MANDARIN'),
(249,	85,	'NATTY'),
(250,	85,	'MALGOA'),
(251,	85,	'MALLIKA'),
(252,	85,	'PEELY'),
(253,	85,	'KENT'),
(254,	85,	'KESAR'),
(255,	85,	'LALBAGH'),
(256,	85,	'LANGARA'),
(257,	85,	'BADAMI'),
(258,	85,	'CHAKKARA KUTTY'),
(259,	85,	'AMERICAN'),
(260,	85,	'ALMAS'),
(261,	85,	'ALPHONSO'),
(262,	85,	'LAL BADSHA'),
(263,	85,	'IMAM PASAND'),
(264,	85,	'JAHANGIR'),
(265,	85,	'MOOVANDAN'),
(266,	85,	'MSHALHA'),
(267,	85,	'MUNDAPPA'),
(268,	85,	'KALBATOOR'),
(269,	85,	'KANNADI POOVAN'),
(270,	85,	'CHAUNSA'),
(271,	85,	'CHAUNSA BLACK'),
(272,	85,	'GUDADATH'),
(273,	85,	'DESI'),
(274,	85,	'FAJRI'),
(275,	85,	'ANWAR RATOLE'),
(276,	85,	'ZOPDH'),
(277,	85,	'BUMBI'),
(278,	85,	'SUNDARI'),
(279,	85,	'SUNERA'),
(280,	85,	'SUNNERI'),
(281,	85,	'TOMMY ATKINS'),
(282,	85,	'ROUND'),
(283,	85,	'TAIMOOR'),
(284,	85,	'WHITE CHAUNSA'),
(285,	85,	'WHITE GOLD'),
(286,	85,	'TOTAPURI'),
(287,	85,	'PAILOT'),
(288,	85,	'PANJARAKUTTAN'),
(289,	85,	'PANJAVARNAM'),
(290,	85,	'RAJAPURI'),
(291,	85,	'PRIYOOR'),
(292,	85,	'SAMAKAH'),
(293,	85,	'SINDHOORAM'),
(294,	85,	'SINDHRI'),
(295,	85,	'THYMR'),
(296,	85,	'VILLIPASANTHA'),
(297,	85,	'ROMANIA'),
(298,	85,	'NEDUNCHALAI'),
(299,	85,	'NEELAM'),
(300,	85,	'NIRAAD'),
(301,	85,	'BADH'),
(302,	85,	'KALAPADI'),
(303,	85,	'BANGANAPALLI'),
(304,	85,	'RATA WALA'),
(305,	85,	'YASMINE'),
(306,	85,	'R2E2'),
(307,	85,	'CALYPSO'),
(308,	85,	'TOTAPURI RIPE'),
(309,	86,	'MANGOSTEEN'),
(310,	87,	'MARJORAM'),
(311,	88,	'MARROW'),
(312,	89,	'MINT LEAVES'),
(313,	90,	'MULUKHIYAH LEAVES'),
(314,	91,	'KING (ERYNGI)'),
(315,	91,	'SHIMEJI BROWN'),
(316,	91,	'GIANT'),
(317,	91,	'BUTTON WHITE'),
(318,	91,	'BEECH'),
(319,	91,	'ENOKI'),
(320,	91,	'OYSTER'),
(321,	91,	'PORTABELLA'),
(322,	91,	'SHIMEJI WHITE'),
(323,	91,	'SHITAKE'),
(324,	91,	'WHITE MINI'),
(325,	92,	'NECTRINE'),
(326,	92,	'GOLD'),
(327,	92,	'FLAT'),
(328,	93,	'SHALLOT(SMALL)'),
(329,	93,	'PEARL'),
(330,	93,	'SHALLOT BANANA'),
(331,	93,	'RED PEELED'),
(332,	93,	'ONION SRING'),
(333,	94,	'CAMBRIA'),
(334,	94,	'NAVEL'),
(335,	94,	'MIDNIGHT'),
(336,	94,	'VALENCIA'),
(337,	94,	'SUHOL'),
(338,	94,	'GREEN (MOSAMBI)'),
(339,	94,	'DELTA'),
(340,	94,	'NAVELATE'),
(341,	95,	'OREGANO'),
(342,	96,	'PAKSOY'),
(343,	96,	'PAKSOY MINI'),
(344,	97,	'PANDAN LEAVES'),
(345,	98,	'RIPE'),
(346,	98,	'SOLO'),
(347,	99,	'PAPPADAM BIG'),
(348,	99,	'PAPPADAM SMALL'),
(349,	99,	'PAPPADAM MASALA BIG'),
(350,	100,	'PARSLEY ENGLISH'),
(351,	100,	'PARSLEY'),
(352,	100,	'PARSLEY LANKA (MUKUNUWANNA)'),
(353,	101,	'PARSNIP'),
(354,	102,	'GRANADILLA'),
(355,	102,	'TAMARILO'),
(356,	104,	'FLAT (KAKA)'),
(357,	104,	'PEACHES'),
(358,	105,	'FRESH'),
(359,	106,	'FORELLE'),
(360,	106,	'CROWN'),
(361,	106,	'KOSUI'),
(362,	106,	'NASHI'),
(363,	106,	'BOSC'),
(364,	106,	'ANJOU'),
(365,	106,	'CONFERENCE'),
(366,	106,	'PEARS'),
(367,	106,	'YAPEAR'),
(368,	106,	'SEMPRE'),
(369,	106,	'VERMONT BEAUTY'),
(370,	106,	'ROSEMARY'),
(371,	106,	'QTEE'),
(372,	106,	'PACKHAM'),
(373,	106,	'PRICKLY'),
(374,	108,	'PHYSALIS'),
(375,	109,	'PINEAPPLE'),
(376,	110,	'HOG FRUIT (AMBAZHANGA)'),
(377,	110,	'YELLOW (MARIAN)'),
(378,	111,	'POISHAK LEAVES'),
(379,	112,	'PARWAR'),
(380,	113,	'POMEGRANATE'),
(381,	114,	'POMELO'),
(382,	115,	'POTATO'),
(383,	115,	'RATTE'),
(384,	115,	'SWEET ORANGE'),
(385,	115,	'SWEET RED'),
(386,	115,	'CHAT'),
(387,	115,	'CHINIES(KOORKA)'),
(388,	115,	'SWEET PURPLE'),
(389,	116,	'BUTTERNUT'),
(390,	116,	'WHITE (KADHU)'),
(391,	116,	'PUMKIN ASH'),
(392,	116,	'RED (BOBER)'),
(393,	116,	'PUMKIN LEAVES'),
(394,	116,	'WHITE (KADHU) ROUND'),
(395,	117,	'WHITE (MOOLI)'),
(396,	117,	'RADISH LEAVES'),
(397,	117,	'RED RADISH LEAVES'),
(398,	118,	'RAMBUTAN'),
(399,	119,	'RHUBARB'),
(400,	120,	'GOURD GREEN (TURI)'),
(401,	120,	'GOURD WHITE (TURI)'),
(402,	121,	'GOURD (TURI)'),
(403,	122,	'SWEET MELON'),
(404,	122,	'WATERMELON'),
(405,	122,	'WATERMELON SEEDLESS'),
(406,	122,	'WATERMELON YELLOW'),
(407,	122,	'ROCK MELON'),
(408,	122,	'MASHADI'),
(409,	122,	'HONEY DEW'),
(410,	123,	'ROCET (GIRGIR)'),
(411,	126,	'SAGE LEAVES'),
(412,	127,	'SAPODILLA (CHIKOO)'),
(413,	128,	'(SALAK) FRUIT'),
(414,	129,	'SNAKE GOURD'),
(415,	131,	'SOURSOP'),
(416,	132,	'SPINACH PALAK'),
(417,	132,	'SPINACH RED'),
(418,	132,	'SPINACH GREEN'),
(419,	133,	'SPINACH BABY'),
(420,	135,	'SUGAR CANE'),
(421,	136,	'SNAP'),
(422,	138,	'TAPIOCA'),
(423,	139,	'TARO (ARAVI)'),
(424,	139,	'SMALL (ARAVI)'),
(425,	139,	'LEAVES (ARAVI)'),
(426,	139,	'TARO (UMBRALLA)'),
(427,	140,	'TARRAGON'),
(428,	141,	'GOURD (KARKOL)'),
(429,	142,	'THYME LEAVES'),
(430,	143,	'TINDA'),
(431,	144,	'ROMA'),
(432,	144,	'PLUM'),
(433,	144,	'PEAR'),
(434,	144,	'KUMATO'),
(435,	144,	'CHERRY BUNCH'),
(436,	144,	'CHERRY MIX'),
(437,	144,	'CHERRY RED'),
(438,	144,	'CHERRY SHAKER'),
(439,	144,	'CHERRY YELLOW'),
(440,	144,	'BUNCH YELLOW'),
(441,	144,	'DATTERINO'),
(442,	144,	'BUNCH ORANGE'),
(443,	144,	'BUNCH RED'),
(444,	144,	'BEEF'),
(445,	144,	'HEIRLOOM'),
(446,	144,	'HEIRLOOM MIX'),
(447,	144,	'CHERRY BROWN'),
(448,	144,	'CHERRY PLUM'),
(449,	144,	'CHERRY BUNCH YELLOW'),
(450,	144,	'CHERITA'),
(451,	144,	'CHERRY GREEN'),
(452,	144,	'CHERRY PURPLE'),
(453,	144,	'CHERRY ORANGE'),
(454,	144,	'SNACK RED'),
(455,	144,	'SNACK ORANGE'),
(456,	144,	'SNACK MIX'),
(457,	144,	'TEARDROP YELLOW'),
(458,	145,	'TURMERIC LEAVES'),
(459,	145,	'TURMERIC'),
(460,	146,	'TURNIP'),
(461,	146,	'SWEDE'),
(462,	146,	'SWEDE BABY'),
(463,	147,	'WHEATGRASS'),
(464,	148,	'WOOD APPLE'),
(465,	149,	'RED (KACHIL)'),
(466,	149,	'YAM (SURAN)'),
(467,	150,	'MINI GREEN'),
(468,	150,	'MINI YELLOW'),
(469,	151,	'GREEN BABY'),
(470,	152,	'VEGETABLE'),
(471,	152,	'MIX CORN ASPARAGUS BABY'),
(472,	153,	'SNOW PEAS'),
(473,	153,	'GREEN PEAS(MATAR)'),
(474,	153,	'GREEN PEAS (TUVAR)'),
(475,	153,	'CHICKPEA (BENGAL GRAM)'),
(476,	154,	'MESCLUN LEAVES MIX'),
(477,	155,	'LEAVES'),
(478,	158,	'BAGS'),
(479,	158,	'KEES ROLLS'),
(480,	158,	'FOAM TRAY'),
(481,	158,	'NASPLAST'),
(482,	158,	'CLING FLIM'),
(483,	158,	'MICROWAVE CONT'),
(484,	158,	'TAPE'),
(485,	158,	'DISPOSABLE'),
(486,	158,	'FOAM BURGER'),
(487,	158,	'PAPER GLASS'),
(488,	158,	'SANDWICH PAPER'),
(489,	158,	'PAPER CUP'),
(490,	158,	'LID PEPER CUP'),
(491,	158,	'ALUMINIUM CONTAINERAINER'),
(492,	158,	'FALCON FOIL'),
(493,	158,	'CARTOON'),
(494,	158,	'APRON'),
(495,	158,	'GLOVES'),
(496,	158,	'STRETCH FILIM'),
(497,	158,	'EGG ROPE'),
(498,	158,	'SPOON'),
(499,	158,	'CLEAR CUP'),
(500,	158,	'MAXIROLL'),
(501,	158,	'RUBBER BAND'),
(502,	158,	'TARPAULIN'),
(503,	158,	'ONION ROPE'),
(504,	158,	'FACE MASK'),
(505,	158,	'PALLET'),
(506,	158,	'ORANGE NET ROLL'),
(507,	158,	'PLASTIC STRAW'),
(508,	158,	'PAPER PLATE'),
(509,	158,	'GARBAGE'),
(510,	158,	'SUFRA'),
(511,	158,	'FOAM PLATE'),
(512,	158,	'THERMAL'),
(513,	158,	'ARBANA'),
(514,	158,	'TISSUE'),
(515,	158,	'IFTAR INSTANT KIT'),
(516,	158,	'IFTAR FAMILY KIT'),
(517,	158,	'MACHINE'),
(518,	158,	'KITCHEN RACKS'),
(519,	158,	'ETHYLENE'),
(520,	158,	'HEAT SEALING'),
(521,	158,	'EMPTY BOTTLE'),
(522,	158,	'CONTAINER CLEAR'),
(523,	159,	'HAND WASH'),
(524,	162,	'CHICKEN'),
(525,	163,	'APTAMIL'),
(526,	163,	'HERO BABY'),
(527,	163,	'CERELAC'),
(528,	163,	'PEDIASURE'),
(529,	163,	'SIMILAC'),
(530,	163,	'NAN'),
(531,	163,	'NESTLE'),
(532,	163,	'NIDO'),
(533,	164,	'ROSELLE'),
(534,	165,	'COCOA FRUIT'),
(535,	166,	'BETEL LEAF'),
(536,	168,	'PALM FRUIT'),
(537,	169,	'SARANA');

DROP TABLE IF EXISTS `sub_locations`;
CREATE TABLE `sub_locations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sub_location` varchar(255) DEFAULT NULL,
  `location_id` int(11) NOT NULL,
  `is_active` char(10) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `sub_locations` (`id`, `sub_location`, `location_id`, `is_active`) VALUES
(1,	'A LOCATION',	1,	'Y');

DROP TABLE IF EXISTS `supplier`;
CREATE TABLE `supplier` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `sup_code` char(6) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `supplier_type_id` int(11) DEFAULT NULL,
  `delivery_type_id` int(11) NOT NULL,
  `address` varchar(350) DEFAULT NULL,
  `country_id` int(11) DEFAULT NULL,
  `contact_no1` varchar(255) NOT NULL,
  `contact_p1` varchar(255) NOT NULL,
  `email1` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `contact_no2` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `contact_p2` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `email2` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `credit_period` int(11) DEFAULT NULL,
  `credit_limit` int(15) DEFAULT NULL,
  `status_id` int(11) NOT NULL,
  `payment_type_id` int(11) NOT NULL,
  `currency_type_id` int(11) DEFAULT NULL,
  `shipping_terms` text,
  `office_id` int(10) unsigned DEFAULT NULL,
  `ben_name` varchar(200) DEFAULT NULL,
  `account_number` varchar(15) DEFAULT NULL,
  `bank_name` varchar(200) DEFAULT NULL,
  `branch_name` varchar(200) DEFAULT NULL,
  `bank_addrs` varchar(500) DEFAULT NULL,
  `swift_code` varchar(25) DEFAULT NULL,
  `iban` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `office_id` (`office_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `supplier` (`id`, `name`, `sup_code`, `supplier_type_id`, `delivery_type_id`, `address`, `country_id`, `contact_no1`, `contact_p1`, `email1`, `contact_no2`, `contact_p2`, `email2`, `credit_period`, `credit_limit`, `status_id`, `payment_type_id`, `currency_type_id`, `shipping_terms`, `office_id`, `ben_name`, `account_number`, `bank_name`, `branch_name`, `bank_addrs`, `swift_code`, `iban`) VALUES
(1,	'ORIGINAL FOODS',	'9291',	13,	24,	'THIRUVANANTHAPURAM',	1,	'00919846011555',	'SALIH',	'originalfoods@gmail.com',	NULL,	NULL,	NULL,	45,	20000,	7,	18,	8,	NULL,	1,	'ORIGINAL FOODS',	'10300200019141',	'THE FEDERAL BANK LIMITED',	'THIRUVANANTHAPURAM',	NULL,	'FDRL IND BIBD',	NULL),
(2,	'PARAMOUNT EXPORT COMPANY',	'9466',	13,	24,	'13300 CROSSROADS PARKWAY NORTH \r\nCITY OF INDUSTRY, CA 91746',	NULL,	'0012137256192',	'Giovanni',	'giovanni.Mejia@paramountexport.net',	'0012138046336',	'Alexandra',	NULL,	15,	100000,	5,	18,	8,	'C and F Muscat',	1,	'PARAMOUNT EXPORT COMPANY',	'014615872',	'BANK OF THE WEST',	NULL,	NULL,	'BWSTUS66',	NULL),
(3,	'KAVERI TRADERS',	'KVR',	13,	24,	NULL,	NULL,	'0919388202053',	'SUDHEESH',	'kavexpo4tvm@gmail.com',	'0919496006969',	'NIZAR',	'info.kaveritraders@gmail.com',	120,	20000,	5,	18,	8,	NULL,	1,	'KAVERI TRADERS',	'0819214000020',	'CANARABANK',	'CANTONMENT BRANCH',	NULL,	'CNRBINBBTDC',	NULL),
(4,	'DAY FRESH EXPORTS',	'XXXX',	13,	24,	'MANJERI BRANCH, MALAPPURAM DISTRICT\r\nKERALA, INDIA',	NULL,	'00919388202053',	'Noushad',	'dayfreshexports@gmail.com',	'00919846774008',	'Musthafa',	NULL,	60,	20000,	5,	18,	8,	NULL,	1,	'DAYFRESH EXPORTS',	'916020029980240',	'AXIS BANK',	'MANJERI BRANCH',	NULL,	'AXISINBB136',	NULL),
(9,	'AL ZAYAN EXPORTS',	NULL,	13,	24,	'MANJERI,\r\nMALAPPURAM,				\r\nKERALA -673642 , \r\nINDIA',	NULL,	'091996771010',	'NIZAR',	'info@alzayan.in',	NULL,	NULL,	NULL,	30,	20000,	7,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(10,	'MARVEL EXPORTS',	NULL,	13,	24,	'9/543, K.K.ROAD,\r\nOPP. DISTRICT COURT, \r\nKOZHIKODE ,\r\nKERALA, \r\nINDIA-6730001',	NULL,	'9198471639270',	'ABDUL RAHMAN',	'marvelenterprises2001@gmail.com',	'0919895520018',	'ANSHAD',	NULL,	30,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(11,	'ELITE EXPORTS',	NULL,	13,	24,	'BUILDING NO 1,\r\nFLAT NO 410,\r\nPOWAI VIHAR COMPLEX\r\nMUMBAI-76',	NULL,	'0918108895559',	'SHAMSHEEL',	'eliteclearingforwards@gmail.com',	'0919920085559',	'JASIR',	NULL,	45,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(12,	'AQSA TRADING',	'XXXX',	13,	24,	NULL,	NULL,	'0919892761238',	'SAMEER',	'aqsatrading@gmail.com',	NULL,	NULL,	NULL,	45,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(13,	'RAIEN FRESH',	NULL,	13,	24,	'G-311/312 APMC FRUIT MARKET, \r\nSECTOR - 19, TURBHE, \r\nNAVI MUMBAI. 400705 INDIA',	NULL,	'918097200007',	'SHERIF',	'sharifraien@gmail.com',	'00919819911769',	'ABID',	NULL,	45,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(14,	'DEVELOPMENT INTERPLAN CEYLON LIMITED',	NULL,	13,	24,	'No:80, Reclamation Road, Colombo 11, Sri Lanka',	NULL,	'94779051880',	'BIMALKA THILAKARATHNE',	'marketing@dicl.lk',	NULL,	NULL,	'diclpurchase@eureka.lk',	75,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(15,	'FLORA CAPITAL',	NULL,	13,	24,	'44/62\r\nKHLONGSONG\r\nKHLONGLUANG\r\nPATHUMTHANI\r\n12120\r\nTHAILAND',	NULL,	'6625204146',	'SAM SOLLY',	'samsolly2@gmail.com',	NULL,	NULL,	NULL,	15,	20000,	5,	18,	8,	NULL,	2,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(16,	'ROYAL THAI ORCHIDS AND PLANTS',	NULL,	13,	24,	'THAILAND',	NULL,	'0066934426280',	'Sanjiv',	'royalthaiorchids@gmail.com',	'0066972425638',	NULL,	NULL,	20,	20000,	5,	18,	8,	NULL,	2,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(17,	'SAP SIAM FOOD INTERNATIONAL',	NULL,	13,	24,	'135/199, Building 9 At Narong Khlong toei\r\nBangkok 10110, Thailand\r\nTel: +66 811742020',	NULL,	'0066934426280',	'Sanjiv',	'sapsiamfood@hotmail.com',	NULL,	NULL,	'sapsiamacc@gmail.com',	20,	20000,	7,	18,	8,	NULL,	2,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(18,	'ASEEL IMPEX',	NULL,	13,	24,	'P.O BOX 31611\r\nKAMPALA\r\nUGANDA',	NULL,	'0256701565656',	'MEERAN BABU',	'aseelfruits@gmail.com',	NULL,	NULL,	NULL,	15,	20000,	5,	18,	8,	NULL,	2,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(19,	'ANH DUOSANG SAO CO LTD',	NULL,	13,	24,	'Room 321, \r\nThien Son Plaza, Tan Phu, \r\nDistrict 7, \r\nHCM City, \r\nVietnam',	NULL,	'84916550845',	'TUPHAN',	'docs@anhduongsao.com',	NULL,	NULL,	NULL,	20,	20000,	5,	18,	8,	NULL,	2,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(20,	'ANT TROPICAL',	NULL,	13,	24,	'15/28,\r\nDOAN NHU HAI , WARD 12, DIST 4,\r\nHO CHI MINH CITY \r\nVIETNAM',	NULL,	'84965321942',	'HELLY',	'helly@anttropicalfv.com',	NULL,	NULL,	'info@anttropicalfv.com',	20,	20000,	5,	18,	8,	NULL,	2,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(21,	'PT. ASRI DUTTA PERTIWI',	NULL,	13,	24,	'JL. H. Soleh I No. 88\r\nJAKARTA \r\nINDONESIA',	NULL,	'628989240185',	'HANEEF',	'asriduta2015@gmail.com',	NULL,	NULL,	NULL,	15,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(22,	'ROVEG FRUITS B.V',	NULL,	13,	24,	'Nijverheidsweg 20,\r\n2742 RG Waddinxveen,\r\nPO Box 309,\r\n2740 AH Waddinxveen',	NULL,	'0031652579722',	'GLENN ZUIDGEEST',	'Glenn_Zuidgeest@roveg.nl',	'0031180635722',	'JEFFREY VAN DER MEER',	'jeffrey_vandermeer@roveg.nl',	30,	100000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(23,	'J.M. LEVARHT & ZONEN B.V.',	NULL,	13,	24,	'Postbus 67\r\n1430 AB Aalsmeer (NL)',	NULL,	'31653989324',	'ROBERT KRUL',	'RobbertKrul@levarht.nl',	NULL,	'ROEL KOOL',	'RKool@levarht.nl',	15,	100000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(24,	'VALLEY FRESH AUSTRALIA',	'XXXX',	13,	24,	'3452 East Foothill Blvd,\r\n Suite 500 Pasadena, \r\nCA 91107 \r\nUSA',	NULL,	'0161408786669',	'SAXON',	'Saxon@valleyfresh.com.au',	'016269211400',	'REINA SALAZAR',	'reina@valleyfreshusa.com',	20,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(25,	'HOMEFRESH HORTICULTURE EXPORTS LIMITED',	'XXXX',	13,	24,	'P.o. Box 49804\r\nNAIROBI\r\nKENYA',	NULL,	'254704594749',	'SAHIL',	'Saxon@valleyfresh.com.au',	NULL,	NULL,	'homefresh@swiftkenya.com',	20,	20000,	7,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(26,	'GLOBAL GREEN TEAM B.V',	NULL,	13,	24,	'Honderdland 417,\r\n 2676 LV Maasdijk, \r\nThe Netherlands',	NULL,	'0031610510680',	'Hugo Zeevalk',	'H.Zeevalk@globalgreenteam.nl',	NULL,	NULL,	NULL,	20,	20000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(27,	'VALLEY FRESH NORTH AMERICA LLC',	NULL,	13,	24,	'3452 East Foothill Blvd, Suite 500 Pasadena, CA 91107 USA',	NULL,	'001626375037',	'REINA SALAZAR',	'reina@valleyfreshusa.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(28,	'ALPHA SPRINGS TRADING LTD',	NULL,	13,	24,	'HCDA COMPLEX- JKIA\r\nPO BOX  57321-00200\r\nNAIROBI \r\nKENYA',	NULL,	'0091809720007',	'SHERIFF RAIEN',	'sharifraien@gmail.com',	NULL,	NULL,	NULL,	30,	10000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(29,	'EVERGREEN EXPORTS PVT LTD',	'XXXX',	13,	24,	'201 kamaraj nagar\r\nAravakurichi po\r\nkarur dt tamil nadu',	NULL,	'00919994080024',	'PRABHU',	'mail2evergreenexports@gmail.com',	NULL,	NULL,	NULL,	30,	10000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(30,	'MEEDER FRESH B.V',	'XXXX',	13,	24,	'DONK 15\r\n2991 LE BARENDRECHT\r\nNETHERLANDS',	NULL,	'0031626086764',	'FEYYAT YILMAS',	'feyyat@meederfresh.com',	NULL,	NULL,	NULL,	30,	10000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(31,	'VALSTAR HOLLAND B.V',	'XXXX',	13,	24,	'ABC WESTLAND 110\r\n2685DB  POELDIJK\r\nNETHERKAND',	NULL,	'003174530856',	'JELLE VAN DIJK',	'J.vanDijk@valstar.nl',	NULL,	'RICK DOORSCHODT',	'r.doorschodt@valstar.nl',	50,	10000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(32,	'YUMNA INTERNATIONAL',	'XXXX',	13,	24,	'25/6 CHANDAMIYAN 2ND STREET,\r\nAMBUR-635802\r\nVELLORE DISTRICT, TAMILNADU',	NULL,	'9843243935',	'Abdul Majeed',	'yumnainternationals@gmail.com',	NULL,	NULL,	NULL,	30,	10000,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(33,	'JINING LONGFEI INTERNATIONAL',	'JF',	NULL,	25,	NULL,	1,	'0086537336596',	'JACK',	'jinshanfood@aliyun.com.cn',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(34,	'GOLDENBASHEER',	'GB',	13,	25,	'SANGLI, INDIA',	1,	'97156505355',	'JIHAD',	'goldenmct005@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	6,	'CONSIGNMENT PURCHASE',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(35,	'RAIEN TRADING.COR',	'RF',	NULL,	25,	'Navi Mumbai, Maharashtra, India',	1,	'9819911769',	'ABID',	'raien.export@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	6,	'CONSIGNMENT PURCHASE',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(36,	'EUROPEAN FRUIT GROUP',	'EU',	NULL,	25,	'ITALY',	NULL,	'39045875294',	'Noura',	'noura@europeanfruitgroup.it',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(37,	'LAIWU XUJIA TRADE & ECONOMIC CO., LTD',	'LJ',	NULL,	25,	'SHANDONG, CHINA',	21,	'0',	'Crystal',	'crystal@chengxinfoods.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(38,	'POMINTER SARL',	'PM',	NULL,	25,	'FRANCE',	23,	'334900630',	'Johanna ARMAO',	'jarmao@pominter.fr',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(39,	'PARAMOUNT EXPORT COMPANY',	'PT',	NULL,	25,	'USA',	24,	'5108390150',	'Shirley Bulante',	'Shirley.Bulante@paramountexport.net',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(40,	'NADER & EBRAHIM',	'NE',	NULL,	25,	'PHILIPPINES',	25,	'97317241211',	'Paresh Mehta',	'mehta@neh.bh',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(41,	'FYFEES BV',	'FS',	NULL,	25,	NULL,	NULL,	'31010244',	'Ric Bokx',	'RBokx@fyffes.co',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(42,	'INI FARMS PRIVATE LIMITED',	'IF',	NULL,	25,	'INDIA',	1,	'912242600700',	'Hrishikesh Mahajan',	'hrishikesh.mahajan@inifarms.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(43,	'SUMAL INDIA',	'SI',	NULL,	25,	'INDIA',	1,	'912241227841',	'Ashok Chopda',	'ashoksumal1@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(44,	'CHINA UNION AGRI.CO.LTD',	'CB',	NULL,	25,	'CHINA',	NULL,	'008653285062',	'Andy',	'chinaunion@vip.163.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(45,	'NORTH EAST EQUITY PTY LTD TRADING AS SUMICH',	'NQ',	NULL,	25,	'AUSTRALIA',	NULL,	'61894407000',	'Annabel Illingworth',	'Annabel.Illingworth@nee.com.au',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(46,	'K J OVERSEAS-INDIA',	'KJ',	NULL,	25,	'INDIA',	1,	'919833344088',	'Hharsh M Bhanushali',	'kjoverseas@hotmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(47,	'KAVERI BIO PROTEINS P LTD',	'KB',	NULL,	25,	'INDIA',	1,	'919443221218',	'Dr.PV.Senthil',	'drpvsenthil@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'N/A',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(48,	'MAZAYA OMAN LLC',	'N/A',	NULL,	25,	'MUSCAT, OMAN',	19,	'96824956441',	'ATHANASIOS',	'athanasios@mazayaoman.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	6,	'PAYMENT AFTER 60 DAYS OF ARRIVAL',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(49,	'AKS EXPORTS',	'AKS',	13,	24,	'CALICUT AIRPORT, KONDOTY,\r\nKUMMINIPPARAMBA P.O\r\nMALAPPURAM - KERALA, INDIA',	NULL,	'00919745606917',	'A K THASLEEM',	'aksexport1@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(50,	'S.S KORPE',	'9482',	NULL,	25,	'S.S KORPE AND SONS\r\nSHOP NO.440,441,287,288\r\nGULTEKDI MARKET YARD\r\nMAHARASHTRA',	1,	'9527380543',	'KUNAL',	'kunalkorpe125@gmail.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(51,	'HARI OM TRADERS',	'9361',	13,	25,	'HARI OM TRADERS',	1,	'9820433800',	'HARIOM',	'hariomtraders10@gmail.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(52,	'POMONA TRADING COMPANY PVT LTD',	'9329',	13,	25,	'POMONA TRADING COMPANY PVT LTD',	NULL,	'9820034355',	'POMONA',	'pomona@vsnl.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(53,	'PURNIMA ENTERPRISES',	'9313',	13,	25,	'PURNIMA ENTERPRISES',	NULL,	'919323611530',	'NITHI',	'purnima_9@yahoo.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(54,	'JUICY & FRESH SPAIN S.L',	'9508',	14,	25,	NULL,	31,	'962989003',	'JOSE',	'sudheer@juicy-fresh.com',	NULL,	NULL,	NULL,	40,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(55,	'NAVA SRL',	'5914',	13,	25,	'NAVA SRL',	NULL,	'00390804770444',	'MARICO',	'm.recchia@navasrl.com',	NULL,	NULL,	NULL,	60,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(56,	'BETEL FRUITS',	'9523',	13,	25,	'BETEL FRUITS\r\nCAREL NIEUOUDT\r\nCECILIA SQUARE\r\nPAARL',	NULL,	'00270218633',	'OCKIE',	'chrisna@lclog.com',	NULL,	NULL,	NULL,	45,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(57,	'THE FRUIT ROUTE PTY LTD',	'T501',	13,	25,	'THE FRUIT ROUTE PTY LTD\r\nSouth Africa',	NULL,	'0027230040',	'ANDREYES',	'cali@thefruitroute.co.za',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(58,	'IMTAZ  NABI & CO.',	'5724A',	13,	25,	'IMTAZ  NABI & CO.',	NULL,	'0092300606513',	'GULAM',	'Inceexpo79@gmail.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(59,	'XAXA FRUIT EXPORT COMPANY',	'9354',	13,	25,	'XAXA FRUIT EXPORT COMPANY\r\nVietnam',	30,	'084873020808',	'JULIA',	'doc2@xaxafruit.vn',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(60,	'HIGH TOWER',	'HT',	13,	25,	NULL,	NULL,	'24231990',	'AHAMMED',	'123#@Mil',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(61,	'UNI FRESH INTERNATIONAL',	'CL',	13,	25,	'UNI FRESH INTERNATIONAL CO. LTD.\r\nRM.A310, RONGFENG, BLDG, NO. 1115\r\nSHENYAN RD ., YANTIAN DIST ., .SHENZHEN, CHINA',	NULL,	'8675522727299',	'CAESAR',	'caesar@uni-fresh.cn',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(62,	'GSL NATURE',	'GN',	13,	25,	NULL,	NULL,	'34961218625',	'SALVA OLMOS',	'salva@gsinature.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(63,	'JJ EXPORTS',	'JE',	13,	25,	'4/40 CHINNAMUDALAIPATTI\r\nMUDALAIPATTI-P O\r\nNAMAKKAL\r\nTAMILNADU',	1,	'919443382600',	'JAGAN',	'jjexports@aol.in',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(64,	'SENCO ENTERPRISES',	'SE',	13,	25,	NULL,	27,	'254722786507',	'KARUKI',	'bluezoneworks@yahoo.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(65,	'PRIME FRUITS DISTRIBUTION LTD',	'PD',	13,	25,	'P.O.BOX: 48224-00100 MWAI KIBAKI ROAD-MANDE\r\nOFF EASTERN BYPASS UTAWALA\r\nNAIROBI\r\nKenya',	27,	'25420725448812',	'JOSEPH',	'primefruitltd@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(66,	'SARL TIFANETTE',	'TF',	13,	25,	'SARL TIFANETTE\r\n23 RUE DU MOULIN\r\n10190 DIERREY SAINT JULIEN\r\nFRANCE',	NULL,	'330325461091',	'merry',	'backoffice@tifanette.fr',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(67,	'SHOUGAUNG BILONG',	'SB',	13,	25,	'SHOUGAUNG BILONG  VEGETABLE FRUIT CO . LTD.\r\nHUALONG TOWN , SHOUGAUNG CITY , SHANDONG PROVINCE , CHINA',	21,	'00865365899319',	'LISSA',	'lisayang780_bilong@126.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(68,	'NARGO FRESH',	'NG',	13,	25,	'2410 CAMINO RAMON\r\nSUITE 290\r\nSAN RAMON, CA 94583\r\nUnited States',	24,	'145003043',	'NITHIN',	'info@nargoindustries.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(69,	'SHANDOG WIN WIN',	'SG',	13,	25,	'GALAXIA HOME DISTRICTS, \r\nNO. 3 BUILDING, \r\nHONGXING ROAD, JINING\r\nSHADONG',	21,	'00865372289369',	'HAAN',	'kitty@win-wintrading.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(70,	'APPOLO APPLES LTD',	'5663',	13,	25,	'NEW ZEALAND',	32,	'006468715600',	'VENASA',	'Vanessa.Simpson@tandg.global',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(71,	'SL AGRI FOOD',	'AGF',	13,	25,	NULL,	NULL,	'6328137828',	'jennifer',	'jennifervpalmeera@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(72,	'THE FRUIT ROUTE',	'FR',	13,	25,	NULL,	29,	'27230040425',	'NA',	'AAA@P.COM',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(73,	'PAANSI EXPORTING & IMPORTING',	'PN',	13,	25,	NULL,	1,	'919995439259',	'SIJO',	'puthusseryekm@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(74,	'SHUBHAM ENTERPRISES',	'SP',	13,	25,	'M/S SHUBHAM ENTERPRISE\r\nB-11/14, SIDDHI VINAYAK CHS\r\nM.G COMPLEX, SECTOR 14,\r\nVASHI, NAVI MUMBAI  - 400703',	1,	'919920581789',	'DAITH',	'\'jubinshah123@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(75,	'CAROTA',	'CT',	13,	25,	'CAROTA SP. Z.O.O\r\nUL. PRZEMYSLOWA 4, PRZYLEK\r\n57-256 BARDO\r\nNIP - 882-20-52-470',	28,	'4860368599',	'PAILA',	'piotr.powierza@carota.pl',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(76,	'JAVAKASHI ENTERPRISES',	'JK',	13,	25,	'JAVAKASHI ENTERPRISES\r\nP-140-A , EDEN GRADEN , CANAL ROAD , FAIZILABAD , PAKISTAN',	NULL,	'92412421090',	'JAVED AKTHAR',	'Kashj63@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(77,	'JINNINIG XINSHINE INTERNATIONAL',	'JF',	13,	25,	NULL,	21,	'2',	'JACK',	'jinshanfood@aliyun.com.cn',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(78,	'SFT DUBAI',	'SD',	13,	26,	'SUHOL AL FAYHA TRADING LLC              \r\nFOODSTUFF TRADING LLC   \r\nFRUITS & VEGETABLES IMPORT & EXPORT                    \r\nCold Store No. 15 & Onion Store No. 36\r\nP.O. Box 294237, Al Aweer Vegetable Market, Dubai - U.A.E',	26,	'971529794469',	'JALAL',	'suholuae@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	10,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(79,	'CAPE FIVE EXPORT SA (Pty) LTD',	'CFS',	13,	25,	'OFFICE F11,THE SANCTUARY, \r\nBROADWAY BOULEVARD,SOMERSET WEST,7130',	29,	'0027211804640',	'CARALA',	'info@capefive.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(80,	'CY AGRI JSC',	'9697',	13,	25,	'58/22 THONG NHAT STR,\r\nWARD 10, GO VAP\r\nHOCHIMINH CITY,\r\nVietnam',	30,	'0084283989698',	'jaims',	'cyagri@hotmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(81,	'VITANOVA INTERNATIONAL',	'9525',	NULL,	25,	'CAPE TOWN \r\nSOUTH AFRICA\r\n 8002',	29,	'0027214193051',	'ockie',	'ockie@vita.co.za',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(82,	'FAVOURITE FRESH EXPORT',	'9301',	NULL,	25,	'ELEKTRON STREET ,TECHNOPARK',	29,	'0218806626',	'HERCULES',	'AME@FFSA.CO.ZA',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(83,	'SAFPRO SA FRUIT PROMOTERS (PTY) LTD',	'5967',	NULL,	25,	'P.O.BOX: 5951, WALMER, PORT ELIZABETH, 60\r\nSouth Africa',	29,	'0027415810886',	'MV JENSON',	'dtimm@safpro.net',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(84,	'SOHAIL HAROON CORPORATION',	'5960',	NULL,	25,	'PAKISTAN',	22,	'922134836894',	'S.WASIM AHMAD',	'sohailharoon70@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(85,	'WHITE GLOBE',	'9582',	NULL,	25,	'A3, 2-4, PLOT NO. 13,\r\nSECTOR 19A, NERUL EAST,\r\nNAVI MUMBAI\r\nMAHARASTRA',	1,	'00919845625412',	'MADHURA P.BAGKAR',	'Whiteglobe@outlook.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(86,	'I.G.INTERNATIONAL LTD.',	'5680',	NULL,	25,	'27,BERKELEY HOUSE ,\r\nLONDON ENGLAND',	34,	'000044207681203',	'ALBERT MAANE',	'igatt@gattegno.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(87,	'CAPE SPAN SOUTH AFRICA',	'5670',	NULL,	25,	'SOUTH AFRICA',	29,	'0270219172',	'Saleem Bassadien',	'Saleem_Bassadien@Capespan.co.za',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(88,	'ARCHITECTURAL SECRET FOR CONTST. & BUSINESS LLC',	'9583',	NULL,	26,	'C.R. 1183189, P.O.BOX: 130\r\nAZIBA NORTH,\r\nMUSCAT\r\nSU',	19,	'0096899317400',	'AL WAHABI',	'ARCHITECTURALSECRETFORCONTST@HOTMAIL.COM',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(89,	'GHULAM MOHD. HAJI TRADING CO. L.L.C',	'5954',	NULL,	25,	'PAKISTAN',	22,	'00971528440193',	'GULAM',	'foodstuffdxb@yahoo.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(90,	'SANJEEVANI',	'9696',	NULL,	25,	'TAMDALGE, KOLHAPUR 4161101,\r\nMAHARASTRA\r\nIndia',	1,	'00919881584567',	'Baba Admuthe',	'sanjeevaniagroripe@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(91,	'AHMED JAMIL CORPORATION',	'9672',	NULL,	25,	'A-479, BLOCK 19, \r\nGULSHAN-E-IQBAL,\r\nKARACHI\r\nPakistan',	22,	'0092300527895',	'AHMED',	'ahmedjamil530@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(92,	'RAKA EXPORTS',	'9485',	NULL,	25,	'RATNATARA BUILDING,\r\nOPP. BALAJI TEMPLE,\r\nKOTAMGAON ROAD\r\nNASHIK, MAHARASHTRA',	1,	'00919975275897',	'RAKA',	'rakaexport@yahoo.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(93,	'EXPOLANKA (PVT) LIMITED',	'5955',	14,	25,	'127, MABIMA ROAD\r\nHEIYANTUDUWA\r\nBIYAGAMA\r\nSri Lanka',	20,	'0094766476150',	'RASHEED',	'inshaf@expolanka.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(94,	'BLOSSOM GROCERY & FOODS INDIA PVT LTD',	'5949',	13,	25,	'SATRA PLAZA, PALM BEACH ROAD, VASHI,\r\nNAVI MUMBAI\r\nIndia',	1,	'0912227777001',	'Ambika V. Shimpi',	'cs@blossomgroceries.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(95,	'ASEEL AL BANDAR FOUNDATION',	'9729',	13,	26,	'P.C-413,\r\nSUR\r\nOman',	19,	'00968758562',	'ASEEL',	'alsawai2012@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(96,	'GRUVENTA',	'9502',	13,	25,	'SPAIN',	31,	'0034652823824',	'HECTOR',	'hector@gruventa.es',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(97,	'COMERCIAL ROVEG CHILE LIMITADA',	'9395',	13,	25,	'CHILE',	21,	'5694285194',	'RODRIGO VALENZUELA',	'control@roveg.cl',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(98,	'FRD COMERCIO DE FRUTAS, EXP. E IMP. LTDA - EPP',	'9732',	13,	25,	'Rua João Aureliano Machado, 51 – Jardim Santo Antônio',	36,	'55163258111',	'FILP SILVIYA',	'comerciodefrutasmaria@bol.com.br',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(99,	'AK ENTERPRISES',	'9730',	13,	25,	'NOOR ELAHI, MAUJPUR, \r\n110053\r\nDELHI\r\nIndia',	1,	'00919675823786',	'HASAN',	'ake.fruitnspices@gmail.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	'cnf',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(100,	'AL- GHADEER POULTRY FARM',	'5663',	13,	25,	'SAUDI',	29,	'00966556918748',	'ahmad',	'alghadeer@poultry.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	7,	'cnf',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(101,	'DONG XUAN AGRICULTURAL AND EXPORT COMPANY LIMITED',	'9738',	13,	25,	'DONG AM VILLAGE,DONG XUAN COMMUNE,QUOC OAI DISTRICT,HA NOI,VIETNAM',	30,	'0084437871396',	'ALEX',	'sales@dongxuanfarms.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	10,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(102,	'EVER FRUIT EXPORTS PRIVATE LIMITED',	'9575',	13,	25,	'R325, MUKHED,\r\nTAL-NIPHAD,\r\nNASHIK\r\nIndia',	1,	'00918108979077',	'NASHIK',	'everfruitexports@gmail.com',	NULL,	NULL,	NULL,	30,	30,	5,	18,	8,	'cnf',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(103,	'AB TRADING CORP PTY LTD',	'9743',	NULL,	25,	'P.O BOX 811, GRANVILLE NSW 2142',	38,	'0061449104256',	'AB',	'infp@abtrading.com.au',	NULL,	NULL,	NULL,	20,	NULL,	5,	18,	8,	'20 days',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(104,	'JAMDAR & SONS',	'9740',	13,	25,	'PLOT NO 2651, MAHANTSH NSGAR , BELGAUM , KARNATAKA',	1,	'9986752425',	'JM',	'jamdarandsons@gmail.com',	NULL,	NULL,	NULL,	60,	NULL,	5,	18,	8,	'60 days',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(105,	'FARMLINK DISTRIBUTION',	'9742',	NULL,	25,	'1202,12TH FLOOR,TOWER,INDIABULLS\r\nSENAPATHI BAPAT ROAD ELPHINSTON,\r\nMUMBAI',	1,	'00917709011188',	'FARM',	'info@farmlink.in',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'30 days',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(106,	'REGENT INTERNATIONAL',	'9744',	NULL,	25,	'SHOP NO8,GROUND FLOOR,VASIL KHAN MARG,MUMBAI-400008',	1,	'00912223003177',	'REGENT',	'regentbom@gmail.com',	NULL,	NULL,	NULL,	NULL,	NULL,	5,	18,	8,	'30 DAYS',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(107,	'XUZHOU SPRING SHINE FRUIT& VEGETABLE CO LTD',	'9503',	13,	25,	'CHINA',	21,	'00861385214098',	'Frank gong',	'springshine@188.com',	NULL,	NULL,	NULL,	30,	30,	5,	18,	8,	'CNF',	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL),
(108,	'ELITE EXPORTS BANGALORE',	'ELB',	13,	24,	'BANGALORE',	1,	'00918108895559',	'SHAMSHEEL',	'eliteccj1@gmail.com',	NULL,	NULL,	NULL,	30,	NULL,	5,	18,	8,	NULL,	1,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL);

DROP TABLE IF EXISTS `supplier_product`;
CREATE TABLE `supplier_product` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `supplier_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `standard_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `supplier_product` (`id`, `supplier_id`, `product_id`, `grade_id`, `standard_id`) VALUES
(5,	36,	11,	1,	1),
(6,	36,	11,	2,	1),
(7,	36,	11,	3,	1),
(8,	36,	11,	8,	1),
(9,	36,	10,	1,	1),
(10,	36,	10,	2,	1),
(11,	36,	10,	3,	1),
(12,	36,	9,	2,	1),
(13,	36,	9,	3,	1),
(14,	36,	9,	1,	1),
(15,	36,	35,	1,	1),
(16,	36,	35,	2,	1),
(17,	36,	43,	1,	1),
(18,	36,	43,	2,	1),
(19,	36,	43,	3,	1),
(20,	36,	43,	8,	1),
(21,	36,	43,	10,	1),
(22,	36,	49,	1,	1),
(23,	36,	49,	2,	1),
(24,	36,	49,	3,	1);

DROP TABLE IF EXISTS `supplier_product_seasons`;
CREATE TABLE `supplier_product_seasons` (
  `supplier_id` int(11) NOT NULL,
  `season_master_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `supplier_product_seasons` (`supplier_id`, `season_master_id`, `product_id`) VALUES
(36,	25,	11),
(36,	25,	35),
(36,	27,	43);

DROP TABLE IF EXISTS `supplier_rate_entry`;
CREATE TABLE `supplier_rate_entry` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `supplier_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `grade_id` int(11) DEFAULT NULL,
  `standard_id` int(11) DEFAULT NULL,
  `supplier_product_id` int(11) DEFAULT NULL,
  `price` decimal(10,3) DEFAULT NULL,
  `cash_price` decimal(10,3) DEFAULT NULL,
  `unit_id` int(11) NOT NULL,
  `currency_id` int(100) DEFAULT NULL,
  `cur_date` date DEFAULT NULL,
  `is_active` char(1) NOT NULL DEFAULT 'Y',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `supplier_product_id` (`supplier_product_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `supplier_rate_entry` (`id`, `supplier_id`, `product_id`, `grade_id`, `standard_id`, `supplier_product_id`, `price`, `cash_price`, `unit_id`, `currency_id`, `cur_date`, `is_active`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	36,	11,	1,	1,	5,	10.000,	10.000,	1,	8,	'2020-08-10',	'Y',	'2020-08-10 16:36:30',	'2020-08-10 16:36:30',	NULL),
(2,	36,	11,	2,	1,	6,	25.000,	25.000,	1,	8,	'2020-08-10',	'Y',	'2020-08-10 16:36:30',	'2020-08-10 16:36:30',	NULL),
(3,	36,	11,	3,	1,	7,	12.000,	12.000,	1,	8,	'2020-08-10',	'Y',	'2020-08-10 16:36:30',	'2020-08-10 16:36:30',	NULL),
(4,	36,	11,	8,	1,	8,	19.000,	18.000,	1,	8,	'2020-08-10',	'Y',	'2020-08-10 16:36:30',	'2020-08-10 16:36:30',	NULL);

DROP TABLE IF EXISTS `supplier_unit_rate`;
CREATE TABLE `supplier_unit_rate` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `supplier_id` int(100) NOT NULL,
  `product_id` int(100) NOT NULL,
  `standard_id` int(100) DEFAULT NULL,
  `grade_id` int(100) DEFAULT NULL,
  `unit_id` int(100) NOT NULL,
  `value` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

INSERT INTO `supplier_unit_rate` (`id`, `supplier_id`, `product_id`, `standard_id`, `grade_id`, `unit_id`, `value`) VALUES
(1,	36,	11,	1,	1,	3,	100),
(2,	36,	11,	1,	2,	3,	80);

DROP TABLE IF EXISTS `tag_master`;
CREATE TABLE `tag_master` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `unit_of_measurement`;
CREATE TABLE `unit_of_measurement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unit` varchar(20) DEFAULT NULL,
  `unit_code` varchar(20) DEFAULT NULL,
  `is_active` char(1) NOT NULL DEFAULT 'Y',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `unit_of_measurement` (`id`, `unit`, `unit_code`, `is_active`) VALUES
(1,	'KG',	'KG',	'Y'),
(3,	'CTN',	'CTN',	'Y'),
(4,	'PKT',	'PKT',	'Y'),
(5,	'SET',	'SET',	'Y'),
(6,	'PCS',	'PCS',	'Y'),
(7,	'TRAY',	'TRAY',	'Y'),
(8,	'BUNCH',	'BUNCH',	'Y'),
(9,	'POT',	'POT',	'Y'),
(10,	'BOX',	'BOX',	'Y'),
(21,	'BUCKET',	'BUCKET',	'Y'),
(51,	'NET',	'NET',	'Y'),
(59,	'BUNDLE',	'BUNDLE',	'Y'),
(63,	'BAG',	'BAG',	'Y');

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customer_id` int(10) unsigned DEFAULT NULL,
  `location_id` int(15) DEFAULT NULL,
  `choose_cust` char(10) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'N',
  `is_active` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `remember_token` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_username_unique` (`username`),
  KEY `customer_id` (`customer_id`),
  KEY `location_id` (`location_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `users` (`id`, `name`, `username`, `password`, `customer_id`, `location_id`, `choose_cust`, `is_active`, `created_at`, `updated_at`, `remember_token`) VALUES
(1,	'admin',	'admin',	'$2y$10$eMCSwgNXtV3Ve6IdRRRw3uFC1SaOO8mJm3FopBne/3JucDcl7giVe',	NULL,	NULL,	'N',	'A',	'0000-00-00 00:00:00',	'2021-04-07 15:18:03',	'TPT2OmbGsiHWT5124kT0yeVXnwZdLOQftkYaPkK6QEBF1RnIuyHKKi3dqVh0'),
(2,	'AL BAHJAH HOTEL - SEEB',	'ALBA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	1,	6,	'N',	'A',	'2019-11-21 13:35:08',	'2020-06-09 18:45:06',	'7IgVFOzS8DJtNIif96HGx1E69qRNeXSDNHLGkS4zMqxY9XD1liJEPHjaITab'),
(3,	'MANAGER',	'MANAGER',	'$2y$10$6Z3snPOIKtNgsMvaiedFv.e2YL93vTkrh6XM0Z6tjACNRTWu2C4Le',	NULL,	NULL,	'N',	'A',	'2019-11-21 13:37:37',	'2021-04-07 18:03:08',	'H6YEpwT3MaULTBDqcFZmD5Q3zlB05aWXvzbKznwVUnFf0HhQu3vHl6gWjsBJ'),
(4,	'ENHANCE (NOOR SHOPPING) - QURIYAT',	'noorqryt',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	19,	6,	'N',	'A',	'2019-12-30 11:25:13',	'2021-02-27 15:07:35',	NULL),
(5,	'ENHANCE (NOOR SHOPPING) - AMRATH',	'nooramt1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	16,	6,	'N',	'A',	'2019-12-30 12:20:33',	'2021-02-27 14:51:14',	NULL),
(6,	'ENHANCE (NOOR SHOPPING) - AMRATH 2',	'nooramt2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	17,	6,	'N',	'A',	'2019-12-30 12:22:28',	'2021-02-27 15:06:23',	NULL),
(7,	'ENHANCE (NOOR SHOPPING) - AL NAHDHA',	'noorana',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	18,	6,	'N',	'A',	'2019-12-30 12:25:04',	'2021-02-27 19:42:01',	NULL),
(8,	'AL HARASI UNITED LLC (ADAM)',	'ALADM',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	38,	6,	'N',	'A',	'2019-12-30 17:35:00',	'2020-06-09 18:46:04',	'y4Z4ZBC74Ils9VZvD6imUkLZ50TDS2kKWXHxKBvwR8QoHKB4nrC0c0d2dxTL'),
(9,	'AL HARASI UNITED LLC - KHAFDI - RUSTAQ',	'ALRUQ',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	42,	6,	'N',	'A',	'2019-12-30 18:05:22',	'2020-10-24 10:40:03',	'mxfUcCz0JMue5UkjDeD3mgylZMFrQydOcR7EPlBpG87siaykvtCV3RAKbWxv'),
(10,	'AL HARASI UNITED LLC - MUSANNA',	'ALMUS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	44,	6,	'N',	'A',	'2019-12-30 18:44:16',	'2020-06-09 18:46:22',	'mFkgWEWrVUgb1CjLSJWdzWpCk3mwYusfIBabts9Op19ymUwpU8CRkfKsfymR'),
(11,	'AL HARASI UNITED LLC (BARKA)',	'ALBRK',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	41,	6,	'N',	'A',	'2019-12-30 18:50:39',	'2021-01-25 13:13:47',	'JVgewQQyCFC1GZP9PValedp2BXFJngyrwMocxqj4SSPRHcyPNDGjDbdOV64a'),
(12,	'AL HARASI UNITED LLC - AL KHOUD-6',	'ALKHD',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	34,	6,	'N',	'A',	'2019-12-30 19:13:29',	'2020-06-09 18:45:25',	'lNfxuNwhfLiiHh3qyzILy2YZgWndqi0tyM4fzAEeHA19hmSeHB0P96t5fgVk'),
(13,	'ENHANCE (NOOR SHOPPING) AL ANSAB',	'noorasb',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	14,	6,	'N',	'A',	'2019-12-30 19:28:44',	'2020-06-09 18:56:24',	NULL),
(14,	'ENHANCE (NOOR SHOPPING) - FALAJ AL SHAM',	'noorflj',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	20,	6,	'N',	'A',	'2019-12-30 19:33:57',	'2020-06-09 18:55:06',	NULL),
(15,	'ENHANCE (NOOR SHOPPING) - BOWSHER',	'noorbbwr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	22,	6,	'N',	'A',	'2019-12-30 19:40:43',	'2020-06-09 18:55:17',	NULL),
(16,	'ZAINA SHOPPING AL KHUWAIR (LUBAN TRADING)',	'zainkwr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	31,	6,	'N',	'A',	'2019-12-30 19:53:03',	'2020-06-09 18:59:51',	NULL),
(17,	'KHIMJI\'S MART - AL KHUWAIR',	'khimkhr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	4,	6,	'N',	'A',	'2019-12-30 20:01:32',	'2020-06-09 18:56:04',	NULL),
(18,	'KHIMJI\'S MART - AL KHUWAIR - SPAR 2',	'khimspr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	5,	6,	'N',	'A',	'2019-12-30 20:04:32',	'2020-06-09 18:55:59',	NULL),
(19,	'KHIMJI\'S MART SPAR EXPRESS - BOWSHAR',	'khimspbwr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	6,	6,	'N',	'A',	'2019-12-30 20:08:27',	'2020-06-09 18:57:37',	NULL),
(20,	'ENHANCE (NOOR SHOPPING) - GHALA',	'noorgla',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	7,	6,	'N',	'A',	'2019-12-30 20:13:50',	'2020-06-09 18:55:02',	NULL),
(21,	'MAJAN SHOPPING CENTRE (1) - GHALA',	'maja1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	24,	6,	'N',	'A',	'2019-12-30 20:19:31',	'2020-10-15 12:07:06',	NULL),
(22,	'MAJAN HYPERMARKET (2) - GHALA',	'majanhygla',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	25,	6,	'N',	'A',	'2019-12-30 20:22:46',	'2021-02-27 19:45:18',	'c3DOVXoDwjZAOIVQX6omkQeJI73iPekBFlKCpanw5VPf4yBvau8vFaKkEful'),
(23,	'KHIMJI\'S MART - M.Q',	'khimq',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	3,	6,	'N',	'A',	'2019-12-30 20:26:33',	'2020-06-09 18:57:41',	NULL),
(24,	'ENHANCE (NOOR SHOPPING) - AZAIBA',	'noorazib',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	15,	6,	'N',	'A',	'2019-12-30 20:30:29',	'2020-06-09 18:55:22',	'Dwn8afGaGqPdWLVLA2ICjydlT0gBh8DCZ8PlyRGnXtXegxsm0jXRo7d1Zt8U'),
(25,	'AL HARASI UNITED LLC - SAMHAN',	'ALSMHN',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	43,	6,	'N',	'A',	'2019-12-30 20:34:13',	'2020-06-09 18:46:09',	'9pdiMh1IBlkbRAdcvrlgBrAGJbyIE6bDMyw0oqLK0QsVyZ8MWzeWs3WfVNIR'),
(26,	'AL HARASI UNITED LLC - FANJA',	'ALFJA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	35,	6,	'N',	'A',	'2019-12-30 20:38:37',	'2020-06-09 18:46:32',	'2ckXEdg3sJGH7ixx63rSoi9MRcFmCNfkzu9HR3tjEq5R8jwRyjV12XYdflK2'),
(27,	'AL HARASI UNITED LLC (NIZWA)',	'ALNZA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	40,	6,	'N',	'A',	'2019-12-30 20:43:48',	'2020-06-09 18:47:27',	'Iv8BGod0jqo729DAeFCfnOeqkUmoDVDTFnjTD4QJwLt3GHhWGdq66J8VB2QG'),
(28,	'ENHANCE (NOOR SHOPPING) - AL KHUWAIR',	'noorakr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	9,	6,	'N',	'A',	'2019-12-30 20:55:47',	'2020-06-09 18:53:00',	NULL),
(29,	'AL HARASI UNITED LLC - QURIYAT 1',	'ALQRA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	45,	6,	'N',	'A',	'2019-12-31 08:29:26',	'2020-06-09 18:46:18',	'xM11Z9s9KWuF920LTk0OvUVoUjZ2MBwKUjR69SYHhpnL1UqUPvzXZNaKJ0Cx'),
(30,	'AL HARASI UNITED LLC - QURIYAT 2',	'ALQRI',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	46,	6,	'N',	'A',	'2019-12-31 08:31:59',	'2020-06-09 18:46:13',	'OCp8spQb3Fj3H10Wsh4Au7grPRDnN0FbAxTDWSf8Pf6icca73rgprauvgaeM'),
(31,	'ABU AHMED AL HASHMI TRADING PROJECTS - SHERADI',	'ABUSHR',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	37,	6,	'N',	'A',	'2019-12-31 08:38:12',	'2020-06-09 18:45:14',	'2ppjS4D515XM60h4klkUc3DLxdrNhsIC43xRNQDVYL3ccMmxo9b8YJLSnlpt'),
(32,	'AL EZZA HYPERMARKET - SUMAIL',	'ezzasum',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	48,	6,	'N',	'A',	'2019-12-31 08:43:29',	'2020-06-09 18:44:55',	'AShKAP3eDX0g2RvvmNYKdIOz5T7TQkGHjYoJCtledKYu2j8vSJ7nu3zXhnhd'),
(33,	'HOOR AL AIN HYPERMARKET - RUSTAQ',	'hoorrus',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	49,	6,	'N',	'A',	'2019-12-31 08:46:10',	'2020-06-09 18:56:11',	NULL),
(34,	'HOOR ALAIN-2(RUSTAQ)',	'hoorrut',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	51,	6,	'N',	'A',	'2019-12-31 08:50:46',	'2020-06-09 18:56:08',	NULL),
(35,	'AL HAIL HYPERMARKET- HAIL',	'alhal',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	1,	6,	'N',	'A',	'2019-12-31 09:15:28',	'2020-12-05 13:08:45',	'g8JMIm0HWGTz7Y8PkiCwJ7tjR8f8JU7ETKz7psSTWZ22N71nG1oEwaKaPy2z'),
(36,	'ENHANCE (NOOR SHOPPING) - NEAR MARKET',	'noornmr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	8,	6,	'N',	'A',	'2019-12-31 09:18:33',	'2021-02-21 12:59:41',	NULL),
(37,	'SAMA AL KHALEEJ ADAM',	'samadm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	56,	6,	'N',	'I',	'2019-12-31 11:17:46',	'2020-06-09 18:58:31',	NULL),
(38,	'TELAL SHOPPING -BARKA',	'telalbra',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	58,	6,	'N',	'A',	'2019-12-31 11:34:07',	'2020-06-19 22:26:03',	NULL),
(39,	'AMAAL ALAZAWANI ALMTKAMLA - ADAM 2',	'AMLADA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	39,	6,	'N',	'A',	'2019-12-31 12:05:14',	'2020-06-09 18:48:54',	'enQHyIXhnrHdgkLT1fxVds8J2ahOSwVcDZPRYgLEGjjkM7D1Cfs3Lo06eKir'),
(40,	'SOCIAL WELFARE MARKET - AIRPORT',	'swmat',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	27,	6,	'N',	'A',	'2019-12-31 12:18:36',	'2020-06-09 18:59:30',	NULL),
(41,	'SOCIAL WELFARE MARKET - RUWI',	'swmri',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	28,	6,	'Y',	'A',	'2019-12-31 12:22:28',	'2020-06-24 09:22:01',	'5giVHOqYNHO6pK1Hm1RUrzAianRPEYZcfddfL5AXfAC9mSbJJT7PFCr90XGZ'),
(42,	'SOCIAL WELFARE MARKET - WATTAYAH',	'swmwh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	29,	6,	'N',	'A',	'2019-12-31 12:30:16',	'2021-02-21 13:01:11',	'jgTOFrwsgzsgqaFtzY3lPnjnWTjuEYPBkDdqy4QZ1dnKdQcZLISQjd1LuGo0'),
(43,	'ENHANCE (NOOR SHOPPING) - DARSAIT',	'noordst',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	10,	6,	'N',	'A',	'2019-12-31 12:31:56',	'2020-06-09 18:55:13',	NULL),
(44,	'ENHANCE (NOOR SHOPPING) - M.B.D',	'noormbd',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	11,	6,	'N',	'A',	'2019-12-31 12:33:23',	'2020-06-09 18:54:54',	NULL),
(45,	'ENHANCE (NOOR SHOPPING) - MABELLA',	'noormab',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	12,	6,	'N',	'A',	'2019-12-31 12:35:06',	'2020-06-09 18:54:50',	NULL),
(46,	'ENHANCE (NOOR SHOPPING) - MAWALLEH',	'noormwh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	13,	6,	'N',	'A',	'2019-12-31 12:38:40',	'2020-06-09 18:55:41',	NULL),
(47,	'ENHANCE (NOOR SHOPPING) - HAMRIYA',	'noorhya',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	2,	6,	'N',	'A',	'2019-12-31 12:40:12',	'2020-06-09 18:54:58',	NULL),
(48,	'O.MART DOLPHIN VILLAGE - ENHANCE GROUP',	'omart',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	26,	6,	'N',	'A',	'2019-12-31 12:41:50',	'2020-06-09 18:58:39',	NULL),
(49,	'ENHANCE (NOOR SHOPPING) - MADINAT AL ILAM',	'noormlm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	23,	6,	'N',	'A',	'2019-12-31 12:43:44',	'2020-06-09 18:54:46',	NULL),
(50,	'ZAINA SHOPPING (LUBAN TRADING - SHOPPERS)',	'zainlub',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	30,	6,	'N',	'A',	'2019-12-31 12:45:52',	'2020-06-09 18:59:55',	NULL),
(51,	'ZAINA SUPERMARKET (DARSAIT MUMTAZ)',	'zainmum',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	32,	6,	'N',	'A',	'2019-12-31 12:47:13',	'2020-06-09 18:59:47',	NULL),
(52,	'SHOPPERS SAROOJ',	'shsrj',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	33,	6,	'N',	'A',	'2019-12-31 12:49:07',	'2020-06-09 18:58:08',	NULL),
(53,	'ENHANCE (NOOR SHOPPING) - RUWI FALAJ',	'noorrfj',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	21,	6,	'N',	'A',	'2019-12-31 12:50:56',	'2020-06-09 18:56:29',	NULL),
(54,	'KHIMJI\'S MART - IZKI',	'khimiz',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	53,	6,	'N',	'A',	'2020-01-02 12:41:32',	'2020-06-09 18:57:45',	NULL),
(55,	'AL EZZA HYPERMARKET - SAHAM',	'ezzashm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	59,	9,	'N',	'A',	'2020-01-04 13:35:49',	'2021-01-03 23:11:23',	NULL),
(56,	'AL EZZA HYPERMARKET - SAHAM (2)',	'ezzasam',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	60,	4,	'N',	'A',	'2020-01-04 13:46:38',	'2020-04-06 17:33:26',	NULL),
(57,	'AL EZZA HYPERMARKET - BIDAYA',	'ezzabya',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	61,	4,	'N',	'A',	'2020-01-04 13:47:51',	'2020-01-04 13:47:51',	NULL),
(58,	'AL JEZEERA INT.LLC - AQAR',	'jezar',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	68,	9,	'N',	'A',	'2020-01-04 13:51:00',	'2021-01-03 23:15:18',	'ADOnRI7RVGFr01YmzHQSgqFhRZmtx23Xxd0vDucGvcRgdbeQV5agBKYegdlN'),
(59,	'AL JEZEERA INT.LLC - SHINAS',	'jezsns',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	65,	4,	'N',	'A',	'2020-01-04 13:53:38',	'2020-01-04 13:53:38',	NULL),
(60,	'AL JEZEERA INT.LLC - AL NUMMA',	'jeznma',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	67,	9,	'N',	'A',	'2020-01-04 13:56:48',	'2021-01-03 23:14:57',	NULL),
(61,	'VILLAGE HYPERMARKET - SHINAS',	'vhshs',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	71,	9,	'N',	'A',	'2020-01-04 13:59:29',	'2021-01-03 23:14:37',	'SYpDEasPTlwQG7RYYYC3zEPxF1wrDa4mdOvyd9t3TY9ozcbczElG2HAYF8tj'),
(62,	'AL FARZAN SHOPPING CENTRE LLC - FALAJ',	'farzflj',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	62,	4,	'N',	'A',	'2020-01-04 14:02:23',	'2020-01-04 14:02:23',	NULL),
(63,	'AL FARZAN SHOPPING CENTRE LLC - LIWA',	'farzla',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	63,	9,	'N',	'A',	'2020-01-04 14:05:15',	'2021-01-03 23:13:36',	'AXPt0uAcTXyxhadcoUo4CrAkQHEORC5w27wxD8N5GwxKz0zfnm4fukuhnVBH'),
(64,	'NATIONAL GIFT MARKET - FALAJ',	'ngmfj',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	73,	4,	'N',	'A',	'2020-01-04 14:08:37',	'2020-01-04 14:08:37',	NULL),
(65,	'VILLAGE HYPERMARKET - MULTAQA',	'vhmqa',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	70,	9,	'N',	'A',	'2020-01-04 14:14:44',	'2021-01-03 23:12:53',	NULL),
(66,	'AL JEZEERA INT.LLC - SAHAM',	'jezsm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	64,	9,	'N',	'A',	'2020-01-04 14:16:55',	'2021-01-03 23:12:24',	NULL),
(67,	'AL JEZEERA INT.LLC - SOHAR',	'jezshr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	66,	9,	'N',	'A',	'2020-01-04 14:36:48',	'2021-01-03 23:15:43',	'Z0VaJwqfkyFDOLXyAtmcmVP84G09Pu2Q5nrclfrf3qNJ0SUHcyRMT7q7zvPY'),
(68,	'TEST COMPANY',	'test',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	76,	2,	'N',	'A',	'2020-01-04 16:24:50',	'2020-08-17 09:00:56',	'x8aKZCpNAOUJadHdoj8KMoxljyFnvHfWTE8SZVi687UTPGH1ysKZOhzC8J2L'),
(69,	'SDC',	'SDCADMIN',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	NULL,	'N',	'A',	'2020-01-06 11:16:49',	'2020-01-21 09:22:41',	'685b9dUJWCv3e2608NnlqA4N0W1x61eM9sGzieNpIJJZjqzDNbvDcWMI067M'),
(70,	'SOCIAL WELFARE MARKET - NIZWA',	'swnza',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	57,	6,	'N',	'A',	'2020-01-13 10:52:04',	'2020-06-09 18:59:26',	NULL),
(71,	'AL HARASI UNITED LLC (AMERAT) - ONORB',	'ALAMRT',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	36,	6,	'Y',	'A',	'2020-01-13 13:27:38',	'2021-02-18 17:26:15',	'Dvv1Foze1OiBVRlqcp0QTdrWTwx2pvabrMROLru8cmQ4HL8NuH4Uy5lQo3CI'),
(72,	'ANHAR AL FAYHA HYPERMARKET - SQU',	'ANHSQU',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	77,	6,	'N',	'A',	'2020-01-19 08:49:22',	'2020-08-28 12:41:49',	NULL),
(73,	'ANHAR AL FAYHA SUPERMARKET - AL KOUDH',	'ANHAKH',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	78,	6,	'N',	'A',	'2020-01-19 08:51:12',	'2020-06-10 11:02:55',	NULL),
(74,	'ANHAR AL FAYHA HYPERMARKET - MABELLA',	'ANHMAB',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	80,	6,	'N',	'A',	'2020-01-19 08:53:17',	'2021-02-16 19:59:13',	'sEg9I1lTX9RDmqhwxCX026Ynid3FyR4mI9zTvpWSN3dTLtyTCyMxNLLIkj9V'),
(75,	'ANHAR AL FAYHA - GHOBRA (FAYHA FRESH)',	'ANHGRA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	79,	6,	'N',	'A',	'2020-01-19 08:57:33',	'2020-06-10 11:01:57',	'E6Xwoqx0MrZicdKvYhVrz84SBBr9SGysGZWofriQ8dTflw5xc3nLlRqCOBp1'),
(76,	'ANHAR AL FAYHA SUPERMARKET - (OUTSIDE MARKET)',	'ANHOMT',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	81,	6,	'N',	'A',	'2020-01-19 13:23:45',	'2020-06-10 11:02:43',	'TohNbglxD4NRUhqKIzr3SDsiew1rs51kmDmg0SLaTj5p6awPvuCAgtVzMtWm'),
(77,	'ANHAR AL FAYHA SUPERMARKET - RUSYL',	'ANHRUS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	82,	6,	'N',	'A',	'2020-01-19 13:25:04',	'2020-06-10 11:03:00',	'MY41UMwJ1aZ4AyV9GUCO5wSBXajD0TjKb1KM82xcb0bTrybYprV6hGuhpePy'),
(78,	'ANHAR AL FAYHA HYPERMARKET - IBRA',	'ANHIBA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	84,	6,	'N',	'A',	'2020-01-25 10:39:08',	'2020-06-10 11:02:06',	NULL),
(79,	'ANHAR AL FAYHA HYPERMARKET - RAWDHA',	'ANHRWA',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	85,	6,	'N',	'A',	'2020-01-25 10:41:09',	'2020-08-28 13:04:07',	'x638spxuc3jzNURhsAOiwrblGT9TlG9WN6enC5tTxGHuu2Vtgy8hYkWJi2ip'),
(80,	'ANHAR AL FAYHA HYPERMARKET - MUDHAIBI',	'ANHMUB',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	86,	6,	'N',	'A',	'2020-01-25 10:42:48',	'2020-06-10 11:02:15',	'8QzqPKBUKUiEiTiagabKfdAg11QCW9wY6Nz9T77ZSLWlsjmac0bwOEQ6V0eP'),
(81,	'ANHAR AL FAYHA HYPERMARKET - SINAW',	'ANHSNW',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	83,	6,	'N',	'A',	'2020-01-25 10:46:22',	'2020-06-10 11:02:34',	'EmXm77LDKxOKuPbFkkj7dtRetDrT26Nxcg61onXn4YxtxV62ZNI50QQQevhz'),
(82,	'ANHAR AL FAYHA HYPERMARKET - BID BID',	'ANHBID',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	87,	6,	'N',	'A',	'2020-01-25 10:48:00',	'2020-06-10 11:02:02',	'VWcSJb8rhClI9rOFOFe8YHJpIUAOLIdQKn14EOrOM9vFNa6ECbNWjepbxfux'),
(83,	'AL MARDUFF HYPERMARKET - THARMATH',	'MARTRH',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	88,	6,	'N',	'A',	'2020-02-02 17:15:16',	'2020-06-09 18:49:02',	'RO735PBgjqDAWWpA5Yl1JOOFyS8tOVLZBk7yS5mxrfqJR1hjQHxFGyMemRVd'),
(84,	'AL MARDUFF HYPERMARKET - MULANDHA',	'MARMUL',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	89,	6,	'N',	'A',	'2020-02-02 17:20:21',	'2020-06-09 18:47:02',	NULL),
(85,	'AL MARDUFF HYPERMARKET - NAKHAL',	'MARNAK',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	90,	6,	'N',	'A',	'2020-02-02 17:22:10',	'2020-06-09 18:46:58',	NULL),
(86,	'AL MARDUFF HYPERMARKET - SUWAIQ',	'MARSWQ',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	91,	6,	'N',	'A',	'2020-02-02 17:23:56',	'2020-06-09 18:49:10',	NULL),
(87,	'AL MARDUFF HYPERMARKET - SUWAIQ - (NO.20)',	'MARSUQ',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	92,	6,	'N',	'A',	'2020-02-02 17:25:44',	'2020-06-09 18:49:06',	'IGNFFfswuQxK3m2roezRINyX7ZLsYVD29zgk1Vz7oIpWKAM55D9dVMfqfhck'),
(88,	'LAVANDER HYPERMARET - MUSANNA',	'LAVMUS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	93,	6,	'N',	'A',	'2020-02-04 08:29:17',	'2020-06-09 18:57:33',	NULL),
(89,	'LAVANDER HYPERMARET (NO. 2) NEAR PUMP',	'LAVPMP',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	94,	6,	'N',	'A',	'2020-02-04 08:32:03',	'2020-06-09 18:57:28',	'PEfKt6Xhh42s6uezNeFoUNSiSVUZUvCFdsl2o0RUytWebNG7yUxZfOn1tgIu'),
(90,	'AL KASS SHOPPING CENTRE - MUSSANAA',	'KASSMUS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	95,	6,	'N',	'A',	'2020-02-04 08:46:40',	'2020-07-13 13:45:15',	'scgPwCO2SVnhGF6lHDF7mGy29JQ8FBvOq0GRlhE0gcGM5W0oNsFnioLRa2ER'),
(91,	'SHOP1 ADMIN',	'shop01',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	NULL,	'N',	'A',	'2020-02-05 12:46:58',	'2020-06-09 22:27:44',	'vsQseLQPIBBqjqJd5qexGbiy7IlE4SJbXWXjmmNeZDE8YIWYLHk8PSb7WIQz'),
(92,	'TANUF SHOPPING CENTRE - MANAH',	'MNSHPG',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	96,	5,	'N',	'A',	'2020-02-11 10:15:30',	'2020-04-25 11:31:34',	'7MjJWcbrAtVrBvAD3vIneP6JFiY6hKv3lwVKm15jBUzDQyGs1v1fjWF4OTTL'),
(93,	'MR.MISHKAK - AL KOUDH',	'MRM1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	97,	8,	'N',	'A',	'2020-03-04 14:28:52',	'2020-09-14 18:22:41',	'fyCIvjY1wm7GOGDGtpkCaYh4eJJU2ZFk56CcuzAqiVLm9bY6T7RSU8asA5FK'),
(94,	'MARJAN SHOPPING - RUSTAQ',	'MRSRQ',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	98,	2,	'N',	'A',	'2020-03-05 13:34:13',	'2020-03-05 13:34:13',	NULL),
(95,	'MR.MISHKAK - MABELLA',	'MRM2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	99,	2,	'N',	'A',	'2020-03-07 17:19:19',	'2020-03-07 17:19:19',	NULL),
(96,	'STAR LINE - SEEB',	'STRS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	100,	2,	'N',	'A',	'2020-03-07 19:23:02',	'2020-03-07 19:23:02',	NULL),
(97,	'STAR LINE - MULANDHA',	'STRM',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	101,	2,	'N',	'A',	'2020-03-07 19:24:12',	'2020-03-07 19:24:12',	NULL),
(98,	'AL JEZEERA INT.LLC - KHAFEETH',	'ALJKH',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	69,	9,	'N',	'A',	'2020-04-06 11:14:05',	'2021-01-03 23:13:13',	'HUGjsaZh2w78KqMcZoPxvlY1Ge3SgdNUTRu1ZbiyUSFADrSNOUT3HTt9BWCD'),
(99,	'LEMON SHOPPING - SOHAR',	'LEMSO',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	75,	9,	'N',	'A',	'2020-04-06 11:16:56',	'2021-01-03 23:14:19',	'pkBA4QdJwAQMTxGSIE2n66Fb3Tve3YcyPULDC5WDr7byedBbGuJDQsOSS57f'),
(100,	'STAR VILLAGE SHOPPING - SOHAR',	'STRVS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	72,	9,	'N',	'A',	'2020-04-06 11:18:40',	'2021-01-03 23:14:01',	NULL),
(101,	'AL QASBEA SHOPPING CENTER',	'ALQAS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	74,	4,	'N',	'A',	'2020-04-06 11:20:29',	'2020-04-06 11:20:29',	NULL),
(102,	'SHOP 22',	'SHOP22',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	NULL,	'N',	'A',	'2020-04-18 11:45:52',	'2020-04-18 11:45:52',	'mECsOINSqnP0TdH9QgF6mojJUR6JmWal8M0LjLbvgYMBZpf4pLh3IA00hgBn'),
(103,	'Customer sea',	'customersea',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	102,	2,	'N',	'A',	'2020-04-19 12:27:20',	'2020-08-06 13:44:45',	'CxbIHMXybFeSIKSuMyG9Ay9OboWBA2IuOfDrftPCQXfYxVpxnTDl3XWUZDBM'),
(104,	'HALBAN',	'HALBAN',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	NULL,	'N',	'A',	'2020-05-18 10:38:38',	'2020-05-18 10:38:38',	'ZfWskIZfNJNa1V7xRymlB1smDAImzDYZayRXMiyDOnE56ekaAPOhBzEJv783'),
(105,	'user',	'user',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	76,	NULL,	'Y',	'A',	'2020-05-29 11:58:44',	'2020-05-29 12:00:48',	'AlIUY3s5hhGfid9tko40LARzMC7cBwZ2S4Isup6NB3T6QxYwMKTikLHxpuUA'),
(106,	'sachin',	'sachin',	'$2y$10$068kVSjzIDC5s60aFSsU/OuPqyFBo1h56t7kOQbZ0DoNRG5z0LW.K',	NULL,	1,	'Y',	'A',	'2020-05-29 14:53:41',	'2021-04-07 18:42:42',	'CpUNjVsL4thE2zXXsu1loeSp8Sh1qaUxe4cwhWkaTkSZ50dhbIv6GEymko8M'),
(107,	'ANHAR AL FAYHA SUPERMARKET - WK',	'ANHWK',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	103,	6,	'N',	'A',	'2020-07-01 17:18:36',	'2020-12-10 10:32:11',	'jxfRZcqhaBW8nuWLNGAJxFLsEAfPZsaSf1h57bmxBANNNBLXDf1KKtqbfHyB'),
(108,	'ABU AHMED AL HASHMI - MABELLA-1',	'ABUMB',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	104,	6,	'N',	'A',	'2020-07-18 11:20:45',	'2020-07-18 11:20:45',	'A4gSm8Laui49Us4l5qUcRrMDxGf0iVmmO8LdcbOSy5knT8H7UVXNL373Dgb5'),
(109,	'coreteam',	'coreteam',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	NULL,	'N',	'A',	'2020-08-06 13:52:54',	'2020-08-06 13:53:55',	'wXfZA7hkw6VjWKyrj4zBOEYGdcdl1rGrTOShbtuzZf8xbQi6MeaiYEyShkPu'),
(110,	'BILAL',	'bilal',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	7,	'Y',	'A',	'2020-08-16 16:19:08',	'2020-08-24 17:39:28',	'vNTDMNhJHYnhMYxAFfuux2XpHTDAzFSTjYLYvcHH007CO4RWK3SxT55w1IUS'),
(111,	'ADVANCED GATE INVESTMENT LLC-AL ANASAB',	'agian',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	105,	6,	'N',	'A',	'2020-08-17 14:30:59',	'2020-08-17 14:30:59',	'ritKMzj6O0PqzziXGts9Hzu8Qpf6SYlhdLLM2cTQgMf6Ix7q5CNgWbSahQYx'),
(112,	'ADVANCED GATE INVESTMENT LLC-AL HAIL',	'agiha',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	106,	6,	'N',	'A',	'2020-08-17 14:32:08',	'2020-08-17 14:32:08',	NULL),
(113,	'ADVANCED GATE INVESTMENT LLC-AL MABELLA',	'agima',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	107,	6,	'N',	'A',	'2020-08-17 14:34:07',	'2020-08-17 14:34:07',	NULL),
(114,	'ADVANCED GATE INVESTMENT LLC-AL RADHA',	'agira',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	108,	6,	'N',	'A',	'2020-08-17 14:38:08',	'2020-08-17 14:38:08',	NULL),
(115,	'ADVANCED GATE INVESTMENT LLC-AL FIRQ',	'agifi',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	109,	6,	'N',	'A',	'2020-08-17 14:39:14',	'2020-08-17 14:39:14',	NULL),
(116,	'ADVANCED GATE INVESTMENT LLC-AL GHAFAT',	'agigh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	110,	6,	'N',	'A',	'2020-08-17 14:40:02',	'2020-08-17 14:40:02',	NULL),
(117,	'ADVANCED GATE INVESTMENT LLC-AL GHUBRA',	'agigu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	111,	6,	'N',	'A',	'2020-08-17 14:41:07',	'2020-08-17 14:41:07',	'MVPbZvwFQBq589Ow1nRQIpgh59Z7UUL9kdbCLa0DvPSwWh4ixjQSyQpRRsDY'),
(118,	'MOHAMMED BELAL HOSSEN',	'MOHBH',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	112,	7,	'Y',	'A',	'2020-08-24 10:02:51',	'2020-08-24 17:36:36',	NULL),
(119,	'MOHAMMAD SHOHEL MOHAMMAD DIDAR',	'MMHAS',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	113,	7,	'N',	'A',	'2020-08-24 10:54:03',	'2020-08-24 10:54:03',	NULL),
(120,	'BUWALI MANAGER',	'manager14',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	NULL,	'N',	'A',	'2020-08-25 17:43:40',	'2020-08-25 17:44:37',	'41MY5JDDzoBx9mYHG7N49jsyvmS6M2hXjTa5GT7pFAx2drxJlHqjjZuNNlJg'),
(121,	'SHOHEL',	'shohel',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	7,	'Y',	'A',	'2020-08-31 11:41:17',	'2020-08-31 11:41:17',	NULL),
(122,	'vivek',	'vivek',	'$2y$10$4z2egI8kz3R8QI9PVVZmM.f0jfkjVQbagqvF9qBrklneuRCsdjdZq',	NULL,	1,	'Y',	'A',	'2020-09-13 09:11:44',	'2021-04-07 18:41:56',	'TDT7wW8i54rQa7oE3SAMV8VxTBGsymabFNbQjoRB6HTZooakq06Y35I5azrX'),
(123,	'10 STAR TRADING LLC-RUWI',	'startru',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	114,	8,	'N',	'A',	'2020-09-13 10:32:10',	'2020-09-13 10:32:10',	NULL),
(124,	'10 STAR TRADING LLC-GHOBRA',	'strgh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	115,	8,	'N',	'A',	'2020-09-13 10:32:39',	'2020-09-13 10:32:39',	NULL),
(125,	'10 STAR TRADING LLC-M.Q',	'strmq',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	116,	8,	'N',	'A',	'2020-09-13 10:33:21',	'2020-09-13 10:33:21',	NULL),
(126,	'AL BASMA SUPERMARKET - SUR',	'albsu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	117,	8,	'N',	'A',	'2020-09-13 10:34:05',	'2020-09-13 10:34:05',	NULL),
(127,	'ABDULLAH BURGER - BARKA',	'abdbk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	118,	8,	'N',	'A',	'2020-09-13 10:34:33',	'2020-09-13 10:34:33',	NULL),
(128,	'ABU AMRAN MUSTHAFA',	'abuam',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	119,	8,	'N',	'A',	'2020-09-13 10:35:14',	'2020-09-13 10:35:14',	NULL),
(129,	'AHLAM SHOPPING CENTRE - THARMATH',	'ahlam',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	120,	8,	'N',	'A',	'2020-09-13 10:35:48',	'2020-09-13 10:35:48',	NULL),
(130,	'AL AHID SHOPPING CENTRE - MULADHA',	'alahid',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	121,	8,	'N',	'A',	'2020-09-13 10:36:25',	'2020-09-13 10:36:25',	NULL),
(131,	'AL ANOOD SHOPPING CENTRE - MUSANNA',	'alano',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	122,	8,	'N',	'A',	'2020-09-13 10:36:51',	'2020-09-13 10:36:51',	NULL),
(132,	'AL BARAK SHOPPING CENTRE',	'albar',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	123,	8,	'N',	'A',	'2020-09-13 10:37:20',	'2020-09-13 10:37:20',	NULL),
(133,	'AL BUSTAN COFFEE SHOP- AL HAIL',	'albus',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	124,	8,	'N',	'A',	'2020-09-13 10:38:02',	'2020-09-13 10:38:02',	NULL),
(134,	'AL HIBA SHOPPING MULADHA - NO:1',	'alhib1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	125,	8,	'N',	'A',	'2020-09-13 10:38:39',	'2020-09-13 10:38:39',	NULL),
(135,	'AL HIBA SHOPPING MULADHA - NO:2',	'alhib2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	126,	8,	'N',	'A',	'2020-09-13 10:39:31',	'2020-09-13 10:39:31',	NULL),
(136,	'AL KIFAYA - BARKA',	'alkif1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	127,	8,	'N',	'A',	'2020-09-13 10:40:26',	'2020-09-13 10:40:26',	NULL),
(137,	'AL MAYA INTERNATIONAL LLC',	'almay1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	128,	8,	'N',	'A',	'2020-09-13 10:41:18',	'2020-09-13 10:41:18',	NULL),
(138,	'AL MAYAR LLC',	'almrc',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	129,	8,	'N',	'A',	'2020-09-13 10:42:18',	'2020-09-13 10:42:18',	NULL),
(139,	'AL RAIHAN COFFEE SHOP - GHOBRA',	'alraig',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	130,	8,	'N',	'A',	'2020-09-13 10:43:01',	'2020-09-13 10:43:01',	NULL),
(140,	'AL THAIF - KHADRA',	'althf1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	131,	8,	'N',	'A',	'2020-09-13 10:43:38',	'2020-09-13 10:43:38',	NULL),
(141,	'ANSARI SHOPPING - MUSANNA',	'anshm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	132,	8,	'N',	'A',	'2020-09-13 10:44:08',	'2020-09-13 10:44:08',	NULL),
(142,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - SOHAR',	'anwrk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	133,	8,	'N',	'A',	'2020-09-13 10:45:21',	'2020-09-13 10:45:21',	NULL),
(143,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - AL KHOUD',	'anwral',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	134,	8,	'N',	'A',	'2020-09-13 10:46:04',	'2020-09-13 10:48:28',	NULL),
(144,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - BARKA',	'anwrke',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	135,	8,	'N',	'A',	'2020-09-13 10:46:46',	'2020-09-13 10:46:46',	NULL),
(145,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - SUWAIQ',	'anwsu1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	136,	8,	'N',	'A',	'2020-09-13 10:47:39',	'2020-09-13 10:47:39',	NULL),
(146,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - ALKHUWAIR-1',	'anwral1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	137,	8,	'N',	'A',	'2020-09-13 10:49:19',	'2020-09-13 10:49:19',	NULL),
(147,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - ALKHUWAIR-2',	'anwke2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	138,	8,	'N',	'A',	'2020-09-13 10:50:38',	'2020-09-13 10:50:38',	NULL),
(148,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - QURUM',	'anwqu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	139,	8,	'N',	'A',	'2020-09-13 10:51:21',	'2020-09-13 10:51:21',	NULL),
(149,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - AMERAT',	'anwam',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	140,	8,	'N',	'A',	'2020-09-13 10:51:47',	'2020-09-13 10:51:47',	NULL),
(150,	'ANWAR KEWAN GENERAL TRAD. & CONT. LLC. - MABELAH',	'anwma',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	141,	8,	'N',	'A',	'2020-09-13 10:52:12',	'2020-09-13 10:52:12',	NULL),
(151,	'ASEER TIME - BARKA',	'aseeti',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	142,	8,	'N',	'A',	'2020-09-13 10:52:55',	'2020-09-13 10:52:55',	NULL),
(152,	'ASIAN GOLD - ALKHUWAIR',	'asiaal',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	143,	8,	'N',	'A',	'2020-09-13 10:54:44',	'2020-09-13 10:54:44',	NULL),
(153,	'ATAYIB DEFAYA - MUSANNA',	'atayib1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	144,	8,	'N',	'A',	'2020-09-13 10:57:05',	'2020-09-13 10:57:05',	NULL),
(154,	'BABA - SEEB',	'baba1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	145,	8,	'N',	'A',	'2020-09-13 11:00:15',	'2020-09-13 11:00:15',	NULL),
(155,	'COFFEE SHOP - BARKA',	'cofee1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	146,	8,	'N',	'A',	'2020-09-13 11:00:59',	'2020-09-13 11:00:59',	NULL),
(156,	'DESERT CAFE - SUWAIQ',	'desesu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	147,	8,	'N',	'A',	'2020-09-13 11:01:32',	'2020-09-13 11:01:32',	NULL),
(157,	'DHAHRAHTH ROSE - (SALLAHA) - BARKA-1',	'dhabk1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	148,	8,	'N',	'A',	'2020-09-13 11:02:13',	'2020-09-13 11:02:13',	NULL),
(158,	'DHAHRAHTH ROSE - (SALLAHA) - BARKA-2',	'dhbak2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	149,	8,	'N',	'A',	'2020-09-13 11:02:43',	'2020-09-13 11:02:43',	NULL),
(159,	'DOSTEEN HYPERMARKET - THARMAD',	'dos1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	150,	8,	'N',	'A',	'2020-09-13 11:03:38',	'2020-09-13 11:03:38',	NULL),
(160,	'DOSTEEN HYPERMARKET - SUWAIQ',	'dos2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	151,	8,	'N',	'A',	'2020-09-13 11:04:11',	'2020-09-13 11:04:11',	NULL),
(161,	'FUN JUICE - AL KOUDH-2',	'funak',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	152,	8,	'N',	'A',	'2020-09-13 11:04:41',	'2020-09-13 11:04:41',	NULL),
(162,	'FUN JUICE - BURAIMI',	'funbu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	153,	8,	'N',	'A',	'2020-09-13 11:05:20',	'2020-09-13 11:05:20',	NULL),
(163,	'FUN JUICE - SINAW',	'funjsi',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	154,	8,	'N',	'A',	'2020-09-13 11:06:00',	'2020-09-13 11:06:00',	NULL),
(164,	'FUN JUICE - BUALI',	'funjbi',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	156,	8,	'N',	'A',	'2020-09-13 11:07:45',	'2020-09-13 11:07:45',	NULL),
(165,	'FUN JUICE - MABELLA-2',	'funjum',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	157,	8,	'N',	'A',	'2020-09-13 11:08:25',	'2020-09-13 11:08:25',	NULL),
(166,	'FUN JUICE - MABELLA-1',	'funjmb1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	158,	8,	'N',	'A',	'2020-09-13 11:09:03',	'2020-09-13 11:09:03',	NULL),
(167,	'SHAWARMAC (FUN JUICE) - SOHAR',	'shars1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	159,	8,	'N',	'A',	'2020-09-13 11:09:50',	'2020-09-13 11:09:50',	NULL),
(168,	'FUN JUICE - BU HASSAN',	'funjubu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	160,	8,	'N',	'A',	'2020-09-13 11:10:30',	'2020-09-13 11:10:30',	NULL),
(169,	'SHAWARMAC (FUN JUICE) - SINAW',	'shwsi',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	161,	8,	'N',	'A',	'2020-09-13 11:11:09',	'2020-09-13 11:11:09',	NULL),
(170,	'SHAWARMAC (FUN JUICE) - MABELLA',	'shwmb1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	162,	8,	'N',	'A',	'2020-09-13 11:11:49',	'2020-09-13 11:11:49',	NULL),
(171,	'FUN JUICE - SAMAIL',	'sunsail',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	163,	8,	'N',	'A',	'2020-09-13 11:12:26',	'2020-09-13 11:12:26',	NULL),
(172,	'GHASSAN ZAHIR ZAHRAN AL-NABHANI (BEHALA)',	'ghasn1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	164,	8,	'N',	'A',	'2020-09-13 11:13:07',	'2020-09-13 11:13:07',	NULL),
(173,	'KMDMANGER',	'KMDMANAGER',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	NULL,	8,	'N',	'A',	'2020-09-13 13:31:08',	'2020-09-13 13:49:18',	'XaUGoowmxw5rxQLrDcRExByq6lmbqTqBzHMG3mpcaomcHpOCODprRxChj0Xm'),
(174,	'HARI (WADI ATHEN)',	'hariwa',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	165,	8,	'N',	'A',	'2020-09-13 17:56:52',	'2020-09-13 17:56:52',	NULL),
(175,	'HAYAN MARKETS - MUSANNA',	'hynmu1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	166,	8,	'N',	'A',	'2020-09-13 17:57:27',	'2020-09-13 17:57:27',	NULL),
(176,	'JUICE WORLD - SUWAIQ',	'jucisw',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	167,	8,	'N',	'A',	'2020-09-13 17:57:54',	'2020-09-13 17:57:54',	NULL),
(177,	'KING OF TEA - AZAIBA',	'kioaz',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	168,	8,	'N',	'A',	'2020-09-13 17:58:35',	'2020-09-13 17:58:35',	NULL),
(178,	'KING OF TEA - GHALA',	'kinghal',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	169,	8,	'N',	'A',	'2020-09-13 17:59:07',	'2020-09-13 17:59:23',	NULL),
(179,	'KUNJAPPUTTY',	'kunj1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	170,	8,	'N',	'A',	'2020-09-13 18:00:08',	'2020-09-13 18:00:08',	NULL),
(180,	'MAHAR',	'mahr',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	171,	8,	'N',	'A',	'2020-09-14 12:43:11',	'2020-09-14 12:43:11',	NULL),
(181,	'MAJAN FRUIT - SAHAM',	'majnsa',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	172,	8,	'N',	'A',	'2020-09-14 12:43:57',	'2020-09-14 12:43:57',	NULL),
(182,	'MARJAN SHOPPING - RUSTAQ',	'majnrq',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	98,	8,	'N',	'A',	'2020-09-14 12:47:03',	'2020-09-14 12:47:03',	NULL),
(183,	'MILLENNIUM HYPERMARKET - GHALA',	'millgh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	173,	8,	'N',	'A',	'2020-09-14 12:49:29',	'2020-09-14 12:49:29',	NULL),
(184,	'MILLENNIUM HYPERMARKET - AZAIBA',	'millha',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	174,	8,	'N',	'A',	'2020-09-14 12:50:42',	'2020-09-14 12:50:42',	NULL),
(185,	'MILLENNIUM HYPERMARKET - BOUSHER',	'milbu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	175,	8,	'N',	'A',	'2020-09-14 14:18:50',	'2020-09-14 14:18:50',	NULL),
(186,	'R.MISHKAK - MABELLA',	'mshm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	176,	8,	'N',	'A',	'2020-09-14 14:34:44',	'2020-09-14 14:34:44',	NULL),
(187,	'MUHAMMAD IQBAL KASSIM KUNJU',	'mikk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	177,	8,	'N',	'A',	'2020-09-14 14:37:17',	'2020-09-14 14:37:17',	NULL),
(188,	'MUHAMMED - AL KHOUD',	'muakd',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	178,	8,	'N',	'A',	'2020-09-14 14:38:33',	'2020-09-14 14:38:33',	NULL),
(189,	'MUHAMMED - SEEB',	'muhsb',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	179,	8,	'N',	'A',	'2020-09-14 14:40:25',	'2020-09-14 14:40:25',	NULL),
(190,	'MUNEER - AL KHOUD',	'munalk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	180,	8,	'N',	'A',	'2020-09-14 14:43:07',	'2020-09-14 14:43:07',	NULL),
(191,	'MUSCAT GATE',	'musg',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	181,	8,	'N',	'A',	'2020-09-14 14:44:28',	'2020-09-14 14:44:28',	NULL),
(192,	'NAKKAL AL WADHI HYPERMARKET',	'nlwh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	182,	8,	'N',	'A',	'2020-09-14 14:46:23',	'2020-09-14 14:46:23',	NULL),
(193,	'NAMMAN SUPERMARKET (MUSSANNA)',	'nmsm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	183,	8,	'N',	'A',	'2020-09-14 14:47:03',	'2020-09-14 14:47:03',	NULL),
(194,	'NASAR - RUSTAQ',	'nasrq',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	184,	8,	'N',	'A',	'2020-09-14 14:47:39',	'2020-09-14 14:47:39',	NULL),
(195,	'NAVA KERALA MESS',	'navkm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	185,	8,	'N',	'A',	'2020-09-14 14:48:39',	'2020-09-14 14:48:39',	NULL),
(196,	'NIYAS C/O RAMEES - WK',	'nyswk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	186,	8,	'N',	'A',	'2020-09-14 14:49:25',	'2020-09-14 14:49:25',	NULL),
(197,	'NIZWA UNIVERSITY',	'nzwu',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	187,	8,	'N',	'A',	'2020-09-14 14:50:05',	'2020-09-14 14:50:05',	NULL),
(198,	'OCEAN RESTAURANT - BARKA',	'ocrb',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	188,	8,	'N',	'A',	'2020-09-14 14:50:45',	'2020-09-14 14:50:45',	NULL),
(199,	'OCEAN RESTAURANT - AZAIBA',	'ocra',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	189,	8,	'N',	'A',	'2020-09-14 14:51:24',	'2020-09-14 14:51:24',	NULL),
(200,	'OCEAN RESTAURANT - SINAW',	'ocrs',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	190,	8,	'N',	'A',	'2020-09-14 14:52:03',	'2020-09-14 14:52:03',	NULL),
(201,	'ORANGE SPLASH',	'orsh',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	191,	8,	'N',	'A',	'2020-09-14 14:52:50',	'2020-09-14 14:52:50',	NULL),
(202,	'RAMEES - WK',	'ramwk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	192,	8,	'N',	'A',	'2020-09-14 14:53:33',	'2020-09-14 14:53:33',	NULL),
(203,	'RASHEED - MUSSANAH',	'rsdm',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	193,	8,	'N',	'A',	'2020-09-14 14:54:12',	'2020-09-14 14:54:12',	NULL),
(204,	'SHAJAHAN - AL KHOUD',	'shaalk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	194,	8,	'N',	'A',	'2020-09-14 14:54:57',	'2020-09-14 14:54:57',	NULL),
(205,	'AL RAHA HYPERMARKET - BARKATHMOUZE',	'alrahab',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	195,	8,	'N',	'A',	'2020-09-14 14:56:29',	'2020-09-14 14:56:29',	NULL),
(206,	'SULAIMAN - MUSANNAH',	'sulmus',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	196,	8,	'N',	'A',	'2020-09-14 14:57:23',	'2020-09-14 14:57:23',	NULL),
(207,	'SULAIMAN TURKISH HOTEL - GHUBRA',	'sthga',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	197,	8,	'N',	'A',	'2020-09-14 14:58:35',	'2020-09-14 14:58:35',	NULL),
(208,	'TEA TIME - BARKA',	'ttb',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	198,	8,	'N',	'A',	'2020-09-14 14:59:20',	'2020-09-14 14:59:20',	NULL),
(209,	'TEA TIME - KADRA',	'teaka',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	199,	8,	'N',	'A',	'2020-09-14 18:05:13',	'2020-09-14 18:05:13',	NULL),
(210,	'TEA TIME - SUWAIQ',	'teats2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	200,	8,	'N',	'A',	'2020-09-14 18:06:08',	'2020-09-14 18:06:08',	NULL),
(211,	'ZAID - AL KHUWAIR',	'zaialal',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	201,	8,	'N',	'A',	'2020-09-14 18:08:59',	'2020-09-14 18:08:59',	NULL),
(212,	'ZAIN TEA - BARKA',	'zaint1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	202,	8,	'N',	'A',	'2020-09-14 18:15:03',	'2020-09-14 18:15:03',	NULL),
(213,	'ZAIN TEA - BARKA',	'zain2',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	202,	8,	'N',	'A',	'2020-09-14 18:15:42',	'2020-09-14 18:15:42',	NULL),
(214,	'ZAIN TEA - AZAIBA',	'zain3',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	203,	8,	'N',	'A',	'2020-09-14 18:16:40',	'2020-09-14 18:16:40',	NULL),
(215,	'ZAITOOON COFFEE SHOP - AZAIBA',	'zain11',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	204,	8,	'N',	'A',	'2020-09-14 18:18:04',	'2020-09-14 18:18:04',	NULL),
(216,	'ZANJABEEL COFFEE SHOP - AZAIBA',	'zai15',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	205,	8,	'N',	'A',	'2020-09-14 18:18:49',	'2020-09-14 18:18:49',	NULL),
(217,	'MUSCAT BAKERY',	'mctbk1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	206,	8,	'N',	'A',	'2020-09-14 18:19:44',	'2020-09-14 18:19:44',	NULL),
(218,	'GRAND MART',	'gdmrt1',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	207,	8,	'N',	'A',	'2020-09-14 18:20:28',	'2020-09-14 18:20:28',	NULL),
(219,	'SAMI BARAKATHU MOOSE',	'samibk',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	208,	8,	'N',	'A',	'2020-09-14 18:21:00',	'2020-09-14 18:21:00',	NULL),
(220,	'DANA MODERN SHOPPING LLC (DANCO H/M)',	'dana11',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	209,	8,	'N',	'A',	'2020-09-14 18:21:30',	'2020-09-14 18:21:30',	NULL),
(221,	'BILAL ROUTE SALE -BUALI',	'bilrs',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	210,	7,	'N',	'A',	'2020-09-29 18:48:27',	'2020-09-29 18:48:27',	NULL),
(222,	'FAROOK ROUTE SALE BUALI',	'farrs',	'$2y$10$sB8SJ2cII4ndtWroQmFPlup0pQWb.Mmjd91hI10sA9lN0b5MAOoym',	211,	7,	'N',	'A',	'2020-09-29 18:49:01',	'2020-09-29 18:49:01',	NULL),
(223,	'ADHILSHAH',	'ADHIL',	'$2y$10$1TJFIi0e64fTa/MNlxAMGekcumqCEZvWfiY61zSDCnbVr8yDzIh7W',	NULL,	NULL,	'N',	'A',	'2021-02-16 12:30:16',	'2021-04-07 15:42:29',	'0iCpcuXyiArKMJP4WDJScXa85BflsP9CTXMQ85Jiq8JAT69E6ChjL7M3BOhi'),
(224,	'MAHEEN',	'MAHEEN',	'$2y$10$V0NP5e7Ond1UDPjsMIJtGOLrLDoYkr3R4NvxMiiHiDb68BBEcBcdi',	NULL,	NULL,	'N',	'A',	'2021-04-07 18:42:22',	'2021-04-07 18:44:29',	'xyYyiTToNU1jd7P5OV6p4oue5a5o3wWnUWfg6gTGKIqh2uvFD1Rxzlqr3jYj'),
(225,	'AZEEZ',	'AZEEZ',	'$2y$10$BIeFMjpUmRU81403Ti6qp.MDE26OfGayGe6GbauqIdTS8IPdDTkGq',	NULL,	NULL,	'N',	'A',	'2021-04-07 18:42:58',	'2021-04-07 18:44:41',	NULL),
(226,	'HAKEEM',	'HAKEEM',	'$2y$10$fbLgx9sgweZtJ/etiqafYuIEbMQ2p3w1zCqDmpOZOQptEhaGhb/XG',	NULL,	NULL,	'N',	'A',	'2021-04-07 19:05:20',	'2021-04-08 14:48:31',	NULL),
(227,	'AJMAL',	'AJMAL',	'$2y$10$gojYEIJcIdQNfsNohs6DE.qvftj6o3oPp7/o/nhXImQ92vpzZmhMq',	NULL,	NULL,	'N',	'A',	'2021-04-07 19:07:12',	'2021-04-10 06:39:10',	NULL),
(228,	'BASHEER',	'BASHEER',	'$2y$10$S9uFKRURHhnMVcquTQNdDeOa2f45WyuD5ZcCsGGsN6ohIqjxO6d4G',	NULL,	NULL,	'N',	'A',	'2021-04-08 14:49:25',	'2021-04-08 14:49:25',	NULL),
(229,	'RAJENDRAN PILLAI',	'UNCLE',	'$2y$10$HmnTbUtXxgg7ohD/13hYpedPznGLwcPpd7cWNZw4I1USjDcyJc/cu',	NULL,	NULL,	'N',	'A',	'2021-04-10 07:35:30',	'2021-04-10 07:35:30',	NULL);

DROP TABLE IF EXISTS `user_role`;
CREATE TABLE `user_role` (
  `user_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `user_role` (`user_id`, `role_id`) VALUES
(57,	3),
(59,	3),
(62,	3),
(64,	3),
(69,	2),
(94,	3),
(95,	3),
(96,	3),
(97,	3),
(101,	3),
(56,	3),
(102,	2),
(92,	3),
(104,	2),
(105,	3),
(32,	3),
(2,	3),
(31,	3),
(12,	3),
(8,	3),
(25,	3),
(30,	3),
(29,	3),
(10,	3),
(26,	3),
(85,	3),
(84,	3),
(27,	3),
(39,	3),
(83,	3),
(87,	3),
(86,	3),
(28,	3),
(49,	3),
(45,	3),
(44,	3),
(47,	3),
(20,	3),
(14,	3),
(43,	3),
(15,	3),
(24,	3),
(46,	3),
(18,	3),
(17,	3),
(34,	3),
(33,	3),
(13,	3),
(53,	3),
(89,	3),
(88,	3),
(19,	3),
(23,	3),
(54,	3),
(52,	3),
(37,	3),
(48,	3),
(70,	3),
(40,	3),
(51,	3),
(16,	3),
(50,	3),
(91,	2),
(75,	3),
(82,	3),
(78,	3),
(80,	3),
(81,	3),
(76,	3),
(73,	3),
(77,	3),
(38,	3),
(41,	3),
(90,	3),
(108,	3),
(103,	8),
(109,	9),
(68,	3),
(111,	3),
(112,	3),
(113,	3),
(114,	3),
(115,	3),
(116,	3),
(117,	3),
(119,	3),
(118,	3),
(110,	7),
(120,	2),
(72,	3),
(79,	3),
(121,	7),
(123,	3),
(124,	3),
(125,	3),
(126,	3),
(127,	3),
(128,	3),
(129,	3),
(130,	3),
(131,	3),
(132,	3),
(133,	3),
(134,	3),
(135,	3),
(136,	3),
(137,	3),
(138,	3),
(139,	3),
(140,	3),
(141,	3),
(142,	3),
(144,	3),
(145,	3),
(143,	3),
(146,	3),
(147,	3),
(148,	3),
(149,	3),
(150,	3),
(151,	3),
(152,	3),
(153,	3),
(154,	3),
(155,	3),
(156,	3),
(157,	3),
(158,	3),
(159,	3),
(160,	3),
(161,	3),
(162,	3),
(163,	3),
(164,	3),
(165,	3),
(166,	3),
(167,	3),
(168,	3),
(169,	3),
(170,	3),
(171,	3),
(172,	3),
(173,	2),
(174,	3),
(175,	3),
(176,	3),
(177,	3),
(178,	3),
(179,	3),
(180,	3),
(181,	3),
(182,	3),
(183,	3),
(184,	3),
(185,	3),
(186,	3),
(187,	3),
(188,	3),
(189,	3),
(190,	3),
(191,	3),
(192,	3),
(193,	3),
(194,	3),
(195,	3),
(196,	3),
(197,	3),
(198,	3),
(199,	3),
(200,	3),
(201,	3),
(202,	3),
(203,	3),
(204,	3),
(205,	3),
(206,	3),
(207,	3),
(208,	3),
(209,	3),
(210,	3),
(211,	3),
(212,	3),
(213,	3),
(214,	3),
(215,	3),
(216,	3),
(217,	3),
(218,	3),
(219,	3),
(220,	3),
(93,	3),
(221,	3),
(222,	3),
(21,	3),
(9,	3),
(35,	3),
(107,	3),
(55,	3),
(66,	3),
(65,	3),
(98,	3),
(63,	3),
(100,	3),
(99,	3),
(61,	3),
(60,	3),
(58,	3),
(67,	3),
(11,	3),
(74,	3),
(71,	3),
(36,	3),
(42,	3),
(5,	3),
(6,	3),
(4,	3),
(7,	3),
(22,	3),
(1,	1),
(223,	2),
(3,	2),
(122,	7),
(106,	7),
(224,	2),
(225,	2),
(226,	2),
(228,	2),
(227,	2),
(229,	2);

DROP TABLE IF EXISTS `user_type`;
CREATE TABLE `user_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `customer_type_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `customer_type_id` (`customer_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `user_type` (`id`, `user_id`, `customer_type_id`) VALUES
(36,	69,	11),
(40,	102,	14),
(42,	103,	7),
(43,	104,	15),
(44,	91,	12),
(45,	91,	13),
(55,	120,	17),
(56,	173,	18),
(57,	3,	2),
(58,	224,	2),
(59,	225,	2),
(62,	226,	2),
(63,	228,	2),
(64,	227,	2),
(65,	229,	2);

-- 2021-05-25 10:36:59
